/**
 * @file
 * @copyright This code is licensed under the 3-clause BSD license.\n
 *            Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.\n
 *            See LICENSE.txt for details.
 */

#include "Sparrow/Implementations/Nddo/Omx/ParametersOmx.h"

using namespace Scine;
using namespace Sparrow;
using namespace nddo;
int main() {
  ParametersOmx om2;

  ParametersOmx::Values h;
  h.exponent = 1.47386481;
  h.oneCenterEnergy.s = -12.6489000;

  h.resonance.alpha.s = 0.06607903;
  h.resonance.beta.s = -3.41998220;
  h.orthogonalization.f1 = 0.29566861;
  h.orthogonalization.f2 = 1.40190659;
  h.orthogonalization.g1 = 0.65271563;
  h.orthogonalization.g2 = 0.90843670;

  h.oneCenterTwoElectrons.gss = 12.848;

  ParametersOmx::Values c;
  c.exponent = 1.42036892;
  c.oneCenterEnergy.s = -51.65550844;
  c.oneCenterEnergy.p = -39.74369825;

  c.resonance.beta.s = -7.21406021;
  c.resonance.beta.pSigma = -4.14394503;
  c.resonance.beta.pPi = -5.97107657;

  c.resonance.alpha.s = 0.09045297;
  c.resonance.alpha.pSigma = 0.05452192;
  c.resonance.alpha.pPi = 0.10204903;

  c.resonance.betaXH.s = -6.30164062;
  c.resonance.betaXH.pSigma = -4.04444703;

  c.resonance.alphaXH.s = 0.09668329;
  c.resonance.alphaXH.pSigma = 0.05283694;

  c.orthogonalization.f1 = 0.49949211;
  c.orthogonalization.f2 = 0.72261226;
  c.orthogonalization.g1 = 0.21284361;
  c.orthogonalization.g2 = 0.99250289;

  c.pseudopotential.exponent = 5.16802668;
  c.pseudopotential.faa = -305.68646337;
  c.pseudopotential.beta = -9.07185084;
  c.pseudopotential.alpha = 0.16985745;

  c.oneCenterTwoElectrons.gss = 12.23;
  c.oneCenterTwoElectrons.gpp = 11.08;
  c.oneCenterTwoElectrons.gsp = 11.47;
  c.oneCenterTwoElectrons.gp2 = 9.84;
  c.oneCenterTwoElectrons.hsp = 2.43;

  ParametersOmx::Values n;
  n.exponent = 1.33175233;
  n.oneCenterEnergy.s = -74.37638240;
  n.oneCenterEnergy.p = -57.600067613;

  n.resonance.beta.s = -10.84303446;
  n.resonance.beta.pSigma = -7.62373736;
  n.resonance.beta.pPi = -9.27936312;

  n.resonance.alpha.s = 0.08974553;
  n.resonance.alpha.pSigma = 0.08759680;
  n.resonance.alpha.pPi = 0.13172314;

  n.resonance.betaXH.s = -9.49567107;
  n.resonance.betaXH.pSigma = -8.51180846;

  n.resonance.alphaXH.s = 0.11429048;
  n.resonance.alphaXH.pSigma = 0.10673732;

  n.orthogonalization.f1 = 0.64073384;
  n.orthogonalization.f2 = 0.19580808;
  n.orthogonalization.g1 = 0.13946233;
  n.orthogonalization.g2 = 0.84373060;

  n.pseudopotential.exponent = 6.93980600;
  n.pseudopotential.faa = -407.39202305;
  n.pseudopotential.beta = -9.97910210;
  n.pseudopotential.alpha = 0.16173024;

  n.oneCenterTwoElectrons.gss = 13.59;
  n.oneCenterTwoElectrons.gpp = 12.98;
  n.oneCenterTwoElectrons.gsp = 12.66;
  n.oneCenterTwoElectrons.gp2 = 11.59;
  n.oneCenterTwoElectrons.hsp = 3.14;

  ParametersOmx::Values o;
  o.exponent = 1.55214516;
  o.oneCenterEnergy.s = -101.82723464;
  o.oneCenterEnergy.p = -78.92823923;

  o.resonance.beta.s = -10.64436974;
  o.resonance.beta.pSigma = -8.63610952;
  o.resonance.beta.pPi = -9.21201190;

  o.resonance.alpha.s = 0.13062089;
  o.resonance.alpha.pSigma = 0.09626876;
  o.resonance.alpha.pPi = 0.13071747;

  o.resonance.betaXH.s = -6.54238767;
  o.resonance.betaXH.pSigma = -10.11307271;

  o.resonance.alphaXH.s = 0.11112738;
  o.resonance.alphaXH.pSigma = 0.11891861;

  o.orthogonalization.f1 = 1.26450169;
  o.orthogonalization.f2 = 1.14847352;
  o.orthogonalization.g1 = 0.28309603;
  o.orthogonalization.g2 = 0.78414131;

  o.pseudopotential.exponent = 7.58579774;
  o.pseudopotential.faa = -514.45812327;
  o.pseudopotential.beta = -14.16551053;
  o.pseudopotential.alpha = 0.34390559;

  o.oneCenterTwoElectrons.gss = 15.42;
  o.oneCenterTwoElectrons.gpp = 14.52;
  o.oneCenterTwoElectrons.gsp = 14.48;
  o.oneCenterTwoElectrons.gp2 = 12.98;
  o.oneCenterTwoElectrons.hsp = 3.94;

  ParametersOmx::Values f;
  f.exponent = 1.45216726;
  f.oneCenterEnergy.s = -120.62785370;
  f.oneCenterEnergy.p = -107.27105397;

  f.resonance.beta.s = -6.25438426;
  f.resonance.beta.pSigma = -13.93492471;
  f.resonance.beta.pPi = -18.73205761;

  f.resonance.alpha.s = 0.26624434;
  f.resonance.alpha.pSigma = 0.12261412;
  f.resonance.alpha.pPi = 0.21684388;

  f.resonance.betaXH.s = -6.25104378;
  f.resonance.betaXH.pSigma = -13.94492971;

  f.resonance.alphaXH.s = 0.44713918;
  f.resonance.alphaXH.pSigma = 0.15648906;

  f.orthogonalization.f1 = 2.11499396;
  f.orthogonalization.f2 = 1.09156321;
  f.orthogonalization.g1 = 0.31704089;
  f.orthogonalization.g2 = 0.02140504;

  f.pseudopotential.exponent = 8.71226515;
  f.pseudopotential.faa = -685.41988599;
  f.pseudopotential.beta = -9.17960365;
  f.pseudopotential.alpha = 0.99971548;

  f.oneCenterTwoElectrons.gss = 16.92;
  f.oneCenterTwoElectrons.gpp = 16.71;
  f.oneCenterTwoElectrons.gsp = 17.25;
  f.oneCenterTwoElectrons.gp2 = 14.91;
  f.oneCenterTwoElectrons.hsp = 4.83;

  om2.atomic[1] = h;
  om2.atomic[6] = c;
  om2.atomic[7] = n;
  om2.atomic[8] = o;
  om2.atomic[9] = f;

  om2.write("parameters.json");

  return 0;
}
