set(SPARROW_APP_FILES
  ${CMAKE_CURRENT_SOURCE_DIR}/App/CalculationHandler.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/App/CalculationHandler.h
  ${CMAKE_CURRENT_SOURCE_DIR}/App/CommandLineOptions.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/App/CommandLineOptions.h
  ${CMAKE_CURRENT_SOURCE_DIR}/App/SparrowInitializer.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/App/SparrowInitializer.h
  ${CMAKE_CURRENT_SOURCE_DIR}/App/main.cpp
)

file(GLOB_RECURSE SPARROW_MODULE_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/Sparrow/*.h)
file(GLOB_RECURSE SPARROW_MODULE_CPPS ${CMAKE_CURRENT_SOURCE_DIR}/Sparrow/*.cpp)
set(SPARROW_MODULE_FILES ${SPARROW_MODULE_HEADERS} ${SPARROW_MODULE_CPPS})

list(FILTER SPARROW_MODULE_FILES EXCLUDE REGEX ".*RealTimeSpectroscopy.*")
list(FILTER SPARROW_MODULE_FILES EXCLUDE REGEX ".*/Integrals/[^;]+;?")

file(GLOB_RECURSE SPARROW_TEST_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/Tests/*.h)
file(GLOB_RECURSE SPARROW_TEST_CPPS ${CMAKE_CURRENT_SOURCE_DIR}/Tests/*.cpp)
list(FILTER SPARROW_TEST_CPPS EXCLUDE REGEX ".*Slow.*Test.cpp")
set(SPARROW_TEST_SLOW_FILES
  ${CMAKE_CURRENT_SOURCE_DIR}/Tests/Dipole/SlowDipoleTest.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/Tests/TimeDependent/SlowExcitedStatesTest.cpp
  )

set(SPARROW_TEST_FILES ${SPARROW_TEST_HEADERS} ${SPARROW_TEST_CPPS})

file(GLOB_RECURSE SPARROW_MODULE_BASIS_FILES ${CMAKE_CURRENT_SOURCE_DIR}/Sparrow/Resources/*.basis)
file(COPY ${SPARROW_MODULE_BASIS_FILES} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/Sparrow/Resources/Aiqm1/AIQM1.pt DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/AIQM1.pt TYPE BIN)
