/**
 * @file
 * @copyright This code is licensed under the 3-clause BSD license.\n
 *            Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.\n
 *            See LICENSE.txt for details.
 */
#ifndef INTEGRALS_CRTPUTILITIES_H
#define INTEGRALS_CRTPUTILITIES_H

namespace Scine {
namespace Sparrow {
namespace Integrals {

/**
 * @struct CrtpTraitTypes
 * @brief Small trait struct to enable types to be deduced in the base class by the Crtp parameter.
 * @tparam Derived class that specifies the traits.
 */
template<class Derived, class... OtherClasses>
struct CrtpTypesTrait {};

} // namespace Integrals
} // namespace Sparrow
} // namespace Scine

#endif // INTEGRALS_CRTPUTILITIES_H
