/**
 * @file
 * @copyright This code is licensed under the 3-clause BSD license.\n
 *            Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.\n
 *            See LICENSE.txt for details.
 */

#ifndef INTEGRALS_NDDOONECENTERTWOELECTRONEVALUATOR_H
#define INTEGRALS_NDDOONECENTERTWOELECTRONEVALUATOR_H

#include <Integrals/IntegralTypeSpecifier.h>

namespace Scine {
namespace Sparrow {
namespace Integrals {

class NddoEriSaverDigester;

class NddoOneCenterTwoElectronEvaluator {
 public:
  virtual ~NddoOneCenterTwoElectronEvaluator() = default;
  virtual void evaluate(NddoEriSaverDigester& digester, Operator op, int atomIndex) = 0;
};
} // namespace Integrals
} // namespace Sparrow
} // namespace Scine

#endif // INTEGRALS_NDDOONECENTERTWOELECTRONEVALUATOR_H
