/**
 * @file
 * @copyright This code is licensed under the 3-clause BSD license.\n
 *            Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.\n
 *            See LICENSE.txt for details.
 */

#ifndef SPARROW_OMXONECENTERTWOELECTRONEVALUATOR_H
#define SPARROW_OMXONECENTERTWOELECTRONEVALUATOR_H

#include <Integrals/IntegralTypeSpecifier.h>
#include <Integrals/TwoBodiesIntegrals/NddoOneCenterTwoElectronEvaluator.h>
#include <Utils/Typenames.h>

namespace Scine {
namespace Sparrow {
namespace Integrals {
class NddoEriSaverDigester;
}
namespace nddo {

class OmxElementParameters;

class OmxOneCenterTwoElectronEvaluator final : public Integrals::NddoOneCenterTwoElectronEvaluator {
 public:
  OmxOneCenterTwoElectronEvaluator(Utils::ElementTypeCollection elements, const OmxElementParameters& parameters);
  ~OmxOneCenterTwoElectronEvaluator() final;
  void evaluate(Integrals::NddoEriSaverDigester& digester, Integrals::Operator op, int atomIndex) final;

 private:
  void fill(const OmxElementParameters& parameters);

  Utils::ElementTypeCollection elements_;
  std::map<int, Eigen::MatrixXd> oneCenterIntegrals_;
};
} // namespace nddo
} // namespace Sparrow
} // namespace Scine

#endif // SPARROW_OMXONECENTERTWOELECTRONEVALUATOR_H
