/**
 * @file
 * @copyright This code is licensed under the 3-clause BSD license.\n
 *            Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.\n
 *            See LICENSE.txt for details.
 *
 * @note This file was generated by the Embed binary from runtime values.
 *   Prefer improving the generator over editing this file whenever possible.
 *
 */
#ifndef INCLUDE_SPARROW_IMPLEMENTATIONS_DFTB_PARAMS_3OB_3_1_PARAMETER_SET_H
#define INCLUDE_SPARROW_IMPLEMENTATIONS_DFTB_PARAMS_3OB_3_1_PARAMETER_SET_H

#include "Sparrow/Implementations/Dftb/ParameterSet.h"

namespace Scine {
namespace Sparrow {
namespace dftb {

/*! @brief Dftb 3ob-3-1 parameter set generator
 *
 * @param elements Elements for which to load parameters. If empty, loads all
 *   available parameters.
 */
ParameterSet params_3ob_3_1(const std::vector<int>& elements = {});

// NOTE: Atom-pair data generator fns
SkfData params_3ob_3_1_k_h();
SkfData params_3ob_3_1_f_o();
SkfData params_3ob_3_1_ca_s();
SkfData params_3ob_3_1_o_cl();
SkfData params_3ob_3_1_p_na();
SkfData params_3ob_3_1_k_mg();
SkfData params_3ob_3_1_o_h();
SkfData params_3ob_3_1_c_p();
SkfData params_3ob_3_1_f_n();
SkfData params_3ob_3_1_s_c();
SkfData params_3ob_3_1_s_h();
SkfData params_3ob_3_1_p_p();
SkfData params_3ob_3_1_f_f();
SkfData params_3ob_3_1_br_mg();
SkfData params_3ob_3_1_h_br();
SkfData params_3ob_3_1_k_cl();
SkfData params_3ob_3_1_p_zn();
SkfData params_3ob_3_1_ca_h();
SkfData params_3ob_3_1_br_br();
SkfData params_3ob_3_1_f_k();
SkfData params_3ob_3_1_o_br();
SkfData params_3ob_3_1_mg_o();
SkfData params_3ob_3_1_na_zn();
SkfData params_3ob_3_1_s_o();
SkfData params_3ob_3_1_c_k();
SkfData params_3ob_3_1_br_n();
SkfData params_3ob_3_1_c_br();
SkfData params_3ob_3_1_na_k();
SkfData params_3ob_3_1_mg_n();
SkfData params_3ob_3_1_ca_k();
SkfData params_3ob_3_1_p_n();
SkfData params_3ob_3_1_h_k();
SkfData params_3ob_3_1_s_zn();
SkfData params_3ob_3_1_ca_p();
SkfData params_3ob_3_1_mg_cl();
SkfData params_3ob_3_1_i_s();
SkfData params_3ob_3_1_na_i();
SkfData params_3ob_3_1_mg_f();
SkfData params_3ob_3_1_br_p();
SkfData params_3ob_3_1_na_f();
SkfData params_3ob_3_1_na_s();
SkfData params_3ob_3_1_f_c();
SkfData params_3ob_3_1_p_k();
SkfData params_3ob_3_1_f_br();
SkfData params_3ob_3_1_o_c();
SkfData params_3ob_3_1_n_i();
SkfData params_3ob_3_1_o_i();
SkfData params_3ob_3_1_c_o();
SkfData params_3ob_3_1_p_h();
SkfData params_3ob_3_1_h_s();
SkfData params_3ob_3_1_s_br();
SkfData params_3ob_3_1_cl_mg();
SkfData params_3ob_3_1_p_i();
SkfData params_3ob_3_1_f_h();
SkfData params_3ob_3_1_br_s();
SkfData params_3ob_3_1_s_s();
SkfData params_3ob_3_1_ca_na();
SkfData params_3ob_3_1_na_o();
SkfData params_3ob_3_1_br_i();
SkfData params_3ob_3_1_c_mg();
SkfData params_3ob_3_1_ca_f();
SkfData params_3ob_3_1_cl_ca();
SkfData params_3ob_3_1_c_i();
SkfData params_3ob_3_1_i_f();
SkfData params_3ob_3_1_p_br();
SkfData params_3ob_3_1_c_n();
SkfData params_3ob_3_1_k_o();
SkfData params_3ob_3_1_i_o();
SkfData params_3ob_3_1_s_na();
SkfData params_3ob_3_1_br_h();
SkfData params_3ob_3_1_mg_h();
SkfData params_3ob_3_1_na_na();
SkfData params_3ob_3_1_ca_i();
SkfData params_3ob_3_1_f_cl();
SkfData params_3ob_3_1_o_na();
SkfData params_3ob_3_1_o_k();
SkfData params_3ob_3_1_cl_zn();
SkfData params_3ob_3_1_na_mg();
SkfData params_3ob_3_1_h_zn();
SkfData params_3ob_3_1_i_k();
SkfData params_3ob_3_1_s_i();
SkfData params_3ob_3_1_s_f();
SkfData params_3ob_3_1_h_f();
SkfData params_3ob_3_1_ca_mg();
SkfData params_3ob_3_1_mg_c();
SkfData params_3ob_3_1_zn_h();
SkfData params_3ob_3_1_i_zn();
SkfData params_3ob_3_1_n_n();
SkfData params_3ob_3_1_o_f();
SkfData params_3ob_3_1_c_f();
SkfData params_3ob_3_1_n_f();
SkfData params_3ob_3_1_s_k();
SkfData params_3ob_3_1_zn_s();
SkfData params_3ob_3_1_i_na();
SkfData params_3ob_3_1_zn_ca();
SkfData params_3ob_3_1_zn_cl();
SkfData params_3ob_3_1_f_zn();
SkfData params_3ob_3_1_n_c();
SkfData params_3ob_3_1_f_i();
SkfData params_3ob_3_1_zn_c();
SkfData params_3ob_3_1_n_k();
SkfData params_3ob_3_1_na_br();
SkfData params_3ob_3_1_br_c();
SkfData params_3ob_3_1_i_n();
SkfData params_3ob_3_1_cl_i();
SkfData params_3ob_3_1_h_h();
SkfData params_3ob_3_1_zn_f();
SkfData params_3ob_3_1_ca_n();
SkfData params_3ob_3_1_cl_cl();
SkfData params_3ob_3_1_o_p();
SkfData params_3ob_3_1_cl_o();
SkfData params_3ob_3_1_na_h();
SkfData params_3ob_3_1_k_p();
SkfData params_3ob_3_1_c_cl();
SkfData params_3ob_3_1_p_cl();
SkfData params_3ob_3_1_n_mg();
SkfData params_3ob_3_1_ca_br();
SkfData params_3ob_3_1_c_ca();
SkfData params_3ob_3_1_n_p();
SkfData params_3ob_3_1_p_s();
SkfData params_3ob_3_1_k_k();
SkfData params_3ob_3_1_i_mg();
SkfData params_3ob_3_1_br_k();
SkfData params_3ob_3_1_br_o();
SkfData params_3ob_3_1_f_na();
SkfData params_3ob_3_1_p_ca();
SkfData params_3ob_3_1_c_c();
SkfData params_3ob_3_1_cl_h();
SkfData params_3ob_3_1_cl_na();
SkfData params_3ob_3_1_mg_mg();
SkfData params_3ob_3_1_n_h();
SkfData params_3ob_3_1_na_cl();
SkfData params_3ob_3_1_o_s();
SkfData params_3ob_3_1_br_zn();
SkfData params_3ob_3_1_ca_cl();
SkfData params_3ob_3_1_mg_na();
SkfData params_3ob_3_1_s_n();
SkfData params_3ob_3_1_f_ca();
SkfData params_3ob_3_1_zn_o();
SkfData params_3ob_3_1_f_p();
SkfData params_3ob_3_1_i_p();
SkfData params_3ob_3_1_zn_mg();
SkfData params_3ob_3_1_f_s();
SkfData params_3ob_3_1_p_mg();
SkfData params_3ob_3_1_n_na();
SkfData params_3ob_3_1_mg_s();
SkfData params_3ob_3_1_ca_c();
SkfData params_3ob_3_1_h_i();
SkfData params_3ob_3_1_h_c();
SkfData params_3ob_3_1_h_p();
SkfData params_3ob_3_1_k_f();
SkfData params_3ob_3_1_p_f();
SkfData params_3ob_3_1_p_o();
SkfData params_3ob_3_1_o_n();
SkfData params_3ob_3_1_cl_n();
SkfData params_3ob_3_1_mg_p();
SkfData params_3ob_3_1_s_ca();
SkfData params_3ob_3_1_na_n();
SkfData params_3ob_3_1_h_cl();
SkfData params_3ob_3_1_mg_zn();
SkfData params_3ob_3_1_zn_n();
SkfData params_3ob_3_1_p_c();
SkfData params_3ob_3_1_o_mg();
SkfData params_3ob_3_1_na_ca();
SkfData params_3ob_3_1_i_h();
SkfData params_3ob_3_1_br_f();
SkfData params_3ob_3_1_c_na();
SkfData params_3ob_3_1_ca_o();
SkfData params_3ob_3_1_k_i();
SkfData params_3ob_3_1_br_na();
SkfData params_3ob_3_1_h_n();
SkfData params_3ob_3_1_i_br();
SkfData params_3ob_3_1_h_o();
SkfData params_3ob_3_1_zn_zn();
SkfData params_3ob_3_1_n_cl();
SkfData params_3ob_3_1_n_zn();
SkfData params_3ob_3_1_br_cl();
SkfData params_3ob_3_1_mg_k();
SkfData params_3ob_3_1_c_zn();
SkfData params_3ob_3_1_i_c();
SkfData params_3ob_3_1_i_i();
SkfData params_3ob_3_1_n_s();
SkfData params_3ob_3_1_mg_i();
SkfData params_3ob_3_1_zn_p();
SkfData params_3ob_3_1_s_cl();
SkfData params_3ob_3_1_n_o();
SkfData params_3ob_3_1_k_zn();
SkfData params_3ob_3_1_na_c();
SkfData params_3ob_3_1_cl_p();
SkfData params_3ob_3_1_cl_f();
SkfData params_3ob_3_1_h_mg();
SkfData params_3ob_3_1_c_h();
SkfData params_3ob_3_1_n_br();
SkfData params_3ob_3_1_mg_ca();
SkfData params_3ob_3_1_h_na();
SkfData params_3ob_3_1_k_ca();
SkfData params_3ob_3_1_k_n();
SkfData params_3ob_3_1_na_p();
SkfData params_3ob_3_1_zn_i();
SkfData params_3ob_3_1_cl_s();
SkfData params_3ob_3_1_zn_na();
SkfData params_3ob_3_1_i_cl();
SkfData params_3ob_3_1_zn_br();
SkfData params_3ob_3_1_ca_ca();
SkfData params_3ob_3_1_c_s();
SkfData params_3ob_3_1_s_mg();
SkfData params_3ob_3_1_cl_br();
SkfData params_3ob_3_1_h_ca();
SkfData params_3ob_3_1_o_o();
SkfData params_3ob_3_1_cl_k();
SkfData params_3ob_3_1_i_ca();
SkfData params_3ob_3_1_f_mg();
SkfData params_3ob_3_1_br_ca();
SkfData params_3ob_3_1_s_p();
SkfData params_3ob_3_1_zn_k();
SkfData params_3ob_3_1_cl_c();
SkfData params_3ob_3_1_k_br();
SkfData params_3ob_3_1_mg_br();
SkfData params_3ob_3_1_n_ca();
SkfData params_3ob_3_1_o_zn();
SkfData params_3ob_3_1_o_ca();
SkfData params_3ob_3_1_k_s();
SkfData params_3ob_3_1_ca_zn();
SkfData params_3ob_3_1_k_c();
SkfData params_3ob_3_1_k_na();

// Spin constants
SkfSpinConstants params_3ob_3_1_spin();

// Hubbard derivatives
SkfHubbardDerivatives params_3ob_3_1_hubbard();

} // namespace dftb
} // namespace Sparrow
} // namespace Scine

#endif
