/**
 * @file
 * @copyright This code is licensed under the 3-clause BSD license.\n
 *            Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.\n
 *            See LICENSE.txt for details.
 *
 * @note This file was generated by the Embed binary from runtime values.
 *   Prefer improving the generator over editing this file whenever possible.
 *
 */
#ifndef INCLUDE_SPARROW_IMPLEMENTATIONS_DFTB_PARAMS_HYB_0_2_PARAMETER_SET_H
#define INCLUDE_SPARROW_IMPLEMENTATIONS_DFTB_PARAMS_HYB_0_2_PARAMETER_SET_H

#include "Sparrow/Implementations/Dftb/ParameterSet.h"

namespace Scine {
namespace Sparrow {
namespace dftb {

/*! @brief Dftb hyb-0-2 parameter set generator
 *
 * @param elements Elements for which to load parameters. If empty, loads all
 *   available parameters.
 */
ParameterSet params_hyb_0_2(const std::vector<int>& elements = {});

// NOTE: Atom-pair data generator fns
SkfData params_hyb_0_2_s_si();
SkfData params_hyb_0_2_ag_c();
SkfData params_hyb_0_2_ag_o();
SkfData params_hyb_0_2_o_ag();
SkfData params_hyb_0_2_ga_o();
SkfData params_hyb_0_2_ag_si();
SkfData params_hyb_0_2_ga_si();
SkfData params_hyb_0_2_si_as();
SkfData params_hyb_0_2_ag_ag();
SkfData params_hyb_0_2_as_si();
SkfData params_hyb_0_2_h_ag();
SkfData params_hyb_0_2_s_as();
SkfData params_hyb_0_2_ga_s();
SkfData params_hyb_0_2_as_s();
SkfData params_hyb_0_2_si_ag();
SkfData params_hyb_0_2_c_ag();
SkfData params_hyb_0_2_as_as();
SkfData params_hyb_0_2_as_h();
SkfData params_hyb_0_2_as_ga();
SkfData params_hyb_0_2_ga_h();
SkfData params_hyb_0_2_o_ga();
SkfData params_hyb_0_2_ga_as();
SkfData params_hyb_0_2_h_as();
SkfData params_hyb_0_2_s_ga();
SkfData params_hyb_0_2_h_ga();
SkfData params_hyb_0_2_si_ga();
SkfData params_hyb_0_2_c_ga();
SkfData params_hyb_0_2_ag_h();
SkfData params_hyb_0_2_si_si();
SkfData params_hyb_0_2_si_s();
SkfData params_hyb_0_2_ga_c();
SkfData params_hyb_0_2_ga_ga();

} // namespace dftb
} // namespace Sparrow
} // namespace Scine

#endif