/**
 * @file
 * @copyright This code is licensed under the 3-clause BSD license.\n
 *            Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.\n
 *            See LICENSE.txt for details.
 *
 * @note This file was generated by the Embed binary from runtime values.
 *   Prefer improving the generator over editing this file whenever possible.
 *
 */
#ifndef INCLUDE_SPARROW_IMPLEMENTATIONS_DFTB_PARAMS_ZNORG_0_1_PARAMETER_SET_H
#define INCLUDE_SPARROW_IMPLEMENTATIONS_DFTB_PARAMS_ZNORG_0_1_PARAMETER_SET_H

#include "Sparrow/Implementations/Dftb/ParameterSet.h"

namespace Scine {
namespace Sparrow {
namespace dftb {

/*! @brief Dftb znorg-0-1 parameter set generator
 *
 * @param elements Elements for which to load parameters. If empty, loads all
 *   available parameters.
 */
ParameterSet params_znorg_0_1(const std::vector<int>& elements = {});

// NOTE: Atom-pair data generator fns
SkfData params_znorg_0_1_c_h();
SkfData params_znorg_0_1_o_o();
SkfData params_znorg_0_1_zn_h();
SkfData params_znorg_0_1_n_o();
SkfData params_znorg_0_1_zn_c();
SkfData params_znorg_0_1_c_s();
SkfData params_znorg_0_1_s_o();
SkfData params_znorg_0_1_o_s();
SkfData params_znorg_0_1_o_zn();
SkfData params_znorg_0_1_n_s();
SkfData params_znorg_0_1_n_c();
SkfData params_znorg_0_1_n_h();
SkfData params_znorg_0_1_s_h();
SkfData params_znorg_0_1_zn_o();
SkfData params_znorg_0_1_s_n();
SkfData params_znorg_0_1_zn_zn();
SkfData params_znorg_0_1_o_h();
SkfData params_znorg_0_1_c_n();
SkfData params_znorg_0_1_n_n();
SkfData params_znorg_0_1_n_zn();
SkfData params_znorg_0_1_c_zn();
SkfData params_znorg_0_1_h_n();
SkfData params_znorg_0_1_c_c();
SkfData params_znorg_0_1_s_c();
SkfData params_znorg_0_1_h_zn();
SkfData params_znorg_0_1_h_h();
SkfData params_znorg_0_1_h_s();
SkfData params_znorg_0_1_c_o();
SkfData params_znorg_0_1_s_s();
SkfData params_znorg_0_1_s_zn();
SkfData params_znorg_0_1_o_n();
SkfData params_znorg_0_1_h_o();
SkfData params_znorg_0_1_zn_s();
SkfData params_znorg_0_1_o_c();
SkfData params_znorg_0_1_zn_n();
SkfData params_znorg_0_1_h_c();

} // namespace dftb
} // namespace Sparrow
} // namespace Scine

#endif