/**
 * @file
 * @copyright This code is licensed under the 3-clause BSD license.\n
 *            Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.\n
 *            See LICENSE.txt for details.
 *
 * @note This file was generated by the Embed binary from runtime values.
 *   Prefer improving the generator over editing this file whenever possible.
 *
 * This file contains functions generating runtime values. It was
 * generated from runtime values of its return type. It is not intended to be
 * human-readable. A small guide: Return values are directly brace-initialized
 * in deep nesting to keep file size to a minimum. Types are annotated only when
 * necessary. Floating point values are represented in hexadecimal (see
 * std::hexfloat) to ensure serialization does not cause loss of accuracy.
 *
 * The functions defined here might be declared and called elsewhere entirely.
 *
 */
#include "Utils/DataStructures/AtomicGtos.h"
#include <unordered_map>

namespace Scine {
namespace Sparrow {
namespace Sto6g {

std::unordered_map<int, Utils::AtomicGtos> odm2() {
  // clang-format off
  return {
    {9, {Utils::GtoExpansion {0, {{{0, 0x1.a72dfc9f3a82dp+3, -0x1.820c49ba5e354p-3}, {0, 0x1.607daadd6b0d4p+1, 0x1.65604189374bcp-1}, {0, 0x1.6557d129310c4p-1, 0x1.e5a708ede54b5p-2}}}}, Utils::GtoExpansion {1, {{{1, 0x1.a72dfc9f3a82dp+3, 0x1.06d4801f75105p-2}, {1, 0x1.607daadd6b0d4p+1, 0x1.1ec95bff04578p-1}, {1, 0x1.6557d129310c4p-1, 0x1.af80dc33721d5p-2}}}}, boost::none}},
    {8, {Utils::GtoExpansion {0, {{{0, 0x1.57ef8842d27p+3, -0x1.8a32f44912989p-3}, {0, 0x1.1f23be4b0cf64p+1, 0x1.56cb5350092cdp-1}, {0, 0x1.27719f8981a99p-1, 0x1.0161e4f765fd9p-1}}}}, Utils::GtoExpansion {1, {{{1, 0x1.57ef8842d27p+3, 0x1.eec17ebaf1023p-3}, {1, 0x1.1f23be4b0cf64p+1, 0x1.1e28240b78034p-1}, {1, 0x1.27719f8981a99p-1, 0x1.b9f559b3d07c8p-2}}}}, boost::none}},
    {7, {Utils::GtoExpansion {0, {{{0, 0x1.8eb112eb99bp+2, -0x1.8aa10e0221427p-3}, {0, 0x1.4f3a762ebc244p+0, 0x1.3cddd6e04c059p-1}, {0, 0x1.6280cbd9c0d67p-2, 0x1.19389b52007ddp-1}}}}, Utils::GtoExpansion {1, {{{1, 0x1.8eb112eb99bp+2, 0x1.c8509bf9c62a2p-3}, {1, 0x1.4f3a762ebc244p+0, 0x1.1ee2435696e59p-1}, {1, 0x1.6280cbd9c0d67p-2, 0x1.c11dbca9691a7p-2}}}}, boost::none}},
    {6, {Utils::GtoExpansion {0, {{{0, 0x1.42e418be73627p+2, -0x1.88f861a60d456p-3}, {0, 0x1.08bf7dbe1ed26p+0, 0x1.3b890d5a5b963p-1}, {0, 0x1.1a9131e549e8p-2, 0x1.191148fd9fd37p-1}}}}, Utils::GtoExpansion {1, {{{1, 0x1.42e418be73627p+2, 0x1.9ee78183f91e6p-3}, {1, 0x1.08bf7dbe1ed26p+0, 0x1.1dd97f62b6ae8p-1}, {1, 0x1.1a9131e549e8p-2, 0x1.d210385c67dfep-2}}}}, boost::none}},
    {1, {Utils::GtoExpansion {0, {{{0, 0x1.0f9f6f9c91405p+2, 0x1.3c10d35b0818cp-3}, {0, 0x1.8bcfbb52c4b8ap-1, 0x1.121687bf9d268p-1}, {0, 0x1.ac7cf4536b247p-3, 0x1.c74e4705af08cp-2}}}}, boost::none, boost::none}},
  };
  // clang-format on
}

} // namespace Sto6g
} // namespace Sparrow
} // namespace Scine
