/**
 * @file
 * @copyright This code is licensed under the 3-clause BSD license.\n
 *            Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.\n
 *            See LICENSE.txt for details.
 *
 * @note This file was generated by the Embed binary from runtime values.
 *   Prefer improving the generator over editing this file whenever possible.
 *
 * This file contains functions generating runtime values. It was
 * generated from runtime values of its return type. It is not intended to be
 * human-readable. A small guide: Return values are directly brace-initialized
 * in deep nesting to keep file size to a minimum. Types are annotated only when
 * necessary. Floating point values are represented in hexadecimal (see
 * std::hexfloat) to ensure serialization does not cause loss of accuracy.
 *
 * The functions defined here might be declared and called elsewhere entirely.
 *
 */
#include "Sparrow/Implementations/Nddo/Omx/ParametersOmx.h"

namespace Scine {
namespace Sparrow {
namespace nddo {

ParametersOmx odm2() {
  // clang-format off
  using Sp = ParametersOmx::Values::Sp;
  using Sppi = ParametersOmx::Values::Sppi;
  using ResonanceIntegrals = ParametersOmx::Values::ResonanceIntegrals;
  using OrthogonalizationFactors = ParametersOmx::Values::OrthogonalizationFactors;
  using Pseudopotential = ParametersOmx::Values::Pseudopotential;
  using OneCenterTwoElectronIntegrals = ParametersOmx::Values::OneCenterTwoElectronIntegrals;
  return {
    {
      {1, {ResonanceIntegrals {Sppi {0x1.0c91f433c3fccp-4, 0x0p+0, 0x0p+0}, Sppi {-0x1.b40023bc47c46p+1, 0x0p+0, 0x0p+0}, Sppi {}, Sppi {}, }, OrthogonalizationFactors {0x1.0748b57b776fap-2, 0x1.4c73af244559ap-1, 0x1.4a7d16d7070d6p+0, 0x1.da438e4a3024ep-2, }, Pseudopotential {0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }, OneCenterTwoElectronIntegrals {0x1.9b22d0e560419p+3, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }, Sp {-0x1.8fa8f53c579f2p+3, 0x0p+0}, 0x1.615a5332acfb7p+0, }}, 
      {6, {ResonanceIntegrals {Sppi {0x1.8252d610c346cp-4, 0x1.b81af98089fe2p-5, 0x1.a8c703b5164cdp-4}, Sppi {-0x1.e08de855bf4f3p+2, -0x1.08f278b8a3751p+2, -0x1.8e0455a5230fap+2}, Sppi {0x1.9b8f7d8bf1e63p-4, 0x1.d7664e12b28a3p-5, 0x0p+0}, Sppi {-0x1.a5bfc7cbdc0cp+2, -0x1.221e2849a0321p+2, 0x0p+0}, }, OrthogonalizationFactors {0x1.ed4d2d5a5637cp-2, 0x1.7811b0819291cp-3, 0x1.c50d4f48e87c3p-1, 0x1.fba027fe20d7cp-1, }, Pseudopotential {0x1.4ac0f2f9dd263p+2, -0x1.31afbc103c0d5p+8, 0x1.5bde3905db0b5p-3, -0x1.224c9a21ffaf2p+3, }, OneCenterTwoElectronIntegrals {0x1.875c28f5c28f6p+3, 0x1.628f5c28f5c29p+3, 0x1.6f0a3d70a3d71p+3, 0x1.3ae147ae147aep+3, 0x1.370a3d70a3d71p+1, }, Sp {-0x1.99dad9bef8a3cp+5, -0x1.3ab942769d155p+5}, 0x1.61922b66353e2p+0, }}, 
      {7, {ResonanceIntegrals {Sppi {0x1.f00802d8cd612p-4, 0x1.66172e19eebe9p-4, 0x1.1b2f8a5c39e7bp-3}, Sppi {-0x1.b708234f90611p+3, -0x1.08363f16c137ap+3, -0x1.421ace77f2aadp+3}, Sppi {0x1.d78db331703a8p-4, 0x1.dc2ce4649906dp-4, 0x0p+0}, Sppi {-0x1.29275ff609ddp+3, -0x1.331255320b95ep+3, 0x0p+0}, }, OrthogonalizationFactors {0x1.579fb135c284ap-1, 0x1.f6d12d2eb74d9p-4, 0x1.2c01005b19ac2p-2, 0x1.8618c9d06e171p-1, }, Pseudopotential {0x1.bc25c810a569bp+2, -0x1.97645b9f63073p+8, 0x1.4b39395c98067p-3, -0x1.3f54cded5e3cdp+3, }, OneCenterTwoElectronIntegrals {0x1.b2e147ae147aep+3, 0x1.9f5c28f5c28f6p+3, 0x1.951eb851eb852p+3, 0x1.72e147ae147aep+3, 0x1.91eb851eb851fp+1, }, Sp {-0x1.2588309d56bd8p+6, -0x1.cd9cfa36bd566p+5}, 0x1.4cb186cb35c8ep+0, }}, 
      {8, {ResonanceIntegrals {Sppi {0x1.145376ca8cabap-3, 0x1.9470aab7fa01ep-4, 0x1.1be1cc634574bp-3}, Sppi {-0x1.4e4f2816748bap+3, -0x1.30bb0e48ee058p+3, -0x1.401e42604cc6ep+3}, Sppi {0x1.1dae92faeef41p-3, 0x1.b5a29ed0e60c1p-4, 0x0p+0}, Sppi {-0x1.87dbcda66686ap+2, -0x1.38ff072187643p+3, 0x0p+0}, }, OrthogonalizationFactors {0x1.32c725c3dee78p+0, 0x1.13f1e2dbd7d79p-1, 0x1.f869e7fb267c7p-1, 0x1.ccdfa6434b2e5p+0, }, Pseudopotential {0x1.e57db5cdd7b9cp+2, -0x1.013aa3c88717ep+9, 0x1.6028c977d8a9ap-2, -0x1.c54bdcbd2fcbdp+3, }, OneCenterTwoElectronIntegrals {0x1.ed70a3d70a3d7p+3, 0x1.d0a3d70a3d70ap+3, 0x1.cf5c28f5c28f6p+3, 0x1.9f5c28f5c28f6p+3, 0x1.f851eb851eb85p+1, }, Sp {-0x1.9a5e8fa34b9f1p+6, -0x1.3b345c2d7d66bp+6}, 0x1.7fb1d5a58e6f7p+0, }},
      {9, {ResonanceIntegrals {Sppi {0x1.0a29e9b3626d9p-2, 0x1.efb902eb6ccbp-4, 0x1.a1925ab604088p-3}, Sppi {-0x1.ca95af94ada19p+1, -0x1.b6ea7b2e1ea15p+3, -0x1.ea53f06253315p+3}, Sppi {0x1.7b277a1773393p-1, 0x1.10310c11863a4p-3, 0x0p+0}, Sppi {-0x1.ef5292ea27fc7p+2, -0x1.73367e414e7efp+3, 0x0p+0}, }, OrthogonalizationFactors {0x1.29b9d289a52fdp+1, 0x1.5499138ccfb1bp-1, 0x1.4a5b6f925f12bp+0, 0x1.a5e8c7d516477p-6, }, Pseudopotential {0x1.16cae048aa93cp+3, -0x1.56b5bed2f98cap+9, 0x1.ffdab517cf549p-1, -0x1.25bf50275fc06p+3, }, OneCenterTwoElectronIntegrals {0x1.0eb851eb851ecp+4, 0x1.0b5c28f5c28f6p+4, 0x1.14p+4, 0x1.dd1eb851eb852p+3, 0x1.351eb851eb852p+2, }, Sp {-0x1.d79836b0404f2p+6, -0x1.ac2c21cd04552p+6}, 0x1.7b7f0518c39b5p+0, }} 
    }  };
  // clang-format on
}


} // namespace nddo
} // namespace Sparrow
} // namespace Scine
