/**
 * @file
 * @copyright This code is licensed under the 3-clause BSD license.\n
 *            Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.\n
 *            See LICENSE.txt for details.
 *
 * @note This file was generated by the Embed binary from runtime values.
 *   Prefer improving the generator over editing this file whenever possible.
 *
 * This file contains functions generating runtime values. It was
 * generated from runtime values of its return type. It is not intended to be
 * human-readable. A small guide: Return values are directly brace-initialized
 * in deep nesting to keep file size to a minimum. Types are annotated only when
 * necessary. Floating point values are represented in hexadecimal (see
 * std::hexfloat) to ensure serialization does not cause loss of accuracy.
 *
 * The functions defined here might be declared and called elsewhere entirely.
 *
 */
#include "Sparrow/Implementations/Nddo/Omx/ParametersOmx.h"

namespace Scine {
namespace Sparrow {
namespace nddo {

ParametersOmx odm3() {
  // clang-format off
  using Sp = ParametersOmx::Values::Sp;
  using Sppi = ParametersOmx::Values::Sppi;
  using ResonanceIntegrals = ParametersOmx::Values::ResonanceIntegrals;
  using OrthogonalizationFactors = ParametersOmx::Values::OrthogonalizationFactors;
  using Pseudopotential = ParametersOmx::Values::Pseudopotential;
  using OneCenterTwoElectronIntegrals = ParametersOmx::Values::OneCenterTwoElectronIntegrals;
  return {
    {
      {1, {ResonanceIntegrals {Sppi {0x1.13c29a6ed6a26p-4, 0x0p+0, 0x0p+0}, Sppi {-0x1.c77e357a8b368p+1, 0x0p+0, 0x0p+0}, Sppi {}, Sppi {}, }, OrthogonalizationFactors {0x1.fb7c2fa660d25p-3, 0x1.722fca480d34fp-2, 0x0p+0, 0x0p+0, }, Pseudopotential {0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }, OneCenterTwoElectronIntegrals {0x1.9b22d0e560419p+3, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }, Sp {-0x1.8b0c1f8de4da9p+3, 0x0p+0}, 0x1.319ae0ec69754p+0, }}, 
      {6, {ResonanceIntegrals {Sppi {0x1.676e91582c91ep-4, 0x1.b2686d26c9ee5p-5, 0x1.a39e020919af3p-4}, Sppi {-0x1.ce45811390d68p+2, -0x1.f29093202dc7ep+1, -0x1.7ef818cb2807p+2}, Sppi {0x1.ac49419271873p-4, 0x1.f77521c019353p-5, 0x0p+0}, Sppi {-0x1.aae5bbf18843p+2, -0x1.2ad7e315e46ddp+2, 0x0p+0}, }, OrthogonalizationFactors {0x1.815487c1aadabp-2, 0x1.4ccd6b2d4a90fp-4, 0x0p+0, 0x0p+0, }, Pseudopotential {0x1.6cccccccccccdp+2, -0x1.1bd12641b328bp+8, 0x1.39d5895ee3e62p-3, -0x1.67cf80387490ap+4, }, OneCenterTwoElectronIntegrals {0x1.875c28f5c28f6p+3, 0x1.628f5c28f5c29p+3, 0x1.6f0a3d70a3d71p+3, 0x1.3ae147ae147aep+3, 0x1.370a3d70a3d71p+1, }, Sp {-0x1.944e0679ecab1p+5, -0x1.3982f02b76a65p+5}, 0x1.3d9a70da07c8dp+0, }}, 
      {7, {ResonanceIntegrals {Sppi {0x1.5744678e03b95p-4, 0x1.059fbc9e566cdp-4, 0x1.043aa23d57238p-3}, Sppi {-0x1.68b13c889c714p+3, -0x1.4cae5491a7b2bp+2, -0x1.2da569c6ee109p+3}, Sppi {0x1.956e18e24f151p-4, 0x1.8b7d6708f8a21p-4, 0x0p+0}, Sppi {-0x1.2dcbadadcdae2p+3, -0x1.fd858cb1d4a3ep+2, 0x0p+0}, }, OrthogonalizationFactors {0x1.f7d02546e165ep-2, 0x1.8f97cd9198c43p-3, 0x0p+0, 0x0p+0, }, Pseudopotential {0x1.af26b17a60ef3p+2, -0x1.7cf14f285c3fap+8, 0x1.45f235112ed18p-3, -0x1.6c827b7d4ee03p+4, }, OneCenterTwoElectronIntegrals {0x1.b2e147ae147aep+3, 0x1.9f5c28f5c28f6p+3, 0x1.951eb851eb852p+3, 0x1.72e147ae147aep+3, 0x1.91eb851eb851fp+1, }, Sp {-0x1.3379f94db43dep+6, -0x1.ca714e4a90c7ep+5}, 0x1.5164fad6756d1p+0, }}, 
      {8, {ResonanceIntegrals {Sppi {0x1.06bd378379f29p-3, 0x1.89e24eea1deb8p-4, 0x1.53bb19c6fb7c9p-3}, Sppi {-0x1.bfb74b762017dp+3, -0x1.3287cf61fd761p+3, -0x1.a4a0a8c75ef9bp+3}, Sppi {0x1.469b916b77c84p-3, 0x1.d9a0320f1bd1cp-4, 0x0p+0}, Sppi {-0x1.bc8bacd70e195p+3, -0x1.4924d8a218185p+3, 0x0p+0}, }, OrthogonalizationFactors {0x1.2353de4e7f69fp-1, 0x1.861dc537d8089p-3, 0x0p+0, 0x0p+0, }, Pseudopotential {0x1.ef8371e4f4b6dp+2, -0x1.00426e978d4fep+9, 0x1.76659a639901ap-3, -0x1.a21ecb06cefc2p+4, }, OneCenterTwoElectronIntegrals {0x1.ed70a3d70a3d7p+3, 0x1.d0a3d70a3d70ap+3, 0x1.cf5c28f5c28f6p+3, 0x1.9f5c28f5c28f6p+3, 0x1.f851eb851eb85p+1, }, Sp {-0x1.a54a9119177e2p+6, -0x1.3a783a9f8e254p+6}, 0x1.3446aebb13e7cp+0, }},
      {9, {ResonanceIntegrals {Sppi {0x1.7919b48705c34p-2, 0x1.01e5f3ba4c6c9p-3, 0x1.bbf180356f789p-3}, Sppi {-0x1.8dd738cbf9683p+2, -0x1.c5c097d5743b4p+3, -0x1.1f962f8f39c44p+4}, Sppi {0x1.9acdf515ec258p-2, 0x1.3ebd56623757bp-3, 0x0p+0}, Sppi {-0x1.49164a4f039e4p+3, -0x1.c06189fdf0305p+3, 0x0p+0}, }, OrthogonalizationFactors {0x1.eaf394e2a5a72p-1, 0x1.3396d89f13003p-3, 0x0p+0, 0x0p+0, }, Pseudopotential {0x1.16847941347dbp+3, -0x1.56b5c257a8de6p+9, 0x1.c155f62bc0ce1p-14, -0x1.540c3c13569efp+3, }, OneCenterTwoElectronIntegrals {0x1.0eb851eb851ecp+4, 0x1.0b5c28f5c28f6p+4, 0x1.14p+4, 0x1.dd1eb851eb852p+3, 0x1.351eb851eb852p+2, }, Sp {-0x1.dfc8ad9b842a7p+6, -0x1.aee6cb7635916p+6}, 0x1.1db66b6177ea2p+0, }}
    }  };
  // clang-format on
}


} // namespace nddo
} // namespace Sparrow
} // namespace Scine
