/**
 * @file
 * @copyright This code is licensed under the 3-clause BSD license.\n
 *            Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.\n
 *            See LICENSE.txt for details.
 *
 * @note This file was generated by the Embed binary from runtime values.
 *   Prefer improving the generator over editing this file whenever possible.
 *
 * This file contains functions generating runtime values. It was
 * generated from runtime values of its return type. It is not intended to be
 * human-readable. A small guide: Return values are directly brace-initialized
 * in deep nesting to keep file size to a minimum. Types are annotated only when
 * necessary. Floating point values are represented in hexadecimal (see
 * std::hexfloat) to ensure serialization does not cause loss of accuracy.
 *
 * The functions defined here might be declared and called elsewhere entirely.
 *
 */
#include "Sparrow/Implementations/Nddo/Omx/ParametersOmx.h"

namespace Scine {
namespace Sparrow {
namespace nddo {

ParametersOmx om1() {
  // clang-format off
  using Sp = ParametersOmx::Values::Sp;
  using Sppi = ParametersOmx::Values::Sppi;
  using ResonanceIntegrals = ParametersOmx::Values::ResonanceIntegrals;
  using OrthogonalizationFactors = ParametersOmx::Values::OrthogonalizationFactors;
  using Pseudopotential = ParametersOmx::Values::Pseudopotential;
  using OneCenterTwoElectronIntegrals = ParametersOmx::Values::OneCenterTwoElectronIntegrals;
  return {                                                                           
    {                                                                                
      {1, {ResonanceIntegrals {Sppi {0x1.8b6c751e3a27cp-4, 0x0p+0, 0x0p+0}, Sppi {-0x1.3928f308a0b87p+2, 0x0p+0, 0x0p+0}, Sppi {}, Sppi {}, }, OrthogonalizationFactors {0x1.1523cbe216352p-1, 0x0p+0, 0x1.b1814fa0d21d2p-1, 0x0p+0, }, Pseudopotential {0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }, OneCenterTwoElectronIntegrals {0x1.9b22d0e560419p+3, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }, Sp {-0x1.9ad524fae1323p+3, 0x0p+0}, 0x1.35a1173c5ca7ap+0, }},             
      {6, {ResonanceIntegrals {Sppi {0x1.7df4d02115238p-4, 0x1.ba43f39fca603p-5, 0x1.ad25ddb52769ap-4}, Sppi {-0x1.e5864fa559c14p+2, -0x1.1feea8dfdda0bp+2, -0x1.7a5fde776f225p+2}, Sppi {0x1.7df4d02115238p-4, 0x1.ba43f39fca603p-5, 0x0p+0}, Sppi {-0x1.e5864fa559c14p+2, -0x1.1feea8dfdda0bp+2, 0x0p+0}, }, OrthogonalizationFactors {0x1.01f71f05d4ab4p-1, 0x0p+0, 0x1.56c1603219d8ap-1, 0x0p+0, }, Pseudopotential {0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }, OneCenterTwoElectronIntegrals {0x1.875c28f5c28f6p+3, 0x1.628f5c28f5c29p+3, 0x1.6f0a3d70a3d71p+3, 0x1.3ae147ae147aep+3, 0x1.370a3d70a3d71p+1, }, Sp {-0x1.91468db8bac71p+5, -0x1.3619c01be4621p+5}, 0x1.22b0e05d226ffp+0, }},                 
      {7, {ResonanceIntegrals {Sppi {0x1.a136bc29bc67p-4, 0x1.5dd1ca628f415p-4, 0x1.25e6e1f6d589ep-3}, Sppi {-0x1.803004d01e65fp+3, -0x1.34c8bcc7c6fe8p+3, -0x1.453ff8d3e6c77p+3}, Sppi {0x1.33cd095da1c6cp-4, 0x1.d957d55404e4fp-4, 0x0p+0}, Sppi {-0x1.02aa98b543186p+3, -0x1.6fa7c73eee526p+3, 0x0p+0}, }, OrthogonalizationFactors {0x1.44ffc7cbdc0cp-1, 0x0p+0, 0x1.3ed48629a53ffp-2, 0x0p+0, }, Pseudopotential {0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }, OneCenterTwoElectronIntegrals {0x1.b2e147ae147aep+3, 0x1.9f5c28f5c28f6p+3, 0x1.951eb851eb852p+3, 0x1.72e147ae147aep+3, 0x1.91eb851eb851fp+1, }, Sp {-0x1.1d57188f98e4cp+6, -0x1.c4aa4bf271ccfp+5}, 0x1.292b47ac66fbbp+0, }},                 
      {8, {ResonanceIntegrals {Sppi {0x1.be1edf134b615p-4, 0x1.8bf12fad97a85p-4, 0x1.386dd13ecc6e8p-3}, Sppi {-0x1.8e3923edc5ebbp+2, -0x1.3e16d5644b033p+3, -0x1.6963bffe07576p+3}, Sppi {0x1.45c38652141efp-4, 0x1.08601e22d5c2fp-3, 0x0p+0}, Sppi {-0x1.9d6a2e5c89c3cp+2, -0x1.8f2f37b0c65bfp+3, 0x0p+0}, }, OrthogonalizationFactors {0x1.5d2679bc598d1p-1, 0x0p+0, 0x1.e7f6d1d8fb2e6p-2, 0x0p+0, }, Pseudopotential {0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }, OneCenterTwoElectronIntegrals {0x1.ed70a3d70a3d7p+3, 0x1.d0a3d70a3d70ap+3, 0x1.cf5c28f5c28f6p+3, 0x1.9f5c28f5c28f6p+3, 0x1.f851eb851eb85p+1, }, Sp {-0x1.742a9571c1b95p+6, -0x1.36644737770fbp+6}, 0x1.1a16415ff1ad3p+0, }},                 
      {9, {ResonanceIntegrals {Sppi {0x1.8cca8e591eaa4p-3, 0x1.0af3a6ab4ffa7p-3, 0x1.c34032751d387p-3}, Sppi {-0x1.6f13c5240bf8ep+2, -0x1.05c97219a2e95p+4, -0x1.1398d98039764p+4}, Sppi {0x1.8cca8e591eaa4p-3, 0x1.0af3a6ab4ffa7p-3, 0x0p+0}, Sppi {-0x1.6f13c5240bf8ep+2, -0x1.05c97219a2e95p+4, 0x0p+0}, }, OrthogonalizationFactors {0x1.330b35125b775p+0, 0x0p+0, 0x1.fab84de4ba545p-2, 0x0p+0, }, Pseudopotential {0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }, OneCenterTwoElectronIntegrals {0x1.0eb851eb851ecp+4, 0x1.0b5c28f5c28f6p+4, 0x1.14p+4, 0x1.dd1eb851eb852p+3, 0x1.351eb851eb852p+2, }, Sp {-0x1.e6c7de7aca20ap+6, -0x1.a97e0f96a0ebdp+6}, 0x1.2a3c389572c37p+0, }}
    }  };
  // clang-format on
}

} // namespace nddo
} // namespace Sparrow
} // namespace Scine
