/**
 * @file
 * @copyright This code is licensed under the 3-clause BSD license.\n
 *            Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.\n
 *            See LICENSE.txt for details.
 *
 * @note This file was generated by the Embed binary from runtime values.
 *   Prefer improving the generator over editing this file whenever possible.
 *
 * This file contains functions generating runtime values. It was
 * generated from runtime values of its return type. It is not intended to be
 * human-readable. A small guide: Return values are directly brace-initialized
 * in deep nesting to keep file size to a minimum. Types are annotated only when
 * necessary. Floating point values are represented in hexadecimal (see
 * std::hexfloat) to ensure serialization does not cause loss of accuracy.
 *
 * The functions defined here might be declared and called elsewhere entirely.
 *
 */
#include "Sparrow/Implementations/Nddo/Omx/ParametersOmx.h"

namespace Scine {
namespace Sparrow {
namespace nddo {

ParametersOmx om2() {
  // clang-format off
  using Values = ParametersOmx::Values;
  using Sp = Values::Sp;
  using Sppi = Values::Sppi;
  using ResonanceIntegrals = Values::ResonanceIntegrals;
  using OrthogonalizationFactors = Values::OrthogonalizationFactors;
  using Pseudopotential = Values::Pseudopotential;
  using OneCenterTwoElectronIntegrals = Values::OneCenterTwoElectronIntegrals;
  return {
    {
      {1, {ResonanceIntegrals {Sppi {0x1.0ea8e28cd28bdp-4, 0x0p+0, 0x0p+0}, Sppi {-0x1.b5c1fa0af3791p+1, 0x0p+0, 0x0p+0}, Sppi {}, Sppi {}, }, OrthogonalizationFactors {0x1.2ec3c0899d782p-2, 0x1.4e30be38e0465p-1, 0x1.66e359ac18cd3p+0, 0x1.d11e9d79f8ea6p-1, }, Pseudopotential {0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }, OneCenterTwoElectronIntegrals {0x1.9b22d0e560419p+3, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }, Sp {-0x1.94c3c9eecbfb1p+3, 0x0p+0}, 0x1.794f3445acdd7p+0, }},
      {6, {ResonanceIntegrals {Sppi {0x1.727ed03f9dfaap-4, 0x1.bea4c0ea1588p-5, 0x1.a1fe29e704309p-4}, Sppi {-0x1.cdb3299854cb1p+2, -0x1.0936653711643p+2, -0x1.7e261e5783f57p+2}, Sppi {0x1.8c03c709ea39ap-4, 0x1.b0d7182a434a8p-5, 0x0p+0}, Sppi {-0x1.934e147582e3fp+2, -0x1.02d8385b1046fp+2, 0x0p+0}, }, OrthogonalizationFactors {0x1.ff7adc143d79bp-2, 0x1.b3e759c0e68f9p-3, 0x1.71fa3bf0c6fdp-1, 0x1.fc2956bb78919p-1, }, Pseudopotential {0x1.4ac0f2f9dd263p+2, -0x1.31afbc103c0d5p+8, 0x1.5bde3905db0b5p-3, -0x1.224c9a21ffaf2p+3, }, OneCenterTwoElectronIntegrals {0x1.875c28f5c28f6p+3, 0x1.628f5c28f5c29p+3, 0x1.6f0a3d70a3d71p+3, 0x1.3ae147ae147aep+3, 0x1.370a3d70a3d71p+1, }, Sp {-0x1.9d3e7b35806a7p+5, -0x1.3df318116ebd5p+5}, 0x1.6b9d4c2ba7a3ap+0, }},
      {7, {ResonanceIntegrals {Sppi {0x1.6f990244feb7bp-4, 0x1.66cbe6f3bf7fep-4, 0x1.0dc4dc936953dp-3}, Sppi {-0x1.5afa2367633b9p+3, -0x1.e7eb501a9f938p+2, -0x1.28f08aed0379p+3}, Sppi {0x1.d422411d819b2p-4, 0x1.b532312a9a5d6p-4, 0x0p+0}, Sppi {-0x1.2fdc899367258p+3, -0x1.1060bc22b0841p+3, 0x0p+0}, }, OrthogonalizationFactors {0x1.480e44107b226p-1, 0x1.1d9e6d12fdde9p-3, 0x1.9103d39f23f22p-3, 0x1.affd750b44d7ap-1, }, Pseudopotential {0x1.bc25c810a569bp+2, -0x1.97645b9f63073p+8, 0x1.4b39395c98067p-3, -0x1.3f54cded5e3cdp+3, }, OneCenterTwoElectronIntegrals {0x1.b2e147ae147aep+3, 0x1.9f5c28f5c28f6p+3, 0x1.951eb851eb852p+3, 0x1.72e147ae147aep+3, 0x1.91eb851eb851fp+1, }, Sp {-0x1.29816a634b28fp+6, -0x1.ccce2f496eb3ep+5}, 0x1.54edb87fb8c7ep+0, }},
      {8, {ResonanceIntegrals {Sppi {0x1.0b82f715cb994p-3, 0x1.8a511c7d393bbp-4, 0x1.0bb599d553afp-3}, Sppi {-0x1.549ead49fa9ffp+3, -0x1.145b025a22605p+3, -0x1.26c8cd2e1b9c4p+3}, Sppi {0x1.c72d80eca4838p-4, 0x1.e717334d5f595p-4, 0x0p+0}, Sppi {-0x1.a2b67ac619d54p+2, -0x1.439e4aa8f0a4ap+3, 0x0p+0}, }, OrthogonalizationFactors {0x1.43b661fc49672p+0, 0x1.21e3ecf9e8e4bp-2, 0x1.26025c50b8d52p+0, 0x1.917af843c9029p-1, }, Pseudopotential {0x1.e57db5cdd7b9cp+2, -0x1.013aa3c88717ep+9, 0x1.6028c977d8a9ap-2, -0x1.c54bdcbd2fcbdp+3, }, OneCenterTwoElectronIntegrals {0x1.ed70a3d70a3d7p+3, 0x1.d0a3d70a3d70ap+3, 0x1.cf5c28f5c28f6p+3, 0x1.9f5c28f5c28f6p+3, 0x1.f851eb851eb85p+1, }, Sp {-0x1.974f1698f3ac6p+6, -0x1.3bb684583edb6p+6}, 0x1.8d59629cd83d7p+0, }},
      {9, {ResonanceIntegrals {Sppi {0x1.10a25b342e2ffp-2, 0x1.f63a3936d8594p-4, 0x1.bc18a4e780824p-3}, Sppi {-0x1.9047d4eb544c6p+2, -0x1.bdeae739b5836p+3, -0x1.2bb6820a5bce8p+4}, Sppi {0x1.c9deda6b70e75p-2, 0x1.407d56170de3ap-3, 0x0p+0}, Sppi {-0x1.901119ee3db5cp+2, -0x1.be3cdd3b2f002p+3, 0x0p+0}, }, OrthogonalizationFactors {0x1.0eb81f40b8011p+1, 0x1.44a65df82dceap-2, 0x1.1770afc0777eep+0, 0x1.5eb33eb140aa4p-6, }, Pseudopotential {0x1.16cae048aa93cp+3, -0x1.56b5bed2f98cap+9, 0x1.ffdab517cf549p-1, -0x1.25bf50275fc06p+3, }, OneCenterTwoElectronIntegrals {0x1.0eb851eb851ecp+4, 0x1.0b5c28f5c28f6p+4, 0x1.14p+4, 0x1.dd1eb851eb852p+3, 0x1.351eb851eb852p+2, }, Sp {-0x1.e282ec1490b0cp+6, -0x1.ad158f2c02676p+6}, 0x1.73c13bca059d2p+0, }}
    }  };
  // clang-format on
}

} // namespace nddo
} // namespace Sparrow
} // namespace Scine
