/**
 * @file
 * @copyright This code is licensed under the 3-clause BSD license.\n
 *            Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.\n
 *            See LICENSE.txt for details.
 *
 * @note This file was generated by the Embed binary from runtime values.
 *   Prefer improving the generator over editing this file whenever possible.
 *
 * This file contains functions generating runtime values. It was
 * generated from runtime values of its return type. It is not intended to be
 * human-readable. A small guide: Return values are directly brace-initialized
 * in deep nesting to keep file size to a minimum. Types are annotated only when
 * necessary. Floating point values are represented in hexadecimal (see
 * std::hexfloat) to ensure serialization does not cause loss of accuracy.
 *
 * The functions defined here might be declared and called elsewhere entirely.
 *
 */
#include "Sparrow/Implementations/Nddo/Omx/ParametersOmx.h"

namespace Scine {
namespace Sparrow {
namespace nddo {

ParametersOmx om3() {
  // clang-format off
  using Sp = ParametersOmx::Values::Sp;
  using Sppi = ParametersOmx::Values::Sppi;
  using ResonanceIntegrals = ParametersOmx::Values::ResonanceIntegrals;
  using OrthogonalizationFactors = ParametersOmx::Values::OrthogonalizationFactors;
  using Pseudopotential = ParametersOmx::Values::Pseudopotential;
  using OneCenterTwoElectronIntegrals = ParametersOmx::Values::OneCenterTwoElectronIntegrals;
  return {
    {
      {1, {ResonanceIntegrals {Sppi {0x1.1bebcbeb7b63ap-4, 0x0p+0, 0x0p+0}, Sppi {-0x1.b3486330a6e6ep+1, 0x0p+0, 0x0p+0}, Sppi {}, Sppi {}, }, OrthogonalizationFactors {0x1.0408c8259e1f4p-2, 0x1.6c8d49aa1817p-2, 0x0p+0, 0x0p+0, }, Pseudopotential {0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }, OneCenterTwoElectronIntegrals {0x1.9b22d0e560419p+3, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }, Sp {-0x1.8eaa48631b2d5p+3, 0x0p+0}, 0x1.42520d68f4354p+0, }},
      {6, {ResonanceIntegrals {Sppi {0x1.78b710cdd8908p-4, 0x1.b00c3ca44b237p-5, 0x1.940e9aa283223p-4}, Sppi {-0x1.c99ad4776613p+2, -0x1.009e449962114p+2, -0x1.68eefc41da6afp+2}, Sppi {0x1.9a91e46e7f0ebp-4, 0x1.c1f6aff525b17p-5, 0x0p+0}, Sppi {-0x1.8cbed7f74d53fp+2, -0x1.0edc1f90940c6p+2, 0x0p+0}, }, OrthogonalizationFactors {0x1.a5639525c185ap-2, 0x1.a9ef7d25f07f8p-4, 0x0p+0, 0x0p+0, }, Pseudopotential {0x1.6cccccccccccdp+2, -0x1.1bd12641b328bp+8, 0x1.39d5895ee3e62p-3, -0x1.67cf80387490ap+4, }, OneCenterTwoElectronIntegrals {0x1.875c28f5c28f6p+3, 0x1.628f5c28f5c29p+3, 0x1.6f0a3d70a3d71p+3, 0x1.3ae147ae147aep+3, 0x1.370a3d70a3d71p+1, }, Sp {-0x1.947ad32d391e3p+5, -0x1.3cd64ae805b85p+5}, 0x1.47329177b71bbp+0, }},
      {7, {ResonanceIntegrals {Sppi {0x1.8387fa34e4e42p-4, 0x1.1c53e63121e1p-4, 0x1.ae8e12a7cd63fp-4}, Sppi {-0x1.ad9871a10218bp+3, -0x1.6c408bec06f9cp+2, -0x1.083ede52055b6p+3}, Sppi {0x1.d12bb438d7371p-4, 0x1.7aa7762621fdbp-4, 0x0p+0}, Sppi {-0x1.6cf0d94be12ap+3, -0x1.f7fc8f881dc64p+2, 0x0p+0}, }, OrthogonalizationFactors {0x1.2a1ab40b5fda8p-1, 0x1.e5ac1c2829bfcp-5, 0x0p+0, 0x0p+0, }, Pseudopotential {0x1.af26b17a60ef3p+2, -0x1.7cf14f285c3fap+8, 0x1.45f235112ed18p-3, -0x1.6c827b7d4ee03p+4, }, OneCenterTwoElectronIntegrals {0x1.b2e147ae147aep+3, 0x1.9f5c28f5c28f6p+3, 0x1.951eb851eb852p+3, 0x1.72e147ae147aep+3, 0x1.91eb851eb851fp+1, }, Sp {-0x1.2fefc0fe62711p+6, -0x1.cb172704a6addp+5}, 0x1.4f459057fc6b5p+0, }},
      {8, {ResonanceIntegrals {Sppi {0x1.09790c0571d9ep-3, 0x1.7be8d6ee8ebe7p-4, 0x1.497151a6e6b43p-3}, Sppi {-0x1.cdb56c5898c86p+3, -0x1.18ad321d08a47p+3, -0x1.9e660c28d83b7p+3}, Sppi {0x1.294b497f7adf7p-3, 0x1.c1d13e20a20cp-4, 0x0p+0}, Sppi {-0x1.b20c88b499fb1p+3, -0x1.2d8110c6ccadap+3, 0x0p+0}, }, OrthogonalizationFactors {0x1.1af6ae1cb36ap-1, 0x1.fe19c11c3f7bcp-5, 0x0p+0, 0x0p+0, }, Pseudopotential {0x1.ef8371e4f4b6dp+2, -0x1.00426e978d4fep+9, 0x1.76659a639901ap-3, -0x1.a21ecb06cefc2p+4, }, OneCenterTwoElectronIntegrals {0x1.ed70a3d70a3d7p+3, 0x1.d0a3d70a3d70ap+3, 0x1.cf5c28f5c28f6p+3, 0x1.9f5c28f5c28f6p+3, 0x1.f851eb851eb85p+1, }, Sp {-0x1.a72c3c2a27c6cp+6, -0x1.3b9ebed8ee434p+6}, 0x1.35588450872cp+0, }},
      {9, {ResonanceIntegrals {Sppi {0x1.3ec0ef1e05799p-2, 0x1.fde619fad2ef8p-4, 0x1.ba4ab860034aep-3}, Sppi {-0x1.8cbf85b1b03bcp+2, -0x1.ba439682b8d77p+3, -0x1.2f7948156d7a8p+4}, Sppi {0x1.4e10f9a26dd3ap-2, 0x1.3d62bdba6038ap-3, 0x0p+0}, Sppi {-0x1.0203005ac3c5fp+3, -0x1.bd8fd81a07e9p+3, 0x0p+0}, }, OrthogonalizationFactors {0x1.0904697132c83p+0, 0x1.1f703978f2852p-3, 0x0p+0, 0x0p+0, }, Pseudopotential {0x1.16847941347dbp+3, -0x1.56b5c257a8de6p+9, 0x1.c155f62bc0ce1p-14, -0x1.540c3c13569efp+3, }, OneCenterTwoElectronIntegrals {0x1.0eb851eb851ecp+4, 0x1.0b5c28f5c28f6p+4, 0x1.14p+4, 0x1.dd1eb851eb852p+3, 0x1.351eb851eb852p+2, }, Sp {-0x1.e29e7c2dcdee9p+6, -0x1.ae031e143d23dp+6}, 0x1.34a55f4a934c2p+0, }}
    }  };
  // clang-format on
}

} // namespace nddo
} // namespace Sparrow
} // namespace Scine
