/**
 * @file
 * @copyright This code is licensed under the 3-clause BSD license.\n
 *            Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.\n
 *            See LICENSE.txt for details.
 *
 * @note This file was generated by the Embed binary from runtime values.
 *   Prefer improving the generator over editing this file whenever possible.
 *
 * This file contains functions generating runtime values. It was
 * generated from runtime values of its return type. It is not intended to be
 * human-readable. A small guide: Return values are directly brace-initialized
 * in deep nesting to keep file size to a minimum. Types are annotated only when
 * necessary. Floating point values are represented in hexadecimal (see
 * std::hexfloat) to ensure serialization does not cause loss of accuracy.
 *
 * The functions defined here might be declared and called elsewhere entirely.
 *
 */
#include "Sparrow/Resources/Dftb/3ob-2-1/Parameters.h"
#include "Sparrow/Implementations/Dftb/ParameterSet.h"

namespace Scine {
namespace Sparrow {
namespace dftb {

namespace {

std::vector<bool> remapElements(const std::vector<int>& elements) {
  std::vector<bool> required(112, false);
  for (int Z : elements) {
    required.at(Z) = true;
  }
  return required;
}

} // namespace

ParameterSet params_3ob_2_1(const std::vector<int>& elements) {
  ParameterSet data;

  if (elements.empty()) {
    data.pairData.emplace(std::make_pair(6, 15), params_3ob_2_1_c_p());
    data.pairData.emplace(std::make_pair(16, 1), params_3ob_2_1_s_h());
    data.pairData.emplace(std::make_pair(8, 8), params_3ob_2_1_o_o());
    data.pairData.emplace(std::make_pair(15, 15), params_3ob_2_1_p_p());
    data.pairData.emplace(std::make_pair(1, 15), params_3ob_2_1_h_p());
    data.pairData.emplace(std::make_pair(6, 16), params_3ob_2_1_c_s());
    data.pairData.emplace(std::make_pair(16, 7), params_3ob_2_1_s_n());
    data.pairData.emplace(std::make_pair(16, 8), params_3ob_2_1_s_o());
    data.pairData.emplace(std::make_pair(8, 16), params_3ob_2_1_o_s());
    data.pairData.emplace(std::make_pair(7, 16), params_3ob_2_1_n_s());
    data.pairData.emplace(std::make_pair(7, 6), params_3ob_2_1_n_c());
    data.pairData.emplace(std::make_pair(7, 1), params_3ob_2_1_n_h());
    data.pairData.emplace(std::make_pair(15, 16), params_3ob_2_1_p_s());
    data.pairData.emplace(std::make_pair(8, 1), params_3ob_2_1_o_h());
    data.pairData.emplace(std::make_pair(6, 7), params_3ob_2_1_c_n());
    data.pairData.emplace(std::make_pair(7, 7), params_3ob_2_1_n_n());
    data.pairData.emplace(std::make_pair(6, 1), params_3ob_2_1_c_h());
    data.pairData.emplace(std::make_pair(15, 6), params_3ob_2_1_p_c());
    data.pairData.emplace(std::make_pair(7, 8), params_3ob_2_1_n_o());
    data.pairData.emplace(std::make_pair(7, 15), params_3ob_2_1_n_p());
    data.pairData.emplace(std::make_pair(16, 6), params_3ob_2_1_s_c());
    data.pairData.emplace(std::make_pair(1, 1), params_3ob_2_1_h_h());
    data.pairData.emplace(std::make_pair(6, 6), params_3ob_2_1_c_c());
    data.pairData.emplace(std::make_pair(1, 7), params_3ob_2_1_h_n());
    data.pairData.emplace(std::make_pair(1, 16), params_3ob_2_1_h_s());
    data.pairData.emplace(std::make_pair(6, 8), params_3ob_2_1_c_o());
    data.pairData.emplace(std::make_pair(8, 7), params_3ob_2_1_o_n());
    data.pairData.emplace(std::make_pair(1, 8), params_3ob_2_1_h_o());
    data.pairData.emplace(std::make_pair(15, 7), params_3ob_2_1_p_n());
    data.pairData.emplace(std::make_pair(16, 15), params_3ob_2_1_s_p());
    data.pairData.emplace(std::make_pair(15, 1), params_3ob_2_1_p_h());
    data.pairData.emplace(std::make_pair(8, 6), params_3ob_2_1_o_c());
    data.pairData.emplace(std::make_pair(16, 16), params_3ob_2_1_s_s());
    data.pairData.emplace(std::make_pair(8, 15), params_3ob_2_1_o_p());
    data.pairData.emplace(std::make_pair(15, 8), params_3ob_2_1_p_o());
    data.pairData.emplace(std::make_pair(1, 6), params_3ob_2_1_h_c());
  }
  else {
    const auto required = remapElements(elements);
    if (required.at(6) && required.at(15)) {
      data.pairData.emplace(std::make_pair(6, 15), params_3ob_2_1_c_p());
    }
    if (required.at(16) && required.at(1)) {
      data.pairData.emplace(std::make_pair(16, 1), params_3ob_2_1_s_h());
    }
    if (required.at(8)) {
      data.pairData.emplace(std::make_pair(8, 8), params_3ob_2_1_o_o());
    }
    if (required.at(15)) {
      data.pairData.emplace(std::make_pair(15, 15), params_3ob_2_1_p_p());
    }
    if (required.at(1) && required.at(15)) {
      data.pairData.emplace(std::make_pair(1, 15), params_3ob_2_1_h_p());
    }
    if (required.at(6) && required.at(16)) {
      data.pairData.emplace(std::make_pair(6, 16), params_3ob_2_1_c_s());
    }
    if (required.at(16) && required.at(7)) {
      data.pairData.emplace(std::make_pair(16, 7), params_3ob_2_1_s_n());
    }
    if (required.at(16) && required.at(8)) {
      data.pairData.emplace(std::make_pair(16, 8), params_3ob_2_1_s_o());
    }
    if (required.at(8) && required.at(16)) {
      data.pairData.emplace(std::make_pair(8, 16), params_3ob_2_1_o_s());
    }
    if (required.at(7) && required.at(16)) {
      data.pairData.emplace(std::make_pair(7, 16), params_3ob_2_1_n_s());
    }
    if (required.at(7) && required.at(6)) {
      data.pairData.emplace(std::make_pair(7, 6), params_3ob_2_1_n_c());
    }
    if (required.at(7) && required.at(1)) {
      data.pairData.emplace(std::make_pair(7, 1), params_3ob_2_1_n_h());
    }
    if (required.at(15) && required.at(16)) {
      data.pairData.emplace(std::make_pair(15, 16), params_3ob_2_1_p_s());
    }
    if (required.at(8) && required.at(1)) {
      data.pairData.emplace(std::make_pair(8, 1), params_3ob_2_1_o_h());
    }
    if (required.at(6) && required.at(7)) {
      data.pairData.emplace(std::make_pair(6, 7), params_3ob_2_1_c_n());
    }
    if (required.at(7)) {
      data.pairData.emplace(std::make_pair(7, 7), params_3ob_2_1_n_n());
    }
    if (required.at(6) && required.at(1)) {
      data.pairData.emplace(std::make_pair(6, 1), params_3ob_2_1_c_h());
    }
    if (required.at(15) && required.at(6)) {
      data.pairData.emplace(std::make_pair(15, 6), params_3ob_2_1_p_c());
    }
    if (required.at(7) && required.at(8)) {
      data.pairData.emplace(std::make_pair(7, 8), params_3ob_2_1_n_o());
    }
    if (required.at(7) && required.at(15)) {
      data.pairData.emplace(std::make_pair(7, 15), params_3ob_2_1_n_p());
    }
    if (required.at(16) && required.at(6)) {
      data.pairData.emplace(std::make_pair(16, 6), params_3ob_2_1_s_c());
    }
    if (required.at(1)) {
      data.pairData.emplace(std::make_pair(1, 1), params_3ob_2_1_h_h());
    }
    if (required.at(6)) {
      data.pairData.emplace(std::make_pair(6, 6), params_3ob_2_1_c_c());
    }
    if (required.at(1) && required.at(7)) {
      data.pairData.emplace(std::make_pair(1, 7), params_3ob_2_1_h_n());
    }
    if (required.at(1) && required.at(16)) {
      data.pairData.emplace(std::make_pair(1, 16), params_3ob_2_1_h_s());
    }
    if (required.at(6) && required.at(8)) {
      data.pairData.emplace(std::make_pair(6, 8), params_3ob_2_1_c_o());
    }
    if (required.at(8) && required.at(7)) {
      data.pairData.emplace(std::make_pair(8, 7), params_3ob_2_1_o_n());
    }
    if (required.at(1) && required.at(8)) {
      data.pairData.emplace(std::make_pair(1, 8), params_3ob_2_1_h_o());
    }
    if (required.at(15) && required.at(7)) {
      data.pairData.emplace(std::make_pair(15, 7), params_3ob_2_1_p_n());
    }
    if (required.at(16) && required.at(15)) {
      data.pairData.emplace(std::make_pair(16, 15), params_3ob_2_1_s_p());
    }
    if (required.at(15) && required.at(1)) {
      data.pairData.emplace(std::make_pair(15, 1), params_3ob_2_1_p_h());
    }
    if (required.at(8) && required.at(6)) {
      data.pairData.emplace(std::make_pair(8, 6), params_3ob_2_1_o_c());
    }
    if (required.at(16)) {
      data.pairData.emplace(std::make_pair(16, 16), params_3ob_2_1_s_s());
    }
    if (required.at(8) && required.at(15)) {
      data.pairData.emplace(std::make_pair(8, 15), params_3ob_2_1_o_p());
    }
    if (required.at(15) && required.at(8)) {
      data.pairData.emplace(std::make_pair(15, 8), params_3ob_2_1_p_o());
    }
    if (required.at(1) && required.at(6)) {
      data.pairData.emplace(std::make_pair(1, 6), params_3ob_2_1_h_c());
    }
  }
  data.spin = params_3ob_2_1_spin();
  data.hubbard = params_3ob_2_1_hubbard();

  return data;
}

SkfSpinConstants params_3ob_2_1_spin() {
  // clang-format off
  return {{
    {15, {{{{-0x1.51d68c692f6e8p-6, -0x1.079e59f2ba9d2p-6, 0x1.1b1d92b7fe08bp-12}}, {{-0x1.079e59f2ba9d2p-6, -0x1.e83e425aee632p-7, -0x1.797cc39ffd60fp-13}}, {{0x1.1b1d92b7fe08bp-12, -0x1.797cc39ffd60fp-13, -0x1.47ae147ae147bp-4}}}}},
    {1, {{{{-0x1.25d8d79d0a676p-4, 0x0p+0, 0x0p+0}}, {{0x0p+0, 0x0p+0, 0x0p+0}}, {{0x0p+0, 0x0p+0, 0x0p+0}}}}},
    {6, {{{{-0x1.f5ad96a6a0126p-6, -0x1.9a6b50b0f27bbp-6, 0x0p+0}}, {{-0x1.9a6b50b0f27bbp-6, -0x1.7318fc504816fp-6, 0x0p+0}}, {{0x0p+0, 0x0p+0, 0x0p+0}}}}},
    {16, {{{{-0x1.5e2046c764aep-6, -0x1.165d3996fa82fp-6, 0x1.3a92a30553261p-13}}, {{-0x1.165d3996fa82fp-6, -0x1.fb9389b52007ep-7, -0x1.f75104d551d69p-15}}, {{0x1.3a92a30553261p-13, -0x1.f75104d551d69p-15, -0x1.47ae147ae147bp-4}}}}},
    {7, {{{{-0x1.0fcf80dc33722p-5, -0x1.c36113404ea4bp-6, 0x0p+0}}, {{-0x1.c36113404ea4bp-6, -0x1.a0f9096bb98c8p-6, 0x0p+0}}, {{0x0p+0, 0x0p+0, 0x0p+0}}}}},
    {8, {{{{-0x1.20afa2f05a709p-5, -0x1.e44fa05143bf7p-6, 0x0p+0}}, {{-0x1.e44fa05143bf7p-6, -0x1.c84b5dcc63f14p-6, 0x0p+0}}, {{0x0p+0, 0x0p+0, 0x0p+0}}}}},
  }};
  // clang-format on
}
SkfHubbardDerivatives params_3ob_2_1_hubbard() {
  // clang-format off
  return {{
    {15, -0x1.1eb851eb851ecp-3},
    {1, -0x1.7c504816f0069p-3},
    {6, -0x1.318fc504816fp-3},
    {16, -0x1.c28f5c28f5c29p-4},
    {7, -0x1.3a5e353f7ced9p-3},
    {8, -0x1.428f5c28f5c29p-3},
  }};
  // clang-format on
}
SkfData params_3ob_2_1_c_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.52a0f2f0df79cp-6, 0x1.5186477478d3ap-5, 0x1.f7924b7df2d2cp-5, 0x1.4d3ca5d268923p-4, 0x1.9cac05aacdd8dp-4, 0x1.e9b31ae6e7c7p-4, 0x1.19fdb115a6b4ep-3, 0x1.3d9de2ab1e98fp-3, 0x1.5f9bfe35dd20fp-3, 0x1.7fdfe6c9938f5p-3, 0x1.9e56f3b38ccd8p-3, 0x1.baf36297eecfap-3, 0x1.d5abf1e0fd64p-3, 0x1.ee7b3d8005c84p-3, 0x1.02af95dcf96c7p-2, 0x1.0d2c6be018d7ep-2, 0x1.16b5ebf918c71p-2, 0x1.1f4f0099c1b49p-2, 0x1.26fb8c8d9491dp-2, 0x1.2dc051f7dfa53p-2, 0x1.33a2ca95c9b8bp-2, 0x1.38a8e587b31efp-2, 0x1.3cd97a3e6d277p-2, 0x1.403b0db2d44ap-2, 0x1.42d5413cad372p-2, 0x1.44b0699ed39bdp-2, 0x1.45d3444137639p-2, 0x1.4646704485665p-2, 0x1.46122c06794cap-2, 0x1.453ed8a6b480dp-2, 0x1.43d4a69cb86dcp-2, 0x1.41dbdd7f129c1p-2, 0x1.3f5ce59b2b5f4p-2, 0x1.3c600d1f24cc6p-2, 0x1.38ed6d3484b9dp-2, 0x1.350cf9f354f13p-2, 0x1.30c68ddeb3c7ap-2, 0x1.2c21e3ca99e9dp-2, 0x1.27268af95dea6p-2, 0x1.21dbda01013b8p-2, 0x1.1c48e2c865365p-2, 0x1.16746f90569bp-2, 0x1.10650c24400b1p-2, 0x1.0a2111dd19f3fp-2, 0x1.03aea9fd6133dp-2, 0x1.fa2786a548067p-3, 0x1.ecac05113bb59p-3, 0x1.def56e99b000cp-3, 0x1.d10db7f3e909dp-3, 0x1.c2fe3e263dc68p-3, 0x1.b4cfe2adec005p-3, 0x1.a68b2435e09abp-3, 0x1.98382afb378e5p-3, 0x1.89dec61d6f3d1p-3, 0x1.7b8d4cb4a09abp-3, 0x1.6d3e9ceab1a5cp-3, 0x1.5efd2b1f6b6f9p-3, 0x1.50ce8ed3125cfp-3, 0x1.42b83efb904aap-3, 0x1.34bf7c62f435ap-3, 0x1.26e92c5c6aecfp-3, 0x1.1939b9e17ba67p-3, 0x1.0bb50b3654282p-3, 0x1.fcbd1b7ebc95ep-4, 0x1.e2729ecf21b54p-4, 0x1.c89031eea2da1p-4, 0x1.af1afe81ffccep-4, 0x1.9617ce7c4e2c9p-4, 0x1.7d8afede6fcc2p-4, 0x1.657868e99ab48p-4, 0x1.4de34e6e12db1p-4, 0x1.36ce51ac6a6p-4, 0x1.203b7b1fa27bp-4, 0x1.0a2c4a4c25d4fp-4, 0x1.e94397ff28975p-5, 0x1.bf3960eefdaf9p-5, 0x1.963abb8209bd6p-5, 0x1.6e47fa068c8b8p-5, 0x1.4761067dc3945p-5, 0x1.21856dceae87cp-5, 0x1.f968cebfca998p-6, 0x1.b1d9b577f85d7p-6, 0x1.6c5ac77fdf6f6p-6, 0x1.28e8aa6020b4ep-6, 0x1.cefee63bed83ep-7, 0x1.503549d9de3e5p-7, 0x1.aad4b8d22e3eep-8, 0x1.7a4b2c066f56ep-9, -0x1.45df0def48e5fp-11, -0x1.06eb243bf8f18p-8, -0x1.dd860c50a0864p-8, -0x1.56566958221d5p-7, -0x1.ba4101e6000c9p-7, -0x1.0d4a9c3b3e367p-6, -0x1.3bb3461b75e13p-6, -0x1.6864c008104dbp-6, -0x1.9369bf7d9d4a6p-6, -0x1.bccd5b66520dbp-6, -0x1.e49af530d58a7p-6, -0x1.056f0f633b8bep-5, -0x1.17d13f84f7dd6p-5, -0x1.2979db5d0d91fp-5, -0x1.3a6ea3c3bd862p-5, -0x1.4ab53f796cb7ep-5, -0x1.5a53331ba7ad6p-5, -0x1.694ddc0e071c9p-5, -0x1.77aa6e8b1d969p-5, -0x1.856df6d1e74d6p-5, -0x1.929d5d2135b6bp-5, -0x1.9f3d6bf13cf83p-5, -0x1.ab3f252d42a8fp-5, -0x1.b6c72497c5d3fp-5, -0x1.c1ceea774b84p-5, -0x1.cc5bbb435e586p-5, -0x1.d672c0c287797p-5, -0x1.e019012965e07p-5, -0x1.e9535799097ccp-5, -0x1.f2266e62b3b8fp-5, -0x1.fa96bb4e8e368p-5, -0x1.01543efc95e6p-4, -0x1.052fe018ce76ap-4, -0x1.08e02c0d5e6abp-4, -0x1.0c66f5d8dad7ap-4, -0x1.0fc5faa2d5f9bp-4, -0x1.12fee431f242bp-4, -0x1.16134b60a2f08p-4, -0x1.1904ba5e2bf5cp-4, -0x1.1bd4ae9704694p-4, -0x1.1e849a2f68a53p-4, -0x1.2115e50a1ffb6p-4, -0x1.2389ed6248e69p-4, -0x1.25e20808017c7p-4, -0x1.281f80549539p-4, -0x1.2a4397ebc19dp-4, -0x1.2c4f865d7a311p-4, -0x1.2e4478b7857dap-4, -0x1.302391117d9b7p-4, -0x1.31ede6195d547p-4, -0x1.33a482a35848dp-4, -0x1.3548653df2a0ap-4, -0x1.36da7fcadaa5bp-4, -0x1.385bb71dcd3efp-4, -0x1.39cce2a43a9c1p-4, -0x1.3b2ecc19d825bp-4, -0x1.3c822f4f68b4cp-4, -0x1.3dc7ba0966f4ep-4, -0x1.3f000bfbc9e35p-4, -0x1.402bb6e6f07aep-4, -0x1.414b3ed816ffcp-4, -0x1.425f1a8dcfa6bp-4, -0x1.4367b3ff12cb7p-4, -0x1.44656901e159dp-4, -0x1.45588c0d28745p-4, -0x1.46416510bca34p-4, -0x1.4720325dbcf98p-4, -0x1.47f5299987602p-4, -0x1.48c078b57031dp-4, -0x1.498246e5b79f4p-4, -0x1.4a3ab5928d598p-4, -0x1.4ae9e13e774cfp-4, -0x1.4b8fe25dfe5a9p-4, -0x1.4c2cce1d2225fp-4, -0x1.4cc0b70fd6eafp-4, -0x1.4d4badcb800e3p-4, -0x1.4dcdc168376a1p-4, -0x1.4e46ffe970937p-4, -0x1.4eb7768e57cb2p-4, -0x1.4f1f320b0180bp-4, -0x1.4f7e3eac31b23p-4, -0x1.4fd4a8680173cp-4, -0x1.50227ade28a6p-4, -0x1.5067c14ae8684p-4, -0x1.50a4866fc68f3p-4, -0x1.50d8d4753f22fp-4, -0x1.5104b4c876878p-4, -0x1.51282ff7b1454p-4, -0x1.51434d8ffcde6p-4, -0x1.515613fe1676cp-4, -0x1.516088741ac79p-4, -0x1.5162aed5230c9p-4, -0x1.515c89a7841d9p-4, -0x1.514e1a0df612dp-4, -0x1.51375fc7adc75p-4, -0x1.511859371015ep-4, -0x1.50f1036ea328cp-4, -0x1.50c15a439229cp-4, -0x1.508958653d447p-4, -0x1.5048f779241f3p-4, -0x1.5000303a97b9bp-4, -0x1.4faefa9da422ap-4, -0x1.4f554df4a89fcp-4, -0x1.4ef321182a5a4p-4, -0x1.4e886a906a74cp-4, -0x1.4e1520c0508a6p-4, -0x1.4d993a113efacp-4, -0x1.4d14ad1f5b51ap-4, -0x1.4c8770e5dde49p-4, -0x1.4bf17ceaed28bp-4, -0x1.4b52c96a90a33p-4, -0x1.4aab4f803fc93p-4, -0x1.49fb094e9dfa2p-4, -0x1.4941f224f0872p-4, -0x1.488006a1e9cc3p-4, -0x1.47b544d3710c6p-4, -0x1.46e1ac531a5bbp-4, -0x1.46053e5f0947cp-4, -0x1.451ffdef156e1p-4, -0x1.4431efc60dfedp-4, -0x1.433b1a7f043d9p-4, -0x1.423b8696a1677p-4, -0x1.41333e70855a8p-4, -0x1.40224e58d3a3fp-4, -0x1.3f08c481fc81p-4, -0x1.3de6b0ff03712p-4, -0x1.3cbc25ba6bcfap-4, -0x1.3b89366a12e15p-4, -0x1.3a4df8804409ep-4, -0x1.390a831a521a8p-4, -0x1.37beeeed13d78p-4, -0x1.366b562f9f036p-4, -0x1.350fd4849f85dp-4, -0x1.33ac86e2acac2p-4, -0x1.323564a08b946p-4, -0x1.30c42bcda6944p-4, -0x1.2f4b9919f14b5p-4, -0x1.2dcbc8c02392dp-4, -0x1.2c44d7dfd3dd6p-4, -0x1.2ab6e479dbcd3p-4, -0x1.29220d6c3d993p-4, -0x1.2786726d7b1fbp-4, -0x1.25e4340744cb2p-4, -0x1.243b73907207fp-4, -0x1.228c53263b083p-4, -0x1.20d6f5a4a8bddp-4, -0x1.1f1b7e9e42444p-4, -0x1.1d5a1252f91f9p-4, -0x1.1b92d5a6612a4p-4, -0x1.19c5ee1543ac1p-4, -0x1.17f381aaa14e6p-4, -0x1.161bb6f43be89p-4, -0x1.143eb4f6c03f1p-4, -0x1.125ca321ad9dp-4, -0x1.1075a943149cep-4, -0x1.0e89ef7b51e64p-4, -0x1.0c999e30d6fd6p-4, -0x1.0aa4de042347cp-4, -0x1.08abd7c403411p-4, -0x1.06aeb4622f373p-4, -0x1.04ad9ce85772ap-4, -0x1.02a8ba6db2ba3p-4, -0x1.00a0360d19672p-4, -0x1.fd2871b76ed29p-5, -0x1.f909d7c0b3f9ep-5, -0x1.f4e4f016b768cp-5, -0x1.f0ba0c5e5b907p-5, -0x1.ec897df2fc4cap-5, -0x1.e85395d9dbdefp-5, -0x1.e418a4b6b44c3p-5, -0x1.dfd8fac145b34p-5, -0x1.db94e7bbdba27p-5, -0x1.d74cbaeaaa1b5p-5, -0x1.d300c30bec73bp-5, -0x1.ceb14e50ac0b6p-5, -0x1.ca5eaa561a14p-5, -0x1.c609241f5c65fp-5, -0x1.c1b1080fc27b3p-5, -0x1.bd56a1e53fb9fp-5, -0x1.b8fa3cb3229dcp-5, -0x1.b49c22dcf3a2fp-5, -0x1.b03c9e1165c97p-5, -0x1.abdbf7455b25ep-5, -0x1.a77a76aee20f2p-5, -0x1.a31863c0297fep-5, -0x1.9eb605226d60fp-5, -0x1.9a53a0b0c544ep-5, -0x1.95f17b72e241p-5, -0x1.918fd997b7a95p-5, -0x1.8d2efe700bdffp-5, -0x1.88cf2c68f3aep-5, -0x1.8470a506441cep-5, -0x1.8013a8dcf6f01p-5, -0x1.7bb8778d87625p-5, -0x1.775f4fbe5b326p-5, -0x1.73086f162d18fp-5, -0x1.6eb412368ba5fp-5, -0x1.6a6274b67173bp-5, -0x1.6613d11cfd04p-5, -0x1.61c860dc56b52p-5, -0x1.5d805c4cc1a31p-5, -0x1.593bfaa7e74b6p-5, -0x1.54fb720462dfdp-5, -0x1.50bef7518ebep-5, -0x1.4c86be539c7f8p-5, -0x1.4852f9a0022e2p-5, -0x1.4423da9a34e0dp-5, -0x1.3ff99170bc024p-5, -0x1.3bd44d1aa120fp-5, -0x1.37b43b5537b48p-5, -0x1.339988a245a5bp-5, -0x1.2f846046869cp-5, -0x1.2b74ec488ea5ap-5, -0x1.276b55700b845p-5, -0x1.2367c3455ce22p-5, -0x1.1f6a5c118a1d6p-5, -0x1.1b7344de8efc6p-5, -0x1.1782a177fbc4p-5, -0x1.1398946bec368p-5, -0x1.0fb53f0c46b29p-5, -0x1.0bd8c1704cf36p-5, -0x1.08033a7672d52p-5, -0x1.0434c7c677f2cp-5, -0x1.006d85d3c477dp-5, -0x1.f95b1fbfff4c2p-6, -0x1.f1e9fffbcc141p-6, -0x1.ea87de289adap-6, -0x1.e334e9c2bb1b5p-6, -0x1.dbf14ffbf381ep-6, -0x1.d4bd3bc2a3f5dp-6, -0x1.cd98d5c934627p-6, -0x1.c684448dd468ap-6, -0x1.bf7fac626e6edp-6, -0x1.b88b2f74e8cdap-6, -0x1.b1a6edd7880f1p-6, -0x1.aad3058991368p-6, -0x1.a40f9280077aep-6, -0x1.9d5caeaea02f4p-6, -0x1.96ba7210c356fp-6, -0x1.9028f2b2b7d96p-6, -0x1.89a844badaf95p-6, -0x1.83387a72ee5p-6, -0x1.7cd9a4517ae51p-6, -0x1.768bd1032d3c9p-6, -0x1.704f0d744b6edp-6, -0x1.6a2364da1c78bp-6, -0x1.6408e0bc5acedp-6, -0x1.5dff88fea4d3dp-6, -0x1.580763e9d615fp-6, -0x1.522076356bcf5p-6, -0x1.4c4ac310d0108p-6, -0x1.46864c2c99a93p-6, -0x1.40d311c3ba79p-6, -0x1.3b3112a498a41p-6, -0x1.35a04c3a1a68fp-6, -0x1.3020ba948caafp-6, -0x1.2ab2587281be7p-6, -0x1.25551f498494fp-6, -0x1.2009074ebe89ep-6, -0x1.1ace077f75137p-6, -0x1.15a415a9703a7p-6, -0x1.108b26733fffdp-6, -0x1.0b832d6464e7ep-6, -0x1.068c1ced50695p-6, -0x1.01a5e66f49eafp-6, -0x1.f9a0f4887207p-7, -0x1.f0178f8c7e582p-7, -0x1.e6af7aae82855p-7, -0x1.dd6890d07cc56p-7, -0x1.d442ab0131552p-7, -0x1.cb3da08a56aep-7, -0x1.c25946fe98eb7p-7, -0x1.b995724759a3fp-7, -0x1.b0f1f4b225293p-7, -0x1.a86e9efdf51f6p-7, -0x1.a00b40683c2ffp-7, -0x1.97c7a6b9a9f6ap-7, -0x1.8fa39e52bc43ap-7, -0x1.879ef2382354cp-7, -0x1.7fb96c1edb772p-7, -0x1.77f2d4782bebap-7, -0x1.704af27d60d53p-7, -0x1.68c18c3b5dbedp-7, -0x1.6156669e05e94p-7, -0x1.5a09457b6db54p-7, -0x1.52d9eb9ef1505p-7, -0x1.4bc81ad40edd6p-7, -0x1.44d393f12e754p-7, -0x1.3dfc16e234d0dp-7, -0x1.374162b3023e5p-7, -0x1.30a33599b242bp-7, -0x1.2a214d00e4a81p-7, -0x1.23bb6591c0e24p-7, -0x1.1d713b3deec15p-7, -0x1.174289496a43fp-7, -0x1.112f0a543f35ap-7, -0x1.0b3678642521ep-7, -0x1.05588cee0065fp-7, -0x1.ff2a01be97846p-8, -0x1.f3d7194ec9916p-8, -0x1.e8b7d0817baeap-8, -0x1.ddcb9673f5e9ap-8, -0x1.d311d97de2d09p-8, -0x1.c88a074319fe3p-8, -0x1.be338cc5460e4p-8, -0x1.b40dd6754162dp-8, -0x1.aa1850444f72ep-8, -0x1.a05265b521755p-8, -0x1.96bb81ec9ed07p-8, -0x1.8d530fc27a4e2p-8, -0x1.841879d191d63p-8, -0x1.7b0b2a880db23p-8, -0x1.722a8c375ceb3p-8, -0x1.69760923d8b4ep-8, -0x1.60ed0b94349e3p-8, -0x1.588efde0b50e2p-8, -0x1.505b4a822c0cep-8, -0x1.48515c20a19bap-8, -0x1.40709da1b7a66p-8, -0x1.38b87a36ed97p-8, -0x1.31285d6b5a8c5p-8, -0x1.29bfb331546d6p-8, -0x1.227de7efafaf6p-8, -0x1.1b62688eb5a48p-8, -0x1.146ca284ddfecp-8, -0x1.0d9c03e305b79p-8, -0x1.06effb60904b2p-8, -0x1.0067f8670027fp-8, -0x1.f406d63a8f3f1p-9, -0x1.e78388e5b864fp-9, -0x1.db44ec5499c64p-9, -0x1.cf49e5c71e221p-9, -0x1.c3915c4bbd5cbp-9, -0x1.b81a38d2b14dap-9, -0x1.ace366405e33bp-9, -0x1.a1ebd17efd72ap-9, -0x1.9732698f6f93fp-9, -0x1.8cb61f99860c7p-9, -0x1.8275e6fb7c266p-9, -0x1.7870b558a0318p-9, -0x1.6ea582a75971cp-9, -0x1.6513493e78c89p-9, -0x1.5bb905e1a16efp-9, -0x1.5295b7cd609edp-9, -0x1.49a860c21f606p-9, -0x1.40f0050ea3c06p-9, -0x1.386bab9a03993p-9, -0x1.301a5dec8a44ep-9, -0x1.27fb2838431c8p-9, -0x1.200d1960d8448p-9, -0x1.184f4302c535bp-9, -0x1.10c0b979e7b52p-9, -0x1.096093e789204p-9, -0x1.022dec37c8f8ep-9, -0x1.f64fbe4cec65cp-10, -0x1.e89b1886c98ecp-10, -0x1.db3c2bec66548p-10, -0x1.ce31430314a8dp-10, -0x1.c37e7708fe85fp-10, -0x1.b704f88a7c45bp-10, -0x1.aada9c2425154p-10, -0x1.9efdcba8d096ap-10, -0x1.936cf61ae34eap-10, -0x1.88268fb0ba2cbp-10, -0x1.7d2911d922751p-10, -0x1.7272fb3eb7109p-10, -0x1.6802cfcb1314bp-10, -0x1.5dd718a95145dp-10, -0x1.53ee6447a70bep-10, -0x1.4a474658d6ddcp-10, -0x1.40e057d461cb9p-10, -0x1.37b836f66b58ep-10, -0x1.2ecd873f32614p-10, -0x1.261ef170d8838p-10, -0x1.1dab238d99048p-10, -0x1.1570d0d4a189dp-10, -0x1.0d6eb1be7ebeap-10, -0x1.05a383f8c8e4p-10, -0x1.fc1c14c2014eap-11, -0x1.ed5a19fe05655p-11, -0x1.defeb1fd8ad04p-11, -0x1.d1078152b5676p-11, -0x1.c37236baf5b58p-11, -0x1.b63c8b0ef80f2p-11, -0x1.a9644131450a8p-11, -0x1.9ce725fc3f2a1p-11, -0x1.90c3102e714e6p-11, -0x1.84f5e056f780bp-11, -0x1.797d80c04e96ep-11, -0x1.6e57e55acd252p-11, -0x1.63830ba56c511p-11, -0x1.58fcfa974623ep-11, -0x1.4ec3c2879fdccp-11, -0x1.44d57d1598d7p-11, -0x1.3b304d0f4e0d8p-11, -0x1.31d25e58b2685p-11, -0x1.28b9e5d1dc8dbp-11, -0x1.1fe5213d16c6cp-11, -0x1.1752572486684p-11, -0x1.0effd6bff48efp-11, -0x1.06ebf7da2069dp-11, -0x1.fe2a356ad4dfdp-12, -0x1.eef34fe29f4b8p-12, -0x1.e03020deabcd2p-12, -0x1.d1dd9a6fb4747p-12, -0x1.c3f8bebe282bcp-12, -0x1.b67e9fd37245cp-12, -0x1.a96c5f642a6ep-12, -0x1.9cbf2e9981244p-12, -0x1.90744ddc1735dp-12, -0x1.84890c9caa5eap-12, -0x1.78fac91faa5c5p-12, -0x1.6dc6f046ab44ap-12, -0x1.62eafd5ba57a6p-12, -0x1.586479db3560fp-12, -0x1.4e30fd4051c3p-12, -0x1.444e2ccf3a43ap-12, -0x1.3ab9bb60d0181p-12, -0x1.3171692f30c3bp-12, -0x1.287303a08caa9p-12, -0x1.1fbc6514989f5p-12, -0x1.174b74afe135fp-12, -0x1.0f1e262b01d4ep-12, -0x1.0732799c9117ep-12, -0x1.ff0cf6920d3cep-13, -0x1.f03086de1356fp-13, -0x1.e1cbec2c8ec58p-13, -0x1.d3db85bab4ab9p-13, -0x1.c65bc98ff3577p-13, -0x1.b949441ce8684p-13, -0x1.aca097d7c39efp-13, -0x1.a05e7cdd476e2p-13, -0x1.947fc08f1cfe1p-13, -0x1.8901453438e93p-13, -0x1.7de00198c0124p-13, -0x1.731900b0213a4p-13, -0x1.68a961373965bp-13, -0x1.5e8e555625642p-13, -0x1.54c52245723b1p-13, -0x1.4b4b1fef7efd7p-13, -0x1.421db89799013p-13, -0x1.393a687e4eb74p-13, -0x1.309ebd8839ea7p-13, -0x1.284856e462693p-13, -0x1.2034e4b67a12cp-13, -0x1.186227bbfd0bcp-13, -0x1.10cdf0f7bf90bp-13, -0x1.0976215c67426p-13, -0x1.0258a976c06b8p-13, -0x1.f6e712353b304p-14, -0x1.e9899e1ed19fbp-14, -0x1.dc95317bc6e9ap-14, -0x1.d00623bdbbaa5p-14, -0x1.c3d8e85a6e373p-14, -0x1.b80a0e24f0e4cp-14, -0x1.ac963eb6d7c3bp-14, -0x1.a17a3dd416a48p-14, -0x1.96b2e8d28ee0dp-14, -0x1.8c3d360229d64p-14, -0x1.8216341987657p-14, -0x1.783b09a3b70e2p-14, -0x1.6ea8f46d64882p-14, -0x1.655d48f87c6c5p-14, -0x1.5c5571edbe29cp-14, -0x1.538eef95ad2aap-14, -0x1.4b07574bf9247p-14, -0x1.42bc52fb8dff6p-14, -0x1.3aaba09c3fba9p-14, -0x1.32d311ad3101cp-14, -0x1.2b308ab7497d4p-14, -0x1.23c202cf0d9b8p-14, -0x1.1c858318f580cp-14, -0x1.1579264feefd1p-14, -0x1.0e9b184dfd33cp-14, -0x1.07e995966a57bp-14, -0x1.0162eae54a36p-14, -0x1.f60ae971c4bb7p-15, -0x1.e99f3dd095a59p-15, -0x1.dd7fc86318e7ap-15, -0x1.d1a99bacf10e7p-15, -0x1.c619e657e6dbep-15, -0x1.bacdf26906e25p-15, -0x1.afc3247ba6881p-15, -0x1.a4f6fafc4d4d9p-15, -0x1.9a670d62b7d9ap-15, -0x1.90110b774f0bdp-15, -0x1.85f2bc986e0f8p-15, -0x1.7c09ff04da40dp-15, -0x1.7254c729713f7p-15, -0x1.68d11ef29b7f3p-15, -0x1.5f7d2522dbc53p-15, -0x1.56570cac6095p-15, -0x1.4d5d1c0be170bp-15, -0x1.448dacaae6186p-15, -0x1.3be72a42a96e7p-15, -0x1.3368124459c71p-15, -0x1.2b0ef3465bd78p-15, -0x1.22da6c6f24792p-15, -0x1.1ac92ce9ac4edp-15, -0x1.12d9f35a72171p-15, -0x1.0b0b8d580b709p-15, -0x1.035cd6e6e7795p-15, -0x1.f79973f340159p-16, -0x1.e8b45be3226e1p-16, -0x1.da086e4b6e99cp-16, -0x1.cb93ccd0cf2ap-16, -0x1.bd54b1393dc76p-16, -0x1.af496c6a675d4p-16, -0x1.a17065a680159p-16, -0x1.93c8199d9a6f5p-16, -0x1.864f19c705de3p-16, -0x1.79040b5cdb2e3p-16, }}, 
      {{0x1.256bd28802d6dp-6, 0x1.24f084be6280ap-5, 0x1.b637ec19eb8c4p-5, 0x1.230d504f58de2p-4, 0x1.6a17296f86b7dp-4, 0x1.b008f648a5ac5p-4, 0x1.f4b6a7c1cc537p-4, 0x1.1bfc6c528b17p-3, 0x1.3cd6627121d63p-3, 0x1.5cda0f331f292p-3, 0x1.7bfa69b4e97d6p-3, 0x1.9a2c6d44db1dfp-3, 0x1.b766ea1fad0f8p-3, 0x1.d3a26d30a3be4p-3, 0x1.eed914c542162p-3, 0x1.0483365682cc1p-2, 0x1.1113a7cfceeb4p-2, 0x1.1d1ce1c4619a6p-2, 0x1.289e7094430afp-2, 0x1.339859a14620ep-2, 0x1.3e0b117a52b28p-2, 0x1.47f7670046c11p-2, 0x1.515e99c5e728ap-2, 0x1.5a4202d15badap-2, 0x1.62a383dddef4p-2, 0x1.6a852d7e915e4p-2, 0x1.71e8e473308ffp-2, 0x1.78d1512c88bcep-2, 0x1.7f40f51db04c1p-2, 0x1.853a7e7993248p-2, 0x1.8ac0b9f2ea164p-2, 0x1.8fd6968494811p-2, 0x1.947f18ec55b6bp-2, 0x1.98bd51f57a1aap-2, 0x1.9c946237253f7p-2, 0x1.a007767de4883p-2, 0x1.a319c13651f57p-2, 0x1.a5ce7b676a47cp-2, 0x1.a828e103e8957p-2, 0x1.aa2c29096da9ep-2, 0x1.abdb85b200fe2p-2, 0x1.ad3a27ccbbfdep-2, 0x1.ae4b3b44dbab1p-2, 0x1.af11e129fff94p-2, 0x1.af912e7252aa9p-2, 0x1.afcc2cf9e3df9p-2, 0x1.afc5d9f94c761p-2, 0x1.af81234445cdep-2, 0x1.af00e6a73ab25p-2, 0x1.ae47f2edf4299p-2, 0x1.ad5907fdc7a3cp-2, 0x1.ac36d56a4ec4cp-2, 0x1.aae3f8f42d8ddp-2, 0x1.a962fde0d3db6p-2, 0x1.a7b61a1181e57p-2, 0x1.a5e020af2b1b2p-2, 0x1.a3e32d234b1fdp-2, 0x1.a1c18326a8903p-2, 0x1.9f7d53b9b13e6p-2, 0x1.9d18bb10a44ebp-2, 0x1.9a95c03f5da27p-2, 0x1.97f6565d7f054p-2, 0x1.953c5e150cf8cp-2, 0x1.9269a6bc89b5p-2, 0x1.8f7feed23ca93p-2, 0x1.8c80e436bf771p-2, 0x1.896e248b02421p-2, 0x1.86493dc570724p-2, 0x1.8313aeca2a79dp-2, 0x1.7fcee7cbbd12cp-2, 0x1.7c7c4a6876e97p-2, 0x1.791d29ab44833p-2, 0x1.75b2ca276488cp-2, 0x1.723e624f19325p-2, 0x1.6ec11afcd2487p-2, 0x1.6b3c1007ca70fp-2, 0x1.67b050b83e35cp-2, 0x1.641ee0026f4eep-2, 0x1.6088b48d57df6p-2, 0x1.5ceeb8a2d84c5p-2, 0x1.5951ca314e0e5p-2, 0x1.55b2baff74eap-2, 0x1.5212512033881p-2, 0x1.4e71479cd1fb9p-2, 0x1.4ad04f3a4a337p-2, 0x1.47300f3779df8p-2, 0x1.439125e75b43p-2, 0x1.3ff4291851c7cp-2, 0x1.3c59a64a14d25p-2, 0x1.38c222c10dad2p-2, 0x1.352e1b8c8cfc6p-2, 0x1.319e0594cc082p-2, 0x1.2e124dbfe635ap-2, 0x1.2a8b59346b75bp-2, 0x1.270985b7a61bbp-2, 0x1.238d2a1eb0916p-2, 0x1.201696c59bfd6p-2, 0x1.1ca615ff4011bp-2, 0x1.193bec72ef4fap-2, 0x1.15d8596215ac7p-2, 0x1.127b96d5a2cdcp-2, 0x1.0f25d9b880c9fp-2, 0x1.0bd751e822fe5p-2, 0x1.08902a45ab4f3p-2, 0x1.055088d1300e2p-2, 0x1.02188ed5cf2a1p-2, 0x1.fdd0b25254924p-3, 0x1.f78000f973a2ap-3, 0x1.f13f33776f6a8p-3, 0x1.eb0e6cdc18925p-3, 0x1.e4ed8addb7704p-3, 0x1.dedd33a6d6a4cp-3, 0x1.d8dd31841a54fp-3, 0x1.d2ed915ef453dp-3, 0x1.cd0e5b161d389p-3, 0x1.c73f91c92e694p-3, 0x1.c181341e64d06p-3, 0x1.bbd33c844328cp-3, 0x1.b635a1710e87fp-3, 0x1.b0a855a1f3d4p-3, 0x1.ab2b485b1ffefp-3, 0x1.a5be65a9519c3p-3, 0x1.a06196a4a39a4p-3, 0x1.9b14c1b38cc35p-3, 0x1.95d7cacc9f1p-3, 0x1.90aa93b55fb57p-3, 0x1.8b8cfc3cd3afdp-3, 0x1.867ee270b7265p-3, 0x1.818022cd107cfp-3, 0x1.7c909866494d8p-3, 0x1.77b01d0e9cdecp-3, 0x1.72de8977e3fa3p-3, 0x1.6e1bb552e067cp-3, 0x1.6967776d04806p-3, 0x1.64c1a5cd5eda3p-3, 0x1.602a15d0f5b2ap-3, 0x1.5ba09c468a2cfp-3, 0x1.57250d8971966p-3, 0x1.52b73d9b222cap-3, 0x1.4e57003b1fd6p-3, 0x1.4a0428fcfe071p-3, 0x1.45be8b5c7ddfdp-3, 0x1.4185facff2b7bp-3, 0x1.3d5a4ad92f128p-3, 0x1.393b4f15654ccp-3, 0x1.3528db4c55b94p-3, 0x1.3122c37f0fabap-3, 0x1.2d28dbf67cdb2p-3, 0x1.293af951b9c17p-3, 0x1.2558f094279a6p-3, 0x1.2182973310706p-3, 0x1.1db7c32295f63p-3, 0x1.19f84ae1a934bp-3, 0x1.16440584c8335p-3, 0x1.129acabf41657p-3, 0x1.0efc72eae197ap-3, 0x1.0b68d70decb28p-3, 0x1.07dfd0df74acfp-3, 0x1.04613aca22e9p-3, 0x1.00ecefedafcbfp-3, 0x1.fb05983e6917ep-4, 0x1.f44557d152028p-4, 0x1.ed98d90f9459cp-4, 0x1.e6ffd7d93ff9fp-4, 0x1.e07a116f958c1p-4, 0x1.da0744718c5bbp-4, 0x1.d3a730d84f60ep-4, 0x1.cd5997f3ba4a5p-4, 0x1.c71e3c66f7f43p-4, 0x1.c0f4e225067bdp-4, 0x1.badd4e6d360bep-4, 0x1.b4d747c779eb7p-4, 0x1.aee296007bfacp-4, 0x1.a8ff022576217p-4, 0x1.a32c567fa3f21p-4, 0x1.9d6a5e8f5c577p-4, 0x1.97b8e706bad7ep-4, 0x1.9217bdc3d841cp-4, 0x1.8c86b1ca9076fp-4, 0x1.8705933dd71abp-4, 0x1.81943358a7cbdp-4, 0x1.7c326466a5f93p-4, 0x1.76dff9bc808bfp-4, 0x1.719cc7b03e868p-4, 0x1.6c68a3918e195p-4, 0x1.674363a23df1p-4, 0x1.622cdf0efc2ep-4, 0x1.5d24ede875977p-4, 0x1.582b691ce483dp-4, 0x1.53402a721a5f8p-4, 0x1.4e630c80015bp-4, 0x1.4993eaab89f07p-4, 0x1.44d2a121f3894p-4, 0x1.401f0cd457fe1p-4, 0x1.3b790b73571abp-4, 0x1.36e07b6acdbedp-4, 0x1.32553bdd71b9fp-4, 0x1.2dd72ca03dfa9p-4, 0x1.29662e359642bp-4, 0x1.250221c8182d4p-4, 0x1.20aae925081a1p-4, 0x1.1c6066b663264p-4, 0x1.18227d7c954fdp-4, 0x1.13f11107dfe81p-4, 0x1.0fcc0571810aep-4, 0x1.0bb33f54b272bp-4, 0x1.07a6a3c794c5fp-4, 0x1.03a618541b10ep-4, 0x1.ff6305e22d3ccp-5, 0x1.f79193f6de4bdp-5, 0x1.efd7a85f41fb1p-5, 0x1.e83511471e6c9p-5, 0x1.e0a99d816b8c6p-5, 0x1.d9351c7d89cb6p-5, 0x1.d1d75e3d513cap-5, 0x1.ca90334c00d27p-5, 0x1.c35f6cb5fc7ep-5, 0x1.bc44dc015d5bbp-5, 0x1.b54053273d0dep-5, 0x1.ae51a48d9cf59p-5, 0x1.a778a301ef441p-5, 0x1.a0b521b40e877p-5, 0x1.9a06f7dfc3495p-5, 0x1.936df783153c5p-5, 0x1.8ce9f1c0743e6p-5, 0x1.867abb3b65801p-5, 0x1.802028e7c267bp-5, 0x1.79da1004e322p-5, 0x1.73a8461902e7p-5, 0x1.6d8aa0ecd2affp-5, 0x1.6780f68743dfp-5, 0x1.618b1d2982664p-5, 0x1.5ba8eb4b246a5p-5, 0x1.55da37968eabp-5, 0x1.501ed8e5897a9p-5, 0x1.4a76a63e0fc23p-5, 0x1.44e176cf49a84p-5, 0x1.3f5f21eebf81p-5, 0x1.39ef7f15c0d3p-5, 0x1.349265def4df4p-5, 0x1.2f47ae0424838p-5, 0x1.2a0f2f5c2da0ep-5, 0x1.24e8c1d929e1p-5, 0x1.1fd43d86b9b8ap-5, 0x1.1ad17a88848b1p-5, 0x1.15e05118daeebp-5, 0x1.110099878870fp-5, 0x1.0c322c38c234ap-5, 0x1.0774e1a44298fp-5, 0x1.02c8925485f3cp-5, 0x1.fc5a2dcc51708p-6, 0x1.f344900ec21f6p-6, 0x1.ea4ffcef3d96ep-6, 0x1.e17c260e80e8p-6, 0x1.d8c8bd2ecf4f8p-6, 0x1.d0357433c3c4dp-6, 0x1.c7c1fd22596bap-6, 0x1.bf6e0a211e3e4p-6, 0x1.b7394d7888e73p-6, 0x1.af2379937602cp-6, 0x1.a72c40ffd269fp-6, 0x1.9f53566f5227fp-6, 0x1.97986cb85e529p-6, 0x1.8ffb36d705b3dp-6, 0x1.887b67ee1c987p-6, 0x1.8118b348672d5p-6, 0x1.79d2cc59df4dcp-6, 0x1.72a966c116784p-6, 0x1.6b9c364897c2dp-6, 0x1.64aaeee871eb6p-6, 0x1.5dd544c7c4395p-6, 0x1.571aec3e5cf63p-6, 0x1.507b99d66e6aep-6, 0x1.49f7024e43dd7p-6, 0x1.438cda9a0a422p-6, 0x1.3d3cd7e5a8686p-6, 0x1.3706af9697272p-6, 0x1.30ea174dc6344p-6, 0x1.2ae6c4e98f0e7p-6, 0x1.24fc6e87a67f2p-6, 0x1.1f2aca87195eap-6, 0x1.19718f8a5602ap-6, 0x1.13d0747924c9ap-6, 0x1.0e473082bee86p-6, 0x1.08d57b1fd9f4dp-6, 0x1.037b0c14b7aa4p-6, 0x1.fc6f36e67804ep-7, 0x1.f215c33a096ecp-7, 0x1.e7e92e8aef3dep-7, 0x1.dde8eae7be32ap-7, 0x1.d4146b0af7e34p-7, 0x1.ca6b225f36ee3p-7, 0x1.c0ec85034e822p-7, 0x1.b79807ce70ef7p-7, 0x1.ae6d205434728p-7, 0x1.a56b44e8aa4a7p-7, 0x1.9c91eca46924p-7, 0x1.93e08f6875bf3p-7, 0x1.8b56a5e2329ccp-7, 0x1.82f3a98f4199cp-7, 0x1.7ab714c14acd8p-7, 0x1.72a062a1afb34p-7, 0x1.6aaf0f3541248p-7, 0x1.62e2975fc4116p-7, 0x1.5b3a78e77eaadp-7, 0x1.53b632789f8c9p-7, 0x1.4c5543a885f12p-7, 0x1.45172cf90c927p-7, 0x1.3dfb6fdba197bp-7, 0x1.37018eb454cd8p-7, 0x1.30290cdcc807dp-7, 0x1.29716ea70af7ap-7, 0x1.22da396052456p-7, 0x1.1c62f35392a92p-7, 0x1.160b23cc0eeccp-7, 0x1.0fd25317c0a1dp-7, 0x1.09b80a89a205ap-7, 0x1.03bbd47be0884p-7, 0x1.fbba78a3f6f78p-8, 0x1.f0379cf553ce9p-8, 0x1.e4ee30e390c0ap-8, 0x1.d9dd51841d308p-8, 0x1.cf041e0d692cep-8, 0x1.c461b7d9ee4f7p-8, 0x1.b9f5426b10a3bp-8, 0x1.afbde36ba6537p-8, 0x1.a5bac2b26916dp-8, 0x1.9beb0a44024f6p-8, 0x1.924de6551de4ep-8, 0x1.88e2854c0851fp-8, 0x1.7fa817c22ffadp-8, 0x1.769dd085761a8p-8, 0x1.6dc2e49937e8fp-8, 0x1.65168b373c2b6p-8, 0x1.5c97fdd034674p-8, 0x1.5446780c43fd6p-8, 0x1.4c2137cb49a15p-8, 0x1.44277d24cb5d3p-8, 0x1.3c588a67d8bb7p-8, 0x1.34b3a41acdb28p-8, 0x1.2d3810fa9415dp-8, 0x1.25e519fa1257ep-8, 0x1.1eba0a412ec6ep-8, 0x1.17b62f2bd2c8bp-8, 0x1.10d8d84893bcbp-8, 0x1.0a2157575173bp-8, 0x1.038f00479f745p-8, 0x1.fa42526e405a5p-9, 0x1.edae54deffc62p-9, 0x1.e160bcc90074cp-9, 0x1.d5584363a7ce4p-9, 0x1.c993a6317bb05p-9, 0x1.be11a6fb7118ep-9, 0x1.b2d10bcb95de4p-9, 0x1.a7d09ee7e9b18p-9, 0x1.9d0f2ecc9fb15p-9, 0x1.928b8e267050ap-9, 0x1.884493cc6030cp-9, 0x1.7e391ab9ac22bp-9, 0x1.746802075725bp-9, 0x1.6ad02ce5957eap-9, 0x1.61708294e62e3p-9, 0x1.5847ee5f34d9ap-9, 0x1.4f555f90cab87p-9, 0x1.4697c970f4a3cp-9, 0x1.3e0e233ac54aep-9, 0x1.35b7681561bfdp-9, 0x1.2d92970c70ebp-9, 0x1.259eb3084da2bp-9, 0x1.1ddac2c65e79cp-9, 0x1.1645d0d0b7295p-9, 0x1.0edeeb76687dfp-9, 0x1.07a524c310ddep-9, 0x1.00979276c1407p-9, 0x1.f36a9bfb5714ap-10, 0x1.e5fae8cf5c053p-10, 0x1.d8de4cbfce733p-10, 0x1.cc1310485171fp-10, 0x1.bf9782f9475efp-10, 0x1.b369fb65a5aa6p-10, 0x1.a788d7124d0e4p-10, 0x1.9bf27a647435bp-10, 0x1.90a550901a454p-10, 0x1.859fcb869b2a9p-10, 0x1.7ae063e4dc56ap-10, 0x1.706598e1c4e75p-10, 0x1.662df03c77e4dp-10, 0x1.5c37f62a67163p-10, 0x1.52823d461e7c6p-10, 0x1.490b5e7cbaa72p-10, 0x1.3fd1f8fc4c9aap-10, 0x1.36d4b22224efep-10, 0x1.2e123568bbe1p-10, 0x1.2589345607ac1p-10, 0x1.1d3866698ae72p-10, 0x1.151e890a338a8p-10, 0x1.0d3a5f74bb76p-10, 0x1.058ab2a9b3f3fp-10, 0x1.fc1ca2b7572b4p-11, 0x1.ed881fbacdb96p-11, 0x1.df55901fbb1dbp-11, 0x1.d182b2a18b20cp-11, 0x1.c40d50d0bce8p-11, 0x1.b6f33ef01c784p-11, 0x1.aa325bd115691p-11, 0x1.9dc890b04d332p-11, 0x1.91b3d113303d6p-11, 0x1.85f21aa362423p-11, 0x1.7a81750d055bbp-11, 0x1.6f5ff1db0d9ep-11, 0x1.648bac54c0dadp-11, 0x1.5a02c95af17dfp-11, 0x1.4fc377459e4bp-11, 0x1.45cbedc0ff103p-11, 0x1.3c1a6dac1315p-11, 0x1.32ad40f572cd8p-11, 0x1.2982ba7a943b6p-11, 0x1.209935e4c11bdp-11, 0x1.17ef178835e6ep-11, 0x1.0f82cc426aa9cp-11, 0x1.0752c958dc3a9p-11, 0x1.febb18afb9b64p-12, 0x1.ef4335e3fb823p-12, 0x1.e03b05bd49726p-12, 0x1.d19fb37534d69p-12, 0x1.c36e79ce25373p-12, 0x1.b5a4a2d31ff14p-12, 0x1.a83f8798e364ap-12, 0x1.9b3c8ffe78c67p-12, 0x1.8e99326e5a91ap-12, 0x1.8252f3a0f6a5p-12, 0x1.7667665df6ee5p-12, 0x1.6ad42b404b585p-12, 0x1.5f96f078365dfp-12, 0x1.54ad71903f5b4p-12, 0x1.4a157731498b5p-12, 0x1.3fccd6e7dff86p-12, 0x1.35d172e9698dbp-12, 0x1.2c2139da0d406p-12, 0x1.22ba26947b423p-12, 0x1.199a3ff02d0ap-12, 0x1.10bf9889e55f1p-12, 0x1.08284e8c0e9d5p-12, 0x1.ffa516efb8ddp-13, 0x1.ef7907de46043p-13, 0x1.dfc8eefc2f81p-13, 0x1.d171d9ef48e51p-13, 0x1.c2a6cc15bf101p-13, 0x1.b44dddcf03c8cp-13, 0x1.a663e33491eadp-13, 0x1.98e5c3f5351edp-13, 0x1.8bd07af68a50dp-13, 0x1.7f2115f1f29fap-13, 0x1.72d4b51ae96ap-13, 0x1.66e88abc18914p-13, 0x1.5b59dadf2d554p-13, 0x1.5025faf069842p-13, 0x1.454a5165c431ap-13, 0x1.3ac4556698be5p-13, 0x1.30918e746dfefp-13, 0x1.26af9414cab47p-13, 0x1.1d1c0d7fb7f87p-13, 0x1.13d4b14718e6bp-13, 0x1.0ad74508507adp-13, 0x1.02219d1b0871dp-13, 0x1.f363387f9f46dp-14, 0x1.e30a66a7214adp-14, 0x1.d334c20250b47p-14, 0x1.c3de62eae265cp-14, 0x1.b5037c28db8afp-14, 0x1.a6a05a5eb3f2ep-14, 0x1.98b16378a30cdp-14, 0x1.8b33161ce3e0ap-14, 0x1.7e22091c21054p-14, 0x1.717aeaf5a7891p-14, 0x1.653a81391ad5dp-14, 0x1.595da80d49b26p-14, 0x1.4de151af3578bp-14, 0x1.42c285e92b6ebp-14, 0x1.37fe61980f72ap-14, 0x1.2d92162d0f046p-14, 0x1.237ae9323ed2fp-14, 0x1.19b633d5d7fccp-14, 0x1.1041626d7626dp-14, 0x1.0719f4062ade1p-14, 0x1.fc7af3e1e5562p-15, 0x1.eb532ea5c6954p-15, 0x1.dab8016bdb3bap-15, 0x1.caa4f73cb0602p-15, 0x1.bb15bc3d83eb7p-15, 0x1.ac061ce724ebcp-15, 0x1.9d720530ee649p-15, 0x1.8f557fcbdc2d2p-15, 0x1.81acb56409a36p-15, 0x1.7473ebd823ea4p-15, 0x1.67a7857bf61bfp-15, 0x1.5b44006aea115p-15, 0x1.4f45f5c2ae47fp-15, 0x1.43aa18f9d5f2ap-15, 0x1.386d373a180ebp-15, 0x1.2d8c36a34dcc2p-15, 0x1.230415ae6322fp-15, 0x1.18d1ea913c0b1p-15, 0x1.0ef2e28e231e1p-15, 0x1.05644161a152ep-15, 0x1.f846c14d9bb6ap-16, 0x1.e65b5e7f5a25dp-16, 0x1.d501618648aa6p-16, 0x1.c433f9dc35feep-16, 0x1.b3ee7e2702ae4p-16, 0x1.a42c6b2b0ca36p-16, 0x1.94e962bc78541p-16, 0x1.86212aafc0034p-16, 0x1.77cfabe7aa265p-16, 0x1.69f0f14cb623ap-16, 0x1.5c8126dafe8a7p-16, 0x1.4f7c98b28b502p-16, 0x1.42dfb225a5e1fp-16, 0x1.36a6fce9aec1ap-16, 0x1.2acf2014c59e7p-16, 0x1.1f54df5805ab2p-16, 0x1.14351a2992a3ap-16, 0x1.096ccaf21f037p-16, 0x1.fdf20c6e0c08cp-17, 0x1.e9adf3ae2261fp-17, 0x1.d607d8c95a0ebp-17, 0x1.c2fa78652f03bp-17, 0x1.b080bd8de7785p-17, 0x1.9e95c02d59fffp-17, 0x1.8d34c3aa5a32bp-17, 0x1.7c59359646a01p-17, 0x1.6bfeac68b3b9cp-17, 0x1.5c20e628fa8ebp-17, 0x1.4cbbc73453e51p-17, 0x1.3dcb590e4d512p-17, 0x1.2f4bc92bc02adp-17, 0x1.213967e015bd4p-17, 0x1.1390a72468aa8p-17, 0x1.064e198eaa9dap-17, 0x1.f2dce28b1934fp-18, 0x1.d9dcfdef3a62cp-18, 0x1.c19661a128f8p-18, 0x1.aa0323157bdf8p-18, 0x1.931d8ef26892fp-18, 0x1.7ce027334b77dp-18, 0x1.6745a14999e23p-18, 0x1.5248e4b12a1f5p-18, 0x1.3de5089ee8c02p-18, 0x1.2a155335f29a5p-18, 0x1.16d5370f39ec1p-18, 0x1.042052171143p-18, 0x1.e3e4d8540f1c9p-19, 0x1.c08eeaba9c04cp-19, 0x1.9e3709479acdbp-19, 0x1.7cd5acf2d548p-19, 0x1.5c6396e8566ebp-19, 0x1.3cd9ce188e874p-19, 0x1.1e319c9c3b433p-19, 0x1.00648d3f2c702p-19, 0x1.c6d8d2422f568p-20, 0x1.8e866acd542dep-20, 0x1.57c661f980adbp-20, 0x1.228da4d3ffa63p-20, 0x1.dda3165e06f55p-21, 0x1.790fa981b7e19p-21, 0x1.174d4682bd1bp-21, 0x1.7091ded80ded9p-22, 0x1.6fc17bffb171dp-23, 0x1.18fecc0128b12p-28, -0x1.540c88fd37c1p-23, -0x1.537e980416206p-22, -0x1.f8245ed229506p-22, -0x1.4c0ae6f9ba723p-21, -0x1.99b7fced1d3d7p-21, -0x1.e52772950b60ep-21, -0x1.173362c5a0ff9p-20, -0x1.3ac17a344ca0ap-20, -0x1.5d444257fb08dp-20, -0x1.7ec1c3ed9999p-20, -0x1.9f3fd00cf4b83p-20, -0x1.bec402e4bfa32p-20, -0x1.dd53c4af1b737p-20, -0x1.faf44de7049adp-20, -0x1.0bd55404c274ep-19, -0x1.19bdd805328c7p-19, -0x1.27360c185c02cp-19, -0x1.34403509849a2p-19, -0x1.40de843032cc1p-19, -0x1.4d13185335b69p-19, -0x1.58dffe8043888p-19, -0x1.6447330cc07a3p-19, -0x1.6f4aa19dd1fdep-19, -0x1.79ec270acc46fp-19, -0x1.842d914900968p-19, -0x1.8e10a075e2dbap-19, -0x1.97970745142f6p-19, -0x1.a0c26bce9960bp-19, -0x1.a994680518e84p-19, -0x1.b20e8ab92a66dp-19, -0x1.ba3257821212cp-19, }}, 
      {{0x1.4efd238c82318p-5, 0x1.a27067f018507p-5, 0x1.1454dfc8e6255p-4, 0x1.6de63d187074cp-4, 0x1.da987c1073bb6p-4, 0x1.2b7adcc5645f3p-3, 0x1.6fc9b839e5321p-3, 0x1.b898858efdc29p-3, 0x1.023288e320cc4p-2, 0x1.28e89c8c2a77fp-2, 0x1.4fd23cca88567p-2, 0x1.76674911a750ep-2, 0x1.9c31fa462d141p-2, 0x1.c0ce996091805p-2, 0x1.e3ea28b7b67e2p-2, 0x1.02a05c9baa917p-1, 0x1.124dfb3b588e4p-1, 0x1.20e8c39d48bdcp-1, 0x1.2e610ddbdecf6p-1, 0x1.3aabefa2d593ap-1, 0x1.45c26febf5bebp-1, 0x1.4fa0f06f6e3a9p-1, 0x1.5847438c179bfp-1, 0x1.5fb784eeab424p-1, 0x1.65f679b496838p-1, 0x1.6b0ae8bd3bcefp-1, 0x1.6efb8d6dbeb86p-1, 0x1.71d275fde09cbp-1, 0x1.739996b8acef3p-1, 0x1.745bfed4d27e7p-1, 0x1.742589dd503e5p-1, 0x1.73027e490973ap-1, 0x1.70ff5c0b725b2p-1, 0x1.6e28ddad94c48p-1, 0x1.6a8bebab8d1f6p-1, 0x1.663574cbfb6dbp-1, 0x1.613250a81972bp-1, 0x1.5b8f38f41f4fep-1, 0x1.5558c009b9a0bp-1, 0x1.4e9b3722aed4cp-1, 0x1.4762942b5cb8fp-1, 0x1.3fba677bb7d4fp-1, 0x1.37addecb1e988p-1, 0x1.2f47c9230722dp-1, 0x1.269294578261fp-1, 0x1.1d984472f596dp-1, 0x1.146269732b601p-1, 0x1.0afa17e736639p-1, 0x1.0167e750afe2fp-1, 0x1.ef67ecef27006p-2, 0x1.dbcbe5cfa06fap-2, 0x1.c80a3e54fcea4p-2, 0x1.b430a8c86632dp-2, 0x1.a04bfeb466b87p-2, 0x1.8c6b38caac6b8p-2, 0x1.78930c511e56cp-2, 0x1.64d11936ce72bp-2, 0x1.512ee859d8651p-2, 0x1.3db51b3911bccp-2, 0x1.2a6b84f3ae558p-2, 0x1.17594aa08fd6ep-2, 0x1.0484fe6bfe186p-2, 0x1.e3e95c75312f3p-3, 0x1.bf5bcb6e63ac6p-3, 0x1.9b6b5215d7806p-3, 0x1.7820de629fee7p-3, 0x1.5584424c1ca8ep-3, 0x1.339c3f6d4f0afp-3, 0x1.126e9cfc951dp-3, 0x1.e400832ed9d73p-4, 0x1.a4aa94f0d665ep-4, 0x1.66e238ce733edp-4, 0x1.2aacdc817244bp-4, 0x1.e01d3ea4636cap-5, 0x1.6e14bda8c6274p-5, 0x1.fe8721ea4380fp-6, 0x1.2755c85022b3ap-6, 0x1.5a4f7db744e4ap-8, -0x1.cf0e35e1af6bfp-8, -0x1.37b85ef5bd2f9p-6, -0x1.f554f9e5c85b6p-6, -0x1.5652fb8f16f94p-5, -0x1.aedcf4ab860ecp-5, -0x1.02284d12b84d1p-4, -0x1.2b5b7baa5fc8ep-4, -0x1.530cf24be3983p-4, -0x1.7941fdc4f10f7p-4, -0x1.9e004582ef9cfp-4, -0x1.c14dc56e7685ep-4, -0x1.e330c7c5d3626p-4, -0x1.01d7ef8e69e4dp-3, -0x1.1168f045d04a8p-3, -0x1.204eeef83e872p-3, -0x1.2e8d900478f72p-3, -0x1.3c28900c2541bp-3, -0x1.4923c06bf43dfp-3, -0x1.55830344bfbfbp-3, -0x1.614a47170793bp-3, -0x1.6c7d820a50c54p-3, -0x1.7720ad0f14aa2p-3, -0x1.8137bf173ccf2p-3, -0x1.8ac6a8a4770d5p-3, -0x1.93d14fe542d4ep-3, -0x1.9c5b8d8bea213p-3, -0x1.a4692a78ae401p-3, -0x1.abfdde3dd905p-3, -0x1.b31d4e72dd00fp-3, -0x1.b9cb0ebd22303p-3, -0x1.c00aa169fe269p-3, -0x1.c5df786d8cae8p-3, -0x1.cb45f0d99ededp-3, -0x1.d04e6603ed913p-3, -0x1.d4f67f3e23aabp-3, -0x1.d9418518ace51p-3, -0x1.dd32af3115b3bp-3, -0x1.e0cd23b9ede18p-3, -0x1.e413f6d2bae03p-3, -0x1.e70a29c194059p-3, -0x1.e9b2aa26a65adp-3, -0x1.ec105143e1f8cp-3, -0x1.ee25e3707749ap-3, -0x1.eff60fc947ae8p-3, -0x1.f1837026af4c7p-3, -0x1.f2d08956d5c75p-3, -0x1.f3dfcb93d5617p-3, -0x1.f4b3932795caep-3, -0x1.f54e292ccd8b3p-3, -0x1.f5b1c45d0bc71p-3, -0x1.f5e089de30e33p-3, -0x1.f5dc8e0568d37p-3, -0x1.f5a7d509b0161p-3, -0x1.f54453a3256d1p-3, -0x1.f4b3ef96d84a4p-3, -0x1.f3f8802fe628cp-3, -0x1.f313cea71aafcp-3, -0x1.f2079679ff3d2p-3, -0x1.f0d585b2039aap-3, -0x1.ef7f3d1c26c88p-3, -0x1.ee065071cfc93p-3, -0x1.ec6c46742833p-3, -0x1.eab298fc3c31ep-3, -0x1.e8dab5033b59bp-3, -0x1.e6e5faa717b92p-3, -0x1.e4d5bd306fa8fp-3, -0x1.e2ab431ecf5c4p-3, -0x1.e067c63ffadf2p-3, -0x1.de0c73d63955p-3, -0x1.db9a6cd05a1f3p-3, -0x1.d912c614f7d38p-3, -0x1.d67688e0da38cp-3, -0x1.d3c6b3373fe8bp-3, -0x1.d1043861777bfp-3, -0x1.ce30017a7a107p-3, -0x1.cb4aee028bb37p-3, -0x1.c855d476cbd3ap-3, -0x1.c55182e899b84p-3, -0x1.c23ebf9145a1bp-3, -0x1.bf1e495ee7174p-3, -0x1.bbf0d878159b5p-3, -0x1.b8b71eb4f006fp-3, -0x1.b571c80c8b36ep-3, -0x1.b2217af68dfcbp-3, -0x1.aec6d8c1264e6p-3, -0x1.ab627ddbea998p-3, -0x1.a7f5021850fe2p-3, -0x1.a47ef8e0a9efdp-3, -0x1.a100f166777fbp-3, -0x1.9d7b76c9187c5p-3, -0x1.99ef1035b7886p-3, -0x1.965c41017fe21p-3, -0x1.92c388bf0f07dp-3, -0x1.8f2563502dbe4p-3, -0x1.8b8248f4c41fep-3, -0x1.87daae57f8d6ep-3, -0x1.842f049c584b5p-3, -0x1.807fb967b652fp-3, -0x1.7ccd36ef699a8p-3, -0x1.7917e40546cf2p-3, -0x1.75602425b9a84p-3, -0x1.71a6578712afp-3, -0x1.6deadb2a3943dp-3, -0x1.6a2e08eca3f9cp-3, -0x1.6670379b95852p-3, -0x1.62b1bb088bc4fp-3, -0x1.5ef2e41eade26p-3, -0x1.5b3400f92a92ap-3, -0x1.57755cfa4e2efp-3, -0x1.53b740e33f0cp-3, -0x1.4ff9f2ec20bb8p-3, -0x1.4c3db6dc83d3fp-3, -0x1.4882ce23ee59dp-3, -0x1.44c977f250ce9p-3, -0x1.4111f1503a28bp-3, -0x1.3d5c7536a946fp-3, -0x1.39a93ca6400fep-3, -0x1.35f87ebdc4e2cp-3, -0x1.324a70cfd00bdp-3, -0x1.2e9f467778605p-3, -0x1.2af731abff021p-3, -0x1.275262d35d431p-3, -0x1.23b108d39cea4p-3, -0x1.201351230c706p-3, -0x1.1c7967d725dd4p-3, -0x1.18e377b249b33p-3, -0x1.1551aa302f1e9p-3, -0x1.11c427911f671p-3, -0x1.0e3b16e3fca2ep-3, -0x1.0ab69e0f1b967p-3, -0x1.0736e1d7fed34p-3, -0x1.03bc05e9fb00dp-3, -0x1.00462cdbe318fp-3, -0x1.f9aaf0697cb27p-4, -0x1.f2d410df5d3d2p-4, -0x1.ec07f9fe21ad9p-4, -0x1.e546e89e03837p-4, -0x1.de91178e8fc4ap-4, -0x1.d7e6bf99bea36p-4, -0x1.d148178630ffap-4, -0x1.cab5541915f25p-4, -0x1.c42ea817add4ap-4, -0x1.bdb44448abda4p-4, -0x1.b7465775a5becp-4, -0x1.b0e056944ebd9p-4, -0x1.aa8c44e872acbp-4, -0x1.a44532d3e9f51p-4, -0x1.9e0b458abcab7p-4, -0x1.97dea04bfce9ap-4, -0x1.91bf646c48799p-4, -0x1.8badb1609436fp-4, -0x1.85a9a4c909e98p-4, -0x1.7fb35a7be5c4dp-4, -0x1.79caec9031c7ep-4, -0x1.73f07368470ep-4, -0x1.6e2405bbfd25ap-4, -0x1.6865b8a2765b4p-4, -0x1.62b59f9b7b9bp-4, -0x1.5d13cc985d866p-4, -0x1.57805004581c2p-4, -0x1.51fb38cc76a7p-4, -0x1.4c849466fc5b7p-4, -0x1.471c6eda59e6ap-4, -0x1.41c2d2c3b4ddbp-4, -0x1.3c77c95d140c1p-4, -0x1.373b5a83385ecp-4, -0x1.320d8cbb35126p-4, -0x1.2cee6537d3a19p-4, -0x1.27dde7ded6735p-4, -0x1.22dc174e266d9p-4, -0x1.1de8f4e0fb6d1p-4, -0x1.190480b50b6d3p-4, -0x1.142eb9afcd363p-4, -0x1.0f679d83d75eep-4, -0x1.0aaf28b663e54p-4, -0x1.060556a4fdd2ep-4, -0x1.016a218b5ee85p-4, -0x1.f9bb0512f8281p-5, -0x1.f0bee35389daap-5, -0x1.e7dfcbcf24511p-5, -0x1.df1daa6b83365p-5, -0x1.d678690af7e32p-5, -0x1.cdefef9a3d9e7p-5, -0x1.c584241e8c247p-5, -0x1.bd34eac3dabbdp-5, -0x1.b50225eb494a5p-5, -0x1.acebb6399f946p-5, -0x1.a4f17aa5d5482p-5, -0x1.9d13508796de3p-5, -0x1.955113a5baa49p-5, -0x1.8daa9e449ab2ap-5, -0x1.861fc93445586p-5, -0x1.7eb06bde82a0fp-5, -0x1.775c5c549d508p-5, -0x1.70236f5cece78p-5, -0x1.690578801f9dp-5, -0x1.62024a16336bep-5, -0x1.5b19b55329d07p-5, -0x1.544b8a5368228p-5, -0x1.4d979827cb3c4p-5, -0x1.46fdace16a341p-5, -0x1.407d959d0c62dp-5, -0x1.3a171e8e51a89p-5, -0x1.33ca130a90cdap-5, -0x1.2d963d936fdfdp-5, -0x1.277b67e1368adp-5, -0x1.21795aece2de6p-5, -0x1.1b8fdef9ff73bp-5, -0x1.15bebba041a0fp-5, -0x1.1005b7d4f39adp-5, -0x1.0a6499f42cf9p-5, -0x1.04db27c9de8c8p-5, -0x1.fed24d35603b9p-6, -0x1.f41cb6597db61p-6, -0x1.e99513a059f49p-6, -0x1.df3aeccf300ddp-6, -0x1.d50dc8e0d3124p-6, -0x1.cb0d2e1614f32p-6, -0x1.c138a205f0e54p-6, -0x1.b78fa9ad7cc42p-6, -0x1.ae11c97fa446p-6, -0x1.a4be8574a2be9p-6, -0x1.9b9561194f241p-6, -0x1.9295df9e2a28p-6, -0x1.89bf83e62a2a4p-6, -0x1.8111d0955ad7p-6, -0x1.788c481f2df49p-6, -0x1.702e6cd499872p-6, -0x1.67f7c0f1eb5cbp-6, -0x1.5fe7c6ac5c905p-6, -0x1.57fe003f59c21p-6, -0x1.5039eff98cad9p-6, -0x1.489b18498f339p-6, -0x1.4120fbca58b8ap-6, -0x1.39cb1d4f57c71p-6, -0x1.3298fff046babp-6, -0x1.2b8a2714a004bp-6, -0x1.249e167ec940ep-6, -0x1.1dd45256ea8d2p-6, -0x1.172c5f356a66fp-6, -0x1.10a5c22d1c20cp-6, -0x1.0a4000d51660dp-6, -0x1.03faa152325f5p-6, -0x1.fbaa54c06ecc5p-7, -0x1.ef9e46b562585p-7, -0x1.e3d0288ae4e58p-7, -0x1.d83f0ba97b22bp-7, -0x1.ccea02ea463b3p-7, -0x1.c1d022a60b99dp-7, -0x1.b6f080c3a1dcdp-7, -0x1.ac4a34c5b4e71p-7, -0x1.a1dc57d7f1f18p-7, -0x1.97a604db94952p-7, -0x1.8da65873579c2p-7, -0x1.83dc710ec2923p-7, -0x1.7a476ef5011c2p-7, -0x1.70e6744f01f24p-7, -0x1.67b8a5311e39ep-7, -0x1.5ebd27a42a485p-7, -0x1.55f323adfde1bp-7, -0x1.4d59c35971238p-7, -0x1.44f032bdd2e36p-7, -0x1.3cb5a005e7b59p-7, -0x1.34a93b765d56fp-7, -0x1.2cca3773c339bp-7, -0x1.2517c8880a094p-7, -0x1.1d9125678df29p-7, -0x1.163586f5ac63ep-7, -0x1.0f042848e370fp-7, -0x1.07fc46ae8a56p-7, -0x1.011d21ae103d6p-7, -0x1.f4cbf617cc09p-8, -0x1.e7ac2d97dccefp-8, -0x1.dad9766735b72p-8, -0x1.ce52619732bedp-8, -0x1.c21584c273ap-8, -0x1.b6217a0ebd23ep-8, -0x1.aa74e02e562a4p-8, -0x1.9f0e5a60b0d45p-8, -0x1.93ec90726acc8p-8, -0x1.890e2ebcb0c68p-8, -0x1.7e71e6241f64bp-8, -0x1.74166c16f5094p-8, -0x1.69fa7a8ad1a8ap-8, -0x1.601ccff9ee5f9p-8, -0x1.567c2f5fc9249p-8, -0x1.4d1760356ecdfp-8, -0x1.43ed2e6d3198bp-8, -0x1.3afc6a6e16397p-8, -0x1.3243e90ebfba2p-8, -0x1.29c2839007befp-8, -0x1.217717971e9a7p-8, -0x1.19608727851a5p-8, -0x1.117db89c80582p-8, -0x1.09cd96a25a501p-8, -0x1.024f102f51f6dp-8, -0x1.f60230f891c45p-9, -0x1.e7c54dfa51c59p-9, -0x1.d9e56eb22cc6bp-9, -0x1.cc6092c4c1d4dp-9, -0x1.bf34c21c8b75ap-9, -0x1.b2600cd90f565p-9, -0x1.a5e08b3d8d10fp-9, -0x1.99b45d9f77762p-9, -0x1.8dd9ac549e76cp-9, -0x1.824ea7a0f0585p-9, -0x1.771187a4423acp-9, -0x1.6c208c47848fbp-9, -0x1.6179fd29fd337p-9, -0x1.571c298e3f17dp-9, -0x1.4d056846e2e25p-9, -0x1.433417a333b7dp-9, -0x1.39a69d5bb2fp-9, -0x1.305b667e5c2b9p-9, -0x1.2750e75afc8e8p-9, -0x1.1e859b6f442cp-9, -0x1.15f80552c71efp-9, -0x1.0da6aea319182p-9, -0x1.059027ef9fbd4p-9, -0x1.fb66114ad671dp-10, -0x1.ec1bddf615b52p-10, -0x1.dd3effb8a0843p-10, -0x1.cecccdac3b9c9p-10, -0x1.c0c2ac03c2534p-10, -0x1.b31e0be31d84p-10, -0x1.a5dc6b364aafp-10, -0x1.98fb5488d5eep-10, -0x1.8c785edd29212p-10, -0x1.80512d83dc3b8p-10, -0x1.74836ff35c42p-10, -0x1.690ce19f058cbp-10, -0x1.5deb49cecbe5ap-10, -0x1.531c7b769a994p-10, -0x1.489e550e1afaep-10, -0x1.3e6ec067fbafdp-10, -0x1.348bb289ef801p-10, -0x1.2af32b8450f3fp-10, -0x1.21a33649fd1d2p-10, -0x1.1899e8881e9cep-10, -0x1.0fd5627e7482ep-10, -0x1.0753ced7403acp-10, -0x1.fe26c4ff45a53p-11, -0x1.ee24b8ffbb19p-11, -0x1.de9e0ba7c412dp-11, -0x1.cf8f628785db7p-11, -0x1.c0f57679b0357p-11, -0x1.b2cd135482e72p-11, -0x1.a513179c47b79p-11, -0x1.97c47435e5dd2p-11, -0x1.8ade2c199900bp-11, -0x1.7e5d540631292p-11, -0x1.723f1234c8df3p-11, -0x1.66809e0ca97b1p-11, -0x1.5b1f3fd7eacbp-11, -0x1.50185078506d5p-11, -0x1.4569391cf0ed4p-11, -0x1.3b0f72f7c6ce6p-11, -0x1.310886f4c02cap-11, -0x1.27520d7034c9fp-11, -0x1.1de9adee93153p-11, -0x1.14cd1ed4f2a5ep-11, -0x1.0bfa252172eep-11, -0x1.036e9424e8897p-11, -0x1.f6509a79a36bbp-12, -0x1.e64a7f1c3950cp-12, -0x1.d6c6cf811eafbp-12, -0x1.c7c19f759ec29p-12, -0x1.b9371cbead9fep-12, -0x1.ac6805b72f1f3p-12, -0x1.9eb9da9798c44p-12, -0x1.917bc9f81074fp-12, -0x1.84aa6813db735p-12, -0x1.7842600efd787p-12, -0x1.6c40737f6f8p-12, -0x1.60a179f92ecf2p-12, -0x1.5562609ad5ca6p-12, -0x1.4a80299c1cfdp-12, -0x1.3ff7ebdd65d5cp-12, -0x1.35c6d279c31a7p-12, -0x1.2bea1c5957d29p-12, -0x1.225f1bc584441p-12, -0x1.192335fe92324p-12, -0x1.1033e2d29db6p-12, -0x1.078eac35a1791p-12, -0x1.fe625bb7b1228p-13, -0x1.ee3229a89649cp-13, -0x1.de883e4a0eb3cp-13, -0x1.cf6036d39c24p-13, -0x1.c0b5d0e47db3ap-13, -0x1.b284e9c5c040dp-13, -0x1.a4c97dae0e87p-13, -0x1.977fa707edcf7p-13, -0x1.8aa39dbb52512p-13, -0x1.7e31b6798c581p-13, -0x1.7226620c58de1p-13, -0x1.667e2ca84d6cep-13, -0x1.5b35bd3f05d9ep-13, -0x1.5049d4d978133p-13, -0x1.45b74df11b155p-13, -0x1.3b7b1bcc2850cp-13, -0x1.319249de8bea9p-13, -0x1.27f9fb2c43955p-13, -0x1.1eaf69af68dd1p-13, -0x1.15afe5c0c6ac3p-13, -0x1.0cf8d58200887p-13, -0x1.0487b44e07e74p-13, -0x1.f8b424514ea4p-14, -0x1.e8db2665e6affp-14, -0x1.d97fde43d049dp-14, -0x1.ca9de170c1287p-14, -0x1.bc30ea85ca7c2p-14, -0x1.ae34d82edfdbp-14, -0x1.a0a5ac2c3964fp-14, -0x1.937f8a5e26b3ep-14, -0x1.86beb7d29cc53p-14, -0x1.7a5f99d6799b4p-14, -0x1.6e5eb511b49b3p-14, -0x1.62b8aca4542ccp-14, -0x1.576a4148c517ap-14, -0x1.4c70507cc1b9p-14, -0x1.41c7d3ad1d407p-14, -0x1.376ddf69d0326p-14, -0x1.2d5fa29982abcp-14, -0x1.239a65b77f844p-14, -0x1.1a1b8a0fd596cp-14, -0x1.10e0890815093p-14, -0x1.07e6f36556ab1p-14, -0x1.fe58e13275242p-15, -0x1.ed5d7c279a796p-15, -0x1.dcd75d3170489p-15, -0x1.ccc2532f76143p-15, -0x1.bd1a5517b5291p-15, -0x1.addb80b76bffep-15, -0x1.9f02197cf4bf2p-15, -0x1.908a874cbed8ep-15, -0x1.827155559e3d6p-15, -0x1.74b330f5176d3p-15, -0x1.674ce8a041005p-15, -0x1.5a3b6ace080f7p-15, -0x1.4d7bc4f16c154p-15, -0x1.410b226e34ad8p-15, -0x1.34e6cba58a802p-15, -0x1.290c24f817a06p-15, -0x1.1d78addb1b9p-15, -0x1.1229ffe3f7bfap-15, -0x1.071dcdeee88p-15, -0x1.f8a3c67812154p-16, -0x1.e388452a79d99p-16, -0x1.cee50afcf74bfp-16, -0x1.bab636cae247fp-16, -0x1.a6f811b9909f4p-16, -0x1.93a70daf2cc63p-16, -0x1.80bfc3da674edp-16, -0x1.6e3ef34152facp-16, -0x1.5c217f5aea573p-16, -0x1.4a646eb96a644p-16, -0x1.3904e9b056d45p-16, -0x1.280039130ec22p-16, -0x1.1753c4ebad307p-16, -0x1.06fd1351434edp-16, -0x1.edf38e67e9ff7p-17, -0x1.ce8f3e739b2c1p-17, -0x1.afc8e94237931p-17, -0x1.919c746817d4ep-17, -0x1.7405f66db0d42p-17, -0x1.5701b4d0efb4ep-17, -0x1.3a8c220da5591p-17, -0x1.1ea1dbbf40da3p-17, -0x1.033fa8ad8e1dfp-17, -0x1.d0c4ee58d635ep-18, -0x1.9c0eb69ac62dbp-18, -0x1.68571a6216936p-18, -0x1.3598cee28843cp-18, -0x1.03cecb19f32eap-18, -0x1.a5e88986561d3p-19, -0x1.46095b020bb54p-19, -0x1.cfeebfcd0d6a6p-20, -0x1.1754b427b1545p-20, -0x1.88d3963b16ec9p-22, 0x1.3dfe548772538p-22, 0x1.fbadd4b14742bp-21, 0x1.a8de974fbf03ep-20, 0x1.2851b89704003p-19, 0x1.7a98d6e9a1031p-19, 0x1.cb4a761ded581p-19, 0x1.0d360f322682p-18, 0x1.34018a5f91396p-18, 0x1.5a0a2f2484b41p-18, 0x1.7f5262281bb3ep-18, 0x1.a3dc6bbda364p-18, 0x1.c7aa79b8e2656p-18, 0x1.eabea0fba6f4p-18, 0x1.068d6f801520dp-17, 0x1.17608da74c512p-17, 0x1.27d994785ea37p-17, 0x1.37f963f15fff5p-17, 0x1.47c0d31cb7009p-17, 0x1.5730b0be03105p-17, 0x1.6649c3ea046fep-17, 0x1.750ccc99ca8f9p-17, 0x1.837a842b27af4p-17, 0x1.91939dfc6643ep-17, 0x1.9f58c7d877953p-17, 0x1.accaaa7774e9ep-17, 0x1.b9e9e9f0c2e2dp-17, 0x1.c6b7262ce873ep-17, 0x1.d332fb43d74d7p-17, 0x1.df5e01ef06918p-17, 0x1.eb38cfdd66b9ap-17, 0x1.f6c3f8103bf2ap-17, 0x1.010005979488fp-16, 0x1.0676cbeb8fb4dp-16, 0x1.0bc6957242197p-16, 0x1.10efa7e724a2bp-16, 0x1.15f248626b3a7p-16, 0x1.1acebb85a7ad8p-16, 0x1.1f8545975d26dp-16, 0x1.24162a9df18a1p-16, 0x1.2881ae7740fecp-16, 0x1.2cc814f785248p-16, 0x1.30e9a1f640844p-16, 0x1.34e6996ff14ccp-16, }}, 
      {{0x1.3c1c479d979f6p-5, 0x1.58413056a6539p-5, 0x1.8620d8ed73df8p-5, 0x1.c46ef61586f62p-5, 0x1.08d240a6107edp-4, 0x1.360d1dfa3d353p-4, 0x1.690ec358fac06p-4, 0x1.a0ff6c4d98776p-4, 0x1.dd0ddec98409cp-4, 0x1.0e3976d8391a6p-3, 0x1.2f39c2fd42305p-3, 0x1.513136ccd8e62p-3, 0x1.73d02669ba90fp-3, 0x1.96ce570227c47p-3, 0x1.b9ea8df716179p-3, 0x1.dcea807b851f7p-3, 0x1.ff9a65ea14524p-3, 0x1.10e652f25c82ap-2, 0x1.21acb5a7a3dbbp-2, 0x1.320f137d35a2bp-2, 0x1.41fe95c528eb9p-2, 0x1.516e9e2dbba7cp-2, 0x1.6054adbdce0fep-2, 0x1.6ea7f5f3674b8p-2, 0x1.7c617d11a83f3p-2, 0x1.897bc7d033b55p-2, 0x1.95f2621f01401p-2, 0x1.a1c29480fe587p-2, 0x1.acea61e1c6485p-2, 0x1.b768e20f1d29p-2, 0x1.c13e076521fe4p-2, 0x1.ca6a83a07a45dp-2, 0x1.d2efb4220d5fp-2, 0x1.dacf8e6b3bd77p-2, 0x1.e20c8e8285614p-2, 0x1.e8a9a151cede9p-2, 0x1.eeaa13391e8abp-2, 0x1.f411875f09a7dp-2, 0x1.f8e3e9e1a1f11p-2, 0x1.fd255dd02becdp-2, 0x1.006d19df403fep-1, 0x1.020372bfca5efp-1, 0x1.03580678689f8p-1, 0x1.046d2c26d524cp-1, 0x1.054541634cafp-1, 0x1.05e2a80869e43p-1, 0x1.0647c35393a6bp-1, 0x1.0676f4a3110c4p-1, 0x1.0672993a6d57ep-1, 0x1.063d08ffef454p-1, 0x1.05d89516f6ae2p-1, 0x1.054785f362793p-1, 0x1.048c197caa592p-1, 0x1.03a881c920112p-1, 0x1.029ed7e14da12p-1, 0x1.017146a0f433bp-1, 0x1.0021d2c9ab46ep-1, 0x1.fd64ee644c8eep-2, 0x1.fa4a3f227c26p-2, 0x1.f6f75161a00c7p-2, 0x1.f36fc11f2c474p-2, 0x1.efb70c98df628p-2, 0x1.ebd09399a9afep-2, 0x1.e7bf967e73c32p-2, 0x1.e387357db0895p-2, 0x1.df2a70ad2fc89p-2, 0x1.daac28de020a7p-2, 0x1.d60f20f7020bcp-2, 0x1.d155ff46bc97fp-2, 0x1.cc834e69ac138p-2, 0x1.c7997db439c06p-2, 0x1.c29ae1579cd41p-2, 0x1.bd89b2906aeedp-2, 0x1.b868101581045p-2, 0x1.b337fecfcb75fp-2, 0x1.adfb6abd2c647p-2, 0x1.a8b427d3a8608p-2, 0x1.a363f2c5456c6p-2, 0x1.9e0c719cba0c6p-2, 0x1.98af34415509fp-2, 0x1.934db4fbfdcebp-2, 0x1.8de9591566ec9p-2, 0x1.888371998f727p-2, 0x1.831d3c3cd2134p-2, 0x1.7db7e451e1424p-2, 0x1.785483bac53c5p-2, 0x1.72f423c253628p-2, 0x1.6d97bdd4c5ea8p-2, 0x1.68403c18d50fbp-2, 0x1.62ee79f29e6e2p-2, 0x1.5da3447d0e014p-2, 0x1.585f5b055442cp-2, 0x1.53236f8ff7ad3p-2, 0x1.4df0276a23691p-2, 0x1.48c61bc5503ddp-2, 0x1.43a5da581d47ap-2, 0x1.3e8fe5fd9803ap-2, 0x1.3984b74c40058p-2, 0x1.3484bd1fa2e1p-2, 0x1.2f905d12331c3p-2, 0x1.2aa7f3e7fd54dp-2, 0x1.25cbd5edad683p-2, 0x1.20fc4f50e0cecp-2, 0x1.1c39a4773544dp-2, 0x1.17841258714d4p-2, 0x1.12dbcede7acccp-2, 0x1.0e41094b9e5eap-2, 0x1.09b3eaa5ad96fp-2, 0x1.0534962301efcp-2, 0x1.00c3299586cfep-2, 0x1.f8bf54379ec98p-3, 0x1.f014a944184c6p-3, 0x1.e7864cccfc6a7p-3, 0x1.df1455cd9e65ep-3, 0x1.d6bed3125eea9p-3, 0x1.ce85cbbe780a4p-3, 0x1.c6693fcd6ec25p-3, 0x1.be69288fbcf79p-3, 0x1.b68579225b11fp-3, 0x1.aebe1ee114fc8p-3, 0x1.a71301d375c28p-3, 0x1.9f8405142235ap-3, 0x1.981107327daa5p-3, 0x1.90b9e28e534e8p-3, 0x1.897e6dad5c843p-3, 0x1.825e7b8aa27eep-3, 0x1.7b59dbdfbf887p-3, 0x1.74705b6865166p-3, 0x1.6da1c4209907fp-3, 0x1.66eddd7e6d536p-3, 0x1.60546ca7ebbb5p-3, 0x1.59d534a61173bp-3, 0x1.536ff6957d6f3p-3, 0x1.4d2471d543b08p-3, 0x1.46f2643424f2bp-3, 0x1.40d98a1c174f6p-3, 0x1.3ad99ebc03bd9p-3, 0x1.34f25c2f6f65cp-3, 0x1.2f237ba3d9628p-3, 0x1.296cb57bc09bdp-3, 0x1.23cdc16f391d1p-3, 0x1.1e4656aa3cdfdp-3, 0x1.18d62be8d0ad4p-3, 0x1.137cf79139c6bp-3, 0x1.0e3a6fcc6dae2p-3, 0x1.090e4a9ce5647p-3, 0x1.03f83df3fd764p-3, 0x1.fdefff8bec61p-4, 0x1.f41a8c396ad41p-4, 0x1.ea6f8e529c8fbp-4, 0x1.e0ee72a8d643cp-4, 0x1.d796a69b1365fp-4, 0x1.ce67983239dc7p-4, 0x1.c560b63b05c3cp-4, 0x1.bc81705d8d7a3p-4, 0x1.b3c9373264fb7p-4, 0x1.ab377c554d312p-4, 0x1.a2cbb275942acp-4, 0x1.9a854d643edd7p-4, 0x1.9263c22038964p-4, 0x1.8a6686e0d6efp-4, 0x1.828d131ef4983p-4, 0x1.7ad6df9ce3885p-4, 0x1.7343666d7b866p-4, 0x1.6bd222fa60278p-4, 0x1.648292099c54bp-4, 0x1.5d5431c29cabbp-4, 0x1.564681b27b2eep-4, 0x1.4f5902cfaa577p-4, 0x1.488b377ceb4e8p-4, 0x1.41dca38ba13efp-4, 0x1.3b4ccc3d83af5p-4, 0x1.34db3845bfe6p-4, 0x1.2e876fc9a2ad1p-4, 0x1.2850fc60d3f55p-4, 0x1.223769153a295p-4, 0x1.1c3a426290734p-4, 0x1.16591635aa52dp-4, 0x1.109373eb791a4p-4, 0x1.0ae8ec4fbf9d4p-4, 0x1.0559119b7ea08p-4, 0x1.ffc6eee63034p-5, 0x1.f50f65c85c5f2p-5, 0x1.ea8ab4c682f05p-5, 0x1.e0380b9248465p-5, 0x1.d6169ca07db7p-5, 0x1.cc259d238c5e9p-5, 0x1.c2644505bafdbp-5, 0x1.b8d1cee36b0bcp-5, 0x1.af6d78055cd27p-5, 0x1.a636805af2214p-5, 0x1.9d2c2a746cc7bp-5, 0x1.944dbb7d26babp-5, 0x1.8b9a7b35a764cp-5, 0x1.8311b3ed9cdp-5, 0x1.7ab2b27d92512p-5, 0x1.727cc6407d537p-5, 0x1.6a6f410cf71bfp-5, 0x1.6289772e454a7p-5, 0x1.5acabf5d20e96p-5, 0x1.533272b84a78fp-5, 0x1.4bbfecbcfe4fap-5, 0x1.44728b3f40852p-5, 0x1.3d49ae622b532p-5, 0x1.3644b8902da0dp-5, 0x1.2f630e734fe47p-5, 0x1.28a416ed95299p-5, 0x1.22073b115ff71p-5, 0x1.1b8be61a01c74p-5, 0x1.153185645dda2p-5, 0x1.0ef78867ae28cp-5, 0x1.08dd60ae70747p-5, 0x1.02e281cf70e4ap-5, 0x1.fa0cc2cdfb9d3p-6, 0x1.ee90ee207bf0bp-6, 0x1.e35078bd5f583p-6, 0x1.d84a59afa083dp-6, 0x1.cd7d8bd9cf18fp-6, 0x1.c2e90de9efbb8p-6, 0x1.b88be24db13cp-6, 0x1.ae650f26d5d87p-6, 0x1.a4739e3feb4dcp-6, 0x1.9ab67e0f5fa96p-6, 0x1.912d00d858744p-6, 0x1.87d6187143797p-6, 0x1.7eb0dcdb9ea2cp-6, 0x1.75bc698cc7f4ap-6, 0x1.6cf7dd6366f37p-6, 0x1.64625a9cda422p-6, 0x1.5bfb06cad3b17p-6, 0x1.53c10ac8fd75ep-6, 0x1.4bb392b2c28c6p-6, 0x1.43d1cdd92fc02p-6, 0x1.3c1aeeb8e3779p-6, 0x1.348e2af022188p-6, 0x1.2d2abb3505de8p-6, 0x1.25efdb4bb2e93p-6, 0x1.1edcc9fcc0125p-6, 0x1.17f0c90bae8a3p-6, 0x1.112b1d2d7745p-6, 0x1.0a8b0dff3db35p-6, 0x1.040fe5fd1a67fp-6, 0x1.fb71e4f1f5b37p-7, 0x1.ef0b07235c5dcp-7, 0x1.e2e9d853f2232p-7, 0x1.d70d03bfae83cp-7, 0x1.cb733a0790d43p-7, 0x1.c01b3120929p-7, 0x1.b503a442b199cp-7, 0x1.aa2b53d83b377p-7, 0x1.9f91056d54fc3p-7, 0x1.9533839f97fd9p-7, 0x1.8b119e0dfad9p-7, 0x1.812a2948ea2a9p-7, 0x1.777bfec26f16cp-7, 0x1.6e05fcbe9f037p-7, 0x1.64c7064421d5p-7, 0x1.5bbe030cfa517p-7, 0x1.52e9df7752bbep-7, 0x1.4a498c768a2ddp-7, 0x1.41dbff844628ep-7, 0x1.39a03291d4a93p-7, 0x1.319523f97fdccp-7, 0x1.29b9d67023044p-7, 0x1.220d50f6bf53cp-7, 0x1.1a8e9ecc580a1p-7, 0x1.133ccf5fc6ca3p-7, 0x1.0c16f641c137bp-7, 0x1.051c2b16f7571p-7, 0x1.fc9713147941ep-8, 0x1.ef48627df8794p-8, 0x1.e24a8b872f644p-8, 0x1.d59bdd07e2c1ep-8, 0x1.c93aad784e7a7p-8, 0x1.bd255ad6a65b3p-8, 0x1.b15a4a8cb6a0ep-8, 0x1.a5d7e95624634p-8, 0x1.9a9cab2674046p-8, 0x1.8fa70b0f7f16ap-8, 0x1.84f58b28231eep-8, 0x1.7a86b4732198p-8, 0x1.705916c6263f2p-8, 0x1.666b48b12921ap-8, 0x1.5cbbe765f3db5p-8, 0x1.5349969fe1fp-8, 0x1.4a13008bdfa21p-8, 0x1.4116d5b080261p-8, 0x1.3853ccd6a002ap-8, 0x1.2fc8a2f1df306p-8, 0x1.27741b098c60dp-8, 0x1.1f54fe21befefp-8, 0x1.176a1b24a229ep-8, 0x1.0fb246cbec285p-8, 0x1.082c5b8ab307ap-8, 0x1.00d73977584eep-8, 0x1.f3638c6b77423p-9, 0x1.e575d9c30d68dp-9, 0x1.d7e33bf1ceafp-9, 0x1.caa99e8e98002p-9, 0x1.bdc6f7a0ebd49p-9, 0x1.b13947772ea66p-9, 0x1.a4fe987de89adp-9, 0x1.9914ff16d2d18p-9, 0x1.8d7a9970a9bbfp-9, 0x1.822d8f5f333f6p-9, 0x1.772c1233f7db9p-9, 0x1.6c745c971f486p-9, 0x1.6204b260a966ep-9, 0x1.57db6072810eap-9, 0x1.4df6bc9278e63p-9, 0x1.44552544e6fd2p-9, 0x1.3af501a7c02edp-9, 0x1.31d4c14db5c6dp-9, 0x1.28f2dc1a5e8b6p-9, 0x1.204dd21e319edp-9, 0x1.17e42b7332249p-9, 0x1.0fb47819e6567p-9, 0x1.07bd4fd6d1c3fp-9, 0x1.fffaa4205f7e7p-10, 0x1.f0e64b588dd26p-10, 0x1.e23af1df49115p-10, 0x1.d3f602b95e8f8p-10, 0x1.c614f7253541bp-10, 0x1.b895565abde15p-10, 0x1.ab74b54b6f734p-10, 0x1.9eb0b664170ebp-10, 0x1.9247094e1ae66p-10, 0x1.86356ab290924p-10, 0x1.7a79a3fd72deep-10, 0x1.6f118b22109dap-10, 0x1.63fb02602c382p-10, 0x1.5933f80971f67p-10, 0x1.4eba66488036bp-10, 0x1.448c52e7b6395p-10, 0x1.3aa7cf19afe53p-10, 0x1.310af7420cfadp-10, 0x1.27b3f2beb0c06p-10, 0x1.1ea0f3b2aea5cp-10, 0x1.15d036d0fa1bcp-10, 0x1.0d4003288b17bp-10, 0x1.04eea9f0a8c23p-10, 0x1.f9b50cacd2dd6p-11, 0x1.ea03fa95d05cap-11, 0x1.dac6faa2f5003p-11, 0x1.cbfafca02aeccp-11, 0x1.bd9d02bdd2dffp-11, 0x1.afaa21331cd3ap-11, 0x1.a21f7de155d97p-11, 0x1.94fa4ff8c3a15p-11, 0x1.8837df9ea616p-11, 0x1.7bd58595224a7p-11, 0x1.6fd0aae410288p-11, 0x1.6426c882c3a6cp-11, 0x1.58d56705138ep-11, 0x1.4dda1e470d59dp-11, 0x1.4332951cb766ep-11, 0x1.38dc8100d26dp-11, 0x1.2ed5a5c672fabp-11, 0x1.251bd54b8e95cp-11, 0x1.1bacef2be2eedp-11, 0x1.1286e07791161p-11, 0x1.09a7a367f56dep-11, 0x1.010d3f1804557p-11, 0x1.f16b8e79a65f8p-12, 0x1.e13eb7bfd4296p-12, 0x1.d1905234b7c94p-12, 0x1.c25ccda38f596p-12, 0x1.b3a0b0eb4f028p-12, 0x1.a558997d29a4dp-12, 0x1.97813adbeb5ecp-12, 0x1.8a175e1fce3e8p-12, 0x1.7d17e17ad2e81p-12, 0x1.707fb7bfbc521p-12, 0x1.644be7ebd7956p-12, 0x1.58798cb25adcep-12, 0x1.4d05d40a818a7p-12, 0x1.41edfebf7e89fp-12, 0x1.372f60033c831p-12, 0x1.2cc75d0050ae6p-12, 0x1.22b36c736ca63p-12, 0x1.18f11641d467cp-12, 0x1.0f7df3142ef89p-12, 0x1.0657abf2cf8c4p-12, 0x1.faf7f3c8efbdap-13, 0x1.e9d14b1afee0bp-13, 0x1.d9370da6f2d8dp-13, 0x1.c92508ffda74dp-13, 0x1.b99727ce0a875p-13, 0x1.aa89711cc636p-13, 0x1.9bf807ae3d7acp-13, 0x1.8ddf295255ea5p-13, 0x1.803b2e3fa3ba5p-13, 0x1.7308887046f99p-13, 0x1.6643c30482413p-13, 0x1.59e981a297569p-13, 0x1.4df67fe203d48p-13, 0x1.426790b357bc2p-13, 0x1.37399dce8ac02p-13, 0x1.2c69a721f8322p-13, 0x1.21f4c24729208p-13, 0x1.17d819f8ebb7dp-13, 0x1.0e10ed8c57244p-13, 0x1.049c906cbcd94p-13, 0x1.f6f0d3347390cp-14, 0x1.e543e658ff1f3p-14, 0x1.d42d73ae41ec9p-14, 0x1.c3a8b8dbbb079p-14, 0x1.b3b116e4c9d8cp-14, 0x1.a442113c56f9dp-14, 0x1.95574ce29accep-14, 0x1.86ec8f888f232p-14, 0x1.78fdbeb4e06a8p-14, 0x1.6b86def4dc25ap-14, 0x1.5e8413075e95fp-14, 0x1.51f19b15fb15fp-14, 0x1.45cbd3eefb011p-14, 0x1.3a0f363cd921fp-14, 0x1.2eb855d34588dp-14, 0x1.23c3e0f1124fep-14, 0x1.192e9f8979705p-14, 0x1.0ef57295e797bp-14, 0x1.05155367c0255p-14, 0x1.f716a6048a7aap-15, 0x1.e4a932e2d941fp-15, 0x1.d2dcca5a315e6p-15, 0x1.c1ac14f0df702p-15, 0x1.b111e595645acp-15, 0x1.a109386ffd42ep-15, 0x1.918d31be415e8p-15, 0x1.82991cb7bf73ap-15, 0x1.74286a6c00deap-15, 0x1.6636b0c5d7253p-15, 0x1.58bfa96b9050ap-15, 0x1.4bbf30ca8312p-15, 0x1.3f3145190b1a6p-15, 0x1.33120557c67f7p-15, 0x1.275db064b8e7cp-15, 0x1.1c10a40f898b4p-15, 0x1.11275c389e9f6p-15, 0x1.069e71e97b586p-15, 0x1.f8e535075938cp-16, 0x1.e5414dce0cc0fp-16, 0x1.d24b0547b56c4p-16, 0x1.bffc66628370ap-16, 0x1.ae4fae51c2f2fp-16, 0x1.9d3f4b1288554p-16, 0x1.8d5eb17ab96abp-16, 0x1.7d6fd9cacb5b6p-16, 0x1.6e0df086a9274p-16, 0x1.5f34189e6b192p-16, 0x1.50dd9ebe03cd6p-16, 0x1.4305f7ee24fdfp-16, 0x1.35a8c06963a3ap-16, 0x1.28c1ba6e26a22p-16, 0x1.1c4cccf72fb27p-16, 0x1.104602bd41431p-16, 0x1.04a9890411b8bp-16, 0x1.f2e75d1feff45p-17, 0x1.dd41c53171fddp-17, 0x1.c85b6781d65f9p-17, 0x1.b42d9e5dedca7p-17, 0x1.a0b1fecc12f22p-17, 0x1.8de257157d3e6p-17, 0x1.7bb8acbaa17ebp-17, 0x1.6a2f3ac0f6a9ap-17, 0x1.59406feca042bp-17, 0x1.48e6ed21b4fb1p-17, 0x1.391d83bcc3093p-17, 0x1.29df340203e8cp-17, 0x1.1b272b914cb0cp-17, 0x1.0cf0c3e97b73ep-17, 0x1.fe6f01ef889dcp-18, 0x1.e3ee1f5a747f4p-18, 0x1.ca5689579a896p-18, 0x1.b1a03585dcddap-18, 0x1.99c363e8e84a7p-18, 0x1.82b89bde54dcap-18, 0x1.6c78aa36c182ep-18, 0x1.56fc9e42a0163p-18, 0x1.423dc7efad04bp-18, 0x1.2e35b57143357p-18, 0x1.1ade3133480cep-18, 0x1.08313f833cae9p-18, 0x1.ec5239c2f2184p-19, 0x1.c98077aef47fap-19, 0x1.a7e28636d53f9p-19, 0x1.876e1775940e8p-19, 0x1.68193e81add5fp-19, 0x1.49da6c77bde34p-19, 0x1.2ca86c6f487c9p-19, 0x1.107a6084df8d3p-19, 0x1.ea8f7de3df1ddp-20, 0x1.b6109d916539bp-20, 0x1.83684a014dc36p-20, 0x1.52874320571b3p-20, 0x1.235ed9e5cc13ep-20, 0x1.ebc1d4a7381f3p-21, 0x1.93ffad71e3b73p-21, 0x1.3f5d04dc7d1e4p-21, 0x1.db8135a3c4fd6p-22, 0x1.3e243c017b436p-22, 0x1.4ce890c749de7p-23, 0x1.4443def0ce44p-26, -0x1.e25d49578c444p-24, -0x1.00483ea40168fp-22, -0x1.82f6d2e5dbafcp-22, -0x1.0064f00251bd4p-21, -0x1.3cf36564e47b6p-21, -0x1.7738cc89a5d4bp-21, -0x1.af46810534325p-21, -0x1.e52d3b1dbcb87p-21, -0x1.0c7e8ca4d13a9p-20, -0x1.2562d23c9c628p-20, -0x1.3d4aeb46aac52p-20, -0x1.543e0fd6d6665p-20, -0x1.6a43360f341c6p-20, -0x1.7f6114c0d796ep-20, -0x1.939e25a401197p-20, -0x1.a700a924f25d2p-20, -0x1.b98ea6c84c928p-20, -0x1.cb4df0de203edp-20, -0x1.dc4425a6c3a5fp-20, -0x1.ec76b32d1c99fp-20, -0x1.fbead769de174p-20, -0x1.0552d19ed4dbap-19, -0x1.0c55fe0a4647fp-19, -0x1.13014eea1fdcep-19, -0x1.19570e38a4426p-19, -0x1.1f5972d688671p-19, -0x1.250aa16d1443dp-19, -0x1.2a6cacff2533cp-19, -0x1.2f81981a370e9p-19, -0x1.344b54c5b80aep-19, -0x1.38cbc6014d4c4p-19, -0x1.3d04bffe0f5dap-19, -0x1.40f808c83d6dbp-19, -0x1.44a75920ff5e4p-19, -0x1.48145cb0fdb02p-19, -0x1.4b40b2e17aab1p-19, -0x1.4e2def2fc1642p-19, -0x1.50dd9a2a2690ap-19, -0x1.535130ed2497p-19, -0x1.558a26ba6125p-19, -0x1.5789e4c5c898cp-19, -0x1.5951cacaff65bp-19, -0x1.5ae32f528b7f4p-19, -0x1.5c3f609fe4edcp-19, -0x1.5d67a44df6e3bp-19, -0x1.5e5d3800067f6p-19, -0x1.5f2151e438c37p-19, -0x1.5fb520d2fd5eap-19, -0x1.6019ccca03bc1p-19, -0x1.605076db78fdbp-19, -0x1.605a39dcda17bp-19, -0x1.60382a819c88bp-19, -0x1.5feb5792eb7b9p-19, -0x1.5f74ca3dca644p-19, -0x1.5ed58644ee1c2p-19, -0x1.5e0e8a3d6bec9p-19, -0x1.5d20cfc2da0c6p-19, -0x1.5c0d4ba9f030ep-19, -0x1.5ad4ee3099d6cp-19, -0x1.5978a30e8fed5p-19, -0x1.57f951efcb0b1p-19, -0x1.5657de8211256p-19, -0x1.549528346fa8bp-19, -0x1.52b20b0216836p-19, -0x1.50af5ebd4f025p-19, -0x1.4e8df80fd3881p-19, -0x1.4c4ea841f3571p-19, -0x1.49f23d41653eap-19, -0x1.477981c849a27p-19, -0x1.44e53d73a670bp-19, -0x1.4236350da50b2p-19, -0x1.3f6d2a46ef47ep-19, -0x1.3c8adc2e6de55p-19, -0x1.399006f895422p-19, -0x1.367d643bd873fp-19, -0x1.3353aaeb99654p-19, -0x1.30138fa6361d9p-19, -0x1.2cbdc45c81c71p-19, -0x1.2952f8bb7b358p-19, -0x1.25d3da06c59acp-19, -0x1.2241133acc3f2p-19, -0x1.1e9b4d1708524p-19, -0x1.1ae32e231ce8p-19, -0x1.17195abecf3b3p-19, -0x1.133e75282bd6bp-19, -0x1.0f531d8629c9p-19, -0x1.0b57f1f0f80d3p-19, -0x1.074d8e500353bp-19, -0x1.03348d0510f4bp-19, -0x1.fe1b0bfc3ebbp-20, -0x1.f5b21ed350a6ep-20, -0x1.ed2f7acdfa871p-20, -0x1.e4944499715d6p-20, -0x1.dbe19d094f9abp-20, -0x1.d318a1778380dp-20, -0x1.ca3a6abbd5d17p-20, -0x1.c1480ec4dcd81p-20, }}, 
      {{0x1.a00b8688923cfp-11, 0x1.99e82bb9c4dep-9, 0x1.c2f1f801094aap-8, 0x1.8594bcaa37111p-7, 0x1.26508a08d61d4p-6, 0x1.98136bdc412ddp-6, 0x1.0a6e9e52ed569p-5, 0x1.4ccd1af72349cp-5, 0x1.91b6f471e224fp-5, 0x1.d7deff83cbe86p-5, 0x1.0f0de33b41e66p-4, 0x1.31b3d0603de0bp-4, 0x1.53706021fd29bp-4, 0x1.73e352e4ae3e8p-4, 0x1.92bc15dc1a877p-4, 0x1.afb89aacfe226p-4, 0x1.caa3afaecf6adp-4, 0x1.e353e2d246df5p-4, 0x1.f9a9f25f66cb5p-4, 0x1.06c7e8430f164p-3, 0x1.0f7b9c7ebb6e1p-3, 0x1.16ec8ed2d6afep-3, 0x1.1d1990a23a85bp-3, 0x1.22050dcaed9f1p-3, 0x1.25b2d9deb017ep-3, 0x1.2827e10fd6e03p-3, 0x1.296d1868dbd22p-3, 0x1.2989b94f537d5p-3, 0x1.288801d2f4fe4p-3, 0x1.267293dfbf616p-3, 0x1.23547a84555e6p-3, 0x1.1f39691f69192p-3, 0x1.1a2daec926158p-3, 0x1.143dd7243ddb2p-3, 0x1.0d7677629b5aap-3, 0x1.05e4426e6bffap-3, 0x1.fb2817a7f9c1dp-4, 0x1.e9252edbf4001p-4, 0x1.d5d8e5d7d363dp-4, 0x1.c15bf2343781dp-4, 0x1.abc6b94b37768p-4, 0x1.95313ca3f1ff9p-4, 0x1.7db2ead558b2bp-4, 0x1.656271af5b899p-4, 0x1.4c55a2801d3cdp-4, 0x1.32a173156cf78p-4, 0x1.185a17d6c4727p-4, 0x1.fb263f3d90f9ep-5, 0x1.c4bef21645764p-5, 0x1.8da2b9874c257p-5, 0x1.55f45664519f4p-5, 0x1.1dd4a11f7d82bp-5, 0x1.cac4ee0c95b74p-6, 0x1.5975a1ada3fa7p-6, 0x1.cfe55dc71edbbp-7, 0x1.d9ccf98fdd538p-8, 0x1.48eba2eaa3dc6p-12, -0x1.af39b6d441f1cp-8, -0x1.b86e2e2f56eedp-7, -0x1.4bec4f3e99ae9p-6, -0x1.bac6ca0920caep-6, -0x1.14513bfee9926p-5, -0x1.4aaf5309e1a73p-5, -0x1.806ed79794832p-5, -0x1.b5823854cad4bp-5, -0x1.e9dce2843603bp-5, -0x1.0eb98d5e19618p-4, -0x1.281cfb7549365p-4, -0x1.4113b7ab0aa9ep-4, -0x1.59993ab1e982bp-4, -0x1.71a980c85d2b8p-4, -0x1.8941090c34095p-4, -0x1.a05ccdf0e890ap-4, -0x1.b6fa39f7c74a7p-4, -0x1.cd171bf4b7434p-4, -0x1.e2b19cde1bdf5p-4, -0x1.f7c8377f6009ap-4, -0x1.062cd8a51d296p-3, -0x1.103289a6e1e62p-3, -0x1.19f4d16e601eep-3, -0x1.23736d1736204p-3, -0x1.2cae30e8a84c6p-3, -0x1.35a505ede0f61p-3, -0x1.3e57e8b262356p-3, -0x1.46c6e917b908cp-3, -0x1.4ef22aee40c34p-3, -0x1.56d9e6d19b2dep-3, -0x1.5e7e6acdcaa2fp-3, -0x1.65e01a7b13347p-3, -0x1.6cff6e7858e81p-3, -0x1.73dcf35ee341dp-3, -0x1.7a79486782771p-3, -0x1.80d51dfbfc8e1p-3, -0x1.86f1345dbe64p-3, -0x1.8cce5a6f99985p-3, -0x1.926d6c97181b3p-3, -0x1.97cf539af76b8p-3, -0x1.9cf503620d944p-3, -0x1.a1df797ee0b8ep-3, -0x1.a68fbb83cc5f3p-3, -0x1.ab06d52cd1f0bp-3, -0x1.af45d67a833edp-3, -0x1.b34dd1e2016f1p-3, -0x1.b71fdab789527p-3, -0x1.babd03f36c6b5p-3, -0x1.be265f6652bbcp-3, -0x1.c15cfd6308e4ap-3, -0x1.c461ecd4a6fccp-3, -0x1.c7363baa09ddfp-3, -0x1.c9daf77507d6fp-3, -0x1.cc4fb1afab46bp-3, -0x1.ce97c4f2bc6c9p-3, -0x1.d0b386666c81ep-3, -0x1.d2a41413aa106p-3, -0x1.d46a89eec3e01p-3, -0x1.d608009faf4aep-3, -0x1.d77d8c68080fcp-3, -0x1.d8cc3c342c9b7p-3, -0x1.d9f518e33e133p-3, -0x1.daf924ceaafdp-3, -0x1.dbd95b950973ep-3, -0x1.dc96b225da0e7p-3, -0x1.dd3217054d497p-3, -0x1.ddac72b9c832p-3, -0x1.de06a851870afp-3, -0x1.de4195ee1f324p-3, -0x1.de5e154593697p-3, -0x1.de5cfc0d0b9ebp-3, -0x1.de3f1c467974cp-3, -0x1.de05446ff1474p-3, -0x1.ddb03f980b20ep-3, -0x1.dd40d55dbdca4p-3, -0x1.dcb7c9e33b293p-3, -0x1.dc15ddbb2bd41p-3, -0x1.db5bcdd5bf8acp-3, -0x1.da8a5370ea71fp-3, -0x1.d9a2240ca6922p-3, -0x1.d8a3f162104b1p-3, -0x1.d790695b211b3p-3, -0x1.d66836085e28bp-3, -0x1.d52bfd92700d3p-3, -0x1.d3dc62269ea82p-3, -0x1.d27a01deaf9f4p-3, -0x1.d10576a5e90ap-3, -0x1.cf7f561e02855p-3, -0x1.cde831875f2f1p-3, -0x1.cc4095afe31f2p-3, -0x1.ca890aeb20887p-3, -0x1.c8c21515cbbadp-3, -0x1.c6ec33a551eccp-3, -0x1.c507e1c34d4f3p-3, -0x1.c3159673bb305p-3, -0x1.c115c4c414c96p-3, -0x1.bf08dc0117c52p-3, -0x1.bcef47f0d8869p-3, -0x1.bac9710ee7b89p-3, -0x1.b897bcc89868fp-3, -0x1.b65a8db7bf982p-3, -0x1.b41243dae71c9p-3, -0x1.b1bf3cca0e474p-3, -0x1.af61d3e7a5995p-3, -0x1.acfa628d8a9c8p-3, -0x1.aa8940361737fp-3, -0x1.a80ec2a14c6bep-3, -0x1.a58b3df65282bp-3, -0x1.a2ff04e1612f3p-3, -0x1.a06a68ae364dp-3, -0x1.9dcdb95f26b1fp-3, -0x1.9b2945c0ce56dp-3, -0x1.987d5b7a643f5p-3, -0x1.95ca471ab2ffep-3, -0x1.93105421bc0cp-3, -0x1.904fcd0710594p-3, -0x1.8d88fb3d050c9p-3, -0x1.8abc2730e75f9p-3, -0x1.87e9984885119p-3, -0x1.851194dd4dff7p-3, -0x1.823462357f79ap-3, -0x1.7f52447bd721bp-3, -0x1.7c6b7eb63fa7ap-3, -0x1.798052bc15bc1p-3, -0x1.7691012c7cd7fp-3, -0x1.739dc9655dc7cp-3, -0x1.70a6e97b7a4a9p-3, -0x1.6dac9e341630cp-3, -0x1.6aaf23009257p-3, -0x1.67aeb1fc338aep-3, -0x1.64ab83ec64831p-3, -0x1.61a5d0436be2ap-3, -0x1.5e9dcd25b26c4p-3, -0x1.5b93af7165802p-3, -0x1.5887aac85d434p-3, -0x1.5579f19becb8bp-3, -0x1.526ab53a4e635p-3, -0x1.4f5a25dd4849ep-3, -0x1.4c4872b994222p-3, -0x1.4935ca0ea83d9p-3, -0x1.46225936628e1p-3, -0x1.430e4cb446987p-3, -0x1.3ff9d043d8765p-3, -0x1.3ce50ee5e020cp-3, -0x1.39d032ec46bb2p-3, -0x1.36bb66047a82cp-3, -0x1.33a6d1402904ap-3, -0x1.30929d1c604dap-3, -0x1.2d7ef1871d3e7p-3, -0x1.2a6bf5e3589b1p-3, -0x1.2759d10bbc2c5p-3, -0x1.2448a9542a2d1p-3, -0x1.2138a48a4763ap-3, -0x1.1e29e7f52a34ep-3, -0x1.1b1c985476d3p-3, -0x1.1810d9deef9p-3, -0x1.1506d040c256ep-3, -0x1.11fe9e9999733p-3, -0x1.0ef8677a8f522p-3, -0x1.0bf44ce42161bp-3, -0x1.08f2704422f04p-3, -0x1.05f2f273bc5dp-3, -0x1.02f5f3b57f63ep-3, -0x1.fff7276712fa4p-4, -0x1.fa07e2fb7a367p-4, -0x1.f417cd6eed823p-4, -0x1.ee34b63f9f111p-4, -0x1.e857d9d738942p-4, -0x1.e2816f5cb6ae9p-4, -0x1.dcb1aca99c69ep-4, -0x1.d6e8c64d9b1d1p-4, -0x1.d126ef920e593p-4, -0x1.cb6c5a7d28abbp-4, -0x1.c5b937d4e10bep-4, -0x1.c00db721787cbp-4, -0x1.ba6a06afb409cp-4, -0x1.b4ce5392a62cap-4, -0x1.af3ac9a52583ap-4, -0x1.a9af938af7e3p-4, -0x1.a42cdab19053dp-4, -0x1.9eb2c750984cp-4, -0x1.9941806a3b80ep-4, -0x1.93d92bcb39d8dp-4, -0x1.8e79ee0ad7961p-4, -0x1.8923ea8abb35bp-4, -0x1.83d74376bc5a8p-4, -0x1.7e9419c4bdfa8p-4, -0x1.795a8d3496f8dp-4, -0x1.742abc501b4bdp-4, -0x1.6f04c46b4ed46p-4, -0x1.69e8c1a4cf45ap-4, -0x1.64d6cee679afcp-4, -0x1.5fcf05e656695p-4, -0x1.5ad17f27cda05p-4, -0x1.55de51fd2e135p-4, -0x1.50f5948981e63p-4, -0x1.4c175bc2b6da2p-4, -0x1.4743bb7416373p-4, -0x1.427ac6410da1ap-4, -0x1.3dbc8da84287ap-4, -0x1.39092206ed54cp-4, -0x1.3460929c77525p-4, -0x1.2fc2ed8e5593bp-4, -0x1.2b303fec18a8bp-4, -0x1.26a895b3aea0cp-4, -0x1.222bf9d5cbc1fp-4, -0x1.1dba763a7723p-4, -0x1.195413c5b1a97p-4, -0x1.14f8da5c338b8p-4, -0x1.10a8d0e837b87p-4, -0x1.0c63fd5e500c7p-4, -0x1.082a64c2408e2p-4, -0x1.03fc0b2bd591ap-4, -0x1.ffb1e7977033cp-5, -0x1.f78241e071cccp-5, -0x1.ef6928141a836p-5, -0x1.e7669b6203366p-5, -0x1.df7a9b512fcc8p-5, -0x1.d7a525c92976dp-5, -0x1.cfe6371af45c9p-5, -0x1.c83dca09deec4p-5, -0x1.c0abd7d4236fcp-5, -0x1.b930583b68e81p-5, -0x1.b1cb418d1a09bp-5, -0x1.aa7c88aa94d1fp-5, -0x1.a3442111406c1p-5, -0x1.9c21fce2771bdp-5, -0x1.95160ceb5c744p-5, -0x1.8e2040ac91c7p-5, -0x1.87408661d8fc7p-5, -0x1.8076cb099dbc6p-5, -0x1.79c2fa6c7192p-5, -0x1.7324ff24772cdp-5, -0x1.6c9cc2a4c1506p-5, -0x1.662a2d40a952dp-5, -0x1.5fcd26331e91fp-5, -0x1.598593a5efec7p-5, -0x1.53535ab912c5dp-5, -0x1.4d365f89e7ec6p-5, -0x1.472e853a7cfcp-5, -0x1.413badf8cf81ep-5, -0x1.3b5dbb061189bp-5, -0x1.35948cbde7d4fp-5, -0x1.2fe0029db137fp-5, -0x1.2a3ffb4bc639ep-5, -0x1.24b4549ebbdedp-5, -0x1.1f3ceba4a1df6p-5, -0x1.19d99caa42483p-5, -0x1.148a434259022p-5, -0x1.0f4eba4ccb002p-5, -0x1.0a26dbfdd5559p-5, -0x1.051281e537057p-5, -0x1.001184f54e813p-5, -0x1.f6477b1468ad1p-6, -0x1.ec9206e187248p-6, -0x1.e3025bdb39025p-6, -0x1.d99827882a4b4p-6, -0x1.d053167a3c219p-6, -0x1.c732d45c2a93bp-6, -0x1.be370bff0dd3dp-6, -0x1.b55f6767c0b1bp-6, -0x1.acab8fdc0d61p-6, -0x1.a41b2defc46e9p-6, -0x1.9bade9919a02ap-6, -0x1.93636a17d7818p-6, -0x1.8b3b564ce18bcp-6, -0x1.8335547b8666bp-6, -0x1.7b510a7b179e4p-6, -0x1.738e1dbb53ccfp-6, -0x1.6bec33500ef2ap-6, -0x1.646aeffcaa3d3p-6, -0x1.5d09f83f48435p-6, -0x1.55c8f05bcf493p-6, -0x1.4ea77c66a1a22p-6, -0x1.47a5404f1c5e5p-6, -0x1.40c1dfe9dcf8cp-6, -0x1.39fcfefab3484p-6, -0x1.3356413e69ebdp-6, -0x1.2ccd4a7436c15p-6, -0x1.2661be66f52c9p-6, -0x1.201340f6172fep-6, -0x1.19e1761e572f8p-6, -0x1.13cc02021db53p-6, -0x1.0dd288f1b0517p-6, -0x1.07f4af730d728p-6, -0x1.02321a49920d6p-6, -0x1.f914dcfaa5252p-7, -0x1.edfaa2c46ebcdp-7, -0x1.e314d13da42eap-7, -0x1.d862b465eba5dp-7, -0x1.cde398fc11baap-7, -0x1.c396cc8a382ffp-7, -0x1.b97b9d718066bp-7, -0x1.af915af539f76p-7, -0x1.a5d755458fd19p-7, -0x1.9c4cdd89cbcd3p-7, -0x1.92f145ea1cfafp-7, -0x1.89c3e198dc797p-7, -0x1.80c404db7f41ep-7, -0x1.77f10512f9cfbp-7, -0x1.6f4a38c3cf565p-7, -0x1.66cef79da7eefp-7, -0x1.5e7e9a828b4afp-7, -0x1.56587b8db611fp-7, -0x1.4e5bf61a044a1p-7, -0x1.468866c8074e3p-7, -0x1.3edd2b83c3cf4p-7, -0x1.3759a38a16529p-7, -0x1.2ffd2f6db03fp-7, -0x1.28c7311be2ac1p-7, -0x1.21b70be10153dp-7, -0x1.1acc246c85e75p-7, -0x1.1405e0d4dfeebp-7, -0x1.0d63a89b086c4p-7, -0x1.06e4e4adca586p-7, -0x1.0088ff6cccc5p-7, -0x1.f49ec956bf903p-8, -0x1.e86f03660fa23p-8, -0x1.dc818a8ba9468p-8, -0x1.d0d53f410c6c5p-8, -0x1.c56904f8daa8p-8, -0x1.ba3bc22244468p-8, -0x1.af4c602c29f18p-8, -0x1.a499cb87bfa96p-8, -0x1.9a22f3aae7f8dp-8, -0x1.8fe6cb1239067p-8, -0x1.85e44742ae0dap-8, -0x1.7c1a60cb0e3fep-8, -0x1.7288134504d63p-8, -0x1.692c5d55f66c8p-8, -0x1.600640af911f8p-8, -0x1.5714c21007608p-8, -0x1.4e56e94241c78p-8, -0x1.45cbc11d8939dp-8, -0x1.3d7257852c8fap-8, -0x1.3549bd67e1431p-8, -0x1.2d5106bedb393p-8, -0x1.25874a8cc30b2p-8, -0x1.1deba2dc744c9p-8, -0x1.167d2cbf82f61p-8, -0x1.0f3b084c96071p-8, -0x1.0824589d8f353p-8, -0x1.013843cd7f18ep-8, -0x1.f4ebe5ed01ba9p-9, -0x1.e7b9245e9fb4p-9, -0x1.dad6a1116b881p-9, -0x1.ce42c015cb772p-9, -0x1.c1fbeb650db1ep-9, -0x1.b60092db6e4p-9, -0x1.aa4f2c31938b6p-9, -0x1.9ee632f600c86p-9, -0x1.93c42885db8bap-9, -0x1.88e79405af1ebp-9, -0x1.7e4f0259beadep-9, -0x1.73f9061e08a5fp-9, -0x1.69e4379e1917cp-9, -0x1.600f34cc65535p-9, -0x1.5678a1398bedcp-9, -0x1.4d1f260b242fep-9, -0x1.440171f256596p-9, -0x1.3b1e39222fc66p-9, -0x1.32743545c58a8p-9, -0x1.2a022575d1a13p-9, -0x1.21c6ce2e432aap-9, -0x1.19c0f9438b1bap-9, -0x1.11ef75d78e4a1p-9, -0x1.0a51184e7e254p-9, -0x1.02e4ba4337444p-9, -0x1.f75274f7542dcp-10, -0x1.e93af9b9d4288p-10, -0x1.db80d4bdff199p-10, -0x1.ce21e20117c56p-10, -0x1.c11c07748cb57p-10, -0x1.b46d34e478408p-10, -0x1.a81363ddcd41ap-10, -0x1.9c0c979421dbap-10, -0x1.9056dcc740d08p-10, -0x1.84f049a8870dfp-10, -0x1.79d6fdbfa5dacp-10, -0x1.6f0921cf4c3edp-10, -0x1.6484e7b9d60bdp-10, -0x1.5a488a6572abp-10, -0x1.50524da02c63dp-10, -0x1.46a07e03dfdf4p-10, -0x1.3d3170d9ecbd3p-10, -0x1.340383fedae74p-10, -0x1.2b151dc5d3fa3p-10, -0x1.2264acdc0ceccp-10, -0x1.19f0a82c16f11p-10, -0x1.12988a4a1a606p-10, -0x1.0a90fe6056ccp-10, -0x1.02c1844f41d6bp-10, -0x1.f6516cdeacf42p-11, -0x1.e78a6cfeb6601p-11, -0x1.d92b5b131f123p-11, -0x1.cb31979276869p-11, -0x1.bd9a911fae123p-11, -0x1.b063c45622273p-11, -0x1.a38abb9498fc8p-11, -0x1.970d0ec92430bp-11, -0x1.8ae8633d3b9e9p-11, -0x1.7f1a6b61b25dbp-11, -0x1.73a0e69b0be96p-11, -0x1.6879a10e820c5p-11, -0x1.5da2736de47c5p-11, -0x1.531942c54b42ap-11, -0x1.48dc0047c50edp-11, -0x1.3ee8a91cba959p-11, -0x1.353d462da492fp-11, -0x1.2bd7ebf350fc6p-11, -0x1.22b6ba43f8b72p-11, -0x1.19d7dc21cdc69p-11, -0x1.11398788a8fa5p-11, -0x1.08d9fd3d278d7p-11, -0x1.00b7889b885fp-11, -0x1.f1a0fecda3599p-12, -0x1.e24683311d269p-12, -0x1.d35c7260561a2p-12, -0x1.c4dfb407bac71p-12, -0x1.b6cd43221d306p-12, -0x1.a9222d9a5453ap-12, -0x1.9bdb93ee3e94dp-12, -0x1.8ef6a8d2ade79p-12, -0x1.8270b0d7fb0d1p-12, -0x1.7647020f9c3adp-12, -0x1.6a7703b29c7bcp-12, -0x1.5efe2dc963099p-12, -0x1.53da08d42722dp-12, -0x1.49082d74adfe3p-12, -0x1.3e864418e56bp-12, -0x1.345204a7317dcp-12, -0x1.2a69362b71157p-12, -0x1.20c9ae846a696p-12, -0x1.17715213b37f4p-12, -0x1.0e5e136e38b53p-12, -0x1.058df30dab3aep-12, -0x1.f9fdfe07ca7c7p-13, -0x1.e95ea55c56d5ap-13, -0x1.d93a2cd6620c9p-13, -0x1.c98cfea13db3cp-13, -0x1.ba539dc841427p-13, -0x1.ab8aa5a5f3f1fp-13, -0x1.9d2ec958951aap-13, -0x1.8f3cd33950361p-13, -0x1.81b1a45459447p-13, -0x1.748a33e3b309ep-13, -0x1.67c38ecd08866p-13, -0x1.5b5ad7210aa41p-13, -0x1.4f4d439cd201fp-13, -0x1.43981f2efe357p-13, -0x1.3838c87c95ffdp-13, -0x1.2d2cb16a3effcp-13, -0x1.22715ea6328a7p-13, -0x1.18046736986a5p-13, -0x1.0de374054d643p-13, -0x1.040c3f73a7449p-13, -0x1.f4f929d5ffbd2p-14, -0x1.e264a0e562e85p-14, -0x1.d056bc8f40ac7p-14, -0x1.becb74e597d72p-14, -0x1.adbee0cb78a1fp-14, -0x1.9d2d352cc26c2p-14, -0x1.8d12c43ba788ap-14, -0x1.7d6bfcb13c2bcp-14, -0x1.6e356910ecfb2p-14, -0x1.5f6baef113715p-14, -0x1.510b8e45e871p-14, -0x1.4311e0b1dce81p-14, -0x1.357b98d2d1b61p-14, -0x1.2845c1a0d94c8p-14, -0x1.1b6d7dbeba1d6p-14, -0x1.0ef006daf89fp-14, -0x1.02caad0e59df8p-14, -0x1.edf5ac7ddc161p-15, -0x1.d6fbfb0c77023p-15, -0x1.c0a36536d0d2bp-15, -0x1.aae7327d20157p-15, -0x1.95c2d151941cbp-15, -0x1.8131d5fec3435p-15, -0x1.6d2ff9912d244p-15, -0x1.59b918c9fa787p-15, -0x1.46c9331602ca9p-15, -0x1.345c6987b23cp-15, -0x1.226efde0b3985p-15, -0x1.10fd51956ffcdp-15, -0x1.0003e4d86b11ap-15, -0x1.defeab63cfb58p-16, -0x1.bed8be2f6b0dbp-16, -0x1.9f8fb016b2ee8p-16, -0x1.811d657909c1fp-16, -0x1.637bf769d8f05p-16, -0x1.46a5b1fbb553cp-16, -0x1.2a9512baaf15cp-16, -0x1.0f44c7139b2c7p-16, -0x1.e95f558953422p-17, -0x1.b5a18cd884b3fp-17, -0x1.83469c1ebdbd7p-17, -0x1.52453f5e9a881p-17, -0x1.229483ddc0fdcp-17, -0x1.e8578abfa87eap-18, -0x1.8e05572b20c06p-18, -0x1.36224f1a6e272p-18, -0x1.c13dc4d93a19cp-19, -0x1.1ad813da86014p-19, -0x1.e3da14fd1f6a9p-21, 0x1.24176e0ea8fbbp-22, 0x1.7b5eaa9de11e3p-20, 0x1.52a8d4235aaccp-19, 0x1.e388a79685f75p-19, 0x1.383397f6c4974p-18, 0x1.7cadfc32b8ad6p-18, 0x1.bf3edf389465p-18, 0x1.fff13d043b9a2p-18, 0x1.1f67d9185a95fp-17, 0x1.3df23fcabd686p-17, 0x1.5b9cc6da0ee8fp-17, 0x1.786c38068e98cp-17, 0x1.9465342fa0c4cp-17, 0x1.af8c34dd4b00fp-17, 0x1.c9e58dcf4b4e1p-17, 0x1.e3756e6fea378p-17, 0x1.fc3fe34353bfcp-17, 0x1.0a246b9e363cfp-16, 0x1.15ca0a908789p-16, 0x1.2112a47123edap-16, 0x1.2c00005c8417cp-16, 0x1.3693d73acce59p-16, 0x1.40cfd4505bdb8p-16, 0x1.4ab595d1c7becp-16, 0x1.5446ad6f035f2p-16, 0x1.5d84a0d8a1faep-16, 0x1.6670ea4406ee3p-16, 0x1.6f0cf8e94dc8bp-16, 0x1.775a317d47579p-16, 0x1.7f59eea1c6776p-16, 0x1.870d815fe80e9p-16, 0x1.8e7631900c68ep-16, 0x1.95953e3e24fp-16, 0x1.9c6bde18996c6p-16, 0x1.a2fb3fc9eac25p-16, 0x1.a9448a61191bcp-16, 0x1.af48dd920714dp-16, 0x1.b509522f439dp-16, }}, 
      {{-0x1.394b36e89746dp-3, -0x1.31dc1b458f4bbp-2, -0x1.bacab1f377692p-2, -0x1.1a56c3908a686p-1, -0x1.4f1ba83a0e4edp-1, -0x1.7b8f32d1e5611p-1, -0x1.9fe4ef1bdb7c6p-1, -0x1.bc8b2d0a123ep-1, -0x1.d21593469b352p-1, -0x1.e12cbfcda4812p-1, -0x1.ea826d80113b5p-1, -0x1.eec8ebde59086p-1, -0x1.eead903da68b3p-1, -0x1.ead4883063627p-1, -0x1.e3d6f4134c6f7p-1, -0x1.da4114c45e60ap-1, -0x1.ce920d1d81f79p-1, -0x1.c13c00e709a4ep-1, -0x1.b2a4370a2aa3ep-1, -0x1.a323d59e7eebbp-1, -0x1.9308d0d6b0d55p-1, -0x1.8296b04519526p-1, -0x1.7207a1233be71p-1, -0x1.618cc3e37df68p-1, -0x1.514fad0750281p-1, -0x1.4173596252b5dp-1, -0x1.3214068e7f3f1p-1, -0x1.2348f34b860ddp-1, -0x1.15246972ea962p-1, -0x1.07b4798963fbap-1, -0x1.f606d87e7aceap-2, -0x1.de30c66f50d9bp-2, -0x1.c7ef999bb57cep-2, -0x1.b347607de60ep-2, -0x1.a037fe1bff43dp-2, -0x1.8ebdd1d430beap-2, -0x1.7ed246a0272f2p-2, -0x1.706c50e80b2b6p-2, -0x1.6380dc15634aep-2, -0x1.580326b6c809dp-2, -0x1.4de517461fca3p-2, -0x1.45178c5090be1p-2, -0x1.3d8aa28520989p-2, -0x1.372df0741a438p-2, -0x1.31f0b9d7b6001p-2, -0x1.2dc217d00a69fp-2, -0x1.2a91158866ba2p-2, -0x1.284cc843745fdp-2, -0x1.26e46a9300fd2p-2, -0x1.26477b40befa8p-2, -0x1.2665dad040d1bp-2, -0x1.272fe357b4935p-2, -0x1.289679a83ddb8p-2, -0x1.2a8b17fcb16afp-2, -0x1.2cff83200941p-2, -0x1.2fe7639756508p-2, -0x1.3334fada653d1p-2, -0x1.36dc0c1bbe16ep-2, -0x1.3ad10f2cd0282p-2, -0x1.3f0925315d1b2p-2, -0x1.437a09d044634p-2, -0x1.481a07a09fd2dp-2, -0x1.4cdff2da7bf75p-2, -0x1.51c32998b5549p-2, -0x1.56bb96d14afa4p-2, -0x1.5bc1b4d1e1b35p-2, -0x1.60ce8cfa4900bp-2, -0x1.65dbb3e219b2bp-2, -0x1.6ae34277dc92ep-2, -0x1.6fdfcd90d8764p-2, -0x1.74cc5d9cb631fp-2, -0x1.79a467c3e8655p-2, -0x1.7e63c8e2ac8c7p-2, -0x1.8306c1f70c549p-2, -0x1.8789f50fa2bc8p-2, -0x1.8bea61bbdc3bdp-2, -0x1.90256059f96ffp-2, -0x1.94389c2a35779p-2, -0x1.98220c8a891e7p-2, -0x1.9bdfee032b01ap-2, -0x1.9f70bbced64f8p-2, -0x1.a2d32a590fd69p-2, -0x1.a60622e2a719cp-2, -0x1.a908c0348fefdp-2, -0x1.abda4c16da788p-2, -0x1.ae7a3d2e0783ap-2, -0x1.b0e834ea7dc91p-2, -0x1.b323fd5282973p-2, -0x1.b52d869223bfcp-2, -0x1.b704e45a562efp-2, -0x1.b8aa4b2ab557ap-2, -0x1.ba1e0da603ccdp-2, -0x1.bb609a0b3edb4p-2, -0x1.bc7277e046051p-2, -0x1.bd5445cc8da09p-2, -0x1.be06b7968584dp-2, -0x1.be8a94305d52ep-2, -0x1.bee0b3c19726ap-2, -0x1.bf09fda1b369ep-2, -0x1.bf0766428bd4p-2, -0x1.bed9ed139f41dp-2, -0x1.be829a6fc5023p-2, -0x1.be027daa9bc43p-2, -0x1.bd5aab52384d2p-2, -0x1.bc8c3bb4b0e73p-2, -0x1.bb9849b1998p-2, -0x1.ba7ff1d71ffa3p-2, -0x1.b94451c2b44bdp-2, -0x1.b7e687b72bbbp-2, -0x1.b667b256884adp-2, -0x1.b4c7ae36fe1dap-2, -0x1.b309ead4559cap-2, -0x1.b12e87c923899p-2, -0x1.af36a468cc2c7p-2, -0x1.ad235e0ca52fap-2, -0x1.aaf5cf90f928p-2, -0x1.a8af10c55500ap-2, -0x1.a65035d6559e4p-2, -0x1.a3da4eb9c49b8p-2, -0x1.a14e66a693a1fp-2, -0x1.9ead83a13d1ebp-2, -0x1.9bf8a62268b39p-2, -0x1.9930c8da48bfbp-2, -0x1.9656e08f97166p-2, -0x1.936bdc162d11p-2, -0x1.9070a45767906p-2, -0x1.8d661c65f974p-2, -0x1.8a4d21975d8cbp-2, -0x1.87268b9e79c81p-2, -0x1.83f32ca4b5a86p-2, -0x1.80b3d16063851p-2, -0x1.7d69412894c3fp-2, -0x1.7a143e0715b9dp-2, -0x1.76b584c96d175p-2, -0x1.734dcd117239cp-2, -0x1.6fddc9657d724p-2, -0x1.6c66273fc6f46p-2, -0x1.68e78f1c22a2fp-2, -0x1.6562a4833e94ep-2, -0x1.61d80612c6e12p-2, -0x1.5e484d8237456p-2, -0x1.5ab40fa4c3c57p-2, -0x1.571bdc693f292p-2, -0x1.53803ed964e82p-2, -0x1.4fe1bd1a2bd8cp-2, -0x1.4c40d86ec767bp-2, -0x1.489e0d3fd66b2p-2, -0x1.44f9d327de50cp-2, -0x1.41549d05b7247p-2, -0x1.3daed91510e4fp-2, -0x1.3a08f10cb3988p-2, -0x1.36634a41b66acp-2, -0x1.32be45cea26c5p-2, -0x1.2f1a40bd41a91p-2, -0x1.2b779431d8a43p-2, -0x1.27d6959695ed1p-2, -0x1.243796c637646p-2, -0x1.209ae63517ceap-2, -0x1.1d00cf181634bp-2, -0x1.196999890afb9p-2, -0x1.15d58aa8b132ap-2, -0x1.1244e4be09ce7p-2, -0x1.0eb7e753637acp-2, -0x1.0b2ecf51328cap-2, -0x1.07a9d716ec1bp-2, -0x1.0429369210a72p-2, -0x1.00ad2353820cp-2, -0x1.fa6ba14698911p-3, -0x1.f386df25d847ep-3, -0x1.ecac5e1c5b3dbp-3, -0x1.e5dc77d56db9bp-3, -0x1.df1781ecb131p-3, -0x1.d85dce0878a31p-3, -0x1.d1afa9f234dd4p-3, -0x1.cb0d5fad1e61ep-3, -0x1.c477358b7b118p-3, -0x1.bded6e42be0a1p-3, -0x1.b77048fec8fb9p-3, -0x1.b10001749a979p-3, -0x1.aa9ccff49fc39p-3, -0x1.a446e97ce7c4dp-3, -0x1.9dfe7fcb6bc59p-3, -0x1.97c3c1709bd7fp-3, -0x1.9196d9e256674p-3, -0x1.8b77f18f6aa42p-3, -0x1.85672df3b3fddp-3, -0x1.7f64b1acee52dp-3, -0x1.79709c9026b49p-3, -0x1.738b0bbfd8915p-3, -0x1.6db419c2979b6p-3, -0x1.67ebde9a209aap-3, -0x1.62326fdabdcd8p-3, -0x1.5c87e0c2c4ccap-3, -0x1.56ec425204992p-3, -0x1.515fa360f99d2p-3, -0x1.4be210b792d73p-3, -0x1.4673952366c5p-3, -0x1.4114398d2cf1ep-3, -0x1.3bc4050d62a82p-3, -0x1.3682fd000689ep-3, -0x1.3151251755137p-3, -0x1.2c2e7f6d81a17p-3, -0x1.271b0c9566b46p-3, -0x1.2216cbaa3e26bp-3, -0x1.1d21ba5e5343cp-3, -0x1.183bd508d02bbp-3, -0x1.136516b2af509p-3, -0x1.0e9d7922df1f2p-3, -0x1.09e4f4e9b0747p-3, -0x1.053b816b9fb66p-3, -0x1.00a114eb904dp-3, -0x1.f82b4928ff8bep-4, -0x1.ef324905ace6dp-4, -0x1.e6570f9a9975fp-4, -0x1.dd99811b07bbfp-4, -0x1.d4f97fd0a4764p-4, -0x1.cc76ec2ba5bdap-4, -0x1.c411a4d280991p-4, -0x1.bbc986b128b27p-4, -0x1.b39e6d080ef3ep-4, -0x1.ab90317abda14p-4, -0x1.a39eac1e2c50bp-4, -0x1.9bc72eca9ffe3p-4, -0x1.940ebfd679726p-4, -0x1.8c728b9114105p-4, -0x1.84f263a0964d7p-4, -0x1.7d8e18590c029p-4, -0x1.764578cc9be47p-4, -0x1.6f1852db869f1p-4, -0x1.68067343deb2bp-4, -0x1.610fa5b0e9efp-4, -0x1.5a33b4ca1c04dp-4, -0x1.53726a41a8988p-4, -0x1.4ccb8ee297315p-4, -0x1.463eea9e5c038p-4, -0x1.3fcc4499ebe86p-4, -0x1.3973633a4d46cp-4, -0x1.33340c30a2395p-4, -0x1.2d0e0485b0e0fp-4, -0x1.270110a4ee1afp-4, -0x1.210cf4670df38p-4, -0x1.1b31731c22f9dp-4, -0x1.156e4f9551ea6p-4, -0x1.0fc34c2e25ffcp-4, -0x1.0a302ad589f55p-4, -0x1.04b4ad1672c17p-4, -0x1.fea12840845d7p-5, -0x1.f407419dd710dp-5, -0x1.e99b2765c53e2p-5, -0x1.df5c5a31b2622p-5, -0x1.d54a5a22ac4c1p-5, -0x1.cb64a6f04d3b9p-5, -0x1.c1aabff7622ep-5, -0x1.b81c244859944p-5, -0x1.aeb852b57f048p-5, -0x1.a57ec9e1087a4p-5, -0x1.9c6f084af4709p-5, -0x1.93888c5eb822ep-5, -0x1.8acad480c2e0bp-5, -0x1.82355f1bc9ca2p-5, -0x1.79c7aaaddec57p-5, -0x1.718135d550ebdp-5, -0x1.69617f5d47a54p-5, -0x1.6168064a2140ep-5, -0x1.599449e582bc8p-5, -0x1.51e5c9ca1f6bep-5, -0x1.4a5c05ef2b7a3p-5, -0x1.42f67eb376759p-5, -0x1.3bb4b4e833e05p-5, -0x1.349629db5ec6ap-5, -0x1.2d9a5f61c1808p-5, -0x1.26c0d7e09bfcap-5, -0x1.20091656e6d41p-5, -0x1.19729e6631626p-5, -0x1.12fcf45b1f76cp-5, -0x1.0ca79d358209bp-5, -0x1.06721eb00bacdp-5, -0x1.005bff47a9dap-5, -0x1.f4c98c84f4aafp-6, -0x1.e917f76cca2bcp-6, -0x1.dda2511ec1591p-6, -0x1.d267ad2aaf5c4p-6, -0x1.c76720e38708fp-6, -0x1.bc9fc369dddfep-6, -0x1.b210adb5dd4bcp-6, -0x1.a7b8faa0a0cbdp-6, -0x1.9d97c6ed01c0dp-6, -0x1.93ac314fdb69dp-6, -0x1.89f55a77d7f4dp-6, -0x1.80726514b7281p-6, -0x1.772275de22577p-6, -0x1.6e04b39a15646p-6, -0x1.65184722d88f1p-6, -0x1.5c5c5b6c938ap-6, -0x1.53d01d8a867bfp-6, -0x1.4b72bcb3d7577p-6, -0x1.43436a480faddp-6, -0x1.3b4159d3428ccp-6, -0x1.336bc111d6e0ap-6, -0x1.2bc1d7f4074p-6, -0x1.2442d8a10bdd1p-6, -0x1.1cedff79ff81bp-6, -0x1.15c28b1c6b2c4p-6, -0x1.0ebfbc6497457p-6, -0x1.07e4d66f8864p-6, -0x1.01311e9cb71b2p-6, -0x1.f547b91f09dc9p-7, -0x1.e878b460d5cf4p-7, -0x1.dbf3c75bbdfd1p-7, -0x1.cfb78ef9ff96p-7, -0x1.c3c2acb3f24c3p-7, -0x1.b813c6904a798p-7, -0x1.aca98723ed7ebp-7, -0x1.a1829d91352cbp-7, -0x1.969dbd86cc711p-7, -0x1.8bf99f3e07b78p-7, -0x1.8194ff78c9e31p-7, -0x1.776e9f7ef5e0cp-7, -0x1.6d85451b797c6p-7, -0x1.63d7ba98daf3fp-7, -0x1.5a64cebd6b108p-7, -0x1.512b54c708102p-7, -0x1.482a24667ca34p-7, -0x1.3f6019ba84fc1p-7, -0x1.36cc154a6099ep-7, -0x1.2e6cfc0022372p-7, -0x1.2641b7229e2fcp-7, -0x1.1e49344efc04p-7, -0x1.16826571fa981p-7, -0x1.0eec40c0ed186p-7, -0x1.0785c0b2636d4p-7, -0x1.004de3f68b53bp-7, -0x1.f2875ade9b40cp-8, -0x1.e4cc48505301ep-8, -0x1.d768a69ba0d0fp-8, -0x1.ca5a944b06b6bp-8, -0x1.bda038086ba56p-8, -0x1.b137c08b00b4cp-8, -0x1.a51f6484b2adfp-8, -0x1.9955628f33721p-8, -0x1.8dd80118bf8b2p-8, -0x1.82a58e507a773p-8, -0x1.77bc6012751a3p-8, -0x1.6d1ad3d374927p-8, -0x1.62bf4e8c6b5d7p-8, -0x1.58a83ca5b5686p-8, -0x1.4ed411e20ee1ep-8, -0x1.454149495d732p-8, -0x1.3bee651338bb2p-8, -0x1.32d9ee915add9p-8, -0x1.2a027619b42e4p-8, -0x1.216692f0b0f73p-8, -0x1.1904e3330755cp-8, -0x1.10dc0bbfa185fp-8, -0x1.08eab82146501p-8, -0x1.012f9a7850617p-8, -0x1.f352d6c89f619p-9, -0x1.e4add3db1a184p-9, -0x1.d66db6dd2e722p-9, -0x1.c89016fb90668p-9, -0x1.bb1297ad81b1dp-9, -0x1.adf2e88803baap-9, -0x1.a12ec510e05e5p-9, -0x1.94c3f491e2076p-9, -0x1.88b049ec2f3aep-9, -0x1.7cf1a36bbb8abp-9, -0x1.7185ea9ade3edp-9, -0x1.666b14162adcbp-9, -0x1.5b9f1f6076b7ap-9, -0x1.512016b6faa6bp-9, -0x1.46ec0ee5f0945p-9, -0x1.3d01271d3bc01p-9, -0x1.335d88c578952p-9, -0x1.29ff67554d3ecp-9, -0x1.20e500271d504p-9, -0x1.180c9a4eecb77p-9, -0x1.0f748670c398bp-9, -0x1.071b1e97588a1p-9, -0x1.fdfd8c162f619p-10, -0x1.ee3bd2533dee7p-10, -0x1.deedfa7b1225ap-10, -0x1.d01100ad4ee11p-10, -0x1.c1a1f2454bee8p-10, -0x1.b39ded8c2efebp-10, -0x1.a602216be021bp-10, -0x1.98cbcd22bb69ep-10, -0x1.8bf83ff87eef9p-10, -0x1.7f84d8f3af0d2p-10, -0x1.736f068fdce8cp-10, -0x1.67b446754c473p-10, -0x1.5c522530f7f07p-10, -0x1.51463dedb650dp-10, -0x1.468e3a2e658edp-10, -0x1.3c27d18885f85p-10, -0x1.3210c96050fdp-10, -0x1.2846f4a5700a3p-10, -0x1.1ec833908951fp-10, -0x1.15927361d5284p-10, -0x1.0ca3ae2073e84p-10, -0x1.03f9ea5af2099p-10, -0x1.f72675d0a630fp-11, -0x1.e6db7d544feecp-11, -0x1.d70f409f5c1a8p-11, -0x1.c7be2c3322f76p-11, -0x1.b8e4c33d45809p-11, -0x1.aa7f9f22f59aep-11, -0x1.9c8b6f0d81681p-11, -0x1.8f04f7797347bp-11, -0x1.81e911c63f425p-11, -0x1.7534abc87c92ep-11, -0x1.68e4c75d4cee9p-11, -0x1.5cf679ffcf90fp-11, -0x1.5166ec5f7743ap-11, -0x1.463359f8d960fp-11, -0x1.3b5910af8ad43p-11, -0x1.30d57069ac8bfp-11, -0x1.26a5eaacfb01ep-11, -0x1.1cc8023d98b03p-11, -0x1.13394abe280c5p-11, -0x1.09f7685187362p-11, -0x1.01000f3e0ab05p-11, -0x1.f0a207239037ep-12, -0x1.dfd0319277878p-12, -0x1.cf8662edb7e17p-12, -0x1.bfc07dd7cf73p-12, -0x1.b07a81c48ac51p-12, -0x1.a1b08a535d0a6p-12, -0x1.935ecea81e997p-12, -0x1.8581a0c8b5b4cp-12, -0x1.78156cfd4a18ap-12, -0x1.6b16b9330da96p-12, -0x1.5e822461c74bcp-12, -0x1.525465f395a52p-12, -0x1.468a4d309db51p-12, -0x1.3b20c0abdff91p-12, -0x1.3014bdb388d28p-12, -0x1.256357c3f43a5p-12, -0x1.1b09b7fc53646p-12, -0x1.11051c972c385p-12, -0x1.0752d86432abbp-12, -0x1.fbe0a48b1fb82p-13, -0x1.e9b6095e04fa4p-13, -0x1.d820fa4f7d7acp-13, -0x1.c71cb79d55fffp-13, -0x1.b6a4a5c21c47p-13, -0x1.a6b44c87490cfp-13, -0x1.9863409b184f3p-13, -0x1.8968ffed1b286p-13, -0x1.7aea232a7b21dp-13, -0x1.6ce2b98850642p-13, -0x1.5f4ef0b254691p-13, -0x1.522b13fe9eb04p-13, -0x1.45738ba80a838p-13, -0x1.3924dc08622f7p-13, -0x1.2d3ba4dd42ba4p-13, -0x1.21b4a08a82cb7p-13, -0x1.168ca364a1054p-13, -0x1.0bc09afdbcaf5p-13, -0x1.014d8d76a16a8p-13, -0x1.ee6131a6cc0c9p-14, -0x1.dacde4a7b206cp-14, -0x1.c7dbcb9f8ec17p-14, -0x1.b585aa2d42ca9p-14, -0x1.a3c66ea4b826fp-14, -0x1.929930dc04f3ep-14, -0x1.81f931011bdd4p-14, -0x1.71e1d671ad011p-14, -0x1.624eae9de8ee4p-14, -0x1.533b6bf0d298fp-14, -0x1.44a3e4bcb4e9ep-14, -0x1.36841230730e1p-14, -0x1.28d80f523a565p-14, -0x1.1b9c17ff3688ep-14, -0x1.0ecc87f59ae44p-14, -0x1.0265d9d8f0f11p-14, -0x1.ecc94c9dd4ee3p-15, -0x1.d58b4626e3d27p-15, -0x1.bf0b4422eda94p-15, -0x1.a943211e22c68p-15, -0x1.942ceca282f12p-15, -0x1.7fc2e99818652p-15, -0x1.6bff8cac7eed5p-15, -0x1.58dd7ac04343ap-15, -0x1.4657876c781dep-15, -0x1.3468b3823f124p-15, -0x1.230c2b9dcc3adp-15, -0x1.123d46c0061ecp-15, -0x1.01f784f48aa9bp-15, -0x1.e46d1bf80766fp-16, -0x1.c5ec600dc335dp-16, -0x1.a864bcdf480dp-16, -0x1.8bce61120de9dp-16, -0x1.7021c0d85cb8ep-16, -0x1.555793aa1952ap-16, -0x1.3b68d2014a5a9p-16, -0x1.224eb3360b10bp-16, -0x1.0a02ab6321969p-16, -0x1.e4fcd2aaef563p-17, -0x1.b777a92a4758bp-17, -0x1.8b6a16de07bf5p-17, -0x1.60c8c24172cd4p-17, -0x1.3788b8042d70bp-17, -0x1.0f9f677ba1fe5p-17, -0x1.d2053e8edf709p-18, -0x1.875113f1c0c08p-18, -0x1.3f0f55aec66dcp-18, -0x1.f25b6b1c2bf29p-19, -0x1.6b3514fc0145ep-19, -0x1.d1132ae20288cp-20, -0x1.a8e03080952a1p-21, 0x1.fbe7e31fe231ep-24, 0x1.0bb5cddf199e9p-20, 0x1.efb0e5522ff13p-20, 0x1.65f460f59e39p-19, 0x1.d04a30bee8892p-19, 0x1.1b7a355ec3bccp-18, 0x1.4d06558783a64p-18, 0x1.7cd5d4cc78faap-18, 0x1.aaf4a15dde21ap-18, 0x1.d76e3fc02e401p-18, 0x1.0126e75a7ce8p-17, 0x1.15cf05b19a3f6p-17, 0x1.29b4aa6730065p-17, 0x1.3cdcd7ba78205p-17, 0x1.4f4c647361de5p-17, 0x1.6107fd9412c2cp-17, 0x1.721427ef539e9p-17, 0x1.827541c8d922cp-17, 0x1.922f84537f355p-17, 0x1.a1470523ad3dap-17, 0x1.afbfb7a924ba9p-17, 0x1.bd9d6e8732bap-17, 0x1.cae3dce38be22p-17, 0x1.d79697adf53f8p-17, 0x1.e3b916de5b1dbp-17, 0x1.ef4eb69fce0b6p-17, 0x1.fa5ab87e5072dp-17, 0x1.0270223aba1bp-16, 0x1.0771350128e4p-16, 0x1.0c32109984be9p-16, 0x1.10b425c8f43a8p-16, 0x1.14f8da9397797p-16, 0x1.19018aace2b12p-16, 0x1.1ccf87e8bf8edp-16, 0x1.20641aa7cbaf1p-16, 0x1.23c0823cb6b81p-16, 0x1.26e5f555c5db8p-16, 0x1.29d5a2519e786p-16, 0x1.2c90afaa0a45p-16, 0x1.2f183c3c7ac9ap-16, 0x1.316d5fa7e66bdp-16, 0x1.33912a984e348p-16, 0x1.3584a71bb747bp-16, 0x1.3748d8e1f7773p-16, 0x1.38debd97473bdp-16, 0x1.3a474d0e34734p-16, 0x1.3b837990ce585p-16, 0x1.3c94301d4bc31p-16, 0x1.3d7a589f9f427p-16, 0x1.3e36d62adba79p-16, 0x1.3eca872f7e7dcp-16, 0x1.3f3645af41d8p-16, 0x1.3f7ae76d03cc8p-16, 0x1.3f993e216fb5cp-16, 0x1.3f9217a0722eap-16, 0x1.3f663e07851aap-16, 0x1.3f1677e2586dep-16, 0x1.3ea388624132fp-16, 0x1.3e0e2f665a90cp-16, 0x1.3d5729b4ff3b5p-16, 0x1.3c7f3115533cbp-16, 0x1.3b86fc6bed953p-16, 0x1.3a6f3fdcdaf34p-16, 0x1.3938ace8dbc3ap-16, 0x1.37e3f2836d953p-16, 0x1.3671bd2906ed3p-16, 0x1.34e2b70105d21p-16, 0x1.333787ecf93e5p-16, 0x1.3170d59ce5462p-16, 0x1.2f8f43a70d65ep-16, 0x1.2d93739970ba3p-16, 0x1.2b7e05066b393p-16, 0x1.294f959c3681bp-16, 0x1.2708c1308e286p-16, 0x1.24aa21cda769ap-16, 0x1.22344fc370d9ap-16, 0x1.1fa7e1afffcc2p-16, 0x1.1d056c8e54789p-16, 0x1.1a4d83bf68ca3p-16, 0x1.1780b91435a07p-16, 0x1.149f9cd8ebbe3p-16, 0x1.11aabdd9b5904p-16, 0x1.0ea2a96e30f69p-16, 0x1.0b87eb802e7d3p-16, 0x1.085b0e89b8f4ap-16, 0x1.051c9bb3649bap-16, 0x1.01cd1abaab65p-16, 0x1.fcda2415f14dep-17, 0x1.f5fa0d748b10cp-17, 0x1.eefaf926bcc5p-17, }}, 
      {{0x1.08bc3a810216dp-1, 0x1.25ef28e7b682dp-1, 0x1.4c8ac97b1bef2p-1, 0x1.7713b80af310fp-1, 0x1.a1c9e900ed7ffp-1, 0x1.ca31fe51c6a99p-1, 0x1.eebcb6842f1eep-1, 0x1.0742bdcf58098p+0, 0x1.14910a73f0c16p+0, 0x1.1f3f3764ef2edp+0, 0x1.2760acd4efb23p+0, 0x1.2d1c1f9568ffcp+0, 0x1.30a42f11d143ap+0, 0x1.3231d656a8cc2p+0, 0x1.3200a891140c8p+0, 0x1.304c00082dbecp+0, 0x1.2d4d250047d5p+0, 0x1.293a1459e7813p+0, 0x1.2444c6b1eea92p+0, 0x1.1e9ad0332ac51p+0, 0x1.18653982514f9p+0, 0x1.11c87d2874318p+0, 0x1.0ae4d1f92b0fp+0, 0x1.03d639e4ecedfp+0, 0x1.f96a00f85350ep-1, 0x1.eb2c060d437dcp-1, 0x1.dd1528126de4p-1, 0x1.cf42ef8fb6f31p-1, 0x1.c1cd5b8db0221p-1, 0x1.b4c7e565c3823p-1, 0x1.a841fed95e76ep-1, 0x1.9c477744ac595p-1, 0x1.90e0ebd7ff2f6p-1, 0x1.86143d8b2637ep-1, 0x1.7be4f49f24739p-1, 0x1.72548d2208921p-1, 0x1.6962c03e55f53p-1, 0x1.610dd164f0c13p-1, 0x1.5952ceb8a8e63p-1, 0x1.522dc0269c612p-1, 0x1.4b99d26cf7872p-1, 0x1.4591838d417a3p-1, 0x1.400ecb6d98efep-1, 0x1.3b0b3e5a93175p-1, 0x1.36802af65ec1dp-1, 0x1.3266b33ac69bap-1, 0x1.2eb7dfc71c3c2p-1, 0x1.2b6cafbaf5513p-1, 0x1.287e28565687bp-1, 0x1.25e564dff9903p-1, 0x1.239ba4d3ec824p-1, 0x1.219a569596966p-1, 0x1.1fdb1e78cdb5bp-1, 0x1.1e57db04e01e3p-1, 0x1.1d0ac79c7ef9fp-1, 0x1.1bedd7411c8dap-1, 0x1.1afbeb3ff1f55p-1, 0x1.1a2fe56105191p-1, 0x1.1984e5dba9876p-1, 0x1.18f64fa9c16ap-1, 0x1.187fcd3ac2bafp-1, 0x1.181d531d50e7ap-1, 0x1.17cb1f5fd0432p-1, 0x1.1785b5ffdbde4p-1, 0x1.1749dbee70152p-1, 0x1.1714926bfc27cp-1, 0x1.16e313db1ff11p-1, 0x1.16b2d227b6d2dp-1, 0x1.1681761851ef2p-1, 0x1.164cdea20f555p-1, 0x1.16131f94e37a2p-1, 0x1.15d27f6c31585p-1, 0x1.1589747552bf5p-1, 0x1.1536a1abaecbdp-1, 0x1.14d8d39fcdce8p-1, 0x1.146efd955e979p-1, 0x1.13f836d9b9da7p-1, 0x1.1373b83cbb492p-1, 0x1.12e0d99566625p-1, 0x1.123f0f4b2d2e9p-1, 0x1.118de7ef9d952p-1, 0x1.10cd0a00106d3p-1, 0x1.0ffc31e65faa9p-1, 0x1.0f1b304446ad1p-1, 0x1.0e29e884c9e02p-1, 0x1.0d284fa1730a8p-1, 0x1.0c166b0342c96p-1, 0x1.0af44f69ff857p-1, 0x1.09c21fcd2a3a1p-1, 0x1.08800c3413352p-1, 0x1.072e508a775p-1, 0x1.05cd337ab91eap-1, 0x1.045d055642fddp-1, 0x1.02de1f1123dc9p-1, 0x1.0150e15163e22p-1, 0x1.ff6b671d2bc61p-2, 0x1.fc1a0677c7bcbp-2, 0x1.f8ae85ed96176p-2, 0x1.f529d36d4e8f5p-2, 0x1.f18ce3f88479ep-2, 0x1.edd8b207c47ffp-2, 0x1.ea0e3bfd9932p-2, 0x1.e62e82b4b486fp-2, 0x1.e23a8834d13a7p-2, 0x1.de334e9707943p-2, 0x1.da19d71e0ae03p-2, 0x1.d5ef2182457d9p-2, 0x1.d1b42b6d8b124p-2, 0x1.cd69f01eb2f84p-2, 0x1.c911682af87bap-2, 0x1.c4ab4f6d9d7d1p-2, 0x1.c038c9c509bedp-2, 0x1.bbbad499582cap-2, 0x1.b7326116fe454p-2, 0x1.b2a05bcfc5ac3p-2, 0x1.ae05ac2e20f5ap-2, 0x1.a96333fdf053bp-2, 0x1.a4b9cf0d4dd03p-2, 0x1.a00a52e7228d4p-2, 0x1.9b558ea84702p-2, 0x1.969c4aee5f0bbp-2, 0x1.91df49ddf17ap-2, 0x1.8d1f473b8eccbp-2, 0x1.885cf8928ecbap-2, 0x1.83990d6343c0fp-2, 0x1.7ed42f52bad7dp-2, 0x1.7a0f02570bfe1p-2, 0x1.754a24dcc0e0cp-2, 0x1.70862fe3b60a4p-2, 0x1.6bc3b7139b82dp-2, 0x1.670348c9a0575p-2, 0x1.62456e21cc03fp-2, 0x1.5d8aaafeb2fa7p-2, 0x1.58d37e11ff94dp-2, 0x1.542060e795c75p-2, 0x1.4f71c7f435d24p-2, 0x1.4ac822a7bfd23p-2, 0x1.4623db82877c3p-2, 0x1.4185582cd2e2ap-2, 0x1.3cecf98f7b7efp-2, 0x1.385b1becd1a55p-2, 0x1.33d016f91fa63p-2, 0x1.2f4c3df28873ep-2, 0x1.2acfdfb84f6d8p-2, 0x1.265b46e1d8ea5p-2, 0x1.21eeb9d5e7e72p-2, 0x1.1d8a7ae2a27e5p-2, 0x1.192ec856e5f22p-2, 0x1.14dbdc9d50c29p-2, 0x1.1091ee5934f21p-2, 0x1.0c5130857d074p-2, 0x1.0819d29549be3p-2, 0x1.03ec0095eb2bp-2, 0x1.ff8fc6a370cffp-3, 0x1.f75b40e65de5ap-3, 0x1.ef3ab54faf18dp-3, 0x1.e72e6384c515ap-3, 0x1.df3685b756452p-3, 0x1.d75350e496058p-3, 0x1.cf84f51156b4ep-3, 0x1.c7cb9d8300bc2p-3, 0x1.c02770f580e82p-3, 0x1.b89891ce55a58p-3, 0x1.b11f1e4cef05fp-3, 0x1.a9bb30b8859e3p-3, 0x1.a26cdf8b94387p-3, 0x1.9b343d9cf61cep-3, 0x1.94115a46c6f87p-3, 0x1.8d04418b07e5p-3, 0x1.860cfc3615e4bp-3, 0x1.7f2b8fff1f8d1p-3, 0x1.785fffa6a552p-3, 0x1.71aa4b1351d78p-3, 0x1.6b0a6f6d43cd1p-3, 0x1.648067381dc42p-3, 0x1.5e0c2a6bf11cdp-3, 0x1.57adae8d5253bp-3, 0x1.5164e6c4a21e4p-3, 0x1.4b31c3f4c1e04p-3, 0x1.451434d139a22p-3, 0x1.3f0c25f3f7fddp-3, 0x1.391981f2a4fa2p-3, 0x1.333c3173b9154p-3, 0x1.2d741b434363p-3, 0x1.27c1246788f72p-3, 0x1.222330357a16cp-3, 0x1.1c9a206506de7p-3, 0x1.1725d525551edp-3, 0x1.11c62d30daf4bp-3, 0x1.0c7b05e149e16p-3, 0x1.07443b4347bfbp-3, 0x1.0221a829e079ap-3, 0x1.fa264c83333efp-4, 0x1.f0311c463aa58p-4, 0x1.e6636ecab9b45p-4, 0x1.dcbcf15e42631p-4, 0x1.d33d4f8ffe0ffp-4, 0x1.c9e43351305c8p-4, 0x1.c0b1451458708p-4, 0x1.b7a42beaf2645p-4, 0x1.aebc8da1be705p-4, 0x1.a5fa0edbaa068p-4, 0x1.9d5c532b601d7p-4, 0x1.94e2fd2b807fcp-4, 0x1.8c8dae959b813p-4, 0x1.845c0857f651bp-4, 0x1.7c4daaaa2a948p-4, 0x1.74623520b0e41p-4, 0x1.6c9946bf6535ep-4, 0x1.64f27e0b16e34p-4, 0x1.5d6d791a31b65p-4, 0x1.5609d5a493db5p-4, 0x1.4ec731129d617p-4, 0x1.47a5288b8c1e5p-4, 0x1.40a35903309d9p-4, 0x1.39c15f470cd45p-4, 0x1.32fed80ae833ep-4, 0x1.2c5b5ff4e513p-4, 0x1.25d693a92146ap-4, 0x1.1f700fd4eb3e2p-4, 0x1.1927713990e95p-4, 0x1.12fc54b6ceeb4p-4, 0x1.0ced5084f038dp-4, 0x1.06fc1c3757febp-4, 0x1.0127443f5440ap-4, 0x1.f6dccc1eef784p-5, 0x1.eba23ec156fap-5, 0x1.e09e1c78ad46dp-5, 0x1.d5cfa20c8a7efp-5, 0x1.cb360d0c8f80cp-5, 0x1.c0d09be2f5e92p-5, 0x1.b69e8de6637cep-5, 0x1.ac9f236aef64cp-5, 0x1.a2d19dd24ce9ep-5, 0x1.99353f9b0da17p-5, 0x1.8fc94c6efc6e1p-5, 0x1.868d093086cb1p-5, 0x1.7d7fbc073d2a8p-5, 0x1.74a0ac6b66303p-5, 0x1.6bef2330b3341p-5, 0x1.636a6a9016c17p-5, 0x1.5b11ce30d22f9p-5, 0x1.52e49b30baac8p-5, 0x1.4ae2202bcf10ap-5, 0x1.4309ad432367p-5, 0x1.3b5a94233585p-5, 0x1.33d42809b869ep-5, 0x1.2c75bdcae25cap-5, 0x1.253eabd64ce96p-5, 0x1.1e2e4a3b725a7p-5, 0x1.1743f2add1d37p-5, 0x1.107f0088c8d4dp-5, 0x1.09ded0d323909p-5, 0x1.0362c2427222dp-5, 0x1.fa146a7c43f44p-6, 0x1.eda917c4c876fp-6, 0x1.e1825405ca00cp-6, 0x1.d59eea5a9b9d1p-6, 0x1.c9fda957414e1p-6, 0x1.be9d630cbe068p-6, 0x1.b37ced0d0b154p-6, 0x1.a89b206eb2ae3p-6, 0x1.9df6d9d00301dp-6, 0x1.938ef959e1a12p-6, 0x1.896262c237709p-6, 0x1.7f6ffd4decb81p-6, 0x1.75b6b3d281fa9p-6, 0x1.6c3574b728075p-6, 0x1.62eb31f579bffp-6, 0x1.59d6e119ae0ecp-6, 0x1.50f77b4265f05p-6, 0x1.484bfd1ff57e2p-6, 0x1.3fd366f3463c5p-6, 0x1.378cbc8c3abdp-6, 0x1.2f770547a699fp-6, 0x1.27914c0cd5231p-6, 0x1.1fda9f4aa1923p-6, 0x1.185210f42882p-6, 0x1.10f6b67d140fap-6, 0x1.09c7a8d58410dp-6, 0x1.02c404659e534p-6, 0x1.f7d5d211882afp-7, 0x1.ea76f410ed273p-7, 0x1.dd69bc2ddaef8p-7, 0x1.d0ac7e92c837p-7, 0x1.c43d962450513p-7, 0x1.b81b6474c24e5p-7, 0x1.ac4451b750643p-7, 0x1.a0b6ccb2ca86ap-7, 0x1.95714ab3f67ccp-7, 0x1.8a72477f9a8d5p-7, 0x1.7fb84544270fep-7, 0x1.7541cc8b2beb3p-7, 0x1.6b0d6c2a76d18p-7, 0x1.6119b9350473fp-7, 0x1.57654eebaf903p-7, 0x1.4deeceadbcceep-7, 0x1.44b4dfe92c165p-7, 0x1.3bb6300aec971p-7, 0x1.32f1726ee4a71p-7, 0x1.2a65604fdde3fp-7, 0x1.2210b8b753a29p-7, 0x1.19f2406d24f0cp-7, 0x1.1208c1e72f83p-7, 0x1.0a530d38d518cp-7, 0x1.02cff8026d75ap-7, 0x1.f6fcbac150e5bp-8, 0x1.e8ba3bb7bb89fp-8, 0x1.dad63eaea8e87p-8, 0x1.cd4e9a00f20a2p-8, 0x1.c0212e7c1c8f1p-8, 0x1.b34be73ea899dp-8, 0x1.a6ccb99651c79p-8, 0x1.9aa1a4de4a3f5p-8, 0x1.8ec8b25d6a7e9p-8, 0x1.833ff52465ef6p-8, 0x1.780589ebf6c4p-8, 0x1.6d1796f319de8p-8, 0x1.62744bdd47572p-8, 0x1.5819e190bac64p-8, 0x1.4e069a14cbe19p-8, 0x1.4438c070552bep-8, 0x1.3aaea8883322ap-8, 0x1.3166aefdd71e6p-8, 0x1.285f390df5cap-8, 0x1.1f96b46f5c294p-8, 0x1.170b9731da4b7p-8, 0x1.0ebc5f9d5c708p-8, 0x1.06a79411224b7p-8, 0x1.fd9785c659c04p-9, 0x1.ee4f047f9aa05p-9, 0x1.df72e012d364ep-9, 0x1.d1006370eb6afp-9, 0x1.c2f4e8773125dp-9, 0x1.b54dd7b026f09p-9, 0x1.a808a814b805p-9, 0x1.9b22decddf299p-9, 0x1.8e9a0ef6d98cp-9, 0x1.826bd95fc9135p-9, 0x1.7695ec50e1bd6p-9, 0x1.6b16034e1997cp-9, 0x1.5fe9e6db65757p-9, 0x1.550f6c417e703p-9, 0x1.4a8475533817bp-9, 0x1.4046f03371706p-9, 0x1.3654d71b8e2e1p-9, 0x1.2cac30228fcf8p-9, 0x1.234b0d04c748cp-9, 0x1.1a2f8aec20ed8p-9, 0x1.1157d239130c9p-9, 0x1.08c2164c20095p-9, 0x1.006c955012cbdp-9, 0x1.f0ab300986d7fp-10, 0x1.e0f6e3152a271p-10, 0x1.d1b8fe5d133bep-10, 0x1.c2ee506e185c7p-10, 0x1.b493bb62bbcafp-10, 0x1.a6a6347f55d8bp-10, 0x1.9922c3cf965ebp-10, 0x1.8c0683c5591b8p-10, 0x1.7f4ea0d8e7fc6p-10, 0x1.72f8592a77869p-10, 0x1.6700fc25124b6p-10, 0x1.5b65ea22d8625p-10, 0x1.50249412a3cbdp-10, 0x1.453a7b1ef357p-10, 0x1.3aa530564a33ep-10, 0x1.30625454d9689p-10, 0x1.266f96ef8e2fep-10, 0x1.1ccab6e0757dcp-10, 0x1.13718174792a3p-10, 0x1.0a61d23a79038p-10, 0x1.019992b3b8ccbp-10, 0x1.f22d740b40e8ap-11, 0x1.e1ae9959b3c56p-11, 0x1.d1b2b86361ce1p-11, 0x1.c2360dbbb428ap-11, 0x1.b334eee6df9b3p-11, 0x1.a4abc9ca7de7ap-11, 0x1.96972420e50a4p-11, 0x1.88f39aeed418cp-11, 0x1.7bbde1fbc0847p-11, 0x1.6ef2c34c9f7f2p-11, 0x1.628f1ea1339cbp-11, 0x1.568fe8f3acb5p-11, 0x1.4af22bfadb19dp-11, 0x1.3fb305aec8dcfp-11, 0x1.34cfa7cf96ed5p-11, 0x1.2a45576ea5062p-11, 0x1.20116c7a66d64p-11, 0x1.1631514c003eep-11, 0x1.0ca2823780d5p-11, 0x1.03628d1e3fa55p-11, 0x1.f4de22069d59p-12, 0x1.e38b7b4475681p-12, 0x1.d2c8a60fd4a44p-12, 0x1.c291425afa63ep-12, 0x1.b2e10f2aa6199p-12, 0x1.a3b3e9d4127b1p-12, 0x1.9505cd3f312dp-12, 0x1.86d2d12c821eap-12, 0x1.7917297f26035p-12, 0x1.6bcf258a6467bp-12, 0x1.5ef72f6359f95p-12, 0x1.528bcb35e7864p-12, 0x1.4689969d9e66dp-12, 0x1.3aed4801e7c3dp-12, 0x1.2fb3adf61b51ap-12, 0x1.24d9ae9c877e7p-12, 0x1.1a5c470d32973p-12, 0x1.10388abfbc367p-12, 0x1.066ba2f8a1a4ep-12, 0x1.f9e59c7340862p-13, 0x1.e796bf6a5742fp-13, 0x1.d5e57d8a2cb37p-13, 0x1.c4ccccc87af0fp-13, 0x1.b447c95604749p-13, 0x1.a451b49dc90c6p-13, 0x1.94e5f449e6c5fp-13, 0x1.8600114d7babap-13, 0x1.779bb6f4e6b6ep-13, 0x1.69b4b1fa6dc14p-13, 0x1.5c46efa18c863p-13, 0x1.4f4e7cd638f42p-13, 0x1.42c78551dd5b9p-13, 0x1.36ae52c4852d6p-13, 0x1.2aff4c04ceb59p-13, 0x1.1fb6f442a380ap-13, 0x1.14d1ea3fc3721p-13, 0x1.0a4ce78cacbfcp-13, 0x1.0024bfca30fb5p-13, 0x1.ecacbfdee39eep-14, 0x1.d9bd9b27e5258p-14, 0x1.c7764c7d63c4bp-14, 0x1.b5d13d723ea6ep-14, 0x1.a4c904cb1f1dcp-14, 0x1.9458653610567p-14, 0x1.847a4c07d4203p-14, 0x1.7529d002a31bep-14, 0x1.6662302361613p-14, 0x1.581ed27770a42p-14, 0x1.4a5b42f91f2b8p-14, 0x1.3d133273b674cp-14, 0x1.3042756e94015p-14, 0x1.23e5031f37f16p-14, 0x1.17f6f462588eep-14, 0x1.0d2196e3372a5p-14, 0x1.01ff287d916b4p-14, 0x1.ee82bc07c8415p-15, 0x1.d9c99d39249ap-15, 0x1.c5cc5c114405p-15, 0x1.b284978f9aefp-15, 0x1.9fec24861adacp-15, 0x1.8dfd0bf68564cp-15, 0x1.7cb1897e9b8e2p-15, 0x1.6c0409cc8d65ep-15, 0x1.5bef291e5e2ddp-15, 0x1.4c6db1cc1da2p-15, 0x1.3d7a9adb9b6e3p-15, 0x1.2f11069e0310fp-15, 0x1.212c41584ce13p-15, 0x1.13c7bff17c2f9p-15, 0x1.06df1eae2065dp-15, 0x1.f4dc3fe460432p-16, 0x1.dce156185e92ap-16, 0x1.c5c5961208f1ap-16, 0x1.af815b1f46225p-16, 0x1.9a0d4389e9dddp-16, 0x1.85622e71bac6bp-16, 0x1.717939b05822dp-16, 0x1.5e4bbfd1f5498p-16, 0x1.4bd35619b50c4p-16, 0x1.3a09ca958f6bbp-16, 0x1.28e92241ba659p-16, 0x1.186b9731bd468p-16, 0x1.088b96d67663ep-16, 0x1.f2878086fd685p-17, 0x1.d51dc50959b93p-17, 0x1.b8cff60b25216p-17, 0x1.9d9467fdcaa14p-17, 0x1.8361c5e6c8f82p-17, 0x1.6a2f0e6f7ecefp-17, 0x1.51f391055b86p-17, 0x1.3aa6eb20386cbp-17, 0x1.2441058d60942p-17, 0x1.0eba11d905324p-17, 0x1.f4150f9454015p-18, 0x1.cc5645e2c3973p-18, 0x1.a629c0a46727bp-18, 0x1.8181f826039c3p-18, 0x1.5e51de90be247p-18, 0x1.3c8cdba822672p-18, 0x1.1c26c89dfbc18p-18, 0x1.fa27d82d6834ap-19, 0x1.be91ec77a6447p-19, 0x1.8575fa0a8f76dp-19, 0x1.4ebef12a07821p-19, 0x1.1a587f62d1ebcp-19, 0x1.d05e1187f22fbp-20, 0x1.705f428c5381fp-20, 0x1.14900d01a2b85p-20, 0x1.799a6600ad974p-21, 0x1.a3d2c6672b8c6p-22, 0x1.8e5b58d76f3dfp-24, -0x1.9bfb7f4ead952p-23, -0x1.f1654edcf4bddp-22, -0x1.838af68a1c47dp-21, -0x1.03e0667469bcap-20, -0x1.42c5993f2d66dp-20, -0x1.7e8fa508d93cdp-20, -0x1.b758317dcf8dap-20, -0x1.ed38056752c76p-20, -0x1.10238769e7519p-19, -0x1.284e35bcaba45p-19, -0x1.3f273812ec54ap-19, -0x1.54b958258562p-19, -0x1.690f02bdbedf6p-19, -0x1.7c324b1763485p-19, -0x1.8e2cee4a9c5c1p-19, -0x1.9f085680a08a9p-19, -0x1.aecd9e18a412ep-19, -0x1.bd8592b78cf48p-19, -0x1.cb38b823dcdafp-19, -0x1.d7ef4b07d323p-19, -0x1.e3b143b6e49dbp-19, -0x1.ee8658bd1c287p-19, -0x1.f876015ff2382p-19, -0x1.00c3bc045e973p-18, -0x1.04e0de4b24384p-18, -0x1.0895cb4961203p-18, -0x1.0be5cbae551fap-18, -0x1.0ed40e2069deep-18, -0x1.1163a8300008bp-18, -0x1.139797571779bp-18, -0x1.1572c1df2bc97p-18, -0x1.16f7f7c340e16p-18, -0x1.1829f38d1b11ap-18, -0x1.190b5b2034ea4p-18, -0x1.199ec085f2b58p-18, -0x1.19e6a2af5025ap-18, -0x1.19e56e2a18bd5p-18, -0x1.199d7dd14155ap-18, -0x1.19111b80727c9p-18, -0x1.184280b0c954ep-18, -0x1.1733d715e6482p-18, -0x1.15e739346670ap-18, -0x1.145eb2f830e9fp-18, -0x1.129c42344344bp-18, -0x1.10a1d732bfbd3p-18, -0x1.0e71552c3d947p-18, -0x1.0c0c92c440118p-18, -0x1.09755a7c622a8p-18, -0x1.06ad6b286a34ap-18, -0x1.03b67851c0bd7p-18, -0x1.00922aad64b51p-18, -0x1.fa8440d002ee5p-19, -0x1.f38fdb275dd2ap-19, -0x1.ec4a38f6e3993p-19, -0x1.e4b65bf573178p-19, -0x1.dcd7339dd60ebp-19, -0x1.d4af9dcb7230ap-19, -0x1.cc426750069d1p-19, -0x1.c3924c7d100e4p-19, -0x1.baa1f9c21b3a9p-19, -0x1.b1740c111c7eep-19, -0x1.a80b116bde37bp-19, -0x1.9e69895676d4ap-19, -0x1.9491e557fe306p-19, -0x1.8a868940f52ffp-19, -0x1.8049cbbe0b78ep-19, -0x1.75ddf6a03c992p-19, -0x1.6b4547480d64dp-19, -0x1.6081eef15d657p-19, -0x1.55961319b1281p-19, -0x1.4a83cdc404a96p-19, -0x1.3f4d2dc82e752p-19, -0x1.33f43725d34fap-19, -0x1.287ae342d401fp-19, -0x1.1ce321328f73ap-19, -0x1.112ed5f6003bcp-19, -0x1.055fdcb6d6feap-19, -0x1.f2f00dfee3917p-20, -0x1.daf239f3cc27p-20, -0x1.c2c9bb3e0a8afp-20, -0x1.aa79fdda7a172p-20, -0x1.92065c263a77p-20, -0x1.79721f4a2583ep-20, -0x1.60c07f8346edep-20, -0x1.47f4a47fefa9cp-20, -0x1.2f11a5ace82b1p-20, -0x1.161a8a843d0efp-20, -0x1.fa2495a61d8e5p-21, -0x1.c7f79e021f894p-21, -0x1.95b3e0acb1081p-21, -0x1.635ef244d065fp-21, -0x1.30fe4a7aacdd2p-21, -0x1.fd2e87b2505a5p-22, -0x1.985e396b86b09p-22, -0x1.3395ee51c8739p-22, -0x1.9dbf67e4c030dp-23, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.f5d9813fabb63p-7, -0x1.f57cf999a339ap-6, -0x1.77aa4ca233557p-5, -0x1.f40c3aecb6257p-5, -0x1.37dbae0d39e1cp-4, -0x1.753fcf61fc6d7p-4, -0x1.b21cfbbcda6b2p-4, -0x1.ee5e43a95a522p-4, -0x1.14f7af5066c6fp-3, -0x1.325e5c96bc776p-3, -0x1.4f59c0540fafbp-3, -0x1.6be0d65ccc82p-3, -0x1.87eb036739a37p-3, -0x1.a37017d630d5p-3, -0x1.be6851ace675ep-3, -0x1.d8cc5dc31d96ap-3, -0x1.f295585049fe1p-3, -0x1.05de66714c30ep-2, -0x1.121e5aeaaba93p-2, -0x1.1e07bdac4157ep-2, -0x1.2997f90cb88c6p-2, -0x1.34ccaccd84746p-2, -0x1.3fa3ad251936fp-2, -0x1.4a1b01ace71d3p-2, -0x1.5430e4380defcp-2, -0x1.5de3bf9718018p-2, -0x1.67322e4c913bp-2, -0x1.701af935c14bdp-2, -0x1.789d162a77c0fp-2, -0x1.80b7a69662e1fp-2, -0x1.8869f60e33ab9p-2, -0x1.8fb378e26ba85p-2, -0x1.9693cab185dbep-2, -0x1.9d0aacfaeca1p-2, -0x1.a31805b3fa757p-2, -0x1.a8bbdde011fafp-2, -0x1.adf6602cbf124p-2, -0x1.b2c7d7929cdbcp-2, -0x1.b730adfba4aa5p-2, -0x1.bb316aef6a498p-2, -0x1.becab245ac80cp-2, -0x1.c1fd42df87adbp-2, -0x1.c4c9f56785621p-2, -0x1.c731bb18afbbep-2, -0x1.c9359c8cba0d1p-2, -0x1.cad6b891472f9p-2, -0x1.cc16430447cdp-2, -0x1.ccf583b75e92dp-2, -0x1.cd75d55a36167p-2, -0x1.cd98a46ba1b6cp-2, -0x1.cd5f6e31730c5p-2, -0x1.cccbbfb6cf213p-2, -0x1.cbdf34d0e89cfp-2, -0x1.ca9b7729ee83cp-2, -0x1.c9023d520b077p-2, -0x1.c71549d64de9ap-2, -0x1.c4d66a5d58367p-2, -0x1.c24776c9b045fp-2, -0x1.bf6a506196e02p-2, -0x1.bc40e0fc48d73p-2, -0x1.b8cd1a348e4f4p-2, -0x1.b510f4a08a81fp-2, -0x1.b10e6f0eafd72p-2, -0x1.acc78dc7d5406p-2, -0x1.a83e59d65434p-2, -0x1.a374e052325dbp-2, -0x1.9e6d31b2456cp-2, -0x1.992961224ec86p-2, -0x1.93ab83de108a8p-2, -0x1.8df5b0914ee7bp-2, -0x1.8809febcc6e7dp-2, -0x1.81ea862010445p-2, -0x1.7b995e2871087p-2, -0x1.75189d649b09ap-2, -0x1.6e6a58fd587dap-2, -0x1.6790a43321875p-2, -0x1.608d8fe09815cp-2, -0x1.59632a01eb682p-2, -0x1.52137d4117c69p-2, -0x1.4aa090870350cp-2, -0x1.430c66916a41ap-2, -0x1.3b58fd8d9954p-2, -0x1.33884eb7e593ep-2, -0x1.2b9c4dffdc544p-2, -0x1.2396e9b1162cep-2, -0x1.1b7a0a20ab3edp-2, -0x1.1347915f2b469p-2, -0x1.0b015aef10b1ep-2, -0x1.02a93b7f9d1fep-2, -0x1.f482015808f16p-3, -0x1.e394e17daf4fdp-3, -0x1.d28e94f332dacp-3, -0x1.c17289c0c15b6p-3, -0x1.b0441e12eff96p-3, -0x1.9f069fe1b1089p-3, -0x1.8dbd4c9ee70dfp-3, -0x1.7c6b50ec440eep-3, -0x1.6b13c8585660ep-3, -0x1.59b9bd22880bcp-3, -0x1.48602805cec5p-3, -0x1.3709f009edbb5p-3, -0x1.25b9ea5af21d6p-3, -0x1.1472da26d6212p-3, -0x1.03377080fa7f2p-3, -0x1.e41498968c053p-4, -0x1.c1dbf449791c9p-4, -0x1.9fc9e8ba9e465p-4, -0x1.7de345dd6a777p-4, -0x1.5c2cb6f427b25p-4, -0x1.3aaac294917aep-4, -0x1.1961cab53d3ffp-4, -0x1.f0ac1986f27dcp-5, -0x1.af1743827adbbp-5, -0x1.6e0cfcd5a2601p-5, -0x1.2d94e6c78cf35p-5, -0x1.db6cb5abc4cbfp-6, -0x1.5cf0d654053cfp-6, -0x1.bf878c6b54f16p-7, -0x1.8fca3dd469323p-8, 0x1.6764f208b23dbp-10, 0x1.1ed5c19baf9f7p-7, 0x1.06dfb98949f44p-6, 0x1.7cc9f48e7410cp-6, 0x1.f11f32dd2e25fp-6, 0x1.31eaccd3f7195p-5, 0x1.6a71e8591e8cp-5, 0x1.a220805031ac4p-5, 0x1.d8f2689c97a47p-5, 0x1.0771d9e6b2c05p-4, 0x1.21f85918e3cbep-4, 0x1.3c0af873e83fp-4, 0x1.55a81c7310467p-4, 0x1.6ece470063bb7p-4, 0x1.877c16f4e1bd1p-4, 0x1.9fb04796c0006p-4, 0x1.b769b015d849fp-4, 0x1.cea743066602ep-4, 0x1.e5680dda59c2fp-4, 0x1.fbab385944ea4p-4, 0x1.08b8020b90c6cp-3, 0x1.135ae5f50da63p-3, 0x1.1dbe01afb0ee4p-3, 0x1.27e11b17adbfcp-3, 0x1.31c403d88a185p-3, 0x1.3b669926ab509p-3, 0x1.44c8c378a344bp-3, 0x1.4dea76406cc67p-3, 0x1.56cbafa488655p-3, 0x1.5f6c78392586dp-3, 0x1.67cce2b948dbp-3, 0x1.6fed0bc010b9ap-3, 0x1.77cd19821e708p-3, 0x1.7f6d3b872f11ap-3, 0x1.86cdaa63e9086p-3, 0x1.8deea773ff00bp-3, 0x1.94d07c9495a85p-3, 0x1.9b737bdf0f78dp-3, 0x1.a1d7ff643be6ep-3, 0x1.a7fe68e7f1e19p-3, 0x1.ade7219d2f23fp-3, 0x1.b39299e2aac0cp-3, 0x1.b90148fffd379p-3, 0x1.be33ace358ca8p-3, 0x1.c32a49dfd91fbp-3, 0x1.c7e5aa6c783fdp-3, 0x1.cc665ee3ae3a8p-3, 0x1.d0acfd43bfd49p-3, 0x1.d4ba20efc34b2p-3, 0x1.d88e6a7163157p-3, 0x1.dc2a7f3b6933bp-3, 0x1.df8f096d0b206p-3, 0x1.e2bcb7960d427p-3, 0x1.e5b43c7bb5155p-3, 0x1.e8764ede97372p-3, 0x1.eb03a941407d8p-3, 0x1.ed5d09afc57f1p-3, 0x1.ef833188350d7p-3, 0x1.f176e543f3c83p-3, 0x1.f338ec420a75p-3, 0x1.f4ca109262b82p-3, 0x1.f62b1ec1f3eeap-3, 0x1.f75ce5a7f2a3ap-3, 0x1.f8603633e9ff5p-3, 0x1.f935e33ce09d1p-3, 0x1.f9dec15172ca5p-3, 0x1.fa5ba688ecbdp-3, 0x1.faad6a556f4f9p-3, 0x1.fad4e5570b075p-3, 0x1.fad2f12feae76p-3, 0x1.faa86859801c6p-3, 0x1.fa5625fab4a87p-3, 0x1.f9dd05bf242f9p-3, 0x1.f93de3af5bc42p-3, 0x1.f8799c0a26dd1p-3, 0x1.f7910b1ed99f2p-3, 0x1.f6850d28ad973p-3, 0x1.f5567e2b1a054p-3, 0x1.f40639cf3db71p-3, 0x1.f2951b4244738p-3, 0x1.f103fd14d8aebp-3, 0x1.ef53b91b93724p-3, 0x1.ed8528506fc28p-3, 0x1.eb9922b5409dep-3, 0x1.e9907f3720cbep-3, 0x1.e76c1392e8cb6p-3, 0x1.e52cb43a95c49p-3, 0x1.e2d3343bb0721p-3, 0x1.e0606526a973p-3, 0x1.ddd516f72944cp-3, 0x1.db3217fd53e26p-3, 0x1.d87834c7fac5p-3, 0x1.d5a8380fbc61fp-3, 0x1.d2c2eaa30cc1ep-3, 0x1.cfc9135329d44p-3, 0x1.ccbb76e1eba9bp-3, 0x1.c99ad7f07dc7p-3, 0x1.c667f6eef1bb9p-3, 0x1.c323920caf616p-3, 0x1.bfce6529b675cp-3, 0x1.bc6929c8bddb2p-3, 0x1.b8f4970218c4fp-3, 0x1.b57161776d3bep-3, 0x1.b1e03b4838764p-3, 0x1.ae41d4070be89p-3, 0x1.aa96d8af9bae5p-3, 0x1.a6dff39d7b1d1p-3, 0x1.a31dcc83a021cp-3, 0x1.9f510864976b5p-3, 0x1.9b7a498b64fcap-3, 0x1.979a2f8520fadp-3, 0x1.93b1571b2f4b9p-3, 0x1.8fc05a4e29c27p-3, 0x1.8bc7d051651e7p-3, 0x1.87c84d8717e05p-3, 0x1.83c2637d1a2e7p-3, 0x1.7fb6a0ea3d032p-3, 0x1.7ba591ac30bc3p-3, 0x1.778fbec601323p-3, 0x1.7375ae5f107ap-3, 0x1.6f57e3c2a48bcp-3, 0x1.6b36df5fed6a9p-3, 0x1.67131eca901f8p-3, 0x1.62ed1cbba6b09p-3, 0x1.5ec551133ec23p-3, 0x1.5a9c30da3d601p-3, 0x1.56722e44c332bp-3, 0x1.5247b8b4e98b8p-3, 0x1.4e1d3cbdf630ep-3, 0x1.49f32427e63e6p-3, 0x1.45c9d5f360d1p-3, 0x1.41a1b65e036adp-3, 0x1.3d7b26e702c8dp-3, 0x1.395686542651bp-3, 0x1.353430b710eccp-3, 0x1.31147f72d9e3fp-3, 0x1.2cf7c941ea624p-3, 0x1.28de623c2da0cp-3, 0x1.24c89bdd75daap-3, 0x1.20b6c50c2961cp-3, 0x1.1ca92a202f087p-3, 0x1.18a014ea0e70ep-3, 0x1.149bccba47c65p-3, 0x1.109c9668e3c2ap-3, 0x1.0ca2b45d2d0adp-3, 0x1.08ae66959d70fp-3, 0x1.04bfeaaff109ap-3, 0x1.00d77bf1653b6p-3, 0x1.f9eaa69e2d30dp-4, 0x1.f2334eed1564dp-4, 0x1.ea8959ac9a924p-4, 0x1.e2ed2b4d6858bp-4, 0x1.db5f23e575bbcp-4, 0x1.d3df9f41e69fcp-4, 0x1.cc6ef4f91e887p-4, 0x1.c50d787cf8493p-4, 0x1.bdbb792d1d5fdp-4, 0x1.b67942697ebc2p-4, 0x1.af471ba4e2a3ep-4, 0x1.a825487789753p-4, 0x1.a11408b1e07c2p-4, 0x1.9a13986f49e49p-4, 0x1.93243028e0cdp-4, 0x1.8c4604c84c4d9p-4, 0x1.857947ba919e3p-4, 0x1.7ebe2702e2b77p-4, 0x1.7814cd4d6a504p-4, 0x1.717d62020c993p-4, 0x1.6af809571f592p-4, 0x1.6484e46410f91p-4, 0x1.5e241133ff611p-4, 0x1.57d5aad83a6cap-4, 0x1.5199c97aaf80dp-4, 0x1.4b7082703a645p-4, 0x1.4559e84adbe1fp-4, 0x1.3f560aebd0eccp-4, 0x1.3964f79589396p-4, 0x1.3386b8fd7b019p-4, 0x1.2dbb575dd25ddp-4, 0x1.2802d886f9907p-4, 0x1.225d3ff0f880cp-4, 0x1.1cca8ecca9768p-4, 0x1.174ac414c260ep-4, 0x1.11dddc9eb006dp-4, 0x1.0c83d32b41e4p-4, 0x1.073ca07725788p-4, 0x1.02083b4b2ffb9p-4, 0x1.f9cd3118e7f91p-5, 0x1.efaf5698463afp-5, 0x1.e5b6c9ae760eep-5, 0x1.dbe3698bf5e85p-5, 0x1.d235121643411p-5, 0x1.c8ab9c05e8b76p-5, 0x1.bf46dd0416a86p-5, 0x1.b606a7c7cb8d5p-5, 0x1.aceacc32845e6p-5, 0x1.a3f3176c7a9c3p-5, 0x1.9b1f5400678dbp-5, 0x1.926f49f6d1fadp-5, 0x1.89e2bef0e337bp-5, 0x1.81797642c2193p-5, 0x1.7933310d73789p-5, 0x1.710fae584153dp-5, 0x1.690eab29a831dp-5, 0x1.612fe29fc635cp-5, 0x1.59730e0852edp-5, 0x1.51d7e4f819daap-5, 0x1.4a5e1d61f9de5p-5, 0x1.43056bad6b922p-5, 0x1.3bcd82cc8a0cbp-5, 0x1.34b61451a45cfp-5, 0x1.2dbed08452788p-5, 0x1.26e76676122f7p-5, 0x1.202f841669aedp-5, 0x1.1996d64694256p-5, 0x1.131d08ecb4513p-5, 0x1.0cc1c7068fc6ap-5, 0x1.0684babbd72a4p-5, 0x1.00658d6ff5bbap-5, 0x1.f4c7cfa6da3d3p-6, 0x1.e8fee3e9811b1p-6, 0x1.dd6fa6a1d2f2bp-6, 0x1.d21965c6baa96p-6, 0x1.c6fb6e6b45907p-6, 0x1.bc150cdceebc4p-6, 0x1.b1658cc10ecep-6, 0x1.a6ec393173b56p-6, 0x1.9ca85cd81ce5ap-6, 0x1.9299420a2b786p-6, 0x1.88be32e1f778p-6, 0x1.7f1679585eb94p-6, 0x1.75a15f5d414dfp-6, 0x1.6c5e2eef36d2cp-6, 0x1.634c32327eb4fp-6, 0x1.5a6ab3872c235p-6, 0x1.51b8fd9e8dac1p-6, 0x1.49365b8fe0007p-6, 0x1.40e218ec3a489p-6, 0x1.38bb81d1ce0fcp-6, 0x1.30c1e2fe69e63p-6, 0x1.28f489e151035p-6, 0x1.2152c4ac60e05p-6, 0x1.19dbe2648bd2ep-6, 0x1.128f32f1ac2e9p-6, 0x1.0b6c072db153ap-6, 0x1.0471b0f32e694p-6, 0x1.fb3f065687755p-7, 0x1.ede9a3b5e461ep-7, 0x1.e0e1e45fa52a8p-7, 0x1.d426751877ba1p-7, 0x1.c7b60525a01e7p-7, 0x1.bb8f4663041b3p-7, 0x1.afb0ed580dc75p-7, 0x1.a419b14b8b36bp-7, 0x1.98c84c567bb27p-7, 0x1.8dbb7b75d18b7p-7, 0x1.82f1fe9b3f0a5p-7, 0x1.786a98bd033adp-7, 0x1.6e240fe4c06d6p-7, 0x1.641d2d3d6eb98p-7, 0x1.5a54bd205835ep-7, 0x1.50c98f21464e7p-7, 0x1.477a7619bc549p-7, 0x1.3e6648336f6b1p-7, 0x1.358bdef1e231fp-7, 0x1.2cea173b382c5p-7, 0x1.247fd160451aep-7, 0x1.1c4bf123d98e1p-7, 0x1.144d5dc1573edp-7, 0x1.0c8301f28e059p-7, 0x1.04ebcbf4ea71dp-7, 0x1.fb0d5b1bf03c8p-8, 0x1.eca5381e7f46ap-8, 0x1.de9d20b306399p-8, 0x1.d0f30dbec0071p-8, 0x1.c3a4ff4eb180cp-8, 0x1.b6b0fc9a9daadp-8, 0x1.aa151406dc5c2p-8, 0x1.9dcf5b2521cf6p-8, 0x1.91ddeeb43f96p-8, 0x1.863ef29ee5aeep-8, 0x1.7af091f97143bp-8, 0x1.6ff0fefecb4cap-8, 0x1.653e730c66dedp-8, 0x1.5ad72e9d62854p-8, 0x1.50b97944d7565p-8, 0x1.46e3a1a75c887p-8, 0x1.3d53fd73c9a6ap-8, 0x1.3408e95b3c768p-8, 0x1.2b00c9086cb25p-8, 0x1.223a071653c72p-8, 0x1.19b315063031bp-8, 0x1.116a6b34ec5bbp-8, 0x1.095e88cfeee15p-8, 0x1.018df3c95c226p-8, 0x1.f3ee71979f2e5p-9, 0x1.e531d65b26359p-9, 0x1.d6e349c6b7891p-9, 0x1.c9000ce521a22p-9, 0x1.bb856dc648f9fp-9, 0x1.ae70c76208541p-9, 0x1.a1bf817a49301p-9, 0x1.956f107c6665dp-9, 0x1.897cf561d7cc7p-9, 0x1.7de6bd9042814p-9, 0x1.72aa02b8e9de9p-9, 0x1.67c46ab78f347p-9, 0x1.5d33a770d1b72p-9, 0x1.52f576b00ea3cp-9, 0x1.4907a204cfadap-9, 0x1.3f67fe9fd025dp-9, 0x1.36146d2fa14fp-9, 0x1.2d0ad9bcfad05p-9, 0x1.24493b86b5067p-9, 0x1.1bcd94dd83b7bp-9, 0x1.1395f2ff6caa2p-9, 0x1.0ba06df3070e4p-9, 0x1.03eb28628f015p-9, 0x1.f8e89eed95cacp-10, 0x1.ea743563a387p-10, 0x1.dc7597936e71p-10, 0x1.cee95d064099ap-10, 0x1.c1cc311794736p-10, 0x1.b51ad2aa183a4p-10, 0x1.a8d213dca2b8dp-10, 0x1.9ceed9bf36b08p-10, 0x1.916e1c081063bp-10, 0x1.864ce4c8d4e6bp-10, 0x1.7b885023e5784p-10, 0x1.711d8c01d921cp-10, 0x1.6709d7c74407ap-10, 0x1.5d4a840aa7418p-10, 0x1.53dcf24abbe57p-10, 0x1.4abe94a50bc34p-10, 0x1.41eced8ce3112p-10, 0x1.39658f82a40d7p-10, 0x1.31261ccb83554p-10, 0x1.292c4729b7125p-10, 0x1.2175cf9516c09p-10, 0x1.1a0085f43d8e1p-10, 0x1.12ca48d629b43p-10, 0x1.0bd1052c69aeap-10, 0x1.0512b605cfa6ap-10, 0x1.fd1ac8937dc9bp-11, 0x1.f07e4ce814c6cp-11, 0x1.e44c40a2e648dp-11, 0x1.d8810579888afp-11, 0x1.cd1916b92842cp-11, 0x1.c21108c359f5cp-11, 0x1.b765888c4241bp-11, 0x1.ad135b1a1a455p-11, 0x1.a3175d0618f31p-11, 0x1.996e81fec3ff4p-11, 0x1.9015d44bafa1p-11, 0x1.870a7452b1a4cp-11, 0x1.7e49981e8b31fp-11, 0x1.75d08ae70f587p-11, 0x1.6d9cac9ac7bf7p-11, 0x1.65ab716a1c694p-11, 0x1.5dfa6154005bp-11, 0x1.568717b4281a3p-11, 0x1.4f4f42d2c787ep-11, 0x1.4850a375df33cp-11, 0x1.41890c741519ap-11, 0x1.3af662491ea46p-11, 0x1.34969aabb908dp-11, 0x1.2e67bc2534b2ep-11, 0x1.2867ddaa90d8p-11, 0x1.22952637296edp-11, 0x1.1cedcc68f719cp-11, 0x1.1770161e5fa92p-11, 0x1.121a581599e9dp-11, 0x1.0ceaf58d9e72p-11, 0x1.07e05fe8abb9fp-11, 0x1.02f9165054f26p-11, 0x1.fc674ab640a56p-12, 0x1.f31d4d675ef0ep-12, 0x1.ea118182e5ee2p-12, 0x1.e1414ca5c7627p-12, 0x1.d8aa2c9288eb7p-12, 0x1.d049b68bca3c8p-12, 0x1.c81d96b1d1fb3p-12, 0x1.c0238f6315111p-12, 0x1.b859789fb8e63p-12, 0x1.b0bd3f7005b66p-12, 0x1.a94ce54dcacc3p-12, 0x1.a2067f90a3871p-12, 0x1.9ae836dd25461p-12, 0x1.93f04696de599p-12, 0x1.8d1cfc553464bp-12, 0x1.866cb75b038fap-12, 0x1.7fdde811108d1p-12, 0x1.796f0f832e61p-12, 0x1.731ebee0239d8p-12, 0x1.6ceb96fc3e6c4p-12, 0x1.66d447d68def2p-12, 0x1.60d79020c2c6p-12, 0x1.5af43cc9a2e76p-12, 0x1.5529288a1467cp-12, 0x1.4f753b74acb7ep-12, 0x1.49d76a87c70dap-12, 0x1.444eb7420d408p-12, 0x1.3eda2f3978f44p-12, 0x1.3978ebb4b7e6bp-12, 0x1.342a1146f3d4cp-12, 0x1.2eeccf6df0732p-12, 0x1.29c060327be08p-12, 0x1.24a407cb22b52p-12, 0x1.1f97144125e21p-12, 0x1.1a98dd17a3835p-12, 0x1.15a8c2f4f1bf4p-12, 0x1.10c62f4e1b7b5p-12, 0x1.0bf0941478993p-12, 0x1.07276b655f086p-12, 0x1.026a373bda348p-12, 0x1.fb710248d2894p-13, 0x1.f223b3e568cf7p-13, 0x1.e8ebb2f2708f8p-13, 0x1.dfc83c85aedabp-13, 0x1.d6b89a9c9ea5fp-13, 0x1.cdbc23970663ap-13, 0x1.c4d239b535768p-13, 0x1.bbfa4a99cf5f3p-13, 0x1.b333cecf146c7p-13, 0x1.aa7e494f98ap-13, 0x1.a1d947126191cp-13, 0x1.99445e9a4ae58p-13, 0x1.90bf2f88a936dp-13, 0x1.88496233252ep-13, 0x1.7fe2a73ca71bdp-13, 0x1.778ab7315fb87p-13, 0x1.6f415225c3afap-13, 0x1.67063f5884ca3p-13, 0x1.5ed94cd75d779p-13, 0x1.56ba4f26b7ba2p-13, 0x1.4ea920ec1556ep-13, 0x1.46a5a29b2744cp-13, 0x1.3eafba258e0e4p-13, 0x1.36c752ad31208p-13, 0x1.2eec5c391a1e8p-13, 0x1.271ecb6ccfb6dp-13, 0x1.1f5e994215ddbp-13, 0x1.17abc2c5136acp-13, 0x1.100648d2c12e6p-13, 0x1.086e2fd9a27f3p-13, 0x1.00e37f9ca9861p-13, 0x1.f2cc85f0a42e3p-14, 0x1.e3ed0f5393543p-14, 0x1.d528bc305cb2ep-14, 0x1.c67fb23f992cfp-14, 0x1.b7f21bbeac57bp-14, 0x1.a980270df8119p-14, 0x1.9b2a0652d3de3p-14, 0x1.8cefef1d242e7p-14, 0x1.7ed21a107ea9cp-14, 0x1.70d0c290be1cap-14, 0x1.62ec2671f7fe3p-14, 0x1.552485abb5d43p-14, 0x1.477a220f61e29p-14, 0x1.39ed3f01cdedep-14, 0x1.2c7e2137c06e5p-14, 0x1.1f2d0e75737b8p-14, 0x1.11fa4d50f001bp-14, 0x1.04e624f7319cbp-14, 0x1.efe1b9e800023p-15, 0x1.d63579f8d1bfap-15, 0x1.bcc8197790235p-15, 0x1.a39a274698c8cp-15, 0x1.8aac3177c95ap-15, 0x1.71fec4f50862dp-15, 0x1.59926d2d59259p-15, 0x1.4167b3c657dccp-15, 0x1.297f2051fbd17p-15, 0x1.11d938087e7e9p-15, 0x1.f4ecfb0c8d357p-16, 0x1.c6aee11b70d25p-16, 0x1.98f91b99922e6p-16, 0x1.6bcc9d4c716p-16, 0x1.3f2a51fcac61p-16, 0x1.13131e1653664p-16, 0x1.cf0fbc9fc7e1ep-17, }}, 
      {{-0x1.b2aaafcfdb971p-7, -0x1.b2829a78fab69p-6, -0x1.45afea4347ca1p-5, -0x1.b1e2ab27b3e7ep-5, -0x1.0ee2f4c828bfcp-4, -0x1.44a31fb83e866p-4, -0x1.7a284a4e63158p-4, -0x1.af69158d68de1p-4, -0x1.e45c55133548dp-4, -0x1.0c7c89fbc0e18p-3, -0x1.269b4c85c77d2p-3, -0x1.4086354108a47p-3, -0x1.5a392883e2185p-3, -0x1.73b02d2b237a8p-3, -0x1.8ce76da599149p-3, -0x1.a5db38c6c9cd4p-3, -0x1.be880265ef292p-3, -0x1.d6ea63ce06a13p-3, -0x1.eeff1c03b07d8p-3, -0x1.036187f2a09d1p-2, -0x1.0f19a514919dap-2, -0x1.1aa67d9f33304p-2, -0x1.2606bc897a7eep-2, -0x1.31391f615486fp-2, -0x1.3c3c761913926p-2, -0x1.470fa2cc169a7p-2, -0x1.51b1997bd0608p-2, -0x1.5c215fc64baa1p-2, -0x1.665e0c97162abp-2, -0x1.7066c7d3788f7p-2, -0x1.7a3aca02b93bdp-2, -0x1.83d95bf31af4dp-2, -0x1.8d41d65c3a344p-2, -0x1.9673a17f4d16cp-2, -0x1.9f6e34c5cb255p-2, -0x1.a831165ee99d9p-2, -0x1.b0bbdadc4d6aap-2, -0x1.b90e24ce507c2p-2, -0x1.c127a46023edfp-2, -0x1.c90816f4155f4p-2, -0x1.d0af46c033b9ep-2, -0x1.d81d0a6b89f22p-2, -0x1.df5144ac18a74p-2, -0x1.e64be3e5bb0fap-2, -0x1.ed0ce1ca14a7ap-2, -0x1.f39442f9a51b9p-2, -0x1.f9e216a61a2cp-2, -0x1.fff67635f2762p-2, -0x1.02e8c274beb85p-1, -0x1.05b9b7c0a3c88p-1, -0x1.086e35f2fecbfp-1, -0x1.0b065c68e2a14p-1, -0x1.0d824ebd8b687p-1, -0x1.0fe234a08b775p-1, -0x1.122639acb8f0bp-1, -0x1.144e8d3fda3b7p-1, -0x1.165b625313c54p-1, -0x1.184cef5411c8cp-1, -0x1.1a236dfeefdb5p-1, -0x1.1bdf1b38da4b6p-1, -0x1.1d8036eb67fe2p-1, -0x1.1f0703e0ac957p-1, -0x1.2073c79ffcb36p-1, -0x1.21c6ca4b67aa1p-1, -0x1.2300567ddf54ep-1, -0x1.2420b92a119ffp-1, -0x1.25284179ecb47p-1, -0x1.261740aed0de6p-1, -0x1.26ee0a026b547p-1, -0x1.27acf2883ac3fp-1, -0x1.2854510fba53cp-1, -0x1.28e47e0734e13p-1, -0x1.295dd35f3ba01p-1, -0x1.29c0ac6ec412dp-1, -0x1.2a0d65d7e6fb6p-1, -0x1.2a445d6d4470ap-1, -0x1.2a65f2180a061p-1, -0x1.2a7283be99b29p-1, -0x1.2a6a732bd290cp-1, -0x1.2a4e21f6fb3f9p-1, -0x1.2a1df26c497e7p-1, -0x1.29da47760b69bp-1, -0x1.298384866e2aap-1, -0x1.291a0d81e36c4p-1, -0x1.289e46aa212f4p-1, -0x1.28109489c25dcp-1, -0x1.27715be07dc86p-1, -0x1.26c1018ffacf7p-1, -0x1.25ffea893dc73p-1, -0x1.252e7bbaad316p-1, -0x1.244d19feac0e8p-1, -0x1.235c2a0acc238p-1, -0x1.225c105f91d1ep-1, -0x1.214d3138cbef4p-1, -0x1.202ff07e7bddap-1, -0x1.1f04b1b64c5bcp-1, -0x1.1dcbd7f596d43p-1, -0x1.1c85c5d3f2556p-1, -0x1.1b32dd5e4d132p-1, -0x1.19d3800a8e078p-1, -0x1.18680eabb9a25p-1, -0x1.16f0e9669bbc9p-1, -0x1.156e6fa6f06dap-1, -0x1.13e100150df51p-1, -0x1.1248f88c0878fp-1, -0x1.10a6b6104fcfp-1, -0x1.0efa94c6c670dp-1, -0x1.0d44efec4baa3p-1, -0x1.0b8621cdb7e91p-1, -0x1.09be83c04abd8p-1, -0x1.07ee6e1a842a2p-1, -0x1.0616382d6a253p-1, -0x1.0436383e35acfp-1, -0x1.024ec380653bdp-1, -0x1.00602e10334adp-1, -0x1.fcd595dad817ep-2, -0x1.f8ddd7ed45285p-2, -0x1.f4d9c3c97feccp-2, -0x1.f0c9f88dd97f4p-2, -0x1.ecaf12fd9f8b1p-2, -0x1.e889ad7a425bdp-2, -0x1.e45a5ffd1e179p-2, -0x1.e021c011e2bdbp-2, -0x1.dbe060d194c2cp-2, -0x1.d796d2de2101bp-2, -0x1.d345a45e84739p-2, -0x1.ceed60fb7a7bap-2, -0x1.ca8e91dcb4dc1p-2, -0x1.c629bda696baep-2, -0x1.c1bf68786c1d1p-2, -0x1.bd5013eb19e43p-2, -0x1.b8dc3f10472e6p-2, -0x1.b4646671f58b1p-2, -0x1.afe904128642p-2, -0x1.ab6a8f6d2a79fp-2, -0x1.a6e97d76b8867p-2, -0x1.a266409ee1f81p-2, -0x1.9de148d1ca6e2p-2, -0x1.995b0379f57dp-2, -0x1.94d3db828d6c3p-2, -0x1.904c3959fed5ap-2, -0x1.8bc482f4e0cc3p-2, -0x1.873d1bd12c2cp-2, -0x1.82b664f9bd3ebp-2, -0x1.7e30bd0a1b4d5p-2, -0x1.79ac803280d91p-2, -0x1.752a083c27ff9p-2, -0x1.70a9ac8dd400bp-2, -0x1.6c2bc23092a02p-2, -0x1.67b09bd4b9566p-2, -0x1.633889d712e3p-2, -0x1.5ec3da46467c6p-2, -0x1.5a52d8e867049p-2, -0x1.55e5cf40b6952p-2, -0x1.517d0495912ebp-2, -0x1.4d18bdf682124p-2, -0x1.48b93e427e0cp-2, -0x1.445ec62e44013p-2, -0x1.4009944adeeb2p-2, -0x1.3bb9e50c45ba1p-2, -0x1.376ff2d01ca54p-2, -0x1.332bf5e48f1bap-2, -0x1.2eee248f464bp-2, -0x1.2ab6b31475348p-2, -0x1.2685d3bdfdd2p-2, -0x1.225bb6e2a7633p-2, -0x1.1e388aed69d66p-2, -0x1.1a1c7c64c9071p-2, -0x1.1607b5f23fd18p-2, -0x1.11fa6069b7061p-2, -0x1.0df4a2d10bc18p-2, -0x1.09f6a2679d3f3p-2, -0x1.060082ade61a8p-2, -0x1.0212656d19f65p-2, -0x1.fc58d57d9c46bp-3, -0x1.f49d622943aaep-3, -0x1.ecf2aa7fe00c9p-3, -0x1.e558e4f2f9e46p-3, -0x1.ddd044d25379ap-3, -0x1.d658fa5b4e6a2p-3, -0x1.cef332c84a281p-3, -0x1.c79f185ffef38p-3, -0x1.c05cd284d8d38p-3, -0x1.b92c85c44016dp-3, -0x1.b20e53e5dacb1p-3, -0x1.ab025bfac3a58p-3, -0x1.a408ba6cacb12p-3, -0x1.9d21890cf76dep-3, -0x1.964cdf23b44fdp-3, -0x1.8f8ad17e92681p-3, -0x1.88db727fb74e8p-3, -0x1.823ed22c7f4b7p-3, -0x1.7bb4fe3c26a29p-3, -0x1.753e0226587a9p-3, -0x1.6ed9e7319a956p-3, -0x1.6888b481aaf5dp-3, -0x1.624a6f25afc7cp-3, -0x1.5c1f1a264ea7p-3, -0x1.5606b693a51d7p-3, -0x1.500143931d103p-3, -0x1.4a0ebe6d1b5a6p-3, -0x1.442f229a8c19dp-3, -0x1.3e6269d24f513p-3, -0x1.38a88c1678adfp-3, -0x1.33017fc16c1f6p-3, -0x1.2d6d3992d0348p-3, -0x1.27ebacbc5d4b3p-3, -0x1.227ccaee7e20ap-3, -0x1.1d208464ca8edp-3, -0x1.17d6c7f25811ep-3, -0x1.129f830dd9ebfp-3, -0x1.0d7aa1dda0bdfp-3, -0x1.08680f4362b58p-3, -0x1.0367b4e7dd075p-3, -0x1.fcf2f68c96616p-4, -0x1.f33a936f59ee4p-4, -0x1.e9a60cfbbb929p-4, -0x1.e0352d9d07531p-4, -0x1.d6e7bdbb9b7p-4, -0x1.cdbd83d204b6ap-4, -0x1.c4b64481c661cp-4, -0x1.bbd1c2a7b86cdp-4, -0x1.b30fbf701c038p-4, -0x1.aa6ffa6a411d1p-4, -0x1.a1f2319bd4215p-4, -0x1.99962193cf04ep-4, -0x1.915b857d11e86p-4, -0x1.8942173092b0cp-4, -0x1.81498f47382f1p-4, -0x1.7971a52b55eddp-4, -0x1.71ba0f29ca67ep-4, -0x1.6a228282c0b64p-4, -0x1.62aab37a16f01p-4, -0x1.5b52556767d48p-4, -0x1.54191ac5b8cd5p-4, -0x1.4cfeb542ce0bep-4, -0x1.4602d5ce23852p-4, -0x1.3f252ca78bae9p-4, -0x1.3865696d75eb1p-4, -0x1.31c33b2adb3f3p-4, -0x1.2b3e5064d3f0cp-4, -0x1.24d65727d55d7p-4, -0x1.1e8afd1499f81p-4, -0x1.185bef6cb1d64p-4, -0x1.1248db1ec0bd2p-4, -0x1.0c516cd265ccdp-4, -0x1.067550f3d1b84p-4, -0x1.00b433bf09133p-4, -0x1.f61b8295ac1a2p-5, -0x1.eb034b26d38e9p-5, -0x1.e01f19095a30ap-5, -0x1.d56e440888829p-5, -0x1.caf023f685305p-5, -0x1.c0a410bf29ac1p-5, -0x1.b689627a39844p-5, -0x1.ac9f717d07b5dp-5, -0x1.a2e5966b88eccp-5, -0x1.995b2a48d4743p-5, -0x1.8fff8687153fbp-5, -0x1.86d20516f1081p-5, -0x1.7dd2007662ab5p-5, -0x1.74fed3bf0d70ep-5, -0x1.6c57dab40a40fp-5, -0x1.63dc71cf32ac6p-5, -0x1.5b8bf64de642p-5, -0x1.5365c63d56265p-5, -0x1.4b694086503fap-5, -0x1.4395c4f890a49p-5, -0x1.3beab4559b10ap-5, -0x1.3467705b1e203p-5, -0x1.2d0b5bcce270dp-5, -0x1.25d5da7e4876bp-5, -0x1.1ec6515b5722dp-5, -0x1.17dc26715e2b2p-5, -0x1.1116c0f72b9b1p-5, -0x1.0a758954db5a1p-5, -0x1.03f7e92b3e8dbp-5, -0x1.fb3a96b5c30b7p-6, -0x1.eeca381558a5ap-6, -0x1.e29d915c4c41fp-6, -0x1.d6b38016b75ccp-6, -0x1.cb0ae480d2736p-6, -0x1.bfa2a191578bdp-6, -0x1.b4799d033855ap-6, -0x1.a98ebf5ea8974p-6, -0x1.9ee0f401855a7p-6, -0x1.946f29271ba79p-6, -0x1.8a384fef4f83fp-6, -0x1.803b5c652dc28p-6, -0x1.76774584e3b7cp-6, -0x1.6ceb054130876p-6, -0x1.639598883ba19p-6, -0x1.5a75ff47f01adp-6, -0x1.518b3c71c9dfbp-6, -0x1.48d455fe265ap-6, -0x1.405054ef1720dp-6, -0x1.37fe4552ba376p-6, -0x1.2fdd36451cc7bp-6, -0x1.27ec39f1ad466p-6, -0x1.202a65943cff8p-6, -0x1.1896d17996ad1p-6, -0x1.113098ffb06d8p-6, -0x1.09f6da9575946p-6, -0x1.02e8b7ba32305p-6, -0x1.f80aa9f941f23p-7, -0x1.ea97b3f338b6ep-7, -0x1.dd76e2b4fa5eap-7, -0x1.d0a691a642f1dp-7, -0x1.c425223f4cea7p-7, -0x1.b7f0fc03999b6p-7, -0x1.ac088c7c3dbd4p-7, -0x1.a06a473182493p-7, -0x1.9514a5a414bbap-7, -0x1.8a0627459b1fbp-7, -0x1.7f3d5170de8cfp-7, -0x1.74b8af616e893p-7, -0x1.6a76d22ad3d3ap-7, -0x1.607650af56d16p-7, -0x1.56b5c79658342p-7, -0x1.4d33d94245b3cp-7, -0x1.43ef2dc62f14dp-7, -0x1.3ae672db00681p-7, -0x1.32185bd4640c4p-7, -0x1.2983a19551eeep-7, -0x1.2127028451d12p-7, -0x1.1901427f73cdbp-7, -0x1.11112ad002806p-7, -0x1.09558a1df4946p-7, -0x1.01cd3463201dcp-7, -0x1.f4ee05bc69e69p-8, -0x1.e6a3a80b02431p-8, -0x1.d8b916f304d5fp-8, -0x1.cb2c23ee94eedp-8, -0x1.bdfaaa956da3fp-8, -0x1.b1229081041e8p-8, -0x1.a4a1c5305f07dp-8, -0x1.987641ebaea16p-8, -0x1.8c9e09a7a41f6p-8, -0x1.811728e897c1dp-8, -0x1.75dfb5a57a924p-8, -0x1.6af5cf2a9fe1dp-8, -0x1.60579dfc5fa6dp-8, -0x1.560353b99abc4p-8, -0x1.4bf72afe23442p-8, -0x1.423167450f5c9p-8, -0x1.38b054cafa61cp-8, -0x1.2f7248703c9ep-8, -0x1.26759f9b16073p-8, -0x1.1db8c019db3c2p-8, -0x1.153a18051e49dp-8, -0x1.0cf81da1dfe1ep-8, -0x1.04f14f43c79acp-8, -0x1.fa48665ecf73bp-9, -0x1.eb1eaef926044p-9, -0x1.dc62a3f18a2b2p-9, -0x1.ce11801341079p-9, -0x1.c0288d1f131c4p-9, -0x1.b2a52390b5125p-9, -0x1.a584aa64788b3p-9, -0x1.98c496dd3a4e7p-9, -0x1.8c626c4aa3c99p-9, -0x1.805bbbcfb5bdap-9, -0x1.74ae2429ad90bp-9, -0x1.6957517740bfdp-9, -0x1.5e54fd003a459p-9, -0x1.53a4ecfd7694p-9, -0x1.4944f4614964p-9, -0x1.3f32f2a04f9aep-9, -0x1.356cd37aa7a5p-9, -0x1.2bf08ec5a6c9dp-9, -0x1.22bc2835fa961p-9, -0x1.19cdaf2a458f7p-9, -0x1.11233e7636a0fp-9, -0x1.08bafc2e1fc19p-9, -0x1.0093197309948p-9, -0x1.f153a47e96a8ep-10, -0x1.e1fada675053ep-10, -0x1.d31876c9e85bep-10, -0x1.c4a930547b6dep-10, -0x1.b6a9d1d70b47bp-10, -0x1.a91739e207a63p-10, -0x1.9bee5a65ec2cep-10, -0x1.8f2c3853ffa85p-10, -0x1.82cdeb4035cc1p-10, -0x1.76d09d04300b4p-10, -0x1.6b31896368ceap-10, -0x1.5fedfdb077037p-10, -0x1.550358738bcadp-10, -0x1.4a6f09120be35p-10, -0x1.402e8f7759107p-10, -0x1.363f7bbebf1e3p-10, -0x1.2c9f6dde98c3ep-10, -0x1.234c155493a22p-10, -0x1.1a4330d3255f3p-10, -0x1.11828df02e811p-10, -0x1.090808d4c7a46p-10, -0x1.00d18bee37f08p-10, -0x1.f1ba1f4035f2dp-11, -0x1.e25133ef5b75fp-11, -0x1.d3647cc08de8fp-11, -0x1.c4f03ab1f10fp-11, -0x1.b6f0c856b0532p-11, -0x1.a9629946ded11p-11, -0x1.9c423991a0d6p-11, -0x1.8f8c4d319fbfdp-11, -0x1.833d8f83c058cp-11, -0x1.7752d2c01e63fp-11, -0x1.6bc8ff7543381p-11, -0x1.609d140599a98p-11, -0x1.55cc2427180dbp-11, -0x1.4b5358651d6cap-11, -0x1.412feda47e439p-11, -0x1.375f34a9ba19dp-11, -0x1.2dde91a159395p-11, -0x1.24ab7baa6ae32p-11, -0x1.1bc37c631f8p-11, -0x1.13242f777c8afp-11, -0x1.0acb423221a8ap-11, -0x1.02b6730f1c709p-11, -0x1.f5c722a18935ap-12, -0x1.e6a0f92d34f9bp-12, -0x1.d7f648ec495eap-12, -0x1.c9c3102b8d1c8p-12, -0x1.bc036b930c3d3p-12, -0x1.aeb39563888cfp-12, -0x1.a1cfe4b7b010dp-12, -0x1.9554ccc91bc2dp-12, -0x1.893edc390577ap-12, -0x1.7d8abc5ca9375p-12, -0x1.7235308d4907cp-12, -0x1.673b157bc03e6p-12, -0x1.5c996087a899cp-12, -0x1.524d1f19f19c6p-12, -0x1.48537602f1d0dp-12, -0x1.3ea9a0dbd597dp-12, -0x1.354cf16b6d4d3p-12, -0x1.2c3acf0e418bbp-12, -0x1.2370b621ed8fap-12, -0x1.1aec3773a9a64p-12, -0x1.12aaf7b200b75p-12, -0x1.0aaaaee1a1238p-12, -0x1.02e927d53d441p-12, -0x1.f6c87f50e42ap-13, -0x1.e833ca7b440ebp-13, -0x1.da10317d828d9p-13, -0x1.cc59d641fbaa3p-13, -0x1.bf0cfb567c283p-13, -0x1.b22602fecf8edp-13, -0x1.a5a16e4cc6cbap-13, -0x1.997bdc3da0081p-13, -0x1.8db208dcbe96p-13, -0x1.8240cc6b8d1d2p-13, -0x1.77251a8e87575p-13, -0x1.6c5c017f41eb6p-13, -0x1.61e2a943667fp-13, -0x1.57b652e882ab3p-13, -0x1.4dd457c4a29fdp-13, -0x1.443a28bb8eecdp-13, -0x1.3ae54d88a63cdp-13, -0x1.31d3640d37fcp-13, -0x1.29021fa347989p-13, -0x1.206f4874a65a4p-13, -0x1.1818bad650e5bp-13, -0x1.0ffc66a7f5664p-13, -0x1.08184eb795c2ap-13, -0x1.006a882924884p-13, -0x1.f1e273c431e66p-14, -0x1.e35537f1b8b1ep-14, -0x1.d529ee4ff14a8p-14, -0x1.c75d488a0500fp-14, -0x1.b9ec177639cb8p-14, -0x1.acd34a121de8bp-14, -0x1.a00fec85a558ep-14, -0x1.939f272d147p-14, -0x1.877e3da99881cp-14, -0x1.7baa8df867082p-14, -0x1.70218f9041c19p-14, -0x1.64e0d28538afbp-14, -0x1.59e5feb28cf5cp-14, -0x1.4f2ed2ea8c6bp-14, -0x1.44b9242c4a222p-14, -0x1.3a82dcdf0e9dp-14, -0x1.3089fc135ff6bp-14, -0x1.26cc94c98364dp-14, -0x1.1d48cd3d57188p-14, -0x1.13fcde3764ca8p-14, -0x1.0ae71263107bfp-14, -0x1.0205c5a9c2fe8p-14, -0x1.f2aec925e73fep-15, -0x1.e1b4d751e903bp-15, -0x1.d11acdc4c5a05p-15, -0x1.c0dde220416ebp-15, -0x1.b0fb669f79ffbp-15, -0x1.a170c904580d4p-15, -0x1.923b918d70442p-15, -0x1.835961f41d36cp-15, -0x1.74c7f472a11e7p-15, -0x1.66851ad21acf9p-15, -0x1.588ebd801a5bap-15, -0x1.4ae2daaba7fccp-15, -0x1.3d7f85698d5dep-15, -0x1.3062e4dfabee4p-15, -0x1.238b33773d4d1p-15, -0x1.16f6be15c1a2ap-15, -0x1.0aa3e35c80e0fp-15, -0x1.fd2225dcc2ap-16, -0x1.e5799977f0c0fp-16, -0x1.ce4b40ab402b9p-16, -0x1.b7945886e134ap-16, -0x1.a1523ac5dcdeep-16, -0x1.8b825c949bc0ep-16, -0x1.76224d623571fp-16, -0x1.612fb5bc55546p-16, -0x1.4ca85635542f1p-16, -0x1.388a06544c37bp-16, -0x1.24d2b38ede0ebp-16, -0x1.1180604c5bbbbp-16, -0x1.fd2245e433131p-17, -0x1.d80649f150735p-17, -0x1.b3a944134fb78p-17, -0x1.9007ce4c0ea78p-17, -0x1.6d1ea3a8bfb5fp-17, -0x1.4aea9eae7f2fp-17, -0x1.2968b7d632dc4p-17, -0x1.089604175ae7fp-17, -0x1.d0df67029a384p-18, -0x1.91e61fc4ee64p-18, -0x1.543af6fa71005p-18, -0x1.17d8df93d3f2cp-18, -0x1.b975f116abf56p-19, -0x1.45b91536463ep-19, -0x1.a8e4182ec76dap-20, -0x1.966004caf0cadp-21, 0x1.b76647bc3f5dcp-25, 0x1.c3dc36042cc75p-21, 0x1.b178ce8a365b2p-20, 0x1.3e3575f3f0923p-19, 0x1.a169d0af43fe3p-19, 0x1.01306cb69186p-18, 0x1.3090e00733f24p-18, 0x1.5ed9c2a8ba38dp-18, 0x1.8c0e7ed133ec5p-18, 0x1.b83269e4fa66fp-18, 0x1.e348c5bdff616p-18, 0x1.06aa60f1c5cecp-17, 0x1.1b2cbe597b473p-17, 0x1.2f2d023cf03d5p-17, 0x1.42acac4136cfbp-17, 0x1.55ad350901e0cp-17, 0x1.68300ead830d1p-17, 0x1.7a36a531029d2p-17, 0x1.8bc25eeb6f201p-17, 0x1.9cd49cf119007p-17, 0x1.ad6ebb73d597bp-17, 0x1.bd92121ebabfcp-17, 0x1.cd3ff46cac894p-17, 0x1.dc79b1f9f0f66p-17, 0x1.eb4096d0ec52cp-17, 0x1.f995ebb24e355p-17, 0x1.03bd7b2c61ad1p-16, 0x1.0a787cdc3c5bp-16, 0x1.10fc9b1d37e18p-16, 0x1.174a74fa01923p-16, 0x1.1d62a86d4ba75p-16, 0x1.2345d279db4e6p-16, 0x1.28f48f40e207cp-16, 0x1.2e6f7a16a6addp-16, 0x1.33b72d95a5c4cp-16, 0x1.38cc43b024096p-16, 0x1.3daf55c0596dbp-16, 0x1.4260fc97325b4p-16, 0x1.46e1d089c6373p-16, 0x1.4b32697d89a36p-16, 0x1.4f535ef34e815p-16, 0x1.534548111f672p-16, 0x1.5708bbab05a85p-16, 0x1.5a9e504aca86p-16, 0x1.5e069c36b43dap-16, 0x1.614235775eabfp-16, 0x1.6451b1dcaca1dp-16, 0x1.6735a701e0547p-16, 0x1.69eeaa50ee5d4p-16, 0x1.6c7d51050e2bep-16, 0x1.6ee2302c92b8bp-16, 0x1.711ddcaa1b52bp-16, 0x1.7330eb3524752p-16, 0x1.751bf059fc408p-16, 0x1.76df807929b7p-16, 0x1.787c2fc653b69p-16, 0x1.79f29246a2a3dp-16, 0x1.7b433bceb31d7p-16, 0x1.7c6ec00019b79p-16, 0x1.7d75b24680645p-16, 0x1.7e58a5d46577cp-16, 0x1.7f182d9f87cd8p-16, 0x1.7fb4dc5cfb05fp-16, 0x1.802f447cf9779p-16, 0x1.8087f8266ca1cp-16, 0x1.80bf893239171p-16, 0x1.80d6892655ce9p-16, }}, 
      {{-0x1.9a99d8d98b8bcp-1, -0x1.9a8ff26eca26ep-1, -0x1.9a7e8b7cb82b7p-1, -0x1.9a6456b40347cp-1, -0x1.9a3f982265d4cp-1, -0x1.9a0e36bd55e39p-1, -0x1.99cdcec4e7122p-1, -0x1.997bc3fe34fe8p-1, -0x1.99155317b06f4p-1, -0x1.9897a1c797cb3p-1, -0x1.97ffcd62b34f1p-1, -0x1.974af7cad9d76p-1, -0x1.967652acb93fbp-1, -0x1.957f291531adfp-1, -0x1.9462e771ef547p-1, -0x1.931f221841894p-1, -0x1.91b19a717a3e3p-1, -0x1.901842ee2f55fp-1, -0x1.8e5141e236a5cp-1, -0x1.8c5af36a7e466p-1, -0x1.8a33ea7c7db68p-1, -0x1.87daf13cff06ep-1, -0x1.854f08b9c2366p-1, -0x1.828f681f11a75p-1, -0x1.7f9b7b7ff193dp-1, -0x1.7c72e2451fee7p-1, -0x1.79156d54d5c8p-1, -0x1.75831d02ff95ap-1, -0x1.71bc1ed79f1eap-1, -0x1.6dc0cb372ab05p-1, -0x1.6991a2f70648ap-1, -0x1.652f4ce6b0982p-1, -0x1.609a9354dec83p-1, -0x1.5bd461968902bp-1, -0x1.56ddc194dd3bcp-1, -0x1.51b7d96621568p-1, -0x1.4c63e8f4b98a3p-1, -0x1.46e347b6ddb93p-1, -0x1.41376278eb2ecp-1, -0x1.3b61b93bc4ddp-1, -0x1.3563dd28439c5p-1, -0x1.2f3f6e985dc4p-1, -0x1.28f61b36666e9p-1, -0x1.22899c3282f96p-1, -0x1.1bfbb48e43d77p-1, -0x1.154e2f7e2913cp-1, -0x1.0e82dee0b57f4p-1, -0x1.079b99caa306dp-1, -0x1.009a3b27ae88dp-1, -0x1.f30140ded5619p-2, -0x1.e4a150dafd30bp-2, -0x1.d6186439552f8p-2, -0x1.c76a3727e035ap-2, -0x1.b89a820a62c9ep-2, -0x1.a9acf79946ebbp-2, -0x1.9aa54320d79f3p-2, -0x1.8b8706df851b7p-2, -0x1.7c55da81faa8dp-2, -0x1.6d1549bbc12bfp-2, -0x1.5dc8d2fb3f569p-2, -0x1.4e73e637f376ap-2, -0x1.3f19e3d9b7dd5p-2, -0x1.2fbe1bb80838cp-2, -0x1.2063cc302c356p-2, -0x1.110e215146fd8p-2, -0x1.01c0341d4a4efp-2, -0x1.e4fa13bbb13c1p-3, -0x1.c68f27184a86ap-3, -0x1.a8455a95df859p-3, -0x1.8a223be372dfbp-3, -0x1.6c2b2d50b8543p-3, -0x1.4e6565246d23cp-3, -0x1.30d5ed104265p-3, -0x1.1381a1c0d1d62p-3, -0x1.ecda651055b87p-4, -0x1.b33a42430abd1p-4, -0x1.7a2b83197984ep-4, -0x1.41b6740088db8p-4, -0x1.09e305e082467p-4, -0x1.a5719ca65b27ep-5, -0x1.387e0ffec2c74p-5, -0x1.99f24c5efc0afp-6, -0x1.8bbfafd2fa321p-7, 0x1.64510859d995ap-11, 0x1.b1faffe25b1e5p-7, 0x1.a39b180089be9p-6, 0x1.357359142c4dfp-5, 0x1.97668230c76c1p-5, 0x1.f79e09fd56364p-5, 0x1.2b08cc176c9c6p-4, 0x1.595cbb639fa71p-4, 0x1.86c74799f2c9ep-4, 0x1.b34533a732e48p-4, 0x1.ded38f214858ap-4, 0x1.04b7da571429p-3, 0x1.198ba43001353p-3, 0x1.2de41b03fcb8cp-3, 0x1.41c057c03eea4p-3, 0x1.551f957843daep-3, 0x1.680130845704ep-3, 0x1.7a64a59d97757p-3, 0x1.8c4990f7e98f3p-3, 0x1.9dafad5a58933p-3, 0x1.ae96d3364b577p-3, 0x1.befef7bdfafd6p-3, 0x1.cee82bfa90d22p-3, 0x1.de529be24cf9ep-3, 0x1.ed3e8d6f00abcp-3, 0x1.fbac5fb5482edp-3, 0x1.04ce44fe5d2p-2, 0x1.0b87cd6cb26c1p-2, 0x1.12031ba3710a1p-2, 0x1.18408ce2982ddp-2, 0x1.1e4088bbd2dd5p-2, 0x1.240380a310cecp-2, 0x1.2989ef805f035p-2, 0x1.2ed45943145aap-2, 0x1.33e34a766b2f1p-2, 0x1.38b757d79edb2p-2, 0x1.3d511ded98258p-2, 0x1.41b140a2460c2p-2, 0x1.45d86adda6019p-2, 0x1.49c74e229671bp-2, 0x1.4d7ea22d7711ap-2, 0x1.50ff2494a65f8p-2, 0x1.5449986ae984ap-2, 0x1.575ec5e3c4c17p-2, 0x1.5a3f79f9c93ap-2, 0x1.5cec8616e7f87p-2, 0x1.5f66bfbec8d39p-2, 0x1.61af003b2b617p-2, 0x1.63c6244a5970bp-2, 0x1.65ad0bcfa8d5p-2, 0x1.676499861400fp-2, 0x1.68edb2b4e7ab4p-2, 0x1.6a493ee6857edp-2, 0x1.6b7827a13e08ep-2, 0x1.6c7b58224103cp-2, 0x1.6d53bd1aa07a3p-2, 0x1.6e02446e65e15p-2, 0x1.6e87dcf5b7673p-2, 0x1.6ee5764007be6p-2, 0x1.6f1c005950663p-2, 0x1.6f2c6b914e152p-2, 0x1.6f17a844bd821p-2, 0x1.6edea6a893b68p-2, 0x1.6e82569729ff9p-2, 0x1.6e03a75f58a5ap-2, 0x1.6d6387957b25cp-2, 0x1.6ca2e4e658a4p-2, 0x1.6bc2abebe4b7ap-2, 0x1.6ac3c803d7afbp-2, 0x1.69a7232812e0dp-2, 0x1.686da5c8ca635p-2, 0x1.671836a86da8ap-2, 0x1.65a7bab9461c5p-2, 0x1.641d14fcc3053p-2, 0x1.627926646cee3p-2, 0x1.60bccdb47528ap-2, 0x1.5ee8e767d90b5p-2, 0x1.5cfe4d9614facp-2, 0x1.5afdd7da57d46p-2, 0x1.58e85b3c341a3p-2, 0x1.56beaa19c0cbdp-2, 0x1.548194132515cp-2, 0x1.5231e5f78449ap-2, 0x1.4fd069b342a52p-2, 0x1.4d5de63f94638p-2, 0x1.4adb1f9359bdfp-2, 0x1.4848d69531dd8p-2, 0x1.45a7c90ec4bd5p-2, 0x1.42f8b1a1381edp-2, 0x1.403c47bac6c29p-2, 0x1.3d733f8d71fccp-2, 0x1.3a9e4a06c3f6ap-2, 0x1.37be14c89b245p-2, 0x1.34d34a22f5b1ap-2, 0x1.31de910eb4fbdp-2, 0x1.2ee08d294fdbap-2, 0x1.2bd9deb16cb66p-2, 0x1.28cb22845a8a2p-2, 0x1.25b4f21c60996p-2, 0x1.2297e38fdc5c3p-2, 0x1.1f74899128df2p-2, 0x1.1c4b736f44915p-2, 0x1.191d2d172cb7p-2, 0x1.15ea3f15ee7efp-2, 0x1.12b32e9b5a622p-2, 0x1.0f787d7d6065ap-2, 0x1.0c3aaa3c0093ap-2, 0x1.08fa3005d5d33p-2, 0x1.05b786bd2754ap-2, 0x1.027322fd864a9p-2, 0x1.fe5aec43cbcccp-3, 0x1.f7cddc966159ep-3, 0x1.f13feccea04a4p-3, 0x1.eab1ec713fab9p-3, 0x1.e424a4bb92c25p-3, 0x1.dd98d8b3ff3e8p-3, 0x1.d70f453b31708p-3, 0x1.d088a11df174ap-3, 0x1.ca059d27a5a7cp-3, 0x1.c386e43561d91p-3, 0x1.bd0d1b49887ecp-3, 0x1.b698e19fea959p-3, 0x1.b02ad0c261c3ep-3, 0x1.a9c37c9ddcd61p-3, 0x1.a3637397c8973p-3, 0x1.9d0b3ea3e2371p-3, 0x1.96bb615a53935p-3, 0x1.90745a0e222f6p-3, 0x1.8a36a1e3df445p-3, 0x1.8402ace895626p-3, 0x1.7dd8ea28ebbb5p-3, 0x1.77b9c3c872c3bp-3, 0x1.71a59f191bee1p-3, 0x1.6b9cdcb2d02fdp-3, 0x1.659fd88b1e457p-3, 0x1.5faeea0cfa8e8p-3, 0x1.59ca643090815p-3, 0x1.53f2959316c23p-3, 0x1.4e27c88ea5de3p-3, 0x1.486a43520c621p-3, 0x1.42ba47f897823p-3, 0x1.3d1814a1d1348p-3, 0x1.3783e38925a8ap-3, 0x1.31fdeb1d7b8f3p-3, 0x1.2c865e18a5acdp-3, 0x1.271d6b96ba099p-3, 0x1.21c33f2d4b387p-3, 0x1.1c7801026e9abp-3, 0x1.173bd5e3a135ap-3, 0x1.120edf5c7c286p-3, 0x1.0cf13bcd361c7p-3, 0x1.07e30680f536fp-3, 0x1.02e457c3e2961p-3, 0x1.fbea89f21593fp-4, 0x1.f22bc160087f9p-4, 0x1.e88c7574940e7p-4, 0x1.df0cc080d53aap-4, 0x1.d5acb7adc1064p-4, 0x1.cc6c6b25618dfp-4, 0x1.c34be63b8d677p-4, 0x1.ba4b2f95f61dfp-4, 0x1.b16a4953bf0dfp-4, 0x1.a8a93134699bbp-4, 0x1.a007e0be3f3bcp-4, 0x1.97864d640adbp-4, 0x1.8f2468aa493b5p-4, 0x1.86e2204bb06e9p-4, 0x1.7ebf5e5d1d351p-4, 0x1.76bc0970deb08p-4, 0x1.6ed804b960981p-4, 0x1.6713302b31d06p-4, 0x1.5f6d689e69b1fp-4, 0x1.57e687ef67979p-4, 0x1.507e651eeefe6p-4, 0x1.4934d4719ea1cp-4, 0x1.4209a78ec2c14p-4, 0x1.3afcad9e83431p-4, 0x1.340db3676d007p-4, 0x1.2d3c836b5667ep-4, 0x1.2688e603a10b9p-4, 0x1.1ff2a17cd7eddp-4, 0x1.19797a31aa8c8p-4, 0x1.131d32a548028p-4, 0x1.0cdd8b9d16badp-4, 0x1.06ba4439cf64dp-4, 0x1.00b31a0ff71d2p-4, 0x1.f58f927f78fbbp-5, 0x1.e9f0191874179p-5, 0x1.de873ae437159p-5, 0x1.d354687b591bfp-5, 0x1.c857104099d96p-5, 0x1.bd8e9e8aa06bbp-5, 0x1.b2fa7dcc9205dp-5, 0x1.a89a16bd81097p-5, 0x1.9e6cd07ebae98p-5, 0x1.947210c0f74bfp-5, 0x1.8aa93be86d57bp-5, 0x1.8111b52fd03d6p-5, 0x1.77aadeca3b6c4p-5, 0x1.6e741a040c571p-5, 0x1.656cc762b50abp-5, 0x1.5c9446c38412dp-5, 0x1.53e9f7796d47dp-5, 0x1.4b6d3869d0b65p-5, 0x1.431d682849d3bp-5, 0x1.3af9e511864c3p-5, 0x1.33020d652e43ep-5, 0x1.2b353f5edbee6p-5, 0x1.2392d94e2cb19p-5, 0x1.1c1a39adea6aep-5, 0x1.14cabf3a5981ap-5, 0x1.0da3c906a5713p-5, 0x1.06a4b69179dep-5, 0x1.ff99cfb18d99cp-6, 0x1.f2377ad96ca4ap-6, 0x1.e5213103afe4p-6, 0x1.d855b6050f553p-6, 0x1.cbd3cf3f1dd56p-6, 0x1.bf9a43c01bb86p-6, 0x1.b3a7dc614eca6p-6, 0x1.a7fb63e3f6403p-6, 0x1.9c93a70cd92fp-6, 0x1.916f74be7f05cp-6, 0x1.868d9e121912p-6, 0x1.7becf66f22b1ap-6, 0x1.718c53a1c0a27p-6, 0x1.676a8defeab31p-6, 0x1.5d86802d66293p-6, 0x1.53df07ce994fep-6, 0x1.4a7304fa3d1a4p-6, 0x1.41415a99f8d19p-6, 0x1.3848ee69eed7ap-6, 0x1.2f88a907401f3p-6, 0x1.26ff75fd8d632p-6, 0x1.1eac43d380ab6p-6, 0x1.168e04166790ap-6, 0x1.0ea3ab64db6e6p-6, 0x1.06ec31788ca05p-6, 0x1.fecd225e5d5a8p-7, 0x1.f02391251d0e5p-7, 0x1.e1d9b1bfb0ffap-7, 0x1.d3ed8d1c31031p-7, 0x1.c65d32a7ea7e8p-7, 0x1.b926b8596baf6p-7, 0x1.ac483ab9118aap-7, 0x1.9fbfdce84db1cp-7, 0x1.938bc8a78856ep-7, 0x1.87aa2e5ac848cp-7, 0x1.7c19450d1b853p-7, 0x1.70d74a72d4067p-7, 0x1.65e282eaa13c8p-7, 0x1.5b39397d8bd49p-7, 0x1.50d9bfddf15b7p-7, 0x1.46c26e656a57ep-7, 0x1.3cf1a411c904cp-7, 0x1.3365c68120c56p-7, 0x1.2a1d41eceabacp-7, 0x1.21168924507dp-7, 0x1.18501585a424ep-7, 0x1.0fc866f711552p-7, 0x1.077e03de8eb88p-7, 0x1.fedef23230cc3p-8, 0x1.ef36b3e27a552p-8, 0x1.e000802a0bc68p-8, 0x1.d13997168022ap-8, 0x1.c2df455063f3ap-8, 0x1.b4eee4038382cp-8, 0x1.a765d8c62bf7dp-8, 0x1.9a41957f6edd3p-8, 0x1.8d7f984c7542bp-8, 0x1.811d6b64f28a1p-8, 0x1.7518a4fec0b83p-8, 0x1.696ee730b6e56p-8, 0x1.5e1ddfd4c47f9p-8, 0x1.532348695ee0dp-8, 0x1.487ce5f249f43p-8, 0x1.3e2888d8cdeccp-8, 0x1.34240ccb5d6eap-8, 0x1.2a6d589cbd9eep-8, 0x1.21025e22b6927p-8, 0x1.17e11a1457a75p-8, 0x1.0f0793e7db09bp-8, 0x1.0673ddb02e96ap-8, 0x1.fc4827f45ead7p-9, 0x1.ec2cbb5337045p-9, 0x1.dc91d7ab96312p-9, 0x1.cd73f34c5bda3p-9, 0x1.becf985d3ef3dp-9, 0x1.b0a164972727p-9, 0x1.a2e608fc496bfp-9, 0x1.959a499015eadp-9, 0x1.88bafd0f0535fp-9, 0x1.7c450ca652f01p-9, 0x1.703573abb1212p-9, 0x1.64893f54feec2p-9, 0x1.593d8e7013888p-9, 0x1.4e4f911aa3b14p-9, 0x1.43bc887a50bcbp-9, 0x1.3981c674e42d3p-9, 0x1.2f9cad68ce3f5p-9, 0x1.260aafe5e1452p-9, 0x1.1cc950666171fp-9, 0x1.13d621086767bp-9, 0x1.0b2ec347a2775p-9, 0x1.02d0e7b783974p-9, 0x1.f5749b7ba21cep-10, 0x1.e5d1869b69b2bp-10, 0x1.d6b44946870e4p-10, 0x1.c818b7ff0b62fp-10, 0x1.b9fac2ca13617p-10, 0x1.ac5674aa06592p-10, 0x1.9f27f319fa161p-10, 0x1.926b7d8a48fd1p-10, 0x1.861d6cde5dc7dp-10, 0x1.7a3a32ebc5c2fp-10, 0x1.6ebe59fa8bd02p-10, 0x1.63a68446e52cdp-10, 0x1.58ef6b8437e02p-10, 0x1.4e95e06181904p-10, 0x1.4496ca0f2581ep-10, 0x1.3aef25c621c0dp-10, 0x1.319c0650be964p-10, 0x1.289a9394aac97p-10, 0x1.1fe80a1e922ddp-10, 0x1.1781baaf3d21ap-10, 0x1.0f6509ca1f17bp-10, 0x1.078f6f457b942p-10, 0x1.fffcebb80a79dp-11, 0x1.f15f75801db9ep-11, 0x1.e341da607ebefp-11, 0x1.d59f9c1bb3166p-11, 0x1.c8745ee91c48cp-11, 0x1.bbbbe8a7bc2ecp-11, 0x1.af72201416dc2p-11, 0x1.a3930c01362fp-11, 0x1.981ad294cc4f8p-11, 0x1.8d05b88674e59p-11, 0x1.8250206216265p-11, 0x1.77f689cd5eca1p-11, 0x1.6df590d05d526p-11, 0x1.6449ed21338b9p-11, 0x1.5af07172dc9d2p-11, 0x1.51e60ac707ad9p-11, 0x1.4927bfc301b45p-11, 0x1.40b2b007a9f6ep-11, 0x1.3884138c6d5ecp-11, 0x1.309939fd44d35p-11, 0x1.28ef8a1baf9ccp-11, 0x1.21848122a6e2cp-11, 0x1.1a55b22d82656p-11, 0x1.1360c5a1ca9c3p-11, 0x1.0ca3789bf0933p-11, 0x1.061b9c5ee61eep-11, 0x1.ff8e2b8d1ed6fp-12, 0x1.f347b97a0ec11p-12, 0x1.e75ff7655c931p-12, 0x1.dbd31e31ff39bp-12, 0x1.d09d89c0448a1p-12, 0x1.c5bbb7ee5fa35p-12, 0x1.bb2a479e52a94p-12, 0x1.b0e5f7c122ba2p-12, 0x1.a6eba6674cab4p-12, 0x1.9d384fd660df9p-12, 0x1.93c90da3bdab8p-12, 0x1.8a9b15d4563ffp-12, 0x1.81abba016eb3dp-12, 0x1.78f866824ae96p-12, 0x1.707ea19aabd65p-12, 0x1.683c0aae1d6e8p-12, 0x1.602e5977f5aa4p-12, 0x1.58535d47fa4dep-12, 0x1.50a8fc439be0bp-12, 0x1.492d32abb0a99p-12, 0x1.41de1226a1bacp-12, 0x1.3ab9c10ef8094p-12, 0x1.33be79c63718cp-12, 0x1.2cea8a0bf41fp-12, 0x1.263c525916b4cp-12, 0x1.1fb2453f36ea9p-12, 0x1.194ae6cbfcd63p-12, 0x1.1304cbf07e70ep-12, 0x1.0cde99ec7e0dep-12, 0x1.06d705bd7aff5p-12, 0x1.00ecd3918cc18p-12, 0x1.f63dac7bca323p-13, 0x1.ead7dd71fb48ep-13, 0x1.dfa6173098cb7p-13, 0x1.d4a65122f6709p-13, 0x1.c9d69bfe1da6fp-13, 0x1.bf3520d0ca12dp-13, 0x1.b4c0201a0f1bp-13, 0x1.aa75f0e66ce16p-13, 0x1.a054fff33f076p-13, 0x1.965bced865b9p-13, 0x1.8c88f3380977bp-13, 0x1.82db15f45035fp-13, 0x1.7950f26af7275p-13, 0x1.6fe955b69c217p-13, 0x1.66a31df5aad6ep-13, 0x1.5d7d3996c64b5p-13, 0x1.5476a6aa8fe0dp-13, 0x1.4b8e723ab1dfp-13, 0x1.42c3b7a60dee2p-13, 0x1.3a15a001f9e77p-13, 0x1.318361805df28p-13, 0x1.290c3edaa91f6p-13, 0x1.20af86c1795dcp-13, 0x1.186c9350d74a5p-13, 0x1.1042c988f2e79p-13, 0x1.083198cb42a36p-13, 0x1.00387a5be6ee9p-13, 0x1.f0ade1ce8462ap-14, 0x1.e11910173af3ap-14, 0x1.d1b1a7cd9e2cep-14, 0x1.c276e14f855cfp-14, 0x1.b36804478fa76p-14, 0x1.a48466df3147ap-14, 0x1.95cb6cf7ebc59p-14, 0x1.873c876b9530bp-14, 0x1.78d7335373d57p-14, 0x1.6a9af95608c67p-14, 0x1.5c876cfb58c3ep-14, 0x1.4e9c2c078cc69p-14, 0x1.40d8dddbb9b83p-14, 0x1.333d32dcaa6c5p-14, 0x1.25c8e3df80f86p-14, 0x1.187bb19c06884p-14, 0x1.0b55642481afap-14, 0x1.fcab94c5de641p-15, 0x1.e2f97336e68f6p-15, 0x1.c99419e7c24a2p-15, 0x1.b07b4a00635c1p-15, 0x1.97aecea78dd85p-15, 0x1.7f2e7c2eb1f19p-15, 0x1.66fa2f46d21a1p-15, 0x1.4f11cc3e30f8bp-15, 0x1.37753e4688e07p-15, 0x1.202476c388b13p-15, 0x1.091f6ca155482p-15, 0x1.e4cc3765abb43p-16, 0x1.b7f1082f134bap-16, 0x1.8bad535160738p-16, 0x1.600126db0406ep-16, 0x1.34ec962c98f5p-16, 0x1.0a6fb8fc58057p-16, 0x1.c11554cce574bp-17, 0x1.6e7b1013b2c3p-17, 0x1.1d10e26220e81p-17, 0x1.99ae181a90d72p-18, 0x1.f73736a717ab4p-19, 0x1.7fab35073b675p-20, -0x1.cb1ec252183a3p-21, -0x1.a09fc60b116b3p-19, -0x1.64d8ea8601247p-18, -0x1.f6fe9278df80bp-18, -0x1.4360465a15861p-17, -0x1.8a0f4d929e06bp-17, -0x1.cf8c48ceaa6b9p-17, -0x1.09eb95df69b77p-16, -0x1.2b77fa50f7382p-16, -0x1.4c6b567e1f34cp-16, -0x1.6cc5b520067edp-16, -0x1.8c8727342b0fp-16, -0x1.abafc442fcc98p-16, -0x1.ca3faaa002b21p-16, -0x1.e836ffa3d106p-16, -0x1.02caf7f00493bp-15, -0x1.112e57a6d443ap-15, -0x1.1f45bcbaefbe1p-15, -0x1.2d1148cad6fep-15, -0x1.3a91215e3f372p-15, -0x1.47c56ff2f93c7p-15, -0x1.54ae6207903bdp-15, -0x1.614c2923b5b48p-15, -0x1.6d9efade9ab97p-15, -0x1.79a710e3493b8p-15, -0x1.8564a8f317a8cp-15, -0x1.90d804e64fbc7p-15, -0x1.9c016aab1dc23p-15, -0x1.a6e12442dc78fp-15, -0x1.b1777fbdd83f6p-15, -0x1.bbc4cf359510dp-15, -0x1.c5c968c5b7077p-15, -0x1.cf85a68395512p-15, -0x1.d8f9e674929c1p-15, -0x1.e2268a83473b4p-15, -0x1.eb0bf8739359bp-15, -0x1.f3aa99d5a748cp-15, -0x1.fc02dbf811684p-15, -0x1.020a97ec728e5p-14, -0x1.05f1050b0389dp-14, -0x1.09b4f16e5671cp-14, -0x1.0d569aec1104ep-14, -0x1.10d6410feeba1p-14, -0x1.14342512795f4p-14, -0x1.177089cf7894fp-14, -0x1.1a8bb3bc1b92fp-14, -0x1.1d85e8dce5acep-14, -0x1.205f70bb60d53p-14, -0x1.2318945b9cc8fp-14, -0x1.25b19e3181bcap-14, -0x1.282ada15f771p-14, -0x1.2a84953bea695p-14, -0x1.2cbf1e25302bp-14, -0x1.2edac49751016p-14, -0x1.30d7d9903b3d5p-14, -0x1.32b6af3ae32e3p-14, -0x1.347798e3d597ep-14, -0x1.361aeaedbd8d1p-14, -0x1.37a0fac5e50f9p-14, -0x1.390a1ed8afed8p-14, -0x1.3a56ae86180edp-14, -0x1.3b8702162a1f8p-14, -0x1.3c9b72ad8a26fp-14, -0x1.3d945a41fef71p-14, -0x1.3e72138f0a0a9p-14, -0x1.3f34fa0a8ba24p-14, }}, 
      {{-0x1.9a9bfd2bd8751p-1, -0x1.9a98bc184e01cp-1, -0x1.9a9321169dbcap-1, -0x1.9a8ae8477c7a3p-1, -0x1.9a7fb616cb3bap-1, -0x1.9a7119fd72dc6p-1, -0x1.9a5e917ad6f2bp-1, -0x1.9a478b1f3a43p-1, -0x1.9a2b698b1779fp-1, -0x1.9a09864fba469p-1, -0x1.99e134a3bf8cfp-1, -0x1.99b1c3e30474p-1, -0x1.997a81d53d6e9p-1, -0x1.993abcb92c13dp-1, -0x1.98f1c5147c943p-1, -0x1.989eef49c2d1ap-1, -0x1.984194f71d672p-1, -0x1.97d91620b0003p-1, -0x1.9764da2a964e3p-1, -0x1.96e450a62a4f8p-1, -0x1.9656f1f68c9f7p-1, -0x1.95bc3fd0567b8p-1, -0x1.9513c5983d8p-1, -0x1.945d18a44cd79p-1, -0x1.9397d86318b13p-1, -0x1.92c3ae6c242ffp-1, -0x1.91e04e7c67086p-1, -0x1.90ed7661ac8c5p-1, -0x1.8feaedd74180dp-1, -0x1.8ed886562dcf9p-1, -0x1.8db61adafea02p-1, -0x1.8c838fa2e87c9p-1, -0x1.8b40d1e1e46bap-1, -0x1.89edd7732ab39p-1, -0x1.888a9e85527dap-1, -0x1.87172d432c863p-1, -0x1.8593917a4eb47p-1, -0x1.83ffe04025765p-1, -0x1.825c359644b2bp-1, -0x1.80a8b40e9277bp-1, -0x1.7ee5846fd6991p-1, -0x1.7d12d55b1d30fp-1, -0x1.7b30daf24f69p-1, -0x1.793fce804fbb9p-1, -0x1.773fee22dd9f4p-1, -0x1.75317c767331fp-1, -0x1.7314c0444c61ep-1, -0x1.70ea0432b3bafp-1, -0x1.6eb19677b2501p-1, -0x1.6c6bc88e341fap-1, -0x1.6a18eeedad7b6p-1, -0x1.67b960c448b6cp-1, -0x1.654d77b3a0f0ap-1, -0x1.62d58f9009c14p-1, -0x1.605206225d331p-1, -0x1.5dc33aec50afap-1, -0x1.5b298eef425c9p-1, -0x1.588564757969cp-1, -0x1.55d71eddce51fp-1, -0x1.531f2269ab705p-1, -0x1.505dd40d5e398p-1, -0x1.4d939942a7477p-1, -0x1.4ac0d7dd7bce6p-1, -0x1.47e5f5e2ebbap-1, -0x1.450359621b4b7p-1, -0x1.4219684f43775p-1, -0x1.3f288860a7a42p-1, -0x1.3c311eed72ef1p-1, -0x1.393390ce6e3a8p-1, -0x1.363042407fdafp-1, -0x1.332796c8e49b9p-1, -0x1.3019f11b163b3p-1, -0x1.2d07b3004e3a5p-1, -0x1.29f13d40998a9p-1, -0x1.26d6ef8d6b188p-1, -0x1.23b9286da57bcp-1, -0x1.2098452b075bep-1, -0x1.1d74a1c0f30e3p-1, -0x1.1a4e98cc8241cp-1, -0x1.1726837dd76d2p-1, -0x1.13fcb98aa514p-1, -0x1.10d19121d94dp-1, -0x1.0da55ee06797p-1, -0x1.0a7875c71fa02p-1, -0x1.074b27318ad46p-1, -0x1.041dc2cdc34b5p-1, -0x1.00f0969539159p-1, -0x1.fb87dd8cba3b6p-2, -0x1.f5302bbe4e901p-2, -0x1.eedaa930d6fedp-2, -0x1.e887e3c3f293ep-2, -0x1.e23865beeec3dp-2, -0x1.dbecb5cbeac5fp-2, -0x1.d5a556f4534c8p-2, -0x1.cf62c89ea9693p-2, -0x1.c925868d7ea09p-2, -0x1.c2ee08df98fa9p-2, -0x1.bcbcc411324e6p-2, -0x1.b69228fe41a43p-2, -0x1.b06ea4e5bb515p-2, -0x1.aa52a16dc59c6p-2, -0x1.a43e84a8c948ap-2, -0x1.9e32b11b568e6p-2, -0x1.982f85c2d14e5p-2, -0x1.92355e1cd7bf3p-2, -0x1.8c44922f56d4dp-2, -0x1.865d769144e57p-2, -0x1.80805c73f32a1p-2, -0x1.7aad91acee9efp-2, -0x1.74e560c065456p-2, -0x1.6f2810ec05aa1p-2, -0x1.6975e63250c45p-2, -0x1.63cf216651de7p-2, -0x1.5e340037bba5dp-2, -0x1.58a4bd3f55465p-2, -0x1.5321900bbfec4p-2, -0x1.4daaad2e7c0bdp-2, -0x1.484046493577cp-2, -0x1.42e28a1b46e25p-2, -0x1.3d91a48f72249p-2, -0x1.384dbec9c16d5p-2, -0x1.3316ff35962ccp-2, -0x1.2ded8993d030fp-2, -0x1.28d17f091942fp-2, -0x1.23c2fe2c3f47fp-2, -0x1.1ec22314a37dfp-2, -0x1.19cf0768b5287p-2, -0x1.14e9c26c72652p-2, -0x1.1012690fef28cp-2, -0x1.0b490dfdd846ep-2, -0x1.068dc1a9f3655p-2, -0x1.01e0925f96947p-2, -0x1.fa8318a022c87p-3, -0x1.f161734215f3ep-3, -0x1.e85c44f593712p-3, -0x1.df739a2cce3bfp-3, -0x1.d6a77b97d27a3p-3, -0x1.cdf7ee408e375p-3, -0x1.c564f3a68bd6cp-3, -0x1.bcee89da832efp-3, -0x1.b494ab99938f5p-3, -0x1.ac57506841f6bp-3, -0x1.a4366cad265c1p-3, -0x1.9c31f1cb4c71dp-3, -0x1.9449ce3c3f15bp-3, -0x1.8c7deda9c1122p-3, -0x1.84ce39072b466p-3, -0x1.7d3a96aa71158p-3, -0x1.75c2ea64c6b7ep-3, -0x1.6e67159aeb306p-3, -0x1.6726f75d0edc5p-3, -0x1.60026c7e54dbcp-3, -0x1.58f94fabf1f57p-3, -0x1.520b7983e9d83p-3, -0x1.4b38c0ab5d872p-3, -0x1.4480f9e4757f9p-3, -0x1.3de3f823e6b78p-3, -0x1.37618ca6029e8p-3, -0x1.30f987036ba4ap-3, -0x1.2aabb5455301ap-3, -0x1.2477e3f94f91dp-3, -0x1.1e5dde44cc078p-3, -0x1.185d6df802c1cp-3, -0x1.12765ba0972p-3, -0x1.0ca86e9bbb9aap-3, -0x1.06f36d27f1d2cp-3, -0x1.01571c765d8f8p-3, -0x1.f7a6817757158p-4, -0x1.eccf3a8129af7p-4, -0x1.e227e8e3e3664p-4, -0x1.d7b00fe0d1db8p-4, -0x1.cd67313f680e3p-4, -0x1.c34ccd6af8bc1p-4, -0x1.b960638fad7c9p-4, -0x1.afa171b6a57a3p-4, -0x1.a60f74e1562c4p-4, -0x1.9ca9e9241fff6p-4, -0x1.937049c01f30dp-4, -0x1.8a62113c3dc99p-4, -0x1.817eb97d7f28ep-4, -0x1.78c5bbde946ccp-4, -0x1.70369146b1f9ap-4, -0x1.67d0b23faeee8p-4, -0x1.5f93970b6bb3bp-4, -0x1.577eb7b88843fp-4, -0x1.4f918c36683fdp-4, -0x1.47cb8c68895eap-4, -0x1.402c30392f3a8p-4, -0x1.38b2efab6693dp-4, -0x1.315f42ec64454p-4, -0x1.2a30a2643fbaep-4, -0x1.232686c610aa8p-4, -0x1.1c40691f6d3c2p-4, -0x1.157dc2e75141bp-4, -0x1.0ede0e0c6d154p-4, -0x1.0860c502e1bfep-4, -0x1.020562d16aeeep-4, -0x1.f796c63bfacfbp-5, -0x1.eb648473b126p-5, -0x1.df72fa5a22e15p-5, -0x1.d3c1238330c52p-5, -0x1.c84dfd1b7af5ep-5, -0x1.bd1885fc6864p-5, -0x1.b21fbebf3c7f6p-5, -0x1.a762a9cf33766p-5, -0x1.9ce04b7ab74adp-5, -0x1.9297aa03ad0a3p-5, -0x1.8887cdaedebadp-5, -0x1.7eafc0d28d414p-5, -0x1.750e8fe42bff5p-5, -0x1.6ba349854958bp-5, -0x1.626cfe8fb0c62p-5, -0x1.596ac220c61e7p-5, -0x1.509ba9a41fb5bp-5, -0x1.47feccdd681f4p-5, -0x1.3f9345f18a61dp-5, -0x1.3758316f2de61p-5, -0x1.2f4cae568765ep-5, -0x1.276fde20837p-5, -0x1.1fc0e4c5534bp-5, -0x1.183ee8c259c17p-5, -0x1.10e9131f84286p-5, -0x1.09be8f740f9f1p-5, -0x1.02be8beac0299p-5, -0x1.f7d0728b22c8cp-6, -0x1.ea7595c1c0ec1p-6, -0x1.dd6aed6c2bdd1p-6, -0x1.d0aeeabbac884p-6, -0x1.c44004237072p-6, -0x1.b81cb55b1553dp-6, -0x1.ac437f60538bbp-6, -0x1.a0b2e877d5701p-6, -0x1.95697c2d3ad4bp-6, -0x1.8a65cb525ff8ap-6, -0x1.7fa66bfdde03cp-6, -0x1.7529f988d813bp-6, -0x1.6aef148c16f45p-6, -0x1.60f462dc7ec63p-6, -0x1.57388f86e0afap-6, -0x1.4dba4acb31be3p-6, -0x1.44784a1731862p-6, -0x1.3b7148007cfc5p-6, -0x1.32a4043e1f20dp-6, -0x1.2a0f43a19ec78p-6, -0x1.21b1d00f91eeap-6, -0x1.198a7877bc467p-6, -0x1.119810ccbbb8ep-6, -0x1.09d971fb4f9c9p-6, -0x1.024d79e13a939p-6, -0x1.f5e6168782623p-7, -0x1.e7921b8ba85d5p-7, -0x1.d99cdbbbcaf69p-7, -0x1.cc043996cee2bp-7, -0x1.bec6211815363p-7, -0x1.b1e087a15c1e7p-7, -0x1.a5516be4187f3p-7, -0x1.9916d5ca6a3b8p-7, -0x1.8d2ed65f7cb84p-7, -0x1.819787b79e2fdp-7, -0x1.764f0cd7ddfcep-7, -0x1.6b53919d53a38p-7, -0x1.60a34aa41f7bap-7, -0x1.563c752e0a3fdp-7, -0x1.4c1d5708f1f1bp-7, -0x1.42443e74eed39p-7, -0x1.38af820a3ed22p-7, -0x1.2f5d809f0626p-7, -0x1.264ca12cde6a2p-7, -0x1.1d7b52b642cc2p-7, -0x1.14e80c2bdae0fp-7, -0x1.0c914c51ab28cp-7, -0x1.047599a430be2p-7, -0x1.f927047ad693cp-8, -0x1.e9d33773ba817p-8, -0x1.daed063b06ce9p-8, -0x1.cc71b9719744p-8, -0x1.be5ea81b1a122p-8, -0x1.b0b137680c5bcp-8, -0x1.a366da7fcbdcep-8, -0x1.967d124ac34f8p-8, -0x1.89f16d3cbad72p-8, -0x1.7dc1871f52edap-8, -0x1.71eb08dcaee16p-8, -0x1.666ba84a58771p-8, -0x1.5b4127f45ea84p-8, -0x1.506956e8b9e71p-8, -0x1.45e21082f7519p-8, -0x1.3ba93c3832241p-8, -0x1.31bccd6360357p-8, -0x1.281ac311f68c8p-8, -0x1.1ec127d0e928ep-8, -0x1.15ae117a0be71p-8, -0x1.0cdfa101d6c17p-8, -0x1.04540245939e4p-8, -0x1.f812d7b3eac7ap-9, -0x1.e7fc3db44336dp-9, -0x1.d860cd6e50d6bp-9, -0x1.c93d320fe862ap-9, -0x1.ba8e2ab35e199p-9, -0x1.ac508a014b563p-9, -0x1.9e8135d344888p-9, -0x1.911d26d796a4dp-9, -0x1.84216835fcd5fp-9, -0x1.778b17356587p-9, -0x1.6b5762e2b701p-9, -0x1.5f838bb8a5a0fp-9, -0x1.540ce34897b4bp-9, -0x1.48f0cbe4981fbp-9, -0x1.3e2cb84a5f182p-9, -0x1.33be2b4f6f4cdp-9, -0x1.29a2b78e4803fp-9, -0x1.1fd7ff14b1d38p-9, -0x1.165bb31324d3p-9, -0x1.0d2b938d47b77p-9, -0x1.04456f0b8b387p-9, -0x1.f74e449bbf005p-10, -0x1.e69d2fff1169bp-10, -0x1.d67390d818d9ep-10, -0x1.c6cd726a7a399p-10, -0x1.b7a6fa14c15dfp-10, -0x1.a8fc66c0e24bep-10, -0x1.9aca1056f5504p-10, -0x1.8d0c673223cb2p-10, -0x1.7fbff397c6cdcp-10, -0x1.72e15530b66b2p-10, -0x1.666d4284c77b4p-10, -0x1.5a608878758fbp-10, -0x1.4eb809ccb258ep-10, -0x1.4370bea0db9c1p-10, -0x1.3887b3f6d338ep-10, -0x1.2dfa0b3935ddfp-10, -0x1.23c4f9c3ad0c1p-10, -0x1.19e5c86d5485ap-10, -0x1.1059d315344bap-10, -0x1.071e8830cce6cp-10, -0x1.fc62d0b94bc6cp-11, -0x1.eb200bddd1f23p-11, -0x1.da700917ef064p-11, -0x1.ca4e317a01309p-11, -0x1.bab60f1118192p-11, -0x1.aba34c19edbdcp-11, -0x1.9d11b239b9d0dp-11, -0x1.8efd29bad3acep-11, -0x1.8161b8cd175fcp-11, -0x1.743b82ca03ac2p-11, -0x1.6786c77c87195p-11, -0x1.5b3fe26c6e8d2p-11, -0x1.4f634a2d6ca97p-11, -0x1.43ed8fb1aa9c2p-11, -0x1.38db5d9fdd6dbp-11, -0x1.2e2977accc714p-11, -0x1.23d4b9f8436dcp-11, -0x1.19da186d61de1p-11, -0x1.10369e263aab3p-11, -0x1.06e76cd2bb992p-11, -0x1.fbd378459cdf2p-12, -0x1.ea75b2674d9e3p-12, -0x1.d9b04c006a178p-12, -0x1.c97e31a95a503p-12, -0x1.b9da778a33adep-12, -0x1.aac0584ddaa5cp-12, -0x1.9c2b341b0b616p-12, -0x1.8e168f932e531p-12, -0x1.807e12d6e80fdp-12, -0x1.735d88904067dp-12, -0x1.66b0dd0257bbfp-12, -0x1.5a741d1e8a956p-12, -0x1.4ea3759eeb2f1p-12, -0x1.433b3225ffd2ap-12, -0x1.3837bc63ad449p-12, -0x1.2d959b3f2ff91p-12, -0x1.23517206185c8p-12, -0x1.1967ffa029c1dp-12, -0x1.0fd61dc80e019p-12, -0x1.0698c048bc758p-12, -0x1.fb59e87f1eb81p-13, -0x1.ea1fbec5bb85bp-13, -0x1.d97d7e9a291fp-13, -0x1.c96dd19863a9p-13, -0x1.b9eb8e6b1b755p-13, -0x1.aaf1b77bbb438p-13, -0x1.9c7b79aab5e6ep-13, -0x1.8e842b0ff74a4p-13, -0x1.810749c34ae0bp-13, -0x1.74007aac91affp-13, -0x1.676b885ba3ecdp-13, -0x1.5b4461e7abb7bp-13, -0x1.4f8719d5e35d3p-13, -0x1.442fe507810e3p-13, -0x1.393b19aeaebc1p-13, -0x1.2ea52e4a75c82p-13, -0x1.246ab8a95f77ep-13, -0x1.1a886cf2c0479p-13, -0x1.10fb1cb67c8eep-13, -0x1.07bfb60323586p-13, -0x1.fda6850483648p-14, -0x1.ec65cd3593135p-14, -0x1.dbb7c132d1e14p-14, -0x1.cb970fbd62c25p-14, -0x1.bbfe9825e9bd7p-14, -0x1.ace968bf560c7p-14, -0x1.9e52bd5c952f9p-14, -0x1.9035fdd8e460fp-14, -0x1.828ebcaa89a35p-14, -0x1.7558b57fb10d7p-14, -0x1.688fcbe5361d2p-14, -0x1.5c3009f720dd4p-14, -0x1.50359f1a9a582p-14, -0x1.449cdec11ff35p-14, -0x1.39623f34bfd76p-14, -0x1.2e82586d27a16p-14, -0x1.23f9e2ed4d284p-14, -0x1.19c5b6a980574p-14, -0x1.0fe2c9f5b06e1p-14, -0x1.064e307bb2364p-14, -0x1.fa0a3472aa326p-15, -0x1.e809a50c2c8a9p-15, -0x1.d6957e40889cdp-15, -0x1.c5a8be82bca71p-15, -0x1.b53e957310f13p-15, -0x1.a5526223c1d9p-15, -0x1.95dfb16b1d803p-15, -0x1.86e23c42b5a23p-15, -0x1.7855e63357bf6p-15, -0x1.6a36bbcd718b7p-15, -0x1.5c80f12d94e14p-15, -0x1.4f30e08cc57bfp-15, -0x1.424308dc48c34p-15, -0x1.35b40c6ca3b8ep-15, -0x1.2980af9f817cep-15, -0x1.1da5d7a432ca6p-15, -0x1.1220893e8535ap-15, -0x1.06ede797a344ep-15, -0x1.f816663182701p-16, -0x1.e2eb909e90a32p-16, -0x1.ce563db49470dp-16, -0x1.ba5190c1e0dcap-16, -0x1.a6d8df2362e53p-16, -0x1.93e7ae540cc9ep-16, -0x1.8179b20cd6f2ep-16, -0x1.6f8aca74cfbb7p-16, -0x1.5e170260dc72ap-16, -0x1.4d1a8da2a137fp-16, -0x1.3c91c76633789p-16, -0x1.2c79309e275c8p-16, -0x1.1ccd6e7d8873p-16, -0x1.0d8b48ff5ae6ep-16, -0x1.fd5f52f68da94p-17, -0x1.e06f328df6613p-17, -0x1.c44080c7f7b72p-17, -0x1.a8cdc872dd9f2p-17, -0x1.8e11ccb32defep-17, -0x1.740786a52cc54p-17, -0x1.5aaa23146de08p-17, -0x1.41f5004894834p-17, -0x1.29e3abe6c8b5bp-17, -0x1.1271e0e72835cp-17, -0x1.f7370b3b3c5d5p-18, -0x1.cab953ab0be0dp-18, -0x1.9f6309ff0ec2ep-18, -0x1.752ce8e22c8ffp-18, -0x1.4c0ff36a1547cp-18, -0x1.240571d98e599p-18, -0x1.fa0ddd059832ep-19, -0x1.ae1c6591a9b8cp-19, -0x1.642a887dd93dbp-19, -0x1.1c2cc3ca24fc7p-19, -0x1.ac300602754b6p-20, -0x1.23c3344029fc2p-20, -0x1.3dfd02c8ebb36p-21, -0x1.dce1a41bd81d2p-24, 0x1.7f847e66c0c99p-22, 0x1.b4433d07d9b86p-21, 0x1.510530fbf44b8p-20, 0x1.c49d09955e7ap-20, 0x1.1a7ce3472dbddp-19, 0x1.5115bc89781d4p-19, 0x1.8620d61822fa8p-19, 0x1.b9a5b5bd6958p-19, 0x1.ebaba4b50db33p-19, 0x1.0e1cd95b276a4p-18, 0x1.25ab5c6d9fa29p-18, 0x1.3c84ae33599f1p-18, 0x1.52ac08b501a3p-18, 0x1.68248ea5e2b95p-18, 0x1.7cf14c984f0f2p-18, 0x1.91153a23a673p-18, 0x1.a4933afc7b3cep-18, 0x1.b76e1fff61b2fp-18, 0x1.c9a8a82ee420bp-18, 0x1.db4581a51b9a1p-18, 0x1.ec474a7964be7p-18, 0x1.fcb0919aa6146p-18, 0x1.0641ebcf4c339p-17, 0x1.0de1c7c33fa02p-17, 0x1.15390fbcdeef1p-17, 0x1.1c48f0bb559c9p-17, 0x1.231291fd06b8p-17, 0x1.2997154ecd91bp-17, 0x1.2fd79756efa4ap-17, 0x1.35d52fdbee6b9p-17, 0x1.3b90f20762eeep-17, 0x1.410beca50fdb1p-17, 0x1.46472a5e50084p-17, 0x1.4b43b1f20cf7ep-17, 0x1.500286695edc9p-17, 0x1.5484a749001d3p-17, 0x1.58cb10bfb1497p-17, 0x1.5cd6bbd1bc7bfp-17, 0x1.60a89e81a906ap-17, 0x1.6441abf649a22p-17, 0x1.67a2d49e4abedp-17, 0x1.6acd0651482bp-17, 0x1.6dc12c6ea525p-17, 0x1.70802ffa2568bp-17, 0x1.730af7b67c89cp-17, 0x1.7562683ddad13p-17, 0x1.77876418901c5p-17, 0x1.797acbd1f44cdp-17, 0x1.7b3d7e0b8ca44p-17, 0x1.7cd0578e9ab82p-17, 0x1.7e34335c21f68p-17, 0x1.7f69eabb79597p-17, 0x1.80725547833a1p-17, 0x1.814e48fa8e253p-17, 0x1.81fe9a3902b8dp-17, 0x1.82841bdaecf3ep-17, 0x1.82df9f34682cbp-17, 0x1.8311f41d04bd8p-17, 0x1.831be8f63e759p-17, 0x1.82fe4ab0fc9aep-17, 0x1.82b9e4d24b0ap-17, 0x1.824f817736d7fp-17, 0x1.81bfe957f6ce4p-17, 0x1.810be3ca5fc2dp-17, 0x1.803436c3b052p-17, 0x1.7f39a6d9c9998p-17, 0x1.7e1cf743d3831p-17, 0x1.7cdee9da5c78ep-17, 0x1.7b803f1705cf6p-17, 0x1.7a01b613bce47p-17, 0x1.78640c8986b7p-17, 0x1.76a7fecefacadp-17, 0x1.74ce47d6605f6p-17, 0x1.72d7a12b7af21p-17, 0x1.70c4c2f11a39bp-17, 0x1.6e9663de6ab85p-17, 0x1.6c4d393c04027p-17, 0x1.69e9f6e0d18d9p-17, 0x1.676d4f2ed1b43p-17, 0x1.64d7f30fa52a2p-17, 0x1.622a91f108d3cp-17, 0x1.5f65d9c135abap-17, 0x1.5c8a76eb26b78p-17, 0x1.59991452d6585p-17, 0x1.56925b51676c2p-17, 0x1.5376f3b154345p-17, 0x1.504783aa890efp-17, 0x1.4d04afde91a1fp-17, 0x1.49af1b54c0d67p-17, 0x1.464767765f2b4p-17, 0x1.42ce340ae99a6p-17, 0x1.3f441f345a4aep-17, 0x1.3ba9c56b83221p-17, 0x1.37ffc17c7ac65p-17, 0x1.3446ac831f65ap-17, 0x1.307f1de7b0659p-17, 0x1.2ca9ab5b82049p-17, 0x1.28c6e8d5cbc8fp-17, 0x1.24d768909558cp-17, 0x1.20dbbb05bfda8p-17, 0x1.1cd46eec3158bp-17, 0x1.18c211351ffebp-17, 0x1.14a52d0980eebp-17, 0x1.107e4bc79a411p-17, 0x1.0c4df500b8c2p-17, 0x1.0814ae770c4ep-17, 0x1.03d2fc1ba9385p-17, 0x1.ff12c019617f3p-18, 0x1.f670b5273ff96p-18, 0x1.edc0d4478f35ap-18, 0x1.e50416b1d4f15p-18, 0x1.dc3b71ec09472p-18, 0x1.d367d7c875ee3p-18, 0x1.ca8a3663e62cap-18, 0x1.c1a3782427355p-18, 0x1.b8b483b6db3e3p-18, 0x1.afbe3c109afccp-18, 0x1.a6c1806c6a251p-18, 0x1.9dbf2c4b7971cp-18, 0x1.94b817753b1aap-18, 0x1.8bad15f7c48acp-18, 0x1.829ef8287e7bfp-18, 0x1.798e8aa52379p-18, 0x1.707c96550ac1p-18, 0x1.6769e06abe1b6p-18, 0x1.5e572a65dca0fp-18, 0x1.5545321544b6ep-18, 0x1.4c34b19988afbp-18, 0x1.43265f67a92d5p-18, }}, 
      {{0x1.e32b1361ec1b9p-17, 0x1.e7f885402570dp-15, 0x1.16ebd396e9ba4p-13, 0x1.faaf60b06ba65p-13, 0x1.967472be54776p-12, 0x1.2db786cb6516p-11, 0x1.a8cbf9b5d8733p-11, 0x1.1fb2098077badp-10, 0x1.7a4f69aaf606cp-10, 0x1.e5de8a1ff7c15p-10, 0x1.32048f75623a6p-9, 0x1.7b3d9e05cfbcbp-9, 0x1.cf6e98e2d5ccbp-9, 0x1.17b38adbaeaabp-8, 0x1.4df7e2b0e26e6p-8, 0x1.8ae43d94f70f4p-8, 0x1.ced343d136021p-8, 0x1.0d0cd826877e3p-7, 0x1.3682e3c96072ep-7, 0x1.63ef772ca965bp-7, 0x1.9572ae101211bp-7, 0x1.cb28f348482fcp-7, 0x1.029578a44785ap-6, 0x1.21c6c60d5791p-6, 0x1.4330f1be6518cp-6, 0x1.66daadff2500fp-6, 0x1.8cc8d70af11bcp-6, 0x1.b4fe7d245515fp-6, 0x1.df7cf0cada44bp-6, 0x1.0621e85c76737p-5, 0x1.1da88cad1fad5p-5, 0x1.36509aba2f3d9p-5, 0x1.501787e174a95p-5, 0x1.6afa12a7e2a4ep-5, 0x1.86f44c2ac329dp-5, 0x1.a401a1bfadfb6p-5, 0x1.c21ce6af35f3bp-5, 0x1.e1405df851ee7p-5, 0x1.00b2e2062d0c9p-4, 0x1.11432c3aa223cp-4, 0x1.224d73acb2cap-4, 0x1.33cde968c7cfep-4, 0x1.45c08e03f3553p-4, 0x1.5821360b9c114p-4, 0x1.6aeb8e51fb29fp-4, 0x1.7e1b2014a5b43p-4, 0x1.91ab54faf94afp-4, 0x1.a5977aead09c1p-4, 0x1.b9dac7b272949p-4, 0x1.ce705c8724009p-4, 0x1.e35349583625ep-4, 0x1.f87e8ff6d0731p-4, 0x1.06f6938982abep-3, 0x1.11ccfe878c031p-3, 0x1.1cbffd550105bp-3, 0x1.27cd02c146218p-3, 0x1.32f1813a380ecp-3, 0x1.3e2aebe889283p-3, 0x1.4976b7babf75ap-3, 0x1.54d25c5faae9cp-3, 0x1.603b553126edap-3, 0x1.6baf2210175d5p-3, 0x1.772b483252a2bp-3, 0x1.82ad52e3701b2p-3, 0x1.8e32d4391d81ap-3, 0x1.99b965bbd1fd7p-3, 0x1.a53ea904818fbp-3, 0x1.b0c0485006131p-3, 0x1.bc3bf708c7e66p-3, 0x1.c7af724745784p-3, 0x1.d3188149f2354p-3, 0x1.de74f5e4e7fd5p-3, 0x1.e9c2ace9dd7a9p-3, 0x1.f4ff8e88b326ap-3, 0x1.0014c75482796p-2, 0x1.059f569e7a3bap-2, 0x1.0b1e7b46c8693p-2, 0x1.109141c07d809p-2, 0x1.15f6bced4a7c7p-2, 0x1.1b4e063ab2de1p-2, 0x1.20963dbc6ec1cp-2, 0x1.25ce8a440f763p-2, 0x1.2af61975fec77p-2, 0x1.300c1fdbe2aa6p-2, 0x1.350fd8f479125p-2, 0x1.3a008740fa05cp-2, 0x1.3edd74500c403p-2, 0x1.43a5f0c65ae6ap-2, 0x1.48595464dad0ep-2, 0x1.4cf6fe0cc9f69p-2, 0x1.517e53c178d48p-2, 0x1.55eec2a7ea1bfp-2, 0x1.5a47bf04572d9p-2, 0x1.5e88c435a622dp-2, 0x1.62b154aee28c5p-2, 0x1.66c0f9eec615ep-2, 0x1.6ab744756005ep-2, 0x1.6e93cbb7f0429p-2, 0x1.72562e12fea98p-2, 0x1.75fe10bac759fp-2, 0x1.798b1faa08435p-2, 0x1.7cfd0d8f43c17p-2, 0x1.805393b88ba12p-2, 0x1.838e71fde1be5p-2, 0x1.86ad6eaa49816p-2, 0x1.89b0566391b3dp-2, 0x1.8c96fc10f5071p-2, 0x1.8f6138c09bda1p-2, 0x1.920eeb8c13ea4p-2, 0x1.949ff97bd3ecbp-2, 0x1.97144d69dae56p-2, 0x1.996bd7e37c633p-2, 0x1.9ba68f0a6f2d9p-2, 0x1.9dc46e752dc87p-2, 0x1.9fc5770ebbb85p-2, 0x1.a1a9aef5dee9fp-2, 0x1.a371215be1eb1p-2, 0x1.a51bde62e7be4p-2, 0x1.a6a9fafbed008p-2, 0x1.a81b90c477407p-2, 0x1.a970bde40f1e8p-2, 0x1.aaa9a4e9892b4p-2, 0x1.abc66ca8329f7p-2, 0x1.acc74014e8f81p-2, 0x1.adac4e232d9dp-2, 0x1.ae75c9a240913p-2, 0x1.af23e91a4d9b6p-2, 0x1.afb6e6a9b3621p-2, 0x1.b02effe275302p-2, 0x1.b08c75a7dcaa4p-2, 0x1.b0cf8c0c56e3ep-2, 0x1.b0f88a2f90584p-2, 0x1.b107ba1ce2b17p-2, 0x1.b0fd68aa0f86dp-2, 0x1.b0d9e55657066p-2, 0x1.b09d8229eeef7p-2, 0x1.b0489395e077bp-2, 0x1.afdb705451f08p-2, 0x1.af5671493fb16p-2, 0x1.aeb9f163ad13dp-2, 0x1.ae064d7f4ed1bp-2, 0x1.ad3be446b47e9p-2, 0x1.ac5b1615f039cp-2, 0x1.ab6444ddc7287p-2, 0x1.aa57d4076650dp-2, 0x1.a9362858a2e0fp-2, 0x1.a7ffa7d8c4fecp-2, 0x1.a6b4b9b5e1f8cp-2, 0x1.a555c62ac4857p-2, 0x1.a3e3366565b45p-2, 0x1.a25d746df9354p-2, 0x1.a0c4eb0e87adbp-2, 0x1.9f1a05bb21abp-2, 0x1.9d5d307aa032dp-2, 0x1.9b8ed7cffd0eep-2, 0x1.99af68a43b5a2p-2, 0x1.97bf5030e596bp-2, 0x1.95befbeb1b94dp-2, 0x1.93aed96f36c38p-2, 0x1.918f566cfb3dbp-2, 0x1.8f60e0945d7f4p-2, 0x1.8d23e582d5b7cp-2, 0x1.8ad8d2b143cf8p-2, 0x1.888015625df5ep-2, 0x1.861a1a91b215dp-2, 0x1.83a74ee329e82p-2, 0x1.81281e93225cbp-2, 0x1.7e9cf56702febp-2, 0x1.7c063e9e63d7fp-2, 0x1.796464e4b26f6p-2, 0x1.76b7d24361506p-2, 0x1.7400f0149328ep-2, 0x1.714026f64cec1p-2, 0x1.6e75debe20769p-2, 0x1.6ba27e6d5c762p-2, 0x1.68c66c25ae394p-2, 0x1.65e20d1e461ebp-2, 0x1.62f5c5996e5ep-2, 0x1.6001f8da97ae5p-2, 0x1.5d07091cddfe4p-2, 0x1.5a055789fc70fp-2, 0x1.56fd4431b1111p-2, 0x1.53ef2e019039bp-2, 0x1.50db72bd4581ep-2, 0x1.4dc26ef73d54ep-2, 0x1.4aa47e09b736ep-2, 0x1.4781fa1041265p-2, 0x1.445b3be193bf7p-2, 0x1.41309b09d549ap-2, 0x1.3e026dc53a01fp-2, 0x1.3ad108fb075a7p-2, 0x1.379cc038f0107p-2, 0x1.3465e5aece616p-2, 0x1.312cca2ab4e3dp-2, 0x1.2df1bd1559185p-2, 0x1.2ab50c6ed1fbfp-2, 0x1.277704cba8678p-2, 0x1.2437f1523c516p-2, 0x1.20f81bb876254p-2, 0x1.1db7cc41c8975p-2, 0x1.1a7749bd7a288p-2, 0x1.1736d9853e44dp-2, 0x1.13f6bf7c113b9p-2, 0x1.10b73e0d5be7fp-2, 0x1.0d78962c5bf54p-2, 0x1.0a3b0753cf6dep-2, 0x1.06fecf85de4cep-2, 0x1.03c42b4c44b7p-2, 0x1.008b55b8b9034p-2, 0x1.faa910cb1ceafp-3, 0x1.f43ff6ed1c21ap-3, 0x1.eddbcb3416767p-3, 0x1.e77cf8145263bp-3, 0x1.e123e51cb5173p-3, 0x1.dad0f6fa17aa9p-3, 0x1.d4848f7b0c12p-3, 0x1.ce3f0d93f2f73p-3, 0x1.c800cd6375da9p-3, 0x1.c1ca2837505f7p-3, 0x1.bb9b74917430fp-3, 0x1.b575062d7a4f4p-3, 0x1.af572e065f20fp-3, 0x1.a9423a5c8ccd6p-3, 0x1.a33676bc2b145p-3, 0x1.9d342c03b1ff7p-3, 0x1.973ba06abe8bbp-3, 0x1.914d178924e62p-3, 0x1.8b68d25e3e788p-3, 0x1.858f0f586bdb1p-3, 0x1.7fc00a5cd0d56p-3, 0x1.79fbfccf41a01p-3, 0x1.74431d9a5b41p-3, 0x1.6e95a137ce0a8p-3, 0x1.68f3b9b8cc2b4p-3, 0x1.635d96cea7bd7p-3, 0x1.5dd365d38ddd2p-3, 0x1.585551d365cf2p-3, 0x1.52e38394d0b34p-3, 0x1.4d7e21a24aa36p-3, 0x1.4825505359e6p-3, 0x1.42d931d5e695fp-3, 0x1.3d99e6379b172p-3, 0x1.38678b6f5fcefp-3, 0x1.33423d66e5d16p-3, 0x1.2e2a160441629p-3, 0x1.291f2d3391ab2p-3, 0x1.242198f0b59d4p-3, 0x1.1f316d5101bb4p-3, 0x1.1a4ebc8d0d9e8p-3, 0x1.1579970a744bap-3, 0x1.10b20b65a45dp-3, 0x1.0bf8267bad89p-3, 0x1.074bf37410cc3p-3, 0x1.02ad7bca8989cp-3, 0x1.fc398eb1b0dcdp-4, 0x1.f333b8c10e944p-4, 0x1.ea497f294d828p-4, 0x1.e17ae84709e88p-4, 0x1.d8c7f780b332fp-4, 0x1.d030ad59c6457p-4, 0x1.c7b507860987cp-4, 0x1.bf5500fc8b614p-4, 0x1.b710920a9ef1p-4, 0x1.aee7b066ab094p-4, 0x1.a6da4f42d7bdbp-4, 0x1.9ee85f5fa5135p-4, 0x1.9711cf1e433c2p-4, 0x1.8f568a92d8005p-4, 0x1.87b67b96906eep-4, 0x1.803189d986bfcp-4, 0x1.78c79af47be1dp-4, 0x1.7178927a5fc5bp-4, 0x1.6a445209aa83ep-4, 0x1.632ab95d808e8p-4, 0x1.5c2ba65ea4ed1p-4, 0x1.5546f534343a8p-4, 0x1.4e7c80542a562p-4, 0x1.47cc2093af14p-4, 0x1.4135ad372b56ap-4, 0x1.3ab8fc022285p-4, 0x1.3455e146d2a74p-4, 0x1.2e0c2ff597fe8p-4, 0x1.27dbb9ac1391dp-4, 0x1.21c44ec415902p-4, 0x1.1bc5be6248b7fp-4, 0x1.15dfd6849fd1fp-4, 0x1.10126410837cdp-4, 0x1.0a5d32e0c0fdcp-4, 0x1.04c00dd338aeap-4, 0x1.fe757dac986ap-5, 0x1.f39a1dec179f6p-5, 0x1.e8ed8cd246273p-5, 0x1.de6f593b0a8b3p-5, 0x1.d41f1089ad018p-5, 0x1.c9fc3ec12c1cbp-5, 0x1.c0066e9c0b6f2p-5, 0x1.b63d29a3a167ap-5, 0x1.ac9ff846e1972p-5, 0x1.a32e61f0a5d62p-5, 0x1.99e7ed1d75958p-5, 0x1.90cc1f70caa6ap-5, 0x1.87da7dc9d596fp-5, 0x1.7f128c57c2ae1p-5, 0x1.7673cead7cbcap-5, 0x1.6dfdc7d4f46c2p-5, 0x1.65affa61e5063p-5, 0x1.5d89e8841e167p-5, 0x1.558b141952416p-5, 0x1.4db2febe6662ep-5, 0x1.460129e047fe5p-5, 0x1.3e7516cc4c68p-5, 0x1.370e46c013078p-5, 0x1.2fcc3af8f4e5ep-5, 0x1.28ae74c2f9cb4p-5, 0x1.21b475875dd38p-5, 0x1.1addbeda9da03p-5, 0x1.1429d28a162c3p-5, 0x1.0d9832a92ec1p-5, 0x1.0728619e1850ep-5, 0x1.00d9e22e1b84fp-5, 0x1.f5586f12f914ep-6, 0x1.e93dcaade399cp-6, 0x1.dd62df7d6a03bp-6, 0x1.d1c6b6ea4ef9p-6, 0x1.c6685b8a2b7e3p-6, 0x1.bb46d93322fe3p-6, 0x1.b0613d0ed89f7p-6, 0x1.a5b695ac9f907p-6, 0x1.9b45f312e91d1p-6, 0x1.910e66cffbcdep-6, 0x1.870f0409eea58p-6, 0x1.7d46df8deed03p-6, 0x1.73b50fded4b43p-6, 0x1.6a58ad430a7d8p-6, 0x1.6130d1d1c6f7p-6, 0x1.583c997f9ecccp-6, 0x1.4f7b222a755d8p-6, 0x1.46eb8ba4c8e26p-6, 0x1.3e8cf7c063c7p-6, 0x1.365e8a5870616p-6, 0x1.2e5f695af8e39p-6, 0x1.268ebcd1d4ef3p-6, 0x1.1eebaeeb01facp-6, 0x1.17756c00727e8p-6, 0x1.102b229f5551dp-6, 0x1.090c038ed3d09p-6, 0x1.021741d64d1d1p-6, 0x1.f698258629ab1p-7, 0x1.e9535bdb64d54p-7, 0x1.dc5e9a7d547c5p-7, 0x1.cfb859e59e42dp-7, 0x1.c35f173e3e06cp-7, 0x1.b75154686c22ep-7, 0x1.ab8d98029fb18p-7, 0x1.a0126d6dc625dp-7, 0x1.94de64d1a228cp-7, 0x1.89f0132076512p-7, 0x1.7f461219df912p-7, 0x1.74df004cfa168p-7, 0x1.6ab98119d4d6ap-7, 0x1.60d43cb22cbcfp-7, 0x1.572de0198a38bp-7, 0x1.4dc51d24b3185p-7, 0x1.4498aa787baaep-7, 0x1.3ba7438806a4fp-7, 0x1.32efa8926b0d1p-7, 0x1.2a709e9fcdd7dp-7, 0x1.2228ef7df2041p-7, 0x1.1a1769bc43db9p-7, 0x1.123ae0a764d57p-7, 0x1.0a922c443d748p-7, 0x1.031c294a997c6p-7, 0x1.f7af723ea4985p-8, 0x1.e987839c1b1d5p-8, 0x1.dbbe5c05293b7p-8, 0x1.ce51da038df95p-8, 0x1.c13fe5445f97cp-8, 0x1.b4866e887d42dp-8, 0x1.a8236f9456c02p-8, 0x1.9c14eb1f0d335p-8, 0x1.9058ecc0f9126p-8, 0x1.84ed88e197d3p-8, 0x1.79d0dca4f0841p-8, 0x1.6f010dd86ec2cp-8, 0x1.647c4adf41d67p-8, 0x1.5a40ca9e430bbp-8, 0x1.504ccc676c508p-8, 0x1.469e97e4e4fb3p-8, 0x1.3d347d03aaec3p-8, 0x1.340cd3dde1e63p-8, 0x1.2b25fca4c8d39p-8, 0x1.227e5f8a61ebcp-8, 0x1.1a146caad0d1fp-8, 0x1.11e69bf5720d2p-8, 0x1.09f36d15b763ep-8, 0x1.0239675bc7fc1p-8, 0x1.f56e3349dde0ap-9, 0x1.e6d63487b4175p-9, 0x1.d8a80dd1611ap-9, 0x1.cae1091207d61p-9, 0x1.bd7e7e8f41926p-9, 0x1.b07dd4b88d2fdp-9, 0x1.a3dc7ff68a9e7p-9, 0x1.9798027a16ccap-9, 0x1.8badec0b492ffp-9, 0x1.801bd9d85be96p-9, 0x1.74df764486675p-9, 0x1.69f678b6d6e68p-9, 0x1.5f5ea56907732p-9, 0x1.5515cd36633c3p-9, 0x1.4b19cd6ab609ap-9, 0x1.41688f9155078p-9, 0x1.3800094441764p-9, 0x1.2ede3bfb7112dp-9, 0x1.260134dc3cc6bp-9, 0x1.1d670c88fe117p-9, 0x1.150de6f0df1c9p-9, 0x1.0cf3f31fe31abp-9, 0x1.05176b0f2d243p-9, 0x1.faed26eb0e805p-10, 0x1.ec1f773062f91p-10, 0x1.ddc27a37f58abp-10, 0x1.cfd2f7ad4ff7bp-10, 0x1.c24dcb415cbd6p-10, 0x1.b52fe44e8ca86p-10, 0x1.a876457da66c6p-10, 0x1.9c1e046b5a231p-10, 0x1.9024494e8fb25p-10, 0x1.84864e9f7ebaep-10, 0x1.794160bf90109p-10, 0x1.6e52dda213fe3p-10, 0x1.63b83475cd547p-10, 0x1.596ee54f58068p-10, 0x1.4f7480d46eb39p-10, 0x1.45c6a7e8127fp-10, 0x1.3c630b57a1998p-10, 0x1.33476b88cdd78p-10, 0x1.2a71982889dacp-10, 0x1.21df6fdae4ec4p-10, 0x1.198edfebda083p-10, 0x1.117de401145bdp-10, 0x1.09aa85ccb4785p-10, 0x1.0212dcc0ff986p-10, 0x1.f56a1b8a4088p-11, 0x1.e71e95d5a7779p-11, 0x1.d93fa64a40d9cp-11, 0x1.cbc9e40013e6p-11, 0x1.beb9feb28e174p-11, 0x1.b20cbe33f44ffp-11, 0x1.a5bf01e2d9e7bp-11, 0x1.99cdc0219d696p-11, 0x1.8e3605cfef825p-11, 0x1.82f4f5c65e485p-11, 0x1.7807c853e91ccp-11, 0x1.6d6bcabd9cf48p-11, 0x1.631e5ec033d59p-11, 0x1.591cfa13bc0bfp-11, 0x1.4f6525f1425b6p-11, 0x1.45f47e9a7d5ffp-11, 0x1.3cc8b2e37b786p-11, 0x1.33df83be4dd23p-11, 0x1.2b36c3c8af03bp-11, 0x1.22cc56dba5348p-11, 0x1.1a9e319d19f99p-11, 0x1.12aa591366174p-11, 0x1.0aeee23aceafdp-11, 0x1.0369f19cf043ap-11, 0x1.f83375d426eb7p-12, 0x1.e9f90128d1c11p-12, 0x1.dc2126da4f681p-12, 0x1.cea8a48715abcp-12, 0x1.c18c530b54123p-12, 0x1.b4c925c650b8bp-12, 0x1.a85c29e36ac9p-12, 0x1.9c4285a6bc38cp-12, 0x1.907977bd49b6cp-12, 0x1.84fe5690be84ep-12, 0x1.79ce8f9ea9701p-12, 0x1.6ee7a6d32ebdap-12, 0x1.644735e72765p-12, 0x1.59eaebc1a2554p-12, 0x1.4fd08bdcc1766p-12, 0x1.45f5edade14aep-12, 0x1.3c58fc1106afcp-12, 0x1.32f7b4b787055p-12, 0x1.29d02799dd3f3p-12, 0x1.20e0766ca5fecp-12, 0x1.1826d418b450ap-12, 0x1.0fa184363596cp-12, 0x1.074eda8ad8037p-12, 0x1.fe5a7515e0166p-13, 0x1.ee762dbb07287p-13, 0x1.deede1c684328p-13, 0x1.cfbeb0809ba5cp-13, 0x1.c0e5d4d1abcf2p-13, 0x1.b260a460e83f9p-13, 0x1.a42c8eb87d9c5p-13, 0x1.96471c6f15bbdp-13, 0x1.88adee5698ee9p-13, 0x1.7b5ebcb02372ep-13, 0x1.6e57566508568p-13, 0x1.6195a044e395ap-13, 0x1.5517944889eb4p-13, 0x1.48db40d9dad4dp-13, 0x1.3cdec8204a736p-13, 0x1.31205f521ec95p-13, 0x1.259e4e0a38b3p-13, 0x1.1a56eda26b4e7p-13, 0x1.0f48a8923213ep-13, 0x1.0471f9d1c2ed3p-13, 0x1.f3a2d882cf268p-14, 0x1.decb3429f4551p-14, 0x1.ca5a588706a3cp-14, 0x1.b64db3f5aed17p-14, 0x1.a2a2d02e4ce29p-14, 0x1.8f57513cd1dfdp-14, 0x1.7c68f47f29693p-14, 0x1.69d58fab0cbdbp-14, 0x1.579b0fdb1b30cp-14, 0x1.45b778a30eccp-14, 0x1.3428e32ae802p-14, 0x1.22ed7d50eb27cp-14, 0x1.120388d24ac61p-14, 0x1.01695a7a5979cp-14, 0x1.e23ab2b03da1p-15, 0x1.c23bfbf459cf4p-15, 0x1.a2d3a3612307ap-15, 0x1.83fedba98128cp-15, 0x1.65baf62eac8ap-15, 0x1.480561a71af98p-15, 0x1.2adba8d091d93p-15, 0x1.0e3b712d201abp-15, 0x1.e444f39570d05p-16, 0x1.ad1d342a5f54fp-16, 0x1.76fb8164be26ep-16, 0x1.41dbe4d050ebp-16, 0x1.0dba92184e734p-16, 0x1.b527c9f31eca9p-17, 0x1.50c8be8e3f5c3p-17, 0x1.dca29c02dd98p-18, 0x1.1b7611eab679ep-18, 0x1.77fe096e9f382p-20, -0x1.6f33cf19139cfp-20, -0x1.11fabcd3dcf49p-18, -0x1.c494d6bd1931p-18, -0x1.39d2eb9316e29p-17, -0x1.8f9bf8a47d80dp-17, -0x1.e3aa7dce35ee2p-17, -0x1.1b019d50dc2c8p-16, -0x1.435562d13bd4ap-16, -0x1.6ad2c76399fc3p-16, -0x1.917bf0f0a4f4cp-16, -0x1.b752f4756924ep-16, -0x1.dc59d71e18f93p-16, -0x1.004947aa771eap-15, -0x1.11ff82e2be05fp-15, -0x1.23508b2a61068p-15, -0x1.343d48872f563p-15, -0x1.44c69d8394e48p-15, -0x1.54ed679ac72b6p-15, -0x1.64b27f9ffa2e2p-15, -0x1.7416ba20bf2ap-15, -0x1.831ae7c2bb14ap-15, -0x1.91bfd59cd2d0ep-15, -0x1.a0064d8bf62c5p-15, -0x1.adef1683ab834p-15, -0x1.bb7af4da7de94p-15, -0x1.c8aaaa9272966p-15, -0x1.d57ef79da54d4p-15, -0x1.e1f89a1f2c838p-15, -0x1.ee184ea86333bp-15, -0x1.f9ded072bdd15p-15, -0x1.02a66ccb1f17fp-14, -0x1.0831919e5813cp-14, -0x1.0d9132e8e1366p-14, -0x1.12c5ac980dd54p-14, -0x1.17cf5a65c3a18p-14, -0x1.1cae97ec2b9f9p-14, -0x1.2163c0b806e79p-14, -0x1.25ef3059b8a71p-14, -0x1.2a5142750e94p-14, -0x1.2e8a52cfd668bp-14, -0x1.329abd5f48dfep-14, -0x1.3682de545a3a5p-14, -0x1.3a431226f7809p-14, -0x1.3ddbb5a03d4ddp-14, -0x1.414d25e3b3d73p-14, -0x1.4497c07797936p-14, -0x1.47bbe34c3b4ccp-14, -0x1.4ab9ecc28c158p-14, -0x1.4d923bb1c1903p-14, -0x1.50452f6c427a7p-14, -0x1.52d327c3c7ebep-14, -0x1.553c850cc6acbp-14, -0x1.5781a8212916ap-14, -0x1.59a2f2625eb8fp-14, -0x1.5ba0c5bacda41p-14, -0x1.5d7b849ea9af5p-14, -0x1.5f33920c3a302p-14, -0x1.60c9518b98958p-14, }}, 
      {{0x1.f6ee737367748p-7, 0x1.f5aeade21f813p-6, 0x1.76bbea607fb0ap-5, 0x1.f0e07b81d64b6p-5, 0x1.3466e623598f5p-4, 0x1.6f0fcfd01aa16p-4, 0x1.a8426e2c135a6p-4, 0x1.dfdf6cfd47546p-4, 0x1.0ae80958b48a5p-3, 0x1.2502bd37312d9p-3, 0x1.3e3bdcee0f239p-3, 0x1.56928051cbeadp-3, 0x1.6e085d9e48739p-3, 0x1.84a15fb5b78cbp-3, 0x1.9a63433c33356p-3, 0x1.af553bbb3deb6p-3, 0x1.c37fa15d3cb28p-3, 0x1.d6eba7633fc5fp-3, 0x1.e9a31b2bc27cfp-3, 0x1.fbb02b6e3faa8p-3, 0x1.068e9b9776ebbp-2, 0x1.0efa51ed71905p-2, 0x1.17205cf997917p-2, 0x1.1f05c3d585bb9p-2, 0x1.26af646f977eap-2, 0x1.2e21e9e909a31p-2, 0x1.3561c5103b2edp-2, 0x1.3c7326b547de8p-2, 0x1.4359fb9c14405p-2, 0x1.4a19e9d3ef2fdp-2, 0x1.50b64f41f7469p-2, 0x1.5732413056f6ep-2, 0x1.5d908cb91ff45p-2, 0x1.63d3b7e7f8ddp-2, 0x1.69fe037206ec9p-2, 0x1.70116ce745132p-2, 0x1.760fb14410fdcp-2, 0x1.7bfa4fccea66ap-2, 0x1.81d28d215ac3ep-2, 0x1.879976758815dp-2, 0x1.8d4fe4e47823fp-2, 0x1.92f680cf05717p-2, 0x1.988dc53d7d03p-2, 0x1.9e16033b7f31dp-2, 0x1.a38f6527347f1p-2, 0x1.a8f9f1ee2fe33p-2, 0x1.ae5590336e79cp-2, 0x1.b3a2095aeb6bcp-2, 0x1.b8df0c7802b11p-2, 0x1.be0c311ca167fp-2, 0x1.c328fa07d3a59p-2, 0x1.c834d7b2d2151p-2, 0x1.cd2f2abc0ef9fp-2, 0x1.d2174630316e6p-2, 0x1.d6ec71b128a52p-2, 0x1.dbadeb7bd1e48p-2, 0x1.e05aea4ccf1d1p-2, 0x1.e4f29f255b105p-2, 0x1.e97436f10eacep-2, 0x1.eddedc0d91e1p-2, 0x1.f231b7b554e11p-2, 0x1.f66bf34e73b6fp-2, 0x1.fa8cb99ee7b1cp-2, 0x1.fe9337e73cc57p-2, 0x1.013f4f727a4dp-1, 0x1.032711dee165fp-1, 0x1.0500806a667f4p-1, 0x1.06cb3b458a454p-1, 0x1.0886e5f61016ep-1, 0x1.0a3327a3ff9aep-1, 0x1.0bcfab5dd9a7bp-1, 0x1.0d5c20547f974p-1, 0x1.0ed83a0f4ccb3p-1, 0x1.1043b098d9201p-1, 0x1.119e40a4d8a41p-1, 0x1.12e7abaf86bcep-1, 0x1.141fb81706f2ap-1, 0x1.1546312f216a4p-1, 0x1.165ae74fb963dp-1, 0x1.175dafde5e483p-1, 0x1.184e655349833p-1, 0x1.192ce73a2434ep-1, 0x1.19f91a2edbf8fp-1, 0x1.1ab2e7d6da55ap-1, 0x1.1b5a3ed6e171fp-1, 0x1.1bef12c5d5c45p-1, 0x1.1c715c1cb3d61p-1, 0x1.1ce11823efe72p-1, 0x1.1d3e48de7b792p-1, 0x1.1d88f4f2a5525p-1, 0x1.1dc127910b60bp-1, 0x1.1de6f059cd55fp-1, 0x1.1dfa634031751p-1, 0x1.1dfb986ce5933p-1, 0x1.1deaac1f080d7p-1, 0x1.1dc7be8c1e169p-1, 0x1.1d92f3bf2042fp-1, 0x1.1d4c7376bb3afp-1, 0x1.1cf46902eb0fcp-1, 0x1.1c8b03220c065p-1, 0x1.1c1073dd7fa13p-1, 0x1.1b84f066032a3p-1, 0x1.1ae8b0efcd463p-1, 0x1.1a3bf08e8e4b1p-1, 0x1.197eed116790cp-1, 0x1.18b1e6def0d54p-1, 0x1.17d520d15b509p-1, 0x1.16e8e012ca388p-1, 0x1.15ed6bf9eb7a7p-1, 0x1.14e30de6e4e62p-1, 0x1.13ca1120a1e27p-1, 0x1.12a2c2b28edd3p-1, 0x1.116d714ad0505p-1, 0x1.102a6d18fe298p-1, 0x1.0eda07ad6e58ep-1, 0x1.0d7c93d91b117p-1, 0x1.0c12658e259adp-1, 0x1.0a9bd1c1066bep-1, 0x1.09192e4a68932p-1, 0x1.078ad1c9bc85p-1, 0x1.05f11388852c1p-1, 0x1.044c4b5e61de7p-1, 0x1.029cd195dd949p-1, 0x1.00e2fed2012c5p-1, 0x1.fe3e57e9622ccp-2, 0x1.faa3640ba5cddp-2, 0x1.f6f5d4368174fp-2, 0x1.f3365a83131c5p-2, 0x1.ef65a8caff478p-2, 0x1.eb84707d29e58p-2, 0x1.e793627409f8fp-2, 0x1.e3932ecd9b8c8p-2, 0x1.df8484c4e808ap-2, 0x1.db68128d271dp-2, 0x1.d73e852e71a55p-2, 0x1.d308886406192p-2, 0x1.cec6c67c19af3p-2, 0x1.ca79e839307dep-2, 0x1.c62294b4f5ff1p-2, 0x1.c1c1714497b9ep-2, 0x1.bd57215e90ebap-2, 0x1.b8e44681edc89p-2, 0x1.b469801ef4bcap-2, 0x1.afe76b8135ad3p-2, 0x1.ab5ea3baf66e2p-2, 0x1.a6cfc191f4f25p-2, 0x1.a23b5b6d789d3p-2, 0x1.9da20545a9091p-2, 0x1.99045094256b6p-2, 0x1.9462cc45d43c2p-2, 0x1.8fbe04ade1025p-2, 0x1.8b168379e2fefp-2, 0x1.866ccfa721469p-2, 0x1.81c16d78f287bp-2, 0x1.7d14de7027569p-2, 0x1.7867a1437f6f2p-2, 0x1.73ba31d91cbb5p-2, 0x1.6f0d0940eae1ap-2, 0x1.6a609daffc3c8p-2, 0x1.65b5627cc39a5p-2, 0x1.610bc81c37865p-2, 0x1.5c643c1fc365fp-2, 0x1.57bf29340d02cp-2, 0x1.531cf7207dcb8p-2, 0x1.4e7e0ac78d278p-2, 0x1.49e2c627c2308p-2, 0x1.454b885d6406bp-2, 0x1.40b8ada4d4c96p-2, 0x1.3c2a8f5d8ae49p-2, 0x1.37a1840da9939p-2, 0x1.331ddf66245e5p-2, 0x1.2e9ff247781f7p-2, 0x1.2a280ac6df2f2p-2, 0x1.25b674340d749p-2, 0x1.214b771f5bbcbp-2, 0x1.1ce759606b925p-2, 0x1.188a5e1d31903p-2, 0x1.1434c5d1669c9p-2, 0x1.0fe6ce5657b42p-2, 0x1.0ba0b2eb0daa6p-2, 0x1.0762ac3ccc701p-2, 0x1.032cf06fd9989p-2, 0x1.fdff66512251cp-3, 0x1.f5b64b2976fa9p-3, 0x1.ed7eecea3ee0dp-3, 0x1.e559a44ea0a4bp-3, 0x1.dd46c55f5ea91p-3, 0x1.d5469f8737294p-3, 0x1.cd597da79b62fp-3, 0x1.c57fa62db6cb7p-3, 0x1.bdb95b27b75dp-3, 0x1.b606da5a5375ap-3, 0x1.ae685d5687217p-3, 0x1.a6de198f7b9c7p-3, 0x1.9f68407094a81p-3, 0x1.9806ff73a10f6p-3, 0x1.90ba80371a1f6p-3, 0x1.8982e89480267p-3, 0x1.82605ab6b8b5ep-3, 0x1.7b52f53073ed1p-3, 0x1.745ad31294685p-3, 0x1.6d780c029025cp-3, 0x1.66aab450bfd34p-3, 0x1.5ff2dd0ea7125p-3, 0x1.595094251ed46p-3, 0x1.52c3e46a6a9a9p-3, 0x1.4c4cd5b82d297p-3, 0x1.45eb6d013d93p-3, 0x1.3f9fac6750451p-3, 0x1.396993507a452p-3, 0x1.33491e7c85cdfp-3, 0x1.2d3e481a1306cp-3, 0x1.274907db8cc08p-3, 0x1.2169530bd5f29p-3, 0x1.1b9f1ca2d0843p-3, 0x1.15ea5559978fp-3, 0x1.104aebbe85bbfp-3, 0x1.0ac0cc48f0dbcp-3, 0x1.054be16ca8ce7p-3, 0x1.ffd8275a5e556p-4, 0x1.f54293614f4c2p-4, 0x1.ead6d0a4f7ecbp-4, 0x1.e094a56b7d374p-4, 0x1.d67bd4ae6b68cp-4, 0x1.cc8c1e3e47b21p-4, 0x1.c2c53ee57588p-4, 0x1.b926f08a89ef1p-4, 0x1.afb0ea51f7a79p-4, 0x1.a662e0bf19801p-4, 0x1.9d3c85d4a55d6p-4, 0x1.943d893465a92p-4, 0x1.8b65983e66e4fp-4, 0x1.82b45e2f6ea24p-4, 0x1.7a29843ed47fep-4, 0x1.71c4b1bbb4072p-4, 0x1.69858c29765abp-4, 0x1.616bb75bb9584p-4, 0x1.5976d5918d507p-4, 0x1.51a68790105e8p-4, 0x1.49fa6cbc629fdp-4, 0x1.42722334f6fcfp-4, 0x1.3b0d47ea41388p-4, 0x1.33cb76b6beccep-4, 0x1.2cac4a7661762p-4, 0x1.25af5d1d564cep-4, 0x1.1ed447ce2f9b6p-4, 0x1.181aa2ef6f22dp-4, 0x1.118206407536bp-4, 0x1.0b0a08edd373ap-4, 0x1.04b241a507a3dp-4, 0x1.fcf48d4f390f6p-5, 0x1.f0c35bbb6db21p-5, 0x1.e4d019d018d5ap-5, 0x1.d919f262944dp-5, 0x1.cda00ffdd0658p-5, 0x1.c2619d02e0437p-5, 0x1.b75dc3c86f3c2p-5, 0x1.ac93aeb91e1e5p-5, 0x1.a2028870d2437p-5, 0x1.97a97bd8f777ep-5, 0x1.8d87b443b898cp-5, 0x1.839c5d8638679p-5, 0x1.79e6a411c70e8p-5, 0x1.7065b50c1f3e4p-5, 0x1.6718be66aec3ap-5, 0x1.5dfeeef4ea3bp-5, 0x1.55177681b6ca1p-5, 0x1.4c6185e3ea399p-5, 0x1.43dc4f11ea3b2p-5, 0x1.3b870534680aap-5, 0x1.3360dcb847e5fp-5, 0x1.2b690b5fadac1p-5, 0x1.239ec8523d105p-5, 0x1.1c014c2c8aeb5p-5, 0x1.148fd10ec8754p-5, 0x1.0d4992aaaae04p-5, 0x1.062dce50965c6p-5, 0x1.fe7785f81a70dp-6, 0x1.f0e562bed88e8p-6, 0x1.e3a3b7ddea778p-6, 0x1.d6b10dd65c0c7p-6, 0x1.ca0bf0d53006ap-6, 0x1.bdb2f0c589efap-6, 0x1.b1a4a16199535p-6, 0x1.a5df9a4250bb3p-6, 0x1.9a6276edf0e41p-6, 0x1.8f2bd6e57208bp-6, 0x1.843a5db0cca91p-6, 0x1.798cb2ea3853dp-6, 0x1.6f21824855e22p-6, 0x1.64f77ba762b63p-6, 0x1.5b0d53116416cp-6, 0x1.5161c0c56dd87p-6, 0x1.47f3813df3709p-6, 0x1.3ec1553639425p-6, 0x1.35ca01aeefffep-6, 0x1.2d0c4ff1f0fa3p-6, 0x1.24870d953784fp-6, 0x1.1c390c7d0e485p-6, 0x1.142122dd80b0ap-6, 0x1.0c3e2b3b134c6p-6, 0x1.048f046aca21p-6, 0x1.fa25232311dd6p-7, 0x1.eb8f744593b95p-7, 0x1.dd5ad3bd72acap-7, 0x1.cf85219f753a3p-7, 0x1.c20c468eb99a3p-7, 0x1.b4ee33b57dd83p-7, 0x1.a828e2bcec056p-7, 0x1.9bba55c3dc6c5p-7, 0x1.8fa09754a71bfp-7, 0x1.83d9ba5a12dbbp-7, 0x1.7863da135917bp-7, 0x1.6d3d1a07608cp-7, 0x1.6263a5f72bddap-7, 0x1.57d5b1cf8494p-7, 0x1.4d917999f1ed4p-7, 0x1.4395416d0d91bp-7, 0x1.39df555c1fe8dp-7, 0x1.306e09663673ep-7, 0x1.273fb9649d83cp-7, 0x1.1e52c8f8d4839p-7, 0x1.15a5a37a00ed3p-7, 0x1.0d36bbe1e87c8p-7, 0x1.05048cb97b387p-7, 0x1.fa1b3009e672cp-8, 0x1.eaa0ce5f2660fp-8, 0x1.db9715ee1497cp-8, 0x1.ccfb36ad079c3p-8, 0x1.beca6ee2d472bp-8, 0x1.b1020afbc6895p-8, 0x1.a39f655e178f6p-8, 0x1.969fe63df3e5ap-8, 0x1.8a01037115c8bp-8, 0x1.7dc040420278cp-8, 0x1.71db2d42f7b81p-8, 0x1.664f68209063ap-8, 0x1.5b1a9b742b667p-8, 0x1.503a7e962122cp-8, 0x1.45acd56fce5b1p-8, 0x1.3b6f704d7f04p-8, 0x1.31802bb04129cp-8, 0x1.27dcf01faa0a1p-8, 0x1.1e83b1fb9305ap-8, 0x1.1572714dd8888p-8, 0x1.0ca7399c223dbp-8, 0x1.042021b9ba2cep-8, 0x1.f7b69732f66bp-9, 0x1.e7adc83fbc6fbp-9, 0x1.d82245ea544abp-9, 0x1.c91094af9d22ep-9, 0x1.ba754ddddcc93p-9, 0x1.ac4d1f3a41341p-9, 0x1.9e94caa6d4d3p-9, 0x1.914925c8f84cfp-9, 0x1.846719b0608ap-9, 0x1.77eba27ea95b8p-9, 0x1.6bd3cf0f85c45p-9, 0x1.601cc0a18f01ap-9, 0x1.54c3aa7fc5781p-9, 0x1.49c5d1abbd542p-9, 0x1.3f208c888bb1fp-9, 0x1.34d142866f3b2p-9, 0x1.2ad56bcf400ep-9, 0x1.212a90f3af5e6p-9, 0x1.17ce4a9952e15p-9, 0x1.0ebe41298b348p-9, 0x1.05f82c8143929p-9, 0x1.faf3a743232b4p-10, 0x1.ea8218c270cf3p-10, 0x1.da97763e26a5p-10, 0x1.cb2fa4ead3e07p-10, 0x1.bc46a5dc6a973p-10, 0x1.add895709e632p-10, 0x1.9fe1aabb3b6bdp-10, 0x1.925e36f451cf7p-10, 0x1.854aa4e865d5dp-10, 0x1.78a3786a7d84fp-10, 0x1.6c654dc837809p-10, 0x1.608cd93fc60c3p-10, 0x1.5516e677f117ap-10, 0x1.4a0057fa11d33p-10, 0x1.3f4626adffe96p-10, 0x1.34e561580c843p-10, 0x1.2adb2c18f018dp-10, 0x1.2124bfefb87b9p-10, 0x1.17bf6a3db61dp-10, 0x1.0ea88c4c662ecp-10, 0x1.05dd9ad558ca3p-10, 0x1.fab83b1822232p-11, 0x1.ea435d53c185bp-11, 0x1.da57f4f775758p-11, 0x1.caf17de3f61d8p-11, 0x1.bc0b9664473a6p-11, 0x1.ada1fe550fcc3p-11, 0x1.9fb0964fd1796p-11, 0x1.92335ed9f50d7p-11, 0x1.85267797a58cp-11, 0x1.78861e82775dfp-11, 0x1.6c4eaf23cefcbp-11, 0x1.607ca1d30346dp-11, 0x1.550c8af732b75p-11, 0x1.49fb1a4cc1ceep-11, 0x1.3f451a2e7d82fp-11, 0x1.34e76ee255fc3p-11, 0x1.2adf15e9a8687p-11, 0x1.2129255512b3dp-11, 0x1.17c2cb1bc283dp-11, 0x1.0ea94c76399bcp-11, 0x1.05da053c7b0dp-11, 0x1.faa4ce8f34706p-12, 0x1.ea1ff3ad3e7acp-12, 0x1.da20b1ed69d6dp-12, 0x1.caa269dd36754p-12, 0x1.bba0a35a9bc49p-12, 0x1.ad170c77afa93p-12, 0x1.9f0178648bc8fp-12, 0x1.915bde5f65e89p-12, 0x1.842258aab8396p-12, 0x1.775123896b2efp-12, 0x1.6ae49c40ec24p-12, 0x1.5ed9402115578p-12, 0x1.532bab91d2885p-12, 0x1.47d899266f472p-12, 0x1.3cdce0b673f7cp-12, 0x1.3235767bfe252p-12, 0x1.27df6a377b629p-12, 0x1.1dd7e658b275cp-12, 0x1.141c2f2d04458p-12, 0x1.0aa9a212cbc87p-12, 0x1.017db4b1c8adfp-12, 0x1.f12be87102cb8p-13, 0x1.dfe0093cfcb0dp-13, 0x1.cf133fd6a0b56p-13, 0x1.bec12b0494fbap-13, 0x1.aee592e5ab214p-13, 0x1.9f7c679a98692p-13, 0x1.9081bff88d83p-13, 0x1.81f1d8448f51p-13, 0x1.73c910f74fd07p-13, 0x1.6603ed897609ap-13, 0x1.589f13481b60bp-13, 0x1.4b97483159597p-13, 0x1.3ee971d8c02dp-13, 0x1.329294538a0e4p-13, 0x1.268fd12c6b968p-13, 0x1.1ade665ecb4fdp-13, 0x1.0f7bad594389fp-13, 0x1.04651a074d262p-13, 0x1.f33073c3a89a1p-14, 0x1.de25660d68b76p-14, 0x1.c9a486ada421p-14, 0x1.b5a97f359423ap-14, 0x1.a230255c05998p-14, 0x1.8f34795fef67fp-14, 0x1.7cb2a47759258p-14, 0x1.6aa6f74a265d1p-14, 0x1.590de87894b61p-14, 0x1.47e4132d24c43p-14, 0x1.372635b9a8529p-14, 0x1.26d1303f340dp-14, 0x1.16e20360b3db5p-14, 0x1.0755ceffe19f3p-14, 0x1.f053a208baf59p-15, 0x1.d2b6c8595295bp-15, 0x1.b5cffdd19769p-15, 0x1.999a647cb7cf2p-15, 0x1.7e11516b765ap-15, 0x1.63304aa086a9bp-15, 0x1.48f3050e5b54fp-15, 0x1.2f5562a5f8c7fp-15, 0x1.165370765b3f8p-15, 0x1.fbd2c9b806dd6p-16, 0x1.cc273b807f0aap-16, 0x1.9d9d3dcf89bc8p-16, 0x1.702e20a06b9ebp-16, 0x1.43d3793859224p-16, 0x1.18871f1ad10acp-16, 0x1.dc865232f2586p-17, 0x1.8a03d4fd71428p-17, 0x1.397be0a4ba213p-17, 0x1.d5c7fade29464p-18, 0x1.3c64398d1d269p-18, 0x1.4d72515789038p-19, 0x1.4b432a7b0b37p-22, -0x1.e6f2202183dbfp-20, -0x1.04aa399bc57c4p-18, -0x1.8c256f59f812bp-18, -0x1.081f0cd4ff82p-17, -0x1.4881c9e8c7e16p-17, -0x1.874255b32aecfp-17, -0x1.c467d3b9d358p-17, -0x1.fff927ab7eb08p-17, -0x1.1cfe7c5554d55p-16, -0x1.393cda3aec6ep-16, -0x1.54bac9373b527p-16, -0x1.6f7b4b3fae47bp-16, -0x1.898149f207384p-16, -0x1.a2cf97e8ce24fp-16, -0x1.bb68f2010f3bdp-16, -0x1.d3500091e883bp-16, -0x1.ea87589651c01p-16, -0x1.0088be64cdf7ap-15, -0x1.0b786f5b85e96p-15, -0x1.1613efde85b9ep-15, -0x1.205c690228df9p-15, -0x1.2a52fcb5b8ae2p-15, -0x1.33f8c6339520dp-15, -0x1.3d4eda6bf4b1dp-15, -0x1.4656486a6aceap-15, -0x1.4f1019b660248p-15, -0x1.577d52aeafeecp-15, -0x1.5f9ef2e09244dp-15, -0x1.6775f55a0128fp-15, -0x1.6f0350f7c1c81p-15, -0x1.7647f8af39e6ep-15, -0x1.7d44dbd43cb97p-15, -0x1.83fae65aefee8p-15, -0x1.8a6b0115f5f6ep-15, -0x1.909611f0fd3e4p-15, -0x1.967cfc27d7486p-15, -0x1.9c20a07a3ef68p-15, -0x1.a181dd5c6d4fep-15, -0x1.a6a18f2499414p-15, -0x1.ab8090358a52ep-15, -0x1.b01fb926561c7p-15, -0x1.b47fe0e769f79p-15, -0x1.b8a1dce4fc53cp-15, -0x1.bc868127027dfp-15, -0x1.c02ea06ec5e14p-15, -0x1.c39b0c523422ep-15, -0x1.c6cc955501e06p-15, -0x1.c9c40affba5d3p-15, -0x1.cc823bf4d32f2p-15, -0x1.cf07f603dc68ap-15, -0x1.d156063ae33c4p-15, -0x1.d36d38f61ae8dp-15, -0x1.d54e59ede63cfp-15, -0x1.d6fa34434f618p-15, -0x1.d871928b066b3p-15, -0x1.d9b53ed6f9cc6p-15, -0x1.dac602be97c7cp-15, -0x1.dba4a765ccb62p-15, -0x1.dc51f582d0d9dp-15, -0x1.dcceb562d315fp-15, -0x1.dd1baeed928c6p-15, -0x1.dd39a9a7f758ap-15, -0x1.dd296cb5b8198p-15, -0x1.dcebbeda17d06p-15, -0x1.dc816677d2101p-15, -0x1.dbeb299039167p-15, -0x1.db29cdc19945p-15, -0x1.da3e1844ed7f3p-15, -0x1.d928cdeaeba4dp-15, -0x1.d7eab3187b86ap-15, -0x1.d6848bc29f2eap-15, -0x1.d4f71b69d4694p-15, -0x1.d343251502a72p-15, -0x1.d1696b4bf47f7p-15, -0x1.cf6ab0116cad2p-15, -0x1.cd47b4dcdf2cbp-15, -0x1.cb013a93d329p-15, -0x1.c8980182f9f7ep-15, -0x1.c60cc95701a21p-15, -0x1.c360511527a5ep-15, -0x1.c09357139aba1p-15, -0x1.bda698f1a852fp-15, -0x1.ba9ad38fc4528p-15, -0x1.b770c3076edb4p-15, -0x1.b42922a2fcf38p-15, -0x1.b0c4acd5484cfp-15, -0x1.ad441b3152cc1p-15, -0x1.a9a82661d97cbp-15, -0x1.a5f18620e27bcp-15, -0x1.a220f12f47a26p-15, -0x1.9e371d4c42a23p-15, -0x1.9a34bf2cfee59p-15, -0x1.961a8a743752fp-15, -0x1.91e931a9dedffp-15, -0x1.8da16632db27ap-15, -0x1.8943d848d3e68p-15, -0x1.84d136f219855p-15, -0x1.804a2ff9a5954p-15, -0x1.7baf6fe738d64p-15, -0x1.7701a1f798f3p-15, -0x1.72417014ef61dp-15, -0x1.6d6f82cf4dbddp-15, -0x1.688c815556e03p-15, -0x1.6399116d12209p-15, -0x1.5e95d76ce6377p-15, -0x1.59837634c1296p-15, -0x1.54628f276df44p-15, -0x1.4f33c22415d49p-15, -0x1.49f7ad7ff3fb8p-15, -0x1.44aeee0039e89p-15, -0x1.3f5a1ed42299fp-15, -0x1.39f9d98f3b6adp-15, -0x1.348eb623df637p-15, -0x1.2f194adde66a1p-15, -0x1.299a2c5d896aap-15, }}, 
      {{-0x1.c6a89fb13f48dp-1, -0x1.c6a44a15d513fp-1, -0x1.c6992cb0a8164p-1, -0x1.c682d29b52991p-1, -0x1.c65c787dcbae4p-1, -0x1.c62186256b895p-1, -0x1.c5cddac1e461dp-1, -0x1.c55df8a4f427bp-1, -0x1.c4cf1a1383a11p-1, -0x1.c41f363a0bba9p-1, -0x1.c34cfb77eb7ap-1, -0x1.c257c2cef1315p-1, -0x1.c13f7f3853d94p-1, -0x1.c004aad8603a7p-1, -0x1.bea8337543c3ap-1, -0x1.bd2b6726f7fadp-1, -0x1.bb8fe1e4cba18p-1, -0x1.b9d77c5924986p-1, -0x1.b8043c3871312p-1, -0x1.b6184638d248p-1, -0x1.b415d1b1aa8a5p-1, -0x1.b1ff1ddabda5ep-1, -0x1.afd66898125fap-1, -0x1.ad9de6b91673cp-1, -0x1.ab57bd8d9cc48p-1, -0x1.a905fdb15b689p-1, -0x1.a6aa9eee22c0bp-1, -0x1.a4477d159572bp-1, -0x1.a1de55b471e9bp-1, -0x1.9f70c68333264p-1, -0x1.9d004c79dea3ap-1, -0x1.9a8e436ef0f67p-1, -0x1.981be62b9a09ap-1, -0x1.95aa4ee1a63b9p-1, -0x1.933a77f18a9b3p-1, -0x1.90cd3cf11147ap-1, -0x1.8e635be503361p-1, -0x1.8bfd76a1e1ceap-1, -0x1.899c144965108p-1, -0x1.873fa2dbdd8cap-1, -0x1.84e878d5e6752p-1, -0x1.8296d6d404c77p-1, -0x1.804ae936d3a47p-1, -0x1.7e04c9c3488a3p-1, -0x1.7bc4813b708d7p-1, -0x1.798a08ecadb4dp-1, -0x1.77554c3128393p-1, -0x1.752629e29df5cp-1, -0x1.72fc75bd3e795p-1, -0x1.70d7f9b197805p-1, -0x1.6eb87724f4631p-1, -0x1.6c9da81fcf7eap-1, -0x1.6a87406a3ba5ap-1, -0x1.6874ee9650cf9p-1, -0x1.66665cf8d4fb6p-1, -0x1.645b32907e123p-1, -0x1.625313dc38fa1p-1, -0x1.604da3a1025ebp-1, -0x1.5e4a839fe2faep-1, -0x1.5c49553cb1038p-1, -0x1.5a49ba1642e39p-1, -0x1.584b5490bbbabp-1, -0x1.564dc852a5b7dp-1, -0x1.5450bab58a044p-1, -0x1.5253d32ab467dp-1, -0x1.5056bb94d179bp-1, -0x1.4e5920971159p-1, -0x1.4c5ab1da701dep-1, -0x1.4a5b2249cb94p-1, -0x1.485a284559231p-1, -0x1.46577dce1877bp-1, -0x1.4452e0a9cbb3ep-1, -0x1.424c128002fe1p-1, -0x1.4042d8f0bc82ap-1, -0x1.3e36fda513d6p-1, -0x1.3c284e5a7c84fp-1, -0x1.3a169ce8f1282p-1, -0x1.3801bf44891c6p-1, -0x1.35e98f7ad3364p-1, -0x1.33cdebac5a98p-1, -0x1.31aeb602ab35cp-1, -0x1.2f8bd4a32cabp-1, -0x1.2d65319f23de1p-1, -0x1.2b3abae124e41p-1, -0x1.290c62183bbb9p-1, -0x1.26da1ca10f998p-1, -0x1.24a3e36d3b0d9p-1, -0x1.2269b2e91659bp-1, -0x1.202b8ae02889dp-1, -0x1.1de96e606fad8p-1, -0x1.1ba3639cb21ecp-1, -0x1.195973ce02647p-1, -0x1.170bab149ed12p-1, -0x1.14ba185852071p-1, -0x1.1264cd287758dp-1, -0x1.100bdd9bc277cp-1, -0x1.0daf602fe973dp-1, -0x1.0b4f6da949abcp-1, -0x1.08ec20f2a39bep-1, -0x1.068596fd01c78p-1, -0x1.041bee9fe0f13p-1, -0x1.01af4879ad6d4p-1, -0x1.fe7f8da147b49p-2, -0x1.f99b1ae84efcep-2, -0x1.f4b1833d384c4p-2, -0x1.efc313af9c91dp-2, -0x1.ead01bafeb8bfp-2, -0x1.e5d8ecd6baab8p-2, -0x1.e0dddaad6e16bp-2, -0x1.dbdf3a78488e1p-2, -0x1.d6dd6301f51b9p-2, -0x1.d1d8ac688e11ep-2, -0x1.ccd16fec304ecp-2, -0x1.c7c807bf1f97dp-2, -0x1.c2bcced78076fp-2, -0x1.bdb020c2b3067p-2, -0x1.b8a2597a45e02p-2, -0x1.b393d53a8ed31p-2, -0x1.ae84f05ae102cp-2, -0x1.a9760727677b7p-2, -0x1.a46775bc9afd8p-2, -0x1.9f5997e455a4p-2, -0x1.9a4cc8f48233bp-2, -0x1.954163af5cf48p-2, -0x1.9037c2254848dp-2, -0x1.8b303d982ae49p-2, -0x1.862b2e60533ecp-2, -0x1.8128ebd2db664p-2, -0x1.7c29cc2983fe3p-2, -0x1.772e246bfe066p-2, -0x1.7236485aa2fecp-2, -0x1.6d428a5a879c9p-2, -0x1.68533b62ec23cp-2, -0x1.6368aaebfb71ap-2, -0x1.5e8326ded2203p-2, -0x1.59a2fb86c2c1bp-2, -0x1.54c87383d4936p-2, -0x1.4ff3d7be68da7p-2, -0x1.4b256f5c08af2p-2, -0x1.465d7fb54b606p-2, -0x1.419c4c4cced69p-2, -0x1.3ce216c737d8ap-2, -0x1.382f1ee42f347p-2, -0x1.3383a27858454p-2, -0x1.2edfdd6831043p-2, -0x1.2a4409a3d6cacp-2, -0x1.25b05f23a5aafp-2, -0x1.212513e5a8afbp-2, -0x1.1ca25bebd38b9p-2, -0x1.1828693afc78ap-2, -0x1.13b76bda8e609p-2, -0x1.0f4f91d4e99ep-2, -0x1.0af107386b6e6p-2, -0x1.069bf61914988p-2, -0x1.02508692c991bp-2, -0x1.fc1dbd983cfcap-3, -0x1.f3ae45f359b55p-3, -0x1.eb52eac3d4029p-3, -0x1.e30becc2e8e09p-3, -0x1.dad988dfacf82p-3, -0x1.d2bbf849643e7p-3, -0x1.cab3707aa05fbp-3, -0x1.c2c0234523509p-3, -0x1.bae23ede68ffcp-3, -0x1.b319edecd7471p-3, -0x1.ab67579586e95p-3, -0x1.a3ca9f8a978adp-3, -0x1.9c43e61a0091ap-3, -0x1.94d3483cdc498p-3, -0x1.8d78dfa71f393p-3, -0x1.8634c2d7aaf26p-3, -0x1.7f070528be1eap-3, -0x1.77efb6e0b1135p-3, -0x1.70eee542f7011p-3, -0x1.6a049aa15e78ap-3, -0x1.6330de6d816f2p-3, -0x1.5c73b54a6684ep-3, -0x1.55cd211e465bcp-3, -0x1.4f3d2124698f8p-3, -0x1.48c3b1ff2657fp-3, -0x1.4260cdc9e2913p-3, -0x1.3c146c2b2ae09p-3, -0x1.35de8266c2cf5p-3, -0x1.2fbf036fbb0e7p-3, -0x1.29b5dffa78c5bp-3, -0x1.23c3068eb3365p-3, -0x1.1de6639960a6bp-3, -0x1.181fe17e880a1p-3, -0x1.126f68aafa067p-3, -0x1.0cd4dfa5ec133p-3, -0x1.07502b226c021p-3, -0x1.01e12e10adb59p-3, -0x1.f90f935e64468p-4, -0x1.ee87bb3774e1fp-4, -0x1.e42a8fc818e59p-4, -0x1.d9f7ca2d0bcecp-4, -0x1.cfef20a4e605cp-4, -0x1.c61046b0676f1p-4, -0x1.bc5aed323fce5p-4, -0x1.b2cec28e5c03ep-4, -0x1.a96b72c8c2b37p-4, -0x1.a030a7a3d99fbp-4, -0x1.971e08be3ac8fp-4, -0x1.8e333baff3d63p-4, -0x1.856fe4273f9dcp-4, -0x1.7cd3a404b2c42p-4, -0x1.745e1b76d9817p-4, -0x1.6c0ee91544718p-4, -0x1.63e5a9fb03e6fp-4, -0x1.5be1f9e08f1ep-4, -0x1.5403733518b75p-4, -0x1.4c49af374cf64p-4, -0x1.44b4460d7adp-4, -0x1.3d42cedd27cd2p-4, -0x1.35f4dfe20c723p-4, -0x1.2eca0e847c2ebp-4, -0x1.27c1ef6f36b4bp-4, -0x1.20dc16a4a3414p-4, -0x1.1a18179378d21p-4, -0x1.1375852acf98p-4, -0x1.0cf3f1eda1738p-4, -0x1.0692f005b59cdp-4, -0x1.00521155fc916p-4, -0x1.f461cf18b5bep-5, -0x1.e85e0865c9773p-5, -0x1.dc97f1811a19dp-5, -0x1.d10ead528cf13p-5, -0x1.c5c15edb38941p-5, -0x1.baaf29537faddp-5, -0x1.afd73048227dp-5, -0x1.a53897b640b28p-5, -0x1.9ad28426585b6p-5, -0x1.90a41ac63fb9dp-5, -0x1.86ac81821ef94p-5, -0x1.7ceadf1c7289dp-5, -0x1.735e5b4510dcbp-5, -0x1.6a061eaf43af6p-5, -0x1.60e15326ed835p-5, -0x1.57ef23a4c8facp-5, -0x1.4f2ebc61c057cp-5, -0x1.469f4ae964816p-5, -0x1.3e3ffe2b88d61p-5, -0x1.3610068d03cb4p-5, -0x1.2e0e95f79f422p-5, -0x1.263adfe938ecp-5, -0x1.1e94198218056p-5, -0x1.171979927d542p-5, -0x1.0fca38a77256ap-5, -0x1.08a59116dd9e6p-5, -0x1.01aabf0adbfc8p-5, -0x1.f5b20118d438dp-6, -0x1.e85f2b1aba47ap-6, -0x1.db5b7fe36379p-6, -0x1.cea587306b806p-6, -0x1.c23bccc522e67p-6, -0x1.b61ce07966f33p-6, -0x1.aa47564746142p-6, -0x1.9eb9c65784743p-6, -0x1.9372cd0cfb234p-6, -0x1.88710b0ee094fp-6, -0x1.7db325520aa58p-6, -0x1.7337c521204b1p-6, -0x1.68fd9823d881p-6, -0x1.5f0350653c94p-6, -0x1.5547a45902ea8p-6, -0x1.4bc94edffec5p-6, -0x1.42870f4bbb7bp-6, -0x1.397fa961373e2p-6, -0x1.30b1e55ada3cep-6, -0x1.281c8fe9a0ff9p-6, -0x1.1fbe7a358ae37p-6, -0x1.179679dd4bfe2p-6, -0x1.0fa368f5556b4p-6, -0x1.07e426062c458p-6, -0x1.0057940a2196ep-6, -0x1.f1f934d4dc22ep-7, -0x1.e3a449f767588p-7, -0x1.d5ae47f3e7d7bp-7, -0x1.c8151807f5ac5p-7, -0x1.bad6ac2c8c9f5p-7, -0x1.adf0ff0ae1d5dp-7, -0x1.a16213f0475e8p-7, -0x1.9527f6c12ff9cp-7, -0x1.8940bbeb55ec1p-7, -0x1.7daa805717274p-7, -0x1.726369580dd36p-7, -0x1.6769a49cef123p-7, -0x1.5cbb681eb7056p-7, -0x1.5256f20f3734cp-7, -0x1.483a88c705ec7p-7, -0x1.3e647ab2d49ecp-7, -0x1.34d31e404a259p-7, -0x1.2b84d1ca4eba2p-7, -0x1.2277fb84e8764p-7, -0x1.19ab0968a3717p-7, -0x1.111c711d938d5p-7, -0x1.08caafe5f54a4p-7, -0x1.00b44a88753d7p-7, -0x1.f1af9a744ee5ap-8, -0x1.e267971063a66p-8, -0x1.d38dc0826b51fp-8, -0x1.c51f5abcf237cp-8, -0x1.b719b7d9b783dp-8, -0x1.a97a37eb346c8p-8, -0x1.9c3e48cdcafdbp-8, -0x1.8f6365f8afa6fp-8, -0x1.82e7184e8f3a8p-8, -0x1.76c6f5ee03ab8p-8, -0x1.6b00a201dc99fp-8, -0x1.5f91cc9148591p-8, -0x1.5478324fe700ep-8, -0x1.49b19c6dce4cbp-8, -0x1.3f3be0678940bp-8, -0x1.3514dfd61b302p-8, -0x1.2b3a883f0e4e4p-8, -0x1.21aad2e4951abp-8, -0x1.1863c495c68b4p-8, -0x1.0f636d7efc8d6p-8, -0x1.06a7e8fa5916bp-8, -0x1.fc5ebac0f6b01p-9, -0x1.ebeff7b2d565ep-9, -0x1.dc00005b72462p-9, -0x1.cc8b612fd53a3p-9, -0x1.bd8ebb2c3b773p-9, -0x1.af06c37802867p-9, -0x1.a0f0430a329e7p-9, -0x1.9348164eadee3p-9, -0x1.860b2ccc10acp-9, -0x1.793688ca4dbb9p-9, -0x1.6cc73efa02d8ep-9, -0x1.60ba761c9acddp-9, -0x1.550d66ad3c91ap-9, -0x1.49bd5a8a87e21p-9, -0x1.3ec7aca1339b3p-9, -0x1.3429c897870bbp-9, -0x1.29e12a79b4776p-9, -0x1.1feb5e67251bp-9, -0x1.16460040a77ebp-9, -0x1.0ceebb57972aep-9, -0x1.03e34a1df4becp-9, -0x1.f642ebaeedb3cp-10, -0x1.e54e2c972d513p-10, -0x1.d4e422f12f091p-10, -0x1.c500b68f2674p-10, -0x1.b59fea8303e1dp-10, -0x1.a6bddc8a99d92p-10, -0x1.9856c47dbe5e3p-10, -0x1.8a66f3be86682p-10, -0x1.7cead4ab8980ep-10, -0x1.6fdeea1439f16p-10, -0x1.633fceaf4e1aep-10, -0x1.570a34933afcp-10, -0x1.4b3ae4b0c6a38p-10, -0x1.3fcebe4fa86edp-10, -0x1.34c2b68d4496cp-10, -0x1.2a13d7dd7106fp-10, -0x1.1fbf418d53436p-10, -0x1.15c227484677ep-10, -0x1.0c19d09ed7354p-10, -0x1.02c3988fcb2cbp-10, -0x1.f379da264f071p-11, -0x1.e2069d4e9be94p-11, -0x1.d1289fc028f8cp-11, -0x1.c0db29efc27d5p-11, -0x1.b119a6c588b01p-11, -0x1.a1dfa2c7195a4p-11, -0x1.9328cb45a5c1ep-11, -0x1.84f0ed8feecefp-11, -0x1.7733f6281ffbcp-11, -0x1.69edeffd7d93cp-11, -0x1.5d1b03a9e0a01p-11, -0x1.50b776b2f5792p-11, -0x1.44bfaacf33c1bp-11, -0x1.39301d2e868fdp-11, -0x1.2e0565c69adb7p-11, -0x1.233c36a2c929fp-11, -0x1.18d15b3791e7fp-11, -0x1.0ec1b7b99eeebp-11, -0x1.050a4878433a2p-11, -0x1.f7504276d4cc7p-12, -0x1.e530d949dde2ap-12, -0x1.d3b0d72a9804p-12, -0x1.c2cae9273d811p-12, -0x1.b279e671d7905p-12, -0x1.a2b8cf3d3c363p-12, -0x1.9382cba06839ep-12, -0x1.84d32a8018547p-12, -0x1.76a5607e94fecp-12, -0x1.68f506f18e2f8p-12, -0x1.5bbddaddf7ba5p-12, -0x1.4efbbbf9c9f08p-12, -0x1.42aaabb391583p-12, -0x1.36c6cc3fb768dp-12, -0x1.2b4c5fab6693ep-12, -0x1.2037c6f4fa49dp-12, -0x1.15858129dd418p-12, -0x1.0b322a89c2323p-12, -0x1.013a7baf1dc6ap-12, -0x1.ef369179993f1p-13, -0x1.dca30121920a9p-13, -0x1.cab457f7c75a2p-13, -0x1.b964d9fcb8e12p-13, -0x1.a8aefc12991dap-13, -0x1.988d6289927c1p-13, -0x1.88fadfb551dfep-13, -0x1.79f2728ba5ef1p-13, -0x1.6b6f454c09b06p-13, -0x1.5d6cac2ff3c1cp-13, -0x1.4fe62423b3353p-13, -0x1.42d75187bb743p-13, -0x1.363bfefa2aebfp-13, -0x1.2a101c286a47cp-13, -0x1.1e4fbca8affc6p-13, -0x1.12f716db50b89p-13, -0x1.080282d398469p-13, -0x1.fadcf29050563p-14, -0x1.e66f25151413bp-14, -0x1.d2b50b0be0d2cp-14, -0x1.bfa84d89e32dap-14, -0x1.ad42cefc19dbbp-14, -0x1.9b7ea94dd863dp-14, -0x1.8a562c1c44ec5p-14, -0x1.79c3daf6aa3fcp-14, -0x1.69c26bab464aep-14, -0x1.5a4cc4a050a05p-14, -0x1.4b5dfb38f2ed3p-14, -0x1.3cf15245ed7acp-14, -0x1.2f023881a2bd6p-14, -0x1.218c47174778p-14, -0x1.148b4034f5b34p-14, -0x1.07fb0da85e148p-14, -0x1.f7af7f0bb9572p-15, -0x1.e03b15b35815fp-15, -0x1.c99190c5fb1f5p-15, -0x1.b3abe6b16f958p-15, -0x1.9e83506f3a87ap-15, -0x1.8a1147334b11p-15, -0x1.764f822c912b2p-15, -0x1.6337f4570ffffp-15, -0x1.50c4ca5efc0a1p-15, -0x1.3ef0689470488p-15, -0x1.2db568ef565ccp-15, -0x1.1d0e9923152p-15, -0x1.0cf6f8c19d912p-15, -0x1.fad36edae3e3bp-16, -0x1.dcc466348180bp-16, -0x1.bfb7ecb770ce9p-16, -0x1.a3a56d8454dd8p-16, -0x1.8884a6894eb55p-16, -0x1.6e4da57070d6dp-16, -0x1.54f8c4a7a8591p-16, -0x1.3c7ea8818508ap-16, -0x1.24d83c6e1c8a9p-16, -0x1.0dfeb04b6c24ep-16, -0x1.efd6eb992852ep-17, -0x1.c5307bee8e90ap-17, -0x1.9bfded6d92fdcp-17, -0x1.74339107ee563p-17, -0x1.4dc6284348757p-17, -0x1.28aae0d9a2eeep-17, -0x1.04d75080423f4p-17, -0x1.c482e1a7ebdebp-18, -0x1.81bf36d362e15p-18, -0x1.41510c04ca5d5p-18, -0x1.03267dc2210f8p-18, -0x1.8e5ca5082640ep-19, -0x1.1aafe7c9fedb8p-19, -0x1.564da03a1ef0bp-20, -0x1.fd14b63c7d37ep-22, 0x1.3fd35999b3597p-22, 0x1.179990ad647b2p-20, 0x1.d7e014047b0ccp-20, 0x1.487ebb5b1522ap-19, 0x1.a19273ce6d296p-19, 0x1.f743e12edbb3cp-19, 0x1.24d568b81fa8dp-18, 0x1.4c6f1e0298ecap-18, 0x1.727a25708696dp-18, 0x1.97013190b2369p-18, 0x1.ba0e96b0e5abap-18, 0x1.dbac4ede58c2fp-18, 0x1.fbe3fdbe02554p-18, 0x1.0d5f7a1f0d55dp-17, 0x1.1c231a110bbb2p-17, 0x1.2a4139b52fe98p-17, 0x1.37be0fcc7667p-17, 0x1.449db06a0259bp-17, 0x1.50e40e741b069p-17, 0x1.5c94fd1557ad2p-17, 0x1.67b4311e82cdep-17, 0x1.72454259c080dp-17, 0x1.7c4baccf75f6ep-17, 0x1.85cad1fd699ep-17, 0x1.8ec5fa00b6f96p-17, 0x1.974054b2de3d3p-17, 0x1.9f3cfaba8e342p-17, 0x1.a6beee9088fdap-17, 0x1.adc91d7907151p-17, 0x1.b45e60721ea9p-17, 0x1.ba817d177d14fp-17, 0x1.c035267bde941p-17, 0x1.c57bfdf8aed14p-17, 0x1.ca5893f42baf7p-17, 0x1.cecd689e5afd8p-17, 0x1.d2dceca53dbc2p-17, 0x1.d68981e08a743p-17, 0x1.d9d57bf5520fp-17, 0x1.dcc320f1bbdc9p-17, 0x1.df54a9e16322dp-17, 0x1.e18c435a5d68dp-17, 0x1.e36c0e036f86ep-17, 0x1.e4f61f1389f95p-17, 0x1.e62c80caf88e2p-17, 0x1.e71132e660cdap-17, 0x1.e7a62b0bf9c41p-17, 0x1.e7ed553311591p-17, 0x1.e7e894063fc3fp-17, 0x1.e799c1406bb2ap-17, 0x1.e702ae04de8cbp-17, 0x1.e6252332a83bfp-17, 0x1.e502e1b379634p-17, 0x1.e39da2c629567p-17, 0x1.e1f71845245abp-17, 0x1.e010ece8e4c59p-17, 0x1.ddecc486aadc8p-17, 0x1.db8c3c4b9bcfp-17, 0x1.d8f0eaf478cb1p-17, 0x1.d61c61020afefp-17, 0x1.d31028ea83f0dp-17, 0x1.cfcdc747d22dp-17, 0x1.cc56bb033afe8p-17, 0x1.c8ac7d7e36508p-17, 0x1.c4d082b8c93fap-17, 0x1.c0c43975766a4p-17, 0x1.bc890b5ad82cdp-17, 0x1.b8205d131a1cbp-17, 0x1.b38b8e695eba2p-17, 0x1.aecbfa65327efp-17, 0x1.a9e2f76421e74p-17, 0x1.a4d1d7319acf8p-17, 0x1.9f99e71d1a97ap-17, 0x1.9a3c700ed72a6p-17, 0x1.94bab69af432ep-17, 0x1.8f15fb134a452p-17, 0x1.894f7997eca5ep-17, 0x1.83686a2674e68p-17, 0x1.7d6200a82b648p-17, 0x1.773d6cff0f8dcp-17, 0x1.70fbdb11f6acep-17, 0x1.6a9e72d7aba13p-17, 0x1.642658612dc3bp-17, 0x1.5d94abe32bcdap-17, 0x1.56ea89beaf383p-17, 0x1.50290a891efeep-17, 0x1.49514313999f6p-17, 0x1.42644471b272cp-17, 0x1.3b631bffa5d33p-17, 0x1.344ed3680b8eap-17, 0x1.2d2870a912737p-17, 0x1.25f0f619507fap-17, 0x1.1ea9626c3135cp-17, 0x1.1752b0b60be3ap-17, 0x1.0fedd86feb142p-17, 0x1.087bcd7b0bf28p-17, 0x1.00fd80242092ep-17, 0x1.f2e7ba4cb57dp-18, 0x1.e3bf9b5c8c149p-18, 0x1.d4846eb8f497p-18, 0x1.c537f89055312p-18, 0x1.b5dbf6033015fp-18, 0x1.a6721d28db779p-18, 0x1.96fc1d1415c3p-18, 0x1.877b9dd782ccep-18, 0x1.77f2408a168b9p-18, 0x1.68619f4b7ca5fp-18, 0x1.58cb4d487dfd9p-18, 0x1.4930d6bf712c9p-18, 0x1.3993c104bc057p-18, 0x1.29f58a876a1c9p-18, 0x1.1a57aad5e06fp-18, 0x1.0abb92a2b5a39p-18, 0x1.f64557935ef59p-19, 0x1.d71cb2a9dc262p-19, 0x1.b7ffef04917fbp-19, 0x1.98f1b791b97c6p-19, 0x1.79f4a9bdb2087p-19, 0x1.5b0b557f0080ap-19, 0x1.3c383d62dc952p-19, 0x1.1d7dd69a35625p-19, 0x1.fdbd120e853b7p-20, 0x1.c0b95e973a75ep-20, 0x1.83f52dadcbbfbp-20, 0x1.4774ffebfdd74p-20, 0x1.0b3d3bc5a8418p-20, 0x1.9ea45b52f71e7p-21, 0x1.27701045cfbb6p-21, 0x1.61cb8ff4e0d36p-22, 0x1.d86c067dbd917p-24, -0x1.d087ce420d289p-24, -0x1.5cdc1df5b0535p-22, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      48, 0x1.4p+2, 0x1.06c536c228acfp+1, 0x1.0a0474b095d1bp+2, -0x1.576d408a7b312p-4, 
      {{
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.c8f6ba5a285a1p-3, -0x1.42a6dd4f9faffp-1, 0x1.4b2f55ebb41a9p-1, -0x1.003d572013538p-2}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.8bae63997225cp-3, -0x1.227e855d9d1c1p-1, 0x1.37f788fc7f746p-1, -0x1.003443c7af58bp-2}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.54a352ba287fep-3, -0x1.04421f99e9a94p-1, 0x1.24c06a4d8580dp-1, -0x1.002c222877058p-2}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.237325c80b74fp-3, -0x1.cfe336ff8131ep-2, 0x1.1189e7bdafc6ep-1, -0x1.002542e5a637cp-2}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.ef76fbd21353p-4, -0x1.9b19d54fc50c2p-2, 0x1.fca7d23f536bfp-2, -0x1.00186877ff134p-2}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.a233feba80b73p-4, -0x1.6a27f4453793bp-2, 0x1.d63dc293b9f5ap-2, -0x1.00223859535c3p-2}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.5e58a2fdf6c78p-4, -0x1.3d0d8e0908ceap-2, 0x1.afd23a1fed74bp-2, -0x1.ffaeb453198aep-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.23203d856a649p-4, -0x1.13ca25b2f4095p-2, 0x1.8971ec99b1f07p-2, -0x1.00c889ef36437p-2}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.df8c52dc5b49p-5, -0x1.dcbdf52fe02dfp-3, 0x1.62ed71829d002p-2, -0x1.f2f7d6a4474fcp-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.870c7e39eb692p-5, -0x1.997fb01843e01p-3, 0x1.3d8141697e0d8p-2, -0x1.d3e30aff3bc75p-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.3b43e41e377e5p-5, -0x1.5d81c7932931p-3, 0x1.1a69d3c98cc4bp-2, -0x1.b746303557a46p-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.f595baaf77415p-6, -0x1.28519edbe4189p-3, 0x1.f2ef86be4c645p-3, -0x1.9a00972d90297p-3}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.88a0455d92e6ep-6, -0x1.f3002509721d2p-4, 0x1.b56f7011105ddp-3, -0x1.7ce606422d208p-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.2d3199cb1054cp-6, -0x1.a13a1b847732ep-4, 0x1.7c4cef20bccc3p-3, -0x1.5fc813231dc5ep-3}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.c20152dfd2139p-7, -0x1.5a718fd1a5163p-4, 0x1.478885db78553p-3, -0x1.428ca0b6596cp-3}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.43e24b6f83441p-7, -0x1.1dc6725690eb9p-4, 0x1.1726a0f351518p-3, -0x1.25ca8db41a0a5p-3}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.b84e0007a756p-8, -0x1.d4b4288c16934p-5, 0x1.d62a1763ce06ep-4, -0x1.05d89777abba7p-3}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.0e95170d7ff7fp-8, -0x1.7e86b7c5f5148p-5, 0x1.879c505980e8p-4, -0x1.c56bf26435d07p-4}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.08a8afe7bece5p-9, -0x1.370164f070965p-5, 0x1.4398ebfdac09p-4, -0x1.801e11879f77dp-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.41a5ac6053862p-12, -0x1.f8187120c26cep-6, 0x1.09facfc2edb74p-4, -0x1.3a8448479ebc1p-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, -0x1.1ad2ef8341223p-10, -0x1.97239b12606b6p-6, 0x1.b59abd09f89bfp-5, -0x1.ea4589cd78c8ep-5}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, -0x1.1fbe75aac82e9p-9, -0x1.46f8e6b0e78ccp-6, 0x1.6c104ec4c017bp-5, -0x1.5e5824d993937p-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, -0x1.94abc8b8f4f7cp-9, -0x1.036a2968fa624p-6, 0x1.3783160a838ep-5, -0x1.ad4759dfec85bp-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, -0x1.f067dc55b20bdp-9, -0x1.90a9eb5a11c69p-7, 0x1.1750ef4ceb6a9p-5, -0x1.f9aef87ac03eap-8}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, -0x1.1abf016546906p-8, -0x1.22d566cdae924p-7, 0x1.0dd5a771049cap-5, -0x1.0bac29b542492p-9}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, -0x1.3273134613264p-8, -0x1.6ecda5400774fp-8, 0x1.0b533d7351971p-5, -0x1.2cccfc4d8c9adp-7}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, -0x1.3f84b439eeeaep-8, -0x1.3ae90e77f46efp-9, 0x1.000b8d96cf849p-5, -0x1.d7bebc5829cb8p-7}, 
        {0x1.f99999999999ap+1, 0x1p+2, -0x1.42635efcc1043p-8, 0x1.42701af9825cep-11, 0x1.dcb599da358p-6, -0x1.49ddfd3a3568ep-6}, 
        {0x1p+2, 0x1.0333333333333p+2, -0x1.3bc5513f2f806p-8, 0x1.ba2f59082c056p-9, 0x1.ab3ab3de4717p-6, -0x1.a53db90fdd27dp-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, -0x1.2ca78ba69f564p-8, 0x1.7b58d2c05c73p-8, 0x1.6c0b0b4f191ep-6, -0x1.0149a15f4a9f9p-5}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, -0x1.164dd1cd3465p-8, 0x1.fd86e73152a83p-8, 0x1.1edb5ae5b5ee8p-6, -0x1.2d583c20c3ff8p-5}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, -0x1.f4855483a2e7ap-9, 0x1.2f18320d4cf51p-7, 0x1.88e82b515ca75p-7, -0x1.62dc984d3b247p-5}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, -0x1.b4aebd103066ep-9, 0x1.4bbd464b709b9p-7, 0x1.67fad312d8bdfp-8, -0x1.595e2e51d7f52p-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, -0x1.7139bce3bb059p-9, 0x1.5360972386e2dp-7, -0x1.b3b18a7aecce8p-11, -0x1.10de0746d603ep-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, -0x1.2e2b09ee50d03p-9, 0x1.4877dc228db4bp-7, -0x1.7de706d7919d3p-8, -0x1.a3a10cbc712bfp-6}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, -0x1.dd9b7438c43a8p-10, 0x1.2f14220077edcp-7, -0x1.3cd7073deac1bp-7, -0x1.20647ed3a715ap-6}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, -0x1.6b4a14135429p-10, 0x1.0b119a41578b4p-7, -0x1.935b93b09ce31p-7, -0x1.3d91aa08a3207p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, -0x1.08d8ba025d678p-10, 0x1.c0b3d3245a10bp-8, -0x1.c2fe39feb55afp-7, -0x1.bcb26e6b93ac6p-10}, 
        {0x1.2p+2, 0x1.2333333333333p+2, -0x1.705cf3f50321cp-11, 0x1.65ab86603f995p-8, -0x1.cb54c5aa53531p-7, 0x1.8d2d685d2517ep-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, -0x1.e68ad53bdf9cap-12, 0x1.0cc859dd9a17ep-8, -0x1.ad8af77023bep-7, 0x1.e139168abefdep-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, -0x1.2ff46ac635487p-12, 0x1.7c2f4edf4f761p-9, -0x1.655c00db53e51p-7, 0x1.1f1c79d8671f8p-6}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, -0x1.64586bad9f348p-13, 0x1.fcef787b0c023p-10, -0x1.0f39dc4d9b5a5p-7, 0x1.dda07bcbf5619p-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, -0x1.80b15722db6d6p-14, 0x1.409cbb2f9954bp-10, -0x1.8f29f9de06b18p-8, 0x1.995ed3c5987e6p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, -0x1.7309dc56f40ap-15, 0x1.73048a735e54ap-11, -0x1.145a53ef8c25bp-8, 0x1.4dbee35b8cdddp-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, -0x1.2ff46ac63549fp-16, 0x1.7bf84a4a3bad8p-12, -0x1.607552a82a2d6p-9, 0x1.034144a1c04aap-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, -0x1.80b15722db778p-18, 0x1.4072e9979a6a9p-13, -0x1.89cf8627d4029p-10, 0x1.77314f154c442p-8}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, -0x1.2ff46ac6354bfp-20, 0x1.7dc94f3b16a7ap-15, -0x1.5163e09c7fac6p-11, 0x1.9de6c8e20cc93p-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, -0x1.2ff46ac636001p-24, 0x1.45142dbb79e54p-18, -0x1.64326d20466cp-13, 0x1.15011dc413455p-8}, 
      }}, 
      -0x1.04b1da425c20cp-4, 0x1.91d729980bc34p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_s_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.8fa7994cfaab8p-2, -0x1.8bca562bee99fp-2, -0x1.86d4d9c6bd84dp-2, -0x1.819bdae8032p-2, -0x1.7cb3b165298d9p-2, -0x1.7881a3e5d4e3bp-2, -0x1.75460d31aa5c2p-2, -0x1.7326f87684efbp-2, -0x1.723685db2fac7p-2, -0x1.72788e021bcbep-2, -0x1.73e53eea2b79cp-2, -0x1.766f75a1dc006p-2, -0x1.7a02b4a8d3d7p-2, -0x1.7e889c0118483p-2, -0x1.83e8646ab8e8dp-2, -0x1.8a08d5c59b63cp-2, -0x1.90d04e8bd3995p-2, -0x1.9825984fae027p-2, -0x1.9ff07281472f7p-2, -0x1.a819d8ccc9c6dp-2, -0x1.b08c6402fe8cap-2, -0x1.b933d202092dep-2, -0x1.c1fd463fe7e97p-2, -0x1.cad76502a0817p-2, -0x1.d3b27aa849bcfp-2, -0x1.dc80947897d69p-2, -0x1.e53591bf55423p-2, -0x1.edc514217254p-2, -0x1.f6254daaf7ddp-2, -0x1.fe4d5e49258ap-2, -0x1.031ac0db261dfp-1, -0x1.06eb7ccf2a3d7p-1, -0x1.0a9600ab66754p-1, -0x1.0e17d892eed53p-1, -0x1.116eeb621a9bap-1, -0x1.14997a38991dep-1, -0x1.179630f9b14a9p-1, -0x1.1a641e2e4bdcfp-1, -0x1.1d028a569c328p-1, -0x1.1f70df69c497p-1, -0x1.21aebd358861bp-1, -0x1.23bc17fa9a53ap-1, -0x1.259932be9d345p-1, -0x1.2746764be8b44p-1, -0x1.28c44db064653p-1, -0x1.2a1326da9011ep-1, -0x1.2b338feb61a55p-1, -0x1.2c2652b36eaf9p-1, -0x1.2cec769997d18p-1, -0x1.2d87284bc0467p-1, -0x1.2df79953ccea1p-1, -0x1.2e3eeb8aa58edp-1, -0x1.2e5e307faa4cp-1, -0x1.2e56780a34b77p-1, -0x1.2e2892ec45a21p-1, -0x1.2dd69d7507449p-1, -0x1.2d61851619d9p-1, -0x1.2cca924a00a08p-1, -0x1.2c130beb79f4dp-1, -0x1.2b3c36f17e469p-1, -0x1.2a4757ea02866p-1, -0x1.2935b3bd96485p-1, -0x1.28088df0cd345p-1, -0x1.26c125144162cp-1, -0x1.2560afa644414p-1, -0x1.23e85b59374dbp-1, -0x1.22594ec0d9c55p-1, -0x1.20b4abc4878e4p-1, -0x1.1efb90d7cd087p-1, -0x1.1d2f18214f943p-1, -0x1.1b505520558e9p-1, -0x1.1960525a1fa23p-1, -0x1.1760105a2514fp-1, -0x1.1550862d5b80bp-1, -0x1.1332a2f5b5531p-1, -0x1.11074f60e1b62p-1, -0x1.0ecf6e60f52fap-1, -0x1.0c8bdcb93d2p-1, -0x1.0a3d70068c816p-1, -0x1.07e4f5bf29b38p-1, -0x1.058332c20c206p-1, -0x1.0318e3981104bp-1, -0x1.00a6bd336d4a8p-1, -0x1.fc5adb99fcf9fp-2, -0x1.f75b3b0045912p-2, -0x1.f24fdd0969a75p-2, -0x1.ed39fa0ebc78fp-2, -0x1.e81abdadf79f5p-2, -0x1.e2f3463ce1394p-2, -0x1.ddc4a48bf8a6dp-2, -0x1.d88fdc8c3916bp-2, -0x1.d355e58153364p-2, -0x1.ce17ac01a28a9p-2, -0x1.c8d6122c54f5cp-2, -0x1.c391f0e520bcap-2, -0x1.be4c18426fe0ep-2, -0x1.b9054fc49935ep-2, -0x1.b3be565aacc05p-2, -0x1.ae77e2566ca3fp-2, -0x1.a932a16077c38p-2, -0x1.a3ef38822013p-2, -0x1.9eae443f1fd4ap-2, -0x1.997058c2b358cp-2, -0x1.94360224c1546p-2, -0x1.8effc4c5cd394p-2, -0x1.89ce1dc1f82c6p-2, -0x1.84a18372597ap-2, -0x1.7f7a65f0b82a9p-2, -0x1.7a592f8ffc64ep-2, -0x1.753e453e5c118p-2, -0x1.7029f1e91f903p-2, -0x1.6b1cbdfd3f266p-2, -0x1.6616ea29f9783p-2, -0x1.6118c7affe3cap-2, -0x1.5c22a324412cp-2, -0x1.5734c48cfddc1p-2, -0x1.524f6f7354a0bp-2, -0x1.4d72e31a44bc3p-2, -0x1.489f5a8edc363p-2, -0x1.43d50cd44d3ebp-2, -0x1.3f142e0325296p-2, -0x1.3a5ced823c17ep-2, -0x1.35af78b7a931dp-2, -0x1.310bf9a8e7226p-2, -0x1.2c7297b2b1bf1p-2, -0x1.27e377941ac5ap-2, -0x1.235ebb803772bp-2, -0x1.1ee4832b1431cp-2, -0x1.1a74ebcaf68d5p-2, -0x1.1610101f10dc1p-2, -0x1.11b608872202p-2, -0x1.0d66ea935c2fbp-2, -0x1.0922ca07fa0bep-2, -0x1.04e9b7ffcda42p-2, -0x1.00bbc373ba8a4p-2, -0x1.f931f2a67e3d9p-3, -0x1.f102c9453ff2dp-3, -0x1.e8ea1d479aec1p-3, -0x1.e0e7fe013d167p-3, -0x1.d8fc77df0fb5cp-3, -0x1.d12794aa6d6e3p-3, -0x1.c9695bbdf2bd9p-3, -0x1.c1c1d22c07ae8p-3, -0x1.ba30fad4ba287p-3, -0x1.b2b6d69b7863ap-3, -0x1.ab536394f68f3p-3, -0x1.a4069ea45d989p-3, -0x1.9cd081cfb4305p-3, -0x1.95b1050c23909p-3, -0x1.8ea81dec20f3bp-3, -0x1.87b5c046a82a6p-3, -0x1.80d9dcf8ead78p-3, -0x1.7a146350749eep-3, -0x1.7365404e826fep-3, -0x1.6ccc5f1756bep-3, -0x1.6649a8f83325p-3, -0x1.5fdd058f65228p-3, -0x1.59865af00043cp-3, -0x1.53458dc4243fbp-3, -0x1.4d1a816f9863cp-3, -0x1.4705182c0f3e8p-3, -0x1.410533249b94fp-3, -0x1.3b1ab290bd8c2p-3, -0x1.354575b37fb92p-3, -0x1.2f855b06a7d14p-3, -0x1.29da4021bb066p-3, -0x1.244401d6f35fcp-3, -0x1.1ec27c2b58a05p-3, -0x1.19558a5b19dc4p-3, -0x1.13fd06d4e75cap-3, -0x1.0eb8cb3f22d52p-3, -0x1.0988b076c88e1p-3, -0x1.046c8e9135451p-3, -0x1.fec879c213b8ep-4, -0x1.f4df23fa9ad96p-4, -0x1.eb1cc78cbe0cdp-4, -0x1.e1810ee7da9e4p-4, -0x1.d80ba332ef58p-4, -0x1.cebc2c748993ap-4, -0x1.c592519e38151p-4, -0x1.bc8db8acb26d4p-4, -0x1.b3ae06c15428bp-4, -0x1.aaf2e035d4025p-4, -0x1.a25be8c738c39p-4, -0x1.99e8c385db90ap-4, -0x1.9199131110bdbp-4, -0x1.896c795c5fcdcp-4, -0x1.816298cdcf7c6p-4, -0x1.797b124170faep-4, -0x1.71b5871783df9p-4, -0x1.6a11983fd4404p-4, -0x1.628ee6699be07p-4, -0x1.5b2d1228124a9p-4, -0x1.53ebbbd54d986p-4, -0x1.4cca83aa5df6ep-4, -0x1.45c909c088329p-4, -0x1.3ee6ee1906feep-4, -0x1.3823d0a08498dp-4, -0x1.317f5138ec86dp-4, -0x1.2af90fb2ad731p-4, -0x1.2490abf01aaf2p-4, -0x1.1e45c5cf950dcp-4, -0x1.1817fd46f5771p-4, -0x1.1206f26465a4fp-4, -0x1.0c1245580d4abp-4, -0x1.063996806b933p-4, -0x1.007c8671cfbffp-4, -0x1.f5b56bff9886ep-5, -0x1.eaa78c8c7af94p-5, -0x1.dfceb1654805fp-5, -0x1.d52a1e0ba9c7ep-5, -0x1.cab916cd675dap-5, -0x1.c07ae0c4af26cp-5, -0x1.b66ec1ecc6034p-5, -0x1.ac940144ef74p-5, -0x1.a2e9e632de97cp-5, -0x1.996fba0ab924fp-5, -0x1.9024c68a8a613p-5, -0x1.870856bbcbfafp-5, -0x1.7e19b6b622f47p-5, -0x1.7558338e90976p-5, -0x1.6cc31c126aecap-5, -0x1.642449b311ad1p-5, -0x1.5be3c640d3b4dp-5, -0x1.53cdb39017879p-5, -0x1.4be167f0ddce4p-5, -0x1.441e3b07150dep-5, -0x1.3c8385c56d506p-5, -0x1.3510a2755401p-5, -0x1.2dc4ecbc2f0a1p-5, -0x1.269fc19dea34fp-5, -0x1.1fa07f74d602p-5, -0x1.18c68614d40b1p-5, -0x1.121136aa4f277p-5, -0x1.0b7ff321f48b1p-5, -0x1.051221a661951p-5, -0x1.fd8e4b391ab7ep-6, -0x1.f13ccd8b73e6cp-6, -0x1.e52e9b55b305dp-6, -0x1.d9628899413dep-6, -0x1.cdd76c8cd0dc1p-6, -0x1.c28c212b89c35p-6, -0x1.b77f82c36a817p-6, -0x1.acb0750c7ca23p-6, -0x1.a21dd8c7cb847p-6, -0x1.97c694abcad6p-6, -0x1.8da99413c1752p-6, -0x1.83c5c6aa4889ap-6, -0x1.7a1a19ef4e411p-6, -0x1.70a5823ff65a3p-6, -0x1.6766f7dc5b817p-6, -0x1.5e5d7482a96c7p-6, -0x1.5587f73958003p-6, -0x1.4ce581d016cd2p-6, -0x1.4475176080111p-6, -0x1.3c35c1f50e7d5p-6, -0x1.34268cabadc35p-6, -0x1.2c4685b240c19p-6, -0x1.2494c290178aap-6, -0x1.1d10565d78656p-6, -0x1.15b85ac210962p-6, -0x1.0e8beef1172afp-6, -0x1.078a30dea6b61p-6, -0x1.00b2471972893p-6, -0x1.f406a6a802a4bp-7, -0x1.e6f90b515e3b3p-7, -0x1.da3a149e8f8ccp-7, -0x1.cdc825eb7deb1p-7, -0x1.c1a1a8b17635cp-7, -0x1.b5c50da5e47d2p-7, -0x1.aa30cb1d52f8ap-7, -0x1.9ee35f90b9194p-7, -0x1.93db4fe535eafp-7, -0x1.891726ea69f5ep-7, -0x1.7e9575b63f5dep-7, -0x1.7454d5982e0acp-7, -0x1.6a53e3f197cd6p-7, -0x1.609145fd4f17fp-7, -0x1.570ba648afc86p-7, -0x1.4dc1b56d60f28p-7, -0x1.44b22d31d3531p-7, -0x1.3bdbc8b692105p-7, -0x1.333d4c11a4c4ap-7, -0x1.2ad57ffcc66bcp-7, -0x1.22a333e7af147p-7, -0x1.1aa53bf11d601p-7, -0x1.12da7284936eep-7, -0x1.0b41b746f5374p-7, -0x1.03d9ef1987f6bp-7, -0x1.f94409fd723a8p-8, -0x1.eb31d2afb894ep-8, -0x1.dd7b1c291bd0ep-8, -0x1.d01ddfdffa6adp-8, -0x1.c31819f7f08dp-8, -0x1.b667d1bde2567p-8, -0x1.aa0b191d4b29cp-8, -0x1.9e000a1def50ap-8, -0x1.9244c8eddb5a6p-8, -0x1.86d78c0ddb32cp-8, -0x1.7bb66e6ba448p-8, -0x1.70dfc99faa4eep-8, -0x1.6651db3600fd9p-8, -0x1.5c0af5abfa802p-8, -0x1.5209709aa20fp-8, -0x1.484bacd5a7f98p-8, -0x1.3ed01340dca0dp-8, -0x1.359514ccea849p-8, -0x1.2c992a4ff0734p-8, -0x1.23dad44d0ca4bp-8, -0x1.1b589a27c4255p-8, -0x1.13110dd581a44p-8, -0x1.0b02b98a8bc82p-8, -0x1.032c5b7c28f2p-8, -0x1.f718f2dd900eep-9, -0x1.e84395d0b74f4p-9, -0x1.d9d5fff6a8777p-9, -0x1.cbcdb733b7f39p-9, -0x1.be282b809d572p-9, -0x1.b0e2f1c737c98p-9, -0x1.a3fba58fe1b94p-9, -0x1.976fe8c2bd784p-9, -0x1.8b3d854ad3f27p-9, -0x1.7f622b42defaep-9, -0x1.73dba5b319989p-9, -0x1.68a7d834d54a1p-9, -0x1.5dc4a4cbe3055p-9, -0x1.532ffd65d05c7p-9, -0x1.48e7de349f64p-9, -0x1.3eea4fdcc9804p-9, -0x1.353593ed46cd9p-9, -0x1.2bc73a9312e64p-9, -0x1.229df7fc9cf48p-9, -0x1.19b7d38c4e668p-9, -0x1.11130a1f1dd5cp-9, -0x1.08ade2641516bp-9, -0x1.0086ae4460f52p-9, -0x1.f1379271c7474p-10, -0x1.e1d72b7a3fd3dp-10, -0x1.d2e914a3d54fp-10, -0x1.c46a2a4750af6p-10, -0x1.b657697564822p-10, -0x1.a8ae1cbe9c3ccp-10, -0x1.9b6b2b2ebf265p-10, -0x1.8e8be26228e42p-10, -0x1.820d89cc344dcp-10, -0x1.75ed742af3d6ep-10, -0x1.6a29229ad00cbp-10, -0x1.5ebdef27dba45p-10, -0x1.53a974e8b3066p-10, -0x1.48e95f1eb1b54p-10, -0x1.3e7b0bd4dc956p-10, -0x1.345c7b116f7cfp-10, -0x1.2a8b5a48b5bdbp-10, -0x1.21057c810dca6p-10, -0x1.17c8c25714693p-10, -0x1.0ed31b22140a1p-10, -0x1.062279518330ep-10, -0x1.fb6a027755c7bp-11, -0x1.eb115381079f3p-11, -0x1.db3749ee23abbp-11, -0x1.cbd83ede85ab1p-11, -0x1.bcf0af4ae4a17p-11, -0x1.ae7d123df3ca1p-11, -0x1.a07a233effdc9p-11, -0x1.92e492848828fp-11, -0x1.85b8f3fa14ed2p-11, -0x1.78f4f4853ddb4p-11, -0x1.6c94c7324c1ddp-11, -0x1.6095bdfdb75e6p-11, -0x1.54f4ffa31f41p-11, -0x1.49afc3bfa50fp-11, -0x1.3ec356264b392p-11, -0x1.342d156c00d58p-11, -0x1.29ea7270b5f77p-11, -0x1.1ff8f0072a039p-11, -0x1.1656206631ab4p-11, -0x1.0cffd3dbef92p-11, -0x1.03f35922f4e05p-11, -0x1.f65d6353998bep-12, -0x1.e55fd888448c2p-12, -0x1.d4e94a7ef2011p-12, -0x1.c4f5d12e6a9bcp-12, -0x1.b5817862c616fp-12, -0x1.a688604104729p-12, -0x1.9806ccad6e12cp-12, -0x1.89f91a9e2c741p-12, -0x1.7c5bc20505d36p-12, -0x1.6f2b548f52586p-12, -0x1.6264790086339p-12, -0x1.5604052a0aab3p-12, -0x1.4a06c2b7052a2p-12, -0x1.3e694f6ed48cp-12, -0x1.3329ca93301fbp-12, -0x1.28444139c3dc7p-12, -0x1.1db646add6eadp-12, -0x1.137d2428b73ebp-12, -0x1.09963a00a70b4p-12, -0x1.fffdf7879818fp-13, -0x1.ed69ea5703c7cp-13, -0x1.db6b825359ad6p-13, -0x1.c9fdc784852d3p-13, -0x1.b91c9e730799ap-13, -0x1.a8c37748393f8p-13, -0x1.98ee0b9bc9d86p-13, -0x1.89983b0ed0d66p-13, -0x1.7abbb7c46982fp-13, -0x1.6c5b88a4d6403p-13, -0x1.5e6cf33fb709ep-13, -0x1.50ee3e4bf631p-13, -0x1.43dc6f34dcff9p-13, -0x1.3733cd38bede7p-13, -0x1.2af13b11d87ecp-13, -0x1.1f10cacd49337p-13, -0x1.138fff1f55e48p-13, -0x1.086b899c3acb5p-13, -0x1.fb40f352d8085p-14, -0x1.e657fed0272b3p-14, -0x1.d21650c4f15c8p-14, -0x1.be76b3fe9f27fp-14, -0x1.ab740981d5cbp-14, -0x1.990bd85dd73ep-14, -0x1.8731619137bfbp-14, -0x1.75e80ada11265p-14, -0x1.65285f8230fecp-14, -0x1.54ee1d8c3455ep-14, -0x1.45350e1afb567p-14, -0x1.35f901a14676bp-14, -0x1.27366e78b6192p-14, -0x1.18e9288ae349p-14, -0x1.0b0db3b17c921p-14, -0x1.fb413d90c2b0cp-15, -0x1.e13cce5b421a7p-15, -0x1.c807cefcf5ff1p-15, -0x1.af9c174490c2ep-15, -0x1.97f27c360af8p-15, -0x1.8106a1c1a01bfp-15, -0x1.6ad226ced3bf8p-15, -0x1.554fcf69b8768p-15, -0x1.407a40130d75p-15, -0x1.2c4c97e127f61p-15, -0x1.18bd8b19ee69fp-15, -0x1.05d43dab098dap-15, -0x1.e701fbcf53882p-16, -0x1.c3850fb5d0548p-16, -0x1.a12986f729efcp-16, -0x1.7fe7139a6ba96p-16, -0x1.5f48a47de6e8dp-16, -0x1.40204651a9fe8p-16, -0x1.21fb34bec8ac4p-16, -0x1.04d0d8b57ef12p-16, -0x1.d13713654c4ecp-17, -0x1.9a9f7b29f09f3p-17, -0x1.65df44b3dc27bp-17, -0x1.32d74df8b28c7p-17, -0x1.0182d7a1c702ap-17, -0x1.a3a8fd86dfd51p-18, -0x1.4780d02f4406dp-18, -0x1.dcec54dbf1dc9p-19, -0x1.30e6fa5704903p-19, -0x1.1587841326247p-20, 0x1.5a28dbda3f65dp-23, 0x1.61a050f5c6443p-20, 0x1.45ddff25c3f01p-19, 0x1.d606e84396e0dp-19, 0x1.3085aeaf8dd47p-18, 0x1.738795e24ec16p-18, 0x1.b41aa959593f9p-18, 0x1.f25ce3b17beabp-18, 0x1.171a7c813d3e7p-17, 0x1.33f11baeb1efdp-17, 0x1.4fa9779d3c9b2p-17, 0x1.6a5446339bf17p-17, 0x1.83f5407fb3a53p-17, 0x1.9c92ebbf45589p-17, 0x1.b433db28c0c3p-17, 0x1.cade75a950125p-17, 0x1.e0984cd395ad7p-17, 0x1.f56c8bfc66d8cp-17, 0x1.04a9d1e322c01p-16, 0x1.0e30ba33040d1p-16, 0x1.174a686eb34a1p-16, 0x1.1ff9dfa5b1087p-16, 0x1.2841c226ebbe9p-16, 0x1.30249743dc58dp-16, 0x1.37a0bb401835fp-16, 0x1.3ec410718977cp-16, 0x1.458573c25d4f2p-16, 0x1.4beaf5d2755fcp-16, 0x1.51f6ae711d86ap-16, 0x1.57aaaea4007bbp-16, 0x1.5d089d50f0f9p-16, 0x1.621338a347d14p-16, 0x1.66ccaec078bdfp-16, 0x1.6b2b441403c0fp-16, 0x1.6f50d35740efap-16, 0x1.731eacb3aa7d2p-16, 0x1.76a134e7267fcp-16, 0x1.79dfb6ddc8236p-16, 0x1.7ccfd22b03af9p-16, 0x1.7f7eeb2564db9p-16, 0x1.81e8f4e947deap-16, 0x1.840f5e8e3ad27p-16, 0x1.85f69f01216d7p-16, 0x1.879d55c8c01f2p-16, 0x1.8905e6cdfd519p-16, 0x1.8a31b855e0e93p-16, 0x1.8b2233051ae2bp-16, 0x1.8bd88f05c7ffcp-16, 0x1.8c5648aeced5p-16, 0x1.8c9c8075b269dp-16, 0x1.8cac99319e218p-16, 0x1.8c87c85411902p-16, 0x1.8c2f4456a22a2p-16, 0x1.8ba3f0477dabap-16, 0x1.8aea97605e707p-16, 0x1.89fafa537d304p-16, 0x1.88db74d2aae0ap-16, 0x1.8795bf2bcd96ap-16, 0x1.861fdd4682cf1p-16, 0x1.847ddb8cdf87ap-16, 0x1.82b1852319606p-16, 0x1.80c56a29adb2ap-16, 0x1.7e9bab3259b18p-16, 0x1.7c549e2919418p-16, 0x1.79e6a9dffcbfbp-16, 0x1.775198371b488p-16, 0x1.749b22244e997p-16, 0x1.71c7198bf65d5p-16, 0x1.6ec2998ee111dp-16, 0x1.6ba2af40b5ee3p-16, 0x1.6861acb0d478cp-16, 0x1.65012733f5b9cp-16, 0x1.619278ada7e44p-16, 0x1.5de1e92d7336fp-16, 0x1.5a256e70b3513p-16, 0x1.564cb93944098p-16, 0x1.5257f6392a6cdp-16, 0x1.4e48fc62034a6p-16, 0x1.4a1fa48d049e8p-16, 0x1.45dcdcd7bf694p-16, 0x1.4181acd5c4d41p-16, 0x1.3d0eccfd6af47p-16, 0x1.388503e26480ep-16, 0x1.33e5170f1b587p-16, 0x1.2f2fca7305fc8p-16, 0x1.2a65e6a9fc874p-16, 0x1.25880dcb189ddp-16, 0x1.209296fcd887p-16, 0x1.1b93cee1e5035p-16, 0x1.167e6f8fa17c6p-16, 0x1.1158c6d133116p-16, 0x1.0c221a8dca356p-16, 0x1.06dc151932f6p-16, 0x1.018725d5658e1p-16, 0x1.f847ecd8134e6p-17, 0x1.ed666212687dcp-17, 0x1.e26af80d8d74ap-17, 0x1.d756748dec424p-17, 0x1.cc2bc8569f357p-17, 0x1.c0d70ec5c787p-17, 0x1.b593b2355b41ap-17, 0x1.aa2b8a502f98dp-17, 0x1.9eaf432edc6cbp-17, 0x1.93224b37f17f9p-17, 0x1.878573076784ap-17, 0x1.7bd9dfc89c91bp-17, 0x1.7020ba656c235p-17, 0x1.645b33bc3d239p-17, 0x1.588af27267586p-17, 0x1.4cc79c91b9347p-17, 0x1.40c96d1ca393ep-17, 0x1.34bf1c629c3c6p-17, 0x1.28e9e256b0e7ap-17, 0x1.1cf2afd01d834p-17, 0x1.10f40ab41d73bp-17, 0x1.04f229b299a7bp-17, 0x1.f1dac59c8bfd1p-18, 0x1.d9cd72edd11d5p-18, 0x1.c1be4f9a28ee4p-18, 0x1.a9af493845a24p-18, 0x1.91a28ab1b1109p-18, 0x1.798dc8721ce1fp-18, 0x1.61957992ee0c2p-18, 0x1.499a31acc9603p-18, 0x1.31a601599b25ap-18, 0x1.19be7e0f6144bp-18, 0x1.01e348f91e7ap-18, 0x1.d42caadbfd69ep-19, 0x1.a4b7515f2e29ap-19, 0x1.755fb1a21cfe1p-19, 0x1.462bcd309bbf3p-19, 0x1.17250b6e4bb42p-19, 0x1.d0956798664a5p-20, 0x1.733f80b5809d4p-20, 0x1.1649d90e86333p-20, 0x1.7463e5cb22573p-21, 0x1.76c895cf04c23p-22, 0x1.098ff95b3dba8p-27, -0x1.6445b1e77c3cep-22, -0x1.67663042eb762p-21, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.79ee87d373066p-1, 0x1.79ee32afdfc6dp-1, 0x1.79ede6f51078fp-1, 0x1.79edeca047d14p-1, 0x1.79ee8b0e78ce4p-1, 0x1.79efff474406ap-1, 0x1.79f275ca38589p-1, 0x1.79f606ef26143p-1, 0x1.79fab525c090ap-1, 0x1.7a006c8d9b143p-1, 0x1.7a07038134dbfp-1, 0x1.7a0e3bc829bb4p-1, 0x1.7a15c437bf58p-1, 0x1.7a1d3a9772876p-1, 0x1.7a242daa1af76p-1, 0x1.7a2a1f4489c5bp-1, 0x1.7a2e8660cf213p-1, 0x1.7a30d12228e6ep-1, 0x1.7a3066c13f766p-1, 0x1.7a2ca95b2116dp-1, 0x1.7a24f79f89758p-1, 0x1.7a18ae5c99973p-1, 0x1.7a0729e75a6ecp-1, 0x1.79efc761445e1p-1, 0x1.79d1e5dbaad5ap-1, 0x1.79ace75a62ae1p-1, 0x1.798031b746ce8p-1, 0x1.794b2f6872271p-1, 0x1.790d502b2347fp-1, 0x1.78c6099549825p-1, 0x1.7874d78fb8a74p-1, 0x1.78193cbaf81b3p-1, 0x1.77b2c2c09107fp-1, 0x1.7740fa92a4da3p-1, 0x1.76c37c9b85d28p-1, 0x1.7639e8dee3decp-1, 0x1.75a3e70e132dp-1, 0x1.75012690c660bp-1, 0x1.74515e838aaap-1, 0x1.73944dad2d14cp-1, 0x1.72c9ba6c208b9p-1, 0x1.71f1729cdcd7p-1, 0x1.710b4b7a1f3e5p-1, 0x1.70172177daap-1, 0x1.6f14d8199618dp-1, 0x1.6e0459c4e46efp-1, 0x1.6ce597908ed77p-1, 0x1.6bb88911000cap-1, 0x1.6a7d2c226bf1fp-1, 0x1.693384b12497p-1, 0x1.67db9c80850bfp-1, 0x1.667582f0c9c62p-1, 0x1.65014cc4297bap-1, 0x1.637f13e377b02p-1, 0x1.61eef722927b2p-1, 0x1.60511a04d442fp-1, 0x1.5ea5a481bcaabp-1, 0x1.5cecc2ca0182ap-1, 0x1.5b26a50d2b5dp-1, 0x1.59537f3fe673ep-1, 0x1.577388e3220c7p-1, 0x1.5586fccc1e39dp-1, 0x1.538e18ed7e35ep-1, 0x1.51891e2170ae6p-1, 0x1.4f784ff506701p-1, 0x1.4d5bf474bf219p-1, 0x1.4b3453fa5e873p-1, 0x1.4901b8fc103f4p-1, 0x1.46c46fdce67ffp-1, 0x1.447cc6beb641ep-1, 0x1.422b0d555a141p-1, 0x1.3fcf94bb5b601p-1, 0x1.3d6aaf4807d7cp-1, 0x1.3afcb066f1804p-1, 0x1.3885ec70da75dp-1, 0x1.3606b8860bbe3p-1, 0x1.337f6a6a14beep-1, 0x1.30f05860f0b3fp-1, 0x1.2e59d90d902bdp-1, 0x1.2bbc4351bfb83p-1, 0x1.2917ee2f6af1ep-1, 0x1.266d30ab33e52p-1, 0x1.23bc61b05b9abp-1, 0x1.2105d7f5f47adp-1, 0x1.1e49e9e5590bfp-1, 0x1.1b88ed81e0e39p-1, 0x1.18c33851cc88dp-1, 0x1.15f91f4862905p-1, 0x1.132af6b135257p-1, 0x1.1059121c8a826p-1, 0x1.0d83c44ce1141p-1, 0x1.0aab5f25860edp-1, 0x1.07d0339a38f3ap-1, 0x1.04f2919fd453bp-1, 0x1.0212c81df3e7fp-1, 0x1.fe6249c32023cp-2, 0x1.f89be92110c9cp-2, 0x1.f2d3053c2b7c5p-2, 0x1.ed08328036b04p-2, 0x1.e73c02caa1d0dp-2, 0x1.e16f05587b4d3p-2, 0x1.dba1c6b5fc256p-2, 0x1.d5d4d0af9992cp-2, 0x1.d008aa448ba49p-2, 0x1.ca3dd79ac4dbcp-2, 0x1.c474d9f43f811p-2, 0x1.beae2fa5a045p-2, 0x1.b8ea540e17bbap-2, 0x1.b329bf907ddd3p-2, 0x1.ad6ce78d92709p-2, 0x1.a7b43e5f5d871p-2, 0x1.a20033559f55p-2, 0x1.9c5132b347ec4p-2, 0x1.96a7a5ace45f7p-2, 0x1.9103f267ff8c9p-2, 0x1.8b667bfb61017p-2, 0x1.85cfa2702bbc3p-2, 0x1.803fc2c3c3462p-2, 0x1.7ab736ea7d50dp-2, 0x1.753655d307349p-2, 0x1.6fbd736a81126p-2, 0x1.6a4ce0a13c918p-2, 0x1.64e4eb701f38bp-2, 0x1.5f85dede9497dp-2, 0x1.5a3003091275fp-2, 0x1.54e39d281f2ddp-2, 0x1.4fa0ef97d5624p-2, 0x1.4a6839dfdf539p-2, 0x1.4539b8bbdae0dp-2, 0x1.4015a62427878p-2, 0x1.3afc39571362fp-2, 0x1.35eda6e25ecf6p-2, 0x1.30ea20ad124cp-2, 0x1.2bf1d601a1c4p-2, 0x1.2704f39851d11p-2, 0x1.2223a3a1df664p-2, 0x1.1d4e0dd25fc6ap-2, 0x1.1884576c5380ap-2, 0x1.13c6a34beb1b5p-2, 0x1.0f1511f272788p-2, 0x1.0a6fc191e35abp-2, 0x1.05d6ce189644p-2, 0x1.014a513d113d4p-2, 0x1.f994c513d5afdp-3, 0x1.f0ae2ed388ffap-3, 0x1.e7e106669cf2ap-3, 0x1.df2d6e6ab84b2p-3, 0x1.d6938585fbfcfp-3, 0x1.ce13667f3e2e7p-3, 0x1.c5ad285648bebp-3, 0x1.bd60de5c14469p-3, 0x1.b52e984af5e85p-3, 0x1.ad16625ebe2afp-3, 0x1.a518456cc1d85p-3, 0x1.9d3446fbc877bp-3, 0x1.956a695bd87a3p-3, 0x1.8dbaabbde1faap-3, 0x1.86250a4b3bbfcp-3, 0x1.7ea97e3cfa6bfp-3, 0x1.7747fdf30cbdbp-3, 0x1.70007d0b2bd54p-3, 0x1.68d2ec778de79p-3, 0x1.61bf3a955c3fap-3, 0x1.5ac55342f0f4ep-3, 0x1.53e51ff5cd613p-3, 0x1.4d1e87d04877p-3, 0x1.46716fb704cb2p-3, 0x1.3fddba660b246p-3, 0x1.39634885a8598p-3, 0x1.3301f8bef79f4p-3, 0x1.2cb9a7d01b086p-3, 0x1.268a30a02da7ap-3, 0x1.20736c52d5d0cp-3, 0x1.1a75325b91dc8p-3, 0x1.148f5890a42afp-3, 0x1.0ec1b33db0dc4p-3, 0x1.090c15360718fp-3, 0x1.036e4fe686f42p-3, 0x1.fbd066ce7c98dp-4, 0x1.f0f31d19448d6p-4, 0x1.e6445df0ec35bp-4, 0x1.dbc3c254a5c0fp-4, 0x1.d170e11fb412cp-4, 0x1.c74b4f291fcbfp-4, 0x1.bd529f62a3c67p-4, 0x1.b38662f704087p-4, 0x1.a9e6296798a6p-4, 0x1.a07180a933447p-4, 0x1.9727f540499d2p-4, 0x1.8e09125c77a3fp-4, 0x1.851461f34923dp-4, 0x1.7c496cda56c67p-4, 0x1.73a7bae0b46b4p-4, 0x1.6b2ed2e7b0fb3p-4, 0x1.62de3afaea5b9p-4, 0x1.5ab57867b79ddp-4, 0x1.52b40fd3e802cp-4, 0x1.4ad98553dd279p-4, 0x1.43255c7ffbc8cp-4, 0x1.3b9718897c146p-4, 0x1.342e3c4e94f89p-4, 0x1.2cea4a6e094abp-4, 0x1.25cac55a147dbp-4, 0x1.1ecf2f6abd96bp-4, 0x1.17f70aef8dbd3p-4, 0x1.1141da40b0bafp-4, 0x1.0aaf1fcf7f3f7p-4, 0x1.043e5e367502fp-4, 0x1.fbde30912c9c2p-5, 0x1.ef81a24090208p-5, 0x1.e366185b31862p-5, 0x1.d78a9a880517dp-5, 0x1.cbee314f45d48p-5, 0x1.c08fe633deacbp-5, 0x1.b56ec3cbcc374p-5, 0x1.aa89d5d77faaap-5, 0x1.9fe0295844dc1p-5, 0x1.9570cca5b19a9p-5, 0x1.8b3acf8227309p-5, 0x1.813d432e61d51p-5, 0x1.77773a7c25859p-5, 0x1.6de7c9e006878p-5, 0x1.648e078253e6cp-5, 0x1.5b690b4f2b534p-5, 0x1.5277ef05b713dp-5, 0x1.49b9ce469fe69p-5, 0x1.412dc6a1b3dep-5, 0x1.38d2f7a2c9445p-5, 0x1.30a882dddffa7p-5, 0x1.28ad8bfa8a1fbp-5, 0x1.20e138be9d6a2p-5, 0x1.1942b118321cp-5, 0x1.11d11f26f5ec2p-5, 0x1.0a8baf44d8dc3p-5, 0x1.0371900e112cep-5, 0x1.f903e4d10d3ccp-6, 0x1.eb7813153d50bp-6, 0x1.de3e1602e9d7cp-6, 0x1.d1545d6d01da8p-6, 0x1.c4b95de95e221p-6, 0x1.b86b90d9e2de3p-6, 0x1.ac69747491ac5p-6, 0x1.a0b18bcaa49f8p-6, 0x1.95425ecea59f9p-6, 0x1.8a1a7a599a0c1p-6, 0x1.7f38702f48f81p-6, 0x1.749ad701965dep-6, 0x1.6a404a730f70ap-6, 0x1.60276b189e318p-6, 0x1.564ede7a752bcp-6, 0x1.4cb54f1436dcep-6, 0x1.43596c5461ee5p-6, 0x1.3a39ea9b0ab2dp-6, 0x1.31558337de622p-6, 0x1.28aaf4678ad13p-6, 0x1.2039015079c2ep-6, 0x1.17fe71fefcab8p-6, 0x1.0ffa1360d96b9p-6, 0x1.082ab7405373fp-6, 0x1.008f343ea6c48p-6, 0x1.f24ccb9c071a6p-7, 0x1.e3de58561a823p-7, 0x1.d5d0d8abc84bep-7, 0x1.c8222015785f8p-7, 0x1.bad00b741ba7ep-7, 0x1.add88100ab21ep-7, 0x1.a139703b0512fp-7, 0x1.94f0d1d7f4539p-7, 0x1.88fca7ae9891ap-7, 0x1.7d5afca52e216p-7, 0x1.7209e49d2b842p-7, 0x1.67077c5ed93afp-7, 0x1.5c51e9845cdd5p-7, 0x1.51e75a64414c5p-7, 0x1.47c605fb84753p-7, 0x1.3dec2bd73d125p-7, 0x1.345813fdcbc0dp-7, 0x1.2b080ed7b563bp-7, 0x1.21fa75181d8cp-7, 0x1.192da7a4eff42p-7, 0x1.10a00f7ebe676p-7, 0x1.08501da859b44p-7, 0x1.003c4b0e2b48cp-7, 0x1.f0c630daafd8bp-8, 0x1.e1861c755ded4p-8, 0x1.d2b57912dc5b9p-8, 0x1.c45175e3bd993p-8, 0x1.b65750efa25bep-8, 0x1.a8c456e1fa0d3p-8, 0x1.9b95e2d696c49p-8, 0x1.8ec95e261b8a7p-8, 0x1.825c403252f5ep-8, 0x1.764c0e3272eeep-8, 0x1.6a965aff5befp-8, 0x1.5f38c6dfd332p-8, 0x1.5430ff54cb887p-8, 0x1.497cbee5bb1dcp-8, 0x1.3f19cced0972ap-8, 0x1.3505fd649d6e7p-8, 0x1.2b3f30b291b81p-8, 0x1.21c3537614b05p-8, 0x1.18905e547b5ddp-8, 0x1.0fa455c68f2dep-8, 0x1.06fd49e617f11p-8, 0x1.fd32ac77574cdp-9, 0x1.eced4319900acp-9, 0x1.dd26bb54712f9p-9, 0x1.cddb8e7da55a7p-9, 0x1.bf084b3d0aef2p-9, 0x1.b0a9952b9566ep-9, 0x1.a2bc2472e5065p-9, 0x1.953cc56dac0d8p-9, 0x1.88285848e0421p-9, 0x1.7b7bd0a5c1d46p-9, 0x1.6f34353cc012fp-9, 0x1.634e9f813bea5p-9, 0x1.57c83b463525bp-9, 0x1.4c9e4663e1df2p-9, 0x1.41ce105e39217p-9, 0x1.3754fa0c70bc5p-9, 0x1.2d30754177db7p-9, 0x1.235e04756b917p-9, 0x1.19db3a7011b81p-9, 0x1.10a5b9f453651p-9, 0x1.07bb356cbf645p-9, 0x1.fe32dd3234b4ap-10, 0x1.ed7c6c79ecb6ep-10, 0x1.dd4ed79eb837ap-10, 0x1.cda5fa57002bdp-10, 0x1.be7dcc852135p-10, 0x1.afd2619d1a0e1p-10, 0x1.a19fe80c75ec7p-10, 0x1.93e2a8a44ff02p-10, 0x1.869706058ce6ap-10, 0x1.79b97c0f3a7efp-10, 0x1.6d469f4f1f3p-10, 0x1.613b1c7471d01p-10, 0x1.5593b7c4c2ff2p-10, 0x1.4a4d4c930e422p-10, 0x1.3f64ccb8f3ef5p-10, 0x1.34d74012272dep-10, 0x1.2aa1c3f9f1a33p-10, 0x1.20c18acaf0d43p-10, 0x1.1733db60e6f38p-10, 0x1.0df6109cbb42ap-10, 0x1.050598ea8821p-10, 0x1.f8bfeb93b2439p-11, 0x1.e80576afe13c7p-11, 0x1.d7d71fb857efbp-11, 0x1.c83056aced528p-11, 0x1.b90cae1f967e9p-11, 0x1.aa67da597e9acp-11, 0x1.9c3db08428572p-11, 0x1.8e8a25d6947b7p-11, 0x1.81494ec660ec6p-11, 0x1.74775e3cda122p-11, 0x1.6810a4cff398ep-11, 0x1.5c118fff1ea1dp-11, 0x1.5076a973f3efbp-11, 0x1.453c9646a860dp-11, 0x1.3a6016463f8cbp-11, 0x1.2fde0344746a8p-11, 0x1.25b350654b2adp-11, 0x1.1bdd09724175p-11, 0x1.1258523114b38p-11, 0x1.092265be0dc61p-11, 0x1.003895e9cdd12p-11, 0x1.ef30953513dc3p-12, 0x1.de7e02615d103p-12, 0x1.ce5497ddbc02ap-12, 0x1.beafa2ca7ab24p-12, 0x1.af8a97c009611p-12, 0x1.a0e111b28dad5p-12, 0x1.92aed0dbca912p-12, 0x1.84efb9ab4729p-12, 0x1.779fd3bc9b093p-12, 0x1.6abb48d3ce916p-12, 0x1.5e3e63dfaed1fp-12, 0x1.5225900205b21p-12, 0x1.466d579d965e6p-12, 0x1.3b126369cdc7bp-12, 0x1.3011798c09077p-12, 0x1.25677cb65ebd9p-12, 0x1.1b116b4bd1bd5p-12, 0x1.110c5e89d3d0ap-12, 0x1.075589b705a7p-12, 0x1.fbd472ae2f22fp-13, 0x1.e98fa4c773dbfp-13, 0x1.d7d7a314fb76fp-13, 0x1.c6a794df2ddc6p-13, 0x1.b5facdeacdaf9p-13, 0x1.a5cccd1166556p-13, 0x1.96193ae2f9126p-13, 0x1.86dbe850ac016p-13, 0x1.7810cd6058a6cp-13, 0x1.69b407e8ca654p-13, 0x1.5bc1da56827d1p-13, 0x1.4e36aa78d65bp-13, 0x1.410f00574347fp-13, 0x1.3447850ebc079p-13, 0x1.27dd01b6e4afep-13, 0x1.1bcc5e4ef029bp-13, 0x1.1012a0b217401p-13, 0x1.04aceb936bfd2p-13, 0x1.f330fb01cc6a6p-14, 0x1.dda55fdb13715p-14, 0x1.c8b1ec84eb132p-14, 0x1.b451b9ed774f4p-14, 0x1.a080115bb42cdp-14, 0x1.8d386ab961fd8p-14, 0x1.7a766ae99b241p-14, 0x1.6835e22bd5ef2p-14, 0x1.5672ca8b01a69p-14, 0x1.452946587e4dap-14, 0x1.34559eb2a6ddp-14, 0x1.23f44216aac27p-14, 0x1.1401c2fd728f3p-14, 0x1.047ad6834f55cp-14, 0x1.eab8a634636a9p-15, 0x1.cd465e8c51f2fp-15, 0x1.b09900c7d7f85p-15, 0x1.94aaf2f258bdp-15, 0x1.7976d41cf1ab1p-15, 0x1.5ef77a24e00f9p-15, 0x1.4527ef8c18a31p-15, 0x1.2c03716394ef8p-15, 0x1.13856d46ed025p-15, 0x1.f752fed18dc5cp-16, 0x1.c8d6e15f64776p-16, 0x1.9b8e69c60055p-16, 0x1.6f71d1ce66d4bp-16, 0x1.4479a213352fp-16, 0x1.1a9eaeb56464ep-16, 0x1.e3b4285ba5fe3p-17, 0x1.944a6875a3f43p-17, 0x1.46f365d1da3e3p-17, 0x1.f745ced906d7dp-18, 0x1.649a5b3e5baabp-18, 0x1.ab9bb33498d7ep-19, 0x1.2b2a420537d59p-20, -0x1.e4232c887e86ep-21, -0x1.8066478963b4ep-19, -0x1.40550415e6327p-18, -0x1.bcfca82f4e479p-18, -0x1.1b1e00f79db3cp-17, -0x1.56122dcd77d06p-17, -0x1.8f632fe11609ep-17, -0x1.c719106aa5f3ap-17, -0x1.fd3b9038311cdp-17, -0x1.18e915975ad92p-16, -0x1.32720dd3f392p-16, -0x1.4b3c2ed6d6b16p-16, -0x1.634ad90a38d1ap-16, -0x1.7aa150ba91c93p-16, -0x1.9142bf840e7b1p-16, -0x1.a73235b0e01e6p-16, -0x1.bc72ab88e37bap-16, -0x1.d107029320634p-16, -0x1.e4f206c98b4a5p-16, -0x1.f8366fbf7c57dp-16, -0x1.056b70dda907bp-15, -0x1.0e6af761cd8e4p-15, -0x1.171b0bd02197dp-15, -0x1.1f7ce6680b9d4p-15, -0x1.2791b7b98b405p-15, -0x1.2f5aa914efdfcp-15, -0x1.36d8dcf5539e2p-15, -0x1.3e0d6f6605bc3p-15, -0x1.44f97663114e3p-15, -0x1.4b9e02350ec89p-15, -0x1.51fc1dc8640d4p-15, -0x1.5814cf0027f0bp-15, -0x1.5de91704c3e04p-15, -0x1.6379f28e88fcp-15, -0x1.68c85a2c50c79p-15, -0x1.6dd542865be34p-15, -0x1.72a19c9d89765p-15, -0x1.772e56070d7b3p-15, -0x1.7b7c5924cb09dp-15, -0x1.7f8c8d5a6e021p-15, -0x1.835fd73f6931dp-15, -0x1.86f718cdf6deap-15, -0x1.8a53318f38e18p-15, -0x1.8d74fec4963c6p-15, -0x1.905d5b8e76968p-15, -0x1.930d21106fcc2p-15, -0x1.958526930770bp-15, -0x1.97c641a3211e3p-15, -0x1.99d1462f2ed4bp-15, -0x1.9ba706a241acfp-15, -0x1.9d4853fd0eaf3p-15, -0x1.9eb5fded004e4p-15, -0x1.9ff0d2e16b953p-15, -0x1.a0f9a01efdee3p-15, -0x1.a1d131d176999p-15, -0x1.a278531bc67ffp-15, -0x1.a2efce26a0747p-15, -0x1.a3386c2d94eddp-15, -0x1.a352f58ac96cp-15, -0x1.a34031c15aac8p-15, -0x1.a300e7867d7e9p-15, -0x1.a295dcc96f254p-15, -0x1.a1ffd6ba412c2p-15, -0x1.a13f99cf992e5p-15, -0x1.a055e9cb65fffp-15, -0x1.9f4389bea59cep-15, -0x1.9e093c0c436d2p-15, -0x1.9ca7c26b1b7adp-15, -0x1.9b1fdde731bc8p-15, -0x1.99724ee22a6afp-15, -0x1.979fd5130d79cp-15, -0x1.95a92f8561cf7p-15, -0x1.938f1c97a9f59p-15, -0x1.915259f95108dp-15, -0x1.8ef3a4a809b3ep-15, -0x1.8c73b8ecb5318p-15, -0x1.89d35257cfce4p-15, -0x1.87132bbd73da5p-15, -0x1.8433ff30f92aap-15, -0x1.813686003801fp-15, -0x1.7e1b78ae7ae94p-15, -0x1.7ae38eef23ca6p-15, -0x1.778f7fa00f1c4p-15, -0x1.742000c3b690ap-15, -0x1.7095c77b20f55p-15, -0x1.6cf187ffa22a7p-15, -0x1.6933f59c6d568p-15, -0x1.655dc2a809ecp-15, -0x1.616fa07da503bp-15, -0x1.5d6a3f764c042p-15, -0x1.594e4ee2148d1p-15, -0x1.551c7d0133d03p-15, -0x1.50d576fd0b1acp-15, -0x1.4c79e8e1317d5p-15, -0x1.480a7d9477afep-15, -0x1.4387ded1f1011p-15, -0x1.3ef2b52200f49p-15, -0x1.3a4ba7d370cecp-15, -0x1.35935cf495567p-15, -0x1.30ca794c7fc25p-15, -0x1.2bf1a05445b52p-15, -0x1.270974305a28fp-15, -0x1.221295aa02745p-15, -0x1.1d0da428e42c4p-15, -0x1.17fb3dacae0b1p-15, -0x1.12dbfec6e2592p-15, -0x1.0db08294c10a9p-15, -0x1.087962b953ba4p-15, -0x1.033737579f1dbp-15, -0x1.fbd52e19f3299p-16, -0x1.f1282dd715983p-16, -0x1.e66894e9e03e6p-16, -0x1.db97872a1ee9cp-16, -0x1.d0b6253a24336p-16, -0x1.c5c58c7d188e3p-16, -0x1.bac6d70da368p-16, -0x1.afbb1bb4ee5d1p-16, -0x1.a4a36de208f9fp-16, -0x1.9980dda1a0cccp-16, -0x1.8e54779624d31p-16, -0x1.831f44f03dfp-16, -0x1.77e24b67adb3bp-16, -0x1.6c9e8d348ad09p-16, -0x1.61550908e1b88p-16, -0x1.5606ba0ab2e7ep-16, -0x1.4ab497ce5781fp-16, -0x1.3f5f965144533p-16, -0x1.3408a5f52ca98p-16, -0x1.28b0b37b8da86p-16, -0x1.1d58a80191859p-16, -0x1.120168fc59d19p-16, -0x1.06abd835a76bdp-16, -0x1.f6b1a791c1b9fp-17, -0x1.e0126c40f56p-17, -0x1.c97babe773bd1p-17, -0x1.b2ef0c89a9436p-17, -0x1.9c6e2cbee1e04p-17, -0x1.85faa3aef5ca1p-17, -0x1.6f960110b0366p-17, -0x1.5941cd28e754p-17, -0x1.42ff88ca3c03ep-17, -0x1.2cd0ad558fe15p-17, -0x1.16b6acbb2129fp-17, -0x1.00b2f17c4dd24p-17, -0x1.d58dbd5bf9898p-18, -0x1.a9e79ff750c84p-18, -0x1.7e76335611789p-18, -0x1.533c1140b2656p-18, -0x1.283bc4c66e883p-18, -0x1.faef949061bddp-19, -0x1.a5e51f0946286p-19, -0x1.515ce74aba816p-19, -0x1.fab71d34baca1p-20, -0x1.53cb329de6b51p-20, -0x1.5bfdbbc4cc60bp-21, -0x1.2b5697a809b71p-25, 0x1.3431d84675129p-21, 0x1.3c53e0cfe1ffbp-20, 0x1.dd4e3dc75cbap-20, 0x1.3e8027d09227p-19, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      42, 0x1.2p+2, 0x1.7b95c1dd08344p+1, 0x1.e9d0b6554f742p+1, -0x1.cb9e3b64526f2p-6, 
      {{
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.2cd7cf5b3aa2fp-7, -0x1.c444efe529102p-4, 0x1.4f4d50e32d849p-3, -0x1.0f0a86d72e64cp-4}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.0a2715203bcep-8, -0x1.833ddf72f04e5p-4, 0x1.3af953930a09bp-3, -0x1.123c77ed414b4p-4}, 
        {0x1.4p+1, 0x1.4666666666666p+1, -0x1.2fdc231f6f6b2p-12, -0x1.464dbdb6ab96cp-4, 0x1.2667fdc7a5241p-3, -0x1.14f3d5397acecp-4}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, -0x1.01091c9e3a6f1p-8, -0x1.0d7fe43c9cc34p-4, 0x1.11a280fcef217p-3, -0x1.17cc368eb2c4cp-4}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, -0x1.c34dd75564902p-8, -0x1.b1be013778b65p-5, 0x1.f94cc697a9d89p-4, -0x1.1a9b1b89ce3abp-4}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, -0x1.2e93bbad84edap-7, -0x1.50ebdb30f7472p-5, 0x1.cee8b5a964832p-4, -0x1.1d6eede45968cp-4}, 
        {0x1.599999999999ap+1, 0x1.6p+1, -0x1.68fd14c2beb43p-7, -0x1.f13df4dac9078p-6, 0x1.a41811fa5719ap-4, -0x1.2038871b45213p-4}, 
        {0x1.6p+1, 0x1.6666666666666p+1, -0x1.9299613ee86dep-7, -0x1.51d9dd3c9658bp-6, 0x1.78dc641ca654ap-4, -0x1.232617813c7e6p-4}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, -0x1.ad235f5fea369p-7, -0x1.87aea93bedd25p-7, 0x1.4d3046fc76db7p-4, -0x1.258e044ea8494p-4}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, -0x1.ba5a214d0b72cp-7, -0x1.1d7d47cea24b8p-8, 0x1.2127c65710d03p-4, -0x1.29e8884f2ea4bp-4}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, -0x1.bc010d16f2ccdp-7, 0x1.1ad207ccbd0bdp-9, 0x1.e8f03096606f5p-5, -0x1.2142d2265f6b6p-4}, 
        {0x1.799999999999ap+1, 0x1.8p+1, -0x1.b3de650952e57p-7, 0x1.f1d977f3aa77dp-8, 0x1.9228f18add684p-5, -0x1.0b9ce2e2d578fp-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, -0x1.a3ab232d5597ep-7, 0x1.89bb60e6542fbp-7, 0x1.41e047139d5dcp-5, -0x1.efd30f4d778eap-5}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, -0x1.8d02d4cc074b6p-7, 0x1.fb9b8eca921bp-7, 0x1.ef013cc33077ep-6, -0x1.c76128e419e8cp-5}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, -0x1.716222c00399ap-7, 0x1.28793ec74d82ep-6, 0x1.666416e528b12p-6, -0x1.9f36da308ada9p-5}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, -0x1.5226d1757550ap-7, 0x1.4615a1a29c4c1p-6, 0x1.d3a74479fe135p-7, -0x1.76f95c96e82acp-5}, 
        {0x1.999999999999ap+1, 0x1.ap+1, -0x1.308fc0ea1672p-7, 0x1.57d7b1c00beb3p-6, 0x1.e556803ee58a6p-8, -0x1.4ec102dfc5c2cp-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, -0x1.0dbcecad3033bp-7, 0x1.5ef466d54d695p-6, 0x1.4e8859964755cp-10, -0x1.26874884b7301p-5}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, -0x1.d55ed7bf35fd4p-8, 0x1.5ca0aa2535fd3p-6, -0x1.0dcd0d6ce3961p-8, -0x1.fc9bd9adaf881p-6}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, -0x1.9092e2677cdeep-8, 0x1.521168d12f9f8p-6, -0x1.1f7bae6a8cdb2p-7, -0x1.ac28ee304f8e8p-6}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, -0x1.4e9c95db22aeep-8, 0x1.407b8ef32d1a9p-6, -0x1.9fee5c45d7ebep-7, -0x1.5bb615df19c9ap-6}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, -0x1.10c4c5c533751p-8, 0x1.291408e469276p-6, -0x1.041f4b046307bp-6, -0x1.0b4324fed656dp-6}, 
        {0x1.cp+1, 0x1.c666666666666p+1, -0x1.b02cf9e7b3462p-9, 0x1.0d0fc30875f69p-6, -0x1.2c362a2a9cc7cp-6, -0x1.75a1065d4d28ap-7}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, -0x1.4abdfab0bc20ep-9, 0x1.db4752b47fd57p-7, -0x1.483bd7719c2aap-6, -0x1.a972f6b4ac417p-8}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, -0x1.e4b7001c9feedp-10, 0x1.980952d9e65a4p-7, -0x1.5830271862a05p-6, -0x1.9ed37e0db1f58p-10}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, -0x1.4f51d4def4356p-10, 0x1.52cf55b6c519dp-7, -0x1.5c13bc46e9e51p-6, 0x1.b491487752f38p-9}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, -0x1.ab3822260a96p-11, 0x1.0e0357130d095p-7, -0x1.53e4361e46bd5p-6, 0x1.0dacba4bf5fc6p-7}, 
        {0x1.ep+1, 0x1.e666666666666p+1, -0x1.dbb8babf74201p-12, 0x1.981d58bc69262p-8, -0x1.3faa74f22de41p-6, 0x1.afeed2f8cb2ebp-7}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, -0x1.8d4c21c7f7101p-13, 0x1.1eba2faea185ap-8, -0x1.1f455852b840ap-6, 0x1.25e041ae1b1eep-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, -0x1.9c225f33f87fep-17, 0x1.69453b5dda39ap-9, -0x1.e66103579b90fp-7, 0x1.7fcd12336a285p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.7f28023712035p-14, 0x1.7b7e6c00e8948p-10, -0x1.733d177b621edp-7, 0x1.898456a3f3018p-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.2246157546c5bp-13, 0x1.03732da13109dp-11, -0x1.fa5dfafacc089p-8, 0x1.43053efc73944p-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.32d29cebe3e6p-13, -0x1.1079b54507dcap-13, -0x1.388e0863537d3p-8, 0x1.088c8fb216971p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.106d65debbe8cp-13, -0x1.fd57845c98442p-12, -0x1.33a6978a8bdffp-9, 0x1.95a57840b4a9ep-7}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.a8dd5526054a7p-14, -0x1.490dbd2ac052bp-11, -0x1.010d3d8ee451ep-11, 0x1.1c2e229df1027p-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.24a62267888a2p-14, -0x1.40a83f2b351c7p-11, 0x1.a8fb1585c48b8p-11, 0x1.428f9f0e30a01p-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.5eeeaf47951efp-15, -0x1.02ce337923a91p-11, 0x1.9606ea31cc3ecp-10, 0x1.510905fef94aep-10}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.636fc32113dd1p-16, -0x1.5916ce356e258p-12, 0x1.c895117e71a32p-10, -0x1.6a5487470bca8p-9}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.253e0c7110381p-17, -0x1.706456f9c03e2p-13, 0x1.5be21c1c54809p-10, -0x1.0aaeed7fe915p-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.732287bf18899p-19, -0x1.342dbfc6217c6p-14, 0x1.77bf1b38c482bp-11, -0x1.61403f274ff76p-9}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.253e0c7110338p-21, -0x1.717269bbce7c2p-16, 0x1.479784425c3c5p-12, -0x1.92cd3b060f7cbp-10}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.253e0c71102cp-25, -0x1.352874e1c0d54p-19, 0x1.57a4b6947efdp-14, -0x1.15b4429556656p-9}, 
      }}, 
      0x1.0cf1b7f438564p-5, -0x1.a45f8256a8a09p-3
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_o_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, -0x1.541a531276a52p-2, -0x1.c1f65404b9f91p-1, -0x1.c8eaf5acbfe71p-5, 0x1.fb4a2339c0ebfp-2, 0x1.fb4a2339c0ebfp-2, 0x1.fb4a2339c0ebfp-2, 0, 4, 2}, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.7112a524ee22fp+1, -0x1.6e958e21cc33p+1, -0x1.6a8318c3e0b2ep+1, -0x1.64f50df3cea9cp+1, -0x1.5e092c478aa3ap+1, -0x1.55e090a9b5b86p+1, -0x1.4c9d75281a69ep+1, -0x1.4262a349cd366p+1, -0x1.37526938d22e1p+1, -0x1.2b8e348a3663fp+1, -0x1.1f35e1dc00f55p+1, -0x1.1267b10ec6404p+1, -0x1.053fdff2eee1cp+1, -0x1.efb181e445ae6p+0, -0x1.d494e0333c6d3p+0, -0x1.b955edcbae00dp+0, -0x1.9e1c69bd71dcbp+0, -0x1.830bffb0e9de2p+0, -0x1.6844762cdaeedp+0, -0x1.4de197c8d3993p+0, -0x1.33fb814bdbb97p+0, -0x1.1aa72482d6ceep+0, -0x1.01f66c348936ep+0, -0x1.d3f01af78c26cp-1, -0x1.a56f89295f844p-1, -0x1.787e009028ce3p-1, -0x1.4d2b7bf4a11cp-1, -0x1.2382200943b16p-1, -0x1.f712103488856p-2, -0x1.aa886e9a4402dp-2, -0x1.6169cb03bcf53p-2, -0x1.1bb379b4c242bp-2, -0x1.b2bc988711453p-3, -0x1.34beac1905574p-3, -0x1.7aa2c8c37f59bp-4, -0x1.3150c41bc9bc1p-5, 0x1.e5da18af2fb1cp-7, 0x1.05d93df606849p-4, 0x1.c309b682933adp-4, 0x1.3a5555ead72fcp-3, 0x1.8d8f12718508cp-3, 0x1.db642a001aaf4p-3, 0x1.12038f39b9aabp-2, 0x1.33d5426ac4772p-2, 0x1.534076f7464fap-2, 0x1.705e7421ffe0dp-2, 0x1.8b4881f542de4p-2, 0x1.a417e585730bbp-2, 0x1.bae5d144730f2p-2, 0x1.cfcb4414f7e3fp-2, 0x1.e2e0d7dc2d1d6p-2, 0x1.f43e8902e4d74p-2, 0x1.01fdc2ca41df7p-1, 0x1.0917085196c47p-1, 0x1.0f75fca3aa6f3p-1, 0x1.15234e9eb7ecbp-1, 0x1.1a2a4899a5e01p-1, 0x1.1e949f6fb736p-1, 0x1.226ba0d728dbap-1, 0x1.25b83204e11cdp-1, 0x1.2882d15105189p-1, 0x1.2ad39a2f62293p-1, 0x1.2cb24a23e1472p-1, 0x1.2e2645467a79ap-1, 0x1.2f36995aa2161p-1, 0x1.2fe9ff32f2a61p-1, 0x1.3046dac51db78p-1, 0x1.30533abbb0749p-1, 0x1.3014d867a77aep-1, 0x1.2f9118c1165fap-1, 0x1.2ecd0ecc327a5p-1, 0x1.2dcd7f5853915p-1, 0x1.2c96e5c22f873p-1, 0x1.2b2d7936e42a4p-1, 0x1.299531ed0dabp-1, 0x1.27d1cddecd571p-1, 0x1.25e6d4b9043f8p-1, 0x1.23d79ae4acb63p-1, 0x1.21a743bbe7272p-1, 0x1.1f58c31c98f43p-1, 0x1.1ceede9aaee5p-1, 0x1.1a6c2e94a3021p-1, 0x1.17d31f61e72cbp-1, 0x1.1525f2c113b9p-1, 0x1.1266c19886474p-1, 0x1.0f977e0acba53p-1, 0x1.0cb9f5d2d129ap-1, 0x1.09cfd4d2fa2d6p-1, 0x1.06daa7bd832dap-1, 0x1.03dbdebb7d64p-1, 0x1.00d4cff97543ap-1, 0x1.fb8d74096cfb3p-2, 0x1.f5658bd34939ap-2, 0x1.ef341213d971p-2, 0x1.e8fb0d4f9536ep-2, 0x1.e2bc6252ee193p-2, 0x1.dc79d63934044p-2, 0x1.d635100996bcep-2, 0x1.cfef9a03ab62fp-2, 0x1.c9aae2b527434p-2, 0x1.c3683df08fd4fp-2, 0x1.bd28e5b91158fp-2, 0x1.b6edfb336e603p-2, 0x1.b0b887a75af8ap-2, 0x1.aa897d984a4eep-2, 0x1.a461b9f89ed45p-2, 0x1.9e420576bb2cfp-2, 0x1.982b15e062daep-2, 0x1.921d8f9693525p-2, 0x1.8c1a070a31357p-2, 0x1.8621e5486e41ap-2, 0x1.803312ea54b3bp-2, 0x1.7a4fa817fee7ep-2, 0x1.747812c39a807p-2, 0x1.6eacb6c7b9d21p-2, 0x1.68edee79ad16bp-2, 0x1.633c0b37f9ab2p-2, 0x1.5d9755f62ce15p-2, 0x1.58000fc6b6ce5p-2, 0x1.52767262f1246p-2, 0x1.4cfab0b106747p-2, 0x1.478cf747302ccp-2, 0x1.422d6ceb7283cp-2, 0x1.3cdc330eeb01cp-2, 0x1.37996643b142ap-2, 0x1.32651eac5171ep-2, 0x1.2d3f706400a43p-2, 0x1.28286bded8802p-2, 0x1.23201e4194f2p-2, 0x1.1e2691b09506fp-2, 0x1.193bcd960dc8ep-2, 0x1.145fd6dfa7d65p-2, 0x1.0f92b033e9ca8p-2, 0x1.0ad45a2003acp-2, 0x1.0624d33eb025p-2, 0x1.01841858f5d3dp-2, 0x1.f9e449033dc7fp-3, 0x1.f0dde258a0effp-3, 0x1.e7f4ec8224b91p-3, 0x1.df29545a38a52p-3, 0x1.d67b03e35f764p-3, 0x1.cde9e26347c7fp-3, 0x1.c575d47c806afp-3, 0x1.bd1ebc47b7c35p-3, 0x1.b4e4796d488f2p-3, 0x1.acc6e93f8f397p-3, 0x1.a4c5e6d66b208p-3, 0x1.9ce14b2bf0338p-3, 0x1.9518ed3a55396p-3, 0x1.8d6ca21ae20f3p-3, 0x1.85dc3d2593fa4p-3, 0x1.7e67901129c65p-3, 0x1.770e6b132b7cdp-3, 0x1.6fd09cff8b33p-3, 0x1.68adf36782916p-3, 0x1.61a63ab757c36p-3, 0x1.5ab93e52bb853p-3, 0x1.53e6c8af8c6a6p-3, 0x1.4d2ea36eca976p-3, 0x1.46909773a26a1p-3, 0x1.400c6cf881c23p-3, 0x1.39a1eba2248f5p-3, 0x1.3350da90aea1ap-3, 0x1.2d19006ed2bd6p-3, 0x1.26fa237f277d8p-3, 0x1.20f409a7bb9bfp-3, 0x1.1b06787c0a2c4p-3, 0x1.153135457f289p-3, 0x1.0f74050a9a64ap-3, 0x1.09ceac94f2de9p-3, 0x1.0440f0762c05bp-3, 0x1.fd952a183350ep-4, 0x1.f2d6bd085654ap-4, 0x1.e84621bca20d9p-4, 0x1.dde2dfdef895ep-4, 0x1.d3ac7ec7b9f05p-4, 0x1.c9a28581f8ac5p-4, 0x1.bfc47acfae8a8p-4, 0x1.b611e52e02b87p-4, 0x1.ac8a4ad9f7d7dp-4, 0x1.a32d31d563e8ap-4, 0x1.99fa1fec8bcefp-4, 0x1.90f09abc32f49p-4, 0x1.881027b85940dp-4, 0x1.7f584c3380b3dp-4, 0x1.76c88d668eb22p-4, 0x1.6e60707933b7dp-4, 0x1.661f7a8ace315p-4, 0x1.5e0530bbb8497p-4, 0x1.56111836ef163p-4, 0x1.4e42b63bfe617p-4, 0x1.4699902920572p-4, 0x1.3f152b857a0d9p-4, 0x1.37b50e0b6788bp-4, 0x1.3078bdb2c10e3p-4, 0x1.295fc0bb0dd3ap-4, 0x1.22699db594e5bp-4, 0x1.1b95db8f3e62dp-4, 0x1.14e4019a3c3cfp-4, 0x1.0e5397976e8cbp-4, 0x1.07e425bf7f697p-4, 0x1.019534cbaf1p-4, 0x1.f6cc9bfc92f81p-5, 0x1.eaadf6558b9a5p-5, 0x1.decd8d7b17348p-5, 0x1.d32a7786bd183p-5, 0x1.c7c3cbe0dade2p-5, 0x1.bc98a34e167c9p-5, 0x1.b1a817fc1b84cp-5, 0x1.a6f1458db46a7p-5, 0x1.9c73492638ccdp-5, 0x1.922d417464ce5p-5, 0x1.881e4ebc96aafp-5, 0x1.7e4592e27e29dp-5, 0x1.74a2317247c33p-5, 0x1.6b334fa94700bp-5, 0x1.61f8147e28882p-5, 0x1.58efa8a8bc02p-5, 0x1.501936a94f848p-5, 0x1.4773eacfaaf17p-5, 0x1.3efef341b411fp-5, 0x1.36b98001bfa98p-5, 0x1.2ea1063ccd829p-5, 0x1.26b82591b787dp-5, 0x1.1efc672a7051p-5, 0x1.176d02870552ap-5, 0x1.1009311e08fap-5, 0x1.08d02e6236feap-5, 0x1.01c137c7bbd0ap-5, 0x1.f5b719924dc48p-6, 0x1.e83cddd7f4d8ap-6, 0x1.db124389d97aep-6, 0x1.ce35d5f78a84ap-6, 0x1.c1a6249de1723p-6, 0x1.b561c32d623d1p-6, 0x1.a96749900dc47p-6, 0x1.9db553ee8179fp-6, 0x1.924a82b478055p-6, 0x1.87257a94acfc6p-6, 0x1.7c44e48c27e71p-6, 0x1.71a76de4ec74bp-6, 0x1.674bc838179e8p-6, 0x1.5d30a96f72de2p-6, 0x1.5354cbc67235bp-6, 0x1.49b6edcaaea0cp-6, 0x1.4055d25bdda2ap-6, 0x1.373040ab3ccbfp-6, 0x1.2e45043a90e24p-6, 0x1.2592ecda9a66ep-6, 0x1.1d18cea918d3p-6, 0x1.14d5820e6445ep-6, 0x1.0cc7e3ba8720fp-6, 0x1.04eed4a1fa0ccp-6, 0x1.fa9273f3e19e8p-7, 0x1.ebabfa6895e5fp-7, 0x1.dd2817f627aefp-7, 0x1.cf04b057775dfp-7, 0x1.c13fafa3d215fp-7, 0x1.b3d70a43e37dap-7, 0x1.a6c8bce62a424p-7, 0x1.9a12cc72a35ap-7, 0x1.8db345fe01de6p-7, 0x1.81a83ebc423cep-7, 0x1.75efd3f2cfa18p-7, 0x1.6a882aea0bc0ap-7, 0x1.5f6f70de7855fp-7, 0x1.54a3daf15dc05p-7, 0x1.4a23a6190c492p-7, 0x1.3fed1710bddbdp-7, 0x1.35fe7a4809673p-7, 0x1.2c5623d20b834p-7, 0x1.22f26f5433781p-7, 0x1.19d1bff4c6f23p-7, 0x1.10f280490ee09p-7, 0x1.085322435befp-7, 0x1.ffe43e415de9fp-8, 0x1.ef9beeac71b9ep-8, 0x1.dfca64fd28112p-8, 0x1.d06cbe8dba1d4p-8, 0x1.c18026b71968p-8, 0x1.b301d6aa5d22bp-8, 0x1.a4ef1549c47bfp-8, 0x1.974537019a46fp-8, 0x1.8a019da0a342cp-8, 0x1.7d21b83066a9ep-8, 0x1.70a302cd1bd74p-8, 0x1.6483067d8d812p-8, 0x1.58bf590a9fc8dp-8, 0x1.4d559cd69b769p-8, 0x1.424380b4830f1p-8, 0x1.3786bfbf0685bp-8, 0x1.2d1d212f4e1d9p-8, 0x1.23047833d59ebp-8, 0x1.193aa3c6e93f5p-8, 0x1.0fbd8e8527e6bp-8, 0x1.068b2e83c34a1p-8, 0x1.fb430a4dd1b46p-9, 0x1.e9fd3def7dc57p-9, 0x1.d94126f53cec1p-9, 0x1.c90b0a0a0fa58p-9, 0x1.b95741272ac24p-9, 0x1.aa223b40112b8p-9, 0x1.9b687bee4071ap-9, 0x1.8d269b1d15a6ep-9, 0x1.7f5944b5bcebbp-9, 0x1.71fd384b4503p-9, 0x1.650f48c68aeddp-9, 0x1.588c5c1296ae3p-9, 0x1.4c716ac8ff5bap-9, 0x1.40bb7fdea438ep-9, 0x1.3567b850a566fp-9, 0x1.2a7342d1a2661p-9, 0x1.1fdb5f7781f31p-9, 0x1.159d5f6987041p-9, 0x1.0bb6a48ece7b7p-9, 0x1.0224a13d9151fp-9, 0x1.f1c9afd57545cp-10, 0x1.dfe9b5b46719bp-10, 0x1.cea4979fcc10dp-10, 0x1.bdf5b782706dfp-10, 0x1.add8950f60bd8p-10, 0x1.9e48cd2805787p-10, 0x1.8f4219444911bp-10, 0x1.80c04edc1209ep-10, 0x1.72bf5ed3530a1p-10, 0x1.653b54e72394cp-10, 0x1.5830571d3672ap-10, 0x1.4b9aa53541c59p-10, 0x1.3f76981c032f7p-10, 0x1.33c0a16132f33p-10, 0x1.28754aaeb917p-10, 0x1.1d91354271cd3p-10, 0x1.13111969bafabp-10, 0x1.08f1c5ffe8d4cp-10, 0x1.fe603fdc42326p-11, 0x1.eb92435bcb0acp-11, 0x1.d973b59a9d4dp-11, 0x1.c7fedeec8190dp-11, 0x1.b72e2fee25f45p-11, 0x1.a6fc409bcc37ep-11, 0x1.9763cf6b59718p-11, 0x1.885fc06b8619fp-11, 0x1.79eb1c671bf3dp-11, 0x1.6c01100ba1b3fp-11, 0x1.5e9ceb1580a1cp-11, 0x1.51ba1f7ef35c6p-11, 0x1.455440b3add85p-11, 0x1.396702c893a9fp-11, 0x1.2dee39b6a9d9fp-11, 0x1.22e5d89a78156p-11, 0x1.1849f0f6cc5b7p-11, 0x1.0e16b1fb74e18p-11, 0x1.044867cf5e7bcp-11, 0x1.f5b6f5bc02f32p-12, 0x1.e398de51f6e03p-12, 0x1.d22fc738aa3ap-12, 0x1.c17522cd293b1p-12, 0x1.b16296a6df2a6p-12, 0x1.a1f1fa559d79ep-12, 0x1.931d5623b16d2p-12, 0x1.84dee1df36873p-12, 0x1.773103a9426b7p-12, 0x1.6a0e4ecb3d0e6p-12, 0x1.5d718290a6015p-12, 0x1.51558929618ap-12, 0x1.45b5768ed3266p-12, 0x1.3a8c876fe26ep-12, 0x1.2fd62022270dfp-12, 0x1.258dcb98bd208p-12, 0x1.1baf3a5ed03a4p-12, 0x1.1236419a629a5p-12, 0x1.091eda1122d26p-12, 0x1.00651f33ef005p-12, 0x1.f00a9c5d2f4bcp-13, 0x1.dff789fa4bdd2p-13, 0x1.d08a0308194e8p-13, 0x1.c1bb41634d6e4p-13, 0x1.b384bb3dff4cdp-13, 0x1.a5e021708da0ep-13, 0x1.98c75dd252f7p-13, 0x1.8c34919bc2682p-13, 0x1.802213cff1bb6p-13, 0x1.748a6fb0531d6p-13, 0x1.6968633a31709p-13, 0x1.5eb6dda9e8c99p-13, 0x1.5470fe076c6cfp-13, 0x1.4a9211bd1db5dp-13, 0x1.41159334bbef1p-13, 0x1.37f7287bbdfdcp-13, 0x1.2f32a1f347851p-13, 0x1.26c3f90418c18p-13, 0x1.1ea74edc4cb19p-13, 0x1.16d8eb346c595p-13, 0x1.0f553b1a464cbp-13, 0x1.0818cfc79d266p-13, 0x1.01205d7b44648p-13, 0x1.f4d174b83ec8cp-14, 0x1.e7ddbac478098p-14, 0x1.db5fba8e9dfbdp-14, 0x1.cf51defc2076fp-14, 0x1.c3aece607957ep-14, 0x1.b87168866e6fep-14, 0x1.ad94c4c36381cp-14, 0x1.a314301e9e9c2p-14, 0x1.98eb2b7db9c53p-14, 0x1.8f1569e07e85ep-14, 0x1.858ecea94e822p-14, 0x1.7c536bf0a99e2p-14, 0x1.735f80e17e805p-14, 0x1.6aaf7828074eap-14, 0x1.623fe6643b89ap-14, 0x1.5a0d88aae3d0dp-14, 0x1.5215431157322p-14, 0x1.4a541f41aeb49p-14, 0x1.42c74b1907248p-14, 0x1.3b6c1758f199fp-14, 0x1.343ff64cd9029p-14, 0x1.2d407a96785d9p-14, 0x1.266b55eade43cp-14, 0x1.1fbe57e452077p-14, 0x1.19376cdad294cp-14, 0x1.12d49cc554b01p-14, 0x1.0c940a238d98ap-14, 0x1.0673f0f1ceceep-14, 0x1.0072a59cbd76ap-14, 0x1.f51d2819dade9p-15, 0x1.e98c7d571cb97p-15, 0x1.de307ae9cd81fp-15, 0x1.d3067a23759a3p-15, 0x1.c80bfbef74964p-15, 0x1.bd3ea72219bcap-15, 0x1.b29c46d59848p-15, 0x1.a822c8d5ee474p-15, 0x1.9dd03c13251c1p-15, 0x1.93a2cf2e46148p-15, 0x1.8998cf0525c6ep-15, 0x1.7fb0a55248587p-15, 0x1.75e8d752fb59ep-15, 0x1.6c400481fe5ecp-15, 0x1.62b4e554cfd73p-15, 0x1.59464a08a9529p-15, 0x1.4ff31979924d6p-15, 0x1.46ba500136583p-15, 0x1.3d9afe675b7e2p-15, 0x1.349448d434f7fp-15, 0x1.2ba565d0dc915p-15, 0x1.22cd6279d6a08p-15, 0x1.1a0bde6658903p-15, 0x1.11603211ca385p-15, 0x1.08c9d476e303bp-15, 0x1.00484a7b304b2p-15, 0x1.efb64c47091ffp-16, 0x1.df040ba2c875cp-16, 0x1.ce792706be122p-16, 0x1.be15084e3495ep-16, 0x1.add72dcba15d5p-16, 0x1.9dbf290732025p-16, 0x1.8dcc9d7aad51bp-16, 0x1.7dff3f6200e29p-16, 0x1.6e56d29718e85p-16, 0x1.5ed3297a227a4p-16, 0x1.4f7423e703858p-16, 0x1.4039ae304f254p-16, 0x1.3123c031bacadp-16, 0x1.22325c6b75887p-16, 0x1.13658efa3b43dp-16, 0x1.04bd6d002804ap-16, 0x1.ec74275eec068p-17, 0x1.cfb74f31c1311p-17, 0x1.b344a7b363d92p-17, 0x1.971c931ff4e1dp-17, 0x1.7b3f7e338cf0bp-17, 0x1.5faddefb52ed5p-17, 0x1.446833a2ae3ccp-17, 0x1.296f0150001dbp-17, 0x1.0ec2d31968c14p-17, 0x1.e8c871f728b6dp-18, 0x1.b4a78dd54511bp-18, 0x1.812427c837d79p-18, 0x1.4e3f721c65d7cp-18, 0x1.1bfaa1f77a7a5p-18, 0x1.d4addb15dc616p-19, 0x1.72ab15e86e8fbp-19, 0x1.11ef5d5ccfd36p-19, 0x1.64fa2963c5023p-20, 0x1.515a5c19cfad8p-21, -0x1.10395861bd65cp-24, -0x1.902731a94cdc4p-21, -0x1.7c7e6fcf54217p-20, -0x1.171fe77222d2ep-19, -0x1.6ea9c722a0cdfp-19, -0x1.c4dad68a5d8c1p-19, -0x1.0cd89503a1cbdp-18, -0x1.369576208436bp-18, -0x1.5fa32fa25ba2fp-18, -0x1.8800eed2a2b46p-18, -0x1.afadedc12e703p-18, -0x1.d6a973ba8e33dp-18, -0x1.fcf2d5a87bca9p-18, -0x1.1144bb3b6cd8ep-17, -0x1.23b663b2095aap-17, -0x1.35ce24268f569p-17, -0x1.478bc3ee683e8p-17, -0x1.58ef11eb88872p-17, -0x1.69f7e49c8f1ddp-17, -0x1.7aa61a2ba91c1p-17, -0x1.8af99879ea6cp-17, -0x1.9af24d345bb0cp-17, -0x1.aa902de896552p-17, -0x1.b9d337d4d0d04p-17, -0x1.c8bb700dd5c67p-17, -0x1.d748e373f59cep-17, -0x1.e57ba69b36677p-17, -0x1.f353d5ff5c797p-17, -0x1.0068cacd864f9p-16, -0x1.06fa888b6119dp-16, -0x1.0d5f3dd421326p-16, -0x1.139707ffa2329p-16, -0x1.19a208180a20fp-16, -0x1.1f8062ce1deeep-16, -0x1.2532406c6e86cp-16, -0x1.2ab7cccb0283cp-16, -0x1.3011373f7e11fp-16, -0x1.353eb28f58d4ep-16, -0x1.3a4074dffd225p-16, -0x1.3f16b7a5adca5p-16, -0x1.43c1b79648805p-16, -0x1.4841b492a8bfap-16, -0x1.4c96f195a55bp-16, -0x1.50c1b4ac05ccap-16, -0x1.54c246d13b3c3p-16, -0x1.5898f3e7998b3p-16, -0x1.5c460aa4585bfp-16, -0x1.5fc9dc73bbdabp-16, -0x1.6324bd7138e3ep-16, -0x1.6657044cfc006p-16, -0x1.69610a374b2d5p-16, -0x1.6c432acd900f3p-16, -0x1.6efdc406c50fap-16, -0x1.7191361d1a8cdp-16, -0x1.73fde37aa7b2bp-16, -0x1.764430a48ab0cp-16, -0x1.7864842651b65p-16, -0x1.7a5f467d6b245p-16, -0x1.7c34e205366e8p-16, -0x1.7de5c2e043b16p-16, -0x1.7f7256e74c35fp-16, -0x1.80db0d92baceep-16, -0x1.822057e382f21p-16, -0x1.8342a85d3c8ebp-16, -0x1.844272d5f3ca4p-16, -0x1.85202c8cf9fddp-16, -0x1.85dc4be939f44p-16, -0x1.867748824bc58p-16, -0x1.86f19b07d1a33p-16, -0x1.874bbd27dcc45p-16, -0x1.878629801d014p-16, -0x1.87a15b9ea6437p-16, -0x1.879dcfc983db9p-16, -0x1.877c0307cff6ep-16, -0x1.873c730b12e9ep-16, -0x1.86df9e165cf92p-16, -0x1.866602f83f987p-16, -0x1.85d020f2a8515p-16, -0x1.851e77adf6c2p-16, -0x1.845187216630ep-16, -0x1.8369cf8e0c5ccp-16, -0x1.8267d167f7351p-16, -0x1.814c0d48a0b7cp-16, -0x1.801703dfa1e46p-16, -0x1.7ec935e5344b5p-16, -0x1.7d632409f7eebp-16, -0x1.7be54eea227a6p-16, -0x1.7a5037015ab35p-16, -0x1.78a45c95c761fp-16, -0x1.76e23fb630db7p-16, -0x1.750a6025d109bp-16, -0x1.731d3d515b554p-16, -0x1.711b56427a686p-16, -0x1.6f0529999eea9p-16, -0x1.6cdb3579da56ep-16, -0x1.6a9df77e89c03p-16, -0x1.684decb8c335fp-16, -0x1.65eb919e0f975p-16, -0x1.637761fff53ebp-16, -0x1.60f1d90280b5bp-16, -0x1.5e5b7112b9f44p-16, -0x1.5bb4a3d9cd1cap-16, -0x1.58fdea3b6f082p-16, -0x1.5637bc47dbb12p-16, -0x1.5362913286892p-16, -0x1.507edf4f492c7p-16, -0x1.4d8d1c0ee8c09p-16, -0x1.4a8dbbe5b1a39p-16, -0x1.4781325233c27p-16, -0x1.4467f1d5e7035p-16, -0x1.41426bec1e9ebp-16, -0x1.3e11110410c7ep-16, -0x1.3ad4507b37afap-16, -0x1.378c9891180dfp-16, }}, 
      {{-0x1.71a12fcd0062dp+1, -0x1.70ca6d5476p+1, -0x1.6f684b0a63dfep+1, -0x1.6d80d64106a04p+1, -0x1.6b1a831918e59p+1, -0x1.683d450085423p+1, -0x1.64f1003c2a70ap+1, -0x1.613e475d06b3ep+1, -0x1.5d2db6eee3357p+1, -0x1.58c7cf025d627p+1, -0x1.541515ed199a1p+1, -0x1.4f1dd7f496816p+1, -0x1.49e9de91b65bcp+1, -0x1.4480ee174ab3p+1, -0x1.3eea47978d791p+1, -0x1.392ccc357fc11p+1, -0x1.334f01871159fp+1, -0x1.2d56fd92186f3p+1, -0x1.274a71f5c5ebbp+1, -0x1.212eac3d68837p+1, -0x1.1b088b91c923p+1, -0x1.14dc9862f0119p+1, -0x1.0eaef590f6e31p+1, -0x1.088364417c9f4p+1, -0x1.025d551f3b84bp+1, -0x1.f87fce502cd8ap+0, -0x1.ec5bd2e3b4b57p+0, -0x1.e053b03a899bfp+0, -0x1.d46be55f8d8f4p+0, -0x1.c8a86a4694719p+0, -0x1.bd0cbd9a7ef57p+0, -0x1.b19bed5f39d2ap+0, -0x1.a658a00b57148p+0, -0x1.9b451d701c8a4p+0, -0x1.9063565251a34p+0, -0x1.85b4ea8fc3dp+0, -0x1.7b3b2efd85973p+0, -0x1.70f7341601ef6p+0, -0x1.66e9cceb6b6cbp+0, -0x1.5d1394e1fe86ep+0, -0x1.5374f3e82161ap+0, -0x1.4a0e22810f72ap+0, -0x1.40df2eb30bc8cp+0, -0x1.37e8013a1c3bbp+0, -0x1.2f2861923587p+0, -0x1.269ff869de094p+0, -0x1.1e4e5183024a9p+0, -0x1.1632de5a3a3fbp+0, -0x1.0e4cf9fd23c98p+0, -0x1.069bed546fd98p+0, -0x1.fe3de582316c6p-1, -0x1.efaa70c426a7p-1, -0x1.e17bc2478f364p-1, -0x1.d3b00a9300ee9p-1, -0x1.c6457b9667c6ap-1, -0x1.b939f15f5f259p-1, -0x1.ac8b8224ff839p-1, -0x1.a03827388c56dp-1, -0x1.943dd43dc233cp-1, -0x1.889a7936614f3p-1, -0x1.7d4c043160105p-1, -0x1.725062cae1344p-1, -0x1.67a583a1f9e7fp-1, -0x1.5d4957cfec2c8p-1, -0x1.5339d45346269p-1, -0x1.4974f3558f72ap-1, -0x1.3ff8b536eaca7p-1, -0x1.36c3215a59799p-1, -0x1.2dd246bd4aee4p-1, -0x1.25243c6e804e1p-1, -0x1.1cb721f8645e8p-1, -0x1.14891fcb877ddp-1, -0x1.0c9867ab85889p-1, -0x1.04e33517a8d02p-1, -0x1.facf9b4879bbcp-2, -0x1.ec4902751baaap-2, -0x1.de2f54751eb1bp-2, -0x1.d07f5affbc41cp-2, -0x1.c335f4a2a1a04p-2, -0x1.b650148a1ab1p-2, -0x1.a9cac2450b2fcp-2, -0x1.9da319915679fp-2, -0x1.91d64a34e625dp-2, -0x1.866197dff3263p-2, -0x1.7b425a1036443p-2, -0x1.7075fbeb51a2ep-2, -0x1.65f9fc086b365p-2, -0x1.5bcbec2487b9fp-2, -0x1.51e970c18214ep-2, -0x1.485040b2fbe04p-2, -0x1.3efe249f4122dp-2, -0x1.35f0f67ae568dp-2, -0x1.2d26a1058716ep-2, -0x1.249d1f4c8f03ap-2, -0x1.1c527c36ce57ep-2, -0x1.1444d219a0117p-2, -0x1.0c724a5654244p-2, -0x1.04d91cfd67636p-2, -0x1.faef20e8ad321p-3, -0x1.ec97f235f0776p-3, -0x1.dea971dbf9e1fp-3, -0x1.d1207e4a572e5p-3, -0x1.c3fa0f9a58d2cp-3, -0x1.b73336bb6a104p-3, -0x1.aac91c9b7f241p-3, -0x1.9eb9014fb054bp-3, -0x1.93003b4134bd6p-3, -0x1.879c366240aeep-3, -0x1.7c8a736d731a6p-3, -0x1.71c88731017d1p-3, -0x1.675414a5741b4p-3, -0x1.5d2adc9ab3723p-3, -0x1.534aabad10125p-3, -0x1.49b161517830ap-3, -0x1.405cee192255cp-3, -0x1.374b531d69e42p-3, -0x1.2e7aa1711eae2p-3, -0x1.25e8f997568ecp-3, -0x1.1d948aff90a5fp-3, -0x1.157b9386e134ep-3, -0x1.0d9c5efdc8de3p-3, -0x1.05f546b24cdacp-3, -0x1.fd0961fbbf192p-4, -0x1.ee9221ad99d14p-4, -0x1.e081cac9aaca8p-4, -0x1.d2d57331c2dfcp-4, -0x1.c58a478f2bfefp-4, -0x1.b89d8a8db9796p-4, -0x1.ac0c941ccd92p-4, -0x1.9fd4d0b673f44p-4, -0x1.93f3c0acb5239p-4, -0x1.8866f77d5507ep-4, -0x1.7d2c1b2c05342p-4, -0x1.7240e3a304393p-4, -0x1.67a31a1a156e6p-4, -0x1.5d5098839da5dp-4, -0x1.534748ffa24bp-4, -0x1.49852554578a2p-4, -0x1.4008366be697ep-4, -0x1.36ce93d7277d1p-4, -0x1.2dd66354dc67fp-4, -0x1.251dd85d379ecp-4, -0x1.1ca333b1693a9p-4, -0x1.1464c2eefd133p-4, -0x1.0c60e026e2ae8p-4, -0x1.0495f177fa9cap-4, -0x1.fa04d15a25d11p-5, -0x1.eb4985bc79f59p-5, -0x1.dcf7102ada89bp-5, -0x1.cf0a95eca312p-5, -0x1.c18150d2968bap-5, -0x1.b4588e92fc85cp-5, -0x1.a78db02bad7dcp-5, -0x1.9b1e2949ef87fp-5, -0x1.8f077fb7b7f51p-5, -0x1.83474ace7b1e9p-5, -0x1.77db32eef200dp-5, -0x1.6cc0f0fdaab62p-5, -0x1.61f64de454582p-5, -0x1.577922176584bp-5, -0x1.4d47551feb37p-5, -0x1.435edd2960a3cp-5, -0x1.39bdbe9349065p-5, -0x1.30620b8675343p-5, -0x1.2749e38dc02fcp-5, -0x1.1e73733227497p-5, -0x1.15dcf39a1c06fp-5, -0x1.0d84aa2bf4badp-5, -0x1.0568e8335c209p-5, -0x1.fb10151363d54p-6, -0x1.ebc0f28277c81p-6, -0x1.dce14ea62fa1p-6, -0x1.ce6e249fbfee8p-6, -0x1.c06484257fb42p-6, -0x1.b2c190eea4ec5p-6, -0x1.a58282235a459p-6, -0x1.98a4a1d1d211bp-6, -0x1.8c254c67ba2dbp-6, -0x1.8001f03040bd6p-6, -0x1.74380cd62a5bdp-6, -0x1.68c532ea1802ep-6, -0x1.5da7036ca4007p-6, -0x1.52db2f5c467d1p-6, -0x1.485f7746cd824p-6, -0x1.3e31aade4d0e9p-6, -0x1.344fa8914eeb6p-6, -0x1.2ab75d26359bp-6, -0x1.2166c359995dfp-6, -0x1.185be37f92a63p-6, -0x1.0f94d327bf4d1p-6, -0x1.070fb4c3fb82bp-6, -0x1.fd956ea342dbcp-7, -0x1.ed882c0a7e9ap-7, -0x1.ddf42ff167d1p-7, -0x1.ced61fb72bcafp-7, -0x1.c02ab74b54505p-7, -0x1.b1eec8979e9e6p-7, -0x1.a41f3aed74a3bp-7, -0x1.96b90a7795405p-7, -0x1.89b947afc8593p-7, -0x1.7d1d16d82e294p-7, -0x1.70e1af78556fep-7, -0x1.65045bde01f89p-7, -0x1.598278a148015p-7, -0x1.4e59742c2c596p-7, -0x1.4386ce456a387p-7, -0x1.3908179e96668p-7, -0x1.2edaf16533c1ep-7, -0x1.24fd0cd6da59bp-7, -0x1.1b6c2ad8406bcp-7, -0x1.12261b8f16125p-7, -0x1.0928bdfe9757ep-7, -0x1.0071ffa6c1d4fp-7, -0x1.efffb84c35209p-8, -0x1.dfa0b9bbcae6ep-8, -0x1.cfc331318b79fp-8, -0x1.c063666761914p-8, -0x1.b17dba922d7ebp-8, -0x1.a30ea7bc7c745p-8, -0x1.9512c025a0e84p-8, -0x1.8786ada40e1b2p-8, -0x1.7a67310d02044p-8, -0x1.6db0a0ac6d7b6p-8, -0x1.6160e8c2f6395p-8, -0x1.55748dbe31c44p-8, -0x1.49e8a6c1bcf33p-8, -0x1.3eba5f29668ep-8, -0x1.33e6f606066ecp-8, -0x1.296bbd9cd8174p-8, -0x1.1f461aea8c191p-8, -0x1.157385291e3dfp-8, -0x1.0bf18558cd9d7p-8, -0x1.02bdb5cbeed6bp-8, -0x1.f3ab836b710e6p-9, -0x1.e26ec97766063p-9, -0x1.d1c0d513dd8e8p-9, -0x1.c19d5cd3a545cp-9, -0x1.b20035b712f58p-9, -0x1.a2e55263c4a94p-9, -0x1.9448c2614f771p-9, -0x1.8626b15aae41dp-9, -0x1.787b6664544d9p-9, -0x1.6b434346c6f1fp-9, -0x1.5e7ac3cd9af2p-9, -0x1.521e7d1ad1891p-9, -0x1.462b1cfe9a3e4p-9, -0x1.3a9d6951d617bp-9, -0x1.2f723f578f6a8p-9, -0x1.24a6931ed27eap-9, -0x1.1a376eeb40428p-9, -0x1.1021f29f217e2p-9, -0x1.0663532ae0107p-9, -0x1.f9f1b3fdcdd4ap-10, -0x1.e7bfc902e5b1ap-10, -0x1.d62bc70ef6c0fp-10, -0x1.c530b5a2ef26ep-10, -0x1.b4c9c1156b1c4p-10, -0x1.a4f2399870b91p-10, -0x1.95a59245335b2p-10, -0x1.86df602db9808p-10, -0x1.789b59746cf8ap-10, -0x1.6ad554698b486p-10, -0x1.5d8946ae0009fp-10, -0x1.50b3445bc68ecp-10, -0x1.444f7f33ac7acp-10, -0x1.385a45d043cfp-10, -0x1.2cd002ddea7f6p-10, -0x1.21ad3c57d7ce8p-10, -0x1.16ee92c9f3c56p-10, -0x1.0c90c0978ac8ep-10, -0x1.029099467b209p-10, -0x1.f1d6119e19b01p-11, -0x1.df3a25e183566p-11, -0x1.cd47a510f5fd4p-11, -0x1.bbf8f1e21ddbep-11, -0x1.ab489ac1676f2p-11, -0x1.9b3158a00a389p-11, -0x1.8bae0dc3d158bp-11, -0x1.7cb9c4a0e5cfp-11, -0x1.6e4faeb96b6b4p-11, -0x1.606b23877e6a9p-11, -0x1.53079f6b49855p-11, -0x1.4620c2a11f9ap-11, -0x1.39b2503eaf72bp-11, -0x1.2db82d369d463p-11, -0x1.222e5f6236f92p-11, -0x1.17110c925b3ecp-11, -0x1.0c5c79a59abe2p-11, -0x1.020d09a5127e4p-11, -0x1.f03e79cd211c2p-12, -0x1.dd1f6069d706ep-12, -0x1.cab637fbc93a9p-12, -0x1.b8fca70a4dbbcp-12, -0x1.a7ec883a2583bp-12, -0x1.977fe8c8dd48ap-12, -0x1.87b10712cbbe9p-12, -0x1.787a512272f7bp-12, -0x1.69d6634a3560cp-12, -0x1.5bc006c6dea67p-12, -0x1.4e32306c45378p-12, -0x1.4127ff59d50c6p-12, -0x1.349cbbb8ca1dp-12, -0x1.288bd583f5977p-12, -0x1.1cf0e3529a5eap-12, -0x1.11c7a13339cc4p-12, -0x1.070bef8c596b3p-12, -0x1.f973a3fa3aec7p-13, -0x1.e59adca51520bp-13, -0x1.d28616f35b02p-13, -0x1.c02e20fb6e45ap-13, -0x1.ae8c0718c11c5p-13, -0x1.9d9912044321dp-13, -0x1.8d4ec4f2b69b1p-13, -0x1.7da6dbcd2e8f2p-13, -0x1.6e9b496b9d98bp-13, -0x1.602635deef326p-13, -0x1.5241fcc907c23p-13, -0x1.44e92bbf5bcefp-13, -0x1.381680b91f15ap-13, -0x1.2bc4e88a5b757p-13, -0x1.1fef7d675a105p-13, -0x1.1491857471a73p-13, -0x1.09a6716188c26p-13, -0x1.fe53b61cf0bafp-14, -0x1.ea2f0870c404fp-14, -0x1.d6d6aa6611e5dp-14, -0x1.c442b754d7036p-14, -0x1.b26b92db4ad99p-14, -0x1.a149e687bb5bdp-14, -0x1.90d69f8ffb06ap-14, -0x1.810aec9d6340ap-14, -0x1.71e03ba9c5e5bp-14, -0x1.635037e96f31dp-14, -0x1.5554c7c70c5f4p-14, -0x1.47e80aef4a819p-14, -0x1.3b04586beb51ep-14, -0x1.2ea43cca0c407p-14, -0x1.22c2785015badp-14, -0x1.1759fd3f8a034p-14, -0x1.0c65ee361973ap-14, -0x1.01e19c7f01938p-14, -0x1.ef910cefcd7f2p-15, -0x1.dc2cac3839d5cp-15, -0x1.c98dbef6f10f8p-15, -0x1.b7ac3e988c96cp-15, -0x1.a680731180aafp-15, -0x1.9602f022ddd2ap-15, -0x1.862c92bfef05fp-15, -0x1.76f67e86060d8p-15, -0x1.685a1b3b066p-15, -0x1.5a51127de7abp-15, -0x1.4cd54d698d3cdp-15, -0x1.3fe0f25bed95bp-15, -0x1.336e62cefc156p-15, -0x1.27783939c66b5p-15, -0x1.1bf9470c42e33p-15, -0x1.10ec92b5945a3p-15, -0x1.064d55c154284p-15, -0x1.f82df5f0e137p-16, -0x1.e48a393a29e34p-16, -0x1.d1a7055ea6c84p-16, -0x1.bf7c42822e6bbp-16, -0x1.ae022daec91c3p-16, -0x1.9d3155bbb84ap-16, -0x1.8d029838df16cp-16, -0x1.7d6f1e8a25d58p-16, -0x1.6e705b0ffe4edp-16, -0x1.6000066a1054cp-16, -0x1.52181ccf40a0dp-16, -0x1.44b2db857cd5ep-16, -0x1.37cabe5cd34dfp-16, -0x1.2b5a7d523c76ep-16, -0x1.1f5d0a4396e8p-16, -0x1.13cd8ea8681f4p-16, -0x1.08a76964ae7f1p-16, -0x1.fbcc597ea17e8p-17, -0x1.e70b38d8843cp-17, -0x1.d3035700fdd3dp-17, -0x1.bfacf535a6e5bp-17, -0x1.ad00ac274bde4p-17, -0x1.9af7688fb42a6p-17, -0x1.898a67770000cp-17, -0x1.78b3337c0f556p-17, -0x1.686ba14d329e5p-17, -0x1.58adccb420211p-17, -0x1.497415c70b3b7p-17, -0x1.3ab91de73812ap-17, -0x1.2c77c52709a66p-17, -0x1.1eab27a6a289p-17, -0x1.114e9b07d7dadp-17, -0x1.045dac028250ep-17, -0x1.efa8382637ba3p-18, -0x1.d75bbe25dc1e9p-18, -0x1.bfce32a59a1ecp-18, -0x1.a8f83a7f64144p-18, -0x1.92d2d2fc28d0fp-18, -0x1.7d574de2a8654p-18, -0x1.687f4dcdb63bbp-18, -0x1.5444c2779dc7fp-18, -0x1.40a1e5654f8c1p-18, -0x1.2d91367a7e4aap-18, -0x1.1b0d78cfd0c06p-18, -0x1.0911afbc63c17p-18, -0x1.ef32376b8cccbp-19, -0x1.cd3e6f32e75cdp-19, -0x1.ac3f6bdadf84dp-19, -0x1.8c2cfc8799de4p-19, -0x1.6cff55615e319p-19, -0x1.4eaf0b0acbb98p-19, -0x1.31350d8453cb4p-19, -0x1.148aa460f34abp-19, -0x1.f152d3dd1422ep-20, -0x1.bb168f51a94aep-20, -0x1.8654e3d5103e3p-20, -0x1.5302c799f3024p-20, -0x1.2115bab7ed165p-20, -0x1.e107762a7fa75p-21, -0x1.82868562c7f0ap-21, -0x1.26967d3615a5bp-21, -0x1.9a4c2683efb11p-22, -0x1.d89334a7a289p-23, -0x1.0c17acf40bf9bp-24, 0x1.867370f50df67p-24, 0x1.01bb4ea509a14p-22, 0x1.9d70b763b2ea8p-22, 0x1.1a6b8e64b0d1cp-21, 0x1.6403b03dc5a62p-21, 0x1.ab8ca49b716dfp-21, 0x1.f111c9f217037p-21, 0x1.1a4f00ac79169p-20, 0x1.3b1ddadda7fc9p-20, 0x1.5afa7158dd2a1p-20, 0x1.79e98d8fb9dd2p-20, 0x1.97efc7811ae11p-20, 0x1.b51188f68058ep-20, 0x1.d153101f55837p-20, 0x1.ecb8728998059p-20, 0x1.03a2cf4f083bap-19, 0x1.107f2fc9bb95fp-19, 0x1.1cf32f56535b7p-19, 0x1.290092c80730dp-19, 0x1.34a910504b5ccp-19, 0x1.3fee50314390cp-19, 0x1.4ad1ede07ee95p-19, 0x1.555578cddc671p-19, 0x1.5f7a75370f9e8p-19, 0x1.6942e9783c378p-19, 0x1.72af21b5f6fe1p-19, 0x1.7bc11bdf984e2p-19, 0x1.847a36bed91f3p-19, 0x1.8cdbc958ae099p-19, 0x1.94e7237e7728ap-19, 0x1.9c9d8e5b5c949p-19, 0x1.a4004cdbc2b8cp-19, 0x1.ab109c72c964ep-19, 0x1.b1cfb4df1d422p-19, 0x1.b83ec964e3a44p-19, 0x1.be5f08aeabfdfp-19, 0x1.c4319d46a7563p-19, 0x1.c9b7adeac96e6p-19, 0x1.cef25ddada142p-19, 0x1.d3e2cd2321b86p-19, 0x1.d88a18d581992p-19, 0x1.dce95b55aa11cp-19, 0x1.e101ac29f9dbep-19, 0x1.e4d421aa426cdp-19, 0x1.e861cef9e4e76p-19, 0x1.ebabc5ac8e578p-19, 0x1.eeb3153d0a48bp-19, 0x1.f178cc79f8a97p-19, 0x1.f3fdf7bcafafcp-19, 0x1.f643a237a7c2fp-19, 0x1.f84ad5e427abbp-19, 0x1.fa149b8300812p-19, 0x1.fba1faa2ef591p-19, 0x1.fcf3f9cff840bp-19, 0x1.fe0b9eb459024p-19, 0x1.fee9ed9128e6ep-19, 0x1.ff8fea35578ap-19, 0x1.fffe97496b2acp-19, 0x1.001b7b43241dbp-18, 0x1.001d04a54591ep-18, 0x1.000467c9e76c8p-18, 0x1.ffa448b7e760fp-19, 0x1.ff0d73369b8cp-19, 0x1.fe454cb7b8a9fp-19, 0x1.fd4cd21427fadp-19, 0x1.fc24ff2817ac3p-19, 0x1.facecf0aed976p-19, 0x1.f94b3be1e8261p-19, 0x1.f79b3ee35ebbp-19, 0x1.f5bfd04ef7b7bp-19, 0x1.f3b9e767822bfp-19, 0x1.f18a7a6796b56p-19, 0x1.ef327e7a35dc2p-19, 0x1.ecb2e7d96bf97p-19, 0x1.ea0ca928ce333p-19, 0x1.e740b441b6522p-19, 0x1.e44ff9b12c0bp-19, 0x1.e13b68b923c72p-19, 0x1.de03ef4c2457cp-19, 0x1.daaa7a019f337p-19, 0x1.d72ff40b229a2p-19, 0x1.d395472784555p-19, 0x1.cfdb5b97d472dp-19, 0x1.cc031820ea73ap-19, 0x1.c80d61aba507fp-19, 0x1.c3fb1bc3d1a88p-19, 0x1.bfcd28a4ce88bp-19, 0x1.bb846821ba6bbp-19, 0x1.b721b897149cap-19, 0x1.b2a5f68ee15e1p-19, 0x1.ae11fc9089cbbp-19, 0x1.a966a3b9cac2cp-19, 0x1.a4a4c2bd77bc7p-19, 0x1.9fcd2e7e0df41p-19, 0x1.9ae0b9da2124ep-19, 0x1.95e035a274d7cp-19, 0x1.90cc7090588eep-19, 0x1.8ba6373c4c942p-19, 0x1.866e5415a4ff4p-19, 0x1.81258f56e31a6p-19, 0x1.7bccaf01c5baap-19, 0x1.766476d40cb63p-19, 0x1.70eda8407d498p-19, 0x1.6b6902753e041p-19, 0x1.65d7421d7ee3dp-19, 0x1.603921ad5c0fap-19, 0x1.5a8f59066a9ddp-19, 0x1.54da9df821d44p-19, 0x1.4f1ba383e0ca9p-19, 0x1.49531a51b235cp-19, 0x1.4381b0b6cdcd5p-19, 0x1.3da81208b83ffp-19, 0x1.37c6e798d1efep-19, 0x1.31ded7f647ee9p-19, 0x1.2bf087312d5d7p-19, 0x1.25fc96c6ffe4p-19, 0x1.2003a59710114p-19, 0x1.1a064ff421e45p-19, 0x1.14052f94a33bap-19, 0x1.0e00db9411d06p-19, 0x1.07f9e8715c295p-19, 0x1.01f0e80d8ea5p-19, 0x1.f7ccd35d6bd8ep-20, 0x1.ebb5f3df2d1edp-20, 0x1.df9e45adb50efp-20, 0x1.d386d78e681abp-20, 0x1.c770b2d09af8ep-20, 0x1.bb5cdc28d5c8ep-20, 0x1.af4c51fcf3b7ap-20, 0x1.a3400ef8fa167p-20, 0x1.9739074666877p-20, 0x1.8b382a4831852p-20, 0x1.7f3e622cde6b2p-20, 0x1.734c9452495adp-20, 0x1.67639f83a5025p-20, 0x1.5b845fa55b909p-20, 0x1.4fafa9e8a3e5ep-20, 0x1.43e64ed4895eep-20, 0x1.38291a107fe09p-20, 0x1.2c78d1ab6c345p-20, 0x1.20d637400a9d3p-20, 0x1.15420740edb8dp-20, 0x1.09bcf92c63097p-20, 0x1.fc8f7f40ae5e8p-21, 0x1.e5c610a51f019p-21, 0x1.cf1ef84a3e9bep-21, 0x1.b89b7e5aaa991p-21, 0x1.a23ce181ada74p-21, 0x1.8c0456e69fe55p-21, 0x1.75f30a68b538fp-21, 0x1.600a1e9a9bbedp-21, 0x1.4a4aacdb821d7p-21, 0x1.34b5c57db76f8p-21, 0x1.1f4c6fc67bffp-21, 0x1.0a0faa15682e4p-21, 0x1.ea00d49340eadp-22, 0x1.c03f38ab73f97p-22, 0x1.96dc4a8d7723cp-22, 0x1.6dd9c10bbdac4p-22, 0x1.453942b744c6ap-22, 0x1.1cfc656ea89f5p-22, 0x1.ea495d4b612e9p-23, 0x1.9b67272c2d943p-23, 0x1.4d54f2d31d4fdp-23, 0x1.00156b38e78dp-23, 0x1.675637e7e4219p-24, 0x1.a061c78c89b8ap-25, 0x1.d5fbb9a996c5ep-27, -0x1.63e6bc9467032p-26, -0x1.d5ecc7225bad8p-25, -0x1.7b32bb73b4102p-24, -0x1.04d581e50e8a9p-23, -0x1.4b2de0a7a7959p-23, -0x1.90a0d782e418ap-23, -0x1.d52ce0be27e86p-23, -0x1.0c6847e91896p-22, -0x1.2dc54986b508ap-22, -0x1.4eacda93e82adp-22, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.a8adf616a0328p-4, -0x1.9ee46cc3274b9p-3, -0x1.2c611de3c8a46p-2, -0x1.7ec047b62455p-2, -0x1.c544489c2c94ap-2, -0x1.ff514f111532ap-2, -0x1.16669c91465d8p-1, -0x1.26fd9318a6fbap-1, -0x1.31b0627026ae4p-1, -0x1.36d8dd53ad92p-1, -0x1.36dfc7d39649dp-1, -0x1.3236b744a4de7p-1, -0x1.2954262dded67p-1, -0x1.1caf04fe5fc47p-1, -0x1.0cbcd557ac3c3p-1, -0x1.f3df06c6bd09p-2, -0x1.c967dc5135078p-2, -0x1.9ae2231151597p-2, -0x1.690e888108aacp-2, -0x1.349f9b08a17e4p-2, -0x1.fc7380bca7eafp-3, -0x1.8ce5bd636952dp-3, -0x1.1ba5533d48aep-3, -0x1.534bdc87f7f7ap-4, -0x1.be03f496cb33ap-6, 0x1.ca5741f8d4a8cp-6, 0x1.51a63cccbd418p-4, 0x1.164717e1ec378p-3, 0x1.8129222299cadp-3, 0x1.e90ede4dff8dfp-3, 0x1.26cfb747715a1p-2, 0x1.5748f699e7fe5p-2, 0x1.85d5f32735027p-2, 0x1.b25ff08e4eafcp-2, 0x1.dcd601abe2df9p-2, 0x1.029633fb6e722p-1, 0x1.15ae001acf4ap-1, 0x1.27b0de10985bep-1, 0x1.389f125d7e738p-1, 0x1.487a6f9a3a96ap-1, 0x1.57461ad108dbap-1, 0x1.650656f8d5effp-1, 0x1.71c05b938f9e8p-1, 0x1.7d7a33fe8f467p-1, 0x1.883aa0ff9acecp-1, 0x1.9208f8c943548p-1, 0x1.9aed0733b2e72p-1, 0x1.a2eef2204054cp-1, 0x1.aa17239bdc2c2p-1, 0x1.b06e37c95098fp-1, 0x1.b5fceb70eabdbp-1, 0x1.bacc09c2250e5p-1, 0x1.bee45a649e642p-1, 0x1.c24e924a2908bp-1, 0x1.c513145d0c9bbp-1, 0x1.c73aa3d7d6807p-1, 0x1.c8cd8a8a54334p-1, 0x1.c9d3f12e171a6p-1, 0x1.ca55c9c6e366bp-1, 0x1.ca5acac5987ecp-1, 0x1.c9ea6bd938391p-1, 0x1.c90be4437938cp-1, 0x1.c7c62a3d2af6bp-1, 0x1.c61ff2d457aa2p-1, 0x1.c41fb1c0b65bbp-1, 0x1.c1cb98e896a15p-1, 0x1.bf29979d35f2bp-1, 0x1.bc3f59d30da59p-1, 0x1.b91247b535617p-1, 0x1.b5a785e7909e1p-1, 0x1.b203f6a4d1895p-1, 0x1.ae2c3bb41b5e9p-1, 0x1.aa24b906404d7p-1, 0x1.a5f197af0c1c2p-1, 0x1.a196c8e87a00ap-1, 0x1.9d1808dac0b3cp-1, 0x1.9878e0feb3f9cp-1, 0x1.93bcaa0fa1d31p-1, 0x1.8ee68d9dcbf5dp-1, 0x1.89f98764b58f8p-1, 0x1.84f8668e3ae9ep-1, 0x1.7fe5cf0621afp-1, 0x1.7ac43af580e9ap-1, 0x1.7595fc6ee2c18p-1, 0x1.705d3f4752ac6p-1, 0x1.6b1c0b0ff18f7p-1, 0x1.65d4451fd686cp-1, 0x1.6087b29df7cf4p-1, 0x1.5b37fa7d70f64p-1, 0x1.55e6a7622dadbp-1, 0x1.50952967d3361p-1, 0x1.4b44d7c813c9p-1, 0x1.45f6f2601aa91p-1, 0x1.40aca316762c3p-1, 0x1.3b66ff23d3797p-1, 0x1.3627084141532p-1, 0x1.30edadbe9718p-1, 0x1.2bbbcd835b9c4p-1, 0x1.269234fc2c01ep-1, 0x1.2171a1f67d557p-1, 0x1.1c5ac36c89259p-1, 0x1.174e3a43785e7p-1, 0x1.124c99fe27999p-1, 0x1.0d5669672f3e3p-1, 0x1.086c2334f3172p-1, 0x1.038e36aa57d93p-1, 0x1.fd7a106c7c68ap-2, 0x1.f3f1e4265661ep-2, 0x1.ea8489cf3ec08p-2, 0x1.e13290cd64e01p-2, 0x1.d7fcf35967d72p-2, 0x1.cee2cdd4201afp-2, 0x1.c5e556131d4eap-2, 0x1.bd04e57187b78p-2, 0x1.b441c8dfa15a2p-2, 0x1.ab9c419299581p-2, 0x1.a31485ae370b7p-2, 0x1.9aaac0e9ccfdbp-2, 0x1.925f15312ff62p-2, 0x1.8a319b41f023bp-2, 0x1.8222634492d96p-2, 0x1.7a3175614092p-2, 0x1.725ed24f33c9dp-2, 0x1.6aaa73de1d7ep-2, 0x1.63144d78c9ad9p-2, 0x1.5b9c4ca06d733p-2, 0x1.5442596031a41p-2, 0x1.4d0656b8c842bp-2, 0x1.45e823040b01ap-2, 0x1.3ee79850d338dp-2, 0x1.38048cb75dfabp-2, 0x1.313ed2a6b8c1cp-2, 0x1.2a96392bb40dp-2, 0x1.240a8c31f64bcp-2, 0x1.1d9b94bfbcb65p-2, 0x1.1749192cda547p-2, 0x1.1112dd557dfap-2, 0x1.0af8a2c936d9fp-2, 0x1.04fa28f6afc09p-2, 0x1.fe2e5aa9036d3p-3, 0x1.f29ed70ef6963p-3, 0x1.e7453b0d71bdep-3, 0x1.dc20f77b90012p-3, 0x1.d1317a5a51eebp-3, 0x1.c6762f12ba392p-3, 0x1.bbee7eb16bd14p-3, 0x1.b199d020223e2p-3, 0x1.a777885d302f2p-3, 0x1.9d870ab142bafp-3, 0x1.93c7b8e37ae3dp-3, 0x1.8a38f36bea921p-3, 0x1.80da19a47eb26p-3, 0x1.77aa89f837ae3p-3, 0x1.6ea9a210b9ebap-3, 0x1.65d6bf0207b59p-3, 0x1.5d313d745ca2bp-3, 0x1.54b879cc12b9cp-3, 0x1.4c6bd04f6f06ep-3, 0x1.444a9d4a5e6c6p-3, 0x1.3c543d3005a9p-3, 0x1.34880cba28177p-3, 0x1.2ce5690668ad1p-3, 0x1.256bafb170a5fp-3, 0x1.1e1a3eeffcc01p-3, 0x1.16f075a5f6d89p-3, 0x1.0fedb37ba7598p-3, 0x1.091158f118dccp-3, 0x1.025ac76fd4b71p-3, 0x1.f792c2b623db5p-4, 0x1.eab9143cdcadp-4, 0x1.de274c76d45d2p-4, 0x1.d1dc36ab5517fp-4, 0x1.c5d6a07c742cfp-4, 0x1.ba1559fba3664p-4, 0x1.ae9735bca879fp-4, 0x1.a35b08e7230c3p-4, 0x1.985fab46c1ap-4, 0x1.8da3f75a6363fp-4, 0x1.8326ca6238f94p-4, 0x1.78e7046d040ccp-4, 0x1.6ee388648ff7fp-4, 0x1.651b3c196fe88p-4, 0x1.5b8d084e0dfc2p-4, 0x1.5237d8c11afa8p-4, 0x1.491a9c37590b2p-4, 0x1.40344484c9d94p-4, 0x1.3783c6953ff88p-4, 0x1.2f081a744d8f9p-4, 0x1.26c03b549237cp-4, 0x1.1eab27966405bp-4, 0x1.16c7e0cdd0643p-4, 0x1.0f156bc7f519fp-4, 0x1.0792d08fadf6ep-4, 0x1.003f1a719b06cp-4, 0x1.f232affef73p-5, 0x1.e4413625c7158p-5, 0x1.d6a7f19e9e40bp-5, 0x1.c96513472ba6ep-5, 0x1.bc76d29582fdep-5, 0x1.afdb6d98aa2d1p-5, 0x1.a39128f7fbacfp-5, 0x1.97964ff17d805p-5, 0x1.8be9345731598p-5, 0x1.80882e8b68d41p-5, 0x1.75719d7c295f5p-5, 0x1.6aa3e69db1174p-5, 0x1.601d75e4233bp-5, 0x1.55dcbdbc6783ep-5, 0x1.4be037044851fp-5, 0x1.42266101d6057p-5, 0x1.38adc15a20668p-5, 0x1.2f74e407472afp-5, 0x1.267a5b4dec818p-5, 0x1.1dbcbfb2137cbp-5, 0x1.153aafeb73dd5p-5, 0x1.0cf2d0d946677p-5, 0x1.04e3cd7591d93p-5, 0x1.fa18ad900f48dp-6, 0x1.ead647b0d7b1bp-6, 0x1.dbfde341318e9p-6, 0x1.cd8d05fc4041dp-6, 0x1.bf81414728413p-6, 0x1.b1d6bf8488538p-6, 0x1.a48dfe045317ap-6, 0x1.97a35030cb307p-6, 0x1.8b1474d1cac8ep-6, 0x1.7edf35ba63e99p-6, 0x1.730167a904bc4p-6, 0x1.6778ea2720a9ep-6, 0x1.5c43a768866f6p-6, 0x1.515f942a5b6c4p-6, 0x1.46caaf91c3e81p-6, 0x1.3c83030a47cap-6, 0x1.3286a223fc347p-6, 0x1.28d3aa71709c1p-6, 0x1.1f6843656e21fp-6, 0x1.16429e308cb44p-6, 0x1.0d60f59ead723p-6, 0x1.04c18df45781dp-6, 0x1.f8c56997ff91cp-7, 0x1.e88581e694a2cp-7, 0x1.d8c02490823e4p-7, 0x1.c972232d1d14bp-7, 0x1.ba9860e97a772p-7, 0x1.ac2fd243056abp-7, 0x1.9e357cc243966p-7, 0x1.90a676b5ab142p-7, 0x1.837fe6ecdefe9p-7, 0x1.76bf0473fb7adp-7, 0x1.6a61164f5528bp-7, 0x1.5e6373376e0f1p-7, 0x1.52c381555deeep-7, 0x1.477eb5ff93f52p-7, 0x1.3c929576fc7cap-7, 0x1.31fcb2a4a33a3p-7, 0x1.27baaed7d62e2p-7, 0x1.1dca3984b5a8bp-7, 0x1.1429100357ccbp-7, 0x1.0ad4fd4f7471ap-7, 0x1.01cbd9c8a0939p-7, 0x1.f21715e640fbdp-8, 0x1.e1240672b0dbdp-8, 0x1.d0ba835bb51cdp-8, 0x1.c0d6a39c29eefp-8, 0x1.b174968b5ea4ep-8, 0x1.a290a365138d6p-8, 0x1.942728d2ea811p-8, 0x1.86349c772a558p-8, 0x1.78b58a78ed6a2p-8, 0x1.6ba69511c0a95p-8, 0x1.5f04741cb2fc3p-8, 0x1.52cbf4a6d60a5p-8, 0x1.46f9f88142488p-8, 0x1.3b8b75d46bacap-8, 0x1.307d76b546d09p-8, 0x1.25cd18bb8595bp-8, 0x1.1b778c99a751p-8, 0x1.117a15b655f2cp-8, 0x1.07d209c75760dp-8, 0x1.fcf9a0dbd2267p-9, 0x1.eaefc5a9872fap-9, 0x1.d981969ee3a59p-9, 0x1.c8aa49f666e11p-9, 0x1.b86536c2b7ca7p-9, 0x1.a8add43651424p-9, 0x1.997fb8ee066edp-9, 0x1.8ad69a3e91094p-9, 0x1.7cae4b84dd19cp-9, 0x1.6f02bd79482e7p-9, 0x1.61cffd859c518p-9, 0x1.5512351ded969p-9, 0x1.48c5a91c432a5p-9, 0x1.3ce6b91ed6f98p-9, 0x1.3171dee94a836p-9, 0x1.2663adc85c4eep-9, 0x1.1bb8d1f86c42bp-9, 0x1.116e100e7afffp-9, 0x1.07804463f8af5p-9, 0x1.fbd8c509f2d8bp-10, 0x1.e95ee9422eb8fp-10, 0x1.d78d35fdb7361p-10, 0x1.c65e16e322864p-10, 0x1.b5cc21a37b693p-10, 0x1.a5d214ef9e58dp-10, 0x1.966ad772f2138p-10, 0x1.879176d2e6dfdp-10, 0x1.794126b2a24b4p-10, 0x1.6b753fbc59929p-10, 0x1.5e293eae9616ep-10, 0x1.5158c36e7458p-10, 0x1.44ff901e739d8p-10, 0x1.39198839f0349p-10, 0x1.2da2afb4bdc55p-10, 0x1.22972a1feed84p-10, 0x1.17f339d280c6bp-10, 0x1.0db33f168f58ep-10, 0x1.03d3b75b0c3d8p-10, 0x1.f4a278d368315p-11, 0x1.e251074291defp-11, 0x1.d0acba6868c87p-11, 0x1.bfaf66d6421d7p-11, 0x1.af5313d7c54cfp-11, 0x1.9f91fa0931017p-11, 0x1.906681f59f72fp-11, 0x1.81cb42bcff136p-11, 0x1.73bb00c29cee4p-11, 0x1.6630ac633bfb4p-11, 0x1.592760b2f3076p-11, 0x1.4c9a62430ce1dp-11, 0x1.40851deecc5ebp-11, 0x1.34e327b050567p-11, 0x1.29b0397c6ff88p-11, 0x1.1ee832262209dp-11, 0x1.148714486ba51p-11, 0x1.0a890537e769cp-11, 0x1.00ea4bfad54dep-11, 0x1.ef4ea0903e516p-12, 0x1.dd793318fb3d1p-12, 0x1.cc4d9becfb76cp-12, 0x1.bbc56312a3af1p-12, 0x1.abda4a6a092cdp-12, 0x1.9c864be8fa056p-12, 0x1.8dc397e625fa7p-12, 0x1.7f8c936cf9056p-12, 0x1.71dbd69d8433fp-12, 0x1.64ac2b186585fp-12, 0x1.57f88a74b98bep-12, 0x1.4bbc1cc0ca055p-12, 0x1.3ff2370dc9a7cp-12, 0x1.34965a0422811p-12, 0x1.29a43084034dfp-12, 0x1.1f178e4d354dfp-12, 0x1.14ec6eb198926p-12, 0x1.0b1ef350d8302p-12, 0x1.01ab62dc415b7p-12, 0x1.f11c4fc84607fp-13, 0x1.df879f5a45bcep-13, 0x1.ce92121d15a27p-13, 0x1.be3546aeedab5p-13, 0x1.ae6b1a7a229b1p-13, 0x1.9f2da79fcc97cp-13, 0x1.907742f19b6ffp-13, 0x1.824279f9e8fe8p-13, 0x1.748a11139c4a5p-13, 0x1.6749018cd2a78p-13, 0x1.5a7a77da13213p-13, 0x1.4e19d1d530475p-13, 0x1.42229d0953942p-13, 0x1.3690950b3d6adp-13, 0x1.2b5fa1df4a81p-13, 0x1.208bd6684e16fp-13, 0x1.16116ee528667p-13, 0x1.0beccf7854cf8p-13, 0x1.021a82ba41a04p-13, 0x1.f12e70ace1239p-14, 0x1.debf876a0ea0cp-14, 0x1.cce23557fc25dp-14, 0x1.bb90a877416d2p-14, 0x1.aac54ea97d446p-14, 0x1.9a7ad350a0242p-14, 0x1.8aac1d01d052bp-14, 0x1.7b544b44cdee5p-14, 0x1.6c6eb471fd7e3p-14, 0x1.5df6e391ff03ap-14, 0x1.4fe896580ef16p-14, 0x1.423fbb2bf2847p-14, 0x1.34f86f3eb68cbp-14, 0x1.280efcb448696p-14, 0x1.1b7fd8db93efcp-14, 0x1.0f47a271a1b05p-14, 0x1.03631ff785ec7p-14, 0x1.ef9e7c29176c1p-15, 0x1.d9121c077da7dp-15, 0x1.c31b882d9d58ap-15, 0x1.adb56c739b5fp-15, 0x1.98dab51b681bbp-15, 0x1.84868c150b112p-15, 0x1.70b4565e0da09p-15, 0x1.5d5fb1764b3ccp-15, 0x1.4a8470ec15be7p-15, 0x1.381e9bfdef75cp-15, 0x1.262a6b51f039bp-15, 0x1.14a446c6b8effp-15, 0x1.0388c34ccbd67p-15, 0x1.e5a941bf03e64p-16, 0x1.c5099118a6543p-16, 0x1.a52c9515e4954p-16, 0x1.860cb8d3a1d93p-16, 0x1.67a4ae9dfc4cfp-16, 0x1.49ef6c7e06bcbp-16, 0x1.2ce82907e5626p-16, 0x1.108a582adf81dp-16, 0x1.e9a3506cf9fb3p-17, 0x1.b373fddf377f6p-17, 0x1.7e7eed872b37p-17, 0x1.4abcb8596d596p-17, 0x1.18265615dba9cp-17, 0x1.cd6a30f79829p-18, 0x1.6cc54cf98764bp-18, 0x1.0e51ef6ed677cp-18, 0x1.64094076ecd91p-19, 0x1.5f49de4b9243fp-20, -0x1.3ba8157813fc5p-28, -0x1.59a58d617f7b7p-20, -0x1.550cb3e78c0acp-19, -0x1.f95d81b56305ep-19, -0x1.4ceb1f99ea3cfp-18, -0x1.9b439877f8505p-18, -0x1.e7bfeea12b4dap-18, -0x1.1933c60022ba2p-17, -0x1.3da0c3697ad78p-17, -0x1.612a537e41adcp-17, -0x1.83d3b590707cbp-17, -0x1.a5a006ad4b88dp-17, -0x1.c6924402b97acp-17, -0x1.e6ad4cfffb637p-17, -0x1.02f9f2ba920c7p-16, -0x1.12345bba93be8p-16, -0x1.21072aae16d56p-16, -0x1.2f739dbfaf18cp-16, -0x1.3d7ae8f24ac98p-16, -0x1.4b1e36ee8db08p-16, -0x1.585ea9c03b8eep-16, -0x1.653d5b96226cep-16, -0x1.71bb5f6954bdp-16, -0x1.7dd9c1a248819p-16, -0x1.899acb94a816dp-16, -0x1.94fd384d56ddbp-16, -0x1.a0030643cc646p-16, -0x1.aaad2d208d74p-16, -0x1.b4fca0aac5197p-16, -0x1.bef25138f881fp-16, -0x1.c88f2c1c00782p-16, -0x1.d1d41bfbd9a95p-16, -0x1.dac2093cfb8afp-16, -0x1.e359da4739e58p-16, -0x1.eb9c73e630e15p-16, -0x1.f38ab986fc5f9p-16, -0x1.fb258d7efd6b2p-16, -0x1.0136e8a5244c3p-15, -0x1.04b232e27cffp-15, -0x1.080515b07b056p-15, -0x1.0b3001287314bp-15, -0x1.0e33655d99309p-15, -0x1.110fb26c875d5p-15, -0x1.13c558946be5ep-15, -0x1.1654c83c8be2cp-15, -0x1.18be7209500dbp-15, -0x1.1b02c6e4c4891p-15, -0x1.1d22381286314p-15, -0x1.1f1d372a92974p-15, -0x1.20f4362af7614p-15, -0x1.22a7a77cf4fbdp-15, -0x1.2437fdf94a8f3p-15, -0x1.25a5aceb68eeep-15, -0x1.26f128166840dp-15, -0x1.281ae3b773537p-15, -0x1.2923547fff8dap-15, -0x1.2a0aefa02db1ep-15, -0x1.2ad22abdd55b6p-15, -0x1.2b797bf659017p-15, -0x1.2c0159de2e5a2p-15, -0x1.2c6a3b77b7c25p-15, -0x1.2cb49834005p-15, -0x1.2ce0e7ed2a291p-15, -0x1.2cefa2e1acbdep-15, -0x1.2ce141aecb694p-15, -0x1.2cb63d48a0bb9p-15, -0x1.2c6f0ef7cc012p-15, -0x1.2c0c304f8c12ap-15, -0x1.2b8e1b276b7aap-15, -0x1.2af54993e4835p-15, -0x1.2a4235de0dbfcp-15, -0x1.29755a7c5f9bap-15, -0x1.288f3209e159ap-15, -0x1.2790373fdd823p-15, -0x1.2678e4e5ddcfdp-15, -0x1.2549b5d1beff9p-15, -0x1.240324dbb6686p-15, -0x1.22a5acd3dd665p-15, -0x1.2131c879f158dp-15, -0x1.1fa7f27431b9bp-15, -0x1.1e08a545f28cp-15, -0x1.1c545b46abcefp-15, -0x1.1a8b8e988db98p-15, -0x1.18aeb9206e7a5p-15, -0x1.16be5476ff3a8p-15, -0x1.14bad9e872681p-15, -0x1.12a4c2695696ap-15, -0x1.107c8684a080cp-15, -0x1.0e429e5d0c1d5p-15, -0x1.0bf7819fe01cfp-15, -0x1.099ba77c60ce2p-15, -0x1.072f869ce7d23p-15, -0x1.04b3951baf803p-15, -0x1.0228487c49b7cp-15, -0x1.ff1c2b45cfca3p-16, -0x1.f9cae19883d03p-16, -0x1.f45d9b0b4efe5p-16, -0x1.eed53d4a707dep-16, -0x1.e932ac855ba22p-16, -0x1.e376cb5ca00b3p-16, -0x1.dda27ad840a24p-16, -0x1.d7b69a564b8e9p-16, -0x1.d1b4077de2841p-16, -0x1.cb9b9e33b4016p-16, -0x1.c56e38856ac84p-16, -0x1.bf2caea86bc53p-16, -0x1.b8d7d6e4ee574p-16, -0x1.b27085906bbc4p-16, -0x1.abf78cfb6c8aap-16, -0x1.a56dbd6b2896ap-16, -0x1.9ed3e512d6dbdp-16, -0x1.982acff4e48cap-16, -0x1.917347f8bab9ep-16, -0x1.8aae14c9d6124p-16, -0x1.83dbfbd856ff5p-16, -0x1.7cfdc04dfc97fp-16, -0x1.761423049139dp-16, -0x1.6f1fe2815becap-16, -0x1.6821baeb95a1ap-16, -0x1.611a6605f7cdap-16, -0x1.5a0a9b282a95bp-16, -0x1.52f30f388ff0fp-16, -0x1.4bd474a7a24f3p-16, -0x1.44af7b65e1a8p-16, -0x1.3d84d0e5ca716p-16, -0x1.3655201281a22p-16, -0x1.2f21114aeb4a9p-16, -0x1.27e94a64f65f9p-16, -0x1.20ae6e9b96e1ep-16, -0x1.19711ea1583a1p-16, -0x1.1231f885d5128p-16, -0x1.0af197c1e2641p-16, -0x1.03b09531b61aep-16, -0x1.f8df0e30d79cfp-17, -0x1.ea5e020b14998p-17, -0x1.dbdf28053b4dbp-17, -0x1.cd639ccd5827ep-17, -0x1.beec77d40c273p-17, -0x1.b07acb4c3c26fp-17, -0x1.a20fa40c7554p-17, -0x1.93ac09bd7a0f2p-17, -0x1.8550febd1e861p-17, -0x1.76ff80276e92bp-17, -0x1.68b885d9f8cep-17, -0x1.5a7d02754995fp-17, -0x1.4c4de36146124p-17, -0x1.3e2c10d0db709p-17, -0x1.30186dc7c81b6p-17, -0x1.2213d819c8995p-17, -0x1.141f287886fa9p-17, -0x1.063b32739a8ecp-17, -0x1.f0d188ffc5cf5p-18, -0x1.d5514ffec6d0cp-18, -0x1.b9f7428cd875fp-18, -0x1.9ec4df4898ec7p-18, -0x1.83bb9ae093e82p-18, -0x1.68dcdff831dddp-18, -0x1.4e2a0f7912ad2p-18, -0x1.33a4807a03621p-18, -0x1.194d805e2d9c5p-18, -0x1.fe4ca5c87918dp-19, -0x1.ca606479608acp-19, -0x1.96d89e3acff36p-19, -0x1.63b7a1aefe417p-19, -0x1.30ffaacf2e957p-19, -0x1.fd65c652f387bp-20, -0x1.99a6c3fa6b9cep-20, -0x1.36c658df37173p-20, -0x1.a990d6ab155f7p-21, -0x1.cec2faa194f3fp-22, -0x1.382f25d6ce8aap-24, 0x1.2ef5f144cde19p-22, 0x1.541a652e3ec84p-21, 0x1.0768f789b21f7p-20, 0x1.63cdb40792fedp-20, 0x1.bf3871d6fd7afp-20, 0x1.0cd32dc89752cp-19, 0x1.398a5e2b3652p-19, }}, 
      {{-0x1.1a93cec41add3p+2, -0x1.14162fbfa9825p+2, -0x1.0adb123d1ab44p+2, -0x1.ffb3c0007bb65p+1, -0x1.e79c661fcf83ap+1, -0x1.ce8b812e71b81p+1, -0x1.b553f23e52c49p+1, -0x1.9c90251aac1ffp+1, -0x1.84ae8bb2ccabap+1, -0x1.6dfb755dba80ep+1, -0x1.58a8d08741255p+1, -0x1.44d435bde5e44p+1, -0x1.328b8abe49214p+1, -0x1.21d123bfb6c21p+1, -0x1.129e60512beb6p+1, -0x1.04e633ee3bfap+1, -0x1.f12decdaa9425p+0, -0x1.db37b5c0204c3p+0, -0x1.c7bc38a04b07cp+0, -0x1.b68bbd5934407p+0, -0x1.a775a7c79883fp+0, -0x1.9a49c7753a35dp+0, -0x1.8ed91a7f59429p+0, -0x1.84f638e2b530ep+0, -0x1.7c75c85efa4e5p+0, -0x1.752ee339761a7p+0, -0x1.6efb76cac6651p+0, -0x1.69b80ddcbea12p+0, -0x1.6543e008f3cdap+0, -0x1.6180eedfd13f8p+0, -0x1.5e53e81e38693p+0, -0x1.5ba407ff62523p+0, -0x1.595af8fedd89ap+0, -0x1.5764b58aad14ep+0, -0x1.55af69772fd84p+0, -0x1.542b4f009c8b1p+0, -0x1.52ca867d1dd89p+0, -0x1.5180ec1086bcbp+0, -0x1.5043ef677d83cp+0, -0x1.4f0a6f50fd46cp+0, -0x1.4dcc9959ab29dp+0, -0x1.4c83cd3c5f6eap+0, -0x1.4b2a83521e901p+0, -0x1.49bc33cc23175p+0, -0x1.48353c5dcd55cp+0, -0x1.4692c4181582bp+0, -0x1.44d29fdb05fc9p+0, -0x1.42f33a7e053a4p+0, -0x1.40f38231b6d68p+0, -0x1.3ed2da3f5271fp+0, -0x1.3c910ef503bdep+0, -0x1.3a2e49d2d82ffp+0, -0x1.37ab054055aeap+0, -0x1.3508003684a6ap+0, -0x1.3246113069535p+0, -0x1.2f66c25747c4ap+0, -0x1.2c6b23f1ed02dp+0, -0x1.29549c8cfa8d1p+0, -0x1.2624a993e2255p+0, -0x1.22dcd94993005p+0, -0x1.1f7ec57b0e38ep+0, -0x1.1c0c0ef3c3072p+0, -0x1.188659aca9bb1p+0, -0x1.14ef499a18458p+0, -0x1.11487fef2d2dcp+0, -0x1.0d9398b04ebd6p+0, -0x1.09d2287e0da8cp+0, -0x1.0605ba967a398p+0, -0x1.022fcf1a30602p+0, -0x1.fca3b34e98d72p-1, -0x1.f4da80ad0dca6p-1, -0x1.ed06b634bcc45p-1, -0x1.e52ae6e56570bp-1, -0x1.dd4988bab183bp-1, -0x1.d564f4d1660e9p-1, -0x1.cd7f67a157a65p-1, -0x1.c59b012da110fp-1, -0x1.bdb9c52167948p-1, -0x1.b5dd9ae1d7b8ap-1, -0x1.ae084da91ab06p-1, -0x1.a63b8cc035648p-1, -0x1.9e78ebe834a1cp-1, -0x1.96c1e3f956cc9p-1, -0x1.8f17d3b496a1dp-1, -0x1.877c00bc580f1p-1, -0x1.7fef98a52cdc5p-1, -0x1.7873b20fdf66ep-1, -0x1.71094dc0dc04ep-1, -0x1.69b157ad6a966p-1, -0x1.626ca7fb6e0a5p-1, -0x1.5b3c03f3ce583p-1, -0x1.54201ee9cbfa5p-1, -0x1.4d199b1a40fb5p-1, -0x1.46290a8590296p-1, -0x1.3f4eefc5feda3p-1, -0x1.388bbee2e92f2p-1, -0x1.31dfde1ff1dccp-1, -0x1.2b4ba6c65f3b3p-1, -0x1.24cf65e65ce67p-1, -0x1.1e6b5d0df0f54p-1, -0x1.181fc2f4141ebp-1, -0x1.11ecc4175468ap-1, -0x1.0bd283507d14p-1, -0x1.05d11a5ac544fp-1, -0x1.ffd134a777ba5p-2, -0x1.f432186aecc84p-2, -0x1.e8c4e29adab4ap-2, -0x1.dd898763e89c9p-2, -0x1.d27fed6f18aefp-2, -0x1.c7a7eecce998bp-2, -0x1.bd01aa005b2d8p-2, -0x1.b28c18e73a616p-2, -0x1.a8476c0a9d40ap-2, -0x1.9e3356e8094b3p-2, -0x1.944f84b08293ap-2, -0x1.8a9b98de3635cp-2, -0x1.81172fc499fd2p-2, -0x1.77c1df1bfb0bdp-2, -0x1.6e9b3688fc5e2p-2, -0x1.65a2c02024642p-2, -0x1.5cd800e54085bp-2, -0x1.543a794635732p-2, -0x1.4bc9a590c18ep-2, -0x1.4384fe62a43d1p-2, -0x1.3b6bf913cb9bep-2, -0x1.337e081a2d0c1p-2, -0x1.2bba9b672b2ffp-2, -0x1.242120be8559fp-2, -0x1.1cb10406f7247p-2, -0x1.1569af94c8d81p-2, -0x1.0e4a8c6ead6eap-2, -0x1.0753028d4b6ddp-2, -0x1.00827915e3d57p-2, -0x1.f3b0ad20f42c1p-3, -0x1.e6a80233c2aa8p-3, -0x1.d9e9bd2414171p-3, -0x1.cd74a98dc1cd6p-3, -0x1.c14793380d43ep-3, -0x1.b561465f36a31p-3, -0x1.a9c08ff8bf17ap-3, -0x1.9e643df2afb48p-3, -0x1.934b1f6e4689ap-3, -0x1.887404f6753e6p-3, -0x1.7dddc0b27f792p-3, -0x1.73872695075c8p-3, -0x1.696f0c87efe69p-3, -0x1.5f944a953e87bp-3, -0x1.55f5bb0d5af28p-3, -0x1.4c923aaace905p-3, -0x1.4368a8b3bda85p-3, -0x1.3a77e719400cep-3, -0x1.31beda94a841cp-3, -0x1.293c6ac2dc4cp-3, -0x1.20ef823dbae3p-3, -0x1.18d70eb3a3e1fp-3, -0x1.10f200fd1b2ebp-3, -0x1.093f4d308fc12p-3, -0x1.01bdeab4450bp-3, -0x1.f4d9a89cbf3e5p-4, -0x1.e69610663d8ddp-4, -0x1.d8af102295de4p-4, -0x1.cb22b239bc691p-4, -0x1.bdef082ffbdbdp-4, -0x1.b1122ab48dec6p-4, -0x1.a48a39ad36ab6p-4, -0x1.98555c3ec8e3dp-4, -0x1.8c71c0d3055c2p-4, -0x1.80dd9d1bd1183p-4, -0x1.75972e1418fdfp-4, -0x1.6a9cb7fe8476p-4, -0x1.5fec86622d654p-4, -0x1.5584ec058ca36p-4, -0x1.4b6442e7cd9acp-4, -0x1.4188ec38ac991p-4, -0x1.37f1504f13b82p-4, -0x1.2e9bde9e900c4p-4, -0x1.25870dabc5736p-4, -0x1.1cb15affffa12p-4, -0x1.14194b1bf6644p-4, -0x1.0bbd6969e0116p-4, -0x1.039c482edcf9ep-4, -0x1.f76900f7ab996p-5, -0x1.e809643ba5018p-5, -0x1.d917071ba6eep-5, -0x1.ca8f43c078437p-5, -0x1.bc6f8167a6d44p-5, -0x1.aeb53440b3a87p-5, -0x1.a15ddd498a124p-5, -0x1.94670a2a40db9p-5, -0x1.87ce551028b6bp-5, -0x1.7b9164884147ep-5, -0x1.6fadeb590cafbp-5, -0x1.6421a85be032ap-5, -0x1.58ea6655a4f96p-5, -0x1.4e05fbcf2e8f4p-5, -0x1.43724aed17fd8p-5, -0x1.392d414751bd4p-5, -0x1.2f34d7c04e8c8p-5, -0x1.2587125bf4cddp-5, -0x1.1c22001651fbp-5, -0x1.1303baba20b46p-5, -0x1.0a2a66b733b8ap-5, -0x1.019432f8c2f4cp-5, -0x1.f27eb1776314ap-6, -0x1.e25436c9a85f1p-6, -0x1.d2a590ae7d32fp-6, -0x1.c36f6d9539b85p-6, -0x1.b4ae8f4357825p-6, -0x1.a65fca8199d3bp-6, -0x1.988006c98e8ddp-6, -0x1.8b0c3df34fdc3p-6, -0x1.7e017be3c75b6p-6, -0x1.715cde3b4c05bp-6, -0x1.651b9404cc293p-6, -0x1.593add656306fp-6, -0x1.4db80b4c91b4bp-6, -0x1.42907f2506229p-6, -0x1.37c1aa85f3cb7p-6, -0x1.2d490ee5235a5p-6, -0x1.23243d49a9c9ep-6, -0x1.1950d5ff464a5p-6, -0x1.0fcc884a91da8p-6, -0x1.069470309a38ep-6, -0x1.fb4f2c77aadedp-7, -0x1.ea0676e09799p-7, -0x1.d94a9014618aep-7, -0x1.c917639b9a0aap-7, -0x1.b968f78199fbep-7, -0x1.aa3b6bc8f66a2p-7, -0x1.9b8af9e18204cp-7, -0x1.8d53f42043a0ap-7, -0x1.7f92c53919fa9p-7, -0x1.7243efba4aa5cp-7, -0x1.65640d89b0271p-7, -0x1.58efcf63fd75bp-7, -0x1.4ce3fc5d9dd85p-7, -0x1.413d7165a005p-7, -0x1.35f920ca509d6p-7, -0x1.2b1411bfd0972p-7, -0x1.208b5fe881fc6p-7, -0x1.165c3adf46cb7p-7, -0x1.0c83e5c3b1c4bp-7, -0x1.02ffb6c807a74p-7, -0x1.f39a2d8244e8cp-8, -0x1.e1d30170735c4p-8, -0x1.d0a502fcf2616p-8, -0x1.c00b6e84f4247p-8, -0x1.b001a24f37b22p-8, -0x1.a0831dbe46dd9p-8, -0x1.918b80868a7f7p-8, -0x1.831689e7d121bp-8, -0x1.752017ea92f6fp-8, -0x1.67a426a0da10dp-8, -0x1.5a9ecf6a8b471p-8, -0x1.4e0c483d79ed9p-8, -0x1.41e8e2f0cf004p-8, -0x1.36310c8bf8683p-8, -0x1.2ae14c99182ffp-8, -0x1.1ff6447ae1ebbp-8, -0x1.156caec5b82bbp-8, -0x1.0b415e9c6bec8p-8, -0x1.01713f0fe9e16p-8, -0x1.eff2a505206b8p-9, -0x1.ddad641d08583p-9, -0x1.cc0d19deb5d59p-9, -0x1.bb0c4fddd8bdap-9, -0x1.aaa5b9aa5348dp-9, -0x1.9ad433b65df19p-9, -0x1.8b92c2428e5cdp-9, -0x1.7cdc905016d7ap-9, -0x1.6eacee989faa9p-9, -0x1.60ff528c427ebp-9, -0x1.53cf555538ec8p-9, -0x1.4718b2e0e152ap-9, -0x1.3ad748eeffa36p-9, -0x1.2f071625bb5a2p-9, -0x1.23a4392b81959p-9, -0x1.18aaefc621e3bp-9, -0x1.0e1795fed9c05p-9, -0x1.03e6a54bec65ep-9, -0x1.f429677db2c2p-10, -0x1.e13ce66fdcf6fp-10, -0x1.cf01613c86ff6p-10, -0x1.bd70a639a24d4p-10, -0x1.ac84b6c7f49e3p-10, -0x1.9c37c5e021b43p-10, -0x1.8c8436a72df54p-10, -0x1.7d649b0d4966p-10, -0x1.6ed3b274b90d5p-10, -0x1.60cc6860e3428p-10, -0x1.5349d32e16e46p-10, -0x1.464732d14cf28p-10, -0x1.39bfefa00bf05p-10, -0x1.2daf991f6c5d9p-10, -0x1.2211e4db990b9p-10, -0x1.16e2ad4663047p-10, -0x1.0c1df09cff8a7p-10, -0x1.01bfcfd54bf0ap-10, -0x1.ef891b23413d6p-11, -0x1.dc511a386ad5dp-11, -0x1.c9d0a2d081192p-11, -0x1.b800f834f49dap-11, -0x1.a6db992fa1221p-11, -0x1.965a3e341d44dp-11, -0x1.8676d796e1a98p-11, -0x1.772b8bcecfaacp-11, -0x1.6872b5c38c85dp-11, -0x1.5a46e3274a497p-11, -0x1.4ca2d2db96b96p-11, -0x1.3f8173615634fp-11, -0x1.32dde153aa395p-11, -0x1.26b365ed95564p-11, -0x1.1afd7599d33a2p-11, -0x1.0fb7ae8c4b409p-11, -0x1.04ddd766e175bp-11, -0x1.f4d7bbcca221dp-12, -0x1.e0bbab3396bb6p-12, -0x1.cd5fed46ac1c9p-12, -0x1.babd39028856dp-12, -0x1.a8cc89c245263p-12, -0x1.97871cf40b744p-12, -0x1.86e66fe33adc8p-12, -0x1.76e43d8d4a23ap-12, -0x1.677a7c8cb2b06p-12, -0x1.58a35d0f8f5d3p-12, -0x1.4a5946e01eff1p-12, -0x1.3c96d77b7787dp-12, -0x1.2f56e03717989p-12, -0x1.2294647595933p-12, -0x1.164a97e806525p-12, -0x1.0a74dcde0da19p-12, -0x1.fe1d8549d30c6p-13, -0x1.e82807dec51abp-13, -0x1.d3010a9c9de22p-13, -0x1.bea0a7680edc8p-13, -0x1.aaff4607e426cp-13, -0x1.9815995bdd953p-13, -0x1.85dc9ca99e7f9p-13, -0x1.744d9100621ccp-13, -0x1.6361fab5b061ap-13, -0x1.53139eeeb38fdp-13, -0x1.435c81467ffcep-13, -0x1.3436e18399c52p-13, -0x1.259d396255f6p-13, -0x1.178a3a70e1bb2p-13, -0x1.09f8cc0003afdp-13, -0x1.f9c8124186748p-14, -0x1.e08e7d6faeb8p-14, -0x1.c83bd33cbb736p-14, -0x1.b0c769af1eaap-14, -0x1.9a28ef9b86853p-14, -0x1.8458694c058bep-14, -0x1.6f4e2d3e1677ep-14, -0x1.5b02e100471a4p-14, -0x1.476f762597c98p-14, -0x1.348d2759ba6bbp-14, -0x1.2255758b509edp-14, -0x1.10c22533703b8p-14, -0x1.ff9a775c4e138p-15, -0x1.dee1f96395495p-15, -0x1.bf4fcfb2ba4cdp-15, -0x1.a0d96c873f15ap-15, -0x1.8374b0a2d0177p-15, -0x1.6717e6cd5820ap-15, -0x1.4bb9bf9ccf687p-15, -0x1.31514d5b517dbp-15, -0x1.17d60010a738cp-15, -0x1.fe7f4362e58f4p-16, -0x1.cf0ca4e17f716p-16, -0x1.a1450a6fef5b9p-16, -0x1.7519f86e60cd7p-16, -0x1.4a7d8b3c76c02p-16, -0x1.216270e1a0763p-16, -0x1.f377c5dec5e98p-17, -0x1.a6fb412fa3ec1p-17, -0x1.5d37d251c3507p-17, -0x1.1616ecd14af52p-17, -0x1.a305ddd4f7598p-18, -0x1.1ece2ecc41b22p-18, -0x1.3ebdef9901bffp-19, -0x1.248ff8dc006e6p-21, 0x1.46f5af30e575ap-20, 0x1.87650352a557ep-19, 0x1.316f13e5b5fb8p-18, 0x1.9b139c9b00a4dp-18, 0x1.005fa6c24a80cp-17, 0x1.31480f96c1c7p-17, 0x1.60516f5648261p-17, 0x1.8d899da1b69cep-17, 0x1.b8fde9a6008e4p-17, 0x1.e2bb20563ab2fp-17, 0x1.0566c93735c21p-16, 0x1.18a08cfb01eb2p-16, 0x1.2b108ffcf769ap-16, 0x1.3cbc50d771226p-16, 0x1.4da91ab863241p-16, 0x1.5ddc07cbc9d5fp-16, 0x1.6d5a03829098ep-16, 0x1.7c27ccd0603adp-16, 0x1.8a49f838b6674p-16, 0x1.97c4f1db340e9p-16, 0x1.a49cff5b9471p-16, 0x1.b0d641b3fa9dp-16, 0x1.bc74b6fba56f2p-16, 0x1.c77c3c0dec1e5p-16, 0x1.d1f08e25f87b4p-16, 0x1.dbd54c6049bd2p-16, 0x1.e52df9336ac9cp-16, 0x1.edfdfbc88c29p-16, 0x1.f648a16060cc1p-16, 0x1.fe111e6a33288p-16, 0x1.02ad47f5d9801p-15, 0x1.0613fe3f9f1adp-15, 0x1.093e2ab9d0a37p-15, 0x1.0c2d3bea1dcb7p-15, 0x1.0ee296ad2dafbp-15, 0x1.115f96b12dcdcp-15, 0x1.13a58ee4c1b6cp-15, 0x1.15b5c9e21be4bp-15, 0x1.17918a5419e5fp-15, 0x1.193a0b56324fcp-15, 0x1.1ab080cf50934p-15, 0x1.1bf617c7dc4fdp-15, 0x1.1d0bf6bccfa57p-15, 0x1.1df33de970e44p-15, 0x1.1ead078c037bap-15, 0x1.1f3a68390e93dp-15, 0x1.1f9c6f0f9fa0dp-15, 0x1.1fd425fa00c8dp-15, 0x1.1fe291e75aaf3p-15, 0x1.1fc8b301fc0acp-15, 0x1.1f8784e26b6a7p-15, 0x1.1f1ffebf19ba9p-15, 0x1.1e93139adb567p-15, 0x1.1de1b26d490e2p-15, 0x1.1d0cc64bc9c95p-15, 0x1.1c153690ac68ep-15, 0x1.1afbe6f53a78ep-15, 0x1.19c1b7bf94885p-15, 0x1.186785d8427e6p-15, 0x1.16ee2aece175bp-15, 0x1.15567d79f6e79p-15, 0x1.13a150fe23f2ep-15, 0x1.11cf75fd6376dp-15, 0x1.0fe1ba1cc7591p-15, 0x1.0dd8e835a11fdp-15, 0x1.0bb5e403ed033p-15, 0x1.09794a3a81a27p-15, 0x1.0723ea4ac26fdp-15, 0x1.04b68489fdb77p-15, 0x1.0231d6d0f214dp-15, 0x1.ff2d390fcef7ep-16, 0x1.f9cb1d62ca074p-16, 0x1.f43ec7f3788ebp-16, 0x1.ee89a16097f75p-16, 0x1.e8ad0dc2d8decp-16, 0x1.e2aa6cb29ae7ap-16, 0x1.dc83194ea4bcdp-16, 0x1.d6386a4c851a2p-16, 0x1.cfcbb203ee51dp-16, 0x1.c93e3e78f3c18p-16, 0x1.c29159640bdcp-16, 0x1.bbc6483f0b75p-16, 0x1.b4de4c456c5fp-16, 0x1.addaa27e59279p-16, 0x1.a6bc83c65bdf6p-16, 0x1.9f8524cccfd1cp-16, 0x1.9835b61dbe6a7p-16, 0x1.90cf64241c119p-16, 0x1.8953572de2c4bp-16, 0x1.81c2b3723158p-16, 0x1.7a1e990bd1f0bp-16, 0x1.72682403d75p-16, 0x1.6aa06c50900cbp-16, 0x1.62c885d6a8f77p-16, 0x1.5ae1806cee5a8p-16, 0x1.52ec67e449b0ap-16, 0x1.4aea43e8d05abp-16, 0x1.42dc1838699adp-16, 0x1.3ac2e47a2bap-16, 0x1.329fa45438f58p-16, 0x1.2a734f58bfe69p-16, 0x1.223ed9210511ap-16, 0x1.1a03313de05p-16, 0x1.11c1433d427b2p-16, 0x1.0979f6aa3e122p-16, 0x1.012e2f141444ap-16, 0x1.f1bd980ec48bap-17, 0x1.e119522b68bcep-17, 0x1.d0713bab8205bp-17, 0x1.bfc6fbcb09128p-17, 0x1.af1c31d6651cdp-17, 0x1.9e727538ec533p-17, 0x1.8dcb557339642p-17, 0x1.7d285a2a62ed4p-17, 0x1.6c8b0335a245fp-17, 0x1.5bf4c877a83a4p-17, 0x1.4b671a3129a8cp-17, 0x1.3ae360c9e83fap-17, 0x1.2a6afcefebb0ep-17, 0x1.19ff479c0613cp-17, 0x1.09a192186e389p-17, 0x1.f2a64c20025c3p-18, 0x1.d22a8b1aeeaf1p-18, 0x1.b1d25614a065p-18, 0x1.91a013181b547p-18, 0x1.719618c85c9bcp-18, 0x1.51b6af5046cbp-18, 0x1.32040fe9b6d02p-18, 0x1.12806519b8381p-18, 0x1.e65b9576fc8d9p-19, 0x1.a81c9c538ce5fp-19, 0x1.6a47dcb8403c9p-19, 0x1.2ce137b795b2fp-19, 0x1.dfd8e45cb719p-20, 0x1.66da696245c03p-20, 0x1.dd9c2f614b6f2p-21, 0x1.deeb43d914847p-22, 0x1.a73fd7f14bf51p-28, -0x1.cd989e4e9721fp-22, -0x1.cece4ec3fd648p-21, -0x1.5a55b6e32e968p-20, -0x1.cc2c02c78eaebp-20, -0x1.1e723614ca29ap-19, -0x1.563cc410e3b79p-19, -0x1.8d730f992f8fp-19, -0x1.c4129671ea505p-19, -0x1.fa18ef7bc8d5cp-19, -0x1.17c1e52cad6cp-18, -0x1.322877df25bbbp-18, -0x1.4c3f201c8266bp-18, -0x1.6604da4250f4p-18, -0x1.7f78ae77726b6p-18, -0x1.9899b0d4610b9p-18, -0x1.b16700c5d1772p-18, -0x1.c9dfc935bd47cp-18, -0x1.e203404f12d72p-18, -0x1.f9d0a756f37e7p-18, -0x1.08a3a541fd00ap-17, -0x1.1433406b6fdfcp-17, -0x1.1f96d5f8c9c93p-17, -0x1.2ace1bf75ba23p-17, -0x1.35d8cd9c679bep-17, -0x1.40b6ab30a3b22p-17, -0x1.4b677a0036064p-17, -0x1.55eb0433e873fp-17, -0x1.604118d7b12b5p-17, -0x1.6a698bb3da054p-17, -0x1.7464353e98e56p-17, -0x1.7e30f27ff47c8p-17, -0x1.87cfa50af75f6p-17, -0x1.914032d5a68ep-17, -0x1.9a828638025dcp-17, -0x1.a3968dcb23444p-17, -0x1.ac7c3c5b1157dp-17, -0x1.b53388beaafc7p-17, -0x1.bdbc6dec976a9p-17, -0x1.c616eabb6e945p-17, -0x1.ce4301e1ee787p-17, -0x1.d640b9dfc8255p-17, -0x1.de101cd91816cp-17, -0x1.e5b138bfeab4cp-17, -0x1.ed241ee2f5779p-17, -0x1.f468e41790226p-17, -0x1.fb7fa0991def7p-17, -0x1.013437f4680acp-16, -0x1.0491b8661f77dp-16, -0x1.07d86296b0321p-16, -0x1.0b084904ff9dcp-16, -0x1.0e217fb1cd1cdp-16, -0x1.11241c0f5f701p-16, -0x1.14103501e5463p-16, -0x1.16e5e2cf4baf5p-16, -0x1.19a53f18bd958p-16, -0x1.1c4e64cc29181p-16, -0x1.1ee17022a589ap-16, -0x1.215e7e921efc9p-16, -0x1.23c5aec4b66a7p-16, -0x1.2617208dae3cdp-16, -0x1.2852f4f0b8eadp-16, -0x1.2a794dfdba1dbp-16, -0x1.2c8a4ed83da8ap-16, -0x1.2e861bafb0951p-16, -0x1.306cd9b2b461fp-16, -0x1.323eaf07ad176p-16, -0x1.33fbc2c68814cp-16, -0x1.35a43ce8bd08ep-16, -0x1.3738464ac27b1p-16, -0x1.38b808a036551p-16, -0x1.3a23ae6ae1ce9p-16, -0x1.3b7b62f4fa032p-16, -0x1.3cbf523fc1fdbp-16, -0x1.3defa91523c35p-16, -0x1.3f0c94e145e74p-16, -0x1.401643bc4f38dp-16, -0x1.410ce46171e3bp-16, -0x1.41f0a62407879p-16, -0x1.42c1b8ec2b7cp-16, -0x1.43804d2d83a5ep-16, -0x1.442c93e02e612p-16, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.ffa098be12a92p-1, 0x1.fe82eb5cb915bp-1, 0x1.fca88ca8b03bcp-1, 0x1.fa1411f016e86p-1, 0x1.f6c8ffc51804fp-1, 0x1.f2cbb5484b6dbp-1, 0x1.ee215571d599dp-1, 0x1.e8cfaf7912d29p-1, 0x1.e2dd27327472cp-1, 0x1.dc509e0080575p-1, 0x1.d5315cc5f75eap-1, 0x1.cd86ff22360edp-1, 0x1.c559602457573p-1, 0x1.bcb0888c070f3p-1, 0x1.b3949e9ee1a83p-1, 0x1.aa0dd78dad8cp-1, 0x1.a0246a5caad8ep-1, 0x1.95e0843cd4431p-1, 0x1.8b4a3e40a0ca4p-1, 0x1.806994550ddc5p-1, 0x1.75465d670f118p-1, 0x1.69e8449d9d476p-1, 0x1.5e56c3914e8f8p-1, 0x1.52991d6b5806fp-1, 0x1.46b65ad719842p-1, 0x1.3ab546b29c758p-1, 0x1.2e9c6b6bcb9b9p-1, 0x1.227210f97d0bbp-1, 0x1.163c3b60ae041p-1, 0x1.0a00a9b788964p-1, 0x1.fb89ab31dd876p-2, 0x1.e31be5f8a7a18p-2, 0x1.cac1e0cd504afp-2, 0x1.b284eed40892bp-2, 0x1.9a6ddad52cbfep-2, 0x1.8284e9402a9cep-2, 0x1.6ad1da977c68bp-2, 0x1.535bee36fa07cp-2, 0x1.3c29e5671594bp-2, 0x1.254206b0a91e8p-2, 0x1.0eaa21661c562p-2, 0x1.f0cf22af3d8c4p-3, 0x1.c4fe85524787fp-3, 0x1.99eb6b836312fp-3, 0x1.6f9e0698cc81fp-3, 0x1.461dc088a4f3cp-3, 0x1.1d71440a123cap-3, 0x1.eb3d0969c92cap-4, 0x1.9d558e2c08c68p-4, 0x1.513551606d4a5p-4, 0x1.06e44fc3896f9p-4, 0x1.7cd2aea25e297p-5, 0x1.df2859fa8fb32p-6, 0x1.985958ebf1402p-7, -0x1.f9f9e41147019p-9, -0x1.4310c22c84902p-6, -0x1.1fa06f7e6746ap-5, -0x1.99e5f8c1f0d33p-5, -0x1.082c6246e9015p-4, -0x1.417d0d178342ap-4, -0x1.78e6545acda32p-4, -0x1.ae6a37ffe3ed4p-4, -0x1.e20b555622d2bp-4, -0x1.09e66e3c7f2bbp-3, -0x1.21d94316868a4p-3, -0x1.38e045163855cp-3, -0x1.4efdcaf0313edp-3, -0x1.643461c2b035cp-3, -0x1.7886c8db9eb97p-3, -0x1.8bf7edb116213p-3, -0x1.9e8ae80addf86p-3, -0x1.b042f65b3b73dp-3, -0x1.c1237a45919d4p-3, -0x1.d12ff5510a911p-3, -0x1.e06c05c5c7a8ep-3, -0x1.eedb63b2db7d8p-3, -0x1.fc81de1b775fcp-3, -0x1.04b1ac24dc44bp-2, -0x1.0ac1e3a2baed5p-2, -0x1.107397b6cb458p-2, -0x1.15c8d1192f78fp-2, -0x1.1ac39df7ac6b2p-2, -0x1.1f6610f1afd67p-2, -0x1.23b24022bd4cdp-2, -0x1.27aa443a9fd13p-2, -0x1.2b5037a2ba3a5p-2, -0x1.2ea635afe3099p-2, -0x1.31ae59e0362dfp-2, -0x1.346abf244f13ap-2, -0x1.36dd7f336862cp-2, -0x1.3908b1e9e1703p-2, -0x1.3aee6cb1ae3cp-2, -0x1.3c90c1f43c1f7p-2, -0x1.3df1c09565913p-2, -0x1.3f137376ff942p-2, -0x1.3ff7e104a9497p-2, -0x1.40a10ac774197p-2, -0x1.4110ed0113865p-2, -0x1.41497e4e35a99p-2, -0x1.414caf4fbae8ep-2, -0x1.411c6a5a78727p-2, -0x1.40ba932d3e3f7p-2, -0x1.402906acdb217p-2, -0x1.3f699aa5d5665p-2, -0x1.3e7e1d939ee75p-2, -0x1.3d68566d02fa9p-2, -0x1.3c2a047591964p-2, -0x1.3ac4df13d26d8p-2, -0x1.393a95ac090d5p-2, -0x1.378ccf7f55a4p-2, -0x1.35bd2b8efd3abp-2, -0x1.33cd4083b0eb7p-2, -0x1.31be9c989dfafp-2, -0x1.2f92c58a2092dp-2, -0x1.2d4b3887e92bep-2, -0x1.2ae96a2a6ed5ep-2, -0x1.286ec66b8575ap-2, -0x1.25dcb0a1f0649p-2, -0x1.2334837fcd617p-2, -0x1.20779113b5138p-2, -0x1.1da722cc6838bp-2, -0x1.1ac4797ef1c03p-2, -0x1.17d0cd6f1246p-2, -0x1.14cd4e59dda04p-2, -0x1.11bb238267c07p-2, -0x1.0e9b6bc0637p-2, -0x1.0b6f3d9096c37p-2, -0x1.0837a7270b506p-2, -0x1.04f5ae82d8ba6p-2, -0x1.01aa5183786f1p-2, -0x1.fcad0bff0249bp-3, -0x1.f5f673b96bc27p-3, -0x1.ef32a652a26e3p-3, -0x1.e863606ce12f6p-3, -0x1.e18a4f6723462p-3, -0x1.daa91196063ebp-3, -0x1.d3c1367e77e94p-3, -0x1.ccd43f1200daep-3, -0x1.c5e39dec8686bp-3, -0x1.bef0b7935f1cp-3, -0x1.b7fce2b595bc7p-3, -0x1.b109686d35b37p-3, -0x1.aa17848186b07p-3, -0x1.a32865aa0eeb2p-3, -0x1.9c3d2dd24370fp-3, -0x1.9556f25dc44e6p-3, -0x1.8e76bc6d0f778p-3, -0x1.879d89228903p-3, -0x1.80cc49e7bc91cp-3, -0x1.7a03e4b2ce366p-3, -0x1.7345344bed1f2p-3, -0x1.6c910892c8e3p-3, -0x1.65e826c3dd779p-3, -0x1.5f4b49bd99545p-3, -0x1.58bb2245346b8p-3, -0x1.5238574b37f8dp-3, -0x1.4bc3862f969a5p-3, -0x1.455d4305520fbp-3, -0x1.3f0618d59b46dp-3, -0x1.38be89e25250bp-3, -0x1.32870fe7f372p-3, -0x1.2c601c5ec471fp-3, -0x1.264a18bb5744bp-3, -0x1.204566ae399ap-3, -0x1.1a526062dcc0bp-3, -0x1.147158bda5272p-3, -0x1.0ea29b9914483p-3, -0x1.08e66e020c231p-3, -0x1.033d0e7326f68p-3, -0x1.fb4d6a1e23519p-4, -0x1.f04727b3de069p-4, -0x1.e567ade375ef1p-4, -0x1.daaf498b4c03ap-4, -0x1.d01e3c98c8879p-4, -0x1.c5b4be72f4093p-4, -0x1.bb72fc62dbab8p-4, -0x1.b15919f9db1e9p-4, -0x1.a7673175c1b73p-4, -0x1.9d9d5422c655bp-4, -0x1.93fb8abb53f65p-4, -0x1.8a81d5c5a72c7p-4, -0x1.81302def3a13ep-4, -0x1.7806846606ce1p-4, -0x1.6f04c32f9c26bp-4, -0x1.662acd7e059a2p-4, -0x1.5d7880028b7ep-4, -0x1.54edb13e4defap-4, -0x1.4c8a31d0bb0e8p-4, -0x1.444dccc3e9d78p-4, -0x1.3c3847d6d782p-4, -0x1.344963c591ef9p-4, -0x1.2c80dc8f5175cp-4, -0x1.24de69ba8858p-4, -0x1.1d61be96ee1a7p-4, -0x1.160a8a7d8d2efp-4, -0x1.0ed8790ed9527p-4, -0x1.07cb326ed5fd8p-4, -0x1.00e25b7f54796p-4, -0x1.f43b2c309e73cp-5, -0x1.e6f9027cd9bbfp-5, -0x1.d9fd72af6094ep-5, -0x1.cd47b0bcbfccdp-5, -0x1.c0d6ec2455ab1p-5, -0x1.b4aa504f2782p-5, -0x1.a8c104eb593bbp-5, -0x1.9d1a2e4451715p-5, -0x1.91b4ed979ecdcp-5, -0x1.86906166ae38p-5, -0x1.7baba5c563b65p-5, -0x1.7105d4a5aaccp-5, -0x1.669e062007d2ep-5, -0x1.5c7350b94458ep-5, -0x1.5284c9a5421e3p-5, -0x1.48d185070a2b1p-5, -0x1.3f58962e25b4fp-5, -0x1.36190fd154e24p-5, -0x1.2d120446b28cfp-5, -0x1.244285b9585e6p-5, -0x1.1ba9a65c93195p-5, -0x1.1346789cb5257p-5, -0x1.0b180f4d9e3acp-5, -0x1.031d7dd702068p-5, -0x1.f6abb0bd05ce5p-6, -0x1.e78067df5b847p-6, -0x1.d8b74d43d3ebfp-6, -0x1.ca4e8f78ce7e6p-6, -0x1.bc445fb045d28p-6, -0x1.ae96f2000cc96p-6, -0x1.a1447d9e79a3fp-6, -0x1.944b3d1b81d2dp-6, -0x1.87a96e9672d4p-6, -0x1.7b5d53f067162p-6, -0x1.6f6532fb82d6cp-6, -0x1.63bf55a7249cep-6, -0x1.586a0a291d046p-6, -0x1.4d63a3240ab3p-6, -0x1.42aa77caec0fcp-6, -0x1.383ce4020f8c1p-6, -0x1.2e19487d6d0d9p-6, -0x1.243e0adc8823p-6, -0x1.1aa995c3ee03p-6, -0x1.115a58f46d98dp-6, -0x1.084ec96018641p-6, -0x1.ff0ac27a4c6d5p-7, -0x1.edf9402da06edp-7, -0x1.dd6615b8708d9p-7, -0x1.cd4e57daec351p-7, -0x1.bdaf264da0cb5p-7, -0x1.ae85abd490189p-7, -0x1.9fcf1e4eec2f6p-7, -0x1.9188bec3bf33bp-7, -0x1.83afd96b83395p-7, -0x1.7641c5b6e11d1p-7, -0x1.693be652bdc15p-7, -0x1.5c9ba9299444ap-7, -0x1.505e87626ed3ep-7, -0x1.4482055d68477p-7, -0x1.3903b2ae06e74p-7, -0x1.2de12a136243ap-7, -0x1.2318116e4cdap-7, -0x1.18a619b58f986p-7, -0x1.0e88fee854f22p-7, -0x1.04be87fedd8e9p-7, -0x1.f6890db32d46ap-8, -0x1.e431b05d50b4p-8, -0x1.d272c6ec2c4ecp-8, -0x1.c14835a90b87p-8, -0x1.b0adf609820f6p-8, -0x1.a0a01680141cep-8, -0x1.911aba4aa77b2p-8, -0x1.821a193ee4043p-8, -0x1.739a7f94ac94bp-8, -0x1.65984daecc11dp-8, -0x1.580ff7e204abp-8, -0x1.4afe063a95524p-8, -0x1.3e5f1440610dcp-8, -0x1.322fd0b9cdcd6p-8, -0x1.266cfd6d7ecd5p-8, -0x1.1b136ee301085p-8, -0x1.10200c2289427p-8, -0x1.058fce73dc6eep-8, -0x1.f6bf8238f03ecp-9, -0x1.e31a023a3113fp-9, -0x1.d02979dd59822p-9, -0x1.bde8687daba7p-9, -0x1.ac516f57f9de2p-9, -0x1.9b5f51023c27ap-9, -0x1.8b0cf0e2a3836p-9, -0x1.7b5552a65bac9p-9, -0x1.6c3399b81488bp-9, -0x1.5da308b67ea4ap-9, -0x1.4f9f00eacc326p-9, -0x1.422301bf61e09p-9, -0x1.352aa836c98f7p-9, -0x1.28b1ae6308aa4p-9, -0x1.1cb3eadd6d492p-9, -0x1.112d503eee40bp-9, -0x1.0619ec9934146p-9, -0x1.f6ebd1e0bbde9p-10, -0x1.e27b116b35b12p-10, -0x1.ceda528545ea6p-10, -0x1.bc0282ac58db9p-10, -0x1.a9ecc122c691fp-10, -0x1.98925decf45f3p-10, -0x1.87ecd8d0bb582p-10, -0x1.77f5e0573e934p-10, -0x1.68a750d132474p-10, -0x1.59fb335dc5538p-10, -0x1.4bebbcf431b32p-10, -0x1.3e734d700ca0bp-10, -0x1.318c6ea0674c8p-10, -0x1.2531d359dd6d5p-10, -0x1.195e568b86673p-10, -0x1.0e0cfa56f3d3p-10, -0x1.0338e72b3c285p-10, -0x1.f1bad5c62a491p-11, -0x1.ddebefcc37c4dp-11, -0x1.cafc489a8291bp-11, -0x1.b8e35214d8c47p-11, -0x1.a798c226ad198p-11, -0x1.9714911f4ae87p-11, -0x1.874ef8149488cp-11, -0x1.78406f4c4fc04p-11, -0x1.69e1acac05ddbp-11, -0x1.5c2ba22f7b53p-11, -0x1.4f177c65c182cp-11, -0x1.429ea0f4e2fbp-11, -0x1.36baad2428162p-11, -0x1.2b65746cf114ep-11, -0x1.2098ff1225b0dp-11, -0x1.164f88be2eac2p-11, -0x1.0c837f277997ep-11, -0x1.032f80bb79faep-11, -0x1.f49cb6a0487ddp-12, -0x1.e3b615b7a783cp-12, -0x1.d3a170672bea5p-12, -0x1.c4556f9f992cfp-12, -0x1.b5c9112e39be8p-12, -0x1.a7f3a55f37cfap-12, -0x1.9accccac59843p-12, -0x1.8e4c7578051f6p-12, -0x1.826ad9d468ab4p-12, -0x1.77207d56accb3p-12, -0x1.6c662af60e3cbp-12, -0x1.6234f2f6bef54p-12, -0x1.588628e06b47fp-12, -0x1.4f5361804065dp-12, -0x1.469670f65031ap-12, -0x1.3e4968ce309fdp-12, -0x1.36669622aa0d1p-12, -0x1.2ee87fcc589f1p-12, -0x1.27c9e49b13a6bp-12, -0x1.2105b999f4bbp-12, -0x1.1a97285ddb6d6p-12, -0x1.14798d5e4172ep-12, -0x1.0ea876583b3c8p-12, -0x1.091fa0bb79c1ep-12, -0x1.03daf8212903cp-12, -0x1.fdad2998fe46ep-13, -0x1.f41d7469aaa8fp-13, -0x1.eaffab3248c12p-13, -0x1.e24cf9396f689p-13, -0x1.d9fed7d9e4f4cp-13, -0x1.d20f0bdff377bp-13, -0x1.ca77a2f847fe3p-13, -0x1.c332f12fefce2p-13, -0x1.bc3b8e8543e87p-13, -0x1.b58c5489579fdp-13, -0x1.af205c11aa4f4p-13, -0x1.a8f2faf9ca3a9p-13, -0x1.a2ffc1f492203p-13, -0x1.9d427a6cc355ep-13, -0x1.97b72474995c5p-13, -0x1.9259f4c41f118p-13, -0x1.8d2752c5ec554p-13, -0x1.881bd6b2015eap-13, -0x1.833447b67e003p-13, -0x1.7e6d9a2ddbb0dp-13, -0x1.79c4ede26fcb7p-13, -0x1.75378c5ee242cp-13, -0x1.70c2e74b5aa1ap-13, -0x1.6c6496d70eadfp-13, -0x1.681a582e003cbp-13, -0x1.63e20bfa8d716p-13, -0x1.5fb9b4f2a3abep-13, -0x1.5b9f767044138p-13, -0x1.57919315201b1p-13, -0x1.538e6b7905edep-13, -0x1.4f947ce2db05fp-13, -0x1.4ba2600bedf96p-13, -0x1.47b6c7ed57708p-13, -0x1.43d080972fb8p-13, -0x1.3fee6e115d7d9p-13, -0x1.3c0f8b45bbf5bp-13, -0x1.3832e8f36b614p-13, -0x1.3457acaaf82f9p-13, -0x1.307d0fd33e9c7p-13, -0x1.2ca25eb6b9bbp-13, -0x1.28c6f79913974p-13, -0x1.24ea49d4bdaf4p-13, -0x1.210bd5005738bp-13, -0x1.1d2b281bb8a9cp-13, -0x1.1947e0c462c59p-13, -0x1.1561aa7127bcp-13, -0x1.11783db4ddbafp-13, -0x1.0d8b5f87e4e47p-13, -0x1.099ae09850edcp-13, -0x1.05a69ca0925fap-13, -0x1.01ae79c461511p-13, -0x1.fb64cfe797c8fp-14, -0x1.f364c0a85f8d6p-14, -0x1.eb5cc95e00232p-14, -0x1.e34cfdcc44d9cp-14, -0x1.db3580db8433dp-14, -0x1.d3168396d4271p-14, -0x1.caf0443491137p-14, -0x1.c2c30d28c424ep-14, -0x1.ba8f344155503p-14, -0x1.b25519cb8736cp-14, -0x1.aa1527c29ab5ep-14, -0x1.a1cfd107423a4p-14, -0x1.9985909f9d239p-14, -0x1.9136e8ff8ac3dp-14, -0x1.88e46358fbce6p-14, -0x1.808e8ef40f973p-14, -0x1.7836008ebb342p-14, -0x1.6fdb51c3bb45dp-14, -0x1.677f207896369p-14, -0x1.5f220e5274372p-14, -0x1.56c4c03193531p-14, -0x1.4e67ddb31eaf6p-14, -0x1.460c10b936b2p-14, -0x1.3db204f8efb2dp-14, -0x1.355a678e1861p-14, -0x1.2d05e6949146ep-14, -0x1.24b530c708ed3p-14, -0x1.1c68f522e7d5dp-14, -0x1.1421e2914254bp-14, -0x1.0be0a794a05bbp-14, -0x1.03a5f1fb6ebacp-14, -0x1.f6e4dd2de1834p-15, -0x1.e68d91ed0fdb7p-15, -0x1.d647564e4e9cbp-15, -0x1.c6137aed9a4f4p-15, -0x1.b5f34c77b5aaep-15, -0x1.a5e813404f407p-15, -0x1.95f312df4d662p-15, -0x1.861589d500458p-15, -0x1.7650b134f311ep-15, -0x1.66a5bc57167fep-15, -0x1.5715d88f0b372p-15, -0x1.47a22ce943d19p-15, -0x1.384bd9edc972dp-15, -0x1.2913f96862794p-15, -0x1.19fb9e35e59aep-15, -0x1.0b03d4167d415p-15, -0x1.f85b3f0952251p-16, -0x1.daf3fb2190a36p-16, -0x1.bdd3c781ecac2p-16, -0x1.a0fc7fea1afe2p-16, -0x1.846ff09d3c698p-16, -0x1.682fd63954136p-16, -0x1.4c3ddd95f31f4p-16, -0x1.309ba3a9bcc8ap-16, -0x1.154ab576751b3p-16, -0x1.f4991ff68631dp-17, -0x1.bf454059b2674p-17, -0x1.8a9c85e680bd2p-17, -0x1.56a18a59d2f7ep-17, -0x1.2356c76da9e3p-17, -0x1.e17d2de5efc3p-18, -0x1.7db665e8ef486p-18, -0x1.1b5d6bc426997p-18, -0x1.74ec6b1152a94p-19, -0x1.6c11ebbb5c792p-20, 0x1.7a2512a8bbbc1p-25, 0x1.7dc37449dbc99p-20, 0x1.74dc7bb72f8d4p-19, 0x1.13e9a87df91c9p-18, 0x1.6be0943c1477ep-18, 0x1.c250b2de4a427p-18, 0x1.0b9bf7f50430fp-17, 0x1.354a37e80e649p-17, 0x1.5e3247896c722p-17, 0x1.865370b259b1ap-17, 0x1.adad185ff6c5dp-17, 0x1.d43ebe3bf9d6ap-17, 0x1.fa07fc22784fbp-17, 0x1.0f8442d289635p-16, 0x1.21a013c5e4adep-16, 0x1.335763a9db476p-16, 0x1.44aa3155f17b5p-16, 0x1.559887784372bp-16, 0x1.66227c526711fp-16, 0x1.76483175bdb93p-16, 0x1.8609d37f38c92p-16, 0x1.956799d2c1338p-16, 0x1.a461c65645b17p-16, 0x1.b2f8a52c93a78p-16, 0x1.c12c8c7004153p-16, 0x1.cefddbed1cfcap-16, 0x1.dc6cfcdd32123p-16, 0x1.e97a61a115463p-16, 0x1.f626857bf56c8p-16, 0x1.0138f62735812p-15, 0x1.072e9128e5c88p-15, 0x1.0cf45de9ea217p-15, 0x1.128aaa795911ap-15, 0x1.17f1c8acbfe9bp-15, 0x1.1d2a0dfe9b454p-15, 0x1.2233d36d17997p-15, 0x1.270f75591694p-15, 0x1.2bbd536587b4ap-15, 0x1.303dd0570f714p-15, 0x1.349151f40924dp-15, 0x1.38b840e4e53a7p-15, 0x1.3cb30894e44c8p-15, 0x1.4082171338963p-15, 0x1.4425dcf48ecc4p-15, 0x1.479ecd34feb8ep-15, 0x1.4aed5d1a6b2bfp-15, 0x1.4e1204174f724p-15, 0x1.510d3bae029d2p-15, 0x1.53df7f546a1e6p-15, 0x1.56894c5826e38p-15, 0x1.590b21c339b2ap-15, 0x1.5b6580411e6c2p-15, 0x1.5d98ea04678ffp-15, 0x1.5fa5e2acd1038p-15, 0x1.618cef2dd2638p-15, 0x1.634e95b5b1f3dp-15, 0x1.64eb5d951157bp-15, 0x1.6663cf26ff974p-15, 0x1.67b873b9865ep-15, 0x1.68e9d576ba5d6p-15, 0x1.69f87f4e4c4fbp-15, 0x1.6ae4fcdf98142p-15, 0x1.6bafda6436f03p-15, 0x1.6c59a49b11b83p-15, 0x1.6ce2e8b3effc8p-15, 0x1.6d4c343b8b149p-15, 0x1.6d9615081e2f4p-15, 0x1.6dc1192673679p-15, 0x1.6dcdcec7728e8p-15, 0x1.6dbcc42e2849ep-15, 0x1.6d8e879e4e8c4p-15, 0x1.6d43a74b4b386p-15, 0x1.6cdcb147ad3b6p-15, 0x1.6c5a337521446p-15, 0x1.6bbcbb74de19ap-15, 0x1.6b04d6988943cp-15, 0x1.6a3311d391897p-15, 0x1.6947f9acfc59bp-15, 0x1.68441a31a8aa3p-15, 0x1.6727fee701e27p-15, 0x1.65f432be25b57p-15, 0x1.64a940077559p-15, 0x1.6347b0669896cp-15, 0x1.61d00cc6ea11fp-15, 0x1.6042dd504e31ap-15, 0x1.5ea0a95c76da2p-15, 0x1.5ce9f76c886d2p-15, 0x1.5b1f4d1f2a84p-15, 0x1.59412f26f9f0fp-15, 0x1.575021415cbfep-15, 0x1.554ca62dbb18dp-15, 0x1.53373fa5117c1p-15, 0x1.51106e51e7dfbp-15, 0x1.4ed8b1c89dd4cp-15, 0x1.4c90888016821p-15, 0x1.4a386fcab94a4p-15, 0x1.47d0e3cfcc27dp-15, 0x1.455a5f8522b42p-15, 0x1.42d55ca91ef7ep-15, 0x1.404253bd06e59p-15, 0x1.3da1bbffa803ep-15, 0x1.3af40b684a5a7p-15, 0x1.3839b6a1ef645p-15, 0x1.35733106ded55p-15, 0x1.32a0ec9c788b8p-15, 0x1.2fc35a0f533fp-15, 0x1.2cdae8af9c67dp-15, 0x1.29e8066dc1ffep-15, 0x1.26eb1fd759283p-15, 0x1.23e4a0144c247p-15, 0x1.20d4f0e44482p-15, 0x1.1dbc7a9c53363p-15, 0x1.1a9ba424d7cabp-15, 0x1.1772d2f79f60fp-15, 0x1.14426b1e403dep-15, 0x1.110acf30ab5fdp-15, 0x1.0dcc6053f4204p-15, 0x1.0a877e394e983p-15, 0x1.073c871d3f61bp-15, 0x1.03ebd7c7004ebp-15, 0x1.0095cb881114ep-15, 0x1.fa757877f6457p-16, 0x1.f3b6049085b3ep-16, 0x1.ecede93903b8dp-16, 0x1.e61dd1655fa7p-16, }}, 
      {{0x1.ffe031647adc8p-1, 0x1.ff80e0e47b913p-1, 0x1.fee25fd4196d1p-1, 0x1.fe0533c6704cep-1, 0x1.fcea13f4cd70dp-1, 0x1.fb91e60f38b65p-1, 0x1.f9fdbaaa03cb1p-1, 0x1.f82ec971a17a2p-1, 0x1.f6266d45345ebp-1, 0x1.f3e62050d261ap-1, 0x1.f16f783a6070cp-1, 0x1.eec4226edfec5p-1, 0x1.ebe5e099fb88dp-1, 0x1.e8d6854e661f5p-1, 0x1.e597f0e3160e8p-1, 0x1.e22c0e876a167p-1, 0x1.de94d18eca932p-1, 0x1.dad432f33906ap-1, 0x1.d6ec2f0d6b411p-1, 0x1.d2dec3808556ep-1, 0x1.ceaded5719a12p-1, 0x1.ca5ba74ee0ca2p-1, 0x1.c5e9e85074c42p-1, 0x1.c15aa210555b3p-1, 0x1.bcafbfd678acap-1, 0x1.b7eb2569c11dcp-1, 0x1.b30eae1cc51dcp-1, 0x1.ae1c2bf96eef4p-1, 0x1.a91567091f019p-1, 0x1.a3fc1cb715516p-1, 0x1.9ed1ff4b0d701p-1, 0x1.9998b57a101dap-1, 0x1.9451da0ba6826p-1, 0x1.8efefb91b22b1p-1, 0x1.89a19c314bec2p-1, 0x1.843b317b27164p-1, 0x1.7ecd245212523p-1, 0x1.7958d0de414b1p-1, 0x1.73df868c29c05p-1, 0x1.6e628815cc72p-1, 0x1.68e30b955d687p-1, 0x1.63623aa04a85p-1, 0x1.5de13269b9778p-1, 0x1.586103eb9fa6bp-1, 0x1.52e2b415ac97bp-1, 0x1.4d673c014a607p-1, 0x1.47ef892a074d5p-1, 0x1.427c7da9c8da4p-1, 0x1.3d0ef078366d8p-1, 0x1.37a7adacd30bep-1, 0x1.324776c34bc2ap-1, 0x1.2cef02e1871b2p-1, 0x1.279eff1f118b9p-1, 0x1.22580ecd85e93p-1, 0x1.1d1acbc19da37p-1, 0x1.17e7c69c9c09fp-1, 0x1.12bf8715cdccep-1, 0x1.0da28c43e120fp-1, 0x1.08914ce5da0d5p-1, 0x1.038c37ab78024p-1, 0x1.fd2766f9b2f65p-2, 0x1.f3503f827e381p-2, 0x1.e993a9498b352p-2, 0x1.dff246b9fe493p-2, 0x1.d66cacd89e78ep-2, 0x1.cd0363c7ef57fp-2, 0x1.c3b6e74984a68p-2, 0x1.ba87a73c73f08p-2, 0x1.b1760818d307ep-2, 0x1.a882636826c38p-2, 0x1.9fad083ac0407p-2, 0x1.96f63b99f8d05p-2, 0x1.8e5e38f7490fap-2, 0x1.85e532983b24dp-2, 0x1.7d8b51ff39792p-2, 0x1.7550b85139ebep-2, 0x1.6d357eb8515f4p-2, 0x1.6539b6c33476p-2, 0x1.5d5d6ac1af2e9p-2, 0x1.55a09e1e20fep-2, 0x1.4e034db40b0c8p-2, 0x1.46857023b6bd3p-2, 0x1.3f26f62310345p-2, 0x1.37e7cacbb54e7p-2, 0x1.30c7d3e658412p-2, 0x1.29c6f23377a7fp-2, 0x1.22e501b186619p-2, 0x1.1c21d9e092a0bp-2, 0x1.157d4e037811fp-2, 0x1.0ef72d5eb464dp-2, 0x1.088f4374ea184p-2, 0x1.024558412555ap-2, 0x1.f83260dde55cep-3, 0x1.ec151b20b1c9fp-3, 0x1.e0325ca3817abp-3, 0x1.d4899d57cb588p-3, 0x1.c91a5027a086cp-3, 0x1.bde3e351f32cdp-3, 0x1.b2e5c0c32e4e6p-3, 0x1.a81f4e6a56fedp-3, 0x1.9d8fee8ab9929p-3, 0x1.9337000a56b4p-3, 0x1.8913debd19286p-3, 0x1.7f25e3acfaf77p-3, 0x1.756c655f22c34p-3, 0x1.6be6b8162c52ep-3, 0x1.62942e1197eb4p-3, 0x1.597417ca880afp-3, 0x1.5085c42de70b1p-3, 0x1.47c880d3facd4p-3, 0x1.3f3b9a3588c58p-3, 0x1.36de5bdea13dap-3, 0x1.2eb0109f12b44p-3, 0x1.26b002b8b3f59p-3, 0x1.1edd7c0b8087fp-3, 0x1.1737c63fa5546p-3, 0x1.0fbe2aed8b9e4p-3, 0x1.086ff3c3f765bp-3, 0x1.014c6aac42e3p-3, 0x1.f4a5b3d9986afp-4, 0x1.e70518934f81p-4, 0x1.d9b59a4731ef9p-4, 0x1.ccb5d12aed19fp-4, 0x1.c004571fe265p-4, 0x1.b39fc7e7acec9p-4, 0x1.a786c155c61bcp-4, 0x1.9bb7e37e47664p-4, 0x1.9031d0e1f003p-4, 0x1.84f32e978edadp-4, 0x1.79faa472dddb9p-4, 0x1.6f46dd28e88d1p-4, 0x1.64d6867215a6cp-4, 0x1.5aa85129eb93fp-4, 0x1.50baf16ca0154p-4, 0x1.470d1eb28e16fp-4, 0x1.3d9d93e9a0564p-4, 0x1.346b0f8cc8efcp-4, 0x1.2b7453b995249p-4, 0x1.22b82643f3db1p-4, 0x1.1a3550c83cee7p-4, 0x1.11eaa0bb8eeffp-4, 0x1.09d6e77a8f7d7p-4, 0x1.01f8fa56a4df6p-4, 0x1.f49f6543658fp-5, 0x1.e5b3db70dde5cp-5, 0x1.d72d1a16b297cp-5, 0x1.c908ec4cd1ec6p-5, 0x1.bb45256ef6398p-5, 0x1.addfa1272166dp-5, 0x1.a0d64375d76a8p-5, 0x1.9426f8b82ac06p-5, 0x1.87cfb5abba84ep-5, 0x1.7bce7770b5e88p-5, 0x1.7021438a00136p-5, 0x1.64c627db8bb0cp-5, 0x1.59bb3aa7017e4p-5, 0x1.4efe9a86cda8p-5, 0x1.448e6e67a044cp-5, 0x1.3a68e58080406p-5, 0x1.308c37497981ep-5, 0x1.26f6a37103803p-5, 0x1.1da671d0296b9p-5, 0x1.1499f25d8f5e1p-5, 0x1.0bcf7d1f5bf55p-5, 0x1.0345721c2006p-5, 0x1.f5f472958decbp-6, 0x1.e5d885034148p-6, 0x1.d6340ac92b6f1p-6, 0x1.c70402a5229ep-6, 0x1.b8457aa4632cep-6, 0x1.a9f58ffb98a61p-6, 0x1.9c116edd9fa62p-6, 0x1.8e96525125d05p-6, 0x1.818184053a22bp-6, 0x1.74d05c24e2c85p-6, 0x1.68804129d1082p-6, 0x1.5c8ea7ae4b3eep-6, 0x1.50f9123e598eap-6, 0x1.45bd112851689p-6, 0x1.3ad8424ccf6dfp-6, 0x1.304850ee2c50dp-6, 0x1.260af57f8828p-6, 0x1.1c1df57374a6bp-6, 0x1.127f230a4fcffp-6, 0x1.092c5d2060bdbp-6, 0x1.00238efbc1bcbp-6, 0x1.eec560344d0c8p-7, 0x1.ddcf87fd1ab94p-7, 0x1.cd61b3fdc2c1ap-7, 0x1.bd781a2347e3cp-7, 0x1.ae0f07373b936p-7, 0x1.9f22de7b52dd9p-7, 0x1.90b019453c0a4p-7, 0x1.82b3469aca16ep-7, 0x1.75290ace89be6p-7, 0x1.680e1f1cc7193p-7, 0x1.5b5f5149259a1p-7, 0x1.4f19833cc4c88p-7, 0x1.4339aaa5147aap-7, 0x1.37bcd093574aep-7, 0x1.2ca0111ce0f06p-7, 0x1.21e09afc25296p-7, 0x1.177baf3299c1ap-7, 0x1.0d6ea0ab785dep-7, 0x1.03b6d3df6b4ffp-7, 0x1.f4a37cf254bf2p-8, 0x1.e279cdf62596p-8, 0x1.d0ebc8cb82c8p-8, 0x1.bff4bbbf676ddp-8, 0x1.af9014bbf0827p-8, 0x1.9fb9609be6b13p-8, 0x1.906c4a807a3fp-8, 0x1.81a49b2937d01p-8, 0x1.735e384e465d2p-8, 0x1.659523fceb3fep-8, 0x1.58457bf66341dp-8, 0x1.4b6b79110eb46p-8, 0x1.3f036e9bfd85cp-8, 0x1.3309c9c4d6894p-8, 0x1.277b110022f47p-8, 0x1.1c53e373ff328p-8, 0x1.1190f8652ecbcp-8, 0x1.072f1ea69bd5p-8, 0x1.fa56781677667p-9, 0x1.e70499b4b5cc1p-9, 0x1.d462c68ca0cf4p-9, 0x1.c26b4dcb31458p-9, 0x1.b118a85c9f1a2p-9, 0x1.a06577e821ddfp-9, 0x1.904c85d06a8e9p-9, 0x1.80c8c238d605p-9, 0x1.71d5430f4f098p-9, 0x1.636d431adcacdp-9, 0x1.558c210ecd221p-9, 0x1.482d5ea27dabp-9, 0x1.3b4c9fadac71dp-9, 0x1.2ee5a9494f3f7p-9, 0x1.22f460f4e69d4p-9, 0x1.1774cbc03b5dbp-9, 0x1.0c630d79829b7p-9, 0x1.01bb67dfd59b9p-9, 0x1.eef473b3ea40bp-10, 0x1.db37fd6297951p-10, 0x1.c83a9aa240ac3p-10, 0x1.b5f5af13d33e9p-10, 0x1.a462d2b1737bfp-10, 0x1.937bd06567a98p-10, 0x1.833aa4a8ee5e9p-10, 0x1.73997c2af0bd1p-10, 0x1.6492b27e735fbp-10, 0x1.5620d0d0a0d66p-10, 0x1.483e8ca6518aap-10, 0x1.3ae6c6a10389cp-10, 0x1.2e14894b09e91p-10, 0x1.21c307eaed02ep-10, 0x1.15ed9d5dd423cp-10, 0x1.0a8fcaf8db62cp-10, 0x1.ff4a6ee26a6e3p-11, 0x1.ea535b9606d47p-11, 0x1.d632389d7d4a2p-11, 0x1.c2df270a2b3edp-11, 0x1.b0528a7249854p-11, 0x1.9e850701cde43p-11, 0x1.8d6f7f978b62p-11, 0x1.7d0b13ee4ea51p-11, 0x1.6d511ed1c4dc7p-11, 0x1.5e3b345eea8c2p-11, 0x1.4fc3204fd15dfp-11, 0x1.41e2e4527ed11p-11, 0x1.3494b66aad114p-11, 0x1.27d2ff5e35e25p-11, 0x1.1b98592bf15c3p-11, 0x1.0fdf8d8cd09f4p-11, 0x1.04a3947efe3bcp-11, 0x1.f3bf25b59e506p-12, 0x1.df1db1e2a0f8ap-12, 0x1.cb59c26873bc2p-12, 0x1.b86a9dce2d63p-12, 0x1.a647d9b2d9b2ap-12, 0x1.94e958536715dp-12, 0x1.84474621cb7f3p-12, 0x1.745a176d00968p-12, 0x1.651a86197504p-12, 0x1.56818f69976e2p-12, 0x1.488871d61887bp-12, 0x1.3b28aaf58a1bep-12, 0x1.2e5bf57301edep-12, 0x1.221c471363a3bp-12, 0x1.1663cec8fb461p-12, 0x1.0b2cf2d513a9p-12, 0x1.00724ef72f1f2p-12, 0x1.ec5d655326661p-13, 0x1.d8ba3ed5a6613p-13, 0x1.c5f18e28138bfp-13, 0x1.b3fa1476df8c7p-13, 0x1.a2caed460d48dp-13, 0x1.925b8b660879dp-13, 0x1.82a3b5ff7d3edp-13, 0x1.739b85b5800fep-13, 0x1.653b61dd965c5p-13, 0x1.577bfdccf2008p-13, 0x1.4a56563a75483p-13, 0x1.3dc3aeb4d7101p-13, 0x1.31bd8f2c7cbbcp-13, 0x1.263dc19078169p-13, 0x1.1b3e4f7e2db96p-13, 0x1.10b9800327a79p-13, 0x1.06a9d5709524p-13, 0x1.fa14168013b4cp-14, 0x1.e7aa2811efe8bp-14, 0x1.d60c2f0cfea7p-14, 0x1.c530e15a3614ep-14, 0x1.b50f579f81fd3p-14, 0x1.a59f09a809d39p-14, 0x1.96d7cae9bf67bp-14, 0x1.88b1c7274318cp-14, 0x1.7b257f2d80cdfp-14, 0x1.6e2bc5ac1fa9cp-14, 0x1.61bdbc281477cp-14, 0x1.55d4d00798c7p-14, 0x1.4a6ab7b6cc9afp-14, 0x1.3f796fe4536bp-14, 0x1.34fb38d53ccc8p-14, 0x1.2aea93cf8c9p-14, 0x1.2142409ac05e1p-14, 0x1.17fd3b15aa931p-14, 0x1.0f16b8e10a4edp-14, 0x1.068a271e41d5cp-14, 0x1.fca650832b7a8p-15, 0x1.ecdb23eec6511p-15, 0x1.ddaad63779913p-15, 0x1.cf0dd387c496cp-15, 0x1.c0fce2b21865ep-15, 0x1.b37121880aa9ap-15, 0x1.a664015221547p-15, 0x1.99cf436740ce3p-15, 0x1.8dacf5e2bc84fp-15, 0x1.81f770782857bp-15, 0x1.76a95163f354ep-15, 0x1.6bbd7a77f683cp-15, 0x1.612f0e430fb08p-15, 0x1.56f96d52f9cb1p-15, 0x1.4d18338f8cd4p-15, 0x1.438735ae9a813p-15, 0x1.3a427ebfa1cd5p-15, 0x1.31464dce9b932p-15, 0x1.288f139d1c91fp-15, 0x1.2019707121b76p-15, 0x1.17e231f8ca9dbp-15, 0x1.0fe651425d96bp-15, 0x1.0822f0c7e8b02p-15, 0x1.00955a8ddd8fcp-15, 0x1.f275fca81be7p-16, 0x1.e422dfb0ced94p-16, 0x1.d62cca55be9bap-16, 0x1.c88f6a23f28bdp-16, 0x1.bb46aafeb9bc7p-16, 0x1.ae4eb427e29ccp-16, 0x1.a1a3e565f3f7ep-16, 0x1.9542d4475f9p-16, 0x1.89284981bf197p-16, 0x1.7d513e6c1776ap-16, 0x1.71bada93438afp-16, 0x1.666271679bbc6p-16, 0x1.5b458002f5007p-16, 0x1.5061ab062fd96p-16, 0x1.45b4bc8d6ba38p-16, 0x1.3b3ca23a3142fp-16, 0x1.30f76b52b2edbp-16, 0x1.26e346f577bdfp-16, 0x1.1cfe8260ace21p-16, 0x1.1347874c6b298p-16, 0x1.09bcda57456d1p-16, 0x1.005d198475c62p-16, 0x1.ee4df59604ce6p-17, 0x1.dc32956a8135ep-17, 0x1.ca65d6202900ep-17, 0x1.b8e5a352cefbep-17, 0x1.a7b00e3a63b07p-17, 0x1.96c34b613137ep-17, 0x1.861db07533a47p-17, 0x1.75bdb23373899p-17, 0x1.65a1e26c792bfp-17, 0x1.55c8ee20dc25dp-17, 0x1.46319bb4fe64p-17, 0x1.36dac93b131c1p-17, 0x1.27c36ad294cc9p-17, 0x1.18ea891c4b9fcp-17, 0x1.0a4f3fc21de33p-17, 0x1.f7e17823b869p-18, 0x1.db9c775495726p-18, 0x1.bfce16735203cp-18, 0x1.a4750a9a1064dp-18, 0x1.8990225f74da8p-18, 0x1.6f1e43b472777p-18, 0x1.551e69dfb2a7dp-18, 0x1.3b8fa39568892p-18, 0x1.2271112a54724p-18, 0x1.09c1e2e0dd344p-18, 0x1.e302ae9e3229bp-19, 0x1.b35d73b97aae3p-19, 0x1.8492c2afd11b4p-19, 0x1.56a15d3f92fdap-19, 0x1.298816c85e195p-19, 0x1.fa8ba3e4466cep-20, 0x1.a3b2fcf4d8068p-20, 0x1.4e842e4c24cccp-20, 0x1.f5fa7f5733aa9p-21, 0x1.52388eefb7408p-21, 0x1.637d9d8e9b9efp-22, 0x1.48992ae2d1a57p-25, -0x1.0ad58dbe17b29p-22, -0x1.1c21da0805c74p-21, -0x1.af9f4281025p-21, -0x1.1ff35007f1184p-20, -0x1.667dcd595ffbdp-20, -0x1.ab70f33668e8ap-20, -0x1.eecea35f0aacdp-20, -0x1.184c6472858d1p-19, -0x1.3868accc811d6p-19, -0x1.57bd2ba9821c5p-19, -0x1.764ae88c7179dp-19, -0x1.9412f211e7ea1p-19, -0x1.b1165e63998b5p-19, -0x1.cd564b9d306c6p-19, -0x1.e8d3e02365795p-19, -0x1.01c825771239fp-18, -0x1.0ec661e33d2d1p-18, -0x1.1b6545bc7f064p-18, -0x1.27a575feb791p-18, -0x1.33879c4a14b7cp-18, -0x1.3f0c66ed0a382p-18, -0x1.4a3488e9d3154p-18, -0x1.5500b9f7c6db5p-18, -0x1.5f71b680c99cbp-18, -0x1.69883f9b1b8adp-18, -0x1.73451affc341ap-18, -0x1.7ca912fdd9636p-18, -0x1.85b4f66ae63a9p-18, -0x1.8e69989091f2bp-18, -0x1.96c7d117d6f66p-18, -0x1.9ed07bf1ed36p-18, -0x1.a684793f1d098p-18, -0x1.ade4ad33a813bp-18, -0x1.b4f1fffaf4d52p-18, -0x1.bbad5d9925db8p-18, -0x1.c217b5cb46594p-18, -0x1.c831fbe62f055p-18, -0x1.cdfd26b44871bp-18, -0x1.d37a30524fbd2p-18, -0x1.d8aa160b3791bp-18, -0x1.dd8dd8334b312p-18, -0x1.e2267a02aa0b2p-18, -0x1.e675016f3cb9bp-18, -0x1.ea7a77063a271p-18, -0x1.ee37e5c5535aap-18, -0x1.f1ae5af3a478cp-18, -0x1.f4dee5fa767dep-18, -0x1.f7ca983def1a9p-18, -0x1.fa7284f5bb5f6p-18, -0x1.fcd7c105cd255p-18, -0x1.fefb62d734b4dp-18, -0x1.006f411897027p-17, -0x1.01411c093667fp-17, -0x1.01f3cf4558ef2p-17, -0x1.0287e84a5fb74p-17, -0x1.02fdf4f8575fep-17, -0x1.0356837f5c05p-17, -0x1.0392224d3a9f5p-17, -0x1.03b15ffb54b05p-17, -0x1.03b4cb3cca1c6p-17, -0x1.039cf2ccedf6ap-17, -0x1.036a655e08d4bp-17, -0x1.031db1886d483p-17, -0x1.02b765b9e0f05p-17, -0x1.023810255bba2p-17, -0x1.01a03eb322106p-17, -0x1.00f07ef139fb3p-17, -0x1.00295e043e366p-17, -0x1.fe96d131223b5p-18, -0x1.fcae55a7dfbc5p-18, -0x1.fa9a608ecf4e1p-18, -0x1.f85c07c35d29ap-18, -0x1.f5f45fc3bf3c2p-18, -0x1.f3647b9537eb5p-18, -0x1.f0ad6cab212b1p-18, -0x1.edd042cec27d4p-18, -0x1.eace0c07f3034p-18, -0x1.e7a7d4868396bp-18, -0x1.e45ea68c778c5p-18, -0x1.e0f38a5901758p-18, -0x1.dd6786144ffc2p-18, -0x1.d9bb9dbc1bdbbp-18, -0x1.d5f0d311027f6p-18, -0x1.d2082584a206cp-18, -0x1.ce0292287a274p-18, -0x1.c9e1139d90796p-18, -0x1.c5a4a204d223bp-18, -0x1.c14e32f0349e8p-18, -0x1.bcdeb95492aebp-18, -0x1.b857257c40674p-18, -0x1.b3b864fa587fcp-18, -0x1.af03629ebaa3cp-18, -0x1.aa39066abd0a5p-18, -0x1.a55a35868c6e5p-18, -0x1.a067d2373614cp-18, -0x1.9b62bbd55be2p-18, -0x1.964bcec48cb9p-18, -0x1.9123e46b40924p-18, -0x1.8bebd32b7318ap-18, -0x1.86a46e5bd9589p-18, -0x1.814e8641b1ec6p-18, -0x1.7beae80b2ac03p-18, -0x1.767a5dca56aap-18, -0x1.70fdae70b5b6ap-18, -0x1.6b759dcb44a53p-18, -0x1.65e2ec7f190a9p-18, -0x1.604658067f729p-18, -0x1.5aa09aae9bc95p-18, -0x1.54f26b9588ep-18, -0x1.4f3c7ea8f0b6fp-18, -0x1.497f84a51f90ap-18, -0x1.43bc2b1486da3p-18, -0x1.3df31c4fb5631p-18, -0x1.3824ff7dba84p-18, -0x1.32527894f356fp-18, -0x1.2c7c285c40da2p-18, -0x1.26a2ac6ca0efdp-18, -0x1.20c69f33270f2p-18, -0x1.1ae897f35412dp-18, -0x1.15092ac9c761fp-18, -0x1.0f28e8af484b4p-18, -0x1.09485f7c213c6p-18, -0x1.036819ebcfffcp-18, -0x1.fb113f4201434p-19, -0x1.ef54ea53ab27fp-19, -0x1.e39c3808ed73ep-19, -0x1.d7e82547d0709p-19, -0x1.cc39a8ea43189p-19, -0x1.c091b3c8cc20ap-19, -0x1.b4f130c5b5c9fp-19, -0x1.a95904d8aa1dap-19, -0x1.9dca0f1ac5e82p-19, -0x1.924528d313783p-19, -0x1.86cb258366c9ap-19, -0x1.7b5cd2f5a206ep-19, -0x1.6ffaf94951aa5p-19, -0x1.64a65b019d5c6p-19, -0x1.595fb51391985p-19, -0x1.4e27bef4b1f34p-19, -0x1.42ff2aa9d5c06p-19, -0x1.37e6a4d64cc37p-19, -0x1.2cded4cb3fd7dp-19, -0x1.21e85c9751934p-19, -0x1.1703d91679b5dp-19, -0x1.0c31e2020b423p-19, -0x1.01730a00f9ff1p-19, -0x1.ed8fbd707be47p-20, -0x1.d861d1b6da17ap-20, -0x1.c35d587adfd32p-20, -0x1.ae834fc2c15d8p-20, -0x1.99d4ac1704249p-20, -0x1.855258a4b4556p-20, -0x1.70fd375fb4f7ap-20, -0x1.5cd621254f72dp-20, -0x1.48dde5dedc70cp-20, -0x1.35154ca4886b2p-20, -0x1.217d13e03acfdp-20, -0x1.0e15f17088acbp-20, -0x1.f5c125976ec3cp-21, -0x1.cfbb3a458b91ep-21, -0x1.aa1b5b08fe516p-21, -0x1.84e2b2010acbfp-21, -0x1.60125994b490cp-21, -0x1.3bab5cb8b6be1p-21, -0x1.17aeb7356182p-21, -0x1.e83aabd8a1458p-22, -0x1.a1f02e3be3ac3p-22, -0x1.5c7f955daee3dp-22, -0x1.17ea64d99853cp-22, -0x1.a864094e8594bp-23, -0x1.22af8346ca8ddp-23, -0x1.3d733860ae9dp-24, -0x1.c848489c72262p-27, 0x1.8fb718d893c77p-25, 0x1.c536f128799f9p-24, 0x1.5f82f8064186dp-23, 0x1.daa2d9ea07867p-23, 0x1.29fcf13f3614ap-22, 0x1.65c381ef1d5dep-22, 0x1.a0a4ae7e81p-22, 0x1.daa01c5303182p-22, 0x1.09dac31f50e01p-21, 0x1.25f25e00ab946p-21, 0x1.4196d0e5e81fp-21, 0x1.5cc817e1a99b6p-21, 0x1.778638c364cbep-21, 0x1.91d142da830efp-21, 0x1.aba94eba1f5c5p-21, 0x1.c50e7dfd63be3p-21, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.cc399e868f801p-8, -0x1.cdf7eab08610cp-7, -0x1.5c9c63b4bea28p-6, -0x1.d4afb1e06a8eap-6, -0x1.27ee6cf67d776p-5, -0x1.67576e1a79ea1p-5, -0x1.a8c9c684847a1p-5, -0x1.ec6dd7500d724p-5, -0x1.192efe55d3c08p-4, -0x1.3d53b213b3c54p-4, -0x1.62a58c37a4c4p-4, -0x1.891f962ff6c25p-4, -0x1.b0b7fa64bb082p-4, -0x1.d960a242495d2p-4, -0x1.0183e87a0f449p-3, -0x1.16cc5bd6e6eacp-3, -0x1.2c7e00b4e55e4p-3, -0x1.428c2a687edd5p-3, -0x1.58e965cc13a44p-3, -0x1.6f87af89165ap-3, -0x1.8658a504c261dp-3, -0x1.9d4db016fe3e4p-3, -0x1.b4582dc60746bp-3, -0x1.cb69904e88c76p-3, -0x1.e2737cc744592p-3, -0x1.f967e4b30cd46p-3, -0x1.081c8dea4a11ep-2, -0x1.136cf54b088e6p-2, -0x1.1e9eceaa0e2ccp-2, -0x1.29ac086babfa5p-2, -0x1.348ede2217778p-2, -0x1.3f41dc61c1a3dp-2, -0x1.49bfe391268b2p-2, -0x1.540429d0dabccp-2, -0x1.5e0a3c164824dp-2, -0x1.67cdfe9171702p-2, -0x1.714bac73f8ce3p-2, -0x1.7a7fd72dca97bp-2, -0x1.83676531e9e8ap-2, -0x1.8bff90544041ap-2, -0x1.9445e3cfbf4b1p-2, -0x1.9c383a02a6831p-2, -0x1.a3d4b9ed7c3fdp-2, -0x1.ab19d48000066p-2, -0x1.b20641be40f9p-2, -0x1.b898fdc6f3c44p-2, -0x1.bed145c330adap-2, -0x1.c4ae94c6df746p-2, -0x1.ca30a0a840f7cp-2, -0x1.cf5756d453947p-2, -0x1.d422d9250efb1p-2, -0x1.d8937abde54ffp-2, -0x1.dca9bcf2574e4p-2, -0x1.e0664c39e4577p-2, -0x1.e3c9fd3432b47p-2, -0x1.e6d5c9bfc2364p-2, -0x1.e98ace2535e53p-2, -0x1.ebea4658c8edep-2, -0x1.edf58b5344f63p-2, -0x1.efae108379614p-2, -0x1.f1156158f81a3p-2, -0x1.f22d1ee898c2bp-2, -0x1.f2f6fdab1726fp-2, -0x1.f374c355ebc03p-2, -0x1.f3a844ce550ap-2, -0x1.f39364366a14cp-2, -0x1.f3380f13e87cdp-2, -0x1.f2983c9054393p-2, -0x1.f1b5ebd1f444bp-2, -0x1.f093226d10701p-2, -0x1.ef31eaecdbb6ap-2, -0x1.ed945373533e6p-2, -0x1.ebbc6c6f5d40bp-2, -0x1.e9ac47686a4e2p-2, -0x1.e765f5decfef1p-2, -0x1.e4eb88400e5c9p-2, -0x1.e23f0cee403f2p-2, -0x1.df628f59d88b1p-2, -0x1.dc58172cecf8p-2, -0x1.d921a7873d7cfp-2, -0x1.d5c13e4a2b6c8p-2, -0x1.d238d373e4d6fp-2, -0x1.ce8a5888f7af1p-2, -0x1.cab7b80b97f02p-2, -0x1.c6c2d4ffdba5dp-2, -0x1.c2ad8a7c3cec3p-2, -0x1.be79ab45b34b2p-2, -0x1.ba290176c144cp-2, -0x1.b5bd4e30d0b6cp-2, -0x1.b138495742cffp-2, -0x1.ac9ba153a66c2p-2, -0x1.a7e8fae27fbdfp-2, -0x1.a321f0e816bd8p-2, -0x1.9e48144cd60c5p-2, -0x1.995cebe0b1176p-2, -0x1.9461f44520df8p-2, -0x1.8f589fdd49e58p-2, -0x1.8a4256c3d7ff7p-2, -0x1.852076c6357d8p-2, -0x1.7ff45364ae595p-2, -0x1.7abf35d7343a6p-2, -0x1.75825d165feafp-2, -0x1.703efde864977p-2, -0x1.6af642f1a3ebap-2, -0x1.65a94cc89e01ap-2, -0x1.6059320cf10c1p-2, -0x1.5b06ff812fff9p-2, -0x1.55b3b82747aa3p-2, -0x1.5060555f447b1p-2, -0x1.4b0dc70835b1p-2, -0x1.45bcf3a302642p-2, -0x1.406eb876ff2ap-2, -0x1.3b23e9b8114edp-2, -0x1.35dd52ae380ebp-2, -0x1.309bb5de574eap-2, -0x1.2b5fcd3412219p-2, -0x1.262a4a2ca06efp-2, -0x1.20fbd6026f58cp-2, -0x1.1bd511d978974p-2, -0x1.16b696ec2d2a1p-2, -0x1.11a0f6b8d6c94p-2, -0x1.0c94bb2f5bd98p-2, -0x1.079266df46abap-2, -0x1.029a7525ffbfcp-2, -0x1.fb5ab4ba4072ep-3, -0x1.f19708119b1f7p-3, -0x1.e7eab20c1018p-3, -0x1.de567371bce91p-3, -0x1.d4db0074e2ac4p-3, -0x1.cb79010d822d1p-3, -0x1.c231115456344p-3, -0x1.b903c1dd2f7f5p-3, -0x1.aff1981083c45p-3, -0x1.a6fb0e8426f7bp-3, -0x1.9e20955312acep-3, -0x1.95629274356afp-3, -0x1.8cc1621025e36p-3, -0x1.843d56d5c0349p-3, -0x1.7bd6ba4d88454p-3, -0x1.738dcd2bdd8aap-3, -0x1.6b62c7a1ddea6p-3, -0x1.6355d9acfa5cp-3, -0x1.5b672b6530f98p-3, -0x1.5396dd49e2d24p-3, -0x1.4be5088d40389p-3, -0x1.4451bf5e4643ap-3, -0x1.3cdd0d3140536p-3, -0x1.3586f706d6627p-3, -0x1.2e4f7bb198511p-3, -0x1.2736941a07eb1p-3, -0x1.203c3381244c7p-3, -0x1.196047c167b1p-3, -0x1.12a2b98e46a2p-3, -0x1.0c036cb22432cp-3, -0x1.0582404ac3359p-3, -0x1.fe3e1e085578ep-4, -0x1.f1b35ea41efb7p-4, -0x1.e563e74f68113p-4, -0x1.d94f555c912d3p-4, -0x1.cd753ef394f2p-4, -0x1.c1d53378e42d9p-4, -0x1.b66ebbf132fb2p-4, -0x1.ab415b6271188p-4, -0x1.a04c8f31d852fp-4, -0x1.958fcf7f27bd2p-4, -0x1.8b0a8f7cff8a4p-4, -0x1.80bc3dc68415fp-4, -0x1.76a444b23a05ap-4, -0x1.6cc20aa22fbe8p-4, -0x1.6314f2517e372p-4, -0x1.599c5b1f282eap-4, -0x1.5057a15667cacp-4, -0x1.47461e7470c61p-4, -0x1.3e67296bb72ffp-4, -0x1.35ba16e4c3035p-4, -0x1.2d3e397c9ed3ep-4, -0x1.24f2e200ec7a7p-4, -0x1.1cd75fa9ac101p-4, -0x1.14eb0050c1b69p-4, -0x1.0d2d10a745f74p-4, -0x1.059cdc68af7efp-4, -0x1.fc735d17bb34fp-5, -0x1.ee05a2e42df7bp-5, -0x1.dfef1e280366cp-5, -0x1.d22e62594f708p-5, -0x1.c4c202c51ec62p-5, -0x1.b7a892ddedf7dp-5, -0x1.aae0a6867d966p-5, -0x1.9e68d2591b476p-5, -0x1.923fabeb7b972p-5, -0x1.8663ca0f36d4ap-5, -0x1.7ad3c50f05778p-5, -0x1.6f8e36e8d5641p-5, -0x1.6491bb84c7e4p-5, -0x1.59dcf0e938b1fp-5, -0x1.4f6e776bddec5p-5, -0x1.4544f1e01c083p-5, -0x1.3b5f05c2a285ep-5, -0x1.31bb5b6265751p-5, -0x1.28589e070dd27p-5, -0x1.1f357c14f1fbbp-5, -0x1.1650a72eae27ap-5, -0x1.0da8d4546dc4ap-5, -0x1.053cbc00fe5fep-5, -0x1.fa1634897e28p-6, -0x1.ea255dbcf309ep-6, -0x1.daa47aa488d8ep-6, -0x1.cb9119fce5c58p-6, -0x1.bce8d25d62376p-6, -0x1.aea9425aabf7fp-6, -0x1.a0d010a5fead5p-6, -0x1.935aec291a779p-6, -0x1.86478c1f07758p-6, -0x1.7993b029dd15cp-6, -0x1.6d3d20659b45dp-6, -0x1.6141ad783e506p-6, -0x1.559f309f2af85p-6, -0x1.4a538bba08a15p-6, -0x1.3f5ca9533309fp-6, -0x1.34b87ca5d3c76p-6, -0x1.2a6501a1c548dp-6, -0x1.20603ced55e7ep-6, -0x1.16a83be50b645p-6, -0x1.0d3b149978624p-6, -0x1.0416e5cb3d413p-6, -0x1.f673adca9f782p-7, -0x1.e5442feb3fb04p-7, -0x1.d49bc348560adp-7, -0x1.c476ea512abbap-7, -0x1.b4d2387ccbb9ep-7, -0x1.a5aa522fd22ap-7, -0x1.96fbec9fb57ffp-7, -0x1.88c3cdb3d2588p-7, -0x1.7afecbe438beap-7, -0x1.6da9ce166aac9p-7, -0x1.60c1cb78393bp-7, -0x1.5443cb58d5992p-7, -0x1.482ce5002f24ap-7, -0x1.3c7a3f84cc5d8p-7, -0x1.312911a036375p-7, -0x1.2636a182099fap-7, -0x1.1ba044a1d5ed6p-7, -0x1.11635f8fdba5fp-7, -0x1.077d65c4c6e45p-7, -0x1.fbd7b2e0f8182p-8, -0x1.e95896901ed0ep-8, -0x1.d778b4a5f8d0cp-8, -0x1.c633676f65668p-8, -0x1.b584250f1996fp-8, -0x1.a5667f14870b4p-8, -0x1.95d62211e4124p-8, -0x1.86ced53175eb2p-8, -0x1.784c79ca3ed77p-8, -0x1.6a4b0af434d56p-8, -0x1.5cc69d1c1936p-8, -0x1.4fbb5d97144p-8, -0x1.432592362e325p-8, -0x1.370198d9bfd61p-8, -0x1.2b4be704f6c3bp-8, -0x1.2001097181a0bp-8, -0x1.151da3a37ecb3p-8, -0x1.0a9e6f7dbfbep-8, -0x1.00803cd677fbap-8, -0x1.ed7fe218d4b5p-9, -0x1.dab50d394c4ep-9, -0x1.c89a1971c9fc5p-9, -0x1.b7294dbd375a1p-9, -0x1.a65d18dd960ecp-9, -0x1.9630108d3d912p-9, -0x1.869cf0b1d5a3bp-9, -0x1.779e9a911d4fap-9, -0x1.693014079f04ap-9, -0x1.5b4c86c15ff06p-9, -0x1.4def3f74a2c3p-9, -0x1.4113ad1ecc833p-9, -0x1.34b5604383a6bp-9, -0x1.28d00a2e10c15p-9, -0x1.1d5f7c3513ee1p-9, -0x1.125fa7009ac4bp-9, -0x1.07cc99d2a2adfp-9, -0x1.fb4503a426d35p-10, -0x1.e7bb52b06dad9p-10, -0x1.d4f4ee818003bp-10, -0x1.c2eadc78b7b02p-10, -0x1.b196584bb9e64p-10, -0x1.a0f0d2b404faep-10, -0x1.90f3f023be7fcp-10, -0x1.8199877fd1755p-10, -0x1.72dba0df50304p-10, -0x1.64b4745039797p-10, -0x1.571e68a180412p-10, -0x1.4a14123281ceep-10, -0x1.3d9031c7bd64ap-10, -0x1.318db364f5dd4p-10, -0x1.2607ad2c9b807p-10, -0x1.1af95e448a6cdp-10, -0x1.105e2dc014983p-10, -0x1.0631a98f5764ep-10, -0x1.f8df0ae792a44p-11, -0x1.e62733f4093d6p-11, -0x1.d433c6f189eb6p-11, -0x1.c2fd022a1016fp-11, -0x1.b27b67969b941p-11, -0x1.a2a7bafbd78f2p-11, -0x1.937b0010d0685p-11, -0x1.84ee78afa2a63p-11, -0x1.76fba31008343p-11, -0x1.699c380bae4dep-11, -0x1.5cca296c33372p-11, -0x1.507fa042b6d0cp-11, -0x1.44b6fb48dd619p-11, -0x1.396acd4b274f5p-11, -0x1.2e95db9c841bp-11, -0x1.24331c92fcd29p-11, -0x1.1a3db60d5af3ap-11, -0x1.10b0fc01aa30ap-11, -0x1.07886f1476064p-11, -0x1.fd7f7671440d9p-12, -0x1.eca56caf7c75fp-12, -0x1.dc7abe0565574p-12, -0x1.ccf7b6554c4dap-12, -0x1.be14edc3f0cbdp-12, -0x1.afcb464a6a768p-12, -0x1.a213e957b1da2p-12, -0x1.94e845818f1fep-12, -0x1.88420c44a5ce5p-12, -0x1.7c1b2fd360c7ap-12, -0x1.706de0f37437fp-12, -0x1.65348ce9b57efp-12, -0x1.5a69db740346ap-12, -0x1.5008acd0fdd4ep-12, -0x1.460c17d5486dep-12, -0x1.3c6f680e16896p-12, -0x1.332e1bf0bbe44p-12, -0x1.2a43e3170315dp-12, -0x1.21ac9c88071bp-12, -0x1.1964550d4efccp-12, -0x1.11674593e8788p-12, -0x1.09b1d1994876bp-12, -0x1.024085a3a9b5ep-12, -0x1.f6202b8b66545p-13, -0x1.e83ab85a3dd5p-13, -0x1.dacaaf7858261p-13, -0x1.cdca555b3839p-13, -0x1.c1343285fa1e8p-13, -0x1.b50310fa11739p-13, -0x1.a931f9bbb83bap-13, -0x1.9dbc3269a12c3p-13, -0x1.929d3ae76bb54p-13, -0x1.87d0cb1a7c19dp-13, -0x1.7d52d0b8bee66p-13, -0x1.731f6d28e560fp-13, -0x1.6932f373ba921p-13, -0x1.5f89e6461cb6p-13, -0x1.5620f6033ab4bp-13, -0x1.4cf4fee6a7bdbp-13, -0x1.44030735e027p-13, -0x1.3b483d80e57bap-13, -0x1.32c1f6f181232p-13, -0x1.2a6dada8d8f77p-13, -0x1.2248ff2af1cep-13, -0x1.1a51aad7c32d9p-13, -0x1.1285907185b98p-13, -0x1.0ae2aeafd857p-13, -0x1.036721df7316ap-13, -0x1.f822451c07d14p-14, -0x1.e9be0883c814p-14, -0x1.db9e687ab89e3p-14, -0x1.cdc0709a3370ap-14, -0x1.c0215b4319ec2p-14, -0x1.b2be8f65b75f4p-14, -0x1.a5959e5e4e68ep-14, -0x1.98a441e599415p-14, -0x1.8be85a14c57aap-14, -0x1.7f5feb7c4468ap-14, -0x1.73091d4cf91c5p-14, -0x1.66e237932b8ccp-14, -0x1.5ae9a182c1621p-14, -0x1.4f1ddfd436e64p-14, -0x1.437d9331d891p-14, -0x1.380776b4be2e1p-14, -0x1.2cba5e710f1a1p-14, -0x1.2195361115cfp-14, -0x1.1696ff7eaebc7p-14, -0x1.0bbed19a9f4fcp-14, -0x1.010bd70167482p-14, -0x1.ecfa99ba3a622p-15, -0x1.d8250387dc227p-15, -0x1.c395a945abae7p-15, -0x1.af4b67685e797p-15, -0x1.9b453703693f4p-15, -0x1.87822be3295dfp-15, -0x1.740172bc75cddp-15, -0x1.60c24f70e6d21p-15, -0x1.4dc41b671c44cp-15, -0x1.3b0643f658ceap-15, -0x1.288848e4cb93dp-15, -0x1.1649baf7dd914p-15, -0x1.044a3a95e7bcfp-15, -0x1.e512ecf170da9p-16, -0x1.c20e54e08eb13p-16, -0x1.9f863c6a21666p-16, -0x1.7d7a4892fd54cp-16, -0x1.5bea31d3babc4p-16, -0x1.3ad5c21493e8cp-16, -0x1.1a3cd2c44545fp-16, -0x1.f43e9611bb1d9p-17, -0x1.b4fa3c132d949p-17, -0x1.76ac92a16acb9p-17, -0x1.3955a68925515p-17, -0x1.f9eb26db9574ap-18, -0x1.83190225c6a3ap-18, -0x1.0e35419d17007p-18, -0x1.3680ac8db0ad2p-19, -0x1.51d5d809f0fb1p-21, 0x1.136c3ed04e78ap-20, 0x1.64010f5346b9ep-19, 0x1.1d352caecb8f5p-18, 0x1.867884003410dp-18, 0x1.edca1b78d015ap-18, 0x1.2994c643fdbf3p-17, 0x1.5b4b3f779efa9p-17, 0x1.8c0855a5107a5p-17, 0x1.bbcbeeb14313ap-17, 0x1.ea95fb29d57d5p-17, 0x1.0c333b9f8a5b5p-16, 0x1.229eb5d3c74cp-16, 0x1.388d773715326p-16, 0x1.4dff91d5f53dfp-16, 0x1.62f51f1713563p-16, 0x1.776e400527c8ap-16, 0x1.8b6b1d900764fp-16, 0x1.9eebe8c552731p-16, 0x1.b1f0db01345a1p-16, 0x1.c47a36178ec59p-16, 0x1.d688447605bb6p-16, 0x1.e81b593f3904fp-16, 0x1.f933d05f9e36p-16, 0x1.04e9074e1e71ep-15, 0x1.0cfb40cddb7c5p-15, 0x1.14d0cff4f4674p-15, 0x1.1c69f47b35a39p-15, 0x1.23c6f28727898p-15, 0x1.2ae812a8ab29cp-15, 0x1.31cda1d177ceep-15, 0x1.3877f14ba0167p-15, 0x1.3ee756ae3a61ap-15, 0x1.451c2bd051005p-15, 0x1.4b16ceba34bf3p-15, 0x1.50d7a1954e50cp-15, 0x1.565f0a9a9182bp-15, 0x1.5bad73ffa105ep-15, 0x1.60c34be2c89d1p-15, 0x1.65a10435dde96p-15, 0x1.6a4712a8227d5p-15, 0x1.6eb5f08f3de97p-15, 0x1.72ee1acf6393p-15, 0x1.76f011c2bb084p-15, 0x1.7abc59201bc04p-15, 0x1.7e5377e133b21p-15, 0x1.81b5f82821c58p-15, 0x1.84e46724a1a71p-15, 0x1.87df54f8cc9bcp-15, 0x1.8aa7549d86bd9p-15, 0x1.8d3cfbc6a7682p-15, 0x1.8fa0e2c6e3505p-15, 0x1.91d3a473900f4p-15, 0x1.93d5de0844021p-15, 0x1.95a82f0a6596bp-15, 0x1.974b392cb1975p-15, 0x1.98bfa032c2e63p-15, 0x1.9a0609d4a9b7bp-15, 0x1.9b1f1da295e53p-15, 0x1.9c0b84e8a1501p-15, 0x1.9ccbea92c524cp-15, 0x1.9d60fb10f8e94p-15, 0x1.9dcb643b8e129p-15, 0x1.9e0bd537c6b05p-15, 0x1.9e22fe5cb1a1dp-15, 0x1.9e11911852744p-15, 0x1.9dd83fd517cb5p-15, 0x1.9d77bddfa9574p-15, 0x1.9cf0bf4d10f1ap-15, 0x1.9c43f8e1410abp-15, 0x1.9b721ff600b0fp-15, 0x1.9a7bea623d8e6p-15, 0x1.99620e61ca586p-15, 0x1.9825427d8a0e3p-15, 0x1.96c63d740d6d7p-15, 0x1.9545b622a3551p-15, 0x1.93a4636ee00dap-15, 0x1.91e2fc309ce77p-15, 0x1.9002371c719ffp-15, 0x1.8e02caaea9b76p-15, 0x1.8be56d16b612cp-15, 0x1.89aad42320aefp-15, 0x1.8753b52df9bddp-15, 0x1.84e0c509cb26ep-15, 0x1.8252b7ef079c2p-15, 0x1.7faa4169ffb5ap-15, 0x1.7ce814495359fp-15, 0x1.7a0ce28ce92d5p-15, 0x1.77195d5565e82p-15, 0x1.740e34d42393fp-15, 0x1.70ec183babedbp-15, 0x1.6db3b5b0b1f6ep-15, 0x1.6a65ba3b8c256p-15, 0x1.6702d1ba2d0ap-15, 0x1.638ba6d29b817p-15, 0x1.6000e2e5e6d59p-15, 0x1.5c632e0398404p-15, 0x1.58b32edda05ebp-15, 0x1.54f18abcbd567p-15, 0x1.511ee5755c335p-15, 0x1.4d3be15cee477p-15, 0x1.49491f3fb8537p-15, 0x1.45473e5714f87p-15, 0x1.4136dc402a194p-15, 0x1.3d1894f310153p-15, 0x1.38ed02ba68b35p-15, 0x1.34b4be2b661a7p-15, 0x1.30705e1e3b597p-15, 0x1.2c2077a6fad36p-15, 0x1.27c59e0edc6e2p-15, 0x1.236062cdea13ep-15, 0x1.1ef15585139bep-15, 0x1.1a7903f8a50eap-15, 0x1.15f7fa0b1ee9ap-15, 0x1.116ec1b86ddd5p-15, 0x1.0cdde3118093ep-15, 0x1.0845e4383a103p-15, 0x1.03a7495bbd668p-15, 0x1.fe05296a22048p-16, 0x1.f4b08d08317ffp-16, 0x1.eb51ba19c9643p-16, 0x1.e1e9a92aa07c5p-16, 0x1.d8794ec5e82eap-16, 0x1.cf019b72c70c7p-16, 0x1.c5837bb1712f4p-16, 0x1.bbffd7f8d2dd8p-16, 0x1.b27794b4ca93fp-16, 0x1.a8eb9244f60e9p-16, 0x1.9f5cacfbff94bp-16, 0x1.95cbbd1f7aa9fp-16, 0x1.8c3996e83a868p-16, 0x1.82a70a8328d25p-16, 0x1.7914e4129b32bp-16, 0x1.6f83ebb017cfep-16, 0x1.65f4e56e91782p-16, 0x1.5c68915d12baep-16, 0x1.52dfab89d5d28p-16, 0x1.495aec05be8d8p-16, 0x1.3fdb06e842777p-16, 0x1.3660ac53abccap-16, 0x1.2cec8879bb8b6p-16, 0x1.237f43a0a709p-16, 0x1.1a1982286e27ep-16, 0x1.10bbe49082424p-16, 0x1.0767077dbff25p-16, 0x1.fc370781703d1p-17, 0x1.e9b3dcb882272p-17, 0x1.d745b1189deb1p-17, 0x1.c4ed9f9a29efbp-17, 0x1.b2acbbc4c4c81p-17, 0x1.a08411be86b92p-17, 0x1.8e74a65bb5192p-17, 0x1.7c7f772eeebd6p-17, 0x1.6aa57a99b615p-17, 0x1.58e79fdd7cf7cp-17, 0x1.4746cf2cf50e3p-17, 0x1.35c3e9bdd3847p-17, 0x1.245fc9dae36d4p-17, 0x1.131b42f66c732p-17, 0x1.01f721bce8837p-17, 0x1.e1e85850071a2p-18, 0x1.c0264323bed1ep-18, 0x1.9ea975913261bp-18, 0x1.7d73544415a73p-18, 0x1.5c85371f86454p-18, 0x1.3be06966678c1p-18, 0x1.1b8629e41a9d3p-18, 0x1.f6ef562b1cf01p-19, 0x1.b76c26a5404f4p-19, 0x1.7884f9ef856a3p-19, 0x1.3a3bed1fd07c6p-19, 0x1.f9260bfa8ab15p-20, 0x1.7f1866a9e4acdp-20, 0x1.06529a9da2271p-20, 0x1.1db0570c3d8cbp-21, 0x1.8ac711f337d95p-24, -0x1.70b5a0916711p-22, -0x1.9f64bcde31237p-21, -0x1.41df99dcfeae7p-20, -0x1.b2b26bcf5f7ebp-20, -0x1.111427206b4c9p-19, -0x1.481f718ca5d52p-19, -0x1.7e79f9c1093c9p-19, -0x1.b422b79d22cd8p-19, -0x1.e918b5f5b85a8p-19, -0x1.0ead891fa36fep-18, }}, 
      {{0x1.ffc2d97b166b2p-1, 0x1.ff0dc290b0adcp-1, 0x1.fde6f05b14549p-1, 0x1.fc571adc706ebp-1, 0x1.fa6874b6a8964p-1, 0x1.f825e641db75ap-1, 0x1.f59a7d4547193p-1, 0x1.f2d105a09e1f2p-1, 0x1.efd3c1a0fe482p-1, 0x1.ecac3aabff522p-1, 0x1.e963247626afap-1, 0x1.e6004e34976b1p-1, 0x1.e28a9e344a399p-1, 0x1.df08150855e35p-1, 0x1.db7dd61f31c25p-1, 0x1.d7f0340c9e011p-1, 0x1.d462bf39876fp-1, 0x1.d0d855fa3621fp-1, 0x1.cd53354960c28p-1, 0x1.c9d50997e7d71p-1, 0x1.c65eff4792613p-1, 0x1.c2f1d285559b6p-1, 0x1.bf8dde4f38c39p-1, 0x1.bc332a84222e3p-1, 0x1.b8e178e9d0ef2p-1, 0x1.b598511ff553ap-1, 0x1.b2570b7f58d11p-1, 0x1.af1cdae9f603cp-1, 0x1.abe8d59526eb6p-1, 0x1.a8b9fcda0adb4p-1, 0x1.a58f441a4da61p-1, 0x1.a26796c8a2db6p-1, 0x1.9f41dda4f1e93p-1, 0x1.9c1d033c527acp-1, 0x1.98f7f7bccd8b8p-1, 0x1.95d1b42c6acb9p-1, 0x1.92a93d1275991p-1, 0x1.8f7da4a12c8acp-1, 0x1.8c4e0c6d38c98p-1, 0x1.8919a6bf798d9p-1, 0x1.85dfb78cc572ep-1, 0x1.829f951e6a126p-1, 0x1.7f58a87552acdp-1, 0x1.7c0a6d70ecafp-1, 0x1.78b472c20c349p-1, 0x1.755659b159bcep-1, 0x1.71efd5c0116b1p-1, 0x1.6e80ac29357b9p-1, 0x1.6b08b348af91ap-1, 0x1.6787d1ed4b249p-1, 0x1.63fdfe99e779dp-1, 0x1.606b3eb9be4a2p-1, 0x1.5ccfa5cb2af0bp-1, 0x1.592b5483f1d2cp-1, 0x1.557e77f1a6425p-1, 0x1.51c94898739ecp-1, 0x1.4e0c09924342bp-1, 0x1.4a4707afec452p-1, 0x1.467a989dd8c71p-1, 0x1.42a71a0d58d73p-1, 0x1.3eccf0e39eb65p-1, 0x1.3aec886f37972p-1, 0x1.370651a4a8a29p-1, 0x1.331ac262b5bbcp-1, 0x1.2f2a54beb3361p-1, 0x1.2b3586592b46fp-1, 0x1.273cd7bb08756p-1, 0x1.2340cbbb5acc4p-1, 0x1.1f41e6edc17dp-1, 0x1.1b40af196f44cp-1, 0x1.173daab8b3976p-1, 0x1.13396080e598bp-1, 0x1.0f3456f28673cp-1, 0x1.0b2f13f166106p-1, 0x1.072a1c64916bp-1, 0x1.0325f3ddc85e9p-1, 0x1.fe4638907866ep-2, 0x1.f6442b3c91c7ap-2, 0x1.ee46bb4bd22dp-2, 0x1.e64edf672281cp-2, 0x1.de5d88e65d4b2p-2, 0x1.d673a36df2f6ap-2, 0x1.ce921497a4a78p-2, 0x1.c6b9bba5bc069p-2, 0x1.beeb714033c72p-2, 0x1.b728073b37d4ep-2, 0x1.af7048667e0f4p-2, 0x1.a7c4f864de14bp-2, 0x1.a026d38bb4028p-2, 0x1.98968ec98019fp-2, 0x1.9114d7935010ap-2, 0x1.89a253d875244p-2, 0x1.823fa1fc173cp-2, 0x1.7aed58d434f14p-2, 0x1.73ac07ada924cp-2, 0x1.6c7c3654ce551p-2, 0x1.655e652262792p-2, 0x1.5e530d0c50c5fp-2, 0x1.575a9fba03401p-2, 0x1.5075879bf77e1p-2, 0x1.49a428063a3f3p-2, 0x1.42e6dd4d876d5p-2, 0x1.3c3dfce6cacfcp-2, 0x1.35a9d588b8dd3p-2, 0x1.2f2aaf4f49235p-2, 0x1.28c0cbe0d04c7p-2, 0x1.226c66948dc79p-2, 0x1.1c2db49a6e9eep-2, 0x1.1604e523dde86p-2, 0x1.0ff2218d6fcb7p-2, 0x1.09f58d89461f6p-2, 0x1.040f4749fd60fp-2, 0x1.fc7ecf5c074c4p-3, 0x1.f10c04d6766e9p-3, 0x1.e5c64c7582714p-3, 0x1.daadba0984cd8p-3, 0x1.cfc2581885429p-3, 0x1.c5042835755b3p-3, 0x1.ba732356fa7adp-3, 0x1.b00f3a2d8aa23p-3, 0x1.a5d85578ccf7bp-3, 0x1.9bce565c0404dp-3, 0x1.91f116b177fcfp-3, 0x1.8840695cb895dp-3, 0x1.7ebc1a9ba0756p-3, 0x1.7563f05607bb1p-3, 0x1.6c37aa6c0c23dp-3, 0x1.63370302de10ap-3, 0x1.5a61aed009a55p-3, 0x1.51b75d6326011p-3, 0x1.4937b96de3882p-3, 0x1.40e2690a7234p-3, 0x1.38b70e002c91cp-3, 0x1.30b5460693bdap-3, 0x1.28dcab0683bb6p-3, 0x1.212cd359aaba1p-3, 0x1.19a5520837d2bp-3, 0x1.1245b704c84c9p-3, 0x1.0b0d8f6687f6ep-3, 0x1.03fc65a191c9fp-3, 0x1.fa23837b0c829p-4, 0x1.ec9a5314cb053p-4, 0x1.df5c41a75011ap-4, 0x1.d268532334758p-4, 0x1.c5bd88320932dp-4, 0x1.b95ade9246536p-4, 0x1.ad3f516fd2ec9p-4, 0x1.a169d9b955d1cp-4, 0x1.95d96e723b9d4p-4, 0x1.8a8d050181025p-4, 0x1.7f83917d6e9f1p-4, 0x1.74bc06f42e07cp-4, 0x1.6a3557b15ff97p-4, 0x1.5fee7580baebdp-4, 0x1.55e651edc203ep-4, 0x1.4c1bde80a6df7p-4, 0x1.428e0cf8644e7p-4, 0x1.393bcf82257e6p-4, 0x1.302418ee06f93p-4, 0x1.2745dce145dd8p-4, 0x1.1ea01005ecfa7p-4, 0x1.1631a8380eee3p-4, 0x1.0df99cb0a265ap-4, 0x1.05f6e62e0e06dp-4, 0x1.fc50fe34ed00fp-5, 0x1.ed1ac75fbee98p-5, 0x1.de4924346043cp-5, 0x1.cfda152e562f7p-5, 0x1.c1cb9f28d84dep-5, 0x1.b41bcb96f2c1ep-5, 0x1.a6c8a8b7f4acap-5, 0x1.99d049c845e35p-5, 0x1.8d30c72ec6001p-5, 0x1.80e83ea6d41d5p-5, 0x1.74f4d3671891ep-5, 0x1.6954ae4535f82p-5, 0x1.5e05fdd678064p-5, 0x1.5306f68d9f2dp-5, 0x1.4855d2d5e84d6p-5, 0x1.3df0d32b63dfbp-5, 0x1.33d63e30c17d7p-5, 0x1.2a0460c2a273p-5, 0x1.20798e088fda9p-5, 0x1.17341f83ad39cp-5, 0x1.0e32751b41ac3p-5, 0x1.0572f5272a411p-5, 0x1.f9e818f0aa6a1p-6, 0x1.e9685cbea61ccp-6, 0x1.d963a96239d64p-6, 0x1.c9d6ff943c281p-6, 0x1.babf6d1f31836p-6, 0x1.ac1a0cdefb4c7p-6, 0x1.9de406bd85187p-6, 0x1.901a8faca3747p-6, 0x1.82bae99d410f4p-6, 0x1.75c263740532bp-6, 0x1.692e58fb9067p-6, 0x1.5cfc32d471ba5p-6, 0x1.51296662fc15p-6, 0x1.45b375bb0de6dp-6, 0x1.3a97ef89fbb9cp-6, 0x1.2fd46efea83ap-6, 0x1.25669baff5535p-6, 0x1.1b4c29819ffafp-6, 0x1.1182d887a705fp-6, 0x1.080874e8565fcp-6, 0x1.fdb5ad7a0c3adp-7, 0x1.ebefc3e370b1dp-7, 0x1.dabb0c472bac1p-7, 0x1.ca137cfcdede7p-7, 0x1.b9f52332ae96ep-7, 0x1.aa5c22a4b49bbp-7, 0x1.9b44b55306889p-7, 0x1.8cab2b363d5ddp-7, 0x1.7e8be9f2dc8b6p-7, 0x1.70e36c8b862e7p-7, 0x1.63ae43124445cp-7, 0x1.56e91258f221p-7, 0x1.4a9093a0e7d0dp-7, 0x1.3ea1944a095f1p-7, 0x1.3318f5814d171p-7, 0x1.27f3abeedd994p-7, 0x1.1d2ebf63e53d1p-7, 0x1.12c74a882343fp-7, 0x1.08ba7a875c2c8p-7, 0x1.fe0b1d7d7b46ep-8, 0x1.eb4bb0d49463cp-8, 0x1.d93174a4bb198p-8, 0x1.c7b750f2bd8b2p-8, 0x1.b6d84f9360cffp-8, 0x1.a68f9b87dd1e2p-8, 0x1.96d8805b171cap-8, 0x1.87ae697fb238dp-8, 0x1.790ce1af15e62p-8, 0x1.6aef9249842dep-8, 0x1.5d5242b753da7p-8, 0x1.5030d7cb6b3bep-8, 0x1.438753270b49fp-8, 0x1.3751d29f030f2p-8, 0x1.2b8c8fa25a013p-8, 0x1.2033dea286f2p-8, 0x1.15442e7d4044cp-8, 0x1.0aba07e7f2e96p-8, 0x1.00920cdcf342bp-8, 0x1.ed91f014db2f1p-9, 0x1.dab738864a86ap-9, 0x1.c88dc7e21bcdep-9, 0x1.b70fa11385a7fp-9, 0x1.a636f409d7391p-9, 0x1.95fe1ca91f80fp-9, 0x1.865fa1bec584p-9, 0x1.775633fa1d14ap-9, 0x1.68dcace8feff8p-9, 0x1.5aee0df8706c1p-9, 0x1.4d857f795d629p-9, 0x1.409e4fa96dc9p-9, 0x1.3433f1bff9e81p-9, 0x1.2841fcff20b8bp-9, 0x1.1cc42bc8fff9ap-9, 0x1.11b65ab90fbe3p-9, 0x1.071487c1a8373p-9, 0x1.f9b5a29b4504cp-10, 0x1.e60aeacc3b075p-10, 0x1.d321a1b8c48adp-10, 0x1.c0f2bcefba5e6p-10, 0x1.af776c506246p-10, 0x1.9ea91876a85c4p-10, 0x1.8e81612f749cbp-10, 0x1.7efa1bf4fe30dp-10, 0x1.700d527316deap-10, 0x1.61b541135a549p-10, 0x1.53ec559133cf5p-10, 0x1.46ad2d959f15bp-10, 0x1.39f2955a9f276p-10, 0x1.2db786564b19ap-10, 0x1.21f725ed5cdd3p-10, 0x1.16acc42d3b2b9p-10, 0x1.0bd3da8d4e334p-10, 0x1.01680ab7a1414p-10, 0x1.eeca3ab158f7cp-11, 0x1.db8e01ec5b245p-11, 0x1.c913919a0140fp-11, 0x1.b753576bad72cp-11, 0x1.a64606216bd7dp-11, 0x1.95e4936e4ed5ap-11, 0x1.862835e9f572ap-11, 0x1.770a630f053c9p-11, 0x1.6884cd4666a54p-11, 0x1.5a9161ff0a2f6p-11, 0x1.4d2a47d2058efp-11, 0x1.4049dcb2cffdfp-11, 0x1.33eab42b6a6f1p-11, 0x1.280795a43b513p-11, 0x1.1c9b7ab76be7ep-11, 0x1.11a18d8f8d927p-11, 0x1.0715275153aaap-11, 0x1.f9e39d2058c72p-12, 0x1.e6666b9b03df9p-12, 0x1.d3aa7404e4581p-12, 0x1.c1a7c2678483cp-12, 0x1.b056b21fc031bp-12, 0x1.9fafeb2d713bdp-12, 0x1.8fac5f9665d5p-12, 0x1.804548dc2ea57p-12, 0x1.717425846e3c9p-12, 0x1.6332b6b335355p-12, 0x1.557afdd7116c2p-12, 0x1.48473a666a0c2p-12, 0x1.3b91e7adc1514p-12, 0x1.2f55baae8754ep-12, 0x1.238da00e0dc0bp-12, 0x1.1834ba144c3dfp-12, 0x1.0d465eba0fd93p-12, 0x1.02be15c639ee1p-12, 0x1.f12f2df3712cep-13, 0x1.dd9d9093aa2aep-13, 0x1.cabf78511842cp-13, 0x1.b88d5fb51ad9p-13, 0x1.a70013b526513p-13, 0x1.9610b093761aap-13, 0x1.85b89ed91b20fp-13, 0x1.75f19068c3988p-13, 0x1.66b57da9991edp-13, 0x1.57fea2c99a42bp-13, 0x1.49c77d16ce398p-13, 0x1.3c0ac86ec2a3bp-13, 0x1.2ec37cc3b14p-13, 0x1.21eccbb6c9252p-13, 0x1.15821e46fb2d6p-13, 0x1.097f1293c52dbp-13, 0x1.fbbef366e2816p-14, 0x1.e53eab3877796p-14, 0x1.cf75ae3fb33f8p-14, 0x1.ba5cb7f1cf4bp-14, 0x1.a5ecd9d357374p-14, 0x1.921f77d78a1dcp-14, 0x1.7eee44e075881p-14, 0x1.6c533f5ef5f34p-14, 0x1.5a48ae11a3083p-14, 0x1.48c91ce1c79d9p-14, 0x1.37cf59dd7f78p-14, 0x1.2756724e1f8d3p-14, 0x1.1759afea120d2p-14, 0x1.07d496215172ep-14, 0x1.f185bf076b927p-15, 0x1.d440f680951cdp-15, 0x1.b7d31579d0478p-15, 0x1.9c34be8aa5d25p-15, 0x1.815eefa2416a1p-15, 0x1.674afdbf6726ep-15, 0x1.4df290d323623p-15, 0x1.354f9fcce239p-15, 0x1.1d5c6cce964a8p-15, 0x1.06138187a67a9p-15, 0x1.dedf576abf147p-16, 0x1.b2d7f38f60258p-16, 0x1.88076f51fabb3p-16, 0x1.5e64d74fc9f37p-16, 0x1.35e7a70399fb2p-16, 0x1.0e87c31a4bf04p-16, 0x1.d07ae80921b46p-17, 0x1.8602c187b3e56p-17, 0x1.3d9913e0b20cap-17, 0x1.ee6113d8c413cp-18, 0x1.6578de1f67454p-18, 0x1.c0c29a1f02bc2p-19, 0x1.7c0d18c2f7a52p-20, -0x1.eb741cb85bbe3p-22, -0x1.31c6ac6b8b05cp-19, -0x1.0f9510da536f9p-18, -0x1.82dfa7d03a471p-18, -0x1.f2d57aa35465cp-18, -0x1.2fc40f6fd3c22p-17, -0x1.64843601fba06p-17, -0x1.97b34370a3c9ep-17, -0x1.c958f63671fa8p-17, -0x1.f97cbe05254edp-17, -0x1.1412e0549360ap-16, -0x1.2aad6f5712fc8p-16, -0x1.40915be3ab97ap-16, -0x1.55c1d77ed0852p-16, -0x1.6a41f752ff9aep-16, -0x1.7e14b6113dabap-16, -0x1.913cf5b7d9a81p-16, -0x1.a3bd814099859p-16, -0x1.b5990e374477bp-16, -0x1.c6d23e398e9cfp-16, -0x1.d76ba06152791p-16, -0x1.e767b29a0777p-16, -0x1.f6c8e2e256453p-16, -0x1.02c8c83d51f83p-15, -0x1.09e20680b7c1fp-15, -0x1.10b14ebf21a5fp-15, -0x1.1737bdae03e88p-15, -0x1.1d766aa9bb06dp-15, -0x1.236e68232dc9dp-15, -0x1.2920c40635a0ap-15, -0x1.2e8e88191e543p-15, -0x1.33b8ba55938b1p-15, -0x1.38a05d3b470efp-15, -0x1.3d46701ca4226p-15, -0x1.41abef65d1789p-15, -0x1.45d1d4de4cc1p-15, -0x1.49b917e56945bp-15, -0x1.4d62ada9e74adp-15, -0x1.50cf895cf2bbbp-15, -0x1.54009c60ba239p-15, -0x1.56f6d672df29ep-15, -0x1.59b325d2f63f1p-15, -0x1.5c3677654fd9fp-15, -0x1.5e81b6d237f0ep-15, -0x1.6095cea1e77e2p-15, -0x1.6273a8554e9ccp-15, -0x1.641c2c7bed489p-15, -0x1.659042c6e0f26p-15, -0x1.66d0d219561abp-15, -0x1.67dec09683c7bp-15, -0x1.68baf3ad5930ap-15, -0x1.6966502200353p-15, -0x1.69e1ba155ec7ep-15, -0x1.6a2e150ab1f4ep-15, -0x1.6a4c43eb67454p-15, -0x1.6a3d290954334p-15, -0x1.6a01a61f6710cp-15, -0x1.699a9c50f115ap-15, -0x1.6908ec27a15bdp-15, -0x1.684d75904d9dfp-15, -0x1.676917d69f0c7p-15, -0x1.665cb19fbde4fp-15, -0x1.652920e40f3eap-15, -0x1.63cf42e81c1bdp-15, -0x1.624ff434b47bfp-15, -0x1.60ac108e65215p-15, -0x1.5ee472ec4ed08p-15, -0x1.5cf9f56e7052fp-15, -0x1.5aed71537995fp-15, -0x1.58bfbeee2d4a9p-15, -0x1.5671b59a6b562p-15, -0x1.54042bb1e807ep-15, -0x1.5177f680a49ecp-15, -0x1.4ecdea39321f7p-15, -0x1.4c06d9e8c7daap-15, -0x1.4923976b41729p-15, -0x1.4624f35f02f06p-15, -0x1.430bbd18d6b8fp-15, -0x1.3fd8c297ca6d7p-15, -0x1.3c8cd079101e8p-15, -0x1.3928b1ebf3ac7p-15, -0x1.35ad30a5e454ep-15, -0x1.321b14d69df43p-15, -0x1.2e73251c7707fp-15, -0x1.2ab62678d7c2cp-15, -0x1.26e4dc44e3edep-15, -0x1.2300082658504p-15, -0x1.1f086a04a43fdp-15, -0x1.1afebffe3fbb3p-15, -0x1.16e3c65e459a7p-15, -0x1.12b83792545eap-15, -0x1.0e7ccc20b4e5bp-15, -0x1.0a323a9ed4596p-15, -0x1.05d937a80573bp-15, -0x1.017275d499acap-15, -0x1.f9fd4b629356ap-16, -0x1.f0fceb6debf8dp-16, -0x1.e7e52485782e5p-16, -0x1.deb74b1ccdcc1p-16, -0x1.d574af5268ac1p-16, -0x1.cc1e9ce1f4088p-16, -0x1.c2b65b1740c68p-16, -0x1.b93d2cc1f9fcp-16, -0x1.afb4502a0b71ep-16, -0x1.a61cff04c1556p-16, -0x1.9c786e6aa28b5p-16, -0x1.92c7cecdff279p-16, -0x1.890c4bf2347abp-16, -0x1.7f470ce3ab081p-16, -0x1.757933f087301p-16, -0x1.6ba3dea20a644p-16, -0x1.61c825b6ab633p-16, -0x1.57e71d1cd7c95p-16, -0x1.4e01d3ee6bf04p-16, -0x1.4419546ccda83p-16, -0x1.3a2ea3fdb4996p-16, -0x1.3042c3289cb43p-16, -0x1.2656ad94d4462p-16, -0x1.1c6b5a0834d5bp-16, -0x1.1281ba667579ap-16, -0x1.089abbb117645p-16, -0x1.fd6e8c0fe35cep-17, -0x1.e9b0795494badp-17, -0x1.d5fcfbf114acp-17, -0x1.c255c6eced3b8p-17, -0x1.aebc839bfd89dp-17, -0x1.9b32d1a518987p-17, -0x1.87ba4709b3051p-17, -0x1.7454702e9b616p-17, -0x1.6102cfe59a922p-17, -0x1.4dc6df781c577p-17, -0x1.3aa20eb2b9843p-17, -0x1.2795c3f1ad68p-17, -0x1.14a35c2e27ddp-17, -0x1.01cc2b0c7883dp-17, -0x1.de22f5d613ea7p-18, -0x1.b8e919e44e00dp-18, -0x1.93ed324903c71p-18, -0x1.6f319ce0efc12p-18, -0x1.4ab8a5840ec19p-18, -0x1.2684862aeb419p-18, -0x1.02976715322aep-18, -0x1.bde6bde30dfd5p-19, -0x1.7734e60d179f6p-19, -0x1.311d2eba14184p-19, -0x1.d746bbaccdbe4p-20, -0x1.4d962f03af5e2p-20, -0x1.8a5f79a87a5d9p-21, -0x1.f0d142750691ep-23, 0x1.1e90332f925cep-22, 0x1.980942d27c232p-21, 0x1.4f0194639fd25p-20, 0x1.d09523bbaed56p-20, 0x1.285ce5e7ed8c8p-19, 0x1.67b523489262p-19, 0x1.a650c55abb168p-19, 0x1.e42d6573dd0a8p-19, 0x1.10a45d3d77986p-18, 0x1.2ed04c3f3e61ep-18, 0x1.4c997824e8fd1p-18, 0x1.69fee77cb17fdp-18, 0x1.86ffaec73e63p-18, 0x1.a39af041279e6p-18, 0x1.bfcfdbac3851fp-18, 0x1.db9dae186cb4p-18, 0x1.f703b1acc0b97p-18, 0x1.09009eb7e772fp-17, 0x1.164ada88261ddp-17, 0x1.23604456b58bdp-17, 0x1.30409a4f94a6bp-17, 0x1.3ceba09f4a84ap-17, 0x1.4961215706416p-17, 0x1.55a0ec50c296dp-17, 0x1.61aad71370a9bp-17, 0x1.6d7ebcb724db7p-17, 0x1.791c7dc95c657p-17, 0x1.8484003149b9ep-17, 0x1.8fb52f14391bbp-17, 0x1.9aaffaba07f16p-17, 0x1.a5745871b8ebdp-17, 0x1.b002427629519p-17, 0x1.ba59b7d2d4b41p-17, 0x1.c47abc48d24ap-17, 0x1.ce655833ddd15p-17, 0x1.d819986fa2bbfp-17, 0x1.e1978e3d15c66p-17, 0x1.eadf4f280b15p-17, 0x1.f3f0f4ecf78d9p-17, 0x1.fccc9d5ee04f1p-17, 0x1.02b93526bc235p-16, 0x1.06f140b5bddeep-16, 0x1.0b0e861a9b91bp-16, 0x1.0f111beba69f9p-16, 0x1.12f91a8ad731cp-16, 0x1.16c69c196c904p-16, 0x1.1a79bc6ba1a7fp-16, 0x1.1e1298fc87092p-16, 0x1.219150e1fec3fp-16, 0x1.24f604c0cde3p-16, 0x1.2840d6c0d9da7p-16, 0x1.2b71ea818382p-16, 0x1.2e89650e1ee1fp-16, 0x1.31876cd2963c1p-16, 0x1.346c2990264cfp-16, 0x1.3737c45247f2cp-16, 0x1.39ea6763b3c4dp-16, 0x1.3c843e438f761p-16, 0x1.3f05759abff82p-16, 0x1.416e3b3159e0dp-16, 0x1.43bebde43dc54p-16, 0x1.45f72d9ad6728p-16, 0x1.4817bb3cfa74ep-16, 0x1.4a2098a8fa4cap-16, 0x1.4c11f8a9c94bdp-16, 0x1.4dec0eed554a5p-16, 0x1.4faf0ffb01a94p-16, 0x1.515b312a465d3p-16, 0x1.52f0a8997471p-16, 0x1.546fad24a67d6p-16, 0x1.55d8765cd0d46p-16, 0x1.572b3c7efa07dp-16, 0x1.5868386b97765p-16, 0x1.598fa39e16862p-16, 0x1.5aa1b82482b1dp-16, 0x1.5b9eb097578a5p-16, 0x1.5c86c81176bf7p-16, 0x1.5d5a3a284230bp-16, 0x1.5e1942e3e1396p-16, 0x1.5ec41eb7a0a66p-16, 0x1.5f5b0a7a84644p-16, 0x1.5fde435ff48eap-16, 0x1.604e06f09674ep-16, 0x1.60aa930341b83p-16, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      50, 0x1.2p+2, 0x1.1cffc3906cab5p+1, 0x1.859cf43911c3dp+1, -0x1.8dc5086e7fcap-8, 
      {{
        {0x1p+1, 0x1.0666666666666p+1, 0x1.e7f237f0ba4dp-3, -0x1.16876a7cb59dap-1, 0x1.36147fcbb4384p-1, -0x1.34491108d4714p-2}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.b3439c2c304dcp-3, -0x1.f15aa3dce7806p-2, 0x1.1ef56b5171164p-1, -0x1.28532954be225p-2}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.8452fed54a9eap-3, -0x1.ba2f4cca0d305p-2, 0x1.08bbfb6b1606cp-1, -0x1.1e27f07dd5406p-2}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.5aae78a5f73a6p-3, -0x1.876252b593fbep-2, 0x1.e68b92c34c10dp-2, -0x1.1381d04b795adp-2}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.35e82f33ff5efp-3, -0x1.58cbbd4674538p-2, 0x1.bd3819eb2d0fdp-2, -0x1.08fc9ea9c2ef7p-2}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.159654f107903p-3, -0x1.2e42e764b0a4ap-2, 0x1.95789bb81c9f3p-2, -0x1.fcdd3441b488p-3}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.f2a652551f2d4p-4, -0x1.079f5a41e29e4p-2, 0x1.6f4e6afffbe1fp-2, -0x1.e7c5e54841f71p-3}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.c179f013e4fe9p-4, -0x1.c971255079c0ep-3, 0x1.4ab92d00f6ef3p-2, -0x1.d2ad53bbb2efp-3}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.96ec3528cd3a6p-4, -0x1.8acc216bee308p-3, 0x1.27b8f9ec7cb7p-2, -0x1.bd9512633577fp-3}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.7249ed55fb0ecp-4, -0x1.52fea7413791p-3, 0x1.064dcbbea581p-2, -0x1.a87cd2cd8d09p-3}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.52e7fe154835ap-4, -0x1.21b7b5d8ca158p-3, 0x1.ccef44ab42a74p-3, -0x1.93643bf8806cep-3}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.3823669844f15p-4, -0x1.ed4c972def2a5p-4, 0x1.906d08792f64p-3, -0x1.7e4d005e32d6p-3}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.21613fc8380e6p-4, -0x1.a2f2d1a6785ep-4, 0x1.5714aed174907p-3, -0x1.6930af18450cp-3}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.0e0ebc461ee44p-4, -0x1.63c00d791a695p-4, 0x1.20e6faf43702p-3, -0x1.542759461e354p-3}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.fb4250d55aa7p-5, -0x1.2f127261a1c82p-4, 0x1.dbc227ecfe8d1p-4, -0x1.3ed72b508991fp-3}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.df2bd48c9b8cfp-5, -0x1.044760f5616e5p-4, 0x1.7c1b3488087b3p-4, -0x1.2a8f6274c1c4ep-3}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.c6e503424264bp-5, -0x1.c57e420b60945p-5, 0x1.2289ca31ce5a1p-4, -0x1.0f62a688255adp-3}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.b189739282edep-5, -0x1.9386f085801bep-5, 0x1.a23eca11ecafep-5, -0x1.daa1ede7db78dp-4}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.9e499adf371bdp-5, -0x1.70d27315440d8p-5, 0x1.13db02b2c4729p-5, -0x1.988f5c7bcd516p-4}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.8c6f150993711p-5, -0x1.5b5d6b3d90ed6p-5, 0x1.3293344e74195p-6, -0x1.55ef0dd303f36p-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.7b5d080eabc37p-5, -0x1.512a48d520f12p-5, 0x1.95a8b00c2d534p-8, -0x1.1374e660d8fb3p-4}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.6a902407733a8p-5, -0x1.5039eded781c2p-5, -0x1.fedfbe8550708p-9, -0x1.a1dfbea1bae5cp-5}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.599ea328bc509p-5, -0x1.568da5591d88ep-5, -0x1.7a7162025ddacp-7, -0x1.1ce05f032a8d1p-5}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.483849c338d28p-5, -0x1.6226a4abc21ebp-5, -0x1.12af33e8887dcp-6, -0x1.2f98093516946p-6}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.3626664379df4p-5, -0x1.71060db36c8cap-5, -0x1.4039354a18adcp-6, -0x1.300e6d8c6f81ep-9}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.234bd131efe8bp-5, -0x1.812d6693a279bp-5, -0x1.45ecadbe545ebp-6, 0x1.cb68bae94f0ecp-7}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.0fa4ed32eab2dp-5, -0x1.909cb7df97fc4p-5, -0x1.23780620080a6p-6, 0x1.e97d435def135p-6}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.f68f4e0d32a7bp-6, -0x1.9d599c1648738p-5, -0x1.b41744d71528p-7, 0x1.856da74c15dcp-5}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.ccc6eb121469fp-6, -0x1.a554e397e3b23p-5, -0x1.94de2752dce31p-8, 0x1.b35fbc1b2879p-5}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.a27fea17ff6f6p-6, -0x1.a7208c46295a8p-5, 0x1.d652e99d4ec48p-10, 0x1.7e94e0c3ef68ep-5}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.785b286626b57p-6, -0x1.a2c9bb7552082p-5, 0x1.2056e40f9fe36p-7, 0x1.5894961e3ae5dp-5}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.4eec819fb1ba8p-6, -0x1.98fec3fda9c0ep-5, 0x1.ef167154f66c8p-7, 0x1.2e9db00dfa6a9p-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.26b8067765cb9p-6, -0x1.8a592e8ea25aap-5, 0x1.525420aeacbd3p-6, 0x1.05b6a6f66e656p-5}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.0031fcafa605p-6, -0x1.777815e92c16ep-5, 0x1.a0d7b92bcddb3p-6, 0x1.b90d8acd2f497p-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.b77dbe34e6a0fp-7, -0x1.60f916b117b2ep-5, 0x1.e300279761c03p-6, 0x1.66d4d17e72e94p-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.7366bb32d8ceep-7, -0x1.477a33ed3594ap-5, 0x1.0c69a381f97e4p-5, 0x1.1491a1dc854b5p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.34a8ba3b9ba1p-7, -0x1.2b99553577031p-5, 0x1.2127c2d8e9e3dp-5, 0x1.84a2836ccd377p-7}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.f75bdea1c784p-8, -0x1.0df4697a4a1ep-5, 0x1.2fbaa7c697fc6p-5, 0x1.c04067d11ee07p-8}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.9181f12742f63p-8, -0x1.de52bb721176p-6, 0x1.3822435283c3dp-5, 0x1.dcf41265230d1p-10}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.3819bc8801604p-8, -0x1.9fac3ec5c202ap-6, 0x1.3a5e9b6896babp-5, -0x1.a3905ee20a06fp-9}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.d6744b05a38fep-9, -0x1.613138198831ep-6, 0x1.366fa751ab6f7p-5, -0x1.0d63ae01187a6p-7}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.5575ca29f4d3cp-9, -0x1.241d809185ae1p-6, 0x1.2c5583fe6db7bp-5, -0x1.b1ee6ad2bc249p-7}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.d8d221e8e2f33p-10, -0x1.d359f242b186cp-7, 0x1.1c0fc66353766p-5, -0x1.2b27c89e4f52dp-6}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.3401c4b305c7p-10, -0x1.6636cb08db908p-7, 0x1.059ffdbdda4fep-5, -0x1.7da5f55e4ce18p-6}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.71c6a72a03a6p-11, -0x1.0349ed0ef8983p-7, 0x1.d200b04729179p-6, -0x1.cf028725ed69bp-6}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.8b8bd9ad8e9cp-12, -0x1.5a1117a904097p-8, 0x1.8c8d1c0178ae6p-6, -0x1.124bf5a1fe9ddp-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.63813064a5dffp-13, -0x1.97cee478c6162p-9, 0x1.3a431f1dac4c3p-6, -0x1.3535d080513e7p-5}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.dfb5891b6ebffp-15, -0x1.8301ddadaab88p-10, 0x1.baff8dee5b0d4p-7, -0x1.75869ef646273p-5}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.80d1f52d8f7bp-17, -0x1.e905017526fb7p-12, 0x1.b5c3f6b52eb14p-8, -0x1.0edab5e60761fp-5}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.80d1f52d8f7bfp-21, -0x1.84eb6839066f7p-15, 0x1.c2f60b5164273p-10, -0x1.93c5e4bd125ccp-5}, 
      }}, 
      0x1.a281a982f9358p-1, -0x1.514d06091a294p+2
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_p_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x1.0a56752ca7d3cp-1, -0x1.9f436c914dc5bp-3, -0x1.05727c9f37e92p-1, -0x1.1958cc49f00e2p-4, 0x1.2858793dd97f6p-2, 0x1.2858793dd97f6p-2, 0x1.2858793dd97f6p-2, 0, 3, 2}, 
    {{
      {{-0x1.37e70c4d85554p-2, -0x1.36da40465ddbfp-2, -0x1.351d2400cdcd4p-2, -0x1.32b668189ece4p-2, -0x1.2fac3a7ef799ep-2, -0x1.2c07ac8419163p-2, -0x1.27d28022c8392p-2, -0x1.2316699974ce8p-2, -0x1.1dde963e25b91p-2, -0x1.1836387e64ff5p-2, -0x1.12282de3ab018p-2, -0x1.0bbf7e7442437p-2, -0x1.050763609f6a8p-2, -0x1.fc15721818059p-3, -0x1.eda569c2f53c8p-3, -0x1.ded4957f7103ep-3, -0x1.cfb3484eb1e64p-3, -0x1.c055ec1a49cdbp-3, -0x1.b0cab0501bf99p-3, -0x1.a1238e1d4e3f6p-3, -0x1.916e3974c2da8p-3, -0x1.81b8db797e358p-3, -0x1.7210d654af173p-3, -0x1.6281dacd00fbdp-3, -0x1.531768230e549p-3, -0x1.43dbf9c44ab84p-3, -0x1.34d8ef7e041c1p-3, -0x1.2616de37026b1p-3, -0x1.179fb756f653cp-3, -0x1.0979786bbe6b7p-3, -0x1.f75344a38654ap-4, -0x1.dc6dee5dfb7p-4, -0x1.c2505e2edf9edp-4, -0x1.a903e2f6084e8p-4, -0x1.908e7248f7d88p-4, -0x1.78f621577f804p-4, -0x1.624224d170dfdp-4, -0x1.4c78fd9edae6ep-4, -0x1.379ec25d10917p-4, -0x1.23b551806c365p-4, -0x1.10bdb98ac2ea9p-4, -0x1.fd72558bb4766p-5, -0x1.db5170bd5b945p-5, -0x1.bb1908d1e397ep-5, -0x1.9cc694c7e7ccap-5, -0x1.80553aeb5b451p-5, -0x1.65bef5c6fdb01p-5, -0x1.4cfd515213abp-5, -0x1.36095b3e962cbp-5, -0x1.20db2526371ecp-5, -0x1.0d696d49eb1eap-5, -0x1.f75364d190ed5p-6, -0x1.d7211d78ab86ap-6, -0x1.ba241b7fa338cp-6, -0x1.a0595603f3ccdp-6, -0x1.8969da88b34bdp-6, -0x1.755fc9be0e34cp-6, -0x1.64287e80a5625p-6, -0x1.55add9ff067bep-6, -0x1.49d41378c49dfp-6, -0x1.4079cbceb017cp-6, -0x1.397a245b6d21bp-6, -0x1.34afdcbf7a388p-6, -0x1.31f83c7876fc3p-6, -0x1.3134cb4e851e5p-6, -0x1.324b6ac82c3dep-6, -0x1.352501edf4286p-6, -0x1.39ab60c2e330fp-6, -0x1.3fc729ce84f7fp-6, -0x1.475e6ed05813dp-6, -0x1.50545bbaaacb2p-6, -0x1.5a89eb911fbecp-6, -0x1.65df54ae76a03p-6, -0x1.7235b07063fbfp-6, -0x1.7f70628a6efdp-6, -0x1.8d75e742f0ed5p-6, -0x1.9c2fe64121e0ep-6, -0x1.ab8a9f17fa973p-6, -0x1.bb73eda5ad92fp-6, -0x1.cbda35f76f164p-6, -0x1.dcab81138e237p-6, -0x1.edd4fc0d858e4p-6, -0x1.ff42eaad813b8p-6, -0x1.087080248706bp-5, -0x1.114d7d9f745edp-5, -0x1.1a2eaab90b167p-5, -0x1.230aef224c2a4p-5, -0x1.2bda0f2a7cb3ep-5, -0x1.3494bb2b8b383p-5, -0x1.3d347e045fbadp-5, -0x1.45b3932b632bp-5, -0x1.4e0cb0d58fc66p-5, -0x1.563ad32b9cfa2p-5, -0x1.5e3913113b93fp-5, -0x1.66028eb4d0ff1p-5, -0x1.6d926546d9f9cp-5, -0x1.74e3c301f6ebp-5, -0x1.7bf1f7de99b4dp-5, -0x1.82b892342db4cp-5, -0x1.89337709bf969p-5, -0x1.8f5ef3804efdcp-5, -0x1.9537c4ff9f0cp-5, -0x1.9abb18106d526p-5, -0x1.9fe67fa06b87p-5, -0x1.a4b7e7898c252p-5, -0x1.a92d858dad516p-5, -0x1.ad45cba2b444ep-5, -0x1.b0ff5d9ccb5d1p-5, -0x1.b4590b3ccdae8p-5, -0x1.b751ce9fbc808p-5, -0x1.ba0dd3b2b29c5p-5, -0x1.bc342a7b2d8acp-5, -0x1.bdf5f94e65192p-5, -0x1.bf548c20aa457p-5, -0x1.c0514f29b122bp-5, -0x1.c0edb0fd25067p-5, -0x1.c12b0bfc35cecp-5, -0x1.c10a97f88465ap-5, -0x1.c08d6400cf886p-5, -0x1.bfb4579b09382p-5, -0x1.be803a2e9d87ep-5, -0x1.bcf1bf159177bp-5, -0x1.bb0994ae2643p-5, -0x1.b8c874d0f98fp-5, -0x1.b62f3535652edp-5, -0x1.b33ed6882a8bdp-5, -0x1.aff891399f033p-5, -0x1.ac5ddf4f37e11p-5, -0x1.a87082c7950d1p-5, -0x1.a432885ebda0ap-5, -0x1.9fa646b895975p-5, -0x1.9ace5a28b091fp-5, -0x1.95ad9d7899ab1p-5, -0x1.90472030723cfp-5, -0x1.8a9e1b00bd76bp-5, -0x1.84b5e2ff2127ap-5, -0x1.7e91dc713e6f5p-5, -0x1.78356de0b2039p-5, -0x1.71a3f42861bf9p-5, -0x1.6ae0b8166c27ep-5, -0x1.63eee61fe8856p-5, -0x1.5cd1887de511dp-5, -0x1.558b83e0beb97p-5, -0x1.4e1f96ba7d167p-5, -0x1.46905af5ed57ep-5, -0x1.3ee049c9fd4bfp-5, -0x1.3711c139e0065p-5, -0x1.2f270abd0e845p-5, -0x1.2722627f4dc09p-5, -0x1.1f05fea8958a6p-5, -0x1.16d416269918bp-5, -0x1.0e8ee68419d72p-5, -0x1.0638b872e969cp-5, -0x1.fba7c596163cep-6, -0x1.eac597c03a253p-6, -0x1.d9cfd25a202c7p-6, -0x1.c8cb7ae3c90ccp-6, -0x1.b7bdaaee01a15p-6, -0x1.a6ab8777943cdp-6, -0x1.959a36c3dde7cp-6, -0x1.848ed5585cadep-6, -0x1.738e6acd48691p-6, -0x1.629ddf108e17ap-6, -0x1.51c1f0a579aabp-6, -0x1.40ff2c4f93751p-6, -0x1.3059e6782e77bp-6, -0x1.1fd6367db326ap-6, -0x1.0f77f3fbf414cp-6, -0x1.fe856c015d214p-7, -0x1.de73a80d2191fp-7, -0x1.bec0d0fb264d4p-7, -0x1.9f72a932b6d82p-7, -0x1.808e8a2b2fcb4p-7, -0x1.62196f38eff2bp-7, -0x1.441800f8e702p-7, -0x1.268ea0be2251p-7, -0x1.0981737535a45p-7, -0x1.d9e8d70b66f56p-8, -0x1.a1d6a2a53f3d1p-8, -0x1.6ad3942982d7ep-8, -0x1.34e6b9ca0468p-8, -0x1.0016ebd072c8p-8, -0x1.98d59e9999402p-9, -0x1.33d1aabac2806p-9, -0x1.a25cdddf8692ap-10, -0x1.c3df89d4dc99cp-11, -0x1.33970bf9c3298p-13, 0x1.2008643e07a51p-11, 0x1.41613fb292d7p-10, 0x1.ed919c3774182p-10, 0x1.4a42265953f97p-9, 0x1.9b15135cb4471p-9, 0x1.e93af599cab3cp-9, 0x1.1a5716922021bp-8, 0x1.3eb50ff4ce1f3p-8, 0x1.61b59e0a0d176p-8, 0x1.83577b5359bccp-8, 0x1.a399e34772bdp-8, 0x1.c27c8e43eb665p-8, 0x1.dfffac21b3822p-8, 0x1.fc23ddaf8c2fap-8, 0x1.0b7516ad1079fp-7, 0x1.182a03a55294p-7, 0x1.243198a1aa4c9p-7, 0x1.2f8ce13e8b991p-7, 0x1.3a3d0de146f06p-7, 0x1.44436ffe8718p-7, 0x1.4da176af508a7p-7, 0x1.5658aba4606ccp-7, 0x1.5e6ab082cb00fp-7, 0x1.65d93caf5bc64p-7, 0x1.6ca61b88719c6p-7, 0x1.72d32b0a3f444p-7, 0x1.78625ad47ac7fp-7, 0x1.7d55ab86056a3p-7, 0x1.81af2e5fc7e77p-7, 0x1.8571051f8462ap-7, 0x1.889d6201dae69p-7, 0x1.8b3687db9ffd4p-7, 0x1.8d3eca3b38a37p-7, 0x1.8eb88d848bf84p-7, 0x1.8fa646fbbe6f4p-7, 0x1.902f17c923d63p-7, 0x1.900f6ad52dd0dp-7, 0x1.8f6a597aabe36p-7, 0x1.8e429d4755c02p-7, 0x1.8c9b05aa9b83ap-7, 0x1.8a76767e3c4c3p-7, 0x1.87d7e655300c5p-7, 0x1.84c25c9b6e878p-7, 0x1.8138ef91ef1dep-7, 0x1.7d3ec2324deb2p-7, 0x1.78d7020586f9dp-7, 0x1.7404e4f87d1abp-7, 0x1.6ecba738da89bp-7, 0x1.692e89235c232p-7, 0x1.6330cd4bb98e8p-7, 0x1.5cd5b6a4f47acp-7, 0x1.562086d00483dp-7, 0x1.4f147c9492eb7p-7, 0x1.47b4d286e420bp-7, 0x1.4004bddc53fefp-7, 0x1.38076d6e7613fp-7, 0x1.2fc008ec310a5p-7, 0x1.2731b0365a5b2p-7, 0x1.1e5f7ae53d165p-7, 0x1.154c77f3371a3p-7, 0x1.0bfbad8829722p-7, 0x1.027018e128812p-7, 0x1.f1595c9ecca9ep-8, 0x1.dd68b292cdc6ap-8, 0x1.c913f9132a3fcp-8, 0x1.b460e46ae77a1p-8, 0x1.9f5518120ddc1p-8, 0x1.89f627049005ep-8, 0x1.74499412c2907p-8, 0x1.5e54d224a1d14p-8, 0x1.481d446b53d3ap-8, 0x1.31a83e7cdeec8p-8, 0x1.1afb04578ab35p-8, 0x1.041aca4ae1cdap-8, 0x1.da19698c29e04p-9, 0x1.ababb017af25ap-9, 0x1.7cf66f99d12b6p-9, 0x1.4e038d5578b74p-9, 0x1.1edccb4b0bb93p-9, 0x1.df178dde6c1c6p-10, 0x1.8033ef8869162p-10, 0x1.21215bb809188p-10, 0x1.83e4412c4425ap-11, 0x1.8ae0dc9330dc5p-12, 0x1.c2a008d37f7fap-17, -0x1.6e55fdb380e2ep-12, -0x1.750e41432cc5ap-11, -0x1.193f1e3f00e4cp-10, -0x1.77ad57173ccb2p-10, -0x1.d5c2109c62678p-10, -0x1.19b6fc9109fa3p-9, -0x1.485114ecd0bbdp-9, -0x1.76a8144296a6p-9, -0x1.a4b4f46ef256cp-9, -0x1.d270e6d671c94p-9, -0x1.ffd554caaca43p-9, -0x1.166defe498cdp-8, -0x1.2cbf30ca9533fp-8, -0x1.42db76169e01ep-8, -0x1.58bfe4cfd8f1fp-8, -0x1.6e69bde0120c6p-8, -0x1.83d65ddff0c53p-8, -0x1.99033cd6b49e8p-8, -0x1.adededeeaab32p-8, -0x1.c2941f1fd5e86p-8, -0x1.d6f398d2762dfp-8, -0x1.eb0a3d7aef926p-8, -0x1.fed609305b58bp-8, -0x1.092a889fa0821p-7, -0x1.12c2c1dcd1fcp-7, -0x1.1c32d382c383dp-7, -0x1.2579ecb57504dp-7, -0x1.2e97485102acbp-7, -0x1.378a2cb15629cp-7, -0x1.4051eb7a92f3fp-7, -0x1.48ede1629601ap-7, -0x1.515d75fba1d2bp-7, -0x1.59a01b804c34bp-7, -0x1.61b54ea0d15c4p-7, -0x1.699c96519cc25p-7, -0x1.7155839b3e178p-7, -0x1.78dfb16b73781p-7, -0x1.803ac46760cddp-7, -0x1.87666abea58f8p-7, -0x1.8e625bff5ef05p-7, -0x1.952e58eabf3e2p-7, -0x1.9bca2b4a23e99p-7, -0x1.a235a5c49abcfp-7, -0x1.a870a3b46009ap-7, -0x1.ae7b08fca333fp-7, -0x1.b454c1df0a817p-7, -0x1.b9fdc2d0f1f1cp-7, -0x1.bf76085081468p-7, -0x1.c4bd96b91d61ap-7, -0x1.c9d47a17771fcp-7, -0x1.cebac5fd26cadp-7, -0x1.d37095536225ep-7, -0x1.d7f60a2d5f6f9p-7, -0x1.dc4b4d99f8fddp-7, -0x1.e0708f74c9bdcp-7, -0x1.e4660636aaabp-7, -0x1.e82beec5abfc1p-7, -0x1.ebc28c4498166p-7, -0x1.ef2a27e21c6fep-7, -0x1.f26310a783421p-7, -0x1.f56d9b47446cap-7, -0x1.f84a21eb67e65p-7, -0x1.faf90403cc085p-7, -0x1.fd7aa6146eaa5p-7, -0x1.ffcf7183df0e7p-7, -0x1.00fbea34ea32ap-6, -0x1.01fa20aefe4e6p-6, -0x1.02e297a3a9dap-6, -0x1.03b58c95d79p-6, -0x1.04733efff90acp-6, -0x1.051bf03c630d7p-6, -0x1.05afe36e01106p-6, -0x1.062f5d694c59ep-6, -0x1.069aa49db89bep-6, -0x1.06f200ff6b28dp-6, -0x1.0735bbf16b30dp-6, -0x1.076620302b5dcp-6, -0x1.078379bc7b94p-6, -0x1.078e15c6f95dcp-6, -0x1.0786429bcc555p-6, -0x1.076c4f8efcab5p-6, -0x1.07408ce8fa3abp-6, -0x1.07034bd3be6c4p-6, -0x1.06b4de483f072p-6, -0x1.065596fc4b42bp-6, -0x1.05e5c950ce2d2p-6, -0x1.0565c94072e25p-6, -0x1.04d5eb4ea3893p-6, -0x1.04368476e69c3p-6, -0x1.0387ea1c9860dp-6, -0x1.02ca71faf8d04p-6, -0x1.01fe72158a6cep-6, -0x1.012440a8cbde1p-6, -0x1.003c341b3519ap-6, -0x1.fe8d45dd1bd89p-7, -0x1.fc87c76304dbbp-7, -0x1.fa6899e32b82ep-7, -0x1.f8306a5a98d98p-7, -0x1.f5dfe58d38b32p-7, -0x1.f377b7eb7a7e6p-7, -0x1.f0f88d783b462p-7, -0x1.ee6311af778c6p-7, -0x1.ebb7ef6d708c1p-7, -0x1.e8f7d0d647b36p-7, -0x1.e6235f3e6d397p-7, -0x1.e33b431352414p-7, -0x1.e04023c4e005ap-7, -0x1.dd32a7af84332p-7, -0x1.da137406a6cfep-7, -0x1.d6e32cbff1d64p-7, -0x1.d3a2747f1e82cp-7, -0x1.d051ec825d71bp-7, -0x1.ccf2348f6a701p-7, -0x1.c983eae153091p-7, -0x1.c607ac16d94b1p-7, -0x1.c27e132186794p-7, -0x1.bee7b9357a538p-7, -0x1.bb4535b9ebb28p-7, -0x1.b7971e3a6cc41p-7, -0x1.b3de0658ca17p-7, -0x1.b01a7fbfdbb8bp-7, -0x1.ac4d1a16ece93p-7, -0x1.a87662f6022cfp-7, -0x1.a496e5dada8d2p-7, -0x1.a0af2c1ec121fp-7, -0x1.9cbfbced1f6d3p-7, -0x1.98c91d3ae8705p-7, -0x1.94cbcfbeb67fbp-7, -0x1.90c854e9db275p-7, -0x1.8cbf2ae20f7fdp-7, -0x1.88b0cd7c1695dp-7, -0x1.849db63701a9ep-7, -0x1.80865c3865198p-7, -0x1.7c6b34493bccap-7, -0x1.784cb0d3721c8p-7, -0x1.742b41e07d8a4p-7, -0x1.7007551858614p-7, -0x1.6be155c173a4dp-7, -0x1.67b9acc1263e4p-7, -0x1.6390c09d0e3dbp-7, -0x1.5f66f57cc95cp-7, -0x1.5b3cad2c86393p-7, -0x1.571247201f876p-7, -0x1.52e82076be50ep-7, -0x1.4ebe93ff1e17bp-7, -0x1.4a95fa3c391a7p-7, -0x1.466ea96a8d043p-7, -0x1.4248f585b59a3p-7, -0x1.3e25304e8a7p-7, -0x1.3a03a95185eedp-7, -0x1.35e4aded9da88p-7, -0x1.31c8895b53cd4p-7, -0x1.2daf84b41bab2p-7, -0x1.2999e6f9eaca7p-7, -0x1.2587f51f19fa5p-7, -0x1.2179f20e4d8bp-7, -0x1.1d701eb2997c4p-7, -0x1.196ab9ffb7438p-7, -0x1.156a00fa35a89p-7, -0x1.116e2ebfdae0cp-7, -0x1.0d777c8fe0626p-7, -0x1.098621d340977p-7, -0x1.059a5424d73f7p-7, -0x1.01b447599879cp-7, -0x1.fba85b11149e6p-8, -0x1.f3f46e254dbe4p-8, -0x1.ec4d255528a75p-8, -0x1.e4b2dab88fbb6p-8, -0x1.dd25e528c2f4fp-8, -0x1.d5a6984eb2d6cp-8, -0x1.ce3544b12478cp-8, -0x1.c6d237c223688p-8, -0x1.bf7dbbec2fb32p-8, -0x1.b838189f0a442p-8, -0x1.b105d1aa6e9eap-8, -0x1.a9de82cbb5a03p-8, -0x1.a2c6d037ac5efp-8, -0x1.9bbef60b89308p-8, -0x1.94c72da2cf55p-8, -0x1.8ddfada14177dp-8, -0x1.8708a9fc88797p-8, -0x1.8042540575747p-8, -0x1.798cda7103952p-8, -0x1.72e86960fa3dbp-8, -0x1.6c552a6c4e256p-8, -0x1.65d344a75ac73p-8, -0x1.5f62dcabc6874p-8, -0x1.590414a05a2d5p-8, -0x1.52b70c409f846p-8, -0x1.4c7be0e4677c7p-8, -0x1.4652ad874c13dp-8, -0x1.403b8ad01a9b9p-8, -0x1.3a368f1831097p-8, -0x1.3443ce72f696dp-8, -0x1.2e635ab552f83p-8, -0x1.2895437d28649p-8, -0x1.22d9963909919p-8, -0x1.1d305e2fe3046p-8, -0x1.1799a488f6946p-8, -0x1.12157053c0b04p-8, -0x1.0ca3c69042b0bp-8, -0x1.0744aa375ee5cp-8, -0x1.01f81c4368b8p-8, -0x1.f97c3771d5a74p-9, -0x1.ef2d4b5f381bcp-9, -0x1.e5036ab72b2edp-9, -0x1.dafe882d71816p-9, -0x1.d11e92d486ef9p-9, -0x1.c76376315b59fp-9, -0x1.bdcd1a4f3b088p-9, -0x1.b45b63d45ecffp-9, -0x1.ab0e34169cdd1p-9, -0x1.a1e56930b4509p-9, -0x1.98e0de17b740ap-9, -0x1.90006ab0e4c19p-9, -0x1.8743e3e7cd3dcp-9, -0x1.7eab1bc4a2261p-9, -0x1.7635e182c53fep-9, -0x1.6de401a7abd3bp-9, -0x1.65b54619ae284p-9, -0x1.5da976376efc4p-9, -0x1.55c056ee6ec4fp-9, -0x1.4df9aad2cb8a4p-9, -0x1.46553236550f7p-9, -0x1.3ed2ab3fce95cp-9, -0x1.3771d2021d7a3p-9, -0x1.3032609371a3p-9, -0x1.29140f244f865p-9, -0x1.2216941665d64p-9, -0x1.1b39a41357eacp-9, -0x1.147cf22338cb4p-9, -0x1.0de02fc2de3fep-9, -0x1.07630cf9dca1p-9, -0x1.01053870550dcp-9, -0x1.f58cbf092d313p-10, -0x1.e94c5cbfdd33ap-10, -0x1.dd48a017791f1p-10, -0x1.d180dd0b8d2d4p-10, -0x1.c5f465a8ae911p-10, -0x1.baa28a33d8443p-10, -0x1.af8a9950c17f5p-10, -0x1.a4abe027e4422p-10, -0x1.9a05aa8b0aadcp-10, -0x1.8f9743196747ap-10, -0x1.855ff362d870ap-10, -0x1.7b5f04099b0a2p-10, -0x1.7193bce4103f1p-10, -0x1.67fd651cb36e4p-10, -0x1.5e9b43519c1c8p-10, -0x1.556c9db31c78dp-10, -0x1.4c70ba212ec19p-10, -0x1.43a6de481c81bp-10, -0x1.3b0e4fbc383c8p-10, -0x1.32a65414a5092p-10, -0x1.2a6e31053cfe8p-10, -0x1.22652c778b302p-10, -0x1.1a8a8ca2e8fd3p-10, -0x1.12dd9823b9111p-10, -0x1.0b5d9611c4974p-10, -0x1.0409ce15bcc4bp-10, -0x1.f9c310fbf3a74p-11, -0x1.ebc81ca476686p-11, -0x1.de2152cdc4318p-11, -0x1.d0cd48de237cep-11, -0x1.c3ca961cfcd74p-11, -0x1.b717d3d3b4e57p-11, -0x1.aab39d6e2b70fp-11, -0x1.9e9c909972ea8p-11, -0x1.92d14d60d8413p-11, -0x1.8750764aa1174p-11, -0x1.7c18b07194f55p-11, -0x1.7128a39f18db8p-11, -0x1.667efa63360bfp-11, -0x1.5c1a622b82679p-11, -0x1.51f98b58ed10dp-11, -0x1.481b295463d84p-11, -0x1.3e7df2a26e7fbp-11, -0x1.3520a0f59d5f8p-11, -0x1.2c01f13fed6f5p-11, -0x1.2320a3c36f619p-11, -0x1.1a7b7c2148152p-11, -0x1.121141696191dp-11, -0x1.09e0be260ff71p-11, -0x1.01e8c06a62f6bp-11, -0x1.f45033baa8a3bp-12, -0x1.e53b3f8962695p-12, -0x1.d690561e79051p-12, -0x1.c84d30bc11e69p-12, -0x1.ba6f9019b039bp-12, -0x1.acf53c73a629p-12, -0x1.9fdc0598fddcdp-12, -0x1.9321c2f75d76ep-12, -0x1.86c453a5a898ap-12, -0x1.7ac19e706a21p-12, -0x1.6f1791dc3ae9dp-12, -0x1.63c4243112f25p-12, -0x1.58c5537ce0c0bp-12, -0x1.4e19259863799p-12, -0x1.43bda8295e469p-12, -0x1.39b0f0a3c1935p-12, -0x1.2ff11c499b49dp-12, -0x1.267c5029602c6p-12, -0x1.1d50b91bc7beap-12, -0x1.146c8bbf9cdddp-12, -0x1.0bce0474b4d28p-12, -0x1.037367561df96p-12, -0x1.f6b600647f01p-13, -0x1.e706450591e7fp-13, -0x1.d7d452c687b93p-13, -0x1.c91cef0cbb047p-13, -0x1.badcee55e50eap-13, -0x1.ad11341bded76p-13, -0x1.9fb6b2bee1bf5p-13, -0x1.92ca6b659fcdap-13, -0x1.86496ddfebaf4p-13, -0x1.7a30d885e07ep-13, -0x1.6e7dd81c45cdfp-13, -0x1.632da7a89e95cp-13, -0x1.583d9053e07dep-13, -0x1.4daae94203004p-13, -0x1.437317711a94p-13, -0x1.39938d8abbf06p-13, -0x1.3009cbbfb8548p-13, -0x1.26d35f9eabf2cp-13, -0x1.1dede3e9e5ba6p-13, -0x1.1557006c8e5fbp-13, -0x1.0d0c69d0dcb56p-13, -0x1.050be1734f1c6p-13, }}, 
      {{-0x1.37f75d9b8e1c4p-2, -0x1.371b0199278f4p-2, -0x1.35acf685caecfp-2, -0x1.33b19acde97e1p-2, -0x1.312c12eaed22bp-2, -0x1.2e21e05904282p-2, -0x1.2a98ffc9a8ccep-2, -0x1.269701d53615fp-2, -0x1.22230ac52f6b7p-2, -0x1.1d444946cd195p-2, -0x1.1801abacb811dp-2, -0x1.126241c54a3f6p-2, -0x1.0c6defcb2e082p-2, -0x1.062c10146ac91p-2, -0x1.ff47696468e3dp-3, -0x1.f1b6bbf93bd66p-3, -0x1.e3b5b8a58773ap-3, -0x1.d550394cf1cdbp-3, -0x1.c693ee155e3dfp-3, -0x1.b78d292ae3e3dp-3, -0x1.a84797e49bed4p-3, -0x1.98cef67c7f015p-3, -0x1.892e0735728e3p-3, -0x1.796f351b53694p-3, -0x1.699c72d4dbbc9p-3, -0x1.59bf1ee828b16p-3, -0x1.49dff689acad8p-3, -0x1.3a07d1a7d7614p-3, -0x1.2a3e88e970b1fp-3, -0x1.1a8b1c11a665dp-3, -0x1.0af4c4b998116p-3, -0x1.f70507f6babc8p-4, -0x1.d874dad2002b5p-4, -0x1.ba43f64726ba2p-4, -0x1.9c7cf6d06fc72p-4, -0x1.7f2a13430c9cdp-4, -0x1.6254bb0180acp-4, -0x1.460558eb8be2fp-4, -0x1.2a436c33f1074p-4, -0x1.0f15d3ecde8cdp-4, -0x1.e905ef040136ap-5, -0x1.b52167484ecffp-5, -0x1.82886ccf18ce6p-5, -0x1.5143eaaacbcfdp-5, -0x1.215b84b9098eep-5, -0x1.e5aba2f6767bep-6, -0x1.8b70f2a9fbdc4p-6, -0x1.34106950d2ce6p-6, -0x1.bf22f64faeff6p-7, -0x1.1bf334c17762p-7, -0x1.fa62bfdcede9fp-9, 0x1.8e8d77e4fda1ep-11, 0x1.552173a371399p-8, 0x1.36613ed9146a6p-7, 0x1.bc637321a4a1dp-7, 0x1.1e4d960e5f169p-6, 0x1.5b87b8e383559p-6, 0x1.95e6677063113p-6, 0x1.cd71c1d682af9p-6, 0x1.0119ae1dfb6f2p-5, 0x1.1a1adb6fc878bp-5, 0x1.31c1e3484a8ep-5, 0x1.4814589a42afap-5, 0x1.5d17e4ad5e871p-5, 0x1.70d25dc5f50d8p-5, 0x1.8349e8655fdf2p-5, 0x1.9485139d80faap-5, 0x1.a48ae539d58a9p-5, 0x1.b362d1ba00c44p-5, 0x1.c114a34a8d4aap-5, 0x1.cda857bfd0809p-5, 0x1.d925ff11dd089p-5, 0x1.e395a23903a88p-5, 0x1.ecff36ad85549p-5, 0x1.f56a9ea0050e1p-5, 0x1.fcdfb2897246ep-5, 0x1.01b327631b4dcp-4, 0x1.04832fe8a649fp-4, 0x1.06e3f488de3bbp-4, 0x1.08d9822d718e2p-4, 0x1.0a67ed4064ec7p-4, 0x1.0b934b8e38b75p-4, 0x1.0c5fad3dbf747p-4, 0x1.0cd116574f7adp-4, 0x1.0ceb79f54b74cp-4, 0x1.0cb2b7a85723cp-4, 0x1.0c2a9b0646f3ep-4, 0x1.0b56dce693a64p-4, 0x1.0a3b258b59cdep-4, 0x1.08db0ee7f91cfp-4, 0x1.073a26585cdc8p-4, 0x1.055bed5f0f34bp-4, 0x1.0343d94ef6ef6p-4, 0x1.00f5520a77bf5p-4, 0x1.fce7605ae2bf8p-5, 0x1.f784760d2612fp-5, 0x1.f1c84d7615cf7p-5, 0x1.ebb925ae733d1p-5, 0x1.e55d12de699e2p-5, 0x1.deb9fda36cab7p-5, 0x1.d7d5a369b5d3fp-5, 0x1.d0b59764b10bbp-5, 0x1.c95f43c62fb6ap-5, 0x1.c1d7eae0f8ff1p-5, 0x1.ba24a7feb053ep-5, 0x1.b24a6fd3094dp-5, 0x1.aa4e1091c14cdp-5, 0x1.a23431bf14853p-5, 0x1.9a0153d9482f4p-5, 0x1.91b9cff8f3cb4p-5, 0x1.8964c543ee69fp-5, 0x1.8101573826017p-5, 0x1.7894faf817431p-5, 0x1.7023638737e7p-5, 0x1.67b0271285a31p-5, 0x1.5f3ebe09fa241p-5, 0x1.56d2819d1d1fbp-5, 0x1.4e6ea9d971cfp-5, 0x1.46164bab5e74ap-5, 0x1.3dcc56fd7d7bcp-5, 0x1.35939529b003dp-5, 0x1.2d6ea7e1c495bp-5, 0x1.256008a77d7b2p-5, 0x1.1d6a08dc18947p-5, 0x1.158ed261ec4bbp-5, 0x1.0dd068bee4eb6p-5, 0x1.0630aaa5f2b28p-5, 0x1.fd62a7902974fp-6, 0x1.eea7fd9713f99p-6, 0x1.e0344e9202e27p-6, 0x1.d20a5764d016ap-6, 0x1.c42c9e1a135f4p-6, 0x1.b69d74e01b1a3p-6, 0x1.a95efc8011e63p-6, 0x1.9c73264ed1eb7p-6, 0x1.8fdbb5a35a163p-6, 0x1.839a40e7931acp-6, 0x1.77b0325d202f3p-6, 0x1.6c1ec8b242fa2p-6, 0x1.60e71781f2009p-6, 0x1.560a07d71f59cp-6, 0x1.4b8858c6d871p-6, 0x1.4162a02ee8db2p-6, 0x1.37994ba1c0cb7p-6, 0x1.2e2ca18223071p-6, 0x1.251cc24c8bfbep-6, 0x1.1c69aa08b457bp-6, 0x1.141331da7d5d4p-6, 0x1.0c1911a8b080bp-6, 0x1.047ae1cf90de6p-6, 0x1.fa7039ac342ep-7, 0x1.eca0423bc8c47p-7, 0x1.df84650faa369p-7, 0x1.d31af811919bbp-7, 0x1.c76222578d2f4p-7, 0x1.bc57df01006cfp-7, 0x1.b1f9ffeb85263p-7, 0x1.a8463042baaafp-7, 0x1.9f39f6ed91719p-7, 0x1.96d2b8de54b3p-7, 0x1.8f0dbb49f83ecp-7, 0x1.87e825cc200d9p-7, 0x1.815f047bf5d83p-7, 0x1.7b6f49f5f77c2p-7, 0x1.7615d15d30775p-7, 0x1.714f6054a652bp-7, 0x1.6d18a8f1e46d3p-7, 0x1.696e4ba6b3874p-7, 0x1.664cd9214a547p-7, 0x1.63b0d41fd20c5p-7, 0x1.6196b33616078p-7, 0x1.5ffae2828f3c5p-7, 0x1.5ed9c5518c235p-7, 0x1.5e2fb7ace54fdp-7, 0x1.5df90fd794741p-7, 0x1.5e321fb511a8ap-7, 0x1.5ed7361bed0d4p-7, 0x1.5fe4a0150e734p-7, 0x1.6156aa07a7bd7p-7, 0x1.6329a0d3cc2a7p-7, 0x1.6559d2dcf745cp-7, 0x1.67e39105f0025p-7, 0x1.6ac32fa02e45ep-7, 0x1.6df5075045ee9p-7, 0x1.717575e8ee0b3p-7, 0x1.7540df3de25a1p-7, 0x1.7953adefa63a2p-7, 0x1.7daa54313fb82p-7, 0x1.82414c87b26d2p-7, 0x1.87151a83ea189p-7, 0x1.8c224b772e4dp-7, 0x1.916577211697cp-7, 0x1.96db4057dd823p-7, 0x1.9c8055a99505dp-7, 0x1.a25171f63c736p-7, 0x1.a84b5d0241953p-7, 0x1.ae6aec00457f8p-7, 0x1.b4ad0211fda77p-7, 0x1.bb0e90bf4d41bp-7, 0x1.c18c986324e94p-7, 0x1.c824288d32449p-7, 0x1.ced2605928e98p-7, 0x1.d5946eba2f8c6p-7, 0x1.dc6792bb6ecdap-7, 0x1.e3491bb63c17p-7, 0x1.ea36697d7f6dp-7, 0x1.f12cec8043994p-7, 0x1.f82a25e353202p-7, 0x1.ff2ba79354256p-7, 0x1.03178a27f9668p-6, 0x1.06990fd8b7571p-6, 0x1.0a19471433601p-6, 0x1.0d971a7cd52bfp-6, 0x1.11117d1aa89a7p-6, 0x1.14876a5579c03p-6, 0x1.17f7e5ecf6f27p-6, 0x1.1b61fbef9846ep-6, 0x1.1ec4c0afed873p-6, 0x1.221f50b8ff004p-6, 0x1.2570d0c14ba9p-6, 0x1.28b86d9cc5bc3p-6, 0x1.2bf55c2e1153ap-6, 0x1.2f268aaa2d355p-6, 0x1.324bfc240b5a8p-6, 0x1.35648d3c17167p-6, 0x1.386f91ab278cap-6, 0x1.3b6c64f26759bp-6, 0x1.3e5a6a49c61f8p-6, 0x1.41390c8c75bf3p-6, 0x1.4407be23e48c2p-6, 0x1.46c5f8f09a5bfp-6, 0x1.49733e3185307p-6, 0x1.4c0f166958993p-6, 0x1.4e991142b2883p-6, 0x1.5110c5725d6bcp-6, 0x1.5375d098602e7p-6, 0x1.55c7d71fab8d6p-6, 0x1.5806841cebe2bp-6, 0x1.5a31892c26b82p-6, 0x1.5c489e4d94bap-6, 0x1.5e4b81c204bdap-6, 0x1.6039f7e68d73cp-6, 0x1.6213cb0feee24p-6, 0x1.63d8cb65de0d7p-6, 0x1.6588cebe0dc8p-6, 0x1.6723b0775eea7p-6, 0x1.68a95155243f2p-6, 0x1.6a19975a915a9p-6, 0x1.6b746da69c27dp-6, 0x1.6cb9c4500b7d7p-6, 0x1.6de9904203a89p-6, 0x1.6f03cb18f84cdp-6, 0x1.700873001da2p-6, 0x1.70f78a8f2b528p-6, 0x1.71d118a8d4333p-6, 0x1.7295285976fa3p-6, 0x1.7343c8b65c674p-6, 0x1.73dd0cbd5fad9p-6, 0x1.74610b34e4f99p-6, 0x1.74cfde8c68aa4p-6, 0x1.7529a4bd2ee88p-6, 0x1.756e7f2b653e7p-6, 0x1.759e92879466fp-6, 0x1.75ba06b042aabp-6, 0x1.75c106940c762p-6, 0x1.75b3c013d20b2p-6, 0x1.759263e53e915p-6, 0x1.755d2575795ecp-6, 0x1.75143acc358c5p-6, 0x1.74b7dc6ee7895p-6, 0x1.744845442e0e1p-6, 0x1.73c5b277b1467p-6, 0x1.7330635e0f5b5p-6, 0x1.7288995932893p-6, 0x1.71ce97bce7f4cp-6, 0x1.7102a3b3d1f9bp-6, 0x1.70250424ac19fp-6, 0x1.6f360197dfda6p-6, 0x1.6e35e61da38acp-6, 0x1.6d24fd34520ep-6, 0x1.6c0393af4c8e8p-6, 0x1.6ad1f79e450b9p-6, 0x1.699078350a61fp-6, 0x1.683f65b3b1eaep-6, 0x1.66df114f79798p-6, 0x1.656fcd1bf6bf9p-6, 0x1.63f1ebf4eb5c1p-6, 0x1.6265c1689793dp-6, 0x1.60cba1a2a5094p-6, 0x1.5f23e1578b308p-6, 0x1.5d6ed5b0a464ap-6, 0x1.5bacd438ab213p-6, 0x1.59de32c8ecc9cp-6, 0x1.58034776f4c54p-6, 0x1.561c6882c943ep-6, 0x1.5429ec45c9ddbp-6, 0x1.522c292203b54p-6, 0x1.5023757221d25p-6, 0x1.4e102779e4985p-6, 0x1.4bf2955711914p-6, 0x1.49cb14f30d838p-6, 0x1.4799fbf4d41ebp-6, 0x1.455f9fb3858b6p-6, 0x1.431c55296db7cp-6, 0x1.40d070e788315p-6, 0x1.3e7c47097fd89p-6, 0x1.3c202b2a1dc2ep-6, 0x1.39bc7058382efp-6, 0x1.3751690c12103p-6, 0x1.34df671d1bb5cp-6, 0x1.3266bbb838712p-6, 0x1.2fe7b7565a163p-6, 0x1.2d62a9b38fe29p-6, 0x1.2ad7e1c685fcbp-6, 0x1.2847adb8552a7p-6, 0x1.25b25adcc974ep-6, 0x1.231835aaf4caep-6, 0x1.207989b63cc9bp-6, 0x1.1dd6a1a7b5ec8p-6, 0x1.1b2fc737d54a7p-6, 0x1.188543288dfe3p-6, 0x1.15d75d3fbb416p-6, 0x1.13265c41e3324p-6, 0x1.107285ed58988p-6, 0x1.0dbc1ef5a0384p-6, 0x1.0b036aff3c2dcp-6, 0x1.0848ac9bba229p-6, 0x1.058c2546126fep-6, 0x1.02ce155f5dcdap-6, 0x1.000ebc2bc9a39p-6, 0x1.fa9caf9fcfa7fp-7, 0x1.f51a4a9c57207p-7, 0x1.ef96c1099e0d5p-7, 0x1.ea128857c7fa9p-7, 0x1.e48e13a760d77p-7, 0x1.df09d3c6a4505p-7, 0x1.d986372f29148p-7, 0x1.d403aa041e79fp-7, 0x1.ce829610fc209p-7, 0x1.c90362c8a394bp-7, 0x1.c3867544e03cbp-7, 0x1.be0c304684e78p-7, 0x1.b894f435a9b8bp-7, 0x1.b3211f22a2734p-7, 0x1.adb10cc70877fp-7, 0x1.a845168751808p-7, 0x1.a2dd9374b6933p-7, 0x1.9d7ad84f658dcp-7, 0x1.981d378910fbep-7, 0x1.92c50147d45e1p-7, 0x1.8d72836946e33p-7, 0x1.88260985fd5p-7, 0x1.82dfdcf549d37p-7, 0x1.7da044d11ad16p-7, 0x1.786785fa3d9a1p-7, 0x1.7335e31cdad4bp-7, 0x1.6e0b9cb514b1ap-7, 0x1.68e8f113faf5dp-7, 0x1.63ce1c6494224p-7, 0x1.5ebb58b12fcb4p-7, 0x1.59b0dde8deee9p-7, 0x1.54aee1e50f794p-7, 0x1.4fb5986f5eb0bp-7, 0x1.4ac533479e45dp-7, 0x1.45dde229d3c77p-7, 0x1.40ffd2d48c3d6p-7, 0x1.3c2b310f3348dp-7, 0x1.376026b096bd7p-7, 0x1.329edba5802f3p-7, 0x1.2de775f773175p-7, 0x1.293a19d37b051p-7, 0x1.2496e991141f4p-7, 0x1.1ffe05b92e64p-7, 0x1.1b6f8d0d48447p-7, 0x1.16eb9c8e9afccp-7, 0x1.12724f85455f7p-7, 0x1.0e03bf87abd3ap-7, 0x1.09a00481c8d87p-7, 0x1.054734bc9574bp-7, 0x1.00f964e591098p-7, 0x1.f96d502c42e9cp-8, 0x1.f0fe1fb674444p-8, 0x1.e8a55879be6f5p-8, 0x1.e063178b87dbfp-8, 0x1.d8377715e7c21p-8, 0x1.d0228e66d2c33p-8, 0x1.c82471ff7de07p-8, 0x1.c03d33a3c5619p-8, 0x1.b86ce2695cd81p-8, 0x1.b0b38ac7534c6p-8, 0x1.a91136a5630fap-8, 0x1.a185ed6b3b147p-8, 0x1.9a11b40fe7864p-8, 0x1.92b48d28f5fa2p-8, 0x1.8b6e78f9cdb2dp-8, 0x1.843f7582e58d4p-8, 0x1.7d277e90cb7c1p-8, 0x1.76268dcb61358p-8, 0x1.6f3c9ac4a339ap-8, 0x1.68699b07e0b78p-8, 0x1.61ad82283d54fp-8, 0x1.5b0841cf9d5c4p-8, 0x1.5479c9cd47e2cp-8, 0x1.4e02082459159p-8, 0x1.47a0e91a2a642p-8, 0x1.41565744a22e1p-8, 0x1.3b223b9851e66p-8, 0x1.35047d7669b67p-8, 0x1.2efd02baa9085p-8, 0x1.290bafc8f4262p-8, 0x1.2330679ad865fp-8, 0x1.1d6b0bcd38de7p-8, 0x1.17bb7cad05a8cp-8, 0x1.1221994482afep-8, 0x1.0c9d3f6811cebp-8, 0x1.072e4bc2cf0c9p-8, 0x1.01d499e312ac6p-8, 0x1.f920088d1f2efp-9, 0x1.eec0c8cce2709p-9, 0x1.e48b258652c94p-9, 0x1.da7ecde002f76p-9, 0x1.d09b6f3d5ca8dp-9, 0x1.c6e0b55476029p-9, 0x1.bd4e4a444f4e3p-9, 0x1.b3e3d6aa36c9bp-9, 0x1.aaa101b6f03bfp-9, 0x1.a1857142f3791p-9, 0x1.9890c9e3115bfp-9, 0x1.8fc2aefb7168ap-9, 0x1.871ac2d369dc1p-9, 0x1.7e98a6a7cecb3p-9, 0x1.763bfabd6428fp-9, 0x1.6e045e729de84p-9, 0x1.65f1705161cdfp-9, 0x1.5e02ce1f5f49p-9, 0x1.563814ef072b6p-9, 0x1.4e90e12f5d86ap-9, 0x1.470ccebb9a8e6p-9, 0x1.3fab78ea6e08p-9, 0x1.386c7a9cba7e6p-9, 0x1.314f6e4be3cf1p-9, 0x1.2a53ee17bc53fp-9, 0x1.237993d40295cp-9, 0x1.1cbff915a743ap-9, 0x1.1626b73f50f25p-9, 0x1.0fad678dd2e95p-9, 0x1.0954103e342f4p-9, 0x1.031968f6c25a4p-9, 0x1.f9fafe5bccf48p-10, 0x1.edffd802d1595p-10, 0x1.e240914267699p-10, 0x1.d6bc5cb345ef5p-10, 0x1.cb726d3aa39bdp-10, 0x1.c061f61db624ap-10, 0x1.b58a2b13abd16p-10, 0x1.aaea4057b3ac3p-10, 0x1.a0816abb896d4p-10, 0x1.964edfb68b50dp-10, 0x1.8c51d57691299p-10, 0x1.828982f0160fp-10, 0x1.78f51fece9ff6p-10, 0x1.6f93e51b06685p-10, 0x1.66650c1ab42cp-10, 0x1.5d67cf8c392ddp-10, 0x1.549b6b1d0c458p-10, 0x1.4bff1b9491daep-10, 0x1.43921ee05164ep-10, 0x1.3b53b42009229p-10, 0x1.33431bb0ca20cp-10, 0x1.2b5f973806bd4p-10, 0x1.23a869ae8aa5ap-10, 0x1.1c1cd76a14adbp-10, 0x1.14bc2626f6483p-10, 0x1.0d859d12e77d4p-10, 0x1.067884d3bbea4p-10, 0x1.ff284f23a3021p-11, 0x1.f1afa1fea1d3ap-11, 0x1.e4859cc0efabap-11, 0x1.d7a8dd25c3a6p-11, 0x1.cb180429369d9p-11, 0x1.bed1b616d379fp-11, 0x1.b2d49a94da9d9p-11, 0x1.a71f5cb1544c2p-11, 0x1.9bb0aaeda034bp-11, 0x1.90873748c3342p-11, 0x1.85a1b749e139ap-11, 0x1.7afee4097155bp-11, 0x1.709d7a3aa8475p-11, 0x1.667c3a32bcebfp-11, 0x1.5c99e7f145426p-11, 0x1.52f54b2695d85p-11, 0x1.498d2f39be97ap-11, 0x1.40606350984bdp-11, 0x1.376dba523a763p-11, 0x1.2eb40aebc615bp-11, 0x1.26322f95514f2p-11, 0x1.1de7069556c11p-11, 0x1.15d17202e0cecp-11, 0x1.0df057c84255bp-11, 0x1.0642a1a4b828cp-11, 0x1.fd8e7a5b49892p-12, 0x1.eefa379f2120cp-12, 0x1.e0c6659bb44fp-12, 0x1.d2f0f685aep-12, 0x1.c577e43e1268ep-12, 0x1.b859304f07527p-12, 0x1.ab92e3eaf8c63p-12, 0x1.9f230fe5549dfp-12, 0x1.9307ccaed2e7fp-12, 0x1.873f3a4fcfcb9p-12, 0x1.7bc780614c014p-12, 0x1.709ece03dc1dep-12, 0x1.65c359de27842p-12, 0x1.5b3362095c718p-12, 0x1.50ed2c0f70559p-12, 0x1.46ef04dd3d215p-12, 0x1.3d3740ba3e633p-12, 0x1.33c43b399dab1p-12, 0x1.2a9457313b0dfp-12, 0x1.21a5fea9d5a8ap-12, 0x1.18f7a2d3fb4edp-12, 0x1.1087bbf8f4828p-12, 0x1.0854c96cd84dcp-12, 0x1.005d517f91e55p-12, 0x1.f13fc2db1c0bfp-13, 0x1.e2361a9ff95e7p-13, 0x1.d39ae018a1857p-13, 0x1.c56b568a36a32p-13, 0x1.b7a4ce8e14be5p-13, 0x1.aa44a5f22f631p-13, 0x1.9d484792b8b05p-13, 0x1.90ad2b407b183p-13, 0x1.8470d58df0dc1p-13, 0x1.7890d7b3a8194p-13, 0x1.6d0acf699c60cp-13, 0x1.61dc66bd6775bp-13, 0x1.570353f99e764p-13, 0x1.4c7d596c9b405p-13, 0x1.4248454d65ccep-13, 0x1.3861f1927b5a8p-13, 0x1.2ec843ca4a70ep-13, 0x1.25792cf40baacp-13, 0x1.1c72a9574b6eap-13, 0x1.13b2c05dea282p-13, 0x1.0b378469ed8cdp-13, 0x1.02ff12af03a2cp-13, 0x1.f60f261421f35p-14, 0x1.e69e6fb23922bp-14, 0x1.d7a87ba653784p-14, 0x1.c929d7bfc2bcp-14, 0x1.bb1f25e1b867dp-14, 0x1.ad851bae2b0acp-14, 0x1.a05882384ac76p-14, 0x1.939635b4a7d8cp-14, 0x1.873b253aab291p-14, 0x1.7b44524f57fcap-14, 0x1.6faed0b70b15p-14, 0x1.6477c619c653ap-14, 0x1.599c69b9e2961p-14, 0x1.4f1a04232f392p-14, 0x1.44edeedf6d0b7p-14, 0x1.3b15942928ef9p-14, 0x1.318e6e9f3e63fp-14, 0x1.285608fa543e4p-14, 0x1.1f69fdbe5cb55p-14, 0x1.16c7f6f766ac4p-14, 0x1.0e6dade4fe7b2p-14, 0x1.0658eabcb1acbp-14, 0x1.fd0f08ad119a4p-15, 0x1.edeebfd738a91p-15, 0x1.df4ce19a192d2p-15, 0x1.d125703ac4a86p-15, 0x1.c37489094e48dp-15, 0x1.b6366406cd5fcp-15, 0x1.a96753136d965p-15, 0x1.9d03c1981f8bcp-15, 0x1.910833f2a47b1p-15, 0x1.857146f87e51fp-15, 0x1.7a3baf6945d34p-15, 0x1.6f64397517791p-15, 0x1.64e7c83ab2a43p-15, 0x1.5ac3554a53006p-15, 0x1.50f3f02097b96p-15, 0x1.4776bdce0ea92p-15, 0x1.3e48f84a7527ap-15, 0x1.3567ee2014afep-15, 0x1.2cd101ef33f1fp-15, 0x1.2481a9f214699p-15, 0x1.1c776fa06c508p-15, 0x1.14afef207d2dbp-15, 0x1.0d28d6ef3e425p-15, 0x1.05dfe767737b1p-15, 0x1.fda5e4b84832fp-16, 0x1.efffb55928299p-16, 0x1.e2c927b9708bdp-16, 0x1.d5fe435ca2c7ep-16, 0x1.c99b2f7309283p-16, 0x1.bd9c322b0f169p-16, 0x1.b1fdafca9e8f4p-16, 0x1.a6bc29e7a5a1ap-16, }}, 
      {{-0x1.382867b31e599p-2, -0x1.37dea37b1df85p-2, -0x1.37633659ee72cp-2, -0x1.36b815b2d928cp-2, -0x1.35dd16263509dp-2, -0x1.34d3a6e90beb2p-2, -0x1.339d77d46b458p-2, -0x1.323b003a91811p-2, -0x1.30ae5466d601dp-2, -0x1.2ef92ca10b95p-2, -0x1.2d1d09a96fefcp-2, -0x1.2b1b3e2f32e73p-2, -0x1.28f61495dd2e8p-2, -0x1.26ae6962a5d43p-2, -0x1.2448030ea0e62p-2, -0x1.21c2546f01a9bp-2, -0x1.1f20f0bb9491ep-2, -0x1.1c6486a7b8181p-2, -0x1.198f71f6699fcp-2, -0x1.16a312fc91e35p-2, -0x1.13a147cfff1a8p-2, -0x1.108b9d3ada425p-2, -0x1.0d63b77f2cffep-2, -0x1.0a2b21ae192eap-2, -0x1.06e3607776d25p-2, -0x1.038deb08c9035p-2, -0x1.002c159cf982fp-2, -0x1.f97f1f24c33dep-3, -0x1.f29296187e079p-3, -0x1.eb955472b0d67p-3, -0x1.e48a2142bda36p-3, -0x1.dd731284dba3ep-3, -0x1.d65269f19e897p-3, -0x1.cf2a72a3e84cdp-3, -0x1.c7fd39ffdd067p-3, -0x1.c0ccbc430a884p-3, -0x1.b99ae88b25f6bp-3, -0x1.b26990eee4252p-3, -0x1.ab3a713e90b67p-3, -0x1.a40f338385a96p-3, -0x1.9ce96dae7a4b1p-3, -0x1.95caa067c4df6p-3, -0x1.8eb4379e540d9p-3, -0x1.87a78ba6d4b3ep-3, -0x1.80a5e248f8e33p-3, -0x1.79b06f6798e9cp-3, -0x1.72c8552b60f37p-3, -0x1.6beea3fb902f4p-3, -0x1.65245af4babeap-3, -0x1.5e6a68be99286p-3, -0x1.57c1abf4f3376p-3, -0x1.512af360a7bbdp-3, -0x1.4aa6feb8c7776p-3, -0x1.44367f76ec171p-3, -0x1.3dda12e3cc4dbp-3, -0x1.37925c9bc96fep-3, -0x1.315fde290916bp-3, -0x1.2b43114106e1ep-3, -0x1.253c6377b60cp-3, -0x1.1f4c37487172ep-3, -0x1.1972e4ca76d4cp-3, -0x1.13b0ba002a852p-3, -0x1.0e05fadaae9ep-3, -0x1.0872e1258ad4fp-3, -0x1.02f79c8db0a4ep-3, -0x1.fb28a5c70745bp-4, -0x1.f0924139a32ffp-4, -0x1.e62c3309b38a4p-4, -0x1.dbf692f8a1f1fp-4, -0x1.d1f16a55eb0f9p-4, -0x1.c81cb51b39f6ep-4, -0x1.be7862b29b88cp-4, -0x1.b50456726fb78p-4, -0x1.abc067ed1263dp-4, -0x1.a2ac6337bdb36p-4, -0x1.99c80946a4dfcp-4, -0x1.9113106e8971ep-4, -0x1.888d250dc9cbdp-4, -0x1.8035ea532df1ep-4, -0x1.780cfb11bc56p-4, -0x1.7011ea8eef6adp-4, -0x1.6844453bc944bp-4, -0x1.60a3914fc8bf8p-4, -0x1.592f4f45003b6p-4, -0x1.51e6fa3adf159p-4, -0x1.4aca08488c222p-4, -0x1.43d7eac8281b3p-4, -0x1.3d100ea2a8f05p-4, -0x1.3671dca159c1cp-4, -0x1.2ffcb9c6f3252p-4, -0x1.29b007af7622cp-4, -0x1.238b24f38cf91p-4, -0x1.1d8d6d8b44bffp-4, -0x1.17b63b2bac1fbp-4, -0x1.1204e59c0fc8ep-4, -0x1.0c78c3016baf2p-4, -0x1.07112820e232bp-4, -0x1.01cd689bb82b6p-4, -0x1.f959ae4f5b988p-5, -0x1.ef5d8b8b380edp-5, -0x1.e5a50bed08b8cp-5, -0x1.dc2ed1dc46929p-5, -0x1.d2f97f84c5a2p-5, -0x1.ca03b7302da36p-5, -0x1.c14c1b9e0a6c3p-5, -0x1.b8d1505e9e1abp-5, -0x1.b091fa3259e8ap-5, -0x1.a88cbf6b43933p-5, -0x1.a0c04849e452ep-5, -0x1.992b3f4ec6602p-5, -0x1.91cc30ffbad62p-5, -0x1.8aa2155c96688p-5, -0x1.83ab78ef46e9ep-5, -0x1.7ce71069c43a7p-5, -0x1.765393d1e2d6p-5, -0x1.6fefbec9ace1fp-5, -0x1.69ba50cf8a3dcp-5, -0x1.63b20d74b4354p-5, -0x1.5dd5bc8994c6dp-5, -0x1.58242a40fb77ap-5, -0x1.529c274b7433dp-5, -0x1.4d3c88ec7f11bp-5, -0x1.4804290b29895p-5, -0x1.42f1e63f66818p-5, -0x1.3e04a3dd2a43cp-5, -0x1.393b49fe274cp-5, -0x1.3494c58ab90c6p-5, -0x1.30100842646dcp-5, -0x1.2bac08c46af78p-5, -0x1.2767c2985fb8bp-5, -0x1.23423636f47d7p-5, -0x1.1f3a6912e10cep-5, -0x1.1b4f65a1ade7fp-5, -0x1.17803b6415d46p-5, -0x1.13cbfeeda36dap-5, -0x1.1031c9eb1a7e8p-5, -0x1.0cb0bb2747cfbp-5, -0x1.0947f68e0a602p-5, -0x1.05f6a52d3b42fp-5, -0x1.02bbf5339371bp-5, -0x1.ff2e33dad97c1p-6, -0x1.f90e977ed24bbp-6, -0x1.f317903e70f55p-6, -0x1.ed47a3149a6d8p-6, -0x1.e79d5ef591f61p-6, -0x1.e2175cb57ea36p-6, -0x1.dcb43eebdf911p-6, -0x1.d772b1d4b1b22p-6, -0x1.d2516b2fc3c93p-6, -0x1.cd4f2a1ed0895p-6, -0x1.c86ab702cca41p-6, -0x1.c3a2e3590937dp-6, -0x1.bef68997f46cep-6, -0x1.ba648d0c24aaep-6, -0x1.b5ebd9b52fbacp-6, -0x1.b18b642291645p-6, -0x1.ad422950b80b7p-6, -0x1.a90f2e85ddeefp-6, -0x1.a4f1812f00a94p-6, -0x1.a0e836bcbea81p-6, -0x1.9cf26c801e1f9p-6, -0x1.990f47874a22ep-6, -0x1.953df479f4f71p-6, -0x1.917da7759735cp-6, -0x1.8dcd9be9006dp-6, -0x1.8a2d146fa2c88p-6, -0x1.869b5aac0111ap-6, -0x1.8317bf21ca5a7p-6, -0x1.7fa1990f10f66p-6, -0x1.7c38464564988p-6, -0x1.78db2b0249e4cp-6, -0x1.7589b1c7b585ep-6, -0x1.72434b347f85bp-6, -0x1.6f076ddcd53d6p-6, -0x1.6bd5962312b65p-6, -0x1.68ad46109f908p-6, -0x1.658e052f5b755p-6, -0x1.6277606336e08p-6, -0x1.5f68e9c42db81p-6, -0x1.5c623878b3301p-6, -0x1.5962e8908cddp-6, -0x1.566a9ae028eb3p-6, -0x1.5378f4dc9ea15p-6, -0x1.508da078619f1p-6, -0x1.4da84c008d1bbp-6, -0x1.4ac8a9fb045b1p-6, -0x1.47ee7105555b8p-6, -0x1.45195bb41810bp-6, -0x1.424928730db98p-6, -0x1.3f7d9965d348cp-6, -0x1.3cb67448d48a7p-6, -0x1.39f3825302e97p-6, -0x1.37349017a2b9ap-6, -0x1.34796d68c651ap-6, -0x1.31c1ed3a3a6ffp-6, -0x1.2f0de584be9fp-6, -0x1.2c5d2f2a0086p-6, -0x1.29afa5d923f5ap-6, -0x1.270527f3ab5d4p-6, -0x1.245d96732f221p-6, -0x1.21b8d4cfa5ebdp-6, -0x1.1f16c8e607b88p-6, -0x1.1c775adfaab59p-6, -0x1.19da751a2951bp-6, -0x1.1740040f944dbp-6, -0x1.14a7f63f56d62p-6, -0x1.12123c1797de6p-6, -0x1.0f7ec7def7aacp-6, -0x1.0ced8d9f05041p-6, -0x1.0a5e830f53901p-6, -0x1.07d19f80d0cafp-6, -0x1.0546dbca15a06p-6, -0x1.02be32340dde3p-6, -0x1.00379e6777afp-6, -0x1.fb663ab52a175p-7, -0x1.f6615a7f9d126p-7, -0x1.f1609ae9444e8p-7, -0x1.ec63fce2884cbp-7, -0x1.e76b8370eeeb1p-7, -0x1.e27733903a2bdp-7, -0x1.dd8714145a166p-7, -0x1.d89b2d8bf3c82p-7, -0x1.d3b38bd16aa2ap-7, -0x1.ced037fa0226bp-7, -0x1.c9f13fe22072bp-7, -0x1.c516b1ed869fp-7, -0x1.c0409db75e845p-7, -0x1.bb6f13fa158a5p-7, -0x1.b6a2267879c18p-7, -0x1.b1d9e7e6e676fp-7, -0x1.ad166bd5e9f63p-7, -0x1.a857c69d537p-7, -0x1.a39e0d48372b7p-7, -0x1.9ee955814f9a6p-7, -0x1.9a39b5808fd3fp-7, -0x1.958f43f90d515p-7, -0x1.90ea1807e8663p-7, -0x1.8c4a4923c8801p-7, -0x1.87afef0cd16d8p-7, -0x1.831b21bdb21fep-7, -0x1.7e8bf95cff6bdp-7, -0x1.7a028e2f4b61p-7, -0x1.757ef88a35bc3p-7, -0x1.710150c74f50ep-7, -0x1.6c89af386182dp-7, -0x1.68182c1be59a5p-7, -0x1.63acdf920e75bp-7, -0x1.5f47e192c17c5p-7, -0x1.5ae949e34a9aep-7, -0x1.5691300d690efp-7, -0x1.523fab566fe5ep-7, -0x1.4df4d2b6fa428p-7, -0x1.49b0bcd30226bp-7, -0x1.45737ff2c4b6cp-7, -0x1.413d31fb76139p-7, -0x1.3d0de868f57c9p-7, -0x1.38e5b847abce8p-7, -0x1.34c4b62ec2acap-7, -0x1.30aaf63b286fap-7, -0x1.2c988c0a1e6c2p-7, -0x1.288d8ab4fae0ep-7, -0x1.248a04ccd6e82p-7, -0x1.208e0c56a2ba6p-7, -0x1.1c99b2c794ffap-7, -0x1.18ad09020c8cp-7, -0x1.14c81f52469f8p-7, -0x1.10eb056bf18afp-7, -0x1.0d15ca67bf54cp-7, -0x1.09487cc13a5f6p-7, -0x1.05832a54df29dp-7, -0x1.01c5e05ecb868p-7, -0x1.fc2156f1daf0ep-8, -0x1.f4c72f3478acap-8, -0x1.ed7d602b5b9fbp-8, -0x1.e643ff332829bp-8, -0x1.df1b205e4637ep-8, -0x1.d802d67430391p-8, -0x1.d0fb32f1fb596p-8, -0x1.ca04460989303p-8, -0x1.c31e1ea2d39bfp-8, -0x1.bc48ca5cab093p-8, -0x1.b584558dfab4ap-8, -0x1.aed0cb474779dp-8, -0x1.a82e3554b13c1p-8, -0x1.a19c9c4029823p-8, -0x1.9b1c07537377bp-8, -0x1.94ac7c9b3f5f2p-8, -0x1.8e4e00e9e2a8bp-8, -0x1.880097da8520ap-8, -0x1.81c443d495542p-8, -0x1.7b99060f1786cp-8, -0x1.757ede94e1f03p-8, -0x1.6f75cc4818729p-8, -0x1.697dcce666503p-8, -0x1.6396dd0d69227p-8, -0x1.5dc0f83ef9329p-8, -0x1.57fc18e5c71b3p-8, -0x1.5248385a04f48p-8, -0x1.4ca54ee61569cp-8, -0x1.471353cbf253dp-8, -0x1.41923d4971b14p-8, -0x1.3c22009dcd2fcp-8, -0x1.36c2920ebf07bp-8, -0x1.3173e4edba6e2p-8, -0x1.2c35eb9d35795p-8, -0x1.2708979616c57p-8, -0x1.21ebd96d058abp-8, -0x1.1cdfa0d8137ddp-8, -0x1.17e3dcb3f0c11p-8, -0x1.12f87b09945c3p-8, -0x1.0e1d6913ccc82p-8, -0x1.09529344c7787p-8, -0x1.0497e54ba50fcp-8, -0x1.ffda943416a73p-9, -0x1.f6a557d396c7ep-9, -0x1.ed8fe88467047p-9, -0x1.e49a17fbe1ea9p-9, -0x1.dbc3b6a0cdc23p-9, -0x1.d30c93966f019p-9, -0x1.ca747cc7aa843p-9, -0x1.c1fb3ef1e8b57p-9, -0x1.b9a0a5afb0abdp-9, -0x1.b1647b848c982p-9, -0x1.a94689e6191ffp-9, -0x1.a1469947ef6dap-9, -0x1.99647125a57c6p-9, -0x1.919fd80d8d3b1p-9, -0x1.89f893aad7bf3p-9, -0x1.826e68cff273dp-9, -0x1.7b011b807ef3bp-9, -0x1.73b06efbe913fp-9, -0x1.6c7c25c66dccap-9, -0x1.656401b3b5c45p-9, -0x1.5e67c3efc253cp-9, -0x1.57872d08f2e28p-9, -0x1.50c1fcf92765cp-9, -0x1.4a17f32f1588fp-9, -0x1.4388ce974c35ep-9, -0x1.3d144da4fb71p-9, -0x1.36ba2e5b94614p-9, -0x1.307a2e562d634p-9, -0x1.2a540ad0b5fb9p-9, -0x1.244780b060af3p-9, -0x1.1e544c8ba5473p-9, -0x1.187a2ab2202d1p-9, -0x1.12b8d734b043cp-9, -0x1.0d100ded0f55dp-9, -0x1.077f8a8569f2ep-9, -0x1.0207087fbd51ap-9, -0x1.f94c8679cde36p-10, -0x1.eeb9ec08c4621p-10, -0x1.e455b81419d46p-10, -0x1.da1f60ec8198fp-10, -0x1.d0165cd64383bp-10, -0x1.c63a2217ae72cp-10, -0x1.bc8a270532c8ap-10, -0x1.b305e20da9ef1p-10, -0x1.a9acc9c630a41p-10, -0x1.a07e54f5cd7c6p-10, -0x1.9779faa0b2108p-10, -0x1.8e9f32130cb4p-10, -0x1.85ed72ec66e8bp-10, -0x1.7d643528700b3p-10, -0x1.7502f12bc650ap-10, -0x1.6cc91fca93011p-10, -0x1.64b63a53fc0eap-10, -0x1.5cc9ba9ad05c2p-10, -0x1.55031afe74304p-10, -0x1.4d61d6733489ep-10, -0x1.45e5688b78415p-10, -0x1.3e8d4d7e8b8c7p-10, -0x1.375902312a7ep-10, -0x1.3048043cec6a4p-10, -0x1.2959d1f74576p-10, -0x1.228dea7835f4cp-10, -0x1.1be3cda28197p-10, -0x1.155afc27cd41ep-10, -0x1.0ef2f79059441p-10, -0x1.08ab42400b9d9p-10, -0x1.02835f7e098dfp-10, -0x1.f8f5a6ee996a9p-11, -0x1.ed22468b54882p-11, -0x1.e18ba9e8dd2cep-11, -0x1.d630df0a0bf66p-11, -0x1.cb10f5e6ee306p-11, -0x1.c02b007572543p-11, -0x1.b57e12b175557p-11, -0x1.ab0942a41dcf9p-11, -0x1.a0cba86c68fffp-11, -0x1.96c45e4437879p-11, -0x1.8cf2808795afp-11, -0x1.83552dba04483p-11, -0x1.79eb869004c8cp-11, -0x1.70b4adedebff8p-11, -0x1.67afc8f12bc19p-11, -0x1.5edbfef3b0e76p-11, -0x1.5638799028ffdp-11, -0x1.4dc464a588d58p-11, -0x1.457eee5a6bffap-11, -0x1.3d674721b46dap-11, -0x1.357ca1baca948p-11, -0x1.2dbe3335c6c21p-11, -0x1.262b32f5142cap-11, -0x1.1ec2daaf72224p-11, -0x1.1784667160d37p-11, -0x1.106f149da50dep-11, -0x1.098225f11d927p-11, -0x1.02bcdd7f1c959p-11, -0x1.f83d0169485fp-12, -0x1.eb4caeafd5055p-12, -0x1.dea7570e7a366p-12, -0x1.d24b937896a9ep-12, -0x1.c638018bdc37cp-12, -0x1.ba6b43964b854p-12, -0x1.aee40091f4662p-12, -0x1.a3a0e4226b8aap-12, -0x1.98a09e9190fd8p-12, -0x1.8de1e4cc54d3ap-12, -0x1.8363705ea98b9p-12, -0x1.7923ff6f4a494p-12, -0x1.6f2254bae6999p-12, -0x1.655d378fcf027p-12, -0x1.5bd373c78e27p-12, -0x1.5283d9c1b66aap-12, -0x1.496d3e5e00d65p-12, -0x1.408e7af5d4ac5p-12, -0x1.37e66d5379ce5p-12, -0x1.2f73f7b37637ep-12, -0x1.273600b1020bap-12, -0x1.1f2b734658a39p-12, -0x1.17533ec3cd3e3p-12, -0x1.0fac56c738638p-12, -0x1.0835b332e7a43p-12, -0x1.00ee50292d573p-12, -0x1.f3aa5bfbb78fbp-13, -0x1.e5d2a2629394ep-13, -0x1.d85384cc3b7e3p-13, -0x1.cb2b1cb1bb494p-13, -0x1.be578babf6d1dp-13, -0x1.b1d6fb60d1903p-13, -0x1.a5a79d701e7f6p-13, -0x1.99c7ab601a051p-13, -0x1.8e35668993afp-13, -0x1.82ef18015b2e5p-13, -0x1.77f3108d9ac35p-13, -0x1.6d3fa88338284p-13, -0x1.62d35ab0717d6p-13, -0x1.58ac558242fe8p-13, -0x1.4ec9258e21be8p-13, -0x1.452840b3ae374p-13, -0x1.3bc823ffb8cd1p-13, -0x1.32a75396d8ed7p-13, -0x1.29c45aa04fd69p-13, -0x1.211dcb2fe1a8ap-13, -0x1.18b23e31699e7p-13, -0x1.1080534d64d58p-13, -0x1.0886b0e8b6dbcp-13, -0x1.00c403ed81191p-13, -0x1.f26dff9d50dcep-14, -0x1.e3bcbcd20d036p-14, -0x1.d571bfdf86708p-14, -0x1.c78a95ac64926p-14, -0x1.ba04d77481da2p-14, -0x1.acde2a9db5171p-14, -0x1.a014408cf488cp-14, -0x1.93a4d67b562c2p-14, -0x1.878db54b64e1ep-14, -0x1.7bccb15dedeecp-14, -0x1.705faa6830777p-14, -0x1.65448b49d71fap-14, -0x1.5a7949dfc44f5p-14, -0x1.4ffbe6de807dcp-14, -0x1.45ca6d9eede09p-14, -0x1.3be2f4111bc3cp-14, -0x1.32439a66b225cp-14, -0x1.28ea8b0dc54cp-14, -0x1.1fd5fa75c9e1cp-14, -0x1.170426ed6e09ep-14, -0x1.0e73587a41898p-14, -0x1.0621e0af5d6cp-14, -0x1.fc1c350a9c372p-15, -0x1.ec6cd4676842cp-15, -0x1.dd327a12922b8p-15, -0x1.ce6a1289ea3efp-15, -0x1.c0109bdf38087p-15, -0x1.b223256b2fcaep-15, -0x1.a49ecf82421e6p-15, -0x1.9780cb2742df1p-15, -0x1.8ac659c436edcp-15, -0x1.7e6cccde00b07p-15, -0x1.727185cc73ea7p-15, -0x1.66d1f56bfa57bp-15, -0x1.5b8b9bde73515p-15, -0x1.509c0857670bap-15, -0x1.4600d89e8476ep-15, -0x1.3bb7b8f96e10bp-15, -0x1.31be63d4c6f0bp-15, -0x1.2812a187e63e6p-15, -0x1.1eb2480c999ccp-15, -0x1.159b3abdedc7ap-15, -0x1.0ccb6a16acf93p-15, -0x1.0440d36f82e0cp-15, -0x1.f7f30180c837ap-16, -0x1.e7e710c04a8a9p-16, -0x1.d85a198c5723fp-16, -0x1.c948789d77d7ap-16, -0x1.baaea1ebfbf9ep-16, -0x1.ac89204ecb35dp-16, -0x1.9ed494f67b3c4p-16, -0x1.918db6fa9f2d4p-16, -0x1.84b152e6b5027p-16, -0x1.783c4a2d8e3b1p-16, -0x1.6c2b932579b6fp-16, -0x1.607c37f2f4925p-16, -0x1.552b568e005bfp-16, -0x1.4a3620389e9ffp-16, -0x1.3f99d91348be1p-16, -0x1.3553d7bcdc7e9p-16, -0x1.2b6184d9cf1dp-16, -0x1.21c05ac330df5p-16, -0x1.186de51768b77p-16, -0x1.0f67c05b8135p-16, -0x1.06ab999a01d7ap-16, -0x1.fc6e5c085c9edp-17, -0x1.ec109529421d6p-17, -0x1.dc399766f152bp-17, -0x1.cce539ba4de1dp-17, -0x1.be0f708a1b5fbp-17, -0x1.afb44d0a79c2cp-17, -0x1.a1cffc87de443p-17, -0x1.945ec7a2364adp-17, -0x1.875d1223b682cp-17, -0x1.7ac759a091058p-17, -0x1.6e9a355951afbp-17, -0x1.62d25579ab3cep-17, -0x1.576c8267a0602p-17, -0x1.4c659c976249ep-17, -0x1.41ba9b4ec139dp-17, -0x1.37688c8936954p-17, -0x1.2d6c9448d995p-17, -0x1.23c3ec171f548p-17, -0x1.1a6be24bea3ddp-17, -0x1.1161d9cf3d3e3p-17, -0x1.08a34961d19a9p-17, -0x1.002dbb2d36591p-17, -0x1.effd988249eap-18, -0x1.e028583058a7ap-18, -0x1.d0d7383bd0a96p-18, -0x1.c205de6f72c88p-18, -0x1.b3b012a1219ccp-18, -0x1.a5d1bdcaaff8ap-18, -0x1.9866e925c5705p-18, -0x1.8b6bbd6e3b216p-18, -0x1.7edc815a3bf6dp-18, -0x1.72b59ac366ac6p-18, -0x1.66f38b28c8304p-18, -0x1.5b92f0b3ba0a1p-18, -0x1.509084dcf6816p-18, -0x1.45e91bc7bbe81p-18, -0x1.3b99a382946b9p-18, -0x1.319f234c8cf39p-18, -0x1.27f6bae22d0afp-18, -0x1.1e9da1c4e9e1ap-18, -0x1.159126b492b2fp-18, -0x1.0cceaef1fdf7cp-18, -0x1.0453b5300bcf3p-18, -0x1.f83b939fc4a38p-19, -0x1.e855231e1ab88p-19, -0x1.d8ef8a8aa968ap-19, -0x1.ca06625cfa17dp-19, -0x1.bb9568c2a62bdp-19, -0x1.ad9880836ad74p-19, -0x1.a00baf777decfp-19, -0x1.92eb1f4f185e3p-19, -0x1.863319c54eea5p-19, -0x1.79e0097ae4452p-19, -0x1.6dee788ad1681p-19, -0x1.625b0f7938847p-19, -0x1.5722947061c81p-19, -0x1.4c41ea3af1c49p-19, -0x1.41b60f694fc73p-19, -0x1.377c1d74648abp-19, -0x1.2d91477272bf1p-19, -0x1.23f2db1ee087fp-19, -0x1.1a9e3d3daf1d1p-19, -0x1.1190eabdeebbfp-19, -0x1.08c87776c731cp-19, -0x1.00428da9fada5p-19, -0x1.eff9d8dbe5b74p-20, -0x1.dfead08e9eedbp-20, -0x1.d053d33395f3dp-20, -0x1.c130d8f63d539p-20, -0x1.b27dfdff393a6p-20, -0x1.a437847f78758p-20, -0x1.9659d137532cep-20, -0x1.88e16add5c918p-20, -0x1.7bcaf8daea47p-20, -0x1.6f1342a59f41fp-20, -0x1.62b72dfbee3f6p-20, -0x1.56b3bcf222229p-20, }}, 
      {{0x1.b6f01323f34bep-7, 0x1.afa32bdc606efp-6, 0x1.3af084b00b036p-5, 0x1.944ec3de98d27p-5, 0x1.e1be66d97656ap-5, 0x1.10d665fa84ffbp-4, 0x1.298ccdf133332p-4, 0x1.3ac42945ce5b3p-4, 0x1.447520a8a2026p-4, 0x1.46c660aaa2813p-4, 0x1.42032873fd207p-4, 0x1.36927cd553bbfp-4, 0x1.24ee6d28dcb6fp-4, 0x1.0d9f7e5bb5b8p-4, 0x1.e267a5a2a7231p-5, 0x1.a080c5f8ed6dap-5, 0x1.56acd996a0b94p-5, 0x1.060dcff79f982p-5, 0x1.5f71544ad3722p-6, 0x1.52de00a06f62p-7, -0x1.3f7e81e45547dp-10, -0x1.addfab0bb39aap-7, -0x1.9dc8369f3a8c8p-6, -0x1.3378d35144231p-5, -0x1.987f8a47be829p-5, -0x1.fd52d162296c4p-5, -0x1.30af7070aee23p-4, -0x1.620e813525a71p-4, -0x1.928af2600c4fdp-4, -0x1.c1eff66d808a9p-4, -0x1.f00ee9b473dcdp-4, -0x1.0e5f733b57db6p-3, -0x1.23ee7cc8ad8d3p-3, -0x1.38a59beec3fe1p-3, -0x1.4c77fc570236ap-3, -0x1.5f5aed89a9f23p-3, -0x1.7145d8e0b0875p-3, -0x1.8232092a1079ep-3, -0x1.921a692a2ed31p-3, -0x1.a0fb567e0a1dcp-3, -0x1.aed28f96e92dfp-3, -0x1.bb9f294fdbb06p-3, -0x1.c7617600b5424p-3, -0x1.d21add70e21cap-3, -0x1.dbcdb556cc8fdp-3, -0x1.e47d26e12ca17p-3, -0x1.ec2d202f2825ep-3, -0x1.f2e2481638451p-3, -0x1.f8a1ed080ed27p-3, -0x1.fd71ef53629e4p-3, -0x1.00ac55c5f80edp-2, -0x1.022e749fbd668p-2, -0x1.0342e71ab163dp-2, -0x1.03ed698e19379p-2, -0x1.043236188f12p-2, -0x1.04147aa5381cp-2, -0x1.0398a37af1f64p-2, -0x1.02c2e46f72335p-2, -0x1.019777ccc84ffp-2, -0x1.001a90527bd23p-2, -0x1.fca0a2b46c39cp-3, -0x1.f8799bfa0437ep-3, -0x1.f3c81ab3b7744p-3, -0x1.ee9420f8c60a9p-3, -0x1.e8e5ac951e5e6p-3, -0x1.e2c4b640bbd72p-3, -0x1.dc39275d8c1f9p-3, -0x1.d54ac9027ad4ap-3, -0x1.ce01313700f19p-3, -0x1.c663b3688dd95p-3, -0x1.be7957a06c3c2p-3, -0x1.b648d99bf5023p-3, -0x1.add8ae84bf9bp-3, -0x1.a52f0e56a55dfp-3, -0x1.9c51fd66bbe38p-3, -0x1.934752fd2e8d2p-3, -0x1.8a14bb4060fe9p-3, -0x1.80bfb44d415bdp-3, -0x1.774d87c58b509p-3, -0x1.6dc342f818086p-3, -0x1.6425afec2bc85p-3, -0x1.5a79511c7bf91p-3, -0x1.50c260cecfa88p-3, -0x1.4704d3fc473ap-3, -0x1.3d445fed85bcep-3, -0x1.3384812f2be85p-3, -0x1.29c8826652699p-3, -0x1.201381caebc95p-3, -0x1.1668748c5475cp-3, -0x1.0cca27fc1bd33p-3, -0x1.033b40e44b0d8p-3, -0x1.f37c7393b7d59p-4, -0x1.e0aac1f76c5f6p-4, -0x1.ce05ae6cb1aabp-4, -0x1.bb911ec8a25c2p-4, -0x1.a9509f63afc0fp-4, -0x1.974767b46ed33p-4, -0x1.857860b030a6dp-4, -0x1.73e62bffb62c5p-4, -0x1.62932b0e0b693p-4, -0x1.5181852480829p-4, -0x1.40b32c16b6ec8p-4, -0x1.3029df5e1cdd5p-4, -0x1.1fe72dd676b13p-4, -0x1.0fec7684d835bp-4, -0x1.003ae8e84376bp-4, -0x1.e1a70a924e10fp-5, -0x1.c36e3aba07c59p-5, -0x1.a5ccaad3b1799p-5, -0x1.88c34bdcecea3p-5, -0x1.6c5bf8b29456dp-5, -0x1.50803ceecac5bp-5, -0x1.353d1f2ab47cdp-5, -0x1.1a92dd97e159p-5, -0x1.0081717bfc2bfp-5, -0x1.ce1110361827p-6, -0x1.9c4efb84341e5p-6, -0x1.6bbab73c38199p-6, -0x1.3c51b17fb51cbp-6, -0x1.0e10bcb98e72p-6, -0x1.c1e83c2f4beccp-7, -0x1.69ef41ccfb32p-7, -0x1.142d5a83e2d54p-7, -0x1.81318104c25b7p-8, -0x1.bc9d1d6950afap-9, -0x1.fce86e0ed82afp-11, 0x1.6be00b9abe266p-10, 0x1.e30b429d9d4b5p-9, 0x1.8420a93afa6eep-8, 0x1.096ee4532fd22p-7, 0x1.4ee8c27fcc77ap-7, 0x1.9288264a03cb5p-7, 0x1.d45747592f844p-7, 0x1.0a30353b5d4dbp-6, 0x1.2956f6200bddp-6, 0x1.47a523fee5823p-6, 0x1.65200cb9e2023p-6, 0x1.81cd0ca6da0f1p-6, 0x1.9db18a4480274p-6, 0x1.b8d2efeb99492p-6, 0x1.d336a42db60f7p-6, 0x1.ece201a94ef52p-6, 0x1.02ed278bea385p-5, 0x1.0f125c2056216p-5, 0x1.1ae3242943241p-5, 0x1.2661f2f95fde4p-5, 0x1.3191288f51b88p-5, 0x1.3c73116554b3dp-5, 0x1.4709e701f7b96p-5, 0x1.5157d11d8b96ep-5, 0x1.5b5ee7274f0ffp-5, 0x1.652131f290cadp-5, 0x1.6ea0ad56bcbd9p-5, 0x1.77df49944ccf7p-5, 0x1.80deec5b19bd3p-5, 0x1.89a1715af276ep-5, 0x1.9228aa54ad521p-5, 0x1.9a765eaebc48fp-5, 0x1.a28c4a9b98f32p-5, 0x1.aa6c1de94d495p-5, 0x1.b2177a97846adp-5, 0x1.b98ff3547c08ap-5, 0x1.c0d70a0167671p-5, 0x1.c7ee2e5c06c7ap-5, 0x1.ced6bce6d29f2p-5, 0x1.d591fe22d9714p-5, 0x1.dc212627cfa2p-5, 0x1.e285549facba1p-5, 0x1.e8bf9524e6dcbp-5, 0x1.eed0dffc5d087p-5, 0x1.f4ba1b1f7a1b8p-5, 0x1.fa7c1b8765504p-5, 0x1.000bd353ef632p-4, 0x1.02c6ba03a0cc4p-4, 0x1.056f17707aed1p-4, 0x1.08053be062032p-4, 0x1.0a89730383ce3p-4, 0x1.0cfc04a426886p-4, 0x1.0f5d353eecc8ep-4, 0x1.11ad467fdb28p-4, 0x1.13ec77a22f032p-4, 0x1.161b05b2bbf75p-4, 0x1.18392bb603943p-4, 0x1.1a4722b4aa791p-4, 0x1.1c4521b1fa524p-4, 0x1.1e335d90fadc2p-4, 0x1.201208ed21389p-4, 0x1.21e153ebd02e7p-4, 0x1.23a16c0bbabfp-4, 0x1.25527bf6e11fdp-4, 0x1.26f4ab5b4cbabp-4, 0x1.28881ecde6957p-4, 0x1.2a0cf7b9fd10bp-4, 0x1.2b83545f1b829p-4, 0x1.2ceb4fde00741p-4, 0x1.2e450254ad0bap-4, 0x1.2f908108c3ddap-4, 0x1.30cdde9ed0f52p-4, 0x1.31fd2b5c9d741p-4, 0x1.331e75743f584p-4, 0x1.3431c95572c26p-4, 0x1.353732029f03ap-4, 0x1.362eb966fac5bp-4, 0x1.371868ab60035p-4, 0x1.37f4488798a4fp-4, 0x1.38c2618e3b0b5p-4, 0x1.3982bc717ffa2p-4, 0x1.3a35623fe7dffp-4, 0x1.3ada5c97d7f9bp-4, 0x1.3b71b5d1cc73ep-4, 0x1.3bfb792113ed5p-4, 0x1.3c77b2ab5ca89p-4, 0x1.3ce66f97ad889p-4, 0x1.3d47be15a41aap-4, 0x1.3d9bad5dff37p-4, 0x1.3de24dada1a28p-4, 0x1.3e1bb03c4bfdbp-4, 0x1.3e47e7304f3d8p-4, 0x1.3e67059073749p-4, 0x1.3e791f353262bp-4, 0x1.3e7e48ba4adb4p-4, 0x1.3e76977187ae6p-4, 0x1.3e5db0c5e688fp-4, 0x1.3e3c8464f821fp-4, 0x1.3e0ed9fad8539p-4, 0x1.3dd4c7cc3a9dp-4, 0x1.3d8e6441aabfdp-4, 0x1.3d3bc5fc9b598p-4, 0x1.3cdd03ef70562p-4, 0x1.3c723577a51e9p-4, 0x1.3bfb72792adbfp-4, 0x1.3b78d37a274fdp-4, 0x1.3aea71be3edcdp-4, 0x1.3a506760ab391p-4, 0x1.39aacf6c6eb21p-4, 0x1.38f9c5f21067ep-4, 0x1.383d681a6601ap-4, 0x1.3775d43604a3fp-4, 0x1.36a329c91ffe3p-4, 0x1.35c58993a658p-4, 0x1.34dd15958c145p-4, 0x1.33e9f10f5a8aap-4, 0x1.32ec407f1d21p-4, 0x1.31e42999ebfbcp-4, 0x1.30d1d342563b6p-4, 0x1.2fb5657c0a9afp-4, 0x1.2e8f095d1c06bp-4, 0x1.2d5ee8fd4da6fp-4, 0x1.2c252f63d561bp-4, 0x1.2ae20873ffc85p-4, 0x1.2995a0d922deap-4, 0x1.284025f24595ep-4, 0x1.26e1c5bdda47ep-4, 0x1.257aaec5e3a1p-4, 0x1.240b100ccd27fp-4, 0x1.229318fb3630ep-4, 0x1.2112f94ee34efp-4, 0x1.1f8ae10afd7f3p-4, 0x1.1dfb0069b6ccap-4, 0x1.1c6387cf676cdp-4, 0x1.1ac4a7bf2464bp-4, 0x1.191e90d0cac69p-4, 0x1.177173a872597p-4, 0x1.15bd80ef33404p-4, 0x1.1402e94d1e43p-4, 0x1.1241dd645053fp-4, 0x1.107a8dccf663dp-4, 0x1.0ead2b121f644p-4, 0x1.0cd9e5af35106p-4, 0x1.0b00ee0df6b6dp-4, 0x1.09227484cf7eep-4, 0x1.073ea9556525dp-4, 0x1.0555bcab3d13dp-4, 0x1.0367de9a5d0b5p-4, 0x1.01753f1dc8218p-4, 0x1.fefc1c2b8ab68p-5, 0x1.fb04f68bb8cd2p-5, 0x1.f7056ca4ed58fp-5, 0x1.f2fddd7c3ccb6p-5, 0x1.eeeea7cca248ap-5, 0x1.ead829ffc3324p-5, 0x1.e6bac225df974p-5, 0x1.e296cdecdc88ap-5, 0x1.de6caa96955cp-5, 0x1.da3cb4ee5ca45p-5, 0x1.d607493df0129p-5, 0x1.d1ccc341c6f9bp-5, 0x1.cd8d7e1d033acp-5, 0x1.c949d44cfb1a3p-5, 0x1.c5021f9c9666p-5, 0x1.c0b6b91788c69p-5, 0x1.bc67f8fd920bp-5, 0x1.b81636b5da40fp-5, 0x1.b3c1c8c28bb92p-5, 0x1.af6b04b4b7493p-5, 0x1.ab123f20a5458p-5, 0x1.a6b7cb92a1468p-5, 0x1.a25bfc8453b8bp-5, 0x1.9dff2352b2038p-5, 0x1.99a190349a63bp-5, 0x1.9543923218a79p-5, 0x1.90e5771c61e14p-5, 0x1.8c878b8682214p-5, 0x1.882a1abec4abp-5, 0x1.83cd6ec8cbbb8p-5, 0x1.7f71d0585c749p-5, 0x1.7b1786ccd29cep-5, 0x1.76bed82d3638dp-5, 0x1.72680924ef778p-5, 0x1.6e135d010a2ddp-5, 0x1.69c115adff042p-5, 0x1.657173b5fdc4fp-5, 0x1.6124b63fa9aa8p-5, 0x1.5cdb1b0d3a4d4p-5, 0x1.5894de7c02411p-5, 0x1.54523b8445366p-5, 0x1.50136bb95f089p-5, 0x1.4bd8a74a285e5p-5, 0x1.47a225019936ep-5, 0x1.43701a47a5855p-5, 0x1.3f42bb223c468p-5, 0x1.3b1a3a367a503p-5, 0x1.36f6c8c9f9456p-5, 0x1.32d896c444306p-5, 0x1.2ebfd2b062a22p-5, 0x1.2aaca9be8212bp-5, 0x1.269f47c5b56d4p-5, 0x1.2297d745cb201p-5, 0x1.1e96816939575p-5, 0x1.1a9b6e071debbp-5, 0x1.16a6c3a5547bep-5, 0x1.12b8a77aa580cp-5, 0x1.0ed13d7101b27p-5, 0x1.0af0a827dfe85p-5, 0x1.071708f6aa19ep-5, 0x1.03447fef44695p-5, 0x1.fef257c1620f7p-6, 0x1.f76a54b394881p-6, 0x1.eff12f582dfa4p-6, 0x1.e8871ddd7cc91p-6, 0x1.e12c54032fcdbp-6, 0x1.d9e103209d901p-6, 0x1.d2a55a2b63764p-6, 0x1.cb7985be1d93bp-6, 0x1.c45db01f6b2d6p-6, 0x1.bd5201492cf0dp-6, 0x1.b6569eefe43e7p-6, 0x1.af6bac8a64c8ap-6, 0x1.a8914b59a30c8p-6, 0x1.a1c79a70b6dd8p-6, 0x1.9b0eb6bd16f0cp-6, 0x1.9466bb0ef4c6dp-6, 0x1.8dcfc021c0b1cp-6, 0x1.8749dca4da304p-6, 0x1.80d5254458ea1p-6, 0x1.7a71acb1faf75p-6, 0x1.741f83ae26dcbp-6, 0x1.6ddeb91106287p-6, 0x1.67af59d3b5df4p-6, 0x1.619171198394ap-6, 0x1.5b8508393510bp-6, 0x1.558a26c66025ep-6, 0x1.4fa0d29abfb57p-6, 0x1.49c90fdf89689p-6, 0x1.4402e116d5012p-6, 0x1.3e4e4724ebbdp-6, 0x1.38ab4159a0dffp-6, 0x1.3319cd79973d1p-6, 0x1.2d99e7c78bad9p-6, 0x1.282b8b0d857ep-6, 0x1.22ceb0a604bf5p-6, 0x1.1d8350851f002p-6, 0x1.184961418c8adp-6, 0x1.1320d81da0875p-6, 0x1.0e09a910395f7p-6, 0x1.0903c6cd94fd4p-6, 0x1.040f22d01a7bbp-6, 0x1.fe575ac20f614p-7, 0x1.f4b2ab422f5cdp-7, 0x1.eb3013220c2b3p-7, 0x1.e1cf6c341119ep-7, 0x1.d8908e2c6eab7p-7, 0x1.cf734eb1a6caap-7, 0x1.c677816d0dba9p-7, 0x1.bd9cf81b0feb5p-7, 0x1.b4e3829b5ba85p-7, 0x1.ac4aef00e35f4p-7, 0x1.a3d309a1a632ap-7, 0x1.9b7b9d2672eb5p-7, 0x1.9344729a60531p-7, 0x1.8b2d517a3d1dp-7, 0x1.8335ffc3c0796p-7, 0x1.7b5e4204a85d8p-7, 0x1.73a5db69b1cbbp-7, 0x1.6c0c8dcd5767cp-7, 0x1.649219c67dbfcp-7, 0x1.5d363eb6f9948p-7, 0x1.55f8bad9df3f4p-7, 0x1.4ed94b51c83d7p-7, 0x1.47d7ac36c44abp-7, 0x1.40f398a46f12fp-7, 0x1.3a2ccac785f59p-7, 0x1.3382fbeb971edp-7, 0x1.2cf5e48869695p-7, 0x1.26853c4f4ac7bp-7, 0x1.2030ba382661ap-7, 0x1.19f8148e75f61p-7, 0x1.13db00fe0b8cep-7, 0x1.0dd9349fa1e14p-7, 0x1.07f264054c00cp-7, 0x1.02264346a6b66p-7, 0x1.f8e90c19c6821p-8, 0x1.edb9bf3d364eap-8, 0x1.e2be05d6ddaffp-8, 0x1.d7f5452ee5c9p-8, 0x1.cd5ee20cbe0e1p-8, 0x1.c2fa40cd0e3a2p-8, 0x1.b8c6c57740af1p-8, 0x1.aec3d3d282eap-8, 0x1.a4f0cf7a5367dp-8, 0x1.9b4d1bf292d85p-8, 0x1.91d81cbb16a78p-8, 0x1.88913562afea2p-8, 0x1.7f77c999b478dp-8, 0x1.768b3d440888ap-8, 0x1.6dcaf48a77c83p-8, 0x1.653653ebc78d5p-8, 0x1.5cccc04cee06ep-8, 0x1.548d9f08f73d5p-8, 0x1.4c78560030951p-8, 0x1.448c4ba6d31eep-8, 0x1.3cc8e713263c3p-8, 0x1.352d900afd9a1p-8, 0x1.2db9af109f748p-8, 0x1.266cad6f3141ap-8, 0x1.1f45f54678612p-8, 0x1.1844f1962cbd6p-8, 0x1.11690e4881e35p-8, 0x1.0ab1b83c501e9p-8, 0x1.041e5d4eaaa7fp-8, 0x1.fb5cd8c7b9679p-9, 0x1.eec2aadfc22bdp-9, 0x1.e26d12fccbda6p-9, 0x1.d65af5744e49bp-9, 0x1.ca8b38e80a3f4p-9, 0x1.befcc652bb59p-9, 0x1.b3b084dff830dp-9, 0x1.a8a154a13c5cap-9, 0x1.9dd0379856969p-9, 0x1.933c20a8214a4p-9, 0x1.88e4053f0a159p-9, 0x1.7ec6dd5eb3c8ep-9, 0x1.74e3a3a2f404dp-9, 0x1.6b3955480bd08p-9, 0x1.61c6f2305f44dp-9, 0x1.588b7ce95e9d9p-9, 0x1.4f85faafd3eb3p-9, 0x1.46b57373db326p-9, 0x1.3e18f1dc3fbc7p-9, 0x1.35af834906dc6p-9, 0x1.2d7837d60175bp-9, 0x1.2572225ca3bc8p-9, 0x1.1d9c58758f469p-9, 0x1.15f5f279b6168p-9, 0x1.0e7e0b8323952p-9, 0x1.0733c16d7a1b2p-9, 0x1.001634d6262b6p-9, 0x1.f249123863f43p-10, 0x1.e4bbc8c005fep-10, 0x1.d782df056b27bp-10, 0x1.ca9cac4aa2554p-10, 0x1.be078d4f78adbp-10, 0x1.b1c1e44f46a79p-10, 0x1.a5ca18fdd9a79p-10, 0x1.9a1e9884a00c2p-10, 0x1.8ebdd57f908b7p-10, 0x1.83a647f8bb4b2p-10, 0x1.78d66d64d2aaap-10, 0x1.6e4cc89ef8078p-10, 0x1.6407e1e42e6e8p-10, 0x1.5a0646ce78dc5p-10, 0x1.50468a5039cbp-10, 0x1.46c744aed6b93p-10, 0x1.3d87137d476dp-10, 0x1.3484999699f4fp-10, 0x1.2bbe7f1800705p-10, 0x1.2333715ad034fp-10, 0x1.1ae222ee23814p-10, 0x1.12c94b907c4f3p-10, 0x1.0ae7a828e36bep-10, 0x1.033bfac01f6dap-10, 0x1.f78a14f2e57cfp-11, 0x1.e90347165fc15p-11, 0x1.dae12e6e69a41p-11, 0x1.cd2177860c561p-11, 0x1.bfc1d8df66992p-11, 0x1.b2c012e3a7ffp-11, 0x1.a619efd111baep-11, 0x1.99cd43aa2449cp-11, 0x1.8dd7ec238083ap-11, 0x1.8237d0917e5dbp-11, 0x1.76eae1d538f5fp-11, 0x1.6bef1a497b8c8p-11, 0x1.61427daed6fcdp-11, 0x1.56e319177b8b5p-11, 0x1.4ccf02d2b28b9p-11, 0x1.43045a57ba66cp-11, 0x1.398148305a1fdp-11, 0x1.3043fde33b324p-11, 0x1.274ab5dd864ap-11, 0x1.1e93b35c57006p-11, 0x1.161d4255e6a2cp-11, 0x1.0de5b761cac37p-11, 0x1.05eb6fa2073b9p-11, 0x1.fc59a1550664ap-12, 0x1.ed5090d1a7de7p-12, 0x1.deb89a199a50bp-12, 0x1.d08eb9db7d9ddp-12, 0x1.c2cffce56fcdcp-12, 0x1.b5797ff220095p-12, 0x1.a8886f7546a8p-12, 0x1.9bfa0768ab1bap-12, 0x1.8fcb93181d71ap-12, 0x1.83fa6ced70475p-12, 0x1.7883fe3c1a794p-12, 0x1.6d65bf0c95b84p-12, 0x1.629d35e7a8d98p-12, 0x1.5827f7a0e0495p-12, 0x1.4e03a7222d06ap-12, 0x1.442df5361f625p-12, 0x1.3aa4a052e773fp-12, 0x1.316574642e1ecp-12, 0x1.286e4a96ce9f7p-12, 0x1.1fbd0922f31efp-12, 0x1.174fa316b3e01p-12, 0x1.0f2418211d1bbp-12, 0x1.0738745d3e521p-12, 0x1.ff15a0395eb2ap-13, 0x1.f0329f672c0f9p-13, 0x1.e1c446872f97bp-13, 0x1.d3c70d0ea9408p-13, 0x1.c6378140247f1p-13, 0x1.b91247bebaa1dp-13, 0x1.ac541b2a73d48p-13, 0x1.9ff9cbb983ccbp-13, 0x1.94003ed26df22p-13, 0x1.88646ea73ef34p-13, 0x1.7d2369d14ba8p-13, 0x1.723a52ee6c0f9p-13, 0x1.67a6603ddfd57p-13, 0x1.5d64db3e78e6dp-13, 0x1.5373204f15cdp-13, 0x1.49ce9e4dbda7p-13, 0x1.4074d638e4476p-13, 0x1.37635ad0f7475p-13, 0x1.2e97d03d00211p-13, 0x1.260febad255cp-13, 0x1.1dc9730041a5cp-13, 0x1.15c23c69ae43bp-13, 0x1.0df82e18a1f05p-13, 0x1.06693de0021dp-13, 0x1.fe26e1bf66038p-14, 0x1.efe9b65c01cb8p-14, 0x1.e2173f0c22de7p-14, 0x1.d4abddde0a827p-14, 0x1.c7a410dd5821dp-14, 0x1.bafc7168b1d77p-14, 0x1.aeb1b39367069p-14, 0x1.a2c0a588c65cap-14, 0x1.97262eedd1e2bp-14, 0x1.8bdf50479df4bp-14, 0x1.80e922636964dp-14, 0x1.7640d5c19358bp-14, 0x1.6be3b1ff6f7a7p-14, 0x1.61cf154a0df55p-14, 0x1.580073cc6d436p-14, 0x1.4e755723a763bp-14, 0x1.452b5dd2ed57cp-14, 0x1.3c203abd26a9ap-14, 0x1.3351b49d01913p-14, 0x1.2abda5829915p-14, 0x1.2261fa4fa58cdp-14, 0x1.1a3cb2391d79p-14, 0x1.124bde49c142dp-14, 0x1.0a8da0e66e35bp-14, 0x1.03002d5578171p-14, 0x1.f7438e8dc385ep-15, 0x1.e8e184c41c157p-15, 0x1.dad703a09596ep-15, 0x1.cd20ef9c8b7fdp-15, 0x1.bfbc4a79c650bp-15, 0x1.b2a63268eb627p-15, 0x1.a5dbe141ed81ap-15, 0x1.995aaba288bfap-15, 0x1.8d20002bf1d9p-15, 0x1.812966bc0a73bp-15, 0x1.75747faa1a15bp-15, 0x1.69ff030455316p-15, 0x1.5ec6bfdd7d2bp-15, 0x1.53c99b8f604acp-15, }}, 
      {{0x1.7d341453b7df6p-7, 0x1.7a0260a1487bbp-6, 0x1.179e720ab1963p-5, 0x1.6dd0b8cc433c3p-5, 0x1.be783227fd884p-5, 0x1.0455171f7ed38p-4, 0x1.25d85f74a1f2fp-4, 0x1.4384a8df621d3p-4, 0x1.5d2e9338845dfp-4, 0x1.72bf0f8a2a88p-4, 0x1.8430b0561f682p-4, 0x1.918d08ca1ebddp-4, 0x1.9ae9166d4369ep-4, 0x1.a06530c04c5dcp-4, 0x1.a226547f59b08p-4, 0x1.a05c2a894ee9dp-4, 0x1.9b365bf21af9ep-4, 0x1.92ea8c4677034p-4, 0x1.87aea0fc62404p-4, 0x1.79ba3f37e65b8p-4, 0x1.6944ad1d7de93p-4, 0x1.5684f150fd7d6p-4, 0x1.41b0d30e336acp-4, 0x1.2afcc31614ad1p-4, 0x1.129b59cb298c1p-4, 0x1.f17a58fd6b454p-5, 0x1.bb21b5a273d51p-5, 0x1.8283c9d10792dp-5, 0x1.47f624f2ae55fp-5, 0x1.0bc73a4776139p-5, 0x1.9c819591877c1p-6, 0x1.1f52d79e6aec8p-6, 0x1.410957b1ac888p-7, 0x1.04837c3f94be7p-9, -0x1.805f90a568ff6p-8, -0x1.c2159b497dc6p-7, -0x1.61e6f60e42421p-6, -0x1.e2524d397b30ap-6, -0x1.30fce59950a5ap-5, -0x1.70489e1b598adp-5, -0x1.aee977597cc0bp-5, -0x1.ecbfb052c2ddap-5, -0x1.14d739f3449d2p-4, -0x1.32cdd65c9f538p-4, -0x1.5037eef283d21p-4, -0x1.6d0b0049089d8p-4, -0x1.893db1486b1c2p-4, -0x1.a4c7c1eb01e4p-4, -0x1.bfa1faa792439p-4, -0x1.d9c61cc9eb875p-4, -0x1.f32ed2844dee3p-4, -0x1.05ebcfd8679ap-3, -0x1.11de6a5aa59cp-3, -0x1.1d6dc0ddf64f9p-3, -0x1.2898b3e6a1026p-3, -0x1.335e6c9cee7e7p-3, -0x1.3dbe77eac4d76p-3, -0x1.47b89ea149fdp-3, -0x1.514ce8efca3ep-3, -0x1.5a7b99bbc60e8p-3, -0x1.63452b18b09c6p-3, -0x1.6baa4b3001b32p-3, -0x1.73abd8f1e0cd3p-3, -0x1.7b4ae02e1ba31p-3, -0x1.82889510a432fp-3, -0x1.89664f49d40abp-3, -0x1.8fe5855181cc3p-3, -0x1.9607c82d6dc33p-3, -0x1.9bcebff9a8d27p-3, -0x1.a13c293951e0cp-3, -0x1.a651d2c3f606ap-3, -0x1.ab119c073fb42p-3, -0x1.af7d735293e99p-3, -0x1.b39753f6b713cp-3, -0x1.b761442459b57p-3, -0x1.badd5294c3083p-3, -0x1.be0d941f907cep-3, -0x1.c0f4216aa4bbcp-3, -0x1.c39314dd798b9p-3, -0x1.c5ec88f1ef01cp-3, -0x1.c80296e7cad68p-3, -0x1.c9d755cd85c86p-3, -0x1.cb6cd9c4e3146p-3, -0x1.ccc533666e41dp-3, -0x1.cde26f2a08989p-3, -0x1.cec694c2f22bdp-3, -0x1.cf73a668158aep-3, -0x1.cfeba00bff8ap-3, -0x1.d030768f9b662p-3, -0x1.d04416fe2df07p-3, -0x1.d02865dff7fd1p-3, -0x1.cfdf3eacc7e89p-3, -0x1.cf6a7361fb683p-3, -0x1.cecbcc3a0a562p-3, -0x1.ce05077f29365p-3, -0x1.cd17d9708a559p-3, -0x1.cc05ec31f7693p-3, -0x1.cad0dfbfc5a69p-3, -0x1.c97a49e3a23bbp-3, -0x1.c803b6287853fp-3, -0x1.c66ea5cc9ae7dp-3, -0x1.c4bc8fb21714ep-3, -0x1.c2eee04e9a446p-3, -0x1.c106f99e56759p-3, -0x1.bf06331edc962p-3, -0x1.bcedd9d6824e9p-3, -0x1.babf306a60638p-3, -0x1.b87b6f40c930ap-3, -0x1.b623c4aae4ba7p-3, -0x1.b3b9550ef6837p-3, -0x1.b13d1a66c19f1p-3, -0x1.aeb05b78a05cap-3, -0x1.ac140eed50fdap-3, -0x1.a96933408d9bfp-3, -0x1.a6b0bd47d88fdp-3, -0x1.a3eb986b2dfd8p-3, -0x1.a11aa6e649c56p-3, -0x1.9e3ec20ef6f6p-3, -0x1.9b58ba9d76ec9p-3, -0x1.986958f49db13p-3, -0x1.95715d683300ap-3, -0x1.9271808056f42p-3, -0x1.8f6a733962d2cp-3, -0x1.8c5cdf3fbe955p-3, -0x1.89496727927d1p-3, -0x1.8630a6a04a2d8p-3, -0x1.831332a434f08p-3, -0x1.7ff199a4908b1p-3, -0x1.7ccc63b28e041p-3, -0x1.79a412a5ea4aep-3, -0x1.76792241e6d02p-3, -0x1.734c085959e6bp-3, -0x1.701d34f2b739fp-3, -0x1.6ced126cce59p-3, -0x1.69bc05a4fb91ap-3, -0x1.668a6e1f56f8ap-3, -0x1.6358a631666fdp-3, -0x1.6027032f787e4p-3, -0x1.5cf5d59cdda0ep-3, -0x1.59c5695ebb791p-3, -0x1.569605f124858p-3, -0x1.5367ee9dc1d6ap-3, -0x1.503b62b3455p-3, -0x1.4d109dbc99f12p-3, -0x1.49e7d7b6e4a72p-3, -0x1.46c145455a164p-3, -0x1.439d17e231837p-3, -0x1.407b7e0c192eap-3, -0x1.3d5ca36fe0773p-3, -0x1.3a40b10e33ba3p-3, -0x1.3727cd5d8996p-3, -0x1.34121c6871f28p-3, -0x1.30ffbfe8c0322p-3, -0x1.2df0d75ff5b3p-3, -0x1.2ae5802d8d979p-3, -0x1.27ddd5a3be7f1p-3, -0x1.24d9f11b3c464p-3, -0x1.21d9ea069e4dbp-3, -0x1.1eddd605ccc96p-3, -0x1.1be5c8f9e3ee6p-3, -0x1.18f1d519c62b7p-3, -0x1.16020b0771a78p-3, -0x1.131679e628db6p-3, -0x1.102f2f7132766p-3, -0x1.0d4c381310026p-3, -0x1.0a6d9efcd4321p-3, -0x1.07936e3d4d34ap-3, -0x1.04bdaed7b3e3ap-3, -0x1.01ec68d99a4f4p-3, -0x1.fe3f46df987f1p-4, -0x1.f8aec9f410536p-4, -0x1.f327663a9f026p-4, -0x1.eda925a99ccaep-4, -0x1.e83411026ef89p-4, -0x1.e2c82fed3b4cdp-4, -0x1.dd6589119fe79p-4, -0x1.d80c222c6521ep-4, -0x1.d2bc0022814fcp-4, -0x1.cd7527118a8f9p-4, -0x1.c8379a5df3e4p-4, -0x1.c3035cbf63001p-4, -0x1.bdd8704b830c2p-4, -0x1.b8b6d67fb8aa2p-4, -0x1.b39e904a09e8p-4, -0x1.ae8f9e11959b7p-4, -0x1.a989ffbec7e37p-4, -0x1.a48db4c377cb6p-4, -0x1.9f9abc2318485p-4, -0x1.9ab1147ae06ap-4, -0x1.95d0bc09fe47bp-4, -0x1.90f9b0b9caa07p-4, -0x1.8c2bf025ce917p-4, -0x1.876777a3b37bdp-4, -0x1.82ac444aed6d1p-4, -0x1.7dfa52fc2118cp-4, -0x1.7951a0683dd26p-4, -0x1.74b2291730162p-4, -0x1.701be96e29492p-4, -0x1.6b8eddb57113cp-4, -0x1.670b021da810ap-4, -0x1.629052c46c268p-4, -0x1.5e1ecbb8615eap-4, -0x1.59b668fc80f52p-4, -0x1.5557268ab3364p-4, -0x1.51010055c079p-4, -0x1.4cb3f24a8dc8p-4, -0x1.486ff850c401ap-4, -0x1.44350e4af036bp-4, -0x1.400330162eb2p-4, -0x1.3bda59897a2b3p-4, -0x1.37ba8674c091ap-4, -0x1.33a3b29fbbadp-4, -0x1.2f95d9c8b41a5p-4, -0x1.2b90f7a32a6cep-4, -0x1.279507d686776p-4, -0x1.23a205fcb9092p-4, -0x1.1fb7eda0ebbe7p-4, -0x1.1bd6ba3e2e2d1p-4, -0x1.17fe673e3ad1p-4, -0x1.142eeff83abd9p-4, -0x1.10684faf96535p-4, -0x1.0caa8192da315p-4, -0x1.08f56c8e69a9ep-4, -0x1.0549374e79534p-4, -0x1.01a5c575c8065p-4, -0x1.fc16237641502p-5, -0x1.f4f22d79b9263p-5, -0x1.eddf9e014668fp-5, -0x1.e6de69e618e8fp-5, -0x1.dfee85ce7d197p-5, -0x1.d90fe62cc566ep-5, -0x1.d2427f3e1a38dp-5, -0x1.cb86450908dcap-5, -0x1.c4db2b5bfcf96p-5, -0x1.be4125cb7b633p-5, -0x1.b7b827b043993p-5, -0x1.b14024254cac7p-5, -0x1.aad90e05b5d5ap-5, -0x1.a482d7ea9f1e6p-5, -0x1.9e3d7428f9f31p-5, -0x1.9808d4cf60635p-5, -0x1.91e4eba3f3128p-5, -0x1.8bd1aa2239445p-5, -0x1.85cf017934a23p-5, -0x1.7fdce289760ebp-5, -0x1.79fb3de364c97p-5, -0x1.742a03c5aa844p-5, -0x1.6e69241bbec91p-5, -0x1.68b88e7cbe5f3p-5, -0x1.6318322a533ap-5, -0x1.5d87fe0fe2121p-5, -0x1.5807e0c1e1281p-5, -0x1.5297c87d6cf55p-5, -0x1.4d37a327f4c88p-5, -0x1.47e75e4f3d963p-5, -0x1.42a6e7296fb1cp-5, -0x1.3d762a9561bebp-5, -0x1.3855151b0b09fp-5, -0x1.334392ec0bb3ep-5, -0x1.2e418fe475972p-5, -0x1.294ef78b96f29p-5, -0x1.246bb514ef4aep-5, -0x1.1f97b3613ad19p-5, -0x1.1ad2dcff91d9cp-5, -0x1.161d1c2e987c2p-5, -0x1.11765addcbc97p-5, -0x1.0cde82aeccdfep-5, -0x1.08557cf6bf01p-5, -0x1.03db32bfb19dbp-5, -0x1.fedf199429e0cp-6, -0x1.f624e71c4db38p-6, -0x1.ed879e7b095ddp-6, -0x1.e5070f8949816p-6, -0x1.dca30998cf9f6p-6, -0x1.d45b5b774f601p-6, -0x1.cc2fd3719ed95p-6, -0x1.c4203f56f434bp-6, -0x1.bc2c6c7c0b682p-6, -0x1.b45427be973a8p-6, -0x1.ac973d887e34cp-6, -0x1.a4f579d34280bp-6, -0x1.9d6ea82b69133p-6, -0x1.960293b3f9774p-6, -0x1.8eb10729f527dp-6, -0x1.8779cce7ea5aep-6, -0x1.805caee99647cp-6, -0x1.795976cf86b96p-6, -0x1.726fede2cdec2p-6, -0x1.6b9fdd18c5e73p-6, -0x1.64e90d16d80e3p-6, -0x1.5e4b4636618d7p-6, -0x1.57c65088808ccp-6, -0x1.5159f3da16ddcp-6, -0x1.4b05f7b7b6253p-6, -0x1.44ca2371a06cap-6, -0x1.3ea63e1fcda13p-6, -0x1.389a0ea5f5fefp-6, -0x1.32a55bb7a2d24p-6, -0x1.2cc7ebdc46f6p-6, -0x1.270185734181dp-6, -0x1.2151eeb80d814p-6, -0x1.1bb8edc6460a3p-6, -0x1.1636489dbe076p-6, -0x1.10c9c5268d746p-6, -0x1.0b7329351f4e5p-6, -0x1.06323a8e3008bp-6, -0x1.0106beead1a4p-6, -0x1.f7e0f7f8afae5p-7, -0x1.edde6ee0a05ebp-7, -0x1.e4056de8b0d22p-7, -0x1.da558073fbde2p-7, -0x1.d0ce31f500fe4p-7, -0x1.c76f0df526cep-7, -0x1.be37a01c1d233p-7, -0x1.b52774371a915p-7, -0x1.ac3e164012e36p-7, -0x1.a37b1264a89fap-7, -0x1.9addf50d2c9ep-7, -0x1.92664ae363eb3p-7, -0x1.8a13a0d929139p-7, -0x1.81e5842ef9bacp-7, -0x1.79db827a680cep-7, -0x1.71f529ac4030dp-7, -0x1.6a320816dac3p-7, -0x1.6291ac73f6483p-7, -0x1.5b13a5eaab5dp-7, -0x1.53b784151ec08p-7, -0x1.4c7cd7061a093p-7, -0x1.45632f4e84afdp-7, -0x1.3e6a1e02b4fdcp-7, -0x1.379134bf95a29p-7, -0x1.30d805afc0739p-7, -0x1.2a3e239054e8fp-7, -0x1.23c321b5cfdfcp-7, -0x1.1d6694109c90ep-7, -0x1.17280f319da6bp-7, -0x1.1107284e7e07p-7, -0x1.0b037545f095fp-7, -0x1.051c8ca3ca886p-7, -0x1.fea40b49a3b7cp-8, -0x1.f346f07571f5ap-8, -0x1.e820fa1f6b398p-8, -0x1.dd315b13fc12p-8, -0x1.d277479e890a7p-8, -0x1.c7f1f58fda329p-8, -0x1.bda09c445dd72p-8, -0x1.b38274aa33c6p-8, -0x1.a996b946d45e7p-8, -0x1.9fdca63c93e2p-8, -0x1.9653794fde466p-8, -0x1.8cfa71ebef4cdp-8, -0x1.83d0d127dba9ep-8, -0x1.7ad5d9caa1ea6p-8, -0x1.7208d04fa1853p-8, -0x1.6968faea57073p-8, -0x1.60f5a18a1f47fp-8, -0x1.58ae0ddd993b2p-8, -0x1.50918b55e251fp-8, -0x1.489f6729825c5p-8, -0x1.40d6f057278fcp-8, -0x1.393777a8326d1p-8, -0x1.31c04fb2d2befp-8, -0x1.2a70ccdc54727p-8, -0x1.2348455a9ef59p-8, -0x1.1c46113626dccp-8, -0x1.15698a4b28038p-8, -0x1.0eb20c4ae30d3p-8, -0x1.081ef4bca05ap-8, -0x1.01afa2fe85f2dp-8, -0x1.f6c6f08c4acc6p-9, -0x1.ea73af41fe769p-9, -0x1.de644be96bc86p-9, -0x1.d29793fe4fd6cp-9, -0x1.c70c58acab8c9p-9, -0x1.bbc16ed06bd8ep-9, -0x1.b0b5aef3fe943p-9, -0x1.a5e7f54fef6ccp-9, -0x1.9b5721c8f09f3p-9, -0x1.910217ee5566bp-9, -0x1.86e7bef79c9cdp-9, -0x1.7d0701c2a3aa6p-9, -0x1.735eced0ce13p-9, -0x1.69ee1844128a6p-9, -0x1.60b3d3dbf1855p-9, -0x1.57aefaf2232bap-9, -0x1.4ede8a76e626fp-9, -0x1.464182ed33fbap-9, -0x1.3dd6e866c738ep-9, -0x1.359dc27f97bbfp-9, -0x1.2d951c59a2633p-9, -0x1.25bc04983f09dp-9, -0x1.1e118d5b23c29p-9, -0x1.1694cc390bbfap-9, -0x1.0f44da3b1ec1bp-9, -0x1.0820d3d718c63p-9, -0x1.0127d8e9d9da1p-9, -0x1.f4b219632eb35p-10, -0x1.e7672b903f88ep-10, -0x1.da6d3c3948cedp-10, -0x1.cdc2a5db4abd9p-10, -0x1.c165c98554ba8p-10, -0x1.b5550ecb720a9p-10, -0x1.a98ee3b9c6efdp-10, -0x1.9e11bcc6fd01cp-10, -0x1.92dc14c6be296p-10, -0x1.87ec6cdc257b2p-10, -0x1.7d414c6ad5493p-10, -0x1.72d94109f6fafp-10, -0x1.68b2de751d551p-10, -0x1.5eccbe7db6dfp-10, -0x1.552580fc870a3p-10, -0x1.4bbbcbc23769dp-10, -0x1.428e4a8901439p-10, -0x1.399baee4e6f53p-10, -0x1.30e2b0348d3b3p-10, -0x1.28620b91ace1cp-10, -0x1.201883c19e5b3p-10, -0x1.1804e125739f4p-10, -0x1.1025f1aa43946p-10, -0x1.087a88b943eedp-10, -0x1.01017f27b67ap-10, -0x1.f373664e2e781p-11, -0x1.e5441069336f3p-11, -0x1.d772ce12acc59p-11, -0x1.c9fd7b1365434p-11, -0x1.bce1fd6b18dfp-11, -0x1.b01e452f5be5p-11, -0x1.a3b04c693f35fp-11, -0x1.979616f7b3d14p-11, -0x1.8bcdb26d081fp-11, -0x1.805535edec5d3p-11, -0x1.752ac21118baap-11, -0x1.6a4c80be8e906p-11, -0x1.5fb8a50e9ac87p-11, -0x1.556d6b296b14cp-11, -0x1.4b69182660f36p-11, -0x1.41a9f9ebae1a1p-11, -0x1.382e670d53efep-11, -0x1.2ef4bead46679p-11, -0x1.25fb685b1b1c8p-11, -0x1.1d40d3f3da706p-11, -0x1.14c3798203c5fp-11, -0x1.0c81d91dbb2b1p-11, -0x1.047a7acdba3ddp-11, -0x1.f957dccbfa75cp-12, -0x1.ea2996d5ed323p-12, -0x1.db67d433d5ae9p-12, -0x1.cd0ef580c0896p-12, -0x1.bf1cd0aafb4dcp-12, -0x1.b18ecfcf732abp-12, -0x1.a4626b36a91e2p-12, -0x1.97952918f3bbp-12, -0x1.8b249d62d5a77p-12, -0x1.7f0e697ab5a35p-12, -0x1.73503c058208ep-12, -0x1.67e7d0aec3dbap-12, -0x1.5cd2efea3475bp-12, -0x1.520f6ec33d1bcp-12, -0x1.479b2e9e0434dp-12, -0x1.3d741d02fa426p-12, -0x1.33983366f3b03p-12, -0x1.2a0576f50d1bcp-12, -0x1.20b9f858f1c8fp-12, -0x1.17b3d389bb36fp-12, -0x1.0ef12f955e911p-12, -0x1.06703e6cd4203p-12, -0x1.fc5e79616a5aap-13, -0x1.ec58e2fdcc9d9p-13, -0x1.dccc5c805e7c7p-13, -0x1.cdb59ced95a9p-13, -0x1.bf116f1d80469p-13, -0x1.b0dcb15861609p-13, -0x1.a31454fb06761p-13, -0x1.95b55e1268a32p-13, -0x1.88bce3091e22dp-13, -0x1.7c280c446dab2p-13, -0x1.6ff413cd9d964p-13, -0x1.641e44f9500c6p-13, -0x1.58a3fc0e0b821p-13, -0x1.4d82a5eebded6p-13, -0x1.42b7bfc8ce9c2p-13, -0x1.3840d6baf3418p-13, -0x1.2e1b87861fe2cp-13, -0x1.24457e3b8a437p-13, -0x1.1abc75ebfd4a1p-13, -0x1.117e385926991p-13, -0x1.08889da76d10cp-13, -0x1.ffb31824699f8p-14, -0x1.eeddef3dd8e9ap-14, -0x1.de8dc3a7a4df3p-14, -0x1.cebeb2dc35c82p-14, -0x1.bf6cf433c90d1p-14, -0x1.b094d85d7d33ap-14, -0x1.a232c8be7e527p-14, -0x1.94434703a7622p-14, -0x1.86c2ec88fa96ep-14, -0x1.79ae69dba5a8bp-14, -0x1.6d0286323b958p-14, -0x1.60bc1eeef7c82p-14, -0x1.54d827203bd35p-14, -0x1.4953a703c0346p-14, -0x1.3e2bbb8cf2707p-14, -0x1.335d95eaf49d4p-14, -0x1.28e67b13314b9p-14, -0x1.1ec3c34cadac3p-14, -0x1.14f2d9bc1fe29p-14, -0x1.0b713bf9061a9p-14, -0x1.023c79976ce6bp-14, -0x1.f2a4677f9ce46p-15, -0x1.e1603987c81a7p-15, -0x1.d0a7ef6b77fp-15, -0x1.c0773008cb0b2p-15, -0x1.b0c9c210f00aep-15, -0x1.a19b8b6feddcap-15, -0x1.92e89068780c2p-15, -0x1.84acf2de1483ep-15, -0x1.76e4f19bd1d65p-15, -0x1.698ce79be6468p-15, -0x1.5ca14b5328ec5p-15, -0x1.501eadfc21a47p-15, -0x1.4401baef66154p-15, -0x1.384736f6f8c29p-15, -0x1.2cebffa83f5c4p-15, -0x1.21ed0ac08aef2p-15, -0x1.1747658510a16p-15, -0x1.0cf8342617e3ep-15, -0x1.02fcb1247162ap-15, -0x1.f2a4597d847b9p-16, -0x1.dfec18b10afb9p-16, -0x1.cdcb93db1bf06p-16, -0x1.bc3de70b59e85p-16, -0x1.ab3e554640478p-16, -0x1.9ac8478d3b469p-16, -0x1.8ad74bc4af884p-16, -0x1.7b6713b891b27p-16, -0x1.6c737421c095ep-16, -0x1.5df863968bca6p-16, -0x1.4ff1f9c0644ap-16, -0x1.425c6e51068fcp-16, -0x1.35341824e6dafp-16, -0x1.28756c5a89facp-16, -0x1.1c1cfd8a0f53fp-16, -0x1.10277acdfc4c2p-16, -0x1.0491af0710582p-16, -0x1.f2b1000a1a0e5p-17, -0x1.dcf1db80822afp-17, -0x1.c7e02328b2647p-17, -0x1.b3763b015323fp-17, -0x1.9faeb6d95817ap-17, -0x1.8c8458e29b5a5p-17, -0x1.79f2104c477bcp-17, -0x1.67f2f7f3fb76ep-17, -0x1.568254eef7ebep-17, -0x1.459b959a6566cp-17, -0x1.353a4fa176085p-17, -0x1.255a3f9023374p-17, -0x1.15f747418a364p-17, -0x1.070d6ca7a9c0ap-17, -0x1.f131b18c2d15fp-18, -0x1.d52bad1ada62ep-18, -0x1.ba01a3919773bp-18, -0x1.9facac21a2493p-18, -0x1.86261b982b9f5p-18, -0x1.6d67822fcd068p-18, -0x1.556aa9c6b60f2p-18, -0x1.3e2994608ca0ap-18, -0x1.279e796ee65eep-18, -0x1.11c3c4d0718d8p-18, -0x1.f928294fc5094p-19, -0x1.d0146fb75b057p-19, -0x1.a84258cd8820dp-19, -0x1.81a83b819ee87p-19, -0x1.5c3cc6c8fc23dp-19, -0x1.37f6fe0d0973p-19, -0x1.14ce37103703ap-19, -0x1.e5742d21b77fep-20, -0x1.a3651b3c5ddb4p-20, -0x1.635fae2772f38p-20, -0x1.2554e987c74b5p-20, -0x1.d26cb47726067p-21, -0x1.5dec229e290ddp-21, -0x1.da1a7d6ba03d1p-22, -0x1.fed884bb4f2a9p-23, -0x1.5cdcad0cc6eb6p-25, 0x1.430f6b776b0c8p-23, 0x1.682c181c4d6e8p-22, 0x1.143f311c73b29p-21, 0x1.7154e7ba55e9bp-21, 0x1.cb6c0656b0d27p-21, 0x1.114c54c517b74p-20, 0x1.3b771bb51cc0ap-20, 0x1.643fb3c01a179p-20, 0x1.8baf23a545d22p-20, 0x1.b1ce229b8331ap-20, 0x1.d6a519b0f7c2bp-20, 0x1.fa3c27547bec9p-20, 0x1.0e4d9137c80b6p-19, 0x1.1ee4ce3929808p-19, 0x1.2ee772a657bb3p-19, 0x1.3e590628e3b09p-19, }}, 
      {{-0x1.040e63e6522eap+1, -0x1.fbc87073def03p+0, -0x1.e865e4565721p+0, -0x1.cf446e299660ep+0, -0x1.b1c5df5602b67p+0, -0x1.91409c2b02f74p+0, -0x1.6eec4daf621ecp+0, -0x1.4bd88cca5525dp+0, -0x1.28e9ec14a6bfdp+0, -0x1.06d9c103ecf2fp+0, -0x1.cc710d7955279p-1, -0x1.8ee47c8ff107cp-1, -0x1.55a62839b351p-1, -0x1.21181f97bbe3dp-1, -0x1.e2da1a77e194ap-2, -0x1.8d6bad87c3869p-2, -0x1.41c8897d0177ep-2, -0x1.ff550b8787861p-3, -0x1.8d4e32f51cc8ap-3, -0x1.2c7d1420bbeb4p-3, -0x1.b778c716ea52bp-4, -0x1.33abb536e71c3p-4, -0x1.96237ab84ae3bp-5, -0x1.ec9240f5f22e2p-6, -0x1.05a19493d5f8cp-6, -0x1.b7405b8d38bb3p-8, -0x1.be1ebe7de4ba7p-10, -0x1.c5a93042d35dp-12, -0x1.3a53b208e5272p-9, -0x1.d315a2f7daeb1p-8, -0x1.d0d5f25532ac6p-7, -0x1.7bc6c7d85f25ap-6, -0x1.14796742987bdp-5, -0x1.75423ca0e4ecap-5, -0x1.ddc824df8b85ap-5, -0x1.25ec3f88ee5aap-4, -0x1.5ec03f29d570bp-4, -0x1.988234ab83a9bp-4, -0x1.d26c308a72de4p-4, -0x1.05e77f9acb247p-3, -0x1.2209042d2b303p-3, -0x1.3d5927171bb16p-3, -0x1.57a0107833e77p-3, -0x1.70ae40356c736p-3, -0x1.885b98ae32fd5p-3, -0x1.9e86d80db6784p-3, -0x1.b3153b2b7e95bp-3, -0x1.c5f203daf9a7dp-3, -0x1.d70dd4cf92d78p-3, -0x1.e65e04c7d6e5bp-3, -0x1.f3dc0e03a074p-3, -0x1.ff8522c64e9cdp-3, -0x1.04aceb370b7b4p-2, -0x1.08aee3cadd68ep-2, -0x1.0bccd55613e06p-2, -0x1.0e079f9e531ffp-2, -0x1.0f66c7df53366p-2, -0x1.0ff0e6a14af3ap-2, -0x1.0fad110c2420ep-2, -0x1.0ea2a725ea442p-2, -0x1.0cd9472bb7556p-2, -0x1.0a58db4db63a2p-2, -0x1.0729afada460ap-2, -0x1.03547f287b2fdp-2, -0x1.fdc4d8a372a94p-3, -0x1.f3b9cad909d55p-3, -0x1.e89af490f3e9ap-3, -0x1.dc7b5e3b7203cp-3, -0x1.cf6dae5659752p-3, -0x1.c183fc0c6208bp-3, -0x1.b2cfc274a83fbp-3, -0x1.a361ee0cb195fp-3, -0x1.934af80dc0ef1p-3, -0x1.829b01e5846fcp-3, -0x1.7161e5d8abd0bp-3, -0x1.5faf37238ae6p-3, -0x1.4d9231d9c3871p-3, -0x1.3b199f8f36af8p-3, -0x1.2853b85cfaa38p-3, -0x1.154e07d762fb4p-3, -0x1.02155b85dc7e4p-3, -0x1.dd6b7aa9a2ce5p-4, -0x1.b674f2a773aa5p-4, -0x1.8f5c5755f67fdp-4, -0x1.6835a4f6243f2p-4, -0x1.4113bea6fe9f8p-4, -0x1.1a0889cb7ce36p-4, -0x1.e649fc82f8047p-5, -0x1.98f256286ef61p-5, -0x1.4c28643a61dcbp-5, -0x1.00087d7580e78p-5, -0x1.6959f0c1adf63p-6, -0x1.a8b87c82aae9ap-7, -0x1.051179ca7addap-8, 0x1.3f14ca04f64a1p-8, 0x1.bd378a47ac3c7p-7, 0x1.6b1e33fdea1e1p-6, 0x1.f52e998c552c4p-6, 0x1.3e5903e1e1523p-5, 0x1.80c824056d926p-5, 0x1.c1d9d3cd650ddp-5, 0x1.00c23444b12dbp-4, 0x1.1fdfac5b97ec2p-4, 0x1.3e419939d82fbp-4, 0x1.5be4c9ef7c94ep-4, 0x1.78c691d151f1cp-4, 0x1.94e4c42614e6bp-4, 0x1.b03daee856f51p-4, 0x1.cad01495cb1f5p-4, 0x1.e49b254014febp-4, 0x1.fd99c9e53228fp-4, 0x1.0aec92a1b2516p-3, 0x1.16a881abb6643p-3, 0x1.2200d296d6a01p-3, 0x1.2cf5d37a8d823p-3, 0x1.378800216d2b5p-3, 0x1.41b80115ab896p-3, 0x1.4b86a992bc705p-3, 0x1.54f4f46f563a3p-3, 0x1.5e0400287985dp-3, 0x1.66b50a46b3531p-3, 0x1.6f096a627b05cp-3, 0x1.77028d128cbfap-3, 0x1.7ea1ef0ea47ebp-3, 0x1.85e918ca344e9p-3, 0x1.8cd99abd80cefp-3, 0x1.93750a8172e26p-3, 0x1.99bd00cd226bcp-3, 0x1.9fb3184def3aep-3, 0x1.a558ed3eb87c3p-3, 0x1.aab01d92a138p-3, 0x1.afba497da145ap-3, 0x1.b4791421c8799p-3, 0x1.b8ee242bbab13p-3, 0x1.bd1b24321fd9ep-3, 0x1.c101c2b95c8f2p-3, 0x1.c4a3b1cc6997bp-3, 0x1.c802a62b2238dp-3, 0x1.cb20561beda0fp-3, 0x1.cdfe77f8d2718p-3, 0x1.d09ec09640cbcp-3, 0x1.d302e1a39b7a2p-3, 0x1.d52c8823d80a7p-3, 0x1.d71d5b176d4cep-3, 0x1.d8d6fa69f767bp-3, 0x1.da5afe2e07075p-3, 0x1.dbaaf629a856fp-3, 0x1.dcc869af02adbp-3, 0x1.ddb4d7b6aa5d7p-3, 0x1.de71b72d12369p-3, 0x1.df00776230ac8p-3, 0x1.df628089ce356p-3, 0x1.df99343bf899dp-3, 0x1.dfa5ede74ba4ap-3, 0x1.df8a0329f6eeep-3, 0x1.df46c40a42914p-3, 0x1.dedd7b0b28664p-3, 0x1.de4f6d1d6d2c9p-3, 0x1.dd9dd970f5ac8p-3, 0x1.dcc9f92c8b927p-3, 0x1.dbd4ff141eeafp-3, 0x1.dac0172660c36p-3, 0x1.d98c663a90cfdp-3, 0x1.d83b09a6b3772p-3, 0x1.d6cd16f522d94p-3, 0x1.d5439baeb2ef5p-3, 0x1.d39f9d3cf0208p-3, 0x1.d1e218e61da27p-3, 0x1.d00c03e2ba776p-3, 0x1.ce1e4b8b17353p-3, 0x1.cc19d599f7673p-3, 0x1.c9ff80809bebap-3, 0x1.c7d023c7b35e6p-3, 0x1.c58c90789421cp-3, 0x1.c335918a0af54p-3, 0x1.c0cbec4c4a201p-3, 0x1.be5060cff2496p-3, 0x1.bbc3aa44e42adp-3, 0x1.b9267f4e2d05fp-3, 0x1.b67992493f2e8p-3, 0x1.b3bd918783e54p-3, 0x1.b0f3277a0e36dp-3, 0x1.ae1afad00467fp-3, 0x1.ab35ae88f127ap-3, 0x1.a843e1fcbc41p-3, 0x1.a54630db402c4p-3, 0x1.a23d3325e2777p-3, 0x1.9f297d256d68bp-3, 0x1.9c0b9f5e7912p-3, 0x1.98e426867aa46p-3, 0x1.95b39b7b42862p-3, 0x1.927a833e6d15p-3, 0x1.8f395ef5d9658p-3, 0x1.8bf0abf1dcf4cp-3, 0x1.88a0e3b98c42ep-3, 0x1.854a7c1d041b1p-3, 0x1.81ede74d71901p-3, 0x1.7e8b93fa21b8cp-3, 0x1.7b23ed71d8892p-3, 0x1.77b75bc77b225p-3, 0x1.744643f8ed153p-3, 0x1.70d10817296c7p-3, 0x1.6d58076e78be6p-3, 0x1.69db9eadd422dp-3, 0x1.665c280c9bca9p-3, 0x1.62d9fb6dded36p-3, 0x1.5f556e80a6badp-3, 0x1.5bced4dcddc3p-3, 0x1.5846801c8d6fcp-3, 0x1.54bcbff15ab95p-3, 0x1.5131e2364e067p-3, 0x1.4da632fe14ac8p-3, 0x1.4a19fc9dfc2a5p-3, 0x1.468d87b6118dfp-3, 0x1.43011b36c07eep-3, 0x1.3f74fc647b25dp-3, 0x1.3be96ed9dd4a6p-3, 0x1.385eb488c2481p-3, 0x1.34d50dbacc83fp-3, 0x1.314cb911b9de2p-3, 0x1.2dc5f387edcaap-3, 0x1.2a40f871722a6p-3, 0x1.26bcc8e9b9c49p-3, 0x1.233c056dbef84p-3, 0x1.1fbdbc16cadaep-3, 0x1.1c42214a472bdp-3, 0x1.18c967b611a54p-3, 0x1.1553c05d0af52p-3, 0x1.11e15aa47ef95p-3, 0x1.0e7264621fe13p-3, 0x1.0b0709ea4265fp-3, 0x1.079f761e202bep-3, 0x1.043bd279d7495p-3, 0x1.00dc4721eea8ep-3, 0x1.fb01f5e06858fp-4, 0x1.f45426ff7f94cp-4, 0x1.edaf6a7004455p-4, 0x1.e71406ad92df7p-4, 0x1.e0823ff25676cp-4, 0x1.d9fa584695da2p-4, 0x1.d37c8f8e0dbd4p-4, 0x1.cd09239329862p-4, 0x1.c6a0501027102p-4, 0x1.c0424eb671092p-4, 0x1.b9ef57345155bp-4, 0x1.b3a79f392cbf1p-4, 0x1.ad6b5a789c5b5p-4, 0x1.a73abaac99773p-4, 0x1.a115ef96f44cdp-4, 0x1.9afd27026bbafp-4, 0x1.94f08cc37bfap-4, 0x1.8ef04ab943223p-4, 0x1.88fc88ce8cbf1p-4, 0x1.83156cfb40147p-4, 0x1.7d3b1b464ba51p-4, 0x1.776db5c829c68p-4, 0x1.71ad5cae1986cp-4, 0x1.6bfa2e3e104a3p-4, 0x1.665446db71d94p-4, 0x1.60bbc10c8bb51p-4, 0x1.5b30b580d10dcp-4, 0x1.55b33b17cdae6p-4, 0x1.504366e8c1449p-4, 0x1.4ae14c4ad5d19p-4, 0x1.458cfcdddbceep-4, 0x1.4046889379605p-4, 0x1.3b0dfdb8b74a2p-4, 0x1.35e368ffd5815p-4, 0x1.30c6d58a54aefp-4, 0x1.2bb84cf31d9c5p-4, 0x1.26b7d758b43b2p-4, 0x1.21c57b6768645p-4, 0x1.1ce13e636d148p-4, 0x1.180b2432d1938p-4, 0x1.13432f6748788p-4, 0x1.0e896147b87f2p-4, 0x1.09ddb9d98bbdep-4, 0x1.054037e9bd98dp-4, 0x1.00b0d915995c3p-4, 0x1.f85f33a669dfdp-5, 0x1.ef78eaf3353bfp-5, 0x1.e6aecc915de27p-5, 0x1.de00cae1914a4p-5, 0x1.d56ed63418224p-5, 0x1.ccf8dcd701d39p-5, 0x1.c49ecb23e7de5p-5, 0x1.bc608b8d3c0cep-5, 0x1.b43e06ab4505fp-5, 0x1.ac372348c0725p-5, 0x1.a44bc66f42a2fp-5, 0x1.9c7bd3735efa1p-5, 0x1.94c72c009cf54p-5, 0x1.8d2db02548fa6p-5, 0x1.85af3e5e2a0d4p-5, 0x1.7e4bb3a220a5fp-5, 0x1.7702eb6dbb53ap-5, 0x1.6fd4bfcec1851p-5, 0x1.68c1096fb7fc1p-5, 0x1.61c79fa368c54p-5, 0x1.5ae858706be48p-5, 0x1.5423089cacd62p-5, 0x1.4d7783b8f990cp-5, 0x1.46e59c2c8b8b3p-5, 0x1.406d234094fbap-5, 0x1.3a0de92bc5a52p-5, 0x1.33c7bd1dcef0cp-5, 0x1.2d9a6d4ad4acdp-5, 0x1.2785c6f6dd18p-5, 0x1.218996812033ep-5, 0x1.1ba5a76f4f59ap-5, 0x1.15d9c478b6753p-5, 0x1.1025b79149e6p-5, 0x1.0a8949f48a27ep-5, 0x1.05044430482a7p-5, 0x1.ff2cdc5e7d79ap-6, 0x1.f47f1e86fddeap-6, 0x1.e9fedc616479cp-6, 0x1.dfaba26c4fdb6p-6, 0x1.d584fc315d821p-6, 0x1.cb8a74588538cp-6, 0x1.c1bb94baf0297p-6, 0x1.b817e67577461p-6, 0x1.ae9ef1faa8a86p-6, 0x1.a5503f245821ep-6, 0x1.9c2b5544cd483p-6, 0x1.932fbb37765b2p-6, 0x1.8a5cf7712cb15p-6, 0x1.81b290100e2e3p-6, 0x1.79300aeae404cp-6, 0x1.70d4eda01f389p-6, 0x1.68a0bda46b914p-6, 0x1.60930050d62fap-6, 0x1.58ab3af08d66p-6, 0x1.50e8f2ce40dcbp-6, 0x1.494bad411558bp-6, 0x1.41d2efb939827p-6, 0x1.3a7e3fcc241f4p-6, 0x1.334d234065ec8p-6, 0x1.2c3f201927bd8p-6, 0x1.2553bca154286p-6, 0x1.1e8a7f765c922p-6, 0x1.17e2ef92ac99ep-6, 0x1.115c9457d01cdp-6, 0x1.0af6f59831c86p-6, 0x1.04b19ba09d287p-6, 0x1.fd181e82c7a44p-7, 0x1.f10bb3ae5c3bcp-7, 0x1.e53d0aa70c6d5p-7, 0x1.d9ab388a247a5p-7, 0x1.ce5553beefb9bp-7, 0x1.c33a7406098a7p-7, 0x1.b859b287f7505p-7, 0x1.adb229e33b554p-7, 0x1.a342f639d81cfp-7, 0x1.990b353e36187p-7, 0x1.8f0a063f86773p-7, 0x1.853e8a3589bfbp-7, 0x1.7ba7e3cbd7be7p-7, 0x1.7245376c9516bp-7, 0x1.6915ab4aa3209p-7, 0x1.6018676b41a11p-7, 0x1.574c95af3d1b3p-7, 0x1.4eb161db90644p-7, 0x1.4645f9a17b07p-7, 0x1.3e098ca63a10cp-7, 0x1.35fb4c8a24813p-7, 0x1.2e1a6cef6362fp-7, 0x1.266623802bc95p-7, 0x1.1edda7f48a9c2p-7, 0x1.17803417badf3p-7, 0x1.104d03cd13b07p-7, 0x1.094355148cb8cp-7, 0x1.0262680ecb442p-7, 0x1.f752fe01c623ep-8, 0x1.ea2fbcaf37b9cp-8, 0x1.dd599954d7bdp-8, 0x1.d0cf257c118bcp-8, 0x1.c48ef70d45f0fp-8, 0x1.b897a85396cadp-8, 0x1.ace7d80004768p-8, 0x1.a17e292bf774ap-8, 0x1.9659435b0dbfdp-8, 0x1.8b77d27c7eddbp-8, 0x1.80d886ebc8f9fp-8, 0x1.767a1570d69e6p-8, 0x1.6c5b373fb38b9p-8, 0x1.627aa9f7a991fp-8, 0x1.58d72fa1e38adp-8, 0x1.4f6f8eafa0da1p-8, 0x1.464291f7fa511p-8, 0x1.3d4f08b515444p-8, 0x1.3493c681282ecp-8, 0x1.2c0fa352daacbp-8, 0x1.23c17b797d34cp-8, 0x1.1ba82f98b72e3p-8, 0x1.13c2a4a3ee18p-8, 0x1.0c0fc3d962a8ap-8, 0x1.048e7abcdc375p-8, 0x1.fa7b76246f6d3p-9, 0x1.ec38f5aed114cp-9, 0x1.de53687cee3aap-9, 0x1.d0c8cb4e2c619p-9, 0x1.c397232fe03bcp-9, 0x1.b6bc7d6f98cd1p-9, 0x1.aa36ef8cde603p-9, 0x1.9e04972a75a3p-9, 0x1.922399ff3f1dbp-9, 0x1.869225c6ba581p-9, 0x1.7b4e703103025p-9, 0x1.7056b6d29422cp-9, 0x1.65a93f139f2d4p-9, 0x1.5b44561ed38cfp-9, 0x1.512650d052174p-9, 0x1.474d8ba3d785dp-9, 0x1.3db86aa2c6d9cp-9, 0x1.34655951e84f4p-9, 0x1.2b52ca9ed2301p-9, 0x1.227f38cd276cep-9, 0x1.19e925637833bp-9, 0x1.118f1917ed9b6p-9, 0x1.096fa3bccb167p-9, 0x1.01895c2c64495p-9, 0x1.f3b5c06af4ebdp-10, 0x1.e4c5a90d675p-10, 0x1.d63fc934d7e7ep-10, 0x1.c8218543aac29p-10, 0x1.ba684ee106b65p-10, 0x1.ad11a4ce8638bp-10, 0x1.a01b12be4488fp-10, 0x1.9382312824b25p-10, 0x1.8744a51f609cbp-10, 0x1.7b60202775fc9p-10, 0x1.6fd260090da16p-10, 0x1.64992ea64403cp-10, 0x1.59b261cfba3c6p-10, 0x1.4f1bdb187dbe6p-10, 0x1.44d387aa4ea4ep-10, 0x1.3ad76019fc854p-10, 0x1.3125683b45275p-10, 0x1.27bbaef4eca9fp-10, 0x1.1e984e14cb84ap-10, 0x1.15b96a23e46b8p-10, 0x1.0d1d323a7b533p-10, 0x1.04c1dfd436237p-10, 0x1.f94b6d490a444p-11, 0x1.e98e08d5ec2dap-11, 0x1.da49e2c331f3ap-11, 0x1.cb7868a3d1706p-11, 0x1.bd18246201cffp-11, 0x1.af25fe84fbd05p-11, 0x1.a19ef1fcfc50ap-11, 0x1.94800bcec78e1p-11, 0x1.87c66abfeb544p-11, 0x1.7b6f3f036d449p-11, 0x1.6f77c9e79ebeep-11, 0x1.63dd5d845eaeap-11, 0x1.589d5c6992f59p-11, 0x1.4db5394fd7f18p-11, 0x1.432276c8e3e51p-11, 0x1.38e2a6f10b829p-11, 0x1.2ef36b21d0d99p-11, 0x1.255273a5516c4p-11, 0x1.1bfd7f6a8eb12p-11, 0x1.12f25bbac53fbp-11, 0x1.0a2ee3efc84b6p-11, 0x1.01b1012b3959p-11, 0x1.f2ed541dc9d2bp-12, 0x1.e2fbc4ec15ce6p-12, 0x1.d389765f7bb7p-12, 0x1.c492a374bc29fp-12, 0x1.b6139fff5dab3p-12, 0x1.a808d82573242p-12, 0x1.9a6ecfdc6c18cp-12, 0x1.8d42226737fb4p-12, 0x1.807f81d904fe9p-12, 0x1.7423b696edfd8p-12, 0x1.682b9ede94f06p-12, 0x1.5c942e4bffc9p-12, 0x1.515a6d64433d9p-12, 0x1.467b7920823e1p-12, 0x1.3bf482799071ep-12, 0x1.31c2cdf9feb82p-12, 0x1.27e3b34d6a72cp-12, 0x1.1e549cd41b4c3p-12, 0x1.15130737f7434p-12, 0x1.0c1c81036f1e7p-12, 0x1.036eaa3a39641p-12, 0x1.f60e67e724dd9p-13, 0x1.e5c7bfede6069p-13, 0x1.d60500b3cb8ep-13, 0x1.c6c1ee3fb33ddp-13, 0x1.b7fa6bb8720a9p-13, 0x1.a9aa7aa66f6b1p-13, 0x1.9bce3a449c54ap-13, 0x1.8e61e6c8aea1p-13, 0x1.8161d8b45d659p-13, 0x1.74ca842855be4p-13, 0x1.6898783b77c59p-13, 0x1.5cc85e53deeaap-13, 0x1.5156f98353f9bp-13, 0x1.464125e74f934p-13, 0x1.3b83d80ac37f7p-13, 0x1.311c1c4bf8d79p-13, 0x1.270716447a67dp-13, 0x1.1d42003471c5bp-13, 0x1.13ca2a7045c22p-13, 0x1.0a9cfad0442e5p-13, 0x1.01b7ec258a98fp-13, 0x1.f2311b5d552e1p-14, 0x1.e1790521a8c1p-14, 0x1.d14302a4de3bbp-14, 0x1.c18aa6b30160fp-14, 0x1.b24ba8d55f026p-14, 0x1.a381e459529c6p-14, 0x1.9529575c9f1f8p-14, 0x1.873e21d9f4f02p-14, 0x1.79bc84bf1cf5p-14, 0x1.6ca0e10040271p-14, 0x1.5fe7b6be01434p-14, 0x1.538da461fe0b3p-14, 0x1.478f65c786046p-14, 0x1.3be9d3659dc42p-14, 0x1.3099e17f93b1cp-14, 0x1.259c9f58f8e5fp-14, 0x1.1aef366e348adp-14, 0x1.108ee9b150d14p-14, 0x1.067914caea115p-14, 0x1.f95656c0123d5p-15, 0x1.e64570b571decp-15, 0x1.d3baba702683cp-15, 0x1.c1b1a2b7365fap-15, 0x1.b025c2ba09abp-15, 0x1.9f12dcd9bcb58p-15, 0x1.8e74db571f569p-15, 0x1.7e47cf14c21c2p-15, 0x1.6e87ee643fa75p-15, 0x1.5f3193d35b291p-15, 0x1.50413d08ef115p-15, 0x1.41b389a3d3104p-15, 0x1.33853a1e7ed24p-15, 0x1.25b32ebf9df1ap-15, 0x1.183a668d121f3p-15, 0x1.0b17fe47ccfc4p-15, 0x1.fc925ee03af66p-16, 0x1.e3969e93183e9p-16, 0x1.cb379bd9dd01fp-16, 0x1.b3706ab994d46p-16, 0x1.9c3c51402692cp-16, 0x1.8596c5cc4cc02p-16, 0x1.6f7b6d541acap-16, 0x1.59e619c9f917ap-16, 0x1.44d2c8734a7c6p-16, 0x1.303da06cb73e2p-16, 0x1.1c22f118e092bp-16, 0x1.087f30a83ec7cp-16, 0x1.ea9df5783521ep-17, 0x1.c51e1dbbb9856p-17, 0x1.a0789e9fa5596p-17, 0x1.7ca77f51906f4p-17, 0x1.59a50717982fep-17, 0x1.376bbae3004a2p-17, 0x1.15f65ae8c8685p-17, 0x1.ea7fc093dab01p-18, 0x1.aa86f5c43e8ecp-18, 0x1.6bf91e06cecf3p-18, 0x1.2ecd66ab96444p-18, 0x1.e5f6bba2fe7f1p-19, 0x1.70f5dc41bf679p-19, 0x1.fd116c6c1a757p-20, 0x1.1d40f5451a905p-20, 0x1.0977ec9201e81p-22, -0x1.2765441b8a54ep-21, -0x1.650ad7b9ebc78p-20, -0x1.18e1bfa9b1d3ep-19, -0x1.7cfa304757bf5p-19, -0x1.deda1fa157ea8p-19, -0x1.1f4639b5d0f68p-18, -0x1.4e0dcd69bfe7fp-18, -0x1.7bc8ca065b85fp-18, -0x1.a87bf8d81e9b5p-18, -0x1.d42befd00ffd6p-18, -0x1.fedd142f54b7dp-18, -0x1.1449ce69f5db7p-17, -0x1.28a9ca35a238fp-17, -0x1.3c906defae9edp-17, -0x1.4fff962c472c8p-17, -0x1.62f90cad42bap-17, -0x1.757e894e8f9e3p-17, -0x1.8791b31d7fb24p-17, -0x1.9934212243939p-17, -0x1.aa675b45742acp-17, -0x1.bb2cdb4c0e11dp-17, -0x1.cb860d75ad79dp-17, -0x1.db7451583acbcp-17, -0x1.eaf8faac8df88p-17, -0x1.fa1551f6ddbc6p-17, -0x1.04654a95d2ebfp-16, -0x1.0b8cfc4b05d25p-16, -0x1.1282538969a1ep-16, -0x1.1945e179fa88dp-16, }}, 
      {{-0x1.05780c59ad8abp+1, -0x1.03604da81306bp+1, -0x1.00039074a9723p+1, -0x1.f710cb016f5bcp+0, -0x1.ec324dbe9947p+0, -0x1.dfc2cc1fb0925p+0, -0x1.d2168f72ed324p+0, -0x1.c37bccc3e2485p+0, -0x1.b43a366b113d1p+0, -0x1.a4915eaf7b1bap+0, -0x1.94b87e258c36fp+0, -0x1.84debf0845a13p+0, -0x1.752c31ee2ad71p+0, -0x1.65c15730e4aabp+0, -0x1.56b96eb787cb6p+0, -0x1.482870fab9678p+0, -0x1.3a1f425e60207p+0, -0x1.2ca9206dae038p+0, -0x1.1fce83a77f7acp+0, -0x1.13944fbfb47eep+0, -0x1.07fd0b5410d87p+0, -0x1.fa11f2fb99488p-1, -0x1.e56d41cc1d7edp-1, -0x1.d2062a79a6f23p-1, -0x1.bfd493560d1ecp-1, -0x1.aece9a5ad134bp-1, -0x1.9ee8f14b6990ap-1, -0x1.9017b7f6f2ce3p-1, -0x1.824dc38a2f877p-1, -0x1.757dda996f33dp-1, -0x1.699ab85df0023p-1, -0x1.5e96d2d0d9895p-1, -0x1.5464ce89f2792p-1, -0x1.4af798d664b6dp-1, -0x1.4242655edc33ap-1, -0x1.3a38d1b5c14ap-1, -0x1.32cef08aeefaap-1, -0x1.2bf9486409667p-1, -0x1.25acdd70d84c8p-1, -0x1.1fdf3a6a13cf7p-1, -0x1.1a867296e42cdp-1, -0x1.15992025b384bp-1, -0x1.110e61697a01ap-1, -0x1.0cddd66d560dcp-1, -0x1.08ff9ee8d8402p-1, -0x1.056c57a78d702p-1, -0x1.021d16afaff73p-1, -0x1.fe16ccb9b8151p-2, -0x1.f86280a4e6cebp-2, -0x1.f3121175a316cp-2, -0x1.ee1b131adb507p-2, -0x1.e973db8fba48dp-2, -0x1.e513799783774p-2, -0x1.e0f1ab5e4f2a5p-2, -0x1.dd06c77a554bcp-2, -0x1.d94bded745b1p-2, -0x1.d5ba87f74458ep-2, -0x1.d24cdf08717ddp-2, -0x1.cefd7f818ab38p-2, -0x1.cbc77e2b2bfbep-2, -0x1.c8a663a8ab5a3p-2, -0x1.c5962696cea0cp-2, -0x1.c29324c90d3d5p-2, -0x1.bf9a1bb824a4ep-2, -0x1.bca82099f7ce7p-2, -0x1.b9ba98bfbe1f9p-2, -0x1.b6cf32be3bd0ap-2, -0x1.b3e3e0a226104p-2, -0x1.b0f6d3283cdc2p-2, -0x1.ae0675b710e8bp-2, -0x1.ab116abea0b6fp-2, -0x1.a8168828cca14p-2, -0x1.a514d3a3ec4b1p-2, -0x1.a20b7eb877715p-2, -0x1.9ef9e2bde18ap-2, -0x1.9bdf7cd8839a2p-2, -0x1.98bbea2f6b86dp-2, -0x1.958ee47fd1277p-2, -0x1.92583f2225dd4p-2, -0x1.8f17e48060925p-2, -0x1.8bcdd3ec14599p-2, -0x1.887a1fb9270d6p-2, -0x1.851ceb80e12fap-2, -0x1.81b66a76aee43p-2, -0x1.7e46ddc146d35p-2, -0x1.7ace92d465b2p-2, -0x1.774de1cf57ed8p-2, -0x1.73c52be98ddc8p-2, -0x1.7034d9f830db1p-2, -0x1.6c9d5b162ee1cp-2, -0x1.68ff23746078dp-2, -0x1.655aab52a0185p-2, -0x1.61b06e1e6a624p-2, -0x1.5e00e9b0b3697p-2, -0x1.5a4c9da37d27p-2, -0x1.56940ab846a8ap-2, -0x1.52d7b24a40594p-2, -0x1.4f1815c970269p-2, -0x1.4b55b63dde2d6p-2, -0x1.479113d2df7a4p-2, -0x1.43caad6ae6a8p-2, -0x1.4003003c3ff68p-2, -0x1.3c3a877753371p-2, -0x1.3871bbf78c834p-2, -0x1.34a914002e8e3p-2, -0x1.30e10305f3445p-2, -0x1.2d19f985077dap-2, -0x1.295464e152705p-2, -0x1.2590af4dc5b29p-2, -0x1.21cf3fb7761ffp-2, -0x1.1e10663175928p-2, -0x1.1a54a6bd9340bp-2, -0x1.169c4fe4d7dcep-2, -0x1.12e7baaf4dec9p-2, -0x1.0f373c70357c1p-2, -0x1.0b8b26d18d678p-2, -0x1.07e3c7e38d1e3p-2, -0x1.04416a2e1273ap-2, -0x1.00a454c29c2ddp-2, -0x1.fa19969bd232p-3, -0x1.f2f61c518d468p-3, -0x1.ebdeb4cfdf8e2p-3, -0x1.e4d3d3d61bb73p-3, -0x1.ddd5e6d62ab21p-3, -0x1.d6e5551072ffdp-3, -0x1.d0027faf92437p-3, -0x1.c92dc1e4708b8p-3, -0x1.c267710319855p-3, -0x1.bbafdca0ca6e1p-3, -0x1.b5074eb37a3fcp-3, -0x1.ae6e0bb308141p-3, -0x1.a7e452bc2317fp-3, -0x1.a16a5db4f77eap-3, -0x1.9b00617392619p-3, -0x1.94a68de5e8521p-3, -0x1.8e5d0e3b651a6p-3, -0x1.8824090fd44d4p-3, -0x1.81fba0978f4a3p-3, -0x1.7be3f2ccba2cep-3, -0x1.75dd199d46a6cp-3, -0x1.6fe72b1979e77p-3, -0x1.6a0239a29311bp-3, -0x1.642e54190e4a9p-3, -0x1.5e6b860a12eb2p-3, -0x1.58b9d7db97d7ap-3, -0x1.53194ef6baecap-3, -0x1.4d89edf01c018p-3, -0x1.480bb4ade38bbp-3, -0x1.429ea08b7784cp-3, -0x1.3d42ac7ad243ep-3, -0x1.37f7d12398514p-3, -0x1.32be050014c83p-3, -0x1.2d953c785d5ffp-3, -0x1.287d69fbd909ap-3, -0x1.23767e196ea14p-3, -0x1.1e806796b8edcp-3, -0x1.199b13866b0b2p-3, -0x1.14c66d5e4199fp-3, -0x1.10025f0ca2208p-3, -0x1.0b4ed10e1f287p-3, -0x1.06abaa82e57cap-3, -0x1.0218d1442886ap-3, -0x1.fb2c53f2fdad5p-4, -0x1.f247305c25608p-4, -0x1.e981fccb23005p-4, -0x1.e0dc7c615e419p-4, -0x1.d8567082337c8p-4, -0x1.cfef98f96bc8p-4, -0x1.c7a7b42023fa8p-4, -0x1.bf7e7effbe4aap-4, -0x1.b773b572eca19p-4, -0x1.af871244a967ap-4, -0x1.a7b84f4d0466dp-4, -0x1.a007258bf505bp-4, -0x1.98734d41f853fp-4, -0x1.90fc7e06d0951p-4, -0x1.89a26ede4fc42p-4, -0x1.8264d64b609d2p-4, -0x1.7b436a6178bdep-4, -0x1.743de0d497c19p-4, -0x1.6d53ef08084cp-4, -0x1.66854a1c1b7bcp-4, -0x1.5fd1a6fb0111fp-4, -0x1.5938ba64f413ep-4, -0x1.52ba38fbdf433p-4, -0x1.4c55d74e8e5acp-4, -0x1.460b49e3815afp-4, -0x1.3fda454372c7dp-4, -0x1.39c27e038597ap-4, -0x1.33c3a8cf28b63p-4, -0x1.2ddd7a71a7ad9p-4, -0x1.280fa7df5463ap-4, -0x1.2259e63e63165p-4, -0x1.1cbbeaef5647bp-4, -0x1.17356b9506368p-4, -0x1.11c61e1c45ffcp-4, -0x1.0c6db8c315856p-4, -0x1.072bf21f62645p-4, -0x1.020081255f896p-4, -0x1.f9d63a5ab9c34p-5, -0x1.efd6fbf255828p-5, -0x1.e602b7720c098p-5, -0x1.dc58de20056e4p-5, -0x1.d2d8e2300be85p-5, -0x1.c98236caa2461p-5, -0x1.c054501332deap-5, -0x1.b74ea32d7db46p-5, -0x1.ae70a6426e3e1p-5, -0x1.a5b9d08443baap-5, -0x1.9d299a323864dp-5, -0x1.94bf7c9bcd857p-5, -0x1.8c7af223aa743p-5, -0x1.845b764235394p-5, -0x1.7c608587e7fbdp-5, -0x1.74899d9f75e27p-5, -0x1.6cd63d4fb969fp-5, -0x1.6545e47d74a53p-5, -0x1.5dd8142cedf3cp-5, -0x1.568c4e8368d4cp-5, -0x1.4f6216c874276p-5, -0x1.4858f1671b375p-5, -0x1.417063ef05e5bp-5, -0x1.3aa7e71f8d4c3p-5, -0x1.33ff2114d09cdp-5, -0x1.2d758aa40ede6p-5, -0x1.270aade5a35b2p-5, -0x1.20be161b8216p-5, -0x1.1a8f4fb1f899ep-5, -0x1.147de8403899ep-5, -0x1.0e896e88b588dp-5, -0x1.08b172794d0f4p-5, -0x1.02f5852b42788p-5, -0x1.faaa71c600d82p-6, -0x1.efa0421f9caccp-6, -0x1.e4cba4966644cp-6, -0x1.da2bc4b0b859p-6, -0x1.cfbfd04692e64p-6, -0x1.c586f77fb000cp-6, -0x1.bb806cd1a0658p-6, -0x1.b1ab64fd78dc5p-6, -0x1.a807170d79f94p-6, -0x1.9e92bc5295627p-6, -0x1.954d9061c4a51p-6, -0x1.8c36d1117039p-6, -0x1.834dbe76a2725p-6, -0x1.7a919ae23eab2p-6, -0x1.7201aade3218dp-6, -0x1.699d352a892eep-6, -0x1.616382baa6c98p-6, -0x1.5953deb251d2cp-6, -0x1.516d9662dad57p-6, -0x1.49aff94837016p-6, -0x1.421a59060b008p-6, -0x1.3aac0964dde8p-6, -0x1.3364604f1059cp-6, -0x1.2c42b5ce0b3c2p-6, -0x1.254664073a605p-6, -0x1.1e6ec7391fc8ep-6, -0x1.17bb3db83d6cp-6, -0x1.112b27ec2ecfap-6, -0x1.0abde84c81345p-6, -0x1.0472e35d9e0b8p-6, -0x1.fc92ff5b44dc7p-7, -0x1.f0824ba2634ccp-7, -0x1.e4b280c046425p-7, -0x1.d92277e4909b9p-7, -0x1.cdd10e380c4fp-7, -0x1.c2bd24d5d3a4bp-7, -0x1.b7e5a0c468249p-7, -0x1.ad496aee9c7bp-7, -0x1.a2e7701c5f678p-7, -0x1.98bea0eba5a15p-7, -0x1.8ecdf1c8d241ep-7, -0x1.85145ae772381p-7, -0x1.7b90d83a93cfp-7, -0x1.7242696d3080dp-7, -0x1.692811da7d73ep-7, -0x1.6040d885fb3b1p-7, -0x1.578bc813db6f7p-7, -0x1.4f07eec0ed415p-7, -0x1.46b45e5ab02d1p-7, -0x1.3e902c3755f04p-7, -0x1.369a712daf3ecp-7, -0x1.2ed2498d16a38p-7, -0x1.2736d51546f8cp-7, -0x1.1fc736ee4cc23p-7, -0x1.188295a035853p-7, -0x1.11681b0afb81ep-7, -0x1.0a76f45e3b188p-7, -0x1.03ae52110310ep-7, -0x1.fa1acfb31a792p-8, -0x1.ed26d949fadd4p-8, -0x1.e07f351e3fc62p-8, -0x1.d4225db463d91p-8, -0x1.c80ed3cd1a6fap-8, -0x1.bc431e54ca6ebp-8, -0x1.b0bdca530b5d3p-8, -0x1.a57d6ada1c922p-8, -0x1.9a8098f644bdcp-8, -0x1.8fc5f39d4f009p-8, -0x1.854c1f9e10741p-8, -0x1.7b11c78fd4a6bp-8, -0x1.71159bc1deebbp-8, -0x1.6756522adde01p-8, -0x1.5dd2a65870abcp-8, -0x1.5489595eaf5acp-8, -0x1.4b7931c7d3dd4p-8, -0x1.42a0fb837f1b6p-8, -0x1.39ff87d6a1923p-8, -0x1.3193ad4aef692p-8, -0x1.295c479e910b6p-8, -0x1.215837b3c99fdp-8, -0x1.19866380c3c7fp-8, -0x1.11e5b5ff3fb19p-8, -0x1.0a751f1c57ac2p-8, -0x1.033393a884ebap-8, -0x1.f8401a8ed6502p-9, -0x1.ea7314bf8c067p-9, -0x1.dcfe1c16f06bap-9, -0x1.cfdf400f58603p-9, -0x1.c3149949d3801p-9, -0x1.b69c496ec5c63p-9, -0x1.aa747b0de38f4p-9, -0x1.9e9b617fd8541p-9, -0x1.930f38c6899b1p-9, -0x1.87ce456e3e788p-9, -0x1.7cd6d46eee76dp-9, -0x1.72273b0d907fp-9, -0x1.67bdd6bdbbf1ap-9, -0x1.5d990d037f3bp-9, -0x1.53b74b54f1b94p-9, -0x1.4a1706fcfcf1dp-9, -0x1.40b6bcfd37a6bp-9, -0x1.3794f1f0a57a3p-9, -0x1.2eb031ee7d53ep-9, -0x1.2607106d1f9fcp-9, -0x1.1d98282551cb4p-9, -0x1.15621af5ad8cep-9, -0x1.0d6391c62b31ap-9, -0x1.059b3c6c2a03ep-9, -0x1.fc0fa31d4c976p-10, -0x1.ed501d14c159p-10, -0x1.def56ead710d8p-10, -0x1.d0fd2cd3ff9d3p-10, -0x1.c364f93e83bc6p-10, -0x1.b62a823656b4fp-10, -0x1.a94b82638284cp-10, -0x1.9cc5c0985643ap-10, -0x1.90970f9db7b05p-10, -0x1.84bd4dffcc8f3p-10, -0x1.793665db04dd3p-10, -0x1.6e004caa76c71p-10, -0x1.63190314db59cp-10, -0x1.587e94bce2e1p-10, -0x1.4e2f180f8b3e1p-10, -0x1.4428ae1454c02p-10, -0x1.3a69823d793d8p-10, -0x1.30efca38fd99p-10, -0x1.27b9c5c210f7bp-10, -0x1.1ec5be7312986p-10, -0x1.16120798342b6p-10, -0x1.0d9cfe029da4bp-10, -0x1.056507dbdcd41p-10, -0x1.fad128f329a77p-11, -0x1.eb4c38673458ap-11, -0x1.dc38407041a24p-11, -0x1.cd9254c3ae472p-11, -0x1.bf579a1c80424p-11, -0x1.b18545e9f38f2p-11, -0x1.a4189dfc0cbe3p-11, -0x1.970ef836e135ap-11, -0x1.8a65ba416cef1p-11, -0x1.7e1a5938e380ap-11, -0x1.722a596313954p-11, -0x1.66934de3767d5p-11, -0x1.5b52d8703df29p-11, -0x1.5066a9090885fp-11, -0x1.45cc7dae5e023p-11, -0x1.3b82221adc9b5p-11, -0x1.31856f7b0fd75p-11, -0x1.27d44c2ac69d7p-11, -0x1.1e6cab6fa30dap-11, -0x1.154c8d359f986p-11, -0x1.0c71fdcd6bd6ep-11, -0x1.03db15ab51658p-11, -0x1.f70bf24e0b43cp-12, -0x1.e6e1b0795d1c5p-12, -0x1.d733dc9d79005p-12, -0x1.c7ff03d2d3268p-12, -0x1.b93fc90bce464p-12, -0x1.aaf2e49f18791p-12, -0x1.9d1523d5788f8p-12, -0x1.8fa368721f2e3p-12, -0x1.829aa84984d71p-12, -0x1.75f7ecce52769p-12, -0x1.69b852a610148p-12, -0x1.5dd9093e353f9p-12, -0x1.52575263d8f5p-12, -0x1.473081dceb261p-12, -0x1.3c61fcff2211bp-12, -0x1.31e93a53c519cp-12, -0x1.27c3c12fc359ap-12, -0x1.1def295670b75p-12, -0x1.14691a9a8fe88p-12, -0x1.0b2f4c81f44c6p-12, -0x1.023f85ea8ab4ep-12, -0x1.f32f39632ec77p-13, -0x1.e26aeab6a19c7p-13, -0x1.d22e057b2a857p-13, -0x1.c2748b566d0e3p-13, -0x1.b33a9943adfb1p-13, -0x1.a47c66ed0d29p-13, -0x1.963646129b5d8p-13, -0x1.8864a1e967be1p-13, -0x1.7b03fe8363e3dp-13, -0x1.6e10f838d18c5p-13, -0x1.61884314efa7ep-13, -0x1.5566aa44ec5e5p-13, -0x1.49a90f8a42943p-13, -0x1.3e4c6aaf99a61p-13, -0x1.334dc8ff1bd79p-13, -0x1.28aa4cc2010a3p-13, -0x1.1e5f2cb697b5bp-13, -0x1.1469b39237b75p-13, -0x1.0ac73f87f2655p-13, -0x1.017541c49c282p-13, -0x1.f0e27c007deaep-14, -0x1.df7193ffd9632p-14, -0x1.ce931a4cad94ep-14, -0x1.be428002915dfp-14, -0x1.ae7b57b3a4da8p-14, -0x1.9f395490fd05fp-14, -0x1.90784999767d2p-14, -0x1.823428b9f8e53p-14, -0x1.74690218b46eap-14, -0x1.6713033d7c87bp-14, -0x1.5a2e765841707p-14, -0x1.4db7c178a5c81p-14, -0x1.41ab65da12f9bp-14, -0x1.3605ff2bbfac4p-14, -0x1.2ac442ddf5e39p-14, -0x1.1fe2ff738f792p-14, -0x1.155f1bd7733dbp-14, -0x1.0b3596b514948p-14, -0x1.016385d96eb16p-14, -0x1.efcc2b1aedaefp-15, -0x1.dd7581f8e42e6p-15, -0x1.cbbcd242460fcp-15, -0x1.ba9d6f9b2082ap-15, -0x1.aa125ab57b785p-15, -0x1.9a16bb7427a9dp-15, -0x1.8aa5dfd67e071p-15, -0x1.7bbb3ae9e67d7p-15, -0x1.6d5263c41c228p-15, -0x1.5f67147f74383p-15, -0x1.51f529497ea04p-15, -0x1.44f89f4d34a7dp-15, -0x1.386d93f5ff002p-15, -0x1.2c5043ea06e16p-15, -0x1.209d0a2362da1p-15, -0x1.15505f1c3a238p-15, -0x1.0a66d7f414342p-15, -0x1.ffba4b3a23b8ep-16, -0x1.eb60281d372cp-16, -0x1.d7b912f9c39dap-16, -0x1.c4bf0b2b92122p-16, -0x1.b26c41852d58dp-16, -0x1.a0bb16dde81a2p-16, -0x1.8fa61aa79f0b1p-16, -0x1.7f28098d6fffap-16, -0x1.6f3bcc24c8fbdp-16, -0x1.5fdc7593fbd7cp-16, -0x1.5105425d53c28p-16, -0x1.42b196fc3dda2p-16, -0x1.34dcfedd41b4ep-16, -0x1.27832b38a5839p-16, -0x1.1a9ff1baa8affp-16, -0x1.0e2f4b7fc51dap-16, -0x1.022d541107793p-16, -0x1.ed2c909acc67bp-17, -0x1.d6cd0a85d821ap-17, -0x1.c1350ece9b01p-17, -0x1.ac5dd2f596a81p-17, -0x1.9840c74004dc3p-17, -0x1.84d794e203deap-17, -0x1.721c1c35e2181p-17, -0x1.600872ff2974p-17, -0x1.4e96e2be2929cp-17, -0x1.3dc1e706d23bfp-17, -0x1.2d842bebc5f54p-17, -0x1.1dd88c70c428cp-17, -0x1.0eba111bcf5c7p-17, -0x1.0023ee34f898fp-17, -0x1.e423058d6f9c7p-18, -0x1.c8fcade9a15dcp-18, -0x1.aecc354ce438bp-18, -0x1.958948ec1ec99p-18, -0x1.7d2be021f9c61p-18, -0x1.65ac3a737297fp-18, -0x1.4f02dd0e2ba62p-18, -0x1.3928907558334p-18, -0x1.24165e4459489p-18, -0x1.0fc58efc180e1p-18, -0x1.f85f4fcc62eefp-19, -0x1.d29cd209fd5dep-19, -0x1.ae37961c40433p-19, -0x1.8b23fb30b67adp-19, -0x1.6956ca1aafa2dp-19, -0x1.48c531eb95e08p-19, -0x1.2964c45a68c24p-19, -0x1.0b2b7258d4ea1p-19, -0x1.dc1f11fa147f1p-20, -0x1.a40f5af413967p-20, -0x1.6e15b5c2cbb1cp-20, -0x1.3a20bdfc7ba57p-20, -0x1.081fad64d3bc8p-20, -0x1.b004b4a82f192p-21, -0x1.537255ebfa854p-21, -0x1.f4d45bfc2a47dp-22, -0x1.499e7c1763d3p-22, -0x1.4a164265e9ce5p-23, -0x1.b917ef765f159p-28, 0x1.22138e754d7c9p-23, 0x1.22f1780fa7b9p-22, 0x1.af030df599676p-22, 0x1.1ab695ef070a6p-21, 0x1.5b2e66680de4p-21, 0x1.98fea9cc0ecfcp-21, 0x1.d43c4d16d7eddp-21, 0x1.067dc015a0cdbp-20, 0x1.21a7ddc00bcd8p-20, 0x1.3ba5e66b2eee4p-20, 0x1.5480ea8b4efb1p-20, 0x1.6c41aa53aac2ap-20, 0x1.82f098043c01dp-20, 0x1.9895db47699ffp-20, 0x1.ad3952bcdb289p-20, 0x1.c0e298b97072ap-20, 0x1.d39904af890abp-20, 0x1.e563ae0e34deap-20, 0x1.f6496f46d88e6p-20, 0x1.03287319b7407p-19, 0x1.0ac03cb18cf42p-19, 0x1.11ef2c31e91f9p-19, 0x1.18b83f2c1c024p-19, 0x1.1f1e5a0a4a4a3p-19, 0x1.2524490d9c8b9p-19, 0x1.2accc143c47f4p-19, 0x1.301a61753e984p-19, 0x1.350fb30518609p-19, 0x1.39af2ab1f0ecep-19, 0x1.3dfb29e6743dp-19, 0x1.41f5fec959d5cp-19, 0x1.45a1e52eca7fcp-19, 0x1.4901082981d83p-19, 0x1.4c15813323361p-19, 0x1.4ee15ac232b6cp-19, 0x1.51668f0c91f87p-19, 0x1.53a709cfa8a39p-19, 0x1.55a4a8948133cp-19, 0x1.57613b4adc174p-19, 0x1.58de84d3b9dabp-19, 0x1.5a1e3bc8c1564p-19, 0x1.5b2209fca27e8p-19, 0x1.5beb8ea0717ccp-19, 0x1.5c7c5d11a76e9p-19, 0x1.5cd5fe9229befp-19, 0x1.5cf9f1f801983p-19, 0x1.5ce9ac542d41ap-19, 0x1.5ca6994c2e8afp-19, 0x1.5c321b7b7ad51p-19, 0x1.5b8d8cceb5396p-19, 0x1.5aba3e8637a26p-19, 0x1.59b97adc2cf03p-19, 0x1.588c8358384d5p-19, 0x1.5734926e0307bp-19, 0x1.55b2db7085de2p-19, 0x1.54088ada41d3ap-19, 0x1.5236c68b27ab1p-19, 0x1.503eae08a835fp-19, 0x1.4e215abfdb982p-19, 0x1.4bdfe034d14c1p-19, 0x1.497b4c5e7458dp-19, 0x1.46f4a75f8f8c1p-19, 0x1.444cf46bfb58fp-19, 0x1.41853180c267ap-19, 0x1.3e9e57af60984p-19, 0x1.3b995b5b177f9p-19, 0x1.38772c163a905p-19, 0x1.3538b534dee9ep-19, 0x1.31dedd9198a08p-19, 0x1.2e6a886e33cb1p-19, 0x1.2adc93f316b5ap-19, 0x1.2735db3225174p-19, 0x1.23773530e864p-19, 0x1.1fa17543f375ep-19, 0x1.1bb56ae48349ep-19, 0x1.17b3e2d8bb4b2p-19, 0x1.139da5b729e74p-19, 0x1.0f7378e986341p-19, }}, 
      {{0x1.4cf7103a05991p-12, 0x1.32726822a91f8p-10, 0x1.2f8630312b7a2p-9, 0x1.c6a1abce73753p-9, 0x1.1c96c69eddd38p-8, 0x1.331b5e839c926p-8, 0x1.19655119e8f8cp-8, 0x1.8b42710d353e7p-9, 0x1.8a189e38d40f8p-11, -0x1.4e0cb0b9fefc7p-9, -0x1.c3d6dc12cca61p-8, -0x1.91ad6ec29bd1ep-7, -0x1.3080f06ec4fdfp-6, -0x1.a69c29be87b7p-6, -0x1.14f07f3e8caa2p-5, -0x1.5c3381e457ed8p-5, -0x1.a84a7f13a2c1bp-5, -0x1.f83dee3f968bbp-5, -0x1.259a095b4323dp-4, -0x1.50217fee65f1cp-4, -0x1.7b4d4f22b11e5p-4, -0x1.a6b6e910d7658p-4, -0x1.d20021508facap-4, -0x1.fcd333a7a67a9p-4, -0x1.1370c0fd035a9p-3, -0x1.27f254ba0ebfcp-3, -0x1.3bcef0072e5c4p-3, -0x1.4eebb0fe415d4p-3, -0x1.612ec98e3c397p-3, -0x1.72854f36c4b2ap-3, -0x1.82df1c5019ae8p-3, -0x1.922ce62e19015p-3, -0x1.a062655985ba8p-3, -0x1.ad77301afcafap-3, -0x1.b9659022a4ecbp-3, -0x1.c429512ab94b3p-3, -0x1.cdbf7ce2678ebp-3, -0x1.d626df13dbf74p-3, -0x1.dd6065fb69192p-3, -0x1.e36ecb6a728e2p-3, -0x1.e855e823811cdp-3, -0x1.ec1a5002304dbp-3, -0x1.eec15dff884b7p-3, -0x1.f0516628791afp-3, -0x1.f0d1bc2230064p-3, -0x1.f04a7edc3b95ap-3, -0x1.eec4526132eap-3, -0x1.ec4833528792ep-3, -0x1.e8df6dad21bbdp-3, -0x1.e493a2249e2bdp-3, -0x1.df6ec1eb93347p-3, -0x1.d97afa0b8a25bp-3, -0x1.d2c297fc83eebp-3, -0x1.cb4ff3b11905ep-3, -0x1.c32bd85047e58p-3, -0x1.ba6521da49cf5p-3, -0x1.b1031b5b1f766p-3, -0x1.a70f4fd338949p-3, -0x1.9c93780bd023ep-3, -0x1.919991be02558p-3, -0x1.862bc90e4086p-3, -0x1.7a54407ff3a4cp-3, -0x1.6e1cceac01ee2p-3, -0x1.618ec98ca567bp-3, -0x1.54b2eef4a942ap-3, -0x1.47916d5a20a79p-3, -0x1.3a3204a9c24d7p-3, -0x1.2c9c3035718ddp-3, -0x1.1ed74a5746ca4p-3, -0x1.10ea9efcfae28p-3, -0x1.02dd6973ed035p-3, -0x1.e96d817c56a78p-4, -0x1.ccfaf4e0b79a4p-4, -0x1.b0701b5c619b1p-4, -0x1.93d8fcea0f5b1p-4, -0x1.7740abdc7ef94p-4, -0x1.5ab15098f1355p-4, -0x1.3e344a172ea1ep-4, -0x1.21d2586d36e1bp-4, -0x1.0593c5df9268bp-4, -0x1.d3010a8e22a2p-5, -0x1.9b4081b8d6c8ep-5, -0x1.63f4b251c93afp-5, -0x1.2d2baf744ce15p-5, -0x1.ede56e14999cbp-6, -0x1.82ac159adbac1p-6, -0x1.18c1a886256a5p-6, -0x1.607468f44e155p-7, -0x1.249e4b5de40d9p-8, 0x1.c6665e6b1ed06p-10, 0x1.00c33945de5bcp-7, 0x1.c57ad4c0a0925p-7, 0x1.436e568965a27p-6, 0x1.a269e412bfa9fp-6, 0x1.ffa673a95410cp-6, 0x1.2d8d9d0b0a2eap-5, 0x1.5a6023134f21fp-5, 0x1.864747a6380cap-5, 0x1.b14002e7a333dp-5, 0x1.db47cf49c5f99p-5, 0x1.022e55a354673p-4, 0x1.163e8b1b4ba3cp-4, 0x1.29d4045749414p-4, 0x1.3cee74d56cc4ap-4, 0x1.4f8dc11c434c8p-4, 0x1.61b1f8a8ce5cap-4, 0x1.735b50a23a74fp-4, 0x1.848a1fb7f5df3p-4, 0x1.953edb41eb427p-4, 0x1.a57a157b1e32ep-4, 0x1.b543ebd8ece9cp-4, 0x1.c48abefb96631p-4, 0x1.d35a42fbf35a6p-4, 0x1.e1b3cf375d85ep-4, 0x1.ef98c825748f8p-4, 0x1.fd0a986674605p-4, 0x1.050555f55e878p-3, 0x1.0b4d369696d2dp-3, 0x1.115da2256d82fp-3, 0x1.17374bd138bc1p-3, 0x1.1cdae6ca36d9dp-3, 0x1.2249277cde6cp-3, 0x1.2782c4f6a7152p-3, 0x1.2c887a49cc4a3p-3, 0x1.315b07ce6e7c7p-3, 0x1.35fb3428f4b4ap-3, 0x1.3a69cd05ff33dp-3, 0x1.3ea7a7838d415p-3, 0x1.42b5a04451d8ep-3, 0x1.46949b2e873d8p-3, 0x1.4a4582da74504p-3, 0x1.4dc947b76b25fp-3, 0x1.5120def01b9a9p-3, 0x1.544d411987cd4p-3, 0x1.574f68ba1fc86p-3, 0x1.5a2850b8fda28p-3, 0x1.5cd8f2c728dd6p-3, 0x1.5f6245d62337p-3, 0x1.61c53caeeb26cp-3, 0x1.6402c4bb7d17p-3, 0x1.661bc511ca0eep-3, 0x1.68111dcb0746ep-3, 0x1.69e3a7ad0bb12p-3, 0x1.6b943425cecep-3, 0x1.6d238d93a9195p-3, 0x1.6e9277d00658fp-3, 0x1.6fe1b0ee60effp-3, 0x1.7111f21e8f93cp-3, 0x1.7223f0a048167p-3, 0x1.73185eb58d1ddp-3, 0x1.73efec8346ad9p-3, 0x1.74ab48d179424p-3, 0x1.754b21a00b23ep-3, 0x1.75d02488b1439p-3, 0x1.763afeeae959dp-3, 0x1.768c5de2bd832p-3, 0x1.76c4ee0ed7cb8p-3, 0x1.76e55b2d5a6adp-3, 0x1.76ee4f991e3c6p-3, 0x1.76e073b263645p-3, 0x1.76bc6d3e3f689p-3, 0x1.7682dec7bf935p-3, 0x1.7634670c97b33p-3, 0x1.75d1a07d8023fp-3, 0x1.755b20d87c177p-3, 0x1.74d178e10fe8dp-3, 0x1.743534387113cp-3, 0x1.7386d95599d38p-3, 0x1.72c6e99b99519p-3, 0x1.71f5e18af564cp-3, 0x1.71143909eda0fp-3, 0x1.702263bea368dp-3, 0x1.6f20d175d2ba9p-3, 0x1.6e0fee9091c9bp-3, 0x1.6cf02473cb0a5p-3, 0x1.6bc1d9f48c3c8p-3, 0x1.6a8573bcd000bp-3, 0x1.693b54a546e9cp-3, 0x1.67e3de016d8eap-3, 0x1.667f6fdc441dap-3, 0x1.650e6924dd226p-3, 0x1.639127cad97c2p-3, 0x1.620808cbc60b9p-3, 0x1.60736832d7f86p-3, 0x1.5ed3a10d20fdcp-3, 0x1.5d290d5490202p-3, 0x1.5b7405d454415p-3, 0x1.59b4e2093990ap-3, 0x1.57ebf800717a8p-3, 0x1.56199c3710ad3p-3, 0x1.543e217c4b0ap-3, 0x1.5259d8d803e66p-3, 0x1.506d11770a887p-3, 0x1.4e78189dd2766p-3, 0x1.4c7b39a236177p-3, 0x1.4a76bdec48ee6p-3, 0x1.486aecfe0829dp-3, 0x1.46580c8157882p-3, 0x1.443e605b73ee2p-3, 0x1.421e2ac4ec6fep-3, 0x1.3ff7ac64ed0d2p-3, 0x1.3dcb246ec44bbp-3, 0x1.3b98d0c067e84p-3, 0x1.3960ee00e3896p-3, 0x1.3723b7bdb6c4cp-3, 0x1.34e168863ce29p-3, 0x1.329a3a04757d2p-3, 0x1.304e6512b032bp-3, 0x1.2dfe21cdb39f5p-3, 0x1.2ba9a7a34fc94p-3, 0x1.29512d5d40bb3p-3, 0x1.26f4e9289612fp-3, 0x1.24951099d44bfp-3, 0x1.2231d8ae2d01ep-3, 0x1.1fcb75ca30b0cp-3, 0x1.1d621bb67d009p-3, 0x1.1af5fd9accc5fp-3, 0x1.18874df803a52p-3, 0x1.16163ea18c6cbp-3, 0x1.13a300b69dedcp-3, 0x1.112dc49ba84b1p-3, 0x1.0eb6b9f45d16fp-3, 0x1.0c3cd8cbd0dc6p-3, 0x1.09c2aa5c0277ap-3, 0x1.0747400e113a2p-3, 0x1.04cac61f0b63fp-3, 0x1.024d67ce4556bp-3, 0x1.ff9e9ec7549c3p-4, 0x1.faa14c6eed3c2p-4, 0x1.f5a329764815bp-4, 0x1.f0a485064d32ap-4, 0x1.eba5aca258dd5p-4, 0x1.e6a6ec3d1c229p-4, 0x1.e1a88e4d612d7p-4, 0x1.dcaadbe20c5cdp-4, 0x1.d7ae1cb4fcd6bp-4, 0x1.d2b2973c4fbp-4, 0x1.cdb890b9d9af5p-4, 0x1.c8c04d4867132p-4, 0x1.c3ca0fe6c8645p-4, 0x1.bed61a80778f2p-4, 0x1.b9e4adf3d7048p-4, 0x1.b4f60a162c505p-4, 0x1.b00a6db55462ap-4, 0x1.ab2216976d5c4p-4, 0x1.a63d4178b370bp-4, 0x1.a15c2a07b24a9p-4, 0x1.9c7f0ae02f398p-4, 0x1.97a61d84f5262p-4, 0x1.92d19a58ded54p-4, 0x1.8e01b89765526p-4, 0x1.8936ae4ced422p-4, 0x1.8470b04f1e0f2p-4, 0x1.7faff23579d43p-4, 0x1.7af4a6526e4edp-4, 0x1.763efdad08058p-4, 0x1.718f27fb7043fp-4, 0x1.6ce5539e5105cp-4, 0x1.6841ad9d34186p-4, 0x1.63a461a3ebb45p-4, 0x1.5f0d9a01083f8p-4, 0x1.5a7d7fa559fd4p-4, 0x1.55f43a2478576p-4, 0x1.5171efb640d92p-4, 0x1.4cf6c5393e353p-4, 0x1.4882de35e01d4p-4, 0x1.44165ce26ecf2p-4, 0x1.3fb16227a04d8p-4, 0x1.3b540da5b53cp-4, 0x1.36fe7dba02cd5p-4, 0x1.32b0cf84ce7edp-4, 0x1.2e6b1eef65ff2p-4, 0x1.2a2d86b254fc1p-4, 0x1.25f8205baa6c4p-4, 0x1.21cb045532694p-4, 0x1.1da649ea97c2dp-4, 0x1.198a074f5aa5p-4, 0x1.157651a4924bp-4, 0x1.116b3cfe6f5c8p-4, 0x1.0d68dc697684bp-4, 0x1.096f41ef6e288p-4, 0x1.057e7e9c004ap-4, 0x1.0196a2810b7fcp-4, 0x1.fb6f797551f4fp-5, 0x1.f3c3b6e5d1a95p-5, 0x1.ec2a17ca96031p-5, 0x1.e4a2b4c3f49e8p-5, 0x1.dd2da4a1a4368p-5, 0x1.d5cafc686a1bap-5, 0x1.ce7acf577fe55p-5, 0x1.c73d2eedbbe99p-5, 0x1.c0122aee94c3fp-5, 0x1.b8f9d1670d492p-5, 0x1.b1f42eb298bd5p-5, 0x1.ab014d8006c8p-5, 0x1.a42136d686fa6p-5, 0x1.9d53f21acc5bp-5, 0x1.969985145f07cp-5, 0x1.8ff1f3f31fcf4p-5, 0x1.895d41550b1e6p-5, 0x1.82db6e4c37644p-5, 0x1.7c6c7a651e0d6p-5, 0x1.761063ad22c5ep-5, 0x1.6fc726b963ea3p-5, 0x1.6990beadce2bcp-5, 0x1.636d254471a74p-5, 0x1.5d5c52d510ae6p-5, 0x1.575e3e5cec7e6p-5, 0x1.5172dd86bea5ep-5, 0x1.4b9a24b2e406bp-5, 0x1.45d406ffa9f87p-5, 0x1.40207651bcd89p-5, 0x1.3a7f635cacc45p-5, 0x1.34f0bdab84f8ep-5, 0x1.2f7473a96c592p-5, 0x1.2a0a72aa4a86bp-5, 0x1.24b2a6f36a2a1p-5, 0x1.1f6cfbc41160cp-5, 0x1.1a395b5e1105fp-5, 0x1.1517af0e3bb38p-5, 0x1.1007df34cad21p-5, 0x1.0b09d34da728cp-5, 0x1.061d71f893df1p-5, 0x1.0142a1013a887p-5, 0x1.f8f28ace2698cp-6, 0x1.ef8286ca568f2p-6, 0x1.e634fcf389274p-6, 0x1.dd09b2dba2b95p-6, 0x1.d4006cb88fd29p-6, 0x1.cb18ed72a84ecp-6, 0x1.c252f6b2be008p-6, 0x1.b9ae48efe9e84p-6, 0x1.b12aa37d0e1fep-6, 0x1.a8c7c49612dp-6, 0x1.a085696cdc131p-6, 0x1.98634e3603539p-6, 0x1.90612e354fed7p-6, 0x1.887ec3c9f2971p-6, 0x1.80bbc87a85ad7p-6, 0x1.7917f500dad6bp-6, 0x1.719301558cd43p-6, 0x1.6a2ca4bb64ff5p-6, 0x1.62e495ca84f65p-6, 0x1.5bba8a7b6dcep-6, 0x1.54ae3831cc273p-6, 0x1.4dbf53c71cdc3p-6, 0x1.46ed919525598p-6, 0x1.4038a5803cd05p-6, 0x1.39a0430169c89p-6, 0x1.33241d3058fecp-6, 0x1.2cc3e6cd1ec72p-6, 0x1.267f5249d811cp-6, 0x1.205611d413d7ep-6, 0x1.1a47d75e18a55p-6, 0x1.145454a7f60fbp-6, 0x1.0e7b3b486bf47p-6, 0x1.08bc3cb5a075ap-6, 0x1.03170a4da8385p-6, 0x1.fb16aabdb68afp-7, 0x1.f0319e5ff4207p-7, 0x1.e57e521043dd8p-7, 0x1.dafc286d1b00bp-7, 0x1.d0aa843442014p-7, 0x1.c688c8518510ep-7, 0x1.bc9657ed04e96p-7, 0x1.b2d2967917038p-7, 0x1.a93ce7bfb96fep-7, 0x1.9fd4afefa864p-7, 0x1.969953a901c8ap-7, 0x1.8d8a3809820a9p-7, 0x1.84a6c2b85a2eap-7, 0x1.7bee59f19dc09p-7, 0x1.7360649145cbdp-7, 0x1.6afc4a1dd8594p-7, 0x1.62c172d29f56cp-7, 0x1.5aaf47a986d3cp-7, 0x1.52c532649751dp-7, 0x1.4b029d970958p-7, 0x1.4366f4ae0a7e5p-7, 0x1.3bf1a3f9190fap-7, 0x1.34a218b20f069p-7, 0x1.2d77c104d2b0ep-7, 0x1.26720c16b0e81p-7, 0x1.1f906a0d67127p-7, 0x1.18d24c15dc5b2p-7, 0x1.1237246a8a45dp-7, 0x1.0bbe66599acf5p-7, 0x1.0567864abc869p-7, 0x1.fe63f3895b7eap-8, 0x1.f23a6ee5059ccp-8, 0x1.e6516e514e9f3p-8, 0x1.daa7e3d341dedp-8, 0x1.cf3cc3d51523p-8, 0x1.c40f052eb99a6p-8, 0x1.b91da12de05edp-8, 0x1.ae67939d94939p-8, 0x1.a3ebdacd5de3p-8, 0x1.99a97797fb674p-8, 0x1.8f9f6d69a9c2cp-8, 0x1.85ccc246066c8p-8, 0x1.7c307ecd8d602p-8, 0x1.72c9ae42ad879p-8, 0x1.69975e8e7fb2p-8, 0x1.6098a0451e1fbp-8, 0x1.57cc86a99b816p-8, 0x1.4f3227b1a3d64p-8, 0x1.46c89c08bf471p-8, 0x1.3e8eff133d76cp-8, 0x1.36846ef0d00b1p-8, 0x1.2ea80c7ec851dp-8, 0x1.26f8fb5a080e8p-8, 0x1.1f7661e09c266p-8, 0x1.181f69330bdd3p-8, 0x1.10f33d3550cf9p-8, 0x1.09f10c8f87278p-8, 0x1.031808ae4d4f9p-8, 0x1.f8cecb85b4ef8p-9, 0x1.ebbcb5858933p-9, 0x1.def842cf00cb2p-9, 0x1.d27fec5b3125ap-9, 0x1.c65230a72f8b1p-9, 0x1.ba6d93b16eb48p-9, 0x1.aed09ef668ccdp-9, 0x1.a379e16ce2fd4p-9, 0x1.9867ef819b3abp-9, 0x1.8d9963126e67dp-9, 0x1.830cdb6900ed3p-9, 0x1.78c0fd34db24ep-9, 0x1.6eb47285176f6p-9, 0x1.64e5eac18bfd6p-9, 0x1.5b541aa377a03p-9, 0x1.51fdbc2dbb327p-9, 0x1.48e18ea4a92b2p-9, 0x1.3ffe568551759p-9, 0x1.3752dd7c7ba8ep-9, 0x1.2eddf25d20551p-9, 0x1.269e69168a7dep-9, 0x1.1e931aaa0d9p-9, 0x1.16bae5206804ep-9, 0x1.0f14ab7ec773ap-9, 0x1.079f55bb755f8p-9, 0x1.0059d0b235c6dp-9, 0x1.f2861c30a8222p-10, 0x1.e4b408e0e660dp-10, 0x1.d73b5dfc09a25p-10, 0x1.ca1a1b712ee1ep-10, 0x1.bd4f992211b7bp-10, 0x1.b0d73eb30aa62p-10, 0x1.a4b083996ccbfp-10, 0x1.98d98c685e103p-10, 0x1.8d508695b7aa3p-10, 0x1.8213a85e44938p-10, 0x1.772130a9cb0f4p-10, 0x1.6c7766eed8448p-10, 0x1.62149b16580ebp-10, 0x1.57f7255f1ac98p-10, 0x1.4e1d6641130ebp-10, 0x1.4485c650d4c1p-10, 0x1.3b2eb622a25fbp-10, 0x1.3216ae2db0656p-10, 0x1.293c2eaf5e84ap-10, 0x1.209dbf8e77a62p-10, 0x1.1839f03e82c9ep-10, 0x1.100f57a3228cp-10, 0x1.081c93f399d09p-10, 0x1.00604a9e68de7p-10, 0x1.f1b2505a21f6dp-11, 0x1.e30bc050164bep-11, 0x1.d4ca59f5b36f9p-11, 0x1.c6eb9fb0ba0c4p-11, 0x1.b96d213ec147dp-11, 0x1.ac4c7b7e949c2p-11, 0x1.9f87583a37de9p-11, 0x1.931b6df139a43p-11, 0x1.87067fa3bf326p-11, 0x1.7b465c9e0059ap-11, 0x1.6fd8e0440b255p-11, 0x1.64bbf1de69d9dp-11, 0x1.59ed84672291dp-11, 0x1.4f6b965750e17p-11, 0x1.453431755417fp-11, 0x1.3b456aa376e06p-11, 0x1.319d61af37a9ep-11, 0x1.283a412126ce3p-11, 0x1.1f1a3e0d371d1p-11, 0x1.163b97e3bc3d7p-11, 0x1.0d9c9842e14ecp-11, 0x1.053b92c8c3b13p-11, 0x1.fa2dc9cbe9e14p-12, 0x1.ea59eb616b908p-12, 0x1.daf86b711fe66p-12, 0x1.cc063db5314c7p-12, 0x1.bd80682c6e6f5p-12, 0x1.af6402c48df38p-12, 0x1.a1ae370612bffp-12, 0x1.945c3fc096f6cp-12, 0x1.876b68b8d4c94p-12, 0x1.7ad90e56bc5bdp-12, 0x1.6ea29d556b18cp-12, 0x1.62c59273a9ab2p-12, 0x1.573f7a25870ecp-12, 0x1.4c0df046e89d6p-12, 0x1.412e9fcef90b5p-12, 0x1.369f4284ac5b2p-12, 0x1.2c5da0b42e026p-12, 0x1.226790e51c6b1p-12, 0x1.18baf79218077p-12, 0x1.0f55c6e0a9513p-12, 0x1.0635fe5a82e98p-12, 0x1.fab3554f3997fp-13, 0x1.e97dca92400b6p-13, 0x1.d8c7a8aab1f77p-13, 0x1.c88d5468a2745p-13, 0x1.b8cb4abb8814bp-13, 0x1.a97e202f4819cp-13, 0x1.9aa2806ac0762p-13, 0x1.8c352db1d3d4fp-13, 0x1.7e3300662cddap-13, 0x1.7098e68d4b406p-13, 0x1.6363e3559bc31p-13, 0x1.56910e9f069d5p-13, 0x1.4a1d9484534dap-13, 0x1.3e06b4e6d1644p-13, 0x1.3249c2fb90541p-13, 0x1.26e424da6abbdp-13, 0x1.1bd3530ed071dp-13, 0x1.1114d82a40e77p-13, 0x1.06a65058eafdfp-13, 0x1.f90ad1ee7ab0bp-14, 0x1.e55fc05409346p-14, 0x1.d24708efe7799p-14, 0x1.bfbc68c901bb4p-14, 0x1.adbbbc1b086d4p-14, 0x1.9c40fd92d8509p-14, 0x1.8b48458f98699p-14, 0x1.7acdc9668482ap-14, 0x1.6acddaab89d91p-14, 0x1.5b44e67ad86d1p-14, 0x1.4c2f74c7d8c2ap-14, 0x1.3d8a27ae8bb63p-14, 0x1.2f51bac80d657p-14, 0x1.2183028412416p-14, 0x1.141aeb81f1e98p-14, 0x1.071679f10411bp-14, 0x1.f4e591e2b6279p-15, 0x1.dc5a13f202d29p-15, 0x1.c4850877aa8e3p-15, 0x1.ad61282d1e1b4p-15, 0x1.96e954f9cc3d7p-15, 0x1.811898d50fcc2p-15, 0x1.6bea24af186e3p-15, 0x1.57594f5e066f3p-15, 0x1.43619491f7296p-15, 0x1.2ffe93d14307ep-15, 0x1.1d2c0f72696bep-15, 0x1.0ae5eba681fd6p-15, 0x1.f2505b014b205p-16, 0x1.cfddf40dde3c1p-16, 0x1.ae6d2a8faef8fp-16, 0x1.8df6c2e869e0cp-16, 0x1.6e73bbff1605ap-16, 0x1.4fdd4d89c37adp-16, 0x1.322ce660cea53p-16, 0x1.155c2ae0011a4p-16, 0x1.f2c9e68fa014ep-17, 0x1.bc829471ff04p-17, 0x1.87d6d647a3ad9p-17, 0x1.54bb81aaa62b5p-17, 0x1.2325c7fe943cdp-17, 0x1.e616674500981p-18, 0x1.88c34a5bee796p-18, 0x1.2e3ea1818d1eep-18, 0x1.aceaed9492fcdp-19, 0x1.02aae1f012829p-19, 0x1.76667471e131p-21, -0x1.09acf8a22471bp-21, -0x1.bb09e1bef9b88p-20, -0x1.73d3a8f452a7dp-19, -0x1.02bb452605cb3p-18, -0x1.4945dbbc61e41p-18, -0x1.8d982d2005573p-18, -0x1.cfc055f3cec56p-18, -0x1.07e5ff50ffc46p-17, -0x1.26e42fa686811p-17, -0x1.44e121cde5ff5p-17, -0x1.61e3073a1b315p-17, -0x1.7defdecaaf2afp-17, -0x1.990d7691211b3p-17, -0x1.b3416d78b86d6p-17, -0x1.cc91350128404p-17, -0x1.e50212cd26b78p-17, -0x1.fc99223b02588p-17, -0x1.09adaaec88e21p-16, -0x1.14a6bc7a5e712p-16, -0x1.1f3a187c8ca13p-16, -0x1.2969ff6aa4331p-16, -0x1.3338a02a0dfe7p-16, -0x1.3ca818b46895cp-16, -0x1.45ba76b94ea84p-16, -0x1.4e71b8391281dp-16, }}, 
      {{-0x1.cf2e590366f79p-4, -0x1.ad83505abe135p-3, -0x1.206c4f7d5f16ap-2, -0x1.4e437fc87025bp-2, -0x1.61437631edf6fp-2, -0x1.5c5c3569feb65p-2, -0x1.436f91335de8p-2, -0x1.1aad0447aae67p-2, -0x1.cc56b37b4fdeap-3, -0x1.535a05a24af8ep-3, -0x1.a201977b2b542p-4, -0x1.2b97fe8b3989ap-5, 0x1.d2f8b486c50c5p-6, 0x1.7656f8368f3aap-4, 0x1.34bbf92ff044dp-3, 0x1.a50e2929687d6p-3, 0x1.056473439b319p-2, 0x1.328e5a8743064p-2, 0x1.59d67bc13651dp-2, 0x1.7b3bd25a6f37bp-2, 0x1.96e0fb1680bd2p-2, 0x1.ad036e137195cp-2, 0x1.bdf44d761c766p-2, 0x1.ca1250518859fp-2, 0x1.d1c4c825ad59bp-2, 0x1.d5777d1854417p-2, 0x1.d597634124373p-2, 0x1.d290a76fae137p-2, 0x1.cccbd119f6472p-2, 0x1.c4ad22197f6ebp-2, 0x1.ba936b00bf56bp-2, 0x1.aed73a41aa653p-2, 0x1.a1caaef126ebfp-2, 0x1.93b93058cd28ep-2, 0x1.84e75cc8ae119p-2, 0x1.7593465e632c6p-2, 0x1.65f4aa9bec9a2p-2, 0x1.563d29a120c91p-2, 0x1.469893d2a5049p-2, 0x1.372d457a66deap-2, 0x1.281c878503006p-2, 0x1.1982ef687a08p-2, 0x1.0b78ba753ab2fp-2, 0x1.fc244b7027fa6p-3, 0x1.e2bf89629a11cp-3, 0x1.caddad487d29bp-3, 0x1.b4933033cb4cep-3, 0x1.9fef1d453ef25p-3, 0x1.8cfb9de256983p-3, 0x1.7bbe7ca313c45p-3, 0x1.6c39a0417a22bp-3, 0x1.5e6b7f71492fep-3, 0x1.524f8d7b6083ep-3, 0x1.47de9dbd83654p-3, 0x1.3f0f5e901a36ap-3, 0x1.37d5f472fac3bp-3, 0x1.3225a513ad698p-3, 0x1.2df00ee3dec7ap-3, 0x1.2b25a322289fcp-3, 0x1.29b5dd6d1d4dep-3, 0x1.298f7b7092972p-3, 0x1.2aa0b31080166p-3, 0x1.2cd764599972p-3, 0x1.302144b718101p-3, 0x1.346c021fc857bp-3, 0x1.39a55e839ae1cp-3, 0x1.3fbb451cf39dp-3, 0x1.469bdbf535ep-3, 0x1.4e3593cb8c2bdp-3, 0x1.567737cf91bf6p-3, 0x1.5f4ffda1c88d4p-3, 0x1.68af952540464p-3, 0x1.72863720780bfp-3, 0x1.7cc4b18e91a7fp-3, 0x1.875c70c80fbaep-3, 0x1.923f852dd53ap-3, 0x1.9d60a5933912ap-3, 0x1.a8b32f19e897cp-3, 0x1.b42b236f4b252p-3, 0x1.bfbd2656225c5p-3, 0x1.cb5e7b2d3f982p-3, 0x1.d70502cf268bp-3, 0x1.e2a739d1d7bbp-3, 0x1.ee3c36ed72189p-3, 0x1.f9bba92de4711p-3, 0x1.028eeac8a3bcfp-2, 0x1.082dc9e690a12p-2, 0x1.0db7250f24fe9p-2, 0x1.1327f41a16798p-2, 0x1.187d70b64624dp-2, 0x1.1db51354ee717p-2, 0x1.22cc9008e54fap-2, 0x1.27c1d37b00caep-2, 0x1.2c930009d1b7ap-2, 0x1.313e6b1e11d41p-2, 0x1.35c29ab185365p-2, 0x1.3a1e42fe1a274p-2, 0x1.3e5044476f77dp-2, 0x1.4257a8b13c7dbp-2, 0x1.4633a217b0338p-2, 0x1.49e387e3112a5p-2, 0x1.4d66d4d4cb3acp-2, 0x1.50bd24d154692p-2, 0x1.53e632aee846cp-2, 0x1.56e1d613af035p-2, 0x1.59b0016da59a6p-2, 0x1.5c50c00b6f57ep-2, 0x1.5ec4345864a2p-2, 0x1.610a9639a972bp-2, 0x1.632431873850ep-2, 0x1.6511d213bfb3ep-2, 0x1.66d2ef167de4cp-2, 0x1.686891c4f95efp-2, 0x1.69d34a9a01847p-2, 0x1.6b13b6d652946p-2, 0x1.6c2a7f44ac305p-2, 0x1.6d18571f299f2p-2, 0x1.6dddfb0ebc5e4p-2, 0x1.6e7c303cd2f46p-2, 0x1.6ef3c36fd2f96p-2, 0x1.6f45882d00e69p-2, 0x1.6f7257dd0e14fp-2, 0x1.6f7b10f3957a7p-2, 0x1.6f60961c644dcp-2, 0x1.6f23cd7334ad5p-2, 0x1.6ec59fcb18924p-2, 0x1.6e46f80a0c8cdp-2, 0x1.6da8c29b41294p-2, 0x1.6cebecf811c0bp-2, 0x1.6c116544bdeb9p-2, 0x1.6b1a19fb88148p-2, 0x1.6a06f99f2bc3bp-2, 0x1.68d8f26d2a235p-2, 0x1.6790f20914fcfp-2, 0x1.662fe51be58edp-2, 0x1.64b6b6e5027bbp-2, 0x1.632650bda2907p-2, 0x1.617f9992099b8p-2, 0x1.5fc375567aa34p-2, 0x1.5df2c47f28b0ap-2, 0x1.5c0e6382d48b8p-2, 0x1.5a172a6f34a53p-2, 0x1.580dec94d760dp-2, 0x1.55f3784e22cc8p-2, 0x1.53c896e2cccbp-2, 0x1.518e0c86db8d5p-2, 0x1.4f4498722224p-2, 0x1.4cecf50b922c2p-2, 0x1.4a87d82298e2ep-2, 0x1.4815f33033d3bp-2, 0x1.4597f3996b867p-2, 0x1.430e82ed6a09fp-2, 0x1.407a471a65d06p-2, 0x1.3ddbe295bced2p-2, 0x1.3b33f47530ee3p-2, 0x1.388318788a2a5p-2, 0x1.35c9e7045b3a8p-2, 0x1.3308f50fcfe29p-2, 0x1.3040d40849bc7p-2, 0x1.2d7211ae3b224p-2, 0x1.2a9d37eedcd11p-2, 0x1.27c2ccbe5f916p-2, 0x1.24e351f5e25d8p-2, 0x1.21ff4537e76fp-2, 0x1.1f171fdd65285p-2, 0x1.1c2b56ecd1d1ep-2, 0x1.193c5b1bc1e59p-2, 0x1.164a98db16b6cp-2, 0x1.1356786d0ae5fp-2, 0x1.10605e0404793p-2, 0x1.0d68a9e8a44bp-2, 0x1.0a6fb8a55e152p-2, 0x1.0775e335b6304p-2, 0x1.047b7f374bcd1p-2, 0x1.0180df1aeb188p-2, 0x1.fd0ca4a80a11fp-3, 0x1.f7184b0a5e608p-3, 0x1.f125455134064p-3, 0x1.eb342267587abp-3, 0x1.e5456c6aad81cp-3, 0x1.df59a8ddf1d47p-3, 0x1.d97158cff1128p-3, 0x1.d38cf8f8ed372p-3, 0x1.cdad01cf66795p-3, 0x1.c7d1e795be778p-3, 0x1.c1fc1a625c02ap-3, 0x1.bc2c062404b43p-3, 0x1.b66212a417cc2p-3, 0x1.b09ea388435aep-3, 0x1.aae2185517f6fp-3, 0x1.a52ccc729f03ap-3, 0x1.9f7f1733e9d54p-3, 0x1.99d94be243759p-3, 0x1.943bb9cc50aep-3, 0x1.8ea6ac595dacap-3, 0x1.891a6b20a1da1p-3, 0x1.83973a043624bp-3, 0x1.7e1d594f3d552p-3, 0x1.78ad05d69f374p-3, 0x1.7346791ba86c4p-3, 0x1.6de9e96fd008p-3, 0x1.68978a18e79c2p-3, 0x1.634f8b74ff9e7p-3, 0x1.5e121b1d663adp-3, 0x1.58df64082dac7p-3, 0x1.53b78ea7cfaefp-3, 0x1.4e9ac10891ac2p-3, 0x1.49891eeb7f6dp-3, 0x1.4482c9ded2f74p-3, 0x1.3f87e153cc3a7p-3, 0x1.3a9882b2112dfp-3, 0x1.35b4c968b6eb1p-3, 0x1.30dccefd2cf0ep-3, 0x1.2c10ab18457f7p-3, 0x1.27507391b92a8p-3, 0x1.229c3c7a527dap-3, 0x1.1df418252d04p-3, 0x1.1958173040dedp-3, 0x1.14c8488c8af68p-3, 0x1.1044b98604cb5p-3, 0x1.0bcd75cbb080ap-3, 0x1.07628777d3873p-3, 0x1.030350cbdbb17p-3, 0x1.fd623d767faf1p-4, 0x1.f4d6b7316665ap-4, 0x1.ec64168ea561ap-4, 0x1.e40a606052644p-4, 0x1.dbc996a152ab7p-4, 0x1.d3a1b89301f9p-4, 0x1.cb92c2db237d5p-4, 0x1.c39cafa1cbb7ep-4, 0x1.bbbf76aef2625p-4, 0x1.b3fb0d875efdap-4, 0x1.ac4f6788a7e08p-4, 0x1.a4bc76040d3e1p-4, 0x1.9d42285813ff5p-4, 0x1.95e06c089d3abp-4, 0x1.8e972cd58371p-4, 0x1.876654cfa1c2cp-4, 0x1.804dcc6c43023p-4, 0x1.794d7a9705792p-4, 0x1.726544c240954p-4, 0x1.6b950ef601c3p-4, 0x1.64dcbbddbff54p-4, 0x1.5e3c2cd4e22c6p-4, 0x1.57b341f241fa5p-4, 0x1.5141da12ca8ebp-4, 0x1.4ae7d2e35cef4p-4, 0x1.44a508ea20c39p-4, 0x1.3e79578f60243p-4, 0x1.38649926162ecp-4, 0x1.3266a6f44ac2fp-4, 0x1.2c7f593b59501p-4, 0x1.26ae8740371b4p-4, 0x1.20f40753cdc15p-4, 0x1.1b4faedb79143p-4, 0x1.15c15259b0c73p-4, 0x1.1048c576e6e11p-4, 0x1.0ae5db0a9ba9ep-4, 0x1.05986524aa6b1p-4, 0x1.00603516c6364p-4, 0x1.f67a36fc4e1a9p-5, 0x1.ec5dd09ab634ap-5, 0x1.e26ad5ac6a929p-5, 0x1.d8a0e3a79a96fp-5, 0x1.ceff96e91128cp-5, 0x1.c5868ac83a5bfp-5, 0x1.bc3559ab0eb6dp-5, 0x1.b30b9d19c6863p-5, 0x1.aa08edd2461e8p-5, 0x1.a12ce3db2ea2cp-5, 0x1.9877169681048p-5, 0x1.8fe71cd3c476dp-5, 0x1.877c8ce1a61f2p-5, 0x1.7f36fc9f04a67p-5, 0x1.7716018b60fa5p-5, 0x1.6f1930d6b0058p-5, 0x1.67401f708818fp-5, 0x1.5f8a6216a9ab3p-5, 0x1.57f78d62e5306p-5, 0x1.508735d85d568p-5, 0x1.4938eff02e72bp-5, 0x1.420c50257b1dfp-5, 0x1.3b00eb00e8eb1p-5, 0x1.3416552390b99p-5, 0x1.2d4c23516d8e6p-5, 0x1.26a1ea7b4e2a5p-5, 0x1.20173fc8560a4p-5, 0x1.19abb89f1370ep-5, 0x1.135eeaae31de7p-5, 0x1.0d306bf4d383ep-5, 0x1.071fd2ca9590fp-5, 0x1.012cb5e74b53p-5, 0x1.f6ad58d4e04a5p-6, 0x1.eb3a9bc4b145dp-6, 0x1.e00064a6566abp-6, 0x1.d4fde47b3dd8dp-6, 0x1.ca324d4b09bacp-6, 0x1.bf9cd230461f7p-6, 0x1.b53ca764bfd47p-6, 0x1.ab11024d7c411p-6, 0x1.a11919865c1bbp-6, 0x1.975424ed6791bp-6, 0x1.8dc15dadbef45p-6, 0x1.845ffe4a39111p-6, 0x1.7b2f42a7a60f2p-6, 0x1.722e6816b9a2ap-6, 0x1.695cad5d9dfe4p-6, 0x1.60b952c1238c9p-6, 0x1.58439a0d9967p-6, 0x1.4ffac69f43fdap-6, 0x1.47de1d6a6e694p-6, 0x1.3fece50322603p-6, 0x1.382665a470fb9p-6, 0x1.3089e937621ebp-6, 0x1.2916bb59778p-6, 0x1.21cc2962cd2e6p-6, 0x1.1aa9826bd7916p-6, 0x1.13ae1752b50c5p-6, 0x1.0cd93ac029131p-6, 0x1.062a412c25f38p-6, 0x1.ff4101c4045c8p-7, 0x1.f276a4088b539p-7, 0x1.e5f41d203ddeep-7, 0x1.d9b824c0f8736p-7, 0x1.cdc176618f3fp-7, 0x1.c20ed13ea776ap-7, 0x1.b69ef85ed9ae8p-7, 0x1.ab70b29644a57p-7, 0x1.a082ca8970244p-7, 0x1.95d40eafa4881p-7, 0x1.8b635154ae87p-7, 0x1.812f689a1a709p-7, 0x1.77372e77dba8p-7, 0x1.6d7980bc87c06p-7, 0x1.63f5410d04dbcp-7, 0x1.5aa954e3c8dbfp-7, 0x1.5194a58fa6937p-7, 0x1.48b620322a601p-7, 0x1.400cb5bd92b41p-7, 0x1.37975af2661c5p-7, 0x1.2f55085ca08fdp-7, 0x1.2744ba508e6b9p-7, 0x1.1f6570e7462d7p-7, 0x1.17b62ffad798ap-7, 0x1.1035ff22205b3p-7, 0x1.08e3e9ac573c9p-7, 0x1.01befe9c4a744p-7, 0x1.f58ca146ae253p-8, 0x1.e7f1ec3832f44p-8, 0x1.daac1209b7686p-8, 0x1.cdb94df38b68ap-8, 0x1.c117e25d92b3fp-8, 0x1.b4c618d2ba601p-8, 0x1.a8c241f3ec4e1p-8, 0x1.9d0ab56a9cba2p-8, 0x1.919dd1daedf52p-8, 0x1.8679fcd5710acp-8, 0x1.7b9da2c886b34p-8, 0x1.710736f1655b6p-8, 0x1.66b5334ccaba1p-8, 0x1.5ca6188758f6p-8, 0x1.52d86deda6623p-8, 0x1.494ac15c03344p-8, 0x1.3ffba72e02b5fp-8, 0x1.36e9ba2db9976p-8, 0x1.2e139b82c365bp-8, 0x1.2577f2a11316cp-8, 0x1.1d156d378f3a8p-8, 0x1.14eabf1e75e04p-8, 0x1.0cf6a245a8477p-8, 0x1.0537d6a2bbbc4p-8, 0x1.fb5a443dea1f5p-9, 0x1.ecaaa10a34ceap-9, 0x1.de5e66de66a2ep-9, 0x1.d073446853352p-9, 0x1.c2e6f3aab940fp-9, 0x1.b5b739d83d60ep-9, 0x1.a8e1e72e59895p-9, 0x1.9c64d6d01f799p-9, 0x1.903deea11753p-9, 0x1.846b1f1ff517cp-9, 0x1.78ea63415babdp-9, 0x1.6db9c04aa968dp-9, 0x1.62d745accae27p-9, 0x1.58410cdf215efp-9, 0x1.4df5393a7eb4ap-9, 0x1.43f1f7d43d4c2p-9, 0x1.3a357f597b0abp-9, 0x1.30be0fea6e215p-9, 0x1.2789f2f5ee36cp-9, 0x1.1e977b1528ea2p-9, 0x1.15e503e7727bep-9, 0x1.0d70f1ee70886p-9, 0x1.0539b26a59076p-9, 0x1.fa7b766cf1935p-10, 0x1.eaf7154befc6fp-10, 0x1.dbe34ec1b5c71p-10, 0x1.cd3d408293b05p-10, 0x1.bf02186211bd2p-10, 0x1.b12f140ec2926p-10, 0x1.a3c180ce43b5bp-10, 0x1.96b6bb3a12cf2p-10, 0x1.8a0c2efcdec4p-10, 0x1.7dbf56907e542p-10, 0x1.71cdbafc76d3ep-10, 0x1.6634f39534cb3p-10, 0x1.5af2a5bbd030fp-10, 0x1.5004849e83aaap-10, 0x1.456850f9b98b6p-10, 0x1.3b1bd8d9d4d8ep-10, 0x1.311cf75d7aaaap-10, 0x1.27699478b5f64p-10, 0x1.1dffa4b89854fp-10, 0x1.14dd290797efbp-10, 0x1.0c002e72964e7p-10, 0x1.0366cdee8adbap-10, 0x1.f61e583dbd3dcp-11, 0x1.e5eef238daf4ep-11, 0x1.d63be07a6ab67p-11, 0x1.c701afb94ffc4p-11, 0x1.b83d02498954fp-11, 0x1.a9ea8faf50bd4p-11, 0x1.9c072433ddae7p-11, 0x1.8e8fa07b929ddp-11, 0x1.8180f91d09693p-11, 0x1.74d8363a17f1ap-11, 0x1.689273198e08ap-11, 0x1.5cacddc2acf12p-11, 0x1.5124b699c6c39p-11, 0x1.45f74ffe30f11p-11, 0x1.3b220de996817p-11, 0x1.30a26590a71f8p-11, 0x1.2675dd04c4259p-11, 0x1.1c9a0ad7a5648p-11, 0x1.130c95bfa7073p-11, 0x1.09cb343dd4309p-11, 0x1.00d3ac44f65cp-11, 0x1.f047a5c46fa0dp-12, 0x1.df7317cde72dcp-12, 0x1.cf259327ba97p-12, 0x1.bf5b188af0e49p-12, 0x1.b00fc443c4f06p-12, 0x1.a13fcd8fcefc3p-12, 0x1.92e785fef47fp-12, 0x1.850358d6a6d22p-12, 0x1.779113f157096p-12, 0x1.6a8ab039bd209p-12, 0x1.5dee3ce9bcf24p-12, 0x1.51b886446a362p-12, 0x1.45e66f5a64fdap-12, 0x1.3a74f17cd466p-12, 0x1.2f611bb2f1037p-12, 0x1.24a812322de26p-12, 0x1.1a470dd8d8f08p-12, 0x1.103b5bab84514p-12, 0x1.06825c5437021p-12, 0x1.fa33074b2cd2fp-13, 0x1.e7fcb03e548a4p-13, 0x1.d65ce4e937e9fp-13, 0x1.c54efa2f2e1fp-13, 0x1.b4ce6787d8737p-13, 0x1.a4d6c61c55e5fp-13, 0x1.9563cfe9396e4p-13, 0x1.86715ee542eeap-13, 0x1.77fb6c2cc0b25p-13, 0x1.69fe0f31932bbp-13, 0x1.5c757cefc9f07p-13, 0x1.4f5e0726b337cp-13, 0x1.42b41b965873dp-13, 0x1.36744341950fep-13, 0x1.2a9b21b40cdfp-13, 0x1.1f25744cf3a16p-13, 0x1.1410118cf8e0ep-13, 0x1.0957e869d4f49p-13, 0x1.fdf3ff4a31f92p-14, 0x1.e9e6ea4c242eep-14, 0x1.d682fab179769p-14, 0x1.c3c2c5211baedp-14, 0x1.b1a108dccf04dp-14, 0x1.a018ae938ba1ep-14, 0x1.8f24c73e802b4p-14, 0x1.7ec08b0173afep-14, 0x1.6ee75813e1314p-14, 0x1.5f94b1b073ff8p-14, 0x1.50c43f0b21fa3p-14, 0x1.4271ca4db7c17p-14, 0x1.34993f9ad61fp-14, 0x1.2736ac16e70e7p-14, 0x1.1a463cf75a8ddp-14, 0x1.0dc43e97b424ap-14, 0x1.01ad1b94d02b2p-14, 0x1.ebfab7d7d3e98p-15, 0x1.d5634845e573dp-15, 0x1.bf8d68e52d616p-15, 0x1.aa72cfee52b79p-15, 0x1.960d67cf6ada8p-15, 0x1.82574d9eee8c9p-15, 0x1.6f4acf9de48ffp-15, 0x1.5ce26bc123c61p-15, 0x1.4b18ce4481b29p-15, 0x1.39e8d04774546p-15, 0x1.294d76728b523p-15, 0x1.1941efa5fbee7p-15, 0x1.09c193b0b7353p-15, 0x1.f58fc41febb59p-16, 0x1.d8a1016f7a99ep-16, 0x1.bcae75c40f0bbp-16, 0x1.a1afffcec50e9p-16, 0x1.879dc43d172b2p-16, 0x1.6e702b87c8449p-16, 0x1.561fdfd1ab50dp-16, 0x1.3ea5cacfe5f7p-16, 0x1.27fb13c85ad58p-16, 0x1.12191d9a26002p-16, 0x1.f9f3099f8676ap-17, 0x1.d12c3b98cb65cp-17, 0x1.a9d1e5d41804bp-17, 0x1.83d8859284ce7p-17, 0x1.5f34fd221dfb4p-17, 0x1.3bdc908df90fap-17, 0x1.19c4e261df77fp-17, 0x1.f1c7e10a0586fp-18, 0x1.b26022578d80cp-18, 0x1.753fdfbf9859ep-18, 0x1.3a55153b9cef9p-18, 0x1.018e5e119c325p-18, 0x1.95b5dec8b007ep-19, 0x1.2c5525d78ad7bp-19, 0x1.8db68757324d7p-20, 0x1.94a7feafa7b22p-21, 0x1.c90b18ab2d9ap-25, -0x1.4d4985e49a11ap-21, -0x1.54a9b8b6eb636p-20, -0x1.fbfb0d3747027p-20, -0x1.4e65bb049aaa3p-19, -0x1.9ba5f4fc995fap-19, -0x1.e5d5d8afdcd78p-19, -0x1.16861d5ccf38cp-18, -0x1.38af93d6053f2p-18, -0x1.5971f5b123d1cp-18, -0x1.78d78bf292a86p-18, -0x1.96ea463ae5dafp-18, -0x1.b3b3be014a6f3p-18, -0x1.cf3d39c81afcap-18, -0x1.e98fb03431c81p-18, -0x1.0159e58488837p-17, -0x1.0d58f505e0e21p-17, -0x1.18c912e6ec04dp-17, -0x1.23ae292f52f4ap-17, -0x1.2e0c00f1e9c4bp-17, -0x1.37e64395938ebp-17, -0x1.41407c0230f32p-17, -0x1.4a1e17d0443b1p-17, -0x1.52826874158f3p-17, -0x1.5a70a44350e63p-17, -0x1.61ebe79aebf2ap-17, -0x1.68f735ca9801ap-17, -0x1.6f957a1f73411p-17, -0x1.75c988d172726p-17, -0x1.7b961fed3046ep-17, -0x1.80fde834984dfp-17, -0x1.860375f9f7f11p-17, -0x1.8aa949e648252p-17, -0x1.8ef1d1d2f17e8p-17, -0x1.92df697a06028p-17, -0x1.96745b3d859b4p-17, -0x1.99b2e0d234baep-17, -0x1.9c9d23ee9c00fp-17, -0x1.9f353eefda461p-17, -0x1.a17d3d78c2c43p-17, -0x1.a3771d0a9bdcep-17, -0x1.a524cd9392017p-17, -0x1.a688320cfacd5p-17, -0x1.a7a320e894047p-17, -0x1.a87764a3acb9fp-17, -0x1.a906bc3f5bab5p-17, -0x1.a952dbb7f8d2p-17, -0x1.a95d6c7785ea7p-17, -0x1.a9280dc346ccap-17, -0x1.a8b4552585c8ap-17, -0x1.a803ced13527fp-17, -0x1.a717fe044f4eep-17, -0x1.a5f25d5e58ea9p-17, -0x1.a4945f40abd83p-17, -0x1.a2ff6e1d52cdp-17, -0x1.a134ecc8d6b6cp-17, -0x1.9f3636c85f0a5p-17, -0x1.9d04a097351b6p-17, -0x1.9aa177f1ee5fp-17, -0x1.980e041484537p-17, -0x1.954b8604024bdp-17, -0x1.925b38b69d526p-17, -0x1.8f3e51640f29p-17, -0x1.8bf5ffaff2f42p-17, -0x1.88836de12e7cep-17, -0x1.84e7c10f6eb2cp-17, -0x1.8124196242fbdp-17, -0x1.7d3992268758fp-17, -0x1.79294206976aap-17, }}, 
      {{-0x1.7c79f28f71ee6p+1, -0x1.68e6097a9843ap+1, -0x1.505dfcc6446e1p+1, -0x1.36b50d6d28f94p+1, -0x1.1e29f3b00851p+1, -0x1.07f2953dd341p+1, -0x1.e9323fe475808p+0, -0x1.c8766b9ee5214p+0, -0x1.ad6b2f63336ddp+0, -0x1.9780e1a892a66p+0, -0x1.8604e54e153a4p+0, -0x1.783ac94a1bd37p+0, -0x1.6d6c5d3d9a9c1p+0, -0x1.64f1b6f75bb88p+0, -0x1.5e37138289cccp+0, -0x1.58bcf198974b5p+0, -0x1.541a6f35ec277p+0, -0x1.4ff9a2ed07d48p+0, -0x1.4c174b4725a28p+0, -0x1.483ff46487fadp+0, -0x1.444dc9e0b3cbcp+0, -0x1.40268d792d4ddp+0, -0x1.3bb97da81bcf3p+0, -0x1.36fd797b7c3edp+0, -0x1.31ef7b6486e66p+0, -0x1.2c9121b3b44acp+0, -0x1.26e778b4a02b8p+0, -0x1.20fa5be0e2197p+0, -0x1.1ad30e965fdd9p+0, -0x1.147bdb057d4b1p+0, -0x1.0dffb19fbf2aap+0, -0x1.0769a17ad36cep+0, -0x1.00c48a68a8a5cp+0, -0x1.f4358d3d9e39ap-1, -0x1.e6ec0ad5ad5dap-1, -0x1.d9be9da28c008p-1, -0x1.ccbddd96d80c9p-1, -0x1.bff8aa04395b5p-1, -0x1.b37c136f8d2ccp-1, -0x1.a7536f72d0695p-1, -0x1.9b8879f5a6702p-1, -0x1.90236cbd247ccp-1, -0x1.852b0a7679e13p-1, -0x1.7aa4aa26170f9p-1, -0x1.70944da3f0b0fp-1, -0x1.66fcc1ddd3256p-1, -0x1.5ddfc0434c199p-1, -0x1.553e0adfb5bp-1, -0x1.4d17833290379p-1, -0x1.456b3f6cd976cp-1, -0x1.3e37a0b9c3321p-1, -0x1.377a6ac2aeb1ep-1, -0x1.3130dac700984p-1, -0x1.2b57bc24a5a1dp-1, -0x1.25eba9442f911p-1, -0x1.20e8274f56c9ap-1, -0x1.1c49773f57b7bp-1, -0x1.180b4dbe84a5ep-1, -0x1.14292a402f464p-1, -0x1.109e613a3c421p-1, -0x1.0d662b6be40fcp-1, -0x1.0a7bb770aeb29p-1, -0x1.07da3a13e674p-1, -0x1.057cfa8ceec6dp-1, -0x1.035f596b5d046p-1, -0x1.017cd2bfdf31dp-1, -0x1.ffa1faaa18c6dp-2, -0x1.fcaf1272193f9p-2, -0x1.fa187eeae6fe7p-2, -0x1.f7d607d7db60dp-2, -0x1.f5dfb297d7938p-2, -0x1.f42dcc9bc0f7ep-2, -0x1.f2b8f604edac6p-2, -0x1.f17a2a271ee54p-2, -0x1.f06ac46cb46b1p-2, -0x1.ef84812ba881dp-2, -0x1.eec17afcf7569p-2, -0x1.ee1c25d97d1p-2, -0x1.ed8f497d5ef52p-2, -0x1.ed15fc624fd36p-2, -0x1.ecaba024ecaa2p-2, -0x1.ec4bdf92f5e8ep-2, -0x1.ebf2ae1c11d74p-2, -0x1.eb9c48096195p-2, -0x1.eb4532c2e14b5p-2, -0x1.eaea3c7ed5c67p-2, -0x1.ea887af04085cp-2, -0x1.ea1d48d1c48c4p-2, -0x1.e9a6426edf879p-2, -0x1.e921417e9c17ep-2, -0x1.e88c58b916799p-2, -0x1.e7e5cf8c9d26ep-2, -0x1.e72c1e3e449dfp-2, -0x1.e65dea9e0c2b7p-2, -0x1.e57a05528352ep-2, -0x1.e47f67a30e932p-2, -0x1.e36d319720823p-2, -0x1.e242a83ca188ap-2, -0x1.e0ff33edacf8ap-2, -0x1.dfa25e7a08b77p-2, -0x1.de2bd12791f87p-2, -0x1.dc9b528b26766p-2, -0x1.daf0c4477ba36p-2, -0x1.d92c20c6d0a1dp-2, -0x1.d74d79067a4p-2, -0x1.d554f287e7885p-2, -0x1.d342c573203fcp-2, -0x1.d1173aed9b5d4p-2, -0x1.ced2aba05abap-2, -0x1.cc757e63a83d1p-2, -0x1.ca00a33c11e1ap-2, -0x1.c7735d48f6c6dp-2, -0x1.c4cef97b0fd72p-2, -0x1.c214119394bf2p-2, -0x1.bf43467c3baep-2, -0x1.bc5d3f1a98cc9p-2, -0x1.b962a75dec566p-2, -0x1.b6542f7dd438fp-2, -0x1.b3328b5e50032p-2, -0x1.affe720d26f28p-2, -0x1.acb89d4e13708p-2, -0x1.a961c92d5546dp-2, -0x1.a5fab3933a1d8p-2, -0x1.a2841bd611cb3p-2, -0x1.9efec24a868c6p-2, -0x1.9b6b67d405809p-2, -0x1.97cacd77a630dp-2, -0x1.941db3f3de75dp-2, -0x1.9064db5e73bd1p-2, -0x1.8ca102c8dd22p-2, -0x1.88d2e7ea12de7p-2, -0x1.84fb46cbc025ep-2, -0x1.811ad9786ecf8p-2, -0x1.7d3257a85cd55p-2, -0x1.7942766b86b44p-2, -0x1.754be7d097116p-2, -0x1.714f5a89e1e0bp-2, -0x1.6d4d7992eb669p-2, -0x1.6946ebd9fc495p-2, -0x1.653c53f1dc816p-2, -0x1.612e4fcfbabfp-2, -0x1.5d1d7898adacdp-2, -0x1.590a62813a4fcp-2, -0x1.54f59cbff7399p-2, -0x1.50dfb192f4294p-2, -0x1.4cc9265645999p-2, -0x1.48b27ba8ebc1cp-2, -0x1.449c2d9c73ba9p-2, -0x1.4086b3eb40006p-2, -0x1.3c728231433cfp-2, -0x1.386008232b497p-2, -0x1.344fb1c084e15p-2, -0x1.3041e77e1bdabp-2, -0x1.2c370e66bffc5p-2, -0x1.282f88318db22p-2, -0x1.242bb34dcca94p-2, -0x1.202beae546d3fp-2, -0x1.1c3086d6baf6bp-2, -0x1.1839dbaa745a5p-2, -0x1.14483a836d9bep-2, -0x1.105bf10f65717p-2, -0x1.0c75497834eebp-2, -0x1.08948a585edc1p-2, -0x1.04b9f6b47f38ap-2, -0x1.00e5cdfab29cfp-2, -0x1.fa3098113be4dp-3, -0x1.f2a3527096887p-3, -0x1.eb2434e7200bp-3, -0x1.e3b3a29ae485bp-3, -0x1.dc51f8414041dp-3, -0x1.d4ff8c63e2acfp-3, -0x1.cdbcafab88176p-3, -0x1.c689ad2dfa97ap-3, -0x1.bf66cabcf5df4p-3, -0x1.b8544933cca3cp-3, -0x1.b15264c1d413dp-3, -0x1.aa61552ffb72ep-3, -0x1.a3814e206cb3ep-3, -0x1.9cb27f474cfaep-3, -0x1.95f5149c55c65p-3, -0x1.8f4936852c5bdp-3, -0x1.88af09f8e48b6p-3, -0x1.8226b09d32b97p-3, -0x1.7bb048de3aaf4p-3, -0x1.754bee01edf65p-3, -0x1.6ef9b837fefddp-3, -0x1.68b9bca78c30bp-3, -0x1.628c0d7b74e07p-3, -0x1.5c70b9ee58ddcp-3, -0x1.5667ce56fefbp-3, -0x1.50715435dc11ep-3, -0x1.4a8d52442f88cp-3, -0x1.44bbcc850ff22p-3, -0x1.3efcc45891fd8p-3, -0x1.39503891160b6p-3, -0x1.33b6258a96911p-3, -0x1.2e2e8543c8adep-3, -0x1.28b94f78b296p-3, -0x1.235679be5fdc6p-3, -0x1.1e05f79f44c7ep-3, -0x1.18c7bab7e0fd4p-3, -0x1.139bb2d3338aap-3, -0x1.0e81ce06a073ap-3, -0x1.0979f8cce9a05p-3, -0x1.04841e1ffa176p-3, -0x1.ff404f2276c53p-4, -0x1.f59bfac0b8f9fp-4, -0x1.ec1b0d20d1bb5p-4, -0x1.e2bd51f64f68dp-4, -0x1.d98292c5a1146p-4, -0x1.d06a970444ee1p-4, -0x1.c7752435eedeep-4, -0x1.bea1fe06fbc45p-4, -0x1.b5f0e66477abp-4, -0x1.ad619d92198bcp-4, -0x1.a4f3e23e81f48p-4, -0x1.9ca771961f1f8p-4, -0x1.947c07551140ep-4, -0x1.8c715dd8499ep-4, -0x1.84872e2e366b2p-4, -0x1.7cbd3027349abp-4, -0x1.75131a65ef06dp-4, -0x1.6d87fb90cef66p-4, -0x1.661cce80a3266p-4, -0x1.5ed0abbf98e34p-4, -0x1.57a34599c2c89p-4, -0x1.50944d6c6f0afp-4, -0x1.49a373bb76472p-4, -0x1.42d068468834ap-4, -0x1.3c1ada1e45274p-4, -0x1.358277b8f7dc7p-4, -0x1.2f06ef06c71f1p-4, -0x1.28a7ed853833ap-4, -0x1.22652051e55f3p-4, -0x1.1c3e343c4d9f9p-4, -0x1.1632d5d6a9dffp-4, -0x1.1042b185bc0ddp-4, -0x1.0a6d738f8e34fp-4, -0x1.04b2c82921fa9p-4, -0x1.fe24b70628b2p-5, -0x1.f317b3aa72f0fp-5, -0x1.e83dded283c76p-5, -0x1.dd969148ea778p-5, -0x1.d321242126f5ep-5, -0x1.c8dcf0c7e7a6dp-5, -0x1.bec95111e3bddp-5, -0x1.b4e59f4983ddap-5, -0x1.ab31363b7cd9fp-5, -0x1.a1ab71428cd0ap-5, -0x1.9853ac527af7bp-5, -0x1.8f2944028189p-5, -0x1.862b95974337ap-5, -0x1.7d59ff0c63c2dp-5, -0x1.74b3df1de241ap-5, -0x1.6c38955141d2ep-5, -0x1.63e781fe9572fp-5, -0x1.5bc0065977c36p-5, -0x1.53c18479f5ce5p-5, -0x1.4beb5f656ee1p-5, -0x1.443cfb176ec5ap-5, -0x1.3cb5bc8a7827dp-5, -0x1.355509c0c24e8p-5, -0x1.2e1a49ccde8edp-5, -0x1.2704e4da3e6e6p-5, -0x1.2014443591aa2p-5, -0x1.1947d254f78cep-5, -0x1.129efadff0f1cp-5, -0x1.0c192ab712f19p-5, -0x1.05b5cffb6b73dp-5, -0x1.fee8b42b2b0f5p-6, -0x1.f2a87378dcc66p-6, -0x1.e6a9c1f6dc67cp-6, -0x1.daeb86712f774p-6, -0x1.cf6caa7405e5bp-6, -0x1.c42c1a55eedbfp-6, -0x1.b928c54137997p-6, -0x1.ae619d3c702eap-6, -0x1.a3d597320f08fp-6, -0x1.9983aaf749d58p-6, -0x1.8f6ad3520de9fp-6, -0x1.858a0dfe3891cp-6, -0x1.7be05bb205665p-6, -0x1.726cc021c22dp-6, -0x1.692e4202d0accp-6, -0x1.6023eb0e0108fp-6, -0x1.574cc8014dc8cp-6, -0x1.4ea7e8a104176p-6, -0x1.46345fb864e93p-6, -0x1.3df14319c3f21p-6, -0x1.35ddab9e3604ap-6, -0x1.2df8b524d1ab3p-6, -0x1.26417e91900ccp-6, -0x1.1eb729cbce1fp-6, -0x1.1758dbbc83f4bp-6, -0x1.1025bc4c2a6b9p-6, -0x1.091cf6605d4c2p-6, -0x1.023db7d93e153p-6, -0x1.f70e631d38bd2p-7, -0x1.e9f12e99d01a9p-7, -0x1.dd223fa3d6785p-7, -0x1.d0a00992b9781p-7, -0x1.c469059277627p-7, -0x1.b87bb29c07912p-7, -0x1.acd6956d71387p-7, -0x1.a178388183e5ap-7, -0x1.965f2c074c6f9p-7, -0x1.8b8a05d9313cep-7, -0x1.80f76173c82cp-7, -0x1.76a5dfec5809ep-7, -0x1.6c9427e7194b6p-7, -0x1.62c0e58d1f84bp-7, -0x1.592aca82065cdp-7, -0x1.4fd08dd945d67p-7, -0x1.46b0ec0b560b1p-7, -0x1.3dcaa6ea72ea9p-7, -0x1.351c859732852p-7, -0x1.2ca55474cc3d9p-7, -0x1.2463e51d244efp-7, -0x1.1c570e54991d8p-7, -0x1.147dabfd968c2p-7, -0x1.0cd69f0bef316p-7, -0x1.0560cd7801c25p-7, -0x1.fc36446353b4ep-8, -0x1.ee091a260d15dp-8, -0x1.e03805a61ebf8p-8, -0x1.d2c0f9f00832dp-8, -0x1.c5a1f3936f553p-8, -0x1.b8d8f8876eee4p-8, -0x1.ac64180eadf9ep-8, -0x1.a0416a9b3e1eap-8, -0x1.946f11b249ba4p-8, -0x1.88eb37cfa0274p-8, -0x1.7db4104918a25p-8, -0x1.72c7d731ddd28p-8, -0x1.6824d13da3152p-8, -0x1.5dc94ba3c735cp-8, -0x1.53b39c0270ad1p-8, -0x1.49e22041a0958p-8, -0x1.40533e7646787p-8, -0x1.370564c55974p-8, -0x1.2df70946f98b2p-8, -0x1.2526a9e99b5f4p-8, -0x1.1c92cc5547e64p-8, -0x1.1439fdceebe3ep-8, -0x1.0c1ad31bc4609p-8, -0x1.0433e864e0854p-8, -0x1.f907c235895bp-9, -0x1.ea12cfb2572fdp-9, -0x1.db865c95d58cp-9, -0x1.cd5fda1bfb674p-9, -0x1.bf9cc72f6d8cep-9, -0x1.b23ab032345b6p-9, -0x1.a5372ec6c7a61p-9, -0x1.988fe9997a4ap-9, -0x1.8c42942a3eb57p-9, -0x1.804cee96cf13p-9, -0x1.74acc5653b5aap-9, -0x1.695ff14edcb69p-9, -0x1.5e64570bb85f4p-9, -0x1.53b7e71e4bbd2p-9, -0x1.49589d9fcb618p-9, -0x1.3f44820cd5675p-9, -0x1.3579a71296ab3p-9, -0x1.2bf62a5c67ec4p-9, -0x1.22b83461ebd71p-9, -0x1.19bdf835a228dp-9, -0x1.1105b353fb2c8p-9, -0x1.088dad72eb929p-9, -0x1.0054385208844p-9, -0x1.f0af5f1632be4p-10, -0x1.e12cf0c689a0fp-10, -0x1.d21e033962b01p-10, -0x1.c37f86917cb4bp-10, -0x1.b54e7d357699p-10, -0x1.a787fb766ededp-10, -0x1.9a292737a3ca3p-10, -0x1.8d2f379746eb5p-10, -0x1.809774985fffdp-10, -0x1.745f36cdd9107p-10, -0x1.6883e706a1c8bp-10, -0x1.5d02fdfb050c5p-10, -0x1.51da03fb19275p-10, -0x1.4706909e4df7ep-10, -0x1.3c864a742f97ap-10, -0x1.3256e6b649405p-10, -0x1.287628fb23e9ap-10, -0x1.1ee1e2ea7a878p-10, -0x1.1597f3f28a012p-10, -0x1.0c9648fe8825dp-10, -0x1.03dadc2e40fp-10, -0x1.f6c7691d9cff6p-11, -0x1.e65dcba90b9a6p-11, -0x1.d675202bce6fcp-11, -0x1.c709bf0fa46d6p-11, -0x1.b8181875725a5p-11, -0x1.a99cb3b1fda7ap-11, -0x1.9b942eccd5b33p-11, -0x1.8dfb3e0171cb2p-11, -0x1.80ceab4276a83p-11, -0x1.740b55bf11cf4p-11, -0x1.67ae316aadba4p-11, -0x1.5bb446867d154p-11, -0x1.501ab12d4facp-11, -0x1.44dea0e163cd8p-11, -0x1.39fd581c4bc84p-11, -0x1.2f742be0d7bd9p-11, -0x1.2540834f060b7p-11, -0x1.1b5fd739e3c8fp-11, -0x1.11cfb1bf6eab9p-11, -0x1.088dade25d89dp-11, -0x1.ff2eee4baf9fap-12, -0x1.edd59256014d3p-12, -0x1.dd0adea0f2529p-12, -0x1.ccca88a737017p-12, -0x1.bd1063e729e91p-12, -0x1.add8612c860aep-12, -0x1.9f1e8dddaba16p-12, -0x1.90df134c514eap-12, -0x1.83163609ab255p-12, -0x1.75c0553de4e0cp-12, -0x1.68d9ea02ec23bp-12, -0x1.5c5f86c29f028p-12, -0x1.504dd697ec743p-12, -0x1.44a19cb357b53p-12, -0x1.3957b3c2a074cp-12, -0x1.2e6d0d5b37fc1p-12, -0x1.23deb168232e5p-12, -0x1.19a9bd9a72913p-12, -0x1.0fcb64dced15dp-12, -0x1.0640eeca7f4c7p-12, -0x1.fa0f6e4f07748p-13, -0x1.e83a5abbc420fp-13, -0x1.d6fda7f7e8506p-13, -0x1.c654806bdb4f7p-13, -0x1.b63a32d4acdf7p-13, -0x1.a6aa315182e0ep-13, -0x1.97a01076b5a76p-13, -0x1.89178665a3452p-13, -0x1.7b0c69e9e6bcfp-13, -0x1.6d7ab19b4e47p-13, -0x1.605e7304bcca1p-13, -0x1.53b3e1cfd5363p-13, -0x1.47774ef5640adp-13, -0x1.3ba527f26a364p-13, -0x1.3039f601d502fp-13, -0x1.25325d5a7f197p-13, -0x1.1a8bfb0ca8ebcp-13, -0x1.1041ddefb0ccbp-13, -0x1.0651e150e5a04p-13, -0x1.f9721c4f41959p-14, -0x1.e6e909bda76efp-14, -0x1.d502f95982398p-14, -0x1.c3ba85dd63bd1p-14, -0x1.b30a75115d1ebp-14, -0x1.a2edb6922c0d1p-14, -0x1.935f62a03f725p-14, -0x1.845ab8f57963ap-14, -0x1.75db1fa400c74p-14, -0x1.67dc21faba9e1p-14, -0x1.5a596f716c58ap-14, -0x1.4d4eda9c24dd6p-14, -0x1.40b8582540067p-14, -0x1.3491fdce39051p-14, -0x1.28d8017716289p-14, -0x1.1d86b82c4a014p-14, -0x1.129a953af247cp-14, -0x1.0810294b4a02fp-14, -0x1.fbc8430261b0ep-15, -0x1.e8268d454d7c7p-15, -0x1.d534f88825f3dp-15, -0x1.c2ed7ff4b8c14p-15, -0x1.b14a5124b2d7ap-15, -0x1.a045ca9bfc8ffp-15, -0x1.8fda7a4c9e00fp-15, -0x1.80031c26aa5d1p-15, -0x1.70ba98b19c7bbp-15, -0x1.61fc03ae578dbp-15, -0x1.53c29ac463ffep-15, -0x1.4609c43887eb5p-15, -0x1.38cd0dabf0983p-15, -0x1.2c082ae3c9688p-15, -0x1.1fb6f49b99d87p-15, -0x1.13d5675e0a156p-15, -0x1.085fa267020eep-15, -0x1.faa3cd1b5fcf6p-16, -0x1.e5512a6cd5f0fp-16, -0x1.d0c05e9891c16p-16, -0x1.bceaa88474fb7p-16, -0x1.a9c98236acb4fp-16, -0x1.97569ef4a861bp-16, -0x1.858be96fda38ap-16, -0x1.74638200501bbp-16, -0x1.63d7bcea501d5p-16, -0x1.53e320b4ee185p-16, -0x1.44806488c3063p-16, -0x1.35aa6e9caf49cp-16, -0x1.275c52af59947p-16, -0x1.19915089203f1p-16, -0x1.0c44d28c3df02p-16, -0x1.fee4d89c8bb43p-17, -0x1.e62bb278d3e25p-17, -0x1.ce55f69452321p-17, -0x1.b75bb353c2dafp-17, -0x1.a1353f1e5c4b3p-17, -0x1.8bdb35f566c99p-17, -0x1.7746771e43dd9p-17, -0x1.637022df1acfcp-17, -0x1.5051984b555bep-17, -0x1.3de47322ec6ep-17, -0x1.2c2289c12b48fp-17, -0x1.1b05eb1c07dffp-17, -0x1.0a88dcd387568p-17, -0x1.f54bb29b9266ap-18, -0x1.d6af1bcc19656p-18, -0x1.b931b2502eabbp-18, -0x1.9cc9922f39b11p-18, -0x1.816d33199d22fp-18, -0x1.6713651d90accp-18, -0x1.4db34d9dc175cp-18, -0x1.354464431a5c9p-18, -0x1.1dbe70132084ap-18, -0x1.0719849c73effp-18, -0x1.e29bfe73cad87p-19, -0x1.b8a908d8ca8b1p-19, -0x1.904bfa95872ccp-19, -0x1.69772a0d8478ep-19, -0x1.441d6d0dc117dp-19, -0x1.20321428214e8p-19, -0x1.fb51cc6d8b819p-20, -0x1.b8ec3809285bdp-20, -0x1.791cb83eb4948p-20, -0x1.3bcd6d70baceep-20, -0x1.00e943a54a098p-20, -0x1.90b7d59e54997p-21, -0x1.24239f0d5cdep-21, -0x1.77e04fcb94219p-22, -0x1.5fe44829a1a7dp-23, 0x1.f92c1a5d87eap-27, 0x1.8f2ba7031f95p-23, 0x1.77b459f4e12e8p-22, 0x1.1031e1b162b9bp-21, 0x1.60f04f643f773p-21, 0x1.ae32a8bb55d57p-21, 0x1.f815160902fa7p-21, 0x1.1f595fc982aeap-20, 0x1.4112ebbe1907p-20, 0x1.6143d1a7529c3p-20, 0x1.7ff84296f3669p-20, 0x1.9d3c025af532bp-20, 0x1.b91a6bc0c9bbdp-20, 0x1.d39e74b0bccf2p-20, 0x1.ecd2b230a61ddp-20, 0x1.0260ae10225dap-19, 0x1.0dba28764328bp-19, 0x1.187a8c949bb71p-19, 0x1.22a6756a81036p-19, 0x1.2c425666eefadp-19, 0x1.35527ce2e16c3p-19, 0x1.3ddb11b49af74p-19, 0x1.45e01a9f2ef8bp-19, 0x1.4d657bb993657p-19, 0x1.546ef8c6c0adp-19, 0x1.5b003683370e8p-19, 0x1.611cbbd83e5c1p-19, 0x1.66c7f31ec8affp-19, 0x1.6c052b33553dfp-19, 0x1.70d7989cf836ep-19, 0x1.754256938afd8p-19, 0x1.79486805dc5c1p-19, 0x1.7cecb89237e95p-19, 0x1.80321d753cebep-19, 0x1.831b566ee2b75p-19, 0x1.85ab0e99e45dcp-19, 0x1.87e3dd4f0a54ap-19, 0x1.89c846d5cc095p-19, 0x1.8b5abd366c479p-19, 0x1.8c9da0eeed08ep-19, 0x1.8d9341a4c36e4p-19, 0x1.8e3ddece3d2a4p-19, 0x1.8e9fa8552a4c5p-19, 0x1.8ebabf3350984p-19, 0x1.8e913605edbc9p-19, 0x1.8e25119e719cp-19, 0x1.8d784984d6bbbp-19, 0x1.8c8cc882217b1p-19, 0x1.8b646d1746ef2p-19, 0x1.8a0109f55fc8cp-19, 0x1.886466706f1c7p-19, 0x1.86903ee823569p-19, 0x1.84864533f4fefp-19, 0x1.82482101ec396p-19, 0x1.7fd7703de388dp-19, 0x1.7d35c7583d40dp-19, 0x1.7a64b1b1273adp-19, 0x1.7765b1de0e9d7p-19, 0x1.743a41faa612cp-19, 0x1.70e3d3ef32e2bp-19, 0x1.6d63d1c5e563dp-19, 0x1.69bb9dd89a162p-19, 0x1.65ec931d74419p-19, }}, 
      {{0x1.ffdfe131731aap-1, 0x1.ff7f9327bfd94p-1, 0x1.fedf40e8a1f1cp-1, 0x1.fdff31bf5cd0ep-1, 0x1.fcdfc8a5f068ep-1, 0x1.fb81837d431dap-1, 0x1.f9e4fa1c789d4p-1, 0x1.f80add3f8d8fap-1, 0x1.f5f3f55cca55fp-1, 0x1.f3a12167d5dbep-1, 0x1.f113558866f51p-1, 0x1.ee4b99c9bd72dp-1, 0x1.eb4b08c74868ep-1, 0x1.e812ce5a2381cp-1, 0x1.e4a4264a7091bp-1, 0x1.e1005b06fbb95p-1, 0x1.dd28c4650cc94p-1, 0x1.d91ec669db49ep-1, 0x1.d4e3d01eaf053p-1, 0x1.d0795a7069f75p-1, 0x1.cbe0e71aeab3bp-1, 0x1.c71bffa087abbp-1, 0x1.c22c344dad761p-1, 0x1.bd131b489273bp-1, 0x1.b7d24faccbec5p-1, 0x1.b26b70b28a256p-1, 0x1.ace020e126c85p-1, 0x1.a732054caf658p-1, 0x1.a162c4de07cd6p-1, 0x1.9b7407a54068fp-1, 0x1.95677635b4291p-1, 0x1.8f3eb90b81db7p-1, 0x1.88fb77f9f399ep-1, 0x1.829f59a262dc5p-1, 0x1.7c2c02f32e4e1p-1, 0x1.75a316ae4f0ccp-1, 0x1.6f0634f722016p-1, 0x1.6856fae6fca63p-1, 0x1.6197022820d14p-1, 0x1.5ac7e096b0bb4p-1, 0x1.53eb27e73d026p-1, 0x1.4d02655294eafp-1, 0x1.460f214683535p-1, 0x1.3f12df1b217e8p-1, 0x1.380f1ccc7d848p-1, 0x1.310552b84933ep-1, 0x1.29f6f35f55239p-1, 0x1.22e56b2aa365ep-1, 0x1.1bd22033dc6dfp-1, 0x1.14be7210fb0d4p-1, 0x1.0dabb9a30efdbp-1, 0x1.069b48e7ef7c1p-1, 0x1.ff1cd59d92912p-2, 0x1.f10cc61ed91d8p-2, 0x1.e308dc089bea6p-2, 0x1.d513810e5278cp-2, 0x1.c72f0fa075be9p-2, 0x1.b95dd2b013579p-2, 0x1.aba205777292fp-2, 0x1.9dfdd347be2d1p-2, 0x1.9073575bb4e6ap-2, 0x1.83049caf4e82p-2, 0x1.75b39ddc5d80fp-2, 0x1.688244fc1d5dap-2, 0x1.5b726b8dafe1bp-2, 0x1.4e85da617bf97p-2, 0x1.41be49896c418p-2, 0x1.351d604dfc972p-2, 0x1.28a4b5280c8e7p-2, 0x1.1c55cdbf699d4p-2, 0x1.10321eedfafc1p-2, 0x1.043b0cc77e16cp-2, 0x1.f0e3d54b7171cp-3, 0x1.d9aff672150f8p-3, 0x1.c2dce13a81854p-3, 0x1.ac6cd8e515ba4p-3, 0x1.9661fff4deceep-3, 0x1.80be587144f6bp-3, 0x1.6b83c42f2528dp-3, 0x1.56b405210dc2ap-3, 0x1.4250bdae50b5dp-3, 0x1.2e5b71109b35cp-3, 0x1.1ad583b7b0609p-3, 0x1.07c03bb304eb1p-3, 0x1.ea398241a0fefp-4, 0x1.c5d83d44a5ae1p-4, 0x1.a25e83a9bd346p-4, 0x1.7fcdf79ecee42p-4, 0x1.5e280348634eap-4, 0x1.3d6dd9cc9c812p-4, 0x1.1da078652e044p-4, 0x1.fd814eef490d9p-5, 0x1.c19df766c84a2p-5, 0x1.8797ae697b7d9p-5, 0x1.4f6ed55912518p-5, 0x1.19236d1760371p-5, 0x1.c96a30c87adb3p-6, 0x1.64463c82531e1p-6, 0x1.02d8d8b350e7ep-6, 0x1.4a3e65bda5e81p-7, 0x1.2c573e4a6f78cp-8, -0x1.68ee16e4105aep-11, -0x1.77f532cd57851p-8, -0x1.5a223ac1ca0cfp-7, -0x1.f111a2481342cp-7, -0x1.406ae6e3d289p-6, -0x1.84be692ae8964p-6, -0x1.c58ae94ce3d56p-6, -0x1.016c3d48a23c5p-5, -0x1.1e57d6b296603p-5, -0x1.398cc54a65e79p-5, -0x1.530fc746afc1p-5, -0x1.6ae5d254638fcp-5, -0x1.811411419daabp-5, -0x1.959fe1ae0aeccp-5, -0x1.a88ed1c11c1e1p-5, -0x1.b9e69de660371p-5, -0x1.c9ad2e9048b1cp-5, -0x1.d7e89601a1cbep-5, -0x1.e49f0e1df652p-5, -0x1.efd6f6411bd0ep-5, -0x1.f996d11e1b412p-5, -0x1.00f2a152d2a8cp-4, -0x1.046486fa1e44cp-4, -0x1.072489a421dabp-4, -0x1.09362700057fp-4, -0x1.0a9ce950056a8p-4, -0x1.0b5c6670ae9d4p-4, -0x1.0b783ee44e916p-4, -0x1.0af41ce29fd64p-4, -0x1.09d3b36cbfb85p-4, -0x1.081abd6577299p-4, -0x1.05ccfcade2e1p-4, -0x1.02ee39467f9e3p-4, -0x1.ff0480e94a96fp-5, -0x1.f719c7d8f0139p-5, -0x1.ee23f1fea5ac2p-5, -0x1.e42aaf9d69decp-5, -0x1.d935b50766cabp-5, -0x1.cd4cb915ed743p-5, -0x1.c07773aa8988p-5, -0x1.b2bd9c3937d42p-5, -0x1.a426e85bc407cp-5, -0x1.94bb0a6e50311p-5, -0x1.8481b0350ae64p-5, -0x1.7382818b1148ap-5, -0x1.61c51f1a84463p-5, -0x1.4f51211dca0fp-5, -0x1.3c2e1629fd27dp-5, -0x1.286382028756ep-5, -0x1.13f8dc75e3244p-5, -0x1.fdeb2086feb4ap-6, -0x1.d2c1f4157baecp-6, -0x1.a684ce861673cp-6, -0x1.79422a7a035c3p-6, -0x1.4b08605921113p-6, -0x1.1be5a478412a3p-6, -0x1.d7d00aa29c1e1p-7, -0x1.763ad39a6f311p-7, -0x1.13271f3f1d982p-7, -0x1.5d6026cebe30fp-8, -0x1.23c1f55b01722p-9, 0x1.dfd312281fd71p-11, 0x1.0bfdc8ca79c8ep-8, 0x1.ddf5d33e0e164p-8, 0x1.58d7f1442115p-7, 0x1.c37d1167e477bp-7, 0x1.1768e3fa0dac3p-6, 0x1.4d5efe5fc0fccp-6, 0x1.839501c1f7177p-6, 0x1.b9ff4eda312e5p-6, 0x1.f0927e19bf368p-6, 0x1.13a1b03aadb8fp-5, 0x1.2f038010ad242p-5, 0x1.4a69509f55d4dp-5, 0x1.65cde13c70acp-5, 0x1.812c0ecabdc4ap-5, 0x1.9c7ed3fa57a09p-5, 0x1.b7c14981f6b9dp-5, 0x1.d2eea6513036cp-5, 0x1.ee023fbbd619ep-5, 0x1.047bc4cf4921dp-4, 0x1.11e50b3e72039p-4, 0x1.1f3acbcc4f776p-4, 0x1.2c7aee8187a44p-4, 0x1.39a36ad3f23ebp-4, 0x1.46b247a904a8bp-4, 0x1.53a59b554507cp-4, 0x1.607b8b98d6ca6p-4, 0x1.6d324d9934aa5p-4, 0x1.79c825d828014p-4, 0x1.863b6828125f8p-4, 0x1.928a779d9b559p-4, 0x1.9eb3c67ed59eap-4, 0x1.aab5d62feb25cp-4, 0x1.b68f371d7045cp-4, 0x1.c23e88a455fe2p-4, 0x1.cdc278f7b2b4fp-4, 0x1.d919c50454538p-4, 0x1.e4433852429f3p-4, 0x1.ef3dace438d81p-4, 0x1.fa080b153b8ddp-4, 0x1.0250a4ba1f2ddp-3, 0x1.0784364f0aad8p-3, 0x1.0c9e438ace981p-3, 0x1.119e5c8d281d9p-3, 0x1.1684183e9d6c5p-3, 0x1.1b4f143a3b951p-3, 0x1.1ffef4b6a2c0bp-3, 0x1.2493646e5ef56p-3, 0x1.290c14879f024p-3, 0x1.2d68bc7b533f5p-3, 0x1.31a919fbb887p-3, 0x1.35ccf0da59162p-3, 0x1.39d40aed8de17p-3, 0x1.3dbe37f5892b5p-3, 0x1.418b4d80f163bp-3, 0x1.453b26d111997p-3, 0x1.48cda4bdb1f58p-3, 0x1.4c42ad989136bp-3, 0x1.4f9a2d1099919p-3, 0x1.52d41414c03d9p-3, 0x1.55f058b6b745p-3, 0x1.58eef60d56532p-3, 0x1.5bcfec16e2154p-3, 0x1.5e933f9b1d12cp-3, 0x1.6138fa0d42877p-3, 0x1.63c1296ddc4ccp-3, 0x1.662be02c88ed5p-3, 0x1.68793509b3a5dp-3, 0x1.6aa942f84399dp-3, 0x1.6cbc28ff4bea6p-3, 0x1.6eb20a1bbaeabp-3, 0x1.708b0d221caf4p-3, 0x1.72475ca065877p-3, 0x1.73e726bfd97ep-3, 0x1.756a9d2709d74p-3, 0x1.76d1f4dbf4dcep-3, 0x1.781d66264fe2dp-3, 0x1.794d2c71f1d7cp-3, 0x1.7a61863178c42p-3, 0x1.7b5ab4c119829p-3, 0x1.7c38fc49adebap-3, 0x1.7cfca3a3fa6bdp-3, 0x1.7da5f43c39f86p-3, 0x1.7e3539f5e8779p-3, 0x1.7eaac30fd7ed4p-3, 0x1.7f06e008930f5p-3, 0x1.7f49e3830a9edp-3, 0x1.7f74222b9731ap-3, 0x1.7f85f29d504f3p-3, 0x1.7f7fad47bc642p-3, 0x1.7f61ac54d7caep-3, 0x1.7f2c4b8f7e584p-3, 0x1.7edfe84a31441p-3, 0x1.7e7ce1463f95dp-3, 0x1.7e03969b565cep-3, 0x1.7d74699f6fe77p-3, 0x1.7ccfbccf3472cp-3, 0x1.7c15f3b6babaep-3, 0x1.7b4772dabf4a6p-3, 0x1.7a649fa23baaap-3, 0x1.796de04077d7dp-3, 0x1.78639b9f81be1p-3, 0x1.7746394b1efa7p-3, 0x1.7616215c22018p-3, 0x1.74d3bc6440932p-3, 0x1.737f735a53bbdp-3, 0x1.7219af870bf23p-3, 0x1.70a2da721cd47p-3, 0x1.6f1b5dcfdc20cp-3, 0x1.6d83a36f51449p-3, 0x1.6bdc1528bf3p-3, 0x1.6a251ccc9ddeep-3, 0x1.685f24130e262p-3, 0x1.668a948bbd36bp-3, 0x1.64a7d78e3dfedp-3, 0x1.62b7562ad94a7p-3, 0x1.60b9791bcbd75p-3, 0x1.5eaea8b6fc094p-3, 0x1.5c974ce023baap-3, 0x1.5a73ccfb655c4p-3, 0x1.58448fe05a789p-3, 0x1.5609fbcd8ae31p-3, 0x1.53c4765c5aa6ep-3, 0x1.5174647560a21p-3, 0x1.4f1a2a45321dap-3, 0x1.4cb62b3191cb1p-3, 0x1.4a48c9cf11fc1p-3, 0x1.47d267d721499p-3, 0x1.4553661e7b81p-3, 0x1.42cc248c05002p-3, 0x1.403d021010804p-3, 0x1.3da65c9c0683dp-3, 0x1.3b08911a70298p-3, 0x1.3863fb6769cadp-3, 0x1.35b8f64972d79p-3, 0x1.3307db6a9cb09p-3, 0x1.305103521eaa7p-3, 0x1.2d94c55e3da05p-3, 0x1.2ad377be96ebdp-3, 0x1.280d6f6ebeed3p-3, 0x1.254300313e93p-3, 0x1.22747c8ae0ed1p-3, 0x1.1fa235be59968p-3, 0x1.1ccc7bc83cedap-3, 0x1.19f39d5b4afafp-3, 0x1.1717e7dd08a0cp-3, 0x1.1439a762a8d67p-3, 0x1.115926ae426a4p-3, 0x1.0e76af2c4fa65p-3, 0x1.0b9288f178ba1p-3, 0x1.08acfab8a01bcp-3, 0x1.05c649e13fd6ep-3, 0x1.02deba6dfd63cp-3, 0x1.ffed1e071b14ap-4, 0x1.fa1c11cf98552p-4, 0x1.f44ad00234c6fp-4, 0x1.ee79d5abf499p-4, 0x1.e8a99d19c2708p-4, 0x1.e2da9dd89298p-4, 0x1.dd0d4cb5f17eap-4, 0x1.d7421bc0f8402p-4, 0x1.d1797a4bb8cd6p-4, 0x1.cbb3d4ed0751fp-4, 0x1.c5f19582a7e04p-4, 0x1.c0332333dea1cp-4, 0x1.ba78e2745478ap-4, 0x1.b4c33507636c6p-4, 0x1.af127a03ab377p-4, 0x1.a9670dd6ff8d3p-4, 0x1.a3c14a4aa90eap-4, 0x1.9e218687eadb4p-4, 0x1.9888171cd71f3p-4, 0x1.92f54e016e385p-4, 0x1.8d697a9cf8f7ap-4, 0x1.87e4e9cbab5dcp-4, 0x1.8267e5e48218cp-4, 0x1.7cf2b6bf5ba5cp-4, 0x1.7785a1bb4b807p-4, 0x1.7220e9c5210a8p-4, 0x1.6cc4cf5e23eeep-4, 0x1.677190a2fef6p-4, 0x1.62276952d9a58p-4, 0x1.5ce692d69e087p-4, 0x1.57af444866663p-4, 0x1.5281b27b10cc7p-4, 0x1.4d5e1001f83edp-4, 0x1.48448d38ce71fp-4, 0x1.4335584b955e1p-4, 0x1.3e309d3eb4cbp-4, 0x1.393685f72c88p-4, 0x1.34473a42de36fp-4, 0x1.2f62dfe0ed425p-4, 0x1.2a899a8a34761p-4, 0x1.25bb8bf9cd307p-4, 0x1.20f8d3f5a7fd1p-4, 0x1.1c41905732624p-4, 0x1.1795dd140b47cp-4, 0x1.12f5d446c0b08p-4, 0x1.0e618e37974eep-4, 0x1.09d921655921cp-4, 0x1.055ca28e2aee3p-4, 0x1.00ec24b86402ep-4, 0x1.f90f7276d467fp-5, 0x1.f05edf911b549p-5, 0x1.e7c6ace7ca188p-5, 0x1.df46f37a4cf8fp-5, 0x1.d6dfc930ff6dfp-5, 0x1.ce9140eecc87ap-5, 0x1.c65b6aa2c84a1p-5, 0x1.be3e5359b87fep-5, 0x1.b63a054f8db76p-5, 0x1.ae4e8800c6c97p-5, 0x1.a67be03bc1ba7p-5, 0x1.9ec21031f3a06p-5, 0x1.9721178905713p-5, 0x1.8f98f36bd77bbp-5, 0x1.88299e9b6536bp-5, 0x1.80d3117f8b276p-5, 0x1.79954237a8e48p-5, 0x1.727024ab24238p-5, 0x1.6b63aa99c1e6cp-5, 0x1.646fc3abdf4d2p-5, 0x1.5d945d827d58cp-5, 0x1.56d163c727c4p-5, 0x1.5026c03baf27p-5, 0x1.49945ac9b830fp-5, 0x1.431a19921f9a1p-5, 0x1.3cb7e0fc2c1fcp-5, 0x1.366d93c496a1ep-5, 0x1.303b130c5fefdp-5, 0x1.2a203e6773372p-5, 0x1.241cf3eb1d852p-5, 0x1.1e31103c4a2dp-5, 0x1.185c6e9d93e64p-5, 0x1.129ee8fd1c91fp-5, 0x1.0cf858023363bp-5, 0x1.0768931ac4278p-5, 0x1.01ef708892ce9p-5, 0x1.f9198adc7cae6p-6, 0x1.ee80cbb81ff71p-6, 0x1.e41449b9242a6p-6, 0x1.d9d3a901ded24p-6, 0x1.cfbe8bda366d4p-6, 0x1.c5d492c78796p-6, 0x1.bc155ca411222p-6, 0x1.b28086b5faec7p-6, 0x1.a915acc5e3965p-6, 0x1.9fd46935056fcp-6, 0x1.96bc5512e3beap-6, 0x1.8dcd08328c5c5p-6, 0x1.8506193f6a243p-6, 0x1.7c671dd1a12a7p-6, 0x1.73efaa8204e96p-6, 0x1.6b9f52fd9295bp-6, 0x1.6375aa18883adp-6, 0x1.5b7241e107babp-6, 0x1.5394abb149374p-6, 0x1.4bdc78416339cp-6, 0x1.444937b8a94c8p-6, 0x1.3cda79be9510fp-6, 0x1.358fcd8b4c1cep-6, 0x1.2e68c1f7b541p-6, 0x1.2764e58d292edp-6, 0x1.2083c694b60c5p-6, 0x1.19c4f325fa2dap-6, 0x1.1327f9359812ap-6, 0x1.0cac66a349fbep-6, 0x1.0651c9478380fp-6, 0x1.0017af00bbe46p-6, 0x1.f3fb4b809542cp-7, 0x1.e806772dd0fe2p-7, 0x1.dc4ffd819c3dfp-7, 0x1.d0d6fb62dd3f5p-7, 0x1.c59a8e3daef0dp-7, 0x1.ba99d41964139p-7, 0x1.afd3ebadd1feap-7, 0x1.a547f477dd633p-7, 0x1.9af50ecd5f971p-7, 0x1.90da5bf050b05p-7, 0x1.86f6fe214a26ep-7, 0x1.7d4a18b15118ap-7, 0x1.73d2d01309f6p-7, 0x1.6a9049eb33d1fp-7, 0x1.6181ad208a495p-7, 0x1.58a621eafe889p-7, 0x1.4ffcd1e256e9ap-7, 0x1.4784e80c32ea1p-7, 0x1.3f3d90e970a9p-7, 0x1.3725fa82ff9a8p-7, 0x1.2f3d54761f09p-7, 0x1.2782d0000a391p-7, 0x1.1ff5a00918179p-7, 0x1.1894f92f4d53cp-7, 0x1.116011d066f11p-7, 0x1.0a5622135eddcp-7, 0x1.037663f16c1a6p-7, 0x1.f980267d07061p-8, 0x1.ec64db62b3de4p-8, 0x1.df9965d5d8072p-8, 0x1.d31c48fb1921p-8, 0x1.c6ec0be6fc3e2p-8, 0x1.bb0739aa32beep-8, 0x1.af6c615d0527dp-8, 0x1.a41a1629e4ab6p-8, 0x1.990eef5723f6fp-8, 0x1.8e49884fe23e5p-8, 0x1.83c880ac28846p-8, 0x1.798a7c383fe3ap-8, 0x1.6f8e22fb48b76p-8, 0x1.65d2213d137ep-8, 0x1.5c55278b43561p-8, 0x1.5315eabdbe065p-8, 0x1.4a1323fa6cf2fp-8, 0x1.414b90b85968p-8, 0x1.38bdf2c220922p-8, 0x1.30691037caf71p-8, 0x1.284bb39009f67p-8, 0x1.2064ab98de23fp-8, 0x1.18b2cb77acf3cp-8, 0x1.1134eaa8ca823p-8, 0x1.09e9e4fe7a8fdp-8, 0x1.02d09a9f6e522p-8, 0x1.f7cfe0098224dp-9, 0x1.ea5d9beef9c6bp-9, 0x1.dd48431b4a5cep-9, 0x1.d08db84da1538p-9, 0x1.c42be6d0a68dfp-9, 0x1.b820c271fb798p-9, 0x1.ac6a4778ee566p-9, 0x1.a1067a9c65176p-9, 0x1.95f368f80bab1p-9, 0x1.8b2f2800cb4ffp-9, 0x1.80b7d57892441p-9, 0x1.768b976172929p-9, 0x1.6ca89bf02460bp-9, 0x1.630d197de58a5p-9, 0x1.59b74e79cfe16p-9, 0x1.50a58159991f6p-9, 0x1.47d60089d78d2p-9, 0x1.3f47225dbb9e6p-9, 0x1.36f744fe59865p-9, 0x1.2ee4ce597a538p-9, 0x1.270e2c1000f5ap-9, 0x1.1f71d363e9eebp-9, 0x1.180e4125e6cf7p-9, 0x1.10e1f9a29fa1bp-9, 0x1.09eb888f9b601p-9, 0x1.032980f7dc6e7p-9, 0x1.f934fa5054a3p-10, 0x1.ec7a3d363671cp-10, 0x1.e0201bc9ac162p-10, 0x1.d423f53d3a8b3p-10, 0x1.c88336a437e2p-10, 0x1.bd3b5ac90b163p-10, 0x1.b249ea02fc6cbp-10, 0x1.a7ac7a0bc243ap-10, 0x1.9d60add4b971fp-10, 0x1.9364355bd356fp-10, 0x1.89b4cd80501fdp-10, 0x1.80503fd741e1ap-10, 0x1.7734627fdf497p-10, 0x1.6e5f17f7b5a5dp-10, 0x1.65ce4eeeb9295p-10, 0x1.5d80021b3c68p-10, 0x1.5572380dd6f15p-10, 0x1.4da3030549a9fp-10, 0x1.461080c24ee1p-10, 0x1.3eb8da5b7d894p-10, 0x1.379a441127f1dp-10, 0x1.30b2fd214c821p-10, 0x1.2a014f9b9ab9ep-10, 0x1.238390358d965p-10, 0x1.1d381e1ea57cap-10, 0x1.171d62d4c1abep-10, 0x1.1131d1f8a5973p-10, 0x1.0b73e922a6c8fp-10, 0x1.05e22fb7858dep-10, 0x1.007b36bd870b2p-10, 0x1.f67b316374398p-11, 0x1.ec4ff2bb00dd4p-11, 0x1.e2720b58a9387p-11, 0x1.d8dee703a7f47p-11, 0x1.cf9403201f11cp-11, 0x1.c68eee5c4e6abp-11, 0x1.bdcd485e638ecp-11, 0x1.b54cc172ea2c4p-11, 0x1.ad0b1a3be31b9p-11, 0x1.a50623608653fp-11, 0x1.9d3bbd3db4bdfp-11, 0x1.95a9d79720318p-11, 0x1.8e4e71492ba63p-11, 0x1.872797fb8bebbp-11, 0x1.803367d4a6e1ap-11, 0x1.79700b2dbc73ap-11, 0x1.72dbba47d5496p-11, 0x1.6c74bb0181156p-11, 0x1.6639608d62ed5p-11, 0x1.60280b299114p-11, 0x1.5a3f27d7ca02dp-11, 0x1.547d301680f16p-11, 0x1.4ee0a99ac5b1bp-11, 0x1.4968260b05d7dp-11, 0x1.441242baaff6ap-11, 0x1.3edda866b2dcap-11, 0x1.39c90af2e0061p-11, 0x1.34d329283022fp-11, 0x1.2ffacc73ead28p-11, 0x1.2b3ec8a7b4477p-11, 0x1.269dfbba7e5a1p-11, 0x1.22174d8a61fddp-11, 0x1.1da9af9f5e2bcp-11, 0x1.19541ceefd9c5p-11, 0x1.151599a0e5578p-11, 0x1.10ed32d448801p-11, 0x1.0cd9fe6645a28p-11, 0x1.08db1ab929b24p-11, 0x1.04efae7c9b307p-11, 0x1.0116e876ab01dp-11, 0x1.fa9ffe9b96594p-12, 0x1.f33462a759408p-12, 0x1.ebe988a1fe948p-12, 0x1.e4be0aa431104p-12, 0x1.ddb090e8f4a6ap-12, 0x1.d6bfd16a7c9ebp-12, 0x1.cfea8f80c0e4ap-12, 0x1.c92f9b81d2906p-12, 0x1.c28dd263f0fa7p-12, 0x1.bc041d6151ddbp-12, 0x1.b591719da83a7p-12, 0x1.af34cfcd5aabep-12, 0x1.a8ed43de6c55dp-12, 0x1.a2b9e4a312912p-12, 0x1.9c99d37df7c98p-12, 0x1.968c3c10228a4p-12, 0x1.909053e87fd4fp-12, 0x1.8aa55a350ef33p-12, 0x1.84ca9775a8032p-12, 0x1.7eff5d3059a43p-12, }}, 
      {{0x1.ffe5b7ef1156dp-1, 0x1.ff96e7ba93f98p-1, 0x1.ff13a7502bda3p-1, 0x1.fe5c1e65b4553p-1, 0x1.fd70843a2e154p-1, 0x1.fc511f4157b1cp-1, 0x1.fafe44bcdd221p-1, 0x1.f9785846208fdp-1, 0x1.f7bfcb4b72363p-1, 0x1.f5d51c836879ap-1, 0x1.f3b8d758ba03p-1, 0x1.f16b9350c1294p-1, 0x1.eeedf36e8bc9bp-1, 0x1.ec40a5941683bp-1, 0x1.e96461e31c6c5p-1, 0x1.e659ea1ea8eep-1, 0x1.e322090e6847fp-1, 0x1.dfbd91e48723ap-1, 0x1.dc2d5fa6c5862p-1, 0x1.d872549b42974p-1, 0x1.d48d59b96433cp-1, 0x1.d07f5e1f23f54p-1, 0x1.cc49568af6064p-1, 0x1.c7ec3cda68fc2p-1, 0x1.c3690f8d939aap-1, 0x1.bec0d14f51631p-1, 0x1.b9f488824c2bbp-1, 0x1.b5053ed2c6a7ep-1, 0x1.aff400cd10914p-1, 0x1.aac1dd7891897p-1, 0x1.a56fe5f749ee6p-1, 0x1.9fff2d29afb14p-1, 0x1.9a70c756c0412p-1, 0x1.94c5c9d828899p-1, 0x1.8eff4aca5d69ep-1, 0x1.891e60c07df1p-1, 0x1.8324227bdb86ep-1, 0x1.7d11a6a6fffc7p-1, 0x1.76e803940b075p-1, 0x1.70a84efe42e07p-1, 0x1.6a539dceb0e0fp-1, 0x1.63eb03e3a4124p-1, 0x1.5d6f93daf8eep-1, 0x1.56e25edefe7f2p-1, 0x1.50447475dbdecp-1, 0x1.4996e25351c32p-1, 0x1.42dab42cbca3ep-1, 0x1.3c10f38f35cebp-1, 0x1.353aa7b7bd36fp-1, 0x1.2e58d56d4da68p-1, 0x1.276c7edcc6a52p-1, 0x1.2076a3769374dp-1, 0x1.19783fcdfd1acp-1, 0x1.12724d7a141bdp-1, 0x1.0b65c2f81f3a5p-1, 0x1.0453938f84a78p-1, 0x1.fa795e6e357ffp-2, 0x1.ec4404f7b2901p-2, 0x1.de08ecd1b6387p-2, 0x1.cfc9e0e1599fep-2, 0x1.c188a4afb4504p-2, 0x1.b346f4416f9bfp-2, 0x1.a50683f0bc763p-2, 0x1.96c90049a98b9p-2, 0x1.88900de8c802bp-2, 0x1.7a5d495c184c8p-2, 0x1.6c324706386b1p-2, 0x1.5e109303ca72ep-2, 0x1.4ff9b1130928bp-2, 0x1.41ef1c7d88891p-2, 0x1.33f248041ba11p-2, 0x1.26049dccd2152p-2, 0x1.18277f530dc7ap-2, 0x1.0a5c4559a8b3ap-2, 0x1.f9487fbe38f1fp-3, 0x1.de016c275b98cp-3, 0x1.c2e5cca319aedp-3, 0x1.a7f80c2dc8c0cp-3, 0x1.8d3a84039cfafp-3, 0x1.72af7b9c47a91p-3, 0x1.585928aa3d9dp-3, 0x1.3e39af1d8957fp-3, 0x1.2453212a14b93p-3, 0x1.0aa77f5156dadp-3, 0x1.e27170de90634p-4, 0x1.b01153951dbf6p-4, 0x1.7e323e4f798f5p-4, 0x1.4cd7a5bf1a2b9p-4, 0x1.1c04dbf014bf6p-4, 0x1.d77a2101e8559p-5, 0x1.7806a1bfde262p-5, 0x1.19b5111a8c21ep-5, 0x1.7916058a33c75p-6, 0x1.82371ef578253p-7, 0x1.709bbb387c1dap-11, -0x1.4f48e8b616e2ep-7, -0x1.58574d97fe643p-6, -0x1.03458a2838d36p-5, -0x1.591bd6baaecffp-5, -0x1.adaabd730df92p-5, -0x1.00775675107ffp-4, -0x1.29722846d845dp-4, -0x1.51c447e35a386p-4, -0x1.796c468d21061p-4, -0x1.a068d2a2c8eacp-4, -0x1.c6b8b72ac2dacp-4, -0x1.ec5adb5cf4096p-4, -0x1.08a7211542ad1p-3, -0x1.1ac904e1eccb7p-3, -0x1.2c92b58e811a9p-3, -0x1.3e03dcb86073fp-3, -0x1.4f1c30e127263p-3, -0x1.5fdb752ef81edp-3, -0x1.7041792c53f8ap-3, -0x1.804e1887859bp-3, -0x1.90013ad1a8d09p-3, -0x1.9f5ad33d742c2p-3, -0x1.ae5ae05dc3992p-3, -0x1.bd016be3f0c85p-3, -0x1.cb4e8a5e1a054p-3, -0x1.d9425af54ce5bp-3, -0x1.e6dd072bbaa63p-3, -0x1.f41ec29ae820dp-3, -0x1.0083e55900798p-2, -0x1.06cc333a2212bp-2, -0x1.0ce8731bcd15bp-2, -0x1.12d8d1b1b51cp-2, -0x1.189d8017d30d8p-2, -0x1.1e36b3b211c37p-2, -0x1.23a4a60c2472cp-2, -0x1.28e794b987c0cp-2, -0x1.2dffc135b80ep-2, -0x1.32ed70c49903ep-2, -0x1.37b0ec5318116p-2, -0x1.3c4a80580b283p-2, -0x1.40ba7cb54d7d5p-2, -0x1.4501349921c72p-2, -0x1.491efe5fd6029p-2, -0x1.4d143375b34f4p-2, -0x1.50e1303936cd3p-2, -0x1.548653dd97e1fp-2, -0x1.5804004da12d9p-2, -0x1.5b5a9a0ed7571p-2, -0x1.5e8a8824f7cf8p-2, -0x1.619433f5cab46p-2, -0x1.6478092d517e6p-2, -0x1.673675a249b1p-2, -0x1.69cfe93b112d3p-2, -0x1.6c44d5d2e2799p-2, -0x1.6e95af1f74002p-2, -0x1.70c2ea96f5da1p-2, -0x1.72ccff566f7cbp-2, -0x1.74b46608828dbp-2, -0x1.767998cc903cp-2, -0x1.781d131e44306p-2, -0x1.799f51bd83548p-2, -0x1.7b00d296c5088p-2, -0x1.7c4214abce6bfp-2, -0x1.7d6397fcdcec9p-2, -0x1.7e65dd7232e7fp-2, -0x1.7f4966c611602p-2, -0x1.800eb66f1cffcp-2, -0x1.80b64f8b2a78ep-2, -0x1.8140b5ca76342p-2, -0x1.81ae6d5b4b44ap-2, -0x1.81fffad610651p-2, -0x1.8235e329c4aaap-2, -0x1.8250ab88e6361p-2, -0x1.8250d956c5868p-2, -0x1.8236f21545de9p-2, -0x1.82037b530736fp-2, -0x1.81b6fa99fe24ep-2, -0x1.8151f55e78d27p-2, -0x1.80d4f0ee8a002p-2, -0x1.80407261e821ep-2, -0x1.7f94fe8a2e8ffp-2, -0x1.7ed319e39110fp-2, -0x1.7dfb4885f4fc5p-2, -0x1.7d0e0e1675ac9p-2, -0x1.7c0bedb95441ep-2, -0x1.7af56a044d6d2p-2, -0x1.79cb04f159a9dp-2, -0x1.788d3fd1d5438p-2, -0x1.773c9b420ca16p-2, -0x1.75d9971d3533fp-2, -0x1.7464b271c4807p-2, -0x1.72de6b76320c3p-2, -0x1.71473f7e1998ep-2, -0x1.6f9faaefc3da4p-2, -0x1.6de8293a0dbacp-2, -0x1.6c2134cab5388p-2, -0x1.6a4b4705030e9p-2, -0x1.6866d838d591p-2, -0x1.66745f9a0a87cp-2, -0x1.6474533844144p-2, -0x1.626727f70de7ep-2, -0x1.604d5186583dap-2, -0x1.5e27425b50f1dp-2, -0x1.5bf56ba994904p-2, -0x1.59b83d5cb6061p-2, -0x1.577026121d68ap-2, -0x1.551d93133b9e8p-2, -0x1.52c0f05012ea1p-2, -0x1.505aa85a0f7f5p-2, -0x1.4deb245f34fc2p-2, -0x1.4b72cc2599479p-2, -0x1.48f206072e9c4p-2, -0x1.466936eddb6a5p-2, -0x1.43d8c24fdd6fp-2, -0x1.41410a2c78009p-2, -0x1.3ea26f08eaebep-2, -0x1.3bfd4fedb2c46p-2, -0x1.39520a640abcp-2, -0x1.36a0fa73bb01ep-2, -0x1.33ea7aa122805p-2, -0x1.312ee3eb88bc2p-2, -0x1.2e6e8dcbadb68p-2, -0x1.2ba9ce3298432p-2, -0x1.28e0f988a504cp-2, -0x1.261462accc63cp-2, -0x1.23445af42aedbp-2, -0x1.20713229baf6bp-2, -0x1.1d9b368e4c3e6p-2, -0x1.1ac2b4d8ae993p-2, -0x1.17e7f8361322ap-2, -0x1.150b4a4aa0741p-2, -0x1.122cf33238fefp-2, -0x1.0f4d398172a8ep-2, -0x1.0c6c6246bc252p-2, -0x1.098ab10bb23ebp-2, -0x1.06a867d69fcaep-2, -0x1.03c5c72c2a088p-2, -0x1.00e30e1125746p-2, -0x1.fc00f419270adp-3, -0x1.f63c8e538e386p-3, -0x1.f0795ff55d8adp-3, -0x1.eab7db3484574p-3, -0x1.e4f86f5e2813ap-3, -0x1.df3b88dc0a348p-3, -0x1.d981913a2abc5p-3, -0x1.d3caef2cada41p-3, -0x1.ce180695fa522p-3, -0x1.c869388d10b91p-3, -0x1.c2bee36419652p-3, -0x1.bd1962af27ad9p-3, -0x1.b7790f4b2a83fp-3, -0x1.b1de3f650f674p-3, -0x1.ac49468112327p-3, -0x1.a6ba758236438p-3, -0x1.a1321ab1e7368p-3, -0x1.9bb081c7be92ep-3, -0x1.9635f3f171efp-3, -0x1.90c2b7dadb76ap-3, -0x1.8b5711b62925fp-3, -0x1.85f3434422e2ep-3, -0x1.80978bdc9040bp-3, -0x1.7b442876b441ep-3, -0x1.75f953b1e37c6p-3, -0x1.70b745de2bd67p-3, -0x1.6b7e350515c4dp-3, -0x1.664e54f26c932p-3, -0x1.6127d73d2493bp-3, -0x1.5c0aeb5042313p-3, -0x1.56f7be73d4599p-3, -0x1.51ee7bd5f978p-3, -0x1.4cef4c93eb774p-3, -0x1.47fa57c312ce6p-3, -0x1.430fc27a1df2bp-3, -0x1.3e2fafda26dd2p-3, -0x1.395a4117cb5d9p-3, -0x1.348f958454621p-3, -0x1.2fcfca96d7f7bp-3, -0x1.2b1afbf557c5cp-3, -0x1.2671437de22d6p-3, -0x1.21d2b94faa9cbp-3, -0x1.1d3f73d41f3eap-3, -0x1.18b787c7fa454p-3, -0x1.143b084445208p-3, -0x1.0fca06c759f3p-3, -0x1.0b64933dd8b66p-3, -0x1.070abc0b8f2dbp-3, -0x1.02bc8e145b90fp-3, -0x1.fcf42989f5fa7p-4, -0x1.f486b4379aadfp-4, -0x1.ec30cd631efep-4, -0x1.e3f28383f649p-4, -0x1.dbcbe268c4613p-4, -0x1.d3bcf34864e51p-4, -0x1.cbc5bcd2cf67fp-4, -0x1.c3e64341dbf05p-4, -0x1.bc1e8869dd3ddp-4, -0x1.b46e8bca161cdp-4, -0x1.acd64a9d02bfep-4, -0x1.a555bfe87b64dp-4, -0x1.9dece48da93ccp-4, -0x1.969baf58ced18p-4, -0x1.8f621510e8a96p-4, -0x1.8840088717348p-4, -0x1.81357aa5e0cb3p-4, -0x1.7a425a803f995p-4, -0x1.7366956081458p-4, -0x1.6ca216d6f41aep-4, -0x1.65f4c8c8623cbp-4, -0x1.5f5e937c5b10bp-4, -0x1.58df5dab47e26p-4, -0x1.52770c8c4e90dp-4, -0x1.4c2583e2feeddp-4, -0x1.45eaa60ccb838p-4, -0x1.3fc6540e4e479p-4, -0x1.39b86da056f21p-4, -0x1.33c0d13cc4065p-4, -0x1.2ddf5c2b268e1p-4, -0x1.2813ea8d2f1e7p-4, -0x1.225e576ae4808p-4, -0x1.1cbe7cbea5396p-4, -0x1.17343380f0f39p-4, -0x1.11bf53b3fcc76p-4, -0x1.0c5fb46f0fec3p-4, -0x1.07152be9aa94ap-4, -0x1.01df8f86766eap-4, -0x1.f97d67bc01342p-5, -0x1.ef64d992786b1p-5, -0x1.e5751ad7a2647p-5, -0x1.dbadd07c66129p-5, -0x1.d20e9e2f04fb2p-5, -0x1.c897266e7478bp-5, -0x1.bf470a9d4a43ep-5, -0x1.b61deb1441315p-5, -0x1.ad1b673453543p-5, -0x1.a43f1d786a927p-5, -0x1.9b88ab86abe5p-5, -0x1.92f7ae4156ed5p-5, -0x1.8a8bc1d743618p-5, -0x1.824481d3f5442p-5, -0x1.7a21892f4d8a7p-5, -0x1.7222725cd6d5dp-5, -0x1.6a46d75aae9a5p-5, -0x1.628e51c00b683p-5, -0x1.5af87acb62726p-5, -0x1.5384eb702e164p-5, -0x1.4c333c64512afp-5, -0x1.4503062d22009p-5, -0x1.3df3e12c1172fp-5, -0x1.370565aafbc89p-5, -0x1.30372be81aecbp-5, -0x1.2988cc219ffebp-5, -0x1.22f9dea0f437ap-5, -0x1.1c89fbc5a342p-5, -0x1.1638bc0fec333p-5, -0x1.1005b82b00e45p-5, -0x1.09f088f6ef176p-5, -0x1.03f8c79237a17p-5, -0x1.fc3c1ac6289d4p-6, -0x1.f0bfe840db1a8p-6, -0x1.e57c2bb4ffc19p-6, -0x1.da701a0669423p-6, -0x1.cf9ae8ec5d74p-6, -0x1.c4fbcf01156eep-6, -0x1.ba9203d0ae15p-6, -0x1.b05cbfe77fea9p-6, -0x1.a65b3cdff0855p-6, -0x1.9c8cb56fb306fp-6, -0x1.92f065747f5efp-6, -0x1.89858a004054bp-6, -0x1.804b6164c5041p-6, -0x1.77412b3ee380ap-6, -0x1.6e66288128c56p-6, -0x1.65b99b7e03a57p-6, -0x1.5d3ac7f176b3fp-6, -0x1.54e8f30a533f6p-6, -0x1.4cc3637300e5ap-6, -0x1.44c96159cc1fp-6, -0x1.3cfa3678cb3bdp-6, -0x1.35552e1d4ffa4p-6, -0x1.2dd9952ef25f5p-6, -0x1.2686ba362af8ap-6, -0x1.1f5bed629257bp-6, -0x1.18588090add9bp-6, -0x1.117bc74f6696p-6, -0x1.0ac516e5198eep-6, -0x1.0433c6544f391p-6, -0x1.fb8e5cc02535bp-7, -0x1.eefd531fe95c9p-7, -0x1.e2b3286771037p-7, -0x1.d6ae98cd5194ap-7, -0x1.caee64253be4fp-7, -0x1.bf714de567dfap-7, -0x1.b4361d2b6291ep-7, -0x1.a93b9cc047086p-7, -0x1.9e809b1c679ebp-7, -0x1.9403ea6a6659ap-7, -0x1.89c46089bdb3dp-7, -0x1.7fc0d710cef9bp-7, -0x1.75f82b4e63e81p-7, -0x1.6c693e4ab5da3p-7, -0x1.6312f4c7fbeeep-7, -0x1.59f43742818ccp-7, -0x1.510bf1f04db8bp-7, -0x1.485914c04e91cp-7, -0x1.3fda93592cp-7, -0x1.378f6517a766fp-7, -0x1.2f76850c967p-7, -0x1.278ef1fa82e9ep-7, -0x1.1fd7ae52e9b06p-7, -0x1.184fc03320e9ep-7, -0x1.10f63160e7276p-7, -0x1.09ca0f46a0772p-7, -0x1.02ca6aef40fedp-7, -0x1.f7ecb203dad57p-8, -0x1.ea99e37a9eb97p-8, -0x1.dd9aa1e546fb2p-8, -0x1.d0ed2c01088fcp-8, -0x1.c48fc79ae5ec2p-8, -0x1.b880c18445064p-8, -0x1.acbe6d870e47bp-8, -0x1.a147265959c78p-8, -0x1.96194d90b21f4p-8, -0x1.8b334b94ec01dp-8, -0x1.80938f92a0eedp-8, -0x1.76388f6d4a7b6p-8, -0x1.6c20c7b1045fap-8, -0x1.624abb83fdbc7p-8, -0x1.58b4f49799e05p-8, -0x1.4f5e031947dd6p-8, -0x1.46447da31330fp-8, -0x1.3d67012bf4cdep-8, -0x1.34c430f7e48a3p-8, -0x1.2c5ab687b3193p-8, -0x1.24294188ae425p-8, -0x1.1c2e87c413d67p-8, -0x1.1469450e56c37p-8, -0x1.0cd83b363b0f9p-8, -0x1.057a31f3ca243p-8, -0x1.fc9bedae4ce57p-9, -0x1.eea4ba6e7b339p-9, -0x1.e10c7c40be7afp-9, -0x1.d3d0f08576345p-9, -0x1.c6efdfc192d64p-9, -0x1.ba671d7b3ea98p-9, -0x1.ae34881669e85p-9, -0x1.a25608b138772p-9, -0x1.96c9930060f9fp-9, -0x1.8b8d252b77165p-9, -0x1.809ec7a92b924p-9, -0x1.75fc8d1b8c74p-9, -0x1.6ba4922c3e5fap-9, -0x1.6194fd68bc26dp-9, -0x1.57cbff1ea199fp-9, -0x1.4e47d137ffebep-9, -0x1.4506b717c2f8fp-9, -0x1.3c06fd762da29p-9, -0x1.3346fa3d70a09p-9, -0x1.2ac50c6656b66p-9, -0x1.227f9bd51b217p-9, -0x1.1a7519365b0ccp-9, -0x1.12a3fddc340ddp-9, -0x1.0b0acb9b88592p-9, -0x1.03a80ca97360dp-9, -0x1.f8f4a6f1db79dp-10, -0x1.eb007531441a8p-10, -0x1.dd70c921f56f2p-10, -0x1.d042f784c6dfap-10, -0x1.c374648794bb9p-10, -0x1.b7028382b67c5p-10, -0x1.aaead6b6f0e18p-10, -0x1.9f2aef0bebc7bp-10, -0x1.93c06bcf381ccp-10, -0x1.88a8fa73cc0ccp-10, -0x1.7de25652202f3p-10, -0x1.736a4868cf4fap-10, -0x1.693ea71dd6164p-10, -0x1.5f5d56005d2d9p-10, -0x1.55c4458b2b29ep-10, -0x1.4c7172e7a32ddp-10, -0x1.4362e7b172127p-10, -0x1.3a96b9bad02dep-10, -0x1.320b0ad16bfc5p-10, -0x1.29be0883fb6b5p-10, -0x1.21adebe87186dp-10, -0x1.19d8f962d9a7ap-10, -0x1.123d806ce2461p-10, -0x1.0ad9db5e11cfbp-10, -0x1.03ac6f34a3ebbp-10, -0x1.f96756be33fc2p-11, -0x1.ebdc130cec417p-11, -0x1.deb41ab24f8e3p-11, -0x1.d1ec88ad4d923p-11, -0x1.c5828b377fbd6p-11, -0x1.b973635f2553bp-11, -0x1.adbc64a27f3b7p-11, -0x1.a25af48c91d56p-11, -0x1.974c8a5349439p-11, -0x1.8c8eae7701058p-11, -0x1.821efa636f23ep-11, -0x1.77fb1811f2b17p-11, -0x1.6e20c1ad452e4p-11, -0x1.648dc1368cc64p-11, -0x1.5b3ff02bd0c53p-11, -0x1.5235372fcd8c4p-11, -0x1.496b8db327ceep-11, -0x1.40e0f99efd4b3p-11, -0x1.38938f00d1a2bp-11, -0x1.30816fb7d5fa1p-11, -0x1.28a8cb2389cc6p-11, -0x1.2107ddd3b2779p-11, -0x1.199cf139a828bp-11, -0x1.12665b5af5acfp-11, -0x1.0b627e8548e81p-11, -0x1.048fc903b3ef9p-11, -0x1.fbd969aa6eb86p-12, -0x1.eeef8ec9317f3p-12, -0x1.e25f2282fec66p-12, -0x1.d6255bb5ac5fep-12, -0x1.ca3f8674debc5p-12, -0x1.beab0383cd8d9p-12, -0x1.b36547d182f7fp-12, -0x1.a86bdbf78af58p-12, -0x1.9dbc5bbb127a3p-12, -0x1.935475906b145p-12, -0x1.8931ea20ee89fp-12, -0x1.7f528bd33e64ep-12, -0x1.75b43e55d6deep-12, -0x1.6c54f62bedf99p-12, -0x1.6332b83c995a2p-12, -0x1.5a4b996435f53p-12, -0x1.519dbe0805612p-12, -0x1.492759ac029d2p-12, -0x1.40e6ae8ade152p-12, -0x1.38da0d302070cp-12, -0x1.30ffd4146b9d9p-12, -0x1.29566f3bd1868p-12, -0x1.21dc57d63b849p-12, -0x1.1a9013e1d9869p-12, -0x1.137035cf963cp-12, -0x1.0c7b5c2980805p-12, -0x1.05b0313b2e877p-12, -0x1.fe1ad57812756p-13, -0x1.f12392f6fcd8bp-13, -0x1.e478321e24759p-13, -0x1.d8165f048b727p-13, -0x1.cbfbda10a13dep-13, -0x1.c026775f448d3p-13, -0x1.b4941e2e4592fp-13, -0x1.a942c84a6a398p-13, -0x1.9e308180ca0cfp-13, -0x1.935b671392f13p-13, -0x1.88c1a732129ccp-13, -0x1.7e618073fafp-13, -0x1.74394157e128cp-13, -0x1.6a4747c4d3049p-13, -0x1.608a008f0ca01p-13, -0x1.56ffe6ffabf3p-13, -0x1.4da7845f6583ap-13, -0x1.447f6f841e64cp-13, -0x1.3b864c616e322p-13, -0x1.32bacb9be7b87p-13, -0x1.2a1baa1f33fd9p-13, -0x1.21a7b0b6d63a6p-13, -0x1.195db3a9a562ep-13, -0x1.113c9257e203bp-13, -0x1.094336dbd924fp-13, -0x1.017095ad0ecbfp-13, -0x1.f3875a8bc52e8p-14, -0x1.e4770b973c80bp-14, -0x1.d5ae6171c4986p-14, -0x1.c72b9114daa1ap-14, -0x1.b8ece0dc41f9fp-14, -0x1.aaf0a7e89d952p-14, -0x1.9d354d8655857p-14, -0x1.8fb94898d62adp-14, -0x1.827b1f09f835fp-14, -0x1.7579653d8beb4p-14, -0x1.68b2bd88e737cp-14, -0x1.5c25d7ae66051p-14, -0x1.4fd1705cc58fep-14, -0x1.43b450b243ep-14, -0x1.37cd4dc3718bdp-14, -0x1.2c1b48259e8bp-14, -0x1.209d2b7ccd606p-14, -0x1.1551ee0d1a696p-14, -0x1.0a38904f82112p-14, -0x1.fea03913e42d8p-15, -0x1.e92f4cd524e2fp-15, -0x1.d41c954c6a81bp-15, -0x1.bf665d33ac01p-15, -0x1.ab0affde366c6p-15, -0x1.9708e88788e1fp-15, -0x1.835e91a7e69d6p-15, -0x1.700a844e81846p-15, -0x1.5d0b578111f7ep-15, -0x1.4a5fafa0bf749p-15, -0x1.38063dd437c78p-15, -0x1.25fdbf76d2412p-15, -0x1.1444fd8ca0466p-15, -0x1.02dacc3b49be8p-15, -0x1.e37c148f2eebcp-16, -0x1.c1db412f16116p-16, -0x1.a0d10371d5836p-16, -0x1.805b52d835051p-16, -0x1.607838666300cp-16, }}, 
      {{0x1.fff73d38ef616p-1, 0x1.ffdcf67d20c55p-1, 0x1.ffb13096d7b71p-1, 0x1.ff73f37b97084p-1, 0x1.ff254a42fed05p-1, 0x1.fec5431a782aap-1, 0x1.fe53ef360b0eap-1, 0x1.fdd162beb8a35p-1, 0x1.fd3db4bec0f87p-1, 0x1.fc98ff0c23f85p-1, 0x1.fbe35e31b90cdp-1, 0x1.fb1cf1572527fp-1, 0x1.fa45da27f555ep-1, 0x1.f95e3cba1d2ep-1, 0x1.f8663f740c96cp-1, 0x1.f75e0af2901a8p-1, 0x1.f645c9eea361ap-1, 0x1.f51da9235a8aep-1, 0x1.f3e5d7340012fp-1, 0x1.f29e849283a8p-1, 0x1.f147e3664c2a9p-1, 0x1.efe227737f542p-1, 0x1.ee6d8602cfbap-1, 0x1.ecea35c9d7c56p-1, 0x1.eb586ed40fb3p-1, 0x1.e9b86a6c5f443p-1, 0x1.e80a6307545cfp-1, 0x1.e64e942dff701p-1, 0x1.e4853a6975ba6p-1, 0x1.e2ae932efe5a9p-1, 0x1.e0cadccce3e63p-1, 0x1.deda5657ed1e7p-1, 0x1.dcdd3f997a925p-1, 0x1.dad3d8fe44901p-1, 0x1.d8be6385b76abp-1, 0x1.d69d20b1ecc24p-1, 0x1.d47052783a1c5p-1, 0x1.d2383b3254cd1p-1, 0x1.cff51d9004979p-1, 0x1.cda73c89629a1p-1, 0x1.cb4edb519db5fp-1, 0x1.c8ec3d4a4439dp-1, 0x1.c67fa5f708e98p-1, 0x1.c40958f2040c4p-1, 0x1.c18999e069e87p-1, 0x1.bf00ac67b0141p-1, 0x1.bc6ed42322b36p-1, 0x1.b9d45499e030ep-1, 0x1.b73171353a1dp-1, 0x1.b4866d3777084p-1, 0x1.b1d38bb2f00fap-1, 0x1.af190f818892dp-1, 0x1.ac573b3c7a5b2p-1, 0x1.a98e51347552bp-1, 0x1.a6be936a0c32ep-1, 0x1.a3e843866ed2fp-1, 0x1.a10ba2d46c5eep-1, 0x1.9e28f239bcce4p-1, 0x1.9b4072308e4ddp-1, 0x1.985262c15236bp-1, 0x1.955f037ccbfd9p-1, 0x1.926693765c9bdp-1, 0x1.8f69513e87cd3p-1, 0x1.8c677addb58f5p-1, 0x1.89614dcf29b9p-1, 0x1.865706fc32fc7p-1, 0x1.8348e2b78f91p-1, 0x1.80371cb904711p-1, 0x1.7d21f01928eep-1, 0x1.7a09974d626ccp-1, 0x1.76ee4c24127e2p-1, 0x1.73d047c0f324ap-1, 0x1.70afc299a22a1p-1, 0x1.6d8cf4725bf42p-1, 0x1.6a68145ae102ep-1, 0x1.674158ab89645p-1, 0x1.6418f70284237p-1, 0x1.60ef24414046bp-1, 0x1.5dc4148a00b02p-1, 0x1.5a97fb3d9a6e7p-1, 0x1.576b0af959c21p-1, 0x1.543d759512036p-1, 0x1.510f6c2151d22p-1, 0x1.4de11ee5c1b56p-1, 0x1.4ab2bd5fa57a6p-1, 0x1.4784764085607p-1, 0x1.4456776cfa746p-1, 0x1.4128edfba0867p-1, 0x1.3dfc063429c4ap-1, 0x1.3acfeb8e95f61p-1, 0x1.37a4c8b28ae9ap-1, 0x1.347ac776cf6bep-1, 0x1.315210e0e4248p-1, 0x1.2e2acd24be515p-1, 0x1.2b0523a49ff92p-1, 0x1.27e13af10eaf3p-1, 0x1.24bf38c8e75dcp-1, 0x1.219f42198ea6fp-1, 0x1.1e817aff3cfadp-1, 0x1.1b6606c565111p-1, 0x1.184d07e7348d3p-1, 0x1.1536a0102e964p-1, 0x1.1222f01cde2dep-1, 0x1.0f12181b9f9e9p-1, 0x1.0c04374d8252ap-1, 0x1.08f96c273f1e9p-1, 0x1.05f1d4524450bp-1, 0x1.02ed8cadd7157p-1, 0x1.ffd962a08e37dp-2, 0x1.f9debb106b99ap-2, 0x1.f3eb57bbdff4bp-2, 0x1.edff6c29b0fd2p-2, 0x1.e81b2a59c63f4p-2, 0x1.e23ec2c841364p-2, 0x1.dc6a6470b1f91p-2, 0x1.d69e3cd168ee4p-2, 0x1.d0da77eee4352p-2, 0x1.cb1f405757e29p-2, 0x1.c56cbf264fc06p-2, 0x1.bfc31c0865b84p-2, 0x1.ba227d3f1312ep-2, 0x1.b48b07a4934e3p-2, 0x1.aefcdeafdb2f4p-2, 0x1.a9782478a47fbp-2, 0x1.a3fcf9bb89a06p-2, 0x1.9e8b7dde3394cp-2, 0x1.9923cef3929c9p-2, 0x1.93c609c02be9bp-2, 0x1.8e7249be6ed03p-2, 0x1.8928a923195afp-2, 0x1.83e940e1a53b4p-2, 0x1.7eb428b0c4febp-2, 0x1.7989770ee144ap-2, 0x1.74694146a7fc5p-2, 0x1.6f539b739ba25p-2, 0x1.6a489886af3fbp-2, 0x1.65484a4ae2d9ap-2, 0x1.6052c169e98dcp-2, 0x1.5b680d70d171p-2, 0x1.56883cd4af641p-2, 0x1.51b35cf74f4d2p-2, 0x1.4ce97a2be3e1cp-2, 0x1.482a9fbbb9f49p-2, 0x1.4376d7eaeca53p-2, 0x1.3ece2bfd18ae3p-2, 0x1.3a30a43a10948p-2, 0x1.359e47f28d52p-2, 0x1.31171d84e1a4p-2, 0x1.2c9b2a61a7a19p-2, 0x1.282a73106d70cp-2, 0x1.23c4fb345e072p-2, 0x1.1f6ac590e745ep-2, 0x1.1b1bd40e5b3ffp-2, 0x1.16d827be8d1a2p-2, 0x1.129fc0e168a43p-2, 0x1.0e729ee985fcbp-2, 0x1.0a50c080b549dp-2, 0x1.063a238c84bbp-2, 0x1.022ec532c1437p-2, 0x1.fc5d43bbe0955p-3, 0x1.f4736a837f617p-3, 0x1.ec9ff4bee035p-3, 0x1.e4e2d7146ea66p-3, 0x1.dd3c04d734a5cp-3, 0x1.d5ab700f7b2fep-3, 0x1.ce3109835969ap-3, 0x1.c6ccc0bf384b9p-3, 0x1.bf7e841e36a4p-3, 0x1.b84640d287d1p-3, 0x1.b123e2edb2d08p-3, 0x1.aa175568c5e0fp-3, 0x1.a320822c6fbe9p-3, 0x1.9c3f52190748cp-3, 0x1.9573ad0e7c493p-3, 0x1.8ebd79f42f99dp-3, 0x1.881c9ec0bb753p-3, 0x1.81910081a1642p-3, 0x1.7b1a8362df89ap-3, 0x1.74b90ab671b41p-3, 0x1.6e6c78fbbc70bp-3, 0x1.6834afe6db187p-3, 0x1.62119067da828p-3, 0x1.5c02fab1d9539p-3, 0x1.5608ce4214f33p-3, 0x1.5022e9e6d351ep-3, 0x1.4a512bc63e9c8p-3, 0x1.4493716525aacp-3, 0x1.3ee997ad9be22p-3, 0x1.39537af58cc8bp-3, 0x1.33d0f70528e35p-3, 0x1.2e61e71d44818p-3, 0x1.290625fd97bfep-3, 0x1.23bd8deae345ep-3, 0x1.1e87f8b4ffe72p-3, 0x1.19653fbcd13e4p-3, 0x1.14553bfa21689p-3, 0x1.0f57c601617d6p-3, 0x1.0a6cb6094ec0bp-3, 0x1.0593e3f081d88p-3, 0x1.00cd2742e39eap-3, 0x1.f830ae7e0651fp-4, 0x1.eeea95b6b2b31p-4, 0x1.e5c7b196e090ap-4, 0x1.dcc7af09dd0edp-4, 0x1.d3ea3a891a96p-4, 0x1.cb2f0025e1525p-4, 0x1.c295ab92d8ff1p-4, 0x1.ba1de82d552p-4, 0x1.b1c76106737cep-4, 0x1.a991c0ec0cdfbp-4, 0x1.a17cb2716a031p-4, 0x1.9987dff7d7f42p-4, 0x1.91b2f3b6f562ep-4, 0x1.89fd97c4e372p-4, 0x1.8267761e3ab6bp-4, 0x1.7af038add35c4p-4, 0x1.739789545d9b2p-4, 0x1.6c5d11efca82cp-4, 0x1.65407c6286525p-4, 0x1.5e41729a837ebp-4, 0x1.575f9e9817fbp-4, 0x1.509aaa74acc3cp-4, 0x1.49f240694006dp-4, 0x1.43660ad4b98dfp-4, 0x1.3cf5b442143cbp-4, 0x1.36a0e76e5ab1cp-4, 0x1.30674f4e7793dp-4, 0x1.2a489714dc2c4p-4, 0x1.24446a36fb8e6p-4, 0x1.1e5a74729be01p-4, 0x1.188a61d2fdf08p-4, 0x1.12d3deb5db1ep-4, 0x1.0d3697d03c5a3p-4, 0x1.07b23a33269c1p-4, 0x1.0246735021d9p-4, 0x1.f9e5e1fb301dcp-5, 0x1.ef6ec2f619cb8p-5, 0x1.e526e6ea62dd2p-5, 0x1.db0dac13a14d8p-5, 0x1.d12271972f225p-5, 0x1.c764978b72d7ep-5, 0x1.bdd37efedde95p-5, 0x1.b46e89fea9337p-5, 0x1.ab351b9d45b2p-5, 0x1.a22697f88e427p-5, 0x1.9942643fb4ca1p-5, 0x1.9087e6b8ebcecp-5, 0x1.87f686c6cfac5p-5, 0x1.7f8daced92ebbp-5, 0x1.774cc2d7e657ap-5, 0x1.6f33335ba9d4cp-5, 0x1.67406a7e5b6d7p-5, 0x1.5f73d5794ec6fp-5, 0x1.57cce2bda812p-5, 0x1.504b01f82017cp-5, 0x1.48eda4148d851p-5, 0x1.41b43b413a7d7p-5, 0x1.3a9e3af202f03p-5, 0x1.33ab17e33cbe8p-5, 0x1.2cda481c7170bp-5, 0x1.262b42f2dddc7p-5, 0x1.1f9d810bc8fc1p-5, 0x1.19307c5ea3e12p-5, 0x1.12e3b036fd531p-5, 0x1.0cb69936480a2p-5, 0x1.06a8b55572d2bp-5, 0x1.00b983e6534dap-5, 0x1.f5d10b29d4ad5p-6, 0x1.ea6a78d0f06d9p-6, 0x1.df3e5788dcb7ep-6, 0x1.d44bb0d269763p-6, 0x1.c99190e995eb1p-6, 0x1.bf0f06c68376fp-6, 0x1.b4c3241e2367ep-6, 0x1.aaacfd6298c97p-6, 0x1.a0cba9c3575b3p-6, 0x1.971e432cfe45p-6, 0x1.8da3e648eff1bp-6, 0x1.845bb27cabfd1p-6, 0x1.7b44c9e8e864dp-6, 0x1.725e51686f9cep-6, 0x1.69a7708ec5a4ep-6, 0x1.611f51a695857p-6, 0x1.58c521afdec4ep-6, 0x1.5098105dfd9p-6, 0x1.489750156f555p-6, 0x1.40c215e971604p-6, 0x1.3917999969456p-6, 0x1.3197158e20f9bp-6, 0x1.2a3fc6d6d5e05p-6, 0x1.2310ed261cebep-6, 0x1.1c09cace9c86ep-6, 0x1.1529a4bf9e601p-6, 0x1.0e6fc2817beb1p-6, 0x1.07db6e31e3792p-6, 0x1.016bf47ffda7p-6, 0x1.f6414950d6c69p-7, 0x1.e9f1a0e24f9d1p-7, 0x1.dde7984a90a96p-7, 0x1.d221dd213e713p-7, 0x1.c69f21f686c37p-7, 0x1.bb5e1e49ee2e7p-7, 0x1.b05d8e80fd17ep-7, 0x1.a59c33dda3a52p-7, 0x1.9b18d47482e67p-7, 0x1.90d23b2300875p-7, 0x1.86c737852aa4dp-7, 0x1.7cf69deb7f7e2p-7, 0x1.735f475086b41p-7, 0x1.6a00114e4e61fp-7, 0x1.60d7de13b9c61p-7, 0x1.57e59459c33e8p-7, 0x1.4f281f5892a5dp-7, 0x1.469e6ebc7d96dp-7, 0x1.3e47769aecf2fp-7, 0x1.36222f6730d1p-7, 0x1.2e2d95e7386a4p-7, 0x1.2668ab2839483p-7, 0x1.1ed27473456a6p-7, 0x1.1769fb41d0896p-7, 0x1.102e4d3227b2bp-7, 0x1.091e7bfbdc15cp-7, 0x1.02399d6422d73p-7, 0x1.f6fd966458544p-8, 0x1.e9da4646e3a6cp-8, 0x1.dd078dbffef7ep-8, 0x1.d083b7dd6d947p-8, 0x1.c44d17531df52p-8, 0x1.b8620663a666ap-8, 0x1.acc0e6c8bee17p-8, 0x1.a168219bbd226p-8, 0x1.9656273e122acp-8, 0x1.8b896f41d032ep-8, 0x1.8100785235651p-8, 0x1.76b9c81c45841p-8, 0x1.6cb3eb376b2b1p-8, 0x1.62ed750e2ba0ep-8, 0x1.5964ffc6e997p-8, 0x1.50192c2cba7c2p-8, 0x1.4708a19850eabp-8, 0x1.3e320dd8fe2c9p-8, 0x1.3594251dca433p-8, 0x1.2d2da1dea6654p-8, 0x1.24fd44c5bc31dp-8, 0x1.1d01d498d831bp-8, 0x1.153a1e22f3de9p-8, 0x1.0da4f41ddfc15p-8, 0x1.06412f1c0dee9p-8, 0x1.fe1b5ae501155p-9, 0x1.f012a645b5499p-9, 0x1.e266138b31843p-9, 0x1.d51380e8d9305p-9, 0x1.c818d769868ffp-9, 0x1.bb740ac4e1817p-9, 0x1.af23193511774p-9, 0x1.a3240b4cbb6fcp-9, 0x1.9774f3cd5d5fep-9, 0x1.8c13ef7dff2f3p-9, 0x1.80ff25023b861p-9, 0x1.7634c4b1aap-9, 0x1.6bb3086fa00f2p-9, 0x1.6178338353442p-9, 0x1.578292705ab99p-9, 0x1.4dd07acf90326p-9, 0x1.44604b28529cfp-9, 0x1.3b306aca2e7a7p-9, 0x1.323f49a6e5fa3p-9, 0x1.298b602cde694p-9, 0x1.21132f21f537ep-9, 0x1.18d53f7eb8a2dp-9, 0x1.10d0224a05b18p-9, 0x1.09027075124a5p-9, 0x1.016acab7daeb8p-9, 0x1.f40fb2dbeed1fp-10, 0x1.e5b098e7bae07p-10, 0x1.d7b5b6090b226p-10, 0x1.ca1c872efd39ep-10, 0x1.bce2977eccb3p-10, 0x1.b00580119c978p-10, 0x1.a382e7b3114cfp-10, 0x1.975882a0bbdep-10, 0x1.8b84124a5fb05p-10, 0x1.8003651302e3bp-10, 0x1.74d45612d13cap-10, 0x1.69f4ccd9dcdbfp-10, 0x1.5f62bd33a3ffp-10, 0x1.551c26eb6b8b7p-10, 0x1.4b1f159175277p-10, 0x1.4169a040f158fp-10, 0x1.37f9e966dab48p-10, 0x1.2ece1e8987711p-10, 0x1.25e478111b0a1p-10, 0x1.1d3b3910bce95p-10, 0x1.14d0af109d1bfp-10, 0x1.0ca331d8c5f02p-10, 0x1.04b1233cb2623p-10, 0x1.f9f1ddcf6c5ccp-11, 0x1.eaf214544cd28p-11, 0x1.dc5fe78e982adp-11, 0x1.ce3867883661bp-11, 0x1.c078b66d5d22dp-11, 0x1.b31e082d0ad1p-11, 0x1.a625a21b0516fp-11, 0x1.998cda93567fep-11, 0x1.8d51189f489ep-11, 0x1.816fd39bd80b4p-11, 0x1.75e692e19d4f7p-11, 0x1.6ab2ed6e2aad3p-11, 0x1.5fd2898ed7d8ap-11, 0x1.55431c8cfb26bp-11, 0x1.4b026a5b8bec2p-11, 0x1.410e4546286bbp-11, 0x1.37648da1815abp-11, 0x1.2e03317d209f4p-11, 0x1.24e82c568ca33p-11, 0x1.1c1186cdc30cbp-11, 0x1.137d565b06d01p-11, 0x1.0b29bd05fe73p-11, 0x1.0314e91e1eacdp-11, 0x1.f67a29e8bb22ep-12, 0x1.e7410d2c57228p-12, 0x1.d87b1f1356a8bp-12, 0x1.ca25191653948p-12, 0x1.bc3bca979d19dp-12, 0x1.aebc1863009ecp-12, 0x1.a1a2fc2ffe4b6p-12, 0x1.94ed842650f8fp-12, 0x1.8898d264d2842p-12, 0x1.7ca21c8aa5fc1p-12, 0x1.7106ab42adfd2p-12, 0x1.65c3d9d13a0cbp-12, 0x1.5ad715a3ef762p-12, 0x1.503ddde3dacp-12, 0x1.45f5c309ad528p-12, 0x1.3bfc6674154c2p-12, 0x1.324f7a002f84ap-12, 0x1.28ecbfa407952p-12, 0x1.1fd2090b21647p-12, 0x1.16fd37350168cp-12, 0x1.0e6c3a15b0779p-12, 0x1.061d10382d2e2p-12, 0x1.fc1b8cc5997ccp-13, 0x1.ec78ee7af156ep-13, 0x1.dd4e95f399352p-13, 0x1.ce98edfa0807p-13, 0x1.c0547b17714cap-13, 0x1.b27ddaeec4edp-13, 0x1.a511c39b31f83p-13, 0x1.980d03121235p-13, 0x1.8b6c7e883913bp-13, 0x1.7f2d31da914ddp-13, 0x1.734c2efa04b27p-13, 0x1.67c69d5a914bdp-13, 0x1.5c99b9658bdf3p-13, 0x1.51c2d3eefea84p-13, 0x1.473f51ae0f9aap-13, 0x1.3d0caab869a6cp-13, 0x1.33286a009d4dep-13, 0x1.29902cd758175p-13, 0x1.2041a26f85d15p-13, 0x1.173a8b6533161p-13, 0x1.0e78b9472d792p-13, 0x1.05fa0e235cddcp-13, 0x1.fb78f82b75de7p-14, 0x1.eb7c09b3d5142p-14, 0x1.dbf972beaf51ap-14, 0x1.cced72bfb4ddep-14, 0x1.be5465f196995p-14, 0x1.b02ac48d14138p-14, 0x1.a26d2204ae938p-14, 0x1.95182c4510363p-14, 0x1.8828aaf9f8785p-14, 0x1.7b9b7ed7a4d02p-14, 0x1.6f6da0e89854ap-14, 0x1.639c21dfaf5a7p-14, 0x1.5824296e68817p-14, 0x1.4d02f59f4ed88p-14, 0x1.4235da347030fp-14, 0x1.37ba4009c8efdp-14, 0x1.2d8da47b9358ep-14, 0x1.23ad98d0659bap-14, 0x1.1a17c1a70a19dp-14, 0x1.10c9d667fece3p-14, 0x1.07c1a0ba88312p-14, 0x1.fdf9f7fa8be83p-15, 0x1.ecf3a9846b84bp-15, 0x1.dc6c509c21813p-15, 0x1.cc600835e83fcp-15, 0x1.bccb0abc81889p-15, 0x1.ada9b1234392p-15, 0x1.9ef871fe50187p-15, 0x1.90b3e0a0d1226p-15, 0x1.82d8ac4120c73p-15, 0x1.75639f22b2e61p-15, 0x1.68519dc5a4b29p-15, 0x1.5b9fa61bd5a18p-15, 0x1.4f4acec35f8cdp-15, 0x1.435046465dd9cp-15, 0x1.37ad525fd74fdp-15, 0x1.2c5f4f45b72bdp-15, 0x1.2163aef7b334ep-15, 0x1.16b7f89303cdfp-15, 0x1.0c59c7aacf081p-15, 0x1.0246cba531168p-15, 0x1.f0f98e397cf49p-16, 0x1.ddf31e8cdbc32p-16, 0x1.cb7616b791291p-16, 0x1.b97e681297a58p-16, 0x1.a80825c1bec4ap-16, 0x1.970f83a093cbep-16, 0x1.8690d537171d2p-16, 0x1.76888cb606d58p-16, 0x1.66f339fa992efp-16, 0x1.57cd899972c2fp-16, 0x1.491443f0ab49ep-16, 0x1.3ac44c40bb5ccp-16, 0x1.2cda9fcc1bbfcp-16, 0x1.1f5454fd7b8a2p-16, 0x1.122e9a9450a58p-16, 0x1.0566b6d7af2f8p-16, 0x1.f1f40d9e521adp-17, 0x1.d9cbfb034a3c1p-17, 0x1.c2504673e4795p-17, 0x1.ab7c29a203ccdp-17, 0x1.954b05fb35e84p-17, 0x1.7fb86352c9682p-17, 0x1.6abfee964b461p-17, 0x1.565d788c27cf4p-17, 0x1.428cf49c2a3bdp-17, 0x1.2f4a77a199c27p-17, 0x1.1c9236c6b34ecp-17, 0x1.0a6086693d8ffp-17, 0x1.f163b20ffa4aep-18, 0x1.cf057c7192b96p-18, 0x1.ad9fc34e116f1p-18, 0x1.8d2c1434adf28p-18, 0x1.6da4310a41b14p-18, 0x1.4f020e35f4813p-18, 0x1.313fd0dcf2738p-18, 0x1.1457cd2cc5833p-18, 0x1.f0890967c9764p-19, 0x1.ba01499031b29p-19, 0x1.850e09f49e7c8p-19, 0x1.51a54b2efd487p-19, 0x1.1fbd5c6c73324p-19, 0x1.de99b142635cap-20, 0x1.809547a870414p-20, 0x1.255bd104c7a31p-20, 0x1.99b8546037ca9p-21, 0x1.dc16cc0518b64p-22, 0x1.1e424cb81692ep-23, -0x1.675dd1a777d6dp-23, -0x1.ec962cca3febfp-22, -0x1.8de7d632dfe6p-21, -0x1.10652ea0b2937p-20, -0x1.5787417270523p-20, -0x1.9c67a9fb81579p-20, -0x1.df138d18d6c28p-20, -0x1.0fcbd8d1b2e51p-19, -0x1.2f0041edd0f57p-19, -0x1.4d2d0c5ac9079p-19, -0x1.6a5818833fc03p-19, -0x1.86871e4a87a65p-19, -0x1.a1bfae866fb95p-19, -0x1.bc07346b342ddp-19, -0x1.d562f6ea0c1c9p-19, -0x1.edd81a02b995dp-19, -0x1.02b5d00447699p-18, -0x1.0e11356da2f4p-18, -0x1.19009e8a0d1aep-18, -0x1.23865d93bc781p-18, -0x1.2da4b63dd9f82p-18, -0x1.375dde3a85c6cp-18, -0x1.40b3fdbbb705dp-18, -0x1.49a92fef2018bp-18, -0x1.523f8375439d6p-18, -0x1.5a78fad3e3df1p-18, -0x1.62578ce3f2cdcp-18, -0x1.69dd253b2bfcp-18, -0x1.710ba4917ef8ep-18, -0x1.77e4e1226a042p-18, -0x1.7e6aa70a71366p-18, -0x1.849eb8a0cdc87p-18, -0x1.8a82cecd7af24p-18, -0x1.9018995bc0f3ap-18, -0x1.9561bf495d675p-18, -0x1.9a5fdf1266daap-18, -0x1.9f148efa0e898p-18, -0x1.a3815d505704ap-18, -0x1.a7a7d0b4e0098p-18, -0x1.ab896856e25a1p-18, -0x1.af279c327663ap-18, -0x1.b283dd4b3ec6bp-18, -0x1.b59f95e48f8adp-18, -0x1.b87c29b72c82p-18, -0x1.bb1af624b39cdp-18, -0x1.bd7d5268cc427p-18, -0x1.bfa48fc82efc8p-18, -0x1.c191f9bd9fb12p-18, -0x1.c346d624e8d4ep-18, }}, 
      {{0x1.544372f7d4ee3p-7, 0x1.545c17e016f41p-6, 0x1.fec66d5b9543ep-6, 0x1.54bac23d13c4cp-5, 0x1.aa3d4dd8cdb29p-5, 0x1.fff14c85ef952p-5, 0x1.2aed5d93c242ap-4, 0x1.55fd7874cd7fap-4, 0x1.812843871e86ap-4, 0x1.ac6baa60d6ccap-4, 0x1.d7c43dcaed4e6p-4, 0x1.0196a05cc8d11p-3, 0x1.17505d45064a7p-3, 0x1.2d0bc69cd91dep-3, 0x1.42c4c739ad62ap-3, 0x1.5876d13ceb53ap-3, 0x1.6e1cec0e3f643p-3, 0x1.83b1c283a2541p-3, 0x1.992fb0f019196p-3, 0x1.ae90d2e107cf2p-3, 0x1.c3cf105ed0198p-3, 0x1.d8e42a90a99b7p-3, 0x1.edc9c7ad1fb1cp-3, 0x1.013cbf1437824p-2, 0x1.0b766f8c359e1p-2, 0x1.158ebfe5468a3p-2, 0x1.1f8281465f2acp-2, 0x1.294e8f5633c5cp-2, 0x1.32efd3d8aadc1p-2, 0x1.3c6349edda3b9p-2, 0x1.45a600f696f2cp-2, 0x1.4eb51f2306d8cp-2, 0x1.578de3afbf61cp-2, 0x1.602da8d6218b2p-2, 0x1.6891e57494938p-2, 0x1.70b82e73459dfp-2, 0x1.789e37e9f8678p-2, 0x1.8041d60b64f4ap-2, 0x1.87a0fdda7aea8p-2, 0x1.8eb9c5adce2cep-2, 0x1.958a65854e0a4p-2, 0x1.9c11373645f37p-2, 0x1.a24cb6717f95dp-2, 0x1.a83b80a743ccdp-2, 0x1.addc54ccbd609p-2, 0x1.b32e130624622p-2, 0x1.b82fbc38e8237p-2, 0x1.bce07188d7b1cp-2, 0x1.c13f73c324a7cp-2, 0x1.c54c22b9da352p-2, 0x1.c905fc9241ac9p-2, 0x1.cc6c9d086b10bp-2, 0x1.cf7fbca9e6cp-2, 0x1.d23f30098433ep-2, 0x1.d4aae6edc2a11p-2, 0x1.d6c2eb7b686f8p-2, 0x1.d887615d892f8p-2, 0x1.d9f884ec1fd6ep-2, 0x1.db16aa522f9cp-2, 0x1.dbe23cb4404a9p-2, 0x1.dc5bbd57e751dp-2, 0x1.dc83c2ccea473p-2, 0x1.dc5af8187755fp-2, 0x1.dbe21be2c5d8cp-2, 0x1.db19ffa76e489p-2, 0x1.da0386e8a8ffap-2, 0x1.d89fa6659770ep-2, 0x1.d6ef6353ac0fp-2, 0x1.d4f3d29b40b79p-2, 0x1.d2ae181756cd3p-2, 0x1.d01f65d88250cp-2, 0x1.cd48fb6af339fp-2, 0x1.ca2c251f8d399p-2, 0x1.c6ca3b5805fa4p-2, 0x1.c324a1d5f0cfp-2, 0x1.bf3cc70cb054bp-2, 0x1.bb14237636b82p-2, 0x1.b6ac38ea8e774p-2, 0x1.b20691fa1d1b2p-2, 0x1.ad24c14a9247ap-2, 0x1.a80860f687f82p-2, 0x1.a2b311efc2506p-2, 0x1.9d267b641b539p-2, 0x1.97644a251143fp-2, 0x1.916e301201c93p-2, 0x1.8b45e38519576p-2, 0x1.84ed1ec2fbad7p-2, 0x1.7e659f6d30d96p-2, 0x1.77b125f76698fp-2, 0x1.70d1751f91145p-2, 0x1.69c85168f662bp-2, 0x1.6297809a3dea7p-2, 0x1.5b40c93e86403p-2, 0x1.53c5f2299efcp-2, 0x1.4c28c1ff6a7b4p-2, 0x1.446afebe82614p-2, 0x1.3c8e6d4e225d5p-2, 0x1.3494d10f72b6fp-2, 0x1.2c7feb7236966p-2, 0x1.24517b8cf2443p-2, 0x1.1c0b3db88b933p-2, 0x1.13aeeb2f775dap-2, 0x1.0b3e39b074869p-2, 0x1.02badb24dfeeep-2, 0x1.f44cfa95455e5p-3, 0x1.e30592c38341p-3, 0x1.d1a2c7bb19c43p-3, 0x1.c027d832deb74p-3, 0x1.ae97f822bffe2p-3, 0x1.9cf6503bd8dcbp-3, 0x1.8b45fd67ba0a7p-3, 0x1.798a104ece904p-3, 0x1.67c58ce5d6681p-3, 0x1.55fb6a025f1dp-3, 0x1.442e90f622ad7p-3, 0x1.3261dd313dba3p-3, 0x1.20981beb1ab5p-3, 0x1.0ed40bd1f88c4p-3, 0x1.fa30b981d8905p-4, 0x1.d6cf5ef8882ddp-4, 0x1.b3892ae8431f6p-4, 0x1.9063211a55c83p-4, 0x1.6d6225de5eed4p-4, 0x1.4a8afdb332f9ap-4, 0x1.27e24cfb05f5cp-4, 0x1.056c97ba924fap-4, 0x1.c65c82c5cfaaep-5, 0x1.8257194b25acbp-5, 0x1.3ed136a58ac8cp-5, 0x1.f7a5b904c671p-6, 0x1.72c794fcf615fp-6, 0x1.de2df86a03f3ep-7, 0x1.b28996070ffap-8, -0x1.4883c47369f0dp-10, -0x1.28b6f40493734p-7, -0x1.12ca67d177899p-6, -0x1.8fc89c928b8d2p-6, -0x1.05a5189c7549ap-5, -0x1.42a1e006270f2p-5, -0x1.7ed531e6d5934p-5, -0x1.ba39db61b8f58p-5, -0x1.f4cae8d731df6p-5, -0x1.1741d2aa07a89p-4, -0x1.33afccfb24314p-4, -0x1.4fad46a3d8b64p-4, -0x1.6b384147a0042p-4, -0x1.864edc8cb252dp-4, -0x1.a0ef55bbff017p-4, -0x1.bb18075d304f1p-4, -0x1.d4c768cf0a83ap-4, -0x1.edfc0ddc4416bp-4, -0x1.035a53269927dp-3, -0x1.0f77febb377bp-3, -0x1.1b567ce260eb5p-3, -0x1.26f54e2339878p-3, -0x1.3254001921d8ep-3, -0x1.3d722d361f032p-3, -0x1.484f7c844e5b7p-3, -0x1.52eba16669bfbp-3, -0x1.5d465b578fb06p-3, -0x1.675f75aa4906p-3, -0x1.7136c746f9feep-3, -0x1.7acc3269bea6p-3, -0x1.841fa45fd8649p-3, -0x1.8d311544b66c8p-3, -0x1.960087beac547p-3, -0x1.9e8e08bb6ce44p-3, -0x1.a6d9af2c52bep-3, -0x1.aee39bc293ea2p-3, -0x1.b6abf8ab64ae2p-3, -0x1.be32f94c1d062p-3, -0x1.c578d9fe6fb5fp-3, -0x1.cc7ddfccc80ecp-3, -0x1.d342582ec75e8p-3, -0x1.d9c698c60d242p-3, -0x1.e00aff1b39514p-3, -0x1.e60ff05b4844cp-3, -0x1.ebd5d9154dc41p-3, -0x1.f15d2cf891985p-3, -0x1.f6a666932bb59p-3, -0x1.fbb20711147eep-3, -0x1.00404afddf916p-2, -0x1.0289507d236e9p-2, -0x1.04b45dc918e0dp-2, -0x1.06c1bf746a3f2p-2, -0x1.08b1c4c2b1b31p-2, -0x1.0a84bf89d781p-2, -0x1.0c3b0413cbcbbp-2, -0x1.0dd4e900a1fa2p-2, -0x1.0f52c7290a3c1p-2, -0x1.10b4f98132d9ap-2, -0x1.11fbdcfc11befp-2, -0x1.1327d06f14105p-2, -0x1.143934763f36ep-2, -0x1.15306b58be1e8p-2, -0x1.160dd8ede0cc9p-2, -0x1.16d1e2828dep-2, -0x1.177ceebf29efap-2, -0x1.180f658df3e4ap-2, -0x1.1889b001dab8dp-2, -0x1.18ec383dcd079p-2, -0x1.1937695c7f5e9p-2, -0x1.196baf58b3dbcp-2, -0x1.198976f5fa4ccp-2, -0x1.19912da9eda71p-2, -0x1.19834185f41eep-2, -0x1.1960212178306p-2, -0x1.19283b84a60a7p-2, -0x1.18dc0013a41f2p-2, -0x1.187bde7a50f61p-2, -0x1.180846987c24cp-2, -0x1.1781a86ea3a8p-2, -0x1.16e8740b2cd37p-2, -0x1.163d197824462p-2, -0x1.158008a9757f4p-2, -0x1.14b1b16ba9e94p-2, -0x1.13d2835321472p-2, -0x1.12e2edabcb6f6p-2, -0x1.11e35f6962031p-2, -0x1.10d447181b164p-2, -0x1.0fb612cddcb68p-2, -0x1.0e89301beb951p-2, -0x1.0d4e0c0113863p-2, -0x1.0c0512dc4c053p-2, -0x1.0aaeb05fd61c9p-2, -0x1.094b4f84d02bcp-2, -0x1.07db5a7f43f0ap-2, -0x1.065f3ab2a98e8p-2, -0x1.04d758a6ddcf8p-2, -0x1.03441bfd8d626p-2, -0x1.01a5eb6813c47p-2, -0x1.fffa593b8e7a2p-3, -0x1.fc9488a56ca2fp-3, -0x1.f91b2c5daabefp-3, -0x1.f58f098b26436p-3, -0x1.f1f0e31bbc774p-3, -0x1.ee4179b51e18ep-3, -0x1.ea818ba678c18p-3, -0x1.e6b1d4daea98ep-3, -0x1.e2d30eccba2f6p-3, -0x1.dee5f0795def6p-3, -0x1.daeb2e5638c1p-3, -0x1.d6e37a4620fdap-3, -0x1.d2cf838f98305p-3, -0x1.ceaff6d3bff47p-3, -0x1.ca857e0603259p-3, -0x1.c650c064662ffp-3, -0x1.c212627092bc4p-3, -0x1.bdcb05e979c5p-3, -0x1.b97b49c5aca19p-3, -0x1.b523ca2e45718p-3, -0x1.b0c5207a7e925p-3, -0x1.ac5fe32bd18bcp-3, -0x1.a7f4a5eabd1b5p-3, -0x1.a383f9840e506p-3, -0x1.9f0e6be6c0f2fp-3, -0x1.9a94882269224p-3, -0x1.9616d66620e5p-3, -0x1.9195dbfff7e78p-3, -0x1.8d121b5ce72b4p-3, -0x1.888c14093e195p-3, -0x1.840442b182cf5p-3, -0x1.7f7b2123ccb01p-3, -0x1.7af126518ce82p-3, -0x1.7666c651c3237p-3, -0x1.71dc7263992cdp-3, -0x1.6d5298f16b9fep-3, -0x1.68c9a5942b725p-3, -0x1.644201172200cp-3, -0x1.5fbc117c12599p-3, -0x1.5b3839ffae16fp-3, -0x1.56b6db1e5f8c2p-3, -0x1.5238529963fd5p-3, -0x1.4dbcfb7c35e38p-3, -0x1.49452e223cad7p-3, -0x1.44d1403cc9e83p-3, -0x1.406184d95156dp-3, -0x1.3bf64c67e84ap-3, -0x1.378fe4c1ffe65p-3, -0x1.332e99315b3acp-3, -0x1.2ed2b27736999p-3, -0x1.2a7c76d3ae46p-3, -0x1.262c2a0d49321p-3, -0x1.21e20d78bf8d6p-3, -0x1.1d9e6000e0fd4p-3, -0x1.19615e2eaebbcp-3, -0x1.152b423191db5p-3, -0x1.10fc43e7bca51p-3, -0x1.0cd498e6a9dedp-3, -0x1.08b47483bd7dep-3, -0x1.049c07dcfa769p-3, -0x1.008b81e1dad94p-3, -0x1.f9061eb874d0dp-4, -0x1.f105b5f2a74f5p-4, -0x1.e9161aa5b5a5p-4, -0x1.e13799f0352b6p-4, -0x1.d96a7cee51111p-4, -0x1.d1af08cc4a2a5p-4, -0x1.ca057ed9085a2p-4, -0x1.c26e1c98ba0d6p-4, -0x1.bae91bd78a953p-4, -0x1.b376b2bc54fc5p-4, -0x1.ac1713db6a36bp-4, -0x1.a4ca6e49477b7p-4, -0x1.9d90edad637ddp-4, -0x1.966aba54e2d7ep-4, -0x1.8f57f9454bc16p-4, -0x1.8858cc4f33caep-4, -0x1.816d5220d95e5p-4, -0x1.7a95a658b0c16p-4, -0x1.73d1e197dd37ap-4, -0x1.6d221994939efp-4, -0x1.6686612c65a75p-4, -0x1.5ffec87673009p-4, -0x1.598b5cd57b91ep-4, -0x1.532c2909d4d78p-4, -0x1.4ce135433c6b7p-4, -0x1.46aa873287b8cp-4, -0x1.4088221b2daf6p-4, -0x1.3a7a06e4ab58fp-4, -0x1.3480342bbca03p-4, -0x1.2e9aa6536c746p-4, -0x1.28c95795f86b6p-4, -0x1.230c4015861e9p-4, -0x1.1d6355ecaa43cp-4, -0x1.17ce8d3ebda28p-4, -0x1.124dd84802e43p-4, -0x1.0ce1276d968ebp-4, -0x1.0788694d2dea2p-4, -0x1.02438acc9df55p-4, -0x1.fa24ee525c8ecp-5, -0x1.efea300d68b42p-5, -0x1.e5d6aafcef2d8p-5, -0x1.dbea2c5bb7055p-5, -0x1.d2247e89a4a6fp-5, -0x1.c88569282a92dp-5, -0x1.bf0cb136437fcp-5, -0x1.b5ba192bf914cp-5, -0x1.ac8d611572a87p-5, -0x1.a38646ad8e221p-5, -0x1.9aa48577fdb5ep-5, -0x1.91e7d6daf12adp-5, -0x1.894ff23842939p-5, -0x1.80dc8d062c74dp-5, -0x1.788d5ae783b87p-5, -0x1.70620dc379ffcp-5, -0x1.685a55dce5df4p-5, -0x1.6075e1e90ee6ep-5, -0x1.58b45f26047fcp-5, -0x1.5115797077e36p-5, -0x1.4998db591d62fp-5, -0x1.423e2e39960f5p-5, -0x1.3b051a48e0b16p-5, -0x1.33ed46af52c87p-5, -0x1.2cf6599a1a41ep-5, -0x1.261ff84e47eabp-5, -0x1.1f69c73b65c52p-5, -0x1.18d36a0d96cbbp-5, -0x1.125c83bf42996p-5, -0x1.0c04b6aa4eb73p-5, -0x1.05cba498e31b1p-5, -0x1.ff61ddab7fa23p-6, -0x1.f3686c78414bfp-6, -0x1.e7aa368e63453p-6, -0x1.dc267c422b821p-6, -0x1.d0dc7d62fd9a3p-6, -0x1.c5cb7957b76e2p-6, -0x1.baf2af3a35109p-6, -0x1.b0515df202fcfp-6, -0x1.a5e6c44e3e9aep-6, -0x1.9bb2211eab63dp-6, -0x1.91b2b34bf926cp-6, -0x1.87e7b9ef46abep-6, -0x1.7e507468dc7ecp-6, -0x1.74ec22762148cp-6, -0x1.6bba0446d7355p-6, -0x1.62b95a9192e65p-6, -0x1.59e966a77ef6cp-6, -0x1.51496a8765b88p-6, -0x1.48d8a8f005642p-6, -0x1.40966571b7e1ep-6, -0x1.3881e47f693dfp-6, -0x1.309a6b7edf999p-6, -0x1.28df40d8657b9p-6, -0x1.214fac05c3808p-6, -0x1.19eaf5a09feffp-6, -0x1.12b067703f489p-6, -0x1.0b9f4c76a0d73p-6, -0x1.04b6f0fd1161p-6, -0x1.fbed454030e18p-7, -0x1.eebb60b5be774p-7, -0x1.e1d6d5240618bp-7, -0x1.d53e463bb311dp-7, -0x1.c8f05aa862c2bp-7, -0x1.bcebbc2310bcbp-7, -0x1.b12f17837d19cp-7, -0x1.a5b91cd099b9p-7, -0x1.9a887f4ff04d2p-7, -0x1.8f9bf59423043p-7, -0x1.84f2398a72ac2p-7, -0x1.7a8a08875f7p-7, -0x1.7062235270d93p-7, -0x1.66794e310a56ep-7, -0x1.5cce50f081c61p-7, -0x1.535ff6ef54cc7p-7, -0x1.4a2d0f2590b85p-7, -0x1.41346c2c80e31p-7, -0x1.3874e4458e793p-7, -0x1.2fed51606c1dbp-7, -0x1.279c9120890b5p-7, -0x1.1f8184e1d299dp-7, -0x1.179b11bccc2c5p-7, -0x1.0fe82089fd41p-7, -0x1.08679de4c1506p-7, -0x1.01187a2d78c82p-7, -0x1.f3f35316464e1p-8, -0x1.e61447d8cd758p-8, -0x1.d891ca101502p-8, -0x1.cb69d8b9cba83p-8, -0x1.be9a7a6299496p-8, -0x1.b221bd23f6fabp-8, -0x1.a5fdb6a10fe9bp-8, -0x1.9a2c8402b347cp-8, -0x1.8eac49f262c71p-8, -0x1.837b349482727p-8, -0x1.78977781b5b18p-8, -0x1.6dff4dbf6dfacp-8, -0x1.63b0f9b7b7de4p-8, -0x1.59aac5304981p-8, -0x1.4feb0140de5bfp-8, -0x1.46700648e5078p-8, -0x1.3d3833e487ccep-8, -0x1.3441f0e1186fbp-8, -0x1.2b8bab30e28fep-8, -0x1.2313d7de6f9fp-8, -0x1.1ad8f2ff4208ep-8, -0x1.12d97fa60ce9bp-8, -0x1.0b1407d46feadp-8, -0x1.03871c6c3e078p-8, -0x1.f862aa40ab66p-9, -0x1.ea22a0ca1a617p-9, -0x1.dc4b66c07de0ep-9, -0x1.ceda53b1ec6eep-9, -0x1.c1cccc4d890e8p-9, -0x1.b52042418917bp-9, -0x1.a8d23418a2149p-9, -0x1.9ce02d16e4b04p-9, -0x1.9147c516150b5p-9, -0x1.8606a06185867p-9, -0x1.7b1a6f9183c6bp-9, -0x1.7080ef6656d2bp-9, -0x1.6637e8a2e43e6p-9, -0x1.5c3d2fe6f9933p-9, -0x1.528ea5894c89cp-9, -0x1.492a357131844p-9, -0x1.400dd6f0153cbp-9, -0x1.37378c9ac5789p-9, -0x1.2ea564228201ap-9, -0x1.2655762df178bp-9, -0x1.1e45e631ee306p-9, -0x1.1674e24a3ec38p-9, -0x1.0ee0a31239473p-9, -0x1.07876b7d5e0b7p-9, -0x1.006788afea79cp-9, -0x1.f2fea3aed7e85p-10, -0x1.e59a5006b52a6p-10, -0x1.d89eebfb7b057p-10, -0x1.cc096047c4c7fp-10, -0x1.bfd6a87e54788p-10, -0x1.b403d2bbe055bp-10, -0x1.a88dff5921a39p-10, -0x1.9d72609d30086p-10, -0x1.92ae3a7029793p-10, -0x1.883ee20e31f8bp-10, -0x1.7e21bdbae2cc3p-10, -0x1.7454447511835p-10, -0x1.6ad3fdab16394p-10, -0x1.619e80ef814cep-10, -0x1.58b175ae57148p-10, -0x1.500a92e2cacb5p-10, -0x1.47a79ecd863c3p-10, -0x1.3f866eab884a7p-10, -0x1.37a4e66d9278dp-10, -0x1.3000f87034105p-10, -0x1.2898a5347be8bp-10, -0x1.2169fb194591bp-10, -0x1.1a7316153bc07p-10, -0x1.13b21f717a9e2p-10, -0x1.0d254d84f4de6p-10, -0x1.06cae3707f77ap-10, -0x1.00a130db9a2bep-10, -0x1.f54d2363f4cbep-11, -0x1.e9b2dbc398f7fp-11, -0x1.de70723573bb4p-11, -0x1.d382e51b67012p-11, -0x1.c8e7495b03581p-11, -0x1.be9ac9e038207p-11, -0x1.b49aa72197eeep-11, -0x1.aae436a6352e1p-11, -0x1.a174e28d185b9p-11, -0x1.984a2916545f2p-11, -0x1.8f619c2db8507p-11, -0x1.86b8e0f726534p-11, -0x1.7e4daf5c8974dp-11, -0x1.761dd19d72a6ap-11, -0x1.6e2723e05a5bdp-11, -0x1.666793c587769p-11, -0x1.5edd1ffb9eabfp-11, -0x1.5785d7d5d651dp-11, -0x1.505fdae3d2dc1p-11, -0x1.4969588b28e47p-11, -0x1.42a08fa2852e5p-11, -0x1.3c03ce0e79874p-11, -0x1.3591705fedd76p-11, -0x1.2f47e174335a3p-11, -0x1.29259a16baacfp-11, -0x1.232920a467f8bp-11, -0x1.1d5108b085aa7p-11, -0x1.179bf2ab533f8p-11, -0x1.12088b8a2cff2p-11, -0x1.0c958c714bf5p-11, -0x1.0741ba5f1a911p-11, -0x1.020be5d91a8ccp-11, -0x1.f9e5d534b7b8fp-12, -0x1.efeb5e86fd2f1p-12, -0x1.e6264a187f3c5p-12, -0x1.dc948eed14441p-12, -0x1.d33438061b3cdp-12, -0x1.ca0363cea4c9ap-12, -0x1.c100438a94fc9p-12, -0x1.b8291ac8b6188p-12, -0x1.af7c3ed7b679dp-12, -0x1.a6f8163e057b1p-12, -0x1.9e9b18348ca3p-12, -0x1.9663cc243ba69p-12, -0x1.8e50c9265dc94p-12, -0x1.8660b587b2c21p-12, -0x1.7e92464e3fe18p-12, -0x1.76e43ec1d5df5p-12, -0x1.6f556ff73dccap-12, -0x1.67e4b85e06dc8p-12, -0x1.60910350ed5b6p-12, -0x1.595948a8d1d27p-12, -0x1.523c8c5233bc2p-12, -0x1.4b39dde52f55dp-12, -0x1.4450583fe9636p-12, -0x1.3d7f2123701a6p-12, -0x1.36c568d2f5bbcp-12, -0x1.302269b56d69ap-12, -0x1.299567f9751p-12, -0x1.231db13b86f79p-12, -0x1.1cba9c2e6e0f5p-12, -0x1.166b8845ee0f9p-12, -0x1.102fdd6398426p-12, -0x1.0a070b85c6a2dp-12, -0x1.03f08a78afd07p-12, -0x1.fbd7b3131f934p-13, -0x1.eff0fe77afd2bp-13, -0x1.e42c1200becfap-13, -0x1.d88815dd1b381p-13, -0x1.cd043efedc764p-13, -0x1.c19fce9561df2p-13, -0x1.b65a118b03a23p-13, -0x1.ab32600670f9ep-13, -0x1.a0281cef9fb05p-13, -0x1.953ab5784b2bdp-13, -0x1.8a69a0a7defaep-13, -0x1.7fb45eeac945fp-13, -0x1.751a79a52155fp-13, -0x1.6a9b82c88f454p-13, -0x1.6037146d62d7ap-13, -0x1.55ecd06ed076ap-13, -0x1.4bbc600a3c01ep-13, -0x1.41a57381813b6p-13, -0x1.37a7c1c0371dp-13, -0x1.2dc30803c6755p-13, -0x1.23f709865db3ap-13, -0x1.1a438f2c9fa9fp-13, -0x1.10a8673606f59p-13, -0x1.072564efec0c5p-13, -0x1.fb74c0d642a09p-14, -0x1.e8ce6c681f1adp-14, -0x1.d6578e1aa5c14p-14, -0x1.c40fef596634ap-14, -0x1.b1f760f506a39p-14, -0x1.a00dbaa6885e7p-14, -0x1.8e52da9712ed4p-14, -0x1.7cc6a4ec1b7eep-14, -0x1.6b690357d4b41p-14, -0x1.5a39e4adc90c5p-14, -0x1.49393c7b86bc3p-14, -0x1.386702a543b4ep-14, -0x1.27c333065e4d1p-14, -0x1.174dcd15a434cp-14, -0x1.0706d38d44521p-14, -0x1.eddc982cabd24p-15, -0x1.ce087defb6f47p-15, -0x1.ae916d9252666p-15, -0x1.8f77804f352ffp-15, -0x1.70bad2defa881p-15, }}, 
      {{0x1.26a9abc469d0dp-7, 0x1.26b4640c00995p-6, 0x1.ba2900332d07bp-6, 0x1.26de20d2889f4p-5, 0x1.70bb5855593eap-5, 0x1.baafc1af13fcbp-5, 0x1.025f1a22e88afp-4, 0x1.2774580cc41c7p-4, 0x1.4c98282a0e245p-4, 0x1.71caa1c07f5edp-4, 0x1.970b645b1b2fep-4, 0x1.bc59987c18397p-4, 0x1.e1b3f214e5fa7p-4, 0x1.038c5a3995d59p-3, 0x1.1642dbac8347bp-3, 0x1.28fc367f2f6efp-3, 0x1.3bb6f46066de4p-3, 0x1.4e717327a523ap-3, 0x1.6129e892b8b0fp-3, 0x1.73de6618a483p-3, 0x1.868cdcc203cc6p-3, 0x1.993320fa16c7dp-3, 0x1.abceee4df0b16p-3, 0x1.be5deb1187d6ap-3, 0x1.d0ddabe4231f8p-3, 0x1.e34bb70f5e672p-3, 0x1.f5a587bd31183p-3, 0x1.03f44881585fp-2, 0x1.0d09205f05d2p-2, 0x1.161001238e967p-2, 0x1.1f07a0793e8d4p-2, 0x1.27eeb533b8c81p-2, 0x1.30c3f864cb753p-2, 0x1.3986265ba0047p-2, 0x1.4233ff8eee33bp-2, 0x1.4acc4972eb9cbp-2, 0x1.534dcf3bc2137p-2, 0x1.5bb7628d58052p-2, 0x1.6407dc194f8b9p-2, 0x1.6c3e1c2c0fbf9p-2, 0x1.74590b29bddf8p-2, 0x1.7c5799fc05443p-2, 0x1.8438c2718d902p-2, 0x1.8bfb878ffc528p-2, 0x1.939ef5d95537dp-2, 0x1.9b2223859987p-2, 0x1.a28430b1694edp-2, 0x1.a9c447827b21ap-2, 0x1.b0e19c42a3173p-2, 0x1.b7db6d7232829p-2, 0x1.beb103d255ba1p-2, 0x1.c561b2682bbd4p-2, 0x1.cbecd6793136ep-2, 0x1.d251d781a1245p-2, 0x1.d89027255e785p-2, 0x1.dea7411bebfb8p-2, 0x1.e496ab17fe46fp-2, 0x1.ea5df4ab17fe7p-2, 0x1.effcb725a5b89p-2, 0x1.f57295740240bp-2, 0x1.fabf3bf8bfff8p-2, 0x1.ffe2606494567p-2, 0x1.026de0c618f2cp-1, 0x1.04d5939e2d5ecp-1, 0x1.072831063916dp-1, 0x1.0965a597e1eb5p-1, 0x1.0b8de222dc975p-1, 0x1.0da0db94975b9p-1, 0x1.0f9e8adf87956p-1, 0x1.1186ece23280ep-1, 0x1.135a024dfa9b7p-1, 0x1.1517cf8dc92e6p-1, 0x1.16c05cac99b9p-1, 0x1.1853b53bf8614p-1, 0x1.19d1e83a7a03fp-1, 0x1.1b3b07fa39539p-1, 0x1.1c8f2a075f2e9p-1, 0x1.1dce670ebd356p-1, 0x1.1ef8dac483353p-1, 0x1.200ea3cb0f2ep-1, 0x1.210fe399e4b5ap-1, 0x1.21fcbe64c6702p-1, 0x1.22d55b02fe98p-1, 0x1.2399e2d6d3f14p-1, 0x1.244a81b52f1dep-1, 0x1.24e765cd767b4p-1, 0x1.2570bf919efe9p-1, 0x1.25e6c19e7800ap-1, 0x1.2649a0a43269p-1, 0x1.2699934f2614dp-1, 0x1.26d6d230d7e4p-1, 0x1.270197a942d9p-1, 0x1.271a1fd065d44p-1, 0x1.2720a8601937ep-1, 0x1.2715709e2ce4ep-1, 0x1.26f8b946d0fc6p-1, 0x1.26cac4774eac3p-1, 0x1.268bd5990cd99p-1, 0x1.263c314ce85b5p-1, 0x1.25dc1d56df542p-1, 0x1.256be08a0fac2p-1, 0x1.24ebc2b50f42cp-1, 0x1.245c0c8e9a8c8p-1, 0x1.23bd07a29dca7p-1, 0x1.230efe3f9bef3p-1, 0x1.22523b646fad2p-1, 0x1.21870aae6e978p-1, 0x1.20adb847ea2aap-1, 0x1.1fc690d712051p-1, 0x1.1ed1e16d3b11ap-1, 0x1.1dcff77685afbp-1, 0x1.1cc120a9ed69cp-1, 0x1.1ba5aaf9b88c5p-1, 0x1.1a7de48450a1ap-1, 0x1.194a1b8580152p-1, 0x1.180a9e4816c0ep-1, 0x1.16bfbb17f44b7p-1, 0x1.1569c0347a515p-1, 0x1.1408fbc365b07p-1, 0x1.129dbbc40ebe2p-1, 0x1.11284e030f853p-1, 0x1.0fa9000e50eefp-1, 0x1.0e201f297f0ep-1, 0x1.0c8df842e0965p-1, 0x1.0af2d7e8953f2p-1, 0x1.094f0a3e386bdp-1, 0x1.07a2daf2e53fp-1, 0x1.05ee95379f9d3p-1, 0x1.043283b61d1p-1, 0x1.026ef087ef4ccp-1, 0x1.00a4252e0cd8bp-1, 0x1.fda4d511731c2p-2, 0x1.f9f4119f9457ap-2, 0x1.f6368f1689d25p-2, 0x1.f26cdb18b7141p-2, 0x1.ee9781cd7d05p-2, 0x1.eab70dd48f3fbp-2, 0x1.e6cc0839f326dp-2, 0x1.e2d6f86aa8bebp-2, 0x1.ded86429f9c59p-2, 0x1.dad0cf8768e33p-2, 0x1.d6c0bcd5407dfp-2, 0x1.d2a8ac9fbc601p-2, 0x1.ce891da4cd4b3p-2, 0x1.ca628ccc6d3ep-2, 0x1.c63575218a23dp-2, 0x1.c2024fcb794b8p-2, 0x1.bdc99407f72a8p-2, 0x1.b98bb725afe7bp-2, 0x1.b5492c7f47007p-2, 0x1.b1026576e26e1p-2, 0x1.acb7d17230f0cp-2, 0x1.a869ddd6e7fadp-2, 0x1.a418f607b8cbbp-2, 0x1.9fc58361b7e49p-2, 0x1.9b6fed3a32703p-2, 0x1.971898dceda98p-2, 0x1.92bfe98ad2e33p-2, 0x1.8e664078f9adfp-2, 0x1.8a0bfcd01b8c7p-2, 0x1.85b17bac5c88cp-2, 0x1.8157181d7a43dp-2, 0x1.7cfd2b2746a99p-2, 0x1.78a40bc283d86p-2, 0x1.744c0ede06d6ep-2, 0x1.6ff587603320ep-2, 0x1.6ba0c628ba607p-2, 0x1.674e1a12a98e1p-2, 0x1.62fdcff6bb8e3p-2, 0x1.5eb032adef8a2p-2, 0x1.5a658b145d4b6p-2, 0x1.561e200c4ce2p-2, 0x1.51da368184d35p-2, 0x1.4d9a116cd419cp-2, 0x1.495df1d7d07ap-2, 0x1.452616e0ca104p-2, 0x1.40f2bdbef01f6p-2, 0x1.3cc421c6a55f4p-2, 0x1.389a7c6dfda36p-2, 0x1.347605516b717p-2, 0x1.3056f23892188p-2, 0x1.2c3d771b3d9b9p-2, 0x1.2829c62680dfp-2, 0x1.241c0fc1f3f13p-2, 0x1.2014829513c03p-2, 0x1.1c134b8cbc327p-2, 0x1.181895e0c3ac8p-2, 0x1.14248b19abb33p-2, 0x1.103753166cd22p-2, 0x1.0c511412572e4p-2, 0x1.0871f2ab09158p-2, 0x1.049a11e679593p-2, 0x1.00c993390fbb9p-2, 0x1.fa012d17a4f24p-3, 0x1.f27e74853a1d8p-3, 0x1.eb0b3684cb064p-3, 0x1.e3a7a9ef2229ep-3, 0x1.dc5402b895568p-3, 0x1.d51071fdd5bb4p-3, 0x1.cddd2610be36p-3, 0x1.c6ba4a853a424p-3, 0x1.bfa8083e306cbp-3, 0x1.b8a6857a720dcp-3, 0x1.b1b5e5e1b2efp-3, 0x1.aad64a918556p-3, 0x1.a407d22a50c8bp-3, 0x1.9d4a98dc462dep-3, 0x1.969eb8745bd81p-3, 0x1.9004486932b27p-3, 0x1.897b5de7fe105p-3, 0x1.83040be162b1fp-3, 0x1.7c9e6316426e3p-3, 0x1.764a722480d3bp-3, 0x1.70084593b7f47p-3, 0x1.69d7e7e1dd5bdp-3, 0x1.63b9618fce645p-3, 0x1.5dacb92dd582fp-3, 0x1.57b1f3680d457p-3, 0x1.51c91312b9a2ep-3, 0x1.4bf219367fdfdp-3, 0x1.462d051c8874ap-3, 0x1.4079d45a8f5ccp-3, 0x1.3ad882dec94b6p-3, 0x1.35490afbbf34p-3, 0x1.2fcb6573fdd71p-3, 0x1.2a5f8985ad8f9p-3, 0x1.25056cf60fbcep-3, 0x1.1fbd041cd2d4fp-3, 0x1.1a8641ef4dd5dp-3, 0x1.1561180b95e45p-3, 0x1.104d76c3743ffp-3, 0x1.0b4b4d273908p-3, 0x1.065a89106bb2ap-3, 0x1.017b172c53ee3p-3, 0x1.f959c60cc5b26p-4, 0x1.efdfae24e785cp-4, 0x1.e687b96dd6ff5p-4, 0x1.dd51b8ad59471p-4, 0x1.d43d7ab5d11a7p-4, 0x1.cb4acc799c46ep-4, 0x1.c279791e0e9fcp-4, 0x1.b9c94a0e2f623p-4, 0x1.b13a070d2af35p-4, 0x1.a8cb764860579p-4, 0x1.a07d5c6938217p-4, 0x1.984f7ca69c065p-4, 0x1.904198d621658p-4, 0x1.8853717ce7a33p-4, 0x1.8084c5e022118p-4, 0x1.78d5541553ebp-4, 0x1.7144d9123aac2p-4, 0x1.69d310bc6807cp-4, 0x1.627fb5f88d654p-4, 0x1.5b4a82b974dcap-4, 0x1.5433300eac43ep-4, 0x1.4d397632dfaa2p-4, 0x1.465d0c99e420fp-4, 0x1.3f9da9fe751dep-4, 0x1.38fb046fa096p-4, 0x1.3274d15de7a02p-4, 0x1.2c0ac5a80f395p-4, 0x1.25bc95a7a4288p-4, 0x1.1f89f53d32b52p-4, 0x1.197297dc317ddp-4, 0x1.137630969fc7cp-4, 0x1.0d9472285a451p-4, 0x1.07cd0f0224bd6p-4, 0x1.021fb954686a4p-4, 0x1.f918463357918p-5, 0x1.ee23fc417e3e3p-5, 0x1.e361f82d47bf7p-5, 0x1.d8d19d20566dfp-5, 0x1.ce724e269dddap-5, 0x1.c4436e408ab89p-5, 0x1.ba4460749ff9cp-5, 0x1.b07487e08dc01p-5, 0x1.a6d347c9c1ba4p-5, 0x1.9d6003ad73471p-5, 0x1.941a1f502d67ap-5, 0x1.8b00feccd8f91p-5, 0x1.821406a34682p-5, 0x1.79529bc63b72ap-5, 0x1.70bc23a906b62p-5, 0x1.6850044c98028p-5, 0x1.600da44c2258p-5, 0x1.57f46ae949577p-5, 0x1.5003c017d8b9cp-5, 0x1.483b0c890cf2fp-5, 0x1.4099b9b669d5fp-5, 0x1.391f31ec258e4p-5, 0x1.31cae053246bp-5, 0x1.2a9c30fa8f551p-5, 0x1.239290e0fe9b4p-5, 0x1.1cad6dfd40781p-5, 0x1.15ec3746ba9c9p-5, 0x1.0f4e5cbd6af9dp-5, 0x1.08d34f7187c81p-5, 0x1.027a818ac08ecp-5, 0x1.f886cc9e4763fp-6, 0x1.ec5ae453548e3p-6, 0x1.e0703560d2faep-6, 0x1.d4c5ad54e2aefp-6, 0x1.c95a3c2aa3585p-6, 0x1.be2cd454a3805p-6, 0x1.b33c6ac6a4bf3p-6, 0x1.a887f6fecac13p-6, 0x1.9e0e730e2a8fp-6, 0x1.93cedba0c3f36p-6, 0x1.89c83004ec07cp-6, 0x1.7ff9723225627p-6, 0x1.7661a6cf6c3cdp-6, 0x1.6cffd538fd9ap-6, 0x1.63d30785996ep-6, 0x1.5ada4a8b434aep-6, 0x1.5214ade383afap-6, 0x1.498143ef34872p-6, 0x1.411f21d9d3ea2p-6, 0x1.38ed5f9c6211bp-6, 0x1.30eb17ffd5076p-6, 0x1.2917689f1b0a7p-6, 0x1.217171e8b2b3cp-6, 0x1.19f8571fe5819p-6, 0x1.12ab3e5d91cd7p-6, 0x1.0b895090a3d49p-6, 0x1.0491b97e25e74p-6, 0x1.fb874f81fb1ebp-7, 0x1.ee3c99929bdf7p-7, 0x1.e141b9b716a82p-7, 0x1.d4951e1e7065cp-7, 0x1.c8353a9aaf2fdp-7, 0x1.bc20889d25b67p-7, 0x1.b05587322981ep-7, 0x1.a4d2bafc464edp-7, 0x1.9996ae2ee1ddep-7, 0x1.8e9ff0886551ap-7, 0x1.83ed174be241cp-7, 0x1.797cbd3a44669p-7, 0x1.6f4d828b1415cp-7, 0x1.655e0ce4c3ef2p-7, 0x1.5bad075497cc7p-7, 0x1.523922462d662p-7, 0x1.4901137a98997p-7, 0x1.400395ff2d7ep-7, 0x1.373f6a23efb4ep-7, 0x1.2eb35571aff2bp-7, 0x1.265e229fd8797p-7, 0x1.1e3ea189ef42ap-7, 0x1.1653a724d1efbp-7, 0x1.0e9c0d73acc39p-7, 0x1.0716b37cb4649p-7, 0x1.ff84fa7b41f95p-8, 0x1.f13ca73fe60e2p-8, 0x1.e35248da0665ep-8, 0x1.d5c3c483bea74p-8, 0x1.c88f0905f567ap-8, 0x1.bbb20e9f66af7p-8, 0x1.af2ad6eb5c966p-8, 0x1.a2f76cc82258cp-8, 0x1.9715e43d2ece4p-8, 0x1.8b845a6117259p-8, 0x1.8040f53f448bp-8, 0x1.7549e3bd7965ap-8, 0x1.6a9d5d81286a9p-8, 0x1.6039a2d4a568fp-8, 0x1.561cfc8c2f858p-8, 0x1.4c45bbeadfe0cp-8, 0x1.42b23a877ca7bp-8, 0x1.3960da313827ep-8, 0x1.305004d45eb8ap-8, 0x1.277e2c5ef7b12p-8, 0x1.1ee9caa55decfp-8, 0x1.16916146d3cfbp-8, 0x1.0e7379921748bp-8, 0x1.068ea469f8a71p-8, 0x1.fdc2f453ecfddp-9, 0x1.eed53515cb521p-9, 0x1.e051590f4a2a5p-9, 0x1.d234bc83c7cf5p-9, 0x1.c47cc9cdf186p-9, 0x1.b726f929a1fbep-9, 0x1.aa30d07df52ecp-9, 0x1.9d97e3278d4dep-9, 0x1.9159d1c31c49cp-9, 0x1.857449f82b506p-9, 0x1.79e506442b782p-9, 0x1.6ea9cdc5d14abp-9, 0x1.63c07408c1effp-9, 0x1.5926d8d19049bp-9, 0x1.4edae7ea1a52ep-9, 0x1.44da98ee381fap-9, 0x1.3b23ef18d542dp-9, 0x1.31b4f91164468p-9, 0x1.288bd0b9beca2p-9, 0x1.1fa69afc69d58p-9, 0x1.1703879b4b52cp-9, 0x1.0ea0d0fecb9ebp-9, 0x1.067cbc0567affp-9, 0x1.fd2b2fa7752cfp-10, 0x1.edd37b49f4c6p-10, 0x1.deef2137de6e4p-10, 0x1.d07afb28c35c1p-10, 0x1.c273f5ea121ebp-10, 0x1.b4d71103ecf6cp-10, 0x1.a7a15e5ef9024p-10, 0x1.9ad001eb371e5p-10, 0x1.8e603147db3dap-10, 0x1.824f336c2e94dp-10, 0x1.769a605175dc9p-10, 0x1.6b3f209de6ebp-10, 0x1.603aed50a923dp-10, 0x1.558b4f6ee1defp-10, 0x1.4b2ddfb1d1479p-10, 0x1.4120463601f28p-10, 0x1.37603a2b846c2p-10, 0x1.2deb818741ff2p-10, 0x1.24bff0b55db2bp-10, 0x1.1bdb6a4caa412p-10, 0x1.133bdec332c6cp-10, 0x1.0adf4c23d5093p-10, 0x1.02c3bdc4efecfp-10, 0x1.f5ce980049471p-11, 0x1.e69037d64e9cp-11, 0x1.d7c8be2349a33p-11, 0x1.c974a6606d1acp-11, 0x1.bb9083e0d06f8p-11, 0x1.ae19014b956d2p-11, 0x1.a10ae0182d835p-11, 0x1.9462f80cb64c1p-11, 0x1.881e36be6e728p-11, 0x1.7c399f143e073p-11, 0x1.70b248cb5073p-11, 0x1.65855ffdbca9dp-11, 0x1.5ab024ab38adfp-11, 0x1.502fea43d337cp-11, 0x1.46021734b179dp-11, 0x1.3c242476cdda9p-11, 0x1.32939d1fb0a96p-11, 0x1.294e1df422cdbp-11, 0x1.205154fcd1e29p-11, 0x1.179b011ce4d83p-11, 0x1.0f28f1aa7bb2cp-11, 0x1.06f9060913a69p-11, 0x1.fe125a8b9f952p-12, 0x1.eeaecb6b35c95p-12, 0x1.dfc3792a483cdp-12, 0x1.d14c9b555c246p-12, 0x1.c34685d353539p-12, 0x1.b5ada8303af68p-12, 0x1.a87e8ceb9cc36p-12, 0x1.9bb5d8ca4daf9p-12, 0x1.8f504a2bb199ep-12, 0x1.834ab86265809p-12, 0x1.77a213104740dp-12, 0x1.6c536185ce44cp-12, 0x1.615bc224b09d6p-12, 0x1.56b869c5be054p-12, 0x1.4c66a321f4656p-12, 0x1.4263ce3eb4314p-12, 0x1.38ad5fdd16667p-12, 0x1.2f40e0ec4dac1p-12, 0x1.261bedff13eb8p-12, 0x1.1d3c36c40c838p-12, 0x1.149f7d811949ap-12, 0x1.0c439691937bfp-12, 0x1.042667e75e48ap-12, 0x1.f88bd11d8acf4p-13, 0x1.e940406a47735p-13, 0x1.da664d647e02ap-13, 0x1.cbfa47289e845p-13, 0x1.bdf89b5d5c55p-13, 0x1.b05dd55632bc2p-13, 0x1.a3269d3b02a4fp-13, 0x1.964fb734bce0ep-13, 0x1.89d6029ef31d5p-13, 0x1.7db6793e403d6p-13, 0x1.71ee2e7b7e2f7p-13, 0x1.667a4ea3a19cbp-13, 0x1.5b581e2c2ed5ap-13, 0x1.5084f8fc3fe2p-13, 0x1.45fe51b9e85b3p-13, 0x1.3bc1b11c0661ap-13, 0x1.31ccb5404f239p-13, 0x1.281d110596f46p-13, 0x1.1eb08b6a31d4p-13, 0x1.1584feee67e6p-13, 0x1.0c9858fad9cfep-13, 0x1.03e8994acdcafp-13, 0x1.f6e7a2b4a4fdcp-14, 0x1.e67047b02e70cp-14, 0x1.d6678835ef5c4p-14, 0x1.c6c9eb363d043p-14, 0x1.b79416dd5c905p-14, 0x1.a8c2cf93c1b74p-14, 0x1.9a52f7050e13p-14, 0x1.8c418b2db929bp-14, 0x1.7e8ba56f3395bp-14, 0x1.712e79aa68aabp-14, 0x1.642755607abbdp-14, 0x1.57739ed998b2p-14, 0x1.4b10d451cab5ap-14, 0x1.3efc8b2b974dfp-14, 0x1.33346f285ee8dp-14, 0x1.27b641a64e728p-14, 0x1.1c7fd8e3c977ep-14, 0x1.118f1f482d8e5p-14, 0x1.06e212b1d0349p-14, 0x1.f8ed8792305dep-15, 0x1.e496aab12c8c7p-15, 0x1.d0bbf75400ce7p-15, 0x1.bd59f7cfe1078p-15, 0x1.aa6d570899173p-15, 0x1.97f2df467b191p-15, 0x1.85e779152a609p-15, 0x1.74482a2b1a7a3p-15, 0x1.63121459854e9p-15, 0x1.52427484a652dp-15, 0x1.41d6a1a408557p-15, 0x1.31cc0bcab3d37p-15, 0x1.22203b370d325p-15, 0x1.12d0cf6a2f586p-15, 0x1.03db7e469821bp-15, 0x1.ea7c266be7c5ap-16, 0x1.cdecdcabb80c5p-16, 0x1.b2050756b3d97p-16, 0x1.96c0b4ba0e533p-16, 0x1.7c1c17e72fdd5p-16, 0x1.6213874157fe9p-16, 0x1.48a37b1770cf8p-16, 0x1.2fc88c49c790ap-16, 0x1.177f72fb5618ep-16, 0x1.ff8a0a9ca1779p-17, 0x1.d12c6c575718cp-17, 0x1.a3e0282a9537dp-17, 0x1.779f90052769p-17, 0x1.4c65288e37e81p-17, 0x1.222ba70648ee6p-17, 0x1.f1dbde7695c86p-18, 0x1.a14e231e89915p-18, 0x1.52a492221228cp-18, 0x1.05d5f34cea79cp-18, 0x1.75b2b91eedc43p-19, 0x1.c698ba59e5164p-20, 0x1.51a08c174cb42p-21, -0x1.b850e3ef46444p-22, -0x1.7e340c08af944p-20, -0x1.43d6c18c8998ep-19, -0x1.c54f000fc65a2p-19, -0x1.21c88075b4b89p-18, -0x1.5f554b8a7c62ap-18, -0x1.9b54970d1208ep-18, -0x1.d5cce7771cc71p-18, -0x1.07624921a823cp-17, -0x1.2320e011f785fp-17, -0x1.3e25379126f2ap-17, -0x1.58723a5409412p-17, -0x1.720abfb9710c6p-17, -0x1.8af18cb9935fep-17, -0x1.a32954cb53ff4p-17, -0x1.bab4babfc987fp-17, -0x1.d196519449b38p-17, -0x1.e7d09d3b4b681p-17, -0x1.fd66135c7f25p-17, -0x1.092c8e0621a29p-16, -0x1.1356093d75211p-16, -0x1.1d30a2cdfb809p-16, -0x1.26bd7c62d5b1fp-16, -0x1.2ffdb2248d0f7p-16, -0x1.38f25b018cc04p-16, -0x1.419c88f319fe8p-16, -0x1.49fd493efcf6cp-16, -0x1.5215a4b5e682ap-16, -0x1.59e69feec4755p-16, -0x1.61713b7f0d20ap-16, -0x1.68b67430302f8p-16, -0x1.6fb7433236352p-16, -0x1.76749e4bbdc65p-16, -0x1.7cef78075d52p-16, -0x1.8328bfde8f315p-16, -0x1.8921626237c95p-16, -0x1.8eda4960e854dp-16, -0x1.94545c0ae4d2dp-16, -0x1.99907f14162bbp-16, -0x1.9e8f94d3f1335p-16, -0x1.a3527d636a4f2p-16, -0x1.a7da16b90d877p-16, -0x1.ac273cc34b975p-16, -0x1.b03ac98112514p-16, -0x1.b4159518ba6e9p-16, -0x1.b7b875ed6d615p-16, -0x1.bb2440b2ff8ccp-16, -0x1.be59c88062ed3p-16, -0x1.c159dee0b739ap-16, -0x1.c42553e307597p-16, -0x1.c6bcf628cd675p-16, -0x1.c92192f33eb12p-16, -0x1.cb53f62f7b17bp-16, -0x1.cd54ea81a0862p-16, -0x1.cf25394edb00dp-16, -0x1.d0c5aac67aaa7p-16, -0x1.d23705ea18642p-16, }}, 
      {{0x1.ffb9268207345p-1, 0x1.fee5e74436d28p-1, 0x1.fd8a084c92fddp-1, 0x1.fbab7432969e4p-1, 0x1.f951ce1465edp-1, 0x1.f685ffeea2b3bp-1, 0x1.f351ce1f74119p-1, 0x1.efbf75f47f43dp-1, 0x1.ebd959f87afbdp-1, 0x1.e7a9bcb902251p-1, 0x1.e33a898cb0bf5p-1, 0x1.de952a378e30cp-1, 0x1.d9c267f8e291cp-1, 0x1.d4ca5671cd74ep-1, 0x1.cfb446d99ba75p-1, 0x1.ca86c20dae896p-1, 0x1.c547882d80f76p-1, 0x1.bffb949a1074cp-1, 0x1.baa72557007bdp-1, 0x1.b54dc4f128ee5p-1, 0x1.aff25630aa273p-1, 0x1.aa9720fbaa06cp-1, 0x1.a53ddfea52475p-1, 0x1.9fe7ce24a6815p-1, 0x1.9a95b5378db98p-1, 0x1.9547faa02a12dp-1, 0x1.8ffeacdbc1a35p-1, 0x1.8ab98fd72c08p-1, 0x1.857828a36e13ap-1, 0x1.8039c85df53a1p-1, 0x1.7afd96423382cp-1, 0x1.75c298e0333e2p-1, 0x1.7087be787edcp-1, 0x1.6b4be48163577p-1, 0x1.660dde5c7d986p-1, 0x1.60cc7b459d0a9p-1, 0x1.5b868b859af31p-1, 0x1.563ae4f4c559bp-1, 0x1.50e866d929369p-1, 0x1.4b8dfd2d43d18p-1, 0x1.462aa35bb5139p-1, 0x1.40bd667c50113p-1, 0x1.3b45671e8d91bp-1, 0x1.35c1daace9367p-1, 0x1.30320c741a265p-1, 0x1.2a955e5874874p-1, 0x1.24eb494313576p-1, 0x1.1f335d4fb7de6p-1, 0x1.196d41c39848cp-1, 0x1.1398b4d4a0afep-1, 0x1.0db58b4809f57p-1, 0x1.07c3afee73522p-1, 0x1.01c323031d6a7p-1, 0x1.f767f2e69414bp-2, 0x1.eb2cb824707d3p-2, 0x1.ded50d7b6f335p-2, 0x1.d2618eedacf8cp-2, 0x1.c5d2fae37c61ep-2, 0x1.b92a303ee9acbp-2, 0x1.ac682c67ae92dp-2, 0x1.9f8e0953b60e4p-2, 0x1.929cfb8fa3a3cp-2, 0x1.8596504a5b033p-2, 0x1.787b6b661ad2dp-2, 0x1.6b4dc5913dedap-2, 0x1.5e0eea687708ap-2, 0x1.50c076a3f3c91p-2, 0x1.43641650a0df9p-2, 0x1.35fb83167f4b2p-2, 0x1.2888828cccb79p-2, 0x1.1b0ce49c8c95ap-2, 0x1.0d8a81f1e4b6bp-2, 0x1.00033a7c8cc14p-2, 0x1.e4f1e7ff0c4afp-3, 0x1.c9db31604abdcp-3, 0x1.aec62bc8ed3e2p-3, 0x1.93b6b5a1c53cfp-3, 0x1.78b0aea9edf7bp-3, 0x1.5db7f5ae47185p-3, 0x1.42d0665e6c23cp-3, 0x1.27fdd73ea6887p-3, 0x1.0d4417b659e0ap-3, 0x1.e54ddc7484cd3p-4, 0x1.b0542d23ec76cp-4, 0x1.7ba2807003dc7p-4, 0x1.474019a7d8c88p-4, 0x1.13341d9b084adp-4, 0x1.bf0b1fe2e5e28p-5, 0x1.5876a1656c69cp-5, 0x1.e57067f000bdap-6, 0x1.1bb9f78b737dbp-6, 0x1.4f8e483965da5p-8, -0x1.c7e75c63b74b7p-8, -0x1.35c607f9447aap-6, -0x1.f7697ffb83371p-6, -0x1.5b66bf9368a38p-5, -0x1.b9ee0568fe1cep-5, -0x1.0b9ffc71c750cp-4, -0x1.39a933f7b420ap-4, -0x1.670dc44608576p-4, -0x1.93c8fd0c93f47p-4, -0x1.bfd663335d456p-4, -0x1.eb31b145be8bp-4, -0x1.0aeb6be0d953ap-3, -0x1.1fe0fea64095ep-3, -0x1.3477bf66fba95p-3, -0x1.48adf7b9b4628p-3, -0x1.5c820c4db7983p-3, -0x1.6ff27cd5e441p-3, -0x1.82fde3e91615p-3, -0x1.95a2f6d8aae8dp-3, -0x1.a7e0857da08b6p-3, -0x1.b9b579fcd0d97p-3, -0x1.cb20d882cc72dp-3, -0x1.dc21bef7d1daap-3, -0x1.ecb764ac5ecb2p-3, -0x1.fce119fece163p-3, -0x1.064f23fd405e4p-2, -0x1.0df737f879efap-2, -0x1.15689586a34d5p-2, -0x1.1ca314f14531cp-2, -0x1.23a699faa7402p-2, -0x1.2a7313a066c25p-2, -0x1.31087bdc0d786p-2, -0x1.3766d761d7886p-2, -0x1.3d8e355dd9603p-2, -0x1.437eaf2fb183ep-2, -0x1.49386824edde6p-2, -0x1.4ebb8d3253a2fp-2, -0x1.540854ac2b9dap-2, -0x1.591efdfdbd2a1p-2, -0x1.5dffd1601ef71p-2, -0x1.62ab1f9078d97p-2, -0x1.67214185e239ep-2, -0x1.6b629826f710cp-2, -0x1.6f6f8bff44db4p-2, -0x1.73488cf4ad73fp-2, -0x1.76ee11fcdcd3ep-2, -0x1.7a6098d2e9ee5p-2, -0x1.7da0a5ad3ecb4p-2, -0x1.80aec2f3e083p-2, -0x1.838b80f72b559p-2, -0x1.863775a71b7eap-2, -0x1.88b33c4b37019p-2, -0x1.8aff753b2a756p-2, -0x1.8d1cc5982a68ep-2, -0x1.8f0bd7072e7a5p-2, -0x1.90cd576c1273ep-2, -0x1.9261f8a5abf03p-2, -0x1.93ca704ae45c4p-2, -0x1.95077768e64a3p-2, -0x1.9619ca4262ec7p-2, -0x1.97022810006edp-2, -0x1.97c152c1fc9d6p-2, -0x1.98580ec3052a4p-2, -0x1.98c722bc54f82p-2, -0x1.990f575b1c905p-2, -0x1.9931771738d98p-2, -0x1.992e4dfb406a7p-2, -0x1.9906a96ded9fcp-2, -0x1.98bb57fce819fp-2, -0x1.984d2928efd5p-2, -0x1.97bced3371c5cp-2, -0x1.970b74ed80b45p-2, -0x1.963991883ea5cp-2, -0x1.95481466aaf36p-2, -0x1.9437cef0e394ep-2, -0x1.93099268cbf96p-2, -0x1.91be2fc026a23p-2, -0x1.9056777012fb9p-2, -0x1.8ed33951fb531p-2, -0x1.8d354479e62a9p-2, -0x1.8b7d6712302f6p-2, -0x1.89ac6e38a75afp-2, -0x1.87c325dd081e5p-2, -0x1.85c258a0d6e12p-2, -0x1.83aacfb893a12p-2, -0x1.817d52ce42daap-2, -0x1.7f3aa7e547c6bp-2, -0x1.7ce3933f8cd8fp-2, -0x1.7a78d743f303ap-2, -0x1.77fb346607c2dp-2, -0x1.756b690ef67dap-2, -0x1.72ca3187b45e5p-2, -0x1.701847e461c8cp-2, -0x1.6d5663f0d834ap-2, -0x1.6a853b1e6156p-2, -0x1.67a58072916cbp-2, -0x1.64b7e4773e91fp-2, -0x1.61bd152b8d8a2p-2, -0x1.5eb5bdf610968p-2, -0x1.5ba28797f05b5p-2, -0x1.5884182118b32p-2, -0x1.555b12e563462p-2, -0x1.52281872b9be2p-2, -0x1.4eebc68828fd4p-2, -0x1.4ba6b80ddd6dbp-2, -0x1.4859850e06a7ep-2, -0x1.4504c2ae94cc7p-2, -0x1.41a9032bd0e43p-2, -0x1.3e46d5d3c232bp-2, -0x1.3adec702600bdp-2, -0x1.3771601e89921p-2, -0x1.33ff2797b4db9p-2, -0x1.3088a0e45c85ep-2, -0x1.2d0e4c811a226p-2, -0x1.2990a7f06ad66p-2, -0x1.26102dbb1cde1p-2, -0x1.228d5571568d6p-2, -0x1.1f0893ac39e2ep-2, -0x1.1b825a10185c1p-2, -0x1.17fb174f3467ap-2, -0x1.1473372d09dd1p-2, -0x1.10eb228217511p-2, -0x1.0d633f4023e0bp-2, -0x1.09dbf076f9f97p-2, -0x1.06559659940aep-2, -0x1.02d08e43b2c4bp-2, -0x1.fe9a657fb9c64p-3, -0x1.f797b71b778ffp-3, -0x1.f099bb51ae24bp-3, -0x1.e9a1169f4bf45p-3, -0x1.e2ae6815e5d34p-3, -0x1.dbc2496b1ba0cp-3, -0x1.d4dd4f088a8b4p-3, -0x1.ce00081c4b305p-3, -0x1.c72afea9ef478p-3, -0x1.c05eb79bf60cep-3, -0x1.b99bb2d5adbd6p-3, -0x1.b2e26b4582261p-3, -0x1.ac3356f7a1668p-3, -0x1.a58ee7290093fp-3, -0x1.9ef5885aa87d4p-3, -0x1.9867a26550b83p-3, -0x1.91e5988d38408p-3, -0x1.8b6fc9963d6cfp-3, -0x1.85068fd8201bfp-3, -0x1.7eaa4152fdef3p-3, -0x1.785b2fc3ec6e4p-3, -0x1.7219a8b9b6599p-3, -0x1.6be5f5a9b7c56p-3, -0x1.65c05c04cd9p-3, -0x1.5fa91d4c53cb4p-3, -0x1.59a077272eb42p-3, -0x1.53a6a376e1bddp-3, -0x1.4dbbd86c9cef6p-3, -0x1.47e0489e4dc6p-3, -0x1.4214231ba589ap-3, -0x1.3c57938315f4p-3, -0x1.36aac216b99d1p-3, -0x1.310dd3d12f354p-3, -0x1.2b80ea7a54348p-3, -0x1.260424bbe7c92p-3, -0x1.20979e361606ep-3, -0x1.1b3b6f93d1d41p-3, -0x1.15efae9f1a9b8p-3, -0x1.10b46e5509b2ap-3, -0x1.0b89bef9c39a6p-3, -0x1.066fae2c3013p-3, -0x1.016646f989b9bp-3, -0x1.f8db23e16ffc6p-4, -0x1.ef0b2a6ae51edp-4, -0x1.e55ca926670b7p-4, -0x1.dbcfa31fd9b8p-4, -0x1.d26416fd07b5cp-4, -0x1.c919ff2226adbp-4, -0x1.bff151d5d4686p-4, -0x1.b6ea0164a33d7p-4, -0x1.ae03fc4420d0bp-4, -0x1.a53f2d355396bp-4, -0x1.9c9b7b66b4684p-4, -0x1.9418ca95add24p-4, -0x1.8bb6fb2f7c2f8p-4, -0x1.8375ea7193ac2p-4, -0x1.7b55728970ecep-4, -0x1.73556ab3df433p-4, -0x1.6b75a75bae192p-4, -0x1.63b5fa37d7837p-4, -0x1.5c16326916654p-4, -0x1.54961c96e8ce1p-4, -0x1.4d35830c04049p-4, -0x1.45f42dd233be3p-4, -0x1.3ed1e2cda833p-4, -0x1.37ce65d7b12p-4, -0x1.30e978d8e85adp-4, -0x1.2a22dbe2c736bp-4, -0x1.237a4d48ad3d7p-4, -0x1.1cef89b853d67p-4, -0x1.16824c51b1d89p-4, -0x1.10324ebe4e816p-4, -0x1.09ff494805bf7p-4, -0x1.03e8f2ef3d76ap-4, -0x1.fbde03011a4cep-5, -0x1.f0225353b3c3dp-5, -0x1.e49e3e1dca065p-5, -0x1.d95128baa45cdp-5, -0x1.ce3a76c047856p-5, -0x1.c3598a255ef58p-5, -0x1.b8adc36617e4ap-5, -0x1.ae3681a7f474cp-5, -0x1.a3f322dc97ad1p-5, -0x1.99e303e38b551p-5, -0x1.900580ab076dbp-5, -0x1.8659f44fba39dp-5, -0x1.7cdfb93b97e07p-5, -0x1.73962943b2b5dp-5, -0x1.6a7c9dc51d3a9p-5, -0x1.61926fc0e2208p-5, -0x1.58d6f7f70af28p-5, -0x1.50498f00c046dp-5, -0x1.47e98d6985991p-5, -0x1.3fb64bc792336p-5, -0x1.37af22d34f3f2p-5, -0x1.2fd36b7dfaa28p-5, -0x1.28227f0773f2bp-5, -0x1.209bb713391adp-5, -0x1.193e6dbc93c73p-5, -0x1.1209fda9fcdafp-5, -0x1.0afdc21fbbeb3p-5, -0x1.04191711c0a45p-5, -0x1.fab6b26982b5p-6, -0x1.ed87cc1d3a082p-6, -0x1.e0a4380c11692p-6, -0x1.d40ab4e311e64p-6, -0x1.c7ba034b77b21p-6, -0x1.bbb0e605f76bep-6, -0x1.afee2204acb62p-6, -0x1.a4707e83c89f1p-6, -0x1.9936c52100906p-6, -0x1.8e3fc1f1c4cedp-6, -0x1.838a439846472p-6, -0x1.79151b575a701p-6, -0x1.6edf1d25379fep-6, -0x1.64e71fbd1c20fp-6, -0x1.5b2bfcafe2d62p-6, -0x1.51ac90738de11p-6, -0x1.4867ba71cace8p-6, -0x1.3f5c5d157e5bcp-6, -0x1.36895dd75889cp-6, -0x1.2deda5497ad72p-6, -0x1.25881f2234da8p-6, -0x1.1d57ba45e5506p-6, -0x1.155b68cff945fp-6, -0x1.0d92201b1d166p-6, -0x1.05fad8c89e85ap-6, -0x1.fd291d8e10d4bp-7, -0x1.eebc82aff570bp-7, -0x1.e0ade62a98921p-7, -0x1.d2fb53eaeb5e1p-7, -0x1.c5a2de9e99a36p-7, -0x1.b8a29fba36556p-7, -0x1.abf8b77e1a7b5p-7, -0x1.9fa34cfa0e804p-7, -0x1.93a08e0fc7bd6p-7, -0x1.87eeaf7431cd5p-7, -0x1.7c8becafb3827p-7, -0x1.7176881d5a633p-7, -0x1.66accae8f7ef8p-7, -0x1.5c2d050c597efp-7, -0x1.51f58d4b78f11p-7, -0x1.4804c12fd7728p-7, -0x1.3e590502f195cp-7, -0x1.34f0c3c7dee9ep-7, -0x1.2bca6f34294afp-7, -0x1.22e47fa7e0b75p-7, -0x1.1a3d7424f3423p-7, -0x1.11d3d245d65e6p-7, -0x1.09a626338452p-7, -0x1.01b3029ada117p-7, -0x1.f3f20142b645cp-8, -0x1.e4ed7fb2c767ep-8, -0x1.d655cc6ba25ebp-8, -0x1.c8283ffa4d9e8p-8, -0x1.ba623f786dcd8p-8, -0x1.ad013c70aefe2p-8, -0x1.a002b4c250ad2p-8, -0x1.93643283e2044p-8, -0x1.87234be53be5ep-8, -0x1.7b3da310c56b1p-8, -0x1.6fb0e60c0c1e6p-8, -0x1.647ace97bfb72p-8, -0x1.5999220f18a56p-8, -0x1.4f09b146b7831p-8, -0x1.44ca586b066abp-8, -0x1.3ad8fede26568p-8, -0x1.313397157412cp-8, -0x1.27d81e76aceb4p-8, -0x1.1ec49d34bcf05p-8, -0x1.15f7262c3fd34p-8, -0x1.0d6dd6bfbf0d4p-8, -0x1.0526d6b3b0f9ap-8, -0x1.fa40b0148c3afp-9, -0x1.eab12dbe162ep-9, -0x1.db9bb284c888fp-9, -0x1.ccfcde29dccbfp-9, -0x1.bed163c58fc48p-9, -0x1.b116097d9911bp-9, -0x1.a3c7a83b8f847p-9, -0x1.96e32b63486eep-9, -0x1.8a65908945967p-9, -0x1.7e4be7292b081p-9, -0x1.7293505c5fb48p-9, -0x1.6738fe90d0f43p-9, -0x1.5c3a353fe8b57p-9, -0x1.519448a5c7c89p-9, -0x1.47449d78c0e91p-9, -0x1.3d48a8a127182p-9, -0x1.339deef174591p-9, -0x1.2a4204ded1418p-9, -0x1.21328e3a038ecp-9, -0x1.186d3de8d1432p-9, -0x1.0fefd59fd57a5p-9, -0x1.07b8259cd7488p-9, -0x1.ff8818c348a86p-10, -0x1.f022ecdee758ep-10, -0x1.e13cbc05b4d8cp-10, -0x1.d2d195a0ac3b1p-10, -0x1.c4dda382e0739p-10, -0x1.b75d2965079cp-10, -0x1.aa4c84623f3a2p-10, -0x1.9da82a76368eap-10, -0x1.916ca9fc9ae67p-10, -0x1.8596a931f1d6p-10, -0x1.7a22e5b5ce3c8p-10, -0x1.6f0e340e79f2ep-10, -0x1.64557f2e0c452p-10, -0x1.59f5c7f8f5189p-10, -0x1.4fec24ce0b612p-10, -0x1.4635c11010425p-10, -0x1.3ccfdcb0c4236p-10, -0x1.33b7cbbd74efdp-10, -0x1.2aeaf5ed208b4p-10, -0x1.2266d6301f14dp-10, -0x1.1a28fa41639e5p-10, -0x1.122f023946f3ap-10, -0x1.0a76a021e574fp-10, -0x1.02fd978d1b451p-10, -0x1.f7837a5818acep-11, -0x1.e981ecd08a902p-11, -0x1.dbf271fce9b26p-11, -0x1.ced1153575d3ep-11, -0x1.c21a00ed1ba3cp-11, -0x1.b5c97df06cc78p-11, -0x1.a9dbf2a7c2fbp-11, -0x1.9e4de25c8c7d2p-11, -0x1.931bec81bdf3cp-11, -0x1.8842cbff6a753p-11, -0x1.7dbf56817c152p-11, -0x1.738e7bc988ae7p-11, -0x1.69ad4503c18f3p-11, -0x1.6018d41ef7b98p-11, -0x1.56ce6327b1583p-11, -0x1.4dcb43a6496c4p-11, -0x1.450cde0016ff6p-11, -0x1.3c90b0db94a72p-11, -0x1.3454508782439p-11, -0x1.2c556664fc3fcp-11, -0x1.2491b0547ffecp-11, -0x1.1d070025d92d6p-11, -0x1.15b33b0aeebep-11, -0x1.0e94590d69ed2p-11, -0x1.07a864872fa63p-11, -0x1.00ed799da5c17p-11, -0x1.f4c38b7f7296fp-12, -0x1.e8070e4d4813cp-12, -0x1.dba218b2c3651p-12, -0x1.cf916765a852fp-12, -0x1.c3d1d5d512838p-12, -0x1.b8605d4038c1dp-12, -0x1.ad3a13d25678ep-12, -0x1.a25c2bc3a7915p-12, -0x1.97c3f27f6c578p-12, -0x1.8d6ecfcedad61p-12, -0x1.835a4508f4313p-12, -0x1.7983ec4727f0dp-12, -0x1.6fe9779eb7b65p-12, -0x1.6688b05ec3807p-12, -0x1.5d5f7652f2c73p-12, -0x1.546bbf0aa62b1p-12, -0x1.4bab95249fb51p-12, -0x1.431d179f0dd5cp-12, -0x1.3abe792beec8p-12, -0x1.328dff89aff7dp-12, -0x1.2a8a02dfff11ep-12, -0x1.22b0ed20b9d13p-12, -0x1.1b01396ce75ffp-12, -0x1.1379737dace33p-12, -0x1.0c1837112c861p-12, -0x1.04dc2f5b3640bp-12, -0x1.fb882cf387324p-13, -0x1.ed9d69da4a4a8p-13, -0x1.dff5c227a24a1p-13, -0x1.d28efd538a7bap-13, -0x1.c566fc96cff47p-13, -0x1.b87bb9f7b57bdp-13, -0x1.abcb475d4d1fp-13, -0x1.9f53cda976543p-13, -0x1.93138bd94f22fp-13, -0x1.8708d62bffff2p-13, -0x1.7b32154fc1eadp-13, -0x1.6f8dc594fad67p-13, -0x1.641a762750b9cp-13, -0x1.58d6c84c9a2cbp-13, -0x1.4dc16ea97f76dp-13, -0x1.42d92c8bbcc5ep-13, -0x1.381cd539dc1c8p-13, -0x1.2d8b4b484cd9cp-13, -0x1.23237ff3b9531p-13, -0x1.18e472807be17p-13, -0x1.0ecd2f9f1ea9ap-13, -0x1.04dcd0d5b662ap-13, -0x1.f624f7dc29009p-14, -0x1.e2dac4d13908p-14, -0x1.cfd981e768b09p-14, -0x1.bd1fbdcf4ac32p-14, -0x1.aaac1b8dbc1c3p-14, -0x1.987d5184e2f85p-14, -0x1.869228858385p-14, -0x1.74e97ae86908dp-14, -0x1.638233afbb1b9p-14, -0x1.525b4db008e2ep-14, -0x1.4173d2c0d6fc2p-14, -0x1.30cadaf483c2bp-14, -0x1.205f8bd74ef7bp-14, -0x1.103117b558d6ep-14, -0x1.003ebce766dfdp-14, -0x1.e10f8a4c8a267p-15, -0x1.c21709c926b99p-15, -0x1.a392b55daeb39p-15, -0x1.85815d2345db4p-15, -0x1.67e1e30b53fb9p-15, -0x1.4ab339c33497fp-15, -0x1.2df463a320498p-15, -0x1.11a471a7f8eeep-15, -0x1.eb8504ef608c2p-16, -0x1.b49b82dff12c7p-16, -0x1.7e8acb7def704p-16, -0x1.4951630b59b9dp-16, -0x1.14ede207912b4p-16, -0x1.c2bde732aae8dp-17, -0x1.5d46a814fe459p-17, -0x1.f2e73d53fa6d8p-18, -0x1.2e84ff023905bp-18, -0x1.b588c90975038p-20, 0x1.421573e3096c7p-20, 0x1.0b35b8a3cdc46p-18, 0x1.c2b2c52c9df69p-18, 0x1.3b8022e96af1p-17, 0x1.9410f064979abp-17, 0x1.eb0d9190a25bcp-17, 0x1.203be120e7d29p-16, 0x1.4a289aad6da0ep-16, 0x1.734dcb3bde3ccp-16, 0x1.9bac45c08781dp-16, 0x1.c344db1474796p-16, 0x1.ea185aa8e9997p-16, 0x1.0813c9982ed4dp-15, 0x1.1ab9a99ea33f7p-15, 0x1.2cfe34eb8cb1bp-15, 0x1.3ee1d382ec435p-15, 0x1.5064ee2a40e0dp-15, 0x1.6187eea55d1a4p-15, 0x1.724b3fef00d6ep-15, 0x1.82af4e6d63f68p-15, 0x1.92b48822d6fd1p-15, 0x1.a25b5cda9e2bfp-15, 0x1.b1a43e5231e81p-15, 0x1.c08fa05f04231p-15, 0x1.cf1df910ef291p-15, 0x1.dd4fc0d172f0bp-15, 0x1.eb25727fded43p-15, 0x1.f89f8b8a8b5e5p-15, 0x1.02df4602a1942p-14, 0x1.09417b5e7ab84p-14, 0x1.0f76a8a46d62fp-14, 0x1.157f120c8d17dp-14, 0x1.1b5afd418d63ap-14, 0x1.210ab165c8167p-14, 0x1.268e771732091p-14, 0x1.2be698724a21cp-14, 0x1.311361140f641p-14, 0x1.36151e1b09c0dp-14, 0x1.3aec1e27715b6p-14, 0x1.3f98b15a8223ep-14, 0x1.441b2955012d9p-14, 0x1.4873d9350596fp-14, 0x1.4ca315930a6b2p-14, 0x1.50a9347e541d7p-14, 0x1.54868d78b582fp-14, 0x1.583b7971bc36ap-14, 0x1.5bc852c14d3cfp-14, 0x1.5f2d7521bab93p-14, 0x1.626b3da95cfa8p-14, 0x1.65820ac3b3bcdp-14, 0x1.68723c2a1bb03p-14, 0x1.6b3c32dc1af9fp-14, 0x1.6de0511751d5fp-14, 0x1.705efa4f103f1p-14, 0x1.72b893239c82ap-14, 0x1.74ed81592f9b5p-14, }}, 
      {{0x1.ffe85e6a947b3p-1, 0x1.ffa1bcaadce74p-1, 0x1.ff2cdebff30ep-1, 0x1.fe8afcd48ba1fp-1, 0x1.fdbdb233f8fd5p-1, 0x1.fcc6ea9ef97c5p-1, 0x1.fba8cfaaadbf4p-1, 0x1.fa65b72ea656bp-1, 0x1.f9001355af338p-1, 0x1.f77a6498adfc8p-1, 0x1.f5d72db8b9fp-1, 0x1.f418e9ada6de5p-1, 0x1.f242036aec46ep-1, 0x1.f054cf522672dp-1, 0x1.ee5386257cfdcp-1, 0x1.ec40414b1e1ep-1, 0x1.ea1cf83437cd8p-1, 0x1.e7eb7ebc8d849p-1, 0x1.e5ad845b3f6dep-1, 0x1.e36494012a52bp-1, 0x1.e112148533ca9p-1, 0x1.deb74982992c5p-1, 0x1.dc555490f07a7p-1, 0x1.d9ed36c0dd18bp-1, 0x1.d77fd24b72f77p-1, 0x1.d50dec6503377p-1, 0x1.d2982f2672622p-1, 0x1.d01f2b8258213p-1, 0x1.cda35b3d1020ep-1, 0x1.cb2522e07de52p-1, 0x1.c8a4d3a5b81bfp-1, 0x1.c622ad5004ec4p-1, 0x1.c39edff5a28b2p-1, 0x1.c1198db3b6578p-1, 0x1.be92cc4b889b3p-1, 0x1.bc0aa6a7cba82p-1, 0x1.b9811e4941b43p-1, 0x1.b6f62c9a78a7ep-1, 0x1.b469c42abcde4p-1, 0x1.b1dbd1d0a27c8p-1, 0x1.af4c3db4c5b2p-1, 0x1.acbaec4592568p-1, 0x1.aa27bf14fe6cap-1, 0x1.a79295a142b51p-1, 0x1.a4fb4e09ab766p-1, 0x1.a261c5b0a2343p-1, 0x1.9fc5d9cc1d61p-1, 0x1.9d2767e59932dp-1, 0x1.9a864e4ac2af5p-1, 0x1.97e26c6ff298p-1, 0x1.953ba3458a6dap-1, 0x1.9291d58142aebp-1, 0x1.8fe4e7dc66fc7p-1, 0x1.8d34c147f4e5bp-1, 0x1.8a814b177da57p-1, 0x1.87ca7123aab1p-1, 0x1.851021e52709cp-1, 0x1.82524e88b0d16p-1, 0x1.7f90eafcfedep-1, 0x1.7ccbedfb1f043p-1, 0x1.7a035109e5eb3p-1, 0x1.7737107cf770ep-1, 0x1.74672b6feb8ep-1, 0x1.7193a3be039e9p-1, 0x1.6ebc7df6dcb03p-1, 0x1.6be1c15080b11p-1, 0x1.690377972f8fcp-1, 0x1.6621ad1b34846p-1, 0x1.633c709d0fdcp-1, 0x1.6053d33837b06p-1, 0x1.5d67e84caf17bp-1, 0x1.5a78c567a9ae1p-1, 0x1.5786822b6ba0ap-1, 0x1.5491383695f24p-1, 0x1.5199030b029ap-1, 0x1.4e9dfff45a431p-1, 0x1.4ba04dee7e11bp-1, 0x1.48a00d8be6a1cp-1, 0x1.459d60dc0d5b3p-1, 0x1.42986b51fc09ap-1, 0x1.3f9151ab113aep-1, 0x1.3c8839d60fd27p-1, 0x1.397d4ada865a8p-1, 0x1.3670acc09c5ep-1, 0x1.33628879521bep-1, 0x1.305307c73d5a9p-1, 0x1.2d425527ca644p-1, 0x1.2a309bbd0a30cp-1, 0x1.271e07381374ep-1, 0x1.240ac3c3fc85ep-1, 0x1.20f6fdf1715f6p-1, 0x1.1de2e2a2ea2fcp-1, 0x1.1ace9ef9849f9p-1, 0x1.17ba604282ae7p-1, 0x1.14a653e56dd4ep-1, 0x1.1192a752e3b13p-1, 0x1.0e7f87f40882dp-1, 0x1.0b6d231aa136ep-1, 0x1.085ba5f1d3eb5p-1, 0x1.054b3d6f8e08ep-1, 0x1.023c16468fba6p-1, 0x1.fe5cb9b22f66fp-2, 0x1.f8447a5866064p-2, 0x1.f22fc5b752f0cp-2, 0x1.ec1ef21d0e83bp-2, 0x1.e61254d880f79p-2, 0x1.e00a4224dab61p-2, 0x1.da070d163127bp-2, 0x1.d4090787429dcp-2, 0x1.ce10820857ab2p-2, 0x1.c81dcbcf392p-2, 0x1.c23132a83a384p-2, 0x1.bc4b02e84797ep-2, 0x1.b66b8760005bcp-2, 0x1.b093094fc6c78p-2, 0x1.aac1d05ccac16p-2, 0x1.a4f82286ff9aep-2, 0x1.9f36441ffbd25p-2, 0x1.997c77c2bca69p-2, 0x1.93cafe4c3ef8fp-2, 0x1.8e2216d4eece9p-2, 0x1.8881feaae4359p-2, 0x1.82eaf14ce0cdp-2, 0x1.7d5d28661416dp-2, 0x1.77d8dbca8ed4cp-2, 0x1.725e41746e3cbp-2, 0x1.6ced8d81b00e2p-2, 0x1.6786f232a8118p-2, 0x1.622a9fe9168ebp-2, 0x1.5cd8c527d52d9p-2, 0x1.57918e9312c62p-2, 0x1.525526f11a2b6p-2, 0x1.4d23b72ba06b7p-2, 0x1.47fd66518d545p-2, 0x1.42e259993f8dbp-2, 0x1.3dd2b4633ff8bp-2, 0x1.38ce983d6768bp-2, 0x1.33d624e665ff1p-2, 0x1.2ee97851b1008p-2, 0x1.2a08aeabca62dp-2, 0x1.2533e25ee212ep-2, 0x1.206b2c17c897ap-2, 0x1.1baea2cb2f1d7p-2, 0x1.16fe5bbb2fa18p-2, 0x1.125a6a7d1c5d9p-2, 0x1.0dc2e0ff8a92ap-2, 0x1.0937cf909994dp-2, 0x1.04b944e473749p-2, 0x1.00474e1bfaf49p-2, 0x1.f7c3ed975bab9p-3, 0x1.ef12920559ec5p-3, 0x1.e67a9aa3dc6f7p-3, 0x1.ddfc15a71de5fp-3, 0x1.d5970e6493317p-3, 0x1.cd4b8d6208cabp-3, 0x1.c5199864f4ef7p-3, 0x1.bd013281f164ap-3, 0x1.b5025c2c60534p-3, 0x1.ad1d13462d4a7p-3, 0x1.a551532fa6e28p-3, 0x1.9d9f14d76d7cep-3, 0x1.96064eca70164p-3, 0x1.8e86f543f80d5p-3, 0x1.8720fa3db0832p-3, 0x1.7fd44d7fb84a3p-3, 0x1.78a0dcb0a7847p-3, 0x1.7186936594608p-3, 0x1.6a855b32055ddp-3, 0x1.639d1bb7d902fp-3, 0x1.5ccdbab714f28p-3, 0x1.56171c1da52b3p-3, 0x1.4f792216f655fp-3, 0x1.48f3ad1b7f5dcp-3, 0x1.42869c001e2bbp-3, 0x1.3c31cc055f45dp-3, 0x1.35f518e690a83p-3, 0x1.2fd05ce8b958ap-3, 0x1.29c370e95ed76p-3, 0x1.23ce2c6d2219ep-3, 0x1.1df065ae2d053p-3, 0x1.1829f1aa6ce48p-3, 0x1.127aa431a0e45p-3, 0x1.0ce24ff32e7ffp-3, 0x1.0760c68bc4acdp-3, 0x1.01f5d892c79b9p-3, 0x1.f942ab4f0a1cep-4, 0x1.eec618fc59c05p-4, 0x1.e47595d9308fbp-4, 0x1.da50bbed90378p-4, 0x1.d05723b671b5ap-4, 0x1.c688643dd45fdp-4, 0x1.bce413326a658p-4, 0x1.b369c4febf9eep-4, 0x1.aa190cdfe6f88p-4, 0x1.a0f17cfbb03ebp-4, 0x1.97f2a67652c19p-4, 0x1.8f1c1987afa6bp-4, 0x1.866d6590058e2p-4, 0x1.7de6192c2eb45p-4, 0x1.7585c2495f87bp-4, 0x1.6d4bee386857fp-4, 0x1.653829c078e19p-4, 0x1.5d4a0131685a7p-4, 0x1.5581007580c42p-4, 0x1.4ddcb322ce0a8p-4, 0x1.465ca48bf3385p-4, 0x1.3f005fd084e0fp-4, 0x1.37c76feceaae3p-4, 0x1.30b15fc9c7e57p-4, 0x1.29bdba4aed878p-4, 0x1.22ec0a5dd6387p-4, 0x1.1c3bdb07aca3p-4, 0x1.15acb772df28fp-4, 0x1.0f3e2afc3fd17p-4, 0x1.08efc13fb4dbep-4, 0x1.02c1062478076p-4, 0x1.f9630bd1d4066p-5, 0x1.ed819a5bed069p-5, 0x1.e1dcd2041fabcp-5, 0x1.d673cdd77f057p-5, 0x1.cb45a9e79f4cap-5, 0x1.c051835e1c2eap-5, 0x1.b596788f5630dp-5, 0x1.ab13a90c6ab1bp-5, 0x1.a0c835b46ac0bp-5, 0x1.96b340c4d1266p-5, 0x1.8cd3ede93f5adp-5, 0x1.8329624a832c8p-5, 0x1.79b2c49ce7e85p-5, 0x1.706f3d2dd7957p-5, 0x1.675df5f0cf15ep-5, 0x1.5e7e1a8bab26cp-5, 0x1.55ced8624d328p-5, 0x1.4d4f5ea1a173dp-5, 0x1.44fede4a05b6ep-5, 0x1.3cdc8a3915a4ap-5, 0x1.34e79732e01cdp-5, 0x1.2d1f3bea8ae6cp-5, 0x1.2582b10a656c3p-5, 0x1.1e11313b6fc58p-5, 0x1.16c9f92c5a506p-5, 0x1.0fac4797ff932p-5, 0x1.08b75d4b5ca52p-5, 0x1.01ea7d2b0cb05p-5, 0x1.f689d87094027p-6, 0x1.e98be32aed84ap-6, 0x1.dcd9ad1466087p-6, 0x1.d071cd0e08963p-6, 0x1.c452de5119be2p-6, 0x1.b87b8074b80b2p-6, 0x1.acea5772ae478p-6, 0x1.a19e0bab7de86p-6, 0x1.969549e9ace2dp-6, 0x1.8bcec36455822p-6, 0x1.81492dc104e9cp-6, 0x1.77034314ebc76p-6, 0x1.6cfbc1e5678b8p-6, 0x1.63316d27e7ab5p-6, 0x1.59a30c4138c85p-6, 0x1.504f6b04388bfp-6, 0x1.473559aff7da1p-6, 0x1.3e53aced547efp-6, 0x1.35a93dcc06213p-6, 0x1.2d34e9bf32de4p-6, 0x1.24f592998050ap-6, 0x1.1cea1e88b3feap-6, 0x1.15117810dac0ap-6, 0x1.0d6a8e070ceedp-6, 0x1.05f4538bc08fep-6, 0x1.fd5b80097be08p-7, 0x1.ef2b9e2d663b4p-7, 0x1.e157013cd7cfbp-7, 0x1.d3dbb1536f195p-7, 0x1.c6b7bedfe8a2fp-7, 0x1.b9e94294af1dbp-7, 0x1.ad6e5d57c3fe5p-7, 0x1.a1453832269fap-7, 0x1.956c043eb9eaep-7, 0x1.89e0fa98a0137p-7, 0x1.7ea25c492e2d9p-7, 0x1.73ae7235698cap-7, 0x1.69038d0b1fccep-7, 0x1.5ea0052d9c58fp-7, 0x1.54823aa205455p-7, 0x1.4aa894fb63ba4p-7, 0x1.411183465c91ap-7, 0x1.37bb7bf4a2063p-7, 0x1.2ea4fcc824157p-7, 0x1.25cc8abe02d0cp-7, 0x1.1d30b1f949cbap-7, 0x1.14d005ad79b6fp-7, 0x1.0ca92008e5841p-7, 0x1.04baa21ee6ff2p-7, 0x1.fa0667a3e1dc1p-8, 0x1.eb03077b0473fp-8, 0x1.dc688e3ffead5p-8, 0x1.ce347388ed63fp-8, 0x1.c0643bd8a446fp-8, 0x1.b2f57871f882ep-8, 0x1.a5e5c72af76fcp-8, 0x1.9932d24010946p-8, 0x1.8cda50273d217p-8, 0x1.80da036327fc6p-8, 0x1.752fba565f5c9p-8, 0x1.69d94f1697dbbp-8, 0x1.5ed4a7400189ep-8, 0x1.541fb3c8bbf8bp-8, 0x1.49b870d4693bap-8, 0x1.3f9ce587e8e16p-8, 0x1.35cb23dd3db5dp-8, 0x1.2c414877a47d8p-8, 0x1.22fd7a77e14d2p-8, 0x1.19fdeb50c49bap-8, 0x1.1140d69bf039ep-8, 0x1.08c481eedf47fp-8, 0x1.00873cb03127dp-8, 0x1.f10ebfda85f17p-9, 0x1.e1869c602481ap-9, 0x1.d272e6aae6f0dp-9, 0x1.c3d088c7346bcp-9, 0x1.b59c7ec1f4072p-9, 0x1.a7d3d656ff2fep-9, 0x1.9a73aea04d50fp-9, 0x1.8d7937c5de509p-9, 0x1.80e1b2ae6594cp-9, 0x1.74aa70b0ba1p-9, 0x1.68d0d34615787p-9, 0x1.5d524bbd1d086p-9, 0x1.522c5aedbba98p-9, 0x1.475c90edd7acfp-9, 0x1.3ce08cc6d5fddp-9, 0x1.32b5fc2bffa16p-9, 0x1.28da9b31c1a4ap-9, 0x1.1f4c3405c9265p-9, 0x1.16089ea806c0ap-9, 0x1.0d0dc0a48d7fep-9, 0x1.04598cce5ae87p-9, 0x1.f7d405f604d79p-10, 0x1.e77a5f7e82b93p-10, 0x1.d7a25858f1249p-10, 0x1.c8483b1e1bf75p-10, 0x1.b9686a5b7784bp-10, 0x1.aaff601383791p-10, 0x1.9d09ad4010c01p-10, 0x1.8f83f9564c077p-10, 0x1.826b01cca3635p-10, 0x1.75bb99a284d2ap-10, 0x1.6972a8e9e040cp-10, 0x1.5d8d2c5285c7dp-10, 0x1.520834b753d28p-10, 0x1.46e0e6ad2e5b1p-10, 0x1.3c147a13c7299p-10, 0x1.31a039a831702p-10, 0x1.278182993d648p-10, 0x1.1db5c41d9ab69p-10, 0x1.143a7f0bbfa3dp-10, 0x1.0b0d45739025fp-10, 0x1.022bba39c6d13p-10, 0x1.f327216a2ec69p-11, 0x1.e285189a14acp-11, 0x1.d26d00351c63fp-11, 0x1.c2da9d14735a7p-11, 0x1.b3c9d2007ab06p-11, 0x1.a5369efbfdc46p-11, 0x1.971d2092b6f4cp-11, 0x1.89798f2b1abadp-11, 0x1.7c483e5b5e151p-11, 0x1.6f859c41b51a6p-11, 0x1.632e30dfbc6cbp-11, 0x1.573e9d7907768p-11, 0x1.4bb39bf4cb1fp-11, 0x1.4089fe429a987p-11, 0x1.35beadc22d0cfp-11, 0x1.2b4eaaae25a39p-11, 0x1.21370b89d1ec8p-11, 0x1.1774fc91d627p-11, 0x1.0e05bf2fbf7f4p-11, 0x1.04e6a970701adp-11, 0x1.f82a4afabc662p-12, 0x1.e71d62313427fp-12, 0x1.d6a1ba3728091p-12, 0x1.c6b299f12af9ap-12, 0x1.b74b6c7dcd5ccp-12, 0x1.a867c0432b932p-12, 0x1.9a034601a895p-12, 0x1.8c19cfebc78b6p-12, 0x1.7ea750c30c8a3p-12, 0x1.71a7daf9d2db4p-12, 0x1.65179fda02c7fp-12, 0x1.58f2eeb099601p-12, 0x1.4d3633fde4f6cp-12, 0x1.41ddf8aa7007ep-12, 0x1.36e6e14078bf1p-12, 0x1.2c4dad29efb89p-12, 0x1.220f35f2df5c7p-12, 0x1.18286e9031eb1p-12, 0x1.0e9662aabba9dp-12, 0x1.055635ee7debfp-12, 0x1.f8ca46bc11b54p-13, 0x1.e780f953dcef7p-13, 0x1.d6cb531866fdep-13, 0x1.c6a44e4f53c0bp-13, 0x1.b7070ed64bf0cp-13, 0x1.a7eee0f0ef195p-13, 0x1.9957381e394bbp-13, 0x1.8b3badf523cd9p-13, 0x1.7d9801087425dp-13, 0x1.706813d1837cdp-13, 0x1.63a7eba1ef006p-13, 0x1.5753af9bf6bf7p-13, 0x1.4b67a7b187627p-13, 0x1.3fe03ba9b181ep-13, 0x1.34b9f22c7f4ap-13, 0x1.29f16fd504651p-13, 0x1.1f8376498256fp-13, 0x1.156ce35989df4p-13, 0x1.0baab021eff35p-13, 0x1.0239f036844bfp-13, 0x1.f22fa1a2c02ffp-14, 0x1.e083300f67381p-14, 0x1.cf694807e1087p-14, 0x1.bedcd48a86cbbp-14, 0x1.aed8edc841fc7p-14, 0x1.9f58d7b7dfd65p-14, 0x1.905800b322834p-14, 0x1.81d2001d8a3ffp-14, 0x1.73c29514839afp-14, 0x1.6625a528cf35ep-14, 0x1.58f73b20ed877p-14, 0x1.4c3385c45bd1cp-14, 0x1.3fd6d6af6aa32p-14, 0x1.33dda12f80d7ap-14, 0x1.2844792796af3p-14, 0x1.1d0811fcb96a8p-14, 0x1.12253d8a666dbp-14, 0x1.0798eb1e9083ep-14, 0x1.fac04cfa3fc64p-15, 0x1.e6f02dd580e28p-15, 0x1.d3bbfc7d9f43ep-15, 0x1.c11e6ff88497fp-15, 0x1.af1270e2a2ebcp-15, 0x1.9d9317bb94de2p-15, 0x1.8c9bab3fa4945p-15, 0x1.7c279ecdf4443p-15, 0x1.6c3290daed2d2p-15, 0x1.5cb8496eb02e9p-15, 0x1.4db4b8af33ae2p-15, 0x1.3f23f575c8e6dp-15, 0x1.31023befba746p-15, 0x1.234bec49bd7bp-15, 0x1.15fd8965f09c5p-15, 0x1.0913b79c1dc81p-15, 0x1.f9167707fe47ap-16, 0x1.e0c1f19282ffdp-16, 0x1.c923e2120cc3ep-16, 0x1.b236857141a84p-16, 0x1.9bf4502aa02b5p-16, 0x1.8657ec397a2bfp-16, 0x1.715c371bf3c25p-16, 0x1.5cfc3fe59b54ap-16, 0x1.493345621b5dap-16, 0x1.35fcb4479e21fp-16, 0x1.235425787008fp-16, 0x1.11355c537c6fdp-16, 0x1.ff388a2657d31p-17, 0x1.dd09e6749ae5p-17, 0x1.bbd7401d3a222p-17, 0x1.9b9952410d389p-17, 0x1.7c491dbf80fecp-17, 0x1.5ddfe678da1adp-17, 0x1.405730a8a723cp-17, 0x1.23a8be57cfd16p-17, 0x1.07ce8ce5801c4p-17, 0x1.d985a54c9046cp-18, 0x1.a4fff931922bp-18, 0x1.7201585e9c944p-18, 0x1.407f6a5b5cc88p-18, 0x1.10703735bc13cp-18, 0x1.c3944716622e3p-19, 0x1.6907d96e30d3ep-19, 0x1.11294a49e8a3bp-19, 0x1.77cec315d8e47p-20, 0x1.a4c60d2a29935p-21, 0x1.8f7a948dc9f09p-23, -0x1.a6ad1b27e7a3fp-22, -0x1.008aa0d2a5282p-20, -0x1.92cb900de457ep-20, -0x1.1044f6b8b4874p-19, -0x1.54f050995b6f8p-19, -0x1.9774d6958fcd4p-19, -0x1.d7df1b69bacbdp-19, -0x1.0b1da436b5cf3p-18, -0x1.294a9116fab2dp-18, -0x1.467c066cec5eap-18, -0x1.62b7883f491d2p-18, -0x1.7e026e8d25bbap-18, -0x1.9861e74178bf4p-18, -0x1.b1daf8120b8f7p-18, -0x1.ca72804a897adp-18, -0x1.e22d3a845a199p-18, -0x1.f90fbe4bec7f6p-18, -0x1.078f40da0e80bp-17, -0x1.122eed6c289aap-17, -0x1.1c6900a6f57eep-17, -0x1.263f87c2d13d1p-17, -0x1.2fb4820eafa81p-17, -0x1.38c9e1918f211p-17, -0x1.41818ba4b545fp-17, -0x1.49dd5986fb66ap-17, -0x1.51df18e968025p-17, -0x1.59888c755b566p-17, -0x1.60db6c4c7f6aep-17, -0x1.67d96682c9018p-17, -0x1.6e841f92b0bd9p-17, -0x1.74dd32cbee993p-17, -0x1.7ae632bcdad12p-17, -0x1.80a0a996b974fp-17, -0x1.860e198d18f4ap-17, -0x1.8b2ffd307a701p-17, -0x1.9007c7c46f03cp-17, -0x1.9496e5915f66p-17, -0x1.98debc3224bd1p-17, -0x1.9ce0aadd9c7a7p-17, -0x1.a09e0aac66c8cp-17, -0x1.a4182edafac9bp-17, -0x1.a750650827b1bp-17, -0x1.aa47f5703dd8ep-17, -0x1.ad002324f6cf3p-17, -0x1.af7a2c4247b07p-17, -0x1.b1b74a202f034p-17, -0x1.b3b8b181c34fbp-17, -0x1.b57f92c176e63p-17, -0x1.b70d19faca7c5p-17, -0x1.b8626f3191358p-17, -0x1.b980b676c788fp-17, -0x1.ba69100b36a9ep-17, -0x1.bb1c987fee88fp-17, -0x1.bb9c68d4ad7d9p-17, -0x1.bbe9969460d32p-17, -0x1.bc0533efc3fdfp-17, -0x1.bbf04fd638693p-17, -0x1.bbabf60cfcc61p-17, -0x1.bb392f44c0fb8p-17, -0x1.ba99012dbabc7p-17, -0x1.b9cc6e8a4ef36p-17, -0x1.b8d477405a185p-17, -0x1.b7b2186935b54p-17, -0x1.b6664c607f6c9p-17, -0x1.b4f20ad1bce2p-17, -0x1.b35648c4ef434p-17, -0x1.b193f8aa121d1p-17, -0x1.afac0a63b95e5p-17, -0x1.ad9f6b50ad63ep-17, -0x1.ab6f0654c0239p-17, -0x1.a91bc3e0cd0c7p-17, -0x1.a6a689f9f93afp-17, -0x1.a4103c403b359p-17, -0x1.a159bbf44b56fp-17, -0x1.9e83e7fcda4f8p-17, -0x1.9b8f9ceb52ebcp-17, -0x1.987db4fffec4p-17, -0x1.954f082dbbf4bp-17, -0x1.92046c1d2b5e7p-17, -0x1.8e9eb42f886e5p-17, -0x1.8b1eb181107ccp-17, -0x1.878532eb10d34p-17, -0x1.83d305059e391p-17, -0x1.8008f22912db2p-17, -0x1.7c27c26f27526p-17, -0x1.78303bb3eed75p-17, -0x1.7423219684324p-17, -0x1.700135798fc22p-17, -0x1.6bcb36839df4cp-17, -0x1.6781e19f54994p-17, -0x1.6325f17b7e67cp-17, -0x1.5eb81e8aff79ap-17, -0x1.5a391f04b2b34p-17, -0x1.55a9a6e3318f9p-17, -0x1.510a67e48aa03p-17, -0x1.4c5c1189f2b9p-17, -0x1.479f51176add5p-17, -0x1.42d4d1935e1bcp-17, -0x1.3dfd3bc6459c2p-17, -0x1.3919363a4912dp-17, -0x1.3429653ae6b33p-17, -0x1.2f2e6ad4a178dp-17, -0x1.2a28e6d4b93dap-17, -0x1.251976c8efa38p-17, -0x1.2000b5ff5a406p-17, -0x1.1adf3d8645819p-17, -0x1.15b5a42c2a01ap-17, -0x1.10847e7fb475ap-17, -0x1.0b4c5ecfe3f0dp-17, -0x1.060dd52c3dc5fp-17, -0x1.00c96f6519e95p-17, -0x1.f6ff721810374p-18, -0x1.ec6276e89e55fp-18, -0x1.e1bcfb670d271p-18, -0x1.d71009449b0cp-18, -0x1.cc5ca5ba3775p-18, }}, 
      {{0x1.c6523235870b8p-16, 0x1.c71e9f8cc45e3p-14, 0x1.00afdfe8b98c7p-12, 0x1.c9d154796caebp-12, 0x1.66eb56ba77be5p-11, 0x1.034b7e6c478e5p-10, 0x1.61f6d3319fcb4p-10, 0x1.cf551df7a4067p-10, 0x1.258cd44e3964dp-9, 0x1.6a64ac65924eap-9, 0x1.b5dc4c8fbca8ep-9, 0x1.03c2c627f8a33p-8, 0x1.2f6d442b8be07p-8, 0x1.5d9f7124d6f44p-8, 0x1.8e00bcf2cd45dp-8, 0x1.c02f3fdc28049p-8, 0x1.f3c0e2b15213cp-8, 0x1.14224ccbce437p-7, 0x1.2ea1d39a1d2ep-7, 0x1.49216fd5237e2p-7, 0x1.6361f23f6f487p-7, 0x1.7d2329fa0e283p-7, 0x1.962473e1a6d8bp-7, 0x1.ae254026eccf6p-7, 0x1.c4e58d303b176p-7, 0x1.da26573f8c8f8p-7, 0x1.eda9fcb12c633p-7, 0x1.ff3496edbeaaep-7, 0x1.0746243010b17p-6, 0x1.0dbcbff34be1p-6, 0x1.12e39928b1641p-6, 0x1.16a18548c593fp-6, 0x1.18dec8a19f078p-6, 0x1.19852620afaap-6, 0x1.187feb770215p-6, 0x1.15bbf9eb05c39p-6, 0x1.1127cc27680cep-6, 0x1.0ab3795218478p-6, 0x1.0250b5b20d104p-6, 0x1.efe5a24b3ea53p-7, 0x1.d71d674daef8dp-7, 0x1.ba35b02d20c0ap-7, 0x1.991e8b06526aap-7, 0x1.73cb0e375a99ap-7, 0x1.4a3145f9297e4p-7, 0x1.1c4a1fffdf371p-7, 0x1.d422aaddeafffp-8, 0x1.670aa6d0e24e7p-8, 0x1.e29c89e17cd93p-9, 0x1.cbd268c4c6a7dp-10, -0x1.3f674f8f0617ap-12, -0x1.46c4d3e0f6af4p-9, -0x1.3b3a61ece8e06p-8, -0x1.db654c4a677cbp-8, -0x1.41e310724312cp-7, -0x1.9a1e0b1da1a78p-7, -0x1.f6516b94fa42ep-7, -0x1.2b34adffc851ep-6, -0x1.5d283ab2bc557p-6, -0x1.90f7ecb01e42dp-6, -0x1.c697a5a31034dp-6, -0x1.fdfaa461db70ap-6, -0x1.1b89c8768a0a3p-5, -0x1.38ea440eae67fp-5, -0x1.5717937e8520dp-5, -0x1.760a4ae5ea119p-5, -0x1.95bac955bc56p-5, -0x1.b6213dfa77208p-5, -0x1.d735ad1b1f708p-5, -0x1.f8eff4ecdabe2p-5, -0x1.0da3e91dd34b6p-4, -0x1.1f1a72746c24cp-4, -0x1.30d75a20155dap-4, -0x1.42d6599215b06p-4, -0x1.551322097966ep-4, -0x1.67895e820aa61p-4, -0x1.7a34b5905db6fp-4, -0x1.8d10cb2b6c9fcp-4, -0x1.a01942643574cp-4, -0x1.b349bf0bd496bp-4, -0x1.c69de7487ba08p-4, -0x1.da116519c5162p-4, -0x1.ed9fe7ccb0a81p-4, -0x1.00a292afdd31cp-3, -0x1.0a7e6debaa78dp-3, -0x1.1461694193d2bp-3, -0x1.1e496d9a2e005p-3, -0x1.283469b2989b1p-3, -0x1.322052a91ebb2p-3, -0x1.3c0b2482b9f23p-3, -0x1.45f2e2a9ac60dp-3, -0x1.4fd598653ab3p-3, -0x1.59b1594ab11d6p-3, -0x1.638441a7c9585p-3, -0x1.6d4c76e686b5ep-3, -0x1.770827eab28adp-3, -0x1.80b58d69061c1p-3, -0x1.8a52ea381ab2ap-3, -0x1.93de8b9b4d928p-3, -0x1.9d56c9879edddp-3, -0x1.a6ba06e2b3dbfp-3, -0x1.b006b1bc15436p-3, -0x1.b93b4380ca145p-3, -0x1.c25641296b281p-3, -0x1.cb563b62d3863p-3, -0x1.d439ceb188c4ap-3, -0x1.dcffa39003e7ap-3, -0x1.e5a66e87f3641p-3, -0x1.ee2cf046ab09fp-3, -0x1.f691f5accf08dp-3, -0x1.fed457d977a1ep-3, -0x1.03797e186fff2p-2, -0x1.07766a2f6846bp-2, -0x1.0b606f2a771fdp-2, -0x1.0f37122285631p-2, -0x1.12f9de4bd62f1p-2, -0x1.16a864ef74378p-2, -0x1.1a423d62e11d6p-2, -0x1.1dc704fe1a2b1p-2, -0x1.21365f1001689p-2, -0x1.248ff4d1495fap-2, -0x1.27d37555ee8f6p-2, -0x1.2b00957d533b2p-2, -0x1.2e170fe119b96p-2, -0x1.3116a4c2c2fbfp-2, -0x1.33ff19f830f9ep-2, -0x1.36d03ad7171b2p-2, -0x1.3989d81f70634p-2, -0x1.3c2bc7e509e1p-2, -0x1.3eb5e57834baap-2, -0x1.4128114db0ffap-2, -0x1.438230e5e0332p-2, -0x1.45c42eb35196ep-2, -0x1.47edfa00b95eep-2, -0x1.49ff86d65c08dp-2, -0x1.4bf8cddf04b6dp-2, -0x1.4dd9cc4c8cb59p-2, -0x1.4fa283bc0a2b3p-2, -0x1.5152fa19aac55p-2, -0x1.52eb39844c6edp-2, -0x1.546b5030dfed1p-2, -0x1.55d3504d9bfd2p-2, -0x1.57234fe5159d3p-2, -0x1.585b68c13ca1p-2, -0x1.597bb84e4db7bp-2, -0x1.5a845f7dc5532p-2, -0x1.5b7582a953709p-2, -0x1.5c4f4975e39bcp-2, -0x1.5d11deb6b84cep-2, -0x1.5dbd7050a8238p-2, -0x1.5e522f1d7fa22p-2, -0x1.5ed04ecf91894p-2, -0x1.5f3805d576b0fp-2, -0x1.5f898d3e0e8a5p-2, -0x1.5fc5209cb5b89p-2, -0x1.5feafdedc9318p-2, -0x1.5ffb657b6d88dp-2, -0x1.5ff699c2a4146p-2, -0x1.5fdcdf58b5628p-2, -0x1.5fae7cd0ef40bp-2, -0x1.5f6bbaa2bb28bp-2, -0x1.5f14e310133cap-2, -0x1.5eaa420c57238p-2, -0x1.5e2c252382f98p-2, -0x1.5d9adb61ca163p-2, -0x1.5cf6b53b9b6p-2, -0x1.5c4004760d6b6p-2, -0x1.5b771c0fb88d5p-2, -0x1.5a9c5029f8485p-2, -0x1.59aff5f2a145dp-2, -0x1.58b2638e23f1ap-2, -0x1.57a3f0021f3b5p-2, -0x1.5684f3206540cp-2, -0x1.5555c57275d6ap-2, -0x1.5416c02565424p-2, -0x1.52c83cf63c56p-2, -0x1.516a961eca76ap-2, -0x1.4ffe2642e9fa3p-2, -0x1.4e83485e3c27p-2, -0x1.4cfa57b255598p-2, -0x1.4b63afb55f789p-2, -0x1.49bfac013085ap-2, -0x1.480ea842d4d8p-2, -0x1.4651002a889d6p-2, -0x1.44870f5c29dc3p-2, -0x1.42b1316018d9dp-2, -0x1.40cfc1948a69ap-2, -0x1.3ee31b1f4c253p-2, -0x1.3ceb98dff6974p-2, -0x1.3ae995629231cp-2, -0x1.38dd6ad2a7928p-2, -0x1.36c772eebcdb8p-2, -0x1.34a806fc4330bp-2, -0x1.327f7fbbeb203p-2, -0x1.304e355e67df5p-2, -0x1.2e147f79973e8p-2, -0x1.2bd2b4fe163edp-2, -0x1.29892c2d389cbp-2, -0x1.27383a8f69776p-2, -0x1.24e034eaee7c4p-2, -0x1.22816f3b0ee8ap-2, -0x1.201c3ca79b4d3p-2, -0x1.1db0ef7cd927p-2, -0x1.1b3fd923c9f39p-2, -0x1.18c94a1ad1b5p-2, -0x1.164d91eebb943p-2, -0x1.13ccff3414b6ap-2, -0x1.1147df80e765ep-2, -0x1.0ebe7f66c8748p-2, -0x1.0c312a6d3d7b3p-2, -0x1.09a02b0c7a9a7p-2, -0x1.070bcaa86e153p-2, -0x1.0474518c24c29p-2, -0x1.01da06e579b43p-2, -0x1.fe7a618231175p-3, -0x1.f93c280d95291p-3, -0x1.f3f9e8ec252edp-3, -0x1.eeb429461fda1p-3, -0x1.e96b6be75a6d5p-3, -0x1.e420313a2ae9ap-3, -0x1.ded2f742d7efbp-3, -0x1.d984399b9f0adp-3, -0x1.d43471712c736p-3, -0x1.cee4157fa85aep-3, -0x1.c9939a1033ed3p-3, -0x1.c44370f6e79f5p-3, -0x1.bef409914f476p-3, -0x1.b9a5d0c54fc17p-3, -0x1.b4593100889b7p-3, -0x1.af0e923821107p-3, -0x1.a9c659e8ff734p-3, -0x1.a480eb186dabp-3, -0x1.9f3ea6551bcddp-3, -0x1.99ffe9b890afbp-3, -0x1.94c510e8ec3e3p-3, -0x1.8f8e751b152cep-3, -0x1.8a5c6d1531659p-3, -0x1.852f4d3180fccp-3, -0x1.8007676185ad4p-3, -0x1.7ae50b317de31p-3, -0x1.75c885cc29aa1p-3, -0x1.70b221fee16a5p-3, -0x1.6ba2283dee9c3p-3, -0x1.6698dea92919dp-3, -0x1.61968910dbaedp-3, -0x1.5c9b68fae4791p-3, -0x1.57a7bda811faap-3, -0x1.52bbc419bbfbep-3, -0x1.4dd7b7179134ap-3, -0x1.48fbcf359d408p-3, -0x1.442842da7ef46p-3, -0x1.3f5d4645caaecp-3, -0x1.3a9b0b96a2505p-3, -0x1.35e1c2d26ea0ep-3, -0x1.313199ebc591p-3, -0x1.2c8abcc978107p-3, -0x1.27ed554dbc0a7p-3, -0x1.23598b5d817b9p-3, -0x1.1ecf84e7dca49p-3, -0x1.1a4f65ed936b8p-3, -0x1.15d95088c35ebp-3, -0x1.116d64f49e95fp-3, -0x1.0d0bc1954053bp-3, -0x1.08b482ff933dcp-3, -0x1.0467c40150374p-3, -0x1.00259da90362bp-3, -0x1.f7dc4e9c570e6p-4, -0x1.ef82ed32af68p-4, -0x1.e73f3f18bccbp-4, -0x1.df11691520899p-4, -0x1.d6f98cc1fc821p-4, -0x1.cef7c89d6f7c9p-4, -0x1.c70c381a34b79p-4, -0x1.bf36f3b0301aep-4, -0x1.b77810ed0dc46p-4, -0x1.afcfa284d381ap-4, -0x1.a83db86275ceep-4, -0x1.a0c25fb862471p-4, -0x1.995da310fea54p-4, -0x1.920f8a5f1d377p-4, -0x1.8ad81b0e62b76p-4, -0x1.83b758139950ep-4, -0x1.7cad41fcef6c9p-4, -0x1.75b9d70221319p-4, -0x1.6edd131489934p-4, -0x1.6816efef17bfdp-4, -0x1.6167652629d22p-4, -0x1.5ace683746f74p-4, -0x1.544bec98bc066p-4, -0x1.4ddfe3c913541p-4, -0x1.478a3d5e6a647p-4, -0x1.414ae715a224ap-4, -0x1.3b21cce16843ep-4, -0x1.350ed8f917341p-4, -0x1.2f11f3e76ec35p-4, -0x1.292b04991f24cp-4, -0x1.2359f06b2a1a6p-4, -0x1.1d9e9b3915271p-4, -0x1.17f8e76aee2f9p-4, -0x1.1268b60320f65p-4, -0x1.0cede6ac1aa0ep-4, -0x1.078857c5be44ap-4, -0x1.0237e672a560ep-4, -0x1.f9f8dd4a5dd44p-5, -0x1.efab9658b4de8p-5, -0x1.e587ab80dc3c7p-5, -0x1.db8cce1ed4965p-5, -0x1.d1baad928a66ap-5, -0x1.c810f757e60e4p-5, -0x1.be8f571e6dc8ap-5, -0x1.b53576e07b415p-5, -0x1.ac02fefa04cb9p-5, -0x1.a2f7963ef6b72p-5, -0x1.9a12e2111e845p-5, -0x1.91548675aa6ep-5, -0x1.88bc262a35e65p-5, -0x1.804962b96b1d7p-5, -0x1.77fbdc8f31204p-5, -0x1.6fd3330c6fb63p-5, -0x1.67cf049a613eep-5, -0x1.5feeeebd76158p-5, -0x1.58328e27cc4a9p-5, -0x1.50997ecb35b78p-5, -0x1.49235bead3d16p-5, -0x1.41cfc02c43985p-5, -0x1.3a9e45a85f451p-5, -0x1.338e85fb92307p-5, -0x1.2ca01a55c32cfp-5, -0x1.25d29b89d3ea9p-5, -0x1.1f25a21cb50a8p-5, -0x1.1898c654131c2p-5, -0x1.122ba0449b744p-5, -0x1.0bddc7dfd9935p-5, -0x1.05aed501adcecp-5, -0x1.ff3cbefabeb38p-6, -0x1.f357fe54962a9p-6, -0x1.e7ae97e05b804p-6, -0x1.dc3fbba61d9a1p-6, -0x1.d10a99fd8de4cp-6, -0x1.c60e63a455ca9p-6, -0x1.bb4a49d3ab594p-6, -0x1.b0bd7e552d8bp-6, -0x1.a667339708318p-6, -0x1.9c469cbf619f6p-6, -0x1.925aedbf1c9eep-6, -0x1.88a35b63e0a28p-6, -0x1.7f1f1b697dffep-6, -0x1.75cd648aa18aap-6, -0x1.6cad6e90e70a3p-6, -0x1.63be726441651p-6, -0x1.5affaa19c5df8p-6, -0x1.52705101d1fcdp-6, -0x1.4a0fa3b59e4e2p-6, -0x1.41dce0242f686p-6, -0x1.39d7459eb47c8p-6, -0x1.31fe14e456617p-6, -0x1.2a50902d6c83bp-6, -0x1.22cdfb362cd4ep-6, -0x1.1b759b48cd967p-6, -0x1.1446b7471dec7p-6, -0x1.0d4097b39e5dep-6, -0x1.066286ba10d14p-6, -0x1.ff57a06f195fap-7, -0x1.f23783843567dp-7, -0x1.e563555f9d124p-7, -0x1.d8d9b83adfaa1p-7, -0x1.cc9951e961194p-7, -0x1.c0a0cbe3db8b6p-7, -0x1.b4eed3530853ep-7, -0x1.a98219197889fp-7, -0x1.9e5951dc90af1p-7, -0x1.9373360cc0b54p-7, -0x1.88ce81ecfb369p-7, -0x1.7e69f59958286p-7, -0x1.7444550d1014cp-7, -0x1.6a5c6827babd4p-7, -0x1.60b0fab1d28f1p-7, -0x1.5740dc609d485p-7, -0x1.4e0ae0d96347fp-7, -0x1.450ddfb401c8cp-7, -0x1.3c48b47cea09dp-7, -0x1.33ba3eb682fafp-7, -0x1.2b6161d9f76adp-7, -0x1.233d0557779c7p-7, -0x1.1b4c1495eff42p-7, -0x1.138d7ef23bc59p-7, -0x1.0c0037bdd6a72p-7, -0x1.04a3363d11c86p-7, -0x1.faeaeb49a5474p-8, -0x1.ecebea2fbb706p-8, -0x1.df476f47639b9p-8, -0x1.d1fb8879f39c8p-8, -0x1.c5064b772e142p-8, -0x1.b865d5ac9161ap-8, -0x1.ac184c3bead4ap-8, -0x1.a01bdbf132e9ep-8, -0x1.946eb937bd452p-8, -0x1.890f200ec0585p-8, -0x1.7dfb53fd3f222p-8, -0x1.7331a0055c0e4p-8, -0x1.68b05697189f6p-8, -0x1.5e75d1828cdcdp-8, -0x1.548071e99c261p-8, -0x1.4acea0312a83ep-8, -0x1.415ecbf1dfb23p-8, -0x1.382f6be8770a4p-8, -0x1.2f3efde5a78f8p-8, -0x1.268c06bda6602p-8, -0x1.1e1512374e828p-8, -0x1.15d8b2faecefep-8, -0x1.0dd58280bb473p-8, -0x1.060a20ff0e7fp-8, -0x1.fcea6ab076934p-9, -0x1.ee2ada1074966p-9, -0x1.dfd2f8241845bp-9, -0x1.d1e039d9cae14p-9, -0x1.c45020e24f413p-9, -0x1.b7203b8a4f382p-9, -0x1.aa4e249397e43p-9, -0x1.9dd7830e05808p-9, -0x1.91ba0a3029f77p-9, -0x1.85f3792fb6197p-9, -0x1.7a819b19b0289p-9, -0x1.6f6246aa79faap-9, -0x1.64935e25b0433p-9, -0x1.5a12cf2def684p-9, -0x1.4fde929c7ba0ep-9, -0x1.45f4ac58d9e11p-9, -0x1.3c532b305d82fp-9, -0x1.32f828adb1ff5p-9, -0x1.29e1c8f064a63p-9, -0x1.210e3a8476c93p-9, -0x1.187bb639fdf87p-9, -0x1.10287efcd1329p-9, -0x1.0812e1ac562b2p-9, -0x1.003934f36365p-9, -0x1.f133b2408ca8ep-10, -0x1.e2666ff9e1d2ap-10, -0x1.d407894e9e225p-10, -0x1.c613f6d398268p-10, -0x1.b888c328140ddp-10, -0x1.ab630aa79ea9cp-10, -0x1.9e9ffb1c5fc98p-10, -0x1.923cd371e3edbp-10, -0x1.8636e3686d176p-10, -0x1.7a8b8b48c6324p-10, -0x1.6f383b98a7bbbp-10, -0x1.643a74cfb46a1p-10, -0x1.598fc70d0cb1ep-10, -0x1.4f35d1cd7b6aep-10, -0x1.452a43a25699cp-10, -0x1.3b6ad9e8f297fp-10, -0x1.31f56082d9233p-10, -0x1.28c7b18ea16ebp-10, -0x1.1fdfb52180d93p-10, -0x1.173b61019d4b7p-10, -0x1.0ed8b8610ab93p-10, -0x1.06b5cb9996acbp-10, -0x1.fda16fd2a3846p-11, -0x1.ee4f4e5fa9e1dp-11, -0x1.df719f58b73dfp-11, -0x1.d104e7793952fp-11, -0x1.c305c338e687bp-11, -0x1.b570e64ca741fp-11, -0x1.a8431b291c6cfp-11, -0x1.9b794286c828ap-11, -0x1.8f1052e7d7486p-11, -0x1.8305581f91076p-11, -0x1.775572db6da0bp-11, -0x1.6bfdd82dd43ep-11, -0x1.60fbd11a856aap-11, -0x1.564cba24ac6a4p-11, -0x1.4bee02de9ea7p-11, -0x1.41dd2d7b464aap-11, -0x1.3817ce6136a8bp-11, -0x1.2e9b8bbf6f32fp-11, -0x1.25661d23c6e6p-11, -0x1.1c754b1303ffap-11, -0x1.13c6eea29b0c5p-11, -0x1.0b58f11419cc2p-11, -0x1.03294b7234b4p-11, -0x1.f66c0c5efcf14p-12, -0x1.e6fa718d7f788p-12, -0x1.d7fa12b9e5632p-12, -0x1.c96758c9bb81cp-12, -0x1.bb3ec88897a9cp-12, -0x1.ad7d01f5bfaa4p-12, -0x1.a01ebf94fef4ap-12, -0x1.9320d5c2ab6c5p-12, -0x1.8680320accc02p-12, -0x1.7a39da8364f5ap-12, -0x1.6e4aed29d0aefp-12, -0x1.62b09f433d5fdp-12, -0x1.57683cc0277aap-12, -0x1.4c6f27a2dfaf4p-12, -0x1.41c2d76910075p-12, -0x1.3760d8783442ep-12, -0x1.2d46cb8d02c2cp-12, -0x1.2372652dbc8abp-12, -0x1.19e16d1f5e0d9p-12, -0x1.1091bddda50dcp-12, -0x1.07814415e951dp-12, -0x1.fd5bfc496e1ecp-13, -0x1.ec2bf72c60ea1p-13, -0x1.db6eb9523698bp-13, -0x1.cb20a3a94dbbfp-13, -0x1.bb3e36a19c565p-13, -0x1.abc41142b995dp-13, -0x1.9caef0470a9b4p-13, -0x1.8dfbad3c004b2p-13, -0x1.7fa73da760c08p-13, -0x1.71aeb23182423p-13, -0x1.640f35d45cb64p-13, -0x1.56c60d0f76f9ap-13, -0x1.49d095208795p-13, -0x1.3d2c4340bdfebp-13, -0x1.30d6a3e6af033p-13, -0x1.24cd5a0cb57d4p-13, -0x1.190e1e7bdc14ep-13, -0x1.0d96bf1b13ac9p-13, -0x1.02651e42c8808p-13, -0x1.eeee64295e773p-14, -0x1.d99607af75683p-14, -0x1.c4bd5eb064658p-14, -0x1.b060c49798b3bp-14, -0x1.9c7cb7737aedep-14, -0x1.890dd6cd5a5c4p-14, -0x1.7610e2890013cp-14, -0x1.6382b9cbc014p-14, -0x1.516059eaeaaa3p-14, -0x1.3fa6dd617dabbp-14, -0x1.2e537accede6fp-14, -0x1.1d6383f0ea871p-14, -0x1.0cd464c1f7a55p-14, -0x1.f94744ed7a87bp-15, -0x1.d99db53fd6579p-15, -0x1.baa7848d1fap-15, -0x1.9c604a2180522p-15, -0x1.7ec3c8d8e76eap-15, -0x1.61cded80e2004p-15, -0x1.457acd465828cp-15, -0x1.29c6a42ef100fp-15, -0x1.0eadd39ddd86ap-15, -0x1.e859c1c7993fp-16, -0x1.b480e7b3997e1p-16, -0x1.81caab0dba6e4p-16, -0x1.5030dd9ff1983p-16, -0x1.1fad8e64ac58p-16, -0x1.e0760e1ebc5ddp-17, -0x1.83a7935125a97p-17, -0x1.28e51c7a5c27fp-17, -0x1.a04902813802ap-18, -0x1.e56ff1fbca511p-19, -0x1.24114089f4ca1p-20, 0x1.739039e7aebe7p-20, 0x1.fe25167e5b3dcp-19, 0x1.9d97e82fe4896p-18, 0x1.1c42242238aa2p-17, 0x1.67f39b435ed92p-17, 0x1.b1e7d6781fb47p-17, 0x1.fa260d85ed2cap-17, 0x1.205a9b1740ab4p-16, 0x1.42ce03a36a4a9p-16, 0x1.64707dd91825cp-16, 0x1.85452aa10b47ep-16, 0x1.a54f0fbdd69f4p-16, 0x1.c4911921b32c6p-16, 0x1.e30e1a37bc55dp-16, 0x1.0064679080f39p-15, 0x1.0ee1eef2d1cfp-15, 0x1.1d00ebcd33b2ap-15, 0x1.2ac29cbd80819p-15, 0x1.382836fcb5879p-15, 0x1.4532e6e14cfbfp-15, 0x1.51e3d05c6722ep-15, 0x1.5e3c0f71edecep-15, 0x1.6a3cb8abd380dp-15, 0x1.75e6d98892f74p-15, 0x1.813b78e51075p-15, 0x1.8c3b97620384bp-15, 0x1.96e82fc506b5fp-15, 0x1.a14237556fcfbp-15, 0x1.ab4a9e35104bp-15, 0x1.b5024fb501c1ap-15, 0x1.be6a32a69449cp-15, 0x1.c78329a889a02p-15, 0x1.d04e1370adb19p-15, 0x1.d8cbcb11f3126p-15, 0x1.e0fd283f2daffp-15, 0x1.e8e2ff8a83844p-15, 0x1.f07e22a1b1eaep-15, 0x1.f7cf6087440ep-15, 0x1.fed785c8d00a2p-15, 0x1.02cbae592a5c1p-14, 0x1.0607d6bf6a1c7p-14, 0x1.09209f4320cc4p-14, 0x1.0c166a346adb3p-14, 0x1.0ee9991bf508ep-14, 0x1.119a8cce33c41p-14, 0x1.1429a57d7261fp-14, }}, 
      {{-0x1.e891330bedee5p-8, -0x1.ea5c5528389f8p-7, -0x1.71dd3a74b02e6p-6, -0x1.f0b75ef77d5f1p-6, -0x1.3901cfa0e3bcdp-5, -0x1.7ae6d48c6b943p-5, -0x1.bdf6f26d382c5p-5, -0x1.0104e0c8eefb1p-4, -0x1.2373ba4ae2578p-4, -0x1.4626e2a1b5097p-4, -0x1.68fa2bb65e98p-4, -0x1.8bc83a7efb65p-4, -0x1.ae6c0e8735c04p-4, -0x1.d0c2368f43272p-4, -0x1.f2a9b98e6a6f8p-4, -0x1.0a025e94859fep-3, -0x1.1a5c799928d7p-3, -0x1.2a57ebcd4bd21p-3, -0x1.39eb63c35c08ap-3, -0x1.490f7cb81edd9p-3, -0x1.57beae9dd7dcp-3, -0x1.65f5351f85711p-3, -0x1.73b0f0257d41ap-3, -0x1.80f13ffa167dcp-3, -0x1.8db6decd64b7fp-3, -0x1.9a03b9027a1edp-3, -0x1.a5dac5671daf4p-3, -0x1.b13fde37b8195p-3, -0x1.bc379b9b5ff51p-3, -0x1.c6c73016c28bfp-3, -0x1.d0f4474ed8249p-3, -0x1.dac4e75543129p-3, -0x1.e43f549edd499p-3, -0x1.ed69f8b09d625p-3, -0x1.f64b4b7ed3357p-3, -0x1.fee9bf6e4dc06p-3, -0x1.03a5d7eeb83e1p-2, -0x1.07bba90a35426p-2, -0x1.0bb9543b7d332p-2, -0x1.0fa1bbe788dfap-2, -0x1.13779f4307af9p-2, -0x1.173d96d0eaf67p-2, -0x1.1af611adabec2p-2, -0x1.1ea35392a6b5ep-2, -0x1.2247737db647cp-2, -0x1.25e45aea30fbap-2, -0x1.297bc58991adap-2, -0x1.2d0f416b3c557p-2, -0x1.30a02f8418af4p-2, -0x1.342fc487f0f52p-2, -0x1.37bf0a07c7abfp-2, -0x1.3b4edfc98299dp-2, -0x1.3edffd4e7c674p-2, -0x1.4272f37f91e88p-2, -0x1.46082e765ad8bp-2, -0x1.499ff75c28aap-2, -0x1.4d3a76584e479p-2, -0x1.50d7b487fadfp-2, -0x1.54779dfac00dcp-2, -0x1.581a03af7b737p-2, -0x1.5bbe9d8e0109bp-2, -0x1.5f650c5a6a345p-2, -0x1.630cdb9f73a34p-2, -0x1.66b5838dba96ap-2, -0x1.6a5e6ace16487p-2, -0x1.6e06e845a0e23p-2, -0x1.71ae44ca4720bp-2, -0x1.7553bcc70805dp-2, -0x1.78f681cf401bap-2, -0x1.7c95bc208c2dp-2, -0x1.80308c1301ec6p-2, -0x1.83c60b779f4dcp-2, -0x1.87554ee4f1764p-2, -0x1.8add66f20da3ap-2, -0x1.8e5d61600f818p-2, -0x1.91d44a32634a7p-2, -0x1.95412cb62ed41p-2, -0x1.98a3147939d82p-2, -0x1.9bf90e30c6f2p-2, -0x1.9f422890c5fd9p-2, -0x1.a27d7513e58a9p-2, -0x1.a5aa08b4f8d21p-2, -0x1.a8c6fc9a353dbp-2, -0x1.abd36eb2cb721p-2, -0x1.aece8247618eep-2, -0x1.b1b7607decdf3p-2, -0x1.b48d38d17431p-2, -0x1.b74f417e3c92cp-2, -0x1.b9fcb7e2dc0bcp-2, -0x1.bc94e0d6b9c6cp-2, -0x1.bf1708f67039p-2, -0x1.c18284e68ff1cp-2, -0x1.c3d6b18d3c02ap-2, -0x1.c612f4430c337p-2, -0x1.c836bafbb48bbp-2, -0x1.ca417c66cf6fp-2, -0x1.cc32b80948864p-2, -0x1.ce09f64fbea85p-2, -0x1.cfc6c89a52308p-2, -0x1.d168c94233c33p-2, -0x1.d2ef9b995d0e5p-2, -0x1.d45aebe4c9b92p-2, -0x1.d5aa6f5189cb4p-2, -0x1.d6dde3e506624p-2, -0x1.d7f51068c4cb9p-2, -0x1.d8efc452014a6p-2, -0x1.d9cdd7a562a1ap-2, -0x1.da8f2ad71bb36p-2, -0x1.db33a6a7b8c95p-2, -0x1.dbbb3bfde50c4p-2, -0x1.dc25e3bd60e6fp-2, -0x1.dc739e9b7174ep-2, -0x1.dca474f0fd544p-2, -0x1.dcb8768a969eap-2, -0x1.dcafba76a50e9p-2, -0x1.dc8a5ed1e82cbp-2, -0x1.dc48889281e48p-2, -0x1.dbea6351bba49p-2, -0x1.db702114b194ep-2, -0x1.dad9fa141210ep-2, -0x1.da282c8319db1p-2, -0x1.d95afc55f34ecp-2, -0x1.d872b307a023ap-2, -0x1.d76f9f5f92b5dp-2, -0x1.d65215371053bp-2, -0x1.d51a6d3e896eep-2, -0x1.d3c904c2f783dp-2, -0x1.d25e3d736930ap-2, -0x1.d0da7d26cd2f1p-2, -0x1.cf3e2da21cbf6p-2, -0x1.cd89bc5ef6395p-2, -0x1.cbbd9a52c3e9p-2, -0x1.c9da3bb67dbc6p-2, -0x1.c7e017cf1a6bp-2, -0x1.c5cfa8b6c5364p-2, -0x1.c3a96b26e2cf4p-2, -0x1.c16dde42f6192p-2, -0x1.bf1d836475ee5p-2, -0x1.bcb8dde798c03p-2, -0x1.ba4072f92a4bp-2, -0x1.b7b4c9656ee43p-2, -0x1.b51669681eefcp-2, -0x1.b265dc7d85ed8p-2, -0x1.afa3ad34c6df3p-2, -0x1.acd0670350971p-2, -0x1.a9ec961987a4ep-2, -0x1.a6f8c738a4916p-2, -0x1.a3f58789d2469p-2, -0x1.a0e3647688402p-2, -0x1.9dc2eb8229bf6p-2, -0x1.9a94aa24e59ddp-2, -0x1.97592da7d9d1ap-2, -0x1.941103027e999p-2, -0x1.90bcb6b950f58p-2, -0x1.8d5cd4bdc6183p-2, -0x1.89f1e84f7bf25p-2, -0x1.867c7bdead6fdp-2, -0x1.82fd18efe5205p-2, -0x1.7f744800e8935p-2, -0x1.7be2906edfec4p-2, -0x1.7848785db0e2ep-2, -0x1.74a684a08a1c9p-2, -0x1.70fd38a3a09f5p-2, -0x1.6d4d165710dcdp-2, -0x1.69969e1ae97c4p-2, -0x1.65da4eac51d11p-2, -0x1.6218a513cf122p-2, -0x1.5e521c949c71fp-2, -0x1.5a872e9d14c59p-2, -0x1.56b852b824eecp-2, -0x1.52e5fe7fc7ea9p-2, -0x1.4f10a5907a7c2p-2, -0x1.4b38b97db090fp-2, -0x1.475ea9c735f12p-2, -0x1.4382e3cf7f82p-2, -0x1.3fa5d2d2e5a1fp-2, -0x1.3bc7dfdfb7c6ep-2, -0x1.37e971cf329dap-2, -0x1.340aed3f438bcp-2, -0x1.302cb48d1c396p-2, -0x1.2c4f27d08e36ap-2, -0x1.2872a4d824302p-2, -0x1.24978725f921cp-2, -0x1.20be27ed40c77p-2, -0x1.1ce6de107ffa3p-2, -0x1.1911fe206a6a4p-2, -0x1.153fda5b64665p-2, -0x1.1170c2ad9d3e6p-2, -0x1.0da504b1c0f28p-2, -0x1.09dcebb237ef9p-2, -0x1.0618c0aaef93ap-2, -0x1.0258ca4ba7f55p-2, -0x1.fd3a99f57d249p-3, -0x1.f5cd15b0db15p-3, -0x1.ee698785095d6p-3, -0x1.e7106ab10e8bep-3, -0x1.dfc236006dcb5p-3, -0x1.d87f5bd4fc542p-3, -0x1.d1484a317076bp-3, -0x1.ca1d6ac4a5d85p-3, -0x1.c2ff22f57f23ap-3, -0x1.bbedd3ef6a735p-3, -0x1.b4e9daaf751dp-3, -0x1.adf39011ec393p-3, -0x1.a70b48e07a12ap-3, -0x1.a03155e0bebacp-3, -0x1.996603e34f886p-3, -0x1.92a99bd32b934p-3, -0x1.8bfc62c5811c4p-3, -0x1.855e9a09ce7p-3, -0x1.7ed07f3a565ap-3, -0x1.78524c4cd5aecp-3, -0x1.71e437a37aceap-3, -0x1.6b86741e1b9c5p-3, -0x1.6539312b94cadp-3, -0x1.5efc9adb5ed37p-3, -0x1.58d0d9ef461adp-3, -0x1.52b613ed3e5afp-3, -0x1.4cac6b3154d5ep-3, -0x1.46b3feffb6c45p-3, -0x1.40cceb96c879bp-3, -0x1.3af74a413d6a7p-3, -0x1.35333168438b7p-3, -0x1.2f80b4a5a09f1p-3, -0x1.29dfe4d5d4c8ep-3, -0x1.2450d02a3293cp-3, -0x1.1ed3823ae39d6p-3, -0x1.19680418e4766p-3, -0x1.140e5c5fe8c2bp-3, -0x1.0ec68f482333ap-3, -0x1.09909eb7fa289p-3, -0x1.046c8a5592169p-3, -0x1.feb49f307e9eap-4, -0x1.f4b3d3b3995c1p-4, -0x1.ead6a4cf3fec9p-4, -0x1.e11d0127581f9p-4, -0x1.d786d38a75976p-4, -0x1.ce14031311d95p-4, -0x1.c4c473485c92ap-4, -0x1.bb98043ea24fap-4, -0x1.b28e92b74b679p-4, -0x1.a9a7f840715b4p-4, -0x1.a0e40b53f5895p-4, -0x1.98429f7638024p-4, -0x1.8fc385543faffp-4, -0x1.87668ae179fep-4, -0x1.7f2b7b74f6bdfp-4, -0x1.77121fe628e69p-4, -0x1.6f1a3ea9257e5p-4, -0x1.67439bea6219bp-4, -0x1.5f8df9a9f0fd9p-4, -0x1.57f917d637bbfp-4, -0x1.5084b4662157bp-4, -0x1.49308b72ca5b7p-4, -0x1.41fc5750a65cp-4, -0x1.3ae7d0a81d7d7p-4, -0x1.33f2ae8da30a1p-4, -0x1.2d1ca699432bp-4, -0x1.26656cfda9b29p-4, -0x1.1fccb49ea0626p-4, -0x1.19522f27058fp-4, -0x1.12f58d1e3a993p-4, -0x1.0cb67dfd0d0e9p-4, -0x1.0694b04216ebfp-4, -0x1.008fd1859ba27p-4, -0x1.f54f1d19bba99p-5, -0x1.e9b726b9e407ap-5, -0x1.de57169a1bfdep-5, -0x1.d32e4230aa887p-5, -0x1.c83bfdde4935p-5, -0x1.bd7f9d0fbcf46p-5, -0x1.b2f8725e6ec81p-5, -0x1.a8a5cfb00c08fp-5, -0x1.9e8706552d92ep-5, -0x1.949b6727095a2p-5, -0x1.8ae242a433b15p-5, -0x1.815ae90c714f5p-5, -0x1.7804aa7b9b7b2p-5, -0x1.6eded7039e1dep-5, -0x1.65e8bec591219p-5, -0x1.5d21b209edd0bp-5, -0x1.54890157e9041p-5, -0x1.4c1dfd8bf0b47p-5, -0x1.43dff7ed53fb3p-5, -0x1.3bce424318ab6p-5, -0x1.33e82ee7fe2a4p-5, -0x1.2c2d10ddb9d69p-5, -0x1.249c3bdf66aaap-5, -0x1.1d35047333b43p-5, -0x1.15f6bffb53258p-5, -0x1.0ee0c4c6294b4p-5, -0x1.07f26a1dc6a8fp-5, -0x1.012b0856ad97p-5, -0x1.f513f1bbc60e7p-6, -0x1.e81d2c8cb1078p-6, -0x1.db7078ab5007bp-6, -0x1.cf0c90205bcfap-6, -0x1.c2f02f8900cf9p-6, -0x1.b71a162c92c3cp-6, -0x1.ab89061110535p-6, -0x1.a03bc40e7764bp-6, -0x1.953117e0f83acp-6, -0x1.8a67cc3a0977cp-6, -0x1.7fdeaed069af7p-6, -0x1.7594906f13766p-6, -0x1.6b88450328271p-6, -0x1.61b8a3a8dbeadp-6, -0x1.582486b76fb0ep-6, -0x1.4ecacbcc2feebp-6, -0x1.45aa53d49399dp-6, -0x1.3cc2031771825p-6, -0x1.3410c13d5cf0dp-6, -0x1.2b9579582ba4ap-6, -0x1.234f19e9aa1ebp-6, -0x1.1b3c94e99086p-6, -0x1.135cdfcaaac55p-6, -0x1.0baef37f4b1c6p-6, -0x1.0431cc7d09f42p-6, -0x1.f9c8d57fa1b4dp-7, -0x1.eb8ba3987ed5ep-7, -0x1.ddaa1162db57ap-7, -0x1.d02234141ec1fp-7, -0x1.c2f227fa05cacp-7, -0x1.b618107a97141p-7, -0x1.a9921812ffd81p-7, -0x1.9d5e705563c69p-7, -0x1.917b51e5ab55cp-7, -0x1.85e6fc75578fap-7, -0x1.7a9fb6be63cddp-7, -0x1.6fa3ce7d4a804p-7, -0x1.64f1986a275dcp-7, -0x1.5a8770310eea8p-7, -0x1.5063b86995b49p-7, -0x1.4684da8d9f9e6p-7, -0x1.3ce946ef75874p-7, -0x1.338f74af2eb11p-7, -0x1.2a75e1af73cb6p-7, -0x1.219b1289a632cp-7, -0x1.18fd92817171dp-7, -0x1.109bf377d0715p-7, -0x1.0874cddd8d3cdp-7, -0x1.0086c0a541f9ap-7, -0x1.f1a0e269c98b4p-8, -0x1.e2a116adc2e6p-8, -0x1.d40b82559a2d4p-8, -0x1.c5dd962b695c8p-8, -0x1.b814cf6425603p-8, -0x1.aaaeb77ed8718p-8, -0x1.9da8e42342319p-8, -0x1.9100f6ffe177p-8, -0x1.84b49da778677p-8, -0x1.78c1916e12773p-8, -0x1.6d25974598b22p-8, -0x1.61de7f99ff8f4p-8, -0x1.56ea262d1510bp-8, -0x1.4c4671f1fd43p-8, -0x1.41f154e862754p-8, -0x1.37e8cbf765433p-8, -0x1.2e2adec853346p-8, -0x1.24b59fa12cf13p-8, -0x1.1b872b3f05579p-8, -0x1.129da8b03fa18p-8, -0x1.09f7492eb435dp-8, -0x1.019247f9c56e2p-8, -0x1.f2d9d460d083ep-9, -0x1.e30afd5655f35p-9, -0x1.d3b4bbac78e32p-9, -0x1.c4d3d316fdce3p-9, -0x1.b66519d94d316p-9, -0x1.a865787addd42p-9, -0x1.9ad1e97bd2dc1p-9, -0x1.8da77909d61c7p-9, -0x1.80e344b53b04dp-9, -0x1.74827b2674e09p-9, -0x1.68825bd3e608bp-9, -0x1.5ce036b814fa7p-9, -0x1.51996c0848732p-9, -0x1.46ab6beb9db4ap-9, -0x1.3c13b6329231dp-9, -0x1.31cfda0f13c69p-9, -0x1.27dd75cd192b3p-9, -0x1.1e3a368bc8d59p-9, -0x1.14e3d7f731178p-9, -0x1.0bd82402a13e8p-9, -0x1.0314f2a39ab24p-9, -0x1.f530531adcacep-10, -0x1.e4bf77daf81bfp-10, -0x1.d4d3545046045p-10, -0x1.c568032cc9dcfp-10, -0x1.b679b88873412p-10, -0x1.a804c15f417e2p-10, -0x1.9a058310d74c1p-10, -0x1.8c787ae18b151p-10, -0x1.7f5a3d7d014c8p-10, -0x1.72a7767a47d57p-10, -0x1.665ce7e17eda6p-10, -0x1.5a7769b314b6fp-10, -0x1.4ef3e97091945p-10, -0x1.43cf69a6f857bp-10, -0x1.3907017ac8266p-10, -0x1.2e97dc35933cdp-10, -0x1.247f38d5341a8p-10, -0x1.1aba699c9fe23p-10, -0x1.1146d3a662511p-10, -0x1.0821ee78acc92p-10, -0x1.fe92873622647p-11, -0x1.ed74dc5bbbc8p-11, -0x1.dce635062a9bfp-11, -0x1.cce20b721ad21p-11, -0x1.bd63faad5ac23p-11, -0x1.ae67bdd296fb7p-11, -0x1.9fe92f485451dp-11, -0x1.91e4480325e9p-11, -0x1.84551ecb199a3p-11, -0x1.7737e7845ab5fp-11, -0x1.6a88f27b03b27p-11, -0x1.5e44abb21d342p-11, -0x1.52679a35c3e79p-11, -0x1.46ee5f706ffffp-11, -0x1.3bd5b6835ba55p-11, -0x1.311a73a1fe314p-11, -0x1.26b983709a332p-11, -0x1.1cafea65d5733p-11, -0x1.12fac42f551a4p-11, -0x1.0997431958964p-11, -0x1.0082af7948dfcp-11, -0x1.ef74ce36710ddp-12, -0x1.de77b96494c86p-12, -0x1.ce092e97f05afp-12, -0x1.be24638c65b2dp-12, -0x1.aec4b4909f852p-12, -0x1.9fe5a37d83466p-12, -0x1.9182d6b31ca7ep-12, -0x1.8398181afa0bp-12, -0x1.7621542fe61abp-12, -0x1.691a990aecfa5p-12, -0x1.5c8015759cd32p-12, -0x1.504e18016fbd3p-12, -0x1.44810e244abf3p-12, -0x1.3915835a04625p-12, -0x1.2e08204ade969p-12, -0x1.2355a9f6e0fcfp-12, -0x1.18fb00e601933p-12, -0x1.0ef5205d0b18ep-12, -0x1.05411d97300ebp-12, -0x1.f7b84e0860654p-13, -0x1.e587071617ef5p-13, -0x1.d3e923a244c85p-13, -0x1.c2d98f0b6ffc9p-13, -0x1.b25361639131bp-13, -0x1.a251de182de38p-13, -0x1.92d072a2cbbb5p-13, -0x1.83cab54195947p-13, -0x1.753c63b80d59bp-13, -0x1.67216217a31a3p-13, -0x1.5975b99015692p-13, -0x1.4c3597476c322p-13, -0x1.3f5d4b397a316p-13, -0x1.32e9471ead37cp-13, -0x1.26d61d5a209ddp-13, -0x1.1b207feec05c8p-13, -0x1.0fc53f7b560f9p-13, -0x1.04c14a3d77c79p-13, -0x1.f423563623038p-14, -0x1.df671165145bcp-14, -0x1.cb4848e29537ap-14, -0x1.b7c1b3612a677p-14, -0x1.a4ce39b0ff46p-14, -0x1.9268f511fd749p-14, -0x1.808d2d91af14dp-14, -0x1.6f365874b1519p-14, -0x1.5e6016ab83bp-14, -0x1.4e0633526c1b9p-14, -0x1.3e24a23c36626p-14, -0x1.2eb77e8793544p-14, -0x1.1fbb093edace8p-14, -0x1.112ba801f6e1p-14, -0x1.0305e3ba3fd81p-14, -0x1.ea8cceb01833ep-15, -0x1.cfd3fd3380ffep-15, -0x1.b5db29b84b15bp-15, -0x1.9c9c67e79e606p-15, -0x1.8412061eb79b3p-15, -0x1.6c368b44b7338p-15, -0x1.5504b4b15005ep-15, -0x1.3e777423f1133p-15, -0x1.2889edcb09443p-15, -0x1.1337765afb4e6p-15, -0x1.fcf72268cbb47p-16, -0x1.d4a3dd32b784cp-16, -0x1.ad6cd3e263414p-16, -0x1.874a1034fb28ep-16, -0x1.6233eb95ec11bp-16, -0x1.3e230bf9a0007p-16, -0x1.1b1060d28cdacp-16, -0x1.f1ea403fcda6ap-17, -0x1.af95872aa76dp-17, -0x1.6f160bb5da376p-17, -0x1.305fbfc9eb87ep-17, -0x1.e6ce198a8d55fp-18, -0x1.70419d0d55fc6p-18, -0x1.fa093a8d5329ep-19, -0x1.1a04ff1e9c6d6p-19, -0x1.013b9412f6faap-21, 0x1.267e6a78e50d6p-20, 0x1.60ca006e1dd36p-19, 0x1.143a66547d6eep-18, 0x1.7530cc6207688p-18, 0x1.d3589099e7818p-18, 0x1.1760bb976efc9p-17, 0x1.43bd58991decep-17, 0x1.6ec9719c106d5p-17, 0x1.988c15ddea3b7p-17, 0x1.c10c14a30fcf3p-17, 0x1.e850002bbd89ep-17, 0x1.072f1845f44ebp-16, 0x1.199e63336d195p-16, 0x1.2b78d6c7a2627p-16, 0x1.3cc14fc66511cp-16, 0x1.4d7a9303d5479p-16, 0x1.5da74e8db91fbp-16, 0x1.6d4a1ac8ba6abp-16, 0x1.7c657b81e28f2p-16, 0x1.8afbe0f4c0a7fp-16, 0x1.990fa8c689243p-16, 0x1.a6a31ef69763dp-16, 0x1.b3b87ec49cf98p-16, 0x1.c051f38cddb11p-16, 0x1.cc71999ac79c3p-16, 0x1.d8197ef2394bdp-16, 0x1.e34ba40fcb3cep-16, 0x1.ee09fca064874p-16, 0x1.f856703062ddap-16, 0x1.01196d6958b0ep-15, 0x1.05d086dffdd93p-15, 0x1.0a5167f72f996p-15, 0x1.0e9cef50e39bfp-15, 0x1.12b3f6faa1b02p-15, 0x1.169754aecd2fep-15, 0x1.1a47da12a635p-15, 0x1.1dc654f125335p-15, 0x1.21138f72d21e3p-15, 0x1.24305052a91c7p-15, 0x1.271d5b1036f21p-15, 0x1.29db701efa74dp-15, 0x1.2c6b4d1333653p-15, 0x1.2ecdaccc291f7p-15, 0x1.3103479c12363p-15, 0x1.330cd36da7c6dp-15, 0x1.34eb03e784f36p-15, 0x1.369e8a8d63168p-15, 0x1.382816df4f81dp-15, 0x1.39885676e8d5ep-15, 0x1.3abff522c00d4p-15, 0x1.3bcf9cffeaeafp-15, 0x1.3cb7f691e1bdbp-15, 0x1.3d79a8d8b4b87p-15, 0x1.3e155965b2175p-15, 0x1.3e8bac6e88993p-15, 0x1.3edd44defd5cfp-15, 0x1.3f0ac4694105cp-15, 0x1.3f14cb94f6869p-15, 0x1.3efbf9ccfc837p-15, 0x1.3ec0ed6c03bc5p-15, 0x1.3e6443c809329p-15, 0x1.3de6993cb6ecbp-15, 0x1.3d488934c5483p-15, 0x1.3c8aae3260176p-15, 0x1.3bada1d6a18fdp-15, 0x1.3ab1fce82eec5p-15, 0x1.39985758ff0c1p-15, 0x1.3861484b5cb67p-15, 0x1.370d6616281dfp-15, 0x1.359d464869a55p-15, 0x1.34117dac3a3acp-15, 0x1.326aa0490e405p-15, 0x1.30a941656c60dp-15, 0x1.2ecdf38817e13p-15, 0x1.2cd94878b8859p-15, 0x1.2acbd1400a2p-15, 0x1.28a61e2795f2bp-15, 0x1.2668beb905bfdp-15, 0x1.241441bd11f7ep-15, 0x1.21a9353a14c1p-15, 0x1.1f28267248af6p-15, 0x1.1c91a1e1b8f31p-15, 0x1.19e6333bea8b3p-15, 0x1.17266569432eep-15, 0x1.1452c284340aap-15, 0x1.116bd3d6309c1p-15, 0x1.0e7221d471ac5p-15, 0x1.0b66341c8e22dp-15, 0x1.08489170ee039p-15, 0x1.0519bfb519663p-15, 0x1.01da43e9e8cdp-15, 0x1.fd154453412cdp-16, 0x1.f656bb47e219ap-16, 0x1.ef79f133d0d2ap-16, 0x1.e87fe8b3ab68ap-16, 0x1.e169a27644911p-16, }}, 
      {{0x1.ffd29fb0abec2p-1, 0x1.ff4e4c25042a5p-1, 0x1.fe7c0bf357dcfp-1, 0x1.fd66e86234981p-1, 0x1.fc19f5547f34dp-1, 0x1.fa9f3d3191635p-1, 0x1.f8ff3f6daba2bp-1, 0x1.f740ca45aae8cp-1, 0x1.f5690a6f3b241p-1, 0x1.f37bb82329c87p-1, 0x1.f17b519dff638p-1, 0x1.ef69592450de5p-1, 0x1.ed46909952575p-1, 0x1.eb132f5e5b828p-1, 0x1.e8cf10eca06f3p-1, 0x1.e679dbb28969fp-1, 0x1.e4132068873b6p-1, 0x1.e19a72728bd53p-1, 0x1.df0f7a147ea64p-1, 0x1.dc7201526fd6fp-1, 0x1.d9c1fc54878c4p-1, 0x1.d6ff8e1a91b19p-1, 0x1.d42b0a38c1753p-1, 0x1.d144f44238f51p-1, 0x1.ce4dfd7021acdp-1, 0x1.cb4700ff15b6bp-1, 0x1.c830ffa8ec6ecp-1, 0x1.c50d1a8f26f7dp-1, 0x1.c1dc8dda55d2fp-1, 0x1.bea0ab44eb242p-1, 0x1.bb5ad4bbede1cp-1, 0x1.b80c7735cd7fp-1, 0x1.b4b705d6f1df2p-1, 0x1.b15bf5747e35fp-1, 0x1.adfcb87fd99d7p-1, 0x1.aa9abb60c7bcdp-1, 0x1.a73761400ecc2p-1, 0x1.a3d40141a9028p-1, 0x1.a071e42b3c0bap-1, 0x1.9d124271d7c97p-1, 0x1.99b642a8ce2ebp-1, 0x1.965ef84aa550ap-1, 0x1.930d62d4abdb6p-1, 0x1.8fc26d2d7dcd2p-1, 0x1.8c7eed4eca72p-1, 0x1.8943a42acee8ap-1, 0x1.86113dc63fecap-1, 0x1.82e8517fb8b29p-1, 0x1.7fc9627e33013p-1, 0x1.7cb4e0407ca3cp-1, 0x1.79ab27481e4d7p-1, 0x1.76ac81da9fdcbp-1, 0x1.73b928d494996p-1, 0x1.70d1448a4c98bp-1, 0x1.6df4edb28083dp-1, 0x1.6b242e57b501ap-1, 0x1.685f02cd7baf6p-1, 0x1.65a55aa713492p-1, 0x1.62f719ad4291p-1, 0x1.605418d196ee5p-1, 0x1.5dbc271d76fbdp-1, 0x1.5b2f0a9bc07c7p-1, 0x1.58ac813bd8e57p-1, 0x1.563441ad5774p-1, 0x1.53c5fc3396adbp-1, 0x1.51615b70a414cp-1, 0x1.4f0605272ed88p-1, 0x1.4cb39af32c0eep-1, 0x1.4a69baf90a6c2p-1, 0x1.4828008b62574p-1, 0x1.45ee04c7225b8p-1, 0x1.43bb5f264cd98p-1, 0x1.418fa60966344p-1, 0x1.3f6a6f37be58dp-1, 0x1.3d4b5056ce97cp-1, 0x1.3b31df58e64cap-1, 0x1.391db2e36d239p-1, 0x1.370e62ad00eb3p-1, 0x1.350387d3bd3a7p-1, 0x1.32fcbd2bfba52p-1, 0x1.30f99f87da1f6p-1, 0x1.2ef9cdf7de6b7p-1, 0x1.2cfcea05018f8p-1, 0x1.2b0297e47aa02p-1, 0x1.290a7ea5944c8p-1, 0x1.27144859e04c9p-1, 0x1.251fa238141dp-1, 0x1.232c3cb9dd535p-1, 0x1.2139cbb4f501bp-1, 0x1.1f48066fbceddp-1, 0x1.1d56a7b1ab709p-1, 0x1.1b656dcfc9b87p-1, 0x1.19741ab585862p-1, 0x1.178273ea16293p-1, 0x1.15904292b0fd4p-1, 0x1.139d5371c73dap-1, 0x1.11a976e38509ep-1, 0x1.0fb480d7c743dp-1, 0x1.0dbe48c9bbbb9p-1, 0x1.0bc6a9b55c0abp-1, 0x1.09cd820af14c9p-1, 0x1.07d2b3a0cd578p-1, 0x1.05d623a364908p-1, 0x1.03d7ba83eed6p-1, 0x1.01d763e5b6dccp-1, 0x1.ffaa1d147974cp-2, 0x1.fba1587893e8p-2, 0x1.f79463743c6e9p-2, 0x1.f3832d3d9817fp-2, 0x1.ef6daa95ceb81p-2, 0x1.eb53d599406acp-2, 0x1.e735ad8ec0d7ep-2, 0x1.e31336b610127p-2, 0x1.deec7a15b9f9cp-2, 0x1.dac1854886558p-2, 0x1.d6926a4aa4c63p-2, 0x1.d25f3f46b3c43p-2, 0x1.ce281e62cc04bp-2, 0x1.c9ed258da874dp-2, 0x1.c5ae764c102d4p-2, 0x1.c16c358698cccp-2, 0x1.bd268b57de4p-2, 0x1.b8dda2db41fefp-2, 0x1.b491a9fc4de6p-2, 0x1.b042d146caf06p-2, 0x1.abf14bb79a571p-2, 0x1.a79d4e8e6b07dp-2, 0x1.a34711204e872p-2, 0x1.9eeeccab425b4p-2, 0x1.9a94bc2ab88c4p-2, 0x1.96391c2d26b54p-2, 0x1.91dc2aaaa714fp-2, 0x1.8d7e26dcb236p-2, 0x1.891f5116fbbefp-2, 0x1.84bfeaa170a58p-2, 0x1.8060359365babp-2, 0x1.7c0074afee33bp-2, 0x1.77a0eb436923fp-2, 0x1.7341dd023f4f9p-2, 0x1.6ee38de8d54b5p-2, 0x1.6a86421cb33bcp-2, 0x1.662a3dcee2a4cp-2, 0x1.61cfc51f7d016p-2, 0x1.5d771c02706c2p-2, 0x1.5920862570392p-2, 0x1.54cc46d718fd3p-2, 0x1.507aa0ef397d8p-2, 0x1.4c2bd6b848e39p-2, 0x1.47e029d9f9ef6p-2, 0x1.4397db44f5457p-2, 0x1.3f532b1fa69dfp-2, 0x1.3b1258b426106p-2, 0x1.36d5a25f2e183p-2, 0x1.329d458020143p-2, 0x1.2e697e6a0cb26p-2, 0x1.2a3a8855bc534p-2, 0x1.26109d54b13cbp-2, 0x1.21ebf64521d8cp-2, 0x1.1dcccac6d8f9bp-2, 0x1.19b35131063ffp-2, 0x1.159fbe88e671bp-2, 0x1.119246795014ap-2, 0x1.0d8b1b4b09e6cp-2, 0x1.098a6dddf7864p-2, 0x1.05906da3064b5p-2, 0x1.019d4896ddd86p-2, 0x1.fb62567a91e3cp-3, 0x1.f398813aa46dap-3, 0x1.ebdd647c161c8p-3, 0x1.e4315047f6ed9p-3, 0x1.dc94919e5db22p-3, 0x1.d5077273b6725p-3, 0x1.cd8a39af33156p-3, 0x1.c61d2b2a59088p-3, 0x1.bec087b19a4bcp-3, 0x1.b7748d05ebd3cp-3, 0x1.b03975df53f6ep-3, 0x1.a90f79f05f512p-3, 0x1.a1f6cdea734fdp-3, 0x1.9aefa382f4badp-3, 0x1.93fa297931833p-3, 0x1.8d168b9d07af9p-3, 0x1.8644f2d63ed83p-3, 0x1.7f85852c853e4p-3, 0x1.78d865d00ebcdp-3, 0x1.723db522c156fp-3, 0x1.6bb590c1ef645p-3, 0x1.654013908c021p-3, 0x1.5edd55c1de2cfp-3, 0x1.588d6ce499e4ap-3, 0x1.52506bee6580ap-3, 0x1.4c266347b6fa1p-3, 0x1.460f60d80a0e2p-3, 0x1.400b701261233p-3, 0x1.3a1a9a020c8dfp-3, 0x1.343ce557b2ec9p-3, 0x1.2e7256768e493p-3, 0x1.28baef81d8bc8p-3, 0x1.2316b06a6a519p-3, 0x1.1d8596fc714dbp-3, 0x1.18079eed52ee6p-3, 0x1.129cc1e99a3a1p-3, 0x1.0d44f7a302f6cp-3, 0x1.080035de8ac8ep-3, 0x1.02ce708291465p-3, 0x1.fb5f3349ee4f7p-4, 0x1.f14743327cb7dp-4, 0x1.e754edfd4622p-4, 0x1.dd880d9c62729p-4, 0x1.d3e078d18824fp-4, 0x1.ca5e0349f7ffcp-4, 0x1.c1007dba3402bp-4, 0x1.b7c7b5f99162dp-4, 0x1.aeb3771d87accp-4, 0x1.a5c38994cea54p-4, 0x1.9cf7b342378d9p-4, 0x1.944fb79735d57p-4, 0x1.8bcb57ae281dap-4, 0x1.836a526449454p-4, 0x1.7b2c64734e402p-4, 0x1.7311488aa9dbap-4, 0x1.6b18b76874dafp-4, 0x1.634267f1f4cbp-4, 0x1.5b8e0f4bbf17p-4, 0x1.53fb60f17802bp-4, 0x1.4c8a0ecd25fbep-4, 0x1.4539c94e1b302p-4, 0x1.3e0a3f7f7298p-4, 0x1.36fb1f1e1b5c9p-4, 0x1.300c14ae7649cp-4, 0x1.293ccb917ecafp-4, 0x1.228cee1980d95p-4, 0x1.1bfc259e5c37cp-4, 0x1.158a1a914ea53p-4, 0x1.0f3674904c1p-4, 0x1.0900da78dcb22p-4, 0x1.02e8f27a8712p-4, 0x1.f9dcc451819ap-5, 0x1.ee219d18d3bc5p-5, 0x1.e29fb869a0892p-5, 0x1.d7565e9078121p-5, 0x1.cc44d7280eaa3p-5, 0x1.c16a69387bb6ep-5, 0x1.b6c65b5592bf4p-5, 0x1.ac57f3bc5065cp-5, 0x1.a21e786f60ec3p-5, 0x1.98192f52c36d7p-5, 0x1.8e475e468539fp-5, 0x1.84a84b409fe44p-5, 0x1.7b3b3c65f6d49p-5, 0x1.71ff782277e63p-5, 0x1.68f445406349p-5, 0x1.6018eafebbb52p-5, 0x1.576cb126e3dcfp-5, 0x1.4eeee02167b5ep-5, 0x1.469ec109fb71dp-5, 0x1.3e7b9dc2acfebp-5, 0x1.3684c1064f14fp-5, 0x1.2eb9767a1ee43p-5, 0x1.27190abeabc08p-5, 0x1.1fa2cb7ffd4c8p-5, 0x1.1856078502adbp-5, 0x1.11320ebe4bd9dp-5, 0x1.0a3632540e0b1p-5, 0x1.0361c4b379569p-5, 0x1.f9683336ccdcep-6, 0x1.ec590c50b0adep-6, 0x1.df94c1bfb6677p-6, 0x1.d31a03768aeaep-6, 0x1.c6e78463b3fdp-6, 0x1.bafbfa84a10cbp-6, 0x1.af561ef79a0e4p-6, 0x1.a3f4ae0c81294p-6, 0x1.98d66754835e6p-6, 0x1.8dfa0db0ac2eep-6, 0x1.835e675f72ca9p-6, 0x1.79023e093f5b8p-6, 0x1.6ee45ecbf2fe2p-6, 0x1.65039a4578babp-6, 0x1.5b5ec49d646d6p-6, 0x1.51f4b58daf177p-6, 0x1.48c4486a8baep-6, 0x1.3fcc5c29632b7p-6, 0x1.370bd366fb69ep-6, 0x1.2e81946cd4bc2p-6, 0x1.262c8935be45bp-6, 0x1.1e0b9f71a766bp-6, 0x1.161dc888bfd38p-6, 0x1.0e61f99ddb15fp-6, 0x1.06d72b902f64dp-6, 0x1.fef8b5f8d4609p-7, 0x1.f0a1107a4442bp-7, 0x1.e2a56ed5693d7p-7, 0x1.d503e0b511043p-7, 0x1.c7ba7d3b8c5a5p-7, 0x1.bac762ff0b643p-7, 0x1.ae28b804ebc18p-7, 0x1.a1dca9bc15fe1p-7, 0x1.95e16cf65f16fp-7, 0x1.8a353de107698p-7, 0x1.7ed65ffc60e62p-7, 0x1.73c31e1294146p-7, 0x1.68f9ca2dae225p-7, 0x1.5e78bd8cdbd83p-7, 0x1.543e5899014b2p-7, 0x1.4a4902d897c95p-7, 0x1.40972ae2e524ap-7, 0x1.37274652a3035p-7, 0x1.2df7d1b807046p-7, 0x1.2507508a459cap-7, 0x1.1c544d188f889p-7, 0x1.13dd587a943cbp-7, 0x1.0ba10a808faa7p-7, 0x1.039e01a2eb82dp-7, 0x1.f7a5c5e2f5272p-8, 0x1.e87cb404abfc4p-8, 0x1.d9be31c0c2f7p-8, 0x1.cb67aff2fcd7bp-8, 0x1.bd76ac18e89ep-8, 0x1.afe8b02d252c4p-8, 0x1.a2bb528229a22p-8, 0x1.95ec359c980fp-8, 0x1.8979080d2acfcp-8, 0x1.7d5f844a41f0cp-8, 0x1.719d70891eef2p-8, 0x1.66309e96d86b9p-8, 0x1.5b16ebb10cd75p-8, 0x1.504e405e5fa6ep-8, 0x1.45d49046ca532p-8, 0x1.3ba7da0bc7a2fp-8, 0x1.31c6272062cf1p-8, 0x1.282d8ba13382p-8, 0x1.1edc262c4ce55p-8, 0x1.15d01fb925ed7p-8, 0x1.0d07ab7085deap-8, 0x1.048106847792fp-8, 0x1.f874f01099972p-9, 0x1.e864a1916d3dap-9, 0x1.d8cdd647f1d66p-9, 0x1.c9ad55c47ce2ep-9, 0x1.bafffa1c281cfp-9, 0x1.acc2af9a1c5bep-9, 0x1.9ef2747140ae2p-9, 0x1.918c586e4ec7fp-9, 0x1.848d7caa5ec9fp-9, 0x1.77f3133deca0fp-9, 0x1.6bba5ef45ee03p-9, 0x1.5fe0b3001ae8ap-9, 0x1.546372af2c8dcp-9, 0x1.4940112080a9bp-9, 0x1.3e7410f9c5c1ep-9, 0x1.33fd041debfd7p-9, 0x1.29d88b64530e9p-9, 0x1.20045650a8e04p-9, 0x1.167e22cb7757ep-9, 0x1.0d43bcdb732e2p-9, 0x1.0452fe5f82dep-9, 0x1.f7539d9310b5ep-10, 0x1.e68c45b3e0c0bp-10, 0x1.d64bf8b815726p-10, 0x1.c68ed3c65943dp-10, 0x1.b7510d1144a8p-10, 0x1.a88ef354dc182p-10, 0x1.9a44ed55c5393p-10, 0x1.8c6f79620cd39p-10, 0x1.7f0b2cd3af272p-10, 0x1.7214b394c7955p-10, 0x1.6588cfa574051p-10, 0x1.596458a36bff4p-10, 0x1.4da43b5352467p-10, 0x1.4245792bbc675p-10, 0x1.374527e1f8251p-10, 0x1.2ca070f8801dep-10, 0x1.2254914f386c6p-10, 0x1.185ed8b559616p-10, 0x1.0ebca97d211adp-10, 0x1.056b7811310e9p-10, 0x1.f8d195175b371p-11, 0x1.e764709e231a3p-11, 0x1.d68ad34170c46p-11, 0x1.c6402e8a377a7p-11, 0x1.b680143b87c0ap-11, 0x1.a7463591d2249p-11, 0x1.988e628583493p-11, 0x1.8a548910f6bbap-11, 0x1.7c94b479bda31p-11, 0x1.6f4b0c9d2caf7p-11, 0x1.6273d54031f42p-11, 0x1.560b6d626852dp-11, 0x1.4a0e4e946261dp-11, 0x1.3e790c5125d35p-11, 0x1.3348535ad0621p-11, 0x1.2878e91a5ed5ap-11, 0x1.1e07ab028c6edp-11, 0x1.13f18df5c51c1p-11, 0x1.0a339daf20c59p-11, 0x1.00cafc2e5f97cp-11, 0x1.ef69c24dbc911p-12, 0x1.dddd32e2f5607p-12, 0x1.cceb0d02bbcecp-12, 0x1.bc8e3bb74ba84p-12, 0x1.acc1d123c2316p-12, 0x1.9d81057eae9b1p-12, 0x1.8ec7361225e58p-12, 0x1.808fe44147b9p-12, 0x1.72d6b49320d84p-12, 0x1.65976dc2d6006p-12, 0x1.58cdf7d50a9bfp-12, 0x1.4c765b32658e2p-12, 0x1.408cbfc72dc9p-12, 0x1.350d6c27db8ddp-12, 0x1.29f4c4ba9b2fdp-12, 0x1.1f3f4ae59f209p-12, 0x1.14e99c423b697p-12, 0x1.0af071d4a9b34p-12, 0x1.01509f486cd95p-12, 0x1.f00e2462793aap-13, 0x1.de21a2a0c7bb3p-13, 0x1.ccd5f7bd03fc6p-13, 0x1.bc2591b339343p-13, 0x1.ac0b0caecceeep-13, 0x1.9c8131b76bc74p-13, 0x1.8d82f56616c8bp-13, 0x1.7f0b76a2358efp-13, 0x1.7115fd668e83bp-13, 0x1.639df98df662fp-13, 0x1.569f01a78d98ep-13, 0x1.4a14d1d27df47p-13, 0x1.3dfb4aa0f5229p-13, 0x1.324e700253d5bp-13, 0x1.270a68345b8fp-13, 0x1.1c2b7abb3f1dp-13, 0x1.11ae0f6078166p-13, 0x1.078ead382fc7p-13, 0x1.fb93f35a4f7c2p-14, 0x1.e8b96f25fbebcp-14, 0x1.d6878c7d481b3p-14, 0x1.c4f84149d982bp-14, 0x1.b405b8fe22033p-14, 0x1.a3aa52ea1878fp-14, 0x1.93e0a09b59fa9p-14, 0x1.84a3644876e15p-14, 0x1.75ed8f47341eap-14, 0x1.67ba408d7cc67p-14, 0x1.5a04c33ccae1fp-14, 0x1.4cc88d37cca1cp-14, 0x1.40013dc20a215p-14, 0x1.33aa9c2953b54p-14, 0x1.27c09678bf1e9p-14, 0x1.1c3f4034fc83cp-14, 0x1.1122d121cc3d9p-14, 0x1.0667a4105f6dp-14, 0x1.f8146b6cdbb1fp-15, 0x1.e40e471b9c8fp-15, 0x1.d0b65578b8b76p-15, 0x1.be064e07f3c7ap-15, 0x1.abf82374f4d46p-15, 0x1.9a860192923a7p-15, 0x1.89aa4b692cdfep-15, 0x1.795f9953c2a0dp-15, 0x1.69a0b72b59275p-15, 0x1.5a68a28064f04p-15, 0x1.4bb288e1d6648p-15, 0x1.3d79c63174be3p-15, 0x1.2fb9e3052e769p-15, 0x1.226e93150f9c6p-15, 0x1.1593b3b58967dp-15, 0x1.09254a5db7753p-15, 0x1.fa3f0672b24ffp-16, 0x1.e2fd5f8c5a1f7p-16, 0x1.cc7e8af8c99fap-16, 0x1.b6bbb903c76e6p-16, 0x1.a1ae5cd005b75p-16, 0x1.8d5029e72329ap-16, 0x1.799b11dd982a9p-16, 0x1.6689420a0309p-16, 0x1.5415214f58b27p-16, 0x1.42394df96b3c9p-16, 0x1.30f09bab482a9p-16, 0x1.2036115ef55e6p-16, 0x1.1004e7760de4cp-16, 0x1.005885dac86e6p-16, 0x1.e2590461d9fp-17, 0x1.c4f93c2c9c847p-17, 0x1.a8898ae4a34c9p-17, 0x1.8d0219a833d26p-17, 0x1.725b5fbdcaba5p-17, 0x1.588e1f8880676p-17, 0x1.3f93639733987p-17, 0x1.27647bcdbb79fp-17, 0x1.0ffafaa765f7p-17, 0x1.f2a16523ebde7p-18, 0x1.c6bf66c0e0662p-18, 0x1.9c448faa0035ep-18, 0x1.7325e682837bcp-18, 0x1.4b58de788a424p-18, 0x1.24d352db4a282p-18, 0x1.ff1705b422afep-19, 0x1.b6f01ad5ce5a4p-19, 0x1.711fdaaf1933p-19, 0x1.2d94eadf63635p-19, 0x1.d87d337cc93a7p-20, 0x1.5a19ae9cef611p-20, 0x1.bfc0b9ca1db88p-21, 0x1.a6cdf32bae806p-22, -0x1.1132e3c6777eep-25, -0x1.dbc9d0f4c9a03p-22, -0x1.c343572806666p-21, -0x1.48b0d4eda3a24p-20, -0x1.ac38999ce3aa5p-20, -0x1.06285f67d4aa5p-19, -0x1.348817bd14e0bp-19, -0x1.614682eed2dbdp-19, -0x1.8c6e4a56f491bp-19, -0x1.b609b7ec6f327p-19, -0x1.de22ba79affap-19, -0x1.026174d3965ebp-18, -0x1.14f9c4edcfca9p-18, -0x1.26dec7f9ae232p-18, -0x1.3814d268154a2p-18, -0x1.48a0146187c19p-18, -0x1.58849b68a34e3p-18, -0x1.67c653eae6968p-18, -0x1.76690ac0570f7p-18, -0x1.84706e9aac5e8p-18, -0x1.91e011648f015p-18, -0x1.9ebb699187063p-18, -0x1.ab05d35f23bebp-18, -0x1.b6c29207e632p-18, -0x1.c1f4d0e87aaep-18, -0x1.cc9fa497bc89cp-18, -0x1.d6c60bf2073e1p-18, -0x1.e06af1184c29p-18, -0x1.e9912a6366097p-18, -0x1.f23b7b4c1b7a6p-18, -0x1.fa6c95483ff89p-18, -0x1.01138c4eafc4ap-17, -0x1.04b6ca94aeabdp-17, -0x1.08214590b516ap-17, -0x1.0b5435e3da3b7p-17, -0x1.0e50cd0c18c5ep-17, -0x1.111835b66cc6ep-17, -0x1.13ab940cd8576p-17, -0x1.160c060079962p-17, -0x1.183aa38fda7f4p-17, -0x1.1a387f09a41fcp-17, -0x1.1c06a54bdae5ep-17, -0x1.1da61dffc8f42p-17, -0x1.1f17ebd2bc132p-17, -0x1.205d0cabb9b58p-17, -0x1.217679de489afp-17, -0x1.2265285a7543dp-17, -0x1.232a08da2a6b1p-17, -0x1.23c6080c02487p-17, -0x1.243a0ebba885fp-17, -0x1.248701f7ecc23p-17, -0x1.24adc3369db18p-17, -0x1.24af30764ad7p-17, -0x1.248c245e01e07p-17, -0x1.2445765b23bedp-17, -0x1.23dbfabd6583dp-17, -0x1.235082d117ae2p-17, -0x1.22a3dcf7c42cbp-17, -0x1.21d6d4bf3e0c6p-17, -0x1.20ea32f7315e6p-17, -0x1.1fdebdc54b689p-17, -0x1.1eb538b80988cp-17, -0x1.1d6e64d844d85p-17, -0x1.1c0b00b986f3dp-17, -0x1.1a8bc8893d865p-17, -0x1.18f1761cd88d1p-17, -0x1.173cc0fee3c1ep-17, -0x1.156e5e7b2a984p-17, -0x1.138701a9f3ea1p-17, -0x1.11875b7a62712p-17, -0x1.0f701abc07bedp-17, -0x1.0d41ec27b5cc9p-17, -0x1.0afd7a679a87cp-17, -0x1.08a36e1eb12adp-17, -0x1.06346def92e56p-17, -0x1.03b11e82b4174p-17, -0x1.011a228c1473dp-17, -0x1.fce035a0da505p-18, -0x1.f7674c53cf5a5p-18, -0x1.f1cac318c330ap-18, -0x1.ec0bd012955c8p-18, -0x1.e62ba5a641a0ep-18, -0x1.e02b728127bap-18, -0x1.da0c619eae891p-18, -0x1.d3cf9a4d52854p-18, -0x1.cd76403328629p-18, -0x1.c7017351e411dp-18, -0x1.c072500a6fa15p-18, -0x1.b9c9ef2018a01p-18, -0x1.b30965bb62b56p-18, -0x1.ac31c56c893adp-18, -0x1.a5441c2db62f4p-18, -0x1.9e417464fa0a5p-18, -0x1.972ad4e60ba59p-18, -0x1.900140f3d8967p-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      36, 0x1.4cccccccccccdp+2, 0x1.136654cec12d2p+1, 0x1.4a4ee8ac3cc5bp+2, -0x1.e358fe08808cp-7, 
      {{
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.9eaeaeebd8712p-4, -0x1.ff1aa2b043c05p-3, 0x1.12eaf558d8c05p-2, -0x1.0e3e2ea30b27cp-3}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.6e40e9ed1d5ddp-4, -0x1.ca25b5cf1400dp-3, 0x1.fd4c96e6096dbp-3, -0x1.0416d54178d45p-3}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.42eb99993880fp-4, -0x1.992b05c22a5e3p-3, 0x1.d6492a1c374dep-3, -0x1.f6e9bf52dc22dp-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.1c4ac53595387p-4, -0x1.6c0680aa36f18p-3, 0x1.b0913bc2cd31ep-3, -0x1.e4d5297d093b3p-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.f3fbc8813f637p-5, -0x1.429637f6e2231p-3, 0x1.8c34723fd2e6fp-3, -0x1.d2f876aafcd34p-4}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.b74fbce389d6fp-5, -0x1.1cb7aa6ca9842p-3, 0x1.692e9c8c998a6p-3, -0x1.c10ce26fa3cb2p-4}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.81de1772e565dp-5, -0x1.f490fc5b7b4f9p-4, 0x1.4780d85dd3a7cp-3, -0x1.af24f0d5b6e4cp-4}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.52fa68822f4c4p-5, -0x1.b64c9d215bf3bp-4, 0x1.272adfe765f03p-3, -0x1.9d3d561f5d3a4p-4}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.29ff20d646654p-5, -0x1.7e5d7579b6fc1p-4, 0x1.082caca50bbf3p-3, -0x1.8b50bd395423ap-4}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.064d91a60b2b3p-5, -0x1.4c7ebac403fc4p-4, 0x1.d50d3ce7e478bp-4, -0x1.7977c62e6afa8p-4}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.ce9bd934bf73cp-6, -0x1.206bbe7b41243p-4, 0x1.9c6e78c7546d1p-4, -0x1.675545e6c0ac8p-4}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.98de879c4f963p-6, -0x1.f3bed5373968p-5, 0x1.668814b18452cp-4, -0x1.564548b6ef87bp-4}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.6a4f139c91735p-6, -0x1.b12c5601fc229p-5, 0x1.3330e362e065p-4, -0x1.3e0cc6368e387p-4}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.41e78aa025acap-6, -0x1.7881784dbf786p-5, 0x1.037bc5a77e432p-4, -0x1.1eabbde7d632fp-4}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.1eb4940f903a3p-6, -0x1.48e8bb4d2ab64p-5, 0x1.b0f738bca2aa9p-5, -0x1.005d3a2a2aafp-4}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.ffb3c5fc8babp-7, -0x1.21753f75d0d7ep-5, 0x1.640e741662a8p-5, -0x1.c38a4f9171fe2p-5}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.c9253b2efd53cp-7, -0x1.013d28eda0cb1p-5, 0x1.20534e8d5e5bcp-5, -0x1.868196cab8954p-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.9862ba3c6c9c8p-7, -0x1.ceab9a2afbb95p-6, 0x1.cb7fbcaab88b4p-6, -0x1.496e4b5adb0d7p-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.6c405bda5794ep-7, -0x1.a5a971643bea7p-6, 0x1.68ab72dc43a11p-6, -0x1.0c5dde93696d3p-5}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.43c11eedc327ep-7, -0x1.859ed37bf0559p-6, 0x1.1828e349a400bp-6, -0x1.9e9913a6c6325p-6}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.1e16e88b3b1f6p-7, -0x1.6cb6c3f15875ap-6, 0x1.b3f0a71472f02p-7, -0x1.2477ec9aa0f17p-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.f54507eda447cp-8, -0x1.591c45aeec3d5p-6, 0x1.5c33134c75db8p-7, -0x1.54a5175fdb361p-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.b1e745484374cp-8, -0x1.48fa5667f072fp-6, 0x1.291a4fcae1c6dp-7, -0x1.81e47e5d01da8p-9}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.7191b86c948b4p-8, -0x1.3a7c09413e0adp-6, 0x1.1aa1be40fe81dp-7, 0x1.284b194f07p-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.341f5cffe60ccp-8, -0x1.2bcc20d090812p-6, 0x1.30da935a1f082p-7, 0x1.8718311a5ba98p-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.f391f60d28683p-9, -0x1.1b168c768501fp-6, 0x1.6b849ab7acc8fp-7, 0x1.4024202378cb8p-6}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.864a4dc811fb9p-9, -0x1.0682d8f74f4d9p-6, 0x1.cb8f7128b76bdp-7, 0x1.b117562c19c96p-6}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.225082b57838p-9, -0x1.d891e17bce7p-7, 0x1.26be6be7c5fa5p-6, 0x1.26bf8e8749205p-5}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.9491de30cbf6fp-10, -0x1.94c7546d3bb06p-7, 0x1.7f2b16a9f583cp-6, 0x1.c6fed9b0921c9p-6}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.02e523234b841p-10, -0x1.4151ede897c1ap-7, 0x1.c36aea8471d48p-6, 0x1.8a5a20ff665c9p-10}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.28f233ef3d361p-11, -0x1.cd55673a72e5bp-8, 0x1.c71d5c6d3d30ap-6, -0x1.5b6c46b065867p-6}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.26dd423aaa8efp-12, -0x1.21b5ddfa71f3p-8, 0x1.930051d2c78fep-6, -0x1.88be878af6ba3p-5}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.e52b434532a7p-14, -0x1.30262e9a61dc3p-9, 0x1.1d2d8f8f7d8bbp-6, -0x1.ae37072d95d9ep-5}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.33056091ca0fap-15, -0x1.fe87bf4399ca1p-11, 0x1.383a1ad06dfc2p-7, -0x1.271fdd6d0bdc9p-5}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.e52b434532ae8p-18, -0x1.3140f30d3b2e8p-12, 0x1.0e4df8b79a8a8p-8, -0x1.4c0ee3f0475aep-6}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.e52b434532b81p-22, -0x1.013c04c1e9985p-15, 0x1.1c47596a8baa1p-10, -0x1.c48188a08d2f3p-6}, 
      }}, 
      0x1.b1604340af81cp-2, -0x1.50e2d3b82175p+1
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_h_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.70e1b803e2249p-13, 0x1.6ecf2a56a17cap-11, 0x1.98ec32cea8046p-10, 0x1.677d5b8df5845p-9, 0x1.15190939c829fp-8, 0x1.88ef5cead19dbp-8, 0x1.06f3ac96a61dfp-7, 0x1.5134a160cbcep-7, 0x1.a2845251f5abcp-7, 0x1.fa27dea8e2cd1p-7, 0x1.2bb42450c244ep-6, 0x1.5ccca13c6c5eep-6, 0x1.9005540f9eee5p-6, 0x1.c510f55cfc978p-6, 0x1.fba00e64b90ebp-6, 0x1.19b8ced08c69p-5, 0x1.361f0112689d4p-5, 0x1.52e3595e8fe3dp-5, 0x1.6feb60013e589p-5, 0x1.8d1965b5528f9p-5, 0x1.aa573483686e7p-5, 0x1.c78c2f1ac315cp-5, 0x1.e4a3d2e8c0c9fp-5, 0x1.00c5936545ad3p-4, 0x1.0f186b963c77p-4, 0x1.1d428f7823174p-4, 0x1.2b3c9e626eab2p-4, 0x1.38ff951dc7148p-4, 0x1.4685f5c9fb63fp-4, 0x1.53ca6cb398031p-4, 0x1.60c81cc841657p-4, 0x1.6d7ac372b7852p-4, 0x1.79de99932d0bfp-4, 0x1.85f04462e0072p-4, 0x1.91acc8703f39ap-4, 0x1.9d1197dfd505cp-4, 0x1.a81ca779508e3p-4, 0x1.b2cc42959d978p-4, 0x1.bd1ebabcd94d8p-4, 0x1.c712723dfa948p-4, 0x1.d0a6500ec1f82p-4, 0x1.d9d9f5574f2aap-4, 0x1.e2ad46f622a6ap-4, 0x1.eb1fced2c4d11p-4, 0x1.f330c22122db7p-4, 0x1.fadfb68aab65ap-4, 0x1.0116a38ca1023p-3, 0x1.048d804e1bc7cp-3, 0x1.07d5556a264ccp-3, 0x1.0aeec9c555a3ap-3, 0x1.0dda350e56645p-3, 0x1.1097dab9114c4p-3, 0x1.13283f2a3372dp-3, 0x1.158c5b122ea54p-3, 0x1.17c6800aeb481p-3, 0x1.19d6edb2d06cp-3, 0x1.1bbebe054f74ap-3, 0x1.1d7eff7114f09p-3, 0x1.1f18cafe443fbp-3, 0x1.208d4991d449fp-3, 0x1.21ddaf820a14ap-3, 0x1.230b311bfb72dp-3, 0x1.2416f919ae489p-3, 0x1.250228d1b0e39p-3, 0x1.25cde20fdb084p-3, 0x1.267b52af7be42p-3, 0x1.270bb8807284p-3, 0x1.278059a052ce7p-3, 0x1.27da758fdd643p-3, 0x1.281b3820cbe06p-3, 0x1.2843b5d717a94p-3, 0x1.2854f35817f09p-3, 0x1.284ff342d8ffdp-3, 0x1.2835c29ee6a2p-3, 0x1.28077d6f95463p-3, 0x1.27c64987b0d2bp-3, 0x1.27734aa52c3f6p-3, 0x1.270f959e223fcp-3, 0x1.269c2837ab0e1p-3, 0x1.2619e8617fa0dp-3, 0x1.2589aa3096956p-3, 0x1.24ec3948fd355p-3, 0x1.2442619a0e4ecp-3, 0x1.238cf42f3b777p-3, 0x1.22ccc6e5fb4ffp-3, 0x1.2202aff4a4721p-3, 0x1.212f7f7b70286p-3, 0x1.2053f9babdf4bp-3, 0x1.1f70d3c30c11bp-3, 0x1.1e86b343324f8p-3, 0x1.1d9630e7fae7cp-3, 0x1.1c9fdc1550ab6p-3, 0x1.1ba43e6e85b44p-3, 0x1.1aa3de3504e41p-3, 0x1.199f3eff52c34p-3, 0x1.1896e0e380e7ep-3, 0x1.178b3ec847eaap-3, 0x1.167ccc9470c9ep-3, 0x1.156bf5dc9c925p-3, 0x1.14591d60c30cep-3, 0x1.13449d5ce7e36p-3, 0x1.122ec864bec58p-3, 0x1.1117ea8788f13p-3, 0x1.10004a95999fep-3, 0x1.0ee82a6fdad29p-3, 0x1.0dcfc8072d66fp-3, 0x1.0cb75d303f78ep-3, 0x1.0b9f1f9351fd9p-3, 0x1.0a87406f455fdp-3, 0x1.096fec5cf7e9fp-3, 0x1.08597170aa251p-3, 0x1.0743ae6e39ab9p-3, 0x1.062ed9c826219p-3, 0x1.051b0d90f1247p-3, 0x1.04086016af2ebp-3, 0x1.02f6e3fd9ee37p-3, 0x1.01e6a8621ab7cp-3, 0x1.00d7b8ef698dap-3, 0x1.ff943cd268b46p-4, 0x1.fd7bbc53b5256p-4, 0x1.fb65f61715bc3p-4, 0x1.f952ea73d9582p-4, 0x1.f742956b59db7p-4, 0x1.f534edad4e8bbp-4, 0x1.f329e669be212p-4, 0x1.f1216ec4b99abp-4, 0x1.ef1b7247bf59cp-4, 0x1.ed17d92534e67p-4, 0x1.eb16887f2ee33p-4, 0x1.e91762a18d00ap-4, 0x1.e71a478aa00d8p-4, 0x1.e51f14a59eabep-4, 0x1.e325a5ddc8e93p-4, 0x1.e12dc96761e42p-4, 0x1.df377a87c9d46p-4, 0x1.dd426dc2cc1fcp-4, 0x1.db4e84fc1ffcdp-4, 0x1.d95b9536c09e9p-4, 0x1.d76972ce3819p-4, 0x1.d577f19da0b49p-4, 0x1.d386e4f939d1ap-4, 0x1.d1961feaf4627p-4, 0x1.cfa5755ea0efp-4, 0x1.cdb4b84f82b8bp-4, 0x1.cbc3bbed64785p-4, 0x1.c9d253cedb4b1p-4, 0x1.c7e054666a566p-4, 0x1.c5ed91621e72ap-4, 0x1.c3f9e148e5c01p-4, 0x1.c2051a1f06591p-4, 0x1.c00f131ee299ep-4, 0x1.be17a4764464bp-4, 0x1.bc1ea6f50c4c3p-4, 0x1.ba23f673effeap-4, 0x1.b8276cca64a55p-4, 0x1.b628e7c183542p-4, 0x1.b42844a90b145p-4, 0x1.b225630615d92p-4, 0x1.b020237caf84bp-4, 0x1.ae1868193514dp-4, 0x1.ac0e145b373d9p-4, 0x1.aa010d3e60992p-4, 0x1.a7f1393e622bap-4, 0x1.a5de806bb0b53p-4, 0x1.a3c8cc54d908dp-4, 0x1.a1b0081b55ff6p-4, 0x1.9f94201f409d8p-4, 0x1.9d7503a042e7dp-4, 0x1.9b52a1726d0abp-4, 0x1.992cec5db09e3p-4, 0x1.9703d40ec99e6p-4, 0x1.94d7503a86e44p-4, 0x1.92a755718f59p-4, 0x1.9073dc48c8b8dp-4, 0x1.8e3cdc08ee47ap-4, 0x1.8c02517a5f83ap-4, 0x1.89c436d07bd8ep-4, 0x1.87828a6793ed9p-4, 0x1.853d4abbf20cfp-4, 0x1.82f478624e854p-4, 0x1.80a81527de6a1p-4, 0x1.7e58243ecfe1fp-4, 0x1.7c04aa3ba58dcp-4, 0x1.79adacf6f7af4p-4, 0x1.775333a7c056dp-4, 0x1.74f546dec6846p-4, 0x1.7293f05e78456p-4, 0x1.702f3af59295ap-4, 0x1.6dc7333d35b5fp-4, 0x1.6b5be7cd526d7p-4, 0x1.68ed64202f555p-4, 0x1.667bb79326745p-4, 0x1.6406f6182fe39p-4, 0x1.618f2fb947dfcp-4, 0x1.5f147659e4a1bp-4, 0x1.5c96dfec6f04p-4, 0x1.5a167e987b26cp-4, 0x1.579367c9c78a7p-4, 0x1.550db4060959bp-4, 0x1.52857811b4aa2p-4, 0x1.4ffacc9dcf2e4p-4, 0x1.4d6dc9bcc8678p-4, 0x1.4ade8fb59a41bp-4, 0x1.484d261d08f82p-4, 0x1.45b9b5fe4d7b7p-4, 0x1.432458f9d634dp-4, 0x1.408d28d065cbbp-4, 0x1.3df4417f5ad9bp-4, 0x1.3b59bf6e666cbp-4, 0x1.38bdbf65ed4c1p-4, 0x1.36205e88001d2p-4, 0x1.3381ba3cb811fp-4, 0x1.30e1f087a8db6p-4, 0x1.2e411e4da0eb3p-4, 0x1.2b9f62e45f723p-4, 0x1.28fcdbbefafap-4, 0x1.2659a74a6f811p-4, 0x1.23b5e3d468708p-4, 0x1.2111af1002147p-4, 0x1.1e6d29383449cp-4, 0x1.1bc86e8dd0bf2p-4, 0x1.19239e08ab67fp-4, 0x1.165078253c01p-4, 0x1.13a6fe690d032p-4, 0x1.10fd9440a3d3ap-4, 0x1.0e5458bab55d5p-4, 0x1.0bab6b138d05dp-4, 0x1.0902ea0bd1752p-4, 0x1.065af4ac43c04p-4, 0x1.03b3a9cccf731p-4, 0x1.010d27f1a0adbp-4, 0x1.fccf1d21560fdp-5, 0x1.f785f685bb2d8p-5, 0x1.f23f1979754a7p-5, 0x1.ecfac1519e14p-5, 0x1.e7b92b53b080dp-5, 0x1.e27a91b06d90cp-5, 0x1.dd3f2f4d45664p-5, 0x1.d8073e33fcf52p-5, 0x1.d2d2f7f5647b6p-5, 0x1.cda2956f23fa7p-5, 0x1.c8764e7c6e897p-5, 0x1.c34e60b04159p-5, 0x1.be2aee64137fbp-5, 0x1.b90c4042bea85p-5, 0x1.b3f287fd76a81p-5, 0x1.aeddf0bc98649p-5, 0x1.a9ceb37632274p-5, 0x1.a4c4fde0ce5a9p-5, 0x1.9fc10251a9ba2p-5, 0x1.9ac30825cd14ep-5, 0x1.95caeb65bfcbep-5, 0x1.90d92b4eb0c27p-5, 0x1.8bedebf09c13ap-5, 0x1.870912b2d3eaap-5, 0x1.822b0bb8be26bp-5, 0x1.7d53e5c18d724p-5, 0x1.7883d1f65d5dcp-5, 0x1.73bad0e099b58p-5, 0x1.6ef926c7ae075p-5, 0x1.6a3ee8054ad65p-5, 0x1.658c33d8e5d4p-5, 0x1.60e127589c30dp-5, 0x1.5c3dd23de9cb9p-5, 0x1.57a2733d99f33p-5, 0x1.530efedba628dp-5, 0x1.4e8398d311707p-5, 0x1.4a005725ff248p-5, 0x1.45854e46c2eebp-5, 0x1.41128e6bb337ep-5, 0x1.3ca835a3b73c6p-5, 0x1.3846480854b3bp-5, 0x1.33ecda07d427ep-5, 0x1.2f9bfa1064217p-5, 0x1.2b53bb76548e7p-5, 0x1.271419e41403fp-5, 0x1.22dd31b2d77b3p-5, 0x1.1eaf0955cef1cp-5, 0x1.1a89a70b287ccp-5, 0x1.166d150510d0ep-5, 0x1.12595d975803p-5, 0x1.0e4e86e9e6878p-5, 0x1.0a4c97304eebbp-5, 0x1.065396d9e58a9p-5, 0x1.02638b8082defp-5, 0x1.fcf8ecf716d49p-6, 0x1.f53cbc4a3de2bp-6, 0x1.ed92929424e7p-6, 0x1.e5fa750d53b6fp-6, 0x1.de746b458b341p-6, 0x1.d700a596a324p-6, 0x1.cf9eab6a6e318p-6, 0x1.c84f013476775p-6, 0x1.c11182ab266f7p-6, 0x1.b9e661715bda2p-6, 0x1.b2cd195724fd7p-6, 0x1.abc635aadd5p-6, 0x1.a4d19086de372p-6, 0x1.9def2cc2eb482p-6, 0x1.971efd6da2f75p-6, 0x1.9061230a5006ep-6, 0x1.89b588b9d226p-6, 0x1.831c3754723b6p-6, 0x1.7c952fe11ecbap-6, 0x1.7620734d8d525p-6, 0x1.6fbe023309c17p-6, 0x1.696ddc17c700cp-6, 0x1.633000e6230b3p-6, 0x1.5d046f546c32dp-6, 0x1.56eb2e584885p-6, 0x1.50e42237edbd2p-6, 0x1.4aef15b9f1afep-6, 0x1.450cdf202292dp-6, 0x1.3f3c955290ae1p-6, 0x1.397e8208cfeaap-6, 0x1.33d296bdb03cdp-6, 0x1.2e38e1b0f6c41p-6, 0x1.28b145cf362adp-6, 0x1.233bc20bc78cap-6, 0x1.1dd84b3675861p-6, 0x1.1886dc04f66f8p-6, 0x1.13475ddc63268p-6, 0x1.0e19e56357776p-6, 0x1.08fe1bab7c27p-6, 0x1.03f437557f539p-6, 0x1.fdf826d11a8ecp-7, 0x1.f42b3cb44f5fbp-7, 0x1.ea818ce35de3fp-7, 0x1.e0faf1f43c53bp-7, 0x1.d7974464c485p-7, 0x1.ce565a96756d2p-7, 0x1.c5380c6bd6523p-7, 0x1.bc3c2a9958505p-7, 0x1.b36277c9e3d95p-7, 0x1.aaaad5be78374p-7, 0x1.a2150a2b698e3p-7, 0x1.99a0df64153b8p-7, 0x1.914e26910c563p-7, 0x1.891c8f3fbc305p-7, 0x1.810c061e69f92p-7, 0x1.791c09c8fa3f4p-7, 0x1.714cac3cf1d67p-7, 0x1.699d812c5ed8fp-7, 0x1.620e5032be89p-7, 0x1.5a9ed968b7e8p-7, 0x1.534ea2644822cp-7, 0x1.4c1df88d2deb1p-7, 0x1.450bfca88a87ep-7, 0x1.3e189e08caba7p-7, 0x1.3743bddbacd79p-7, 0x1.308c978ec8456p-7, 0x1.29f35359d3b49p-7, 0x1.23777c5a0cc6ep-7, 0x1.1d18c395fcf3dp-7, 0x1.16d6da2f3dc89p-7, 0x1.10b16fc5d3e8ep-7, 0x1.0aa8335a21528p-7, 0x1.04bad22e9bc15p-7, 0x1.fdd1eb986e0ddp-8, 0x1.f2649f1ead2f8p-8, 0x1.e72d1565485fep-8, 0x1.dc2c978791c71p-8, 0x1.d15c9106e0945p-8, 0x1.c6c2388725ed6p-8, 0x1.bc5af5be6da45p-8, 0x1.b2260a9a71b12p-8, 0x1.a822da607d355p-8, 0x1.9e50e70f7b3f7p-8, 0x1.94aed3c8d5bb9p-8, 0x1.8b3ca067efd3dp-8, 0x1.81f9609bd7511p-8, 0x1.78e46702cbc45p-8, 0x1.6ffd05387ccebp-8, 0x1.67428c5b8801ep-8, 0x1.5eb44f3a7ea1ep-8, 0x1.5651ad3e6c226p-8, 0x1.4e1928a55d3cap-8, 0x1.460c47a947e2ep-8, 0x1.3e2825db1d39bp-8, 0x1.366d11b049e13p-8, 0x1.2eda2ca4dd1a3p-8, 0x1.276ed3c8a3aa5p-8, 0x1.202a8f699085dp-8, 0x1.190c91aa50ffcp-8, 0x1.121449354041cp-8, 0x1.0b4118cada10ap-8, 0x1.049264fee4c68p-8, 0x1.fc0f29e174703p-9, 0x1.ef402c7b0c055p-9, 0x1.e2b6847018a1cp-9, 0x1.d67132afc0fc8p-9, 0x1.ca6ed35adbefep-9, 0x1.beaeddc0e8bcfp-9, 0x1.b32fa9571f4fbp-9, 0x1.a7f050c0bc91ap-9, 0x1.9cefc30781ad6p-9, 0x1.922cf38c3ed47p-9, 0x1.87a6da0e714e4p-9, 0x1.7d5c76571961bp-9, 0x1.735042ffa25dap-9, 0x1.6976c35e19e49p-9, 0x1.5fd956808ffe1p-9, 0x1.5673c91bed07ap-9, 0x1.4d44fd453403ep-9, 0x1.444c0270c6d3dp-9, 0x1.3b87f2a450332p-9, 0x1.32f7f23fa6818p-9, 0x1.2a9b009fba196p-9, 0x1.227035992dfadp-9, 0x1.1a76ba127c18cp-9, 0x1.12ada54424508p-9, 0x1.0b141b1a44e43p-9, 0x1.03a94038d4f4p-9, 0x1.f8d86c76ec0d6p-10, 0x1.eab81ca61180fp-10, 0x1.dcf02276dd23ep-10, 0x1.cf7ebc79ba998p-10, 0x1.c26242d6970ecp-10, 0x1.b599146b13283p-10, 0x1.a9219e968f8e1p-10, 0x1.9cf5a1456f41fp-10, 0x1.9121443d67daep-10, 0x1.85952effdbe42p-10, 0x1.7a548451882ffp-10, 0x1.6f5db3db6dba9p-10, 0x1.64af363538635p-10, 0x1.5a47930f0b83ep-10, 0x1.5025416f31faap-10, 0x1.4646c2f131ffap-10, 0x1.3caabe8185b8ap-10, 0x1.334f514305e69p-10, 0x1.2a344b98690cbp-10, 0x1.215754ba0bcf8p-10, 0x1.18b56b0f46789p-10, 0x1.10519dd50b31ap-10, 0x1.0827246d142c1p-10, 0x1.0035391f26cf5p-10, 0x1.f0f5c63d2c6b5p-11, 0x1.e1edabe8628b2p-11, 0x1.d34faaf0713c6p-11, 0x1.c51b2739ff173p-11, 0x1.b747fa38b76afp-11, 0x1.a9d9629c13de7p-11, 0x1.9ccb52d6dc364p-11, 0x1.901b687afd268p-11, 0x1.83c75efd22c59p-11, 0x1.779e6e45ba59ep-11, 0x1.6bfebe7114242p-11, 0x1.60b41dcc45ee5p-11, 0x1.55bc93e106c18p-11, 0x1.4b1602d1c8016p-11, 0x1.40be5006c5fe7p-11, 0x1.36b21aaadd9e4p-11, 0x1.2cf459fd2bf48p-11, 0x1.237dfaca1c5a9p-11, 0x1.1a4ee8e56b8d9p-11, 0x1.11654b30a3957p-11, 0x1.08bf5b874182fp-11, 0x1.005b076ded1e2p-11, 0x1.f06ed596814f8p-12, 0x1.e0a435c296f82p-12, 0x1.d14d033331c64p-12, 0x1.c278f44c323e9p-12, 0x1.b4113c743f479p-12, 0x1.a61aae7d298c3p-12, 0x1.98915399b8f1ep-12, 0x1.8b70e9ab0da62p-12, 0x1.7eb7f39745f93p-12, 0x1.72644405be739p-12, 0x1.666fc20620f59p-12, 0x1.5adee61c4c626p-12, 0x1.4fa813919f55ep-12, 0x1.44caf1ce24ccfp-12, 0x1.3a452b08deaa2p-12, 0x1.30143fbc24f7ep-12, 0x1.2635971c08afcp-12, 0x1.1ca6ee93d6406p-12, 0x1.1365f647dd295p-12, 0x1.0a706847e2469p-12, 0x1.01c41d9550fe6p-12, 0x1.f2bdda783234fp-13, 0x1.e27d7bc3f52d1p-13, 0x1.d2c2f84c7afdap-13, 0x1.c38a44fb5fbefp-13, 0x1.b4d901e211071p-13, 0x1.a69068d99ca0bp-13, 0x1.98c68c415a12dp-13, 0x1.8b70066b676e6p-13, 0x1.7e88e80df841fp-13, 0x1.720ddfc688866p-13, 0x1.65fbe250d9b3ep-13, 0x1.5a4f0739ca8f9p-13, 0x1.4f045b41c9c7fp-13, 0x1.4410253a70abap-13, 0x1.398a881f08483p-13, 0x1.2f53dd02308e5p-13, 0x1.255acd33c593dp-13, 0x1.1bdc76f60069ap-13, 0x1.12acd7bdae9cdp-13, 0x1.09c10da69045fp-13, 0x1.0120e8e0df4eap-13, 0x1.f18ab9f77d7d6p-14, 0x1.e1727d8bb2076p-14, 0x1.d1dae15315297p-14, 0x1.c2c7fb2334061p-14, 0x1.b43538a02b7d7p-14, 0x1.a61db3f99321ep-14, 0x1.987f67fdc2118p-14, 0x1.8b532ee3eb475p-14, 0x1.7e9839d24cbe2p-14, 0x1.72488261c6027p-14, 0x1.6660e0b4039e8p-14, 0x1.5adddad12f927p-14, 0x1.4fc42df4a6c2ap-14, 0x1.450e14bcdf082p-14, 0x1.3a91b9a45a71ap-14, 0x1.30ac455dee95p-14, 0x1.26c163239e7dbp-14, 0x1.1d510f8053932p-14, 0x1.1431cfe7944bdp-14, 0x1.0b5d50f065abcp-14, 0x1.02b9d4d69226ap-14, 0x1.f51e4db80c7d5p-15, 0x1.e51e6e8844123p-15, 0x1.d59fbd6de6534p-15, 0x1.c69d183e014a6p-15, 0x1.b81654060ba35p-15, 0x1.aa01e24a775d8p-15, 0x1.9c5e1ec3e35e7p-15, 0x1.8f267232210bdp-15, 0x1.82573933ac92cp-15, 0x1.75ef520d15457p-15, 0x1.6a417652043bfp-15, 0x1.5e345afb53dfcp-15, 0x1.52dd6a76e65bbp-15, 0x1.47de49c0cc0e7p-15, 0x1.3d31378043759p-15, 0x1.32d5eb38f6d1ep-15, 0x1.28dc0c28aec7ap-15, 0x1.1f003a2f0de1bp-15, 0x1.157fb32cad103p-15, 0x1.0c4461cb3832ap-15, 0x1.034ab609824d3p-15, 0x1.f520450d1a222p-16, 0x1.e4245a80e175dp-16, 0x1.d39be0f3e2855p-16, 0x1.c38732219c6e5p-16, 0x1.b48c4e93eb167p-16, 0x1.a4966f9b458f6p-16, 0x1.95bc4506eb917p-16, 0x1.873e11055c64fp-16, 0x1.791d0374bfe17p-16, 0x1.6b550d10fb57cp-16, 0x1.5de2f23aa4d82p-16, 0x1.50c38e3e8a602p-16, 0x1.43f3ddac0792ap-16, 0x1.3771356f8a5dcp-16, 0x1.2b3dd22a1a3a1p-16, 0x1.1f4dcab433668p-16, 0x1.12b1427aa0513p-16, 0x1.082613c10f7d3p-16, 0x1.fa142be0b5878p-17, 0x1.e42c7c242063p-17, 0x1.cec7c13684791p-17, 0x1.b9d70194cedd6p-17, 0x1.a5558be0b2995p-17, 0x1.913f6b58a06b8p-17, 0x1.7d903cc49e3d9p-17, 0x1.6a3c7c9ef07f8p-17, 0x1.568bd15ca069fp-17, 0x1.45c004b7d3c8bp-17, 0x1.332ddbc1b3a7ep-17, 0x1.20b03270858d3p-17, 0x1.0d32df9c81a91p-17, 0x1.fc71cd9efca33p-18, 0x1.daa6340f761c2p-18, 0x1.b98ddc4e713ccp-18, 0x1.991268eafb967p-18, 0x1.792dd94e2a52ep-18, 0x1.59dc3591b0167p-18, 0x1.3b1d2290b462ep-18, 0x1.1c6f6ed83cd38p-18, 0x1.fe66694f94df5p-19, 0x1.c42dd8cd06225p-19, 0x1.8abb1b003e3fap-19, 0x1.527e54e492b4p-19, 0x1.1b2e5d1dd2702p-19, 0x1.c990b5541c334p-20, 0x1.63e166cbe66c1p-20, 0x1.dddf629db9084p-21, 0x1.1da80a6f9bb37p-21, 0x1.4ca60533b65a8p-23, -0x1.cf501463029e6p-23, -0x1.374defbfb38c5p-21, -0x1.f70643f2c91a5p-21, -0x1.5ac62c7a94d48p-20, -0x1.b68fa84219087p-20, -0x1.08c20f0e8be67p-19, -0x1.3565d618c3fe3p-19, -0x1.6137a57b6005ap-19, }}, 
      {{-0x1.80f7e1f16e75dp-7, -0x1.77bfd102b8e5cp-6, -0x1.0f681ccd585c9p-5, -0x1.58c7db4257d84p-5, -0x1.968b4b53d9c26p-5, -0x1.c7fdc1bb4e58ap-5, -0x1.ecd46037fb2dep-5, -0x1.029346e967765p-4, -0x1.08a505af8de77p-4, -0x1.08e643946d4d6p-4, -0x1.03a435c0d1a02p-4, -0x1.f27ce2dd45665p-5, -0x1.d4372fa3caddp-5, -0x1.ad3ea60361c4ep-5, -0x1.7e5b794e96cacp-5, -0x1.48639e7bf3e1ap-5, -0x1.0c180ea3cd799p-5, -0x1.9475abe533354p-6, -0x1.070087328051p-6, -0x1.c496e7b44bfccp-8, 0x1.5e47d26f7dc84p-9, 0x1.9d37fd2c4627dp-7, 0x1.763a39d2b204fp-6, 0x1.10d1dd0a1cc7dp-5, 0x1.67f4c3dd96dc3p-5, 0x1.c01512627fc2fp-5, 0x1.0c615b36f28fbp-4, 0x1.38d581961e13cp-4, 0x1.653b9663dace3p-4, 0x1.916d5368d2b71p-4, 0x1.bd47ef0ffea61p-4, 0x1.e8abe56aa3d6dp-4, 0x1.09be89b4e17b7p-3, 0x1.1ed14f4a472cap-3, 0x1.33835e7ae1b1p-3, 0x1.47cb27d2697a3p-3, 0x1.5ba038e5b77b3p-3, 0x1.6efb28e53635ep-3, 0x1.81d59df74bbe7p-3, 0x1.942a2b459819fp-3, 0x1.a5f405066863ep-3, 0x1.b72ee335ca3dap-3, 0x1.c7d742808ecf6p-3, 0x1.d7eab130429b7p-3, 0x1.e767bac597f32p-3, 0x1.f64d76d7408fp-3, 0x1.024d93ae61b7bp-2, 0x1.09281df91c1dbp-2, 0x1.0fb65340dfcd8p-2, 0x1.15f8932b51cddp-2, 0x1.1befa10ba5b6fp-2, 0x1.219c7995ba8cdp-2, 0x1.27001f981da2fp-2, 0x1.2c1b7ff1781c9p-2, 0x1.30eeef2131459p-2, 0x1.357bca59efa0dp-2, 0x1.39c3ac33cff88p-2, 0x1.3dc7fbc472b2dp-2, 0x1.418a2fdce9e5ep-2, 0x1.450bcd5ded259p-2, 0x1.484e64ef895aep-2, 0x1.4b538e4908602p-2, 0x1.4e1ce322c7b84p-2, 0x1.50abfd7f0c6a9p-2, 0x1.53027a768a184p-2, 0x1.5521feb6764b3p-2, 0x1.570c382695f3p-2, 0x1.58c2da246c6c8p-2, 0x1.5a4795b65967dp-2, 0x1.5b9c11d70368bp-2, 0x1.5cc1e7e9d801p-2, 0x1.5dbaa5d4cc639p-2, 0x1.5e87d3dd9e0bfp-2, 0x1.5f2afabb1c341p-2, 0x1.5fa5a65a3fe0dp-2, 0x1.5ff963faeddf6p-2, 0x1.6027bc7c15eep-2, 0x1.60322daf3a99ep-2, 0x1.601a255a32506p-2, 0x1.5fe0ffb022833p-2, 0x1.5f88095990e1ep-2, 0x1.5f1083c5e7014p-2, 0x1.5e7ba9de7952bp-2, 0x1.5dcab356e85abp-2, 0x1.5cfed5b3525b3p-2, 0x1.5c1943026c62cp-2, 0x1.5b1b271a775fap-2, 0x1.5a05a489d9a4ep-2, 0x1.58d9d24340a19p-2, 0x1.5798baa365213p-2, 0x1.56435bcda5355p-2, 0x1.54daa9137b9dp-2, 0x1.535f8ca54d1ep-2, 0x1.51d2e91b56e0cp-2, 0x1.50359a6b43a27p-2, 0x1.4e88763c103fap-2, 0x1.4ccc4bc731b0fp-2, 0x1.4b01e385e37c9p-2, 0x1.4929fee50f015p-2, 0x1.47455819c3b14p-2, 0x1.4554a21e62457p-2, 0x1.435888bc78c7ep-2, 0x1.4151b0a7f12a9p-2, 0x1.3f40b7a129339p-2, 0x1.3d263474937dap-2, 0x1.3b02b75298cc2p-2, 0x1.38d6ca06d747dp-2, 0x1.36a2f060a19d3p-2, 0x1.3467a8a5c1efbp-2, 0x1.32256c0551085p-2, 0x1.2fdc88e1595a4p-2, 0x1.2d8da76fd6f6cp-2, 0x1.2b3925f492211p-2, 0x1.28df6c2761e43p-2, 0x1.2680dd6e879b6p-2, 0x1.241dd9151bf54p-2, 0x1.21b6ba7cebd78p-2, 0x1.1f4bd93f5797ep-2, 0x1.1cdd898ef0af6p-2, 0x1.1a6c1bece0f86p-2, 0x1.17f7ddbdf34b8p-2, 0x1.15811932d5d6fp-2, 0x1.1308157eb007cp-2, 0x1.108d16db7516bp-2, 0x1.0e105ec8c8665p-2, 0x1.0b922c17abbe7p-2, 0x1.0912bb0c7e26dp-2, 0x1.0692457a7d9dbp-2, 0x1.041102e580045p-2, 0x1.018f2895250f4p-2, 0x1.fe19d3a5a77e2p-3, 0x1.f914ef89781f5p-3, 0x1.f41003ad0a4bdp-3, 0x1.ef0b6820edcc1p-3, 0x1.ea077da3759d9p-3, 0x1.e5048fbb0827ap-3, 0x1.e002f2cd20f04p-3, 0x1.db02f537b33dfp-3, 0x1.d604e2810b14ap-3, 0x1.d1090371c62d3p-3, 0x1.cc0f9e2e24eb8p-3, 0x1.c718f6569444ep-3, 0x1.c2254d2645cabp-3, 0x1.bd34e1954644fp-3, 0x1.b847f068e9595p-3, 0x1.b35eb467ed9d5p-3, 0x1.ae7966954cdc6p-3, 0x1.a9983d3ccae4ap-3, 0x1.a4bb6e2f3cdadp-3, 0x1.9fe32cb01d4d1p-3, 0x1.9b0faa9188c99p-3, 0x1.9641180d866e6p-3, 0x1.9177a3cbab5a1p-3, 0x1.8cb37b300bb14p-3, 0x1.87f4c9cec7b67p-3, 0x1.833bba21bbc45p-3, 0x1.7e887524534cp-3, 0x1.79db22938bf3bp-3, 0x1.7533e8e55949dp-3, 0x1.7092ed561951cp-3, 0x1.6bf853f588a49p-3, 0x1.67643fac8ad29p-3, 0x1.62d6d242e6751p-3, 0x1.5e502c7a75874p-3, 0x1.59d06df1f27aep-3, 0x1.5557b545a9b3ep-3, 0x1.50e61feda1615p-3, 0x1.4c7bcaedbce6ep-3, 0x1.4818d17c1b345p-3, 0x1.43bd4e9d8db5ap-3, 0x1.3f695b6211fcep-3, 0x1.3b1d113c488dep-3, 0x1.36d887cb2f18ep-3, 0x1.329bd6246ff5ep-3, 0x1.2e671239ba0c5p-3, 0x1.2a3a5164688bbp-3, 0x1.2615a7e551936p-3, 0x1.21f929425b3c9p-3, 0x1.1de4e82265f27p-3, 0x1.19d8f6575f757p-3, 0x1.15d564e075ceep-3, 0x1.11da43ec4f8adp-3, 0x1.0de7a2dd1542cp-3, 0x1.09fd90492a559p-3, 0x1.061c19ff3f3d7p-3, 0x1.02434cfc29701p-3, 0x1.fce66b28f9992p-4, 0x1.f557be9da2ffp-4, 0x1.eddaa981db4d9p-4, 0x1.e66f3e5470eefp-4, 0x1.df1595bc2062dp-4, 0x1.d7cdb8f701bcbp-4, 0x1.d097bc0c5be4dp-4, 0x1.c973ac552d327p-4, 0x1.c261967d3d1f6p-4, 0x1.bb618676596ap-4, 0x1.b47385d04675ep-4, 0x1.ad979d60b487ap-4, 0x1.a6cdd4a3a7adp-4, 0x1.a01631814f787p-4, 0x1.9970b8b7732d8p-4, 0x1.92dd6db7809ebp-4, 0x1.8c5c51836e93ap-4, 0x1.85ed67d2f6f91p-4, 0x1.7f90ae23e69b9p-4, 0x1.794622bdb124bp-4, 0x1.730dc317e5d52p-4, 0x1.6ce78b2ae9f1ep-4, 0x1.66d375a6f3925p-4, 0x1.60d17c0689f7ep-4, 0x1.5ae196ac8ec01p-4, 0x1.5503bcd41ec33p-4, 0x1.4f37e43b82d38p-4, 0x1.497e02b724724p-4, 0x1.43d60b6568e4p-4, 0x1.3e3ff13e1be58p-4, 0x1.38bba6081bbefp-4, 0x1.33491a94acc67p-4, 0x1.2de83e5458bddp-4, 0x1.2898ffcb3c8a7p-4, 0x1.235b4d0e7f7eap-4, 0x1.1e2f131c41f6cp-4, 0x1.18f439bdbd9b4p-4, 0x1.13e82ffb6333dp-4, 0x1.0eed50cd4c712p-4, 0x1.0a0386c3f90eep-4, 0x1.052abbbf69037p-4, 0x1.0062d8a1ccf01p-4, 0x1.f7578b7585d34p-5, 0x1.ee0ad527c60c1p-5, 0x1.e4df5bf89e7e2p-5, 0x1.dbd4ec78195c7p-5, 0x1.d2eb51731468ap-5, 0x1.ca225489ebd19p-5, 0x1.c179bee84da6p-5, 0x1.b8f15722fb4dfp-5, 0x1.b088e3e6e7589p-5, 0x1.a8402a8b54d1p-5, 0x1.a016ee6bbd2bap-5, 0x1.980cf359ec16fp-5, 0x1.9021fa2136059p-5, 0x1.8855c6ef34c0ap-5, 0x1.80a81293ea18bp-5, 0x1.7918a9b25adcap-5, 0x1.71a73e128cdd2p-5, 0x1.6a5391f4d0f46p-5, 0x1.631d648da1658p-5, 0x1.5c046d3775ce6p-5, 0x1.55086c60371c4p-5, 0x1.4e291562953dcp-5, 0x1.476639cda6b85p-5, 0x1.40bf5b96d4e66p-5, 0x1.3a34691626c34p-5, 0x1.33c512e8d151p-5, 0x1.2d70ef6f470c2p-5, 0x1.2737d69fc93dep-5, 0x1.21197376519e9p-5, 0x1.1b157b6fb27e4p-5, 0x1.152ba5e7444eep-5, 0x1.0f5ba58a96a68p-5, 0x1.09a53030326e8p-5, 0x1.0407f99d8478cp-5, 0x1.fd076c3300cbcp-6, 0x1.f2303c4152555p-6, 0x1.e789ae7606963p-6, 0x1.dd13457e9a654p-6, 0x1.d2cc5ff58a323p-6, 0x1.c8b4637493295p-6, 0x1.becab792590bep-6, 0x1.b50ea7315326dp-6, 0x1.ab7fe87974343p-6, 0x1.a21d93634a6d9p-6, 0x1.98e72adb47eb9p-6, 0x1.8fdc168e7feeap-6, 0x1.86fbc423ef5e4p-6, 0x1.7e4588974f4fp-6, 0x1.75b8e33435327p-6, 0x1.6d5537a6cb62bp-6, 0x1.6519ecaca4d6bp-6, 0x1.5d066fdb2de5ep-6, 0x1.551a3150a2797p-6, 0x1.4d549c76c1ad9p-6, 0x1.45b520463f73dp-6, 0x1.3e3b2cd97f3fep-6, 0x1.36e634a899913p-6, 0x1.2fb5a6361e91p-6, 0x1.28a8f6861884ap-6, 0x1.21bf9c2689b2p-6, 0x1.1af90c060491ep-6, 0x1.1454bd9726491p-6, 0x1.0dd23511429cp-6, 0x1.0770c9d5de9f2p-6, 0x1.013019f11a73p-6, 0x1.f61f2e6b3a1a4p-7, 0x1.ea1d8f5e414b2p-7, 0x1.de5a268563598p-7, 0x1.d2d425b08949p-7, 0x1.c78a8362c0719p-7, 0x1.bc7c3990ec23p-7, 0x1.b1a8532bf1a84p-7, 0x1.a70e2ece6996dp-7, 0x1.9cac6e28b6686p-7, 0x1.92825226a7a7p-7, 0x1.888eeef55525ap-7, 0x1.7ed15d9634e21p-7, 0x1.7548baec8f0bep-7, 0x1.6bf42058ff10cp-7, 0x1.62d2b41b40b9ep-7, 0x1.59e397ff93d0cp-7, 0x1.5125f71b180edp-7, 0x1.4898ec9b3cacbp-7, 0x1.403b4bac76303p-7, 0x1.380d6cd3f52bdp-7, 0x1.300d4ef8db8fp-7, 0x1.283a8dfd72dfap-7, 0x1.209451bae71dep-7, 0x1.1919f3fa986d8p-7, 0x1.11ca8c1a875c5p-7, 0x1.0aa5627c46d49p-7, 0x1.03a9b3c3b2d0ap-7, 0x1.f9ad7d4e57107p-8, 0x1.ec57a1be7ea42p-8, 0x1.df5063f0e911p-8, 0x1.d2960783a2ccbp-8, 0x1.c62772850c8cep-8, 0x1.ba03225a61bf3p-8, 0x1.ae27b2d265faap-8, 0x1.a293c46aa317dp-8, 0x1.9746002ba6568p-8, 0x1.8c3cfcdf3d598p-8, 0x1.81778652d84ap-8, 0x1.76f434002c493p-8, 0x1.6cb1c82cb7081p-8, 0x1.62aef8c6810ecp-8, 0x1.58ea87738bd46p-8, 0x1.4f633573e50b9p-8, 0x1.4617c9636c50fp-8, 0x1.3d071f685c833p-8, 0x1.342fd4b781ebcp-8, 0x1.2b90ed45f06cfp-8, 0x1.2328f4f5a5026p-8, 0x1.1af7807719652p-8, 0x1.12fab391732e7p-8, 0x1.0b31b1f9c95dep-8, 0x1.039b637db06a7p-8, 0x1.f86cddbb5f479p-9, 0x1.ea053a26febb9p-9, 0x1.dbfbef4902838p-9, 0x1.ce4fb2ed887eep-9, 0x1.c0fee7ccb90e1p-9, 0x1.b406011dc9eb1p-9, 0x1.a7649b967b908p-9, 0x1.9b1840a237e36p-9, 0x1.8f1f08b99b08ep-9, 0x1.83771390ec173p-9, 0x1.781e8819d0cecp-9, 0x1.6d139ad3fd66cp-9, 0x1.62547fa02c2efp-9, 0x1.57df6d0c0a8dbp-9, 0x1.4db2b696090b4p-9, 0x1.43cca793389b7p-9, 0x1.3a2c8ca7c82c3p-9, 0x1.30cdd60e2e44ap-9, 0x1.27b1d39b491e2p-9, 0x1.1ed5e3bcdf222p-9, 0x1.1638b7672abcep-9, 0x1.0dd890282d785p-9, 0x1.05b4283b3b1bdp-9, 0x1.fb9320cb281bfp-10, 0x1.ec2fa3f5c2e78p-10, 0x1.dd3ab47771f0fp-10, 0x1.ceb19123120bcp-10, 0x1.c091851624e54p-10, 0x1.b2d7e82c0b988p-10, 0x1.a58220cff7e51p-10, 0x1.988da26b98b0bp-10, 0x1.8bf80c1f628e8p-10, 0x1.7fbec9581216fp-10, 0x1.73de52479ce93p-10, 0x1.6857834270783p-10, 0x1.5d251a8a58e44p-10, 0x1.5245bce6df20cp-10, 0x1.47b77f558e5f7p-10, 0x1.3d77f84e75f14p-10, 0x1.3385299553f4dp-10, 0x1.29dd0acf37d0fp-10, 0x1.207d9f6966f61p-10, 0x1.1764f6329255dp-10, 0x1.0e91230bb407fp-10, 0x1.060067a30aa8ap-10, 0x1.fb61bb577e1ffp-11, 0x1.eb40e62247d63p-11, 0x1.db9cd45f2eeb2p-11, 0x1.cc7040b244e0ep-11, 0x1.bdb88b299ec61p-11, 0x1.af72828968f32p-11, 0x1.a19b0a86cfe4ep-11, 0x1.942f1adfe46afp-11, 0x1.872bce5d8511dp-11, 0x1.7a91fe728bcdep-11, 0x1.6e5347de0d99cp-11, 0x1.627885bded4c1p-11, 0x1.56fb538414bb4p-11, 0x1.4bd8e0c90c7f8p-11, 0x1.410eb69801fffp-11, 0x1.3699c4799abdbp-11, 0x1.2c7937d80e9d5p-11, 0x1.22a99bd1be8fp-11, 0x1.1927924c7b4fap-11, 0x1.0ff289fb03203p-11, 0x1.0707a7be49115p-11, 0x1.fcc9ca3985ae5p-12, 0x1.ec1027c2e23a1p-12, 0x1.dbde6364d4396p-12, 0x1.cc30383de5ac2p-12, 0x1.bd02199c77a69p-12, 0x1.ae505946b4c75p-12, 0x1.a016a68f9e102p-12, 0x1.9251c43536293p-12, 0x1.84fe473eb2c25p-12, 0x1.781ad5a89f361p-12, 0x1.6b9d5ef3fe691p-12, 0x1.5f89c597c3478p-12, 0x1.53da077ab0261p-12, 0x1.488b44c5fc89dp-12, 0x1.3d9a7b8769074p-12, 0x1.3304c1e09852bp-12, 0x1.28c7340f5f88dp-12, 0x1.1edf066d9b10cp-12, 0x1.15499225d8da9p-12, 0x1.0c04052702879p-12, 0x1.030c57f272b2p-12, 0x1.f4bfd59fda124p-13, 0x1.e3f1c41f5703dp-13, 0x1.d3b82ce35b25p-13, 0x1.c4066910d2b9dp-13, 0x1.b4d58c6e05614p-13, 0x1.a6240c938a0cp-13, 0x1.97ed86980cf9p-13, 0x1.8a2db3acb34dp-13, 0x1.7cd746c299df4p-13, 0x1.70032dd9a785cp-13, 0x1.639190b670a19p-13, 0x1.578745c031e29p-13, 0x1.4be13eb27a118p-13, 0x1.409c1e971b248p-13, 0x1.359cc000853dp-13, 0x1.2b112bd37b224p-13, 0x1.20dd29d700d02p-13, 0x1.16fd59d375b38p-13, 0x1.0d6f746b37bdep-13, 0x1.042f03678a64bp-13, 0x1.f675834ba4cabp-14, 0x1.e521124d0977ap-14, 0x1.d458cd1126f54p-14, 0x1.c418fecad6404p-14, 0x1.b45ce36f595a3p-14, 0x1.a51fe3845f9a9p-14, 0x1.965d87c6bcf04p-14, 0x1.8811a45679fa8p-14, 0x1.7a3890091b4abp-14, 0x1.6cacceb00d611p-14, 0x1.5fcdb2cd774cfp-14, 0x1.533090f12503p-14, 0x1.46f8a0f4fb735p-14, 0x1.3b204bc45be92p-14, 0x1.2fa38d47556b8p-14, 0x1.247d01e41df5ep-14, 0x1.19b2c8e05949ep-14, 0x1.0f33da8057671p-14, 0x1.050d335e15d88p-14, 0x1.f65dea80e4887p-15, 0x1.e3353d95409ap-15, 0x1.d09caec05ac3cp-15, 0x1.be8ef132ebda7p-15, 0x1.ad05ddf25fb7cp-15, 0x1.9bfd3baac7552p-15, 0x1.8b70c08cb46b4p-15, 0x1.7b5ca1a147798p-15, 0x1.6bbbcb351f76bp-15, 0x1.5c8a840cf6ea3p-15, 0x1.4dc4fbfbb9ba3p-15, 0x1.3f6743668c5p-15, 0x1.316d9ba5a4ba5p-15, 0x1.23efb6eb354b8p-15, 0x1.169c60b3b6f98p-15, 0x1.09bca9ae134bap-15, 0x1.fa690a84e8467p-16, 0x1.e201b0fdd9e6dp-16, 0x1.ca3e001479cc3p-16, 0x1.b31c9ba982cffp-16, 0x1.9c8f36012911bp-16, 0x1.86904f684fd4p-16, 0x1.7172447115784p-16, 0x1.5c43e292c1de2p-16, 0x1.47ef0e77db6ecp-16, 0x1.33edcbf23ffbap-16, 0x1.20913d31efcd2p-16, 0x1.0dddfa1e1493bp-16, 0x1.f6ee2a5555789p-17, 0x1.d300644068644p-17, 0x1.afedcd6a84868p-17, 0x1.8dbc51173b117p-17, 0x1.6c5847bcf97bbp-17, 0x1.4bc034509353cp-17, 0x1.2bee302a49ff6p-17, 0x1.0cdb126c1b56dp-17, 0x1.dd0f8818e4cddp-18, 0x1.a1cd087c471e2p-18, 0x1.67f6765838152p-18, 0x1.2f768194d3cd1p-18, 0x1.f08effbaf9713p-19, 0x1.84c36911ed829p-19, 0x1.1bc742c1b5ad5p-19, 0x1.68d6b3c8810fep-20, 0x1.41cab9a50ac69p-21, -0x1.c9b0512658a5fp-24, -0x1.c5cbe36d8bcbp-21, -0x1.9e8c3e0290f73p-20, -0x1.2ab77ccf549bep-19, -0x1.8427644f9d544p-19, -0x1.deee797fe4495p-19, -0x1.182719a9a28f4p-18, -0x1.41a2c1dc09062p-18, -0x1.6a2369b51bf28p-18, -0x1.91f680a489634p-18, -0x1.b8501e2702845p-18, -0x1.ddf5a331844e5p-18, -0x1.0168230c7be6dp-17, -0x1.1358723dca84ap-17, -0x1.24d509e593b64p-17, -0x1.35e8d302ee97p-17, -0x1.477bd6aee8da5p-17, -0x1.56b0fced844p-17, -0x1.666f4208cefd3p-17, -0x1.75c8925273426p-17, -0x1.84b3d5ced9e52p-17, -0x1.9343dbf06220cp-17, -0x1.a15368b9c3d7p-17, -0x1.af27e43aeeda3p-17, -0x1.bc85ef44d575ap-17, -0x1.c9811ab787ebdp-17, -0x1.d61b784013722p-17, -0x1.e2563c6487097p-17, -0x1.ee32a5b0a0c19p-17, -0x1.f9b2e934adb5fp-17, -0x1.0269b7f7ca1c8p-16, -0x1.077adb5f55ad5p-16, -0x1.0d055694e927bp-16, -0x1.120c0d7c546a7p-16, -0x1.16ea3fdbdc335p-16, -0x1.1b9b69440cf65p-16, -0x1.20215bced7749p-16, -0x1.247c6eb44722ap-16, -0x1.28ad056f09308p-16, -0x1.2cb386e9012f6p-16, -0x1.309034b1539b6p-16, -0x1.343fa617d5c3dp-16, -0x1.37cbd1acb16e7p-16, -0x1.3b11cab8f7eeep-16, -0x1.3e6a196eb67afp-16, -0x1.417f10bbd6f07p-16, -0x1.446a05631d1bdp-16, -0x1.472e9ca957b38p-16, -0x1.49cccd83cfa6bp-16, -0x1.4c44f38476413p-16, -0x1.4e977d903deb6p-16, -0x1.50c52725815aep-16, -0x1.52d1d98b7257cp-16, -0x1.554688e8c0e62p-16, -0x1.5651ce87b5fbdp-16, -0x1.57b5b86758fe5p-16, -0x1.59836405fb532p-16, -0x1.5b22e99aae826p-16, -0x1.5c0a0ffd2a8bap-16, -0x1.5d1c5551b109ep-16, -0x1.5e0b469cdc8abp-16, -0x1.5ed8921f9903p-16, -0x1.5f84c35fe5ee6p-16, -0x1.60104b94e4682p-16, -0x1.607c0d9406f75p-16, -0x1.60b500db40a01p-16, -0x1.60f2e14615a59p-16, -0x1.60ff4d246ce1bp-16, -0x1.60ed8bebdf09bp-16, -0x1.60bd44a3c908p-16, -0x1.606f2efb164d6p-16, -0x1.6003ca34b65aap-16, -0x1.5f702d5b04554p-16, -0x1.5efa5fec209f3p-16, -0x1.5e13f3c3ea57cp-16, -0x1.5d369f80ff8c1p-16, -0x1.5c3dc60a8134ap-16, -0x1.5b29bf512146bp-16, -0x1.59f7ac72b4d72p-16, -0x1.58c5839f4e6d9p-16, -0x1.5750266095d88p-16, -0x1.55d51bc9e02e2p-16, -0x1.54405fb54cc6fp-16, -0x1.5294ddfc03306p-16, }}, 
      {{-0x1.0288a6e33c987p-2, -0x1.fdf84b32850d3p-3, -0x1.f4aab9e38dfc6p-3, -0x1.eaa1f02e34c1bp-3, -0x1.e0e86227c01a7p-3, -0x1.d83b03ea907bfp-3, -0x1.d116d98118949p-3, -0x1.cbcc88e27cb92p-3, -0x1.c888ababf64b5p-3, -0x1.c75ea9e967d05p-3, -0x1.c84c759e22ee5p-3, -0x1.cb427c9b77285p-3, -0x1.d028f7f1443bp-3, -0x1.d6deecd929e69p-3, -0x1.df3d4be982b86p-3, -0x1.e91eee0c58bb4p-3, -0x1.f45912be7c09p-3, -0x1.0061e3b822037p-2, -0x1.071af65176d55p-2, -0x1.0e43efe40093ap-2, -0x1.15ca7c76d0415p-2, -0x1.1d9cd93479c2ap-2, -0x1.25aa619c6455p-2, -0x1.2de352c881893p-2, -0x1.36391b964780ep-2, -0x1.3e9e7d35cc675p-2, -0x1.4707c77300ccfp-2, -0x1.4f69c29d7adcp-2, -0x1.57ba6482c16b5p-2, -0x1.5ff0a4690ccc3p-2, -0x1.6804738e43583p-2, -0x1.6feeb4478f09p-2, -0x1.77a91e653060bp-2, -0x1.7f2e2742441f2p-2, -0x1.8678ef6268e38p-2, -0x1.8d853bb58e62dp-2, -0x1.944f72b7d0316p-2, -0x1.9ad48cee554f2p-2, -0x1.a111fea34888dp-2, -0x1.a705b208a8865p-2, -0x1.acae1101f7511p-2, -0x1.b209ff83bd8fdp-2, -0x1.b718b8c51085p-2, -0x1.bbd9acc7a5689p-2, -0x1.c04c8057a6be7p-2, -0x1.c47129309e5d1p-2, -0x1.c84800713c4b5p-2, -0x1.cbd1b215072c5p-2, -0x1.cf0f14e1a1449p-2, -0x1.d2010ae7d97eep-2, -0x1.d4a87fe37ef26p-2, -0x1.d70680ac0d708p-2, -0x1.d91c559d6f86ep-2, -0x1.daeb8b832bd7ap-2, -0x1.dc75f58c6f14bp-2, -0x1.ddbd9e716a44ap-2, -0x1.dec3de649947ep-2, -0x1.df8a77af64cecp-2, -0x1.e01338dc9f639p-2, -0x1.e05ffc61a39d6p-2, -0x1.e072a54a02002p-2, -0x1.e04d19a3e5705p-2, -0x1.dff13d7e973b8p-2, -0x1.df60f129791d4p-2, -0x1.de9e12fe98fb3p-2, -0x1.ddaa824ede0fdp-2, -0x1.dc88202d091cfp-2, -0x1.db38cc750579ep-2, -0x1.d9be603346a8ap-2, -0x1.d81aa8671e034p-2, -0x1.d64f63dff44ebp-2, -0x1.d45e450907a7p-2, -0x1.d248f63438656p-2, -0x1.d0111dc0c8b8dp-2, -0x1.cdb85fc536fc7p-2, -0x1.cb405c67b1991p-2, -0x1.c8aaabc43bb79p-2, -0x1.c5f8d95db4e83p-2, -0x1.c32c61060ab0cp-2, -0x1.c046ae4e0bb4p-2, -0x1.bd491e5850ebep-2, -0x1.ba3502fdba4e9p-2, -0x1.b70ba5dd27f84p-2, -0x1.b3ce4a34b2ccfp-2, -0x1.b07e2d0c689c3p-2, -0x1.ad1c83ecd7acp-2, -0x1.a9aa7adba5cedp-2, -0x1.a629327d72507p-2, -0x1.a299bf0902a64p-2, -0x1.9efd28524d7f6p-2, -0x1.9b546ac39f3d9p-2, -0x1.97a078d59fc24p-2, -0x1.93e23c793acd7p-2, -0x1.901a9810b42fdp-2, -0x1.8c4a66cca589fp-2, -0x1.88727c84d4f38p-2, -0x1.8493a54db42bep-2, -0x1.80aea5116b1c3p-2, -0x1.7cc4375ee63edp-2, -0x1.78d50f7eee8b5p-2, -0x1.74e1d8c375167p-2, -0x1.70eb36f3532d1p-2, -0x1.6cf1c6bb1a1abp-2, -0x1.68f61e1301358p-2, -0x1.64f8cc92b9b2dp-2, -0x1.60fa5bc5cd757p-2, -0x1.5cfb4f75a4094p-2, -0x1.58fc25f25acb8p-2, -0x1.54fd58502a377p-2, -0x1.50ff5a918abf2p-2, -0x1.4d029f274e764p-2, -0x1.49078e9e395a8p-2, -0x1.450e8958ba94ap-2, -0x1.4117eee5b3516p-2, -0x1.3d241a4fe1cd2p-2, -0x1.39336242d587p-2, -0x1.35461931e4b3fp-2, -0x1.315c8d7f082f9p-2, -0x1.2d7709ad532fep-2, -0x1.2995d479db1e6p-2, -0x1.25b9311613515p-2, -0x1.21e15f465af8ep-2, -0x1.1e0e9b89d26e9p-2, -0x1.1a411f3971e99p-2, -0x1.167920ab8e04ap-2, -0x1.12b6d34f79ff8p-2, -0x1.0efa67ca802c7p-2, -0x1.0b440c1318715p-2, -0x1.0793eb8cf3a6ep-2, -0x1.03ea2f2216e6cp-2, -0x1.0046fd630a67ap-2, -0x1.f954f52ba688ep-3, -0x1.f22991b6e9b89p-3, -0x1.eb0c1013c80ecp-3, -0x1.e3fcad8d0cbc6p-3, -0x1.dcfba1349731bp-3, -0x1.d60920043e8aep-3, -0x1.cf255b0187002p-3, -0x1.c8507fc75ecb8p-3, -0x1.c18ab8a68f6e4p-3, -0x1.bad42cc602fb8p-3, -0x1.b42d0043b325fp-3, -0x1.ad95545527b75p-3, -0x1.a70d476812ef7p-3, -0x1.a094f53ebcc3bp-3, -0x1.9a2c77120b66fp-3, -0x1.93d3e3b1be05dp-3, -0x1.8d8b4f72f93d4p-3, -0x1.8752cca112eb6p-3, -0x1.812a6b39e5663p-3, -0x1.7b12392d45dep-3, -0x1.750a4266e53dep-3, -0x1.6f1290df5783bp-3, -0x1.692b2cb4c742cp-3, -0x1.63541c2a566e9p-3, -0x1.5d8d63cc80896p-3, -0x1.57d70675459bcp-3, -0x1.52310562475ebp-3, -0x1.4c9b6042e4079p-3, -0x1.47161547dea94p-3, -0x1.41a12132d490fp-3, -0x1.3c3c7f637b49cp-3, -0x1.36e829e44f4p-3, -0x1.31a4197a8280ep-3, -0x1.2c7045aaf200fp-3, -0x1.274ca4ca145cp-3, -0x1.22392c0049bddp-3, -0x1.1d35cf6e8c59cp-3, -0x1.18428201edf5dp-3, -0x1.135f35bbaa996p-3, -0x1.0e8bdb7977d87p-3, -0x1.09c8634ff7a94p-3, -0x1.0514bc46e162cp-3, -0x1.0070d48d1a5fbp-3, -0x1.f7b932dbac0f6p-4, -0x1.eeafeed0373b1p-4, -0x1.e5c5b451c6f3bp-4, -0x1.dcfa593817d4bp-4, -0x1.d44db1e0d54dap-4, -0x1.cbbf913f28816p-4, -0x1.c34fc8eab35efp-4, -0x1.bafe292d626aep-4, -0x1.b2ca8111ee75cp-4, -0x1.aab49e700125bp-4, -0x1.a2bc4dfa5eb6ap-4, -0x1.9ae15b47055fap-4, -0x1.932390e871f87p-4, -0x1.8b82b86b026a8p-4, -0x1.83fe9a5820841p-4, -0x1.7c96fe267d9ddp-4, -0x1.754bab78b7498p-4, -0x1.6e1c672d7e337p-4, -0x1.6708f711cc1cep-4, -0x1.60111f7264dd7p-4, -0x1.5934a4036dd05p-4, -0x1.527347e2df3b5p-4, -0x1.4bcccd6df4966p-4, -0x1.4540f67ead061p-4, -0x1.3ecf845e8ddf3p-4, -0x1.387837cd1dc51p-4, -0x1.323ad11006f4dp-4, -0x1.2c170ff9f6233p-4, -0x1.260cb3cc3b44ap-4, -0x1.201b7be6eb615p-4, -0x1.1a4326aa907fep-4, -0x1.14837269d87bcp-4, -0x1.0edc1d35b0cf4p-4, -0x1.094ce4d3dbeb5p-4, -0x1.03d586c87f961p-4, -0x1.fceb80c0bf06dp-5, -0x1.f25a9d7a3afc3p-5, -0x1.e7f7ddaf9e17cp-5, -0x1.ddc2baf545b54p-5, -0x1.d3baaf05c68e7p-5, -0x1.c9df32fa35437p-5, -0x1.c02fc0122598cp-5, -0x1.b6abcf764fcfbp-5, -0x1.ad52da5015663p-5, -0x1.a42459b75bb24p-5, -0x1.9b1fc6db33c59p-5, -0x1.92449b316ee7ep-5, -0x1.8992504cda0f4p-5, -0x1.80e8c30186a4fp-5, -0x1.788470fff9809p-5, -0x1.704765b2e768dp-5, -0x1.68311d22100ccp-5, -0x1.604113bf0cp-5, -0x1.5876c656c7da1p-5, -0x1.50d1b23a02ef9p-5, -0x1.4951553627456p-5, -0x1.41f52da15fadbp-5, -0x1.3abcba6e5008dp-5, -0x1.33a77b1fb4373p-5, -0x1.2cb4efde162c3p-5, -0x1.25e4999f97ce7p-5, -0x1.1f35f9d7959c5p-5, -0x1.18a892e8637fap-5, -0x1.123be7f238d0dp-5, -0x1.0bef7cadbcf33p-5, -0x1.05c2d5f29c389p-5, -0x1.ff6af22749411p-6, -0x1.f38dd9c261d1dp-6, -0x1.e7ed6f486c8e5p-6, -0x1.dc88c63f89339p-6, -0x1.d15eeda0d188cp-6, -0x1.c66efab870625p-6, -0x1.bbb8037ff6978p-6, -0x1.b1391eb4a69e4p-6, -0x1.a6f166fc0a14ap-6, -0x1.9cdff64c6e859p-6, -0x1.9303efcd0ee5cp-6, -0x1.895c64f16361cp-6, -0x1.7fe884bd3c8f1p-6, -0x1.76a77093d19d4p-6, -0x1.6d9845ccb9283p-6, -0x1.64ba33ea9b6d9p-6, -0x1.5c0c61a7886a6p-6, -0x1.538dfa5e30c45p-6, -0x1.4b3e2c94a62ep-6, -0x1.431c2721dba6fp-6, -0x1.3b271c6aa693ap-6, -0x1.335e405b6649dp-6, -0x1.2bc0c9511e2b2p-6, -0x1.244df10eafb5ep-6, -0x1.1d04ee7b25f5cp-6, -0x1.15e5024a400cp-6, -0x1.0eed6ab17f35fp-6, -0x1.081d690339d3fp-6, -0x1.017441367dadfp-6, -0x1.f5e26ad7fcf44p-7, -0x1.e927337a1efc1p-7, -0x1.dcb55acef835ap-7, -0x1.d08b835be636cp-7, -0x1.c4a84c3ebb38cp-7, -0x1.b90a5b54a4462p-7, -0x1.adb052e84f3adp-7, -0x1.a298e779cded3p-7, -0x1.97c2c973a0631p-7, -0x1.8d2caeda7d68bp-7, -0x1.82d5544c4593p-7, -0x1.78bb7b93cb41ap-7, -0x1.6edde9e51c413p-7, -0x1.653b69ea14198p-7, -0x1.5bd2cb16d3241p-7, -0x1.52a2e210623c8p-7, -0x1.49aa86f33d247p-7, -0x1.40e897f4fdcf1p-7, -0x1.385bf816f7adap-7, -0x1.30038e5ad7ae4p-7, -0x1.27de46bb75bd9p-7, -0x1.1feb148301dbep-7, -0x1.1828e4ddd187dp-7, -0x1.1096b99a0a653p-7, -0x1.09338e7c3f1c4p-7, -0x1.01fe67fb45444p-7, -0x1.f5ec906a1898ap-8, -0x1.e8347fc970731p-8, -0x1.dad2bad4ba7f5p-8, -0x1.cdc566856b539p-8, -0x1.c10ab19ca12f8p-8, -0x1.b4a0f041a7d85p-8, -0x1.a8864137787c6p-8, -0x1.9cb8fc03be2d4p-8, -0x1.91377198104ep-8, -0x1.85fffb619226ap-8, -0x1.7b10facf42a59p-8, -0x1.7068d78ec92d7p-8, -0x1.6606031522591p-8, -0x1.5be6f4a671265p-8, -0x1.520a2c8510a4cp-8, -0x1.486e2d11cb99ap-8, -0x1.3f116b75f59b2p-8, -0x1.35f2cd276d1a7p-8, -0x1.2d1099b83fc78p-8, -0x1.24698f6829f74p-8, -0x1.1bfc53a60899fp-8, -0x1.13c79bb86529fp-8, -0x1.0bca15ee0ade8p-8, -0x1.04027fea851f4p-8, -0x1.f8df3594cb283p-9, -0x1.ea205a939705ap-9, -0x1.dbc61031a5591p-9, -0x1.cdcdfd29d2191p-9, -0x1.c035c1ea1756fp-9, -0x1.b2fb305889e87p-9, -0x1.a61c0ad70e7e6p-9, -0x1.9996256fedfa2p-9, -0x1.8d675efe571c3p-9, -0x1.818da27769d7bp-9, -0x1.7606de0bad1c8p-9, -0x1.6ad119f06caf2p-9, -0x1.5fea56c53033cp-9, -0x1.5550ab03b9783p-9, -0x1.4b02326d212b9p-9, -0x1.40fd141a2d0fcp-9, -0x1.373f7fe4ef012p-9, -0x1.2dc7af539281dp-9, -0x1.2493eb1aa96b4p-9, -0x1.1ba26e72641e1p-9, -0x1.12f19ee5d5f66p-9, -0x1.0a7fc7db6cf56p-9, -0x1.024b7a054b1c5p-9, -0x1.f4a5f3ee9c79dp-10, -0x1.e5299c7bcf02dp-10, -0x1.d61eee429767bp-10, -0x1.c782d3000a1ap-10, -0x1.b952e670323c3p-10, -0x1.ab8bd54e3ad6ap-10, -0x1.9e2b17bb0d539p-10, -0x1.912e123cb68ep-10, -0x1.8491d2c3812dbp-10, -0x1.78541a5cfc604p-10, -0x1.6c724a711010ap-10, -0x1.60e9ee716eb02p-10, -0x1.55b89fb12e241p-10, -0x1.4adc05445721ep-10, -0x1.4051d5a090f19p-10, -0x1.3617d264b4db1p-10, -0x1.2c2bc99f94838p-10, -0x1.228b9aa6bae4ap-10, -0x1.19352e8e26ff8p-10, -0x1.1026b6ef3f183p-10, -0x1.075d818b08547p-10, -0x1.fdb0a2080e13p-11, -0x1.ed29fce152c0fp-11, -0x1.dd2381120e4e6p-11, -0x1.cd9972acb98c6p-11, -0x1.be88616acbc0ap-11, -0x1.afecb53b705ecp-11, -0x1.a1c33c7e1c306p-11, -0x1.9408a442c2aa2p-11, -0x1.86b9bd0b9ce94p-11, -0x1.79d36bbb48989p-11, -0x1.6d52a94dad108p-11, -0x1.613482c818974p-11, -0x1.55761857b66dcp-11, -0x1.4a14a95c52ddfp-11, -0x1.3f0d6a696f7a5p-11, -0x1.345d736d616e7p-11, -0x1.2a02f437cad3fp-11, -0x1.1ffab40fea67bp-11, -0x1.16427571f3fcap-11, -0x1.0cd7eb87c87aep-11, -0x1.03b8b1d7cd10ep-11, -0x1.f5c51f6e94b9ap-12, -0x1.e4a6abe3c439p-12, -0x1.d411c9ae2a449p-12, -0x1.c40257ac3d2eap-12, -0x1.b4744f5ad944p-12, -0x1.a563d7ac4c775p-12, -0x1.96cd1b3f2e13dp-12, -0x1.88ac4b94a0fcdp-12, -0x1.7afe3e9618309p-12, -0x1.6dbf14be3734fp-12, -0x1.60eb91c21634p-12, -0x1.54806f6a5cae2p-12, -0x1.487a7fed01dc9p-12, -0x1.3cd6ad3656ce9p-12, -0x1.3191fd4f1878ep-12, -0x1.26aa7382a4f58p-12, -0x1.1c1a584345e09p-12, -0x1.11e1d533653fcp-12, -0x1.07fd512bfcdaap-12, -0x1.fcd456e046c6ep-13, -0x1.ea4bcf96f23d1p-13, -0x1.d85bc28d9f7d2p-13, -0x1.c700873e47a53p-13, -0x1.b6349f1abf5e4p-13, -0x1.a5f35b83a7d81p-13, -0x1.96391040e79c2p-13, -0x1.870140380689bp-13, -0x1.7847e89ee17a3p-13, -0x1.6a0903454d0e3p-13, -0x1.5c40bc085446dp-13, -0x1.4eeb4959b2c8bp-13, -0x1.42051a1273d28p-13, -0x1.358ab366fe1f3p-13, -0x1.297882d6da3b2p-13, -0x1.1dcb506ca7307p-13, -0x1.127feb877e4afp-13, -0x1.0793d26474d5bp-13, -0x1.fa041a110fce5p-14, -0x1.e59368aa73e09p-14, -0x1.d1ce54bc96477p-14, -0x1.beaf71528635ap-14, -0x1.ac31665a7f2ddp-14, -0x1.9a4f067dff5bp-14, -0x1.8903497e26f01p-14, -0x1.7849504a87115p-14, -0x1.681c67234c391p-14, -0x1.5877f3381c329p-14, -0x1.4957a6d85dd0bp-14, -0x1.3ab74fd8657ffp-14, -0x1.2c90dcc61fb3cp-14, -0x1.1ee45454cfdf3p-14, -0x1.11ab3c9a61885p-14, -0x1.04e190bebbcb3p-14, -0x1.f1088a690d2cfp-15, -0x1.d91f93cbdb69p-15, -0x1.c20152f4c31fap-15, -0x1.aba2ed99be5bfp-15, -0x1.960b276ae0d57p-15, -0x1.8126fe4f41b9ep-15, -0x1.6cf4592aba2f6p-15, -0x1.596da9a01185cp-15, -0x1.468d626119783p-15, -0x1.343362057b81bp-15, -0x1.2291e7665a001p-15, -0x1.11874286e3103p-15, -0x1.010e6bbaa22cap-15, -0x1.e245f747201bcp-16, -0x1.c37f5b5557a41p-16, -0x1.a5c1ea6d98b7p-16, -0x1.89049f608bb41p-16, -0x1.6d3f193229003p-16, -0x1.5269ace2d1225p-16, -0x1.387cc37d06699p-16, -0x1.1f7109cf780b7p-16, -0x1.073f773573338p-16, -0x1.dfc2569167211p-17, -0x1.b29ff8944a5a1p-17, -0x1.86e1dd276cd9dp-17, -0x1.5cf5bdd7bc8f4p-17, -0x1.34513144235ddp-17, -0x1.0d1878c80dc88p-17, -0x1.ce7c226f2ded7p-18, -0x1.856dd03efbf42p-18, -0x1.3eec7c6a00a25p-18, -0x1.f5ec5675386e3p-19, -0x1.72bde3a296059p-19, -0x1.e8b6c7ee9a8dcp-20, -0x1.e9e53c2a093ffp-21, -0x1.40594e2db39b7p-25, 0x1.b0a5625169f77p-21, 0x1.b24f4c11dc16cp-20, 0x1.421bd7aa1b0c2p-19, 0x1.a7228e50ab8ddp-19, 0x1.042bfebc7e4f5p-18, 0x1.32eb3b6f23d38p-18, 0x1.5fdd9f099c1abp-18, 0x1.8b0fb64d7b983p-18, 0x1.b48decce5f89cp-18, 0x1.dc648237e596ep-18, 0x1.014fa10412be4p-17, 0x1.139a535e3f60dp-17, 0x1.2535a8b8cfa59p-17, 0x1.360995a7732afp-17, 0x1.4624db5463fa8p-17, 0x1.558c6a59f5bdep-17, 0x1.6444f07427942p-17, 0x1.72520c6e8f761p-17, 0x1.7fba5c4d4bf79p-17, 0x1.8c8248d98cb8ep-17, 0x1.9899342fe68d4p-17, 0x1.a43b89ca95bd5p-17, 0x1.af3464affadfap-17, 0x1.b9a6814aee6d8p-17, 0x1.c37e44e00f31ap-17, 0x1.ccc5861eee714p-17, 0x1.d58d30179f23bp-17, 0x1.ddd1898b5ea8fp-17, 0x1.e59511a2c6fe1p-17, 0x1.ecdadcfd257e3p-17, 0x1.f3a63acb57e83p-17, 0x1.f9fa069b4649ap-17, 0x1.ffd91fa926c6dp-17, 0x1.02a338c3debe1p-16, 0x1.0522159e26491p-16, 0x1.076ad47450f2fp-16, 0x1.097e5f1a1f439p-16, 0x1.0b5e349f58b8fp-16, 0x1.0d0b7a1bfbaf9p-16, 0x1.0e8759a777968p-16, 0x1.0fd232791f96cp-16, 0x1.10f06be237842p-16, 0x1.11dcf1d28ec86p-16, 0x1.128f240f91979p-16, 0x1.1333babd7fd12p-16, 0x1.139f72209ca31p-16, 0x1.13e057b9a879p-16, 0x1.13f8b5528d147p-16, 0x1.13f4683981276p-16, 0x1.13b0c7f6c7b11p-16, 0x1.1352df77e14a7p-16, 0x1.12cfa179af312p-16, 0x1.122ae914b1f65p-16, 0x1.115d6e899b9d4p-16, 0x1.106fb88bfbe6fp-16, 0x1.0f611e68f5198p-16, 0x1.0e30d34372f34p-16, 0x1.0ce02064d1543p-16, 0x1.0b70606802024p-16, 0x1.09f05bdae7ac6p-16, 0x1.08340a0d1a454p-16, 0x1.06695cc659a62p-16, 0x1.048273e078afdp-16, 0x1.027f7cb4b6927p-16, 0x1.0061e9b0d577ap-16, 0x1.fc51b08e93ea7p-17, 0x1.f7af499cc8808p-17, 0x1.f2d93e09bb1bbp-17, 0x1.edd2502cb1f37p-17, 0x1.e89be0ef2648p-17, 0x1.e3373c6f334edp-17, 0x1.dda5ac2e2e477p-17, 0x1.d7e88cbe31ae8p-17, 0x1.d200afcb96e8bp-17, 0x1.cbe0d2388e85cp-17, 0x1.c5b73cdc79139p-17, 0x1.bf56cce35add3p-17, 0x1.b8d1d58388023p-17, 0x1.b227f046d3d1cp-17, 0x1.ab5ac7cd1bea4p-17, 0x1.a46b7779c3c9dp-17, 0x1.9d5b1bca21954p-17, 0x1.962acffa057ebp-17, 0x1.8edba4521cep-17, 0x1.876dd9839acbap-17, 0x1.7fe4920a2b245p-17, 0x1.78367eae4bbf7p-17, 0x1.707ff03d037ap-17, 0x1.68a75d277f427p-17, 0x1.60b570cc6945fp-17, 0x1.58ac33dd6d5bap-17, 0x1.508c81d747235p-17, 0x1.4857563620cb1p-17, 0x1.400dae853613cp-17, 0x1.37b094f3c88cp-17, 0x1.2f41b5ad46164p-17, 0x1.26df0718215p-17, 0x1.1e27ebf323b34p-17, 0x1.15718271ac822p-17, 0x1.0cda357994f58p-17, 0x1.042ea2cd6f926p-17, 0x1.f69ff9152e7e1p-18, 0x1.e4f1553954bddp-18, 0x1.d32b62c29ba95p-18, 0x1.c150858aa1a8dp-18, 0x1.af62875e3f2cfp-18, 0x1.9d631e5ea874dp-18, 0x1.8b5426f0579c1p-18, 0x1.792fb3424ce7ep-18, 0x1.670cf3c585947p-18, 0x1.54d83bb2f666ep-18, 0x1.429a43fedc271p-18, 0x1.30549be1faafbp-18, 0x1.1e08c0d927728p-18, 0x1.0bb84305e05f9p-18, 0x1.f2c3ccf686e8bp-19, 0x1.ce3797c8cbe9dp-19, 0x1.a972f232b3ec4p-19, 0x1.84ca3ad4091adp-19, 0x1.6026a9f3bc9ecp-19, 0x1.3b8afa4680243p-19, 0x1.16f6c86192c78p-19, 0x1.e511fc0eb7369p-20, 0x1.9c07a60c68f25p-20, 0x1.534859df74262p-20, 0x1.0ab2842125082p-20, 0x1.849db9fb1b7bfp-21, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.cdaedb36e9512p-14, -0x1.cd7940810a0a2p-12, -0x1.03622434a13bcp-10, -0x1.cca45146efd63p-10, -0x1.6764b7de6fd8p-9, -0x1.02576f27fe1dcp-8, -0x1.5ef58ae725228p-8, -0x1.c96463258b07dp-8, -0x1.20bb3798e6145p-7, -0x1.637c9bada2b17p-7, -0x1.acdad16f8741dp-7, -0x1.fcb8229dd8642p-7, -0x1.297a6a916a3dap-6, -0x1.57b7a8201863p-6, -0x1.8902205836b22p-6, -0x1.bd475dceabcp-6, -0x1.f474302b863b5p-6, -0x1.173a5e2ff0aaep-5, -0x1.359a4619e0bcp-5, -0x1.554f4e961666ap-5, -0x1.764eb765d1ea2p-5, -0x1.988d8818438e9p-5, -0x1.bc00968ae80ebp-5, -0x1.e09c8d1d8566dp-5, -0x1.032af84e3136fp-4, -0x1.169092f1af9c8p-4, -0x1.2a793b9e4aac2p-4, -0x1.3edf0cbe883b9p-4, -0x1.53bc1871187d3p-4, -0x1.690a6ad916abcp-4, -0x1.7ec40c510fc1bp-4, -0x1.94e30381fc68dp-4, -0x1.ab61575f5690cp-4, -0x1.c23911096e2bfp-4, -0x1.d9643d9717149p-4, -0x1.f0dcefc7c4a5fp-4, -0x1.044ea0cf97c08p-3, -0x1.104faaf5bcd56p-3, -0x1.1c6eacdb75c59p-3, -0x1.28a8c2d3149dp-3, -0x1.34fb0fa1f3fd5p-3, -0x1.4162bd1d75581p-3, -0x1.4ddcfcbf9dcb8p-3, -0x1.5a670833afbf6p-3, -0x1.66fe21db1a193p-3, -0x1.739f954b25b49p-3, -0x1.8048b7c3a77d4p-3, -0x1.8cf6e89f02d1fp-3, -0x1.99a791bbc6f2p-3, -0x1.a65827e022674p-3, -0x1.b3062b176678p-3, -0x1.bfaf2709c9415p-3, -0x1.cc50b34ea40abp-3, -0x1.d8e873b93b061p-3, -0x1.e57418a055bb4p-3, -0x1.f1f15f20ae46bp-3, -0x1.fe5e115a6285dp-3, -0x1.055c0354c28cap-2, -0x1.0b7e91ecee27bp-2, -0x1.1195adaafbb6ap-2, -0x1.17a056a8ce7d5p-2, -0x1.1d9d93f7ddb3ap-2, -0x1.238c73b1ef56ap-2, -0x1.296c0b07a9431p-2, -0x1.2f3b764cf828fp-2, -0x1.34f9d90361025p-2, -0x1.3aa65de23f42dp-2, -0x1.404036dd00736p-2, -0x1.45c69d2764469p-2, -0x1.4b38d137d0879p-2, -0x1.50961ac7c05fap-2, -0x1.55ddc8d25de53p-2, -0x1.5b0f319154786p-2, -0x1.6029b277e3d78p-2, -0x1.652cb02c44a2p-2, -0x1.6a17967f7051fp-2, -0x1.6ee9d8634e6e4p-2, -0x1.73a2efdf67118p-2, -0x1.78425e04165e3p-2, -0x1.7cc7aadc61dddp-2, -0x1.8132655e6fca3p-2, -0x1.8582235aba33cp-2, -0x1.89b6816a0893bp-2, -0x1.8dcf22da3ddbcp-2, -0x1.91cbb19a0d0c9p-2, -0x1.95abde23a579fp-2, -0x1.996f5f665ff81p-2, -0x1.9d15f2af7e8acp-2, -0x1.a09f5b9211fp-2, -0x1.a40b63ce0b9e6p-2, -0x1.a759db3691548p-2, -0x1.aa8a97979be57p-2, -0x1.ad9d749aefc68p-2, -0x1.b09253ac82b8p-2, -0x1.b3691bde4fda5p-2, -0x1.b621b9cbb10eep-2, -0x1.b8bc1f7c4984p-2, -0x1.bb384446841p-2, -0x1.bd9624b1bc397p-2, -0x1.bfd5c25818862p-2, -0x1.c1f723c81ca92p-2, -0x1.c3fa546606796p-2, -0x1.c5df644cf8c57p-2, -0x1.c7a6683000c45p-2, -0x1.c94f793afd2e8p-2, -0x1.cadab4f375f19p-2, -0x1.cc483d196019ap-2, -0x1.cd983787e853dp-2, -0x1.cecace1637b85p-2, -0x1.cfe02e784a9dcp-2, -0x1.d0d88a1fd821dp-2, -0x1.d1b4161d5020ep-2, -0x1.d2730b00fe1e8p-2, -0x1.d315a4bc4a16cp-2, -0x1.d39c22832be2ap-2, -0x1.d406c6adc7f48p-2, -0x1.d455d69a48554p-2, -0x1.d4899a8ee9f74p-2, -0x1.d4a25d9c4c028p-2, -0x1.d4a06d80026a7p-2, -0x1.d4841a876caf8p-2, -0x1.d44db772db5a5p-2, -0x1.d3fd995901fd6p-2, -0x1.d394178ab9422p-2, -0x1.d3118b771a3ep-2, -0x1.d276508fee38ap-2, -0x1.d1c2c42e7a5d3p-2, -0x1.d0f74578a919bp-2, -0x1.d0143546912bbp-2, -0x1.cf19f60862b62p-2, -0x1.ce08ebacb3c72p-2, -0x1.cce17b8736dbbp-2, -0x1.cba40c37d4c91p-2, -0x1.ca510592357aep-2, -0x1.c8e8d085add85p-2, -0x1.c76bd705a003cp-2, -0x1.c5da83f24364ap-2, -0x1.c4354301df7bcp-2, -0x1.c27c80aa751bbp-2, -0x1.c0b0aa0bd7c7cp-2, -0x1.bed22cda3abdbp-2, -0x1.bce177492cd46p-2, -0x1.badef7f70b8a8p-2, -0x1.b8cb1dd8e4088p-2, -0x1.b6a65826ce669p-2, -0x1.b4711648b7c77p-2, -0x1.b22bc7c3a3326p-2, -0x1.afd6dc275f6a3p-2, -0x1.ad72c2fcb1507p-2, -0x1.aaffebb3efc11p-2, -0x1.a87ec5941b039p-2, -0x1.a5efbfaa61bf6p-2, -0x1.a35348ba1e013p-2, -0x1.a0a9cf2d457a7p-2, -0x1.9df3c1054ebe9p-2, -0x1.9b318bcc85545p-2, -0x1.98639c87d87bdp-2, -0x1.958a5fa912a0fp-2, -0x1.92a641018b82bp-2, -0x1.8fb7abb545aa1p-2, -0x1.8cbf0a2e7ce9p-2, -0x1.89bcc611a8134p-2, -0x1.86b14831e3d5p-2, -0x1.839cf885d1344p-2, -0x1.80803e1cdafc3p-2, -0x1.7d5b7f14ed825p-2, -0x1.7a2f20909473fp-2, -0x1.76fb86ad83f43p-2, -0x1.73c1147b8c287p-2, -0x1.70802bf3f09abp-2, -0x1.6d392df12aec1p-2, -0x1.69ec7a270f2a3p-2, -0x1.669a6f1b53fa6p-2, -0x1.63436a1e80cdfp-2, -0x1.5fe7c7453801bp-2, -0x1.5c87e161e695bp-2, -0x1.592411feccbc2p-2, -0x1.55bcb158695d3p-2, -0x1.525216583b5dcp-2, -0x1.4ee4968fe1e58p-2, -0x1.4b74863490355p-2, -0x1.4802381addd97p-2, -0x1.448dfdb2e8a97p-2, -0x1.41182704cac8cp-2, -0x1.3da102ad65f9ep-2, -0x1.3a28dddb7a96bp-2, -0x1.36b0044d128a1p-2, -0x1.3336c04d369c7p-2, -0x1.2fbd5ab1eef6p-2, -0x1.2c441ada91e95p-2, -0x1.28cb46ae56086p-2, -0x1.2553229b2c5adp-2, -0x1.21dbf194e1d32p-2, -0x1.1e65f51481db8p-2, -0x1.1af16d17fa6a9p-2, -0x1.177e982200beap-2, -0x1.140db33a33acp-2, -0x1.109ef9ed7b0cdp-2, -0x1.0d32a64ea1af8p-2, -0x1.09c8f0f72790ep-2, -0x1.066211084b808p-2, -0x1.02fe3c2c4ca01p-2, -0x1.ff3b4d2fb8867p-3, -0x1.f88106178a0f2p-3, -0x1.f1ce05ad82d77p-3, -0x1.eb22abaeff66dp-3, -0x1.e47f54fdafdd8p-3, -0x1.dde45ba44fa8dp-3, -0x1.d75216dbb9931p-3, -0x1.d0c8db104778fp-3, -0x1.ca48f9e786709p-3, -0x1.c3d2c2462c074p-3, -0x1.bd6680565aaap-3, -0x1.b7047d8e2aa9bp-3, -0x1.b0ad00b66b8b3p-3, -0x1.aa604df1b01b1p-3, -0x1.a41ea6c38ae3p-3, -0x1.9de84a180bb61p-3, -0x1.97bd744b6afa3p-3, -0x1.919e5f31ef003p-3, -0x1.8b8b421ffb939p-3, -0x1.858451f251ecp-3, -0x1.7f89c11679148p-3, -0x1.799bbf934ec95p-3, -0x1.73ba7b11bf096p-3, -0x1.6de61ee59b526p-3, -0x1.681ed4169349fp-3, -0x1.6264c1694b4e7p-3, -0x1.5cb80b6890f03p-3, -0x1.5718d46e9e5ecp-3, -0x1.51873cae82c7cp-3, -0x1.4c03623d91bfp-3, -0x1.468d611cedeb5p-3, -0x1.412553431b9e1p-3, -0x1.3bcb50a5ab2a7p-3, -0x1.367f6f42e33c7p-3, -0x1.3141c32b7e8a9p-3, -0x1.2c125e8c6d0b9p-3, -0x1.26f151b898b11p-3, -0x1.21deab32b591bp-3, -0x1.1cda77b70b09bp-3, -0x1.17e4c2454303bp-3, -0x1.12fd942a3a22ap-3, -0x1.0e24f509c47ccp-3, -0x1.095aeae876bcp-3, -0x1.049f7a3564b05p-3, -0x1.ffe54ba7afef5p-4, -0x1.f6a8de4a02bd8p-4, -0x1.ed89ac233a1fdp-4, -0x1.e487b22714e35p-4, -0x1.dba2ea7eb12bep-4, -0x1.d2db4c9b8e73dp-4, -0x1.ca30cd4a63908p-4, -0x1.c1a35ec5ddd85p-4, -0x1.b932f0c93edbdp-4, -0x1.b0df70a2ca9f3p-4, -0x1.a8a8c9461466dp-4, -0x1.a08ee35e2a17p-4, -0x1.9891a55f86671p-4, -0x1.90b0f399dd418p-4, -0x1.88ecb049bc83ap-4, -0x1.8144bba9f84fdp-4, -0x1.79b8f404e786dp-4, -0x1.724935c56dc3p-4, -0x1.6af55b87d08d1p-4, -0x1.63bd3e2a58515p-4, -0x1.5ca0b4ddb935fp-4, -0x1.559f9535453b9p-4, -0x1.4eb9b336e63f2p-4, -0x1.47eee16add667p-4, -0x1.413ef0eb487fdp-4, -0x1.3aa9b1736c716p-4, -0x1.342ef16ec2cb1p-4, -0x1.2dce7e07cbe19p-4, -0x1.27882336a2d04p-4, -0x1.215babcf5361p-4, -0x1.1b48e18ff3428p-4, -0x1.154f8d2e7a54dp-4, -0x1.0f6f76665d8fap-4, -0x1.09a86405ea3a6p-4, -0x1.03fa1bfb60663p-4, -0x1.fcc8c6c39de92p-5, -0x1.f1cdfd1b5dc1fp-5, -0x1.e70362327e0fcp-5, -0x1.dc687be13cfap-5, -0x1.d1fccebb50da8p-5, -0x1.c7bfde271d799p-5, -0x1.bdb12c7469372p-5, -0x1.b3d03af2943e8p-5, -0x1.aa1c8a064e99dp-5, -0x1.a095993ecf9b4p-5, -0x1.973ae76a8de83p-5, -0x1.8e0bf2ab7bab6p-5, -0x1.8508388ac30ebp-5, -0x1.7c2f360c0735ap-5, -0x1.738067c028aa4p-5, -0x1.6afb49d78eff6p-5, -0x1.629f5833f8b58p-5, -0x1.5a6c0e79d0549p-5, -0x1.5260e8210a3f9p-5, -0x1.4a7d60858bf5fp-5, -0x1.42c0f2f719f18p-5, -0x1.3b2b1ac8d4ee5p-5, -0x1.33bb53603f915p-5, -0x1.2c711843d378p-5, -0x1.254be52922e12p-5, -0x1.1e4b36028d42p-5, -0x1.176e870c8129ap-5, -0x1.10b554da543abp-5, -0x1.0a1f1c62abf85p-5, -0x1.03ab5b0b7ec65p-5, -0x1.fab31d6b52808p-6, -0x1.ee526b903a5a4p-6, -0x1.e2339e7554206p-6, -0x1.d655b540c0164p-6, -0x1.cab7b06321dfcp-6, -0x1.bf5891aadacdp-6, -0x1.b4375c568b132p-6, -0x1.a9531526ceb1ep-6, -0x1.9eaac26f41466p-6, -0x1.943d6c26d1f2ep-6, -0x1.8a0a1bf75b636p-6, -0x1.800fdd4c8eb6fp-6, -0x1.764dbd62336a5p-6, -0x1.6cc2cb51b80a4p-6, -0x1.636e181f25462p-6, -0x1.5a4eb6c56061dp-6, -0x1.5163bc41db4a3p-6, -0x1.48ac3f9f9f4b3p-6, -0x1.40275a01bfc77p-6, -0x1.37d426ad3874fp-6, -0x1.2fb1c312366b8p-6, -0x1.27bf4ed4d1a5dp-6, -0x1.1ffbebd53be2p-6, -0x1.1866be3762c59p-6, -0x1.10feec6a0e6a1p-6, -0x1.09c39f2d7a372p-6, -0x1.02b40199707ap-6, -0x1.f79e8245cd3eep-7, -0x1.ea291b42439adp-7, -0x1.dd0632a4c7b75p-7, -0x1.d03431c042c1p-7, -0x1.c3b186c5a200cp-7, -0x1.b77ca4ca7c5f9p-7, -0x1.ab9403cf025dep-7, -0x1.9ff620c303025p-7, -0x1.94a17d8a3e0c2p-7, -0x1.8994a0ffe039bp-7, -0x1.7ece16f94e3aep-7, -0x1.744c7048303cp-7, -0x1.6a0e42bbcc1cep-7, -0x1.60122921b28c2p-7, -0x1.5656c345c8e15p-7, -0x1.4cdab5f1a30abp-7, -0x1.439caaeb514ecp-7, -0x1.3a9b50f388d3ep-7, -0x1.31d55bc33edaap-7, -0x1.29498408b48f4p-7, -0x1.20f68763fa7bp-7, -0x1.18db2862eef63p-7, -0x1.10f62e7cbdf0bp-7, -0x1.0946660ce600bp-7, -0x1.01caa04dc6cdep-7, -0x1.f50366a57e124p-8, -0x1.e6d4f403b93bcp-8, -0x1.d907a81a4a9ccp-8, -0x1.cb994bd6f3ae1p-8, -0x1.be87b1a2358d4p-8, -0x1.b1d0b54f9ea64p-8, -0x1.a5723c0d6e128p-8, -0x1.996a34538a245p-8, -0x1.8db695d1dc22fp-8, -0x1.8255615e105e9p-8, -0x1.7744a0e0c8674p-8, -0x1.6c82674241178p-8, -0x1.620cd0567a849p-8, -0x1.57e200c8e0b52p-8, -0x1.4e0026078498cp-8, -0x1.4465762de3008p-8, -0x1.3b102fef483a9p-8, -0x1.31fe9a80d202ap-8, -0x1.292f05831686fp-8, -0x1.209fc8eb7744cp-8, -0x1.184f44ed270cap-8, -0x1.103be1e1e5ffdp-8, -0x1.086410327a47dp-8, -0x1.00c6483eed699p-8, -0x1.f2c2148d1e1a7p-9, -0x1.e465bc9f8c764p-9, -0x1.d674a81f6a8ffp-9, -0x1.c8ec05a363af7p-9, -0x1.bbc912bd3874p-9, -0x1.af091bc829ff3p-9, -0x1.a2a97bb72d63fp-9, -0x1.96a79be2f68e3p-9, -0x1.8b00f3d7d7d0dp-9, -0x1.7fb309238a5f5p-9, -0x1.74bb6f22db31ep-9, -0x1.6a17c6cf4e57p-9, -0x1.5fc5be8cbdc4fp-9, -0x1.55c311f6f1f91p-9, -0x1.4c0d89af4a5b3p-9, -0x1.42a2fb2a6e124p-9, -0x1.3981487e16be3p-9, -0x1.30a6602ef1b6ap-9, -0x1.28103cfea4c0cp-9, -0x1.1fbce5b9f99d6p-9, -0x1.17aa6d07357f7p-9, -0x1.0fd6f134a29d3p-9, -0x1.08409c074e1c2p-9, -0x1.00e5a28a05097p-9, -0x1.f38889b923002p-10, -0x1.e5b59c066ed69p-10, -0x1.d84f276d05d5p-10, -0x1.cb51ec66b5a51p-10, -0x1.bebac016dba37p-10, -0x1.b2868bebd4e69p-10, -0x1.a6b24d41334d8p-10, -0x1.9b3b150299311p-10, -0x1.901e074f5e9e4p-10, -0x1.85585b1ef717fp-10, -0x1.7ae759e620e1ap-10, -0x1.70c85f3ce3753p-10, -0x1.66f8d88566242p-10, -0x1.5d7644939dc55p-10, -0x1.543e3355d9501p-10, -0x1.4b4e457e2e855p-10, -0x1.42a42c2cd4295p-10, -0x1.3a3da89b5d6b1p-10, -0x1.32188bc8ebdfp-10, -0x1.2a32b6274ba88p-10, -0x1.228a17490636fp-10, -0x1.1b1cad906ef52p-10, -0x1.13e885dfa20a8p-10, -0x1.0cebbb4986118p-10, -0x1.062476c3c91adp-10, -0x1.ff21ddb3accd1p-11, -0x1.f25ecec1b0626p-11, -0x1.e5fc625968eebp-11, -0x1.d9f7538c1f37p-11, -0x1.ce4c7642a6b57p-11, -0x1.c2f8b6ad76d4ep-11, -0x1.b7f918b6d09d1p-11, -0x1.ad4ab776f1b8p-11, -0x1.a2eac4aa54cf3p-11, -0x1.98d6882a00d4bp-11, -0x1.8f0b5f65e651cp-11, -0x1.8586bce14af3bp-11, -0x1.7c4627b14271cp-11, -0x1.73473afd341dep-11, -0x1.6a87a5816b8d7p-11, -0x1.62052913b4202p-11, -0x1.59bd9a29fcb16p-11, -0x1.51aedf630133dp-11, -0x1.49d6f110fa363p-11, -0x1.4233d8c64e0bcp-11, -0x1.3ac3b0e4411cap-11, -0x1.3384a42ba3584p-11, -0x1.2c74ed4f7935fp-11, -0x1.2592d6899a2f8p-11, -0x1.1edcb93142e7fp-11, -0x1.1850fd5398bf1p-11, -0x1.11ee194e18bc6p-11, -0x1.0bb2916af197fp-11, -0x1.059cf77f3fep-11, -0x1.ff57d5165ab54p-12, -0x1.f3bc2cb7da388p-12, -0x1.e864665f1dd6fp-12, -0x1.dd4e0ab551307p-12, -0x1.d276b9df9bafcp-12, -0x1.c7dc2ad1a7e58p-12, -0x1.bd7c2aa3b5e98p-12, -0x1.b3549bec335bp-12, -0x1.a963761ccd4ap-12, -0x1.9fa6c4e2ee143p-12, -0x1.961ca78ba4f45p-12, -0x1.8cc3506ae867bp-12, -0x1.8399044627414p-12, -0x1.7a9c19c223e8dp-12, -0x1.71caf8d40a02fp-12, -0x1.69241a35b6daep-12, -0x1.60a606dd28d72p-12, -0x1.584f57770a447p-12, -0x1.501eb3e451288p-12, -0x1.4812d2badfd8ap-12, -0x1.402a78c929072p-12, -0x1.3864789cbe10dp-12, -0x1.30bfb20bc7fc1p-12, -0x1.293b11c1599a4p-12, -0x1.21d590cc91c94p-12, -0x1.1a8e343283ecap-12, -0x1.13640c82d8355p-12, -0x1.0c56356f1ddcap-12, -0x1.0563d564c076bp-12, -0x1.fd183a53294acp-13, -0x1.ef9c8ef5eca59p-13, -0x1.e253315ed075fp-13, -0x1.d53abcb555bb4p-13, -0x1.c851dde8882bbp-13, -0x1.bb975300d1ddap-13, -0x1.af09ea7674cbp-13, -0x1.a2a8828cb4168p-13, -0x1.967208b16985fp-13, -0x1.8a6578e12403p-13, -0x1.7e81dd0f8f303p-13, -0x1.72c64c942978ep-13, -0x1.6731eb9b2e7dap-13, -0x1.5bc3ea9a98232p-13, -0x1.507b85cb2e293p-13, -0x1.455804a5885d6p-13, -0x1.3a58b962f07eap-13, -0x1.2f7d0082164fap-13, -0x1.24c4404f72b6fp-13, -0x1.1a2de8715bbap-13, -0x1.0fb97177a6327p-13, -0x1.05665c6ec16c5p-13, -0x1.f66864ec93f4bp-14, -0x1.e24508b5da086p-14, -0x1.ce61d46732b73p-14, -0x1.babe0603bda36p-14, -0x1.a758e8aaecc9ap-14, -0x1.9431d3e5b198ap-14, -0x1.81482af9a683bp-14, -0x1.6e9b5c421ac54p-14, -0x1.5c2ae08ed179dp-14, -0x1.49f63a885befap-14, -0x1.37fcf619e870dp-14, -0x1.263ea7e066e7p-14, -0x1.14baec9ee205bp-14, -0x1.037168b7ebd58p-14, -0x1.e4c38f5800e27p-15, -0x1.c31777397cb3fp-15, -0x1.a1ddf9a9a78d5p-15, -0x1.811692a90eb6p-15, -0x1.60c0c8c573b9ap-15, -0x1.40dc2c448c222p-15, -0x1.2168565743223p-15, -0x1.0264e85544fc2p-15, -0x1.c7a316012e83fp-16, -0x1.8b5bdba222821p-16, -0x1.4ff38c8ee77f2p-16, -0x1.15699e8fe3dc6p-16, -0x1.b77b21efd045cp-17, -0x1.45ddd6eb91509p-17, -0x1.abf4f3ce7111p-18, -0x1.9f40d41a38c2bp-19, 0x1.2870d40a932c3p-23, 0x1.bd70c9a10408ap-19, 0x1.b0bfaa34a1307p-18, 0x1.3fad63905c177p-17, 0x1.a54592f2fe059p-17, 0x1.04948b8030c43p-16, 0x1.35ac51c6d3aeap-16, 0x1.65ea76f9b9e91p-16, 0x1.954f573315aacp-16, 0x1.c3db509d56367p-16, 0x1.f18ec40bfa158p-16, 0x1.0f350ac59e15dp-15, 0x1.2536d67369903p-15, 0x1.3accfb1411d64p-15, 0x1.4ff7b1060a507p-15, 0x1.64b7333874692p-15, 0x1.790bbf5e25115p-15, 0x1.8cf5961cf0f37p-15, 0x1.a074fb3956627p-15, 0x1.b38a35beab92ap-15, 0x1.c6359023f40e8p-15, 0x1.d877586d70805p-15, 0x1.ea4fe04b16eep-15, 0x1.fbbf7d34050f9p-15, 0x1.0663443f877c5p-14, 0x1.0eb2afbc42bcap-14, 0x1.16ce31baa90d8p-14, 0x1.1eb5fcf1bea28p-14, 0x1.266a462c21471p-14, 0x1.2deb444de101ap-14, 0x1.3539305939056p-14, 0x1.3c54457230572p-14, 0x1.433cc0e131a1bp-14, 0x1.49f2e214a36aep-14, 0x1.5076eaa18dfcep-14, 0x1.56c91e43577c6p-14, 0x1.5ce9c2daa3232p-14, 0x1.62d9206b5ca17p-14, 0x1.68978119fa468p-14, 0x1.6e253127fef2cp-14, 0x1.73827eefc75a7p-14, 0x1.78afbadfa915ap-14, 0x1.7dad37746e4bep-14, 0x1.827b493336fdfp-14, 0x1.871a46a2c697bp-14, 0x1.8b8a8844480ebp-14, 0x1.8fcc688b8edbep-14, 0x1.93e043d6ddfffp-14, 0x1.97c678663b32cp-14, 0x1.9b7f665256b52p-14, 0x1.9f0b6f830e12dp-14, 0x1.a26af7a5907f8p-14, 0x1.a59e64222d17ep-14, 0x1.a8a61c11cad88p-14, }}, 
      {{-0x1.5bc5550b0d65ap-7, -0x1.5bd89c5cd1959p-6, -0x1.04f9dc0e9a804p-5, -0x1.5c21bbdca2c0cp-5, -0x1.b36a2219a7b46p-5, -0x1.056bc48308e2fp-4, -0x1.31364c2a76c38p-4, -0x1.5d150fccc9c99p-4, -0x1.89078f25d53eep-4, -0x1.b50c6abc65883p-4, -0x1.e1217015ad5ecp-4, -0x1.06a1d411685ecp-3, -0x1.1cb7b3871bb83p-3, -0x1.32d02e61fb887p-3, -0x1.48e8d2dcef6ccp-3, -0x1.5efeedcdc1542p-3, -0x1.750f92cb64d49p-3, -0x1.8b17a40c4b7bbp-3, -0x1.a113d9ebd4cp-3, -0x1.b700ca0b768c2p-3, -0x1.ccdaee089ea15p-3, -0x1.e29ea9c3a4e85p-3, -0x1.f8485136ae2edp-3, -0x1.06ea16eea9a6bp-2, -0x1.119f41d7a8a01p-2, -0x1.1c41cad8cd07cp-2, -0x1.26cfd510f8bf8p-2, -0x1.31478720d10eep-2, -0x1.3ba70ce23125ep-2, -0x1.45ec98f43d511p-2, -0x1.5016661ebd0c7p-2, -0x1.5a22b88f57242p-2, -0x1.640fdef33b3ccp-2, -0x1.6ddc336fb91e9p-2, -0x1.77861c7c2c2b4p-2, -0x1.810c0d9f86935p-2, -0x1.8a6c8813a35d1p-2, -0x1.93a61b5078bp-2, -0x1.9cb76581113f9p-2, -0x1.a59f13e4236e9p-2, -0x1.ae5be319f4bb6p-2, -0x1.b6ec9f611ef5ep-2, -0x1.bf5024c3aed61p-2, -0x1.c7855f35f766ap-2, -0x1.cf8b4aa85c31fp-2, -0x1.d760f30d38de4p-2, -0x1.df057453fe5f4p-2, -0x1.e677fa5a7b98dp-2, -0x1.edb7c0d53c4bbp-2, -0x1.f4c4132fd63ffp-2, -0x1.fb9c4c65e3fc7p-2, -0x1.011feb6ab4a42p-1, -0x1.045716059fadp-1, -0x1.07736a4512dbdp-1, -0x1.0a74b3c683cbcp-1, -0x1.0d5ac56276e9ep-1, -0x1.102579098e452p-1, -0x1.12d4af9fe415cp-1, -0x1.156850d6e15b3p-1, -0x1.17e04b05c2457p-1, -0x1.1a3c9300f0de3p-1, -0x1.1c7d23f05f829p-1, -0x1.1ea1ff250694ep-1, -0x1.20ab2beda8951p-1, -0x1.2298b76afaf8ep-1, -0x1.246ab463528dap-1, -0x1.26213b15edc59p-1, -0x1.27bc690df47ap-1, -0x1.293c60f549469p-1, -0x1.2aa14a673cfcdp-1, -0x1.2beb51c33ad5cp-1, -0x1.2d1aa7ff83275p-1, -0x1.2e2f827c000bdp-1, -0x1.2f2a1ad549fabp-1, -0x1.300aaeb7e8692p-1, -0x1.30d17fb3deb93p-1, -0x1.317ed310903dep-1, -0x1.3212f1a10b292p-1, -0x1.328e2798c1351p-1, -0x1.32f0c460bd34dp-1, -0x1.333b1a6d5c25ep-1, -0x1.336d7f149530dp-1, -0x1.33884a64d651cp-1, -0x1.338bd6fc7fc5cp-1, -0x1.337881e204658p-1, -0x1.334eaa5cb5be2p-1, -0x1.330eb1ce40166p-1, -0x1.32b8fb8cdebacp-1, -0x1.324decbe4b346p-1, -0x1.31cdec336c79bp-1, -0x1.31396244c99cep-1, -0x1.3090b8afc45f1p-1, -0x1.2fd45a749cf8fp-1, -0x1.2f04b3b5437f6p-1, -0x1.2e223194f7c53p-1, -0x1.2d2d4218ba24dp-1, -0x1.2c2654088e847p-1, -0x1.2b0dd6d192ad1p-1, -0x1.29e43a68e7f5bp-1, -0x1.28a9ef2f73559p-1, -0x1.275f65d66fe93p-1, -0x1.26050f44d84f3p-1, -0x1.249b5c7da15ep-1, -0x1.2322be86cc5b5p-1, -0x1.219ba65148202p-1, -0x1.200684a1a6e29p-1, -0x1.1e63c9f9a244cp-1, -0x1.1cb3e6826ef96p-1, -0x1.1af749f7de3d2p-1, -0x1.192e63944a0f5p-1, -0x1.1759a1fd49c03p-1, -0x1.157973312e9adp-1, -0x1.138e447545d04p-1, -0x1.11988244da236p-1, -0x1.0f989840f8a2cp-1, -0x1.0d8ef120ee8bp-1, -0x1.0b7bf6a383d5ap-1, -0x1.09601180eba4bp-1, -0x1.073ba95d69703p-1, -0x1.050f24bca5af6p-1, -0x1.02dae8f5b1fdp-1, -0x1.009f5a27b6c7cp-1, -0x1.fcb9b65e8f629p-2, -0x1.f8279b38b8d5bp-2, -0x1.f3892351d3c0cp-2, -0x1.eedf0c602e99ep-2, -0x1.ea2a114c1cae4p-2, -0x1.e56aea20bec8bp-2, -0x1.e0a24bfdf0c0ep-2, -0x1.dbd0e90b578dfp-2, -0x1.d6f7706c8077p-2, -0x1.d2168e361476ep-2, -0x1.cd2eeb640f8bap-2, -0x1.c8412dd0faa1ep-2, -0x1.c34df82e1e6d7p-2, -0x1.be55e9fca8975p-2, -0x1.b9599f87bbc6bp-2, -0x1.b459b1df63ec1p-2, -0x1.af56b6d469173p-2, -0x1.aa5140f4f416p-2, -0x1.a549df8a07102p-2, -0x1.a0411e95ba49dp-2, -0x1.9b3786d23deecp-2, -0x1.962d9db191f14p-2, -0x1.9123e55df54fap-2, -0x1.8c1adcbb01c0bp-2, -0x1.8712ff676b6c6p-2, -0x1.820cc5bf6591ap-2, -0x1.7d08a4df9d255p-2, -0x1.78070ea8c7a85p-2, -0x1.730871c3c1ce2p-2, -0x1.6e0d39a632855p-2, -0x1.6915ce97b02e9p-2, -0x1.642295b7632bdp-2, -0x1.5f33f1021baap-2, -0x1.5a4a3f58da34dp-2, -0x1.5565dc87be535p-2, -0x1.5087214d60e51p-2, -0x1.4bae63628837bp-2, -0x1.46dbf5823b1bcp-2, -0x1.4210277224e67p-2, -0x1.3d4b460b50879p-2, -0x1.388d9b43283c6p-2, -0x1.33d76e34c157ap-2, -0x1.2f29032a67cfcp-2, -0x1.2a829ba76921ep-2, -0x1.25e47672169edp-2, -0x1.214ecf9dff23p-2, -0x1.1cc1e09658be3p-2, -0x1.183de02895e61p-2, -0x1.13c3028f26a35p-2, -0x1.0f51797c5b9c7p-2, -0x1.0ae974256e126p-2, -0x1.068b1f4da15eap-2, -0x1.0236a551833b7p-2, -0x1.fbd85c647ecaap-3, -0x1.f357bf421437cp-3, -0x1.eaebba1530888p-3, -0x1.e2948f454c1f4p-3, -0x1.da527cdf13e3bp-3, -0x1.d225bcab9639dp-3, -0x1.ca0e844785157p-3, -0x1.c20d053a72c62p-3, -0x1.ba216d0e0fa4dp-3, -0x1.b24be5656b45dp-3, -0x1.aa8c94141deb1p-3, -0x1.a2e39b356f52dp-3, -0x1.9b51194363233p-3, -0x1.93d5292daf579p-3, -0x1.8c6fe2709d928p-3, -0x1.8521592bc3177p-3, -0x1.7de99e389f42dp-3, -0x1.76c8bf41118b4p-3, -0x1.6fbec6d5a3887p-3, -0x1.68cbbc83a9a21p-3, -0x1.61efa4eb35205p-3, -0x1.5b2a81d4cfb35p-3, -0x1.547c5247093d2p-3, -0x1.4de5129bc646ep-3, -0x1.4764bc955c527p-3, -0x1.40fb47736a717p-3, -0x1.3aa8a807809a4p-3, -0x1.346cd0c976f13p-3, -0x1.2e47b1eb8f6a8p-3, -0x1.2839396e502bap-3, -0x1.2241533418709p-3, -0x1.1c5fe91471b55p-3, -0x1.1694e2ef11b5bp-3, -0x1.10e026bea09cdp-3, -0x1.0b4198ab265d2p-3, -0x1.05b91b1c3a763p-3, -0x1.00468ecadbc45p-3, -0x1.f5d3a5a60caf9p-4, -0x1.eb458989e2ab8p-4, -0x1.e0e2816c123d8p-4, -0x1.d6aa42a32845p-4, -0x1.cc9c7fd212d53p-4, -0x1.c2b8e9082ff69p-4, -0x1.b8ff2be0c8a19p-4, -0x1.af6ef3a1d3022p-4, -0x1.a607e95a2d44ep-4, -0x1.9cc9b3ff31448p-4, -0x1.93b3f889970fep-4, -0x1.8ac65a11d5f57p-4, -0x1.820079ebcb41cp-4, -0x1.7961f7c1cf54p-4, -0x1.70ea71af2906ap-4, -0x1.68998459e1b52p-4, -0x1.606ecb0bfd645p-4, -0x1.5869dfcc1576cp-4, -0x1.508a5b75580b2p-4, -0x1.48cfd5ceed3eap-4, -0x1.4139e5a2c226cp-4, -0x1.39c820d3bc266p-4, -0x1.327a1c7354ca9p-4, -0x1.2b4f6cd6a12d2p-4, -0x1.2447a5aac2c05p-4, -0x1.1d625a08c86p-4, -0x1.169f1c88fb9d1p-4, -0x1.0ffd7f55a0101p-4, -0x1.097d143d23d34p-4, -0x1.031d6cc3c4a79p-4, -0x1.f9bc3469527d6p-5, -0x1.ed7d5b64e785dp-5, -0x1.e17d708e97022p-5, -0x1.d5bb95e8c6ac3p-5, -0x1.ca36ed81f7a1ep-5, -0x1.beee9991ca2b2p-5, -0x1.b3e1bc9502698p-5, -0x1.a90f796892dedp-5, -0x1.9e76f363b0a8dp-5, -0x1.94174e70f5ac3p-5, -0x1.89efaf2694e6p-5, -0x1.7fff3adda469ep-5, -0x1.764517c8819edp-5, -0x1.6cc06d0855021p-5, -0x1.637062c1b732cp-5, -0x1.5a5422307ce6ap-5, -0x1.516ad5baaf0ffp-5, -0x1.48b3a902b14fdp-5, -0x1.402dc8f89cb1dp-5, -0x1.37d863ead17f5p-5, -0x1.2fb2a995c5cdfp-5, -0x1.27bbcb331289cp-5, -0x1.1ff2fb87c7c7ep-5, -0x1.18576ef207ad2p-5, -0x1.10e85b75ede3fp-5, -0x1.09a4f8c9c834cp-5, -0x1.028c8061a6954p-5, -0x1.f73c5af47e566p-6, -0x1.e9b27a46695dp-6, -0x1.dc79dc9178013p-6, -0x1.cf91037948fbp-6, -0x1.c2f6747d9bde1p-6, -0x1.b6a8b90a11eeep-6, -0x1.aaa65e84cf29p-6, -0x1.9eedf65c0af1bp-6, -0x1.937e16128cf1dp-6, -0x1.8855574b2376ap-6, -0x1.7d7257d31e9a8p-6, -0x1.72d3b9abcb49ap-6, -0x1.6878231303f2bp-6, -0x1.5e5e3e8ad35ecp-6, -0x1.5484bae037c3cp-6, -0x1.4aea4b31055c4p-6, -0x1.418da6f0f8b5cp-6, -0x1.386d89edf7feep-6, -0x1.2f88b4538c7ep-6, -0x1.26ddeaad9c9fcp-6, -0x1.1e6bf5ea68bbp-6, -0x1.1631a35bd7e96p-6, -0x1.0e2dc4b812226p-6, -0x1.065f301974453p-6, -0x1.fd897ffbc1c16p-7, -0x1.eebaa68af6321p-7, -0x1.e04f9a6182386p-7, -0x1.d2462abc37ecdp-7, -0x1.c49c2f8dd0952p-7, -0x1.b74f8977dd935p-7, -0x1.aa5e21c2ce4b1p-7, -0x1.9dc5ea54f3136p-7, -0x1.9184dda89ac0ap-7, -0x1.8598fec147f75p-7, -0x1.7a0059201a6d1p-7, -0x1.6eb900b75c9c9p-7, -0x1.63c111dd57b39p-7, -0x1.5916b13e63e12p-7, -0x1.4eb80bce48b75p-7, -0x1.44a356b8fc205p-7, -0x1.3ad6cf52ae06ap-7, -0x1.3150bb074d722p-7, -0x1.280f674971b46p-7, -0x1.1f112980be96bp-7, -0x1.16545ef7c7794p-7, -0x1.0dd76cc97771p-7, -0x1.0598bfce08cfp-7, -0x1.fb2d990f20499p-8, -0x1.eba01e1c48b2cp-8, -0x1.dc8615f74fc46p-8, -0x1.cddc96ae78d57p-8, -0x1.bfa0c500cb679p-8, -0x1.b1cfd433c24e1p-8, -0x1.a46705e8756a8p-8, -0x1.9763a9f0430e5p-8, -0x1.8ac31e210b4e2p-8, -0x1.7e82ce2901379p-8, -0x1.72a0336222cc8p-8, -0x1.6718d4a55cd55p-8, -0x1.5bea461d689cbp-8, -0x1.511229196a9e6p-8, -0x1.468e2bdf5cdbcp-8, -0x1.3c5c097e4c266p-8, -0x1.327989a073a48p-8, -0x1.28e4805d3c2f1p-8, -0x1.1f9ace0b2a84bp-8, -0x1.169a5f11bfb19p-8, -0x1.0de12bbb5a07bp-8, -0x1.056d38071586ap-8, -0x1.fa7926f5753d3p-9, -0x1.ea9ab1e9772dp-9, -0x1.db3b5cfc983dep-9, -0x1.cc578a3b2a16cp-9, -0x1.bdebb15019d58p-9, -0x1.aff45f29f2509p-9, -0x1.a26e35a0416d2p-9, -0x1.9555eb195e48dp-9, -0x1.88a84a30a7dc2p-9, -0x1.7c62315d3e564p-9, -0x1.708092993d62dp-9, -0x1.6500730988cep-9, -0x1.59deeaa62ca65p-9, -0x1.4f1923e3594f3p-9, -0x1.44ac5b5b0904ep-9, -0x1.3a95df774ae3dp-9, -0x1.30d3101d46944p-9, -0x1.27615e58f2fbbp-9, -0x1.1e3e4c099165cp-9, -0x1.15676b8ee934ep-9, -0x1.0cda5f774adb9p-9, -0x1.0494da2e69e1ep-9, -0x1.f9293b59fb463p-10, -0x1.e9aef6528af54p-10, -0x1.dab6a590bcb63p-10, -0x1.cc3c26a0f9e97p-10, -0x1.be3b73b812129p-10, -0x1.b0b0a31b397e6p-10, -0x1.a397e689db282p-10, -0x1.96ed8aa93b9e1p-10, -0x1.8aadf67202495p-10, -0x1.7ed5aa9f9294fp-10, -0x1.736141214ff95p-10, -0x1.684d6c8dc86bp-10, -0x1.5d96f797c0ac1p-10, -0x1.533ac48536c4bp-10, -0x1.4935cca8453d6p-10, -0x1.3f851fda0221dp-10, -0x1.3625e3f73fe5cp-10, -0x1.2d15545f4c52ap-10, -0x1.2450c1749b79ap-10, -0x1.1bd5901f620b1p-10, -0x1.13a139522a561p-10, -0x1.0bb149904d6a2p-10, -0x1.040360766c66p-10, -0x1.f92a60899a76fp-11, -0x1.eac8fad7592f4p-11, -0x1.dcde3c32f7641p-11, -0x1.cf65f3960fc14p-11, -0x1.c25c11bb1b401p-11, -0x1.b5bca845638bcp-11, -0x1.a983e8ecbe58bp-11, -0x1.9dae24ad0e4e8p-11, -0x1.9237caf98168dp-11, -0x1.871d68f3872e7p-11, -0x1.7c5ba8a57ab07p-11, -0x1.71ef5040f582bp-11, -0x1.67d54160c7d9dp-11, -0x1.5e0a784e8d4p-11, -0x1.548c0b4bd4de7p-11, -0x1.4b5729ded914dp-11, -0x1.42691c22b867fp-11, -0x1.39bf421b2e352p-11, -0x1.3157130bbb9f7p-11, -0x1.292e1cd23d1d5p-11, -0x1.21420344e07ddp-11, -0x1.19907f9373494p-11, -0x1.12175fabff961p-11, -0x1.0ad485a2ae157p-11, -0x1.03c5e71ce36f7p-11, -0x1.f9d3197f1bcd7p-12, -0x1.ec7b234139761p-12, -0x1.df80457721b64p-12, -0x1.d2defcd24a309p-12, -0x1.c693e7b3f48a5p-12, -0x1.ba9bc5288a6fdp-12, -0x1.aef373e8dddbp-12, -0x1.a397f1613956dp-12, -0x1.988658be3330ap-12, -0x1.8dbbe1ff22b6fp-12, -0x1.8335e10e2bd04p-12, -0x1.78f1c4ddc6ca6p-12, -0x1.6eed168baec53p-12, -0x1.652578892440ep-12, -0x1.5b98a5c86b7eap-12, -0x1.524470ef73c8fp-12, -0x1.4926c38f8f525p-12, -0x1.403d9d62284c4p-12, -0x1.3787138a5f661p-12, -0x1.2f014fdb7a7aep-12, -0x1.26aa902410f84p-12, -0x1.1e81257de1b89p-12, -0x1.168373a23a005p-12, -0x1.0eaff042dc0d2p-12, -0x1.070522674f98cp-12, -0x1.ff03439d0ab0dp-13, -0x1.f0482ca97a82dp-13, -0x1.e1d66ebb30511p-13, -0x1.d3ab96847b873p-13, -0x1.c5c54d871a4a5p-13, -0x1.b82159006e8afp-13, -0x1.aabd98dd6ede8p-13, -0x1.9d9806b62a997p-13, -0x1.90aeb4d0b7b9ep-13, -0x1.83ffcd2b5e81ap-13, -0x1.7789908dee064p-13, -0x1.6b4a55a1fe463p-13, -0x1.5f4088120cd84p-13, -0x1.536aa7af4477bp-13, -0x1.47c7479dcb66fp-13, -0x1.3c550d8782231p-13, -0x1.3112b0d4f35bcp-13, -0x1.25fef9ec76fdp-13, -0x1.1b18c1773f54bp-13, -0x1.105eefac4bd3bp-13, -0x1.05d07ba10fe03p-13, -0x1.f6d8d53f6399bp-14, -0x1.e2639f057bdafp-14, -0x1.ce3f942c61ee8p-14, -0x1.ba6b0cfb6ee25p-14, -0x1.a6e4794008f85p-14, -0x1.93aa5f2e3694p-14, -0x1.80bb5a4aec2fep-14, -0x1.6e161a5fc8416p-14, -0x1.5bb9627809e09p-14, -0x1.49a407e68694dp-14, -0x1.37d4f15463d2ap-14, -0x1.264b15d85df17p-14, -0x1.15057c1664f05p-14, -0x1.0403396754d87p-14, -0x1.e686e21131d99p-15, -0x1.c58aa6a702882p-15, -0x1.a51039f831cc6p-15, -0x1.85162cae8e92dp-15, -0x1.659b25501ae33p-15, -0x1.469ddee757ca8p-15, -0x1.281d27b90375bp-15, -0x1.0a17e006ec2cap-15, -0x1.d919f1beeba3dp-16, -0x1.9ef6e5f3003cep-16, -0x1.65c4bb388ffc2p-16, -0x1.2d81ab25f1834p-16, -0x1.ec5810ae33ccbp-17, -0x1.7f847902c558dp-17, -0x1.14858d39502bcp-17, -0x1.56b0e484700edp-18, -0x1.0fe9c2c9ced1cp-19, 0x1.0cb8738cd3e07p-20, 0x1.0abd098af5e96p-18, 0x1.cebca2dea4c22p-18, 0x1.4798bbe715068p-17, 0x1.a60ff69b55403p-17, 0x1.016310ba60c43p-16, 0x1.2edea61cb757dp-16, 0x1.5b7bbc687168dp-16, 0x1.873b4eb4fdbffp-16, 0x1.b21e5341cf1bfp-16, 0x1.dc25bc6c9a565p-16, 0x1.02a93cccf7f39p-15, 0x1.16d2bc0856b7cp-15, 0x1.2a8fd1e457e38p-15, 0x1.3de0f416a2e7ep-15, 0x1.50c69869e196dp-15, 0x1.63413513559c1p-15, 0x1.75514102e7d49p-15, 0x1.86f7342dedaf6p-15, 0x1.983387d4ca6d5p-15, 0x1.a906b6c3a9da2p-15, 0x1.b9713d8e79f8cp-15, 0x1.c9739ac854fd9p-15, 0x1.d90e4f368c3b4p-15, 0x1.e841ddff77ac4p-15, 0x1.f70eccd53eb42p-15, 0x1.02bad20e5c5bdp-14, 0x1.09bb77884c89p-14, 0x1.10899df0819c5p-14, 0x1.17258de7da0c1p-14, 0x1.1d8f91a472e2ep-14, 0x1.23c7f4fc855a1p-14, 0x1.29cf056fc65e2p-14, 0x1.2fa5122f55aeap-14, 0x1.354a6c244ef84p-14, 0x1.3abf65f50b263p-14, 0x1.4004540923056p-14, 0x1.45198c8c43a0fp-14, 0x1.49ff676fde103p-14, 0x1.4eb63e6bc7401p-14, 0x1.533e6cfdd08c5p-14, 0x1.579850686901cp-14, 0x1.5bc447b05414dp-14, 0x1.5fc2b3998152fp-14, 0x1.6393f6a312083p-14, 0x1.67387502985fcp-14, 0x1.6ab0949e9b592p-14, 0x1.6dfcbd086aeb5p-14, 0x1.711d57754de2p-14, 0x1.7412ceb71586fp-14, 0x1.76dd8f341f042p-14, 0x1.797e06dece06fp-14, 0x1.7bf4a52c88beap-14, 0x1.7e41db0c3d52bp-14, 0x1.80661adc7c28bp-14, 0x1.8261d8612c62ep-14, 0x1.843588b8e4db5p-14, 0x1.85e1a251ef8cfp-14, 0x1.87669cdefefcbp-14, 0x1.88c4f14ba014ap-14, 0x1.89fd19b069858p-14, 0x1.8b0f9146f4376p-14, 0x1.8bfcd45da0eccp-14, 0x1.8cc5604b321fap-14, 0x1.8d69b3623ef51p-14, 0x1.8dea4ce4850b6p-14, 0x1.8e47acf620297p-14, 0x1.8e825490aadefp-14, 0x1.8e9ac5764d4fp-14, 0x1.8e918224c1b65p-14, 0x1.8e670dc84d69cp-14, 0x1.8e1bec2eb9a6cp-14, 0x1.8db0a1ba4b20cp-14, 0x1.8d25b354bd29bp-14, 0x1.8c7ba6624693bp-14, 0x1.8bb300b4a990ep-14, 0x1.8acc487e52b45p-14, 0x1.89c80445896cep-14, 0x1.88a6bad7b7607p-14, 0x1.8768f33cc7044p-14, 0x1.860f34aa9cb1p-14, 0x1.849a0678af6a9p-14, 0x1.8309f013be7b3p-14, 0x1.815f78f1ac86bp-14, 0x1.7f9b28857cd7fp-14, 0x1.7dbd8633787ddp-14, 0x1.7bc719457b38cp-14, 0x1.79b868df6abcfp-14, 0x1.7791fbf3da45bp-14, 0x1.75545938db03fp-14, 0x1.7300071cfb62dp-14, 0x1.70958bbc77a8cp-14, 0x1.6e156cd699ca9p-14, 0x1.6b802fc34ebfap-14, 0x1.68d65968ec79fp-14, 0x1.66186e322ea0ap-14, 0x1.6346f20467e5ep-14, 0x1.60626835e8ae9p-14, 0x1.5d6b53849e1cep-14, 0x1.5a62360ce753bp-14, 0x1.57479140a2efp-14, 0x1.541be5de75971p-14, 0x1.50dfb3e9480f6p-14, 0x1.4d937a9fff478p-14, 0x1.4a37b8756de36p-14, 0x1.46cceb087e25ap-14, 0x1.43538f1c96949p-14, 0x1.3fcc209237e7ep-14, 0x1.3c371a5fd43fep-14, 0x1.3894f68ae08c4p-14, 0x1.34e62e211f984p-14, 0x1.312b3932251d2p-14, 0x1.2d648ec91475ap-14, 0x1.2992a4e6952ep-14, 0x1.25b5f07b0390ep-14, }}, 
      {{0x1.60b653fcfae4cp-1, 0x1.60b90c673e9c5p-1, 0x1.60bdd1e2ed2b4p-1, 0x1.60c4e8351c84ep-1, 0x1.60ce94a08622ap-1, 0x1.60db1511a534p-1, 0x1.60ea9a3e34183p-1, 0x1.60fd43f96ec8ap-1, 0x1.61131f2bc364p-1, 0x1.612c24ff1e97cp-1, 0x1.61483aeb58f3dp-1, 0x1.61673362769c6p-1, 0x1.6188ceebc5c65p-1, 0x1.61acbd88b7a3fp-1, 0x1.61d2a0475a875p-1, 0x1.61fa0aed4deaap-1, 0x1.622285ab65aecp-1, 0x1.624b8ece524a2p-1, 0x1.62749c63d2974p-1, 0x1.629d1dce6d0bbp-1, 0x1.62c47d4392585p-1, 0x1.62ea21318346fp-1, 0x1.630d6d8b714d5p-1, 0x1.632dc4fb2ddf2p-1, 0x1.634a89f8613ep-1, 0x1.63631fc5ba061p-1, 0x1.6376eb54e49ecp-1, 0x1.63855412577e5p-1, 0x1.638dc49a2900ep-1, 0x1.638fab5745a4ap-1, 0x1.638a7b0e65db7p-1, 0x1.637dab562ba55p-1, 0x1.6368b8fdcb16dp-1, 0x1.634b26639da52p-1, 0x1.63247bbced5d4p-1, 0x1.62f44750421a2p-1, 0x1.62ba1da35ab08p-1, 0x1.6275999dfbd11p-1, 0x1.62265ca29f251p-1, 0x1.61cc0e9e014c9p-1, 0x1.61665e0e7b219p-1, 0x1.60f50003fdfb8p-1, 0x1.6077b0197de96p-1, 0x1.5fee306882d46p-1, 0x1.5f5849778933dp-1, 0x1.5eb5ca23ce3c6p-1, 0x1.5e0687871642p-1, 0x1.5d4a5cd9edf0ep-1, 0x1.5c812b52dcabep-1, 0x1.5baada02f4b3p-1, 0x1.5ac755b01ebfp-1, 0x1.59d690ad7f683p-1, 0x1.58d882b23fcc8p-1, 0x1.57cd28af06a26p-1, 0x1.56b484a261f08p-1, 0x1.558e9d6c5b3e7p-1, 0x1.545b7ea16cc85p-1, 0x1.531b385d084eap-1, 0x1.51cddf13d910ep-1, 0x1.50738b65ea4c9p-1, 0x1.4f0c59f0d1e89p-1, 0x1.4d986b22019cfp-1, 0x1.4c17e3095abc1p-1, 0x1.4a8ae92c1a297p-1, 0x1.48f1a85836e2dp-1, 0x1.474c4e7845cc2p-1, 0x1.459b0c67f3035p-1, 0x1.43de15c922fe1p-1, 0x1.4215a0d9c66eep-1, 0x1.4041e64a701e7p-1, 0x1.3e632115b4335p-1, 0x1.3c798e585cc7ap-1, 0x1.3a856d2a7bb79p-1, 0x1.3886fe795c13ep-1, 0x1.367e84e2606a5p-1, 0x1.346c448ecc20fp-1, 0x1.325083107e0d7p-1, 0x1.302b873fa18f3p-1, 0x1.2dfd991953c03p-1, 0x1.2bc7019f44384p-1, 0x1.29880ab84c19fp-1, 0x1.2740ff12015a7p-1, 0x1.24f22a03432edp-1, 0x1.229bd76fbfd9p-1, 0x1.203e53ac72f0dp-1, 0x1.1dd9eb651ad9bp-1, 0x1.1b6eeb82a3304p-1, 0x1.18fda112834fcp-1, 0x1.1686592f0cf95p-1, 0x1.140960e8aa046p-1, 0x1.118705300521ep-1, 0x1.0eff92c11a9edp-1, 0x1.0c73560f2fd4cp-1, 0x1.09e29b31a9cd2p-1, 0x1.074dadd1c469dp-1, 0x1.04b4d919217fep-1, 0x1.021867a12fab3p-1, 0x1.fef146c6c566dp-2, 0x1.f9abab5475bcep-2, 0x1.f4608e0627ddcp-2, 0x1.ef107e6178ee4p-2, 0x1.e9bc0a3d996b1p-2, 0x1.e463bdab743abp-2, 0x1.df0822df472fep-2, 0x1.d9a9c21ba5101p-2, 0x1.d449219dd0d9ep-2, 0x1.cee6c58b747cdp-2, 0x1.c9832fe19ec8bp-2, 0x1.c41ee06509e56p-2, 0x1.beba54939617fp-2, 0x1.b9560796f9b73p-2, 0x1.b3f27238991cbp-2, 0x1.ae900ad67a428p-2, 0x1.a92f4559532c6p-2, 0x1.a3d0932ba1143p-2, 0x1.9e746331c7e89p-2, 0x1.991b21c32a496p-2, 0x1.93c538a4383ebp-2, 0x1.8e730f0164659p-2, 0x1.8925096aff91p-2, 0x1.83db89d1ea9b6p-2, 0x1.7e96ef851ca3ep-2, 0x1.7957972ff1d99p-2, 0x1.741ddad93bc9bp-2, 0x1.6eea11e30c287p-2, 0x1.69bc910b3299ap-2, 0x1.6495aa6c620a1p-2, 0x1.5f75ad7ffd298p-2, 0x1.5a5ce7207cd2dp-2, 0x1.554ba18c6b8c1p-2, 0x1.50422469ef861p-2, 0x1.4b40b4cad9de6p-2, 0x1.464795313a433p-2, 0x1.4157059468751p-2, 0x1.3c6f43668174p-2, 0x1.3790899a56953p-2, 0x1.32bb10a9bd5aep-2, 0x1.2def0e9c4635ap-2, 0x1.292cb70e4acbfp-2, 0x1.24743b385355ap-2, 0x1.1fc5c9f6cf17ap-2, 0x1.1b218fd2125c8p-2, 0x1.1687b706a1644p-2, 0x1.11f8678db481p-2, 0x1.0d73c725ffee8p-2, 0x1.08f9f95cac7acp-2, 0x1.048b1f96880a5p-2, 0x1.002759195fe3dp-2, 0x1.f79d862b12543p-3, 0x1.ef02f15f1acc6p-3, 0x1.e67f2613ed78ap-3, 0x1.de12529e7dbdfp-3, 0x1.d5bca177a71ebp-3, 0x1.cd7e39506a205p-3, 0x1.c5573d264c612p-3, 0x1.bd47cc57d7768p-3, 0x1.b55002b93694dp-3, 0x1.ad6ff8a8dd035p-3, 0x1.a5a7c3244611ep-3, 0x1.9df773dcb26b7p-3, 0x1.965f194beb909p-3, 0x1.8edebec903cd7p-3, 0x1.87766c9d0e451p-3, 0x1.80262817c7275p-3, 0x1.78edf3a43077ep-3, 0x1.71cdcedd0e48dp-3, 0x1.6ac5b6a154e33p-3, 0x1.63d5a528711c6p-3, 0x1.5cfd92166f3e9p-3, 0x1.563d728fffa34p-3, 0x1.4f95394e51156p-3, 0x1.4904d6b2bf385p-3, 0x1.428c38da516ebp-3, 0x1.3c2b4bb1087ffp-3, 0x1.35e1f904f8579p-3, 0x1.2fb028992c1cfp-3, 0x1.2995c0384cb7dp-3, 0x1.2392a3c70f0a3p-3, 0x1.1da6b55666593p-3, 0x1.17d1d53574bdfp-3, 0x1.1213e2033a7edp-3, 0x1.0c6cb8c004519p-3, 0x1.06dc34de95012p-3, 0x1.0162305508b59p-3, 0x1.f7fd075ae57c6p-4, 0x1.ed620c2c69fb3p-4, 0x1.e2f31ae4159e4p-4, 0x1.d8afdccf97969p-4, 0x1.ce97f8e3d05c2p-4, 0x1.c4ab13db2c257p-4, 0x1.bae8d05362906p-4, 0x1.b150ceeaab4f6p-4, 0x1.a7e2ae5c4d7a2p-4, 0x1.9e9e0b9c9e9b6p-4, 0x1.958281f466692p-4, 0x1.8c8fab1b9ee0cp-4, 0x1.83c51f53aa49cp-4, 0x1.7b227580e3541p-4, 0x1.72a7434398e89p-4, 0x1.6a531d106fb14p-4, 0x1.6225964829dffp-4, 0x1.5a1e414ed830ep-4, 0x1.523cafa272c19p-4, 0x1.4a8071f0db50bp-4, 0x1.42e9182d49f52p-4, 0x1.3b7631a525881p-4, 0x1.34274d1447949p-4, 0x1.2cfbf8b8afd84p-4, 0x1.25f3c265a4b27p-4, 0x1.1f0e379646222p-4, 0x1.184ae57f90823p-4, 0x1.11a95921d586dp-4, 0x1.0b291f59a6e88p-4, 0x1.04c9c4f03b891p-4, 0x1.fd15ad56933b3p-5, 0x1.f0d7c2b8bb38ep-5, 0x1.e4d8e3df57a24p-5, 0x1.d9182af4c2549p-5, 0x1.cd94b290e357dp-5, 0x1.c24d95d3d6c49p-5, 0x1.b741f07f96641p-5, 0x1.ac70df10afd6dp-5, 0x1.a1d97ed60ac5fp-5, 0x1.977aee07c357fp-5, 0x1.8d544bdd1aac8p-5, 0x1.8364b8a18574dp-5, 0x1.79ab55c8d9b91p-5, 0x1.70274602a1107p-5, 0x1.66d7ad4c9438fp-5, 0x1.5dbbb10444fd1p-5, 0x1.54d277f7f71a1p-5, 0x1.4c1b2a76af8b3p-5, 0x1.4394f25f8034ep-5, 0x1.3b3efb300e87dp-5, 0x1.331872125fa97p-5, 0x1.2b2085e9e9c89p-5, 0x1.2356675ff0f3p-5, 0x1.1bb948ef33feep-5, 0x1.14485eeeedc19p-5, 0x1.0d02df9d2ba0ap-5, 0x1.05e8032882a4dp-5, 0x1.fdee0772499f1p-6, 0x1.f05e3af2b4718p-6, 0x1.e31f1d3ac0d6fp-6, 0x1.d62f2ed577ee1p-6, 0x1.c98cf47de83b9p-6, 0x1.bd36f72b90387p-6, 0x1.b12bc41db4542p-6, 0x1.a569ece5ae7c2p-6, 0x1.99f007703f9c9p-6, 0x1.8ebcae0de8b93p-6, 0x1.83ce7f7a54119p-6, 0x1.79241ee2d120ep-6, 0x1.6ebc33ebf5c4cp-6, 0x1.64956ab65eea1p-6, 0x1.5aae73e2a1a3cp-6, 0x1.510604946d5e8p-6, 0x1.479ad674e6f09p-6, 0x1.3e6ba7b44bff5p-6, 0x1.35773b0ad3795p-6, 0x1.2cbc57b8e7fe2p-6, 0x1.2439c986aa9cep-6, 0x1.1bee60c2db76ep-6, 0x1.13d8f2411e6d2p-6, 0x1.0bf85757a5b1ep-6, 0x1.044b6ddc4c19p-6, 0x1.f9a2304248275p-7, 0x1.eb1079e0f2765p-7, 0x1.dcdf8f10aa9c4p-7, 0x1.cf0d4f2b1411ap-7, 0x1.c197a25c7cdfp-7, 0x1.b47c79981ca5ap-7, 0x1.a7b9ce8b7aeb5p-7, 0x1.9b4da39107ec4p-7, 0x1.8f3603a1e252p-7, 0x1.83710246f8404p-7, 0x1.77fcbb8960893p-7, 0x1.6cd753e21be26p-7, 0x1.61fef82924c5cp-7, 0x1.5771dd83f565dp-7, 0x1.4d2e415379dc3p-7, 0x1.433269217847cp-7, 0x1.397ca28d7ba8dp-7, 0x1.300b43394a11dp-7, 0x1.26dca8b4e6bc1p-7, 0x1.1def386a2e5bdp-7, 0x1.15415f881113fp-7, 0x1.0cd192ed7233ap-7, 0x1.049e4f13b45a3p-7, 0x1.f94c2ff1f1d06p-8, 0x1.e9cef2142e798p-8, 0x1.dac20a18aaa6p-8, 0x1.cc22ac0dc844cp-8, 0x1.bdee1a584f01cp-8, 0x1.b021a5859dbe1p-8, 0x1.a2baac1d886ffp-8, 0x1.95b69a73ebb29p-8, 0x1.8912ea7a0149ap-8, 0x1.7ccd238f7f29dp-8, 0x1.70e2da538b704p-8, 0x1.6551b0758aa29p-8, 0x1.5a175485d691cp-8, 0x1.4f3181c66189ap-8, 0x1.449dfffb507dbp-8, 0x1.3a5aa33b921dfp-8, 0x1.30654bc17e151p-8, 0x1.26bbe5bb7d489p-8, 0x1.1d5c691cca05dp-8, 0x1.1444d96e47d3ep-8, 0x1.0b73459f7ba41p-8, 0x1.02e5c7d7ae3acp-8, 0x1.f5350a8e6db25p-9, 0x1.e51f5bf1f903p-9, 0x1.d586f94857bdp-9, 0x1.c6686cfc559e8p-9, 0x1.b7c056199de15p-9, 0x1.a98b67f1affa8p-9, 0x1.9bc669c16f286p-9, 0x1.8e6e36574970ap-9, 0x1.817fbbba0a50cp-9, 0x1.74f7fad058021p-9, 0x1.68d40708e2116p-9, 0x1.5d110603510e9p-9, 0x1.51ac2f39f2d2ep-9, 0x1.46a2cbac2e0f4p-9, 0x1.3bf23589c6b65p-9, 0x1.3197d7def0701p-9, 0x1.27912e4138a98p-9, 0x1.1ddbc47d4de2p-9, 0x1.14753645a555cp-9, 0x1.0b5b2ee20386dp-9, 0x1.028b68dfef865p-9, 0x1.f4075b881a193p-10, 0x1.e383ab78c844ap-10, 0x1.d3878ea73b565p-10, 0x1.c40eee4a5b03ap-10, 0x1.b515cf24ed0cdp-10, 0x1.a69850f1c05ep-10, 0x1.9892add1d6375p-10, 0x1.8b0139bc775acp-10, 0x1.7de061f143e11p-10, 0x1.712cac6c3ff6dp-10, 0x1.64e2b75bd36p-10, 0x1.58ff3898cee4fp-10, 0x1.4d7efd206c674p-10, 0x1.425ee890475e2p-10, 0x1.379bf4a45fbd1p-10, 0x1.2d3330b70e811p-10, 0x1.2321c14304a8p-10, 0x1.1964df673bce3p-10, 0x1.0ff9d86cedd69p-10, 0x1.06de0d4f80782p-10, 0x1.fc1de48cd0d3bp-11, 0x1.eb141ca220e26p-11, 0x1.da99f5894de21p-11, 0x1.caaac5b7cf67ep-11, 0x1.bb420691a74ap-11, 0x1.ac5b5390ad9bap-11, 0x1.9df2696fb0a47p-11, 0x1.9003255965e7p-11, 0x1.8289841b236cap-11, 0x1.7581a15b588f6p-11, 0x1.68e7b6d3c3c83p-11, 0x1.5cb81b8f5750cp-11, 0x1.50ef432bcacc6p-11, 0x1.4589bd1ecd5bcp-11, 0x1.3a8433fed0e6dp-11, 0x1.2fdb6ccf659acp-11, 0x1.258c46511e679p-11, 0x1.1b93b854f16ep-11, 0x1.11eed3130e825p-11, 0x1.089abe85200f6p-11, 0x1.ff297387d9c74p-12, 0x1.edb434d0a4421p-12, 0x1.dcd097df124c6p-12, 0x1.cc799e456151ap-12, 0x1.bcaa73031d4bbp-12, 0x1.ad5e6960ff563p-12, 0x1.9e90fbd313244p-12, 0x1.903dcae10f148p-12, 0x1.82609c14c61e6p-12, 0x1.74f558eea361cp-12, 0x1.67f80de01213bp-12, 0x1.5b64e94bc444dp-12, 0x1.4f383a8bbd08ap-12, 0x1.436e70fd09ba3p-12, 0x1.38041b1113658p-12, 0x1.2cf5e564781f8p-12, 0x1.224099db4af9p-12, 0x1.17e11ec2b0a42p-12, 0x1.0dd475f7bb12dp-12, 0x1.0417bc13720adp-12, 0x1.f5504f37dfd5p-13, 0x1.e3061074ff667p-13, 0x1.d14b8bed4c921p-13, 0x1.c01bc0ebf8a9bp-13, 0x1.af71dc819dc17p-13, 0x1.9f493816c1b3cp-13, 0x1.8f9d580791085p-13, 0x1.8069ea4891ca4p-13, 0x1.71aac5142c138p-13, 0x1.635be5a0dfc52p-13, 0x1.55796edffa636p-13, 0x1.47ffa844a740cp-13, 0x1.3aeafc932dd5ap-13, 0x1.2e37f8b83b237p-13, 0x1.21e34aa80499ep-13, 0x1.15e9c0452d11cp-13, 0x1.0a48464f2db8ap-13, 0x1.fdf7ceb0703abp-14, 0x1.e80395849469cp-14, 0x1.d2ae6786e34a3p-14, 0x1.bdf300e1ee586p-14, 0x1.a9cc51a2d5e07p-14, 0x1.96357bea9f62fp-14, 0x1.8329d22cbcf3ep-14, 0x1.70a4d57a4947cp-14, 0x1.5ea233d9d2f67p-14, 0x1.4d1dc6ab652abp-14, 0x1.3c139118877c9p-14, 0x1.2b7fbe8ff532p-14, 0x1.1b5ea14cc714p-14, 0x1.0bacb0e8cc1d3p-14, 0x1.f8cd11f3a4fep-15, 0x1.db11cf733c4fep-15, 0x1.be215970a0e42p-15, 0x1.a1f5af31fe15ap-15, 0x1.86890db07f6c3p-15, 0x1.6bd5ed38d41cap-15, 0x1.51d6ff1eadbc6p-15, 0x1.38872b82bc102p-15, 0x1.1fe18f2abd78ap-15, 0x1.07e1796b280dfp-15, 0x1.e104d4440b9d6p-16, 0x1.b3801f851c275p-16, 0x1.872c8ae22d59ap-16, 0x1.5c02225de1254p-16, 0x1.31f9442b9016dp-16, 0x1.090a9d44460eap-16, 0x1.c25e4c3261d5dp-17, 0x1.74c03ec587414p-17, 0x1.292e1e178748ap-17, 0x1.bf36f4de18e3cp-18, 0x1.2ff8c58aa8051p-18, 0x1.49157cec77a34p-19, 0x1.cd6d77f76de0bp-22, -0x1.9ce068b905723p-20, -0x1.cf6cdc18ac12ep-19, -0x1.64b7b1ce5be08p-18, -0x1.de4eb29dd43b8p-18, -0x1.2a46c2ff6a0bep-17, -0x1.63c2c930047acp-17, -0x1.9ba3cbac42d85p-17, -0x1.d1f1dacadd30ap-17, -0x1.035a5d9ef9f6ep-16, -0x1.1cf9f4dece0dfp-16, -0x1.35db4f46fd1dfp-16, -0x1.4e01e870ea44dp-16, -0x1.65711d0d69ffcp-16, -0x1.7c2c2c7435428p-16, -0x1.92363a233022p-16, -0x1.a7924f2e050bep-16, -0x1.bc435b9e935ep-16, -0x1.d04c37c6a1c7bp-16, -0x1.e3afa58357983p-16, -0x1.f6705172dfb36p-16, -0x1.04486a0e5b709p-15, -0x1.0d09d98684171p-15, -0x1.157db0f1c1bb1p-15, -0x1.1da521ab0f9b5p-15, -0x1.258155140fdf5p-15, -0x1.2d136d0ae9596p-15, -0x1.345c845aab66ap-15, -0x1.3b5daf266b17dp-15, -0x1.4217fb4f44808p-15, -0x1.488c70d56ea91p-15, -0x1.4ebc1234903fdp-15, -0x1.54a7dcbb79c9ap-15, -0x1.5a50c8df7599ap-15, -0x1.5fb7ca8b513a8p-15, -0x1.64ddd16a4a155p-15, -0x1.69c3c92f03297p-15, -0x1.6e6a99d6a781bp-15, -0x1.72d327e86163ep-15, -0x1.76fe54b145ef9p-15, -0x1.7aecfe7cd81fp-15, -0x1.7ea000ca47316p-15, -0x1.8218347e86653p-15, -0x1.855670135bebbp-15, -0x1.885b87c38b771p-15, -0x1.8b284db432bb7p-15, -0x1.8dbd921b7cfdfp-15, -0x1.901c2364c012p-15, -0x1.9244ce5227849p-15, -0x1.94385e1c027eap-15, -0x1.95f79c8dcd98p-15, -0x1.9783522116803p-15, -0x1.98dc46164b834p-15, -0x1.9a033e8b93bbp-15, -0x1.9af90091c139dp-15, -0x1.9bbe503f771e9p-15, -0x1.9c53f0c29706cp-15, -0x1.9cbaa4700bd9p-15, -0x1.9cf32cd201c28p-15, -0x1.9cfe4ab4a557ap-15, -0x1.9cdcbe3174a78p-15, -0x1.9c8f46b93c328p-15, -0x1.9c16a31cc97ecp-15, -0x1.9b7391946a592p-15, -0x1.9aa6cfc645bb6p-15, -0x1.99b11acb9d791p-15, -0x1.98932f350a5acp-15, -0x1.974dc90dc0588p-15, -0x1.95e1a3dde7339p-15, -0x1.944f7aac16ed1p-15, -0x1.929807fe05cbp-15, -0x1.90bc05d873166p-15, -0x1.8ebc2dbe59be1p-15, -0x1.8c9938af79a39p-15, -0x1.8a53df26414c9p-15, -0x1.87ecd9152156fp-15, -0x1.8564dde3564b2p-15, -0x1.82bca46932e44p-15, -0x1.7ff4e2ebf25e3p-15, -0x1.7d0e4f191d3c8p-15, -0x1.7a099e018a44dp-15, -0x1.76e78414033d4p-15, -0x1.73a8b51795b88p-15, -0x1.704de42596c7bp-15, -0x1.6cd7c3a362f06p-15, -0x1.6947053be1f7fp-15, -0x1.659c59d8d164fp-15, -0x1.61d8719be19bep-15, -0x1.5dfbfbd7a7bf6p-15, -0x1.5a07a7086ad0cp-15, -0x1.55fc20ccd7983p-15, -0x1.51da15de9590dp-15, -0x1.4da2320acc56bp-15, -0x1.4955202a9a4f4p-15, -0x1.44f38a1b81974p-15, -0x1.407e18b7cd605p-15, -0x1.3bf573cef9774p-15, -0x1.375a421e1b3bcp-15, -0x1.32ad29484fa33p-15, -0x1.2deecdcf3800fp-15, -0x1.291fd30b7fd0ap-15, -0x1.2440db257599p-15, -0x1.1f52870db7fb4p-15, -0x1.1a557675f9d21p-15, -0x1.154a47c9dd5eep-15, -0x1.10319827ee17ep-15, -0x1.0b0c035ab747bp-15, -0x1.05da23d1fbd36p-15, -0x1.009c929c0f81dp-15, -0x1.f6a7cebeab76ep-16, -0x1.ec0170a7ca13ap-16, -0x1.e147347aa97dp-16, -0x1.d67a40c95eb4p-16, -0x1.cb9bb9252a735p-16, -0x1.c0acbe130a34cp-16, -0x1.b5ae6d00aed06p-16, -0x1.aaa1e039c25f1p-16, -0x1.9f882edd98c26p-16, -0x1.94626cd533c26p-16, -0x1.8931aac9afa78p-16, -0x1.7df6f61b0e39ap-16, -0x1.72b358d766a06p-16, -0x1.6767d9b277433p-16, -0x1.5c157bfd9b19cp-16, -0x1.50bd3fa028e98p-16, -0x1.45602110353a9p-16, -0x1.39ff194bb7056p-16, -0x1.2e9b1dd21875ep-16, -0x1.2335209e28f62p-16, -0x1.17ce102077b4bp-16, -0x1.0c66d73a119b5p-16, -0x1.01005d37a7094p-16, -0x1.eb370b9a2b6c4p-17, -0x1.d4726222a929bp-17, -0x1.bdb476f58ef2fp-17, -0x1.a6fefbb7e248cp-17, -0x1.90539ac11b92fp-17, -0x1.79b3f7160de1dp-17, -0x1.6321ac6499e45p-17, -0x1.4c9e4f002064fp-17, -0x1.362b6bdeaa5cfp-17, -0x1.1fca8896cf679p-17, -0x1.097d235e53aa9p-17, -0x1.e6896612f179dp-18, -0x1.ba454e1607b1ep-18, -0x1.8e30cee9e1b4ap-18, -0x1.624ea9f3a8606p-18, -0x1.36a191ddcb6ep-18, -0x1.0b2c2a9d657cap-18, -0x1.bfe212f1d0d27p-19, -0x1.69e56a2014e6p-19, -0x1.14674ac9dd64ep-19, -0x1.7ed90f9a0c7fcp-20, -0x1.abe75be05b32dp-21, -0x1.713d123ac8424p-23, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      36, 0x1p+2, 0x1.402ec75b56a2p+1, 0x1.912b41dc2252fp+1, -0x1.7e406f0d0ff8fp-5, 
      {{
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.804d6b3a79p-5, -0x1.df5eb1a4344a7p-3, 0x1.2bc6fb2f68ebdp-2, -0x1.14372b657185p-3}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.26492f2256585p-5, -0x1.a57c6e7329c26p-3, 0x1.170fa4bb00685p-2, -0x1.14375e75214f7p-3}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.aedd11ed550f1p-6, -0x1.6fbed6883dc4bp-3, 0x1.02584a7237827p-2, -0x1.143692366210bp-3}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.25d2ad069d30fp-6, -0x1.3e25e8bd5366ap-3, 0x1.db41fef5e04efp-3, -0x1.14399021a3043p-3}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.5f95d6506e643p-7, -0x1.10b1a948d497dp-3, 0x1.b1d2f62407db3p-3, -0x1.142e64b382124p-3}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.2c761fa754827p-8, -0x1.cec410ee6d675p-4, 0x1.88659a3c4df1dp-3, -0x1.14581480a20f1p-3}, 
        {0x1.4p+1, 0x1.4666666666666p+1, -0x1.3bb8239add09dp-11, -0x1.846e81c074ba2p-4, 0x1.5ef1fd8f68d62p-3, -0x1.13bc80ba4e464p-3}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, -0x1.433cd1506b4d6p-8, -0x1.4260efb0cf03dp-4, 0x1.3595b70d104bfp-3, -0x1.160120067b444p-3}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, -0x1.16be2c488914p-7, -0x1.08a1baebbbafp-4, 0x1.0be258a5b1014p-3, -0x1.05134cd25db26p-3}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, -0x1.766700759d211p-7, -0x1.adf12e4994a85p-5, 0x1.c9721a3f791a3p-4, -0x1.c1e609c2d2de1p-4}, 
        {0x1.599999999999ap+1, 0x1.6p+1, -0x1.c3b117069552dp-7, -0x1.59339224edadap-5, 0x1.85f5ff2f0cabbp-4, -0x1.7f65ed71660c3p-4}, 
        {0x1.6p+1, 0x1.6666666666666p+1, -0x1.00a87a204c773p-6, -0x1.10f5d20775a2dp-5, 0x1.4c7381f7a3c3bp-4, -0x1.3b5b18c42d40dp-4}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, -0x1.18c98cb09619fp-6, -0x1.a666921826015p-6, 0x1.1d25d7da3693cp-4, -0x1.ef7563eb46547p-5}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, -0x1.2b2e024f182dap-6, -0x1.3bc5fe883b777p-6, 0x1.effa13eabc34p-5, -0x1.67f698105d11ep-5}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, -0x1.38941892f1c92p-6, -0x1.bbf479a8d2495p-7, 0x1.b9fb7d1b7b0b2p-5, -0x1.c135d2dec7ba2p-6}, 
        {0x1.799999999999ap+1, 0x1.8p+1, -0x1.41860b8f70803p-6, -0x1.11e67275a69f4p-7, 0x1.984aa6e45f436p-5, -0x1.63c31092160fdp-7}, 
        {0x1.8p+1, 0x1.8666666666666p+1, -0x1.465a15d41062p-6, -0x1.c501cc1babb29p-9, 0x1.8af356454b3c7p-5, 0x1.6d151dc5906ccp-8}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, -0x1.4732706c7bfacp-6, 0x1.70c7b79f86a24p-10, 0x1.91cbbba0ff8b3p-5, 0x1.708515455e458p-6}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, -0x1.43fd52e08c512p-6, 0x1.a8aff2ba1f028p-8, 0x1.ad6f506c99d0ap-5, 0x1.33c732c727cd9p-5}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, -0x1.3c74f33448e91p-6, 0x1.8959d5efc16c1p-7, 0x1.db99fe70dfc8ep-5, 0x1.e7ac56f525f6p-5}, 
        {0x1.999999999999ap+1, 0x1.ap+1, -0x1.301f85e7e7bf1p-6, 0x1.2b1c61b887a3dp-6, 0x1.1260528ad2bd8p-4, 0x1.224a88f0973cfp-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, -0x1.1e59ec106e2dep-6, 0x1.9d373a8d449a5p-6, 0x1.2825e99cde153p-4, -0x1.21fec1508e935p-5}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, -0x1.06cd2e669a3a8p-6, 0x1.07a99b3048872p-5, 0x1.12660183a030ap-4, -0x1.8e82f8b5da0dcp-4}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, -0x1.d3c7f0ab97f4cp-7, 0x1.389085d73d9dcp-5, 0x1.ad3e5203e55c7p-5, -0x1.594393acda865p-3}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, -0x1.91aa8c294cd98p-7, 0x1.5921870d531dcp-5, 0x1.bc2b8c6b914c6p-6, -0x1.8333df3d96974p-3}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, -0x1.4b318d4fb14dcp-7, 0x1.63b93055f9b4p-5, -0x1.479191189d239p-10, -0x1.46fe763c96604p-3}, 
        {0x1.cp+1, 0x1.c666666666666p+1, -0x1.04ce240185badp-7, 0x1.58e3d1ef70dc7p-5, -0x1.9cdda6f3d7dddp-6, -0x1.184512f858c2cp-3}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, -0x1.84e77c706da17p-8, 0x1.3bd6aa4c7034ap-5, -0x1.76984542212ffp-5, -0x1.d8c050695a96fp-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, -0x1.0f019812dfcc8p-8, 0x1.0f49ac6815c45p-5, -0x1.0235c84a77c8ap-4, -0x1.25f0b996e31f9p-4}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, -0x1.5ad0963845fd8p-9, 0x1.ae792c16d0f7dp-6, -0x1.2e4d17544d0d3p-4, -0x1.201d320448e64p-8}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, -0x1.8dc35e7647b12p-10, 0x1.35033db420ba8p-6, -0x1.3100909924229p-4, 0x1.d3eeee943af7dp-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, -0x1.8af69b0a82c9bp-11, 0x1.840fc2160799bp-7, -0x1.0de83eb46c835p-4, 0x1.0708ea072b5b2p-3}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, -0x1.44ef3b8381b9ap-12, 0x1.976662404d457p-8, -0x1.7dfe57648bd09p-5, 0x1.2024b01fb9e9bp-3}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, -0x1.9b3ec752702c9p-14, 0x1.55eb45888ef2ep-9, -0x1.a2370ea305539p-6, 0x1.8b4d98fb52bf7p-4}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, -0x1.44ef3b8381bdbp-16, 0x1.98e0ff4746ffap-11, -0x1.6a10ff4ba75cbp-7, 0x1.bcc8d96ee0963p-5}, 
        {0x1.f99999999999ap+1, 0x1p+2, -0x1.44ef3b838227ep-20, 0x1.588dd58c42608p-14, -0x1.7cc859be1c04p-9, 0x1.2f1143e9c1585p-4}, 
      }}, 
      -0x1.2242d770fe1aap+0, 0x1.c3466a0af2bccp+2
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_c_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.966318b79a9a4p-6, 0x1.94e8c40487f2p-5, 0x1.2dde39d6181e3p-4, 0x1.8f2fb09d8f4cfp-4, 0x1.edd34992c7f7dp-4, 0x1.24a31e6cef6dfp-3, 0x1.508cb15abd146p-3, 0x1.7a77746c0048fp-3, 0x1.a23dc18d3d99bp-3, 0x1.c7c20721e4344p-3, 0x1.eaee0409cc5ddp-3, 0x1.05d8f6653c3e1p-2, 0x1.1501e74529a64p-2, 0x1.22ef8310ddffbp-2, 0x1.2fa18526a3a08p-2, 0x1.3b19d56835c7ep-2, 0x1.455be1f40cb62p-2, 0x1.4e6caff3de493p-2, 0x1.56526b8366c56p-2, 0x1.5d14919688a06p-2, 0x1.62bafdbb917bcp-2, 0x1.674f53a0f737cp-2, 0x1.6ada91d3fe39cp-2, 0x1.6d6735691e50cp-2, 0x1.6f00a466553f1p-2, 0x1.6fb0fd0c1d5c9p-2, 0x1.6f8393374259ap-2, 0x1.6e84473ef34a4p-2, 0x1.6cbe743d2145fp-2, 0x1.6a3df7ad5e5e1p-2, 0x1.670e5b51ba00ap-2, 0x1.633b081761e93p-2, 0x1.5ecf70197156ep-2, 0x1.59d6dfa5946a9p-2, 0x1.545c5640fd5e9p-2, 0x1.4e6a8d42d71b9p-2, 0x1.480bffd51da6cp-2, 0x1.414ae16250976p-2, 0x1.3a311026cfa67p-2, 0x1.32c80b3e25f1p-2, 0x1.2b18ec073fe6ep-2, 0x1.232c64b300f9cp-2, 0x1.1b0ac49c3a4b7p-2, 0x1.12bbfddc71bc9p-2, 0x1.0a47a5a762cc8p-2, 0x1.01b4ede3e556ap-2, 0x1.f2153be3bec1p-3, 0x1.e09e2444feadep-3, 0x1.cf1084be9ca5p-3, 0x1.bd77917a479cep-3, 0x1.abddc3b2c4983p-3, 0x1.9a4cd3637288ep-3, 0x1.88cdbb3bd1226p-3, 0x1.7768d05bc691ep-3, 0x1.6624953d7304ep-3, 0x1.550a1f2a840d2p-3, 0x1.441fcf3d79156p-3, 0x1.336b994dbcc9ep-3, 0x1.22f2bfee96e2cp-3, 0x1.12b9fbec33dc5p-3, 0x1.02c59abc3691fp-3, 0x1.e633119e1752p-4, 0x1.c77294f1b7e86p-4, 0x1.a94fdd210eaf6p-4, 0x1.8bd00c947d70cp-4, 0x1.6ef750e6a67adp-4, 0x1.52c8fec59abc1p-4, 0x1.3747b8bf4dd5ep-4, 0x1.1c7594c8f81b6p-4, 0x1.02543875e1ba1p-4, 0x1.d1c9d3c313ceap-5, 0x1.a0512f9cd0cap-5, 0x1.703fb9df70a98p-5, 0x1.419602a7a4767p-5, 0x1.1453f61537d95p-5, 0x1.d0f1b7a2a6447p-6, 0x1.7c06a8fa777f3p-6, 0x1.29e2ac8a589aap-6, 0x1.b500ad3cd0b44p-7, 0x1.1bb1d37f4a7bcp-7, 0x1.0f91a55951ddp-8, -0x1.b3244a859947bp-13, -0x1.20451c280bbbfp-8, -0x1.144f09f8056c3p-7, -0x1.93695822f11e3p-7, -0x1.06c501f122968p-6, -0x1.4165548b666a8p-6, -0x1.79a2ec68d89aep-6, -0x1.af8b8377923c4p-6, -0x1.e32d3ed0450bfp-6, -0x1.0a4b550723b9bp-5, -0x1.21eb596bcae43p-5, -0x1.387e518bb7b48p-5, -0x1.4e0c0c38f248ep-5, -0x1.629c7be8fa545p-5, -0x1.7637ae58b95f4p-5, -0x1.88e5c25394c2ep-5, -0x1.9aaedc48d1badp-5, -0x1.ab9b1a8a71bbap-5, -0x1.bbb28a01ef049p-5, -0x1.cafd1beadbf48p-5, -0x1.d9829cdb127e2p-5, -0x1.e74aad2b5fe96p-5, -0x1.f45cbac1c9e0fp-5, -0x1.005ffe25ccae3p-4, -0x1.063db707f4335p-4, -0x1.0bcae84b29383p-4, -0x1.110ad4accbf35p-4, -0x1.1600a2ceef8ep-4, -0x1.1aaf5fa4f369ep-4, -0x1.1f0728c6a59cep-4, -0x1.232e0c11b6c4bp-4, -0x1.27176eed9792ap-4, -0x1.2ac64b1bd60d6p-4, -0x1.2e3d828e9067ap-4, -0x1.317fddc51c8ep-4, -0x1.34900ac1331a6p-4, -0x1.37709c93e92c8p-4, -0x1.3a240b6509b8fp-4, -0x1.3cacb4c7e0019p-4, -0x1.3f0cdc2f1050ep-4, -0x1.4146ab5b4ebf3p-4, -0x1.435c32b1f0405p-4, -0x1.454f697b15effp-4, -0x1.47222e16ec8cep-4, -0x1.48d646430c22dp-4, -0x1.4a6d5f8b37b79p-4, -0x1.4be90ffc357cp-4, -0x1.4d4ad725f5133p-4, -0x1.4e941f6e38db6p-4, -0x1.4fc63fa8b9ca8p-4, -0x1.50e27cdf6cdcap-4, -0x1.51ea0c2e4985bp-4, -0x1.52de14927fef3p-4, -0x1.53bfb08d7c71bp-4, -0x1.548fef7fee2fcp-4, -0x1.554fd6a7c1577p-4, -0x1.560061b48a62bp-4, -0x1.56a282ef583c8p-4, -0x1.573722fc624p-4, -0x1.57bf20455b35dp-4, -0x1.583b4e21e1ce3p-4, -0x1.58ac73d7ecd39p-4, -0x1.59134b8fd83e5p-4, -0x1.5970815722f65p-4, -0x1.59c4b24a0bf45p-4, -0x1.5a106bf7b9773p-4, -0x1.5a542c0f002d2p-4, -0x1.5a90605bab139p-4, -0x1.5ac5671641b56p-4, -0x1.5af38f82b756dp-4, -0x1.5b1b1ad5f37fdp-4, -0x1.5b3c3d5695eeep-4, -0x1.5b571fab1bb94p-4, -0x1.5b6be0464d782p-4, -0x1.5b7a94e2bf6d9p-4, -0x1.5b834bfee97b7p-4, -0x1.5b860e4cc0aaap-4, -0x1.5b82e009b054p-4, -0x1.5b79c23610994p-4, -0x1.5b6ab3a59cc5dp-4, -0x1.5b55b1e4e3386p-4, -0x1.5b3ab9f1ee0d2p-4, -0x1.5b19c8c8835cep-4, -0x1.5af2dbc42ae8p-4, -0x1.5ac5f0db935e3p-4, -0x1.5a9306ba219b1p-4, -0x1.5a5a1cbd07177p-4, -0x1.5a1b32d9c9b89p-4, -0x1.59d649740d48bp-4, -0x1.598b6128520cbp-4, -0x1.593a7a90da9acp-4, -0x1.58e3960956cbcp-4, -0x1.5886b37535603p-4, -0x1.5823d20bb15d7p-4, -0x1.57baf02be033fp-4, -0x1.574c0b3a3f4f6p-4, -0x1.56d71f8877adbp-4, -0x1.565c28476cf17p-4, -0x1.55db1f832b92ep-4, -0x1.5553fe27c200bp-4, -0x1.54c6bc0dd945fp-4, -0x1.5433500dbd04fp-4, -0x1.5399b01750742p-4, -0x1.52f9d14da8f91p-4, -0x1.5253a82512127p-4, -0x1.51a7288263e9p-4, -0x1.50f445dafb8bep-4, -0x1.503af354b16afp-4, -0x1.4f7b23e582963p-4, -0x1.4eb4ca72cc36fp-4, -0x1.4de7d9f014dc1p-4, -0x1.4d14457d82642p-4, -0x1.4c3a00861d3c1p-4, -0x1.4b58fede08897p-4, -0x1.4a7134e0be32fp-4, -0x1.4982978f5739fp-4, -0x1.488d1caece183p-4, -0x1.4790bae60d927p-4, -0x1.468d69db8a07p-4, -0x1.4583225223125p-4, -0x1.4471de44deb5cp-4, -0x1.4359990124cebp-4, -0x1.423a4f3f2125bp-4, -0x1.4113ff37dc5fep-4, -0x1.3fe6a8b8c5ce9p-4, -0x1.3eb24d346168fp-4, -0x1.3d76efcfe2dfbp-4, -0x1.3c34956d86ffp-4, -0x1.3aeb44b39d799p-4, -0x1.399b061029f34p-4, -0x1.3843e3b93953fp-4, -0x1.36e5e9a9eaacfp-4, -0x1.3581259c5d211p-4, -0x1.3415a700af242p-4, -0x1.32a37ef142164p-4, -0x1.312ac0248ec15p-4, -0x1.2fab7edcca0e7p-4, -0x1.2e25d0d5b45f3p-4, -0x1.2c99cd30de21cp-4, -0x1.2b078c60b8017p-4, -0x1.296f2812cb95ep-4, -0x1.27c667ff2c601p-4, -0x1.2623436fa26eap-4, -0x1.247a5d77a0d76p-4, -0x1.22cbcfea1d5f2p-4, -0x1.2117b583bb7e3p-4, -0x1.1f5e29df800b6p-4, -0x1.1d9f496b4a254p-4, -0x1.1bdb315c28653p-4, -0x1.1a11ffa2a8f7dp-4, -0x1.1843d2df368dbp-4, -0x1.1670ca569225bp-4, -0x1.149905e6727ccp-4, -0x1.12bca5fa5791p-4, -0x1.10dbcb8090ce7p-4, -0x1.0ef697df7e857p-4, -0x1.0d0d2ceb0dc8ap-4, -0x1.0b1facda70fcap-4, -0x1.092e3a3e18f7cp-4, -0x1.0738f7f5ea4c5p-4, -0x1.05400927b0abfp-4, -0x1.03439135d76f1p-4, -0x1.0143b3b65f27p-4, -0x1.fe8128d42d229p-5, -0x1.fa74ae683486bp-5, -0x1.f66240232918ap-5, -0x1.f24a262393bb4p-5, -0x1.ee2ca89ccfbffp-5, -0x1.ea0a0fc83de59p-5, -0x1.e5e2a3d70a0fp-5, -0x1.e1b6ace4813bbp-5, -0x1.dd8672e8f9296p-5, -0x1.d9523dad504f9p-5, -0x1.d51a54beeefbp-5, -0x1.d0deff6467cc1p-5, -0x1.cca0849293p-5, -0x1.c85f2ae23947ep-5, -0x1.c41b38864019bp-5, -0x1.bfd4f3424e564p-5, -0x1.bb8ca061f5ee8p-5, -0x1.b74284b04336fp-5, -0x1.b2f6e46fc3285p-5, -0x1.aeaa0352ed8c1p-5, -0x1.aa5c2474ef36bp-5, -0x1.a60d8a52cb83dp-5, -0x1.a1be76c4d8994p-5, -0x1.9d6f2af87feb7p-5, -0x1.991fe76a43044p-5, -0x1.94d0ebe0048b8p-5, -0x1.9082776383fa5p-5, -0x1.8c34c83d0a8fcp-5, -0x1.87e81bee476cp-5, -0x1.839caf2d52b8ep-5, -0x1.7f52bddfd07dp-5, -0x1.7b0a831633cdcp-5, -0x1.76c4390720f79p-5, -0x1.7280190ae8a0dp-5, -0x1.6e3e5b971d511p-5, -0x1.69ff383a3e6d8p-5, -0x1.65c2e59782e13p-5, -0x1.61899962b669cp-5, -0x1.5d53885c3f01ap-5, -0x1.5920e64d3494cp-5, -0x1.54f1e6039eb62p-5, -0x1.50c6b94edb7f4p-5, -0x1.4c9f90fc2673fp-5, -0x1.487c9cd35102ep-5, -0x1.445e0b93a868fp-5, -0x1.40440af10bc8ap-5, -0x1.3c2ec79141966p-5, -0x1.381e6d097f554p-5, -0x1.341325dc331efp-5, -0x1.300d1b7708fc3p-5, -0x1.2c0c7631401b6p-5, -0x1.28115d4a36365p-5, -0x1.241bf6e845a7p-5, -0x1.202c6817e8182p-5, -0x1.1c42d4cb258fcp-5, -0x1.185f5fd949238p-5, -0x1.14822afee6f41p-5, -0x1.10ab56de217d7p-5, -0x1.0cdb02ff43b21p-5, -0x1.09114dd197413p-5, -0x1.054e54ac840b4p-5, -0x1.019233d0f37ecp-5, -0x1.fbba0cd5e03fp-6, -0x1.f45dcd270cfd3p-6, -0x1.ed0fdaa5ae366p-6, -0x1.e5d06544d6edp-6, -0x1.de9f9adf646c2p-6, -0x1.d77da73d5be04p-6, -0x1.d06ab419a2b75p-6, -0x1.c966e927fec6ap-6, -0x1.c2726c1b5ab36p-6, -0x1.bb8d60ac55a67p-6, -0x1.b4b7e89ffd385p-6, -0x1.adf223ceb737bp-6, -0x1.a73c302b673f6p-6, -0x1.a09629ca9f8f7p-6, -0x1.9a002ae9fc1e1p-6, -0x1.937a4bf78d245p-6, -0x1.8d04a399555eap-6, -0x1.869f46b4d65fdp-6, -0x1.804a487694736p-6, -0x1.7a05ba59b5f04p-6, -0x1.73d1ac2f89eb1p-6, -0x1.6dae2c270e34ap-6, -0x1.679b46d478dc4p-6, -0x1.61990738a6f57p-6, -0x1.5ba776c880ceep-6, -0x1.55c69d745aa4fp-6, -0x1.4ff681af3170ep-6, -0x1.4a372875e2cacp-6, -0x1.448895564a0e3p-6, -0x1.3eeaca764d4fcp-6, -0x1.395dc89ad5e9ep-6, -0x1.33e18f2eace49p-6, -0x1.2e761c49526f6p-6, -0x1.291b6cb5a9bb6p-6, -0x1.23d17bf8b232dp-6, -0x1.1e9844580beadp-6, -0x1.196fbee083d25p-6, -0x1.1457e36c80eaap-6, -0x1.0f50a8aa67a63p-6, -0x1.0a5a0422ed179p-6, -0x1.0573ea3f63cbfp-6, -0x1.009e4e4fee9b6p-6, -0x1.f7b245236f651p-7, -0x1.ee48b06a347b3p-7, -0x1.e4ffbec7765ecp-7, -0x1.dbd74e8d5d671p-7, -0x1.d2cf3c1912705p-7, -0x1.c9e761dee6905p-7, -0x1.c11f98766b502p-7, -0x1.b877b6a6a70b8p-7, -0x1.afef91721c46ap-7, -0x1.a786fc22f9d4bp-7, -0x1.9f3dc857428cbp-7, -0x1.9713c60cf6665p-7, -0x1.8f08c3ae3fcffp-7, -0x1.871c8e1dc162cp-7, -0x1.7f4ef0c2d41c8p-7, -0x1.779fb595d513bp-7, -0x1.700ea52c90ba3p-7, -0x1.689b86c6a7166p-7, -0x1.6146205a07e9p-7, -0x1.5a0e369f71a3dp-7, -0x1.52f38d1f02abcp-7, -0x1.4bf5e63cd8ae7p-7, -0x1.45150345b1cb4p-7, -0x1.3e50a47b9bf45p-7, -0x1.37a88922ae949p-7, -0x1.311c6f8dc5e7p-7, -0x1.2aac152b39848p-7, -0x1.24573691afa7bp-7, -0x1.1e1d8f8cd1563p-7, -0x1.17fedb2a09a88p-7, -0x1.11fad3c53c1p-7, -0x1.0c1133156eee2p-7, -0x1.0641b2396741p-7, -0x1.008c09c436f1p-7, -0x1.f5dfe3935cd18p-8, -0x1.eada43d577c24p-8, -0x1.e006a2c3495aep-8, -0x1.d5646e1c423bbp-8, -0x1.caf31302ad7d8p-8, -0x1.c0b1fe132b977p-8, -0x1.b6a09b7bdde4ap-8, -0x1.acbe57134d33ep-8, -0x1.a30a9c6e9e2a8p-8, -0x1.9984d6f76b958p-8, -0x1.902c72012ba1cp-8, -0x1.8700d8dde2e8ap-8, -0x1.7e0176f25649bp-8, -0x1.752db7c9aa668p-8, -0x1.6c850728451fep-8, -0x1.6406d11e2e704p-8, -0x1.5bb28218800d6p-8, -0x1.538786f266b29p-8, -0x1.4b854d05303a3p-8, -0x1.43ab4237d05a6p-8, -0x1.3bf8d50d7277fp-8, -0x1.346d74b36d91ap-8, -0x1.2d08910e63174p-8, -0x1.25c99ac697082p-8, -0x1.1eb003539e575p-8, -0x1.17bb3d072e195p-8, -0x1.10eabb172ef47p-8, -0x1.0a3df1a72be68p-8, -0x1.03b455d0eec8p-8, -0x1.fa9abb58f9ddp-9, -0x1.ee1100aea68f6p-9, -0x1.e1ca6bf638616p-9, -0x1.d5c5efa6f90c2p-9, -0x1.ca02806761b3bp-9, -0x1.be7f151671c05p-9, -0x1.b33aa6d477da7p-9, -0x1.a834310a6e1c8p-9, -0x1.9d6ab170a6103p-9, -0x1.92dd281492edfp-9, -0x1.888a975da01a2p-9, -0x1.7e7204117ed6bp-9, -0x1.749275578db52p-9, -0x1.6aeaf4bbc5e05p-9, -0x1.617a8e312e3c6p-9, -0x1.58405013a4847p-9, -0x1.4f3b4b29687b7p-9, -0x1.466a92a42d84p-9, -0x1.3dcd3c21fd7f2p-9, -0x1.35625fad831b1p-9, -0x1.2d2917beabf4dp-9, -0x1.2520813ad510fp-9, -0x1.1d47bb74811cbp-9, -0x1.159de82b83c6cp-9, -0x1.0e222b8cdb776p-9, -0x1.06d3ac326e52ep-9, -0x1.ff632645d7a67p-10, -0x1.f17617a31db6ap-10, -0x1.e3de883be4bcdp-10, -0x1.d69ad8a7e953dp-10, -0x1.c9a96e56b5052p-10, -0x1.bd08b3902203ep-10, -0x1.b0b71773bfccbp-10, -0x1.a4b30df8ee2bap-10, -0x1.98fb0feeb3938p-10, -0x1.8d656dab0cc9dp-10, -0x1.8238439527558p-10, -0x1.775350f039662p-10, -0x1.6cb51964dc23cp-10, -0x1.625c25bc7d367p-10, -0x1.584703e4f6a2ap-10, -0x1.4e7446f2e1425p-10, -0x1.44e2872311537p-10, -0x1.3b9061db9ded5p-10, -0x1.327c79abd37e5p-10, -0x1.29a5764bab8f9p-10, -0x1.210a049a256ecp-10, -0x1.18a8d69b6e6d3p-10, -0x1.1080a3765a7bap-10, -0x1.0890277045324p-10, -0x1.00d623e99a61ap-10, -0x1.f2a2beb1e050ep-11, -0x1.e4014a8bad3a7p-11, -0x1.d5c58c8616d74p-11, -0x1.c7ed2fd057ed9p-11, -0x1.ba75e995795f1p-11, -0x1.ad5d78edd19dbp-11, -0x1.a0a1a6cf504efp-11, -0x1.944045fcdaca4p-11, -0x1.883732f56e7f9p-11, -0x1.7c8453e12848bp-11, -0x1.7125987ecfaf3p-11, -0x1.6618fa1046b22p-11, -0x1.5b5c7b452b06cp-11, -0x1.50ee2827b3faep-11, -0x1.46cc16057ad4fp-11, -0x1.3cf46359c11b7p-11, -0x1.336537b6f07a5p-11, -0x1.2a1cc3af439c8p-11, -0x1.211940bd1c9abp-11, -0x1.1858f12af6fc3p-11, -0x1.0fda1ffae95a6p-11, -0x1.079b20cddf2ecp-11, -0x1.ff349f94466e7p-12, -0x1.efac2304adad7p-12, -0x1.e099a5b6a72cfp-12, -0x1.d1fa11e51e84cp-12, -0x1.c3ca6206a7427p-12, -0x1.b607a09a1731dp-12, -0x1.a8aee7ef83284p-12, -0x1.9bbd61f5c6a42p-12, -0x1.8f3048014f71dp-12, -0x1.8304e298730cbp-12, -0x1.7738893ceb514p-12, -0x1.6bc8a235988a4p-12, -0x1.60b2a257e55d9p-12, -0x1.55f40cd2a82dfp-12, -0x1.4b8a72f6be9f1p-12, -0x1.417374006d74cp-12, -0x1.37acbce29e47bp-12, -0x1.2e34080fde1d6p-12, -0x1.25071d447747ap-12, -0x1.1c23d1508c29fp-12, -0x1.138805e29092ap-12, -0x1.0b31a951943dbp-12, -0x1.031eb668c2bcap-12, -0x1.f69a68628e962p-13, -0x1.e7766b7c81d04p-13, -0x1.d8cdb3f0ea45bp-13, -0x1.ca9c96d36d94bp-13, -0x1.bcdf801190073p-13, -0x1.af92f21105e36p-13, -0x1.a2b385411ce44p-13, -0x1.963de7bc27f92p-13, -0x1.8a2edcdf8c67p-13, -0x1.7e833ce99a667p-13, -0x1.7337f495da567p-13, -0x1.684a04bb94fecp-13, -0x1.5db681ec1cc42p-13, -0x1.537a94138f2b9p-13, -0x1.49937618fa8ap-13, -0x1.3ffe75801005ap-13, -0x1.36b8f20c3de04p-13, -0x1.2dc05d649ba05p-13, -0x1.25123ab83780cp-13, -0x1.1cac1e64bca8dp-13, -0x1.148bad9c8ce08p-13, -0x1.0cae9e0f4d2bap-13, -0x1.0512b592df62p-13, -0x1.fb6b939b5b188p-14, -0x1.ed2b7fc2482eap-14, -0x1.df611831b3f99p-14, -0x1.d20863286594ap-14, -0x1.c51d83ef5a421p-14, -0x1.b89cba3813eedp-14, -0x1.ac82617e7ca57p-14, -0x1.a0caf06d36c74p-14, -0x1.9572f844041eep-14, -0x1.8a77243fed537p-14, -0x1.7fd439088af7ap-14, -0x1.7587141a06f2ep-14, -0x1.6b8cab37b010ep-14, -0x1.61e20bd9d8682p-14, -0x1.58845aa6f8937p-14, -0x1.4f70d2e406c2ap-14, -0x1.46a4c5f7cec3p-14, -0x1.3e1d9ad6fe2f4p-14, -0x1.35d8cd8914227p-14, -0x1.2dd3eea85f3ap-14, -0x1.260ca2df31243p-14, -0x1.1e80a26cfc42cp-14, -0x1.172db8ab32414p-14, -0x1.1011c393fe6d3p-14, -0x1.092ab34d0f4f1p-14, -0x1.027689b0b6385p-14, -0x1.f7e6b3b77ca72p-15, -0x1.eb3e8f798ebe3p-15, -0x1.def10f49e6848p-15, -0x1.d2fabbb4e4315p-15, -0x1.c7583c5c65e2fp-15, -0x1.bc06572160458p-15, -0x1.b101ef560f8p-15, -0x1.a64804f2b77fcp-15, -0x1.9bd5b3ccd785bp-15, -0x1.91a832cf9c32dp-15, -0x1.87bcd33f23d5ap-15, -0x1.7e10fff51aea2p-15, -0x1.74a23cad6fc66p-15, -0x1.6b6e254248a63p-15, -0x1.62726d0654c4dp-15, -0x1.59acde0aa8acep-15, -0x1.511b587e710f7p-15, -0x1.48bbd1f1379fbp-15, -0x1.408c54bb32e06p-15, -0x1.388aff51cc4afp-15, -0x1.30b603bac2ba7p-15, -0x1.290ba6d380505p-15, -0x1.218a3fca8b52dp-15, -0x1.1a30378687fd3p-15, -0x1.12fc0815cd30dp-15, -0x1.0bec3c19238e6p-15, -0x1.04ff6e3d479f9p-15, -0x1.fc6891667ce06p-16, -0x1.ef13094fd7212p-16, -0x1.e1fbd389b8e8fp-16, -0x1.d5209b64f77f9p-16, -0x1.c87f273406ba1p-16, -0x1.bc15575e66bb6p-16, -0x1.afe1257b0640bp-16, -0x1.a3e0a36158dd6p-16, -0x1.9811fa58a3284p-16, -0x1.8c736a389d6dcp-16, -0x1.81034899fa08ep-16, -0x1.75c0000cb484ap-16, -0x1.6aa80f4e5bb26p-16, -0x1.5fba0888bb77p-16, -0x1.54f490a269215p-16, -0x1.4a565e7a60d53p-16, -0x1.3fde3a381e97dp-16, }}, 
      {{0x1.6027e15152ff6p-6, 0x1.5f82a35ba516fp-5, 0x1.06d6198c9895dp-4, 0x1.5cfcdeaebece9p-4, 0x1.b1ef38d3eceedp-4, 0x1.02b6c4f6e81e6p-3, 0x1.2b9ead4535ba2p-3, 0x1.53964c5e740b5p-3, 0x1.7a8725ec7da54p-3, 0x1.a05df06001358p-3, 0x1.c50a54f7a3378p-3, 0x1.e87eb4a8bf011p-3, 0x1.0557f2adfcb22p-2, 0x1.15ca872a1e9d3p-2, 0x1.2593b8d30d886p-2, 0x1.34b118d8dc9c4p-2, 0x1.432115752a03bp-2, 0x1.50e2e834ad2a8p-2, 0x1.5df6700344147p-2, 0x1.6a5c43f29602dp-2, 0x1.761557faee4c6p-2, 0x1.812385fdf82a3p-2, 0x1.8b886f27c8eb5p-2, 0x1.9546dd49dea4ap-2, 0x1.9e619d5143518p-2, 0x1.a6db34f6082fdp-2, 0x1.aeb7b0dbd49d2p-2, 0x1.b5fa3d31f558fp-2, 0x1.bca6c04714ba8p-2, 0x1.c2c12dfc333cep-2, 0x1.c84d9bd979d2cp-2, 0x1.cd503c71feb3ep-2, 0x1.d1cd61a8dab05p-2, 0x1.d5c96f6a6056ap-2, 0x1.d948cc478c112p-2, 0x1.dc4fec1d2c354p-2, 0x1.dee34d6076fe1p-2, 0x1.e10766791a43cp-2, 0x1.e2c0a62dc1805p-2, 0x1.e4137a46ce7e6p-2, 0x1.e50446d42bacp-2, 0x1.e5975d381024bp-2, 0x1.e5d0feeb659f9p-2, 0x1.e5b55fa4b881dp-2, 0x1.e5489f6deca8dp-2, 0x1.e48ec534e937ep-2, 0x1.e38bbf91d4c63p-2, 0x1.e24366b405a3dp-2, 0x1.e0b97a7950c72p-2, 0x1.def19ea7f6e3fp-2, 0x1.dcef5953d09d6p-2, 0x1.dab6140616cf6p-2, 0x1.d8491d821e13dp-2, 0x1.d5abaa56e6f82p-2, 0x1.d2e0694799a08p-2, 0x1.cfeb2aaece992p-2, 0x1.ccce62d883a1ap-2, 0x1.c98cd1263b12fp-2, 0x1.c6291a40a73fcp-2, 0x1.c2a5c9ae9462ap-2, 0x1.bf0552e1d48f1p-2, 0x1.bb4a119a0642fp-2, 0x1.b77649cab39f9p-2, 0x1.b38c27711089bp-2, 0x1.af8dbebed6075p-2, 0x1.ab7d0cb679afbp-2, 0x1.a75bf8043be85p-2, 0x1.a32c51bf0771bp-2, 0x1.9eefd5d77b4bcp-2, 0x1.9aa82b3538e68p-2, 0x1.9656e3b353894p-2, 0x1.91fd7c3cce0b8p-2, 0x1.8d9d5d38c0885p-2, 0x1.8937db52a36f9p-2, 0x1.84ce388834645p-2, 0x1.8061a54ffe594p-2, 0x1.7bf341a6dc5bep-2, 0x1.77841ddfcb6dfp-2, 0x1.73153b2af32aap-2, 0x1.6ea78be4dd2b4p-2, 0x1.6a3bf3d12a78bp-2, 0x1.65d34865083d4p-2, 0x1.616e5136a1e55p-2, 0x1.5d0dc8920d96ap-2, 0x1.58b25c2528edp-2, 0x1.545cadb007992p-2, 0x1.500d53ac0ac69p-2, 0x1.4bc4d9e1e3f8bp-2, 0x1.4783c1ea0da26p-2, 0x1.434a839493befp-2, 0x1.3f198d377f257p-2, 0x1.3af143e916dep-2, 0x1.36d203b283d0fp-2, 0x1.32bc1fcbc3519p-2, 0x1.2eafe2efe32e3p-2, 0x1.2aad8fcfe1aa5p-2, 0x1.26b5619ed6848p-2, 0x1.22c78ca88dff5p-2, 0x1.1ee43ee027436p-2, 0x1.1b0ba057c4aefp-2, 0x1.173dd39a9facp-2, 0x1.137af5ec14339p-2, 0x1.0fc31f7537756p-2, 0x1.0c16636d09835p-2, 0x1.0874d045b6a74p-2, 0x1.04de6fe50849ap-2, 0x1.015347e93865dp-2, 0x1.fba6b3ef58ef8p-3, 0x1.f4bd482297dddp-3, 0x1.edea41d076a09p-3, 0x1.e72d44941bef9p-3, 0x1.e086ddf396f1dp-3, 0x1.d9f6a3ce8bdf9p-3, 0x1.d37c765956066p-3, 0x1.cd18312de1facp-3, 0x1.c6c9abc39fep-3, 0x1.c090b9dfef585p-3, 0x1.ba6d2bfc207acp-3, 0x1.b45ecf9f986p-3, 0x1.ae656fae5a5d2p-3, 0x1.a880d4ad76508p-3, 0x1.a2b0c4ff8ef28p-3, 0x1.9cf5051c12eafp-3, 0x1.974d57c36fd6bp-3, 0x1.91b97e320dec8p-3, 0x1.8c3938533cadbp-3, 0x1.86cc44f475c9fp-3, 0x1.817261f87bf35p-3, 0x1.7c2b4c897fe2cp-3, 0x1.76f6c148f0fcdp-3, 0x1.71d47c7bb6c53p-3, 0x1.6cc43a31d4ec1p-3, 0x1.67c5b668fc2cbp-3, 0x1.62d8ad2a17d2bp-3, 0x1.5dfcdaa279be4p-3, 0x1.5931fb3984542p-3, 0x1.5477cba3d4126p-3, 0x1.4fce08f4d6489p-3, 0x1.4b3470af6d0a9p-3, 0x1.46aac0d5ef87ap-3, 0x1.4230b7f9ad79fp-3, 0x1.3dc61549c9b3fp-3, 0x1.396a98a151672p-3, 0x1.351e02945c3fdp-3, 0x1.30e0147c38d99p-3, 0x1.2cb09082a4ac2p-3, 0x1.288f39ac38c74p-3, 0x1.247bd3e225c1bp-3, 0x1.207623fb75641p-3, 0x1.1c7defc5ca25p-3, 0x1.1892fe0db355ap-3, 0x1.14b516a66a029p-3, 0x1.10e40270d6e03p-3, 0x1.0d1f8b61b9abap-3, 0x1.09677c86b0ea8p-3, 0x1.05bba20a1151fp-3, 0x1.021bc93559d14p-3, 0x1.fd0f80e49854dp-4, 0x1.f5feae9534859p-4, 0x1.ef04bccc7a931p-4, 0x1.e8214f1107c8ap-4, 0x1.e1540b181a152p-4, 0x1.da9c98bb77c08p-4, 0x1.d3faa1ede935ep-4, 0x1.cd6dd2ae79a9fp-4, 0x1.c6f5d8fb12638p-4, 0x1.c09264c2be0dbp-4, 0x1.ba4327d8066dep-4, 0x1.b407d5e3c6354p-4, 0x1.ade024588b143p-4, 0x1.a7cbca66e70dcp-4, 0x1.a1ca80f29db36p-4, 0x1.9bdc0288b44fep-4, 0x1.96000b566a4adp-4, 0x1.90365920e4a1cp-4, 0x1.8a7eab3d6cce8p-4, 0x1.84d8c28a13122p-4, 0x1.7f44616682e32p-4, 0x1.79c14bacdc763p-4, 0x1.744f46aa662a5p-4, 0x1.6eee1917f3b8p-4, 0x1.699d8b11e6dp-4, 0x1.645d660fbb18p-4, 0x1.5f2d74db17013p-4, 0x1.5a0d838663f0ep-4, 0x1.54fd5f6303305p-4, 0x1.4ffcd6f72fa6ep-4, 0x1.4b0bb9f3b14f6p-4, 0x1.4629d9297b377p-4, 0x1.4157067f603p-4, 0x1.3c9314e7f6a4p-4, 0x1.37ddd857ce3c4p-4, 0x1.333725bc0cf52p-4, 0x1.2e9ed2f1880cep-4, 0x1.2a14b6bc5d5edp-4, 0x1.2598a8c0178b9p-4, 0x1.212a8178517f7p-4, 0x1.1cca1a31d3e2ep-4, 0x1.18774d041b643p-4, 0x1.1431f4cb377e8p-4, 0x1.0ff9ed21e75a7p-4, 0x1.0bcf125be6b55p-4, 0x1.07b141804f5e3p-4, 0x1.03a05843fff94p-4, 0x1.ff386a07ece66p-5, 0x1.f7496d7f250f3p-5, 0x1.ef737a2566ab1p-5, 0x1.e7b6505f6dbe8p-5, 0x1.e011b1b2a064fp-5, 0x1.d88560b881c6bp-5, 0x1.d1112111f9c93p-5, 0x1.c9b4b75a8c353p-5, 0x1.c26fe91b94c9ep-5, 0x1.bb427cbfb059cp-5, 0x1.b42c39866d538p-5, 0x1.ad2ce77864cabp-5, 0x1.a6444f5bd1d04p-5, 0x1.9f723aa9ce286p-5, 0x1.98b67384275a4p-5, 0x1.9210c4abfe0ecp-5, 0x1.8b80f97917779p-5, 0x1.8506ddd1ee1dbp-5, 0x1.7ea255fce140ep-5, 0x1.78530cb0979a5p-5, 0x1.7218d8510ad92p-5, 0x1.6bf386c72393p-5, 0x1.65e2e675fe329p-5, 0x1.5fe6c6354b393p-5, 0x1.59fef54bf7fafp-5, 0x1.542b436b1cab1p-5, 0x1.4e6b80a929095p-5, 0x1.48bf7d7d5821bp-5, 0x1.43270abb5c578p-5, 0x1.3da1f98f500d3p-5, 0x1.38301b79dde29p-5, 0x1.32d1424ca62c4p-5, 0x1.2d854026d7c99p-5, 0x1.284be7720740ap-5, 0x1.23250adf3013dp-5, 0x1.1e107d63ef70ap-5, 0x1.190e1237ec419p-5, 0x1.141d9cd26db2p-5, 0x1.0f3ef0e81b907p-5, 0x1.0a71e268ec6dfp-5, 0x1.05b6457e3747p-5, 0x1.010bee88f235bp-5, 0x1.f8e564401caf5p-6, 0x1.efd4ca1df9bd5p-6, 0x1.e6e5b8a8a84acp-6, 0x1.de17da4126c1ep-6, 0x1.d56ad9aa13b6ap-6, 0x1.ccde6205af064p-6, 0x1.c4721ed416c6dp-6, 0x1.bc25bbf1bdebp-6, 0x1.b3f8e59619147p-6, 0x1.abeb48526f49cp-6, 0x1.a3fc9110eb69dp-6, 0x1.9c2c6d13d2367p-6, 0x1.947a89f4e07bp-6, 0x1.8ce695a4db29dp-6, 0x1.85703e6b3a36bp-6, 0x1.7e1732e606cffp-6, 0x1.76db2209c85e7p-6, 0x1.6fbbbb21a700cp-6, 0x1.68b8adcf9948ap-6, 0x1.61d1aa0cbce4dp-6, 0x1.5b066029c954fp-6, 0x1.545680cf89a6p-6, 0x1.4dc1bcff88d9fp-6, 0x1.4747c614bfb72p-6, 0x1.40e84dc45bed1p-6, 0x1.3aa3061ea6e39p-6, 0x1.3477a18fe147ep-6, 0x1.2e65d2e14e733p-6, 0x1.286d4d3a348f3p-6, 0x1.228dc421009dbp-6, 0x1.1cc6eb7c5f3e3p-6, 0x1.171877946f7c9p-6, 0x1.11821d13fbf53p-6, 0x1.0c039109ba4e5p-6, 0x1.069c88e98f9e7p-6, 0x1.014cba8de93acp-6, 0x1.f827b872050c2p-7, 0x1.ede3492c8828ap-7, 0x1.e3cb95773e94p-7, 0x1.d9e00c55d55e7p-7, 0x1.d0201da68c018p-7, 0x1.c68b3a24efd6dp-7, 0x1.bd20d36ca439fp-7, 0x1.b3e05bfc27d99p-7, 0x1.aac947378ec66p-7, 0x1.a1db096b4bfcfp-7, 0x1.991517cee302cp-7, 0x1.9076e887a35dap-7, 0x1.87fff2ab45143p-7, 0x1.7fafae4296124p-7, 0x1.7785944c197a5p-7, 0x1.6f811ebe7e263p-7, 0x1.67a1c88b2a44cp-7, 0x1.5fe70da0b342fp-7, 0x1.58506aed28ac2p-7, 0x1.50dd5e607b2f9p-7, 0x1.498d66eea88a8p-7, 0x1.42600491eb62ap-7, 0x1.3b54b84cd964dp-7, 0x1.346b042c5773bp-7, 0x1.2da26b498ed23p-7, 0x1.26fa71cbbfd2ep-7, 0x1.20729cea04584p-7, 0x1.1a0a72ecf045dp-7, 0x1.13c17b3022765p-7, 0x1.0d973e23c5827p-7, 0x1.078b454ddce0dp-7, 0x1.019d1b4b9a77fp-7, 0x1.f79897a505946p-8, 0x1.ec30c76303dc9p-8, 0x1.e101e1a3d9a7bp-8, 0x1.d60b0470b5686p-8, 0x1.cb4b500af132ap-8, 0x1.c0c1e6ed64814p-8, 0x1.b66dedcda04e7p-8, 0x1.ac4e8b9cf178ap-8, 0x1.a262e9892d1c6p-8, 0x1.98aa32fd59befp-8, 0x1.8f2395a230c8bp-8, 0x1.85ce415e54d85p-8, 0x1.7ca9685680c48p-8, 0x1.73b43eed6544dp-8, 0x1.6aedfbc38802dp-8, 0x1.6255d7b6cbfap-8, 0x1.59eb0de205a95p-8, 0x1.51acdb9c27b01p-8, 0x1.499a807780062p-8, 0x1.41b33e40b39ebp-8, 0x1.39f658fda145ap-8, 0x1.326316ec17745p-8, 0x1.2af8c08076b9ep-8, 0x1.23b6a06420e94p-8, 0x1.1c9c0373df455p-8, 0x1.15a838be1b13bp-8, 0x1.0eda9180ea468p-8, 0x1.083261282407fp-8, 0x1.01aefd4b3bd9fp-8, 0x1.f69f7b5630f9fp-9, 0x1.ea27f85f795abp-9, 0x1.ddf629cbb2b84p-9, 0x1.d208cbf8e4671p-9, 0x1.c65e9f844c219p-9, 0x1.baf6694528f6fp-9, 0x1.afcef2473a3b6p-9, 0x1.a4e707c539f65p-9, 0x1.9a3d7b22e86adp-9, 0x1.8fd121e7507b3p-9, 0x1.85a0d5b687318p-9, 0x1.7bab744b92b03p-9, 0x1.71efdf72361d2p-9, 0x1.686cfd005b988p-9, 0x1.5f21b6cf7fe46p-9, 0x1.560cfab617daap-9, 0x1.4d2dba80d89d1p-9, 0x1.4482ebebb8d73p-9, 0x1.3c0b889af951p-9, 0x1.33c68e141a5e5p-9, 0x1.2bb2fdb6c0fabp-9, 0x1.23cfdcb5344fep-9, 0x1.1c1c340d2b2ccp-9, 0x1.14971080498c5p-9, 0x1.0d3f828c9a2b3p-9, 0x1.06149e64e9271p-9, 0x1.fe2af7d2331b1p-10, 0x1.f0826d3cab84fp-10, 0x1.e32ddb4e44225p-10, 0x1.d62b8776f97f2p-10, 0x1.c979be419ed0ep-10, 0x1.bd16d34409d96p-10, 0x1.b101210e0b6a8p-10, 0x1.a53709199fcaap-10, 0x1.99b6f3ba3ba91p-10, 0x1.8e7f500bc4a2dp-10, 0x1.838e93e2035eep-10, 0x1.78e33bb7c5bb1p-10, 0x1.6e7bca9d767cp-10, 0x1.6456ca283f79cp-10, 0x1.5a72ca60852a3p-10, 0x1.50ce61b0c2ff3p-10, 0x1.47682cd3b03f5p-10, 0x1.3e3ecec32f882p-10, 0x1.3550f0a635b9cp-10, 0x1.2c9d41bf229aap-10, 0x1.24227759e910bp-10, 0x1.1bdf4cba4b9ebp-10, 0x1.13d28309fa7bdp-10, 0x1.0bfae146140a9p-10, 0x1.0457342d831d2p-10, 0x1.f9cc9c5d7fa65p-11, 0x1.eb4e0eab31999p-11, 0x1.dd307a71fb342p-11, 0x1.cf71a5d1f6c3dp-11, 0x1.c20f61b83471p-11, 0x1.b50789bb07169p-11, 0x1.a85803f567979p-11, 0x1.9bfec0e1a5697p-11, 0x1.8ff9bb35cb84ep-11, 0x1.8446f7bed7d1fp-11, 0x1.78e4853c92aeep-11, 0x1.6dd07c3ce6567p-11, 0x1.6308fef833d37p-11, 0x1.588c392cb1285p-11, 0x1.4e585ffaae7fap-11, 0x1.446bb1c0b922p-11, 0x1.3ac475f7fd065p-11, 0x1.3160fd10c24d9p-11, 0x1.283fa04ec4b05p-11, 0x1.1f5ec1a68a479p-11, 0x1.16bccb9abd088p-11, 0x1.0e5831185c245p-11, 0x1.062f6d5516ac2p-11, 0x1.fc82075af424ap-12, 0x1.ed16ff04214eap-12, 0x1.de1ae82cb9239p-12, 0x1.cf8af8debd2ap-12, 0x1.c1647665693a6p-12, 0x1.b3a4b50a8a744p-12, 0x1.a64917d72eca4p-12, 0x1.994f105270ddbp-12, 0x1.8cb41e41e8f05p-12, 0x1.8075cf6b15892p-12, 0x1.7491bf5544e65p-12, 0x1.6905970bbfbcep-12, 0x1.5dcf0ce0a81cfp-12, 0x1.52ebe432ecea8p-12, 0x1.4859ed2fb20f2p-12, 0x1.3e17049a3cccfp-12, 0x1.3421139061a81p-12, 0x1.2a760f52b193fp-12, 0x1.2113f90afa62ep-12, 0x1.17f8dd94d286cp-12, 0x1.0f22d5468b0d2p-12, 0x1.069003baf1ac8p-12, 0x1.fc7d2f37552dcp-13, 0x1.ec5994d765a8fp-13, 0x1.dcb1c0ab522f6p-13, 0x1.cd824fe944e6ap-13, 0x1.bec7f4476c2d5p-13, 0x1.b07f73982e965p-13, 0x1.a2a5a764cc443p-13, 0x1.94c48af408786p-13, 0x1.87bfc7ef70c8p-13, 0x1.7b20e2b918592p-13, 0x1.6ee4fc7c1881ep-13, 0x1.6309486a49d79p-13, 0x1.578b0b6352e27p-13, 0x1.4c679b96f98bap-13, 0x1.419c603016031p-13, 0x1.3726d0fb04b98p-13, 0x1.2d047610adfd2p-13, 0x1.2332e77fa3994p-13, 0x1.19afccfcc265ap-13, 0x1.1078dd895dfe5p-13, 0x1.078bdf270c12cp-13, 0x1.fdcd4d0aa2b3fp-14, 0x1.ed0e2d63c1e8dp-14, 0x1.dcd641964188bp-14, 0x1.cd21876643efcp-14, 0x1.bdec1787c4acp-14, 0x1.af3225069ecb1p-14, 0x1.a0effcb934c57p-14, 0x1.932204a923ea6p-14, 0x1.85c4bb88b380ap-14, 0x1.78d4b82567ccp-14, 0x1.6c4ea8dded1e8p-14, 0x1.602f531ad1814p-14, 0x1.547392c691c9fp-14, 0x1.491859d2ad831p-14, 0x1.3e1aafac4d8cbp-14, 0x1.3377b0c26245bp-14, 0x1.292c8e06390dcp-14, 0x1.1f368c76be90ap-14, 0x1.159304a224a8ep-14, 0x1.0c3f6232b8e95p-14, 0x1.0339237a5ac99p-14, 0x1.f4fbb200a56b4p-15, 0x1.e4164a22d1b6ap-15, 0x1.d3bd76a11098p-15, 0x1.c3ecc0a3e1a4fp-15, 0x1.b49fd24d915e6p-15, 0x1.a5d275f98fedfp-15, 0x1.9780956b776d8p-15, 0x1.89a63909a9845p-15, 0x1.7c3f871a65518p-15, 0x1.6f48c2ffd3cefp-15, 0x1.62be4c804a6bcp-15, 0x1.569c9f0b0c2cfp-15, 0x1.4ae0510521bd1p-15, 0x1.3f8613163401bp-15, 0x1.348aaf81e4f8p-15, 0x1.29eb0971c021cp-15, 0x1.1fa41c5fee741p-15, 0x1.15b2fb5e2b51cp-15, 0x1.0c14d0918b20bp-15, 0x1.02c6dc7c0dae7p-15, 0x1.f38ceae750cf5p-16, 0x1.e2220e1151d2dp-16, 0x1.d14822e77ac12p-16, 0x1.c0fa520a95ccp-16, 0x1.b133eb3f4bec2p-16, 0x1.a1f0644947d5ap-16, 0x1.932b57ede0b1ep-16, 0x1.84e084e968fddp-16, 0x1.770bccf1b3133p-16, 0x1.69a933b974593p-16, 0x1.5cb4ddfd9d231p-16, 0x1.502b10949a8c4p-16, 0x1.44082f8def463p-16, 0x1.3848bd4136c3fp-16, 0x1.2ce95977a0b1ap-16, 0x1.21e6c08ed13aap-16, 0x1.173dcaae09741p-16, 0x1.0ceb6aee340e2p-16, 0x1.02ecae8b12212p-16, 0x1.f27d7865da5dcp-17, 0x1.dfbda658e21e1p-17, 0x1.cd94955698c6fp-17, 0x1.bbfd221f00415p-17, 0x1.aaf2569212a63p-17, 0x1.9a6f6804147ebp-17, 0x1.8a6fb64513ffep-17, 0x1.7aeeca076a35fp-17, 0x1.6be853cac0e7bp-17, 0x1.5d582a916df8fp-17, 0x1.4f3a4ab5e6852p-17, 0x1.418ad4b78daa4p-17, 0x1.34460c2766badp-17, 0x1.2768567775c6ep-17, 0x1.1aee39f575d74p-17, 0x1.0ed45cbab882dp-17, 0x1.031783a7135c2p-17, 0x1.ef6922c49b3acp-18, 0x1.d9510ac4fa923p-18, 0x1.c3e0f60427431p-18, 0x1.af135110e7a97p-18, 0x1.9ae2bcb11122fp-18, 0x1.874a0bd74d95fp-18, 0x1.744442aa36a96p-18, 0x1.61cc93eb0fe9ep-18, 0x1.4fde601b98ee5p-18, 0x1.3e753373ce424p-18, 0x1.2d8cc4f7d5ba1p-18, 0x1.1d20f453f7c11p-18, 0x1.0d2dc8ee128a2p-18, 0x1.fb5ee07aea219p-19, 0x1.dd44796f1dfb4p-19, 0x1.c0054878b7c99p-19, 0x1.a39a7e3bf28dap-19, 0x1.87fd8d34b4b45p-19, 0x1.6d2827c1eb915p-19, 0x1.53143db935a89p-19, 0x1.39bbfa12fcb7ep-19, 0x1.2119c11944fe6p-19, 0x1.09282dcdd419p-19, 0x1.e3c4205ff3d63p-20, 0x1.b684d675b37d5p-20, 0x1.8a88e60148221p-20, 0x1.5fc7150658095p-20, 0x1.3636854bddd8ap-20, 0x1.0dceaf31a1a84p-20, 0x1.cd0ebe7a6ce05p-21, 0x1.80b1657b9d80fp-21, 0x1.367627a021a68p-21, 0x1.dc9ce4fc27632p-22, 0x1.50587d301871bp-22, 0x1.90083c70c578fp-23, 0x1.0e175d556bbc3p-24, -0x1.e9da5ee14c0f3p-25, -0x1.74ae988381baap-23, -0x1.33e541e706e11p-22, -0x1.a9fb665dd17abp-22, -0x1.0e578dd25faep-21, -0x1.460a7b55ba912p-21, -0x1.7c206505cd434p-21, -0x1.b0a2d3fe365bcp-21, -0x1.e39af8f61bc23p-21, -0x1.0a88d6e405266p-20, -0x1.2287bd221fbeap-20, -0x1.39ce4b9403e01p-20, -0x1.5060789baee4fp-20, -0x1.664216f11c5cp-20, -0x1.7b76d6bf75676p-20, -0x1.900247587dcc9p-20, -0x1.a3e7d92a1a727p-20, -0x1.b72add28a9cc3p-20, -0x1.c9ce89414cc28p-20, -0x1.dbd5f7a6b890fp-20, -0x1.ed44289a9bc98p-20, -0x1.fe1c0377fbdf8p-20, -0x1.07302c19b90e3p-19, -0x1.0f09f028f5854p-19, -0x1.169c9fdc6d96p-19, -0x1.1de98338e24a9p-19, -0x1.24f1d8a1cede3p-19, }}, 
      {{0x1.e3ca49faf1487p-3, 0x1.fa1a41e3c2bbap-3, 0x1.0eeb00dadb7f7p-2, 0x1.26a03bbb88267p-2, 0x1.4332b67ba0b37p-2, 0x1.63a125437bd5ep-2, 0x1.86f0a1527156p-2, 0x1.ac3522b1697d1p-2, 0x1.d2966db0c28f5p-2, 0x1.f9536bcc4fcabp-2, 0x1.0fe15056c7956p-1, 0x1.22a95f688d2c8p-1, 0x1.34c46d84a797bp-1, 0x1.45ff800ffdd89p-1, 0x1.56318259efe6ep-1, 0x1.6539cb2715476p-1, 0x1.72ff6f198b1ep-1, 0x1.7f70764d6553ep-1, 0x1.8a80be7e5b4b5p-1, 0x1.9429448aee55ap-1, 0x1.9c670a847001dp-1, 0x1.a33bb63cae4ccp-1, 0x1.a8ab4abd04d89p-1, 0x1.acbd103d89a93p-1, 0x1.af7ac701cbaacp-1, 0x1.b0eeac434493cp-1, 0x1.b124f5a0a2272p-1, 0x1.b02cb550ae7c7p-1, 0x1.ae142ede6cf2ap-1, 0x1.aaeaaeaf88cd8p-1, 0x1.a6c0272ff6bedp-1, 0x1.a1a4d600fa36bp-1, 0x1.9ba903a0143b3p-1, 0x1.94dcffa2f3112p-1, 0x1.8d510efad7c76p-1, 0x1.8515444a40677p-1, 0x1.7c39640d0341ap-1, 0x1.72ccd3fe520b6p-1, 0x1.68de8846df14ap-1, 0x1.5e7cf17e7767ap-1, 0x1.53b5f1f48c8ap-1, 0x1.4896d8dcbbcf4p-1, 0x1.3d2c607f9804bp-1, 0x1.3182ae732b46ep-1, 0x1.25a553862c459p-1, 0x1.199f4836b44d6p-1, 0x1.0d7ae5a0c49cfp-1, 0x1.0141de67446f5p-1, 0x1.e9fa782035aep-2, 0x1.d16ac7cb0b0b2p-2, 0x1.b8e44607515d8p-2, 0x1.a075792638692p-2, 0x1.882be5a9c394dp-2, 0x1.70140dc4a6a4ep-2, 0x1.583ac7f5ac937p-2, 0x1.40a71b4ccc18bp-2, 0x1.2963ce241290ep-2, 0x1.127967cac03bep-2, 0x1.f7df4ae6ff6afp-3, 0x1.cb9adf571f248p-3, 0x1.a031aa6419938p-3, 0x1.75ae22cc3562p-3, 0x1.4c1939915e626p-3, 0x1.237a82f92bad5p-3, 0x1.f7b0b6b4929a8p-4, 0x1.aa70038ddeebap-4, 0x1.5f3b53d1dcba9p-4, 0x1.1619151835432p-4, 0x1.9e1bb8a922a11p-5, 0x1.14391eff9ea34p-5, 0x1.1d1a55cdb7951p-6, 0x1.a30166305aba1p-10, -0x1.c0a177717f21fp-7, -0x1.d27078a2d3bf3p-6, -0x1.5e1da04bd1bfap-5, -0x1.cee06247c0fb7p-5, -0x1.1dc507418da44p-4, -0x1.5212e85cdaa85p-4, -0x1.84602dec0491p-4, -0x1.b4b3e5fd5e2p-4, -0x1.e315c1a4ea37ep-4, -0x1.07c700e42a31dp-3, -0x1.1d12b1b8c8e4bp-3, -0x1.3172865ef80b4p-3, -0x1.44eb3da7b820ep-3, -0x1.5781ba782c203p-3, -0x1.693afd6ae8372p-3, -0x1.7a1c1fc82435ep-3, -0x1.8a2a4fa3f8512p-3, -0x1.996accc303cf6p-3, -0x1.a7e2e5d47fae4p-3, -0x1.b597f5a3e63c3p-3, -0x1.c28f600f7d04fp-3, -0x1.cece8ebbee31cp-3, -0x1.da5aed9435779p-3, -0x1.e539e722ffcdep-3, -0x1.ef70e0c302da6p-3, -0x1.f9053698e6788p-3, -0x1.00fe1ba86f3c4p-2, -0x1.052d8fda96169p-2, -0x1.09138b2b2180dp-2, -0x1.0cb293cc50cp-2, -0x1.100d21410173p-2, -0x1.13259b45afbcfp-2, -0x1.15fe594a8080ap-2, -0x1.1899a275b6bccp-2, -0x1.1af9ae129f18p-2, -0x1.1d20a446e461bp-2, -0x1.1f109ee879d8p-2, -0x1.20cbaa563a90ep-2, -0x1.224fb86a461f4p-2, -0x1.23a5f98970f6dp-2, -0x1.24cd6d998699cp-2, -0x1.25c7fec1404b5p-2, -0x1.269785b256266p-2, -0x1.273dc9a16e3bp-2, -0x1.27bc80b3396e7p-2, -0x1.281550c35e42dp-2, -0x1.2849d061a669cp-2, -0x1.285b87e00b381p-2, -0x1.284bf2508cfc4p-2, -0x1.281c7e5a1aa9ep-2, -0x1.27ce8ed6f7667p-2, -0x1.27637b3a32474p-2, -0x1.26dc8fc3ba1dcp-2, -0x1.263b0d916cba4p-2, -0x1.25802a9ef3bccp-2, -0x1.24ad11c6200f8p-2, -0x1.23c2e2ce7cbb7p-2, -0x1.22c2b29606b76p-2, -0x1.21ad8b5788aabp-2, -0x1.20846d0dda006p-2, -0x1.1f484def0c041p-2, -0x1.1dfa1af799fa4p-2, -0x1.1c9ab87c2c59cp-2, -0x1.1b2b02b83b23p-2, -0x1.19abce50b342fp-2, -0x1.181de8c383873p-2, -0x1.168218bf332dfp-2, -0x1.14d91e605da05p-2, -0x1.1323b35586929p-2, -0x1.11628aec44ae1p-2, -0x1.0f96520cb1017p-2, -0x1.0dbfaf297218cp-2, -0x1.0bdf422b4e462p-2, -0x1.09f5a45f18e2bp-2, -0x1.0803686bff9c7p-2, -0x1.06091a56ffc9cp-2, -0x1.04073f969f5e7p-2, -0x1.01fe57386904bp-2, -0x1.ffddb4300243p-3, -0x1.fbb2764c86359p-3, -0x1.f77bcf7ba491bp-3, -0x1.f33a90038c8e8p-3, -0x1.eeef7e85724ap-3, -0x1.ea9b58ccf07c8p-3, -0x1.e63ed49d6799p-3, -0x1.e1daa076d69e8p-3, -0x1.dd6f644cb29f5p-3, -0x1.d8fdc22a50f08p-3, -0x1.d48656c1d526cp-3, -0x1.d009b9e3d97b3p-3, -0x1.cb887edf57541p-3, -0x1.c70334ca94fa3p-3, -0x1.c27a66b6cb00fp-3, -0x1.bdee9bd13ae98p-3, -0x1.b9605774e11ffp-3, -0x1.b4d019304fd5dp-3, -0x1.b03e5cc35479cp-3, -0x1.abab9a17d7686p-3, -0x1.a718453911e1ep-3, -0x1.a284ce4bac36ep-3, -0x1.9df1a188e3c6bp-3, -0x1.995f273e2252ap-3, -0x1.94cdc3d1f426p-3, -0x1.903dd7cebc11dp-3, -0x1.8bafbff319cc8p-3, -0x1.8723d54793012p-3, -0x1.829a6d38ce3eap-3, -0x1.7e13d9b575dp-3, -0x1.7990694ecfb5p-3, -0x1.7510675af92ecp-3, -0x1.70941c17d4db3p-3, -0x1.6c1bcccdb97bdp-3, -0x1.67a7bbf12991p-3, -0x1.63382942ef4cbp-3, -0x1.5ecd51ee3430fp-3, -0x1.5a6770a446103p-3, -0x1.5606bdb5fe013p-3, -0x1.51ab6f2accca4p-3, -0x1.4d55b8d58ff33p-3, -0x1.4905cc67806b7p-3, -0x1.44bbd9817a17ep-3, -0x1.40780dc3fb49p-3, -0x1.3c3a94de2d051p-3, -0x1.3803989c46d66p-3, -0x1.33d340f5963c8p-3, -0x1.2fa9b41a5e899p-3, -0x1.2b871681b8bebp-3, -0x1.276b8af78ead7p-3, -0x1.235732aabf70dp-3, -0x1.1f4a2d3b565e7p-3, -0x1.1b4498c8d8d73p-3, -0x1.1746920071c94p-3, -0x1.1350342af2f9ap-3, -0x1.0f61993a6afe3p-3, -0x1.0b7ad9d735838p-3, -0x1.079c0d6c57416p-3, -0x1.03c54a32fee9bp-3, -0x1.ffed4a7a3bbe2p-4, -0x1.f86064fdeb0adp-4, -0x1.f0e409af2d101p-4, -0x1.e9785c30b07b8p-4, -0x1.e21d7e168cd0fp-4, -0x1.dad38ef144af9p-4, -0x1.d39aac571048p-4, -0x1.cc72f1ebb4a18p-4, -0x1.c55c79672a865p-4, -0x1.be575a9b481bfp-4, -0x1.b763ab78c51e7p-4, -0x1.b0818013d0462p-4, -0x1.a9b0eaa8671b2p-4, -0x1.a2eee437a2c3p-4, -0x1.9c4207876ca8bp-4, -0x1.95a6ef86f3737p-4, -0x1.8f1da6582fc86p-4, -0x1.88a6346df167bp-4, -0x1.8240a091ba619p-4, -0x1.7becefe9ea837p-4, -0x1.75ab26005019cp-4, -0x1.6f7b44c927e0ap-4, -0x1.695d4caa951c4p-4, -0x1.63513c848df9cp-4, -0x1.5d5711b936c4ep-4, -0x1.576ec835a59d6p-4, -0x1.51985a7afbd85p-4, -0x1.4bd3c1a7ce5fp-4, -0x1.4620f581c3e2cp-4, -0x1.407fec7f60fb2p-4, -0x1.3af09bd1eaf5ep-4, -0x1.3572f76f55e8cp-4, -0x1.3006f21c2c9bdp-4, -0x1.2aac7d7565fa3p-4, -0x1.256389fa1bba1p-4, -0x1.202c071518bb4p-4, -0x1.1b05e32634e85p-4, -0x1.15f10b8b7a61bp-4, -0x1.10ed6caa0e517p-4, -0x1.0bfaf1f6d84d6p-4, -0x1.071985feeabe9p-4, -0x1.0249126fa8f65p-4, -0x1.fb13003d5b273p-5, -0x1.f1b56e22e6538p-5, -0x1.e8793d0986beep-5, -0x1.df5e39e7dda21p-5, -0x1.d664303fa706fp-5, -0x1.cd8aea2b6a259p-5, -0x1.c4d2306bdd0dbp-5, -0x1.bc39ca74fb423p-5, -0x1.b3c17e7ae2a0ep-5, -0x1.ab69117e7858ep-5, -0x1.a3304759df158p-5, -0x1.9b16e2ccc782ep-5, -0x1.931ca5889b87fp-5, -0x1.8b41503c8e67cp-5, -0x1.8384a2a18efbdp-5, -0x1.7be65b8622b48p-5, -0x1.746638da26eb7p-5, -0x1.6d03f7ba79399p-5, -0x1.65bf547c872dp-5, -0x1.5e980ab9bfbc8p-5, -0x1.578dd55ae9fd6p-5, -0x1.50a06ea356e7cp-5, -0x1.49cf903bf1541p-5, -0x1.431af33e25827p-5, -0x1.3c82503e9e0eep-5, -0x1.36055f57d1c06p-5, -0x1.2fa3d8346123ap-5, -0x1.295d72194121cp-5, -0x1.2331e3efabe2ep-5, -0x1.1d20e44edd9e6p-5, -0x1.172a298594323p-5, -0x1.114d69a354acbp-5, -0x1.0b8a5a8175601p-5, -0x1.05e0b1cbea633p-5, -0x1.00502509d6425p-5, -0x1.f5b0d34bbaeecp-6, -0x1.eaf269ec805bep-6, -0x1.e06478896f07p-6, -0x1.d60669ac32dbp-6, -0x1.cbd7a7e3895c6p-6, -0x1.c1d79dd1ab17dp-6, -0x1.b805b63a4acfep-6, -0x1.ae615c10284b7p-6, -0x1.a4e9fa82458e2p-6, -0x1.9b9efd08b6badp-6, -0x1.927fcf710b3a3p-6, -0x1.898bddea6db1cp-6, -0x1.80c2951155803p-6, -0x1.782361faefbf3p-6, -0x1.6fadb24029f9bp-6, -0x1.6760f408751bdp-6, -0x1.5f3c961428aedp-6, -0x1.574007c6a11f2p-6, -0x1.4f6ab9300c619p-6, -0x1.47bc1b16e4442p-6, -0x1.40339f0120433p-6, -0x1.38d0b73d1727p-6, -0x1.3192d6ea1771cp-6, -0x1.2a797200ab5ccp-6, -0x1.2383fd5a9e347p-6, -0x1.1cb1eebaa200ep-6, -0x1.1602bcd3b8aa2p-6, -0x1.0f75df5048abp-6, -0x1.090aced8e23fcp-6, -0x1.02c1051ac1bbp-6, -0x1.f92ff99becc04p-7, -0x1.ed1e637689f67p-7, -0x1.e14c41837e5c9p-7, -0x1.d5b88fb810d23p-7, -0x1.ca624c4a9dc34p-7, -0x1.bf4877bbfdc4dp-7, -0x1.b46a14e0461f2p-7, -0x1.a9c628e703a53p-7, -0x1.9f5bbb62d7eb1p-7, -0x1.9529d6508df93p-7, -0x1.8b2f861d9f71dp-7, -0x1.816bd9ae2b914p-7, -0x1.77dde2626b4bdp-7, -0x1.6e84b41ba1203p-7, -0x1.655f65407efe1p-7, -0x1.5c6d0ec11b953p-7, -0x1.53accc1a6a634p-7, -0x1.4b1dbb5932471p-7, -0x1.42befd1ca33ffp-7, -0x1.3a8fb49873246p-7, -0x1.328f0796942bbp-7, -0x1.2abc1e7885db3p-7, -0x1.23162438446adp-7, -0x1.1b9c4668d70e8p-7, -0x1.144db5368f932p-7, -0x1.0d29a366e416bp-7, -0x1.062f465806e31p-7, -0x1.febbac005095ap-8, -0x1.f16919d8e017cp-8, -0x1.e465507f6ba06p-8, -0x1.d7aecf61dd0f2p-8, -0x1.cb441b12ce2d8p-8, -0x1.bf23bd456a8f5p-8, -0x1.b34c44c8fefa3p-8, -0x1.a7bc45840c638p-8, -0x1.9c72586efc5bp-8, -0x1.916d1b8e7ccb3p-8, -0x1.86ab31ed87d8dp-8, -0x1.7c2b43970354bp-8, -0x1.71ebfd8f309c1p-8, -0x1.67ec11ccc2f67p-8, -0x1.5e2a3731b60e5p-8, -0x1.54a52983ef7f4p-8, -0x1.4b5ba96591dc1p-8, -0x1.424c7c4d28943p-8, -0x1.39766c7da2e04p-8, -0x1.30d848fe0c87ep-8, -0x1.2870e591360d1p-8, -0x1.203f1aad1b899p-8, -0x1.1841c5722e8eap-8, -0x1.1077c7a27e85ep-8, -0x1.08e00798bd9aep-8, -0x1.0179703f21554p-8, -0x1.f485e20c517a9p-9, -0x1.e676fbb6a06a7p-9, -0x1.d8c41e3f30916p-9, -0x1.cb6b433c0c96ep-9, -0x1.be6a6d03f4ee1p-9, -0x1.b1bfa69b0940ep-9, -0x1.a569039f242b1p-9, -0x1.9964a03415be9p-9, -0x1.8db0a0efbd614p-9, -0x1.824b32c5f851bp-9, -0x1.77328af45c614p-9, -0x1.6c64e6edda796p-9, -0x1.61e08c463b695p-9, -0x1.57a3c89d57753p-9, -0x1.4dacf18a6349dp-9, -0x1.43fa6486c868dp-9, -0x1.3a8a86d91e3abp-9, -0x1.315bc57fbb8cep-9, -0x1.286c951b6283ep-9, -0x1.1fbb71d987c9fp-9, -0x1.1746df5e94abdp-9, -0x1.0f0d68aff17acp-9, -0x1.070da01de4953p-9, -0x1.fe8c3e5acfbbap-10, -0x1.ef6b0d033cfd9p-10, -0x1.e0b4fb8a967a4p-10, -0x1.d267672838071p-10, -0x1.c47fbac77da3ap-10, -0x1.b6fb6ed9aaeb2p-10, -0x1.a9d809279b5abp-10, -0x1.9d131ca33029bp-10, -0x1.90aa4938556dp-10, -0x1.849b3b9df656bp-10, -0x1.78e3ad269d045p-10, -0x1.6d816390fe092p-10, -0x1.627230d8406abp-10, -0x1.57b3f3042a97ap-10, -0x1.4d4493f91ef49p-10, -0x1.4322094850b4cp-10, -0x1.394a53ff7196cp-10, -0x1.2fbb8078c6169p-10, -0x1.2673a62b1b38dp-10, -0x1.1d70e779b1146p-10, -0x1.14b171846b29fp-10, -0x1.0c337bf822824p-10, -0x1.03f548decf0aep-10, -0x1.f7ea48e102edfp-11, -0x1.e862c9c834b83p-11, -0x1.d950d480e1c4dp-11, -0x1.cab13c5bf9ed5p-11, -0x1.bc80e7912df98p-11, -0x1.aebccee37e96fp-11, -0x1.a161fd46ce44dp-11, -0x1.946d8f860df27p-11, -0x1.87dcb3eab3486p-11, -0x1.7baca9e4cd3dcp-11, -0x1.6fdac1b4b32f6p-11, -0x1.64645c1577314p-11, -0x1.5946e9e896549p-11, -0x1.4e7febe2f9594p-11, -0x1.440cf23b20a2ap-11, -0x1.39eb9c585b766p-11, -0x1.30199883c7e57p-11, -0x1.2694a39a1830dp-11, -0x1.1d5a88bf07d9bp-11, -0x1.14692111e0b6p-11, -0x1.0bbe5363a10dbp-11, -0x1.035813eddcd7dp-11, -0x1.f668c8175d939p-12, -0x1.e6a2a3e6ead4fp-12, -0x1.d759f0e40ffp-12, -0x1.c88afd4e87a94p-12, -0x1.ba322f86ea8ccp-12, -0x1.ac4c058d9d5f5p-12, -0x1.9ed51482982e8p-12, -0x1.91ca08286c4bp-12, -0x1.8527a26968f24p-12, -0x1.78d6e049be7ecp-12, -0x1.6cf6150d6c9f7p-12, -0x1.61753a24b203fp-12, -0x1.56515daa3da71p-12, -0x1.4b87a1f84824fp-12, -0x1.41153d3af38cap-12, -0x1.36f7790392ae2p-12, -0x1.2d2bb1dd85bacp-12, -0x1.23af56e53db09p-12, -0x1.1a7fe95f987dcp-12, -0x1.119afc53b6cc4p-12, -0x1.08fe342558e95p-12, -0x1.00a74631fa3c3p-12, -0x1.f127f0dbf399cp-13, -0x1.e1844208c2c16p-13, -0x1.d25f4beee918bp-13, -0x1.c3b4f986052bbp-13, -0x1.b58154004a416p-13, -0x1.a7c08214b9906p-13, -0x1.9a6ec74d4c427p-13, -0x1.8d888355d7e9dp-13, -0x1.810a31509084ap-13, -0x1.74f0672b6d79fp-13, -0x1.6937d4f98133cp-13, -0x1.5ddd444ec9ecfp-13, -0x1.52dd979eed31dp-13, -0x1.4835c99ee4612p-13, -0x1.3de2eca9f60d8p-13, -0x1.33e22a27e8d16p-13, -0x1.2a30c1f7f44f7p-13, -0x1.20cc09de355p-13, -0x1.17b16cf20b273p-13, -0x1.0ede6b1199f64p-13, -0x1.06509856a1651p-13, -0x1.fc0b391c851e4p-14, -0x1.ebf66567734a2p-14, -0x1.dc5e50db40249p-14, -0x1.cd3ebb1baf29dp-14, -0x1.be9387267f999p-14, -0x1.b058ba6002dbbp-14, -0x1.a28a7ba06484dp-14, -0x1.95251248fed68p-14, -0x1.8824e55c976d5p-14, -0x1.7b867a9daf4aep-14, -0x1.6f4675b2226c8p-14, -0x1.6361974a1894ap-14, -0x1.57d4bc4d08b83p-14, -0x1.4c9cdd0a965aap-14, -0x1.41b70c70883b6p-14, -0x1.37207744eabb3p-14, -0x1.2cd6636481d09p-14, -0x1.22d62f074dfd2p-14, -0x1.191d5006b446fp-14, -0x1.0fa95328befa3p-14, -0x1.0677db7242911p-14, -0x1.fb0d42f2de78fp-15, -0x1.e9a6e57d529dbp-15, -0x1.d8b86210e0092p-15, -0x1.c83da3881808cp-15, -0x1.b832bad109ff6p-15, -0x1.a893ddc0add01p-15, -0x1.995d65e71f9c5p-15, -0x1.8a8bcf6f8c0f5p-15, -0x1.7c1bb805d6509p-15, -0x1.6e09ddc3abebep-15, -0x1.60531e244592p-15, -0x1.52f475005cb06p-15, -0x1.45eafb8ce38e8p-15, -0x1.3933e766ec3d5p-15, -0x1.2ccc899f77067p-15, -0x1.20b24dd248128p-15, -0x1.14e2b93e0548dp-15, -0x1.095b69eb9b786p-15, -0x1.fc342b9e3b21dp-16, -0x1.e63913ee5bfeep-16, -0x1.d0c153831404cp-16, -0x1.bbc8dc246c057p-16, -0x1.a74bc923464e5p-16, -0x1.93465de0bf6f1p-16, -0x1.7fb50461524a5p-16, -0x1.6c944be2c2a2dp-16, -0x1.59e0e78b0ab29p-16, -0x1.4797ad126a293p-16, -0x1.35b5937ffee0ep-16, -0x1.2437b1ea7b0eap-16, -0x1.131b3e47d5a1ep-16, -0x1.025d8c3eb5cb8p-16, -0x1.e3f81814478e9p-17, -0x1.c3e892bafda33p-17, -0x1.a487d4aa273d7p-17, -0x1.85d15cdc0a132p-17, -0x1.67c0db0d9f1f2p-17, -0x1.4a522dce8a203p-17, -0x1.2d81609ecb57ap-17, -0x1.114aaa21be501p-17, -0x1.eb54d4a83cc9cp-18, -0x1.b53a51d03b99p-18, -0x1.803f26feb626ep-18, -0x1.4c5cf86f3033p-18, -0x1.198db006f4b9ap-18, -0x1.cf96f4eea17aap-19, -0x1.6e2188a660e27p-19, -0x1.0eb06e734477cp-19, -0x1.6272dca3f2258p-20, -0x1.56caff5e6ff0cp-21, 0x1.f67d7a123d5e9p-26, 0x1.6ebae96e72c99p-21, 0x1.63362b9d9a1ddp-20, 0x1.05ba4845f9defp-19, 0x1.581434b0fd87fp-19, 0x1.a8b06a3b2032p-19, 0x1.f7962849b44eap-19, 0x1.22663143f8baep-18, 0x1.482ce2447d60ep-18, 0x1.6d225abcd9634p-18, 0x1.9149add8f1d48p-18, 0x1.b4a5d00549e0cp-18, 0x1.d739988ff6952p-18, 0x1.f907c329801f4p-18, 0x1.0d0978c4b27b9p-17, 0x1.1d2ed65efef6ap-17, 0x1.2cf5335101dffp-17, 0x1.3c5dbd904b534p-17, 0x1.4b6998d78a0edp-17, 0x1.5a19df1df79cap-17, 0x1.686fa143a6d01p-17, 0x1.766be7a4ac58cp-17, 0x1.840fb29a12a62p-17, 0x1.915bfb02d9a27p-17, 0x1.9e51b2c2d8d15p-17, 0x1.aaf1c533c9a4bp-17, 0x1.b73d17a5a8f4bp-17, 0x1.c33489c490513p-17, 0x1.ced8f6001a345p-17, 0x1.da2b31f6d8281p-17, 0x1.e52c0ece21dccp-17, 0x1.efdc5993a7343p-17, 0x1.fa3cdb84b6ae8p-17, 0x1.02272d3973534p-16, 0x1.0708cc8599b21p-16, 0x1.0bc3ab8aa5b62p-16, 0x1.105828e1fb046p-16, 0x1.14c6a1f8faab8p-16, 0x1.190f732c9a39fp-16, 0x1.1d32f7f3b599dp-16, 0x1.21318ae759e1dp-16, 0x1.250b85e88ce7ap-16, 0x1.28c142352f335p-16, 0x1.2c531880ca6f5p-16, 0x1.2fc16105c7024p-16, 0x1.330c739b40d86p-16, 0x1.3634a7c8b4ef4p-16, 0x1.393a54d291447p-16, 0x1.3c1dd1cfc8c45p-16, }}, 
      {{0x1.debadf74aedc8p-3, 0x1.e642f312a531ap-3, 0x1.f281a494633dbp-3, 0x1.0189a1504933dp-2, 0x1.0bc283b83a3ep-2, 0x1.17ad539c738c7p-2, 0x1.250b097b2e1d3p-2, 0x1.339d8555d94b4p-2, 0x1.4329205d0e3e7p-2, 0x1.53759c736835dp-2, 0x1.644ead9bc3becp-2, 0x1.758460c847d2cp-2, 0x1.86eb274f55b3bp-2, 0x1.985befbbbebe8p-2, 0x1.a9b3ea64012d6p-2, 0x1.bad464568b758p-2, 0x1.cba284b710aa4p-2, 0x1.dc07117dea9a9p-2, 0x1.ebee1252f2ffcp-2, 0x1.fb46acc1a2bcfp-2, 0x1.050152d99911ep-1, 0x1.0c0b4b7e28584p-1, 0x1.12bc6d50b8d9p-1, 0x1.191130084a0b7p-1, 0x1.1f06ddff77c1p-1, 0x1.249b4c9fa3a5fp-1, 0x1.29cd93561cfe9p-1, 0x1.2e9d04d43f747p-1, 0x1.3309a98767804p-1, 0x1.3714081c92298p-1, 0x1.3abd1afc6d2edp-1, 0x1.3e063a111572cp-1, 0x1.40f11366d9e16p-1, 0x1.437fa09125a9fp-1, 0x1.45b415fadba05p-1, 0x1.4790dd8dd0028p-1, 0x1.49188f5f7e6dbp-1, 0x1.4a4de3c1e6235p-1, 0x1.4b33ad3c893fep-1, 0x1.4bccd6c5f4c92p-1, 0x1.4c1c5c1287379p-1, 0x1.4c25413f53d58p-1, 0x1.4bea8fe0c8e3bp-1, 0x1.4b6f54f1e6255p-1, 0x1.4ab69bc46d991p-1, 0x1.49c368f461104p-1, 0x1.4898b822403bap-1, 0x1.47397acf7738dp-1, 0x1.45a8963c22e77p-1, 0x1.43e8e0b9a6e84p-1, 0x1.41fd1fc7fcffcp-1, 0x1.3fe8071322bfdp-1, 0x1.3dac378cc0f61p-1, 0x1.3b4c3e52068dfp-1, 0x1.38ca72b29f726p-1, 0x1.362975741f0ep-1, 0x1.336b78976741fp-1, 0x1.3092b5c02428ep-1, 0x1.2da150988cd84p-1, 0x1.2a9956debbc76p-1, 0x1.277cc0ee7215dp-1, 0x1.244d726e22de4p-1, 0x1.210d3ad35cef9p-1, 0x1.1dbdd5ad0538cp-1, 0x1.1a60ead1720a1p-1, 0x1.16f80e9744386p-1, 0x1.1384c22b52d8p-1, 0x1.100873fda5cdep-1, 0x1.0c84803487b52p-1, 0x1.08fa311981c24p-1, 0x1.056abf805a454p-1, 0x1.01d753322906fp-1, 0x1.fc8206d1af0b5p-2, 0x1.f551aec460082p-2, 0x1.ee1f8e10e24b8p-2, 0x1.e6ed774b5071p-2, 0x1.dfbd2125328d2p-2, 0x1.d89027a87785fp-2, 0x1.d1680d45d3548p-2, 0x1.ca463bc075899p-2, 0x1.c32c050d702e4p-2, 0x1.bc1aa43bc9045p-2, 0x1.b5133e6dc27fep-2, 0x1.ae16e3ddd0c8fp-2, 0x1.a72690e313984p-2, 0x1.a0432eec4799fp-2, 0x1.996d956f5a818p-2, 0x1.92a68acfdfc0fp-2, 0x1.8beec53c6dcdbp-2, 0x1.8546eb7df8cap-2, 0x1.7eaf95b27918ap-2, 0x1.78294df0d19b1p-2, 0x1.71b490dcb0519p-2, 0x1.6b51ce383b975p-2, 0x1.65016981ceccbp-2, 0x1.5ec3baa504a62p-2, 0x1.58990ebb528d4p-2, 0x1.5281a8cf2bd7p-2, 0x1.4c7dc29189b8fp-2, 0x1.468d8cf5e5269p-2, 0x1.40b130b1a320ep-2, 0x1.3ae8cea55bf0fp-2, 0x1.3534803bd8d5ep-2, 0x1.2f9457cab6267p-2, 0x1.2a0860fbb3576p-2, 0x1.2490a13f33158p-2, 0x1.1f2d1842edd05p-2, 0x1.19ddc065b2722p-2, 0x1.14a28f2248619p-2, 0x1.0f7b756edff95p-2, 0x1.0a6851cc1327dp-2, 0x1.05692d009323bp-2, 0x1.007ddbe0ee489p-2, 0x1.f74c80cdc7b63p-3, 0x1.edc472e6d2395p-3, 0x1.e463462107c53p-3, 0x1.db28ad5f5282ap-3, 0x1.d21456c8b59b6p-3, 0x1.c925ec360407dp-3, 0x1.c05d13989dc1cp-3, 0x1.b7b96f5b03d33p-3, 0x1.af3a9ebbe6dd5p-3, 0x1.a6e03e243db49p-3, 0x1.9ea9e778a52a6p-3, 0x1.96973266566b6p-3, 0x1.8ea7b4abdfeep-3, 0x1.86db025dd7798p-3, 0x1.7f30ae27b5a7ap-3, 0x1.77a84988cbeb7p-3, 0x1.7041650d41c4fp-3, 0x1.68fb9082d565p-3, 0x1.61d65b2925b4fp-3, 0x1.5ad153dd85c12p-3, 0x1.53ec094264f65p-3, 0x1.4d2609e2b31b5p-3, 0x1.467ee451c3f87p-3, 0x1.3ff62748420cep-3, 0x1.398b61bec3371p-3, 0x1.333e23066f05ap-3, 0x1.2d0dfae000951p-3, 0x1.26fa799149caep-3, 0x1.21032ff9587c8p-3, 0x1.1b27afa329445p-3, 0x1.15678ad706cfcp-3, 0x1.0fc254aa95a6p-3, 0x1.0a37a10fb5be2p-3, 0x1.04c704e247f8cp-3, 0x1.fee02bea2151dp-4, 0x1.f464d63b577a3p-4, 0x1.ea1b387f70b6fp-4, 0x1.e00284ae2fc13p-4, 0x1.d619ef027cfcap-4, 0x1.cc60ae0ae659cp-4, 0x1.c2d5fab7e6fdfp-4, 0x1.b9791067c1ea4p-4, 0x1.b0492cf00f4c2p-4, 0x1.a74590a4fab45p-4, 0x1.9e6d7e5e58e99p-4, 0x1.95c03b7ad6c74p-4, 0x1.8d3d0fe16538ep-4, 0x1.84e346010d3f1p-4, 0x1.7cb22acf74a6p-4, 0x1.74a90dc62be12p-4, 0x1.6cc740df00556p-4, 0x1.650c188f87251p-4, 0x1.5d76ebc40cd11p-4, 0x1.560713da28d93p-4, 0x1.4ebbec9b1e2a8p-4, 0x1.4794d43636467p-4, 0x1.40912b3b34847p-4, 0x1.39b05494f38bcp-4, 0x1.32f1b584308aap-4, 0x1.2c54b59a7cf4ap-4, 0x1.25d8beb549f02p-4, 0x1.1f7d3cf8f179fp-4, 0x1.19419ecbaf875p-4, 0x1.132554d072b16p-4, 0x1.0d27d1e1732c6p-4, 0x1.07488b0a876d3p-4, 0x1.0186f78337028p-4, 0x1.f7c521510770fp-5, 0x1.ecb5a3ecedd7ep-5, 0x1.e1de7202f26b7p-5, 0x1.d73e8adeff063p-5, 0x1.ccd4f1e22bc0fp-5, 0x1.c2a0ae74b6456p-5, 0x1.b8a0cbf7d80e5p-5, 0x1.aed459b79ae57p-5, 0x1.a53a6adcb4c48p-5, 0x1.9bd2165e6957fp-5, 0x1.929a76f48b2b9p-5, 0x1.8992ab0990e58p-5, 0x1.80b9d4acc91ddp-5, 0x1.780f1984ae941p-5, 0x1.6f91a2c169c8ap-5, 0x1.67409d0f79a3cp-5, 0x1.5f1b388a8872p-5, 0x1.5720a8b08251bp-5, 0x1.4f502454ddf0ep-5, 0x1.47a8e5941f593p-5, 0x1.402a29c7a1ce3p-5, 0x1.38d3317993fbep-5, 0x1.31a340592a54bp-5, 0x1.2a999d2f068fbp-5, 0x1.23b591d1be781p-5, 0x1.1cf66b1a7fefbp-5, 0x1.165b78d9c689ep-5, 0x1.0fe40dcc1dd0ap-5, 0x1.098f7f8ee1c76p-5, 0x1.035d2695050edp-5, 0x1.fa98bc379fff6p-6, 0x1.eeb9083f5121bp-6, 0x1.e319f2a1d58e6p-6, 0x1.d7ba421187378p-6, 0x1.cc98c27c7d187p-6, 0x1.c1b444f6dc869p-6, 0x1.b70b9fa5a2d5ap-6, 0x1.ac9dada9e535p-6, 0x1.a2694f0c9910dp-6, 0x1.986d68aaf2558p-6, 0x1.8ea8e4234d07cp-6, 0x1.851aafc2bb86dp-6, 0x1.7bc1bb49b584p-6, 0x1.729d0aa4bf2d4p-6, 0x1.69ab9039e97d8p-6, 0x1.60ec4c6dffe87p-6, 0x1.585e44007bce3p-6, 0x1.50007ffab9a7dp-6, 0x1.47d20d9f7329ep-6, 0x1.3fd1fe5a83fe2p-6, 0x1.37ff67b0f2bf5p-6, 0x1.3059633143d7ep-6, 0x1.28df0e63fda33p-6, 0x1.218f8abc7454cp-6, 0x1.1a69fd89cf94p-6, 0x1.136d8fe84376p-6, 0x1.0c996eb28547cp-6, 0x1.05ecca736ec9dp-6, 0x1.fecdaeafb4d75p-7, 0x1.f20d9a416029ep-7, 0x1.e597ce2a3b1f6p-7, 0x1.d96ac7ea01d19p-7, 0x1.cd850bd710968p-7, 0x1.c1e52503e30c4p-7, 0x1.b689a52500eb4p-7, 0x1.ab71247747bb2p-7, 0x1.a09a41a66a033p-7, 0x1.9603a1b3f42d8p-7, 0x1.8babefde7e73fp-7, 0x1.8191dd8946f1ep-7, 0x1.77b4222417b5ep-7, 0x1.6e117b13857d5p-7, 0x1.64a8ab997636cp-7, 0x1.5b787cbe05cfcp-7, 0x1.527fbd38abbf8p-7, 0x1.49bd4159c1adcp-7, 0x1.412fe2f44b1fp-7, 0x1.38d68148128ddp-7, 0x1.30b000ec0eb75p-7, 0x1.28bb4bb90ff64p-7, 0x1.20f750b4c9a8fp-7, 0x1.196303fd1039dp-7, 0x1.11fd5eb36760bp-7, 0x1.0ac55ee8d8065p-7, 0x1.03ba078a0b669p-7, 0x1.f9b4c09744dccp-8, 0x1.ec4aeb2dbffe9p-8, 0x1.df34b0ed0930ep-8, 0x1.d2703d07e3d5ap-8, 0x1.c5fbc3a919d4p-8, 0x1.b9d581cebf3c1p-8, 0x1.adfbbd25e6819p-8, 0x1.a26cc3e6d5591p-8, 0x1.9726ecb1b886dp-8, 0x1.8c28966bbd4afp-8, 0x1.8170281c9b1bfp-8, 0x1.76fc10ccaca7p-8, 0x1.6ccac7635b00dp-8, 0x1.62daca86039p-8, 0x1.592aa0774d258p-8, 0x1.4fb8d6f6ebb44p-8, 0x1.46840321bcb2ep-8, 0x1.3d8ac15272322p-8, 0x1.34cbb50283326p-8, 0x1.2c4588ab91a04p-8, 0x1.23f6eda94208fp-8, 0x1.1bde9c1b5b159p-8, 0x1.13fb52c86e61ep-8, 0x1.0c4bd700d4a4ap-8, 0x1.04cef481eb6d1p-8, 0x1.fb06fab401182p-9, 0x1.ecd09398ae34fp-9, 0x1.def8706b5ec47p-9, 0x1.d17c59e23d6f9p-9, 0x1.c45a247aa8842p-9, 0x1.b78fb04463d69p-9, 0x1.ab1ae8ad73868p-9, 0x1.9ef9c44ec70e1p-9, 0x1.932a44b99905cp-9, 0x1.87aa76456e39ap-9, 0x1.7c786fded544ep-9, 0x1.719252d6aa798p-9, 0x1.66f64ab2669ddp-9, 0x1.5ca28cfcb919dp-9, 0x1.52955916fd214p-9, 0x1.48ccf80b42ebep-9, 0x1.3f47bc5f0d12ap-9, 0x1.360401e6b5af4p-9, 0x1.2d002d993f91fp-9, 0x1.243aad65399efp-9, 0x1.1bb1f805c8744p-9, 0x1.13648cd8a0706p-9, 0x1.0b50f3b46a1ecp-9, 0x1.0375bcbfe60b9p-9, 0x1.f7a300932663fp-10, 0x1.e8c5bd3ff4b92p-10, 0x1.da50ffd50da45p-10, 0x1.cc422805d65f6p-10, 0x1.be96a49eba9cp-10, 0x1.b14bf339d6f94p-10, 0x1.a45f9ff5c4697p-10, 0x1.97cf452cba48dp-10, 0x1.8b988b2d60cd7p-10, 0x1.7fb927f486e52p-10, 0x1.742edee7a19cfp-10, 0x1.68f7809111456p-10, 0x1.5e10ea5cfc553p-10, 0x1.537906572b00cp-10, 0x1.492dcaea65006p-10, 0x1.3f2d3aa0837bcp-10, 0x1.357563e35e821p-10, 0x1.2c0460bf839f9p-10, 0x1.22d856a726ff5p-10, 0x1.19ef763668929p-10, 0x1.1147faf8af50fp-10, 0x1.08e02b2ed943cp-10, 0x1.00b6579683ebap-10, 0x1.f191b6646af9bp-11, 0x1.e22c3625565cdp-11, 0x1.d3390c4130406p-11, 0x1.c4b529d04ecdbp-11, 0x1.b69d92c98af3ap-11, 0x1.a8ef5d9bfd6c9p-11, 0x1.9ba7b2ca9433p-11, 0x1.8ec3cc89acbf2p-11, 0x1.8240f65e3bb5ep-11, 0x1.761c8cbeb4ed8p-11, 0x1.6a53fcb5532d1p-11, 0x1.5ee4c38513002p-11, 0x1.53cc6e4f77865p-11, 0x1.490899bbcaeafp-11, 0x1.3e96f1a14259bp-11, 0x1.347530b1708a3p-11, 0x1.2aa12024cb7e7p-11, 0x1.21189768e6345p-11, 0x1.17d97bd03f6fdp-11, 0x1.0ee1c042cd399p-11, 0x1.062f64f171eeap-11, 0x1.fb80ee1330fe7p-12, 0x1.eb2620d635a43p-12, 0x1.db4aaebe10de9p-12, 0x1.cbeafca076797p-12, 0x1.bd03870aa56ebp-12, 0x1.ae90e1b6934acp-12, 0x1.a08fb7058814cp-12, 0x1.92fcc77b16161p-12, 0x1.85d4e93b550cdp-12, 0x1.7915078be4efep-12, 0x1.6cba22573f928p-12, 0x1.60c14db2b0f8ep-12, 0x1.5527b16682ap-12, 0x1.49ea88788edd6p-12, 0x1.3f0720b95af5dp-12, 0x1.347ada53bd53cp-12, 0x1.2a43275d2484bp-12, 0x1.205d8b6b6624dp-12, 0x1.16c79b28ff39bp-12, 0x1.0d7efbee39735p-12, 0x1.0481635ae2cafp-12, 0x1.f7992de6074bbp-13, 0x1.e6bcd7790836dp-13, 0x1.d6698bc197e51p-13, 0x1.c69b309bd2f2ep-13, 0x1.b74dc8b69fff9p-13, 0x1.a87d72dfd67a8p-13, 0x1.9a266954aa029p-13, 0x1.8c4501154ed4ep-13, 0x1.7ed5a93c2f907p-13, 0x1.71d4ea57ff426p-13, 0x1.653f65cb8a525p-13, 0x1.5911d52fc197p-13, 0x1.4d4909b5e971ep-13, 0x1.41e1eb935d941p-13, 0x1.36d9796bb106dp-13, 0x1.2c2cc7bfb968ep-13, 0x1.21d9005f8144p-13, 0x1.17db61df2fe3ap-13, 0x1.0e313f0fe02d3p-13, 0x1.04d7fe7971de7p-13, 0x1.f79a33b4081c8p-14, 0x1.e61c3b47b2e71p-14, 0x1.d531510990a7bp-14, 0x1.c4d4d5d47147p-14, 0x1.b5024d15525cp-14, 0x1.a5b55be3631a6p-14, 0x1.96e9c81be343cp-14, 0x1.889b77858497cp-14, 0x1.7ac66ef5be8b5p-14, 0x1.6d66d17d9da6ap-14, 0x1.6078df9ab1457p-14, 0x1.53f8f66bd090ap-14, 0x1.47e38eebf2d5p-14, 0x1.3c353d3243676p-14, 0x1.30eaafb479c68p-14, 0x1.2600ae8c5ee8dp-14, 0x1.1b741ac945065p-14, 0x1.1141edbd286f7p-14, 0x1.0767385261a52p-14, 0x1.fbc244c9386a9p-15, 0x1.e959d43bad6fap-15, 0x1.d78fc6aee869cp-15, 0x1.c65eedffc2673p-15, 0x1.b5c24503c8e36p-15, 0x1.a5b4ee641ecd4p-15, 0x1.9632337c9a60dp-15, 0x1.87358345fe08dp-15, 0x1.78ba7141fcfb2p-15, 0x1.6abcb471fe451p-15, 0x1.5d382652c4904p-15, 0x1.5028c1e220332p-15, 0x1.438aa29e7b283p-15, 0x1.375a03a459075p-15, 0x1.2b933ebe12a94p-15, 0x1.2032cb7bccc1ap-15, 0x1.15353e5cf6381p-15, 0x1.0a9747ef7ef68p-15, 0x1.0055b404971f6p-15, 0x1.ecdad1bf1cd7fp-16, 0x1.d9b6ccde06bf3p-16, 0x1.c7398b148a6f7p-16, 0x1.b55d6e6c1d207p-16, 0x1.a41d07c761108p-16, 0x1.937315946c97ap-16, 0x1.835a825def54ap-16, 0x1.73ce637e79c6bp-16, 0x1.64c9f7cf858dfp-16, 0x1.55ec25d1950a8p-16, 0x1.47eab33e75a06p-16, 0x1.3a63ba2306345p-16, 0x1.2d530ffad7d3cp-16, 0x1.20b4adf8548d8p-16, 0x1.1484affb316d4p-16, 0x1.08bf536ac1316p-16, 0x1.fac1ec6f9091ep-17, 0x1.e4cc2ba4b4be8p-17, 0x1.cf969c63e061ep-17, 0x1.bb1ab1c201515p-17, 0x1.a75217fec4319p-17, 0x1.9436b2de6f5dfp-17, 0x1.81c29bd80d07bp-17, 0x1.6ff0204a4f82fp-17, 0x1.5eb9bfe7237b8p-17, 0x1.4e1a2b102c747p-17, 0x1.3e0c413e2cf81p-17, 0x1.2e8b0f802781cp-17, 0x1.1f91cefc2f079p-17, 0x1.111be3790f6c8p-17, 0x1.0324da041a67cp-17, 0x1.eb50cf177feaep-18, 0x1.d144cf19838fdp-18, 0x1.b81db5a840f1p-18, 0x1.9fd3cc66fe12ap-18, 0x1.885fa2996e74ap-18, 0x1.71ba0b01e7a6bp-18, 0x1.5bdc19294e99ap-18, 0x1.46bf1fae98d27p-18, 0x1.325cadca96f13p-18, 0x1.1eae8d5248da5p-18, 0x1.0baec0c6133b1p-18, 0x1.f2af0292fd3ep-19, 0x1.cf4679955c9a4p-19, 0x1.ad19285265b54p-19, 0x1.8c1cb2da19d54p-19, 0x1.6c471c3dc3a6bp-19, 0x1.4d8ec2dd6bf5p-19, 0x1.2fea5dae242fcp-19, 0x1.1350f8c6a72bp-19, 0x1.ef73e4d157ee4p-20, 0x1.ba39f02d7bb07p-20, 0x1.86e40785c75d6p-20, 0x1.5562b1e237362p-20, 0x1.25a704b971acp-20, 0x1.ef453bf806f0fp-21, 0x1.968f3f4260ee6p-21, 0x1.4111558103c9ep-21, 0x1.dd636b077b0cap-22, 0x1.3eaf03c26509fp-22, 0x1.4bab0432c6b4cp-23, 0x1.2a8a802f2d4abp-26, -0x1.ec1097bc3e50fp-24, -0x1.035beadd741cep-22, -0x1.868823baf7b14p-22, -0x1.02586b5c1be9p-21, -0x1.3efe5018ecb9cp-21, -0x1.794860316d8cep-21, -0x1.b14894e354334p-21, -0x1.e710460e217ddp-21, -0x1.0d581873e96dap-20, -0x1.261c3ee7b7ecfp-20, -0x1.3ddc62f9e47bbp-20, -0x1.54a00c79fec7ep-20, -0x1.6a6e81268a47bp-20, -0x1.7f4ec6d8faff4p-20, -0x1.9347a6b0b9e99p-20, -0x1.a65faefef3753p-20, -0x1.b89d358b02e33p-20, -0x1.ca0659e7db9efp-20, -0x1.daa107e877e8fp-20, -0x1.ea72f8be25362p-20, -0x1.f981b6058ec0cp-20, -0x1.03e94d98fb7a7p-19, -0x1.0ab56ba38f33bp-19, -0x1.1127b764d244dp-19, -0x1.17429eb0d9eddp-19, -0x1.1d087bc428a87p-19, -0x1.227b95eef6a4ep-19, -0x1.279e22b1759e2p-19, -0x1.2c7245f29ab7cp-19, -0x1.30fa13036f229p-19, -0x1.35378d4968cadp-19, -0x1.392ca8c347d59p-19, -0x1.3cdb4ac4f2711p-19, -0x1.40454a6747df9p-19, -0x1.436c714ce42ecp-19, -0x1.46527c0b8fd6dp-19, -0x1.48f91aba9f9cep-19, -0x1.4b61f17319cd6p-19, -0x1.4d8e98c9ac80ap-19, -0x1.4f809e4bae181p-19, -0x1.513984e35a648p-19, -0x1.52bac5504743fp-19, -0x1.5405ce8cc048p-19, -0x1.551c060507543p-19, -0x1.55fec87ce50fbp-19, -0x1.56af69b4c535ap-19, -0x1.572f355d6b339p-19, -0x1.577f6ede531b7p-19, -0x1.57a15214d7162p-19, -0x1.579613858886bp-19, -0x1.575ee082346d7p-19, -0x1.56fcdf915b333p-19, -0x1.567130b1ce0cbp-19, -0x1.55bced6faa70ap-19, -0x1.54e1295acda83p-19, -0x1.53def2106daf2p-19, -0x1.52b74f8cf4b45p-19, -0x1.516b4457d1dfbp-19, -0x1.4ffbcdaff54d9p-19, -0x1.4e69e3d6a3d91p-19, -0x1.4cb67a131fdbep-19, -0x1.4ae27efa8cb0dp-19, -0x1.48eedc8fe871ap-19, -0x1.46dc7869689a5p-19, -0x1.44ac33f3462abp-19, -0x1.425eec394db6p-19, -0x1.3ff57a8044789p-19, -0x1.3d70b41b3eb72p-19, -0x1.3ad16a9a9387bp-19, -0x1.38186bc9cba08p-19, -0x1.3546824786812p-19, -0x1.325c74e590828p-19, -0x1.2f5b0749568cep-19, -0x1.2c42f9b2b36a3p-19, -0x1.2915095b3a703p-19, -0x1.25d1f05317de1p-19, -0x1.227a65d05977ep-19, -0x1.1f0f1dd13ee02p-19, -0x1.1b90c9ae8e517p-19, -0x1.180017e258b78p-19, -0x1.145db42aacf1cp-19, -0x1.10aa47a0430e2p-19, -0x1.0ce678af2599dp-19, -0x1.0912eb3db0c6cp-19, -0x1.053040935aa3p-19, -0x1.013f17911ee5dp-19, -0x1.fa8019657a489p-20, -0x1.f26773fc5e94ap-20, -0x1.ea356e49e6d8dp-20, -0x1.e1eb3311aaabap-20, -0x1.d989e85d667ffp-20, -0x1.d112b0360ef47p-20, -0x1.c886a7ba02e7bp-20, -0x1.bfe6e7d4755a3p-20, -0x1.b734850a80318p-20, -0x1.ae708fdac9f7bp-20, -0x1.a59c1452c5012p-20, -0x1.9cb81a74c015dp-20, -0x1.93c5a603c8d58p-20, -0x1.8ac5b6d59ad1bp-20, -0x1.81b948af68dc2p-20, }}, 
      {{0x1.212da0d7821d8p-10, 0x1.1cbf2bce06d81p-8, 0x1.390150fcf11a3p-7, 0x1.0e2345e7547dcp-6, 0x1.97b6fca0f6284p-6, 0x1.1a54b0144ce57p-5, 0x1.703ce1406fd07p-5, 0x1.cb7023f1d4b2bp-5, 0x1.14fb30aaf8706p-4, 0x1.4503e8601e0abp-4, 0x1.750880fc3cd51p-4, 0x1.a458d21bd4b8ep-4, 0x1.d25dcd5729475p-4, 0x1.fe97f3d5ec202p-4, 0x1.144e836eff9fcp-3, 0x1.280b6ae540601p-3, 0x1.3a604bf86d8edp-3, 0x1.4b328ffbba3c6p-3, 0x1.5a6eb828d8735p-3, 0x1.6806ed9759eccp-3, 0x1.73f359c3beeebp-3, 0x1.7e2f43fb48189p-3, 0x1.86bbc919d9dd5p-3, 0x1.8d9c37637598cp-3, 0x1.92d5c5ab37399p-3, 0x1.96727b2a812bep-3, 0x1.987d3737c11e2p-3, 0x1.99017b917b218p-3, 0x1.980d84bfe4b9ap-3, 0x1.95b0a83f9f975p-3, 0x1.91fab95ab915bp-3, 0x1.8cfc382fbbb07p-3, 0x1.86c65d4e501f4p-3, 0x1.7f6abb102072dp-3, 0x1.76fb05e2e0428p-3, 0x1.6d89071d6e35cp-3, 0x1.6326874a9d5aap-3, 0x1.57e52dc60d332p-3, 0x1.4bd6616d62032p-3, 0x1.3f0b35f2cb8bbp-3, 0x1.31946672dca91p-3, 0x1.23824cc038f13p-3, 0x1.14e4cd148b26fp-3, 0x1.05cb4104d8406p-3, 0x1.ec88d7007a58ap-4, 0x1.ccbce919540f2p-4, 0x1.ac4dd596e4fa4p-4, 0x1.8b55977c539d3p-4, 0x1.69ed1b74fb3e2p-4, 0x1.482c3ebfdef5cp-4, 0x1.2629ad7051a62p-4, 0x1.03fab4a53845bp-4, 0x1.c3665bd70f437p-5, 0x1.7ecb2f90e0a5bp-5, 0x1.3a40d47f76cfp-5, 0x1.ebe389ba08f2dp-6, 0x1.63f4bfb2408b8p-6, 0x1.b9dcb56250338p-7, 0x1.5c12b89501f13p-8, -0x1.6cbf688ef635bp-9, -0x1.61751be68aa8fp-7, -0x1.32398ffbb593ap-6, -0x1.b1eeb07f76bd4p-6, -0x1.17db9fd082bb3p-5, -0x1.55ba1ac5afce3p-5, -0x1.92850b776bc89p-5, -0x1.ce30577a8dd7fp-5, -0x1.0458ad08ad725p-4, -0x1.20ff5b93edfb6p-4, -0x1.3d081ad29df4ep-4, -0x1.586f51630a783p-4, -0x1.7331de831138cp-4, -0x1.8d4d123bc479cp-4, -0x1.a6bea7a31958cp-4, -0x1.bf84c10bc5a92p-4, -0x1.d79de5fee3fbfp-4, -0x1.ef090265094b5p-4, -0x1.02e2b2da4d6ecp-3, -0x1.0de960638446fp-3, -0x1.189890ac5e89bp-3, -0x1.22f07586b266cp-3, -0x1.2cf1675b6c9p-3, -0x1.369be094e909fp-3, -0x1.3ff07977a8279p-3, -0x1.48efe4d9507d2p-3, -0x1.519aedd57701cp-3, -0x1.59f27659a8f4ap-3, -0x1.61f7763b5414bp-3, -0x1.69aafa85257fep-3, -0x1.710e24bb3c03bp-3, -0x1.782229ee864d1p-3, -0x1.7ee8518c77d4p-3, -0x1.8561f3e4bcc0ep-3, -0x1.8b907865f209ap-3, -0x1.91755398f38e7p-3, -0x1.971204ea7db3bp-3, -0x1.9c68145aca94dp-3, -0x1.a179102eaf9adp-3, -0x1.a6468abb1bd5bp-3, -0x1.aad2185b75389p-3, -0x1.af1d4d9986326p-3, -0x1.b329bd86e4c62p-3, -0x1.b6f8f84744a1bp-3, -0x1.ba8c89cffb517p-3, -0x1.bde5f8e7ba979p-3, -0x1.c106c6760a7e4p-3, -0x1.c3f06d30b06a4p-3, -0x1.c6a461ad898e1p-3, -0x1.c92412d2d2c94p-3, -0x1.cb70ea918244fp-3, -0x1.cd8805b21bbb4p-3, -0x1.cf72de9bf2893p-3, -0x1.d12f3f1e079c7p-3, -0x1.d2be8c33f1c69p-3, -0x1.d422243a7d705p-3, -0x1.d55b5e6c51233p-3, -0x1.d66b8a8e92372p-3, -0x1.d753f0c55b4acp-3, -0x1.d815d18135691p-3, -0x1.d8b2657538eb4p-3, -0x1.d92add8898136p-3, -0x1.d98062bc292d8p-3, -0x1.d9b416039d87cp-3, -0x1.d9c7101832eb5p-3, -0x1.d9ba614eab598p-3, -0x1.d98f117bb081dp-3, -0x1.d9461ff07e88dp-3, -0x1.d8e083968f872p-3, -0x1.d85f2b2cc8fa8p-3, -0x1.d7c2fda46e15ap-3, -0x1.d70cda9865a11p-3, -0x1.d63d9ad6c057ap-3, -0x1.d55610f2eeea8p-3, -0x1.d45709d6bc3dp-3, -0x1.d3414d48ae08dp-3, -0x1.d2159e5fd337ep-3, -0x1.d0d4bbdec99f4p-3, -0x1.cf7f6071fcffcp-3, -0x1.ce1642cf6e87cp-3, -0x1.cc9a15b8b9275p-3, -0x1.cb0b87e23678fp-3, -0x1.c96b43c404bc2p-3, -0x1.c7b9ef5b39564p-3, -0x1.c5f82be270dd3p-3, -0x1.c426958951f97p-3, -0x1.c245c3324318cp-3, -0x1.c056463ce21dfp-3, -0x1.be58aa6288a72p-3, -0x1.bc4d75a8831p-3, -0x1.ba35286a01271p-3, -0x1.b8103d79f0f85p-3, -0x1.b5df2a5b6211bp-3, -0x1.b3a25f8d956cap-3, -0x1.b15a48e7d4816p-3, -0x1.af074e0073f73p-3, -0x1.aca9d29a08437p-3, -0x1.aa423711ea4bep-3, -0x1.a7d0d8cb7a2a1p-3, -0x1.a55612943b774p-3, -0x1.a2d23cfdb9a3p-3, -0x1.a045aeaaf6d38p-3, -0x1.9db0bc9043ea9p-3, -0x1.9b13ba2526356p-3, -0x1.986ef988c7ae3p-3, -0x1.95c2cb9a22287p-3, -0x1.930f80058493bp-3, -0x1.9055654963512p-3, -0x1.8d94c8b49bff7p-3, -0x1.8acdf6602bcb7p-3, -0x1.8801392667284p-3, -0x1.852eda99486e5p-3, -0x1.825722f95a2bcp-3, -0x1.7f7a592e3531ep-3, -0x1.7c98c2c153e46p-3, -0x1.79b2a3db98065p-3, -0x1.76c83f45876bdp-3, -0x1.73d9d66a252bfp-3, -0x1.70e7a95be6e7bp-3, -0x1.6df1f6db4be11p-3, -0x1.6af8fc5e7f792p-3, -0x1.67fcf6195565fp-3, -0x1.64fe1f051e542p-3, -0x1.61fcb0e7d101dp-3, -0x1.5ef8e45a2711cp-3, -0x1.5bf2f0cc7fd94p-3, -0x1.58eb0c8a77916p-3, -0x1.55e16cbd3d795p-3, -0x1.52d6456cf3ae3p-3, -0x1.4fc9c9815e361p-3, -0x1.4cbc2ac24908ep-3, -0x1.49ad99d811483p-3, -0x1.469e464cbdd8p-3, -0x1.438e5e8e01f0cp-3, -0x1.407e0ff081a19p-3, -0x1.3d6d86b48a65cp-3, -0x1.3a5cee0c5b116p-3, -0x1.374c7024005d7p-3, -0x1.343c362ab014dp-3, -0x1.312c685d6c598p-3, -0x1.2e1d2e12a984cp-3, -0x1.2b0eadc6b124dp-3, -0x1.28010d285f948p-3, -0x1.24f47125d7e57p-3, -0x1.21e8fdf8e43a6p-3, -0x1.1eded732a9ba3p-3, -0x1.1bd61fc65825bp-3, -0x1.18cefa12b8093p-3, -0x1.15c987ea4e879p-3, -0x1.12c5ea9a0ed56p-3, -0x1.0fc442ee81a26p-3, -0x1.0cc4b1376b3eep-3, -0x1.09c75549fa291p-3, -0x1.06cc4e819f6f2p-3, -0x1.03d3bbbfa521cp-3, -0x1.00ddbb69c30cdp-3, -0x1.fbd4d6cf8be2ap-4, -0x1.f5f3d24118357p-4, -0x1.f018a2ecf33a5p-4, -0x1.ea43818739107p-4, -0x1.e474a5ab36e3dp-4, -0x1.deac45d35d1f7p-4, -0x1.d8ea975144f97p-4, -0x1.d32a15c12be4ap-4, -0x1.cd76ea4e9706bp-4, -0x1.c7cb11b4213e8p-4, -0x1.c226ba792dba4p-4, -0x1.bc8a11f08f38cp-4, -0x1.b6f5443957a07p-4, -0x1.b1687c3f80e1cp-4, -0x1.abe3e3bc95d98p-4, -0x1.a667a3384d20fp-4, -0x1.a0f3e20929241p-4, -0x1.9b88c6551d7ffp-4, -0x1.9626751242ccfp-4, -0x1.90cd12078bd25p-4, -0x1.8b7cbfcd9e155p-4, -0x1.86359fcfb2801p-4, -0x1.80f7d24c8b7efp-4, -0x1.7bc3765784fa7p-4, -0x1.7698a9d9b96cep-4, -0x1.717789934020ap-4, -0x1.6c60311c835b4p-4, -0x1.6752bae7b3622p-4, -0x1.624f404255a55p-4, -0x1.5d55d956eea7dp-4, -0x1.58669d2ecd273p-4, -0x1.5381a1b3f40d3p-4, -0x1.4ea6fbb32762cp-4, -0x1.49d6bede19487p-4, -0x1.4510fdcdbeb03p-4, -0x1.4055ca04c3c1ep-4, -0x1.3ba533f22bb42p-4, -0x1.36ff4af41103p-4, -0x1.32641d5a8f2bep-4, -0x1.2dd3b86acf10fp-4, -0x1.294e28623c2d6p-4, -0x1.24d37879dadc1p-4, -0x1.2063b2e9c2549p-4, -0x1.1bfee0ecb923bp-4, -0x1.17a50ac3f03f8p-4, -0x1.135637badc5dfp-4, -0x1.0f126e2b29af5p-4, -0x1.0ad9b380ca822p-4, -0x1.06ac0c3e188e2p-4, -0x1.02897c000da3dp-4, -0x1.fce40b0512c33p-5, -0x1.f4cb5549499cap-5, -0x1.ecc8d8da26a55p-5, -0x1.e4dc961d0dba4p-5, -0x1.dd068bd837872p-5, -0x1.d546b73b8ab22p-5, -0x1.cd9d13e970ce7p-5, -0x1.c6099bffaaf4ap-5, -0x1.be8c4820173a5p-5, -0x1.b7250f7967bcap-5, -0x1.afd3e7cfc704bp-5, -0x1.a898c5856a21p-5, -0x1.a1739ba30ad1p-5, -0x1.9a645be045e5cp-5, -0x1.936af6abe3d1bp-5, -0x1.8c875b3402425p-5, -0x1.85b9776e23563p-5, -0x1.7f01381f275cdp-5, -0x1.785e88e327462p-5, -0x1.71d1543532ebcp-5, -0x1.6b598377030a6p-5, -0x1.64f6fef886494p-5, -0x1.5ea9adff640d7p-5, -0x1.587176ce6814dp-5, -0x1.524e3eacdb109p-5, -0x1.4c3fe9edce959p-5, -0x1.46465bf757cfp-5, -0x1.40617749be94bp-5, -0x1.3a911d869ec89p-5, -0x1.34d52f7804c74p-5, -0x1.2f2d8d17794efp-5, -0x1.299a159507c5bp-5, -0x1.241aa75e3f921p-5, -0x1.1eaf202525f9p-5, -0x1.19575ce726395p-5, -0x1.141339f3f9356p-5, -0x1.0ee292f47f63ep-5, -0x1.09c542f19ac0dp-5, -0x1.04bb245af834fp-5, -0x1.ff88221b9faebp-6, -0x1.f5bfc4b73f1c5p-6, -0x1.ec1ce221a124dp-6, -0x1.e29f2af6b0c2fp-6, -0x1.d9464ee287bb4p-6, -0x1.d011fcae73467p-6, -0x1.c701e24dc9954p-6, -0x1.be15aceaa27b2p-6, -0x1.b54d08f26accbp-6, -0x1.aca7a22243abfp-6, -0x1.a4252393400d9p-6, -0x1.9bc537c66e2b1p-6, -0x1.938788b0ac2efp-6, -0x1.8b6bbfc6540fap-6, -0x1.83718606a5459p-6, -0x1.7b988406fc8adp-6, -0x1.73e061fdd56b6p-6, -0x1.6c48c7cd835b3p-6, -0x1.64d15d0ebc59ep-6, -0x1.5d79c91add39p-6, -0x1.5641b315ea53bp-6, -0x1.4f28c1f857fb4p-6, -0x1.482e9c988bd1p-6, -0x1.4152e9b41a924p-6, -0x1.3a954ff8c4735p-6, -0x1.33f5760d2f544p-6, -0x1.2d730299565f2p-6, -0x1.270d9c4ec4decp-6, -0x1.20c4e9f07b3c8p-6, -0x1.1a98925a9dcebp-6, -0x1.14883c89df64cp-6, -0x1.0e938fa2a575ep-6, -0x1.08ba32f7f4b72p-6, -0x1.02fbce1211b2fp-6, -0x1.fab01169dc038p-7, -0x1.ef9d15cca822p-7, -0x1.e4bdf9e7b53e4p-7, -0x1.da120ef12c234p-7, -0x1.cf98a6c53dbcfp-7, -0x1.c55113f0a32e6p-7, -0x1.bb3aa9bacdafp-7, -0x1.b154bc2fa3014p-7, -0x1.a79ea028e13dap-7, -0x1.9e17ab570c67p-7, -0x1.94bf344a1e116p-7, -0x1.8b949279cce37p-7, -0x1.82971e4d7cd69p-7, -0x1.79c63123e9184p-7, -0x1.7121255a76a99p-7, -0x1.68a7565444d95p-7, -0x1.60582080eeedep-7, -0x1.5832e16312b3p-7, -0x1.5036f7968c708p-7, -0x1.4863c2d67d65cp-7, -0x1.40b8a40316e13p-7, -0x1.3934fd2727fb3p-7, -0x1.31d8317d768a4p-7, -0x1.2aa1a575e668dp-7, -0x1.2390beba7a2b8p-7, -0x1.1ca4e43404e2dp-7, -0x1.15dd7e0ed4afap-7, -0x1.0f39f5bf1c0a5p-7, -0x1.08b9b605347ap-7, -0x1.025c2af1bcd8p-7, -0x1.f84183d3143cep-8, -0x1.ec0dd352f280cp-8, -0x1.e01c24942be1ep-8, -0x1.d46b5a8641881p-8, -0x1.c8fa5adde16e8p-8, -0x1.bdc80e1b5bc6ap-8, -0x1.b2d35f90e7a8p-8, -0x1.a81b3d6881dbfp-8, -0x1.9d9e98a9a0e06p-8, -0x1.935c653e998a4p-8, -0x1.895399f9c2a29p-8, -0x1.7f83309a49fbfp-8, -0x1.75ea25d0c298bp-8, -0x1.6c87794377b5cp-8, -0x1.635a2d9262f2p-8, -0x1.5a61485ae7e9cp-8, -0x1.519bd23b32176p-8, -0x1.4908d6d5535e4p-8, -0x1.40a764d212a65p-8, -0x1.38768de34a27bp-8, -0x1.307566c625585p-8, -0x1.28a30744d60d6p-8, -0x1.20fe8a3813019p-8, -0x1.19870d882263bp-8, -0x1.123bb22daca99p-8, -0x1.0b1b9c3208d8p-8, -0x1.0425f2af453c4p-8, -0x1.fab3bf9f8d30dp-9, -0x1.ed6d219b0a26ap-9, -0x1.e0766be1e69e9p-9, -0x1.d3ce051edc503p-9, -0x1.c7725a12aaee9p-9, -0x1.bb61dd8f8f5acp-9, -0x1.af9b0873e33a4p-9, -0x1.a41c59a4200d6p-9, -0x1.98e45603c7abbp-9, -0x1.8df1886df2aep-9, -0x1.834281acf538ep-9, -0x1.78d5d8715392bp-9, -0x1.6eaa29480a76cp-9, -0x1.64be169023d36p-9, -0x1.5b10486fb0b89p-9, -0x1.519f6cc824861p-9, -0x1.486a372a10c8dp-9, -0x1.3f6f60c864af1p-9, -0x1.36ada86b1b3e8p-9, -0x1.2e23d26162ff4p-9, -0x1.25d0a87371352p-9, -0x1.1db2f9d3bfeafp-9, -0x1.15c99b102f472p-9, -0x1.0e13660276ad5p-9, -0x1.068f39c08e8d7p-9, -0x1.fe77f51987039p-10, -0x1.f031238b0a9dap-10, -0x1.e247dbaa3d9c8p-10, -0x1.d4ba04424956cp-10, -0x1.c7858df3c29dp-10, -0x1.baa873135eaa1p-10, -0x1.ae20b78855e23p-10, -0x1.a1ec68aaf6fc4p-10, -0x1.96099d231aa48p-10, -0x1.8a7674c6bd66cp-10, -0x1.7f311878b37ebp-10, -0x1.7437ba07720bap-10, -0x1.6988940c61a12p-10, -0x1.5f21e9cad3641p-10, -0x1.5502070fcd33ap-10, -0x1.4b274011f679bp-10, -0x1.418ff151be65cp-10, -0x1.383a7f79fce25p-10, -0x1.2f255740def89p-10, -0x1.264eed49406b2p-10, -0x1.1db5be0469851p-10, -0x1.15584d940894fp-10, -0x1.0d3527acf0709p-10, -0x1.054adf79e0e0dp-10, -0x1.fb301efda2dd6p-11, -0x1.ec36b2f95d297p-11, -0x1.dd824da4d8f68p-11, -0x1.cf522be03e9bap-11, -0x1.c186ecb772a9cp-11, -0x1.b41e038d8e8dep-11, -0x1.a714f1796a584p-11, -0x1.9a69451304d57p-11, -0x1.8e189a423d329p-11, -0x1.82209a0c75dc9p-11, -0x1.767efa6311caep-11, -0x1.6b317df1691c3p-11, -0x1.6035f3eb3a722p-11, -0x1.558a37dafa86ep-11, -0x1.4b2c31707b93fp-11, -0x1.4119d44fe964bp-11, -0x1.37511fdff590ap-11, -0x1.2dd01f199dfdcp-11, -0x1.2494e8571c1cdp-11, -0x1.1b9d9d23855c9p-11, -0x1.12e86a0a8d651p-11, -0x1.0a738668b71bcp-11, -0x1.023d343b59857p-11, -0x1.f4877fe313c84p-12, -0x1.e50b0079eac81p-12, -0x1.d601abc60696dp-12, -0x1.c768571e5103ap-12, -0x1.b93beb47c522fp-12, -0x1.ab79641bc2348p-12, -0x1.9e1dd02c84c33p-12, -0x1.9126506c891c5p-12, -0x1.849017d53e975p-12, -0x1.78586b0f3f124p-12, -0x1.6c7ca01ab291bp-12, -0x1.60fa1df9c0e58p-12, -0x1.55ce5c5b075b4p-12, -0x1.4af6e34556c0ep-12, -0x1.40714ac4378f6p-12, -0x1.363b3a9591eb5p-12, -0x1.2c5269d840487p-12, -0x1.22b49ebb3a459p-12, -0x1.195fae2ebdcb7p-12, -0x1.10517b9535f66p-12, -0x1.0787f8766ea03p-12, -0x1.fe024864bdf31p-13, -0x1.ed76176cd1b0ep-13, -0x1.dd679264b6731p-13, -0x1.cdd307a0c19bbp-13, -0x1.beb4ded5e08d3p-13, -0x1.b009988d7897ep-13, -0x1.a1cdcd98e3d38p-13, -0x1.93fe2e8575143p-13, -0x1.86978317add82p-13, -0x1.7996a9c14adacp-13, -0x1.6cf8971fecb6bp-13, -0x1.60ba5579e2407p-13, -0x1.54d9043f0e047p-13, -0x1.4951d78ae94c2p-13, -0x1.3e2217a9095a5p-13, -0x1.3347209b32c52p-13, -0x1.28be61a22511fp-13, -0x1.1e855cc7c5994p-13, -0x1.1499a66cb3367p-13, -0x1.0af8e4d55e91dp-13, -0x1.01a0cfbb8beb4p-13, -0x1.f11e5fc1f174p-14, -0x1.df83bd46ea98p-14, -0x1.ce6d8b2654473p-14, -0x1.bdd7bc1adebccp-14, -0x1.adbe61a6a5d9dp-14, -0x1.9e1dab52372e7p-14, -0x1.8ef1e5e5d3e86p-14, -0x1.80377aab43793p-14, -0x1.71eaeeb100d45p-14, -0x1.6408e211dbfd7p-14, -0x1.568e0f3f63843p-14, -0x1.49774a563134bp-14, -0x1.3cc1806824603p-14, -0x1.3069b6d789845p-14, -0x1.246d0ab057f3p-14, -0x1.18c8b002a3b56p-14, -0x1.0d79f1463e4f4p-14, -0x1.027e2ebd90457p-14, -0x1.efa5bbb66b0d1p-15, -0x1.daeb115b4185dp-15, -0x1.c6c79a99b5ad4p-15, -0x1.b336ba95d368fp-15, -0x1.a033fa4f83f61p-15, -0x1.8dbb0792b50c3p-15, -0x1.7bc7b3e92192ep-15, -0x1.6a55f3968badcp-15, -0x1.5961dc98c3332p-15, -0x1.48e7a5ade77d8p-15, -0x1.38e3a560cb03bp-15, -0x1.2952511ad5812p-15, -0x1.1a303c39f9df4p-15, -0x1.0b7a1731e7f0cp-15, -0x1.fa595d50abb2cp-16, -0x1.de89d5452e675p-16, -0x1.c37f9b5adc9fep-16, -0x1.a934e825f41d4p-16, -0x1.8fa42619e78cbp-16, -0x1.76c7f021a20b3p-16, -0x1.5e9b0fe9a26d2p-16, -0x1.47187c99b71fdp-16, -0x1.303b5957d27d4p-16, -0x1.19fef3ebb27aep-16, -0x1.045ec35dc0cfp-16, -0x1.deaccd5ec1898p-17, -0x1.b5c3471b4a8edp-17, -0x1.8df8ca2f7e91p-17, -0x1.674575439af9ep-17, -0x1.41a1ad104cb4cp-17, -0x1.1d061a122943ap-17, -0x1.f2d74c92fbf06p-18, -0x1.ad96f612e974ep-18, -0x1.6a3dfdb845178p-18, -0x1.28bfa6cfcba75p-18, -0x1.d21f4db473299p-19, -0x1.56444374e7758p-19, -0x1.bbae969a06d89p-20, -0x1.a3093d424e4bp-21, 0x1.220004b7c263fp-24, 0x1.ded0ce75820cep-21, 0x1.c67c464c99a46p-20, 0x1.4bc0f52453a01p-19, 0x1.b14f24c793917p-19, 0x1.09fd442075c72p-18, 0x1.39ea2b6b4926fp-18, 0x1.687697815631cp-18, 0x1.95aa8e07461c8p-18, 0x1.c18dcdeb2f548p-18, 0x1.ec27d1ca9633dp-18, 0x1.0abfe98a94bddp-17, 0x1.1ece6623f785p-17, 0x1.3242bdae58172p-17, 0x1.45203233a468cp-17, 0x1.5769e9dc4a916p-17, 0x1.6922f01a29d96p-17, 0x1.7a4e36b3a6498p-17, 0x1.8aee96e18d474p-17, 0x1.9b06d242b1b2bp-17, 0x1.aa9993e06ea58p-17, 0x1.b9a9712052a82p-17, 0x1.c838eaad3dcb8p-17, 0x1.d64a6d56be3e3p-17, 0x1.e3e052f0c359cp-17, 0x1.f0fce32168625p-17, 0x1.fda2542e504e5p-17, 0x1.04e965e09d66p-16, 0x1.0ac82fccec671p-16, 0x1.106e8b2964aa7p-16, 0x1.15dd740238d08p-16, 0x1.1b15df7a97303p-16, 0x1.2018bc1492647p-16, 0x1.24e6f20ab5a08p-16, }}, 
      {{-0x1.5aab8986dd14cp-3, -0x1.51b4a1e8dfadp-2, -0x1.e7624ecdcadc5p-2, -0x1.359b9e3eca764p-1, -0x1.6dea36aceb2bbp-1, -0x1.9c88e6a1da37dp-1, -0x1.c1cb3141fe206p-1, -0x1.de47d27820324p-1, -0x1.f2be1b53810d7p-1, -0x1.000120ae5f685p+0, -0x1.0377b0118619p+0, -0x1.042ecd5402636p+0, -0x1.028e00b42ed97p+0, -0x1.fdec34128d25p-1, -0x1.f3805fe59065dp-1, -0x1.e679e29497ef1p-1, -0x1.d7695f1750923p-1, -0x1.c6cefd38c43dep-1, -0x1.b51b1e05cc86ep-1, -0x1.a2afbd4c5138ep-1, -0x1.8fe1185004d9bp-1, -0x1.7cf7952e0525bp-1, -0x1.6a2fc38ec9d92p-1, -0x1.57bcb1d412487p-1, -0x1.45c8e854428ffp-1, -0x1.347650ee5d9f9p-1, -0x1.23e0bb65d4ca7p-1, -0x1.141d179045a6p-1, -0x1.053b80b9f1938p-1, -0x1.ee8edc70e8ec5p-2, -0x1.d49080b93d21fp-2, -0x1.bc83cddfa1304p-2, -0x1.a66ae6741abe1p-2, -0x1.9242ed97c11d2p-2, -0x1.8004adb2739cep-2, -0x1.6fa561c86369bp-2, -0x1.611765d4238ffp-2, -0x1.544ab7e80d7e3p-2, -0x1.492d73ac67c22p-2, -0x1.3fac470df0df7p-2, -0x1.37b2c9dc01e7fp-2, -0x1.312bc67494188p-2, -0x1.2c018577f475fp-2, -0x1.281e130ba77f2p-2, -0x1.256b722efb58cp-2, -0x1.23d3c4ab2b512p-2, -0x1.234171ec09b9fp-2, -0x1.239f4cde1055dp-2, -0x1.24d8b352b4827p-2, -0x1.26d9a428cf393p-2, -0x1.298ecdbf08adbp-2, -0x1.2ce598babb8e9p-2, -0x1.30cc339df5cd4p-2, -0x1.3531a0e51071cp-2, -0x1.3a05de248159ep-2, -0x1.3f39daba328d5p-2, -0x1.44bf0fd7d9442p-2, -0x1.4a87d989df08ap-2, -0x1.50875e4de602ep-2, -0x1.56b1987293607p-2, -0x1.5cfb5b22982bp-2, -0x1.635a4f86a582ep-2, -0x1.69c4eb05354c6p-2, -0x1.7032628b1951bp-2, -0x1.769a9ede2972fp-2, -0x1.7cf633f898541p-2, -0x1.833e5af6f838fp-2, -0x1.896cecaee46cbp-2, -0x1.8f7c5b0ec80d6p-2, -0x1.9567a87c9d7eap-2, -0x1.9b2a5dad0a3c6p-2, -0x1.a0c07f2d215a7p-2, -0x1.a62683de2788ep-2, -0x1.ab594d1dfec21p-2, -0x1.b05620a844a87p-2, -0x1.b51aa3b556584p-2, -0x1.b9a4d6a30eec8p-2, -0x1.bdf3108411de5p-2, -0x1.c203fa327de11p-2, -0x1.c5d688d13b13fp-2, -0x1.c969f7e75e3a3p-2, -0x1.ccbdc3630942cp-2, -0x1.cfd1a1d26b6a4p-2, -0x1.d2a57f0c854c2p-2, -0x1.d53977675da07p-2, -0x1.d78dd3818abe7p-2, -0x1.d9a3049404818p-2, -0x1.db79a1346dfd6p-2, -0x1.dd126266453a1p-2, -0x1.de6e20d52395fp-2, -0x1.df8dd21798b33p-2, -0x1.e07285e930cbdp-2, -0x1.e11d635d27b2ap-2, -0x1.e18fa61996b4p-2, -0x1.e1ca9bae3c5dcp-2, -0x1.e1cfa111f2eb1p-2, -0x1.e1a020446f5ccp-2, -0x1.e13d8e072c378p-2, -0x1.e0a9679e6674fp-2, -0x1.dfe5309313d4p-2, -0x1.def2707ca4fe4p-2, -0x1.ddd2b0e6b9fa8p-2, -0x1.dc877b6de8903p-2, -0x1.db12582c92e14p-2, -0x1.d974cc869c789p-2, -0x1.d7b05a549de2cp-2, -0x1.d5c67f61ead18p-2, -0x1.d3b8b5283dc27p-2, -0x1.d18870b19e2d5p-2, -0x1.cf37228bef73dp-2, -0x1.ccc4804bfde65p-2, -0x1.ca34f18f5bac9p-2, -0x1.c788b01a99845p-2, -0x1.c4c11f2d81b5cp-2, -0x1.c1df995b02398p-2, -0x1.bee57040839fcp-2, -0x1.bbd3ec7fa3c6cp-2, -0x1.b8ac4de8f18e1p-2, -0x1.b56fcbc2bd964p-2, -0x1.b21f95174c66ap-2, -0x1.aebcd0f92823ap-2, -0x1.ab489eb1ee988p-2, -0x1.a7c415d672d8ap-2, -0x1.a43046415ae6ap-2, -0x1.a08e37fa6446fp-2, -0x1.9cdeeb13a644dp-2, -0x1.992357873093ap-2, -0x1.955c6d1e8ec59p-2, -0x1.918b136b6c2c5p-2, -0x1.8db029d580062p-2, -0x1.89cc87bebdfa2p-2, -0x1.85e0fcbbdf2f9p-2, -0x1.81ee50dd4342p-2, -0x1.7df54502afda3p-2, -0x1.79f69333eeaeap-2, -0x1.75f2eef844d9ap-2, -0x1.71eb05a76deb6p-2, -0x1.6ddf7eafbf61p-2, -0x1.69d0fbce7ac25p-2, -0x1.65c01938d0356p-2, -0x1.61ad6db5a552bp-2, -0x1.5d998aa9af214p-2, -0x1.5984fc1897e07p-2, -0x1.5570489edc0cep-2, -0x1.515bf1686e51bp-2, -0x1.4d48722847a7bp-2, -0x1.493641149a7bcp-2, -0x1.4525ceeaafcdfp-2, -0x1.411786fc8c1f5p-2, -0x1.3d0bcf496aa91p-2, -0x1.390308a12a92ep-2, -0x1.34fd8ed1da9c4p-2, -0x1.30fbb8dde1126p-2, -0x1.2cfdd938c41a8p-2, -0x1.29043e0845693p-2, -0x1.250f31677911dp-2, -0x1.211ef9a996d99p-2, -0x1.1d33d99a77297p-2, -0x1.194e10bb0c9edp-2, -0x1.156ddb787d04fp-2, -0x1.1193735cfe417p-2, -0x1.0dbf0f39f1f0fp-2, -0x1.09f0e34b32825p-2, -0x1.06292153e6418p-2, -0x1.0267f8b567b26p-2, -0x1.fd5b2d0255246p-3, -0x1.f5f44b0d1b42cp-3, -0x1.ee9b9cbb60f95p-3, -0x1.e7516ee0a749ep-3, -0x1.e0160a0364cf2p-3, -0x1.d8e9b26c62785p-3, -0x1.d1cca836f42cp-3, -0x1.cabf27631dff6p-3, -0x1.c3c167ea1be0dp-3, -0x1.bcd39dd5a9d36p-3, -0x1.b5f5f959f1771p-3, -0x1.af28a6f1e1ee1p-3, -0x1.a86bcf7d89743p-3, -0x1.a1bf9861db1d8p-3, -0x1.9b2423a9515e5p-3, -0x1.94999024d1a98p-3, -0x1.8e1ff98c38fafp-3, -0x1.87b7789e251b2p-3, -0x1.8160233e7cd4bp-3, -0x1.7b1a0c938172fp-3, -0x1.74e5452134c31p-3, -0x1.6ec1dae2ff5cep-3, -0x1.68afd963a9ab2p-3, -0x1.62af49d3c67e2p-3, -0x1.5cc0331eb79d8p-3, -0x1.56e299fe90f5fp-3, -0x1.5116810f1713fp-3, -0x1.4b5be8e018417p-3, -0x1.45b2d007615bdp-3, -0x1.401b333277bbbp-3, -0x1.3a950d3847ad3p-3, -0x1.3520572ae722fp-3, -0x1.2fbd08696bc3ep-3, -0x1.2a6b16b1e88cfp-3, -0x1.252a76337d0bcp-3, -0x1.1ffb19a068fe1p-3, -0x1.1adcf2400c97cp-3, -0x1.15cff000b23fbp-3, -0x1.10d401890137ap-3, -0x1.0be91448fd097p-3, -0x1.070f148a6a251p-3, -0x1.0245ed807c69dp-3, -0x1.fb1b12ad88586p-4, -0x1.f1cba27e6ed41p-4, -0x1.e89d5afeb01d1p-4, -0x1.df900af8e5befp-4, -0x1.d6a37f8df8b72p-4, -0x1.cdd7844a18d5p-4, -0x1.c52be3382684cp-4, -0x1.bca064f3a9689p-4, -0x1.b434d0b97a733p-4, -0x1.abe8ec7760da2p-4, -0x1.a3bc7cdab8bccp-4, -0x1.9baf455e665b3p-4, -0x1.93c10858314e1p-4, -0x1.8bf18705b0081p-4, -0x1.84408198e9748p-4, -0x1.7cabfc8afb7b1p-4, -0x1.753753cdb263bp-4, -0x1.6de063fadf5cap-4, -0x1.66a6e92146f6bp-4, -0x1.5f8a9e888b79fp-4, -0x1.588b3ebd2b429p-4, -0x1.51a8839c548bcp-4, -0x1.4ae2265f9718fp-4, -0x1.4437dfa878abcp-4, -0x1.3da9678befc9dp-4, -0x1.3736759dc6f0cp-4, -0x1.30dec0fbe078fp-4, -0x1.2aa200595fe87p-4, -0x1.247fea09acbe5p-4, -0x1.1e78340b4dd6fp-4, -0x1.188a941294412p-4, -0x1.12b6bf94141e5p-4, -0x1.0cfc6bcedfefp-4, -0x1.075b4dd685c64p-4, -0x1.01d31a9cc6a58p-4, -0x1.f8c70df60c7e2p-5, -0x1.ee188f76dcbd4p-5, -0x1.e39a234385f57p-5, -0x1.d94b32e7ce381p-5, -0x1.cf2b280420fbfp-5, -0x1.c5396c5d5647ep-5, -0x1.bb7569ebd69bap-5, -0x1.b1de8aea23555p-5, -0x1.a87439e2c6633p-5, -0x1.9f35e1bdaa50ep-5, -0x1.9622edcce37aep-5, -0x1.8d3ac9d8f1ccep-5, -0x1.847ce22c7ccc2p-5, -0x1.7be8a39f93c8ep-5, -0x1.737d7ba27831bp-5, -0x1.6b3ad847f8b7dp-5, -0x1.6320284f60c9bp-5, -0x1.5b2cdb2e05892p-5, -0x1.536061187692ap-5, -0x1.4bba2b0b4d4f4p-5, -0x1.4439aad3b2086p-5, -0x1.3cde531784739p-5, -0x1.35a7975d3c76cp-5, -0x1.2e94ec137ab4dp-5, -0x1.27a5c6985044dp-5, -0x1.20d99d403dee8p-5, -0x1.1a2fe75ceaecp-5, -0x1.13a81d439498ep-5, -0x1.0d41b85338d15p-5, -0x1.06fc32fa777cp-5, -0x1.00d708bd32fccp-5, -0x1.f5a36c73ca043p-6, -0x1.e9d7725d61a55p-6, -0x1.de4920fc5e79p-6, -0x1.d2f77867eb1cbp-6, -0x1.c7e17b11aa47dp-6, -0x1.bd062dcdb24e4p-6, -0x1.b26497d9fa7d7p-6, -0x1.a7fbc2e5491aep-6, -0x1.9dcabb15928a9p-6, -0x1.93d08f0de2f01p-6, -0x1.8a0c4ff3bc7c4p-6, -0x1.807d1173ff81dp-6, -0x1.7721e9c755fd4p-6, -0x1.6df9f1b62d1ccp-6, -0x1.6504449c38907p-6, -0x1.5c40006b85f74p-6, -0x1.53ac45af2a435p-6, -0x1.4b48378d83743p-6, -0x1.4312fbca1a9d8p-6, -0x1.3b0bbac722b51p-6, -0x1.33319f86a0d3ep-6, -0x1.2b83d7ab38fbap-6, -0x1.24019378a888p-6, -0x1.1caa05d3ece27p-6, -0x1.157c644325403p-6, -0x1.0e77e6ed1dd21p-6, -0x1.079bc8989f249p-6, -0x1.00e746ab739c9p-6, -0x1.f4b34252559cfp-7, -0x1.e7e4356340a2p-7, -0x1.db5ff0fe8c179p-7, -0x1.cf2504ca5fc9ap-7, -0x1.c3320599d6b73p-7, -0x1.b7858d683c488p-7, -0x1.ac1e3b53de902p-7, -0x1.a0fab39879ce7p-7, -0x1.96199f8945aa4p-7, -0x1.8b79ad8a9e7c8p-7, -0x1.8119910b4abp-7, -0x1.76f8027d7150dp-7, -0x1.6d13bf4f28762p-7, -0x1.636b89e2c01efp-7, -0x1.59fe2986ad5a3p-7, -0x1.50ca6a6d269fdp-7, -0x1.47cf1da374299p-7, -0x1.3f0b1908eeab3p-7, -0x1.367d3745c6bbap-7, -0x1.2e2457c16d866p-7, -0x1.25ff5e98cc837p-7, -0x1.1e0d349434b3ap-7, -0x1.164cc71d11596p-7, -0x1.0ebd08335f04ap-7, -0x1.075cee62eed47p-7, -0x1.002b74b86cec1p-7, -0x1.f24f356c77f72p-8, -0x1.e4a0c8923d131p-8, -0x1.d749b3796938dp-8, -0x1.ca480f5fa04e4p-8, -0x1.bd99fe114b25p-8, -0x1.b13da9d1aa952p-8, -0x1.a5314542bcb69p-8, -0x1.99730b4cd151dp-8, -0x1.8e013f05ff5abp-8, -0x1.82da2b99618f1p-8, -0x1.77fc242e3347p-8, -0x1.6d6583cec4753p-8, -0x1.6314ad4f56dap-8, -0x1.59080b34ed6cp-8, -0x1.4f3e0f9beb0ecp-8, -0x1.45b5341ed5987p-8, -0x1.3c6bf9bce2cd1p-8, -0x1.3360e8c0a9f0fp-8, -0x1.2a9290a6b8a4dp-8, -0x1.21ff880446291p-8, -0x1.19a66c6deb694p-8, -0x1.1185e25e61812p-8, -0x1.099c951d6130ap-8, -0x1.01e936a690aa7p-8, -0x1.f4d4ff2125c34p-9, -0x1.e63e5de84ee56p-9, -0x1.d80c14a70fd22p-9, -0x1.ca3bbb038dfa3p-9, -0x1.bccaf514daed1p-9, -0x1.afb773326f6bep-9, -0x1.a2fef1c408ff9p-9, -0x1.969f3911df61fp-9, -0x1.8a961d152675bp-9, -0x1.7ee17d49199aep-9, -0x1.737f447c51e29p-9, -0x1.686d68a28979p-9, -0x1.5da9eaa6d7883p-9, -0x1.5332d63e59512p-9, -0x1.490641bb37075p-9, -0x1.3f224de03b0afp-9, -0x1.358525b4cba68p-9, -0x1.2c2cfe5959e4cp-9, -0x1.231816dc4e809p-9, -0x1.1a44b80f691bdp-9, -0x1.11b1345d9d003p-9, -0x1.095be7a161d7dp-9, -0x1.014336fb77cd4p-9, -0x1.f2cb215478b25p-10, -0x1.e382d7c28d1d7p-10, -0x1.d4aa91436076cp-10, -0x1.c63f5f257a135p-10, -0x1.b83e63b5ea17ap-10, -0x1.aaa4d1f3763f6p-10, -0x1.9d6fed42a592dp-10, -0x1.909d0922ae6a9p-10, -0x1.842988e369a8ap-10, -0x1.7812df5c12db9p-10, -0x1.6c568ea2b8058p-10, -0x1.60f227c4d9617p-10, -0x1.55e34a8093a4bp-10, -0x1.4b27a4fee5fa6p-10, -0x1.40bcf38e923f1p-10, -0x1.36a1005ff06d2p-10, -0x1.2cd1a34161eadp-10, -0x1.234cc15ccb2d8p-10, -0x1.1a104cf5ca839p-10, -0x1.111a452871794p-10, -0x1.0868b5a913363p-10, -0x1.fff36d0950858p-11, -0x1.ef96d7c40b7f2p-11, -0x1.dfb80b87755d6p-11, -0x1.d0537f95976e2p-11, -0x1.c165c1f416239p-11, -0x1.b2eb76f4863e1p-11, -0x1.a4e158be0f00dp-11, -0x1.974436d8a386ap-11, -0x1.8a10f5b9a0ff7p-11, -0x1.7d448e51d97f3p-11, -0x1.70dc0d9d3bc78p-11, -0x1.64d49433b244p-11, -0x1.592b55dbd3062p-11, -0x1.4ddd991eb59cep-11, -0x1.42e8b6dd71d6ap-11, -0x1.384a19e8643ffp-11, -0x1.2dff3e97327cep-11, -0x1.2405b26321e21p-11, -0x1.1a5b1382d9b87p-11, -0x1.10fd10873cf39p-11, -0x1.07e967fa4e194p-11, -0x1.fe3bcffef672ep-12, -0x1.ed30dbea9bd04p-12, -0x1.dcadcc3298486p-12, -0x1.ccae9659969e7p-12, -0x1.bd2f4c37b9c1p-12, -0x1.ae2c1b4a9311dp-12, -0x1.9fa14c0a2f919p-12, -0x1.918b413ff884ep-12, -0x1.83e67760ae891p-12, -0x1.76af83eaddec3p-12, -0x1.69e314c79ebe2p-12, -0x1.5d7defaef49ebp-12, -0x1.517cf18f54b15p-12, -0x1.45dd0df87789dp-12, -0x1.3a9b4e8914e53p-12, -0x1.2fb4d2605b0c9p-12, -0x1.2526cd91dcb84p-12, -0x1.1aee889d44869p-12, -0x1.11095fe80c1acp-12, -0x1.0774c33c3c9e5p-12, -0x1.fc5c6a8f11c27p-13, -0x1.ea66963ebafb3p-13, -0x1.d903578e05372p-13, -0x1.c82e1f7168395p-13, -0x1.b7e280e32151fp-13, -0x1.a81c300017b2dp-13, -0x1.98d7012afdbdcp-13, -0x1.8a0ee833e8704p-13, -0x1.7bbff784f2707p-13, -0x1.6de65f54c769dp-13, -0x1.606b2466fbb21p-13, -0x1.536c2647fa564p-13, -0x1.46d82e0c9df4ap-13, -0x1.3aabd452e308dp-13, -0x1.2ee3cc1f83ff1p-13, -0x1.237ce2298c49cp-13, -0x1.1873fc2cfd01ep-13, -0x1.0dc6183dacfaep-13, -0x1.03704c2076065p-13, -0x1.f2df894be9ae9p-14, -0x1.df838a14e9e84p-14, -0x1.ccc74cb0cfc29p-14, -0x1.baa5ad9e4389ep-14, -0x1.a919b297da0b1p-14, -0x1.981e896ffa444p-14, -0x1.87af86f07a3f4p-14, -0x1.77c825c03f118p-14, -0x1.68640554b19fcp-14, -0x1.597ee8e2f39bcp-14, -0x1.4b14b65c3ab56p-14, -0x1.3d21756ad6373p-14, -0x1.2fa14e7c505a9p-14, -0x1.229089cbc7a38p-14, -0x1.15eb8e746774p-14, -0x1.09aee18981f57p-14, -0x1.fbae4a6726198p-15, -0x1.e4c22fab1acf6p-15, -0x1.ce93265ee9028p-15, -0x1.b91b172780fdap-15, -0x1.a4541e2abba31p-15, -0x1.90388984fdc57p-15, -0x1.7cc2d7bf1d139p-15, -0x1.69edb656911e4p-15, -0x1.57b4004ab9022p-15, -0x1.4610bcb3fbce6p-15, -0x1.34ff1d651c48bp-15, -0x1.247a7d966a503p-15, -0x1.147e60986bf05p-15, -0x1.0506708e8768dp-15, -0x1.ec1cfa6e7a9c3p-16, -0x1.cf24f56cee564p-16, -0x1.b31d00da1d5dbp-16, -0x1.97fd8fa8fde21p-16, -0x1.7dbf56cdc9971p-16, -0x1.645b4b151f9ebp-16, -0x1.4bca9f0f23fb1p-16, -0x1.3406c10966bf3p-16, -0x1.1d0959158e56ap-16, -0x1.06cc471f3d8f6p-16, -0x1.e2934223fb6e5p-17, -0x1.b8f762127753dp-17, -0x1.90b9e7118fcb4p-17, -0x1.69d02ba8d7e0bp-17, -0x1.442fe881b9f7ep-17, -0x1.1fcf31380aad9p-17, -0x1.f948e250f5a44p-18, -0x1.b54cd115a616cp-18, -0x1.739852d6629adp-18, -0x1.341a29b81b47ep-18, -0x1.ed83608e26fcap-19, -0x1.76fda89b561b2p-19, -0x1.048422fea35aap-19, -0x1.2bf1b1eea621fp-20, -0x1.59f6df1d2d269p-22, 0x1.de2e21f0b70d6p-22, 0x1.3e6003e9e170dp-20, 0x1.fe33d60f99e1fp-20, 0x1.5b9ca963ea7d5p-19, 0x1.b4d08af8b7977p-19, 0x1.05668514f5eap-18, 0x1.2ed46aad974ap-18, 0x1.56bceb40b9af3p-18, 0x1.7d2a9d5664196p-18, 0x1.a227bc4cd92f5p-18, 0x1.c5be2be704175p-18, 0x1.e7f77b9661578p-18, 0x1.046e74d05f05p-17, 0x1.143bb31ac4bfbp-17, 0x1.2367cb32702e9p-17, 0x1.31f6eb7f25b8p-17, 0x1.3fed1fae1f2ap-17, 0x1.4d4e520139556p-17, 0x1.5a1e4ca0e1ceap-17, 0x1.6660bad09477ep-17, 0x1.72192a2ef468p-17, 0x1.7d4b0bd5857acp-17, 0x1.87f9b578db78ep-17, 0x1.9228627c4ff38p-17, 0x1.9bda34fb53c06p-17, 0x1.a51236c94fa7ap-17, 0x1.add35a687ee61p-17, 0x1.b6207bf666c2ep-17, 0x1.bdfc620f5d98dp-17, 0x1.c569beae84814p-17, 0x1.cc6b2ffba922dp-17, 0x1.d30341171f3e4p-17, 0x1.d9346aec14ffbp-17, 0x1.df0114d5b44d3p-17, 0x1.e46b955cedc5bp-17, 0x1.e97632f5b512ap-17, 0x1.ee232486ab3a1p-17, 0x1.f274922afe72ep-17, 0x1.f66c95b384147p-17, 0x1.fa0d3b45bb5d2p-17, 0x1.fd5881e7ebb7cp-17, 0x1.00282e0189facp-16, 0x1.017b57f83b503p-16, 0x1.02a6ac3950a75p-16, 0x1.03ab12937d0ddp-16, 0x1.04896d7e7c2fep-16, 0x1.05429a52be9d2p-16, 0x1.05d7717c4d13ep-16, 0x1.0648c6b016c58p-16, 0x1.0697691868feep-16, 0x1.06c4238490be8p-16, 0x1.06cfbc95e27acp-16, 0x1.06baf6e98a496p-16, 0x1.0686913b5d663p-16, 0x1.0633469b311cap-16, 0x1.05c1ce7f510a1p-16, 0x1.0532dcf16505cp-16, 0x1.048722aeb3a61p-16, 0x1.03bf4d46d7bc9p-16, 0x1.02dc073c4a316p-16, 0x1.01ddf81d93e38p-16, 0x1.00c5c4a290c3fp-16, 0x1.ff281d8f56d13p-17, 0x1.fc92ebca49dc4p-17, 0x1.f9cd2d91c7dc6p-17, 0x1.f6d8178dd4d9ep-17, 0x1.f3b4d9ab495bep-17, 0x1.f0649f3f0a415p-17, 0x1.ece88f2b40356p-17, 0x1.e941cc021c3d3p-17, 0x1.e571742807d55p-17, 0x1.e178a1f89457bp-17, 0x1.dd586bdc03639p-17, 0x1.d911e4776a278p-17, 0x1.d4a61aa8ac65ep-17, 0x1.d01619c0fce84p-17, 0x1.cb62e98198306p-17, 0x1.c68d8e4276f22p-17, 0x1.c19709022caf7p-17, 0x1.bc805778a831ep-17, 0x1.b74a7430f6412p-17, 0x1.b1f656900193bp-17, 0x1.ac84f2eae4f9bp-17, 0x1.a6f73a9600357p-17, 0x1.a14e1bf13229fp-17, 0x1.9b8a82767d4acp-17, 0x1.95ad56c578075p-17, 0x1.8fb77eaf2f10cp-17, 0x1.89a9dd3dd486p-17, 0x1.838552c360105p-17, }}, 
      {{0x1.a32e15816ea55p-1, 0x1.c369de104c506p-1, 0x1.ed5edc5a2fa08p-1, 0x1.0d63982d9601p+0, 0x1.23b9335fbb9fbp+0, 0x1.38584b7b5a214p+0, 0x1.4a72bd10af9ddp+0, 0x1.599c40a3b1ab6p+0, 0x1.65ad51a49cf06p+0, 0x1.6ead9491cbc23p+0, 0x1.74c3c1745161bp+0, 0x1.7829e80c0add8p+0, 0x1.7925119749ffp+0, 0x1.77ff0eb8d2394p+0, 0x1.750276be82ceep+0, 0x1.7077a78493993p+0, 0x1.6aa2fc4b7e8bep+0, 0x1.63c3b42b1720ep+0, 0x1.5c135335a6535p+0, 0x1.53c5791d787c5p+0, 0x1.4b07bf359b74bp+0, 0x1.42024883d2b5p+0, 0x1.38d79e877873ep+0, 0x1.2fa583ace0afcp+0, 0x1.2685439f71b4dp+0, 0x1.1d8ba503994edp+0, 0x1.14c9f47824c32p+0, 0x1.0c4e5e7d7200fp+0, 0x1.0423e3f2d395p+0, 0x1.f8a5fcba56f9ep-1, 0x1.e9c3e3e3ff303p-1, 0x1.dbaa158dea19fp-1, 0x1.ce5dbc5588f5fp-1, 0x1.c1e11fb76e8bfp-1, 0x1.b63412fe35d53p-1, 0x1.ab545745480ffp-1, 0x1.a13df3e33dbd1p-1, 0x1.97eb80597dd7fp-1, 0x1.8f5669bcdf613p-1, 0x1.877732cb1652dp-1, 0x1.8045a71f1879ap-1, 0x1.79b90729443e8p-1, 0x1.73c833f9e639p-1, 0x1.6e69d6e850dd7p-1, 0x1.69948059d8b45p-1, 0x1.653ec0153a5ep-1, 0x1.615f3a7098de7p-1, 0x1.5decb9cc5e3ebp-1, 0x1.5ade3bd2c3538p-1, 0x1.582afcfb201b1p-1, 0x1.55ca84b3694f8p-1, 0x1.53b4b0f6fb7e2p-1, 0x1.51e1bdea8c314p-1, 0x1.504a47e64b96dp-1, 0x1.4ee74dd335b5cp-1, 0x1.4db212daed0adp-1, 0x1.4ca452b895234p-1, 0x1.4bb8318672595p-1, 0x1.4ae8385f0f7b9p-1, 0x1.4a2f4fccad25p-1, 0x1.4988bb86717e1p-1, 0x1.48f018348e33bp-1, 0x1.48615a77dbf83p-1, 0x1.47d8cde47dee9p-1, 0x1.475312ee452c9p-1, 0x1.46cd1b76a07cdp-1, 0x1.4644264884de1p-1, 0x1.45b5ba1744e3bp-1, 0x1.451fa087eb792p-1, 0x1.447fe19067fcap-1, 0x1.43d4bf3b787edp-1, 0x1.431cb1c04e54ap-1, 0x1.425663dbe61b7p-1, 0x1.4180af68c6c45p-1, 0x1.409a9a3cc075ap-1, 0x1.3fa353504efe8p-1, 0x1.3e9a30235707bp-1, 0x1.3d7eaa43c89dfp-1, 0x1.3c505cd8385cep-1, 0x1.3b0f021c883efp-1, 0x1.39ba70d16f38cp-1, 0x1.385299adc3d93p-1, 0x1.36d784e490c48p-1, 0x1.35494fcf65fccp-1, 0x1.33a82ac715af1p-1, 0x1.31f4573181b0dp-1, 0x1.302e25c7e2777p-1, 0x1.2e55f513355d8p-1, 0x1.2c6c301422d76p-1, 0x1.2a714d04f4468p-1, 0x1.2865cc239a054p-1, 0x1.264a3678ca2d9p-1, 0x1.241f1c9c38fc6p-1, 0x1.21e5157ee5ac3p-1, 0x1.1f9cbd4719f62p-1, 0x1.1d46b4458437ap-1, 0x1.1ae39e0317948p-1, 0x1.18742060debbep-1, 0x1.15f8e2c11c388p-1, 0x1.13728d34aa63bp-1, 0x1.10e1c7ae3e564p-1, 0x1.0e47394350e08p-1, 0x1.0ba38784da473p-1, 0x1.08f755f7c3427p-1, 0x1.064345af28dbbp-1, 0x1.0387f504587a4p-1, 0x1.00c5ff6437a43p-1, 0x1.fbfbfa528a8b8p-2, 0x1.f66106f7d1ad4p-2, 0x1.f0bc486d790a7p-2, 0x1.eb0ddc18d9b47p-2, 0x1.e558a9db34cdp-2, 0x1.df9cfa7f5fd6ap-2, 0x1.d9dbd8e861577p-2, 0x1.d416481305bdp-2, 0x1.ce4d42dddc688p-2, 0x1.c881bbe9a5d55p-2, 0x1.c2b49d8f21cc1p-2, 0x1.bce6c9e4bc7fap-2, 0x1.b7191acdaf086p-2, 0x1.b14c620c8feb7p-2, 0x1.ab816954afc53p-2, 0x1.a5b8f257d190bp-2, 0x1.9ff3b6d01ee28p-2, 0x1.9a326888684a2p-2, 0x1.9475b1662d571p-2, 0x1.8ebe337970845p-2, 0x1.890c8915e10a2p-2, 0x1.836144f7b9838p-2, 0x1.7dbcf275140bp-2, 0x1.782015bace397p-2, 0x1.728b2c12cbd6ep-2, 0x1.6cfeac3064718p-2, 0x1.677b067f747eep-2, 0x1.6200a57280fe4p-2, 0x1.5c8fedccb48ap-2, 0x1.57293ee51e9d6p-2, 0x1.51ccf2e151468p-2, 0x1.4c7b5ee650fc3p-2, 0x1.4734d33f95f14p-2, 0x1.41f99b7cbe1a5p-2, 0x1.3cc9fe87347a2p-2, 0x1.37a63eb1ba48ep-2, 0x1.328e99c418b44p-2, 0x1.2d8349057489cp-2, 0x1.28848147ab15p-2, 0x1.239272f5d75a8p-2, 0x1.1ead4a27a25ffp-2, 0x1.19d52eba75c9ep-2, 0x1.150a4470f584ep-2, 0x1.104cab189aa7bp-2, 0x1.0b9c7eb4c4797p-2, 0x1.06f9d7ae2b685p-2, 0x1.0264cb056d68dp-2, 0x1.fbbad50e93907p-3, 0x1.f2c78a02568e5p-3, 0x1.e9efcce95202cp-3, 0x1.e133b091bec0cp-3, 0x1.d89342f156804p-3, 0x1.d00e8d7a0fe9dp-3, 0x1.c7a5956634a7fp-3, 0x1.bf585bfb4d8d8p-3, 0x1.b726dec3f2e47p-3, 0x1.af1117c0eb527p-3, 0x1.a716fd928f9f1p-3, 0x1.9f38839b7cff6p-3, 0x1.97759a1e0bbc2p-3, 0x1.8fce2e55e6863p-3, 0x1.88422a8f2b1d5p-3, 0x1.80d1763c4f2e8p-3, 0x1.797bf60bdcbd2p-3, 0x1.72418bfec6b71p-3, 0x1.6b22177fed00ep-3, 0x1.641d757d111p-3, 0x1.5d3380815657cp-3, 0x1.566410d12a792p-3, 0x1.4faefc8763124p-3, 0x1.491417b3322d2p-3, 0x1.429334768c272p-3, 0x1.3c2c2324a8dcdp-3, 0x1.35deb2602332fp-3, 0x1.2faaaf386d18ep-3, 0x1.298fe54641d23p-3, 0x1.238e1ec6d2cacp-3, 0x1.1da524b58e6b3p-3, 0x1.17d4bee4508bbp-3, 0x1.121cb4120470dp-3, 0x1.0c7cc9ffb2291p-3, 0x1.06f4c5840aa5ep-3, 0x1.01846a9d95beep-3, 0x1.f856f9074393ep-4, 0x1.edd37b6c4f999p-4, 0x1.e37de0198b68bp-4, 0x1.d955a98a1d915p-4, 0x1.cf5a59208ef26p-4, 0x1.c58b6f4187d86p-4, 0x1.bbe86b6df7936p-4, 0x1.b270cc5ce5d96p-4, 0x1.a924101506961p-4, 0x1.a001b40617317p-4, 0x1.970935220d0bp-4, 0x1.8e3a0ff60c5d3p-4, 0x1.8593c0c2f4586p-4, 0x1.7d15c395766dcp-4, 0x1.74bf945d82f55p-4, 0x1.6c90af04e47bp-4, 0x1.64888f84e21dfp-4, 0x1.5ca6b1fac54b9p-4, 0x1.54ea92bb2953fp-4, 0x1.4d53ae63fe807p-4, 0x1.45e181ed3e088p-4, 0x1.3e938ab84d7cfp-4, 0x1.3769469e1e538p-4, 0x1.306233fc1dce9p-4, 0x1.297dd1c00ffe5p-4, 0x1.22bb9f72f1d39p-4, 0x1.1c1b1d4304c04p-4, 0x1.159bcc0d20644p-4, 0x1.0f3d2d656c0ebp-4, 0x1.08fec39f955cp-4, 0x1.02e011d69cec7p-4, 0x1.f9c137e8953b5p-5, 0x1.edfebcd20e543p-5, 0x1.e279f7b46d2f1p-5, 0x1.d730cd40a395dp-5, 0x1.cc224c2d8838dp-5, 0x1.c14d8515a87a1p-5, 0x1.b6b18a815ef5bp-5, 0x1.ac4d70f0937c9p-5, 0x1.a2204ee433a24p-5, 0x1.98293ce76c50cp-5, 0x1.8e675598a1e9ap-5, 0x1.84d9b5b22f68dp-5, 0x1.7b7f7c12df81ep-5, 0x1.7257c9c61fbap-5, 0x1.6961c20be4b12p-5, 0x1.609c8a6033a4ap-5, 0x1.58074a824c991p-5, 0x1.4fa12c7b6c03ap-5, 0x1.47695ca516961p-5, 0x1.3f5f09aeef86ap-5, 0x1.378164a40bf4ep-5, 0x1.2fcfa0efc36bdp-5, 0x1.2848f461f6d23p-5, 0x1.20ec9732cd13dp-5, 0x1.19b9c405e4773p-5, 0x1.12afb7ecf7ea1p-5, 0x1.0bcdb269fcd7fp-5, 0x1.0512f570ba3fep-5, 0x1.fcfd8acfbbe99p-6, 0x1.f020d2532edabp-6, 0x1.e38e54077261bp-6, 0x1.d744a76edbcb5p-6, 0x1.cb4268f104207p-6, 0x1.bf8639d89803p-6, 0x1.b40ec050779f8p-6, 0x1.a8daa76029835p-6, 0x1.9de89ee7ba5ffp-6, 0x1.93375b9b0a718p-6, 0x1.88c596fca5606p-6, 0x1.7e920f581b792p-6, 0x1.749b87bbf6f83p-6, 0x1.6ae0c7f3568eap-6, 0x1.61609c7f2346ap-6, 0x1.5819d68f0225ep-6, 0x1.4f0b4bf9f4e34p-6, 0x1.4633d736b5a6cp-6, 0x1.3d925753d6f8ep-6, 0x1.3525afef9e07dp-6, 0x1.2cecc92fac5edp-6, 0x1.24e68fb868e02p-6, 0x1.1d11f4a438e57p-6, 0x1.156ded7a81c88p-6, 0x1.0df9742678762p-6, 0x1.06b386edc0729p-6, 0x1.ff3650cda95ebp-7, 0x1.f15ebede94c22p-7, 0x1.e3de6e43b7137p-7, 0x1.d6b37d98959e8p-7, 0x1.c9dc13ca31c09p-7, 0x1.bd56600220a95p-7, 0x1.b120999155b3ep-7, 0x1.a538ffda9415ap-7, 0x1.999dda3ca8418p-7, 0x1.8e4d77fc53e3bp-7, 0x1.8346302df4e6dp-7, 0x1.7886619efb377p-7, 0x1.6e0c72bf27a3fp-7, 0x1.63d6d18996aa3p-7, 0x1.59e3f36d9cd35p-7, 0x1.503255378b22ep-7, 0x1.46c07af9443c1p-7, 0x1.3d8ceff2bf839p-7, 0x1.3496467a752c4p-7, 0x1.2bdb17e5b8acep-7, 0x1.235a0471083aep-7, 0x1.1b11b32855f06p-7, 0x1.1300d1cf4ed56p-7, 0x1.0b2614c9a3e1ep-7, 0x1.03803703587c6p-7, 0x1.f81bf3b23996fp-8, 0x1.e99c4a0164e27p-8, 0x1.db7f0ce2cbedap-8, 0x1.cdc1e49931a78p-8, 0x1.c062858cc5eb2p-8, 0x1.b35eb01c9cea9p-8, 0x1.a6b4307057db3p-8, 0x1.9a60de4a100fep-8, 0x1.8e629cd878ae7p-8, 0x1.82b75a894bd46p-8, 0x1.775d10dbf5f06p-8, 0x1.6c51c4348a92ep-8, 0x1.619383af0c479p-8, 0x1.572068f2f4e44p-8, 0x1.4cf698071d8aep-8, 0x1.43143f25ed528p-8, 0x1.39779691e09a4p-8, 0x1.301ee06a69966p-8, 0x1.2708688126b6dp-8, 0x1.1e32842f73f8fp-8, 0x1.159b922c5ba41p-8, 0x1.0d41fa62de905p-8, 0x1.05242dc8a6431p-8, 0x1.fa814c6a1f6afp-9, 0x1.eb2bcc713b60bp-9, 0x1.dc44f1e9a609ep-9, 0x1.cdc9e3e8dc544p-9, 0x1.bfb7da081f0e1p-9, 0x1.b20c1c1694473p-9, 0x1.a4c401cc3fbe3p-9, 0x1.97dcf27dce68bp-9, 0x1.8b5464d14b9b5p-9, 0x1.7f27de73a31bdp-9, 0x1.7354f3cf1664ap-9, 0x1.67d947c28744ap-9, 0x1.5cb28b59af7ecp-9, 0x1.51de7d8643ba4p-9, 0x1.475aead9f3afdp-9, 0x1.3d25ad416179cp-9, 0x1.333cabc00042fp-9, 0x1.299dda2ce6b83p-9, 0x1.204738f08457ap-9, 0x1.1736d4c35a457p-9, 0x1.0e6ac66d8d6cdp-9, 0x1.05e1328786488p-9, 0x1.fb309276caecbp-10, 0x1.eb1c8c0f0e256p-10, 0x1.db82df03bd9fdp-10, 0x1.cc602e38b4c71p-10, 0x1.bdb131d456a63p-10, 0x1.af72b6cc0483ep-10, 0x1.a1a19e728aa55p-10, 0x1.943ade08466b4p-10, 0x1.873b7e4d5d9b7p-10, 0x1.7aa09b159f40fp-10, 0x1.6e6762de65f5ap-10, 0x1.628d16662cc4cp-10, 0x1.570f084613728p-10, 0x1.4bea9c8d2ac14p-10, 0x1.411d485d7c513p-10, 0x1.36a4918aefe23p-10, 0x1.2c7e0e3be7aecp-10, 0x1.22a7648ba3a4ep-10, 0x1.191e4a2e4bf4ep-10, 0x1.0fe08416cedffp-10, 0x1.06ebe61e573acp-10, 0x1.fc7ca55af0b25p-11, 0x1.ebab74ce02671p-11, 0x1.db6037a8d2c14p-11, 0x1.cb970627c8fd8p-11, 0x1.bc4c131000091p-11, 0x1.ad7bab11b6043p-11, 0x1.9f22342dc6375p-11, 0x1.913c2d1e2f0dfp-11, 0x1.83c62cc1a9f29p-11, 0x1.76bce189fc8c4p-11, 0x1.6a1d10ed71eedp-11, 0x1.5de396db1ae8ap-11, 0x1.520d6531c3a52p-11, 0x1.46978339ca52fp-11, 0x1.3b7f0d2191728p-11, 0x1.30c1337cb2bb2p-11, 0x1.265b3ac5d1f04p-11, 0x1.1c4a7ae2f299fp-11, 0x1.128c5eac4db3cp-11, 0x1.091e6375bebcep-11, 0x1.fffc31351ac7dp-12, 0x1.ee523e172a50ap-12, 0x1.dd3a51bfa7735p-12, 0x1.ccaff1ce6f25fp-12, 0x1.bcaec47f68748p-12, 0x1.ad328fd91032p-12, 0x1.9e3738df9064ep-12, 0x1.8fb8c2cbc14c7p-12, 0x1.81b34e469d5d5p-12, 0x1.742318a8b6b4ep-12, 0x1.67047b3dafd2fp-12, 0x1.5a53ea8bc7cf2p-12, 0x1.4e0df59f0df3bp-12, 0x1.422f4558ad55dp-12, 0x1.36b49bc1acef3p-12, 0x1.2b9ad361abc84p-12, 0x1.20dede991d5a6p-12, 0x1.167dc6feee4a7p-12, 0x1.0c74acc1e9c19p-12, 0x1.02c0c60d74a85p-12, 0x1.f2bebce381fa2p-13, 0x1.e09bac9e76428p-13, 0x1.cf13448ac7188p-13, 0x1.be209549b1187p-13, 0x1.adbed5c96583p-13, 0x1.9de9623575784p-13, 0x1.8e9bbaee2b9dcp-13, 0x1.7fd18385e6654p-13, 0x1.718681c417151p-13, 0x1.63b69cae97024p-13, 0x1.565ddb98bd786p-13, 0x1.497865384ea0ap-13, 0x1.3d027ec00c75bp-13, 0x1.30f88afff6623p-13, 0x1.2557098b2a051p-13, 0x1.1a1a95e2b7471p-13, 0x1.0f3fe6a6b6d0ap-13, 0x1.04c3cccbfe3f6p-13, 0x1.f54665adbff97p-14, 0x1.e1b638375951cp-14, 0x1.ced148074fdd7p-14, 0x1.bc91faae52cdbp-14, 0x1.aaf2e318ee4ap-14, 0x1.99eec036dc3b7p-14, 0x1.89807bab4fe83p-14, 0x1.79a32886befc3p-14, 0x1.6a52020995e4p-14, 0x1.5b886a6ee2206p-14, 0x1.4d41e9c01ab99p-14, 0x1.3f7a2cb1ce9e9p-14, 0x1.322d0386f9328p-14, 0x1.255660fd902dcp-14, 0x1.18f2594245cfcp-14, 0x1.0cfd20ebf3cp-14, 0x1.01730bfe85e9dp-14, 0x1.eca119e908fc7p-15, 0x1.d72467a184d2cp-15, 0x1.c2695a6b85742p-15, 0x1.ae6983087a8dp-15, 0x1.9b1ea8003499p-15, 0x1.886d1adf0dc72p-15, 0x1.7674934c9559cp-15, 0x1.652013c8792b3p-15, 0x1.546a2114e4183p-15, 0x1.444d6e56dfd92p-15, 0x1.34c4dba323c7p-15, 0x1.25cb749872a37p-15, 0x1.175c6f015acf8p-15, 0x1.09732980ee984p-15, 0x1.f816549088b1ep-16, 0x1.de403bac084e8p-16, 0x1.c55bab7b5ccafp-16, 0x1.ad608ef319308p-16, 0x1.9647168845235p-16, 0x1.8007b5f35c853p-16, 0x1.6a9b220595cb6p-16, 0x1.55fa4e8b09af1p-16, 0x1.421e6c429727ep-16, 0x1.2f00e6de50e7fp-16, 0x1.1c9b63175a6b6p-16, 0x1.0ae7bccbac04dp-16, 0x1.f3c00a6157c98p-17, 0x1.d2fd021abd0c8p-17, 0x1.b37b4e0937cedp-17, 0x1.95303bdc7f536p-17, 0x1.7811766fc5ccp-17, 0x1.5c1502b12bc86p-17, 0x1.41313c925cd45p-17, 0x1.275cd422e32aap-17, 0x1.0e8ecab345302p-17, 0x1.ed7ce02618242p-18, 0x1.bfc6bfc8aa36p-18, 0x1.93eafe0f226a8p-18, 0x1.69d9f230aad96p-18, 0x1.41847bfe02dc7p-18, 0x1.1adbff2eeecap-18, 0x1.eba4bda81ced3p-19, 0x1.a4b3f1dd005d1p-19, 0x1.60cb444aae656p-19, 0x1.1fd14359d8f19p-19, 0x1.c35ab5069cd8ap-20, 0x1.4c8f952b1d957p-20, 0x1.b62688db16729p-21, 0x1.bae5b56998769p-22, 0x1.d5ce68b9f8996p-26, -0x1.6cf2ed05f1501p-22, -0x1.7254e2be742e8p-21, -0x1.129890cff93b8p-20, -0x1.67ac76052c18p-20, -0x1.b88a3d8cf865p-20, -0x1.02aa67be1532ap-19, -0x1.2716f54d2e4bep-19, -0x1.499b1770dd5d9p-19, -0x1.6a4693f3afb19p-19, -0x1.8928ab56ee81dp-19, -0x1.a6501db9f200cp-19, -0x1.c1cb2f5dcb624p-19, -0x1.dba7ad30136d2p-19, -0x1.f3f2f114165eap-19, -0x1.055cf30e9a3adp-18, -0x1.1004863df68cbp-18, -0x1.19f63eb5f012fp-18, -0x1.2337f776f8836p-18, -0x1.2bcf5bb245d21p-18, -0x1.33c1e88502511p-18, -0x1.3b14eea75358dp-18, -0x1.41cd94035bfc7p-18, -0x1.47f0d54f6fb95p-18, -0x1.4d83878084e3p-18, -0x1.528a59447076bp-18, -0x1.5709d461dca65p-18, -0x1.5b065f1126195p-18, -0x1.5e843d48e6c8dp-18, -0x1.618791f6639eep-18, -0x1.6414602c0fa49p-18, -0x1.662e8c5551cc2p-18, -0x1.67d9dd475980fp-18, -0x1.6919fd55b67bp-18, -0x1.69f27b5503f24p-18, -0x1.6a66cb9a1d38cp-18, -0x1.6a7a48efcff04p-18, -0x1.6a3035784fddep-18, -0x1.698bbb9308361p-18, -0x1.688feeb12e5fp-18, -0x1.673fcc280e794p-18, -0x1.659e3bf5cf179p-18, -0x1.63ae11812a8dfp-18, -0x1.61720c51a2dfep-18, -0x1.5eecd8bfae99dp-18, -0x1.5c21109e5c328p-18, -0x1.59113bdde682fp-18, -0x1.55bfd12927329p-18, -0x1.522f36798752cp-18, -0x1.4e61c1a91be3ep-18, -0x1.4a59b8fc0e559p-18, -0x1.461953a33585p-18, -0x1.41a2ba42bd83ep-18, -0x1.3cf80764e1fb4p-18, -0x1.381b47ed9d441p-18, -0x1.330e7b99c3981p-18, -0x1.2dd3954fbe0d8p-18, -0x1.286c7ba452c03p-18, -0x1.22db092c3adb6p-18, -0x1.1d210ce1b7524p-18, -0x1.17404a7d215d5p-18, -0x1.113a7acb39a45p-18, -0x1.0b114c0510b1dp-18, -0x1.04c6621ffe834p-18, -0x1.fcb6ae2d112c8p-19, -0x1.efa3766c5af3p-19, -0x1.e2562ac894f68p-19, -0x1.d4d1c6c440784p-19, -0x1.c7193421cda4bp-19, -0x1.b92f4b564461dp-19, -0x1.ab16d4096f4d3p-19, -0x1.9cd28583fb8c2p-19, -0x1.8e65071ffccf9p-19, -0x1.7fd0f0ac5b873p-19, -0x1.7118cae3f0327p-19, -0x1.623f0fb5918b2p-19, -0x1.53462ab2b2948p-19, -0x1.44307961ae846p-19, -0x1.35004b9577913p-19, -0x1.25b7e3c36ec86p-19, -0x1.16597749b6ecfp-19, -0x1.06e72ec4292d6p-19, -0x1.eec64c987ff4dp-20, -0x1.cf9edb8f7ec16p-20, -0x1.b05c124fa0b1cp-20, -0x1.9101e154b109p-20, -0x1.7194221f3e68cp-20, -0x1.521697cf64ba7p-20, -0x1.328cef7d024e3p-20, -0x1.12fac0aee7ec5p-20, -0x1.e6c71b7948d11p-21, -0x1.a79588886edb3p-21, -0x1.68677aefbe088p-21, -0x1.29437d4953d07p-21, -0x1.d45fe545f96a1p-22, -0x1.56662f645d238p-22, -0x1.b14c0c50caf6p-23, -0x1.6cad3155f7c94p-24, 0x1.0ff324c998ca1p-25, 0x1.3d9776ae3a39ep-23, 0x1.1b31ad5642a07p-22, 0x1.9725760bc4baap-22, 0x1.094e4ac50caddp-21, 0x1.46c667cd57fb9p-21, 0x1.83f61545bc5f6p-21, 0x1.c0d877303d0cp-21, 0x1.fd68d1def4c16p-21, 0x1.1cd144be93b96p-20, 0x1.3ac090caffb3dp-20, 0x1.58801e4f212eap-20, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.06b06b5d8cc7dp-6, -0x1.067aa4c2075a3p-5, -0x1.8931d477f5254p-5, -0x1.05a47270040fap-4, -0x1.4645ea608788fp-4, -0x1.8663e0882ae5dp-4, -0x1.c5e58ea355785p-4, -0x1.025979168614ap-3, -0x1.215a709d3b19p-3, -0x1.3fea8dedb5a37p-3, -0x1.5dff2d1b18a6cp-3, -0x1.7b8e2bced057ep-3, -0x1.988ded72b11cap-3, -0x1.b4f55e1c9b7e6p-3, -0x1.d0bbf45deb3a1p-3, -0x1.ebd9b2179dd95p-3, -0x1.0323923959dc9p-2, -0x1.0ffeb18d0e292p-2, -0x1.1c7b0768a4f0bp-2, -0x1.2895a7c0145ecp-2, -0x1.344be8e560ep-2, -0x1.3f9b62243656ep-2, -0x1.4a81ea361c274p-2, -0x1.54fd9596fec73p-2, -0x1.5f0cb4c0ced36p-2, -0x1.68add2540f2f5p-2, -0x1.71dfb13262bdep-2, -0x1.7aa14a8f66f5ep-2, -0x1.82f1cbfb9462ep-2, -0x1.8ad0956c4663cp-2, -0x1.923d3743975f2p-2, -0x1.9937705a4eefp-2, -0x1.9fbf2c0dc398bp-2, -0x1.a5d4805340bbfp-2, -0x1.ab77abd23cc55p-2, -0x1.b0a914066e90ap-2, -0x1.b569436a9badep-2, -0x1.b9b8e7acc71b4p-2, -0x1.bd98cfec50439p-2, -0x1.c109eb025875dp-2, -0x1.c40d45d4bee08p-2, -0x1.c6a409b3db173p-2, -0x1.c8cf7ac310146p-2, -0x1.ca90f66c3bad4p-2, -0x1.cbe9f1de0125dp-2, -0x1.ccdbf894d01bap-2, -0x1.cd68aaee9781dp-2, -0x1.cd91bcc8f59fp-2, -0x1.cd58f429c24ddp-2, -0x1.ccc027f1c4e35p-2, -0x1.cbc93e9963257p-2, -0x1.ca762cf71ffafp-2, -0x1.c8c8f50fb0382p-2, -0x1.c6c3a4ef81e7p-2, -0x1.c468558d79cbfp-2, -0x1.c1b929b6c77a8p-2, -0x1.beb84d039cf78p-2, -0x1.bb67f2d4a4f5dp-2, -0x1.b7ca5559124c4p-2, -0x1.b3e1b49d22d17p-2, -0x1.afb055a0f34ffp-2, -0x1.ab38817789be7p-2, -0x1.a67c846def792p-2, -0x1.a17ead3a465edp-2, -0x1.9c414c32b8b87p-2, -0x1.96c6b28c29154p-2, -0x1.911131a08c8ffp-2, -0x1.8b231a3cd0b2bp-2, -0x1.84febbf632272p-2, -0x1.7ea66486f3eacp-2, -0x1.781c5f324e936p-2, -0x1.7162f42f898f3p-2, -0x1.6a7c681c1c139p-2, -0x1.636afb74b7d18p-2, -0x1.5c30ea1527e3ap-2, -0x1.54d06abeda9e2p-2, -0x1.4d4baea603563p-2, -0x1.45a4e1052514p-2, -0x1.3dde26b6f02f3p-2, -0x1.35f99dd64bb39p-2, -0x1.2df95d64652a4p-2, -0x1.25df74f4a0146p-2, -0x1.1dadec5e48807p-2, -0x1.1566c373d4647p-2, -0x1.0d0bf1bf98e86p-2, -0x1.049f6645c09d1p-2, -0x1.f8460e96c4279p-3, -0x1.e731644513f38p-3, -0x1.d60475f620841p-3, -0x1.c4c2d97017025p-3, -0x1.b37011937db63p-3, -0x1.a20f8e17a606ap-3, -0x1.90a4ab4f6abb8p-3, -0x1.7f32b1f5dd44ap-3, -0x1.6dbcd7029c875p-3, -0x1.5c463b857c5dp-3, -0x1.4ad1ec892cd46p-3, -0x1.3962e2fc95921p-3, -0x1.27fc03a29e0e7p-3, -0x1.16a01f0808199p-3, -0x1.0551f17f1f111p-3, -0x1.e8284641e0459p-4, -0x1.c5d28fa788babp-4, -0x1.a3a7bead21d07p-4, -0x1.81acaaa26000bp-4, -0x1.5fe602d205581p-4, -0x1.3e584eb3b69cp-4, -0x1.1d07ee25bfcffp-4, -0x1.f7f2335cca74ap-5, -0x1.b65fc58897dbbp-5, -0x1.7560683b1ecdap-5, -0x1.34fba40a3126cp-5, -0x1.ea716ad75a4b9p-6, -0x1.6c3d1aedd71cp-6, -0x1.decf4ac1d64fbp-7, -0x1.cff70efa961bcp-8, 0x1.7d188a5d943ddp-12, 0x1.f98cd1e572e14p-8, 0x1.ea8752cff9b52p-7, 0x1.6a8b435681ea5p-6, 0x1.de300ed8664acp-6, 0x1.28145057b5c06p-5, 0x1.603609de33a77p-5, 0x1.97790372f4fb6p-5, 0x1.cdd94d7ac8146p-5, 0x1.01a99c1b3bcc1p-4, 0x1.1bf1a954b629cp-4, 0x1.35c334be7421fp-4, 0x1.4f1cc2f01827cp-4, 0x1.67fcf63301a9bp-4, 0x1.80628defda024p-4, 0x1.984c661b1a94dp-4, 0x1.afb976a0b37f1p-4, 0x1.c6a8d2cef7d02p-4, 0x1.dd19a8c0f02b1p-4, 0x1.f30b40c83e951p-4, 0x1.043e7e6b51cfp-3, 0x1.0eb72bf3a47a1p-3, 0x1.18ef72b4051abp-3, 0x1.22e728514e29ep-3, 0x1.2c9e2e12f5c18p-3, 0x1.36147097d0ce5p-3, 0x1.3f49e78b023ccp-3, 0x1.483e955917e36p-3, 0x1.50f286e567a33p-3, 0x1.5965d33fb82dbp-3, 0x1.61989b5a348f1p-3, 0x1.698b09bfc7838p-3, 0x1.713d524ad328dp-3, 0x1.78afb1dc5f6edp-3, 0x1.7fe26e13bbc2cp-3, 0x1.86d5d506a58cbp-3, 0x1.8d8a3cf9f4602p-3, 0x1.9400041ad9f32p-3, 0x1.9a379038b5dbap-3, 0x1.a0314e7f8dc92p-3, 0x1.a5edb33326b6bp-3, 0x1.ab6d396ad26ebp-3, 0x1.b0b062cdea56cp-3, 0x1.b5b7b75102f43p-3, 0x1.ba83c4f3e63a1p-3, 0x1.bf151f804d99bp-3, 0x1.c36c60496742ap-3, 0x1.c78a25ec2af9ep-3, 0x1.cb6f141088343p-3, 0x1.cf1bd32b674bdp-3, 0x1.d29110418e876p-3, 0x1.d5cf7cab65ac1p-3, 0x1.d8d7cdd9a1c68p-3, 0x1.dbaabd1adbcf4p-3, 0x1.de49076214cddp-3, 0x1.e0b36d0e293c2p-3, 0x1.e2eab1b23e3a2p-3, 0x1.e4ef9bdf24296p-3, 0x1.e6c2f4edac0f4p-3, 0x1.e86588ca0a1fdp-3, 0x1.e9d825c0286afp-3, 0x1.eb1b9c49032dap-3, 0x1.ec30bed9051aep-3, 0x1.ed1861af6c67dp-3, 0x1.edd35aa6b4349p-3, 0x1.ee62810603349p-3, 0x1.eec6ad53ab035p-3, 0x1.ef00b928aa159p-3, 0x1.ef117f053d75dp-3, 0x1.eef9da267c25ep-3, 0x1.eebaa65cfc24bp-3, 0x1.ee54bfe48821cp-3, 0x1.edc9033cded5p-3, 0x1.ed184d037957bp-3, 0x1.ec4379ce6771cp-3, 0x1.eb4b66082afdcp-3, 0x1.ea30edcca3fa5p-3, 0x1.e8f4ecc708028p-3, 0x1.e7983e10d7fb2p-3, 0x1.e61bbc11e74efp-3, 0x1.e4804061616p-3, 0x1.e2c6a3a7d5187p-3, 0x1.e0efbd8243169p-3, 0x1.defc64662cb11p-3, 0x1.dced6d869e8cep-3, 0x1.dac3acba36c4bp-3, 0x1.d87ff4622b075p-3, 0x1.d62315523ed8fp-3, 0x1.d3addeb9b1e09p-3, 0x1.d1211e0d22bd7p-3, 0x1.ce7d9ef15a14ap-3, 0x1.cbc42b270be84p-3, 0x1.c8f58a777a1d2p-3, 0x1.c61282a2047f3p-3, 0x1.c31bd74a92ea3p-3, 0x1.c01249e8ec0fep-3, 0x1.bcf699b8de788p-3, 0x1.b9c983ab480d9p-3, 0x1.b68bc257f0bfdp-3, 0x1.b33e0df03cae3p-3, 0x1.afe11c32a5f92p-3, 0x1.ac75a05f03883p-3, 0x1.a8fc4b2b9f66ap-3, 0x1.a575cabb0252ap-3, 0x1.a1e2ca928c3ffp-3, 0x1.9e43f391bcc61p-3, 0x1.9a99ebea40972p-3, 0x1.96e55718a5358p-3, 0x1.9326d5ddc804bp-3, 0x1.8f5f0638e8152p-3, 0x1.8b8e836266f9fp-3, 0x1.87b5e5c72a973p-3, 0x1.83d5c3049e25ap-3, 0x1.7feeade54ee71p-3, 0x1.7c01365e22c9ap-3, 0x1.780de98c1f4c2p-3, 0x1.741551b2c50a1p-3, 0x1.7017f63af0fbp-3, 0x1.6c165bb248ac5p-3, 0x1.681103cb2a6cp-3, 0x1.64086d5d1b3cp-3, 0x1.5ffd1465af09fp-3, 0x1.5bef7209eeaf4p-3, 0x1.57dffc9828602p-3, 0x1.53cf278a389c7p-3, 0x1.4fbd63883a0a4p-3, 0x1.4bab1e6b9b59bp-3, 0x1.4798c342a1597p-3, 0x1.4386ba5441019p-3, 0x1.3f7569245b217p-3, 0x1.3b65327850036p-3, 0x1.3756765be6a03p-3, 0x1.334992268926p-3, 0x1.2f3ee080cc427p-3, 0x1.2b36b96a44b65p-3, 0x1.2731723f9fc31p-3, 0x1.232f5dc102d76p-3, 0x1.1f30cc18aef73p-3, 0x1.1b360ae1d6468p-3, 0x1.173f652fb9b52p-3, 0x1.134d2394f467bp-3, 0x1.0f5f8c2afcc91p-3, 0x1.0b76e299d89f7p-3, 0x1.0793681ffd1d3p-3, 0x1.03b55b9a5a0b1p-3, 0x1.ffb9f3191ad17p-4, 0x1.f814f852763bdp-4, 0x1.f07c36b514fc2p-4, 0x1.e8f019957a9cap-4, 0x1.e17107d9dafeap-4, 0x1.d9ff640bb3b68p-4, 0x1.d29b8c69a8411p-4, 0x1.cb45daf984ed4p-4, 0x1.c3fea59a616fcp-4, 0x1.bcc63e16f1348p-4, 0x1.b59cf237e3855p-4, 0x1.ae830bd66a642p-4, 0x1.a778d0eed13aep-4, 0x1.a07e83b31a947p-4, 0x1.9994629dc15f4p-4, 0x1.92baa8846cd0fp-4, 0x1.8bf18caab52d5p-4, 0x1.853942d4e8609p-4, 0x1.7e91fb5acc4ffp-4, 0x1.77fbe33a5c3d4p-4, 0x1.7177242a7de5ep-4, 0x1.6b03e4adaad84p-4, 0x1.64a248248bb67p-4, 0x1.5e526ee0820e7p-4, 0x1.581476361ce88p-4, 0x1.51e8788f7893fp-4, 0x1.4bce8d7e827adp-4, 0x1.45c6c9cf22ec3p-4, 0x1.3fd13f9947695p-4, 0x1.39edfe52cceddp-4, 0x1.341d12e147bd5p-4, 0x1.2e5e87aba503dp-4, 0x1.28b264aba80bep-4, 0x1.2318af7f3bd3cp-4, 0x1.1d916b799d0d8p-4, 0x1.181c99b45661bp-4, 0x1.12ba39200fa8dp-4, 0x1.0d6a46952da56p-4, 0x1.082cbce441897p-4, 0x1.030194e645ff7p-4, 0x1.fbd18b19552d3p-5, 0x1.f1c487e250f22p-5, 0x1.e7dc06cac895ep-5, 0x1.de17eb04b089p-5, 0x1.d478146f0d10cp-5, 0x1.cafc5fb3eb492p-5, 0x1.c1a4a665e2862p-5, 0x1.b870bf1d26e0cp-5, 0x1.af607d94258bcp-5, 0x1.a673b2c3abfe4p-5, 0x1.9daa2cfe97d81p-5, 0x1.9503b80d0f257p-5, 0x1.8c801d47426acp-5, 0x1.841f23afb2d6bp-5, 0x1.7be0900d007a2p-5, 0x1.73c425033ec3p-5, 0x1.6bc9a32cce85bp-5, 0x1.63f0c932bc2dep-5, 0x1.5c3953e4a5f44p-5, 0x1.54a2fe5025e1p-5, 0x1.4d2d81d7bff4cp-5, 0x1.45d896495965dp-5, 0x1.3ea3f1f43240bp-5, 0x1.378f49be67c34p-5, 0x1.309a5139fa83bp-5, 0x1.29c4bab95f6ep-5, 0x1.230e3763948dbp-5, 0x1.1c767747bff9dp-5, 0x1.15fd297058e25p-5, 0x1.0fa1fbf5d5d2cp-5, 0x1.09649c10ebc6p-5, 0x1.0344b62c526eep-5, 0x1.fa83ebec3087ep-6, 0x1.eeb80ce106facp-6, 0x1.e325240501743p-6, 0x1.d7ca850f3ffdep-6, 0x1.cca782bf46776p-6, 0x1.c1bb6efb402f5p-6, 0x1.b7059aed5ec9dp-6, 0x1.ac8557206fe62p-6, 0x1.a239f39b8d5c8p-6, 0x1.9822bffd070c4p-6, 0x1.8e3f0b947771fp-6, 0x1.848e257c0a0f1p-6, 0x1.7b0f5cb0f6749p-6, 0x1.71c2002b3a7dbp-6, 0x1.68a55ef4838c2p-6, 0x1.5fb8c83e62eaep-6, 0x1.56fb8b77b4b7dp-6, 0x1.4e6cf86158fcbp-6, 0x1.460c5f222928ep-6, 0x1.3dd9105a3965ep-6, 0x1.35d25d356c1c8p-6, 0x1.2df7977d4c67fp-6, 0x1.264811aa45479p-6, 0x1.1ec31ef426142p-6, 0x1.176813620467ap-6, 0x1.103643d97ce0ap-6, 0x1.092d062d4999ep-6, 0x1.024bb12b49c9bp-6, 0x1.f7233953bf935p-7, 0x1.e9fc432981f49p-7, 0x1.dd2133f263beep-7, 0x1.d090c22351ac4p-7, 0x1.c449a6a1da65bp-7, 0x1.b84a9cd9496dp-7, 0x1.ac9262ceb3ceep-7, 0x1.a11fb93401e01p-7, 0x1.95f16379eac3ap-7, 0x1.8b0627e0ff475p-7, 0x1.805ccf89aefaep-7, 0x1.75f426836677dp-7, 0x1.6bcafbdac2a19p-7, 0x1.61e021a6cd9a9p-7, 0x1.58326d1573e0fp-7, 0x1.4ec0b6770e62ep-7, 0x1.4589d949180fep-7, 0x1.3c8cb4401f151p-7, 0x1.33c82950e2db4p-7, 0x1.2b3b1db8b230dp-7, 0x1.22e47a0509c54p-7, 0x1.1ac32a1a7a6a1p-7, 0x1.12d61d3ada7bbp-7, 0x1.0b1c460ac9e5fp-7, 0x1.03949a968b726p-7, 0x1.f87c28ac75614p-8, 0x1.ea2f6062c51cep-8, 0x1.dc40dd03f23fep-8, 0x1.ceaea62d8c72ep-8, 0x1.c176ca6a741f3p-8, 0x1.b4975f356d15ep-8, 0x1.a80e80faa5cfdp-8, 0x1.9bda5318377f8p-8, 0x1.8ff8ffdda9a83p-8, 0x1.8468b88a83ea6p-8, 0x1.7927b54bf3f12p-8, 0x1.6e3435399038p-8, 0x1.638c7e5142ed7p-8, 0x1.592edd7262d9dp-8, 0x1.4f19a6580034fp-8, 0x1.454b3392740cdp-8, 0x1.3bc1e68031ad4p-8, 0x1.327c2745e863dp-8, 0x1.297864c5f9909p-8, 0x1.20b514974a9d2p-8, 0x1.1830b2fb7b042p-8, 0x1.0fe9c2d484e19p-8, 0x1.07decd99cf169p-8, 0x1.000e634cb5c8ap-8, 0x1.f0ee34d927dep-9, 0x1.e22f1fd49f3cep-9, 0x1.d3dcce36e39a5p-9, 0x1.c5f49359a250bp-9, 0x1.b873cf299f67p-9, 0x1.ab57ee0a74c9p-9, 0x1.9e9e68b98e272p-9, 0x1.9244c43079239p-9, 0x1.864891868dbccp-9, 0x1.7aa76dd1fd98fp-9, 0x1.6f5f02084fd3p-9, 0x1.646d02de587cdp-9, 0x1.59cf30a7b0e7p-9, 0x1.4f835735bb614p-9, 0x1.45874db63d24cp-9, 0x1.3bd8f691940a5p-9, 0x1.32763f48958ecp-9, 0x1.295d205218454p-9, 0x1.208b9cf8365c2p-9, 0x1.17ffc3354ed34p-9, 0x1.0fb7ab90c8c6dp-9, 0x1.07b178fbaacffp-9, 0x1.ffd6b159faf76p-10, 0x1.f0c703fc20f61p-10, 0x1.e2306c8d3e59cp-10, 0x1.d40f8171b3241p-10, 0x1.c660ec7ac51e7p-10, 0x1.b9216a9e7736p-10, 0x1.ac4dcbaf5b37p-10, 0x1.9fe2f21462679p-10, 0x1.93ddd280bba53p-10, 0x1.883b73abb963ep-10, 0x1.7cf8ee08e2766p-10, 0x1.72136b8025bd2p-10, 0x1.678827263bfecp-10, 0x1.5d546cf5456d1p-10, 0x1.53759985abd78p-10, 0x1.49e919c7498c7p-10, 0x1.40ac6abae4aafp-10, 0x1.37bd192c03676p-10, 0x1.2f18c16b25a47p-10, 0x1.26bd0f08589e8p-10, 0x1.1ea7bc8e44305p-10, 0x1.16d6933da9ce6p-10, 0x1.0f476ac9577a7p-10, 0x1.07f829129d51ap-10, 0x1.00e6c1e64a531p-10, 0x1.f4226d745ae2ep-11, 0x1.e6eb2cd64dbe1p-11, 0x1.da23f9f79975dp-11, 0x1.cdc926a74b6d7p-11, 0x1.c1d71dfdfd17bp-11, 0x1.b64a63debd0f5p-11, 0x1.ab1f94793aa4bp-11, 0x1.a05363cd3dc92p-11, 0x1.95e29d2f6ef2p-11, 0x1.8bca22cf74cecp-11, 0x1.8206ed3f6fb3p-11, 0x1.78960afcd2ef4p-11, 0x1.6f749ffaa5ff2p-11, 0x1.669fe52d2bc1bp-11, 0x1.5e152816fa164p-11, 0x1.55d1ca577e0a6p-11, 0x1.4dd3413af6815p-11, 0x1.4617154be1ba6p-11, 0x1.3e9ae1e5e5d1bp-11, 0x1.375c54ca31148p-11, 0x1.30592db557c9bp-11, 0x1.298f3df6afa84p-11, 0x1.22fc68092815bp-11, 0x1.1c9e9f2da2ff8p-11, 0x1.1673e706cec3fp-11, 0x1.107a53367e01bp-11, 0x1.0ab006fc82449p-11, 0x1.051334d7050c8p-11, 0x1.ff443c48c6edbp-12, 0x1.f4b6258d0c05ap-12, 0x1.ea78e18f74957p-12, 0x1.e089480210562p-12, 0x1.d6e44b84092fbp-12, 0x1.cd86f8f44031cp-12, 0x1.c46e76c6d8664p-12, 0x1.bb98045dbb329p-12, 0x1.b300f963fdf65p-12, 0x1.aaa6c52c38aa8p-12, 0x1.a286ee11bc64p-12, 0x1.9a9f10dca946p-12, 0x1.92ece028de7d5p-12, 0x1.8b6e23cfc1904p-12, 0x1.8420b854d4e86p-12, 0x1.7d028e551506cp-12, 0x1.7611a9f920716p-12, 0x1.6f4c226a1a95bp-12, 0x1.68b0214944ac7p-12, 0x1.623be22a4df89p-12, 0x1.5bedb2104c115p-12, 0x1.55c3eeed56b67p-12, 0x1.4fbd0724c4078p-12, 0x1.49d7790ffac34p-12, 0x1.4411d285d358ep-12, 0x1.3e6ab0648097ep-12, 0x1.38e0be1dfbf0cp-12, 0x1.3372b546e91c5p-12, 0x1.2e1f5d27ec377p-12, 0x1.28e58a516a364p-12, 0x1.23c41e31ab946p-12, 0x1.1eba06ad5a80dp-12, 0x1.19c63dba529c9p-12, 0x1.14e7c8fcbe3efp-12, 0x1.101db9667262ap-12, 0x1.0b672ad88a21fp-12, 0x1.06c343c73272cp-12, 0x1.023134dfa0ba2p-12, 0x1.fb6071605cba8p-13, 0x1.f27f26a517996p-13, 0x1.e9bd24300fc5bp-13, 0x1.e119166fc6f56p-13, 0x1.d891baff43dd1p-13, 0x1.d025e00ab4323p-13, 0x1.c7d463b7e9de2p-13, 0x1.bf9c3392aee06p-13, 0x1.b77c4bfcdddcbp-13, 0x1.af73b7a22c6abp-13, 0x1.a7818eef9c57dp-13, 0x1.9fa4f78e78d6cp-13, 0x1.97dd23e2e41c1p-13, 0x1.9029528dc8602p-13, 0x1.8888cdf23c7bcp-13, 0x1.80faebbe33983p-13, 0x1.797f0c7670bdp-13, 0x1.72149b05baa1fp-13, 0x1.6abb0c4f22bbbp-13, 0x1.6371dec379a1cp-13, 0x1.5c3899f9b38eep-13, 0x1.550ece4a5ab42p-13, 0x1.4df4146dda3afp-13, 0x1.46e80d1dadab3p-13, 0x1.3fea60b85b7ddp-13, 0x1.38fabee827098p-13, 0x1.3218de4c7d65dp-13, 0x1.2b447c25f3d46p-13, 0x1.247d5c04eb814p-13, 0x1.1dc3477aa9111p-13, 0x1.17160dccf032bp-13, 0x1.107583ac01e0cp-13, 0x1.09e182eafaa03p-13, 0x1.0359ea3a80844p-13, 0x1.f9bd39cb5c1cp-14, 0x1.ecdf05227202fp-14, 0x1.e0190df977ed6p-14, 0x1.d36b338c3fe89p-14, 0x1.c6d55c5e2650cp-14, 0x1.ba5775c905af7p-14, 0x1.adf1739017ce3p-14, 0x1.a1a34f76b19cfp-14, 0x1.956d08dab474bp-14, 0x1.894ea452b2e8ep-14, 0x1.7d482b4f9c79cp-14, 0x1.7159abc1e727bp-14, 0x1.658337c21dad1p-14, 0x1.59c4e53cba6aap-14, 0x1.4e1ecda13d01fp-14, 0x1.42910d946193ep-14, 0x1.371bc4a568b43p-14, 0x1.2bbf15065a46p-14, 0x1.207b23472ceaap-14, 0x1.15501613c2e1p-14, 0x1.0a3e15f4a575p-14, 0x1.fe8a9a24d76fcp-15, 0x1.e8cbcdf77bd4bp-15, 0x1.d34020dbbaea7p-15, 0x1.bde7ee3f494bp-15, 0x1.a8c3931dd3a25p-15, 0x1.93d36da066511p-15, 0x1.7f17dcc15e447p-15, 0x1.6a913ff4b6564p-15, 0x1.563ff6d49744dp-15, 0x1.422460d209789p-15, 0x1.2e3edce9a601ep-15, 0x1.1a8fc95c2bc8bp-15, 0x1.0717836ad76d3p-15, 0x1.e7acce2ec7cf1p-16, 0x1.c1999dcf24138p-16, 0x1.9bf627583e377p-16, 0x1.76c318961a0cap-16, 0x1.52011b1a3d04fp-16, 0x1.2db0d3dce585ap-16, 0x1.09d2e2e43e2cdp-16, 0x1.cccfc5e2c5093p-17, 0x1.86e0d26613d14p-17, }}, 
      {{-0x1.c70d381634362p-7, -0x1.c6dea0321edcap-6, -0x1.54ecd0d4822ebp-5, -0x1.c624c745f9113p-5, -0x1.1b8035d9340c4p-4, -0x1.53b4a56dd2e91p-4, -0x1.8ba4abcaddddp-4, -0x1.c3457d49641d5p-4, -0x1.fa8c90300e37ep-4, -0x1.18b7d16728f47p-3, -0x1.33f2605e630fdp-3, -0x1.4ef123a704ad1p-3, -0x1.69af749e9bb87p-3, -0x1.8428d8d41af93p-3, -0x1.9e5903321badp-3, -0x1.b83bd4dd932adp-3, -0x1.d1cd5dd0116d4p-3, -0x1.eb09dd347dba5p-3, -0x1.01f6e0c667ef4p-2, -0x1.0e3ad453805b3p-2, -0x1.1a4f2fb37cc3cp-2, -0x1.263270b5658p-2, -0x1.31e32c470bba6p-2, -0x1.3d600e2890dbap-2, -0x1.48a7d893c5e5bp-2, -0x1.53b963d9301bfp-2, -0x1.5e939df45537fp-2, -0x1.69358a18c33e6p-2, -0x1.739e40391b2cp-2, -0x1.7dccec8947577p-2, -0x1.87c0cefcdd0fbp-2, -0x1.91793ac28e298p-2, -0x1.9af595bd7227fp-2, -0x1.a43557fcdap-2, -0x1.ad380b3342adfp-2, -0x1.b5fd4a2cf1975p-2, -0x1.be84c046a9fe5p-2, -0x1.c6ce28e4e6d6ep-2, -0x1.ced94eebe827bp-2, -0x1.d6a60c38e4728p-2, -0x1.de34491c9ad64p-2, -0x1.e583fbd77c025p-2, -0x1.ec952817990bp-2, -0x1.f367de7877c95p-2, -0x1.f9fc3c04f3eabp-2, -0x1.002934dda075ap-1, -0x1.03354e098f81ep-1, -0x1.062289432a515p-1, -0x1.08f10b8dbdb14p-1, -0x1.0ba0fef9915a1p-1, -0x1.0e32926ba64fap-1, -0x1.10a5f966a8e62p-1, -0x1.12fb6bd50fd3bp-1, -0x1.153325d46d23p-1, -0x1.174d6781edf59p-1, -0x1.194a74c807c11p-1, -0x1.1b2a952d4edcap-1, -0x1.1cee13a479e12p-1, -0x1.1e953e5d86a5ep-1, -0x1.2020669806599p-1, -0x1.218fe07688236p-1, -0x1.22e402d3216b5p-1, -0x1.241d271511266p-1, -0x1.253ba90778dedp-1, -0x1.263fe6b12c228p-1, -0x1.272a402d8f147p-1, -0x1.27fb17868422ap-1, -0x1.28b2d08f635fap-1, -0x1.2951d0c0fd0adp-1, -0x1.29d87f169cb94p-1, -0x1.2a4743ec12d5ep-1, -0x1.2a9e88dcba5c5p-1, -0x1.2adeb8a37d015p-1, -0x1.2b083efbce862p-1, -0x1.2b1b8883a089dp-1, -0x1.2b19029e47ce1p-1, -0x1.2b011b585360dp-1, -0x1.2ad4414c502a9p-1, -0x1.2a92e38876068p-1, -0x1.2a3d71753d4a2p-1, -0x1.29d45abcd705p-1, -0x1.29580f3384ac5p-1, -0x1.28c8fec0ce50fp-1, -0x1.2827994992514p-1, -0x1.27744e9ae8cf1p-1, -0x1.26af8e55db5a3p-1, -0x1.25d9c7dbebc0dp-1, -0x1.24f36a3c62c44p-1, -0x1.23fce422698d7p-1, -0x1.22f6a3c3e38b9p-1, -0x1.21e116d108f57p-1, -0x1.20bcaa64bbc49p-1, -0x1.1f89caf594168p-1, -0x1.1e48e447a06f9p-1, -0x1.1cfa615ed3b66p-1, -0x1.1b9eac721f5e9p-1, -0x1.1a362edf3361dp-1, -0x1.18c1511ee163fp-1, -0x1.17407aba1df2cp-1, -0x1.15b4123f9cce2p-1, -0x1.141c7d3a01d7bp-1, -0x1.127a2026a5c83p-1, -0x1.10cd5e6ce7318p-1, -0x1.0f169a5606b36p-1, -0x1.0d56350587918p-1, -0x1.0b8c8e7212e8fp-1, -0x1.09ba055ed8762p-1, -0x1.07def75569667p-1, -0x1.05fbc0a0077d9p-1, -0x1.0410bc4469a95p-1, -0x1.021e43feeacaap-1, -0x1.0024b03e26731p-1, -0x1.fc48b03df755ep-2, -0x1.f83b22d1e3954p-2, -0x1.f4216115ffb14p-2, -0x1.effc11315c2p-2, -0x1.ebcbd68f23915p-2, -0x1.e79151da40066p-2, -0x1.e34d20f9a1534p-2, -0x1.deffdf0d2659ap-2, -0x1.daaa246b1e707p-2, -0x1.d64c869e5f01dp-2, -0x1.d1e79864e2618p-2, -0x1.cd7be9aef592dp-2, -0x1.c90a079ee2f6p-2, -0x1.c4927c891b9ffp-2, -0x1.c015cff4d9332p-2, -0x1.bb94869d34451p-2, -0x1.b70f2272a3705p-2, -0x1.b286229cec4f4p-2, -0x1.adfa037d6f807p-2, -0x1.a96b3eb1df8b6p-2, -0x1.a4da4b174a02ap-2, -0x1.a0479ccd80873p-2, -0x1.9bb3a53ad0f59p-2, -0x1.971ed3100f61p-2, -0x1.9289924cede72p-2, -0x1.8df44c44991f2p-2, -0x1.895f67a29f4dep-2, -0x1.84cb487012f95p-2, -0x1.80385018f1a74p-2, -0x1.7ba6dd71c1967p-2, -0x1.77174cbd6bb78p-2, -0x1.7289f7b34526cp-2, -0x1.6dff358550f07p-2, -0x1.69775ae6acefbp-2, -0x1.64f2ba122dbcp-2, -0x1.6071a2d1237ddp-2, -0x1.5bf4628245772p-2, -0x1.577b4420c5917p-2, -0x1.5306904b8477dp-2, -0x1.4e968d4c64096p-2, -0x1.4a2b7f1fbe4c9p-2, -0x1.45c5a77bf09e4p-2, -0x1.416545d906faep-2, -0x1.3d0a97787a323p-2, -0x1.38b5d76d0a3f8p-2, -0x1.34673ea2a3a1bp-2, -0x1.301f03e661b99p-2, -0x1.2bdd5bee96dffp-2, -0x1.27a27962eaea5p-2, -0x1.236e8ce483cc5p-2, -0x1.1f41c51638c82p-2, -0x1.1b1c4ea4cf4bp-2, -0x1.16fe544f441b7p-2, -0x1.12e7feef15672p-2, -0x1.0ed97580952d8p-2, -0x1.0ad2dd2b41d1ap-2, -0x1.06d4594a1c797p-2, -0x1.02de0b7404438p-2, -0x1.fde027082136fp-3, -0x1.f6151f43d71d9p-3, -0x1.ee5b38944cd2ap-3, -0x1.e6b2a8ad1d86p-3, -0x1.df1ba20cfbab2p-3, -0x1.d796540e43541p-3, -0x1.d022eaf77d988p-3, -0x1.c8c1900bdc12p-3, -0x1.c172699b9914p-3, -0x1.ba359b144f17cp-3, -0x1.b30b451133213p-3, -0x1.abf3856b3e6dcp-3, -0x1.a4ee77493cde6p-3, -0x1.9dfc332fc3a1cp-3, -0x1.971ccf110ad78p-3, -0x1.90505e5cae925p-3, -0x1.8996f20f4ae8dp-3, -0x1.82f098c1fe83dp-3, -0x1.7c5d5eb9cca13p-3, -0x1.75dd4df6d7818p-3, -0x1.6f706e437ebp-3, -0x1.6916c54353f2fp-3, -0x1.62d05681ed0cfp-3, -0x1.5c9d23818fab9p-3, -0x1.567d2bc9b4df7p-3, -0x1.50706cf564ff5p-3, -0x1.4a76e2c16952fp-3, -0x1.4490871a57093p-3, -0x1.3ebd522a69cep-3, -0x1.38fd3a67388d7p-3, -0x1.3350349f3d5a2p-3, -0x1.2db634072a4fcp-3, -0x1.282f2a471b465p-3, -0x1.22bb078790fbep-3, -0x1.1d59ba7e4043bp-3, -0x1.180b307ab6fc6p-3, -0x1.12cf5572c8bbp-3, -0x1.0da6140ed4c19p-3, -0x1.088f55b5d810bp-3, -0x1.038b02994ab1ep-3, -0x1.fd320381aad9cp-4, -0x1.f372722b9e635p-4, -0x1.e9d71add19899p-4, -0x1.e05fc532fc918p-4, -0x1.d70c36d038cc8p-4, -0x1.cddc3373415b9p-4, -0x1.c4cf7d0b23fc4p-4, -0x1.bbe5d3cc313eep-4, -0x1.b31ef644520d8p-4, -0x1.aa7aa16ee755p-4, -0x1.a1f890c8537aap-4, -0x1.99987e611d40ep-4, -0x1.915a22f0b29ffp-4, -0x1.893d35e7c1e21p-4, -0x1.81416d823827ep-4, -0x1.79667ed8db77ap-4, -0x1.71ac1df2832acp-4, -0x1.6a11fdd4ef99p-4, -0x1.6297d095420ffp-4, -0x1.5b3d476815442p-4, -0x1.540212b1352d9p-4, -0x1.4ce5e212f979cp-4, -0x1.45e8647d4293ep-4, -0x1.3f09483c1861cp-4, -0x1.38483b05ecd18p-4, -0x1.31a4ea0983fb6p-4, -0x1.2b1f01fb7f8cdp-4, -0x1.24b62f23923e7p-4, -0x1.1e6a1d6958af8p-4, -0x1.183a7860dad33p-4, -0x1.1226eb56b5c1ep-4, -0x1.0c2f215bef838p-4, -0x1.0652c55175b48p-4, -0x1.009181f346d8ep-4, -0x1.f5d603c69475bp-5, -0x1.eabddf67a6575p-5, -0x1.dfd9ebe3a97ffp-5, -0x1.d5297e5d8aa7bp-5, -0x1.caabec1464068p-5, -0x1.c0608a760a845p-5, -0x1.b646af30feb07p-5, -0x1.ac5db045ca4d5p-5, -0x1.a2a4e417c474fp-5, -0x1.991ba17d46898p-5, -0x1.8fc13fcf4cac3p-5, -0x1.869516f88ca17p-5, -0x1.7d967f83fe363p-5, -0x1.74c4d2aad8aadp-5, -0x1.6c1f6a620def3p-5, -0x1.63a5a1673bf2bp-5, -0x1.5b56d34d1ef02p-5, -0x1.53325c87823f3p-5, -0x1.4b379a76b4f2bp-5, -0x1.4365eb72818ecp-5, -0x1.3bbcaed4ad6bp-5, -0x1.343b450304ac9p-5, -0x1.2ce10f78ec29ap-5, -0x1.25ad70d087a27p-5, -0x1.1e9fcccb6dfb5p-5, -0x1.17b7885af0645p-5, -0x1.10f409a7f68bp-5, -0x1.0a54b81a75d15p-5, -0x1.03d8fc607d8fp-5, -0x1.fb0080e9c8a6p-6, -0x1.ee93df4b21be4p-6, -0x1.e26aed32cbcbbp-6, -0x1.d68486ab9e465p-6, -0x1.cadf8a87ecffp-6, -0x1.bf7ada6b3d8b9p-6, -0x1.b4555ad352691p-6, -0x1.a96df3208c865p-6, -0x1.9ec38d9dae7acp-6, -0x1.94551786f842ap-6, -0x1.8a218110b09dbp-6, -0x1.8027bd6d1181p-6, -0x1.7666c2d1a5b0ap-6, -0x1.6cdd8a7c14ae3p-6, -0x1.638b10b6678dp-6, -0x1.5a6e54dac541ap-6, -0x1.51865956acc2ap-6, -0x1.48d223adafcc1p-6, -0x1.4050bc7bb6b59p-6, -0x1.38012f76c707dp-6, -0x1.2fe28b705ae28p-6, -0x1.27f3e256487fep-6, -0x1.203449333ec23p-6, -0x1.18a2d82ed4aedp-6, -0x1.113eaa8d3881bp-6, -0x1.0a06deae7c3cbp-6, -0x1.02fa960d83375p-6, -0x1.f831ea7d26ffdp-7, -0x1.eac247db2b376p-7, -0x1.dda499b7eec86p-7, -0x1.d0d73bbc8a02bp-7, -0x1.c4588fb2dc4d1p-7, -0x1.b826fd7f8e1b4p-7, -0x1.ac40f31b72736p-7, -0x1.a0a4e48c69c9p-7, -0x1.95514bddbaeccp-7, -0x1.8a44a917f189ep-7, -0x1.7f7d82383dfafp-7, -0x1.74fa63275d7dp-7, -0x1.6ab9ddb022b03p-7, -0x1.60ba8975823e4p-7, -0x1.56fb03e844069p-7, -0x1.4d79f03c57674p-7, -0x1.4435f75dbc486p-7, -0x1.3b2dc7e52e164p-7, -0x1.3260160c664e7p-7, -0x1.29cb9ba21d2f8p-7, -0x1.216f17fdbef8cp-7, -0x1.19494ff2db38ap-7, -0x1.11590dc453a4cp-7, -0x1.099d21174dde6p-7, -0x1.02145ee5ed572p-7, -0x1.f57b42e3ac145p-8, -0x1.e72f906d00685p-8, -0x1.d9436fb6b7d28p-8, -0x1.cbb4b44b976ccp-8, -0x1.be813bd5f0466p-8, -0x1.b1a6ee02ff2fep-8, -0x1.a523bc6609d27p-8, -0x1.98f5a25b449b5p-8, -0x1.8d1aa4ea80ebep-8, -0x1.8190d2a9aed0fp-8, -0x1.7656439f34392p-8, -0x1.6b691924221c3p-8, -0x1.60c77dc649d3fp-8, -0x1.566fa52a3bf0cp-8, -0x1.4c5fcbed2f20cp-8, -0x1.42963786dcad3p-8, -0x1.3911362b4f751p-8, -0x1.2fcf1eacabde1p-8, -0x1.26ce505cfade6p-8, -0x1.1e0d32eff1159p-8, -0x1.158a365cc2d82p-8, -0x1.0d43d2bffddc4p-8, -0x1.0538883d72f1cp-8, -0x1.facdbdc4649bcp-9, -0x1.eb9acd0d37a68p-9, -0x1.dcd56d61103d9p-9, -0x1.ce7adceb1b74cp-9, -0x1.c08868baca8c1p-9, -0x1.b2fb6c88ddaf5p-9, -0x1.a5d1527cb5a44p-9, -0x1.990792f1fc2aap-9, -0x1.8c9bb43e93dadp-9, -0x1.808b4a78ea884p-9, -0x1.74d3f73ea5b71p-9, -0x1.6973697bac83fp-9, -0x1.5e675d319d12ap-9, -0x1.53ad9b3fa8711p-9, -0x1.4943f92ade81ap-9, -0x1.3f2858e6e71bbp-9, -0x1.3558a89f33a4bp-9, -0x1.2bd2e280a6517p-9, -0x1.22950c83b4b07p-9, -0x1.199d383708de9p-9, -0x1.10e9828a9f24ap-9, -0x1.0878139b6d81ap-9, -0x1.00471e7f879e2p-9, -0x1.f0a9c225a0196p-10, -0x1.e13f478866ed7p-10, -0x1.d24b72c6d027ep-10, -0x1.c3cafdde83818p-10, -0x1.b5bab6c91dc05p-10, -0x1.a8177f1b12988p-10, -0x1.9ade4ba3aa477p-10, -0x1.8e0c240e250aap-10, -0x1.819e22840a13fp-10, -0x1.7591735094786p-10, -0x1.69e3548556debp-10, -0x1.5e91159fff68ap-10, -0x1.53981731501b5p-10, -0x1.48f5ca853e445p-10, -0x1.3ea7b14c441cfp-10, -0x1.34ab5d45e02bbp-10, -0x1.2afe6fec4142fp-10, -0x1.219e9a2125debp-10, -0x1.18899bdbe5defp-10, -0x1.0fbd43d8aa00bp-10, -0x1.07376f48dd762p-10, -0x1.fdec130973bffp-11, -0x1.edee177c26823p-11, -0x1.de70f9688774dp-11, -0x1.cf70e0d290901p-11, -0x1.c0ea0fb00c906p-11, -0x1.b2d8e15773d07p-11, -0x1.a539c9f119967p-11, -0x1.980955eaa385fp-11, -0x1.8b44296ccd3d3p-11, -0x1.7ee6ffd36f562p-11, -0x1.72eeab27c9906p-11, -0x1.6758139d0b6b4p-11, -0x1.5c20370f16e71p-11, -0x1.514428837a81p-11, -0x1.46c10fac9b6eap-11, -0x1.3c94286f10189p-11, -0x1.32bac26920ec3p-11, -0x1.2932407c6f84cp-11, -0x1.1ff81859bbd6p-11, -0x1.1709d20ec518cp-11, -0x1.0e6507963f0b1p-11, -0x1.06076469d6c88p-11, -0x1.fbdd4a2c89f67p-12, -0x1.ec312da2c59fap-12, -0x1.dd062e247f4aap-12, -0x1.ce5826566496bp-12, -0x1.c0230fcbba0ccp-12, -0x1.b26302424600ap-12, -0x1.a51432e2091f3p-12, -0x1.9832f380bfb68p-12, -0x1.8bbbb1e922b56p-12, -0x1.7faaf725cf2a3p-12, -0x1.73fd66cfd8c17p-12, -0x1.68afbe60f133bp-12, -0x1.5dbed4891a466p-12, -0x1.53279887d8ea7p-12, -0x1.48e71188da9c8p-12, -0x1.3efa5e0401c3dp-12, -0x1.355eb320ceb4ep-12, -0x1.2c115c1d15206p-12, -0x1.230fb9b6f7a13p-12, -0x1.1a57419a14b1ap-12, -0x1.11e57dcfe4943p-12, -0x1.09b80c332ef89p-12, -0x1.01cc9de6968e9p-12, -0x1.f441ed9c54a25p-13, -0x1.e565da17dfdacp-13, -0x1.d700d0feb46a7p-13, -0x1.c90ec48f4f22bp-13, -0x1.bb8bc8921ad7bp-13, -0x1.ae7411696cddap-13, -0x1.a1c3f326f4bd8p-13, -0x1.9577e0a692842p-13, -0x1.898c6aae798d6p-13, -0x1.7dfe3f1491624p-13, -0x1.72ca27e8ec20fp-13, -0x1.67ed0aa54b3adp-13, -0x1.5d63e761994f5p-13, -0x1.532bd80d37d0ep-13, -0x1.49420fad168adp-13, -0x1.3fa3d99e7e842p-13, -0x1.364e98de6b50bp-13, -0x1.2d3fc75572d14p-13, -0x1.2474f528158d9p-13, -0x1.1bebc80b6771fp-13, -0x1.13a1fa9dfeed2p-13, -0x1.0b955bc5104eep-13, -0x1.03c3ce0da44a3p-13, -0x1.f8568e23af30ep-14, -0x1.e9939dc403033p-14, -0x1.db3afee392cd1p-14, -0x1.cd490811e51a6p-14, -0x1.bfba316fd9319p-14, -0x1.b28b13a005b26p-14, -0x1.a5b866be32a91p-14, -0x1.993f015dd2cd5p-14, -0x1.8d1bd78f55bc8p-14, -0x1.814bf9ec22b98p-14, -0x1.75cc94a929929p-14, -0x1.6a9aeeafd76a3p-14, -0x1.5fb468bd55166p-14, -0x1.55167c87e8b6ap-14, -0x1.4abebbea5875bp-14, -0x1.40aad0153004ap-14, -0x1.36d878c5c3b2dp-14, -0x1.2d458b82d33c4p-14, -0x1.23eff2deabb2bp-14, -0x1.1ad5adbea8425p-14, -0x1.11f4cea7f3eb7p-14, -0x1.094b7b116d33fp-14, -0x1.00d7eaba8bc0bp-14, -0x1.f130ce0e5d98dp-15, -0x1.e11694c0664f5p-15, -0x1.d15dff316a0acp-15, -0x1.c20402afc7fb6p-15, -0x1.b305b30e9498ep-15, -0x1.a460418adc23fp-15, -0x1.9610fbb964372p-15, -0x1.88154a7cb31d6p-15, -0x1.7a6ab10331b25p-15, -0x1.6d0ecbcd2cb64p-15, -0x1.5fff4fba88e84p-15, -0x1.533a091ff9434p-15, -0x1.46bcdae3837c7p-15, -0x1.3a85bda02ac53p-15, -0x1.2e92bed0883edp-15, -0x1.22e2000031c9bp-15, -0x1.1771b603b4738p-15, -0x1.0c402837038a8p-15, -0x1.014bafc2275d9p-15, -0x1.ed256dc815c2fp-16, -0x1.d82770866f2d6p-16, -0x1.c39a7c88baebdp-16, -0x1.af7bc4ccf8bf9p-16, -0x1.9bc8994912764p-16, -0x1.887e65b8d121dp-16, -0x1.759ab07638d83p-16, -0x1.631b195bfbb5ep-16, -0x1.50fd58b1bef86p-16, -0x1.3f3f3e21f09c3p-16, -0x1.2ddeafb8e6e1ep-16, -0x1.1cd9a8ed05451p-16, -0x1.0c2e39afadf8bp-16, -0x1.f7b50b0d670dfp-17, -0x1.d7b9855c349b2p-17, -0x1.b8667283c5004p-17, -0x1.99b884df4abbdp-17, -0x1.7bac8f5f967bp-17, -0x1.5e3f840c38eaep-17, -0x1.416e7292fbbb7p-17, -0x1.253686e5344c1p-17, -0x1.099507e2965fbp-17, -0x1.dd0eac2228893p-18, -0x1.a815d4c2d8a29p-18, -0x1.743aaa000089ap-18, -0x1.417878632d6a9p-18, -0x1.0fcab677512a9p-18, -0x1.be5a055f79c01p-19, -0x1.5f3642c99a67fp-19, -0x1.0221f5cb259a1p-19, -0x1.4e2a667750d12p-20, -0x1.3821427de76bfp-21, 0x1.2183e7d8612aep-24, 0x1.78bd3e3efdabap-21, 0x1.62d0793adf55fp-20, 0x1.02bdaec677457p-19, 0x1.52363d5833f5p-19, 0x1.9fd8514884669p-19, 0x1.ebaa27d06374cp-19, 0x1.1ad8ea742c5bfp-18, 0x1.3efaa2d3ec5a1p-18, 0x1.623d21443fa32p-18, 0x1.84a338c717503p-18, 0x1.a62fac2a7ab22p-18, 0x1.c6e52f02da718p-18, 0x1.e6c66699326f3p-18, 0x1.02eaf566b3f67p-17, 0x1.120b2376ab5a6p-17, 0x1.20c4fd4078584p-17, 0x1.2f19bd05eb901p-17, 0x1.3d0a97e26a4fep-17, 0x1.4a98be21ca1bcp-17, 0x1.57c55b927b034p-17, 0x1.649197d32bda3p-17, 0x1.70fe969c1b59cp-17, 0x1.7d0d780437be8p-17, 0x1.88bf58c2400bp-17, 0x1.9415526a00e23p-17, 0x1.9f107ba5eb828p-17, 0x1.a9b1e86d182fap-17, 0x1.b3faaa35df44fp-17, 0x1.bdebd0252e6a4p-17, 0x1.c786673ac3b4dp-17, 0x1.d0cb7a7a5bae5p-17, 0x1.d9bc13120a752p-17, 0x1.e259387dcfd0bp-17, 0x1.eaa3f0a890055p-17, 0x1.f29d400a7cee4p-17, 0x1.fa4629c52be5ep-17, 0x1.00cfd7dea450bp-16, 0x1.0455695915169p-16, 0x1.07b44929a89edp-16, 0x1.0aecf6a9eacd5p-16, 0x1.0dfff0be06c8fp-16, 0x1.10edb5dca5b6fp-16, 0x1.13b6c415fb0d3p-16, 0x1.165b9919fb9a5p-16, 0x1.18dcb23dd4293p-16, 0x1.1b3a8c809f06bp-16, 0x1.1d75a48f68fd5p-16, 0x1.1f8e76c892064p-16, 0x1.21857f3e8b207p-16, 0x1.235b39b9fd8e5p-16, 0x1.251021bb67011p-16, 0x1.26a4b27c3075ap-16, 0x1.281966ef42a5p-16, 0x1.296eb9c12b7c7p-16, 0x1.2aa52557d1bcp-16, 0x1.2bbd23d1bd375p-16, 0x1.2cb72f0505bc7p-16, 0x1.2d93c07de2246p-16, 0x1.2e53517ce53eep-16, 0x1.2ef65af4ee5bap-16, 0x1.2f7d5588ce2bcp-16, 0x1.2fe8b988ab804p-16, 0x1.3038feef2a117p-16, 0x1.306e9d5e59115p-16, 0x1.308a0c1c6e949p-16, }}, 
      {{-0x1.b25014561ea47p-1, -0x1.b23688ed2f23bp-1, -0x1.b20b0029560b2p-1, -0x1.b1cc18f67935p-1, -0x1.b177ffd5fd912p-1, -0x1.b10c8356cc74p-1, -0x1.b08729500a32cp-1, -0x1.afe543b0daafcp-1, -0x1.af24041eb703fp-1, -0x1.ae408de7873fbp-1, -0x1.ad3806038e6e2p-1, -0x1.ac07a10a7937dp-1, -0x1.aaacaf1a6797ep-1, -0x1.a924a5c29b0cdp-1, -0x1.a76d280fc4f69p-1, -0x1.a5840cdf861e1p-1, -0x1.a36763a4bb406p-1, -0x1.a11577c7be101p-1, -0x1.9e8cd2cd7f815p-1, -0x1.9bcc3d6edbd85p-1, -0x1.98d2bfc73576bp-1, -0x1.959fa0be843ecp-1, -0x1.923264cfe3e0ep-1, -0x1.8e8acc4a6e5c9p-1, -0x1.8aa8d126ec268p-1, -0x1.868ca489c55f3p-1, -0x1.8236ac05a3cb7p-1, -0x1.7da77eb0735e8p-1, -0x1.78dfe219dd325p-1, -0x1.73e0c73015923p-1, -0x1.6eab471db6917p-1, -0x1.6940a02994a1bp-1, -0x1.63a2329fd9395p-1, -0x1.5dd17dca417ap-1, -0x1.57d01cfc2eddap-1, -0x1.519fc4b6242f3p-1, -0x1.4b423fe36970ep-1, -0x1.44b96d33d03dbp-1, -0x1.3e073c92ed7f3p-1, -0x1.372dacbda0316p-1, -0x1.302ec8f6454ddp-1, -0x1.290ca6d7a9cbep-1, -0x1.21c964467e054p-1, -0x1.1a672580d9af6p-1, -0x1.12e8134b308b6p-1, -0x1.0b4e5939fc388p-1, -0x1.039c241742565p-1, -0x1.f7a740c61919fp-2, -0x1.e7edf1dbc8349p-2, -0x1.d810ab18a39dbp-2, -0x1.c813b3c4ccf09p-2, -0x1.b7fb488c9c595p-2, -0x1.a7cb9971e6ad3p-2, -0x1.9788c7e76c506p-2, -0x1.8736e5149268dp-2, -0x1.76d9f03f84569p-2, -0x1.6675d55bf1d9cp-2, -0x1.560e6bbca94b9p-2, -0x1.45a774e657dfap-2, -0x1.35449b81cbe97p-2, -0x1.24e9726c2417p-2, -0x1.149973e35bd84p-2, -0x1.045800cdc0dfdp-2, -0x1.e850c035b8b1ep-3, -0x1.c81b7c78e459ap-3, -0x1.a816596c7cd4p-3, -0x1.884743865957ap-3, -0x1.68b3f01d88f98p-3, -0x1.4961dd0346506p-3, -0x1.2a56503fa7e8cp-3, -0x1.0b9657efe1a04p-3, -0x1.da4d9487eb1a1p-4, -0x1.9e188b337ec9dp-4, -0x1.62966166e54f5p-4, -0x1.27cf760f23e33p-4, -0x1.db9774a29145bp-5, -0x1.6925650b6d1a4p-5, -0x1.f0addd702f585p-6, -0x1.1272dc91adbfp-6, -0x1.bd96e763780eep-9, 0x1.3ef553638ca23p-7, 0x1.72ffd67fe185p-6, 0x1.21642c598b148p-5, 0x1.8760b40d5ab64p-5, 0x1.eb6cdeb3fb602p-5, 0x1.26c0628ab901ep-4, 0x1.56ca9c2342301p-4, 0x1.85d1deb48f8ddp-4, 0x1.b3d344a9d1c65p-4, 0x1.e0cc3e116c948p-4, 0x1.065d472e7ffb6p-3, 0x1.1bce250d0aa1ep-3, 0x1.30b7ea528f90dp-3, 0x1.4519eeec0c423p-3, 0x1.58f3afdb1cp-3, 0x1.6c44ce0af92bdp-3, 0x1.7f0d0d25463a4p-3, 0x1.914c526721731p-3, 0x1.a302a37712d5bp-3, 0x1.b430253c459abp-3, 0x1.c4d51ab78b1afp-3, 0x1.d4f1e3de861bbp-3, 0x1.e486fc7962c5fp-3, 0x1.f394fb037cedp-3, 0x1.010e47c79c9f8p-2, 0x1.080f4156b58c4p-2, 0x1.0ecdda2c3f32bp-2, 0x1.154a8d71d7488p-2, 0x1.1b85e0f73de3ep-2, 0x1.218064ae4af9fp-2, 0x1.273ab2293447cp-2, 0x1.2cb56c1b353e4p-2, 0x1.31f13ddbb2017p-2, 0x1.36eedaebdc14dp-2, 0x1.3baefe7eeb9d9p-2, 0x1.40326b04f83a3p-2, 0x1.4479e9b878783p-2, 0x1.48864a2e70b3cp-2, 0x1.4c5861e95c60ap-2, 0x1.4ff10beecb23p-2, 0x1.5351285fc11cfp-2, 0x1.56799c13d60adp-2, 0x1.596b503712bdcp-2, 0x1.5c2731ea90793p-2, 0x1.5eae31e7d63e1p-2, 0x1.61014426f00dfp-2, 0x1.63215f8742cacp-2, 0x1.650f7d7b0e9eap-2, 0x1.66cc99b5a3018p-2, 0x1.6859b1dc3b8fbp-2, 0x1.69b7c539806aep-2, 0x1.6ae7d4739d641p-2, 0x1.6beae144f1b0fp-2, 0x1.6cc1ee374a1a3p-2, 0x1.6d6dfe619a32ap-2, 0x1.6df0152833b6ep-2, 0x1.6e4935ff6cafep-2, 0x1.6e7a6430ab1dp-2, 0x1.6e84a2a1ce3a4p-2, 0x1.6e68f39ee8a1ep-2, 0x1.6e2858a644b09p-2, 0x1.6dc3d236a204cp-2, 0x1.6d3c5f9fa5f15p-2, 0x1.6c92fed47618p-2, 0x1.6bc8ac40679d8p-2, 0x1.6ade629dc67d9p-2, 0x1.69d51ace9948ap-2, 0x1.68adcbb765b1bp-2, 0x1.67696a1bdcda3p-2, 0x1.6608e87d6d99ep-2, 0x1.648d36fbab9c1p-2, 0x1.62f7433680c2fp-2, 0x1.6147f83220e77p-2, 0x1.5f803e3cad0cp-2, 0x1.5da0fad58520cp-2, 0x1.5bab10962ed6bp-2, 0x1.599f5f1cd7ab9p-2, 0x1.577ec2f854b49p-2, 0x1.554a1595a3aeep-2, 0x1.53022d2ed989fp-2, 0x1.50a7dcbb77d39p-2, 0x1.4e3bf3e219a04p-2, 0x1.4bbf3eeb75bddp-2, 0x1.493286b69f512p-2, 0x1.469690ae8630bp-2, 0x1.43ec1ec0a5646p-2, 0x1.4133ef54d7ep-2, 0x1.3e6ebd4649cbep-2, 0x1.3b9d3fdd7bcc8p-2, 0x1.38c02acb4d4b6p-2, 0x1.35d82e250808ap-2, 0x1.32e5f66160352p-2, 0x1.2fea2c565da51p-2, 0x1.2ce575382d39dp-2, 0x1.29d87298c79a5p-2, 0x1.26c3c2686c585p-2, 0x1.23a7fef6e36f7p-2, 0x1.2085bef57fd7dp-2, 0x1.1d5d9579dbb1p-2, 0x1.1a3012013ff39p-2, 0x1.16fdc074b889ap-2, 0x1.13c7292dc72c9p-2, 0x1.108cd0fbabcb2p-2, 0x1.0d4f392943597p-2, 0x1.0a0edf836b02cp-2, 0x1.06cc3e5fec226p-2, 0x1.0387cca4defbep-2, 0x1.0041fdd084334p-2, 0x1.f9f684032059cp-3, 0x1.f3680bffb1e4cp-3, 0x1.ecd9668ada68ap-3, 0x1.e64b600fff79fp-3, 0x1.dfbebe855e7e9p-3, 0x1.d934418037fbfp-3, 0x1.d2aca24993f32p-3, 0x1.cc2893f3894c4p-3, 0x1.c5a8c36f12e03p-3, 0x1.bf2dd7a24d2e9p-3, 0x1.b8b8717f2f38fp-3, 0x1.b2492c1a98b0ap-3, 0x1.abe09cc3c3896p-3, 0x1.a57f531c05983p-3, 0x1.9f25d92ed50b1p-3, 0x1.98d4b38a1420dp-3, 0x1.928c615692889p-3, 0x1.8c4d5c70bd602p-3, 0x1.8618198177a84p-3, 0x1.7fed08171b2f5p-3, 0x1.79cc92be8cd64p-3, 0x1.73b71f1c6894ep-3, 0x1.6dad0e0639cf1p-3, 0x1.67aebb9bbe37dp-3, 0x1.61bc7f6026112p-3, 0x1.5bd6ac53554cep-3, 0x1.55fd910b169a9p-3, 0x1.503177cc44c88p-3, 0x1.4a72a6a3dc64fp-3, 0x1.44c15f7ff924p-3, 0x1.3f1de048b2ba3p-3, 0x1.398862f8daed2p-3, 0x1.34011db69a383p-3, 0x1.2e8842ebd7a98p-3, 0x1.291e015e8499dp-3, 0x1.23c28448aad18p-3, 0x1.1e75f3704c0fp-3, 0x1.1938733f0f6a6p-3, 0x1.140a24d9acbf8p-3, 0x1.0eeb263722716p-3, 0x1.09db9237a771dp-3, 0x1.04db80bb64fdcp-3, 0x1.ffd60d71bb55cp-4, 0x1.f6146ca63d9a5p-4, 0x1.ec723ddf43a19p-4, 0x1.e2ef9a97c21b9p-4, 0x1.d98c972557083p-4, 0x1.d04942e2484cfp-4, 0x1.c725a856e77aep-4, 0x1.be21cd62600c6p-4, 0x1.b53db362d93aep-4, 0x1.ac79575cfec83p-4, 0x1.a3d4b222dd5fap-4, 0x1.9b4fb87a17d7ep-4, 0x1.92ea5b4182858p-4, 0x1.8aa48795fe45cp-4, 0x1.827e26f6bee18p-4, 0x1.7a771f68d96dp-4, 0x1.728f539a2c3aep-4, 0x1.6ac6a303992dap-4, 0x1.631cea0a9454bp-4, 0x1.5b920222059c8p-4, 0x1.5425c1ea7eca6p-4, 0x1.4cd7fd51c4033p-4, 0x1.45a885b1a9ad8p-4, 0x1.3e9729ee4619p-4, 0x1.37a3b69377fa3p-4, 0x1.30cdf5f1c4034p-4, 0x1.2a15b03a87ab2p-4, 0x1.237aab9b84207p-4, 0x1.1cfcac59c2a31p-4, 0x1.169b74ebd1094p-4, 0x1.1056c6135b03cp-4, 0x1.0a2e5ef61e5dbp-4, 0x1.0421fd363e453p-4, 0x1.fc62ba13e8bfep-5, 0x1.f0b872a548da6p-5, 0x1.e5449766a163dp-5, 0x1.da06994ce7dfp-5, 0x1.cefde72681c95p-5, 0x1.c429edc491dc6p-5, 0x1.b98a18231b4c7p-5, 0x1.af1dcf8ff8e77p-5, 0x1.a4e47bd0b357p-5, 0x1.9add834733009p-5, 0x1.91084b1556a96p-5, 0x1.8764373f72bddp-5, 0x1.7df0aacdb93bp-5, 0x1.74ad07ec946fcp-5, 0x1.6b98b00bf5a23p-5, 0x1.62b303fd9ac5fp-5, 0x1.59fb641252a4ap-5, 0x1.5171303643595p-5, 0x1.4913c80c342bep-5, 0x1.40e28b07e669p-5, 0x1.38dcd887773bap-5, 0x1.31020febdc1fep-5, 0x1.295190b0717cep-5, 0x1.21caba81a9d2ep-5, 0x1.1a6ced52dcc9bp-5, 0x1.133789733b668p-5, 0x1.0c29efa1f017ap-5, 0x1.054381216c5ap-5, 0x1.fd073f93d6017p-6, 0x1.efd35c36510dep-6, 0x1.e2ea1e9ab1a1p-6, 0x1.d64a4ec2bd22bp-6, 0x1.c9f2b6608c3c8p-6, 0x1.bde220f41344ep-6, 0x1.b2175be74b865p-6, 0x1.a69136a8fb45ep-6, 0x1.9b4e82c62cb98p-6, 0x1.904e14025af5fp-6, 0x1.858ec06e5bdf5p-6, 0x1.7b0f607e11a95p-6, 0x1.70cecf1ce6042p-6, 0x1.66cbe9c12411fp-6, 0x1.5d05907e252f2p-6, 0x1.537aa6157037p-6, 0x1.4a2a1006bd32cp-6, 0x1.4112b69ef6134p-6, 0x1.383385062d6ccp-6, 0x1.2f8b694ca26c1p-6, 0x1.27195476c8e1ap-6, 0x1.1edc3a886c98p-6, 0x1.16d3128eea583p-6, 0x1.0efcd6aa8a8f2p-6, 0x1.0758841708d87p-6, 0x1.ffca36668e0c3p-7, 0x1.f1433f10709d1p-7, 0x1.e31a2f9e131e8p-7, 0x1.d54d1bed17212p-7, 0x1.c7da1e4fcf77cp-7, 0x1.babf579549ccfp-7, 0x1.adfaef1007dabp-7, 0x1.a18b129b640d5p-7, 0x1.956df69fce994p-7, 0x1.89a1d615c40e6p-7, 0x1.7e24f287aa719p-7, 0x1.72f594129a7ddp-7, 0x1.681209660429cp-7, 0x1.5d78a7c265541p-7, 0x1.5327caf6f7d9fp-7, 0x1.491dd55e733d6p-7, 0x1.3f592fdae8e4p-7, 0x1.35d849d0c000bp-7, 0x1.2c999920e22e5p-7, 0x1.239b9a221a903p-7, 0x1.1adccf99b5d46p-7, 0x1.125bc2b36826bp-7, 0x1.0a1702f884a1p-7, 0x1.020d26468b6c7p-7, 0x1.f479918a33f45p-8, 0x1.e54919b68632ep-8, 0x1.d6863648addf9p-8, 0x1.c82e44c845b32p-8, 0x1.ba3eaef561084p-8, 0x1.acb4eaaf14559p-8, 0x1.9f8e79d91a391p-8, 0x1.92c8ea409cf6ap-8, 0x1.8661d58036b5ap-8, 0x1.7a56e0e3317eap-8, 0x1.6ea5bd48147d3p-8, 0x1.634c27028a9edp-8, 0x1.5847e5bcae631p-8, 0x1.4d96cc57c46d3p-8, 0x1.4336b8cc73339p-8, 0x1.3925940a7cdcfp-8, 0x1.2f6151d80b0f9p-8, 0x1.25e7f0b0932aap-8, 0x1.1cb779a35de55p-8, 0x1.13ce0031b9a41p-8, 0x1.0b29a22ce39edp-8, 0x1.02c88793ae09cp-8, 0x1.f551c4dfd4934p-9, 0x1.e591dd6748dd5p-9, 0x1.d64de42c634c2p-9, 0x1.c78277e238193p-9, 0x1.b92c4a39e937ap-9, 0x1.ab481f9c19347p-9, 0x1.9dd2cee249d2cp-9, 0x1.90c9411026643p-9, 0x1.8428710cc75f8p-9, 0x1.77ed6b5c076aap-9, 0x1.6c154dd7e1675p-9, 0x1.609d4769f5e7p-9, 0x1.558297c531d5ep-9, 0x1.4ac28f1fad71ap-9, 0x1.405a8decc38b2p-9, 0x1.364804976fb77p-9, 0x1.2c88733cfac02p-9, 0x1.23196967faf4fp-9, 0x1.19f885cbb4315p-9, 0x1.112375ffdb861p-9, 0x1.0897f63ccb7a1p-9, 0x1.0053d11824f14p-9, 0x1.f0a9be83dfbbap-10, 0x1.e1320e846d548p-10, 0x1.d23c7a6e54dfdp-10, 0x1.c3c50527a3527p-10, 0x1.b5c7cbbe8742bp-10, 0x1.a84104e8f8e54p-10, 0x1.9b2d00858d877p-10, 0x1.8e88271d8f4c6p-10, 0x1.824ef96847283p-10, 0x1.767e0fcfa3e3p-10, 0x1.6b1219f6243dcp-10, 0x1.6007de3e1e1eep-10, 0x1.555c39525f651p-10, 0x1.4b0c1db030432p-10, 0x1.41149332c5c69p-10, 0x1.3772b6a013a63p-10, 0x1.2e23b937107cep-10, 0x1.2524e03f77b1ep-10, 0x1.1c73849af16aap-10, 0x1.140d1257c12ccp-10, 0x1.0bef0844ea4c3p-10, 0x1.0416f787d1042p-10, 0x1.f9050666bf8b5p-11, 0x1.ea5ebfc153835p-11, 0x1.dc36a69223501p-11, 0x1.ce8867c3e6bfap-11, 0x1.c14fd0f3a1372p-11, 0x1.b488cfae04667p-11, 0x1.a82f70afda81fp-11, 0x1.9c3fdf2977c6ep-11, 0x1.90b664053144fp-11, 0x1.858f6530dbap-11, 0x1.7ac764ea488e6p-11, 0x1.705b010ec9d65p-11, 0x1.6646f26dad661p-11, 0x1.5c880c1db7b65p-11, 0x1.531b3ad593addp-11, 0x1.49fd844736ac8p-11, 0x1.412c067e31fcap-11, 0x1.38a3f740f170bp-11, 0x1.3062a374dd0bap-11, 0x1.28656e855ccc9p-11, 0x1.20a9d1cdb730ap-11, 0x1.192d5c05c4557p-11, 0x1.11edb0b171e8cp-11, 0x1.0ae887930f56cp-11, 0x1.041bac205d08ep-11, 0x1.fb09f9f4b1b53p-12, 0x1.ee44d6cf7df7dp-12, 0x1.e1e3f5a474275p-12, 0x1.d5e3808c75f31p-12, 0x1.ca3fc3eae133bp-12, 0x1.bef52d77b128bp-12, 0x1.b4004b4ec2503p-12, 0x1.a95dcb042a6e9p-12, 0x1.9f0a78bd93aa1p-12, 0x1.95033e508b698p-12, 0x1.8b452265b68cep-12, 0x1.81cd47a0d7a2dp-12, 0x1.7898ebcd9af17p-12, 0x1.6fa56711164eep-12, 0x1.66f02b1fe813p-12, 0x1.5e76c278edec3p-12, 0x1.5636cfa47906p-12, 0x1.4e2e0c77f67fap-12, 0x1.465a495df3e03p-12, 0x1.3eb96ca2793afp-12, 0x1.374971c39bbd4p-12, 0x1.300868c641e52p-12, 0x1.28f4758f03c25p-12, 0x1.220bcf3f15b16p-12, 0x1.1b4cbf9530812p-12, 0x1.14b5a2526418ep-12, 0x1.0e44e4a2c1b48p-12, 0x1.07f90489d0338p-12, 0x1.01d09052bb2bfp-12, 0x1.f7944c084b911p-13, 0x1.ebc8e5af2f13dp-13, 0x1.e03c6568e000cp-13, 0x1.d4ec5f5c9ef66p-13, 0x1.c9d6830dd2d45p-13, 0x1.bef89a66520e5p-13, 0x1.b45088c73cbd1p-13, 0x1.a9dc4a20461a3p-13, 0x1.9f99f20d495f4p-13, 0x1.9587aafa08b47p-13, 0x1.8ba3b54c0344cp-13, 0x1.81ec66923488p-13, 0x1.786028baac8b7p-13, 0x1.6efd794dd7cb2p-13, 0x1.65c2e8af5c7c4p-13, 0x1.5caf196476c46p-13, 0x1.53c0bf5fac3b6p-13, 0x1.4af69f51bacc7p-13, 0x1.424f8dffb3a61p-13, 0x1.39ca6f9e152f4p-13, 0x1.31663730d0326p-13, 0x1.2921e5f01d36ap-13, 0x1.20fc8ab209b77p-13, 0x1.18f5415892e3dp-13, 0x1.110b32444de5dp-13, 0x1.093d91cb688d9p-13, 0x1.018b9fb4fcf89p-13, 0x1.f3e94d7121265p-14, 0x1.e4eff80361e39p-14, 0x1.d629fd6f1df6cp-14, 0x1.c7962f10fe59p-14, 0x1.b933707299dfbp-14, 0x1.ab00b6708fa68p-14, 0x1.9cfd0667d6deap-14, 0x1.8f27756a322ep-14, 0x1.817f27798480bp-14, 0x1.74034ec9e2311p-14, 0x1.66b32b0a3402ep-14, 0x1.598e08b340e3bp-14, 0x1.4c93405cf3be6p-14, 0x1.3fc23619b44f5p-14, 0x1.331a58d7ac3ecp-14, 0x1.269b21c7cdce4p-14, 0x1.1a4413ca78418p-14, 0x1.0e14bae191d56p-14, 0x1.020caba7f3104p-14, 0x1.ec57059bf7934p-15, 0x1.d4e1c93664c54p-15, 0x1.bdb8f8e98a639p-15, 0x1.a6dbf8d19c7dep-15, 0x1.904a397c6b48cp-15, 0x1.7a03371226797p-15, 0x1.64067886d5bc2p-15, 0x1.4e538ed451a9ep-15, 0x1.38ea143c724d6p-15, 0x1.23c9ab933fb2bp-15, 0x1.0ef1ff90e0676p-15, 0x1.f4c5845624175p-16, 0x1.cc3757ebd6eafp-16, 0x1.a438f71769bfep-16, 0x1.7cc9e9f739be3p-16, 0x1.55e9c27e26a67p-16, 0x1.2f981b6b2f1f1p-16, 0x1.09d4974d88c2ep-16, 0x1.c93dbf29a0ff9p-17, 0x1.7fed4759d8778p-17, 0x1.37b7304a8e1fap-17, 0x1.e135d78bfa6d5p-18, 0x1.552fe576b3a66p-18, 0x1.96b70f338d5d4p-19, 0x1.0edf0f8e4292p-20, -0x1.06f166a687b7p-20, -0x1.8a0382d104aa5p-19, -0x1.4619625dfc807p-18, -0x1.c5042c63f546ep-18, -0x1.20e18919658ecp-17, -0x1.5e2b85a55f566p-17, -0x1.9a608adf37d9ap-17, -0x1.d5811befc9656p-17, -0x1.07c6e073b8b8cp-16, -0x1.244383bc1d2f6p-16, -0x1.4036c1d15e9e4p-16, -0x1.5ba0e82b16255p-16, -0x1.7682480209b96p-16, -0x1.90db36942554p-16, -0x1.aaac0d62bed03p-16, -0x1.c3f52a6b6c80fp-16, -0x1.dcb6f05b99072p-16, -0x1.f4f1c6bf16afdp-16, -0x1.06530d14f03d4p-15, -0x1.11ea2e2e9d9b8p-15, -0x1.1d3e82343a5ap-15, -0x1.28504762b1113p-15, -0x1.331fbeb86c068p-15, -0x1.3dad2bffa10a7p-15, -0x1.47f8d5d6cac35p-15, -0x1.520305b758684p-15, -0x1.5bcc07fab9065p-15, -0x1.65542bddc5ec1p-15, -0x1.6e9bc382afe59p-15, -0x1.77a323f174b04p-15, -0x1.806aa516f91ep-15, -0x1.88f2a1c2d4df6p-15, -0x1.913b77a3e19bbp-15, -0x1.99458743a1e1cp-15, -0x1.a11134008a63p-15, -0x1.a89ee407425eap-15, -0x1.afef004ae835ap-15, -0x1.b701f47c677cp-15, -0x1.bdd82f00f4581p-15, -0x1.c47220e7b0dfp-15, -0x1.cad03dde937dap-15, -0x1.d0f2fc2693d46p-15, -0x1.d6dad4872e9a4p-15, -0x1.dc8842414af89p-15, -0x1.e1fbc3018b766p-15, -0x1.e735d6d21995bp-15, -0x1.ec37000bf29e3p-15, -0x1.f0ffc347c231fp-15, -0x1.f590a74e52f55p-15, -0x1.f9ea3508a1e6ap-15, -0x1.fe0cf76f9913ep-15, -0x1.00fcbdbdbf25cp-14, -0x1.02d828098eac6p-14, -0x1.049902fd593dp-14, -0x1.063f97e151ec7p-14, -0x1.07cc30db05002p-14, -0x1.093f18e489f88p-14, -0x1.0a989bc3a536p-14, -0x1.0bd90600dd303p-14, -0x1.0d00a4de86d92p-14, -0x1.0e0fc64fca702p-14, -0x1.0f06b8efa62aap-14, -0x1.0fe5cbf7ef9a8p-14, -0x1.10ad4f3855fb2p-14, -0x1.115d930d6a13ap-14, -0x1.11f6e857ac67dp-14, -0x1.1279a072a3556p-14, -0x1.12e60d2bfe86dp-14, -0x1.133c80bac4aa4p-14, }}, 
      {{-0x1.b255b1aaac5ap-1, -0x1.b24d3a5ebd3cbp-1, -0x1.b23eeca052862p-1, -0x1.b22a8061aee6ap-1, -0x1.b20f94d75dbbp-1, -0x1.b1edb3b3dbffap-1, -0x1.b1c4549ca3659p-1, -0x1.b192e0aaa0c9cp-1, -0x1.b158b5d57b003p-1, -0x1.b1152a334437ep-1, -0x1.b0c78efdf7aabp-1, -0x1.b06f3355ed06cp-1, -0x1.b00b66bcce08p-1, -0x1.af9b7b47c3869p-1, -0x1.af1ec789df381p-1, -0x1.ae94a8396576dp-1, -0x1.adfc8193b9581p-1, -0x1.ad55c08456083p-1, -0x1.ac9fdb93b32afp-1, -0x1.abda53a3159eep-1, -0x1.ab04b47a534a4p-1, -0x1.aa1e952c71ce2p-1, -0x1.a9279857d6109p-1, -0x1.a81f6c4676d65p-1, -0x1.a705caf23739bp-1, -0x1.a5da79f140d73p-1, -0x1.a49d4a4dddc9ap-1, -0x1.a34e184d0598fp-1, -0x1.a1eccb2676f68p-1, -0x1.a07954b0f6298p-1, -0x1.9ef3b104f6e95p-1, -0x1.9d5be617b74c8p-1, -0x1.9bb2035093df5p-1, -0x1.99f6211a20458p-1, -0x1.982860706048ap-1, -0x1.9648ea6d49192p-1, -0x1.9457efd4884cfp-1, -0x1.9255a89f6f272p-1, -0x1.90425389b213dp-1, -0x1.8e1e359f9d89ap-1, -0x1.8be999ce3a22dp-1, -0x1.89a4d075ca5dep-1, -0x1.87502efef8a98p-1, -0x1.84ec0f72f3becp-1, -0x1.8278d016b31fdp-1, -0x1.7ff6d309875ap-1, -0x1.7d667de712db2p-1, -0x1.7ac8396cbf232p-1, -0x1.781c7122b919ep-1, -0x1.75639308780cfp-1, -0x1.729e0f44ce3c2p-1, -0x1.6fcc57d97de64p-1, -0x1.6ceee05a46f5bp-1, -0x1.6a061da762162p-1, -0x1.671285ab5925fp-1, -0x1.64148f1c29709p-1, -0x1.610cb13f9fdcdp-1, -0x1.5dfb63b2d74fep-1, -0x1.5ae11e34c497fp-1, -0x1.57be5873bb6c7p-1, -0x1.549389ddd300cp-1, -0x1.5161297414648p-1, -0x1.4e27ada05c7bdp-1, -0x1.4ae78c0dd8b58p-1, -0x1.47a1398408122p-1, -0x1.445529c429d4ep-1, -0x1.4103cf6903e0ap-1, -0x1.3dad9bc8e6969p-1, -0x1.3a52fed9de994p-1, -0x1.36f46717f84e7p-1, -0x1.3392416d83f7ep-1, -0x1.302cf91d442eep-1, -0x1.2cc4f7ae724dbp-1, -0x1.295aa4da84c48p-1, -0x1.25ee667ca4a93p-1, -0x1.2280a082beb68p-1, -0x1.1f11b4e01db3bp-1, -0x1.1ba203817c738p-1, -0x1.1831ea427d62cp-1, -0x1.14c1c4e476b83p-1, -0x1.1151ed0683e0ap-1, -0x1.0de2ba1ecbp-1, -0x1.0a748174e7238p-1, -0x1.0707961d682fep-1, -0x1.039c48f65b5b2p-1, -0x1.0032e8a4cc231p-1, -0x1.f9978326603e3p-2, -0x1.f2ce3be16870ep-2, -0x1.ec0a8b62b19fcp-2, -0x1.e54cfd1daaae4p-2, -0x1.de9618146da9ap-2, -0x1.d7e65edc53dd6p-2, -0x1.d13e4fa3d9092p-2, -0x1.ca9e6439ab6a3p-2, -0x1.c4071214de7abp-2, -0x1.bd78ca5e2522cp-2, -0x1.b6f3f9fa0628fp-2, -0x1.b0790993f94adp-2, -0x1.aa085daa561efp-2, -0x1.a3a2569b0b13cp-2, -0x1.9d4750b108bf9p-2, -0x1.96f7a4325613ep-2, -0x1.90b3a56eb9a82p-2, -0x1.8a7ba4ceefc18p-2, -0x1.844feee460c73p-2, -0x1.7e30cc7943062p-2, -0x1.781e82a128a65p-2, -0x1.721952c9e281bp-2, -0x1.6c217accb84dep-2, -0x1.663734ffe0fb7p-2, -0x1.605ab84839fa3p-2, -0x1.5a8c382b3343cp-2, -0x1.54cbe4e0df064p-2, -0x1.4f19eb662bf81p-2, -0x1.4976758f32951p-2, -0x1.43e1aa19993a4p-2, -0x1.3e5bacbf03b14p-2, -0x1.38e49e478791dp-2, -0x1.337c9c9c20a38p-2, -0x1.2e23c2d91e35fp-2, -0x1.28da2960857a5p-2, -0x1.239fe5ec63269p-2, -0x1.1e750ba105c8fp-2, -0x1.1959ab1f1f7aep-2, -0x1.144dd295ca8dp-2, -0x1.0f518dd467ef3p-2, -0x1.0a64e65c5d0dfp-2, -0x1.0587e372a3f16p-2, -0x1.00ba8a313194fp-2, -0x1.f7f9bb305c21dp-3, -0x1.ee9dbd3dee372p-3, -0x1.e5611889e7d92p-3, -0x1.dc43c74459bd9p-3, -0x1.d345bfef5c977p-3, -0x1.ca66f57f60efcp-3, -0x1.c1a7577b075d5p-3, -0x1.b906d21a78508p-3, -0x1.b0854e66435ddp-3, -0x1.a822b255befc4p-3, -0x1.9fdee0ece372ep-3, -0x1.97b9ba599e4f5p-3, -0x1.8fb31c10a5712p-3, -0x1.87cae0e9c29e9p-3, -0x1.8000e13b917c1p-3, -0x1.7854f2f6b8b11p-3, -0x1.70c6e9c0948dcp-3, -0x1.6956970d6144dp-3, -0x1.6203ca39ca556p-3, -0x1.5ace50a3fd0cfp-3, -0x1.53b5f5c425818p-3, -0x1.4cba83446b1eep-3, -0x1.45dbc11855e93p-3, -0x1.3f197593b352fp-3, -0x1.38736580f0191p-3, -0x1.31e95436e01abp-3, -0x1.2b7b03ae0b0bcp-3, -0x1.2528349568053p-3, -0x1.1ef0a66696e61p-3, -0x1.18d41779915e7p-3, -0x1.12d24517de30bp-3, -0x1.0ceaeb8f35f43p-3, -0x1.071dc643b49d9p-3, -0x1.016a8fc17e49ap-3, -0x1.f7a2039bd70dfp-4, -0x1.eca1aaf071702p-4, -0x1.e1d386536a11bp-4, -0x1.d737056af8cf1p-4, -0x1.cccb96cf6e73p-4, -0x1.c290a828bdd53p-4, -0x1.b885a64b2e5ap-4, -0x1.aea9fd53111d7p-4, -0x1.a4fd18bfa4c5dp-4, -0x1.9b7e638d0d9a4p-4, -0x1.922d484d7c99ep-4, -0x1.8909314174575p-4, -0x1.8011886f40b3ep-4, -0x1.7745b7b99a173p-4, -0x1.6ea528f57dd0dp-4, -0x1.662f45ff3bfcfp-4, -0x1.5de378cec2232p-4, -0x1.55c12b8b22087p-4, -0x1.4dc7c89d5d529p-4, -0x1.45f6bac275fdap-4, -0x1.3e4d6d1cc99dcp-4, -0x1.36cb4b44ba6c4p-4, -0x1.2f6fc158a9d03p-4, -0x1.283a3c0c48f6ep-4, -0x1.212a28b742d3p-4, -0x1.1a3ef5634252fp-4, -0x1.137810d95aca8p-4, -0x1.0cd4eaaed342cp-4, -0x1.0654f3515c41ep-4, -0x1.ffef38255df73p-5, -0x1.f378ae673bac7p-5, -0x1.e7452fdd2ea19p-5, -0x1.db53a5034072p-5, -0x1.cfa2f86f8cd5fp-5, -0x1.c43216e427b22p-5, -0x1.b8ffef6000328p-5, -0x1.ae0b732ed06aap-5, -0x1.a35395f81b996p-5, -0x1.98d74dcd42725p-5, -0x1.8e959336b476bp-5, -0x1.848d6140450d8p-5, -0x1.7abdb584ab63dp-5, -0x1.712590382e23cp-5, -0x1.67c3f4328be58p-5, -0x1.5e97e6f81950dp-5, -0x1.55a070c2262cep-5, -0x1.4cdc9c86a8a9fp-5, -0x1.444b77ff34e03p-5, -0x1.3bec13af4c206p-5, -0x1.33bd82ea019f8p-5, -0x1.2bbedbd6ff0b5p-5, -0x1.23ef3776ed9bdp-5, -0x1.1c4db1a74724cp-5, -0x1.14d9692597405p-5, -0x1.0d917f922f08bp-5, -0x1.06751972504d7p-5, -0x1.ff06bc63b16eap-6, -0x1.f176f048d9b1fp-6, -0x1.e439290c546f9p-6, -0x1.d74bc6f7cdf55p-6, -0x1.caad3025fbaeep-6, -0x1.be5bd08161997p-6, -0x1.b25619c248d52p-6, -0x1.a69a836becf4dp-6, -0x1.9b278ac8ea9bbp-6, -0x1.8ffbb2e6fc116p-6, -0x1.85158491ff95fp-6, -0x1.7a738e4e60c8ap-6, -0x1.70146452d7107p-6, -0x1.65f6a08193c2dp-6, -0x1.5c18e260dc845p-6, -0x1.5279cf131838p-6, -0x1.4918114e5d452p-6, -0x1.3ff259537dae7p-6, -0x1.37075ce49da4ep-6, -0x1.2e55d73b5ba02p-6, -0x1.25dc88fe8ab07p-6, -0x1.1d9a38378613bp-6, -0x1.158db0472b6bdp-6, -0x1.0db5c1da76aa5p-6, -0x1.061142dec76dcp-6, -0x1.fd3e1cebb8f89p-7, -0x1.eebc09d303ac7p-7, -0x1.e09a173df0d52p-7, -0x1.d2d61a143e544p-7, -0x1.c56df140bdc55p-7, -0x1.b85f8596ba34p-7, -0x1.aba8c9b6ff87ap-7, -0x1.9f47b9f479c8cp-7, -0x1.933a5c38815e4p-7, -0x1.877ebfe6d9e27p-7, -0x1.7c12fdc16a99cp-7, -0x1.70f537cbb62bfp-7, -0x1.6623992e14714p-7, -0x1.5b9c5618c4d6cp-7, -0x1.515daba6c9dffp-7, -0x1.4765dfc0a73e5p-7, -0x1.3db340fefdd9ap-7, -0x1.3444268d100fcp-7, -0x1.2b16f00b2f4b5p-7, -0x1.222a05711f0cfp-7, -0x1.197bd6f06bb55p-7, -0x1.110adcd6bfe72p-7, -0x1.08d5977038ed3p-7, -0x1.00da8ee9c1513p-7, -0x1.f230a666e9c21p-8, -0x1.e31af7c6261d1p-8, -0x1.d471502d05864p-8, -0x1.c630fcacda902p-8, -0x1.b85758f1e1eefp-8, -0x1.aae1cf08e6e7fp-8, -0x1.9dcdd725248d1p-8, -0x1.9118f766706f5p-8, -0x1.84c0c39fb3d99p-8, -0x1.78c2dd1db58bcp-8, -0x1.6d1cf26e3fc8dp-8, -0x1.61ccbf27a14f7p-8, -0x1.56d00bb094c79p-8, -0x1.4c24ad088c64ap-8, -0x1.41c884906dd68p-8, -0x1.37b97fd3ba08dp-8, -0x1.2df598522da29p-8, -0x1.247ad349d69e5p-8, -0x1.1b474181a7235p-8, -0x1.1258ff1485589p-8, -0x1.09ae333cdfcb1p-8, -0x1.01451020c34e9p-8, -0x1.f237a53cf473cp-9, -0x1.e26184336a008p-9, -0x1.d30460927d5d2p-9, -0x1.c41cf20a7b2adp-9, -0x1.b5a8042c0ee35p-9, -0x1.a7a276070893dp-9, -0x1.9a0939ca4873ep-9, -0x1.8cd95464d95b2p-9, -0x1.800fdd282e418p-9, -0x1.73a9fd6b95efcp-9, -0x1.67a4f030d6cc2p-9, -0x1.5bfe01ca0286ep-9, -0x1.50b28f8075446p-9, -0x1.45c0073d0d369p-9, -0x1.3b23e73196263p-9, -0x1.30dbbd83685a2p-9, -0x1.26e527f73e3efp-9, -0x1.1d3dd39e3cdcdp-9, -0x1.13e37c84381e5p-9, -0x1.0ad3ed5f24d4cp-9, -0x1.020cff3fc5fd2p-9, -0x1.f319328716473p-10, -0x1.e2a1608f420adp-10, -0x1.d2ae8d3a74257p-10, -0x1.c33cd77e05fbdp-10, -0x1.b448780f98b43p-10, -0x1.a5cdc0d4bc0cbp-10, -0x1.97c91c54fad05p-10, -0x1.8a370d2e38a42p-10, -0x1.7d142d8b648fap-10, -0x1.705d2e9d7dfdep-10, -0x1.640ed816e697ep-10, -0x1.582607a8f5b48p-10, -0x1.4c9fb083dae1bp-10, -0x1.4178dad8b5a16p-10, -0x1.36aea35defdc9p-10, -0x1.2c3e3ad5c4884p-10, -0x1.2224e596ffff4p-10, -0x1.185ffb17e6ec4p-10, -0x1.0eece57b47258p-10, -0x1.05c9211fa1ec9p-10, -0x1.f9e47860f19cep-11, -0x1.e8cbac735a123p-11, -0x1.d8433f79db47cp-11, -0x1.c846b39261b1ep-11, -0x1.b8d1ab2860bd8p-11, -0x1.a9dfe82bc7398p-11, -0x1.9b6d4b4be4c8dp-11, -0x1.8d75d336305f7p-11, -0x1.7ff59bd8e68eep-11, -0x1.72e8dda971e6ap-11, -0x1.664becee913e1p-11, -0x1.5a1b390e2e2d1p-11, -0x1.4e534bded8705p-11, -0x1.42f0c8fcd9293p-11, -0x1.37f06d22cf915p-11, -0x1.2d4f0d85cd718p-11, -0x1.23099734e2404p-11, -0x1.191d0e7c0ccbbp-11, -0x1.0f868e4a828bap-11, -0x1.0643479c42b3fp-11, -0x1.faa101cdca85cp-12, -0x1.e9572b133a162p-12, -0x1.d8a3ea80b81b1p-12, -0x1.c882473421604p-12, -0x1.b8ed6ee3d6bf2p-12, -0x1.a9e0b4d749e9ep-12, -0x1.9b5790e569842p-12, -0x1.8d4d9e78d7d0fp-12, -0x1.7fbe9b99d418dp-12, -0x1.72a667fdb9801p-12, -0x1.6601041bff0aep-12, -0x1.59ca9048a0098p-12, -0x1.4dff4bd3d1737p-12, -0x1.429b942ef0d45p-12, -0x1.379be4168f115p-12, -0x1.2cfcd2c185e9ep-12, -0x1.22bb1314fb611p-12, -0x1.18d372dd410b9p-12, -0x1.0f42da0b6fbc7p-12, -0x1.060649f7b5a7cp-12, -0x1.fa35b9506502p-13, -0x1.e8fb8838abbdp-13, -0x1.d858933949bb8p-13, -0x1.c8479a1da1ed3p-13, -0x1.b8c3889c1b0bep-13, -0x1.a9c7750f18653p-13, -0x1.9b4e9f361519cp-13, -0x1.8d546efebf9a6p-13, -0x1.7fd47355e209bp-13, -0x1.72ca60fff7167p-13, -0x1.6632117942c63p-13, -0x1.5a0781dd3f72ap-13, -0x1.4e46d1d542278p-13, -0x1.42ec428e2c0b8p-13, -0x1.37f435b50218dp-13, -0x1.2d5b2c7a40d06p-13, -0x1.231dc69bd648dp-13, -0x1.1938c1759029fp-13, -0x1.0fa8f717d6d7bp-13, -0x1.066b5d64aa18ap-13, -0x1.fafa0a6539202p-14, -0x1.e9b632eb8f7acp-14, -0x1.d905bcdd04ec1p-14, -0x1.c8e361bb8fad4p-14, -0x1.b94a0a7e450f8p-14, -0x1.aa34ce1012d9dp-14, -0x1.9b9eefd8f4703p-14, -0x1.8d83de519a653p-14, -0x1.7fdf31a116651p-14, -0x1.72acaa4470473p-14, -0x1.65e82fbfdac55p-14, -0x1.598dcf5952b45p-14, -0x1.4d99badc6fd27p-14, -0x1.420847672d83fp-14, -0x1.36d5ec3f78e16p-14, -0x1.2bff41b148ff2p-14, -0x1.2180fff5123d1p-14, -0x1.1757fe1e5dda5p-14, -0x1.0d81311252a37p-14, -0x1.03f9aa85ffe5dp-14, -0x1.f57d30086cd1bp-15, -0x1.e39a83f58697cp-15, -0x1.d246159db398ep-15, -0x1.c17adbf102887p-15, -0x1.b133fe49b16aep-15, -0x1.a16cd2be08f9p-15, -0x1.9220dc7f32f23p-15, -0x1.834bca44baaa5p-15, -0x1.74e974c460a2p-15, -0x1.66f5dd35f29efp-15, -0x1.596d2be2d8a41p-15, -0x1.4c4baec1038fbp-15, -0x1.3f8dd818f9a47p-15, -0x1.33303d36af8eap-15, -0x1.272f9524e5209p-15, -0x1.1b88b772c2c0dp-15, -0x1.10389b036b869p-15, -0x1.053c54e7443d3p-15, -0x1.f5222e7d521d7p-16, -0x1.e068604ba1f4fp-16, -0x1.cc46115343b07p-16, -0x1.b8b6478a60e75p-16, -0x1.a5b43acf69cf8p-16, -0x1.933b53056912cp-16, -0x1.814726404f77dp-16, -0x1.6fd37700c1eb3p-16, -0x1.5edc327eff421p-16, -0x1.4e5d6f046bde4p-16, -0x1.3e536a535e50bp-16, -0x1.2eba881cb8f89p-16, -0x1.1f8f5082fb963p-16, -0x1.10ce6eaa5bb21p-16, -0x1.0274af558a7ccp-16, -0x1.e8fdff1d896f7p-17, -0x1.cdd4d6b9a97c7p-17, -0x1.b368390757c59p-17, -0x1.99b2b2a06c5b2p-17, -0x1.80af06de35513p-17, -0x1.68582d9c1dc11p-17, -0x1.50a9510edb3a9p-17, -0x1.399dcbaf85dcfp-17, -0x1.23312639fc201p-17, -0x1.0d5f15bdfc6e5p-17, -0x1.f046f384c8037p-18, -0x1.c6f4b4f3fee4fp-18, -0x1.9ebfce12c8641p-18, -0x1.77a0e7ba93cb1p-18, -0x1.5190f221bea6dp-18, -0x1.2c8921c731381p-18, -0x1.0882ec7bf755fp-18, -0x1.caf00d13b5676p-19, -0x1.86c4bfec2b4f1p-19, -0x1.447843be639bfp-19, -0x1.03ff57ea6c16dp-19, -0x1.8a9e482d0c677p-20, -0x1.10ba670734601p-20, -0x1.347dc24501354p-21, -0x1.38c206fccfc95p-23, 0x1.23310809444ccp-22, 0x1.6b0194a50dc5cp-21, 0x1.1f16dd08ad7e5p-20, 0x1.859f688e74925p-20, 0x1.e92acbbbc1e0ep-20, 0x1.24e46e43fec8dp-19, 0x1.53c47739962f4p-19, 0x1.813cec549e5e7p-19, 0x1.ad54fdf107febp-19, 0x1.d813a4004b73dp-19, 0x1.00bfd05cd1b8fp-18, 0x1.14cfc1960ca28p-18, 0x1.283cd4d9b7ffcp-18, 0x1.3b0a222882356p-18, 0x1.4d3aab74cff92p-18, 0x1.5ed15db4a0648p-18, 0x1.6fd111e6e420ap-18, 0x1.803c8e0cc1dffp-18, 0x1.901686173a939p-18, 0x1.9f619cc99a507p-18, 0x1.ae206491292d5p-18, 0x1.bc5560527d87fp-18, 0x1.ca03042cdca28p-18, 0x1.d72bb63407922p-18, 0x1.e3d1cf20d554cp-18, 0x1.eff79af8fa0b8p-18, 0x1.fb9f59ae4dc68p-18, 0x1.03659fdaf94adp-17, 0x1.08bebb4bd343bp-17, 0x1.0ddc0ebacb2aap-17, 0x1.12bea4c67fdabp-17, 0x1.17678357f6695p-17, 0x1.1bd7abdc2aefap-17, 0x1.20101b7a76646p-17, 0x1.2411cb47ecf9ap-17, 0x1.27ddb077d5471p-17, 0x1.2b74bc89591c2p-17, 0x1.2ed7dd728e62cp-17, 0x1.3207fdc8f77d5p-17, 0x1.350604e794587p-17, 0x1.37d2d712a57a8p-17, 0x1.3a6f5599368acp-17, 0x1.3cdc5ef48e6dfp-17, 0x1.3f1acee59b74ep-17, 0x1.412b7e90751d8p-17, 0x1.430f44960a2d9p-17, 0x1.44c6f52c1156fp-17, 0x1.46536233532b8p-17, 0x1.47b55b4c5ff7ap-17, 0x1.48edadeac848cp-17, 0x1.49fd2566e96a7p-17, 0x1.4ae48b0e6199ap-17, 0x1.4ba4a6333cc94p-17, 0x1.4c3e3c39ebd7fp-17, 0x1.4cb210a617a6bp-17, 0x1.4d00e5265cbecp-17, 0x1.4d2b799f03b47p-17, 0x1.4d328c33bfa4ap-17, 0x1.4d16d9508588cp-17, 0x1.4cd91bb186539p-17, 0x1.4c7a0c6a5bb0fp-17, 0x1.4bfa62ec70eabp-17, 0x1.4b5ad50cb715cp-17, 0x1.4a9c1708acbd4p-17, 0x1.49bedb8ac775fp-17, 0x1.48c3d3ae45666p-17, 0x1.47abaf02767a7p-17, 0x1.46771b8d80b6ep-17, 0x1.4526c5ceae161p-17, 0x1.43bb58c0498dfp-17, 0x1.42357dd914c03p-17, 0x1.4095dd0d5e442p-17, 0x1.3edd1ccfbfbcep-17, 0x1.3d0be2118bf42p-17, 0x1.3b22d042f2e18p-17, 0x1.39228952e3421p-17, 0x1.370badaeae376p-17, 0x1.34dedc4175de4p-17, 0x1.329cb27369994p-17, 0x1.3045cc28d71f6p-17, 0x1.2ddac3c115c85p-17, 0x1.2b5c32154e658p-17, 0x1.28caae77284c8p-17, 0x1.2626ceaf5bdcdp-17, 0x1.237126fc324a8p-17, 0x1.20aa4a0ff2ab3p-17, 0x1.1dd2c90f4435ap-17, 0x1.1aeb338f85d5dp-17, 0x1.17f417951f6aap-17, 0x1.14ee0191d0d9bp-17, 0x1.11d97c6300212p-17, 0x1.0eb7115009dc7p-17, 0x1.0b87480897683p-17, 0x1.084aa6a2fc3a9p-17, 0x1.0501b19a9be15p-17, 0x1.01acebce5d1d1p-17, 0x1.fc99acfe53567p-18, 0x1.f5c3e29cfa1ap-18, 0x1.eed9747a0b379p-18, 0x1.e7db5b52ad3d6p-18, 0x1.e0ca8c9d5d654p-18, 0x1.d9a7fa87a8334p-18, 0x1.d27493f40c74p-18, 0x1.cb3144780dc8ep-18, 0x1.c3def45a77eb3p-18, 0x1.bc7e8891d45f3p-18, 0x1.b510e2c312988p-18, 0x1.ad96e1406697ep-18, 0x1.a6115f085d257p-18, 0x1.9e8133c5283f6p-18, 0x1.96e733cc20db6p-18, 0x1.8f44301d84e54p-18, 0x1.8798f6646d724p-18, 0x1.7fe650f6fc954p-18, 0x1.782d06d6c8976p-18, 0x1.706ddbb17f1b8p-18, 0x1.68a98fe1c3eb9p-18, 0x1.60e0e070496b7p-18, 0x1.591487152421cp-18, 0x1.51453a3956758p-18, 0x1.4973acf898a92p-18, 0x1.41a08f2357e2bp-18, 0x1.39cc8d40ef6d6p-18, 0x1.31f85092199b4p-18, 0x1.2a247f1398929p-18, 0x1.2251bb8116bb3p-18, 0x1.1a80a5583beb7p-18, 0x1.12b1d8dbfa7f7p-18, 0x1.0ae5ef180e4ddp-18, 0x1.031d7de4b1823p-18, 0x1.f6b22fd508657p-19, }}, 
      {{-0x1.acd2da26694dfp-20, -0x1.77364f5135e56p-18, -0x1.430c0f8e00cdp-17, -0x1.4cb7de634b2bcp-17, -0x1.75568979693ebp-20, 0x1.72bc7f288cb81p-16, 0x1.1b7c1c03d6d88p-14, 0x1.2b80658f4137ap-13, 0x1.0c73ea044a99ep-12, 0x1.b3f9a33342f54p-12, 0x1.4ac0e81a9d0b7p-11, 0x1.dd242d55c5065p-11, 0x1.4adce04439069p-10, 0x1.bc7dbf2260129p-10, 0x1.22cf684a3bf06p-9, 0x1.742914b0385eep-9, 0x1.d346c28bc69b2p-9, 0x1.2089b268acc18p-8, 0x1.5f3452e6928a8p-8, 0x1.a606eff646514p-8, 0x1.f55bb1c5ba363p-8, 0x1.26c1802372e22p-7, 0x1.5761b2c56c28ep-7, 0x1.8cacc4d214b6bp-7, 0x1.c6bc2230d4667p-7, 0x1.02d2306335244p-6, 0x1.24baad2c0e1e5p-6, 0x1.491d266fe15c6p-6, 0x1.6ffd001275125p-6, 0x1.995b77c9ddc6ep-6, 0x1.c537bbb57899p-6, 0x1.f38f023b955cfp-6, 0x1.122e516af8e58p-5, 0x1.2bcd17c03665bp-5, 0x1.469fc743bd015p-5, 0x1.62a18a3e4a373p-5, 0x1.7fcccf0f73195p-5, 0x1.9e1b5506982cep-5, 0x1.bd86390e2730dp-5, 0x1.de0602199fca9p-5, 0x1.ff92ad4950741p-5, 0x1.1111dcdc89a49p-4, 0x1.22d819f8ac4b7p-4, 0x1.35176079d5c8fp-4, 0x1.47cad46ecb669p-4, 0x1.5aed708f1f0a3p-4, 0x1.6e7a0b1e38412p-4, 0x1.826b5a960abcfp-4, 0x1.96bbfa19779e6p-4, 0x1.ab666daec42aap-4, 0x1.c0652642fd114p-4, 0x1.d5b285775994bp-4, 0x1.eb48e13a16b3fp-4, 0x1.00914396290e9p-3, 0x1.0b9cdfeb5807fp-3, 0x1.16c468d757a2fp-3, 0x1.220501f73f69bp-3, 0x1.2d5bd0a0bd711p-3, 0x1.38c5fd23913b2p-3, 0x1.4440b3f744d8ep-3, 0x1.4fc926d622803p-3, 0x1.5b5c8dc63e16bp-3, 0x1.66f828118e438p-3, 0x1.72993d2dda102p-3, 0x1.7e3d1d955d277p-3, 0x1.89e12390c9d2ep-3, 0x1.9582b3f37bd1fp-3, 0x1.a11f3eca6b6b2p-3, 0x1.acb43ffe9184p-3, 0x1.b83f3feb3d2d6p-3, 0x1.c3bdd3e8f3af7p-3, 0x1.cf2d9ecd490abp-3, 0x1.da8c516026cadp-3, 0x1.e5d7aac6fb70ap-3, 0x1.f10d78e619b11p-3, 0x1.fc2b98b8bd693p-3, 0x1.0397fb5001d6cp-2, 0x1.090c47548e9a7p-2, 0x1.0e71b6658a6bdp-2, 0x1.13c7568e39922p-2, 0x1.190c3e007baaap-2, 0x1.1e3f8b27d9f8ap-2, 0x1.236064b8e6c52p-2, 0x1.286df9bd0de7cp-2, 0x1.2d67819af310fp-2, 0x1.324c3c1b7f40dp-2, 0x1.371b716bbb54p-2, 0x1.3bd4721b943bfp-2, 0x1.40769719aa4fep-2, 0x1.450141ac4305bp-2, 0x1.4973db67866a7p-2, 0x1.4dcdd6211a61dp-2, 0x1.520eabe141f11p-2, 0x1.5635ded19b688p-2, 0x1.5a42f9299ca5ap-2, 0x1.5e358d18ea756p-2, 0x1.620d34afacf31p-2, 0x1.65c991c4f6e21p-2, 0x1.696a4ddb6726fp-2, 0x1.6cef1a041acd3p-2, 0x1.7057aec011078p-2, 0x1.73a3cbe01b1cep-2, 0x1.76d33863770bbp-2, 0x1.79e5c2552ed5dp-2, 0x1.7cdb3ea8589b9p-2, 0x1.7fb3891353ab2p-2, 0x1.826e83ea18f25p-2, 0x1.850c17f7be0d5p-2, 0x1.878c34573ba7ap-2, 0x1.89eece4b990e3p-2, 0x1.8c33e1178a22ap-2, 0x1.8e5b6dd49d996p-2, 0x1.90657b4a0bc75p-2, 0x1.925215c33f113p-2, 0x1.94214ee6240f8p-2, 0x1.95d33d895bca6p-2, 0x1.9767fd8a58d8cp-2, 0x1.98dfafa380e5ep-2, 0x1.9a3a79425cba2p-2, 0x1.9b78845de85eep-2, 0x1.9c99ff4d12c2p-2, 0x1.9d9f1c9d77679p-2, 0x1.9e8812ea5fcb1p-2, 0x1.9f551cb41af53p-2, 0x1.a0067837b01aep-2, 0x1.a09c6746fe4f3p-2, 0x1.a1172f214b09cp-2, 0x1.a177184c4c42dp-2, 0x1.a1bc6e6db60ffp-2, 0x1.a1e780255026dp-2, 0x1.a1f89ee79d644p-2, 0x1.a1f01ed917899p-2, 0x1.a1ce56aa07fcep-2, 0x1.a1939f72feddep-2, 0x1.a1405491ef78p-2, 0x1.a0d4d387f283bp-2, 0x1.a0517bd7b45dap-2, 0x1.9fb6aee490169p-2, 0x1.9f04cfd259fdbp-2, 0x1.9e3c4365da889p-2, 0x1.9d5d6fe5fcaafp-2, 0x1.9c68bcfdae4e1p-2, 0x1.9b5e939e76dbdp-2, 0x1.9a3f5de3c13b1p-2, 0x1.990b86f6d93c3p-2, 0x1.97c37af39dc8ap-2, 0x1.9667a6cdea075p-2, 0x1.94f87837ac3abp-2, 0x1.93765d87b2b27p-2, 0x1.91e1c5a128a9dp-2, 0x1.903b1fdbc3f2ap-2, 0x1.8e82dbec9f786p-2, 0x1.8cb969cfc30bap-2, 0x1.8adf39b25805bp-2, 0x1.88f4bbdd850bdp-2, 0x1.86fa60a1f3263p-2, 0x1.84f09843f6e2bp-2, 0x1.82d7d2e85ed55p-2, 0x1.80b08081dffcep-2, 0x1.7e7b10bf25522p-2, 0x1.7c37f2f97945cp-2, 0x1.79e796240a7e2p-2, 0x1.778a68bbc9329p-2, 0x1.7520d8b7da7efp-2, 0x1.72ab537a9dbbcp-2, 0x1.702a45c3444a7p-2, 0x1.6d9e1b9ff7e0cp-2, 0x1.6b0740608aeddp-2, 0x1.68661e89b7ee2p-2, 0x1.65bb1fc8e04bbp-2, 0x1.6306ace856a84p-2, 0x1.60492dc42a05p-2, 0x1.5d83093f6dd17p-2, 0x1.5ab4a53a03482p-2, 0x1.57de6686dd0fp-2, 0x1.5500b0e2b9975p-2, 0x1.521be6eb5831fp-2, 0x1.4f306a171ba6dp-2, 0x1.4c3e9aad269fcp-2, 0x1.4946d7bde0bf6p-2, 0x1.46497f1beb6e7p-2, 0x1.4346ed5582d9fp-2, 0x1.403f7dae43a83p-2, 0x1.3d338a195bfe4p-2, 0x1.3a236b341bf56p-2, 0x1.370f7840eac6ep-2, 0x1.33f8072299a6ap-2, 0x1.30dd6c58167dap-2, 0x1.2dbffaf8769a7p-2, 0x1.2aa004af5e2ebp-2, 0x1.277dd9b9bcadbp-2, 0x1.2459c8e2de0ddp-2, 0x1.21341f81cf286p-2, 0x1.1e0d297714c95p-2, 0x1.1ae5312aad829p-2, 0x1.17bc7f8a654dap-2, 0x1.14935c086e395p-2, 0x1.116a0c9a47d19p-2, 0x1.0e40d5b7e8efep-2, 0x1.0b17fa5b2e98fp-2, 0x1.07efbbff91a88p-2, 0x1.04c85aa218beep-2, 0x1.01a214c18c265p-2, 0x1.fcfa4ebdcdb56p-3, 0x1.f6b39bfc017cp-3, 0x1.f070854ce8582p-3, 0x1.ea317bc97976cp-3, 0x1.e3f6ed971041ep-3, 0x1.ddc145ea7dde8p-3, 0x1.d790ed0b77e73p-3, 0x1.d16648587276dp-3, 0x1.cb41ba4acdc3bp-3, 0x1.c523a27b639acp-3, 0x1.bf0c5da76beffp-3, 0x1.b8fc45b5b6c11p-3, 0x1.b2f3b1bc2d38p-3, 0x1.acf2f605b00a2p-3, 0x1.a6fa64182e234p-3, 0x1.a10a4abb0fc1ep-3, 0x1.9b22f5fde1c98p-3, 0x1.9544af3f3a41ap-3, 0x1.8f6fbd33e95b7p-3, 0x1.89a463ee52eep-3, 0x1.83e2e4e612b63p-3, 0x1.7e2b7effc3c68p-3, 0x1.787e6e950adp-3, 0x1.72dbed7cbf34cp-3, 0x1.6d4433134e287p-3, 0x1.67b774433e5cp-3, 0x1.6235e38de2485p-3, 0x1.5cbfb114277fdp-3, 0x1.57550a9f8d94dp-3, 0x1.51f61bab3ae85p-3, 0x1.4ca30d6d2cbd5p-3, 0x1.475c06df8452ep-3, 0x1.42212cc9e91afp-3, 0x1.3cf2a1cb07164p-3, 0x1.37d0866218a03p-3, 0x1.32baf8f88637fp-3, 0x1.2db215eb96fffp-3, 0x1.28b5f7962bcb9p-3, 0x1.23c6b65a82f8cp-3, 0x1.1ee468ac0de0fp-3, 0x1.1a0f231944882p-3, 0x1.1546f8557f737p-3, 0x1.108bf942deb23p-3, 0x1.0bde34fc25772p-3, 0x1.073db8de9bd9fp-3, 0x1.02aa9093f25b8p-3, 0x1.fc498c38306fdp-4, 0x1.f358c3ae2fc26p-4, 0x1.ea82d51dc7492p-4, 0x1.e1c7cb02411aap-4, 0x1.d927acd1c4a7bp-4, 0x1.d0a27f10c5ccep-4, 0x1.c838436549ac4p-4, 0x1.bfe8f8aa263f7p-4, 0x1.b7b49b0210a7fp-4, 0x1.af9b23ea9825p-4, 0x1.a79c8a4ef6d1cp-4, 0x1.9fb8c29ac2b7bp-4, 0x1.97efbecc7611ep-4, 0x1.90416e87d162cp-4, 0x1.88adbf280e647p-4, 0x1.81349bd1eb099p-4, 0x1.79d5ed8583f11p-4, 0x1.72919b2fff2bep-4, 0x1.6b6789bd06a33p-4, 0x1.64579c280e109p-4, 0x1.5d61b38d6598dp-4, 0x1.5685af3b17722p-4, 0x1.4fc36cc18bd6bp-4, 0x1.491ac803f85ddp-4, 0x1.428b9b4893b16p-4, 0x1.3c15bf488feap-4, 0x1.35b90b3fd9749p-4, 0x1.2f7554fc9adc2p-4, 0x1.294a70ee81f2bp-4, 0x1.23383235c983fp-4, 0x1.1d3e6ab202d1cp-4, 0x1.175ceb10a2328p-4, 0x1.119382db4a6a7p-4, 0x1.0be20085d938p-4, 0x1.0648317c345d9p-4, 0x1.00c5e22fd42bbp-4, 0x1.f6b5bc4a1d12dp-5, 0x1.ec0de00041caep-5, 0x1.e193c323f05cep-5, 0x1.d746f7c96f68cp-5, 0x1.cd270e8ffd8a5p-5, 0x1.c33396b9d8fc4p-5, 0x1.b96c1e43c4b21p-5, 0x1.afd031fc0981p-5, 0x1.a65f5d98f628cp-5, 0x1.9d192bcedc1f3p-5, 0x1.93fd26658b959p-5, 0x1.8b0ad64d4b8d2p-5, 0x1.8241c3b354a9ep-5, 0x1.79a17615c9226p-5, 0x1.712974572e05ep-5, 0x1.68d944d165d89p-5, 0x1.60b06d682d39dp-5, 0x1.58ae739b1b573p-5, 0x1.50d2dc9724c3cp-5, 0x1.491d2d47a5467p-5, 0x1.418cea66ed754p-5, 0x1.3a21988e5b265p-5, 0x1.32dabc45f49f6p-5, 0x1.2bb7da1394f06p-5, 0x1.24b876899c1b6p-5, 0x1.1ddc16552fb27p-5, 0x1.17223e4c08695p-5, 0x1.108a7379cc985p-5, 0x1.0a143b2cfebc2p-5, 0x1.03bf1b037aa9dp-5, 0x1.fb1531ed0e322p-6, 0x1.eeec76ccfa8d3p-6, 0x1.e303124c09d96p-6, 0x1.d7581309d3b16p-6, 0x1.cbea88b51587p-6, 0x1.c0b9841fc4f6ap-6, 0x1.b5c417525dc64p-6, 0x1.ab09559e6b90bp-6, 0x1.a08853b053551p-6, 0x1.964027a0628cdp-6, 0x1.8c2fe903247acp-6, 0x1.8256b0f8fc4cap-6, 0x1.78b39a3d17c21p-6, 0x1.6f45c133a7595p-6, 0x1.660c43f7733aep-6, 0x1.5d064266c4718p-6, 0x1.5432de2fa810cp-6, 0x1.4b913adb9406ep-6, 0x1.43207dda6b7dcp-6, 0x1.3adfce8ceb3d3p-6, 0x1.32ce564e7bf1p-6, 0x1.2aeb407e7211dp-6, 0x1.2335ba88bef44p-6, 0x1.1bacf3ee102e5p-6, 0x1.14501e4b69fdcp-6, 0x1.0d1e6d6139deap-6, 0x1.06171719e4d67p-6, 0x1.fe72a71fa9f2ep-7, 0x1.f108ba261d361p-7, 0x1.e3eee05c9078bp-7, 0x1.d7239757171e2p-7, 0x1.caa56130d2ca8p-7, 0x1.be72c4936c028p-7, 0x1.b28a4cbdba7fep-7, 0x1.a6ea89899902dp-7, 0x1.9b920f70ed113p-7, 0x1.907f7791e13c6p-7, 0x1.85b15fb25fff6p-7, 0x1.7b266a42e0193p-7, 0x1.70dd3e60636dbp-7, 0x1.66d487d5d845ap-7, 0x1.5d0af71ccc0b7p-7, 0x1.537f415d768d4p-7, 0x1.4a30206e24cecp-7, 0x1.411c52d20ecfdp-7, 0x1.38429bb795308p-7, 0x1.2fa1c2f5efb3ap-7, 0x1.2738950a53195p-7, 0x1.1f05e3148fbap-7, 0x1.170882d3310b5p-7, 0x1.0f3f4e9f21dbap-7, 0x1.07a92566d8c9ap-7, 0x1.0044eaa914b42p-7, 0x1.f2230cde531fap-8, 0x1.e41bca8dcdd74p-8, 0x1.d671f0783000bp-8, 0x1.c92369a34a596p-8, 0x1.bc2e29f4b23d6p-8, 0x1.af902e229d763p-8, 0x1.a3477ba4168f3p-8, 0x1.975220a092b23p-8, 0x1.8bae33def0144p-8, 0x1.8059d4b3e51dcp-8, 0x1.75532aefe7566p-8, 0x1.6a9866cc9286fp-8, 0x1.6027c0d99449fp-8, 0x1.55ff79e928257p-8, 0x1.4c1ddafc230d8p-8, 0x1.4281352d9f33cp-8, 0x1.3927e19e4479dp-8, 0x1.3010415f3b9aep-8, 0x1.2738bd5ccbc39p-8, 0x1.1e9fc648af42cp-8, 0x1.1643d4841e7b6p-8, 0x1.0e2368099b398p-8, 0x1.063d0856817b1p-8, 0x1.fd1e88a8be298p-9, 0x1.ee3164843a5c7p-9, 0x1.dfafdf39f9f87p-9, 0x1.d1974212d7564p-9, 0x1.c3e4e4776a241p-9, 0x1.b6962bc133613p-9, 0x1.a9a88b0b922d5p-9, 0x1.9d19830491309p-9, 0x1.90e6a1bd8e4b8p-9, 0x1.850d827bcf22fp-9, 0x1.798bcd88faa6cp-9, 0x1.6e5f38038fc7bp-9, 0x1.638583af54dc1p-9, 0x1.58fc7ec5c8b45p-9, 0x1.4ec203c6a2531p-9, 0x1.44d3f9485d977p-9, 0x1.3b3051c8e25d1p-9, 0x1.31d50b7e44f1p-9, 0x1.28c03027ab1e7p-9, 0x1.1fefd4de59c36p-9, 0x1.176219e6ee4ecp-9, 0x1.0f152a82ce49p-9, 0x1.07073cc1c8f76p-9, 0x1.fe6d22a7f7f98p-10, 0x1.ef42e6b7e50d2p-10, 0x1.e08c70821c711p-10, 0x1.d2467f046aaddp-10, 0x1.c46de5119f815p-10, 0x1.b6ff88f82d551p-10, 0x1.a9f8642967752p-10, 0x1.9d5582e176ac2p-10, 0x1.911403d002043p-10, 0x1.853117c1914dep-10, 0x1.79aa0149b02ecp-10, 0x1.6e7c146dd9989p-10, 0x1.63a4b6512ba99p-10, 0x1.59215ce0f3b97p-10, 0x1.4eef8e81ff6ddp-10, 0x1.450ce1bed7ff9p-10, 0x1.3b76fcf6cdc9cp-10, 0x1.322b960de507cp-10, 0x1.2928721db2635p-10, 0x1.206b6527058dcp-10, 0x1.17f251c49c6e9p-10, 0x1.0fbb28de9fdbdp-10, 0x1.07c3e95f30c9dp-10, 0x1.000a9fe7c6391p-10, 0x1.f11acd0f29b4dp-11, 0x1.e294c8e5ba57fp-11, 0x1.d47f9b766785ap-11, 0x1.c6d7c6117cedep-11, 0x1.b999e2a8d3301p-11, 0x1.acc2a3462a579p-11, 0x1.a04ed18376712p-11, 0x1.943b4e051f1fap-11, 0x1.88850ff632a4bp-11, 0x1.7d2924868d41fp-11, 0x1.7224ae6af480fp-11, 0x1.6774e55f2661ep-11, 0x1.5d1715a9dbfc4p-11, 0x1.53089fa2be733p-11, 0x1.4946f73a4ca8bp-11, 0x1.3fcfa383b2234p-11, 0x1.36a03e408b8cp-11, 0x1.2db6736e98c4ap-11, 0x1.251000d7572eap-11, 0x1.1caab5a187f66p-11, 0x1.148471e4987b5p-11, 0x1.0c9b263df06e1p-11, 0x1.04ecd3681e70ep-11, 0x1.faef13a7c6e69p-12, 0x1.ec72d2862ec44p-12, 0x1.de6140cac7957p-12, 0x1.d0b6d8eda5bbep-12, 0x1.c37031c05b4acp-12, 0x1.b689fdb248ecp-12, 0x1.aa010a1883419p-12, 0x1.9dd23e7938f17p-12, 0x1.91fa9bdaa01d5p-12, 0x1.86773c1550412p-12, 0x1.7b45512a12604p-12, 0x1.7062249b108a3p-12, 0x1.65cb16c8635bfp-12, 0x1.5b7d9e4fef88dp-12, 0x1.517747708e02bp-12, 0x1.47b5b37072991p-12, 0x1.3e369806c6b34p-12, 0x1.34f7bec8724a9p-12, 0x1.2bf7049802ee1p-12, 0x1.23325918ae1cdp-12, 0x1.1aa7be245c0b5p-12, 0x1.12554744bad47p-12, 0x1.0a39192f48866p-12, 0x1.0251694447e16p-12, 0x1.f538fa213f917p-13, 0x1.e63153a51f91cp-13, 0x1.d788a8026a604p-13, 0x1.c93bddadaaf21p-13, 0x1.bb47f7bbbf38cp-13, 0x1.adaa150147af1p-13, 0x1.a05f6f37515ebp-13, 0x1.93655a253df7bp-13, 0x1.86b942cfce0f1p-13, 0x1.7a58aead2ee3dp-13, 0x1.6e413ade01c1fp-13, 0x1.62709b6b4b004p-13, 0x1.56e49a8920f6fp-13, 0x1.4b9b17de1da2bp-13, 0x1.409207cf6d1f9p-13, 0x1.35c772d16b79ap-13, 0x1.2b3974bcc19bcp-13, 0x1.20e63c27df238p-13, 0x1.16cc09c4cc983p-13, 0x1.0ce92fc3367f7p-13, 0x1.033c1136a598fp-13, 0x1.f38643018edeep-14, 0x1.e0f9c77f7c78dp-14, 0x1.cecfd480b8663p-14, 0x1.bd05abe87229ap-14, 0x1.ab98abd71c7d5p-14, 0x1.9a864da596fdep-14, 0x1.89cc24e799a92p-14, 0x1.7967de7534c9fp-14, 0x1.69573f7b55a5ep-14, 0x1.599824931af64p-14, 0x1.4a2880dfda301p-14, 0x1.3b065d33b2d66p-14, 0x1.2c2fd73a8a8d8p-14, 0x1.1da320ab4f85cp-14, 0x1.0f5e7e7f6018ep-14, 0x1.0160482ff364dp-14, 0x1.e74dcdf2c600cp-15, 0x1.cc61aa48660c5p-15, 0x1.b1f93aa771809p-15, 0x1.9811b3b47f119p-15, 0x1.7ea86825179a1p-15, 0x1.65bac77d37336p-15, 0x1.4d465cd70fb82p-15, 0x1.3548cdb4cb7bap-15, 0x1.1dbfd8dc1749dp-15, 0x1.06a9553b34a16p-15, 0x1.e00661aeb95bp-16, 0x1.b396df8874b17p-16, 0x1.880056488237dp-16, 0x1.5d3f20634f37cp-16, 0x1.334fbe9fab9cfp-16, 0x1.0a2ed64a0e7c4p-16, 0x1.c3b25eefd1896p-17, 0x1.749766b52cd58p-17, 0x1.2706d5430617ap-17, 0x1.b5f5efacae918p-18, 0x1.20dca912275bbp-18, 0x1.1d6e9db494a99p-19, -0x1.0880f4e1bfb0fp-27, -0x1.19bf8ad9d4415p-19, -0x1.1664a4a97f21ep-18, -0x1.9d1bebffbe874p-18, -0x1.10872b94873a9p-17, -0x1.51222a2fd08afp-17, -0x1.9063046383792p-17, -0x1.ce4daa53e33e8p-17, -0x1.0572f5dfc2838p-16, -0x1.2317bcf8fb81dp-16, -0x1.4016f4d0da8bdp-16, -0x1.5c725a5d0dd59p-16, -0x1.782b9e08ede47p-16, -0x1.93446487502bbp-16, -0x1.adbe479b26d2p-16, -0x1.c79ad6d74a937p-16, -0x1.e0db9855a1e95p-16, -0x1.f9820965f573cp-16, -0x1.08c7cf9a55a57p-15, -0x1.1482e3b4d95b2p-15, -0x1.1ff2f45feacefp-15, -0x1.2b18b1ca5c3e5p-15, -0x1.35f4c938df6e6p-15, -0x1.4087e5470703dp-15, -0x1.4ad2ae24f817cp-15, -0x1.54d5c9d1e31a9p-15, -0x1.5e91dc53646fep-15, -0x1.680787e9e3d46p-15, -0x1.71376d420dedcp-15, -0x1.7a222ba38591p-15, -0x1.82c8611cde65dp-15, -0x1.8b2aaaad00401p-15, -0x1.9349a46a06a31p-15, -0x1.9b25e9a5b54bdp-15, -0x1.a2c0150f9a419p-15, -0x1.aa18c0d4ed469p-15, -0x1.b13086be4ba61p-15, -0x1.b808004b5be66p-15, -0x1.be9fc6cc734fep-15, -0x1.c4f8737a50617p-15, -0x1.cb129f8bfc366p-15, -0x1.d0eee44ae5f55p-15, -0x1.d68ddb254bbdbp-15, -0x1.dbf01dbf01497p-15, -0x1.e1164600a647bp-15, -0x1.e600ee255e72bp-15, -0x1.eab0b0c7196f5p-15, -0x1.ef2628e97b64ep-15, -0x1.f361f2037626dp-15, -0x1.f764a807a26f5p-15, -0x1.fb2ee76b64b18p-15, -0x1.fec14d2cefe3ep-15, -0x1.010e3b6c182c6p-14, -0x1.02a08145573fdp-14, -0x1.0417c77b3a5d3p-14, -0x1.05745db202151p-14, }}, 
      {{0x1.edf557763a072p-7, 0x1.ec9639a37fe49p-6, 0x1.6fc41e51ebea9p-5, 0x1.e7544cf98e027p-5, 0x1.2e3e338fcde4dp-4, 0x1.6769b18f4931ep-4, 0x1.9f032ede9c136p-4, 0x1.d4ebc81550d45p-4, 0x1.04872b475ca58p-3, 0x1.1daf3a2f67d26p-3, 0x1.35ebb6a541de6p-3, 0x1.4d3d967a45daep-3, 0x1.63a89a8871f34p-3, 0x1.7932d14968fb3p-3, 0x1.8de42302c6b4ap-3, 0x1.a1c5e8a4377f3p-3, 0x1.b4e28dc34fcf3p-3, 0x1.c7453da6dbc24p-3, 0x1.d8f99b00dd1bep-3, 0x1.ea0b81c0c0b15p-3, 0x1.fa86d2468f761p-3, 0x1.053ba297139b3p-2, 0x1.0cf4237171d25p-2, 0x1.14726d168055ep-2, 0x1.1bbbc0782301bp-2, 0x1.22d5152ebded5p-2, 0x1.29c312f23096ap-2, 0x1.308a0d20a8e6p-2, 0x1.372e000800168p-2, 0x1.3db28fad60f1ep-2, 0x1.441b07d5fcbf3p-2, 0x1.4a6a5d1a27d16p-2, 0x1.50a32ed29814fp-2, 0x1.56c7c9b5470bdp-2, 0x1.5cda2afcf24d4p-2, 0x1.62dc03fb1409ap-2, 0x1.68cebdf8a731ep-2, 0x1.6eb37e4e18635p-2, 0x1.748b2a9e3ee1ap-2, 0x1.7a566d2380f12p-2, 0x1.8015b900fc73dp-2, 0x1.85c94e8c051e4p-2, 0x1.8b713f8475112p-2, 0x1.910d7334175bep-2, 0x1.969daa6f11581p-2, 0x1.9c21837094eafp-2, 0x1.a1987d90424a4p-2, 0x1.a701fccdaa64dp-2, 0x1.ac5d4d30296aep-2, 0x1.b1a9a5fa14a89p-2, 0x1.b6e62caebad51p-2, 0x1.bc11f7eb39eb3p-2, 0x1.c12c12128ed18p-2, 0x1.c6337bcd9242bp-2, 0x1.cb272e5fda92ep-2, 0x1.d0061dd2a5779p-2, 0x1.d4cf3af71eac3p-2, 0x1.d98175416821ap-2, 0x1.de1bbc7de5de6p-2, 0x1.e29d02625f1a2p-2, 0x1.e7043bfc83ed1p-2, 0x1.eb5062ff73aa9p-2, 0x1.ef8076f1e0e27p-2, 0x1.f3937e3e602cep-2, 0x1.f78887277a54fp-2, 0x1.fb5ea8a102b7p-2, 0x1.ff150310369aep-2, 0x1.0155607a0a9c6p-1, 0x1.030f8bbbad66fp-1, 0x1.04b8a376bf4cap-1, 0x1.06504d9dffe6dp-1, 0x1.07d63618a490dp-1, 0x1.094a0ee530152p-1, 0x1.0aab903447c44p-1, 0x1.0bfa787c10b7p-1, 0x1.0d368c84a463cp-1, 0x1.0e5f976e18c5dp-1, 0x1.0f756ab09cbbbp-1, 0x1.1077de171f934p-1, 0x1.1166cfb4f09e3p-1, 0x1.124223d6c87fp-1, 0x1.1309c4ef9d296p-1, 0x1.13bda381a318ep-1, 0x1.145db603d8c3dp-1, 0x1.14e9f8c470f31p-1, 0x1.15626dc86ee73p-1, 0x1.15c71ca8c2ca5p-1, 0x1.1618126d2db06p-1, 0x1.165561653382ep-1, 0x1.167f20ff5b0e8p-1, 0x1.16956d9ef83b4p-1, 0x1.16986870bb263p-1, 0x1.1688373e38aa8p-1, 0x1.166504409d9cap-1, 0x1.162efdf2bdf99p-1, 0x1.15e656e2a72dfp-1, 0x1.158b4582e44d4p-1, 0x1.151e03fb92906p-1, 0x1.149ecffb6f73bp-1, 0x1.140dea88fcd31p-1, 0x1.136b97d3d95b9p-1, 0x1.12b81f066a5a9p-1, 0x1.11f3ca17edc8ap-1, 0x1.111ee59f0da21p-1, 0x1.1039c0a507e64p-1, 0x1.0f44ac797e28ap-1, 0x1.0e3ffc86ff9b5p-1, 0x1.0d2c06285b6e4p-1, 0x1.0c09207ec9261p-1, 0x1.0ad7a448f4536p-1, 0x1.0997ebbaf671fp-1, 0x1.084a525745f85p-1, 0x1.06ef34c8a6b12p-1, 0x1.0586f0bd1f1a2p-1, 0x1.0411e4c1fa0b8p-1, 0x1.02907020d89bep-1, 0x1.0102f2bdd9c18p-1, 0x1.fed399edae7dep-2, 0x1.fb8abf077e3bbp-2, 0x1.f82c16b0086f6p-2, 0x1.f4b8630a58cc2p-2, 0x1.f130663cf21b3p-2, 0x1.ed94e23b51639p-2, 0x1.e9e69891a4054p-2, 0x1.e6264a32acd21p-2, 0x1.e254b747cd965p-2, 0x1.de729f033895cp-2, 0x1.da80bf7437849p-2, 0x1.d67fd55d8f05p-2, 0x1.d2709c0de98ep-2, 0x1.ce53cd3a494a1p-2, 0x1.ca2a20da734cp-2, 0x1.c5f44d074e61cp-2, 0x1.c1b305db2a163p-2, 0x1.bd66fd53de7d7p-2, 0x1.b910e336c61c8p-2, 0x1.b4b164f6786bap-2, 0x1.b0492d9a44f17p-2, 0x1.abd8e5a75f23cp-2, 0x1.a761330baf2bbp-2, 0x1.a2e2b90a3bafep-2, 0x1.9e5e1829275b2p-2, 0x1.99d3ee2129803p-2, 0x1.9544d5ce824aep-2, 0x1.90b167235b89bp-2, 0x1.8c1a371b84798p-2, 0x1.877fd7b183bc1p-2, 0x1.82e2d7d4f328bp-2, 0x1.7e43c36214c1cp-2, 0x1.79a3231a9cd8p-2, 0x1.75017c9f9cb1ep-2, 0x1.705f526c90587p-2, 0x1.6bbd23d371a3cp-2, 0x1.671b6cf9db838p-2, 0x1.627aa6d71d6a9p-2, 0x1.5ddb473346562p-2, 0x1.593dc0a70fb18p-2, 0x1.54a2829ca886cp-2, 0x1.5009f9514d315p-2, 0x1.4b748dd7aab28p-2, 0x1.46e2a61afdd14p-2, 0x1.4254a4e2e84e7p-2, 0x1.3dcae9d7f20fdp-2, 0x1.3945d188ac94ep-2, 0x1.34c5b56f6fe9p-2, 0x1.304aebf8acae9p-2, 0x1.2bd5c889c36bcp-2, 0x1.27669b886039fp-2, 0x1.22fdb26251998p-2, 0x1.1e9b5795cd39ap-2, 0x1.1a3fd2ba2556ep-2, 0x1.15eb6888dd195p-2, 0x1.119e5ae71d43ep-2, 0x1.0d58e8ef7ce44p-2, 0x1.091b4efc1d931p-2, 0x1.04e5c6b10cc09p-2, 0x1.00b88706ec40fp-2, 0x1.f92788abae32fp-3, 0x1.f0ef60c0fd323p-3, 0x1.e8c8f4bef4eb4p-3, 0x1.e0b49e198d4c3p-3, 0x1.d8b2b15ed285dp-3, 0x1.d0c37e4e78ecdp-3, 0x1.c8e74ff1abc9bp-3, 0x1.c11e6cb318da8p-3, 0x1.b96916771c5fbp-3, 0x1.b1c78ab41f4cfp-3, 0x1.aa3a028b02aaep-3, 0x1.a2c0b2dfae28ap-3, 0x1.9b5bcc71a06f9p-3, 0x1.940b7bf48bc76p-3, 0x1.8ccfea28f39b6p-3, 0x1.85a93bf4be90ep-3, 0x1.7e97927bbeefep-3, 0x1.779b0b382a55ep-3, 0x1.70b3c012f7e68p-3, 0x1.69e1c77c20936p-3, 0x1.63253482c09b8p-3, 0x1.5c7e16ed0ed19p-3, 0x1.55ec7b502e0f5p-3, 0x1.4f706b27cba51p-3, 0x1.4909eced8ba59p-3, 0x1.42b904303f89cp-3, 0x1.3c7db1aae64bcp-3, 0x1.3657f35b6542p-3, 0x1.3047c4990c33dp-3, 0x1.2a4d1e2ad06bap-3, 0x1.2467f65d432d8p-3, 0x1.1e9841183d699p-3, 0x1.18ddeff44893fp-3, 0x1.1338f24fb22b3p-3, 0x1.0da93563563c4p-3, 0x1.082ea45718f9fp-3, 0x1.02c928560da57p-3, 0x1.faf1514497529p-4, 0x1.f07a1550d77c6p-4, 0x1.e62c64256d8ddp-4, 0x1.dc0801b7ed1b6p-4, 0x1.d20caec3e4217p-4, 0x1.c83a28ef28f7dp-4, 0x1.be902aed6c08ep-4, 0x1.b50e6ca31d218p-4, 0x1.abb4a347a0d5p-4, 0x1.a2828186c7e22p-4, 0x1.9977b7a1989b5p-4, 0x1.9093f38e68366p-4, 0x1.87d6e11833794p-4, 0x1.7f4029fd4dd06p-4, 0x1.76cf760d5617bp-4, 0x1.6e846b467af0dp-4, 0x1.665eadf20a403p-4, 0x1.5e5de0c04f55ap-4, 0x1.5681a4e3bf66bp-4, 0x1.4ec99a2b761d5p-4, 0x1.47355f1d02c12p-4, 0x1.3fc4910d8791ap-4, 0x1.3876cc3a2d6cbp-4, 0x1.314babdfeb3b7p-4, 0x1.2a42ca52a5302p-4, 0x1.235bc113a48a5p-4, 0x1.1c9628e767e07p-4, 0x1.15f199ead1901p-4, 0x1.0f6daba7b2c06p-4, 0x1.0909f528b5f3p-4, 0x1.02c60d0cad309p-4, 0x1.f943133285295p-5, 0x1.ed38019a20a6bp-5, 0x1.e16a10e23f63fp-5, 0x1.d5d86c53a9807p-5, 0x1.ca823f0e8a205p-5, 0x1.bf66b429fe758p-5, 0x1.b484f6d28661ep-5, 0x1.a9dc32675d09p-5, 0x1.9f6b9296c1672p-5, 0x1.953243792cd2fp-5, 0x1.8b2f71ab83056p-5, 0x1.81624a683c017p-5, 0x1.77c9fb9f915cdp-5, 0x1.6e65b40eae349p-5, 0x1.6534a355eba7bp-5, 0x1.5c35fa0e1db6cp-5, 0x1.5368e9dcf1f16p-5, 0x1.4acca5886b8c5p-5, 0x1.426061097c2e1p-5, 0x1.3a23519dbfc56p-5, 0x1.3214add86437p-5, 0x1.2a33adb23a6b4p-5, 0x1.227f8a98fdc06p-5, 0x1.1af77f7dd1877p-5, 0x1.139ac8e2f9d33p-5, 0x1.0c68a4e8d7b04p-5, 0x1.0560535a29d4fp-5, 0x1.fd022b6f303bdp-6, 0x1.ef945e851fa66p-6, 0x1.e275ca0ee6574p-6, 0x1.d5a4fbce41f83p-6, 0x1.c920853fb7376p-6, 0x1.bce6fbab1eaefp-6, 0x1.b0f6f8330551cp-6, 0x1.a54f17e2dabebp-6, 0x1.99edfbbc0294ep-6, 0x1.8ed248c1cc4edp-6, 0x1.83faa80459612p-6, 0x1.7965c6aa7cdfdp-6, 0x1.6f1255fa982e7p-6, 0x1.64ff0b6282ce3p-6, 0x1.5b2aa07e82371p-6, 0x1.5193d31f56a87p-6, 0x1.4839654f6b053p-6, 0x1.3f1a1d5729d64p-6, 0x1.3634c5c0841fap-6, 0x1.2d882d59a9529p-6, 0x1.2513273701412p-6, 0x1.1cd48ab468131p-6, 0x1.14cb3375b5612p-6, 0x1.0cf6016696359p-6, 0x1.0553d8b9c1ae6p-6, 0x1.fbc743cf0c4abp-7, 0x1.ed4893578ac58p-7, 0x1.df298206a65ecp-7, 0x1.d167fa519c66dp-7, 0x1.c401ef21d5607p-7, 0x1.b6f55bcc7a4fcp-7, 0x1.aa40440913bf2p-7, 0x1.9de0b3e732799p-7, 0x1.91d4bfc340f09p-7, 0x1.861a843a7374fp-7, 0x1.7ab0261de823cp-7, 0x1.6f93d2650e76bp-7, 0x1.64c3be1f49cb4p-7, 0x1.5a3e2664e3fe7p-7, 0x1.500150475f976p-7, 0x1.460b88c129816p-7, 0x1.3c5b24a4ab98fp-7, 0x1.32ee808ae1f7ep-7, 0x1.29c400c161433p-7, 0x1.20da1137e3a93p-7, 0x1.182f256d61e7p-7, 0x1.0fc1b85cbf184p-7, 0x1.07904c690f79ep-7, 0x1.ff32d69301c3ap-8, 0x1.efb74be9d7a0cp-8, 0x1.e0ab291a2b642p-8, 0x1.d20bac934e8bp-8, 0x1.c3d622c5c248p-8, 0x1.b607e5f82592fp-8, 0x1.a89e5e1bb4522p-8, 0x1.9b9700a0648f9p-8, 0x1.8eef5048a90bbp-8, 0x1.82a4dcfceb30fp-8, 0x1.76b5439ebe195p-8, 0x1.6b1e2ddbdb883p-8, 0x1.5fdd5200f033p-8, 0x1.54f072cc43b9dp-8, 0x1.4a555f4042821p-8, 0x1.4009f275f4b54p-8, 0x1.360c136f66e4fp-8, 0x1.2c59b4ea121e8p-8, 0x1.22f0d531451fp-8, 0x1.19cf7df099119p-8, 0x1.10f3c40679b9bp-8, 0x1.085bc756c3da4p-8, 0x1.0005b29d851afp-8, 0x1.efdf7683c07b3p-9, 0x1.e03042523b08fp-9, 0x1.d0fa5d13d553fp-9, 0x1.c23a6f7fa5b84p-9, 0x1.b3ed363de0476p-9, 0x1.a60f818fbde1cp-9, 0x1.989e34f7eb8bcp-9, 0x1.8b9646e38c211p-9, 0x1.7ef4c053d687ap-9, 0x1.72b6bc885333bp-9, 0x1.66d968a9c9df6p-9, 0x1.5b5a0375da65cp-9, 0x1.5035dceb52c43p-9, 0x1.456a55f740026p-9, 0x1.3af4e022c301fp-9, 0x1.30d2fd41b479p-9, 0x1.27023f220f14dp-9, 0x1.1d80473c34995p-9, 0x1.144ac664061c3p-9, 0x1.0b5f7c7adbbd5p-9, 0x1.02bc38225abcap-9, 0x1.f4bdace05a9d7p-10, 0x1.e48a854549416p-10, 0x1.d4daebac83575p-10, 0x1.c5aaed7857318p-10, 0x1.b6f6b2a322ea9p-10, 0x1.a8ba7d3008532p-10, 0x1.9af2a89d70befp-10, 0x1.8d9ba9598b792p-10, 0x1.80b20c38aabacp-10, 0x1.743275ed95a78p-10, 0x1.6819a283c64f4p-10, 0x1.5c6464db95f52p-10, 0x1.510fa628609cap-10, 0x1.4618657096dd1p-10, 0x1.3b7bb70fc279ep-10, 0x1.3136c43a84834p-10, 0x1.2746ca8477999p-10, 0x1.1da91b6814b9bp-10, 0x1.145b1bd07c2d2p-10, 0x1.0b5a43a535c07p-10, 0x1.02a41d57dc34ep-10, 0x1.f46c8ae765601p-11, 0x1.e41cd45e506d3p-11, 0x1.d45495fe81f5ap-11, 0x1.c50f7059cac2dp-11, 0x1.b64924d8272c3p-11, 0x1.a7fd94e9e14aep-11, 0x1.9a28c13d6baffp-11, 0x1.8cc6c8f8efa9ep-11, 0x1.7fd3e8f784493p-11, 0x1.734c7b0a0afe2p-11, 0x1.672cf53ba7397p-11, 0x1.5b71e919ca153p-11, 0x1.501802ffc9b13p-11, 0x1.451c0965fc612p-11, 0x1.3a7adc344bbcdp-11, 0x1.303174183bf94p-11, 0x1.263ce1de58ac6p-11, 0x1.1c9a4dcf02b59p-11, 0x1.1346f70e8f873p-11, 0x1.0a403300b756ap-11, 0x1.01836caf42703p-11, 0x1.f21c4867dab42p-12, 0x1.e1bbdc4af5fa7p-12, 0x1.d1e0e60fd23f9p-12, 0x1.c286dd7f7935bp-12, 0x1.b3a96010b6c6dp-12, 0x1.a5442fdad3a27p-12, 0x1.9753328e411bdp-12, 0x1.89d270731d946p-12, 0x1.7cbe136d8221fp-12, 0x1.701266077fc4fp-12, 0x1.63cbd280b36ap-12, 0x1.57e6e1e3648dfp-12, 0x1.4c603b1f0e169p-12, 0x1.4134a2284284ap-12, 0x1.3660f71dd2b8cp-12, 0x1.2be2357325489p-12, 0x1.21b5731fa0aa6p-12, 0x1.17d7dfd31ddb7p-12, 0x1.0e46c42f422dep-12, 0x1.04ff8105b5e18p-12, 0x1.f7ff1d362f1e2p-13, 0x1.e688f7dd4077cp-13, 0x1.d597dc0cb93b6p-13, 0x1.c5273e7fd4e31p-13, 0x1.b532bd4b40739p-13, 0x1.a5b61e90210dep-13, 0x1.96ad4f37a0f29p-13, 0x1.881461b6d6d3fp-13, 0x1.79e78cdaeb8bdp-13, 0x1.6c232a9d41da9p-13, 0x1.5ec3b6ff90e06p-13, 0x1.51c5ceefaf8fep-13, 0x1.45262f3300e34p-13, 0x1.38e1b35949e2cp-13, 0x1.2cf554b6d4a97p-13, 0x1.215e2965adf7dp-13, 0x1.1619634defd13p-13, 0x1.0b244f34d2e28p-13, 0x1.007c53d27db0bp-13, 0x1.ec3de1dcc3a34p-14, 0x1.d8137d03fd4e9p-14, 0x1.c474d7c3e7fe1p-14, 0x1.b15d7dda5d148p-14, 0x1.9ec926843c4f9p-14, 0x1.8cb3b2f39750ep-14, 0x1.7b192cd14e79dp-14, 0x1.69f5c4c9f185ap-14, 0x1.5945d1259414dp-14, 0x1.4905cc6a5b12ep-14, 0x1.39325409835f8p-14, 0x1.29c82716a10f1p-14, 0x1.1ac42508dc5a5p-14, 0x1.0c234c85edbbp-14, 0x1.fbc5746d3c3c7p-15, 0x1.dfff4f492258p-15, 0x1.c4eed4423ee6ep-15, 0x1.aa8ee36a0d50dp-15, 0x1.90da90317487cp-15, 0x1.77cd1f6a3900ap-15, 0x1.5f620558d23a6p-15, 0x1.4794e3d63d7fap-15, 0x1.30618881633f1p-15, 0x1.19c3eaffa8a72p-15, 0x1.03b82b4c4cf7p-15, 0x1.dc75202c53596p-16, 0x1.b28f0a56f58aap-16, 0x1.89b733e69f2adp-16, 0x1.61e6ffe8880fp-16, 0x1.3b1812d05113fp-16, 0x1.15444fb883b0dp-16, 0x1.e0cbab771ba88p-17, 0x1.98edfac917547p-17, 0x1.52e4ac6e7d368p-17, 0x1.0ea5489d07b71p-17, 0x1.984b7842c35e1p-18, 0x1.16b8a7e4d45dep-18, 0x1.30fee3b721d06p-19, 0x1.d8dd7794ce71ap-22, -0x1.68b5f904a70f7p-20, -0x1.9d868c82ca8e5p-19, -0x1.40439eb6ad9ep-18, -0x1.aebe141e04ecdp-18, -0x1.0d20d4047902ep-17, -0x1.416e6bd09370dp-17, -0x1.744ed0f5845c3p-17, -0x1.a5c8c6e488eabp-17, -0x1.d5e2d7e0ff9bbp-17, -0x1.0251abe2ec0edp-16, -0x1.190833571efe6p-16, -0x1.2f17f9c13982bp-16, -0x1.4483df34db6d9p-16, -0x1.594ead9102c35p-16, -0x1.6d7b199f4f8ccp-16, -0x1.810bc4270c094p-16, -0x1.94033af45edbp-16, -0x1.a663f9d40d809p-16, -0x1.b8306b842fa98p-16, -0x1.c96aea9a31133p-16, -0x1.da15c25e7e2a1p-16, -0x1.ea332f9e33575p-16, -0x1.f9c561732b37fp-16, -0x1.04673d015c0efp-15, -0x1.0ba84799b3fcfp-15, -0x1.12a6d5ad0d015p-15, -0x1.1963e6ef58864p-15, -0x1.1fe075ec601dep-15, -0x1.261d785233569p-15, -0x1.2c1bdf37da6fap-15, -0x1.31dc97606ac16p-15, -0x1.3760897aa13b3p-15, -0x1.3ca89a5d2700ap-15, -0x1.41b5ab3f9a70dp-15, -0x1.468899f081595p-15, -0x1.4b224108406e2p-15, -0x1.4f8378193535ap-15, -0x1.53ad13dd11651p-15, -0x1.579fe65f90e58p-15, -0x1.5b5cbf26a6f7bp-15, -0x1.5ee46b583d7cbp-15, -0x1.6237b5dd9d162p-15, -0x1.655767849a937p-15, -0x1.6844471ea0044p-15, -0x1.6aff199da53f4p-15, -0x1.6d88a22f36226p-15, -0x1.6fe1a255943c1p-15, -0x1.720ad9ff0e2bbp-15, -0x1.7405079b9e5fdp-15, -0x1.75d0e830e842p-15, -0x1.776f376ca294bp-15, -0x1.78e0afb586135p-15, -0x1.7a260a3acc37ap-15, -0x1.7b3fff025985ep-15, -0x1.7c2f44f596fabp-15, -0x1.7cf491ed17c9ap-15, -0x1.7d909abb101a9p-15, -0x1.7e041334b48e6p-15, -0x1.7e4fae3a8ad3fp-15, -0x1.7e741dbfbdaccp-15, -0x1.7e7212d07f8dcp-15, -0x1.7e4a3d978876dp-15, -0x1.7dfd4d62bf395p-15, -0x1.7d8bf0a71560bp-15, -0x1.7cf6d503a650cp-15, -0x1.7c3ea74420cecp-15, -0x1.7b64136288a47p-15, -0x1.7a67c48859612p-15, -0x1.794a650f14a9ep-15, -0x1.780c9e8045d3cp-15, -0x1.76af1995053b3p-15, -0x1.75327e350062dp-15, -0x1.7397737515446p-15, -0x1.71de9f9583b4ap-15, -0x1.7008a7ffc061cp-15, -0x1.6e163143ef30fp-15, -0x1.6c07df160b198p-15, -0x1.69de544ac81bdp-15, -0x1.679a32d42c6fcp-15, -0x1.653c1bbdf123bp-15, -0x1.62c4af29a9cd9p-15, -0x1.60348c4abb3ccp-15, -0x1.5d8c5162274bep-15, -0x1.5acc9bba3225cp-15, -0x1.57f607a1e4f3cp-15, -0x1.5509306877b02p-15, -0x1.5206b0589ff2dp-15, -0x1.4eef20b3cbed4p-15, -0x1.4bc319ad51defp-15, -0x1.4883326590683p-15, -0x1.453000e509188p-15, -0x1.41ca1a177596ap-15, -0x1.3e5211c6dddc2p-15, -0x1.3ac87a96aecep-15, -0x1.372de5fed865ap-15, -0x1.3382e446f141dp-15, -0x1.2fc8048168a09p-15, -0x1.2bfdd486c0ff2p-15, -0x1.2824e0f0e0b38p-15, -0x1.243db5166db2p-15, -0x1.2048db0641d23p-15, -0x1.1c46db82f341p-15, -0x1.18383dfe7572dp-15, -0x1.141d8895d1dd2p-15, -0x1.0ff7400cfd265p-15, -0x1.0bc5e7cac6feep-15, -0x1.078a01d4ea0b9p-15, -0x1.03440ecc36d51p-15, -0x1.fde91bd1c57d4p-16, -0x1.f537f9ede9c99p-16, -0x1.ec75b0a5aa6b5p-16, -0x1.e3a335cbff21fp-16, -0x1.dac17c47b0d38p-16, -0x1.d1d1740d4d07ep-16, -0x1.c8d40a1961735p-16, -0x1.bfca286b0270ep-16, }}, 
      {{-0x1.db081cf4d117ep-1, -0x1.daf987aa3f889p-1, -0x1.dadcf23069b6p-1, -0x1.daad8dbfa24fbp-1, -0x1.da6652f0f2fdbp-1, -0x1.da0288498c057p-1, -0x1.d97e1333a0dfp-1, -0x1.d8d5a34e29c7cp-1, -0x1.d806c3b9e1a5ap-1, -0x1.d70fdadfcc24ep-1, -0x1.d5f01ed5cb1ccp-1, -0x1.d4a782cacfc13p-1, -0x1.d336a09daf512p-1, -0x1.d19ea0d1856edp-1, -0x1.cfe122628697fp-1, -0x1.ce00237d7b5e3p-1, -0x1.cbfdebbe97c7ap-1, -0x1.c9dcf858df414p-1, -0x1.c79fea57028ccp-1, -0x1.c5497704a20dap-1, -0x1.c2dc5a776639cp-1, -0x1.c05b4c1fb98dap-1, -0x1.bdc8f53ee67dap-1, -0x1.bb27e91aa155bp-1, -0x1.b87a9ec32e897p-1, -0x1.b5c36c40c3f34p-1, -0x1.b30482fd977cap-1, -0x1.b03fed43fe6cap-1, -0x1.ad778caa86037p-1, -0x1.aaad194adfa42p-1, -0x1.a7e221a39e8d6p-1, -0x1.a5180b07e7c4fp-1, -0x1.a250128358d18p-1, -0x1.9f8b4e1b5fde9p-1, -0x1.9ccaae5a0ec32p-1, -0x1.9a0f0011106dbp-1, -0x1.9758ee45c2c16p-1, -0x1.94a90439ac86cp-1, -0x1.91ffaf846aa1fp-1, -0x1.8f5d4235fc046p-1, -0x1.8cc1f4f9ccb59p-1, -0x1.8a2de93447a55p-1, -0x1.87a12b15d8597p-1, -0x1.851bb39f56e3bp-1, -0x1.829d6a94ae0f3p-1, -0x1.8026285b59c52p-1, -0x1.7db5b7c2f20e6p-1, -0x1.7b4bd7b690986p-1, -0x1.78e83cd647f82p-1, -0x1.768a92f8489c1p-1, -0x1.74327e91a55bp-1, -0x1.71df9e06e1679p-1, -0x1.6f918ae4ab7e2p-1, -0x1.6d47db0157385p-1, -0x1.6b022187c0b37p-1, -0x1.68bfefec6075ap-1, -0x1.6680d6cd6efbp-1, -0x1.644466befadd8p-1, -0x1.620a3103e45b4p-1, -0x1.5fd1c834b13abp-1, -0x1.5d9ac0d531c11p-1, -0x1.5b64b1d9ea9bcp-1, -0x1.592f351e3761fp-1, -0x1.56f9e7cc147f9p-1, -0x1.54c46ab676ff2p-1, -0x1.528e62a7171c8p-1, -0x1.505778a085936p-1, -0x1.4e1f5a155e538p-1, -0x1.4be5b91562b16p-1, -0x1.49aa4c713d088p-1, -0x1.476ccfd5a41b6p-1, -0x1.452d03de91a17p-1, -0x1.42eaae232e4d6p-1, -0x1.40a5993b16e6dp-1, -0x1.3e5d94bd8b625p-1, -0x1.3c12753b1a6b6p-1, -0x1.39c414324c003p-1, -0x1.37724fffca01ap-1, -0x1.351d0bca7f381p-1, -0x1.32c42f6c17e62p-1, -0x1.3067a7565132dp-1, -0x1.2e07647574a86p-1, -0x1.2ba35c105e576p-1, -0x1.293b87a6612d1p-1, -0x1.26cfe4cb59896p-1, -0x1.2460750235c42p-1, -0x1.21ed3d963c51ap-1, -0x1.1f7647734ce14p-1, -0x1.1cfb9efd56f48p-1, -0x1.1a7d53e73c77p-1, -0x1.17fb7909520b6p-1, -0x1.15762437a9e7bp-1, -0x1.12ed6e1855059p-1, -0x1.106171f9bd9bbp-1, -0x1.0dd24da940b46p-1, -0x1.0b40214a23065p-1, -0x1.08ab0f2d027cbp-1, -0x1.06133ba7d5cdcp-1, -0x1.0378ccee9b54bp-1, -0x1.00dbeaecc0dbap-1, -0x1.fc797e3ebf335p-2, -0x1.f736e8e0a8321p-2, -0x1.f1f06e248e3eep-2, -0x1.eca668bb59527p-2, -0x1.e759355d8e834p-2, -0x1.e20932896e644p-2, -0x1.dcb6c04335306p-2, -0x1.d7623fd78c97p-2, -0x1.d20c13a0323e6p-2, -0x1.ccb49ecadd188p-2, -0x1.c75c4522611b8p-2, -0x1.c2036ada1631ep-2, -0x1.bcaa745b7ee02p-2, -0x1.b751c6162f0e8p-2, -0x1.b1f9c451ee21bp-2, -0x1.aca2d3030e39p-2, -0x1.a74d55a0f42d9p-2, -0x1.a1f9aefec7855p-2, -0x1.9ca8412643516p-2, -0x1.97596d349ba69p-2, -0x1.920d933971183p-2, -0x1.8cc51217c4209p-2, -0x1.87804768decc6p-2, -0x1.823f8f612a18ep-2, -0x1.7d0344b6dc8d4p-2, -0x1.77cbc08a7d385p-2, -0x1.72995a51290a3p-2, -0x1.6d6c67c08a44cp-2, -0x1.68453cbc7fceap-2, -0x1.63242b4657d42p-2, -0x1.5e09836d9b10fp-2, -0x1.58f5934256bbap-2, -0x1.53e8a6c8d5ad7p-2, -0x1.4ee307eec1bd9p-2, -0x1.49e4fe81935c7p-2, -0x1.44eed02652135p-2, -0x1.4000c052878f2p-2, -0x1.3b1b104666174p-2, -0x1.363dff080b927p-2, -0x1.3169c95fdaf12p-2, -0x1.2c9ea9d5da65ap-2, -0x1.27dcd8b00a197p-2, -0x1.23248bf1ae191p-2, -0x1.1e75f75b75e93p-2, -0x1.19d14c6c7b9cdp-2, -0x1.1536ba640f6dcp-2, -0x1.10a66e4441542p-2, -0x1.0c2092d51fd0bp-2, -0x1.07a550a8a4001p-2, -0x1.0334ce1f3b20bp-2, -0x1.fd9e5ed9cc247p-3, -0x1.f4e92d3dd30e1p-3, -0x1.ec4a4743fb816p-3, -0x1.e3c1e891f4a5fp-3, -0x1.db5048a7e79f2p-3, -0x1.d2f59aef86e01p-3, -0x1.cab20ecbda9cfp-3, -0x1.c285cfa9c6d6p-3, -0x1.ba71051131785p-3, -0x1.b273d2b6bb648p-3, -0x1.aa8e588e08d53p-3, -0x1.a2c0b2dc789a9p-3, -0x1.9b0afa4c52f5fp-3, -0x1.936d4400514d1p-3, -0x1.8be7a1a77f954p-3, -0x1.847a219164feap-3, -0x1.7d24cec26db5fp-3, -0x1.75e7b10887abdp-3, -0x1.6ec2cd0fe7d13p-3, -0x1.67b62477f8ac3p-3, -0x1.60c1b5e858c1cp-3, -0x1.59e57d25ee1b5p-3, -0x1.53217328037a3p-3, -0x1.4c758e2d5d9fbp-3, -0x1.45e1c1d1579f2p-3, -0x1.3f65ff20e4cbep-3, -0x1.390234af8738fp-3, -0x1.32b64eac284f6p-3, -0x1.2c8236f5d53ffp-3, -0x1.2665d530505a1p-3, -0x1.20610ed8839a3p-3, -0x1.1a73c758b7679p-3, -0x1.149de01ca1bcfp-3, -0x1.0edf38a537be7p-3, -0x1.0937ae9c44614p-3, -0x1.03a71de7c96a1p-3, -0x1.fc5ac17a1f002p-4, -0x1.f1949f6706758p-4, -0x1.e6fb83ae79bb8p-4, -0x1.dc8f19768c37bp-4, -0x1.d24f09171f9dcp-4, -0x1.c83af83d3d5abp-4, -0x1.be528a0dc55c1p-4, -0x1.b4955f47793afp-4, -0x1.ab03166473a0cp-4, -0x1.a19b4bbad8e24p-4, -0x1.985d999cf9a11p-4, -0x1.8f499878b6618p-4, -0x1.865edef63c864p-4, -0x1.7d9d021610ea2p-4, -0x1.7503954e6bc93p-4, -0x1.6c922aa7e1bf9p-4, -0x1.644852d95c28ep-4, -0x1.5c259d635e95ap-4, -0x1.542998aa9b198p-4, -0x1.4c53d211d4be4p-4, -0x1.44a3d61310a24p-4, -0x1.3d193058161cfp-4, -0x1.35b36bd23f7e3p-4, -0x1.2e7212d19cd14p-4, -0x1.2754af1b673adp-4, -0x1.205ac9ffc958p-4, -0x1.1983ec6efccb4p-4, -0x1.12cf9f0dbdabdp-4, -0x1.0c3d6a49175bcp-4, -0x1.05ccd6698af22p-4, -0x1.fefad74b24c75p-5, -0x1.f29d646702f09p-5, -0x1.e68064b58ebbfp-5, -0x1.daa2e90926f95p-5, -0x1.cf040297ba07bp-5, -0x1.c3a2c319a9df4p-5, -0x1.b87e3ce77c98bp-5, -0x1.ad9583166a54dp-5, -0x1.a2e7a993c71c9p-5, -0x1.9873c53f4b89bp-5, -0x1.8e38ec044c0dcp-5, -0x1.843634f1d557p-5, -0x1.7a6ab851c1879p-5, -0x1.70d58fbec1abbp-5, -0x1.6775d6396386dp-5, -0x1.5e4aa83c1d37fp-5, -0x1.555323ce5e001p-5, -0x1.4c8e6896ad517p-5, -0x1.43fb97ebddc86p-5, -0x1.3b99d4e55847p-5, -0x1.3368446a83c5fp-5, -0x1.2b660d41535afp-5, -0x1.2392581bfb289p-5, -0x1.1bec4fa5d44fep-5, -0x1.1473208f74cf4p-5, -0x1.0d25f99a02001p-5, -0x1.06040ba1bf738p-5, -0x1.fe19134fc8c7p-6, -0x1.f07d51b770247p-6, -0x1.e3334145fb123p-6, -0x1.d639554368b1ap-6, -0x1.c98e05825f85dp-6, -0x1.bd2fce6d1db51p-6, -0x1.b11d311125986p-6, -0x1.a554b329c426dp-6, -0x1.99d4df296a335p-6, -0x1.8e9c4441ec30ap-6, -0x1.83a9766ba7c7bp-6, -0x1.78fb0e6ba895ap-6, -0x1.6e8fa9d8c4533p-6, -0x1.6465eb1fc1662p-6, -0x1.5a7c79868cc9cp-6, -0x1.50d2012e8cac1p-6, -0x1.476533160fc18p-6, -0x1.3e34c518ea307p-6, -0x1.353f71f0444f9p-6, -0x1.2c83f931a3a74p-6, -0x1.24011f4d353fdp-6, -0x1.1bb5ad8b63171p-6, -0x1.13a07209bbc64p-6, -0x1.0bc03fb730912p-6, -0x1.0413ee4fb6892p-6, -0x1.f934b4ae9b295p-7, -0x1.eaa4ca28ea321p-7, -0x1.dc75e9142d6f2p-7, -0x1.cea5e6e1dae81p-7, -0x1.c132a260d1207p-7, -0x1.b41a03ae41413p-7, -0x1.a759fc25a4609p-7, -0x1.9af0864fe1e7ap-7, -0x1.8edba5d1a87d4p-7, -0x1.831967590081p-7, -0x1.77a7e08a316aap-7, -0x1.6c852febfa0d9p-7, -0x1.61af7cd31a597p-7, -0x1.5724f74d5fd87p-7, -0x1.4ce3d80c094b6p-7, -0x1.42ea604dbaceep-7, -0x1.3936d9c7efd1dp-7, -0x1.2fc7968ff763fp-7, -0x1.269af1038e6c1p-7, -0x1.1daf4bb115f26p-7, -0x1.1503113f6fc39p-7, -0x1.0c94b4558c20cp-7, -0x1.0462af81ac8f5p-7, -0x1.f8d70a40cab77p-8, -0x1.e95b7e86c7b86p-8, -0x1.da4fdf2fff013p-8, -0x1.cbb15e9b3df2p-8, -0x1.bd7d3df7e7b03p-8, -0x1.afb0cd122d5e1p-8, -0x1.a2496a1f0c0e8p-8, -0x1.9544818821a03p-8, -0x1.889f8db75efa3p-8, -0x1.7c5816e2a3c35p-8, -0x1.706bb2d74f679p-8, -0x1.64d804c5cbecap-8, -0x1.599abd0d22e7cp-8, -0x1.4eb199069cde5p-8, -0x1.441a62d17c3cp-8, -0x1.39d2f11ed5d6ap-8, -0x1.2fd926fd8f722p-8, -0x1.262af3a69016bp-8, -0x1.1cc6524921a8ap-8, -0x1.13a949d7921dfp-8, -0x1.0ad1ecd415b84p-8, -0x1.023e591df196ap-8, -0x1.f3d96f7de87c8p-9, -0x1.e3b67972876afp-9, -0x1.d4104dab02601p-9, -0x1.c4e37ee29cce1p-9, -0x1.b62cb49c60c92p-9, -0x1.a7e8aac1b9f94p-9, -0x1.9a143141e1679p-9, -0x1.8cac2bb22688ap-9, -0x1.7fad90ef1df5ap-9, -0x1.73156abeb6f53p-9, -0x1.66e0d5734705dp-9, -0x1.5b0cff8f877aep-9, -0x1.4f97296b8f4cp-9, -0x1.447ca4dad2ab5p-9, -0x1.39bad4d3210e8p-9, -0x1.2f4f2d14b0dffp-9, -0x1.253731d339f7p-9, -0x1.1b7077601a567p-9, -0x1.11f8a1d597359p-9, -0x1.08cd64c32e80dp-9, -0x1.ffd905b607087p-10, -0x1.eea79b40cea04p-10, -0x1.de024a2efacfdp-10, -0x1.cde4eeebff176p-10, -0x1.be4b81aa43795p-10, -0x1.af3215c929989p-10, -0x1.a094d93d5fcfep-10, -0x1.927013fb6bbc8p-10, -0x1.84c0276487437p-10, -0x1.77818db5b3e9bp-10, -0x1.6ab0d97925279p-10, -0x1.5e4ab4f9ddaf5p-10, -0x1.524be1b99e0cap-10, -0x1.46b137e909986p-10, -0x1.3b77a5e219654p-10, -0x1.309c2fa4bc7ddp-10, -0x1.261bee55c4fbcp-10, -0x1.1bf40fc000301p-10, -0x1.1221d5d78e21bp-10, -0x1.08a2963f665d6p-10, -0x1.fee773a22513ap-11, -0x1.ed25784d12f01p-11, -0x1.dbfa564c7be0ap-11, -0x1.cb614d2292826p-11, -0x1.bb55bf276d084p-11, -0x1.abd330add2273p-11, -0x1.9cd5472c2e6fcp-11, -0x1.8e57c869ac734p-11, -0x1.805699af62df4p-11, -0x1.72cdbefd8f531p-11, -0x1.65b95a44d23abp-11, -0x1.5915aaa361ff8p-11, -0x1.4cdf0ba6280cep-11, -0x1.4111f48dbedf4p-11, -0x1.35aaf7974329p-11, -0x1.2aa6c148edb07p-11, -0x1.200217c269847p-11, -0x1.15b9da10d81f5p-11, -0x1.0bcaff867c7b7p-11, -0x1.02329715fb17p-11, -0x1.f1db8d6249895p-12, -0x1.dff39556803fbp-12, -0x1.cea7ea3d8bdebp-12, -0x1.bdf35aacfc71cp-12, -0x1.add0de73f4d66p-12, -0x1.9e3b957aac346p-12, -0x1.8f2ec6a871581p-12, -0x1.80a5ded01066ep-12, -0x1.729c6fa27f777p-12, -0x1.650e2ea7bbf99p-12, -0x1.57f6f43dbf45p-12, -0x1.4b52ba9d6c92dp-12, -0x1.3f1d9ce561dfap-12, -0x1.3353d62a95a38p-12, -0x1.27f1c08e9f258p-12, -0x1.1cf3d45b97685p-12, -0x1.1256a725788fep-12, -0x1.0816eaf0dfd41p-12, -0x1.fc62dabe352bdp-13, -0x1.e9462dbecf3d8p-13, -0x1.d6d1d3caa2216p-13, -0x1.c500044812d52p-13, -0x1.b3cb279d61335p-13, -0x1.a32dd5bad6f6p-13, -0x1.9322d4ae6bdccp-13, -0x1.83a51740ab9d3p-13, -0x1.74afbb9ab5fd8p-13, -0x1.663e09f52059ap-13, -0x1.584b734f990cep-13, -0x1.4ad39031131a4p-13, -0x1.3dd21f70518bbp-13, -0x1.31430504acb31p-13, -0x1.252248dedb42bp-13, -0x1.196c15c99967dp-13, -0x1.0e1cb85202abfp-13, -0x1.03309db777e12p-13, -0x1.f148a5c5c4878p-14, -0x1.dce906ca5690cp-14, -0x1.c93bf0f98a1e4p-14, -0x1.b63b304437b57p-14, -0x1.a3e0c8357e018p-14, -0x1.9226f22653466p-14, -0x1.81081b7df57aep-14, -0x1.707ee3fef4f1cp-14, -0x1.60861c208e452p-14, -0x1.5118c3740e297p-14, -0x1.42320715f1b0bp-14, -0x1.33cd402a82dep-14, -0x1.25e5f265a7abcp-14, -0x1.1877ca9da1f34p-14, -0x1.0b7e9d687b929p-14, -0x1.fdeccb87bfe4ap-15, -0x1.e5b6878e3b7b1p-15, -0x1.ce52f6be2c823p-15, -0x1.b7bae627af946p-15, -0x1.a1e765af52be4p-15, -0x1.8cd1c5be90d26p-15, -0x1.78739506414a5p-15, -0x1.64c69e528292dp-15, -0x1.51c4e66fb082bp-15, -0x1.3f68aa1ff975fp-15, -0x1.2dac5c211f1e1p-15, -0x1.1c8aa341fd6e2p-15, -0x1.0bfe58876a776p-15, -0x1.f8050ac019b6p-16, -0x1.d924c3cd7974dp-16, -0x1.bb52a6662dc29p-16, -0x1.9e85d36fa9fc5p-16, -0x1.82b5bf5d2d369p-16, -0x1.67da2f2170f6cp-16, -0x1.4deb3539c372cp-16, -0x1.34e12ed1d4dep-16, -0x1.1cb4c0ff97142p-16, -0x1.055ed61675p-16, -0x1.ddb1362290881p-17, -0x1.b236fa24cbeccp-17, -0x1.88424df2396d9p-17, -0x1.5fc6fe182dc28p-17, -0x1.38b9496ff84a2p-17, -0x1.130ddcc37dd9ap-17, -0x1.dd739d3038c8dp-18, -0x1.9765363d4cc7dp-18, -0x1.53dc408ed1ddap-18, -0x1.12c533f262e9p-18, -0x1.a81a79a90cabdp-19, -0x1.2f446a6907695p-19, -0x1.75ca776082cc6p-20, -0x1.2b6cbdeb096d8p-21, 0x1.07d2237978409p-22, 0x1.117505515f153p-20, 0x1.d907a3dda93bp-20, 0x1.4c736871b0b87p-19, 0x1.a8a576bb276e7p-19, 0x1.009a99176f38ep-18, 0x1.2b1e6f93436e1p-18, 0x1.53eaed56ce385p-18, 0x1.7b0c51efd5b36p-18, 0x1.a08e72760c91cp-18, 0x1.c47cbde128dep-18, 0x1.e6e2413495b6p-18, 0x1.03e4d5c111b13p-17, 0x1.139ea8e28485p-17, 0x1.22a3994b422a9p-17, 0x1.30f87cdeb083cp-17, 0x1.3ea201ccccc19p-17, 0x1.4ba4b036a8118p-17, 0x1.5804ebc220666p-17, 0x1.63c6f51d667b8p-17, 0x1.6eeeeb72ea69cp-17, 0x1.7980cdce19bc6p-17, 0x1.83807c71a2988p-17, 0x1.8cf1ba1f85be9p-17, 0x1.95d82d53ae6eep-17, 0x1.9e37617159aedp-17, 0x1.a612c7e3e2d16p-17, 0x1.ad6db9335a238p-17, 0x1.b44b760d57972p-17, 0x1.baaf28427f987p-17, 0x1.c09be3b90da45p-17, 0x1.c614a754e935bp-17, 0x1.cb1c5dd584734p-17, 0x1.cfb5deaa0ef6ep-17, 0x1.d3e3eebc27eabp-17, 0x1.d7a941319cb85p-17, 0x1.db0878256548dp-17, 0x1.de04255842b7cp-17, 0x1.e09ecad958621p-17, 0x1.e2dadba7019b7p-17, 0x1.e4babc48334e1p-17, 0x1.e640c35ec8a2bp-17, 0x1.e76f3a32d8f37p-17, 0x1.e8485d37918a6p-17, 0x1.e8ce5c89a8c89p-17, 0x1.e9035c67c581ap-17, 0x1.e8e975a51b64bp-17, 0x1.e882b61661ec3p-17, 0x1.e7d120f97f2d8p-17, 0x1.e6d6af580c018p-17, 0x1.e5955064f25fbp-17, 0x1.e40ee9d55127cp-17, 0x1.e2455834e6347p-17, 0x1.e03a6f362710cp-17, 0x1.ddeff9fe3c321p-17, 0x1.db67bb6d07115p-17, 0x1.d8a36e6173fc5p-17, 0x1.d5a4c5fa1d645p-17, 0x1.d26d6dd29720fp-17, 0x1.ceff0a3d68dc8p-17, 0x1.cb5b387ae456ap-17, 0x1.c7838eed0fb2p-17, 0x1.c3799d48b0c49p-17, 0x1.bf3eecc3a3371p-17, 0x1.bad50040a4ae1p-17, 0x1.b63d5478a9bap-17, 0x1.b1796021e276dp-17, 0x1.ac8a9414875b2p-17, 0x1.a7725b6d8dec3p-17, 0x1.a2321baf6509cp-17, 0x1.9ccb34e0cb8f8p-17, 0x1.973f01a9d6e99p-17, 0x1.918ed76f592a3p-17, 0x1.8bbc066c98388p-17, 0x1.85c7d9cb96f1ap-17, 0x1.7fb397bbe061cp-17, 0x1.7980818804a4ep-17, 0x1.732fd3a9c8df4p-17, 0x1.6cc2c5dd2b733p-17, 0x1.663a8b32451a7p-17, 0x1.5f98521e16bcdp-17, 0x1.58dd448a6529ap-17, 0x1.520a87e495bbdp-17, 0x1.4b213d2bc0143p-17, 0x1.442280fdda89ap-17, 0x1.3d0f6ba4342fbp-17, 0x1.35e9111f2fe91p-17, 0x1.2eb081315b0a9p-17, 0x1.2766c769e5527p-17, 0x1.200ceb2e88539p-17, 0x1.18a3efc4e7d75p-17, 0x1.112cd45b76e2bp-17, 0x1.09a89411e970dp-17, 0x1.021826013eb35p-17, 0x1.f4f8fa86d5404p-18, 0x1.e5ad11f55007dp-18, 0x1.d64e68b0f6ed9p-18, 0x1.c6decd48dc83ap-18, 0x1.b760068511b2dp-18, 0x1.a7d3d37325f3p-18, 0x1.983beb7242ecdp-18, 0x1.8899fe3eea23ap-18, 0x1.78efb3fe65f56p-18, 0x1.693ead49f3fb9p-18, 0x1.59888339b7cc1p-18, 0x1.49cec76f79445p-18, 0x1.3a1304213d12cp-18, 0x1.2a56bc23bd8b3p-18, 0x1.1a9b6af4c98afp-18, 0x1.0ae284c594f31p-18, 0x1.f65aed09feacap-19, 0x1.d6fb4bd3a80bp-19, 0x1.b7a8e2fa20e7ap-19, 0x1.986661485f019p-19, 0x1.7936675705312p-19, 0x1.5a1b87a137abp-19, 0x1.3b18469999c45p-19, 0x1.1c2f1abf83a2p-19, 0x1.fac4d968d41d4p-20, 0x1.bd692ea316facp-20, 0x1.804fcf7bc34c2p-20, 0x1.437d3b08bafcfp-20, 0x1.06f5d554e5bc8p-20, 0x1.957bcf1bdee42p-21, 0x1.1db34065652f9p-21, 0x1.4d344d096371ap-22, 0x1.81c3a6c32fdf5p-24, -0x1.15a855fd926a9p-23, -0x1.748bda7cdf6a7p-22, -0x1.2e53ba9828a6cp-21, -0x1.a18c58d1ec9cbp-21, -0x1.09f46aede1f93p-20, -0x1.42b138f3c5c7ep-20, -0x1.7af94f7f4e24ap-20, -0x1.b2c9804aec048p-20, -0x1.ea1eb5901ea35p-20, -0x1.107af8e7fa8ccp-19, -0x1.2ba627cd6a116p-19, -0x1.468f80abbffb7p-19, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      40, 0x1.3333333333333p+2, 0x1.1e10fe3be02bbp+1, 0x1.13fb35af310a3p+2, -0x1.3630e845dcb0ap-5, 
      {{
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.ae4a67ab40be9p-4, -0x1.4711a68b8afc1p-2, 0x1.6d7b6dfa50b56p-2, -0x1.4a0b81922e233p-3}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.7072fc7bbb1e2p-4, -0x1.23c22697dc0bdp-2, 0x1.54ba910f5a0c3p-2, -0x1.407f31eea7bfp-3}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.396cb5c13a978p-4, -0x1.02e32bcb611c6p-2, 0x1.3cb106ea40aacp-2, -0x1.38610c46b3889p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.08bc69ed0dc95p-4, -0x1.c8c7812d8ef42p-3, 0x1.25435931c0006p-2, -0x1.2fe0cb0932caep-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.bbd45652a05dcp-5, -0x1.9067e1807a37p-3, 0x1.0e78e3910f646p-2, -0x1.277ace265d406p-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.71028eb1d437ap-5, -0x1.5c87062cb68e8p-3, 0x1.f09f5b692a65ep-3, -0x1.1f0ddb6e612b9p-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.3020902f217cep-5, -0x1.2d04a1e11ab96p-3, 0x1.c5907a7f0238ap-3, -0x1.16a27bb0569dp-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.f0a3cae718807p-6, -0x1.01c05cf516086p-3, 0x1.9bc4e7f15ba14p-3, -0x1.0e37c5dfab6ddp-3}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.91812133648c3p-6, -0x1.b533c81822b54p-4, 0x1.733c8a4301ea1p-3, -0x1.05c8d55f95bacp-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.413a165b96125p-6, -0x1.6ee1b9e1ed886p-4, 0x1.4bf803db11dbp-3, -0x1.fad44b5f84cd7p-4}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.fc7918b69eddap-7, -0x1.304a090963eb2p-4, 0x1.25f4e49a4e4bep-3, -0x1.e99d5adcad081p-4}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.8e06a822ccccbp-7, -0x1.f25708a29bc07p-5, 0x1.013c4a968e1e2p-3, -0x1.da2c2d460cf3bp-4}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.342c5a7fc8504p-7, -0x1.928ef0995b6b9p-5, 0x1.bb585b2f67185p-4, -0x1.bee5e9ffe908bp-4}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.d829c604a160bp-8, -0x1.4097c1df3c371p-5, 0x1.784f7815d0effp-4, -0x1.97ca9016d5756p-4}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.6629b341aad2dp-8, -0x1.f6e529f3de761p-6, 0x1.3b2448df30eb7p-4, -0x1.7274fbf453fa7p-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.0d72d848f2cf4p-8, -0x1.83f3c271484b4p-6, 0x1.0392bcadbdec8p-4, -0x1.4ca5cc38948b1p-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.9326d04d649c6p-9, -0x1.261a32db9023ap-6, 0x1.a35a227db5aebp-5, -0x1.26f7451b3c5dcp-4}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.2d1adac22ad08p-9, -0x1.b6296b6ce0593p-7, 0x1.4adcc0f589f95p-5, -0x1.013fb71d836ffp-4}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.c35b27e0ed4cp-10, -0x1.414076074fc36p-7, 0x1.fb60140c91e1bp-6, -0x1.b7173805d10d5p-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.5564dd98d98f4p-10, -0x1.d1e61fb80633p-8, 0x1.77a5e9a46cc4cp-6, -0x1.6ba578786633ap-5}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.05c91a7c303b1p-10, -0x1.51755df85bb4ap-8, 0x1.0a8ddf19e7b5ap-6, -0x1.2052f88599605p-5}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.979b0085a732ep-11, -0x1.f045c0e1c8c3dp-9, 0x1.681d2916d9ca4p-7, -0x1.a91a07010a81p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.410e1d18e4e68p-11, -0x1.79bba6a062ebep-9, 0x1.d12ab46046e16p-8, -0x1.14eb4653eb6b5p-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.fb688b82201cp-12, -0x1.2d50962186b57p-9, 0x1.2b03f0945339ap-8, -0x1.d0bb295ca7567p-8}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.8de9e2b9704b3p-12, -0x1.f0f721c04311dp-10, 0x1.ca9c87f3410d1p-9, -0x1.39fa05d5935acp-9}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.3360f8cca137fp-12, -0x1.99f3e55e55b5fp-10, 0x1.9b83d3e0048c7p-9, -0x1.70e542f96a5cfp-9}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.d27fd2eda6c7fp-13, -0x1.4d2ee3ad97ad8p-10, 0x1.642e3d0767cb9p-9, -0x1.4362c09033e07p-9}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.5ad3958fa5729p-13, -0x1.0acc3e3364f91p-10, 0x1.33ac39be9335fp-9, -0x1.30c92649ce2aep-9}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.f79c02f2b2205p-14, -0x1.a3ab8cda36874p-11, 0x1.05f474004de2dp-9, -0x1.16f9ab0531dafp-9}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.6394f4febdff2p-14, -0x1.4341e6247cb6p-11, 0x1.b8379b18a66aap-10, -0x1.fe31972d41b25p-10}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.e5bc01435d991p-15, -0x1.e5bbd7e6df3a7p-12, 0x1.6bb02ad1dc902p-10, -0x1.cd66bb9c2f4b8p-10}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.3eb0b9dd94bdbp-15, -0x1.6219bd0ad01a9p-12, 0x1.267a5b7a6f11fp-10, -0x1.9ce31b2ec9d3ep-10}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.8de9e2b97053bp-16, -0x1.f164565f722b3p-13, 0x1.d116fb9a07fc2p-11, -0x1.6c4baae69ff77p-10}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.d27fd2eda6db8p-17, -0x1.4d36b96d1c6a6p-13, 0x1.63cd1521a4cbep-11, -0x1.3bbc3ee5dc005p-10}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.f79c02f2b24d8p-18, -0x1.a3acc5a7b0ad3p-14, 0x1.05149bdcaf98fp-11, -0x1.0b2091a243388p-10}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.e5bc01435df1fp-19, -0x1.e5bb443e2f93p-15, 0x1.69e279f19d43ep-12, -0x1.b55bca453249ap-11}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.8de9e2b970f4p-20, -0x1.f169e170cbc24p-16, 0x1.cd5aadb9b5f63p-13, -0x1.5346edac0d8p-11}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.f79c02f2b4bffp-22, -0x1.a38370ec51dfap-17, 0x1.01c9b8b8e10cbp-13, -0x1.eb3c3be4aee08p-12}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.8de9e2b979001p-24, -0x1.f3cbee53fd26ep-19, 0x1.b9ab67d118c11p-15, -0x1.0ee93ca94eb5fp-12}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.8de9e2ba2p-28, -0x1.a9998449fea38p-22, 0x1.d24e15b14fa03p-17, -0x1.6a8e9be33c8e2p-12}, 
      }}, 
      0x1.5527d8766991ap-8, -0x1.06e952c93722cp-5
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_s_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.a301c001166b4p-7, 0x1.f9b19c4692fdbp-6, 0x1.e9aed86928482p-5, 0x1.91b56d7f0cbfcp-4, 0x1.2734b87d93a4bp-3, 0x1.92181d8f5d7aep-3, 0x1.031ee4f3b6988p-2, 0x1.404ac34878c48p-2, 0x1.7f2b81938c1cep-2, 0x1.be852fff6719ap-2, 0x1.fd454eb8bbbfbp-2, 0x1.1d41065ad64e9p-1, 0x1.3abc3a3acd409p-1, 0x1.56c44b3e7efc1p-1, 0x1.7119a730c1646p-1, 0x1.898b0dc281112p-1, 0x1.9ff3f3fa70023p-1, 0x1.b43b25b5f89c2p-1, 0x1.c650f1a363a1ap-1, 0x1.d62dc08286cedp-1, 0x1.e3d0ee3e2c3f9p-1, 0x1.ef405f809832ep-1, 0x1.f8868177d6d8ep-1, 0x1.ffb1dcde89c05p-1, 0x1.026a6239745f6p+0, 0x1.0401a5a1462a9p+0, 0x1.04a9afc68bc92p+0, 0x1.046f7bca12a74p+0, 0x1.035f790513acp+0, 0x1.0186bdd3a1132p+0, 0x1.fde556e8c0c65p-1, 0x1.f7617effb4a13p-1, 0x1.ef9cc6f5ad25cp-1, 0x1.e6b1aa96fbb5dp-1, 0x1.dcba33618ed8fp-1, 0x1.d1cfd4656f92bp-1, 0x1.c60b44662b098p-1, 0x1.b984609e7223ep-1, 0x1.ac521855c658ep-1, 0x1.9e8a5f950d252p-1, 0x1.904226284c3fbp-1, 0x1.818d4ee7d4394p-1, 0x1.727ea657aa037p-1, 0x1.6327dba8f1765p-1, 0x1.53997f8b67acbp-1, 0x1.43e309715705dp-1, 0x1.3412e0f7b315ap-1, 0x1.2436686eb80e4p-1, 0x1.145a06e393b84p-1, 0x1.0489312446f68p-1, 0x1.e99ce1934cd2fp-2, 0x1.ca66d0bb2b4cep-2, 0x1.ab81ac1f769f4p-2, 0x1.8cfd326aa0331p-2, 0x1.6ef977a474a3ep-2, 0x1.516106e34b54ap-2, 0x1.344ee9ec8e1f9p-2, 0x1.17cd30eca0892p-2, 0x1.f7c940e4ea9e9p-3, 0x1.c1397ba765d42p-3, 0x1.8bf7d47ad53aep-3, 0x1.580f09921efd8p-3, 0x1.25881406d15eap-3, 0x1.e8d4aa6c396d1p-4, 0x1.8977614b5f434p-4, 0x1.2d0132c2dcbb3p-4, 0x1.a6f0738b25ae8p-5, 0x1.f37f9a57de9bcp-6, 0x1.49c97bb2a1674p-7, -0x1.3be990f5b348dp-7, -0x1.d51a011bb755fp-6, -0x1.804f78152db3cp-5, -0x1.08277242af36ap-4, -0x1.4d4d92e104c9fp-4, -0x1.8fa3503433f01p-4, -0x1.cf33027861afep-4, -0x1.06040636f294ep-3, -0x1.23175f8084ce6p-3, -0x1.3eda1dc162414p-3, -0x1.59532a89b86cep-3, -0x1.7289b94372ae2p-3, -0x1.8a85391ad8c19p-3, -0x1.a14d487870af6p-3, -0x1.b6e9aa609102p-3, -0x1.cb623db72f356p-3, -0x1.debef61cca966p-3, -0x1.f107d5f029332p-3, -0x1.0122747eb3e6fp-2, -0x1.093f1fbdd5d61p-2, -0x1.10ddf48f4b83cp-2, -0x1.1802f8106cf0ap-2, -0x1.1eb22a20acdbcp-2, -0x1.24ef82dad8c8p-2, -0x1.2abef00c4ef51p-2, -0x1.302452b09a3ecp-2, -0x1.35237c7e356f8p-2, -0x1.39c02d99a45f9p-2, -0x1.3dfe128b1e313p-2, -0x1.41e0c29429516p-2, -0x1.456bbe7b9673fp-2, -0x1.48a26fd7af9c3p-2, -0x1.4b8828ccd6074p-2, -0x1.4e2024279353bp-2, -0x1.506d85b16b1a1p-2, -0x1.52735aa15f0d4p-2, -0x1.54349a120cde2p-2, -0x1.55b4257334154p-2, -0x1.56f4c8f60a65dp-2, -0x1.57f93bf7f3e6bp-2, -0x1.58c4216d778d7p-2, -0x1.5954f6c9029ccp-2, -0x1.59b49047e232ep-2, -0x1.59e249faf78cdp-2, -0x1.59e070af280cp-2, -0x1.59b139712898cp-2, -0x1.5956c2f1d96eap-2, -0x1.58d3171dd1e3ep-2, -0x1.58282cbc1b742p-2, -0x1.5757e8ed052e5p-2, -0x1.5664206b745edp-2, -0x1.554e987f411fp-2, -0x1.5419079bdebbap-2, -0x1.52c515b1fec85p-2, -0x1.51545c43744dcp-2, -0x1.4fc8664dcaf0cp-2, -0x1.4e22b021b2529p-2, -0x1.4c64a73bf3102p-2, -0x1.4a8faa3115b6ep-2, -0x1.48a508b7ea546p-2, -0x1.46a603d9bd619p-2, -0x1.4493ce49e0affp-2, -0x1.426f8ce194c35p-2, -0x1.403a5739f9f48p-2, -0x1.3df5385b473d3p-2, -0x1.3ba12f7767ffcp-2, -0x1.393f30a61aa32p-2, -0x1.36d02599a56d4p-2, -0x1.3454ee44ea6d3p-2, -0x1.31ce616ddfe8p-2, -0x1.2f3d4d29eaba4p-2, -0x1.2ca27743e2d28p-2, -0x1.29fe9d8da20a4p-2, -0x1.275276208c17p-2, -0x1.249eaf9170336p-2, -0x1.21e3f11c93f45p-2, -0x1.1f22dace9550bp-2, -0x1.1c5c05ae3c5b5p-2, -0x1.199003ea7e1bdp-2, -0x1.16bf610ee61ep-2, -0x1.13eaa23f84975p-2, -0x1.1112467c6f34ap-2, -0x1.0e36c6ebfadcdp-2, -0x1.0b58972a17259p-2, -0x1.0878259ab1287p-2, -0x1.0595dbbccc6cp-2, -0x1.02b21e7bed3bcp-2, -0x1.ff9a9cfb4aep-3, -0x1.f9cf90d2d071fp-3, -0x1.f403ca527a538p-3, -0x1.ee37f444c5a42p-3, -0x1.e86cb2cb020b6p-3, -0x1.e2a2a3acf007ap-3, -0x1.dcda5e98a462dp-3, -0x1.d71475545e0c9p-3, -0x1.d15173e491232p-3, -0x1.cb91e0a8b2f4cp-3, -0x1.c5d63c717ebf4p-3, -0x1.c01f02936308p-3, -0x1.ba6ca8f79c4e2p-3, -0x1.b4bfa02e15a5fp-3, -0x1.af185381eea0bp-3, -0x1.a9772911d4365p-3, -0x1.a3dc81ed1324ep-3, -0x1.9e48ba35acc92p-3, -0x1.98bc29475db88p-3, -0x1.933721e326679p-3, -0x1.8db9f25e9fc85p-3, -0x1.8844e4d6291a8p-3, -0x1.82d83f60eef7p-3, -0x1.7d744445b844ap-3, -0x1.7819322f5dda4p-3, -0x1.72c7446004977p-3, -0x1.6d7eb2e2345e8p-3, -0x1.683fb2b718809p-3, -0x1.630a76016a0f5p-3, -0x1.5ddf2c2ca434ap-3, -0x1.58be021055b3ap-3, -0x1.53a7220f9cc4dp-3, -0x1.4e9ab434e7b0fp-3, -0x1.4998de4a3a602p-3, -0x1.44a1c3ee69752p-3, -0x1.3fb586a79aff9p-3, -0x1.3ad445f390b61p-3, -0x1.35fe1f5624654p-3, -0x1.31332e665e5e3p-3, -0x1.2c738cda8dafep-3, -0x1.27bf5293ab2ddp-3, -0x1.231695a8485a9p-3, -0x1.1e796a6f47c97p-3, -0x1.19e7e38a74f46p-3, -0x1.156211f11a4f5p-3, -0x1.10e804fa9e654p-3, -0x1.0c79ca692e27p-3, -0x1.08176e7469dd2p-3, -0x1.03c0fbd416806p-3, -0x1.feecf7957228p-4, -0x1.f66fec6040d2p-4, -0x1.ee0ae2f784097p-4, -0x1.e5bde59dbd789p-4, -0x1.dd88fbfce897p-4, -0x1.d56c2b39b4f49p-4, -0x1.cd67760630436p-4, -0x1.c57adcb3e3a46p-4, -0x1.bda65d4539fedp-4, -0x1.b5e9f37e5ee23p-4, -0x1.ae4598f59ebdap-4, -0x1.a6b9452344e99p-4, -0x1.9f44ed710e607p-4, -0x1.97e8854968387p-4, -0x1.90a3fe2652754p-4, -0x1.897747a0316f4p-4, -0x1.82624f7c7a491p-4, -0x1.7b65a7697424ep-4, -0x1.747ffb87fd611p-4, -0x1.6db1c793b8a2p-4, -0x1.66faf2fb0fc0fp-4, -0x1.605b63aa796b6p-4, -0x1.59d2fe17d5d48p-4, -0x1.5361a54e162a6p-4, -0x1.4d073af92a0fep-4, -0x1.46c39f723347fp-4, -0x1.4096b1cbf6f3p-4, -0x1.3a804fdf7fb52p-4, -0x1.34805658e49fep-4, -0x1.2e96a0c425665p-4, -0x1.28c3099a0c04ap-4, -0x1.23056a4d0433cp-4, -0x1.1d5d9b55d76b5p-4, -0x1.17cb74404013ap-4, -0x1.124ecbb74688p-4, -0x1.0ce777915a5ebp-4, -0x1.07954cdc1d678p-4, -0x1.02581fe7da0c4p-4, -0x1.fa5f88a5388e3p-5, -0x1.f0381a25cf754p-5, -0x1.e639990416316p-5, -0x1.dc63a8cc18302p-5, -0x1.d2b5ebf65b771p-5, -0x1.c93003fa24a41p-5, -0x1.bfd1915efad36p-5, -0x1.b69a33cd6d859p-5, -0x1.ad898a1f28d86p-5, -0x1.a49f326e68f3ap-5, -0x1.9bdaca24c8cdp-5, -0x1.933bee098b928p-5, -0x1.8ac23a4f5b745p-5, -0x1.826d4aa196158p-5, -0x1.7a3cba312c444p-5, -0x1.723023c11f885p-5, -0x1.6a4721b2ab99ep-5, -0x1.62814e112108ap-5, -0x1.5ade429d79844p-5, -0x1.535d98d9ae925p-5, -0x1.4bfeea13d5825p-5, -0x1.44c1cf71096b3p-5, -0x1.3da5e1f81debep-5, -0x1.36aaba9c29756p-5, -0x1.2fcff246dc906p-5, -0x1.291521e2ad82p-5, -0x1.2279e264d6e76p-5, -0x1.1bfdccd72839cp-5, -0x1.15a07a61a5c49p-5, -0x1.0f618453f759bp-5, -0x1.0940842ea6d16p-5, -0x1.033d13ac26f39p-5, -0x1.faad99934c9bp-6, -0x1.ef1a939f4c705p-6, -0x1.e3c04ab4ba2e6p-6, -0x1.d89df4c3ab7ccp-6, -0x1.cdb2c883b09c1p-6, -0x1.c2fdfd831fb72p-6, -0x1.b87ecc35e7df5p-6, -0x1.ae346e03da1dp-6, -0x1.a41e1d568350ep-6, -0x1.9a3b15a66e16dp-6, -0x1.908a9387f9b1ep-6, -0x1.870bd4b79bcaep-6, -0x1.7dbe1825b683ep-6, -0x1.74a09e01dfb37p-6, -0x1.6bb2a7c5b6d3ep-6, -0x1.62f3783f3a2c9p-6, -0x1.5a62539aa893ap-6, -0x1.51fe7f6be8be8p-6, -0x1.49c742b77ffb9p-6, -0x1.41bbe5fb19bc9p-6, -0x1.39dbb3359bba5p-6, -0x1.3225f5eed576cp-6, -0x1.2a99fb3ec0914p-6, -0x1.233711d460b24p-6, -0x1.1bfc89fc3cbaep-6, -0x1.14e9b5a676d79p-6, -0x1.0dfde86c89192p-6, -0x1.073877969ed48p-6, -0x1.0098ba209e7efp-6, -0x1.f43c117da6443p-7, -0x1.e78f7bc48155ap-7, -0x1.db2a6b795437ep-7, -0x1.cf0b9c887e2e1p-7, -0x1.c331ce6df7fa1p-7, -0x1.b79bc43b7ab7p-7, -0x1.ac48449e04da5p-7, -0x1.a13619e2ca064p-7, -0x1.966411fb9bc1p-7, -0x1.8bd0fe82aeeap-7, -0x1.817bb4bddb7c6p-7, -0x1.77630da16077bp-7, -0x1.6d85e5d1fee63p-7, -0x1.63e31da6bad0ap-7, -0x1.5a799929f8f0ep-7, -0x1.5148401a27947p-7, -0x1.484dfde9f9b87p-7, -0x1.3f89c1c01c726p-7, -0x1.36fa7e7678a97p-7, -0x1.2e9f2a990b65ap-7, -0x1.2676c06445eeep-7, -0x1.1e803dc309937p-7, -0x1.16baa44c3bfdp-7, -0x1.0f24f93ff1443p-7, -0x1.07be45843d59ep-7, -0x1.008595a1a3589p-7, -0x1.f2f3f37e553dep-8, -0x1.e5350b3c33b0dp-8, -0x1.d7cca12ad4354p-8, -0x1.cab8eb19b13edp-8, -0x1.bdf825ef7ddcep-8, -0x1.b188959f22c2p-8, -0x1.a568851c42428p-8, -0x1.9996464f306ddp-8, -0x1.8e1032086e774p-8, -0x1.82d4a7f39d9a1p-8, -0x1.77e20e8a229dcp-8, -0x1.6d36d305366bfp-8, -0x1.62d1694fab371p-8, -0x1.58b04bf742725p-8, -0x1.4ed1fc1db128cp-8, -0x1.4535016944e8fp-8, -0x1.3bd7e9f54cbc3p-8, -0x1.32b94a422b247p-8, -0x1.29d7bd251bd1fp-8, -0x1.2131e3b7d86aap-8, -0x1.18c66547dcc5ap-8, -0x1.1093ef459ad34p-8, -0x1.089935336bcfap-8, -0x1.00d4f0945a551p-8, -0x1.f28bc1b57147ep-9, -0x1.e3d596ad7c78ap-9, -0x1.d584f64997592p-9, -0x1.c7978237a5603p-9, -0x1.ba0ae776e25bdp-9, -0x1.acdcde34514a2p-9, -0x1.a00b29a6cf6f9p-9, -0x1.939397eb1e6b5p-9, -0x1.877401dffbce3p-9, -0x1.7baa4b02207cep-9, -0x1.703461480b277p-9, -0x1.65103cfe3be75p-9, -0x1.5a3be0a30c3ap-9, -0x1.4fb558c2cf996p-9, -0x1.457abbd3fc87p-9, -0x1.3b8a2a135475dp-9, -0x1.31e1cd6064a79p-9, -0x1.287fd919d18ddp-9, -0x1.1f6289fa28277p-9, -0x1.168825f48885bp-9, -0x1.0deefc11ac142p-9, -0x1.0595644d0c874p-9, -0x1.faf37ee48e0e9p-10, -0x1.eb34edf5688c8p-10, -0x1.dbebf9d68f07ep-10, -0x1.cd159764faab4p-10, -0x1.beaecc0de0fefp-10, -0x1.b0b4ad8b9e8f1p-10, -0x1.a32461a393a35p-10, -0x1.95fb1de49594cp-10, -0x1.89362765e9803p-10, -0x1.7cd2d286e359bp-10, -0x1.70ce82af0c1c1p-10, -0x1.6526aa0f5ab08p-10, -0x1.59d8c9637ffa2p-10, -0x1.4ee26fb465202p-10, -0x1.44413a1af8a81p-10, -0x1.39f2d383f8e42p-10, -0x1.2ff4f47461a27p-10, -0x1.264562ce43b2bp-10, -0x1.1ce1f196df8cfp-10, -0x1.13c880bd09287p-10, -0x1.0af6fce051fa1p-10, -0x1.026b5f190f83bp-10, -0x1.f447598196521p-11, -0x1.e43bee77c3912p-11, -0x1.d4b0b7868cb23p-11, -0x1.c5a2065e46e8fp-11, -0x1.b70c43848d4acp-11, -0x1.a8ebedebd41d5p-11, -0x1.9b3d9a8cb2cc7p-11, -0x1.8dfdf4000524dp-11, -0x1.8129ba1a4ba3dp-11, -0x1.74bdc1881d255p-11, -0x1.68b6f36bb0b15p-11, -0x1.5d124cfba8d82p-11, -0x1.51ccdf22562d9p-11, -0x1.46e3ce1e3744bp-11, -0x1.3c545123646f6p-11, -0x1.321bb1fdbae4bp-11, -0x1.28374cb3d8df4p-11, -0x1.1ea48f2afa76p-11, -0x1.1560f8cba6862p-11, -0x1.0c6a1a26fa23cp-11, -0x1.03bd949c81013p-11, -0x1.f6b234031d565p-12, -0x1.e674d8907d326p-12, -0x1.d6beba503deb4p-12, -0x1.c78b9b8e02736p-12, -0x1.b8d75cc594bc9p-12, -0x1.aa9dfbf7dbebbp-12, -0x1.9cdb9401b7967p-12, -0x1.8f8c5bf432a0bp-12, -0x1.82aca66eb3e9p-12, -0x1.7638e0f9ede87p-12, -0x1.6a2d93670889fp-12, -0x1.5e875f2dd6026p-12, -0x1.5342fecf6c355p-12, -0x1.485d4538e5bb8p-12, -0x1.3dd31d2a516aap-12, -0x1.33a1889e42a48p-12, -0x1.29c5a034a751dp-12, -0x1.203c929f92a95p-12, -0x1.1703a412628c1p-12, -0x1.0e182db4f691p-12, -0x1.05779d1774ec8p-12, -0x1.fa3ee753f0fe6p-13, -0x1.ea1a8c6d80691p-13, -0x1.da7d78bd97c11p-13, -0x1.cb6320341de59p-13, -0x1.bcc71a7355c1ep-13, -0x1.aea521da49da2p-13, -0x1.a13e3754f00fcp-13, -0x1.93fb2d98ee9c8p-13, -0x1.8726f351deea8p-13, -0x1.7abdb8b11ac19p-13, -0x1.6ebbcc602c3fdp-13, -0x1.631d9ab9b21bfp-13, -0x1.57dfad05d4558p-13, -0x1.4cfea8ba4a39cp-13, -0x1.42774ebe770b5p-13, -0x1.38467ab2ffacdp-13, -0x1.2e69223c8e8b4p-13, -0x1.24dc5451ba139p-13, -0x1.1b9d388ed7112p-13, -0x1.12a90e8a55c27p-13, -0x1.09fd2d2e2528p-13, -0x1.01970213ef024p-13, -0x1.f2e821c9c1453p-14, -0x1.e323e579933dcp-14, -0x1.d3dcab213102fp-14, -0x1.c50df72e9a289p-14, -0x1.b6b3756f7cea2p-14, -0x1.a8c8f7f01835cp-14, -0x1.9b4a75e0b0fafp-14, -0x1.8e340a837794cp-14, -0x1.8181f41e1de05p-14, -0x1.753092f253d2p-14, -0x1.693c683c4c97fp-14, -0x1.5da215377ac4cp-14, -0x1.525e5a2770ceap-14, -0x1.476e156954113p-14, -0x1.3cce4286c9651p-14, -0x1.327bf953dcae6p-14, -0x1.28746d0d86c42p-14, -0x1.1eb4eb7fade9dp-14, -0x1.153adc307b6a3p-14, -0x1.0c03bf900efdbp-14, -0x1.030d2e2d891eep-14, -0x1.f4a9afe5c7174p-15, -0x1.e3b106c72c69ep-15, -0x1.d32c19be08e93p-15, -0x1.c316cbd6e10dep-15, -0x1.b36d2907480f7p-15, -0x1.a42b64d09e781p-15, -0x1.954dd8eda7a88p-15, -0x1.86d10408e61d5p-15, -0x1.78b1887d9cec3p-15, -0x1.6aec2b1d02e96p-15, -0x1.5d7dd1fffdce9p-15, -0x1.5063835f347a8p-15, -0x1.439a6472ba624p-15, -0x1.371fb85b49ba4p-15, -0x1.2af0df1244c43p-15, -0x1.1f0b54612e152p-15, -0x1.136caee32a121p-15, -0x1.08129f02d4cbp-15, -0x1.f9f5dc278bf56p-16, -0x1.e446fac3c06f1p-16, -0x1.cf148a99ecdafp-16, -0x1.ba5aa8d554597p-16, -0x1.a6159d60bc0d1p-16, -0x1.9241d9462973p-16, -0x1.7edbf517e7089p-16, -0x1.6be0af6c4e75bp-16, -0x1.594ceb5f8f61cp-16, -0x1.471daf21c6cd8p-16, -0x1.35502298692dcp-16, -0x1.23e18e000ff7p-16, -0x1.12cf58a1b99e1p-16, -0x1.02170790713dp-16, -0x1.e36c78db0ea47p-17, -0x1.c355687cb0052p-17, -0x1.a3e48c8c36c51p-17, -0x1.8515c5d9878ep-17, -0x1.66e5255be1b8ap-17, -0x1.494eea27c2151p-17, -0x1.2c4f7f6e2d941p-17, -0x1.0fe37a8edd208p-17, -0x1.e80f327b664ccp-18, -0x1.b1717f96617abp-18, -0x1.7be7eead3a40cp-18, -0x1.476cd86152ffbp-18, -0x1.13fad858adc87p-18, -0x1.c319949305185p-19, -0x1.603b8df17932fp-19, -0x1.fea4850ee0673p-20, -0x1.40a98d599d72bp-20, -0x1.0cea5fc608b31p-21, 0x1.8046817906b29p-23, 0x1.c5bfe3f66ada8p-21, 0x1.921f007c78b61p-20, 0x1.1eea0e1fad2d9p-19, 0x1.73066234949a3p-19, 0x1.c56aefdc7f8adp-19, 0x1.0b0ef145251f6p-18, 0x1.329290f599212p-18, 0x1.59432aff0477p-18, 0x1.7f23756e8d71p-18, 0x1.a4360a322aa72p-18, 0x1.c87d69215ead4p-18, 0x1.ebfbf9751498dp-18, 0x1.075a05b796d6bp-17, 0x1.1853ed0c191c2p-17, 0x1.28ecc65258d14p-17, 0x1.39259bedd9279p-17, 0x1.48ff6fb8dcd9ep-17, 0x1.587b3ba758508p-17, 0x1.6799f254b1fa7p-17, 0x1.765c7f940fc7ep-17, 0x1.84c3c8f134b75p-17, 0x1.92d0ae27015eep-17, 0x1.a084098aecf4p-17, 0x1.addeb07dc791p-17, 0x1.bae173c3a1cb7p-17, 0x1.c78d1fdf7418cp-17, 0x1.d3e27d681be05p-17, 0x1.dfe25153eef21p-17, 0x1.eb8d5d4a2cabbp-17, 0x1.f6e45fe243137p-17, 0x1.00f40a8187913p-16, 0x1.064c9afea353bp-16, 0x1.0b7c3cf71b09fp-16, 0x1.10834afb73018p-16, 0x1.15621ebc41645p-16, 0x1.1a191127d6edcp-16, 0x1.1ea87a915928cp-16, 0x1.2310b2be4199p-16, 0x1.27521110035f5p-16, 0x1.2b6cec8f47c35p-16, 0x1.2f619c13a8695p-16, 0x1.333076516315bp-16, 0x1.36d9d1f318c84p-16, 0x1.3a5e05ad90e6ap-16, 0x1.3dbd685252ccep-16, 0x1.40f850dd6dbdfp-16, 0x1.440f1686713e2p-16, 0x1.470210d10b5abp-16, 0x1.49d19795b298ap-16, 0x1.4c7e030c83612p-16, 0x1.4f07abd58db46p-16, 0x1.516eeb03b6e8cp-16, 0x1.53b41a21ee032p-16, 0x1.55d793365099p-16, 0x1.57d9b0ca840acp-16, 0x1.59bacdebd5389p-16, 0x1.5b7b462a5cbbap-16, 0x1.5d1b75b0e8e97p-16, 0x1.5e9bb922cdb68p-16, 0x1.5ffc6db501b08p-16, 0x1.613df12465d8bp-16, 0x1.6260a1b91f1fcp-16, 0x1.6364de42b79b2p-16, 0x1.644b0616bb46dp-16, 0x1.6513790cbdd8ap-16, 0x1.65be977e71cf3p-16, }}, 
      {{0x1.1c91789dc1fb5p-7, 0x1.e4aa7acd4e519p-7, 0x1.94cf8545ac9d9p-6, 0x1.3838388a6a9cep-5, 0x1.bf8a15e18661dp-5, 0x1.2e8b93ac58121p-4, 0x1.86c7150251035p-4, 0x1.e6d7b73c74b0fp-4, 0x1.2697f5ff073bap-3, 0x1.5c2d5bf8abde5p-3, 0x1.937faa2d4d0b7p-3, 0x1.cbf1bf53de5e1p-3, 0x1.027ae1e9f3d41p-2, 0x1.1f069af798211p-2, 0x1.3b641d69365a7p-2, 0x1.57626c875ab66p-2, 0x1.72d7136028de7p-2, 0x1.8d9da249f2706p-2, 0x1.a79729928c936p-2, 0x1.c0a9c7c87e38ep-2, 0x1.d8c028b7fede4p-2, 0x1.efc92b16cd6e4p-2, 0x1.02db9ac6783b3p-1, 0x1.0d400da71a0f1p-1, 0x1.170e589c61a43p-1, 0x1.20440d5607671p-1, 0x1.28e0109038273p-1, 0x1.30e23a3dda272p-1, 0x1.384b3ef8a8603p-1, 0x1.3f1c9d10ab726p-1, 0x1.45587f0386ef1p-1, 0x1.4b01a0e26d1fdp-1, 0x1.501b3a32918eap-1, 0x1.54a8eac5b9246p-1, 0x1.58aeaa0bee20cp-1, 0x1.5c30b69f006a9p-1, 0x1.5f3386e890cf3p-1, 0x1.61bbbcbc4ff8cp-1, 0x1.63ce1a32c039ep-1, 0x1.656f76f2892dcp-1, 0x1.66a4b7293ccd8p-1, 0x1.6772c40b5f2dp-1, 0x1.67de84c4ccf55p-1, 0x1.67ecd7f2834a4p-1, 0x1.67a28e3ff8b1dp-1, 0x1.67046619e0fa8p-1, 0x1.6617081bf6ecdp-1, 0x1.64df0406782d1p-1, 0x1.6360ce010a0e4p-1, 0x1.61a0bbed81ec5p-1, 0x1.5fa302e66228ap-1, 0x1.5d6bb56439c5cp-1, 0x1.5afec266d5de8p-1, 0x1.585ff571f5e23p-1, 0x1.5592cde012113p-1, 0x1.529b148eb3129p-1, 0x1.4f7c1042a3bacp-1, 0x1.4c38fd40fdc77p-1, 0x1.48d4f330afebap-1, 0x1.4552e5fa9ba5cp-1, 0x1.41b5a6b4c4869p-1, 0x1.3dffe470c50e6p-1, 0x1.3a342cf7c1befp-1, 0x1.3654ed8eb3ddap-1, 0x1.326473d1a9fbp-1, 0x1.2e64eea1d88f4p-1, 0x1.2a586f1963cbcp-1, 0x1.2640e97acf9e9p-1, 0x1.2220361ab8b3bp-1, 0x1.1df81249e13e2p-1, 0x1.19ca21473ded2p-1, 0x1.1597ed3d59cf5p-1, 0x1.1162e8471af36p-1, 0x1.0d2c6d72894d8p-1, 0x1.08f5c1b8608b9p-1, 0x1.04c014e4b9f27p-1, 0x1.008c8274661dep-1, 0x1.f8b824dd1e795p-2, 0x1.f05f7481c4f09p-2, 0x1.e810bb3eb7fa6p-2, 0x1.dfcd9ec826e7dp-2, 0x1.d797a4d3fc9dep-2, 0x1.cf7034bee21d2p-2, 0x1.c758991f7437cp-2, 0x1.bf5201488c52fp-2, 0x1.b75d82b9dce3ap-2, 0x1.af7c1a7c20335p-2, 0x1.a7aeae66e8723p-2, 0x1.9ff60e52b5836p-2, 0x1.9852f53eea33ap-2, 0x1.90c60a753221p-2, 0x1.894fe2b041419p-2, 0x1.81f10144a8e51p-2, 0x1.7aa9d9436bd3cp-2, 0x1.737ace8b3c5abp-2, 0x1.6c6436c04714fp-2, 0x1.65665a2948802p-2, 0x1.5e8174780012bp-2, 0x1.57b5b586ef56ap-2, 0x1.510342157eaddp-2, 0x1.4a6a3486c3de1p-2, 0x1.43ea9da130d4cp-2, 0x1.3d84854952db6p-2, 0x1.3737eb311a8a7p-2, 0x1.3104c777a9898p-2, 0x1.2aeb0b39b34d1p-2, 0x1.24eaa115fbb4p-2, 0x1.1f036daacb531p-2, 0x1.1935501027996p-2, 0x1.1380224ff6cbp-2, 0x1.0de3be947840ep-2, 0x1.085ff0e55c77cp-2, 0x1.02f486e5bd431p-2, 0x1.fb4294742ac39p-3, 0x1.f0cc02c0bb71p-3, 0x1.e684e003198a3p-3, 0x1.dc6cae7a3e252p-3, 0x1.d282ebdda1631p-3, 0x1.c8c711dd7575bp-3, 0x1.bf389698867fbp-3, 0x1.b5d6ed08d8c9ep-3, 0x1.aca1856855513p-3, 0x1.a397cd8ef7dd8p-3, 0x1.9ab9314bbd0e4p-3, 0x1.92051ab925392p-3, 0x1.897af28dc0371p-3, 0x1.811a2068bf7c6p-3, 0x1.78e20b1a57f2p-3, 0x1.70d218e7a70a3p-3, 0x1.68e9afc9df3f6p-3, 0x1.612835a8a35d3p-3, 0x1.598d108f8b4bdp-3, 0x1.5217a6dee698ep-3, 0x1.4ac75f77d55fbp-3, 0x1.439ba1e3e62e2p-3, 0x1.3c93d67874b78p-3, 0x1.35af66761338p-3, 0x1.2eedbc246f1fbp-3, 0x1.284e42eb1ef8cp-3, 0x1.21d06767d9142p-3, 0x1.1b739782800ecp-3, 0x1.1537427f54598p-3, 0x1.0f1ad90f93c6p-3, 0x1.091dcd60a33dbp-3, 0x1.033f9329c6289p-3, 0x1.faff3f710ba1bp-4, 0x1.efbad3f753f5p-4, 0x1.e4b0d519db91ap-4, 0x1.d9e03772d20e2p-4, 0x1.cf47f31192314p-4, 0x1.c4e70386f2776p-4, 0x1.babc67ef5653dp-4, 0x1.b0c722fae0effp-4, 0x1.a7063af38851cp-4, 0x1.9d78b9c13daf6p-4, 0x1.941dacec2630dp-4, 0x1.8af4259ce7fd4p-4, 0x1.81fb389b462a7p-4, 0x1.7931fe4b20d6ap-4, 0x1.709792a82e387p-4, 0x1.682b154098f9ep-4, 0x1.5feba92ec2d9dp-4, 0x1.57d875126736p-4, 0x1.4ff0a30938695p-4, 0x1.483360a71ad3p-4, 0x1.409fdeee0b995p-4, 0x1.39355245b8f62p-4, 0x1.31f2f272cf658p-4, 0x1.2ad7fa8e099b5p-4, 0x1.23e3a8fafaa2p-4, 0x1.1d153f5ea73e1p-4, 0x1.166c0295efd1dp-4, 0x1.0fe73aabda0fap-4, 0x1.098632cfc5363p-4, 0x1.0348394b8b4bfp-4, 0x1.fa593ef339748p-5, 0x1.ee65737628553p-5, 0x1.e2b3bedb7a0a2p-5, 0x1.d742d5c4267efp-5, 0x1.cc1172a255711p-5, 0x1.c11e55a50b5f4p-5, 0x1.b66844a3966f8p-5, 0x1.abee0b08c0939p-5, 0x1.a1ae79bdcfb7p-5, 0x1.97a8671545e3ep-5, 0x1.8ddaaeb58433ep-5, 0x1.844431834f7f2p-5, 0x1.7ae3d58c58e99p-5, 0x1.71b885f1d4dd8p-5, 0x1.68c132d336f7cp-5, 0x1.5ffcd1392cee9p-5, 0x1.576a5b00d7bf2p-5, 0x1.4f08cec7578a8p-5, 0x1.46d72fd5b1846p-5, 0x1.3ed4860d00d39p-5, 0x1.36ffddd305098p-5, 0x1.2f5847ff001e1p-5, 0x1.27dcd9c6df5cap-5, 0x1.208cacaca4b46p-5, 0x1.1966de6c1fe72p-5, 0x1.126a90e8e6b28p-5, 0x1.0b96ea1c8653bp-5, 0x1.04eb14050c4bfp-5, 0x1.fccc7927801cap-6, 0x1.f00f2b386d7d9p-6, 0x1.e39ca9874638bp-6, 0x1.d77366e0fa0d6p-6, 0x1.cb91dd74d6533p-6, 0x1.bff68eb4f4d45p-6, 0x1.b4a003372ef31p-6, 0x1.a98cca969fa8ap-6, 0x1.9ebb7b559dd8bp-6, 0x1.942ab2c023029p-6, 0x1.89d914cea4a6bp-6, 0x1.7fc54c09524c1p-6, 0x1.75ee096bad982p-6, 0x1.6c52044887bbfp-6, 0x1.62effa2e4fcd3p-6, 0x1.59c6aecbd53b6p-6, 0x1.50d4ebd55be5ep-6, 0x1.481980ea1b273p-6, 0x1.3f93437a34819p-6, 0x1.3740d15cc34c6p-6, 0x1.2f2180bea5a82p-6, 0x1.2733ffc2cd936p-6, 0x1.1f773a2744016p-6, 0x1.17ea20ff07f82p-6, 0x1.108baa9aa325bp-6, 0x1.095ad27135617p-6, 0x1.02569909cefe1p-6, 0x1.f6fc07ca6ef2bp-7, 0x1.e9a03ad019ac3p-7, 0x1.dc97e98a73083p-7, 0x1.cfe13bd1874bdp-7, 0x1.c37a62c5e190ap-7, 0x1.b76198a770d35p-7, 0x1.ab9520ad1fbf2p-7, 0x1.a01346dcfed75p-7, 0x1.94da5fe50266cp-7, 0x1.89e8c8f466815p-7, 0x1.7f3ce795af3dcp-7, 0x1.74d529892a698p-7, 0x1.6ab004a00c0c6p-7, 0x1.60cbf698201b1p-7, 0x1.572784f80d1ebp-7, 0x1.4dc13cec16ef5p-7, 0x1.4497b32378949p-7, 0x1.3ba983ae3e153p-7, 0x1.32f551dbb95ddp-7, 0x1.2a79c8196807p-7, 0x1.223597d26a593p-7, 0x1.1a27794f76298p-7, 0x1.124e2b9759689p-7, 0x1.0aa8744feabf4p-7, 0x1.03351f9f8d3ep-7, 0x1.f7e6001e34b9cp-8, 0x1.e9c1dcd8a6be3p-8, 0x1.dbfb9359a4ba6p-8, 0x1.ce90eda2c7781p-8, 0x1.c17fc193bb7c1p-8, 0x1.b4c5f0b2cc8d4p-8, 0x1.a86167f657c32p-8, 0x1.9c501f8f322dfp-8, 0x1.90901ab3c4c46p-8, 0x1.851f676c1c12fp-8, 0x1.79fc1e5eb6c24p-8, 0x1.6f24629e3b7dp-8, 0x1.64966177f07d2p-8, 0x1.5a505242fa62p-8, 0x1.50507630609f6p-8, 0x1.4695181be085ap-8, 0x1.3d1c8c5d7ae97p-8, 0x1.33e5309ba47bbp-8, 0x1.2aed6b9e732dep-8, 0x1.2233ad2334037p-8, 0x1.19b66db0fd5eep-8, 0x1.11742e6db4b6bp-8, 0x1.096b78f3fa893p-8, 0x1.019adf298fe91p-8, 0x1.f401f62d4883cp-9, 0x1.e538dd7b21c5ap-9, 0x1.d6d7c7e6be656p-9, 0x1.c8dc1871b8f28p-9, 0x1.bb434128df302p-9, 0x1.ae0ac2d8b2521p-9, 0x1.a1302cc3ac66dp-9, 0x1.94b11c5945b91p-9, 0x1.888b3cee5df95p-9, 0x1.7cbc4776e2e96p-9, 0x1.714202405c25fp-9, 0x1.661a40ae11547p-9, 0x1.5b42e2f5ece7cp-9, 0x1.50b9d5de9d85ap-9, 0x1.467d127ed056p-9, 0x1.3c8a9dfd9c706p-9, 0x1.32e08953dcfa6p-9, 0x1.297cf10e9dfe5p-9, 0x1.205dfd12acdd7p-9, 0x1.1781e06123459p-9, 0x1.0ee6d8dcd6b55p-9, 0x1.068b2f1123578p-9, 0x1.fcda6bf293994p-10, 0x1.ed169591da5ebp-10, 0x1.ddc7a96b7daccp-10, 0x1.ceea89833d3dcp-10, 0x1.c07c2b0ca8f3bp-10, 0x1.b27996032ad34p-10, 0x1.a4dfe4c4aa65cp-10, 0x1.97ac43ada9493p-10, 0x1.8adbf0b714995p-10, 0x1.7e6c3b164eecep-10, 0x1.725a82de1a60fp-10, 0x1.66a438a241342p-10, 0x1.5b46dd1bf165ep-10, 0x1.504000d05f8dep-10, 0x1.458d43b8b0358p-10, 0x1.3b2c54ebc4349p-10, 0x1.311af24932cbbp-10, 0x1.2756e82648888p-10, 0x1.1dde10fc5a2f4p-10, 0x1.14ae55187b6d2p-10, 0x1.0bc5aa4ccade1p-10, 0x1.032213a358927p-10, 0x1.f58342248af21p-11, 0x1.e544de62e93bp-11, 0x1.d5854de33f406p-11, 0x1.c640faa981536p-11, 0x1.b77466505e292p-11, 0x1.a91c297e56a82p-11, 0x1.9b34f3601cca1p-11, 0x1.8dbb89237b669p-11, 0x1.80acc5756422bp-11, 0x1.7405980336e38p-11, 0x1.67c304fdc5c12p-11, 0x1.5be2249f23b34p-11, 0x1.506022b20c2a7p-11, 0x1.453a3e1dd5b78p-11, 0x1.3a6dc8724819fp-11, 0x1.2ff8257725302p-11, 0x1.25d6cabdea41fp-11, 0x1.1c073f34e384p-11, 0x1.12871abe0f4f8p-11, 0x1.095405c6cb564p-11, 0x1.006bb8e1b4907p-11, 0x1.ef97f8c81103ep-12, 0x1.dee55006f47b7p-12, 0x1.cebb44edfa48dp-12, 0x1.bf15c23218612p-12, 0x1.aff0cf192da7fp-12, 0x1.a1488ec6243b6p-12, 0x1.93193f8a82e9bp-12, 0x1.855f3a39a756dp-12, 0x1.7816f1829fbd6p-12, 0x1.6b3cf14ad7011p-12, 0x1.5ecdde0e2d367p-12, 0x1.52c6744191ee8p-12, 0x1.472387b88cce5p-12, 0x1.3be20310bd531p-12, 0x1.30fee71d3774dp-12, 0x1.26774a581768ap-12, 0x1.1c485855a5c15p-12, 0x1.126f51398d2ffp-12, 0x1.08e989335032fp-12, 0x1.ff68cff1e89c6p-13, 0x1.ed9ad08e2d235p-13, 0x1.dc642ec843878p-13, 0x1.cbc0294a95054p-13, 0x1.bbaa21edf331bp-13, 0x1.ac1d9cd04b0afp-13, 0x1.9d163f6d2b81ep-13, 0x1.8e8fcfc29639ep-13, 0x1.80863374a0bf1p-13, 0x1.72f56ef834c9cp-13, 0x1.65d9a4c32a81bp-13, 0x1.592f14821c396p-13, 0x1.4cf21a4f45ad1p-13, 0x1.411f2df39e8dp-13, 0x1.35b2e227f4211p-13, 0x1.2aa9e3dcb4fe2p-13, 0x1.2000f9849650ep-13, 0x1.15b50265fb713p-13, 0x1.0bc2f5ee02febp-13, 0x1.0227e30924074p-13, 0x1.f1c1defe94fc6p-14, 0x1.dfd6aea7dea26p-14, 0x1.ce88d855e0eafp-14, 0x1.bdd3295f1e992p-14, 0x1.adb098000ebf8p-14, 0x1.9e1c423c243bbp-14, 0x1.8f116cbf2f43ap-14, 0x1.808b81cca7ad7p-14, 0x1.728610311ada3p-14, 0x1.64fcca3fd797ap-14, 0x1.57eb84cd69f47p-14, 0x1.4b4e363ba88eap-14, 0x1.3f20f58345ca7p-14, 0x1.335ff94a85969p-14, 0x1.280796f52c0a5p-14, 0x1.1d1441d0835d1p-14, 0x1.12828a2d53e95p-14, 0x1.084f1c8ed055cp-14, 0x1.fced81aa94a2ep-15, 0x1.e9ecb2f33558bp-15, 0x1.d795c582e1b99p-15, 0x1.c5e2e4005ec67p-15, 0x1.b4ce69b49863fp-15, 0x1.a452e12084b34p-15, 0x1.946b028813a78p-15, 0x1.8511b2ae77633p-15, 0x1.7642016f8514p-15, 0x1.67f7287d1fb43p-15, 0x1.5a2c8a1c59a85p-15, 0x1.4cddafec23ff7p-15, 0x1.400649b3ff04ep-15, 0x1.33a22c3c640c7p-15, 0x1.27ad502a3a305p-15, 0x1.1c23d0e821689p-15, 0x1.1101eb95afda6p-15, 0x1.0643fdf9e6c56p-15, 0x1.f7cd0b02ef661p-16, 0x1.e3cc3c793d489p-16, 0x1.d07f03e7fd312p-16, 0x1.bddf0e6457213p-16, 0x1.abe640b897259p-16, 0x1.9a8eb5a81d1dep-16, 0x1.89d2bc2bef7cbp-16, 0x1.79acd5cf5e1c9p-16, 0x1.6a17b511ba712p-16, 0x1.5b0e3bc910f73p-16, 0x1.4c8b79ab9e7d1p-16, 0x1.3e8aaabb39454p-16, 0x1.310735eed9fdbp-16, 0x1.23fcabb0c1c24p-16, 0x1.1766c4963e4f5p-16, 0x1.0b416001e5146p-16, 0x1.ff1105b5d5306p-17, 0x1.e870acbabd45fp-17, 0x1.d29a4d820a1fp-17, 0x1.bd86c46a79f27p-17, 0x1.a92f2f4e0a6b7p-17, 0x1.958ceb56937fdp-17, 0x1.829992e049ebbp-17, 0x1.704efb4c2add5p-17, 0x1.5ea7332379a7fp-17, 0x1.4d9c800a3b843p-17, 0x1.3d295ce075609p-17, 0x1.2d203d817728p-17, 0x1.1dcbf5a0ac593p-17, 0x1.0f000e436fcc2p-17, 0x1.00b7c115a154ap-17, 0x1.e5dce92de6282p-18, 0x1.cb3f751e17a26p-18, 0x1.b18e9d128ca7cp-18, 0x1.98c228aa52512p-18, 0x1.80d22d5adcd9p-18, 0x1.69b70b929bbfp-18, 0x1.53696c31f6bcap-18, 0x1.3de23db5474b7p-18, 0x1.291ab1e808ce2p-18, 0x1.150c3b98e2a04p-18, 0x1.01b08bfdff2fbp-18, 0x1.de03212b34c7cp-19, 0x1.b9f2e1df6deb9p-19, 0x1.9725191c87d99p-19, 0x1.758ef1ade9061p-19, 0x1.5525fe3afa40dp-19, 0x1.35e0355d293c7p-19, 0x1.17b3edeb5f1c9p-19, 0x1.f52fb71aa7374p-20, 0x1.bd0615e1a89c3p-20, 0x1.86d9bdad7ab0ap-20, 0x1.529a18e826658p-20, 0x1.203730f30f85fp-20, 0x1.df4350e4e7b21p-21, 0x1.819569aaedeeap-21, 0x1.27483312c5111p-21, 0x1.a08082d62c854p-22, 0x1.f18cc416a213bp-23, 0x1.5cbcc5235575ap-24, -0x1.11d7fad7d5952p-24, -0x1.b4b0992ff5609p-23, -0x1.6aa51a14014bcp-22, -0x1.f5881bb0f673dp-22, -0x1.3d95b53b056b8p-21, -0x1.7ddbc9b7c832ep-21, -0x1.bba9d54f798f8p-21, -0x1.f712ab5c546a1p-21, -0x1.181437fcef995p-20, -0x1.337e4ff06505cp-20, -0x1.4dd00b5d87f5dp-20, -0x1.67118aef37242p-20, -0x1.7f4aa52b3afb2p-20, -0x1.9682e94cde45cp-20, -0x1.acc1a2d54aca2p-20, -0x1.c20ddbbf28428p-20, -0x1.d66e5f69061dbp-20, -0x1.e9e9bcf82067ap-20, -0x1.fc864a2554477p-20, -0x1.072512b439117p-19, -0x1.0f9d9bf099273p-19, -0x1.17af9cc1fd4f3p-19, -0x1.1f5dd807ef1f9p-19, -0x1.26aaf9b3a86f7p-19, -0x1.2d9997679334fp-19, -0x1.342c316d225a5p-19, -0x1.3a65339c1442dp-19, -0x1.4046f637cb27ap-19, -0x1.45d3bec2705bdp-19, -0x1.4b0dc0c9b6736p-19, -0x1.4ff71eb91cdcep-19, -0x1.5491ea50342cbp-19, -0x1.58e025cc51af4p-19, -0x1.5ce3c4168ec62p-19, -0x1.609ea9cb52fd5p-19, -0x1.6412ada0e5d54p-19, -0x1.6741990b4a141p-19, -0x1.6a2d28cbff072p-19, -0x1.6cd70d7b548cp-19, -0x1.6f40ec0bd3021p-19, -0x1.716c5e5823d8cp-19, -0x1.735af3540a6e3p-19, -0x1.750e2fe3ba6c9p-19, -0x1.76878f24b4e83p-19, -0x1.77c882e248254p-19, -0x1.78d2737c8680fp-19, -0x1.79a6c104e55a1p-19, -0x1.7a46c30e67e35p-19, -0x1.7ab3c97d92b63p-19, -0x1.7aef1c736e0e9p-19, -0x1.7af9fca4a47b4p-19, -0x1.7ad5a3d24f1bp-19, -0x1.7a8344f5fd259p-19, -0x1.7a040c863220fp-19, -0x1.795920c9ac8d3p-19, -0x1.7883a1f87737fp-19, -0x1.7784aa8d6759bp-19, -0x1.765d4f6e8498dp-19, -0x1.750ea02834b25p-19, -0x1.7399a71bc1bb6p-19, -0x1.71ff69b02e1acp-19, -0x1.7040e882f1739p-19, -0x1.6e5f1f80617aep-19, -0x1.6c5b06265d3dbp-19, -0x1.6a358f72b00d9p-19, -0x1.67efaa95d1886p-19, -0x1.658a4284645c7p-19, -0x1.63063df2f30acp-19, -0x1.60648032d33e8p-19, -0x1.5da5e881a9b06p-19, -0x1.5acb52d58896bp-19, -0x1.57d59776abae7p-19, -0x1.54c58b521fccbp-19, -0x1.519c00080504cp-19, -0x1.4e59c3f8c42d4p-19, -0x1.4affa25cbb34ep-19, -0x1.478e6357fd459p-19, -0x1.4406cc0d83f16p-19, -0x1.40699eab9dd63p-19, -0x1.3cb79a7f55fa9p-19, -0x1.38f17c02461e7p-19, -0x1.3517fce81bcd7p-19, -0x1.312bd42d59eadp-19, -0x1.2d2db621390ccp-19, -0x1.291e5461c3f04p-19, -0x1.24fe5e297b438p-19, -0x1.20ce7ff70447bp-19, -0x1.1c8f63d68fb56p-19, -0x1.1841b15b52935p-19, -0x1.13e60db7b318bp-19, -0x1.0f7d1b6b871d6p-19, -0x1.0b077b097b88dp-19, -0x1.0685ca89385c5p-19, -0x1.01f8a59ebb57ap-19, -0x1.fac14b3d7c961p-20, -0x1.f17cc361a0611p-20, -0x1.e824dd192486bp-20, -0x1.debabdb71e705p-20, -0x1.d53f85ff859d7p-20, -0x1.cbb4524e89414p-20, -0x1.c21a3ad9bfa5dp-20, -0x1.b87252e49181ep-20, -0x1.aebda9fe894fbp-20, -0x1.a4fd4b3c634cap-20, -0x1.9b323d7486e76p-20, -0x1.915d8343a7f3bp-20, -0x1.87801b22b316cp-20, -0x1.7d9aff338c609p-20, -0x1.73af259b1e44dp-20, -0x1.69bd8051a5dc2p-20, -0x1.5fc6fd322b2d2p-20, -0x1.55cc85a4e7986p-20, -0x1.4bcf001a13398p-20, -0x1.41cf4ddfea562p-20, -0x1.37ce4c95c73ffp-20, -0x1.2dccd5e62f27bp-20, -0x1.23cbbf78d8995p-20, -0x1.19cbdaf9c5a3ep-20, -0x1.0fcdf6206f4d4p-20, -0x1.05d2dac52538cp-20, -0x1.f7b69dcdce215p-21, }}, 
      std::vector<double>(600, 0.0), 
      {{0x1.1697a1f067096p-7, 0x1.4fdc2f7c19242p-6, 0x1.3614589a0a642p-5, 0x1.f52c269bf7b25p-5, 0x1.71df636a4b734p-4, 0x1.fe2c866232d96p-4, 0x1.4dd4064b7caa8p-3, 0x1.a2fe405d3b625p-3, 0x1.fc5e7516bee37p-3, 0x1.2bea5576eda9bp-2, 0x1.59b6240297052p-2, 0x1.86b42c111484p-2, 0x1.b223a91c19466p-2, 0x1.db63435b84685p-2, 0x1.00f752d5ae901p-1, 0x1.12aec52ad2af7p-1, 0x1.22b080e70ba4dp-1, 0x1.30e0449df6026p-1, 0x1.3d2bca0324b28p-1, 0x1.4789a8aa5c416p-1, 0x1.4ff7ce2cde174p-1, 0x1.567a97f015656p-1, 0x1.5b1b396aa49c3p-1, 0x1.5de76ec35a3a5p-1, 0x1.5ef105742fac7p-1, 0x1.5e4c0d90dadd1p-1, 0x1.5c0ed94b86b3ap-1, 0x1.58513ca8e7ab9p-1, 0x1.532c5a275fe7bp-1, 0x1.4cba0e6ffd0c9p-1, 0x1.4514753cf65eep-1, 0x1.3c55b110609dcp-1, 0x1.3297bda4e33dbp-1, 0x1.27f42cf9391e8p-1, 0x1.1c83f27262636p-1, 0x1.105f44065604ep-1, 0x1.039d7bc958889p-1, 0x1.eca9f07e56e51p-2, 0x1.d1360fa67f658p-2, 0x1.b507c14e46833p-2, 0x1.98453a4242ecdp-2, 0x1.7b1270993fbd9p-2, 0x1.5d9113832cf09p-2, 0x1.3fe086419c23cp-2, 0x1.221de33986014p-2, 0x1.046408fa34ebap-2, 0x1.cd975c48d2b5p-3, 0x1.92d6ece1d9391p-3, 0x1.58b0093ff9714p-3, 0x1.1f4813223571cp-3, 0x1.cd815322612c9p-4, 0x1.5e6faab61cab1p-4, 0x1.e32103a43f382p-5, 0x1.0e25c8c243959p-5, 0x1.f4628db4ea872p-8, -0x1.17ddb1d352489p-6, -0x1.50d1208e63bd8p-5, -0x1.07f4956e796aap-4, -0x1.648710e4f1f53p-4, -0x1.be0f6ab767793p-4, -0x1.0a404f8e2e859p-3, -0x1.33e88ce9d0916p-3, -0x1.5bfd492a6bc98p-3, -0x1.827cec79a4e64p-3, -0x1.a7674993356cbp-3, -0x1.cabd77c02bbbep-3, -0x1.ec81ae4cb3052p-3, -0x1.065b92982907fp-2, -0x1.15b0fdbc03a3fp-2, -0x1.244390d2c7981p-2, -0x1.321622cb9b575p-2, -0x1.3f2bdf2f79b3bp-2, -0x1.4b883be533f12p-2, -0x1.572eef2fe1297p-2, -0x1.6223e6696a196p-2, -0x1.6c6b3dc626636p-2, -0x1.76093918a7bafp-2, -0x1.7f023d4ada01cp-2, -0x1.875aca30c8658p-2, -0x1.8f177478cfe88p-2, -0x1.963cdfb593e7ap-2, -0x1.9ccfb8b089b14p-2, -0x1.a2d4b0492fc13p-2, -0x1.a85077166759fp-2, -0x1.ad47b9d892bdbp-2, -0x1.b1bf1ea0dd3d5p-2, -0x1.b5bb4277da0b8p-2, -0x1.b940b74b3e219p-2, -0x1.bc5401fbc9721p-2, -0x1.bef9987c00ea2p-2, -0x1.c135e001b5ab5p-2, -0x1.c30d2b50e2f37p-2, -0x1.c483b92106497p-2, -0x1.c59db296d207ap-2, -0x1.c65f29cb3a803p-2, -0x1.c6cc1860c9e84p-2, -0x1.c6e85e3596ed4p-2, -0x1.c6b7c04b1ff5cp-2, -0x1.c63de7febcbe4p-2, -0x1.c57e62a2f4806p-2, -0x1.c47ca1774ac2cp-2, -0x1.c33bf9e961a99p-2, -0x1.c1bfa5ff57967p-2, -0x1.c00ac4cca5bfbp-2, -0x1.be205adeb60b1p-2, -0x1.bc03529ef319ep-2, -0x1.b9b67cb5b4adcp-2, -0x1.b73c907ebd7dcp-2, -0x1.b4982c9bbff3fp-2, -0x1.b1cbd7a63ab67p-2, -0x1.aed84cf019aa6p-2, -0x1.abc39550dc388p-2, -0x1.a88e123d92828p-2, -0x1.a539eada4b131p-2, -0x1.a1c92fafc2cd1p-2, -0x1.9e3ddbb7c33eap-2, -0x1.9a99d56f19d66p-2, -0x1.96deefdc0168ep-2, -0x1.930eeb7a6e3dep-2, -0x1.8f2b770447894p-2, -0x1.8b3630113a71cp-2, -0x1.8730a38f9eae6p-2, -0x1.831c4e1cc870cp-2, -0x1.7efa9c4667d7ep-2, -0x1.7acceac00e2bfp-2, -0x1.76948697af9ep-2, -0x1.7252ad725bbdp-2, -0x1.6e088dd8053ep-2, -0x1.69b7479271971p-2, -0x1.655fec20ab6e2p-2, -0x1.61037f3dca271p-2, -0x1.5ca2f777d49c8p-2, -0x1.583f3ed1f3f63p-2, -0x1.53d9336c45fa5p-2, -0x1.4f71a82b6f287p-2, -0x1.4b09655a5e4a8p-2, -0x1.46a12941b470dp-2, -0x1.4239a8b18086p-2, -0x1.3dd38f7b63387p-2, -0x1.396f80dcadb62p-2, -0x1.350e17d93fd26p-2, -0x1.30afe788f7565p-2, -0x1.2c557b5a2ce27p-2, -0x1.27ff574c2bcd7p-2, -0x1.23adf8249e4ecp-2, -0x1.1f61d3a2cdbf3p-2, -0x1.1b1b58b330b1bp-2, -0x1.16daefa5434f3p-2, -0x1.12a0fa65001f5p-2, -0x1.0e6dd4b8a92adp-2, -0x1.0a41d482e3aaap-2, -0x1.061d4a0895203p-2, -0x1.020080396d34bp-2, -0x1.fbd779f3782ccp-3, -0x1.f3be82d80f7cap-3, -0x1.ebb694719c479p-3, -0x1.e3c01fa61cb99p-3, -0x1.dbdb8d70d0a6bp-3, -0x1.d4093f57f9c14p-3, -0x1.cc498fd708684p-3, -0x1.c49cd2bcc9becp-3, -0x1.bd03557dd9e5ap-3, -0x1.b57d5f7bf527p-3, -0x1.ae0b32435db37p-3, -0x1.a6ad09bfa9783p-3, -0x1.9f631c69981b9p-3, -0x1.982d9b6fb1bb4p-3, -0x1.910cb2db4bd51p-3, -0x1.8a0089b3a986p-3, -0x1.8309422091affp-3, -0x1.7c26f98da15bfp-3, -0x1.7559c8cf355e9p-3, -0x1.6ea1c449909cep-3, -0x1.67fefc1a81cabp-3, -0x1.61717c458facap-3, -0x1.5af94ce262db3p-3, -0x1.5496724cfd518p-3, -0x1.4e48ed571dee6p-3, -0x1.4810bb7a1c76fp-3, -0x1.41edd70889c93p-3, -0x1.3be0375ed0f84p-3, -0x1.35e7d11249f2p-3, -0x1.3004961e15ad2p-3, -0x1.2a36760d73d37p-3, -0x1.247d5e2334ac6p-3, -0x1.1ed9397e295e4p-3, -0x1.1949f13a8e221p-3, -0x1.13cf6c9079d76p-3, -0x1.0e6990ef95d38p-3, -0x1.0918421846611p-3, -0x1.03db6232a7565p-3, -0x1.fd65a3c731236p-4, -0x1.f33ce0c072b83p-4, -0x1.e93c370035a47p-4, -0x1.df635f9cc17d8p-4, -0x1.d5b2113447293p-4, -0x1.cc28000c5a15ep-4, -0x1.c2c4de307bf53p-4, -0x1.b9885b9001556p-4, -0x1.b072261b60b2ap-4, -0x1.a781e9e11b7fbp-4, -0x1.9eb7512a44a9cp-4, -0x1.96120496b1f76p-4, -0x1.8d91ab38cffd3p-4, -0x1.8535eab118215p-4, -0x1.7cfe674913642p-4, -0x1.74eac40dd7a31p-4, -0x1.6cfaa2e9ebfa9p-4, -0x1.652da4be7903bp-4, -0x1.5d83697bb0578p-4, -0x1.55fb903850f4bp-4, -0x1.4e95b7483c91bp-4, -0x1.47517c520adaep-4, -0x1.402e7c6398535p-4, -0x1.392c54058cf98p-4, -0x1.324a9f4de4e46p-4, -0x1.2b88f9f184b21p-4, -0x1.24e6ff54ec9b8p-4, -0x1.1e644a9c1d004p-4, -0x1.180076b9c7adfp-4, -0x1.11bb1e7dde41p-4, -0x1.0b93dca399966p-4, -0x1.058a76a18be64p-4, -0x1.ff3c646458ea6p-5, -0x1.f39da491229d2p-5, -0x1.e837e428c4e8cp-5, -0x1.dd0a59e41bd7ep-5, -0x1.d2143ce97c292p-5, -0x1.c754c4e06e073p-5, -0x1.bccb2a05378bcp-5, -0x1.b276a53c39e06p-5, -0x1.a8567025193dap-5, -0x1.9e69c52da53b7p-5, -0x1.94afdfa4719d6p-5, -0x1.8b27fbcb12efep-5, -0x1.81d156e7eb42bp-5, -0x1.78ab2f5775688p-5, -0x1.6fb4c49cfe333p-5, -0x1.66ed5772bf017p-5, -0x1.5e5429d944272p-5, -0x1.55e87f261c069p-5, -0x1.4da99c11bd9cdp-5, -0x1.4596c6c4a5cc9p-5, -0x1.3daf46e3a0257p-5, -0x1.35f2659b3e52dp-5, -0x1.2e5f6daa799ebp-5, -0x1.26f5ab6c84dddp-5, -0x1.1fb46ce1cec6p-5, -0x1.189b01b83f958p-5, -0x1.11a8bb52b428ep-5, -0x1.0adceccfc275ap-5, -0x1.0436eb0fd19d4p-5, -0x1.fb6c19751945dp-6, -0x1.eeb354877dc73p-6, -0x1.e2423bdf3f332p-6, -0x1.d61787ad39315p-6, -0x1.ca31f3d15804dp-6, -0x1.be903fe05ce19p-6, -0x1.b3312f28d6316p-6, -0x1.a81388b760e24p-6, -0x1.9d36175a3d4e4p-6, -0x1.9297a9a447eb4p-6, -0x1.883711ef63d54p-6, -0x1.7e13265e5ef18p-6, -0x1.742ac0de5767fp-6, -0x1.6a7cbf27b084cp-6, -0x1.610802be986c6p-6, -0x1.57cb70f31d372p-6, -0x1.4ec5f2e0ea183p-6, -0x1.45f6756e93384p-6, -0x1.3d5be94c88e6bp-6, -0x1.34f542f3ac7f7p-6, -0x1.2cc17aa384349p-6, -0x1.24bf8c6014118p-6, -0x1.1cee77ef5b84p-6, -0x1.154d40d6781d8p-6, -0x1.0ddaee566abe7p-6, -0x1.06968b688b204p-6, -0x1.fefe4d753cf86p-7, -0x1.f127a55529a91p-7, -0x1.e3a74a83f5e3ap-7, -0x1.d67b70621efa7p-7, -0x1.c9a251931c6ffp-7, -0x1.bd1a2ff255f44p-7, -0x1.b0e1548782cc2p-7, -0x1.a4f60f7a74097p-7, -0x1.9956b80657a7ep-7, -0x1.8e01ac6c7a2f6p-7, -0x1.82f551e6813a8p-7, -0x1.7830149836ce9p-7, -0x1.6db06780dd13p-7, -0x1.6374c46c1e1c1p-7, -0x1.597babe292289p-7, -0x1.4fc3a519f43e7p-7, -0x1.464b3de4ef31ep-7, -0x1.3d110aa2b189ap-7, -0x1.3413a62e2653bp-7, -0x1.2b51b1ccf1767p-7, -0x1.22c9d51e3151p-7, -0x1.1a7abe0904201p-7, -0x1.126320aadecc8p-7, -0x1.0a81b745b29c4p-7, -0x1.02d5422dea7f2p-7, -0x1.f6b90f7091a93p-8, -0x1.e82ca84f3c246p-8, -0x1.da02f334d2a1fp-8, -0x1.cc399ff0b69a3p-8, -0x1.bece69bf8f539p-8, -0x1.b1bf1726081b1p-8, -0x1.a50979cb6dd5fp-8, -0x1.98ab6e543b67ep-8, -0x1.8ca2dc3c8ba3dp-8, -0x1.80edb5b289d4cp-8, -0x1.7589f770cffa1p-8, -0x1.6a75a898c93dap-8, -0x1.5faeda8d16197p-8, -0x1.5533a8cbf46e9p-8, -0x1.4b0238c9b6cf3p-8, -0x1.4118b9cb46327p-8, -0x1.377564c0bf3e3p-8, -0x1.2e167c201d5b7p-8, -0x1.24fa4bc00aaabp-8, -0x1.1c1f28b2cb8d3p-8, -0x1.138371214dee5p-8, -0x1.0b258c266114bp-8, -0x1.0303e9aa15fbfp-8, -0x1.f63a047aa9c1ep-9, -0x1.e6deadeb37cdep-9, -0x1.d7f2e291f120bp-9, -0x1.c973c5d474b6fp-9, -0x1.bb5e8b4abe25ap-9, -0x1.adb0767876b3dp-9, -0x1.a066da86d8d24p-9, -0x1.937f19ff06f9fp-9, -0x1.86f6a68509be1p-9, -0x1.7acb009344a5p-9, -0x1.6ef9b7369bc68p-9, -0x1.638067cb23555p-9, -0x1.585cbdb979bc7p-9, -0x1.4d8c7234bf5bfp-9, -0x1.430d4bf939f96p-9, -0x1.38dd1f0ba864p-9, -0x1.2ef9cc793b0b1p-9, -0x1.2561421842f8ep-9, -0x1.1c117a499df54p-9, -0x1.13087bbaca699p-9, -0x1.0a445928c9dfcp-9, -0x1.01c33123ad839p-9, -0x1.f3065ba5da9b8p-10, -0x1.e305097501accp-10, -0x1.d37eed0162bafp-10, -0x1.c4709d69783c1p-10, -0x1.b5d6c72c66f06p-10, -0x1.a7ae2bba4fe87p-10, -0x1.99f3a10637de4p-10, -0x1.8ca411197e3fcp-10, -0x1.7fbc79a8d0c7ap-10, -0x1.7339ebaae5f31p-10, -0x1.67198af0935ebp-10, -0x1.5b588dbe9c5d4p-10, -0x1.4ff43c6904fe7p-10, -0x1.44e9f0efebc52p-10, -0x1.3a37169e2018cp-10, -0x1.2fd929a916de6p-10, -0x1.25cdb6d27c465p-10, -0x1.1c125b0b71715p-10, -0x1.12a4c319337f6p-10, -0x1.0982ab3b54918p-10, -0x1.00a9ded380c55p-10, -0x1.f030701d8c1a6p-11, -0x1.df973f20c0b53p-11, -0x1.cf84183bf8f7ep-11, -0x1.bff3049b0d3cap-11, -0x1.b0e02868d0d4cp-11, -0x1.a247c230910dap-11, -0x1.94262a4244ce9p-11, -0x1.8677d219fa746p-11, -0x1.793943c9d52c5p-11, -0x1.6c67216703a47p-11, -0x1.5ffe24796e173p-11, -0x1.53fb1d6e526ap-11, -0x1.485af30d7893cp-11, -0x1.3d1aa1f13ba43p-11, -0x1.32373c0132f54p-11, -0x1.27ade7ef8e366p-11, -0x1.1d7be0b92bf97p-11, -0x1.139e75280c693p-11, -0x1.0a1307589d5a4p-11, -0x1.00d70c4159832p-11, -0x1.efd0167a2d75ap-12, -0x1.de873b2f445e8p-12, -0x1.cdcedc39c1b3bp-12, -0x1.bda27154c94f8p-12, -0x1.adfd93864f7e7p-12, -0x1.9edbfc4bca02cp-12, -0x1.903984cade0fp-12, -0x1.821225070ea07p-12, -0x1.7461f31b28504p-12, -0x1.67252277abb74p-12, -0x1.5a5803251134fp-12, -0x1.4df7010a43535p-12, -0x1.41fea336ef668p-12, -0x1.366b8b3265f57p-12, -0x1.2b3a744d98452p-12, -0x1.206832f960c52p-12, -0x1.15f1b4204972ep-12, -0x1.0bd3fc841a833p-12, -0x1.020c281e8a3c1p-12, -0x1.f12ed30b9566bp-13, -0x1.dee612a87fe47p-13, -0x1.cd38cb26d29acp-13, -0x1.bc21e25421b7ep-13, -0x1.ab9c669b109bfp-13, -0x1.9ba38debdc5ep-13, -0x1.8c32b4ab0dac8p-13, -0x1.7d455ca5244c4p-13, -0x1.6ed72c08faf77p-13, -0x1.60e3ec6738ab5p-13, -0x1.536789b6729f3p-13, -0x1.465e115dcc0f2p-13, -0x1.39c3b143fb06fp-13, -0x1.2d94b6e39f0fcp-13, -0x1.21cd8e6496e45p-13, -0x1.166ac1ba5276ap-13, -0x1.0b68f7c6d2041p-13, -0x1.00c4f382bab42p-13, -0x1.ecf72653c6427p-14, -0x1.d9139ed9b8666p-14, -0x1.c5d9754cfb653p-14, -0x1.b343002e5174fp-14, -0x1.a14ac6468d78cp-14, -0x1.8feb7d2f09ec7p-14, -0x1.7f2007e161ff2p-14, -0x1.6ee37550b8db5p-14, -0x1.5f30ff0bebe52p-14, -0x1.500407e867b3ap-14, -0x1.41581ab5b47a9p-14, -0x1.3328e8f91ecc4p-14, -0x1.257249b346421p-14, -0x1.1830382c8e22ep-14, -0x1.0b5ed2cab97dbp-14, -0x1.fdf4b3ddba818p-15, -0x1.e5fe5db4ad104p-15, -0x1.ced3a53baf4acp-15, -0x1.b86dca1cbb492p-15, -0x1.a2c6478576112p-15, -0x1.8e2678305297fp-15, -0x1.79dede4252c56p-15, -0x1.66444e017d2e7p-15, -0x1.53510edd5ed52p-15, -0x1.40ff9ae5eb778p-15, -0x1.2f4a9d2af717cp-15, -0x1.1e2cf026442ap-15, -0x1.0da19c31b7c2fp-15, -0x1.fb47ac1059bdbp-16, -0x1.dc5dfaa0fd415p-16, -0x1.be7d366800ee8p-16, -0x1.a19cc1faed84fp-16, -0x1.85b44d86f5b18p-16, -0x1.6abbd43cbbc32p-16, -0x1.50ab99c479401p-16, -0x1.377c27ce972e3p-16, -0x1.1f264bb27b1ap-16, -0x1.07a3141f4f283p-16, -0x1.e1d79dbd01798p-17, -0x1.b5f40d4dda87p-17, -0x1.8b8f020157a0cp-17, -0x1.629c7871ef4bp-17, -0x1.3b10dacae16bbp-17, -0x1.14e0fcede8952p-17, -0x1.e0043176b1ee4p-18, -0x1.98d394d7d7e9p-18, -0x1.541c1a26913bbp-18, -0x1.11ca6e70c07a1p-18, -0x1.a397de218a5e5p-19, -0x1.281d46ae7110fp-19, -0x1.6204d91754e9bp-20, -0x1.f12f0a99d4b19p-22, 0x1.84c4cbb780ed3p-22, 0x1.36b03b315ac0cp-20, 0x1.0236aaf8fb056p-19, 0x1.65513227ddd74p-19, 0x1.c4c39e82aade5p-19, 0x1.10546ffe36984p-18, 0x1.3c8d7a52205edp-18, 0x1.671978ef7d235p-18, 0x1.9004869c2e635p-18, 0x1.b75a527704566p-18, 0x1.dd262423874b4p-18, 0x1.00b96fe0cdac1p-17, 0x1.122584eb4a776p-17, 0x1.22dc6577fa42bp-17, 0x1.32e2f9ab3191cp-17, 0x1.423dff3a6b4afp-17, 0x1.50f20b1b831c5p-17, 0x1.5f038b2181fadp-17, 0x1.6c76c7898a4b8p-17, 0x1.794fe47caa19p-17, 0x1.8592e38203912p-17, 0x1.9143a4de7ca95p-17, 0x1.9c65e8f8e7085p-17, 0x1.a6fd5192bdc6fp-17, 0x1.b10d631300d0ep-17, 0x1.ba9985b34ce6bp-17, 0x1.c3a506a889c31p-17, 0x1.cc33193cee0cbp-17, 0x1.d446d7e11cd1fp-17, 0x1.dbe345313e28cp-17, 0x1.e30b4cf00877dp-17, 0x1.e9c1c4f960aafp-17, 0x1.f0096e29dc212p-17, 0x1.f5e4f53dae4ap-17, 0x1.fb56f3a16c52cp-17, 0x1.0030f823599c5p-16, 0x1.028430316126ep-16, 0x1.04a65415fceb5p-16, 0x1.06988dc6ec7e6p-16, 0x1.085bff6ab84e9p-16, 0x1.09f1c3ab2912fp-16, 0x1.0b5aee05038ccp-16, 0x1.0c988b10553dcp-16, 0x1.0daba0cd7e922p-16, 0x1.0e952ee807831p-16, 0x1.0f562ef7dc609p-16, 0x1.0fef94c04a254p-16, 0x1.10624e6dcab55p-16, 0x1.10af44cde5bdcp-16, 0x1.10d75b88b2127p-16, 0x1.10db7153845fp-16, 0x1.10bc60226010fp-16, 0x1.107afd59b83ebp-16, 0x1.101819fc2dbb8p-16, 0x1.0f9482d507248p-16, 0x1.0ef100a43bbaap-16, 0x1.0e2e58458e58bp-16, 0x1.0d4d4ad6b9e71p-16, 0x1.0c4e95dd1aa9cp-16, 0x1.0b32f368b17f1p-16, 0x1.09fb1a35b06bp-16, 0x1.08a7bdcd15be2p-16, 0x1.07398ea38b5c4p-16, 0x1.05b13a371ddb9p-16, 0x1.040f6b2b36522p-16, 0x1.0254c9635152bp-16, 0x1.0081fa1e1cf3ep-16, 0x1.fd2f401c0143ap-17, 0x1.f92cb6d28ec5dp-17, 0x1.f4fd9413b2e84p-17, 0x1.f0a30ef6ae2efp-17, 0x1.ec1e5a1fe5358p-17, 0x1.e770a3e055d74p-17, 0x1.e29b165aaeef2p-17, 0x1.dd9ed79e13945p-17, 0x1.d87d09c21fb6dp-17, 0x1.d336caff68045p-17, 0x1.cdcd35c72e98dp-17, 0x1.c84160d518dbfp-17, 0x1.c2945f449f68cp-17, 0x1.bcc740a0457cfp-17, 0x1.b6db10f1538cbp-17, 0x1.b0d0d8cdc8fe9p-17, 0x1.aaa99d666f0c9p-17, 0x1.a4666091efd5fp-17, 0x1.9e0820d84559ep-17, 0x1.978fd98333b7ep-17, 0x1.90fe82a03a627p-17, 0x1.8a551113406bep-17, 0x1.8394769d2aac2p-17, 0x1.7cbda1e74d9dap-17, 0x1.75d17e8c10172p-17, 0x1.6ed0f5255ebbbp-17, 0x1.67bceb53226bcp-17, 0x1.609643bf7d757p-17, 0x1.595dde2f3d2efp-17, 0x1.52149788e1f67p-17, 0x1.4abb49d5bf6d3p-17, 0x1.4352cc536cb8bp-17, 0x1.3bdbf37351384p-17, 0x1.345790e389aefp-17, 0x1.2cc67392b52f5p-17, 0x1.252967b709367p-17, 0x1.1d8136d251e5cp-17, 0x1.15cea7b5518cbp-17, 0x1.0e127e84a471fp-17, 0x1.064d7cba28d2ep-17, 0x1.fd00c253610bfp-18, 0x1.ed57d00659157p-18, 0x1.dda195a764ed7p-18, 0x1.cddf811273585p-18, 0x1.be12fae6af6b3p-18, 0x1.ae3d6685cefefp-18, 0x1.9e60222a3ecf9p-18, 0x1.8e7c86cd4e7a8p-18, 0x1.7e93e83cf64b9p-18, 0x1.6ea79517d03c7p-18, 0x1.5eb8d6d2fd6bbp-18, 0x1.4ec8f1bae457ap-18, 0x1.3ed924f2ef71p-18, 0x1.2eeaaa7d82077p-18, 0x1.1efeb73bebe48p-18, }}, 
      {{0x1.052fd72d9fb63p-1, 0x1.33adc038dbc3bp-1, 0x1.70158edb7968p-1, 0x1.b16abc986034ep-1, 0x1.f1c02a9a6dbb5p-1, 0x1.16abf57ba0b82p+0, 0x1.3100025b23518p+0, 0x1.474e6ac59f95dp+0, 0x1.59697fc985b1p+0, 0x1.676424edcb0d9p+0, 0x1.717ae1fe1bd62p+0, 0x1.78035310923ddp+0, 0x1.7b6069cc722e7p+0, 0x1.7bfa1a3108b24p+0, 0x1.7a37c2c799072p+0, 0x1.767c6c8afcdf2p+0, 0x1.7124725de3982p+0, 0x1.6a843ad2a3bcap+0, 0x1.62e7960f25cefp+0, 0x1.5a919bb10d2a3p+0, 0x1.51bcd9c5d2c5ep+0, 0x1.489bf1927f27fp+0, 0x1.3f59f255eb129p+0, 0x1.361b14efe5ae3p+0, 0x1.2cfd814e842f4p+0, 0x1.241996377c48cp+0, 0x1.1b82b01387e9cp+0, 0x1.1348614a587fbp+0, 0x1.0b7602be22a63p+0, 0x1.0413c142ebe6p+0, 0x1.fa4e056aaee17p-1, 0x1.ed6594b94e46bp-1, 0x1.e170223bf1878p-1, 0x1.d66c372205a85p-1, 0x1.cc55911c529d3p-1, 0x1.c325a6d9adf2cp-1, 0x1.bad419fbdb654p-1, 0x1.b3571ce5f18dap-1, 0x1.aca3cbb081017p-1, 0x1.a6ae78f30921dp-1, 0x1.a16af0e8d651p-1, 0x1.9cccb28d0d5e8p-1, 0x1.98c71dcd5a948p-1, 0x1.954d98f64ad08p-1, 0x1.9253b09dd304fp-1, 0x1.8fcd33afada88p-1, 0x1.8dae4bb932068p-1, 0x1.8beb91228574fp-1, 0x1.8a7a1aea8e19ep-1, 0x1.894f8972d78afp-1, 0x1.88620c4525a1p-1, 0x1.87a863ad6f036p-1, 0x1.8719e013709e4p-1, 0x1.86ae613e8245bp-1, 0x1.865cb52ec252cp-1, 0x1.8620a903f0822p-1, 0x1.85f2a4229a402p-1, 0x1.85ccd114179ddp-1, 0x1.85a9dad6c08b9p-1, 0x1.8584e652398c1p-1, 0x1.85598e349d8b6p-1, 0x1.8523dfc3167ccp-1, 0x1.84e057246ed51p-1, 0x1.848bda5bf7212p-1, 0x1.8423b2ff58df3p-1, 0x1.83a58740c0b96p-1, 0x1.830f530678e7ap-1, 0x1.825f618e52355p-1, 0x1.819447becf177p-1, 0x1.80acdf00a304fp-1, 0x1.7fa84061cc233p-1, 0x1.7e85bfd22da14p-1, 0x1.7d44e769764bbp-1, 0x1.7be572c1835b8p-1, 0x1.7a674a7c2dcb4p-1, 0x1.78ca800812e9p-1, 0x1.770f49ac7833cp-1, 0x1.7535fed8c3992p-1, 0x1.733f14ad58088p-1, 0x1.712b1ab3f033ep-1, 0x1.6efab7c33224dp-1, 0x1.6caea7105c882p-1, 0x1.6a47b57604398p-1, 0x1.67c6bef56ae23p-1, 0x1.652cac72108dbp-1, 0x1.627a71a0aa702p-1, 0x1.5fb10b1fa1bb9p-1, 0x1.5cd17cb147ddap-1, 0x1.59dccf9569216p-1, 0x1.56d4110500eb3p-1, 0x1.53b850d431f1p-1, 0x1.508aa03b7ab57p-1, 0x1.4d4c10c34eaddp-1, 0x1.49fdb3488652cp-1, 0x1.46a0970f51c7ep-1, 0x1.4335c8de3f412p-1, 0x1.3fbe52219ed0ep-1, 0x1.3c3b381dc7945p-1, 0x1.38ad7b398c398p-1, 0x1.351616685b515p-1, 0x1.3175feb645dc3p-1, 0x1.2dce22f205436p-1, 0x1.2a1f6b6d10328p-1, 0x1.266ab9c945dabp-1, 0x1.22b0e8ce9371bp-1, 0x1.1ef2cc4754d81p-1, 0x1.1b3130e5ea9a9p-1, 0x1.176cdc375f1f8p-1, 0x1.13a68ca5a7042p-1, 0x1.0fdef988d0b25p-1, 0x1.0c166686a74aep-1, 0x1.084e6037fc29dp-1, 0x1.04871a343d5bbp-1, 0x1.00c12f605ab34p-1, 0x1.f9fa670ca71eep-2, 0x1.f277672a1a3dp-2, 0x1.eafa6bcadb042p-2, 0x1.e38474fd515e1p-2, 0x1.dc1676a93aac4p-2, 0x1.d4b158f98af12p-2, 0x1.cd55f8b05712p-2, 0x1.c6052765991a5p-2, 0x1.bebfabb4c04b3p-2, 0x1.b786415f1d07fp-2, 0x1.b0599969ff7e2p-2, 0x1.a93a5a3f112b2p-2, 0x1.a2291fd44ffe2p-2, 0x1.9b267bdf6658dp-2, 0x1.9432f61659b47p-2, 0x1.8d4f0c7dd021cp-2, 0x1.867b33c3a9623p-2, 0x1.7fb7d7a38998p-2, 0x1.79055b521ab7ep-2, 0x1.726419eb6d8b3p-2, 0x1.6bd466e0e3f31p-2, 0x1.65568e635f796p-2, 0x1.5eead5c7165d2p-2, 0x1.58917bdf3882ep-2, 0x1.524ab9505febep-2, 0x1.4c16c0d9aecc7p-2, 0x1.45f5bf951c8dcp-2, 0x1.3fe7dd301d3e3p-2, 0x1.39ed3c1e1630ap-2, 0x1.3405f9c65f137p-2, 0x1.2e322eaf7d9f4p-2, 0x1.2871eea947ccfp-2, 0x1.22c548f744efp-2, 0x1.1d2c487c65677p-2, 0x1.17a6f3e8c54a9p-2, 0x1.12354de9cd7fap-2, 0x1.0cd7555ca0052p-2, 0x1.078d0582744e7p-2, 0x1.02565636327d3p-2, 0x1.fa66784509d3bp-3, 0x1.f04751eeddedap-3, 0x1.e64f173d0818ap-3, 0x1.dc7da0d9e0ee6p-3, 0x1.d2d2c2a54a40bp-3, 0x1.c94e4c0c4fc64p-3, 0x1.bff0085979bb6p-3, 0x1.b6b7befd8b174p-3, 0x1.ada533d0d129p-3, 0x1.a4b8274d6b86ap-3, 0x1.9bf056c31f328p-3, 0x1.934d7c8597e88p-3, 0x1.8acf5015f53b5p-3, 0x1.82758648a1b7bp-3, 0x1.7a3fd1687161p-3, 0x1.722de157f09ffp-3, 0x1.6a3f63b1aed43p-3, 0x1.627403e841a5dp-3, 0x1.5acb6b667a7b2p-3, 0x1.534541b02fb37p-3, 0x1.4be12c83bcd83p-3, 0x1.449ecffc4edf7p-3, 0x1.3d7dceb4d0852p-3, 0x1.367dc9eb3e6ffp-3, 0x1.2f9e61a4193dap-3, 0x1.28df34cd9ca0cp-3, 0x1.223fe1624f5e4p-3, 0x1.1bc0048aa86fcp-3, 0x1.155f3abd5a761p-3, 0x1.0f1d1fde1c24dp-3, 0x1.08f94f5aa2e26p-3, 0x1.02f36445bc425p-3, 0x1.fa15f2e0cf227p-4, 0x1.ee7f5301f5c2p-4, 0x1.e3221e10b7012p-4, 0x1.d7fd892ad4d41p-4, 0x1.cd10c98d8520dp-4, 0x1.c25b14b5ef54dp-4, 0x1.b7dba07f02ebdp-4, 0x1.ad91a33d096c3p-4, 0x1.a37c53d72fa8ap-4, 0x1.999ae9df76ddfp-4, 0x1.8fec9da931eb6p-4, 0x1.8670a85e5968cp-4, 0x1.7d264413daab3p-4, 0x1.740cabdd075e3p-4, 0x1.6b231bde3e252p-4, 0x1.6268d15edc472p-4, 0x1.59dd0ada826c6p-4, 0x1.517f0811b31d3p-4, 0x1.494e0a19c7224p-4, 0x1.4149536c384edp-4, 0x1.397027f53a9c5p-4, 0x1.31c1cd219d9cbp-4, 0x1.2a3d89ebebe16p-4, 0x1.22e2a6e8c479ap-4, 0x1.1bb06e5263442p-4, 0x1.14a62c1355182p-4, 0x1.0dc32dd05602p-4, 0x1.0706c2f15588fp-4, 0x1.00703ca9a96ddp-4, 0x1.f3fddbfee2038p-5, 0x1.e76457a46524ap-5, 0x1.db1299c18258ep-5, 0x1.cf07539ce811cp-5, 0x1.c3413a4f8163ep-5, 0x1.b7bf06cc89d0dp-5, 0x1.ac7f75e89e74ap-5, 0x1.a181485fe8654p-5, 0x1.96c32956dabdp-5, 0x1.8c44175382281p-5, 0x1.8202c0c5c56ep-5, 0x1.77fdf663a54cbp-5, 0x1.6e348ce022696p-5, 0x1.64a55cebff88cp-5, 0x1.5b4f433622aa5p-5, 0x1.5231206b97253p-5, 0x1.4949d93738289p-5, 0x1.40985640ff675p-5, 0x1.381b842cf8fd1p-5, 0x1.2fd25399db24dp-5, 0x1.27bbb91f3a5c7p-5, 0x1.1fd6ad4b59f67p-5, 0x1.18222ca0942c2p-5, 0x1.109d37925847ep-5, 0x1.0946d281b50e4p-5, 0x1.021e05b978e4cp-5, 0x1.f643bad3b99e3p-6, 0x1.e8a2d3477b8ddp-6, 0x1.db577ca6cdc9dp-6, 0x1.ce5fe675d3c96p-6, 0x1.c1ba47d81c35cp-6, 0x1.b564df83a34a1p-6, 0x1.a95df3b313aefp-6, 0x1.9da3d21740e6p-6, 0x1.9234cfc7ec282p-6, 0x1.870f4933e3e5ap-6, 0x1.7c31a2107bcc4p-6, 0x1.719a454879792p-6, 0x1.6747a4ea795a1p-6, 0x1.5d383a16db3bp-6, 0x1.536a84ed4274fp-6, 0x1.49dd0c79b44cfp-6, 0x1.408e5ea165665p-6, 0x1.377d100f36fcfp-6, 0x1.2ea7bc1ffdfp-6, 0x1.260d04ce890f8p-6, 0x1.1dab929f8386ep-6, 0x1.1582148d2c5a6p-6, 0x1.0d8f3ff2f272ep-6, 0x1.05d1d078f8091p-6, 0x1.fc910fff08f0ep-7, 0x1.ede45d14d2d01p-7, 0x1.df9b2458c1d38p-7, 0x1.d1b30de4ca88cp-7, 0x1.c429cd9e0bd97p-7, 0x1.b6fd230b8b4a3p-7, 0x1.aa2ad92ceb97cp-7, 0x1.9db0c6513ca9ap-7, 0x1.918ccbedd125ap-7, 0x1.85bcd6753fa49p-7, 0x1.7a3edd2e66b76p-7, 0x1.6f10e20ba0c65p-7, 0x1.6430f1820e742p-7, 0x1.599d22610e0b3p-7, 0x1.4f5395a9d348ep-7, 0x1.455276672d763p-7, 0x1.3b97f9857da3p-7, 0x1.32225daadac19p-7, 0x1.28efeb0f6cee7p-7, 0x1.1ffef355fec2dp-7, 0x1.174dd164c97aep-7, 0x1.0edae93e8221dp-7, 0x1.06a4a7dba3f6p-7, 0x1.fd53060801378p-8, 0x1.edcff2512ec5p-8, 0x1.debd227b6ed27p-8, 0x1.d017b52ad9d47p-8, 0x1.c1dcd9748007dp-8, 0x1.b409ce9486e2fp-8, 0x1.a69be3a4f35b2p-8, 0x1.9990775521d54p-8, 0x1.8ce4f7a1ef6aep-8, 0x1.8096e18e99dc4p-8, 0x1.74a3c0de5ca9dp-8, 0x1.69092fcec6d2bp-8, 0x1.5dc4d6d2d62c3p-8, 0x1.52d46c4ed8096p-8, 0x1.4835b4550cf27p-8, 0x1.3de680631676p-8, 0x1.33e4af203303dp-8, 0x1.2a2e2c1c40c8cp-8, 0x1.20c0ef8f9a1f1p-8, 0x1.179afe1bb35e5p-8, 0x1.0eba688c96307p-8, 0x1.061d4b9b26283p-8, 0x1.fb839f6079e78p-9, 0x1.eb4c51512ae2fp-9, 0x1.db912b3317b08p-9, 0x1.cc4ec12d65e73p-9, 0x1.bd81bcf06c035p-9, 0x1.af26dd442bab9p-9, 0x1.a13af59860299p-9, 0x1.93baed96424b7p-9, 0x1.86a3c0b3dfe84p-9, 0x1.79f27dc9256d1p-9, 0x1.6da446a67b0cbp-9, 0x1.61b64fad0a665p-9, 0x1.5625df689c4f8p-9, 0x1.4af04e2b1a043p-9, 0x1.401305a9a0d8fp-9, 0x1.358b809b3562p-9, 0x1.2b574a5906dcfp-9, 0x1.2173fe80487c5p-9, 0x1.17df4895a9091p-9, 0x1.0e96e3aa362ddp-9, 0x1.05989a01f76c5p-9, 0x1.f9c48977e979ep-10, 0x1.e8e396f79e423p-10, 0x1.d88a4829b126ep-10, 0x1.c8b4a46d6430cp-10, 0x1.b95ece36bcf4cp-10, 0x1.aa85026da4496p-10, 0x1.9c2397d00b79ep-10, 0x1.8e36fe56c4c73p-10, 0x1.80bbbe9d68283p-10, 0x1.73ae794d041cap-10, 0x1.670be6898f509p-10, 0x1.5ad0d5623a961p-10, 0x1.4efa2b44774c9p-10, 0x1.4384e371b8f7cp-10, 0x1.386e0e77f4458p-10, 0x1.2db2d1acc07dep-10, 0x1.235066ab221fp-10, 0x1.19441ad3e4be1p-10, 0x1.0f8b4ed09f351p-10, 0x1.062376192a261p-10, 0x1.fa142cf75f221p-11, 0x1.e8798f4e56caep-11, 0x1.d7726570b4f52p-11, 0x1.c6fa239238683p-11, 0x1.b70c5f0472693p-11, 0x1.a7a4cd5ee7f59p-11, 0x1.98bf43abe4c71p-11, 0x1.8a57b599f5183p-11, 0x1.7c6a34b1afea5p-11, 0x1.6ef2ef9016091p-11, 0x1.61ee312536869p-11, 0x1.55585ff70807ap-11, 0x1.492dfd68ce3dap-11, 0x1.3d6ba50629074p-11, 0x1.320e0bd29e686p-11, 0x1.2711ff9cf2dc4p-11, 0x1.1c746656884e7p-11, 0x1.12323d6e9315cp-11, 0x1.0848993126beep-11, 0x1.fd694853d3945p-12, 0x1.eae73d1540a2dp-12, 0x1.d905bb2a5e7c7p-12, 0x1.c7bf961264cf4p-12, 0x1.b70fc92a17d88p-12, 0x1.a6f17694edd61p-12, 0x1.975fe62c90f7ep-12, 0x1.8856847733d0bp-12, 0x1.79d0e1a44c2f8p-12, 0x1.6bcab08f995c4p-12, 0x1.5e3fc5ca6ae9p-12, 0x1.512c16aae9f0cp-12, 0x1.448bb8616ce01p-12, 0x1.385adf1398135p-12, 0x1.2c95dcfd3f961p-12, 0x1.21392196d6ab4p-12, 0x1.164138c1897e8p-12, 0x1.0baac9f870e0cp-12, 0x1.0172978737e18p-12, 0x1.ef2afb8c48d2ap-13, 0x1.dc20e4b51c916p-13, 0x1.c9c106f9afcfbp-13, 0x1.b805ae85fb001p-13, 0x1.a6e955e0015aap-13, 0x1.9666a48f62bp-13, 0x1.86786dce7b978p-13, 0x1.7719af4400591p-13, 0x1.68458fc587abbp-13, 0x1.59f75e21b803ap-13, 0x1.4c2a8ff405ef4p-13, 0x1.3edac07f01652p-13, 0x1.3203af8f5f8fp-13, 0x1.25a14066320c7p-13, 0x1.19af78ab0aa1fp-13, 0x1.0e2a7f648ab76p-13, 0x1.030e9bf8bc22cp-13, 0x1.f0b06a67dc27dp-14, 0x1.dc07a0ad02a5ap-14, 0x1.c81c20510e5c8p-14, 0x1.b4e7682a098fap-14, 0x1.a2632e93ceca5p-14, 0x1.90895fbde4aeep-14, 0x1.7f541c045d06p-14, 0x1.6ebdb6541bf14p-14, 0x1.5ec0b29a4159ap-14, 0x1.4f57c43e26a7fp-14, 0x1.407dcca696dccp-14, 0x1.322dd9c79d238p-14, 0x1.246324bc76e0ep-14, 0x1.17191069368c4p-14, 0x1.0a4b28271070ap-14, 0x1.fbea3cf28ba83p-15, 0x1.e425979769a32p-15, 0x1.cd405a72f0918p-15, 0x1.b732c6b8cf34ap-15, 0x1.a1f5624ac1234p-15, 0x1.8d80f5779b746p-15, 0x1.79ce88cc57b1dp-15, 0x1.66d762f3ec4ddp-15, 0x1.549506a6261fdp-15, 0x1.430130a70e817p-15, 0x1.3215d5d2421adp-15, 0x1.21cd213958249p-15, 0x1.1221724af6d6cp-15, 0x1.030d5b0bb85e2p-15, 0x1.e9173cb694b92p-16, 0x1.cd2e5c8da5218p-16, 0x1.b25654d321c6p-16, 0x1.9885bcae1e28dp-16, 0x1.7fb3802d6b2ddp-16, 0x1.67d6dd4f228acp-16, 0x1.50e76123be7edp-16, 0x1.3adce5082d0aap-16, 0x1.25af8bf6377c2p-16, 0x1.1157bfec1b86cp-16, 0x1.fb9c5ed294161p-17, 0x1.d617960104a3cp-17, 0x1.b282141df6a25p-17, 0x1.8fe2e1ab741dap-17, 0x1.6eabfa2f094ffp-17, 0x1.4ed10ab6c9f99p-17, 0x1.30462f2ea4695p-17, 0x1.12ffee834b47ap-17, 0x1.ede66db12160ep-18, 0x1.b82ab3d9a7c35p-18, 0x1.84b8132228adbp-18, 0x1.537aa885dff44p-18, 0x1.245f43c4e873cp-18, 0x1.eea6c1f9d00e1p-19, 0x1.988a4513db5f7p-19, 0x1.4646961ecead2p-19, 0x1.ef74debf8ac2ap-20, 0x1.598b6a02b6a1ep-20, 0x1.9525a933a37fdp-21, 0x1.093d3a27e0da6p-22, -0x1.fbc71682b442bp-23, -0x1.75faf05967701p-21, -0x1.30743b17c6b47p-20, -0x1.a01118139f2c8p-20, -0x1.05031805f05c5p-19, -0x1.3741f4a90aad4p-19, -0x1.66dc7fdbec44cp-19, -0x1.93e94a44db2ebp-19, -0x1.be7e1ecfa9611p-19, -0x1.e6b009f562b65p-19, -0x1.0649b07151561p-18, -0x1.181de41cba88ap-18, -0x1.28de1d54faaebp-18, -0x1.389387a151f4bp-18, -0x1.4746ffc8280cdp-18, -0x1.550116bf44ea5p-18, -0x1.61ca1480d4666p-18, -0x1.6da9facb2f99ep-18, -0x1.78a887bc95546p-18, -0x1.82cd385fc3ee2p-18, -0x1.8c1f4b19354aap-18, -0x1.94a5c20a74288p-18, -0x1.9c676549956dbp-18, -0x1.a36ac51321e1dp-18, -0x1.a9b63be3b0702p-18, -0x1.af4ff07bbf835p-18, -0x1.b43dd7d06794cp-18, -0x1.b885b6e627138p-18, -0x1.bc2d249ce0a48p-18, -0x1.bf398b6e94e04p-18, -0x1.c1b02b130947dp-18, -0x1.c3961a1a9bc8ep-18, -0x1.c4f0476cb3f8bp-18, -0x1.c5c37bd0b8aafp-18, -0x1.c6145b4e067d2p-18, -0x1.c5e766837380dp-18, -0x1.c540fc0576e12p-18, -0x1.c425598b7c8ecp-18, -0x1.c2989d2f2b9a5p-18, -0x1.c09ec690e5dc8p-18, -0x1.be3bb7f2bc00dp-18, -0x1.bb733748cac1p-18, -0x1.b848ef3ec2336p-18, -0x1.b4c070308721p-18, -0x1.b0dd311b48106p-18, -0x1.aca290852c2a3p-18, -0x1.a813d552f3c47p-18, -0x1.a3342fa460a6ap-18, -0x1.9e06b9983eb1ap-18, -0x1.988e7810d6991p-18, -0x1.92ce5b6de9391p-18, -0x1.8cc9403cb6638p-18, -0x1.8681efe3dbd14p-18, -0x1.7ffb2145f444p-18, -0x1.7937795d23b41p-18, -0x1.72398bd3b413ap-18, -0x1.6b03db8a92233p-18, -0x1.6398db27b6d72p-18, -0x1.5bfaeda005705p-18, -0x1.542c66aa5ea6p-18, -0x1.4c2f8b34c670fp-18, -0x1.440691e291bbfp-18, -0x1.3bb3a36fcdf66p-18, -0x1.3338db24e1796p-18, -0x1.2a98472fd75e5p-18, -0x1.21d3e90935b2ap-18, -0x1.18edb5d15f953p-18, -0x1.0fe796a6d4cfep-18, -0x1.06c368fdf2848p-18, -0x1.fb05fdddbe0bbp-19, -0x1.e8503f097bf85p-19, -0x1.d5690e14df3cdp-19, -0x1.c253ce9fbe026p-19, -0x1.af13cfe46e564p-19, -0x1.9bac4d39205f9p-19, -0x1.88206e936bc98p-19, -0x1.747349047efebp-19, -0x1.60a7df2fa77b2p-19, -0x1.4cc121bfe51e1p-19, -0x1.38c1efd3edd5bp-19, -0x1.24ad177af7587p-19, -0x1.10855605b4226p-19, -0x1.f89ab0ccbc2a8p-20, -0x1.d00f776b6e40cp-20, -0x1.a76e1acd65fb8p-20, -0x1.7ebb977cc787dp-20, -0x1.55fccc2053158p-20, -0x1.2d367a3b7a18p-20, -0x1.046d46ba621b3p-20, -0x1.b74b7508f208p-21, -0x1.65c8860898589p-21, -0x1.145a65587e472p-21, -0x1.861305b917f1cp-22, -0x1.c7786954889e6p-23, -0x1.0701a205ef5b9p-24, 0x1.7f42cad55f2abp-24, 0x1.00e7d4602a19dp-22, 0x1.a17615d06b2d2p-22, 0x1.20b6787e73a9fp-21, 0x1.705f1f9ba6bdp-21, 0x1.bfae1bb0d2188p-21, 0x1.074e5b57452efp-20, 0x1.2e923413ad8d4p-20, 0x1.559f6a61358dfp-20, 0x1.7c72e6c7289c7p-20, 0x1.a309a7c078edbp-20, 0x1.c960c15965a7dp-20, 0x1.ef755ce24d442p-20, 0x1.0aa25c5708e67p-19, 0x1.1d6613dc44eedp-19, 0x1.300488ab36454p-19, 0x1.427c787f1c447p-19, 0x1.54ccaae9e89dfp-19, 0x1.66f3f13d5cc82p-19, 0x1.78f12661ea17p-19, 0x1.8ac32eaa2c87cp-19, 0x1.9c68f7c504d65p-19, 0x1.ade1787d93b59p-19, 0x1.bf2bb0ab7bc66p-19, 0x1.d046a90a56fdbp-19, 0x1.e131731a39fe2p-19, 0x1.f1eb28fe133aap-19, 0x1.013976af03376p-18, 0x1.0963f5a24e8ebp-18, 0x1.1174ab00e980dp-18, 0x1.196b3486706bap-18, 0x1.214733f4d2c04p-18, 0x1.29084eff0d7a1p-18, 0x1.30ae2f43fe1fbp-18, 0x1.3838823b0a19bp-18, 0x1.3fa6f924efe8ep-18, 0x1.46f94900b8709p-18, 0x1.4e2f2a7cdc57p-18, 0x1.554859e77de9ep-18, 0x1.5c4497236b69bp-18, 0x1.6323a597745d6p-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.862f0af1ca1f7p-1, -0x1.86335d5aef92bp-1, -0x1.8638fc8e8830fp-1, -0x1.863da42aafa7bp-1, -0x1.863e55a36d6d9p-1, -0x1.86377ae2b0c6p-1, -0x1.862509c93aa1bp-1, -0x1.8602a69061ab5p-1, -0x1.85cbc3c7f11acp-1, -0x1.857bbf329e94ap-1, -0x1.850dfb23959e1p-1, -0x1.847df4426dc67p-1, -0x1.83c753c80e33fp-1, -0x1.82e5fe646687ap-1, -0x1.81d6200ebbf9ep-1, -0x1.8094350bef13ep-1, -0x1.7f1d1079e0429p-1, -0x1.7d6de0aee2168p-1, -0x1.7b8431b92e0e2p-1, -0x1.795dee45a8e73p-1, -0x1.76f95f2f8d1d8p-1, -0x1.745529f46325fp-1, -0x1.71704e4159a0ap-1, -0x1.6e4a22c8d6c2dp-1, -0x1.6ae251892ee4fp-1, -0x1.6738d3a7e34ebp-1, -0x1.634decffb48cp-1, -0x1.5f22277b3f499p-1, -0x1.5ab64e51b4d0bp-1, -0x1.560b6937a905fp-1, -0x1.5122b792b33a7p-1, -0x1.4bfdabbbe40a1p-1, -0x1.469de65aa896ep-1, -0x1.410531dfabcf4p-1, -0x1.3b357e258e2e1p-1, -0x1.3530dc3bce344p-1, -0x1.2ef97a5f0f3e5p-1, -0x1.2891a020de888p-1, -0x1.21fbaac048963p-1, -0x1.1b3a09b3dc37cp-1, -0x1.144f3b653327dp-1, -0x1.0d3dca1d9c69p-1, -0x1.0608492337267p-1, -0x1.fd62a40af5381p-2, -0x1.ee77042ff2451p-2, -0x1.df52f034041b7p-2, -0x1.cffba4134af8fp-2, -0x1.c07656411192bp-2, -0x1.b0c833f1df749p-2, -0x1.a0f65db2a1daep-2, -0x1.9105e4499a329p-2, -0x1.80fbc5ddb35a1p-2, -0x1.70dceb60fa741p-2, -0x1.60ae263aea06ep-2, -0x1.50742e2f51dbdp-2, -0x1.40339f7eb9da5p-2, -0x1.2ff0f93d1f6dp-2, -0x1.1fb09bdc15055p-2, -0x1.0f76c7e555de7p-2, -0x1.fe8f39c5ec418p-3, -0x1.de4e30e4e7534p-3, -0x1.be322b0002956p-3, -0x1.9e42974ef5fcap-3, -0x1.7e869d7123548p-3, -0x1.5f051cb791d2ep-3, -0x1.3fc4abac0d706p-3, -0x1.20cb97d105e1p-3, -0x1.021fe59603f8dp-3, -0x1.c78ea0f96433p-4, -0x1.8b8e96d55c241p-4, -0x1.504a0248fad1dp-4, -0x1.15caa9dc6296dp-4, -0x1.b8338d39be8f2p-5, -0x1.46800bc3114c2p-5, -0x1.ad162d222d389p-6, -0x1.a18f973c1041p-7, 0x1.f3ac5667babccp-12, 0x1.b925f14c1a7c1p-7, 0x1.ad6cb90a2e827p-6, 0x1.3d22caffafa1cp-5, 0x1.a1848e0dedcb9p-5, 0x1.01e92d468fb9cp-4, 0x1.3201e6e425f8p-4, 0x1.6108b39923399p-4, 0x1.8efa410249cd9p-4, 0x1.bbd3a7647e14fp-4, 0x1.e79266699d546p-4, 0x1.091a30ebf456ap-3, 0x1.1ddbef2325f9cp-3, 0x1.320dbee7dc905p-3, 0x1.45af1e63c049ep-3, 0x1.58bfb7383c6bcp-3, 0x1.6b3f5cdc53584p-3, 0x1.7d2e0afd6d355p-3, 0x1.8e8be3e3dbac9p-3, 0x1.9f592edba68a2p-3, 0x1.af9656a23a49p-3, 0x1.bf43e7d97aba2p-3, 0x1.ce628f80a89c2p-3, 0x1.dcf319738815ep-3, 0x1.eaf66ef01e495p-3, 0x1.f86d95236176fp-3, 0x1.02acd5de891ecp-2, 0x1.08ddf5c5868f2p-2, 0x1.0ecad28e1f3fcp-2, 0x1.14741fb5b3048p-2, 0x1.19da9b48e796ap-2, 0x1.1eff0d4112597p-2, 0x1.23e246e5b1d11p-2, 0x1.2885223209b64p-2, 0x1.2ce8813edfe31p-2, 0x1.310d4db064a81p-2, 0x1.34f478283bfadp-2, 0x1.389ef7bbb5916p-2, 0x1.3c0dc96e2485bp-2, 0x1.3f41efaf54be4p-2, 0x1.423c71de1dac5p-2, 0x1.44fe5bcf0137ap-2, 0x1.4788bd56d3541p-2, 0x1.49dca9d95d0e2p-2, 0x1.4bfb37dbf395ap-2, 0x1.4de5809befebbp-2, 0x1.4f9c9fa9002acp-2, 0x1.5121b2833f0f8p-2, 0x1.5275d83d07a35p-2, 0x1.539a31206f0d1p-2, 0x1.548fde585e5ddp-2, 0x1.5558019d2d918p-2, 0x1.55f3bce4bee25p-2, 0x1.56643215fb33fp-2, 0x1.56aa82bfa5eafp-2, 0x1.56c7cfd27464ap-2, 0x1.56bd395e5626fp-2, 0x1.568bde52dc301p-2, 0x1.5634dc42ae3f5p-2, 0x1.55b94f29f737fp-2, 0x1.551a5137be109p-2, 0x1.5458fa9a10eb1p-2, 0x1.5376614cf2f0bp-2, 0x1.527398ebfdfe4p-2, 0x1.5151b286a0605p-2, 0x1.5011bc76e65a1p-2, 0x1.4eb4c23abf30ap-2, 0x1.4d3bcc4faad14p-2, 0x1.4ba7e010b9a4fp-2, 0x1.49f9ff96d8d96p-2, 0x1.4833299b47f01p-2, 0x1.4654595c3aa78p-2, 0x1.445e8683824ddp-2, 0x1.4252a50f3e7b8p-2, 0x1.4031a53c77bfbp-2, 0x1.3dfc73739d346p-2, 0x1.3bb3f836ce8c1p-2, 0x1.39591811e5678p-2, 0x1.36ecb38c2f704p-2, 0x1.346fa71bc4fc6p-2, 0x1.31e2cb1a74c18p-2, 0x1.2f46f3bc2d482p-2, 0x1.2c9cf106dc348p-2, 0x1.29e58ecbb0ebdp-2, 0x1.272194a1b6b6bp-2, 0x1.2451c5e1b92e9p-2, 0x1.2176e1a361cedp-2, 0x1.1e91a2bb848cdp-2, 0x1.1ba2bfbb9077bp-2, 0x1.18aaeaf211765p-2, 0x1.15aad26c3cfb6p-2, 0x1.12a31ff87a4bp-2, 0x1.0f947929dbc41p-2, 0x1.0c7f7f5c7cdb6p-2, 0x1.0964cfbab9cc2p-2, 0x1.0645034336ddap-2, 0x1.0320aecfacb22p-2, 0x1.fff0c638d8d81p-3, 0x1.f99959a12da68p-3, 0x1.f33c290deaa74p-3, 0x1.ecda3daee624p-3, 0x1.e67498c251cd9p-3, 0x1.e00c33a9e19b3p-3, 0x1.d9a20000fd30ap-3, 0x1.d336e7b3dc1e6p-3, 0x1.cccbcd1787b62p-3, 0x1.c6618b02affacp-3, 0x1.bff8f4e73b0a2p-3, 0x1.b992d6ec9366ep-3, 0x1.b32ff60a8f4fdp-3, 0x1.acd11024f4a94p-3, 0x1.a676dc2786ff5p-3, 0x1.a0220a228eebap-3, 0x1.99d34367d3d3fp-3, 0x1.938b2aa7f3c71p-3, 0x1.8d4a5c101a59ap-3, 0x1.87116d67fec1fp-3, 0x1.80e0ee3026901p-3, 0x1.7ab967c05eef2p-3, 0x1.749b5d6661008p-3, 0x1.6e874c849eacfp-3, 0x1.687dacb124928p-3, 0x1.627eefd49492fp-3, 0x1.5c8b824922252p-3, 0x1.56a3caf994ce2p-3, 0x1.50c82b804553ap-3, 0x1.4af9004608754p-3, 0x1.4536a0a1080e7p-3, 0x1.3f815ef380f4p-3, 0x1.39d988ca5f643p-3, 0x1.343f66fbb13eep-3, 0x1.2eb33dc4eee58p-3, 0x1.29354ce90cb18p-3, 0x1.23c5cfce58849p-3, 0x1.1e64fd9c19c63p-3, 0x1.19130957ebe4ap-3, 0x1.13d02202db42bp-3, 0x1.0e9c72b632fb9p-3, 0x1.097822bffa9b2p-3, 0x1.046355bf2d78p-3, 0x1.febc577f261cbp-4, 0x1.f4d182aa8b18ap-4, 0x1.eb065f6fbb8b3p-4, 0x1.e15b19ba85956p-4, 0x1.d7cfd7283501fp-4, 0x1.ce64b73badaa7p-4, 0x1.c519d390c7ddcp-4, 0x1.bbef400ed9abp-4, 0x1.b2e50b1a7ce71p-4, 0x1.a9fb3dc67b0cfp-4, 0x1.a131dc03f0915p-4, 0x1.9888e4d18c64ap-4, 0x1.9000526a0eff6p-4, 0x1.87981a71d979dp-4, 0x1.7f502e23b1f9cp-4, 0x1.77287a7ca74c9p-4, 0x1.6f20e86719d58p-4, 0x1.67395ce4e7869p-4, 0x1.5f71b938bbf2cp-4, 0x1.57c9db0e82b68p-4, 0x1.50419ca2fd454p-4, 0x1.48d8d4ea7ca33p-4, 0x1.418f57b6be832p-4, 0x1.3a64f5dbef8cbp-4, 0x1.33597d54d37ccp-4, 0x1.2c6cb96612f4ep-4, 0x1.259e72c0b27ddp-4, 0x1.1eee6fa3b1274p-4, 0x1.185c73fcd40cep-4, 0x1.11e841889c1c6p-4, 0x1.0b9197f16adcfp-4, 0x1.055834edd7ccep-4, 0x1.fe77a8bc6d60fp-5, 0x1.f27860d2a66dep-5, 0x1.e6b20330c2ddcp-5, 0x1.db23fde45156dp-5, 0x1.cfcdbc2acf974p-5, 0x1.c4aea6a4f0b0cp-5, 0x1.b9c623886097bp-5, 0x1.af1396d010a09p-5, 0x1.a496626b08b4cp-5, 0x1.9a4de669d03dp-5, 0x1.9039812a64e83p-5, 0x1.86588f82d24ebp-5, 0x1.7caa6cea67469p-5, 0x1.732e73a192c3ep-5, 0x1.69e3fcd86d315p-5, 0x1.60ca60d3f43c4p-5, 0x1.57e0f711ff6a8p-5, 0x1.4f27166bf0492p-5, 0x1.469c15382bedfp-5, 0x1.3e3f496a58de6p-5, 0x1.361008b271e53p-5, 0x1.2e0da89aad22cp-5, 0x1.26377ea43fc9dp-5, 0x1.1e8ce06304dep-5, 0x1.170d23980c3abp-5, 0x1.0fb79e4b17decp-5, 0x1.088ba6e30e848p-5, 0x1.0188943d67c12p-5, 0x1.f55b7b8934ea8p-6, 0x1.e7f4f70b1d3d6p-6, 0x1.dadc4c883fd0bp-6, 0x1.ce102f1d5b9e7p-6, 0x1.c18f53a18d747p-6, 0x1.b55870c9e0434p-6, 0x1.a96a3f4b2436ap-6, 0x1.9dc379fa1671fp-6, 0x1.9262dde9e8377p-6, 0x1.87472a892e9fap-6, 0x1.7c6f21bd429f8p-6, 0x1.71d987fc23a87p-6, 0x1.67852464dfb27p-6, 0x1.5d70c0d68e101p-6, 0x1.539b2a05ec869p-6, 0x1.4a032f919f5e5p-6, 0x1.40a7a41525501p-6, 0x1.37875d3a89278p-6, 0x1.2ea133cad609p-6, 0x1.25f403bd5d221p-6, 0x1.1d7eac45d4807p-6, 0x1.15400fe155673p-6, 0x1.0d371462499b1p-6, 0x1.0562a2fb4c94bp-6, 0x1.fb83509209a0cp-7, 0x1.eca628b613483p-7, 0x1.de2bb577ab37cp-7, 0x1.d011e4ef94924p-7, 0x1.c256ac46b6abep-7, 0x1.b4f807c0b7dd1p-7, 0x1.a7f3fac4f0b8p-7, 0x1.9b488fe5d9652p-7, 0x1.8ef3d8e6e47e2p-7, 0x1.82f3eec0f46f6p-7, 0x1.7746f1a559148p-7, 0x1.6beb08ff81316p-7, 0x1.60de63755cf5ep-7, 0x1.561f36e67cd01p-7, 0x1.4babc06a0b825p-7, 0x1.4182444b99eb2p-7, 0x1.37a10e06db761p-7, 0x1.2e0670424f8c1p-7, 0x1.24b0c4c8f32d1p-7, 0x1.1b9e6c82fb432p-7, 0x1.12cdcf6da7de2p-7, 0x1.0a3d5c9239a27p-7, 0x1.01eb89fc155fep-7, 0x1.f3ada95c3da97p-8, 0x1.e3fb812eaae16p-8, 0x1.d4bdb10d7d486p-8, 0x1.c5f15c3d46278p-8, 0x1.b793b38e58662p-8, 0x1.a9a1f540d4518p-8, 0x1.9c196ce79058ep-8, 0x1.8ef77349f8ebcp-8, 0x1.82396e44efa31p-8, 0x1.75dcd0aabe424p-8, 0x1.69df1a222d0bap-8, 0x1.5e3dd704c8393p-8, 0x1.52f6a03c672f6p-8, 0x1.48071b2000aa5p-8, 0x1.3d6cf94fdbf24p-8, 0x1.3325f8912860ep-8, 0x1.292fe2a90c619p-8, 0x1.1f888d3736111p-8, 0x1.162dd98ff94cep-8, 0x1.0d1db4960675cp-8, 0x1.04561693c7201p-8, 0x1.f7aa0628cdc48p-9, 0x1.e7311179336d4p-9, 0x1.d73d82463f4d9p-9, 0x1.c7cba152376c4p-9, 0x1.b8d7cca475559p-9, 0x1.aa5e7739791fep-9, 0x1.9c5c28b2c6f6bp-9, 0x1.8ecd7d06a48e5p-9, 0x1.81af242fc2537p-9, 0x1.74fde1dce52b2p-9, 0x1.68b68d2097842p-9, 0x1.5cd61020f71e1p-9, 0x1.515967c7a7f84p-9, 0x1.463da371f5fap-9, 0x1.3b7fe4a13bd94p-9, 0x1.311d5eab8d8efp-9, 0x1.2713566cbcddap-9, 0x1.1d5f21f7bb4b9p-9, 0x1.13fe284860e14p-9, 0x1.0aede0f5ada0ep-9, 0x1.022bd3e480163p-9, 0x1.f36b31f59f41ap-10, 0x1.e311afa6edb8ep-10, 0x1.d3468ee518ebcp-10, 0x1.c4055bf4b3416p-10, 0x1.b549c0c1dc596p-10, 0x1.a70f844cc09dbp-10, 0x1.99528a1766187p-10, 0x1.8c0ed194f0365p-10, 0x1.7f40759a3f709p-10, 0x1.72e3abd01b074p-10, 0x1.66f4c426d2c85p-10, 0x1.5b70284b6c084p-10, 0x1.50525b1e674d7p-10, 0x1.4597f82c17ee9p-10, 0x1.3b3db3269b255p-10, 0x1.314057617c199p-10, 0x1.279cc74efac1ap-10, 0x1.1e4ffbff043bap-10, 0x1.1557049fe1205p-10, 0x1.0caf060099cf8p-10, 0x1.04553a15121p-10, 0x1.f88ddef7d6dfep-11, 0x1.e903120c3a1c7p-11, 0x1.da04fa80a93d9p-11, 0x1.cb8eabfc3034fp-11, 0x1.bd9b5fcd59e3dp-11, 0x1.b02674078914ap-11, 0x1.a32b6aa3de812p-11, 0x1.96a5e8a5aac5ep-11, 0x1.8a91b5426b5cp-11, 0x1.7eeab90d54669p-11, 0x1.73acfd26613f3p-11, 0x1.68d4aa6cef21dp-11, 0x1.5e5e08b5d9a49p-11, 0x1.54457e0518bfap-11, 0x1.4a878dcadcccbp-11, 0x1.4120d82422a2ap-11, 0x1.380e191ebd52dp-11, 0x1.2f4c2800ccc07p-11, 0x1.26d7f693a064ap-11, 0x1.1eae9071fc90ep-11, 0x1.16cd1a59bc8e1p-11, 0x1.0f30d180cdc4bp-11, 0x1.07d70aed77feep-11, 0x1.00bd32d1f1dd6p-11, 0x1.f3c197d665b9p-12, 0x1.e67eddc60479ep-12, 0x1.d9ad936a6a251p-12, 0x1.cd493e302df3p-12, 0x1.c14d8bcfe5b7fp-12, 0x1.b5b6512b684p-12, 0x1.aa7f89312d927p-12, 0x1.9fa553c5be3e6p-12, 0x1.9523f4b319d3ep-12, 0x1.8af7d29e06927p-12, 0x1.811d760135957p-12, 0x1.7791882e2a621p-12, 0x1.6e50d253cc2a5p-12, 0x1.65583c8a98372p-12, 0x1.5ca4cce6557f7p-12, 0x1.5433a68d41516p-12, 0x1.4c0208d495136p-12, 0x1.440d4e625de8ep-12, 0x1.3c52ec548640ap-12, 0x1.34d0716d060aap-12, 0x1.2d8385431fe96p-12, 0x1.2669e7799a428p-12, 0x1.1f816ef9dd358p-12, 0x1.18c80933e21bdp-12, 0x1.123bb962e5429p-12, 0x1.0bda97d6bac9fp-12, 0x1.05a2d141bcc26p-12, 0x1.ff254c16771f7p-13, 0x1.f350d34cabff9p-13, 0x1.e7c503da62d8ap-13, 0x1.dc7ecd00e2113p-13, 0x1.d17b4055c87d7p-13, 0x1.c6b7909298468p-13, 0x1.bc31106c6448ap-13, 0x1.b1e5317360db7p-13, 0x1.a7d182fa3cfe6p-13, 0x1.9df3b10522967p-13, 0x1.9449834026cacp-13, 0x1.8ad0dbfd1a4a2p-13, 0x1.8187b7387e066p-13, 0x1.786c29a5897cp-13, 0x1.6f7c5fc117492p-13, 0x1.66b69ceb4bf22p-13, 0x1.5e193a87e3e8fp-13, 0x1.55a2a724f0183p-13, 0x1.4d5165a7f7f15p-13, 0x1.45240c813d6e4p-13, 0x1.3d1944e524d57p-13, 0x1.352fca0b7e7e7p-13, 0x1.2d666874a5fb4p-13, 0x1.25bbfd344d37cp-13, 0x1.1e2f7541d06e3p-13, 0x1.16bfccce00064p-13, 0x1.0f6c0e9e27a09p-13, 0x1.0833536c5501bp-13, 0x1.0114c14c9a68ap-13, 0x1.f41f162ea1a2dp-14, 0x1.e645dfb048327p-14, 0x1.d89c7483a4fdfp-14, 0x1.cb21804d11f7ap-14, 0x1.bdd3c3e96d3eap-14, 0x1.b0b214707d3a8p-14, 0x1.a3bb5a3fdfa97p-14, 0x1.96ee900e426b1p-14, 0x1.8a4ac206bb558p-14, 0x1.7dcf0cebff7e6p-14, 0x1.717a9d4350b61p-14, 0x1.654cae86e81bp-14, 0x1.59448a5facf28p-14, 0x1.4d6187e606f63p-14, 0x1.41a30ae99cb49p-14, 0x1.3608833fcdbeap-14, 0x1.2a916c18ba54cp-14, 0x1.1f3d4b5aabe75p-14, 0x1.140bb103b01e7p-14, 0x1.08fc36913c6fbp-14, 0x1.fc1cfcdb5c9a2p-15, 0x1.e68466c6fbe9p-15, 0x1.d12e102bf4e0cp-15, 0x1.bc196cfecdf39p-15, 0x1.a745fee8a3203p-15, 0x1.92b35457f92acp-15, 0x1.7e61079b6853ap-15, 0x1.6a4ebe05d903dp-15, 0x1.567c271c02cefp-15, 0x1.42e8fbcaef1a4p-15, 0x1.2f94fda73139ap-15, 0x1.1c7ff6349552bp-15, 0x1.09a9b636035ddp-15, 0x1.ee242a0aa178fp-16, 0x1.c971dfe58d7f5p-16, 0x1.a53c53583352fp-16, 0x1.8183535535afap-16, 0x1.5e46b750c3468p-16, 0x1.3b865e38732d5p-16, 0x1.19422d782f54ep-16, 0x1.eef420178bfafp-17, 0x1.ac5beb3956854p-17, 0x1.6abba357271dap-17, 0x1.2a13358ad85a2p-17, 0x1.d4c5270d7b456p-18, 0x1.57536455c1e67p-18, 0x1.b7a220bb411dep-19, 0x1.88f866f989bbap-20, -0x1.5659223236aeap-22, -0x1.163412a0db18ep-19, -0x1.fdbeceaf565cp-19, -0x1.70b5cf3ffa606p-18, -0x1.e09d6d5cbe6d1p-18, -0x1.274b3c80a833ap-17, -0x1.5d509b0b1f8adp-17, -0x1.925efb48a1b21p-17, -0x1.c6768de88e99bp-17, -0x1.f9978bef2acb4p-17, -0x1.15e11ba48861ep-16, -0x1.2e7b6da915b9bp-16, -0x1.469ae6a85a436p-16, -0x1.5e3fb6726a806p-16, -0x1.756a12369bb4p-16, -0x1.8c1a34b09396ep-16, -0x1.a2505e504d7cbp-16, -0x1.b80cd55d539e2p-16, -0x1.cd4fe6155ef67p-16, -0x1.e219e2c693c06p-16, -0x1.f66b23e58f2cbp-16, -0x1.0522040fbaf07p-15, -0x1.0ed27a341ad74p-15, -0x1.18472a0293987p-15, -0x1.21804c4a1e5bp-15, -0x1.2a7e1d07f6486p-15, -0x1.3340db67ff3bp-15, -0x1.3bc8c9c3b27bcp-15, -0x1.44162d9fa788ap-15, -0x1.4c294fa7c7a9bp-15, -0x1.54027baa4478cp-15, -0x1.5ba200915f0c1p-15, -0x1.6308305c12804p-15, -0x1.6a356015b274ep-15, -0x1.7129e7cc8e694p-15, -0x1.77e62287a91dp-15, -0x1.7e6a6e3b90eb8p-15, -0x1.84b72bbe6c3b1p-15, -0x1.8accbebb44168p-15, -0x1.90ab8da49930cp-15, -0x1.965401a658388p-15, -0x1.9bc686972f487p-15, -0x1.a1038ae95730ep-15, -0x1.a60b7f9add364p-15, -0x1.aaded82571985p-15, -0x1.af7e0a6dcd9ccp-15, -0x1.b3e98eb2b4b93p-15, -0x1.b821df7b9ffccp-15, -0x1.bc277987180d8p-15, -0x1.bffadbb8ccda9p-15, -0x1.c39c87076e413p-15, -0x1.c70cfe6a4fbbbp-15, -0x1.ca4cc6c6e0783p-15, -0x1.cd5c66ddff0b9p-15, -0x1.d03c67392e846p-15, -0x1.d2ed5217b46f7p-15, -0x1.d56fb35ba815ep-15, -0x1.d7c41876f634ep-15, -0x1.d9eb105863fbap-15, -0x1.dbe52b5891524p-15, -0x1.ddb2fb270368ap-15, -0x1.df5512b73dafdp-15, -0x1.e0cc062dea50dp-15, -0x1.e2186ace1bdbep-15, -0x1.e33ad6e6a663p-15, -0x1.e433e1bf9ace9p-15, -0x1.e5042387e4c8dp-15, -0x1.e5ac35430d686p-15, -0x1.e62cb0b72ae4dp-15, -0x1.e686305afd53cp-15, -0x1.e6b94f443b51cp-15, -0x1.e6c6a91613fcfp-15, -0x1.e6aed9efe69f5p-15, -0x1.e6727e5c33a1bp-15, -0x1.e612333fc9a9bp-15, -0x1.e58e95c92f9b7p-15, -0x1.e4e84360502ddp-15, -0x1.e41fd99664e79p-15, -0x1.e335f61626a5ap-15, -0x1.e22b3694434ecp-15, -0x1.e10038c017facp-15, -0x1.dfb59a34b60b1p-15, -0x1.de4bf86a2ff54p-15, -0x1.dcc3f0a72fea2p-15, -0x1.db1e1ff2da816p-15, -0x1.d95b2306fe23ap-15, }}, 
      {{-0x1.862dfae72073cp-1, -0x1.862f8053dfa09p-1, -0x1.8631b7a79c611p-1, -0x1.86342a53f1976p-1, -0x1.8636396323728p-1, -0x1.863722f784adfp-1, -0x1.8636081e5267dp-1, -0x1.8631f2a6d400ap-1, -0x1.8629dac7037eap-1, -0x1.861cac69778d1p-1, -0x1.86094c0e08951p-1, -0x1.85ee9b30e14e2p-1, -0x1.85cb7c3305b7p-1, -0x1.859ed5c4a86cdp-1, -0x1.856795d54cb4dp-1, -0x1.8524b41028aeap-1, -0x1.84d533ecc17bcp-1, -0x1.8478265c9a919p-1, -0x1.840cab1f29d44p-1, -0x1.8391f1c548b04p-1, -0x1.83073a6d15941p-1, -0x1.826bd63ed556cp-1, -0x1.81bf27b2d5d02p-1, -0x1.8100a2a7c1537p-1, -0x1.802fcc502eec7p-1, -0x1.7f4c3afd9ep-1, -0x1.7e5595ce6c4e4p-1, -0x1.7d4b9443bf922p-1, -0x1.7c2dfdc3cc61ap-1, -0x1.7afca90c5ee79p-1, -0x1.79b77b9910042p-1, -0x1.785e690021e41p-1, -0x1.76f1724899857p-1, -0x1.7570a53bcd64bp-1, -0x1.73dc1bb45575bp-1, -0x1.7233faebf849fp-1, -0x1.707872c9f8f82p-1, -0x1.6ea9bd32eb9p-1, -0x1.6cc81d5b07b5fp-1, -0x1.6ad3df1bc2d57p-1, -0x1.68cd564d5a229p-1, -0x1.66b4de24cd819p-1, -0x1.648ad896b9ef6p-1, -0x1.624fadbf5f499p-1, -0x1.6003cb5010ca9p-1, -0x1.5da7a40239c9cp-1, -0x1.5b3baf1012ad4p-1, -0x1.58c067b31501p-1, -0x1.56364ca832a8bp-1, -0x1.539ddfb9cae59p-1, -0x1.50f7a54f51887p-1, -0x1.4e442402952dap-1, -0x1.4b83e43a8c1b5p-1, -0x1.48b76fcb8c0bfp-1, -0x1.45df519ccd731p-1, -0x1.42fc15531664ap-1, -0x1.400e47006a274p-1, -0x1.3d1672d896f6fp-1, -0x1.3a1524ea7866fp-1, -0x1.370ae8ddc93a2p-1, -0x1.33f849b55997fp-1, -0x1.30ddd1957f9dp-1, -0x1.2dbc098e9b938p-1, -0x1.2a93796b859bbp-1, -0x1.2764a783ba524p-1, -0x1.2430189120323p-1, -0x1.20f64f893d3b3p-1, -0x1.1db7cd79b4d7dp-1, -0x1.1a751167e9104p-1, -0x1.172e983398582p-1, -0x1.13e4dc7c53034p-1, -0x1.10985689a685bp-1, -0x1.0d497c35d954bp-1, -0x1.09f8c0db16a43p-1, -0x1.06a69542e93d9p-1, -0x1.03536797e6356p-1, -0x1.ffff46b2cf3aap-2, -0x1.f95762a27224p-2, -0x1.f2afef163a96fp-2, -0x1.ec09b29c15a57p-2, -0x1.e5656e2e17b28p-2, -0x1.dec3dd2b44639p-2, -0x1.d825b55336ccap-2, -0x1.d18ba6c473bfep-2, -0x1.caf65bfd3e3adp-2, -0x1.c46679debf51ep-2, -0x1.bddc9fb25b57ep-2, -0x1.b75967310a78dp-2, -0x1.b0dd648c90b7bp-2, -0x1.aa69267a70ceap-2, -0x1.a3fd364078f4ap-2, -0x1.9d9a17c2c65a3p-2, -0x1.974049932417fp-2, -0x1.90f04501a4932p-2, -0x1.8aaa7e2e5e796p-2, -0x1.846f641c2cc7ap-2, -0x1.7e3f60c45cc0ap-2, -0x1.781ad92b33d5p-2, -0x1.72022d7530056p-2, -0x1.6bf5b8fcf8306p-2, -0x1.65f5d269dd136p-2, -0x1.6002cbc6e06e2p-2, -0x1.5a1cf29a2e811p-2, -0x1.54448ffcf6192p-2, -0x1.4e79e8b3942cdp-2, -0x1.48bd3d45fecd8p-2, -0x1.430eca186b083p-2, -0x1.3d6ec78412704p-2, -0x1.37dd69f01d2cp-2, -0x1.325ae1ea93eadp-2, -0x1.2ce75c415f0dep-2, -0x1.2783021b3d753p-2, -0x1.222df910ae8bap-2, -0x1.1ce86344ca4acp-2, -0x1.17b25f7df60f9p-2, -0x1.128c093e78e36p-2, -0x1.0d7578dce43a9p-2, -0x1.086ec39c4548bp-2, -0x1.0377fbc426d51p-2, -0x1.fd2261709dc79p-3, -0x1.f374de207d98bp-3, -0x1.e9e7815cd73f9p-3, -0x1.e07a59ae55d36p-3, -0x1.d72d708eaa3a5p-3, -0x1.ce00ca95247ep-3, -0x1.c4f467a2aa654p-3, -0x1.bc08430cfc5fap-3, -0x1.b33c53c94e098p-3, -0x1.aa908c961e0e1p-3, -0x1.a204dc245b79bp-3, -0x1.99992d3fc9882p-3, -0x1.914d66f6a3b29p-3, -0x1.89216cc0811a4p-3, -0x1.81151ea46be1fp-3, -0x1.7928595e3c4a9p-3, -0x1.715af683251aap-3, -0x1.69accca57bdeep-3, -0x1.621daf77b5f99p-3, -0x1.5aad6fee9b634p-3, -0x1.535bdc62b9a99p-3, -0x1.4c28c0b0ff6d7p-3, -0x1.4513e65a9f294p-3, -0x1.3e1d14a41fbd3p-3, -0x1.374410b3ad39fp-3, -0x1.30889daea2001p-3, -0x1.29ea7cd64d7a3p-3, -0x1.23696da3f5cf2p-3, -0x1.1d052de421bd5p-3, -0x1.16bd79d115832p-3, -0x1.10920c2ca3603p-3, -0x1.0a829e59346adp-3, -0x1.048ee87221792p-3, -0x1.fd6d42c6a321p-4, -0x1.f1f2fe004d4c4p-4, -0x1.e6ae6c3371638p-4, -0x1.db9ef528c36a6p-4, -0x1.d0c3fef93ab96p-4, -0x1.c61cee3682fe9p-4, -0x1.bba9261216317p-4, -0x1.b168088319de6p-4, -0x1.a758f66af1b6ap-4, -0x1.9d7b4fb897393p-4, -0x1.93ce738abd7f6p-4, -0x1.8a51c050c077fp-4, -0x1.810493ea67a8cp-4, -0x1.77e64bc68650dp-4, -0x1.6ef6450079457p-4, -0x1.6633dc7c8baf3p-4, -0x1.5d9e6f0346e0cp-4, -0x1.5535595bb4d75p-4, -0x1.4cf7f8649835bp-4, -0x1.44e5a92ca3edbp-4, -0x1.3cfdc909b3d3cp-4, -0x1.353fb5af0f6eap-4, -0x1.2daacd42bae35p-4, -0x1.263e6e71dbf71p-4, -0x1.1ef9f8843923cp-4, -0x1.17dccb6ed88c7p-4, -0x1.10e647e5c49fcp-4, -0x1.0a15cf6cf9edfp-4, -0x1.036ac468861c1p-4, -0x1.f9c91457bbe15p-5, -0x1.ed050a10d5a54p-5, -0x1.e08834b6b926ep-5, -0x1.d45161357c364p-5, -0x1.c85f5ec3aa776p-5, -0x1.bcb0fef9a74c5p-5, -0x1.b14515e7b589fp-5, -0x1.a61a7a2ab68cp-5, -0x1.9b3004ffa42fcp-5, -0x1.90849255d0f5cp-5, -0x1.861700dffd6cep-5, -0x1.7be6322440154p-5, -0x1.71f10a8ad802dp-5, -0x1.6836716be38fep-5, -0x1.5eb5511c1366p-5, -0x1.556c96f85497p-5, -0x1.4c5b3370846bfp-5, -0x1.43801a1130b99p-5, -0x1.3ada418c70579p-5, -0x1.3268a3c1d73fap-5, -0x1.2a2a3dc59519fp-5, -0x1.221e0fe6bc765p-5, -0x1.1a431db4c556ap-5, -0x1.12986e044894cp-5, -0x1.0b1d0af301829p-5, -0x1.03d001eb18ee2p-5, -0x1.f960c74b8a4f2p-6, -0x1.eb7a885a802aep-6, -0x1.ddeb75bc3e9ecp-6, -0x1.d0b1c4d01de4ap-6, -0x1.c3cbb19bf7b2p-6, -0x1.b7377ecb5bda7p-6, -0x1.aaf375adb98b9p-6, -0x1.9efde6337ff23p-6, -0x1.935526ea4ab22p-6, -0x1.87f794f81db46p-6, -0x1.7ce39415c07bap-6, -0x1.72178e8841708p-6, -0x1.6791f519aa4b4p-6, -0x1.5d513f10ee0d2p-6, -0x1.5353ea2922d4cp-6, -0x1.49987a8805714p-6, -0x1.401d7ab3d62f4p-6, -0x1.36e17b8897515p-6, -0x1.2de3142cb4f1fp-6, -0x1.2520e2051e0cp-6, -0x1.1c9988a8d9383p-6, -0x1.144bb1d419584p-6, -0x1.0c360d5ad9edcp-6, -0x1.0457511b12974p-6, -0x1.f95c71dcf6bd7p-7, -0x1.ea730d37e5794p-7, -0x1.dbf0039111a92p-7, -0x1.cdd0efd0738acp-7, -0x1.c013785ca2d68p-7, -0x1.b2b54efb23d37p-7, -0x1.a5b430b01dd3bp-7, -0x1.990de59da98c4p-7, -0x1.8cc040e2a22a7p-7, -0x1.80c920791986fp-7, -0x1.75266d1477e75p-7, -0x1.69d619ff45e5dp-7, -0x1.5ed624f8abc23p-7, -0x1.54249611bf706p-7, -0x1.49bf7f8a94ba5p-7, -0x1.3fa4fdaf20a0dp-7, -0x1.35d336b4004e7p-7, -0x1.2c485a93199edp-7, -0x1.2302a2e82c966p-7, -0x1.1a0052cd54876p-7, -0x1.113fb6b7819cbp-7, -0x1.08bf2452f1212p-7, -0x1.007cfa5fac1bp-7, -0x1.f0ef411c1cfd6p-8, -0x1.e15b0eb6c4286p-8, -0x1.d23a4fdd1a228p-8, -0x1.c38a07e9b9fa4p-8, -0x1.b5474afde39dep-8, -0x1.a76f3dbb9a27p-8, -0x1.99ff1500164f3p-8, -0x1.8cf4159e93873p-8, -0x1.804b941b7e725p-8, -0x1.7402f46810079p-8, -0x1.6817a99e59027p-8, -0x1.5c8735bdc613ap-8, -0x1.514f296822bc5p-8, -0x1.466d239f21dc5p-8, -0x1.3bded1826ec4bp-8, -0x1.31a1ee0e5138p-8, -0x1.27b441dae3806p-8, -0x1.1e13a2dbe30dbp-8, -0x1.14bdf4211e6b9p-8, -0x1.0bb1259786c0ep-8, -0x1.02eb33cae400ap-8, -0x1.f4d44f50699b7p-9, -0x1.e4582c817274bp-9, -0x1.d45e411b5b74ep-9, -0x1.c4e2e6696c963p-9, -0x1.b5e28c99fe4d3p-9, -0x1.a759ba4a296c3p-9, -0x1.99450c12e220ep-9, -0x1.8ba1341790101p-9, -0x1.7e6af99614ec5p-9, -0x1.719f3878526acp-9, -0x1.653ae0e72d568p-9, -0x1.593af6df0c112p-9, -0x1.4d9c91c5d591fp-9, -0x1.425cdc0274d5p-9, -0x1.37791295d967fp-9, -0x1.2cee84b57fc6dp-9, -0x1.22ba936777f76p-9, -0x1.18dab11ff3646p-9, -0x1.0f4c616052a75p-9, -0x1.060d3857b731bp-9, -0x1.fa35b50a29c96p-10, -0x1.e8e5f8b58a8fbp-10, -0x1.d826c3c7343c4p-10, -0x1.c7f3bcd2da32p-10, -0x1.b848a83a5832fp-10, -0x1.a9216780bd3bep-10, -0x1.9a79f8a04d3c9p-10, -0x1.8c4e756364459p-10, -0x1.7e9b12c04d318p-10, -0x1.715c2037ee82ap-10, -0x1.648e073763f97p-10, -0x1.582d4a7c5a1c1p-10, -0x1.4c36857c51f5cp-10, -0x1.40a66bce9ee4fp-10, -0x1.3579c89934fd6p-10, -0x1.2aad7e002bd78p-10, -0x1.203e849804704p-10, -0x1.1629eada9714dp-10, -0x1.0c6cd49eacb97p-10, -0x1.03047a92429c3p-10, -0x1.f3dc536eb480ap-11, -0x1.e24e85c6d854cp-11, -0x1.d15a7482bb386p-11, -0x1.c0fb2dabfabe4p-11, -0x1.b12be40df87a9p-11, -0x1.a1e7ee48b5436p-11, -0x1.932ac5e884486p-11, -0x1.84f0068286785p-11, -0x1.77336cd5deaa8p-11, -0x1.69f0d5f18de32p-11, -0x1.5d243e5ee5e7p-11, -0x1.50c9c15083b7p-11, -0x1.44dd97d5bf7bp-11, -0x1.395c181281e04p-11, -0x1.2e41b47b6e06ep-11, -0x1.238afb1650afbp-11, -0x1.193494bec09eep-11, -0x1.0f3b446ee2ea6p-11, -0x1.059be68c4131bp-11, -0x1.f8a6e07141b2ap-12, -0x1.e6bddd4d9377dp-12, -0x1.d5770ce65e0c2p-12, -0x1.c4cce600cc66cp-12, -0x1.b4ba0baeba9f9p-12, -0x1.a5394c167fa64p-12, -0x1.96459f41f675cp-12, -0x1.87da25f4a1d4fp-12, -0x1.79f22888cb923p-12, -0x1.6c8915d3858d6p-12, -0x1.5f9a820f61552p-12, -0x1.532225cdca12bp-12, -0x1.471bdceedcbd2p-12, -0x1.3b83a59f9e99dp-12, -0x1.30559f5e736b2p-12, -0x1.258e0a05bc54ap-12, -0x1.1b2944dc751fap-12, -0x1.1123cdacbb28dp-12, -0x1.077a3fe0203d6p-12, -0x1.fc52a7434e5b9p-13, -0x1.ea5bba0aa1ba5p-13, -0x1.d909966a3caafp-13, -0x1.c8564f46d3661p-13, -0x1.b83c2a84f3f76p-13, -0x1.a8b59f8271529p-13, -0x1.99bd5599d48e6p-13, -0x1.8b4e22afaca57p-13, -0x1.7d6309c973c5ep-13, -0x1.6ff739ade8ddcp-13, -0x1.63060b8e9f3c7p-13, -0x1.568b01ba97411p-13, -0x1.4a81c659aaf0cp-13, -0x1.3ee62a309f9e8p-13, -0x1.33b4236dab1a5p-13, -0x1.28e7cc7d3bc4dp-13, -0x1.1e7d62e6d67d1p-13, -0x1.14714631e0fa9p-13, -0x1.0abff6d21d202p-13, -0x1.0166151bb95c9p-13, -0x1.f0c0c07d7718p-14, -0x1.df576a9356aap-14, -0x1.ce8a1c6679e93p-14, -0x1.be5301d5ca1b5p-14, -0x1.aeac7ce049b12p-14, -0x1.9f9123e0c662bp-14, -0x1.90fbbfd667f82p-14, -0x1.82e74ab9b4e14p-14, -0x1.754eedddd9459p-14, -0x1.682e005dd6796p-14, -0x1.5b80059553b04p-14, -0x1.4f40aba4cb1cbp-14, -0x1.436bca00c800ep-14, -0x1.37fd600bf4a97p-14, -0x1.2cf193bbaf5c3p-14, -0x1.2244b046e6a41p-14, -0x1.17f324defa248p-14, -0x1.0df983725eec3p-14, -0x1.04547f78c94f8p-14, -0x1.f601d99139649p-15, -0x1.e3f77ceacf957p-15, -0x1.d2840b6e5a76bp-15, -0x1.c1a1e1b485aa4p-15, -0x1.b14b946f18d75p-15, -0x1.a17bee69b40d6p-15, -0x1.922dee9a6784ep-15, -0x1.835cc641bb037p-15, -0x1.7503d719bc0aep-15, -0x1.671eb193ae4f2p-15, -0x1.59a91323f53ep-15, -0x1.4c9ee49bda5c9p-15, -0x1.3ffc3890cd0b1p-15, -0x1.33bd49d0bfcdfp-15, -0x1.27de79e3445c3p-15, -0x1.1c5c4f9710b22p-15, -0x1.1133759b93171p-15, -0x1.0660b9263ef95p-15, -0x1.f7c21146854a6p-16, -0x1.e362e4e298f99p-16, -0x1.cf9e475035bf9p-16, -0x1.bc6ecdd2f8a9ep-16, -0x1.a9cf4678fcc4cp-16, -0x1.97bab5e4f3505p-16, -0x1.862c552b6c203p-16, -0x1.751f8fc2bd4fap-16, -0x1.6490018501617p-16, -0x1.547974c3a5c4bp-16, -0x1.44d7e06bff64bp-16, -0x1.35a7663c6fcfdp-16, -0x1.26e45109920cp-16, -0x1.188b1312fdf8ap-16, -0x1.0a98446722b1bp-16, -0x1.fa1142ab992f7p-17, -0x1.dfb211e1b787cp-17, -0x1.c60cf7358eefdp-17, -0x1.ad1c3344ec67fp-17, -0x1.94da43d8198adp-17, -0x1.7d41e14c8f002p-17, -0x1.664dfc17f8b5dp-17, -0x1.4ff9ba62cac28p-17, -0x1.3a4075b99c07dp-17, -0x1.251db8d4b0fc2p-17, -0x1.108d3d74d6397p-17, -0x1.f915d4aa00eep-18, -0x1.d225a25feadb4p-18, -0x1.ac4259b2c1205p-18, -0x1.8764bed35b265p-18, -0x1.6385e0f821728p-18, -0x1.409f16fc455f9p-18, -0x1.1ea9fc20f63a4p-18, -0x1.fb40d9def3bap-19, -0x1.baf9087617782p-19, -0x1.7c713082e9319p-19, -0x1.3f9e6fd2a6d5fp-19, -0x1.0476503a28309p-19, -0x1.95dd850674ff8p-20, -0x1.25fc331f03e18p-20, -0x1.726c16bc22d99p-21, -0x1.3de48145ba135p-22, 0x1.74bd21a181216p-24, 0x1.eca5bb2a120d4p-22, 0x1.b85f7ea187b47p-21, 0x1.3a6e3b6a45a24p-20, 0x1.95f3d02f2ae72p-20, 0x1.eecee6effe888p-20, 0x1.2286b5e2f479ep-19, 0x1.4c5e69ec1586bp-19, 0x1.74f511acca407p-19, 0x1.9c50f9a05674dp-19, 0x1.c2783b5e8181bp-19, 0x1.e770c0361fde2p-19, 0x1.05a021d45370cp-18, 0x1.16f62ae3fddd4p-18, 0x1.27bd2ebbcc9a8p-18, 0x1.37f7cd4917b5ep-18, 0x1.47a893fa61441p-18, 0x1.56d1feb828014p-18, 0x1.657678d182ee1p-18, 0x1.73985ddcf7c39p-18, 0x1.8139fa8e0a333p-18, 0x1.8e5d8d7ff73d4p-18, 0x1.9b0547f605889p-18, 0x1.a7334e91e0e7fp-18, 0x1.b2e9ba0060749p-18, 0x1.be2a979d215p-18, 0x1.c8f7ea0d56072p-18, 0x1.d353a9d227b12p-18, 0x1.dd3fc5d3087a2p-18, 0x1.e6be23e048057p-18, 0x1.efd0a12e462bdp-18, 0x1.f87912c9927cep-18, 0x1.005ca302234f7p-17, 0x1.0449806e758d8p-17, 0x1.0804012f97c12p-17, 0x1.0b8d017f5d413p-17, 0x1.0ee55a762d485p-17, 0x1.120de232ead95p-17, 0x1.15076c004decdp-17, 0x1.17d2c877cb4ep-17, 0x1.1a70c5a2288cdp-17, 0x1.1ce22f15da6dfp-17, 0x1.1f27ce1347116p-17, 0x1.2142699f080e3p-17, 0x1.2332c69a4503ep-17, 0x1.24f9a7d93f6a4p-17, 0x1.2697ce3827437p-17, 0x1.280df8ae4e971p-17, 0x1.295ce45fd4362p-17, 0x1.2a854cadd5c85p-17, 0x1.2b87eb454311bp-17, 0x1.2c65782c616eep-17, 0x1.2d1ea9cf13461p-17, 0x1.2db43509f6e09p-17, 0x1.2e26cd346b3cap-17, 0x1.2e7724298d239p-17, 0x1.2ea5ea503b382p-17, 0x1.2eb3cea2308d9p-17, 0x1.2ea17eb243c18p-17, 0x1.2e6fa6b1d927cp-17, 0x1.2e1ef17594914p-17, 0x1.2db0087956edap-17, 0x1.2d2393e3960cfp-17, 0x1.2c7a3a8816dccp-17, 0x1.2bb4a1ea17d1p-17, 0x1.2ad36e3df521fp-17, 0x1.29d7426a50602p-17, 0x1.28c0c008c5e5dp-17, 0x1.27908766387fap-17, 0x1.26473782bd3fbp-17, 0x1.24e56e112e1b9p-17, 0x1.236bc7766cb2ep-17, 0x1.21dadec85c053p-17, 0x1.20334dcc984bbp-17, 0x1.1e75acf6f474cp-17, 0x1.1ca29367c2bbbp-17, 0x1.1aba96e9ee8f2p-17, 0x1.18be4bf0eed54p-17, 0x1.16ae459694982p-17, 0x1.148b1598bbdc3p-17, 0x1.12554c56e31a3p-17, 0x1.100d78cfaf8dep-17, 0x1.0db4289e60a85p-17, 0x1.0b49e7f837672p-17, 0x1.08cf41a9d677p-17, 0x1.0644bf149e287p-17, 0x1.03aae82c063aep-17, 0x1.01024372fb426p-17, 0x1.fc96abf28109ep-18, 0x1.f70d46b1b4b08p-18, 0x1.f1695b6706544p-18, 0x1.ebabeb605990ap-18, 0x1.e5d5f4f1250a7p-18, 0x1.dfe8736db623dp-18, 0x1.d9e45f269f0ebp-18, 0x1.d3caad644aa1bp-18, 0x1.cd9c5062c253dp-18, 0x1.c75a374da178bp-18, 0x1.c1054e3c3bcacp-18, 0x1.ba9e7e2dfc741p-18, 0x1.b426ad06f7d12p-18, 0x1.ad9ebd8cbce74p-18, 0x1.a7078f635cc05p-18, 0x1.a061ff0ab3c86p-18, 0x1.99aee5dbed1a4p-18, 0x1.92ef1a0749d1dp-18, 0x1.8c236e9224e56p-18, 0x1.854cb3553b4fp-18, 0x1.7e6bb4fb350f8p-18, 0x1.77813cff6fe92p-18, 0x1.708e11ad0fda6p-18, 0x1.6992f61e4f026p-18, 0x1.6290aa3c13d8fp-18, 0x1.5b87eabdc91e6p-18, 0x1.547971297815ap-18, 0x1.4d65f3d427ec7p-18, 0x1.464e25e27dfc4p-18, 0x1.3f32b7499f79ep-18, 0x1.381454d0556f7p-18, 0x1.30f3a81072b8p-18, 0x1.29d1577877f3p-18, 0x1.22ae064d772aep-18, 0x1.1b8a54ad389f8p-18, 0x1.1466df9098a26p-18, 0x1.0d4440ce272a5p-18, 0x1.06230f1cfebe1p-18, 0x1.fe07bc2fb187cp-19, 0x1.efce7c80b376fp-19, 0x1.e19b7a052d13dp-19, 0x1.d36fc971a2ccbp-19, 0x1.c54c795ed550ep-19, 0x1.b7329252126f7p-19, 0x1.a92316c5e7f54p-19, 0x1.9b1f03333b6cbp-19, 0x1.8d274e1ac6be7p-19, 0x1.7f3ce80eeec0ap-19, 0x1.7160bbbdfa9d4p-19, 0x1.6393adfca2454p-19, 0x1.55d69dd0f10cep-19, 0x1.482a647d82c95p-19, 0x1.3a8fd58d0a241p-19, 0x1.2d07bede2bac1p-19, 0x1.1f92e8afa1887p-19, 0x1.123215aca6a76p-19, 0x1.04e602f9aa8e5p-19, 0x1.ef5ed0828c9d8p-20, 0x1.d51def82e53d4p-20, 0x1.bb0abcb1f6169p-20, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.169d70a2caf3ep-9, -0x1.1645cc3e1a52fp-8, -0x1.a06e03ea2961ap-8, -0x1.148f5822351a4p-7, -0x1.57bbe08c8497dp-7, -0x1.9931e003b028cp-7, -0x1.d84f5679ddf3ap-7, -0x1.0a2fe50b27bfdp-6, -0x1.2650d6c396f1ap-6, -0x1.4025ee96f0eb4p-6, -0x1.57496df420f1p-6, -0x1.6b56cc9882d59p-6, -0x1.7becd10b1b2cap-6, -0x1.88af57aee9f88p-6, -0x1.9148c76eb7fdbp-6, -0x1.956b36eefbca3p-6, -0x1.94d147b1e42fcp-6, -0x1.8f3ebe105895bp-6, -0x1.8480dda375325p-6, -0x1.746e91ec28fd9p-6, -0x1.5ee86adcfd574p-6, -0x1.43d8748355dcep-6, -0x1.2331f0816954ep-6, -0x1.f9e1eed31c8f6p-7, -0x1.a2340ec4d7cf1p-7, -0x1.3f7309a5f07edp-7, -0x1.a38cc4ca1289bp-8, -0x1.658cdc04366d4p-9, 0x1.4ba72a4b02376p-10, 0x1.6cea2348a3ef4p-8, 0x1.4d46450948b8bp-7, 0x1.ed886e288a9d4p-7, 0x1.4b69c59bc23f5p-6, 0x1.a45c5bd25fe65p-6, 0x1.00b0cb8c106d6p-5, 0x1.311e4f94e1b8bp-5, 0x1.63574d0fc079ap-5, 0x1.973b8cbf9623bp-5, 0x1.ccaa402489451p-5, 0x1.01c11880008cep-4, 0x1.1dd0f6b032c9ep-4, 0x1.3a73f8235231ep-4, 0x1.5799637ec7202p-4, 0x1.7530999fd6504p-4, 0x1.93292525c4c6cp-4, 0x1.b172c88452fc5p-4, 0x1.cffd8ab06df7cp-4, 0x1.eeb9c27957594p-4, 0x1.06cc105052c6p-3, 0x1.1644dc61b86afp-3, 0x1.25c0049358f7fp-3, 0x1.353680bc49d03p-3, 0x1.44a1844be9e5ep-3, 0x1.53fa80b8ffc09p-3, 0x1.633b278442fbdp-3, 0x1.725d6bd614461p-3, 0x1.815b83becfd5bp-3, 0x1.902fe920c03fbp-3, 0x1.9ed55a4a8ba08p-3, 0x1.ad46da487036bp-3, 0x1.bb7fb0f27ed8bp-3, 0x1.c97b6abd9662ap-3, 0x1.d735d85499517p-3, 0x1.e4ab0dff10669p-3, 0x1.f1d762da1fc5p-3, 0x1.feb76fe865afbp-3, 0x1.05a4077e8a4aap-2, 0x1.0bc32cc3362b6p-2, 0x1.11b7d39da30fdp-2, 0x1.1780c657b2a2dp-2, 0x1.1d1cece8e5544p-2, 0x1.228b4c2c19775p-2, 0x1.27cb050d51aeep-2, 0x1.2cdb53b0da257p-2, 0x1.31bb8e950ef0dp-2, 0x1.366b25afe4242p-2, 0x1.3ae9a18949ebbp-2, 0x1.3f36a2535db59p-2, 0x1.4351df0157372p-2, 0x1.473b245dfc80fp-2, 0x1.4af2542263ea3p-2, 0x1.4e77640dafcc1p-2, 0x1.51ca5cfe617fp-2, 0x1.54eb5a0dd59e3p-2, 0x1.57da87ae66e99p-2, 0x1.5a9822ccb047ep-2, 0x1.5d2477f44c068p-2, 0x1.5f7fe27871fb6p-2, 0x1.61aacba0bedb3p-2, 0x1.63a5a9da6f184p-2, 0x1.6570ffee41a1p-2, 0x1.670d5c3b3a572p-2, 0x1.687b57f66b662p-2, 0x1.69bb966fed0c8p-2, 0x1.6acec45d14fffp-2, 0x1.6bb59728110b1p-2, 0x1.6c70cc44e556ap-2, 0x1.6d01288be5ac7p-2, 0x1.6d677799a3fcdp-2, 0x1.6da48b3459ddcp-2, 0x1.6db93ab6cc943p-2, 0x1.6da662809c41bp-2, 0x1.6d6ce36bfa41bp-2, 0x1.6d0da248b9f53p-2, 0x1.6c89875ca66fep-2, 0x1.6be17de90fd57p-2, 0x1.6b1673b57b49ap-2, 0x1.6a29589f5cd38p-2, 0x1.691b1e2ec8b9fp-2, 0x1.67ecb72ffcaf7p-2, 0x1.669f1751ad024p-2, 0x1.653332c7f7793p-2, 0x1.63a9fdf3e1078p-2, 0x1.62046d0f41526p-2, 0x1.604373dd00c28p-2, 0x1.5e68055d89073p-2, 0x1.5c7313874ef8ep-2, 0x1.5a658f0351cbbp-2, 0x1.584066ed7a74p-2, 0x1.56048898b258p-2, 0x1.53b2df56a1075p-2, 0x1.514c5442e730cp-2, 0x1.4ed1ce11c1b9ep-2, 0x1.4c4430e1f31bdp-2, 0x1.49a45e11dd76cp-2, 0x1.46f33417a5581p-2, 0x1.44318e5c4dcd4p-2, 0x1.41604519ac57ap-2, 0x1.3e802d3b182ap-2, 0x1.3b921840bdd1ap-2, 0x1.3896d4257dc86p-2, 0x1.358f2b4738e99p-2, 0x1.327be4517378fp-2, 0x1.2f5dc22a3af3p-2, 0x1.2c3583e12be68p-2, 0x1.2903e4a08fed4p-2, 0x1.25c99ba06df1ep-2, 0x1.22875c1b80002p-2, 0x1.1f3dd545f9143p-2, 0x1.1bedb245ff333p-2, 0x1.18979a2dcc9b2p-2, 0x1.153c2ff760bb3p-2, 0x1.11dc1281ae7b9p-2, 0x1.0e77dc8f347acp-2, 0x1.0b1024c5ecc8p-2, 0x1.07a57db08758dp-2, 0x1.043875c0d2a45p-2, 0x1.00c9975351f33p-2, 0x1.fab2d167c1b0dp-3, 0x1.f3d0d846c3415p-3, 0x1.ecee3fbcbb4b5p-3, 0x1.e60bfc49247ecp-3, 0x1.df2afa82a1a02p-3, 0x1.d84c1f29667b1p-3, 0x1.d170473b0cfd1p-3, 0x1.ca984807dbc01p-3, 0x1.c3c4ef4952ea8p-3, 0x1.bcf70339eeafp-3, 0x1.b62f42ae06ca3p-3, 0x1.af6e652db5017p-3, 0x1.a8b51b0fb2cd2p-3, 0x1.a2040d950cc1bp-3, 0x1.9b5bdf05a9f4dp-3, 0x1.94bd2acd86d3ep-3, 0x1.8e28859a93953p-3, 0x1.879e7d7b2bb72p-3, 0x1.811f99fd14137p-3, 0x1.7aac5c4ce2805p-3, 0x1.74453f55d6e9ap-3, 0x1.6deab7e204759p-3, 0x1.679d34bac3ab2p-3, 0x1.615d1ec9614a4p-3, 0x1.5b2ad937fae11p-3, 0x1.5506c1928133fp-3, 0x1.4ef12fe7ca7aep-3, 0x1.48ea76eab8d9dp-3, 0x1.42f2e4135ff84p-3, 0x1.3d0abfc01c854p-3, 0x1.37324d56a6751p-3, 0x1.3169cb64fac7ep-3, 0x1.2bb173c22f53bp-3, 0x1.26097baf0f233p-3, 0x1.207213f691e3cp-3, 0x1.1aeb690e0f97ep-3, 0x1.1575a3353798dp-3, 0x1.1010e695c3dccp-3, 0x1.0abd5362dc327p-3, 0x1.057b05f82cf54p-3, 0x1.004a16f89de11p-3, 0x1.f65536d9753aep-4, 0x1.ec3949c165371p-4, 0x1.e2408303e79a9p-4, 0x1.d86af878ccb8dp-4, 0x1.ceb8b9ae6c10ap-4, 0x1.c529d0225ea6p-4, 0x1.bbbe3f795f36bp-4, 0x1.b27605b632625p-4, 0x1.a9511b6fb832bp-4, 0x1.a04f7405fccb7p-4, 0x1.9770fdd66000cp-4, 0x1.8eb5a26ebf6dbp-4, 0x1.861d46bfad6a5p-4, 0x1.7da7cb4da7b0cp-4, 0x1.75550c6152ca7p-4, 0x1.6d24e236b4ff5p-4, 0x1.6517212b730f9p-4, 0x1.5d2b99ec08bdbp-4, 0x1.556219a0035p-4, 0x1.4dba6a153700ep-4, 0x1.463451e9f5e05p-4, 0x1.3ecf94b6430bfp-4, 0x1.378bf334072adp-4, 0x1.30692b66454c6p-4, 0x1.2966f8bf4f759p-4, 0x1.22851446018cp-4, 0x1.1bc334b9fe935p-4, 0x1.15210eb6f5ddap-4, 0x1.0e9e54d6f0021p-4, 0x1.083ab7d3a6c4dp-4, 0x1.01f5e6a6ec54ep-4, 0x1.f79f1d543d13fp-5, 0x1.eb8eb76961038p-5, 0x1.dfb9f0738e327p-5, 0x1.d4201ac9dbc44p-5, 0x1.c8c0866bd305p-5, 0x1.bd9a81374a687p-5, 0x1.b2ad571c8a7cep-5, 0x1.a7f85250b7e6ap-5, 0x1.9d7abb7e91dccp-5, 0x1.9333d9f586eb6p-5, 0x1.8922f3d729d51p-5, 0x1.7f474e430acb3p-5, 0x1.75a02d8100f57p-5, 0x1.6c2cd529e7177p-5, 0x1.62ec884ed6979p-5, 0x1.59de899ee3b8p-5, 0x1.51021b8b68056p-5, 0x1.4856806adf8f1p-5, 0x1.3fdafa9a604c2p-5, 0x1.378ecc9db4d35p-5, 0x1.2f71393e20061p-5, 0x1.278183a7d54c9p-5, 0x1.1fbeef862832p-5, 0x1.1828c11e7d3bcp-5, 0x1.10be3d6a0413p-5, 0x1.097eaa2e4480ep-5, 0x1.02694e147d2e8p-5, 0x1.f6fae17fd28b5p-6, 0x1.e974b5c5cf557p-6, 0x1.dc3eaca623122p-6, 0x1.cf575c3892aecp-6, 0x1.c2bd5d25833f9p-6, 0x1.b66f4ac8160e8p-6, 0x1.aa6bc34e5d024p-6, 0x1.9eb167d7aa2dfp-6, 0x1.933edc91197fbp-6, 0x1.8812c8d055434p-6, 0x1.7d2bd72ca9df3p-6, 0x1.7288b59672a7fp-6, 0x1.6828156ceddb9p-6, 0x1.5e08ab928523ap-6, 0x1.5429307f974ap-6, 0x1.4a886053cdac3p-6, 0x1.4124fae60ceadp-6, 0x1.37fdc3d30aad4p-6, 0x1.2f11828a91a0cp-6, 0x1.265f025b88ce6p-6, 0x1.1de5127ebcdfep-6, 0x1.15a286207e53fp-6, 0x1.0d9634692096bp-6, 0x1.05bef8846109dp-6, 0x1.fc37634f7e417p-7, 0x1.ed56862fa3102p-7, 0x1.ded9285956af4p-7, 0x1.d0bd20aa8d835p-7, 0x1.c3004e342598cp-7, 0x1.b5a0983d4afdfp-7, 0x1.a89bee4527d37p-7, 0x1.9bf04803185ebp-7, 0x1.8f9ba56546f91p-7, 0x1.839c0e8de6bfp-7, 0x1.77ef93cf048c9p-7, 0x1.6c944da50d3ebp-7, 0x1.61885cb010424p-7, 0x1.56c9e9abd224dp-7, 0x1.4c572566ba695p-7, 0x1.422e48b7af10dp-7, 0x1.384d9472e8ad9p-7, 0x1.2eb3515dcf0adp-7, 0x1.255dd021e8b0dp-7, 0x1.1c4b693eece3p-7, 0x1.137a7cfc02cb2p-7, 0x1.0ae973583a7c2p-7, 0x1.0296bbfa4b7a7p-7, 0x1.f5019c3f4939bp-8, 0x1.e54c5115abfe8p-8, 0x1.d60aa2e2c7e54p-8, 0x1.c739acd20f1ep-8, 0x1.b8d698a8d90d2p-8, 0x1.aade9e9ee2068p-8, 0x1.9d4f0535e8b9bp-8, 0x1.9025211076d37p-8, 0x1.835e54c7e83ecp-8, 0x1.76f810c1c03a1p-8, 0x1.6aefd3045e438p-8, 0x1.5f43270b20ef1p-8, 0x1.53efa59a04722p-8, 0x1.48f2f490ce9f1p-8, 0x1.3e4ac6bdd3943p-8, 0x1.33f4dbb05eef6p-8, 0x1.29eeff8ad3435p-8, 0x1.20370ad4871e9p-8, 0x1.16cae24b6c98p-8, 0x1.0da876b5924b6p-8, 0x1.04cdc4b281b67p-8, 0x1.f871a9191845fp-9, 0x1.e7cf741415cbep-9, 0x1.d7b1287d3fcd7p-9, 0x1.c8131ab8f93f9p-9, 0x1.b8f1b50b7765fp-9, 0x1.aa49773b9f34dp-9, 0x1.9c16f6362b50ep-9, 0x1.8e56dbb11c5fp-9, 0x1.8105e5cf89977p-9, 0x1.7420e6c5da9e8p-9, 0x1.67a4c47e7dc6cp-9, 0x1.5b8e783f1abccp-9, 0x1.4fdb0e4e5dc1cp-9, 0x1.4487a59a5544dp-9, 0x1.39916f5f77cd9p-9, 0x1.2ef5aed0586bep-9, 0x1.24b1b8be0ebadp-9, 0x1.1ac2f341623cep-9, 0x1.1126d564b99f9p-9, 0x1.07dae6cedad9fp-9, 0x1.fdb97edd026d6p-10, 0x1.ec540e4d9715fp-10, 0x1.db80eaf924b84p-10, 0x1.cb3ba28941c85p-10, 0x1.bb7fe0a5b98dep-10, 0x1.ac496e54bb312p-10, 0x1.9d94315cf70c4p-10, 0x1.8f5c2ba9ac82dp-10, 0x1.819d7ab0b1609p-10, 0x1.745456da7aa13p-10, 0x1.677d12ec2b223p-10, 0x1.5b141b73aa7efp-10, 0x1.4f15f635c8988p-10, 0x1.437f419e80ec3p-10, 0x1.384cb4333e338p-10, 0x1.2d7b1c074b55ap-10, 0x1.23075e324fe46p-10, 0x1.18ee7648efc8fp-10, 0x1.0f2d75d782de6p-10, 0x1.05c183def0bf6p-10, 0x1.f94fb8a7481cfp-11, 0x1.e7bb9f3d38673p-11, 0x1.d6c184413ae4cp-11, 0x1.c65c576ef575cp-11, 0x1.b6872e8af4721p-11, 0x1.a73d4475a282ap-11, 0x1.9879f8426e4f7p-11, 0x1.8a38cc5315ad5p-11, 0x1.7c75657713d0fp-11, 0x1.6f2b8a0f289eep-11, 0x1.62572134f785bp-11, 0x1.55f431e6b29eap-11, 0x1.49fee236ccae3p-11, 0x1.3e73767fa88fdp-11, 0x1.334e509b3ed6cp-11, 0x1.288bef1eb18a1p-11, 0x1.1e28ec99c15f1p-11, 0x1.1421feda1f441p-11, 0x1.0a73f6328d2cfp-11, 0x1.011bbcc5c5915p-11, 0x1.f02cabaa3e121p-12, 0x1.dec1ba25c1858p-12, 0x1.cdf10bf07a811p-12, 0x1.bdb5363dd0a29p-12, 0x1.ae08fb3c7cbcep-12, 0x1.9ee748d7da234p-12, 0x1.904b378031a16p-12, 0x1.823008f9d7663p-12, 0x1.7491273311115p-12, 0x1.676a2320a137p-12, 0x1.5ab6b3a0e8962p-12, 0x1.4e72b46580a11p-12, 0x1.429a24e336223p-12, 0x1.372927484c8edp-12, 0x1.2c1bff78f46c9p-12, 0x1.216f1211d45adp-12, 0x1.171ee370948a6p-12, 0x1.0d2816c24f5ccp-12, 0x1.03876d17cc266p-12, 0x1.f47388fee41e4p-13, 0x1.e2782e49a8e4ep-13, 0x1.d116f4eb838b1p-13, 0x1.c04a3c997c1b1p-13, 0x1.b00c9841990ap-13, 0x1.a058cc74eea7dp-13, 0x1.9129cddbe4736p-13, 0x1.827abfb498e7p-13, 0x1.7446f25b1ac7ap-13, 0x1.6689e1db5ebf5p-13, 0x1.593f348cb4027p-13, 0x1.4c62b9b68af6dp-13, 0x1.3ff0683e61bap-13, 0x1.33e45d5eaee4fp-13, 0x1.283adb6689b32p-13, 0x1.1cf04881f908bp-13, 0x1.12012d8aaa4a4p-13, 0x1.076a34e0eeb2bp-13, 0x1.fa505299a0a34p-14, 0x1.e66fe9ce1fb57p-14, 0x1.d32d4013c57cap-14, 0x1.c082a092976e2p-14, 0x1.ae6a8ee5adb46p-14, 0x1.9cdfc5294b6cfp-14, 0x1.8bdd32170aadbp-14, 0x1.7b5df73005438p-14, 0x1.6b5d66f485112p-14, 0x1.5bd70328faab1p-14, 0x1.4cc67b27ee583p-14, 0x1.3e27aa4099dd6p-14, 0x1.2ff69621e4ff4p-14, 0x1.222f6d51765e3p-14, 0x1.14ce85ae9494bp-14, 0x1.07d05b008a7cdp-14, 0x1.f6631b209b874p-15, 0x1.ddddc19a3b81ap-15, 0x1.c60a73f7b08dp-15, 0x1.aee33de186673p-15, 0x1.986269a707f9ap-15, 0x1.82827dda1373p-15, 0x1.6d3e3afe4b94ep-15, 0x1.5890994b2f4f9p-15, 0x1.4474c68098dadp-15, 0x1.30e623cd2c50ap-15, 0x1.1de043c64056bp-15, 0x1.0b5ee870ce9ffp-15, 0x1.f2bc02b5e8996p-16, 0x1.cfb3538b3130bp-16, 0x1.ad9c4dbb93918p-16, 0x1.8c6fcc0ac4f6fp-16, 0x1.6c26f655264f8p-16, 0x1.4cbb3e5bc837dp-16, 0x1.2e265cac990a7p-16, 0x1.10624da5f9be2p-16, 0x1.e6d29d29d9dbfp-17, 0x1.ae6bb5da6a88ep-17, 0x1.7785533521c1fp-17, 0x1.421554d4e88c1p-17, 0x1.0e12071af81d9p-17, 0x1.b6e43cbfeb273p-18, 0x1.545964a3a9714p-18, 0x1.e8e4e5f50e9bdp-19, 0x1.2e3e14054d86ap-19, 0x1.e27bc6c211d91p-21, -0x1.c0b4c816f5586p-22, -0x1.c7fed3289c67dp-20, -0x1.8b3731c735b4fp-19, -0x1.16ec42e7ef837p-18, -0x1.65fe74f9ca381p-18, -0x1.b2de6fd024f69p-18, -0x1.fd97f90007e79p-18, -0x1.231b3083199dcp-17, -0x1.466244895ec3p-17, -0x1.68a6744c4de86p-17, -0x1.89ecc9518092ap-17, -0x1.aa3a1d7932f13p-17, -0x1.c9931d718acf4p-17, -0x1.e7fc4b0f89ad5p-17, -0x1.02bcffc737b93p-16, -0x1.110836db4485bp-16, -0x1.1ee1d1f60b3c5p-16, -0x1.2c4bc7139c7a3p-16, -0x1.3947fbeac9a1p-16, -0x1.45d846d3351d2p-16, -0x1.51fe6fa104ca5p-16, -0x1.5dbc30768a0d2p-16, -0x1.6913368c3d4d9p-16, -0x1.740522ef679e3p-16, -0x1.7e938b37c861ep-16, -0x1.88bffa34885d3p-16, -0x1.928bf090d446p-16, -0x1.9bf8e570611bep-16, -0x1.a50847042afep-16, -0x1.adbb7b17bae01p-16, -0x1.b613df972fa56p-16, -0x1.be12cb0e5fa93p-16, -0x1.c5b98d2145dd9p-16, -0x1.cd096efe079b6p-16, -0x1.d403b3c8ca9dep-16, -0x1.daa99901a1c9ap-16, -0x1.e0fc56e4bedb1p-16, -0x1.e6fd20c53053dp-16, -0x1.ecad25625a7d3p-16, -0x1.f20d8f3868bf1p-16, -0x1.f71f84cbe4b11p-16, -0x1.fbe428f0ac8b1p-16, -0x1.002e4d863b89bp-15, -0x1.0244fbaa8b05p-15, -0x1.0436ab855126dp-15, -0x1.0603e856e2cd4p-15, -0x1.07ad3c1923aedp-15, -0x1.09332f97038f1p-15, -0x1.0a964a8247ddp-15, -0x1.0bd71387b5e7bp-15, -0x1.0cf61061ae3c5p-15, -0x1.0df3c5e94ca2p-15, -0x1.0ed0b826213d2p-15, -0x1.0f8d6a5c8e60ep-15, -0x1.102a5f1ae27b5p-15, -0x1.10a81845371c5p-15, -0x1.110717202ab75p-15, -0x1.1147dc5a7f345p-15, -0x1.116ae815b00ep-15, -0x1.1170b9ed895a6p-15, -0x1.1159d0fed164dp-15, -0x1.1126abed0e95p-15, -0x1.10d7c8e7780b7p-15, -0x1.106da5ad1b099p-15, -0x1.0fe8bf90427bap-15, -0x1.0f4993792bcdap-15, -0x1.0e909de81156bp-15, -0x1.0dbe5af697adbp-15, -0x1.0cd34658a4c1p-15, -0x1.0bcfdb5cacf05p-15, -0x1.0ab494eb7d5ep-15, -0x1.0981ed878dea4p-15, -0x1.08385f4bdfe33p-15, -0x1.06d863ea7662fp-15, -0x1.056274aa6b996p-15, -0x1.03d70a65add04p-15, -0x1.02369d86670cbp-15, -0x1.0081a6041b8c4p-15, -0x1.fd7136c10291ap-16, -0x1.f9b7e94830de3p-16, -0x1.f5d850b513a74p-16, -0x1.f1d3591da6a68p-16, -0x1.eda9ed8e8667ep-16, -0x1.e95cf8029b61ep-16, -0x1.e4ed615a7682cp-16, -0x1.e05c115373608p-16, -0x1.dba9ee7e9de0ep-16, -0x1.d6d7de377321dp-16, -0x1.d1e6c49a72d33p-16, -0x1.ccd7847b9d1bbp-16, -0x1.c7aaff5ccc769p-16, -0x1.c26215640ed8bp-16, -0x1.bcfda551e59d3p-16, -0x1.b77e8c7793236p-16, -0x1.b1e5a6ad5a03p-16, -0x1.ac33ce48d06d8p-16, -0x1.a669dc133da62p-16, -0x1.a088a740052abp-16, -0x1.9a9105632df6ap-16, -0x1.9483ca6803b6fp-16, -0x1.8e61c887d4d0bp-16, -0x1.882bd040d46f2p-16, -0x1.81e2b04d2209bp-16, -0x1.7b873599fd978p-16, -0x1.751a2b3f22abdp-16, -0x1.6e9c5a765a55dp-16, -0x1.680e8a93355b3p-16, -0x1.617180fb046a1p-16, -0x1.5ac6011d014bap-16, -0x1.540ccc6ab273ep-16, -0x1.4d46a250860dcp-16, -0x1.4674402eae99ap-16, -0x1.3f96615237c09p-16, -0x1.38adbeee5a902p-16, -0x1.31bb1016179c3p-16, -0x1.2abf09b60954dp-16, -0x1.23ba5e8e7c419p-16, -0x1.1cadbf2dce92fp-16, -0x1.1599d9eb07303p-16, -0x1.0e7f5ae0beeap-16, -0x1.075eebe84129ap-16, -0x1.00393494f8485p-16, -0x1.f21db46039d6cp-17, -0x1.e3c0ff6950c4ep-17, -0x1.d55d8b971b495p-17, -0x1.c6f4959069302p-17, -0x1.b887554a7ad07p-17, -0x1.aa16fe03068b5p-17, -0x1.9ba4be3ac8a4cp-17, -0x1.8d31bfb0a33a4p-17, -0x1.7ebf275d3183bp-17, -0x1.704e156eef851p-17, -0x1.61dfa546dace6p-17, -0x1.5374ed75a0773p-17, -0x1.450effb938a18p-17, -0x1.36aee8fb18babp-17, -0x1.2855b14ece142p-17, -0x1.1a045bf120f5p-17, -0x1.0bbbe747ab8b3p-17, -0x1.fafa99c1d66d3p-18, -0x1.de9302e98d693p-18, -0x1.c242e9cb1259ep-18, }}, 
      {{-0x1.af2e313f09ad2p-1, -0x1.af36d3cb24043p-1, -0x1.af3f0d804e3d3p-1, -0x1.af3ff56f10273p-1, -0x1.af3253715811p-1, -0x1.af0f5d92fb601p-1, -0x1.aed1277966206p-1, -0x1.ae72dbbaafab2p-1, -0x1.adf0d07cb5134p-1, -0x1.ad4883d99c8dcp-1, -0x1.ac7888f64a681p-1, -0x1.ab806c1b46bd4p-1, -0x1.aa60923941705p-1, -0x1.a91a16e02e89ap-1, -0x1.a7aeaaaf997p-1, -0x1.a620738e3fa94p-1, -0x1.a471ef7324a09p-1, -0x1.a2a5da2cf4f28p-1, -0x1.a0bf16536c8f2p-1, -0x1.9ec09961dfd5dp-1, -0x1.9cad5adc68b0fp-1, -0x1.9a88464e75d74p-1, -0x1.98542fe684289p-1, -0x1.9613cb6d5da8ep-1, -0x1.93c9a555ba163p-1, -0x1.91781da24d01cp-1, -0x1.8f2164633f94ap-1, -0x1.8cc7779032d23p-1, -0x1.8a6c22089e6bap-1, -0x1.8810fb89716dep-1, -0x1.85b7696bf3699p-1, -0x1.8360a006e0234p-1, -0x1.810da48f793c1p-1, -0x1.7ebf4f5cc596cp-1, -0x1.7c764e7349045p-1, -0x1.7a3328434227ep-1, -0x1.77f63e86e03ccp-1, -0x1.75bfd130e1e06p-1, -0x1.7390015eb8949p-1, -0x1.7166d443ae785p-1, -0x1.6f4436048bde5p-1, -0x1.6d27fc7d0a9bep-1, -0x1.6b11e9e9e470ap-1, -0x1.6901af739c538p-1, -0x1.66f6ef97366cp-1, -0x1.64f1406b093a7p-1, -0x1.62f02dbe8c7a1p-1, -0x1.60f33b14bc68fp-1, -0x1.5ef9e5791d8cfp-1, -0x1.5d03a52fe751fp-1, -0x1.5b0fef4228d5ap-1, -0x1.591e36e701ca6p-1, -0x1.572deecb39bc5p-1, -0x1.553e8a38a8ebp-1, -0x1.534f7e1efda8bp-1, -0x1.516041ff793fdp-1, -0x1.4f7050bd4bacep-1, -0x1.4d7f2954365fbp-1, -0x1.4b8c4f77195c9p-1, -0x1.49974c180e8a4p-1, -0x1.479faddba597ap-1, -0x1.45a50978ccbcbp-1, -0x1.43a6fa06e1acp-1, -0x1.41a5213b57156p-1, -0x1.3f9f27984d4p-1, -0x1.3d94bc8d67259p-1, -0x1.3b85968c1960cp-1, -0x1.397173109b5bep-1, -0x1.375816a09359p-1, -0x1.35394cc08686cp-1, -0x1.3314e7e10414ep-1, -0x1.30eac14472676p-1, -0x1.2ebab8de57e34p-1, -0x1.2c84b52ce8fbdp-1, -0x1.2a48a30d9518fp-1, -0x1.2806758d435cbp-1, -0x1.25be25b4dc11fp-1, -0x1.236fb252b6efcp-1, -0x1.211b1fc176195p-1, -0x1.1ec077acc9df1p-1, -0x1.1c5fc8d493c95p-1, -0x1.19f926ced07e4p-1, -0x1.178ca9c8a9ef2p-1, -0x1.151a6e4708a85p-1, -0x1.12a294e6f4c06p-1, -0x1.1025421e0dde4p-1, -0x1.0da29dfb5c169p-1, -0x1.0b1ad3e8b10a9p-1, -0x1.088e126cd1cc2p-1, -0x1.05fc8aee926e4p-1, -0x1.0366717910c6ap-1, -0x1.00cbfc812dd2cp-1, -0x1.fc5ac958d16efp-2, -0x1.f715c93266a54p-2, -0x1.f1c97151b201ap-2, -0x1.ec763d96117aap-2, -0x1.e71cac962a9bcp-2, -0x1.e1bd3f3dea4d9p-2, -0x1.dc5878701bcfep-2, -0x1.d6eedcaba5d82p-2, -0x1.d180f1b471cacp-2, -0x1.cc0f3e400b929p-2, -0x1.c69a49a5f3ed4p-2, -0x1.c1229b93a67fdp-2, -0x1.bba8bbc44edbap-2, -0x1.b62d31bc24198p-2, -0x1.b0b084875eb9ep-2, -0x1.ab333a7cbe3bap-2, -0x1.a5b5d9038f061p-2, -0x1.a038e45d1e9cap-2, -0x1.9abcdf718dd6fp-2, -0x1.95424b9feaaf5p-2, -0x1.8fc9a8918161bp-2, -0x1.8a5374104b59p-2, -0x1.84e029e0665d5p-2, -0x1.7f70439c7d96p-2, -0x1.7a0438950c9e6p-2, -0x1.749c7db264efp-2, -0x1.6f3985595b35dp-2, -0x1.69dbbf5287128p-2, -0x1.648398b3fad28p-2, -0x1.5f317bcd5b6c2p-2, -0x1.59e5d0163fa97p-2, -0x1.54a0fa1ebe4fap-2, -0x1.4f635b8214d72p-2, -0x1.4a2d52db4afep-2, -0x1.44ff3bbbc20dap-2, -0x1.3fd96ea3909adp-2, -0x1.3abc40fb9d8d5p-2, -0x1.35a8051159e41p-2, -0x1.309d0a140f886p-2, -0x1.2b9b9c13a0b04p-2, -0x1.26a40400b4ba5p-2, -0x1.21b687ae30363p-2, -0x1.1cd369d3e9257p-2, -0x1.17faea1288f09p-2, -0x1.132d44f883706p-2, -0x1.0e6ab40811028p-2, -0x1.09b36dbe23bebp-2, -0x1.0507a59a3741ap-2, -0x1.00678c26fb0d1p-2, -0x1.f7a69e077bf46p-3, -0x1.ee9631dd1dc06p-3, -0x1.e59e239e028bfp-3, -0x1.dcbebd8321b2bp-3, -0x1.d3f84447128f3p-3, -0x1.cb4af73ee4ef8p-3, -0x1.c2b71073d8141p-3, -0x1.ba3cc4bddea1cp-3, -0x1.b1dc43dee173ap-3, -0x1.a995b89e9e1e2p-3, -0x1.a16948e7130f6p-3, -0x1.995715e16cfdep-3, -0x1.915f3c1353561p-3, -0x1.8981d37c93a75p-3, -0x1.81beefb5128e8p-3, -0x1.7a16a00ae97c8p-3, -0x1.7288efa0bbe6ep-3, -0x1.6b15e58c19aabp-3, -0x1.63bd84f3f4c9p-3, -0x1.5c7fcd2f12bd4p-3, -0x1.555cb9e275088p-3, -0x1.4e54431fac9fap-3, -0x1.47665d8306a5fp-3, -0x1.4092fa519193p-3, -0x1.39da0796f115ap-3, -0x1.333b7042f0e03p-3, -0x1.2cb71c46d57c4p-3, -0x1.264cf0b260976p-3, -0x1.1ffccfd086261p-3, -0x1.19c69943c286ep-3, -0x1.13aa2a221991p-3, -0x1.0da75d10add78p-3, -0x1.07be0a5eee5eep-3, -0x1.01ee08215c87bp-3, -0x1.f86e5497b4b0bp-4, -0x1.ed3285971aee1p-4, -0x1.e22843407aa36p-4, -0x1.d74f29ea8beb6p-4, -0x1.cca6d2740521dp-4, -0x1.c22ed273799aap-4, -0x1.b7e6bc663b06p-4, -0x1.adce1fde2be87p-4, -0x1.a3e489ae8f77fp-4, -0x1.9a298417d6de8p-4, -0x1.909c96f251ab6p-4, -0x1.873d47d7df5aep-4, -0x1.7e0b1a4c932e1p-4, -0x1.75058fe643765p-4, -0x1.6c2c287311b25p-4, -0x1.637e621ee2b1ep-4, -0x1.5afbb997cc341p-4, -0x1.52a3aa3177d2ep-4, -0x1.4a75ae077bf07p-4, -0x1.42713e1eae2a4p-4, -0x1.3a95d28570074p-4, -0x1.32e2e272f7a27p-4, -0x1.2b57e4659a4ddp-4, -0x1.23f44e40162f2p-4, -0x1.1cb79565e3d08p-4, -0x1.15a12ed68d878p-4, -0x1.0eb08f48149dep-4, -0x1.07e52b4063e17p-4, -0x1.013e772dd4b58p-4, -0x1.f577cefd96711p-5, -0x1.e8b9e170d8439p-5, -0x1.dc420f18dea8fp-5, -0x1.d00f41dc2c635p-5, -0x1.c420644c8d151p-5, -0x1.b87461cda001ap-5, -0x1.ad0a26b9beb44p-5, -0x1.a1e0a0854b29cp-5, -0x1.96f6bde0673ep-5, -0x1.8c4b6ed727513p-5, -0x1.81dda4f03eba2p-5, -0x1.77ac534a38acfp-5, -0x1.6db66eb73e4a2p-5, -0x1.63faedd775cbcp-5, -0x1.5a78c93206c82p-5, -0x1.512efb4cc54b2p-5, -0x1.481c80c291dacp-5, -0x1.3f40585875c88p-5, -0x1.36998311849dp-5, -0x1.2e270441883ep-5, -0x1.25e7e19e85882p-5, -0x1.1ddb23511efcep-5, -0x1.15ffd403db271p-5, -0x1.0e5500f15d21ap-5, -0x1.06d9b9f191b79p-5, -0x1.ff1a230bbc453p-6, -0x1.f0dc39c8a722cp-6, -0x1.e2f7e803e3568p-6, -0x1.d56b633807595p-6, -0x1.c834e6812c004p-6, -0x1.bb52b2ac2df41p-6, -0x1.aec30e44456cep-6, -0x1.a284459f089b7p-6, -0x1.9694aae6e4b5ap-6, -0x1.8af296241ff26p-6, -0x1.7f9c65446c324p-6, -0x1.74907c211d54dp-6, -0x1.69cd44840d14fp-6, -0x1.5f512e2b3e034p-6, -0x1.551aaecb406f6p-6, -0x1.4b284210761a8p-6, -0x1.4178699f2da8ap-6, -0x1.3809ad12b1435p-6, -0x1.2eda99fb502b2p-6, -0x1.25e9c3db649f4p-6, -0x1.1d35c423745fp-6, -0x1.14bd3a2d61e9dp-6, -0x1.0c7ecb36c9effp-6, -0x1.0479225a8c403p-6, -0x1.f955e1132391fp-7, -0x1.ea25d905a665ep-7, -0x1.db5fa5955ae53p-7, -0x1.cd00cb431c57bp-7, -0x1.bf06d9f3f8401p-7, -0x1.b16f6cdc1be3ap-7, -0x1.a4382a6891d4cp-7, -0x1.975ec4280228ap-7, -0x1.8ae0f6b26ce85p-7, -0x1.7ebc898ff26f7p-7, -0x1.72ef4f1ec7483p-7, -0x1.677724784b114p-7, -0x1.5c51f155686f1p-7, -0x1.517da7f238661p-7, -0x1.46f844f1024fbp-7, -0x1.3cbfcf3c9f4f5p-7, -0x1.32d257ea4f7dcp-7, -0x1.292dfa1b0e734p-7, -0x1.1fd0dadc6fe7cp-7, -0x1.16b929091116bp-7, -0x1.0de51d28a9715p-7, -0x1.0552f94fc459p-7, -0x1.fa0211fe5f60fp-8, -0x1.e9db42064aa89p-8, -0x1.da2e3ea47ace5p-8, -0x1.caf7d5d85ba08p-8, -0x1.bc34e770c4a2ap-8, -0x1.ade264c8e90c8p-8, -0x1.9ffd508515f74p-8, -0x1.9282be4f5073cp-8, -0x1.856fd293deccbp-8, -0x1.78c1c23dcdd8p-8, -0x1.6c75d2737ba14p-8, -0x1.6089585339b8dp-8, -0x1.54f9b8b00b612p-8, -0x1.49c467ce9274ep-8, -0x1.3ee6e9223258ep-8, -0x1.345ecf0a71b23p-8, -0x1.2a29ba90a81c9p-8, -0x1.20455b2601717p-8, -0x1.16af6e61d9b9ep-8, -0x1.0d65bfc081d5ap-8, -0x1.046628626f17fp-8, -0x1.f75d1d97c359ap-9, -0x1.e679cd4a05cdep-9, -0x1.d61e60f513119p-9, -0x1.c646f2fdc8127p-9, -0x1.b6efb697e43afp-9, -0x1.a814f74aa2f24p-9, -0x1.99b31876887b8p-9, -0x1.8bc694dc66b43p-9, -0x1.7e4bfe25a8e67p-9, -0x1.713ffc6dea9dfp-9, -0x1.649f4dcde1f36p-9, -0x1.5866c5e7a40dap-9, -0x1.4c934d744b2c8p-9, -0x1.4121e1d303dbcp-9, -0x1.360f94998301p-9, -0x1.2b598b25f1b53p-9, -0x1.20fcfe32482ap-9, -0x1.16f7396926ccep-9, -0x1.0d459afc23867p-9, -0x1.03e5933b9f5a1p-9, -0x1.f5a948602704fp-10, -0x1.e420c269cddd2p-10, -0x1.d32cdd298cfa4p-10, -0x1.c2c9024f0470ep-10, -0x1.b2f0bbe2e7049p-10, -0x1.a39fb388cbfd9p-10, -0x1.94d1b1c415205p-10, -0x1.86829d3fe325p-10, -0x1.78ae7a1a0fad3p-10, -0x1.6b5169313d9b3p-10, -0x1.5e67a775e8269p-10, -0x1.51ed8d3e7bef6p-10, -0x1.45df8d9e7c51bp-10, -0x1.3a3a35c098d25p-10, -0x1.2efa2c43cecbcp-10, -0x1.241c309b77d4p-10, -0x1.199d1a724ddd8p-10, -0x1.0f79d91065132p-10, -0x1.05af72c40270ap-10, -0x1.f876089abc948p-11, -0x1.e633809a7bdf6p-11, -0x1.d491dd6cce75cp-11, -0x1.c38bd883c3c3p-11, -0x1.b31c53cc04bdfp-11, -0x1.a33e58a06c0ap-11, -0x1.93ed16c3131d1p-11, -0x1.8523e35bc432ap-11, -0x1.76de37fbc3fd2p-11, -0x1.6917b1a6ddeb9p-11, -0x1.5bcc0fe1a9ffcp-11, -0x1.4ef733c4f625bp-11, -0x1.42951f16442e8p-11, -0x1.36a1f3654d1fp-11, -0x1.2b19f12e75546p-11, -0x1.1ff977022388dp-11, -0x1.153d00b0e7cdep-11, -0x1.0ae1267c5f587p-11, -0x1.00e29c4cc6421p-11, -0x1.ee7c61d648a9cp-12, -0x1.dbe19a80037dp-12, -0x1.c9eee72d2600ap-12, -0x1.b89e7dc89431bp-12, -0x1.a7eac429746c7p-12, -0x1.97ce4eb3784e6p-12, -0x1.8843deff85c26p-12, -0x1.7946628c94148p-12, -0x1.6ad0f178a52ddp-12, -0x1.5cdecd41ac237p-12, -0x1.4f6b5f8e43d17p-12, -0x1.427238fe0cfa5p-12, -0x1.35ef100197fe4p-12, -0x1.29ddbfb9ae7b2p-12, -0x1.1e3a46ddddc21p-12, -0x1.1300c6aa21b57p-12, -0x1.082d81d387875p-12, -0x1.fb79b707553cfp-13, -0x1.e756acb5d1ea3p-13, -0x1.d3eb26f256b97p-13, -0x1.c130a31a42751p-13, -0x1.af20d7d39e9dep-13, -0x1.9db5b3449b022p-13, -0x1.8ce9595734eb8p-13, -0x1.7cb62208b452cp-13, -0x1.6d1697c4d2f65p-13, -0x1.5e0575cc40c43p-13, -0x1.4f7da6a6540d1p-13, -0x1.417a429d99d75p-13, -0x1.33f68e4714c82p-13, -0x1.26edf913ed62cp-13, -0x1.1a5c1bed4d5c6p-13, -0x1.0e3cb7da4116dp-13, -0x1.028bb4af4e30ep-13, -0x1.ee8a3f8f347fp-14, -0x1.d8ca558eb6d99p-14, -0x1.c3d054ceca1c8p-14, -0x1.af952a93328p-14, -0x1.9c1205ac01a8ep-14, -0x1.89405440cc929p-14, -0x1.7719c1ac5d2b3p-14, -0x1.6598346892585p-14, -0x1.54b5cc09fe869p-14, -0x1.446cdf4ae82bap-14, -0x1.34b7fa25489c7p-14, -0x1.2591dbfb6d294p-14, -0x1.16f575cedb62ap-14, -0x1.08dde8851dbbep-14, -0x1.f68d06743fd28p-15, -0x1.dc55833f839eap-15, -0x1.c30c94d49513p-15, -0x1.aaa9db92cdbd4p-15, -0x1.932547dac2b2bp-15, -0x1.7c77173081399p-15, -0x1.6697d174f9bfcp-15, -0x1.51804635faf4cp-15, -0x1.3d298a1428f24p-15, -0x1.298cf43e4fc3dp-15, -0x1.16a41c018a315p-15, -0x1.0468d66da183cp-15, -0x1.e5aa681a407b1p-16, -0x1.c3c6fd6117f72p-16, -0x1.a31c6e9875682p-16, -0x1.83a027d08b2bfp-16, -0x1.6547fb442874ep-16, -0x1.480a1d7e041cap-16, -0x1.2bdd219f3efbap-16, -0x1.10b7f5c63b824p-16, -0x1.ed23bf298fc5ap-17, -0x1.bac4f1a98de9ep-17, -0x1.8a435874ccd75p-17, -0x1.5b8f648627232p-17, -0x1.2e9a1c6091c8fp-17, -0x1.0355163adcd08p-17, -0x1.b364e4bfd7435p-18, -0x1.6349ab83bbca1p-18, -0x1.163ec97d3c6d7p-18, -0x1.9856f8515e6f4p-19, -0x1.09efd8117b1c2p-19, -0x1.02348d1905bcdp-20, 0x1.2afb588f833d1p-26, 0x1.0116f491a270ap-20, 0x1.f35e9f9cd13bdp-20, 0x1.6de903ee03d3bp-19, 0x1.dd5eb3f8219f4p-19, 0x1.241a8e6c695dp-18, 0x1.5747d4bf62e63p-18, 0x1.8848405b68c47p-18, 0x1.b72c49403958bp-18, 0x1.e403d26fd563fp-18, 0x1.076f180c1f5d8p-17, 0x1.1be516c00dc8p-17, 0x1.2f6b095c1f1b8p-17, 0x1.4207d50a07edap-17, 0x1.53c222b56178cp-17, 0x1.64a06191920b3p-17, 0x1.74a8c985f4a02p-17, 0x1.83e15d8110e38p-17, 0x1.924fedb3d2b6dp-17, 0x1.9ffa19b58108ap-17, 0x1.ace552914ce39p-17, 0x1.b916dcbe483a5p-17, 0x1.c493d2026e807p-17, 0x1.cf6123419cff2p-17, 0x1.d9839a3913a8cp-17, 0x1.e2ffdb28426b4p-17, 0x1.ebda66678ff0bp-17, 0x1.f41799edb2918p-17, 0x1.fbbbb2c44cbbap-17, 0x1.0165673634394p-16, 0x1.04a47619b2745p-16, 0x1.079cf73c76c22p-16, 0x1.0a50cdf342543p-16, 0x1.0cc1d04ca064cp-16, 0x1.0ef1c79f10582p-16, 0x1.10e27110d07b3p-16, 0x1.12957e1976c55p-16, 0x1.140c94fda3ff4p-16, 0x1.15495144fd42ap-16, 0x1.164d442ab49a4p-16, 0x1.1719f508ce28ap-16, 0x1.17b0e1be5b79p-16, 0x1.18137f10dc8b3p-16, 0x1.184339090267fp-16, 0x1.1841734af8b6fp-16, 0x1.180f896a6c606p-16, 0x1.17aecf3a7906dp-16, 0x1.17209119ace6dp-16, 0x1.1666143a4abe8p-16, 0x1.158096e6f0a66p-16, 0x1.147150c3d1413p-16, 0x1.1339730ca0673p-16, 0x1.11da28cf5755bp-16, 0x1.10549723fd0ecp-16, 0x1.0ea9dd6184346p-16, 0x1.0cdb154ff2fa6p-16, 0x1.0ae95357e5074p-16, 0x1.08d5a6af9058cp-16, 0x1.06a1198563818p-16, 0x1.044cb1285cf4p-16, 0x1.01d96e2e3b10bp-16, 0x1.fe90992f2b11dp-17, 0x1.f93487e403e93p-17, 0x1.f3a08ef0ae21p-17, 0x1.edd68c62540a8p-17, 0x1.e7d856172f78p-17, 0x1.e1a7b9f4eb43ap-17, 0x1.db467e1bf368fp-17, 0x1.d4b66117da99dp-17, 0x1.cdf91a0d0d845p-17, 0x1.c71058e3d98b8p-17, 0x1.bffdc67116385p-17, 0x1.b8c3049c58e1bp-17, 0x1.b161ae84148b9p-17, 0x1.a9db589f8eee2p-17, 0x1.a23190dee44acp-17, 0x1.9a65dec939c23p-17, 0x1.9279c3991e2dbp-17, 0x1.8a6eba575a53ep-17, 0x1.824637f427d3cp-17, 0x1.7a01ab5efa02dp-17, 0x1.71a27d9ce897dp-17, 0x1.692a11ddd331p-17, 0x1.6099c59057a75p-17, 0x1.57f2f0749f812p-17, 0x1.4f36e4ae3232ep-17, 0x1.4666eed4c23dcp-17, 0x1.3d84560417089p-17, 0x1.34905beb20ffcp-17, 0x1.2b8c3cda4588ap-17, 0x1.22792fd0f27c7p-17, 0x1.1958668a8795ep-17, 0x1.102b0d8aa3801p-17, 0x1.06f24c28e0c95p-17, 0x1.fb5e89381cc74p-18, 0x1.e8c62809e1a47p-18, 0x1.d61da4f12a2dfp-18, 0x1.c367261480f33p-18, 0x1.b0a4c7aa0c78p-18, 0x1.9dd89c0a1c60cp-18, 0x1.8b04abc123e8dp-18, 0x1.782af5a1378b4p-18, 0x1.654d6ed3183ddp-18, 0x1.526e02e6de1dfp-18, 0x1.3f8e93e450645p-18, 0x1.2cb0fa5af3454p-18, 0x1.19d70571da714p-18, 0x1.07027af74e54cp-18, 0x1.e86a2ee08956p-19, 0x1.c2e11c4f88a04p-19, 0x1.9d6d127c5acffp-19, 0x1.78115370f8a89p-19, 0x1.52d10f1f0a5a1p-19, 0x1.2daf637e65eebp-19, 0x1.08af5caba6839p-19, 0x1.c7a7ea0db51f5p-20, 0x1.7e402aa4c77c4p-20, 0x1.352d29a40e6a6p-20, 0x1.d8e8e5a8f004bp-21, 0x1.4836defeffc4bp-21, 0x1.709d9abbbc858p-22, 0x1.49d7d6d4469a9p-24, -0x1.93ea47c98f50bp-23, -0x1.e4902ad2045e8p-22, -0x1.7ea40e5cf1921p-21, -0x1.05029ec745177p-20, -0x1.4a31529137fd9p-20, -0x1.8ed9c40bbbf1ap-20, -0x1.d2f7b4dd6a2bdp-20, -0x1.0b438346a2feap-19, -0x1.2cc1dd1d8d387p-19, -0x1.4df4f82b76f12p-19, -0x1.6edaf42bd272fp-19, -0x1.8f7200385a1e2p-19, -0x1.afb85aa382c5ep-19, -0x1.cfac50d2799bep-19, -0x1.ef4c3f16b6e27p-19, -0x1.074b484394245p-18, -0x1.16c4df6c78501p-18, -0x1.2612291bdf9eap-18, -0x1.3532708ee2ab4p-18, -0x1.44250815a4fc7p-18, -0x1.52e948feef255p-18, -0x1.617e93839ac8ep-18, -0x1.6fe44eb1d43eep-18, -0x1.7e19e8582fd55p-18, -0x1.8c1ed4f097df1p-18, -0x1.99f28f8b12fbbp-18, -0x1.a79499b866a1dp-18, -0x1.b5047b7496c94p-18, -0x1.c241c31142febp-18, -0x1.cf4c051fe6ee6p-18, -0x1.dc22dc5bfcab7p-18, -0x1.e8c5e99505e35p-18, -0x1.f534d39879afdp-18, -0x1.00b7a38dcffb5p-17, -0x1.06ba7b52aab7fp-17, -0x1.0ca2cd3bdf7bp-17, -0x1.1270783cf657fp-17, -0x1.18235e10b7b35p-17, -0x1.1dbb632df1986p-17, -0x1.23386ebc38038p-17, -0x1.289a6a88a0d96p-17, -0x1.2de142fa7f019p-17, -0x1.330ce7081a799p-17, -0x1.381d482b68b22p-17, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      54, 0x1.6p+2, 0x1.f7202d18debeap+1, 0x1.195e95b740ea2p+3, 0x1.3b5572cc0a838p-4, 
      {{
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.7da4acd2246fdp-3, -0x1.b83043fc90e17p-2, 0x1.b08f14947fdc5p-1, -0x1.2c15c87d29924p+0}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.55a660a6ca20fp-3, -0x1.6aade72a4d08cp-2, 0x1.56888ba226965p-1, -0x1.0034b3d9ba33ap+0}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.348d1580e4297p-3, -0x1.2ddbdadfc3393p-2, 0x1.09abef473b872p-1, -0x1.b5cef3dc9331ep-1}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.18cd94101be9ap-3, -0x1.fe954dfe21214p-3, 0x1.90002eff7e183p-2, -0x1.67a617197b34ep-1}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.0118143a0b14dp-3, -0x1.b95f5ee2d5d92p-3, 0x1.241b281172bbdp-2, -0x1.1a8f28973efeep-1}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.d8b07a34775ddp-4, -0x1.876d98171545cp-3, 0x1.9ead37c82612cp-3, -0x1.997dd3fb981b7p-2}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.b36a4a04501aap-4, -0x1.641a51da0ac92p-3, 0x1.23d444fcaba35p-3, -0x1.0183fb00b1088p-2}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.9122a2f275af1p-4, -0x1.4ac85a3cf209cp-3, 0x1.ad26269286a85p-4, -0x1.7188c550e63e2p-4}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.71156e799e0b2p-4, -0x1.36b5ff730ae35p-3, 0x1.75b808f997522p-4, -0x1.dae8c4200be1p-7}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.52f0832020eadp-4, -0x1.243f629cd1685p-3, 0x1.6cd0787f63e5fp-4, -0x1.8e010d3177494p-6}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.369d45554488fp-4, -0x1.1261485c2cc3ep-3, 0x1.5de3a19a55d34p-4, -0x1.5ca648f65505fp-6}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.1c0a484e8a557p-4, -0x1.0136608221089p-3, 0x1.50d098777f6fcp-4, -0x1.6389e288744fcp-6}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.03265ca7701d2p-4, -0x1.e168f3f467762p-4, 0x1.437b6cc594acdp-4, -0x1.5b5b7441c2b74p-6}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.d7c120c2e0115p-5, -0x1.c1b68abc4a13dp-4, 0x1.3674cb9cb6f91p-4, -0x1.5736c7913c3c5p-6}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.ac505dc8013c5p-5, -0x1.a34f9ae891f92p-4, 0x1.2995f0edab1d4p-4, -0x1.51fd1c60dcbdp-6}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.83d981f9297f2p-5, -0x1.862fa544d3326p-4, 0x1.1ce93fdd3c6fdp-4, -0x1.4d0da999be64p-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.5e3c19bd3756ap-5, -0x1.6a51c947ca264p-4, 0x1.106befe7787f3p-4, -0x1.480a53ad4e88p-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.3b582c4701fa4p-5, -0x1.4fb1407ca5c47p-4, 0x1.041ebff75f26fp-4, -0x1.430c51ed074c7p-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.1b0e3b955958fp-5, -0x1.36493d71a2815p-4, 0x1.f002f9c9c428p-5, -0x1.3e0ce2a163bafp-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.fa7e88e60c38p-6, -0x1.1e14f494543eap-4, 0x1.d82868ca7646dp-5, -0x1.390dd5570d3e5p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.c3997ced9349fp-6, -0x1.070f99d1e3a2dp-4, 0x1.c0adc59722157p-5, -0x1.340ead92d6f4dp-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.91313806bc1cbp-6, -0x1.e268c2739da0fp-5, 0x1.a993122c1ec3p-5, -0x1.2f0f8db4cc896p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.630a948eec598p-6, -0x1.b8fcfda5525c4p-5, 0x1.92d84df1c29f4p-5, -0x1.2a1068b80f6f3p-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.38eb627b7b19ap-6, -0x1.91d24d48b7467p-5, 0x1.7c7d794a5b105p-5, -0x1.2511504fc77dbp-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.129a6759b0ea6p-6, -0x1.6cdf1974c78ebp-5, 0x1.668293445f4d5p-5, -0x1.20120ab47b0f7p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.dfbebc9d8f944p-7, -0x1.4a19ca212dd95p-5, 0x1.50e79f43a2df8p-5, -0x1.1b136d50cbd26p-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.a105f02fd652dp-7, -0x1.2978c7bbadafdp-5, 0x1.3bac90aa60631p-5, -0x1.16125c41a7e92p-6}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.689db6146fd53p-7, -0x1.0af278f8f78e4p-5, 0x1.26d1968bda313p-5, -0x1.111a71a8a33d7p-6}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.361b462578c8ap-7, -0x1.dcfa95f7de4c5p-6, 0x1.12560138cdf31p-5, -0x1.0c0060e2bacdep-6}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.0915c36cf0ba3p-7, -0x1.a81f25cf7ce8fp-6, 0x1.fc78c0b5ffe11p-6, -0x1.0765c25a1c341p-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.c24c7849743cp-8, -0x1.773ffee086183p-6, 0x1.d4f649f54872fp-6, -0x1.fef0c384d5d77p-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.7bcf8371357acp-8, -0x1.4a4511d07e5f6p-6, 0x1.aea43b4b5202ep-6, -0x1.e8707e37c8c3ap-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.3df0e1b881634p-8, -0x1.21098c5bbb14ep-6, 0x1.8a0231d3efc09p-6, -0x1.d2ef1d64e8758p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.07f4f3428eb2p-8, -0x1.f6c65ef8b609bp-7, 0x1.66fd0f9f9184ap-6, -0x1.bd297038cd74cp-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.b250dde4df1ebp-9, -0x1.b250de9bc88e6p-7, 0x1.4599f401b54f2p-6, -0x1.a7760ff774094p-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.61c0c4d623277p-9, -0x1.745f1fd8d1536p-7, 0x1.25d77f9bf301ep-6, -0x1.91bdc86445f93p-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.1cf4641e7b8e2p-9, -0x1.3c9dc4a0c7a63p-7, 0x1.07b610946dc27p-6, -0x1.7c06d12db1508p-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.c56e6406627f6p-10, -0x1.0ab968003c9fcp-7, 0x1.d66b1b6200eb3p-7, -0x1.664f7fd68867cp-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.63caa49288156p-10, -0x1.bcbd4db90d083p-8, 0x1.a0abfb6839422p-7, -0x1.509846a516c45p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.12d72c6ad5314p-10, -0x1.6e743b389a3e3p-8, 0x1.6e2ebd9c42a4fp-7, -0x1.3ae106fd5de05p-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.a11df23049cacp-11, -0x1.29f0d19059d7dp-8, 0x1.3ef362f6415dp-7, -0x1.2529c90908f2ep-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.361cc64580014p-11, -0x1.dd18937e7888p-9, 0x1.12f9eb34e66cp-7, -0x1.0f728abd6abc9p-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.c24c7849743a2p-12, -0x1.773fb992d5519p-9, 0x1.d484acca9337cp-8, -0x1.f376983727693p-8}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.3df0e1b881622p-12, -0x1.21098760e7d3ep-9, 0x1.89994928b3b51p-8, -0x1.c8081e53bc73fp-8}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.b250dde4df1f3p-13, -0x1.b250ddec5cc9ap-10, 0x1.4531ab028aa3fp-8, -0x1.9c99979bd1e73p-8}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.1cf4641e7b8e8p-13, -0x1.3c9dc477b34f7p-10, 0x1.074dd444c4c18p-8, -0x1.712b40d58cd83p-8}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.63caa4928812p-14, -0x1.bcbd4e87c24efp-11, 0x1.9fdb7b7cac0f7p-9, -0x1.45bc371d30c25p-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.a11df23049ccp-15, -0x1.29f0ce85b8b8ep-11, 0x1.3e23048d83d39p-9, -0x1.1a4fc93ba7bfap-8}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.c24c7849742ffp-16, -0x1.773fd0453ad5dp-12, 0x1.d2e2f6c40968p-10, -0x1.ddb33de18f2e7p-9}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.b250dde4debp-17, -0x1.b2503479565f3p-13, 0x1.43939766c4daap-10, -0x1.870f94e8e7376p-9}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.63caa49287cp-18, -0x1.bcc23e48b383cp-14, 0x1.9c843bdb6561bp-11, -0x1.2f5cb64ecb2b1p-9}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.c24c784975ffep-20, -0x1.771adab4598b5p-15, 0x1.ccff9cf1d6f7ap-12, -0x1.b73c053a83e2p-10}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.63caa4928bfffp-22, -0x1.bee3b70ded2bdp-17, 0x1.8aea66d0a93e5p-13, -0x1.e47763aae2e71p-11}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.63caa492bffffp-26, -0x1.7c8bfea53ba91p-20, 0x1.a0f178dbb7ap-15, -0x1.442d83add7d91p-10}, 
      }}, 
      0x1.310ab89b27a9ap-6, -0x1.d629262156013p-4
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_s_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.45e840470719fp-2, -0x1.2a2198ee862ecp-2, -0x1.fb9a0ed576c54p-3, -0x1.86732cd5fa602p-3, -0x1.f3da68d195381p-4, -0x1.6cea095307605p-5, 0x1.4294a225e6db3p-5, 0x1.050f9e3f5bc33p-3, 0x1.bdd9564f4ebp-3, 0x1.3bac674d7fa13p-2, 0x1.973410b6ec3cbp-2, 0x1.f031174b68af1p-2, 0x1.22c691e1e95bap-1, 0x1.4b34208e1e16dp-1, 0x1.710a713ea448bp-1, 0x1.94087ea36f572p-1, 0x1.b4004fe51ed61p-1, 0x1.d0d4b3cd01d16p-1, 0x1.ea76b16bbab85p-1, 0x1.00718cb1d603bp+0, 0x1.0a10489ee3f77p+0, 0x1.121f25598ad84p+0, 0x1.18a9469349e2cp+0, 0x1.1dbc61dbfff63p+0, 0x1.21684ee09c49dp+0, 0x1.23bea7309ef6bp+0, 0x1.24d1be5fc0fc3p+0, 0x1.24b59d61ef914p+0, 0x1.237e38a074acap+0, 0x1.213fd5a1034a1p+0, 0x1.1e0ec7718a7c5p+0, 0x1.19ff3dc252023p+0, 0x1.152509381e179p+0, 0x1.0f937448c50bcp+0, 0x1.095d2dbff90fap+0, 0x1.029435f1dc554p+0, 0x1.f6939a2d4c754p-1, 0x1.e71cca88a7d3cp-1, 0x1.d6e3300d2a12ap-1, 0x1.c604415095854p-1, 0x1.b49bb7762ebb7p-1, 0x1.a2c392c2203fcp-1, 0x1.90941ec20c29ap-1, 0x1.7e23f4b8d5943p-1, 0x1.6b87fec9846a1p-1, 0x1.58d37ecf61727p-1, 0x1.46181a6ff637fp-1, 0x1.3365ec8fbbbaap-1, 0x1.20cb9b6885af4p-1, 0x1.0e56715098848p-1, 0x1.f824e9094de42p-2, 0x1.d414f3ac8c4bep-2, 0x1.b09061e8623d1p-2, 0x1.8da85b62b7a4ap-2, 0x1.6b6cfc2b5c316p-2, 0x1.49e8c4da21089p-2, 0x1.2928321047376p-2, 0x1.093521f21a297p-2, 0x1.d42fb92a0ed5bp-3, 0x1.97ae4fac34772p-3, 0x1.5cf0cefe4a51bp-3, 0x1.23ff8609e20b9p-3, 0x1.d9c1234815bb1p-4, 0x1.6f3028de8e3d5p-4, 0x1.0850bf1f8c94dp-4, 0x1.4a4849f26f988p-5, 0x1.16a1ce27f2497p-6, -0x1.6271c91baeb28p-8, -0x1.b94795a178051p-6, -0x1.85c30690d1c15p-5, -0x1.13e1897978427p-4, -0x1.615f4145a8e1ep-4, -0x1.ab697439964ccp-4, -0x1.f2103f19ab89cp-4, -0x1.1ab274ed1a68ap-3, -0x1.3abce0dc513bp-3, -0x1.5930fa1d444c8p-3, -0x1.7618b5934fb47p-3, -0x1.917e550077c2p-3, -0x1.ab6c56b18c454p-3, -0x1.c3ed661c651d2p-3, -0x1.db0c4d6a31352p-3, -0x1.f0d3e7feba5a1p-3, -0x1.02a78b15424b9p-2, -0x1.0c44591f35e48p-2, -0x1.1545c39209c42p-2, -0x1.1db1243d92845p-2, -0x1.258bc60d035a2p-2, -0x1.2cdae25e802dp-2, -0x1.33a39ed55636bp-2, -0x1.39eb0b8d0b8b4p-2, -0x1.3fb621972be49p-2, -0x1.4509c1b08dd7p-2, -0x1.49eab31ceabf8p-2, -0x1.4e5da29a6991cp-2, -0x1.526721635609cp-2, -0x1.560ba43a13c85p-2, -0x1.594f8280bfaa8p-2, -0x1.5c36f5612ba1bp-2, -0x1.5ec6170a64d01p-2, -0x1.6100e207b3836p-2, -0x1.62eb30b3d83ffp-2, -0x1.6488bccbb5b5p-2, -0x1.65dd1f25b312ap-2, -0x1.66ebcf960ec92p-2, -0x1.67b8250a1f282p-2, -0x1.684555e36388bp-2, -0x1.689678968124cp-2, -0x1.68ae848a6f09p-2, -0x1.6890532af2fdp-2, -0x1.683dfe5399215p-2, -0x1.67bb38a0a6237p-2, -0x1.670a2e94772a4p-2, -0x1.662d4a290389bp-2, -0x1.6526dae197eb2p-2, -0x1.63f9179c4319ap-2, -0x1.62a6204fd57e6p-2, -0x1.612fff99a589dp-2, -0x1.5f98ac0757b94p-2, -0x1.5de2091326245p-2, -0x1.5c0de7d33ae9p-2, -0x1.5a1e076570474p-2, -0x1.58141527368d4p-2, -0x1.55f1acccff11fp-2, -0x1.53b8586d3b653p-2, -0x1.516990912e8f8p-2, -0x1.4f06bc5a2c797p-2, -0x1.4c9131c532799p-2, -0x1.4a0a3611da2edp-2, -0x1.4772fe4d1eb92p-2, -0x1.44ccaffcaa15fp-2, -0x1.421861e486c46p-2, -0x1.3f571cdf3bad2p-2, -0x1.3c89dcbf6ec21p-2, -0x1.39b1913220ab7p-2, -0x1.36cf1e992b228p-2, -0x1.33e35ed6ff93bp-2, -0x1.30ef2206441f2p-2, -0x1.2df32f19f7fc7p-2, -0x1.2af04464dc713p-2, -0x1.27e71808caccp-2, -0x1.24d858506150ep-2, -0x1.21c4abf6a1cc8p-2, -0x1.1eacb260ecfcap-2, -0x1.1b9103cff8fedp-2, -0x1.1872318c3259p-2, -0x1.1550c611594b9p-2, -0x1.122d453c6ffeep-2, -0x1.0f082c7e09c05p-2, -0x1.0be1f3122c18bp-2, -0x1.08bb0a3e0a4bfp-2, -0x1.0593dd9327281p-2, -0x1.026cd336cff85p-2, -0x1.fe8c9858f3d06p-3, -0x1.f84149428a5eap-3, -0x1.f1f8686db8644p-3, -0x1.ebb29c97dcd9ep-3, -0x1.e57084817e981p-3, -0x1.df32b76d12683p-3, -0x1.d8f9c5919f2e2p-3, -0x1.d2c638804ba42p-3, -0x1.cc98937c94906p-3, -0x1.c67153c7ae849p-3, -0x1.c050f0e02ca1p-3, -0x1.ba37dcb772062p-3, -0x1.b42683ded37f9p-3, -0x1.ae1d4dae616cep-3, -0x1.a81c9c675c7a8p-3, -0x1.a224cd54356edp-3, -0x1.9c3638e7babd6p-3, -0x1.965132dcc4c3fp-3, -0x1.90760a575e054p-3, -0x1.8aa50a0810445p-3, -0x1.84de7851843cfp-3, -0x1.7f22977082ee9p-3, -0x1.7971a5a5febfep-3, -0x1.73cbdd62a9572p-3, -0x1.6e317573728a9p-3, -0x1.68a2a12e4321ep-3, -0x1.631f909e29f8dp-3, -0x1.5da870ae66dcep-3, -0x1.583d6b539c306p-3, -0x1.52dea7b2b092ep-3, -0x1.4d8c4a44f7e35p-3, -0x1.484674f958d76p-3, -0x1.430d47525a0b9p-3, -0x1.3de0de80fb479p-3, -0x1.38c1557c8d1a3p-3, -0x1.33aec517aadd1p-3, -0x1.2ea94412a2c5ep-3, -0x1.29b0e72b9f951p-3, -0x1.24c5c12cfc8e2p-3, -0x1.1fe7e2fa182b8p-3, -0x1.1b175b9b129fbp-3, -0x1.16543847c9107p-3, -0x1.119e8472603b1p-3, -0x1.0cf649d19dd64p-3, -0x1.085b906b4ac06p-3, -0x1.03ce5e9eb3151p-3, -0x1.fe9d725edb069p-4, -0x1.f5b946a0d5868p-4, -0x1.ecf03d5e88c43p-4, -0x1.e44256ffb0273p-4, -0x1.dbaf911013707p-4, -0x1.d337e657566b7p-4, -0x1.cadb4ef0da371p-4, -0x1.c299c063907bcp-4, -0x1.ba732db9910e9p-4, -0x1.b2678797622d1p-4, -0x1.aa76bc52bcc7bp-4, -0x1.a2a0b808ce9dbp-4, -0x1.9ae564b3d6fb5p-4, -0x1.9344aa4016e37p-4, -0x1.8bbe6ea01829ep-4, -0x1.845295e03b218p-4, -0x1.7d0102399b0dfp-4, -0x1.75c994244c291p-4, -0x1.6eac2a68fd16ap-4, -0x1.67a8a2320816p-4, -0x1.60bed71c02e73p-4, -0x1.59eea345d6e14p-4, -0x1.5337df6073b54p-4, -0x1.4c9e853f1a2afp-4, -0x1.461a3b3e3eedcp-4, -0x1.3faee1dc1e33dp-4, -0x1.395c4cfe33bf4p-4, -0x1.33224f638fb5fp-4, -0x1.2d00bab11bb76p-4, -0x1.26f75f7dd9f72p-4, -0x1.21060d5f23a32p-4, -0x1.1b2c92f4e14eap-4, -0x1.156abdf5bcae7p-4, -0x1.0fc05b3b44414p-4, -0x1.0a2d36cdfa099p-4, -0x1.04b11bf147e3dp-4, -0x1.fe97aa5e9ee4p-5, -0x1.f3fa58c91ccd6p-5, -0x1.e989d596a20cep-5, -0x1.df45b20dd4dd5p-5, -0x1.d52d7e5d5a5a8p-5, -0x1.cb40c9b13d6a2p-5, -0x1.c17f2247c5bdbp-5, -0x1.b7e81585b5c6ap-5, -0x1.ae7b3009ea561p-5, -0x1.a537fdc0607bap-5, -0x1.9c1e09f498224p-5, -0x1.932cdf635b298p-5, -0x1.8a64084beb714p-5, -0x1.81c30e8095bc3p-5, -0x1.79497b76b8e33p-5, -0x1.70f6d8563b5f2p-5, -0x1.68caae087f582p-5, -0x1.60c48546d53a6p-5, -0x1.58e3e6a876aa8p-5, -0x1.51285ab0124aep-5, -0x1.499169d8e7f8cp-5, -0x1.421e9ca38446ep-5, -0x1.3acf7ba21a82ap-5, -0x1.33a38f84871cfp-5, -0x1.2c9a6123f90f8p-5, -0x1.25b3798e4dd96p-5, -0x1.1eee62111c359p-5, -0x1.184aa44475a27p-5, -0x1.11c7ca155cf7fp-5, -0x1.0b655dcff753p-5, -0x1.0522ea2970a84p-5, -0x1.fdfff49344d24p-6, -0x1.f1f833a8d54aep-6, -0x1.e62da9e589173p-6, -0x1.da9f70b7264e9p-6, -0x1.cf4ca2b856c57p-6, -0x1.c4345bc11f23bp-6, -0x1.b955b8f6c9f2ap-6, -0x1.aeafd8db44859p-6, -0x1.a441db5bdb71ap-6, -0x1.9a0ae1df6c65cp-6, -0x1.900a0f53fb15ap-6, -0x1.863e883bb25fp-6, -0x1.7ca772b950f4cp-6, -0x1.7343f69bf91d4p-6, -0x1.6a133d6a702fcp-6, -0x1.6114726dc82eep-6, -0x1.5846c2bb72cc5p-6, -0x1.4fa95d3eca804p-6, -0x1.473b72c201856p-6, -0x1.3efc35f690c29p-6, -0x1.36eadb7d0c996p-6, -0x1.2f0699ec82133p-6, -0x1.274ea9d94319fp-6, -0x1.1fc245db383ecp-6, -0x1.1860aa93b26ecp-6, -0x1.112916b2beb27p-6, -0x1.0a1acafc09553p-6, -0x1.03350a4b45347p-6, -0x1.f8ee33305469p-7, -0x1.ebc07ff4036d3p-7, -0x1.dedf8d55919a3p-7, -0x1.d249f213e6ep-7, -0x1.c5fe493d853f2p-7, -0x1.b9fb32348d92dp-7, -0x1.ae3f50b1f9b2p-7, -0x1.a2c94cc82add9p-7, -0x1.9797d2e4d4ec7p-7, -0x1.8ca993d2398c8p-7, -0x1.81fd44b7c5e27p-7, -0x1.77919f1a22054p-7, -0x1.6d6560daa2d8ep-7, -0x1.63774c362c5c1p-7, -0x1.59c627c39c55p-7, -0x1.5050be719e681p-7, -0x1.4715df8411fb2p-7, -0x1.3e145e90f6809p-7, -0x1.354b137cdb348p-7, -0x1.2cb8da76f21b6p-7, -0x1.245c93f4ae542p-7, -0x1.1c3524ad08106p-7, -0x1.1441759355baap-7, -0x1.0c8073d1dba53p-7, -0x1.04f110c3fefa8p-7, -0x1.fb2483e04907ap-8, -0x1.ecc602028d5b1p-8, -0x1.dec49780974bbp-8, -0x1.d11e481a12963p-8, -0x1.c3d11fae2c4ecp-8, -0x1.b6db322ca6234p-8, -0x1.aa3a9b86937c1p-8, -0x1.9ded7f9e96423p-8, -0x1.91f20a38c0bafp-8, -0x1.86466eea2773ap-8, -0x1.7ae8e908024d7p-8, -0x1.6fd7bb969bfffp-8, -0x1.65113137d584cp-8, -0x1.5a939c1986e4ep-8, -0x1.505d55e37fc19p-8, -0x1.466cbfa56075bp-8, -0x1.3cc041c42c909p-8, -0x1.33564be7b5e86p-8, -0x1.2a2d54e7c5cf8p-8, -0x1.2143dab92f34fp-8, -0x1.1898625aa2902p-8, -0x1.102977c1679f1p-8, -0x1.07f5adc5ee54bp-8, -0x1.fff73c206f9cfp-9, -0x1.f073d208665fbp-9, -0x1.e15e6b5bd4b7bp-9, -0x1.d2b4635b39557p-9, -0x1.c47322478fc8ap-9, -0x1.b6981d3a17952p-9, -0x1.a920d5fc05e3cp-9, -0x1.9c0adade2ad06p-9, -0x1.8f53c6904ea96p-9, -0x1.82f93ff8850dp-9, -0x1.76f8fa0a66b1bp-9, -0x1.6b50b39e3febbp-9, -0x1.5ffe37481079ap-9, -0x1.54ff5b2eabf75p-9, -0x1.4a5200e2b4994p-9, -0x1.3ff4153585043p-9, -0x1.35e3901043cd9p-9, -0x1.2c1e744ac4e1ep-9, -0x1.22a2cf82a6968p-9, -0x1.196eb9f253b6ep-9, -0x1.1080564827e82p-9, -0x1.07d5d17d9e2efp-9, -0x1.fedac55d2bf46p-10, -0x1.ee8a95e1a9f33p-10, -0x1.deb7aa56e961bp-10, -0x1.cf5eabdd46b64p-10, -0x1.c07c5696d9618p-10, -0x1.b20d79579696cp-10, -0x1.a40ef555ce26fp-10, -0x1.967dbddae9c9ap-10, -0x1.8956d7f4d9c8bp-10, -0x1.7c975a27f7e4bp-10, -0x1.703c6c213b4ap-10, -0x1.644346694a52cp-10, -0x1.58a93217ebfcfp-10, -0x1.4d6b888834465p-10, -0x1.4287b30d2b41ap-10, -0x1.37fb2aa76e1fp-10, -0x1.2dc377bb1ba3bp-10, -0x1.23de31c6e79e4p-10, -0x1.1a48ff1b97102p-10, -0x1.110194945fc57p-10, -0x1.0805b5500f366p-10, -0x1.fea664d6543b8p-11, -0x1.edcfd574ab2bp-11, -0x1.dd83950ccbb2ep-11, -0x1.cdbd96910cf7dp-11, -0x1.be79e6cf57685p-11, -0x1.afb4abed67c1fp-11, -0x1.a16a24e71224ep-11, -0x1.9396a90e0effdp-11, -0x1.8636a78b8f846p-11, -0x1.7946a6e409573p-11, -0x1.6cc3447c4a558p-11, -0x1.60a934207e3adp-11, -0x1.54f53f8d1ef1p-11, -0x1.49a445f9b4bf5p-11, -0x1.3eb33ba54dcdp-11, -0x1.341f29648abd6p-11, -0x1.29e52c31ec34ep-11, -0x1.200274bfa4cd8p-11, -0x1.1674470b1997p-11, -0x1.0d37f9f247d9ep-11, -0x1.044af6cae10ddp-11, -0x1.f75571f658342p-12, -0x1.e6a99b28832b3p-12, -0x1.d68da5dd89ae2p-12, -0x1.c6fcf090f8cadp-12, -0x1.b7f2fac7e67fbp-12, -0x1.a96b645377b6ap-12, -0x1.9b61ec965fcefp-12, -0x1.8dd271cdbc574p-12, -0x1.80b8f05d68e3dp-12, -0x1.7411821ebf7cfp-12, -0x1.67d85db33f808p-12, -0x1.5c09d5d913b21p-12, -0x1.50a258c3fc648p-12, -0x1.459e6f783bf2bp-12, -0x1.3afabd28543fdp-12, -0x1.30b3fe968c7cdp-12, -0x1.26c7097869079p-12, -0x1.1d30cbdc49a13p-12, -0x1.13ee4b9412d25p-12, -0x1.0afca5a0261ffp-12, -0x1.02590d9dd7c41p-12, -0x1.f4019a721094ap-13, -0x1.e3e2873e374f2p-13, -0x1.d44fc9eb9f1f4p-13, -0x1.c54473a724ccbp-13, -0x1.b6bbbd74b8ce9p-13, -0x1.a8b1072b67cd4p-13, -0x1.9b1fd67400604p-13, -0x1.8e03d5ce4d24ap-13, -0x1.8158d399b06b3p-13, -0x1.751ac1230a956p-13, -0x1.6945b1b5e703ep-13, -0x1.5dd5d9b4856cfp-13, -0x1.52c78db1fa39cp-13, -0x1.481741915a858p-13, -0x1.3dc187a9935dep-13, -0x1.33c30fede25cbp-13, -0x1.2a18a719737fap-13, -0x1.20bf35dff89e3p-13, -0x1.17b3c022457f5p-13, -0x1.0ef339ca9dd73p-13, -0x1.067b340909517p-13, -0x1.fc91a074fe572p-14, -0x1.ecb2eeaae9418p-14, -0x1.dd55538612516p-14, -0x1.ce73fd57f7105p-14, -0x1.c00a4692c8e82p-14, -0x1.b213b474067b1p-14, -0x1.a48bf5b4ad212p-14, -0x1.976ee145384f3p-14, -0x1.8ab8750d76f5bp-14, -0x1.7e64d4b3d2413p-14, -0x1.72704871428cbp-14, -0x1.66d73be5eeec9p-14, -0x1.5b963cfa9423bp-14, -0x1.50a9fac63d803p-14, -0x1.460f447c5dcaep-14, -0x1.3bc308624484ep-14, -0x1.31c252c96ff14p-14, -0x1.280a4d15677f5p-14, -0x1.1e983cc39fb97p-14, -0x1.1569827caf7d7p-14, -0x1.0c7b992c3154ep-14, -0x1.03cc151b79b35p-14, -0x1.f6b146355e56ep-15, -0x1.e63e0f4c42c96p-15, -0x1.d63a3c34d3384p-15, -0x1.c6a1afd25864ap-15, -0x1.b77077a97d76cp-15, -0x1.a8a2ca674d54bp-15, -0x1.9a35066d5d78ep-15, -0x1.8c23b06f646d3p-15, -0x1.7e6b7213d96a9p-15, -0x1.710918a78349p-15, -0x1.63f993cf892bap-15, -0x1.5739f454f52e3p-15, -0x1.4ac76aeb40569p-15, -0x1.3e9f4708e6885p-15, -0x1.32bef5c445598p-15, -0x1.272400bbc12b7p-15, -0x1.1bcc0d081e5a6p-15, -0x1.10b4da32cb972p-15, -0x1.05dc41377115p-15, -0x1.f6806716f97adp-16, -0x1.e1bd74611b3afp-16, -0x1.cd6be9916b00bp-16, -0x1.b9883171bcb3ep-16, -0x1.a60ee096adedep-16, -0x1.92fcb3bf449e3p-16, -0x1.804e8e36cb42cp-16, -0x1.6e017849cf9a5p-16, -0x1.5c129dc7a504cp-16, -0x1.4a7f4c8e12546p-16, -0x1.3944f31dc9fbp-16, -0x1.28611f42458adp-16, -0x1.17d17cc09fd8ap-16, -0x1.0793d4112e473p-16, -0x1.ef4c123eb661fp-17, -0x1.d00c343f9ae26p-17, -0x1.b1643cc862677p-17, -0x1.93508a8130bcap-17, -0x1.75cda9eb0cd26p-17, -0x1.58d853543196fp-17, -0x1.3c6d68c071705p-17, -0x1.2089f40ba8bf4p-17, -0x1.052b2506b0ce7p-17, -0x1.d49c9f4b56c35p-18, -0x1.9fe1d47db0742p-18, -0x1.6c2117bcf19a8p-18, -0x1.3955d54b91c89p-18, -0x1.077bb469e669p-18, -0x1.ad1d28d692e6bp-19, -0x1.4d15136e539ccp-19, -0x1.ddaf6c0136ac4p-20, -0x1.24bbfa79535c6p-20, -0x1.bd097f267cdd5p-22, 0x1.0b28b1f9e8122p-22, 0x1.e2eba3c7ed33ep-21, 0x1.9ccc215f6c6d2p-20, 0x1.226c0e4cc01bbp-19, 0x1.74d21fadcc14p-19, 0x1.c59d43dbe2a06p-19, 0x1.0a691f5bf23d2p-18, 0x1.313ace6aac7c5p-18, 0x1.5745db87ab8f3p-18, 0x1.7c8c5af3fc294p-18, 0x1.a1104a6e7e551p-18, 0x1.c4d392c665cbdp-18, 0x1.e7d8094f7a202p-18, 0x1.050fb8ad1fd2fp-17, 0x1.15d5bec67f19dp-17, 0x1.263ee89abfaa7p-17, 0x1.364c00bf307cdp-17, 0x1.45fdcb5151cf8p-17, 0x1.5555068542718p-17, 0x1.64526b3043969p-17, 0x1.72f6ad45eb567p-17, 0x1.81427c5ae878fp-17, 0x1.8f36840feffccp-17, 0x1.9cd36c878c13bp-17, 0x1.aa19dacc57744p-17, 0x1.b70a712e763c5p-17, 0x1.c3a5cfaad4aacp-17, 0x1.cfec943179fe4p-17, 0x1.dbdf5b1878748p-17, 0x1.e77ebf4b8359p-17, 0x1.f2cb5a965b0bep-17, 0x1.fdc5c5f8d5153p-17, 0x1.04374ced507dp-16, 0x1.096337242fcebp-16, 0x1.0e66ed971ed2ap-16, 0x1.1342bc47be381p-16, 0x1.17f6ef54d7209p-16, 0x1.1c83d3155c54ap-16, 0x1.20e9b428a4624p-16, 0x1.2528df8fe2d37p-16, 0x1.2941a2b6ea9cep-16, 0x1.2d344b8854b85p-16, 0x1.3101287bec5fdp-16, 0x1.34a888a111fa6p-16, 0x1.382abba9f29aep-16, 0x1.3b8811f80dd7bp-16, 0x1.3ec0dca34c33cp-16, 0x1.41d56d7f84e39p-16, 0x1.44c6172844b1p-16, 0x1.47932d0655315p-16, 0x1.4a3d034be8c9ap-16, 0x1.4cc3eefe5c32dp-16, 0x1.4f2845f9dae69p-16, 0x1.516a5ef19c5fp-16, 0x1.538a916df2e43p-16, 0x1.558935d1f4a03p-16, 0x1.5766a558b5da8p-16, 0x1.59233a133bab8p-16, 0x1.5abf4ee609159p-16, 0x1.5c3b3f890b90bp-16, 0x1.5d976883d406dp-16, 0x1.5ed427292a158p-16, 0x1.5ff1d99388c6p-16, 0x1.60f0dea09ce97p-16, 0x1.61d195ecf5e4cp-16, 0x1.62945fce9ee7ep-16, 0x1.63399d4e9225fp-16, 0x1.63c1b0220e825p-16, 0x1.642cfaa89e713p-16, 0x1.647bdfdc4b5f7p-16, 0x1.64aec35684f13p-16, 0x1.64c60944e0dd6p-16, 0x1.64c21658234cp-16, 0x1.64a34fc882826p-16, 0x1.646a1b487a976p-16, 0x1.6416defe88ba7p-16, 0x1.63aa017e42e8ap-16, 0x1.6323e9bcc432p-16, }}, 
      {{-0x1.4c37c5bee8917p-2, -0x1.42d44e45a861fp-2, -0x1.339a3a91ed33fp-2, -0x1.1f0dc55274634p-2, -0x1.05c7cc70cf957p-2, -0x1.d0d4b54cb23fdp-3, -0x1.8f31402fedf81p-3, -0x1.47e303adf4f22p-3, -0x1.f82fdbd8e3a3fp-4, -0x1.59d2cd9012146p-4, -0x1.6d66edfae694cp-5, -0x1.0a550f78c47d7p-8, 0x1.2d6a0d91d5e8dp-5, 0x1.3de95b75a8fe1p-4, 0x1.e3b36377a9b0fp-4, 0x1.437d0a7104ec3p-3, 0x1.936651155778ap-3, 0x1.e12f9de2ddffep-3, 0x1.1641e89646513p-2, 0x1.3a8e7fbc4f785p-2, 0x1.5d617841045e3p-2, 0x1.7ea4dc80b7d02p-2, 0x1.9e4825019f392p-2, 0x1.bc3f8eba2d15dp-2, 0x1.d883a6a53754dp-2, 0x1.f310b4d662efep-2, 0x1.05f3115a4bbfcp-1, 0x1.11832fa1a35cp-1, 0x1.1c3b0f938c01fp-1, 0x1.261e18e96ef3cp-1, 0x1.2f3095c7b4cb1p-1, 0x1.37778be16b94ap-1, 0x1.3ef89a88bc0eap-1, 0x1.45b9de6990904p-1, 0x1.4bc1d8559ae0fp-1, 0x1.5117560bf8764p-1, 0x1.55c15d57e9dfdp-1, 0x1.59c719b575c1p-1, 0x1.5d2fcc5792157p-1, 0x1.6002be7d1d65ep-1, 0x1.624735df061bdp-1, 0x1.64046aae36d5bp-1, 0x1.65417ea46422p-1, 0x1.660575209ca54p-1, 0x1.66572c9e9a18fp-1, 0x1.663d59b617c7p-1, 0x1.65be8365ffed6p-1, 0x1.64e10024097e6p-1, 0x1.63aaf337dc927p-1, 0x1.62224a42f5581p-1, 0x1.604cbb36a44aap-1, 0x1.5e2fc3164c96cp-1, 0x1.5bd0a5a96996fp-1, 0x1.59346de09b7a1p-1, 0x1.5660143ae2a3ap-1, 0x1.5357e0ebd4216p-1, 0x1.502064eb1f23bp-1, 0x1.4cbdce0314171p-1, 0x1.4934144ecd05p-1, 0x1.4586fbca4afb9p-1, 0x1.41ba160795f24p-1, 0x1.3dd0c3e1313acp-1, 0x1.39ce3715be74cp-1, 0x1.35b573ca17087p-1, 0x1.318951fb9b61dp-1, 0x1.2d4c7ef2888d1p-1, 0x1.29017ec2e6d7fp-1, 0x1.24aaade30fe9bp-1, 0x1.204a42d4e973bp-1, 0x1.1be24fd7c56aap-1, 0x1.1774c496cdcdcp-1, 0x1.13036fca1e2f3p-1, 0x1.0e9000c4de508p-1, 0x1.0a1c08eeec2c7p-1, 0x1.05a8fd2c504a5p-1, 0x1.0138373759aadp-1, 0x1.f995ede67b655p-2, 0x1.f0c4c7777bcc2p-2, 0x1.e7ff1b65a1952p-2, 0x1.df46de123524ap-2, 0x1.d69dda771a96p-2, 0x1.ce05b481f697cp-2, 0x1.c57feb4b31be8p-2, 0x1.bd0ddb2c2e375p-2, 0x1.b4b0bfbc38d49p-2, 0x1.ac69b5babaf43p-2, 0x1.a439bce8e347dp-2, 0x1.9c21b9d0d331cp-2, 0x1.9422777760352p-2, 0x1.8c3ca8f7c1076p-2, 0x1.8470eb0bd932cp-2, 0x1.7cbfc5855b00ap-2, 0x1.7529acba5595p-2, 0x1.6daf02e3fb5dfp-2, 0x1.6650196ae2f99p-2, 0x1.5f0d321b38356p-2, 0x1.57e6803dd7176p-2, 0x1.50dc299800d4ep-2, 0x1.49ee4757b906ap-2, 0x1.431ce6f4c2ea6p-2, 0x1.3c680b0cc5841p-2, 0x1.35cfac3d10d04p-2, 0x1.2f53b9f815b15p-2, 0x1.28f41b51ae3a4p-2, 0x1.22b0afbd1de07p-2, 0x1.1c894fb9eff2ap-2, 0x1.167dcd7017b94p-2, 0x1.108df53e8fb9cp-2, 0x1.0ab98e40cb199p-2, 0x1.05005ace967ap-2, 0x1.fec42e591ef73p-3, 0x1.f3bd04add2582p-3, 0x1.e8eaa03c7332dp-3, 0x1.de4c68903b928p-3, 0x1.d3e1bfed61c59p-3, 0x1.c9aa03f9c624cp-3, 0x1.bfa48e5712d48p-3, 0x1.b5d0b52fa8f22p-3, 0x1.ac2dcbb7c9171p-3, 0x1.a2bb22a45a8f9p-3, 0x1.997808988c2b9p-3, 0x1.9063ca8b649d5p-3, 0x1.877db42645e38p-3, 0x1.7ec5101d4166dp-3, 0x1.76392882152ep-3, 0x1.6dd947123e599p-3, 0x1.65a4b5807476cp-3, 0x1.5d9abdb97a504p-3, 0x1.55baaa2412fa4p-3, 0x1.4e03c5dbe02b5p-3, 0x1.46755ce6f276ep-3, 0x1.3f0ebc6611927p-3, 0x1.37cf32bfbf487p-3, 0x1.30b60fc64d0f7p-3, 0x1.29c2a4d9382a6p-3, 0x1.22f445023a45fp-3, 0x1.1c4a450e5bfb3p-3, 0x1.15c3fba37d524p-3, 0x1.0f60c152a28edp-3, 0x1.091ff0a78f601p-3, 0x1.0300e636007ddp-3, 0x1.fa060149ea5a8p-4, 0x1.ee4b4170dd68ap-4, 0x1.e2d052b398e13p-4, 0x1.d793ff3e30435p-4, 0x1.cc9515a27f865p-4, 0x1.c1d268e2b7803p-4, 0x1.b74ad079e89b2p-4, 0x1.acfd28628692bp-4, 0x1.a2e8511ae3769p-4, 0x1.990b2fa7ade91p-4, 0x1.8f64ad9477b3dp-4, 0x1.85f3b8f25ee86p-4, 0x1.7cb744550203fp-4, 0x1.73ae46cdcbbfdp-4, 0x1.6ad7bbe5c60ebp-4, 0x1.6232a395f9619p-4, 0x1.59be023e7dab5p-4, 0x1.5178e09c59d1bp-4, 0x1.49624bbe5323ap-4, 0x1.417954f8d4c62p-4, 0x1.39bd11d92355bp-4, 0x1.322c9c1800cd6p-4, 0x1.2ac7118bf4c68p-4, 0x1.238b941b5b311p-4, 0x1.1c7949ae53bc4p-4, 0x1.158f5c20ab705p-4, 0x1.0eccf933c42c4p-4, 0x1.083152808387p-4, 0x1.01bb9d6945bcap-4, 0x1.f6d6261798c3cp-5, 0x1.ea7de06665745p-5, 0x1.de6cea93ab777p-5, 0x1.d2a1cc96744abp-5, 0x1.c71b156bda3efp-5, 0x1.bbd75afacb23p-5, 0x1.b0d539f7cd655p-5, 0x1.a61355c8e6478p-5, 0x1.9b9058698e7fcp-5, 0x1.914af24eddbcdp-5, 0x1.8741da4bd8a55p-5, 0x1.7d73cd75fe2c1p-5, 0x1.73df8f0a09ab1p-5, 0x1.6a83e850f2eb2p-5, 0x1.615fa8852e34ep-5, 0x1.5871a4b830a35p-5, 0x1.4fb8b7b836422p-5, 0x1.4733c1f659cccp-5, 0x1.3ee1a96cf9d5p-5, 0x1.36c1598671a7p-5, 0x1.2ed1c30438ea3p-5, 0x1.2711dbe665123p-5, 0x1.1f809f53934f4p-5, 0x1.181d0d81458bfp-5, 0x1.10e62b9cac238p-5, 0x1.09db03b3e24b3p-5, 0x1.02faa49f9a04ep-5, 0x1.f88843da633dep-6, 0x1.eb6d27925dc64p-6, 0x1.dea22dd434a61p-6, 0x1.d22598f76f433p-6, 0x1.c5f5b41521b74p-6, 0x1.ba10d2dfad6b4p-6, 0x1.ae75517b238c8p-6, 0x1.a321945643057p-6, 0x1.98140804184f3p-6, 0x1.8d4b21163ae4p-6, 0x1.82c55bf7b22b5p-6, 0x1.78813cc87da79p-6, 0x1.6e7d4f39c3361p-6, 0x1.64b8266aa84d7p-6, 0x1.5b305cc5d2b6fp-6, 0x1.51e493df78d49p-6, 0x1.48d374543df93p-6, 0x1.3ffbada87d3b8p-6, 0x1.375bf6284650ep-6, 0x1.2ef30ac7ddffbp-6, 0x1.26bfaf04c5accp-6, 0x1.1ec0acc75b9cap-6, 0x1.16f4d444ea632p-6, 0x1.0f5afbe239194p-6, 0x1.07f200169f2a9p-6, 0x1.00b9fc857978fp-6, 0x1.f35ee5bacc205p-7, 0x1.e5a4fd95b60d8p-7, 0x1.d84427e8b90abp-7, 0x1.cb3a57109482ap-7, 0x1.be858845a818fp-7, 0x1.b223c368cedb2p-7, 0x1.a6131ad100e24p-7, 0x1.9a51ab19f951dp-7, 0x1.8edd9af3ab38ep-7, 0x1.83b51af275daap-7, 0x1.78d6656048378p-7, 0x1.6e3fbe0e7fc52p-7, 0x1.63ef722887f51p-7, 0x1.59e3d80751103p-7, 0x1.501b4f0576fddp-7, 0x1.46943f542deb4p-7, 0x1.3d4d19d0e06bfp-7, 0x1.344457db88a35p-7, 0x1.2b787b2db7872p-7, 0x1.22e80db253ca7p-7, 0x1.1a91a15dfbe6bp-7, 0x1.1273d0081a50dp-7, 0x1.0a8d3b4498031p-7, 0x1.02dc8c3e32b3dp-7, 0x1.f6c0e7231cbfp-8, 0x1.e82f525190e08p-8, 0x1.da01d82f6087cp-8, 0x1.cc3604f13983ap-8, 0x1.bec97293be928p-8, 0x1.b1b9c8978b815p-8, 0x1.a504bbbe64c7ap-8, 0x1.98a80dc97cf4bp-8, 0x1.8ca18d38ea62ap-8, 0x1.80ef150c322abp-8, 0x1.758e8c83db1f3p-8, 0x1.6a7de6e41bef4p-8, 0x1.5fbb2338857edp-8, 0x1.55444c18c8afdp-8, 0x1.4b17776e70361p-8, 0x1.4132c63b9b1efp-8, 0x1.37946462ada41p-8, 0x1.2e3a886f065afp-8, 0x1.2523735e7e9e5p-8, 0x1.1c4d706c11639p-8, 0x1.13b6d4db2bcb1p-8, 0x1.0b5dffc42fa7p-8, 0x1.034159e18a10cp-8, 0x1.f6beaabba5277p-9, 0x1.e76cdb458b3c4p-9, 0x1.d88a4e520a325p-9, 0x1.ca141e91625c9p-9, 0x1.bc077815dca93p-9, 0x1.ae6197f81eefdp-9, 0x1.a11fcbfd2ca75p-9, 0x1.943f723e31497p-9, 0x1.87bdf8d189e76p-9, 0x1.7b98dd756ad2dp-9, 0x1.6fcdad3c239c1p-9, 0x1.645a0439a0009p-9, 0x1.593b8d329ed35p-9, 0x1.4e70014d1d645p-9, 0x1.43f527c251796p-9, 0x1.39c8d591e6f9ep-9, 0x1.2fe8ed36d13cp-9, 0x1.26535e5d326bdp-9, 0x1.1d062599e9b88p-9, 0x1.13ff4c22c943ep-9, 0x1.0b3ce78948342p-9, 0x1.02bd19752f243p-9, 0x1.f4fc1ec303541p-10, 0x1.e4fc04b3afc63p-10, 0x1.d5766d737e169p-10, 0x1.c667f7d9798aap-10, 0x1.b7cd585f6fb82p-10, 0x1.a9a358a6fcdcep-10, 0x1.9be6d70120baep-10, 0x1.8e94c5f7f343ep-10, 0x1.81aa2bda5f2f2p-10, 0x1.7524224a957d5p-10, 0x1.68ffd5ce6d01ap-10, 0x1.5d3a8561c112ep-10, 0x1.51d1820b2bb87p-10, 0x1.46c22e72cc82ep-10, 0x1.3c09fe7afa482p-10, 0x1.31a676db43f98p-10, 0x1.27952cbce2c4ap-10, 0x1.1dd3c55a04a9fp-10, 0x1.145ff59e350d6p-10, 0x1.0b3781c910ff6p-10, 0x1.02583d12cdc1fp-10, 0x1.f38012a539602p-11, 0x1.e2d9ad4d8d28ap-11, 0x1.d2b9463d7a882p-11, 0x1.c31af4cd55239p-11, 0x1.b3faeae9cee05p-11, 0x1.a55574732e91p-11, 0x1.9726f69da54a4p-11, 0x1.896bef578cb2cp-11, 0x1.7c20f4b0a9dc8p-11, 0x1.6f42b4463cebfp-11, 0x1.62cdf2b0bdf17p-11, 0x1.56bf8af6b152dp-11, 0x1.4b146e00158efp-11, 0x1.3fc9a20ede6f7p-11, 0x1.34dc4239195eep-11, 0x1.2a497de6493a6p-11, 0x1.200e984fbf12bp-11, 0x1.1628e8039af8fp-11, 0x1.0c95d66a4552dp-11, 0x1.0352df4ece26cp-11, 0x1.f4bb20d481922p-12, 0x1.e36711e182a81p-12, 0x1.d2a4f2437cf45p-12, 0x1.c27043b496faap-12, 0x1.b2c4a854d157cp-12, 0x1.a39de1d7c107bp-12, 0x1.94f7d0b7f208p-12, 0x1.86ce736f447e5p-12, 0x1.791de5b2c8bcap-12, 0x1.6be25fb35730cp-12, 0x1.5f183562dc24p-12, 0x1.52bbd5bd52fafp-12, 0x1.46c9ca1637937p-12, 0x1.3b3eb56a24c8fp-12, 0x1.301753b3854ddp-12, 0x1.255079443f091p-12, 0x1.1ae71222f4bc9p-12, 0x1.10d8216c2bdep-12, 0x1.0720c0b64b1ep-12, 0x1.fb7c3ef347baap-13, 0x1.e95b04f8a66e2p-13, 0x1.d7d886831b4abp-13, 0x1.c6ef9ef7f1d76p-13, 0x1.b69b510786f19p-13, 0x1.a6d6c59b7c93dp-13, 0x1.979d4ad5d8465p-13, 0x1.88ea530b3827p-13, 0x1.7ab973c8a61fdp-13, 0x1.6d0664de6cd5bp-13, 0x1.5fccff713461p-13, 0x1.53093d1054fd5p-13, 0x1.46b736d05b616p-13, 0x1.3ad3246f03208p-13, 0x1.2f595b78deb0ap-13, 0x1.24464e7591fbcp-13, 0x1.19968c197559bp-13, 0x1.0f46be7ca00aep-13, 0x1.0553aa545563ep-13, 0x1.f7745c6c09a86p-14, 0x1.e4ee83b5f88abp-14, 0x1.d30fead4466b3p-14, 0x1.c1d2e18b74e44p-14, 0x1.b131e5c01bad3p-14, 0x1.a127a220bb6d8p-14, 0x1.91aeecde9eecep-14, 0x1.82c2c66d57a19p-14, 0x1.745e584a6642dp-14, 0x1.667cf3c727c71p-14, 0x1.591a10e91068bp-14, 0x1.4c314d42e1baep-14, 0x1.3fbe6adae6ab7p-14, 0x1.33bd4f174e3a9p-14, 0x1.282a01b8d2011p-14, 0x1.1d00abd1d09b8p-14, 0x1.123d96c9303bap-14, 0x1.07dd2b63a3daap-14, 0x1.fbb7e1a963353p-15, 0x1.e86d17a7bd7edp-15, 0x1.d5d37b73c9128p-15, 0x1.c3e4c74037f26p-15, 0x1.b29aeb1c7b5a8p-15, 0x1.a1f00b482272fp-15, 0x1.91de7ea0cd681p-15, 0x1.8260cd093eb3ap-15, 0x1.7371adf95b03bp-15, 0x1.650c06f8011dep-15, 0x1.572aea3256f2dp-15, 0x1.49c99519a431bp-15, 0x1.3ce36f043e491p-15, 0x1.307407e36d6b1p-15, 0x1.247716fc4beffp-15, 0x1.18e879a55d67bp-15, 0x1.0dc4321577044p-15, 0x1.03066636f1cf5p-15, 0x1.f156bd09d6fd2p-16, 0x1.dd5f09dc65c3p-16, 0x1.ca1ec785d5a4ep-16, 0x1.b78f495273abdp-16, 0x1.a5aa1f3421541p-16, 0x1.946913c3cb346p-16, 0x1.83c62a61c117p-16, 0x1.73bb9d4e300f4p-16, 0x1.6443dbe56de37p-16, 0x1.555988de18d71p-16, 0x1.46f7787edfaafp-16, 0x1.3918af222124ep-16, 0x1.2bb85f7ec53e4p-16, 0x1.1ed1e913e94a4p-16, 0x1.1260d6bebcd23p-16, 0x1.0660dd3ba4d86p-16, 0x1.f59bb33dd7debp-17, 0x1.df47a04659ccdp-17, 0x1.c9bdd56ab83c3p-17, 0x1.b4f6ef5635978p-17, 0x1.a0ebd1113048p-17, 0x1.8d95a18ffacb1p-17, 0x1.7aedc94a17185p-17, 0x1.68edeffd56b1bp-17, 0x1.578ffa679e101p-17, 0x1.46ce082f50e81p-17, 0x1.36a271d000857p-17, 0x1.2707c6846d2b6p-17, 0x1.17f8ca600ff78p-17, 0x1.0970746616328p-17, 0x1.f6d3d974ada64p-18, 0x1.dbc115a43a1cep-18, 0x1.c19fa797108cep-18, 0x1.a866f14547dd2p-18, 0x1.900ea97fa4ad7p-18, 0x1.788ed8ab820ap-18, 0x1.61dfd5bdf8981p-18, 0x1.4bfa4357b439ap-18, 0x1.36d70cf4555f1p-18, 0x1.226f7ca32c158p-18, 0x1.0ebcd57fc8dc2p-18, 0x1.f771ce254d262p-19, 0x1.d2bb4bf4fcc5dp-19, 0x1.af4a85d377c8ap-19, 0x1.8d1450f157628p-19, 0x1.6c0df19f8874dp-19, 0x1.4c2d1727a04p-19, 0x1.2d67d7b6d90f3p-19, 0x1.0fb4ac3ba8f2dp-19, 0x1.e614d9a5b9434p-20, 0x1.aec098a870429p-20, 0x1.795bab80f2f83p-20, 0x1.45d5d08958c6fp-20, 0x1.141f679879a5p-20, 0x1.c852d7d93cc45p-21, 0x1.6bcadbc3cf06bp-21, 0x1.128b19aca9a6bp-21, 0x1.78f1c784d76a4p-22, 0x1.a5ea4c7050522p-23, 0x1.9777df670122cp-25, -0x1.9d4096bfb28c3p-24, -0x1.f7ebb4baf39cap-23, -0x1.8b2e0352d320fp-22, -0x1.0a916900e6a09p-21, -0x1.4cfe6ff14d3dcp-21, -0x1.8cf19e3ea9d35p-21, -0x1.ca7dbf8fe1e06p-21, -0x1.02da7580d1bf1p-20, -0x1.1f5445665d27p-20, -0x1.3ab4b1f15b0a5p-20, -0x1.5503ce1fe7e45p-20, -0x1.6e49615f3eb89p-20, -0x1.868ce9d38a352p-20, -0x1.9dd5a121ac916p-20, -0x1.b42a7d722217fp-20, -0x1.c9923577f7f16p-20, -0x1.de13430c61274p-20, -0x1.f1b3e58ad388bp-20, -0x1.023d127824e5dp-19, -0x1.0b35e9c3b0b63p-19, -0x1.13c7485becb55p-19, -0x1.1bf3e5957b0a3p-19, -0x1.23be616d1b539p-19, -0x1.2b2945b4674b9p-19, -0x1.323706afda382p-19, -0x1.38ea04864d01bp-19, -0x1.3f448bd302de1p-19, -0x1.4548d69dffb6cp-19, -0x1.4af90d29f8f39p-19, -0x1.505746cd3be94p-19, -0x1.55658a825adfdp-19, -0x1.5a25cfe7428cp-19, -0x1.5e99ffcfc995dp-19, -0x1.62c3f4d1125cap-19, -0x1.66a57c112caf2p-19, -0x1.6a4055b560d6fp-19, -0x1.6d9635cc06bddp-19, -0x1.70a8c45cebb6ep-19, -0x1.73799e4273b91p-19, -0x1.760a55953a775p-19, -0x1.785c72251e72ep-19, -0x1.7a7171ca1f6aap-19, -0x1.7c4ac9491a162p-19, -0x1.7de9e44e91101p-19, -0x1.7f5025c36ac92p-19, -0x1.807ee8639dac3p-19, -0x1.81777f238d7fcp-19, -0x1.823b3566ee0dap-19, -0x1.82cb4f51083b4p-19, -0x1.83290a3b57afcp-19, -0x1.83559ccf0c65ap-19, -0x1.8352373a050f5p-19, -0x1.832003d1e66a1p-19, -0x1.82c0270136287p-19, -0x1.8233bf6acab61p-19, -0x1.817be681ec54p-19, -0x1.8099b05d396f7p-19, -0x1.7f8e2c735fceap-19, -0x1.7e5a651396da2p-19, -0x1.7cff5ffd85598p-19, -0x1.7b7e1eab59504p-19, -0x1.79d79e2127e66p-19, -0x1.780cd73ff0a1bp-19, -0x1.761ebef202e66p-19, -0x1.740e4640563bdp-19, -0x1.71dc5a701980ap-19, -0x1.6f89e515cab97p-19, -0x1.6d17cc51a994dp-19, -0x1.6a86f2ceb1207p-19, -0x1.67d837e3f93dfp-19, -0x1.650c77a6f2d05p-19, -0x1.62248b084032ap-19, -0x1.5f2147e30244cp-19, -0x1.5c03811408dp-19, -0x1.58cc067f55b45p-19, -0x1.557ba52720e97p-19, -0x1.5213275db91a1p-19, -0x1.4e93549345a5cp-19, -0x1.4afcf195f85f3p-19, -0x1.4750c0798da7cp-19, -0x1.438f80b16d1bap-19, -0x1.3fb9ef3b6e4a8p-19, -0x1.3bd0c661c3b12p-19, -0x1.37d4be368dbd2p-19, -0x1.33c68c40c647bp-19, -0x1.2fa6e35e76027p-19, -0x1.2b76744e2cd16p-19, -0x1.2735ed53ae467p-19, -0x1.22e5fa3da09dep-19, -0x1.1e8744a69c6c8p-19, -0x1.1a1a73e90b3afp-19, -0x1.15a02cfbc0fb7p-19, -0x1.11191299cab63p-19, -0x1.0c85c537e1d14p-19, -0x1.07e6e323d927p-19, -0x1.033d085da0c1ep-19, -0x1.fd119d7513a08p-20, -0x1.f3959ba6749e5p-20, -0x1.ea073637cd35ep-20, -0x1.e06793b3725f7p-20, -0x1.d6b7d64e0b85bp-20, -0x1.ccf91bf36e1dp-20, -0x1.c32c7e1b157fep-20, -0x1.b953121a9577ap-20, -0x1.af6de967b15bdp-20, -0x1.a57e108539ca8p-20, -0x1.9b84901aa8f1p-20, -0x1.91826c875c088p-20, -0x1.8778a61c1ac1bp-20, -0x1.7d6838950f2bap-20, -0x1.73521be6e134dp-20, -0x1.693743c2d5421p-20, -0x1.5f189f7e3d4c8p-20, -0x1.54f71a8a91d74p-20, -0x1.4ad39c2364db6p-20, -0x1.40af0764b845cp-20, -0x1.368a3b51b05bbp-20, -0x1.2c6612eca4f1bp-20, -0x1.224364e88af04p-20, -0x1.182304237d044p-20, -0x1.0e05bf5c5c464p-20, -0x1.03ec614d1e368p-20, -0x1.f3af6131c3381p-21, -0x1.df90e02cd2d5fp-21, -0x1.cb7ebc8fe5c1fp-21, -0x1.b77a6c0ef74c8p-21, -0x1.a3855cd599653p-21, -0x1.8fa0f44310556p-21, -0x1.7bce9042fbd58p-21, -0x1.680f872306e47p-21, -0x1.546526f692a54p-21, -0x1.40d0b6d8fcf95p-21, -0x1.2d5375bc92abdp-21, }}, 
      std::vector<double>(600, 0.0), 
      {{0x1.96216ff69b1ccp-11, 0x1.d7a10f0afc8p-8, 0x1.6c7d1f3229105p-6, 0x1.804268eb33d3fp-5, 0x1.4b52500bdc12ep-4, 0x1.f8667d7fc799fp-4, 0x1.60afbee7ab2b1p-3, 0x1.cfc218b1138bap-3, 0x1.2300eef2495e3p-2, 0x1.60179f9ba22bbp-2, 0x1.9da935b3af759p-2, 0x1.da666c35e3573p-2, 0x1.0a97af6c56e16p-1, 0x1.268a76465e478p-1, 0x1.40aab830cb0abp-1, 0x1.58acf5324c076p-1, 0x1.6e5914812e9b7p-1, 0x1.818803efc3faap-1, 0x1.9221817bfdc24p-1, 0x1.a01a47de0f2a6p-1, 0x1.ab7204adf0913p-1, 0x1.b4317aca46765p-1, 0x1.ba68db3c48306p-1, 0x1.be2e2a547c528p-1, 0x1.bf9c6a28c3944p-1, 0x1.bed2b384ad851p-1, 0x1.bbf2d87cab4edp-1, 0x1.b71fc739b56cfp-1, 0x1.b07e60904fd7p-1, 0x1.a83406630949dp-1, 0x1.9e66257c32c34p-1, 0x1.9339d2c5f95dfp-1, 0x1.86d38207903b2p-1, 0x1.7956b3099abd3p-1, 0x1.6ae5ad9242ecap-1, 0x1.5ba1592fbb42ap-1, 0x1.4ba91d98ccd18p-1, 0x1.3b1ac2693babfp-1, 0x1.2a1257bde162fp-1, 0x1.18aa2dc80dab2p-1, 0x1.06fad75062672p-1, 0x1.ea366133c0c3ep-2, 0x1.c640ccb907e9bp-2, 0x1.a23bf768e768fp-2, 0x1.7e4ba13757fb2p-2, 0x1.5a9056f9bbb52p-2, 0x1.37278eb3d92cbp-2, 0x1.142bcc013df47p-2, 0x1.e36990dd046aep-3, 0x1.9faf36f229275p-3, 0x1.5d4dc21a1490dp-3, 0x1.1c65c0fafb294p-3, 0x1.ba26d5c0defc5p-4, 0x1.3edde2fc8aep-4, 0x1.8e29b4111d65dp-5, 0x1.4bde6671d8669p-6, -0x1.d63dcfe98609cp-8, -0x1.13d0ec718f093p-5, -0x1.e50ca13750be5p-5, -0x1.573238d29c3b7p-4, -0x1.b7e55478cc903p-4, -0x1.0a4e72be0ac6p-3, -0x1.36ad069e172cbp-3, -0x1.6110c015f04f1p-3, -0x1.897d942b306dp-3, -0x1.aff8dfa83b566p-3, -0x1.d489359fdec0ap-3, -0x1.f73633cde6be3p-3, -0x1.0c042f268ece4p-2, -0x1.1b8480d4fdae9p-2, -0x1.2a210c99475fp-2, -0x1.37df1bbe6a3f5p-2, -0x1.44c437f529c25p-2, -0x1.50d6206d21b3cp-2, -0x1.5c1abf6e32dadp-2, -0x1.669820b4fd462p-2, -0x1.705468c040e1cp-2, -0x1.7955cd11348bp-2, -0x1.81a28d387cf46p-2, -0x1.8940ec7774504p-2, -0x1.90372bc78ab1p-2, -0x1.968b8437028c2p-2, -0x1.9c4421aa4199ap-2, -0x1.a1671e23880fap-2, -0x1.a5fa7db1149edp-2, -0x1.aa042b0f50722p-2, -0x1.ad89f4f51e5ap-2, -0x1.b0918bef65cdcp-2, -0x1.b32080acc5401p-2, -0x1.b53c42a0f566fp-2, -0x1.b6ea1ef1c62efp-2, -0x1.b82f3fa5fd4fcp-2, -0x1.b910ab0e312ap-2, -0x1.b993435b57c47p-2, -0x1.b9bbc653a8c77p-2, -0x1.b98ecd1858314p-2, -0x1.b910cbf5cfcf9p-2, -0x1.b8461240a56e2p-2, -0x1.b732ca474bb4ep-2, -0x1.b5daf9604280cp-2, -0x1.b442801716b16p-2, -0x1.b26d1a734f0dep-2, -0x1.b05e604ff6f4ep-2, -0x1.ae19c5bbde6a9p-2, -0x1.aba29b61833d8p-2, -0x1.a8fc0efe92b7fp-2, -0x1.a6292bf984b0fp-2, -0x1.a32cdc244d4aap-2, -0x1.a009e8b4c9234p-2, -0x1.9cc2fb705fa98p-2, -0x1.995a55ad52fa4p-2, -0x1.95d302a3de764p-2, -0x1.922f0a1eef238p-2, -0x1.8e70a1ab391efp-2, -0x1.8a99e51d69a87p-2, -0x1.86acd807484efp-2, -0x1.82ab670bceab1p-2, -0x1.7e976907d4eabp-2, -0x1.7a72a00a51262p-2, -0x1.763eba1c50a3p-2, -0x1.71fd51dd89ddbp-2, -0x1.6dafeefe2aaf9p-2, -0x1.695806a0e85bap-2, -0x1.64f6fbb16b0d1p-2, -0x1.608e1f3a6bed8p-2, -0x1.5c1eb0c51fe4fp-2, -0x1.57a9dec8a15fbp-2, -0x1.5330c72d0ce04p-2, -0x1.4eb477e305214p-2, -0x1.4a35ef8dea0c5p-2, -0x1.45b61e3d37359p-2, -0x1.4135e63053791p-2, -0x1.3cb61c9f80179p-2, -0x1.38378a8467111p-2, -0x1.33baed5d2002bp-2, -0x1.2f40f7e50103dp-2, -0x1.2aca52bf8ec5bp-2, -0x1.26579d12ed41p-2, -0x1.21e96d1078947p-2, -0x1.1d80506b7085ep-2, -0x1.191cccbec3d0ep-2, -0x1.14bf5fe4054d5p-2, -0x1.1068803e32df8p-2, -0x1.0c189cfb55916p-2, -0x1.07d01e5002a5p-2, -0x1.038f65af8ee97p-2, -0x1.fead9c06af486p-3, -0x1.f64d57c5ed8e2p-3, -0x1.edfe9b9d4b65dp-3, -0x1.e5c1f8d8fce74p-3, -0x1.dd97f5917802cp-3, -0x1.d5810d316c78ap-3, -0x1.cd7db0ffbe515p-3, -0x1.c58e48abba531p-3, -0x1.bdb332d926664p-3, -0x1.b5ecc5a9e0936p-3, -0x1.ae3b4f42b5966p-3, -0x1.a69f164957588p-3, -0x1.9f185a59deb2cp-3, -0x1.97a754729d91ap-3, -0x1.904c3755bae5ep-3, -0x1.89072fe086cb2p-3, -0x1.81d86558f93d1p-3, -0x1.7abff9b22f58p-3, -0x1.73be09c9169bep-3, -0x1.6cd2ad9a8e49ap-3, -0x1.65fdf87465bc7p-3, -0x1.5f3ff92297976p-3, -0x1.5898ba1a03b6p-3, -0x1.520841a1c15b1p-3, -0x1.4b8e91fbee4f3p-3, -0x1.452ba98ea9fa6p-3, -0x1.3edf830daed22p-3, -0x1.38aa15a4b535ap-3, -0x1.328b5522bafcfp-3, -0x1.2c833225fa12ap-3, -0x1.26919a48489b7p-3, -0x1.20b6784b8e39dp-3, -0x1.1af1b445c7d9ep-3, -0x1.154333cc49f9p-3, -0x1.0faada1da93e2p-3, -0x1.0a28884a04c67p-3, -0x1.04bc1d5943511p-3, -0x1.fecaecde27969p-4, -0x1.f448ddd8e58ffp-4, -0x1.e9f1c11d566dfp-4, -0x1.dfc54717a6785p-4, -0x1.d5c31d59abbaap-4, -0x1.cbeaeeca65bc7p-4, -0x1.c23c63d16f48ep-4, -0x1.b8b7227ec307cp-4, -0x1.af5aceaf6db8p-4, -0x1.a6270a2fc717fp-4, -0x1.9d1b74dbaca1bp-4, -0x1.9437acbd2802cp-4, -0x1.8b7b4e2a167dp-4, -0x1.82e5f3e0eb3b9p-4, -0x1.7a773724f2fd1p-4, -0x1.722eafda2a7ecp-4, -0x1.6a0bf4a0c2ed2p-4, -0x1.620e9af059fa9p-4, -0x1.5a363732dc1c8p-4, -0x1.52825cdf06342p-4, -0x1.4af29e9271855p-4, -0x1.43868e2b17578p-4, -0x1.3c3dbce036419p-4, -0x1.3517bb5a85f49p-4, -0x1.2e1419cbab456p-4, -0x1.27326804da291p-4, -0x1.2072358c9f4f7p-4, -0x1.19d311b3c347bp-4, -0x1.13548ba946d6bp-4, -0x1.0cf6328d6fb1cp-4, -0x1.06b79583e8c8fp-4, -0x1.009843c4f7b69p-4, -0x1.f52f995b91d22p-5, -0x1.e96b7f9fb9cf8p-5, -0x1.dde359ff3ac5dp-5, -0x1.d29648c44e7ffp-5, -0x1.c7836cf4a6449p-5, -0x1.bca9e86a19f33p-5, -0x1.b208ddea0a48fp-5, -0x1.a7a319dac42acp-5, -0x1.9d708038475f5p-5, -0x1.9373ce1bb0738p-5, -0x1.89ac2b275392dp-5, -0x1.8018c049a22f5p-5, -0x1.76b8b7ccea6eap-5, -0x1.6d8b3d66a16cep-5, -0x1.648f7e4630f21p-5, -0x1.5bc4a92353822p-5, -0x1.5329ee4bf8ccfp-5, -0x1.4abe7fb1af528p-5, -0x1.428190f68df5bp-5, -0x1.3a7257799672bp-5, -0x1.32900a6288a2bp-5, -0x1.2ad9e2ad2252cp-5, -0x1.234f1b33bf04ep-5, -0x1.1beef0b95b1ddp-5, -0x1.14b8a1f2eb60ep-5, -0x1.0dab6f900e593p-5, -0x1.06c69c430f3f3p-5, -0x1.00096cc83fa1dp-5, -0x1.f2e64fd944633p-6, -0x1.e6062d27e1108p-6, -0x1.d971077bf39fdp-6, -0x1.cd257916be6e3p-6, -0x1.c12220836f63ap-6, -0x1.b565a09e3dcb6p-6, -0x1.a9eea09a658d9p-6, -0x1.9ebbcc0720db9p-6, -0x1.93cbd2d396762p-6, -0x1.891d6951e28c3p-6, -0x1.7eaf48393f201p-6, -0x1.74802ca75518p-6, -0x1.6a8ed820d2d5ap-6, -0x1.60da10914b22bp-6, -0x1.5760a04a686b3p-6, -0x1.4e2156028c31ap-6, -0x1.451b04d2d3b2bp-6, -0x1.3c4c84349c77ap-6, -0x1.33b4affe8989fp-6, -0x1.2b5268610ab1ap-6, -0x1.232491e27fc6dp-6, -0x1.1b2a155ae67f8p-6, -0x1.1361dfef27d58p-6, -0x1.0bcae30c07d5p-6, -0x1.04641460b5b82p-6, -0x1.fa58dbb2010e2p-7, -0x1.ec45db2e6e8eep-7, -0x1.de8d2bdb734eap-7, -0x1.d12cdab05bc2bp-7, -0x1.c422fce8ddb54p-7, -0x1.b76daff659b0ep-7, -0x1.ab0b19707eccp-7, -0x1.9ef9670561b76p-7, -0x1.9336ce690cb14p-7, -0x1.87c18d4482bb8p-7, -0x1.7c97e9243feedp-7, -0x1.71b82f66422dfp-7, -0x1.6720b5279ba02p-7, -0x1.5ccfd7318682p-7, -0x1.52c3f9e625ed9p-7, -0x1.48fb892cc9602p-7, -0x1.3f74f85de0bc5p-7, -0x1.362ec22e9639ap-7, -0x1.2d27689c0fcdcp-7, -0x1.245d74d66b7bdp-7, -0x1.1bcf772b75b14p-7, -0x1.137c06f11ca51p-7, -0x1.0b61c26fb299p-7, -0x1.037f4ecbf71b1p-7, -0x1.f7a6afe1ef7d5p-8, -0x1.e8b920f390531p-8, -0x1.da33633635345p-8, -0x1.cc12f61979b12p-8, -0x1.be5565e5fabcap-8, -0x1.b0f84b9003b69p-8, -0x1.a3f94c8a1c372p-8, -0x1.97561a978c002p-8, -0x1.8b0c739ed4cc7p-8, -0x1.7f1a217c2bd77p-8, -0x1.737cf9d401bf2p-8, -0x1.6832dde59518ap-8, -0x1.5d39ba5da1728p-8, -0x1.528f87292b54cp-8, -0x1.483247486e985p-8, -0x1.3e2008a1fc07cp-8, -0x1.3456e3d604517p-8, -0x1.2ad4fc11de5dfp-8, -0x1.21987ee3c2494p-8, -0x1.189fa40ecc6a4p-8, -0x1.0fe8ad5f4087fp-8, -0x1.0771e67f1c6ecp-8, -0x1.fe734995e9194p-9, -0x1.ee7c8e4e4d5e3p-9, -0x1.defc6baac1d52p-9, -0x1.cfefc495133aap-9, -0x1.c1538e09fc48ap-9, -0x1.b324cec66f79ep-9, -0x1.a5609ef5ac06fp-9, -0x1.980427e0199cp-9, -0x1.8b0ca39b041c2p-9, -0x1.7e775cb929f01p-9, -0x1.7241adfc2dc35p-9, -0x1.66690206e2ae1p-9, -0x1.5aead3108e611p-9, -0x1.4fc4aa99001dcp-9, -0x1.44f4211da3512p-9, -0x1.3a76ddcf77ddfp-9, -0x1.304a964a0189dp-9, -0x1.266d0e4b21997p-9, -0x1.1cdc176be9407p-9, -0x1.139590da5c725p-9, -0x1.0a9767142d859p-9, -0x1.01df93a26819p-9, -0x1.f2d839ac28757p-10, -0x1.e2762b0ba0448p-10, -0x1.d2953998b376cp-10, -0x1.c331bb901c67p-10, -0x1.b4481eb6bbb1fp-10, -0x1.a5d4e7dc64179p-10, -0x1.97d4b260817e8p-10, -0x1.8a442fb8a77ap-10, -0x1.7d2026f8f310dp-10, -0x1.7065745e56471p-10, -0x1.641108da9e23bp-10, -0x1.581fe9a26dbbap-10, -0x1.4c8f2fbce5151p-10, -0x1.415c07952d4d8p-10, -0x1.3683b08dbf3b1p-10, -0x1.2c037c95756adp-10, -0x1.21d8cfbe4b17fp-10, -0x1.18011fd5ec212p-10, -0x1.0e79f3ffe8f46p-10, -0x1.0540e451b4289p-10, -0x1.f8a732e05dc36p-11, -0x1.e75f985de4c81p-11, -0x1.d6a68a628ff0dp-11, -0x1.c677b9195b9dbp-11, -0x1.b6cef2da1b26bp-11, -0x1.a7a82374fad41p-11, -0x1.98ff5381513p-11, -0x1.8ad0a7af8407p-11, -0x1.7d18601deed8cp-11, -0x1.6fd2d7b132c17p-11, -0x1.62fc836f488e6p-11, -0x1.5691f1ddc9669p-11, -0x1.4a8fca63242d4p-11, -0x1.3ef2ccaaed19cp-11, -0x1.33b7d00cffb03p-11, -0x1.28dbc2f7aa0c2p-11, -0x1.1e5baa5cb79b9p-11, -0x1.1434a1216652dp-11, -0x1.0a63d7911d235p-11, -0x1.00e692d32b52p-11, -0x1.ef7458c613213p-12, -0x1.ddb823173eea7p-12, -0x1.cc9385ca3d0cp-12, -0x1.bc01a7ab6f80fp-12, -0x1.abfdd4298a505p-12, -0x1.9c837a61bcf52p-12, -0x1.8d8e2c30b32abp-12, -0x1.7f199d48bea08p-12, -0x1.7121a24d4ef7ap-12, -0x1.63a22ff357a86p-12, -0x1.56975a26a444p-12, -0x1.49fd5333fbff4p-12, -0x1.3dd06af834f27p-12, -0x1.320d0e14001dep-12, -0x1.26afc52457adcp-12, -0x1.1bb533ff88bc1p-12, -0x1.111a18f6abfaep-12, -0x1.06db4c1bbf443p-12, -0x1.f9eb7d1817affp-13, -0x1.e6ccf37d801edp-13, -0x1.d4553daf96c61p-13, -0x1.c27ecbfe3dfap-13, -0x1.b1443b7713f6fp-13, -0x1.a0a054a404b63p-13, -0x1.908e0a5143c69p-13, -0x1.8108785aed358p-13, -0x1.720ae282a6b58p-13, -0x1.6390b34c55ea5p-13, -0x1.55957ae1bd051p-13, -0x1.4814edfddb43ep-13, -0x1.3b0ae4decdf98p-13, -0x1.2e735a3ed5242p-13, -0x1.224a6a5391643p-13, -0x1.168c51d431447p-13, -0x1.0b356d05c7abbp-13, -0x1.004236cdeccabp-13, -0x1.eb5e8f96d3272p-14, -0x1.d6f2aae9e6441p-14, -0x1.c33a627b002b5p-14, -0x1.b02f8f7d88c31p-14, -0x1.9dcc3fd14e2d1p-14, -0x1.8c0ab46c49a25p-14, -0x1.7ae55fd143809p-14, -0x1.6a56e48d24e8fp-14, -0x1.5a5a13c0fcc9bp-14, -0x1.4ae9ebb57e2fp-14, -0x1.3c01967787166p-14, -0x1.2d9c687d8e42p-14, -0x1.1fb5df5830f1dp-14, -0x1.1249a069a351ep-14, -0x1.055377a688e5p-14, -0x1.f19eacbff3aa4p-15, -0x1.d972a429384d3p-15, -0x1.c21b46960d496p-15, -0x1.ab9148e690e33p-15, -0x1.95cda1a0903aap-15, -0x1.80c986d1bfeaap-15, -0x1.6c7e6c019f068p-15, -0x1.58e6002e785d9p-15, -0x1.45fa2bdc07983p-15, -0x1.33b50f2e2f149p-15, -0x1.22110010b7d51p-15, -0x1.1108886d663ep-15, -0x1.0096646dccb65p-15, -0x1.e16b019424041p-16, -0x1.c2c1f245fbc4p-16, -0x1.a5282cd4f3b6dp-16, -0x1.88949aa9a5421p-16, -0x1.6cfe79adfd04fp-16, -0x1.525d595f6ac84p-16, -0x1.38a8c944b0289p-16, -0x1.1fd98fffff7dep-16, -0x1.07e7d2f42a6bdp-16, -0x1.e19898bfbe242p-17, -0x1.b4fff55c76a1fp-17, -0x1.89f83c0b0d369p-17, -0x1.60746bcd01634p-17, -0x1.3867fdc3a662ap-17, -0x1.11c6e0b93e60bp-17, -0x1.d90ae9a71f585p-18, -0x1.91310ecd60ee6p-18, -0x1.4bea9dca1817dp-18, -0x1.0922cdf8512a6p-18, -0x1.918b332f7641ap-19, -0x1.157f6cda2d104p-19, -0x1.3bfa3ae05ead8p-20, -0x1.5703a59742acbp-22, 0x1.0fe43e47b02fbp-21, 0x1.5d6160ab87d12p-20, 0x1.1566799e9bacdp-19, 0x1.78394e702104p-19, 0x1.d746f449a449p-19, 0x1.19560f1b2b525p-18, 0x1.45423bcc2bcdbp-18, 0x1.6f75572b9e694p-18, 0x1.97fc3e735f861p-18, 0x1.bee359ee142ddp-18, 0x1.e436a193ad59fp-18, 0x1.0400d0c00f178p-17, 0x1.1527bf19dcab9p-17, 0x1.25957c61d1f78p-17, 0x1.354f396194c1bp-17, 0x1.4459f9116f5bp-17, 0x1.52ba926ad145cp-17, 0x1.6075b23416d71p-17, 0x1.6d8fdcadd2d85p-17, 0x1.7a0d6f3b23835p-17, 0x1.85f2a1f3a3be6p-17, 0x1.91438927082f1p-17, 0x1.9c0416d68bcfep-17, 0x1.a6381c149b41ap-17, 0x1.afe34a626ae2dp-17, 0x1.b90934fa6a6cbp-17, 0x1.c1ad520cd0ec2p-17, 0x1.c9d2fbf5c9577p-17, 0x1.d17d725b29568p-17, 0x1.d8afdb4fb9576p-17, 0x1.df6d445c50b8cp-17, 0x1.e5b8a385b6bb9p-17, 0x1.eb94d84567039p-17, 0x1.f104ac7a99f2fp-17, 0x1.f60ad54bf1903p-17, 0x1.faa9f4094d54cp-17, 0x1.fee496fe386ecp-17, 0x1.015e9d1c9f07bp-16, 0x1.031b24282547bp-16, 0x1.04a90d8ddada2p-16, 0x1.06097e341ce98p-16, 0x1.073d9350a517dp-16, 0x1.084662bab0f19p-16, 0x1.0924fb39907bfp-16, 0x1.09da64cf3ee8ap-16, 0x1.0a67a0ff9a99p-16, 0x1.0acdab17b2072p-16, 0x1.0b0d786cc8069p-16, 0x1.0b27f89b86dbep-16, 0x1.0b1e15c315204p-16, 0x1.0af0b4c0ef5ccp-16, 0x1.0aa0b565b9a5bp-16, 0x1.0a2ef2a934b73p-16, 0x1.099c42dd9bbf9p-16, 0x1.08e977dcb8654p-16, 0x1.08175f36a725ap-16, 0x1.0726c25d233abp-16, 0x1.061866cbe2f22p-16, 0x1.04ed0e2d72e5ep-16, 0x1.03a57684d976ep-16, 0x1.02425a4cfe446p-16, 0x1.00c4709d5182ep-16, 0x1.fe58da8c70b8fp-17, 0x1.faf601e1d97c3p-17, 0x1.f761b27b59989p-17, 0x1.f39d41b7aa5bdp-17, 0x1.efa9ff4ac7ea2p-17, 0x1.eb89356e9a8eep-17, 0x1.e73c291080371p-17, 0x1.e2c419fbf9d0bp-17, 0x1.de2243065d834p-17, 0x1.d957da3366f7cp-17, 0x1.d46610db18db9p-17, 0x1.cf4e13cc0b41ap-17, 0x1.ca110b6cc7e6ap-17, 0x1.c4b01bd991e23p-17, 0x1.bf2c65021eef7p-17, 0x1.b98702c498a18p-17, 0x1.b3c10d078bc65p-17, 0x1.addb97d09109dp-17, 0x1.a7d7b35f66aa5p-17, 0x1.a1b66c3cb049dp-17, 0x1.9b78cb53a1245p-17, 0x1.951fd5fef197cp-17, 0x1.8eac8e1dffc8cp-17, 0x1.881ff2267fbbcp-17, 0x1.817afd2f52fdfp-17, 0x1.7abea703c0bcdp-17, 0x1.73ebe42dad76dp-17, 0x1.6d03a5ffb5d9bp-17, 0x1.6606daa45d8bap-17, 0x1.5ef66d272dd6p-17, 0x1.57d3457f64f3bp-17, 0x1.509e489762f21p-17, 0x1.4958585868f19p-17, 0x1.420253ae6f4abp-17, 0x1.3a9d1691bbd65p-17, 0x1.33297a0d4af79p-17, 0x1.2ba854461447cp-17, 0x1.241a787da4668p-17, 0x1.1c80b71a237afp-17, 0x1.14dbddaad3acap-17, 0x1.0d2cb6eb45bb3p-17, 0x1.05740ac925172p-17, 0x1.fb653ccd0b7e5p-18, 0x1.ebd2683d0491p-18, 0x1.dc31170c95538p-18, 0x1.cc82c2e928d91p-18, 0x1.bcc8e004c084dp-18, 0x1.ad04dd1122201p-18, 0x1.9d382352dced3p-18, 0x1.8d64169f9be7cp-18, 0x1.7d8a156669aa6p-18, 0x1.6dab78a7030abp-18, 0x1.5dc99407bfc5ep-18, 0x1.4de5b5cdebb0cp-18, 0x1.3e0126e3c6b21p-18, 0x1.2e1d2adcd388p-18, 0x1.1e3afff84e6dbp-18, 0x1.0e5bdf2474b8dp-18, 0x1.fd01f807e15bep-19, 0x1.dd5709dba2dcep-19, 0x1.bdb945e5bf7b8p-19, 0x1.9e2af3c508314p-19, 0x1.7eae5096fb77bp-19, 0x1.5f458f02dea85p-19, 0x1.3ff2d73c80ba4p-19, 0x1.20b847182916fp-19, 0x1.0197f1fa72f4ap-19, 0x1.c527c1ff2c8a4p-20, 0x1.875c25e3d2b4dp-20, 0x1.49d0f895ea0cep-20, 0x1.0c8a0e966c888p-20, 0x1.9f164ffed25d4p-21, 0x1.25afe11a7d151p-21, 0x1.59cfff458c84cp-22, 0x1.a62d91f77f496p-24, }}, 
      {{0x1.14261faa7a4bcp-6, 0x1.1f8a2818d1d71p-3, 0x1.339fd5d93bad4p-2, 0x1.e47209622b9ddp-2, 0x1.4930e0b6ebba5p-1, 0x1.99cca4527ee09p-1, 0x1.e13c8522de997p-1, 0x1.0f133d53c680ep+0, 0x1.28170afc35a5ep+0, 0x1.3bcef6074dbb1p+0, 0x1.4a94cf404ae63p+0, 0x1.54e0b1ba24b24p+0, 0x1.5b39b5502265p+0, 0x1.5e2af90c58e79p+0, 0x1.5e3cbd1210f8dp+0, 0x1.5befb2a65a9b2p+0, 0x1.57ba3e1b28a69p+0, 0x1.52071b61a8dd4p+0, 0x1.4b34dee100c94p+0, 0x1.4396079f4be8dp+0, 0x1.3b717afb2cd78p+0, 0x1.33035bd6caba7p+0, 0x1.2a7dfc777e498p+0, 0x1.220ab6bfbfb9ap+0, 0x1.19caf272b8542p+0, 0x1.11d92145f7386p+0, 0x1.0a49636ff256p+0, 0x1.032ad015485e3p+0, 0x1.f90fa5d193696p-1, 0x1.eccdf7820ffdep-1, 0x1.e197444dcee1dp-1, 0x1.d76cdf9157fc2p-1, 0x1.ce4ba95af289ep-1, 0x1.c62ce4d61176dp-1, 0x1.bf06faa8ca9f1p-1, 0x1.b8ce1fe4fdeebp-1, 0x1.b374e43bc484fp-1, 0x1.aeecaab7e9214p-1, 0x1.ab260ea28ec1p-1, 0x1.a81138b21d70ap-1, 0x1.a59e286c9b7f7p-1, 0x1.a3bcf21f5a3b1p-1, 0x1.a25df0717ce19p-1, 0x1.a171ea4bddd6ep-1, 0x1.a0ea2fa6fbfd8p-1, 0x1.a0b8b00ebc722p-1, 0x1.a0d00cb341494p-1, 0x1.a123a6b66c31ep-1, 0x1.a1a7a9bb9b529p-1, 0x1.a251128756dbp-1, 0x1.a315b16398f93p-1, 0x1.a3ec28255b65ap-1, 0x1.a4cbe46c4a521p-1, 0x1.a5ad17aa937f6p-1, 0x1.a688f7c27d3acp-1, 0x1.a7587d2b70cb4p-1, 0x1.a8164eafd3835p-1, 0x1.a8bd68dacfa4bp-1, 0x1.a949607690d4cp-1, 0x1.a9b658a9f7497p-1, 0x1.aa00fba7cf6a9p-1, 0x1.aa26748f8c21bp-1, 0x1.aa2468f93c8aep-1, 0x1.a9f8f143eaeadp-1, 0x1.a9a28f9d2c7ccp-1, 0x1.a9202662206e4p-1, 0x1.a870eeb059721p-1, 0x1.a7946fc9d43a7p-1, 0x1.a68a778a171cp-1, 0x1.a55313cfad85fp-1, 0x1.a3ee8c8da0754p-1, 0x1.a25d5e36a3157p-1, 0x1.a0a0344f3f634p-1, 0x1.9eb7e418e560dp-1, 0x1.9ca567659907ep-1, 0x1.9a69d7b25cf87p-1, 0x1.980669a45a7cdp-1, 0x1.957c68f676968p-1, 0x1.92cd34d2adbfdp-1, 0x1.8ffa3c849951ep-1, 0x1.8d04fc6e40c1bp-1, 0x1.89eefb2ddd1ebp-1, 0x1.86b9c6edff6d5p-1, 0x1.8366f2e35e983p-1, 0x1.7ff815000c453p-1, 0x1.7c6ec3e26e3fp-1, 0x1.78cc950179542p-1, 0x1.75131b1314eap-1, 0x1.7143e4a789506p-1, 0x1.6d607af55bbb6p-1, 0x1.696a60d24fdecp-1, 0x1.656311d67c915p-1, 0x1.614c01a4e9f42p-1, 0x1.5d269b5317771p-1, 0x1.58f440e7af44bp-1, 0x1.54b64ae9c3e6ep-1, 0x1.506e07fce1b7dp-1, 0x1.4c1cbc89a7621p-1, 0x1.47c3a274df6cep-1, 0x1.4363e8e729f12p-1, 0x1.3efeb42580c9ap-1, 0x1.3a951d7864d69p-1, 0x1.3628331df2e9ap-1, 0x1.31b8f8435cf4ap-1, 0x1.2d4865045a70cp-1, 0x1.28d76671efd6ep-1, 0x1.2466dea41bc5ep-1, 0x1.1ff7a4da5e456p-1, 0x1.1b8a85ad79bc8p-1, 0x1.17204351c6b39p-1, 0x1.12b996f589ac7p-1, 0x1.0e57347314927p-1, 0x1.09f9bac1adb7ap-1, 0x1.05a1c461640b2p-1, 0x1.014fe2f325b5bp-1, 0x1.fa093f566c9c7p-2, 0x1.f180f7776d651p-2, 0x1.e907e1670b5c2p-2, 0x1.e09ee19efd8eap-2, 0x1.d846ce7ba7618p-2, 0x1.d00070a9a597fp-2, 0x1.c7cc837f43d4fp-2, 0x1.bfabb54897f46p-2, 0x1.b79ea78d83a41p-2, 0x1.afa5ef58812e6p-2, 0x1.a7c21583e2dap-2, 0x1.9ff3971166d68p-2, 0x1.983ae58e1979dp-2, 0x1.90986782a73dap-2, 0x1.890c78eecd974p-2, 0x1.81976bcd7efb7p-2, 0x1.7a39889eaac2ep-2, 0x1.72f30ef34e703p-2, 0x1.6bc435f87cp-2, 0x1.64ad2cfe39a6dp-2, 0x1.5dae1bf79b69bp-2, 0x1.56c723f20a502p-2, 0x1.4ff85f8262253p-2, 0x1.4941e32749a4cp-2, 0x1.42a3bda0e5a13p-2, 0x1.3c1df83ea9f75p-2, 0x1.35b0972481e44p-2, 0x1.2f5b9988ec476p-2, 0x1.291ef9edb7be4p-2, 0x1.22faae55182aap-2, 0x1.1ceea8748efd4p-2, 0x1.16fad5e6ed0b2p-2, 0x1.111f205e52a0ap-2, 0x1.0b5b6dd6c9f3bp-2, 0x1.05afa0c9c334dp-2, 0x1.001b98626b34dp-2, 0x1.f53e61654c2e8p-3, 0x1.ea7485d088248p-3, 0x1.dfd94b03c61e4p-3, 0x1.d56c5905d48c7p-3, 0x1.cb2d534bfcdbap-3, 0x1.c11bd91ac29cfp-3, 0x1.b73785e177c03p-3, 0x1.ad7ff18ff18d2p-3, 0x1.a3f4b0e5e4f9cp-3, 0x1.9a9555bbb3d39p-3, 0x1.91616f44cfaep-3, 0x1.88588a4bfc791p-3, 0x1.7f7a3169fa357p-3, 0x1.76c5ed373ce7p-3, 0x1.6e3b447962b13p-3, 0x1.65d9bc4d3975fp-3, 0x1.5da0d84dede67p-3, 0x1.55901aba29ee6p-3, 0x1.4da704979cbep-3, 0x1.45e515d5695afp-3, 0x1.3e49cd6ddab69p-3, 0x1.36d4a98784df2p-3, 0x1.2f85279608136p-3, 0x1.285ac47a6b28bp-3, 0x1.2154fca307fedp-3, 0x1.1a734c2aeeba9p-3, 0x1.13b52ef890497p-3, 0x1.0d1a20db8ddf1p-3, 0x1.06a19da970bb6p-3, 0x1.004b21592fd65p-3, 0x1.f42c503a9488ap-4, 0x1.e8045cf8ccfbbp-4, 0x1.dc1d62d09fad6p-4, 0x1.d0765ca6ab532p-4, 0x1.c50e4687fa872p-4, 0x1.b9e41dce2ccbp-4, 0x1.aef6e14069fb3p-4, 0x1.a44591317d728p-4, 0x1.99cf2f9b18dbbp-4, 0x1.8f92c036abf2p-4, 0x1.858f4893fffb5p-4, 0x1.7bc3d02de2fbcp-4, 0x1.722f607d2116ap-4, 0x1.68d1050a07bfap-4, 0x1.5fa7cb7ca5c14p-4, 0x1.56b2c3abf46cfp-4, 0x1.4df0ffac08642p-4, 0x1.456193db6620bp-4, 0x1.3d0396ef89034p-4, 0x1.34d62200a8ddbp-4, 0x1.2cd85094c4a96p-4, 0x1.250940a9f50d3p-4, 0x1.1d6812c005a42p-4, 0x1.15f3e9e156c77p-4, 0x1.0eabebab05ed3p-4, 0x1.078f40545bb97p-4, 0x1.009d12b580762p-4, 0x1.f3a9209aec232p-5, 0x1.e669d28eb8c4p-5, 0x1.d97aa0fdfbda2p-5, 0x1.ccd9f709570fdp-5, 0x1.c0864540d28cep-5, 0x1.b47e01a8e786cp-5, 0x1.a8bfa7be41235p-5, 0x1.9d49b87844914p-5, 0x1.921aba4a6fd1cp-5, 0x1.8731392496f18p-5, 0x1.7c8bc6721d3d7p-5, 0x1.7228f9182c91cp-5, 0x1.68076d7303626p-5, 0x1.5e25c5526a07cp-5, 0x1.5484a97e4c927p-5, 0x1.4b1ed062e77a9p-5, 0x1.41f4e0264bf32p-5, 0x1.390590548db08p-5, 0x1.304f9dcf249a3p-5, 0x1.27d1cac4ae6f1p-5, 0x1.1f8adea84abafp-5, 0x1.1779a62894477p-5, 0x1.0f9cf3263d508p-5, 0x1.07f39caa530e1p-5, 0x1.007c7edc2a56bp-5, 0x1.f26cf5edf1084p-6, 0x1.e440ee7e31ebap-6, 0x1.d672bdee02981p-6, 0x1.c90044a7ce5aap-6, 0x1.bbe76ce431fbep-6, 0x1.af262a9211ab7p-6, 0x1.a2ba7b3e20c62p-6, 0x1.96a265f9d7f26p-6, 0x1.8adbfb41eb2a7p-6, 0x1.7f6554e43a136p-6, 0x1.743c95e547ff5p-6, 0x1.695fea6548456p-6, 0x1.5ecd8784be3c3p-6, 0x1.5483ab48c26d2p-6, 0x1.4a809c7eefd1ap-6, 0x1.40c2aaa10ccf1p-6, 0x1.37482db864adcp-6, 0x1.2e0f8640f9a82p-6, 0x1.25171d0c7b29dp-6, 0x1.1c5d63251dcc4p-6, 0x1.13e0d1b055115p-6, 0x1.0b9fe9d175e54p-6, 0x1.0399348c52cadp-6, 0x1.f796854f98237p-7, 0x1.e8695920d5356p-7, 0x1.d9a82475f9703p-7, 0x1.cb50360e8eeddp-7, 0x1.bd5eeb458a8c3p-7, 0x1.afd1afd709f9fp-7, 0x1.a2a5fda6473d7p-7, 0x1.95d95c83cfca4p-7, 0x1.896961f404c4dp-7, 0x1.7d53b0f5efb86p-7, 0x1.7195f9ca6ff62p-7, 0x1.662df9bbbc663p-7, 0x1.5b197ae54ee5fp-7, 0x1.505653fc3393p-7, 0x1.45e26817bdd6dp-7, 0x1.3bbba67aac10fp-7, 0x1.31e00a5cbe612p-7, 0x1.284d9ab4baef5p-7, 0x1.1f026a02f1923p-7, 0x1.15fc961c30c08p-7, 0x1.0d3a47f53add2p-7, 0x1.04b9b36eb8e83p-7, 0x1.f8f22e435e2eap-8, 0x1.e8ed7858e7387p-8, 0x1.d961ec0058c5ep-8, 0x1.ca4c445da81fap-8, 0x1.bba9507392f39p-8, 0x1.ad75f2c1d4aa4p-8, 0x1.9faf20e47806ap-8, 0x1.9251e33446785p-8, 0x1.855b5468601a3p-8, 0x1.78c8a138ed731p-8, 0x1.6c97080305256p-8, 0x1.60c3d86db1d96p-8, 0x1.554c731032901p-8, 0x1.4a2e49195bc13p-8, 0x1.3f66dbf8383a8p-8, 0x1.34f3bd05ca824p-8, 0x1.2ad28d3018f52p-8, 0x1.2100fca65dc81p-8, 0x1.177cca8673b2dp-8, 0x1.0e43c48b7d93p-8, 0x1.0553c6bdbc14fp-8, 0x1.f955764747ebfp-9, 0x1.e88d32e8491a9p-9, 0x1.d84acd945ddc1p-9, 0x1.c88a6ab2d3deap-9, 0x1.b948484844091p-9, 0x1.aa80bd64da09fp-9, 0x1.9c30399509f59p-9, 0x1.8e5344549f1f9p-9, 0x1.80e67c843f344p-9, 0x1.73e697e1432d5p-9, 0x1.6750627ff2823p-9, 0x1.5b20be481824cp-9, 0x1.4f54a273ed575p-9, 0x1.43e91b11593d8p-9, 0x1.38db48857f85cp-9, 0x1.2e285f1291c9p-9, 0x1.23cda65ff2d43p-9, 0x1.19c879049045fp-9, 0x1.101644137a60cp-9, 0x1.06b486aabb342p-9, 0x1.fb41a30896a72p-10, 0x1.e9b18d129168bp-10, 0x1.d8b430ce78eddp-10, 0x1.c845144f1f659p-10, 0x1.b85fdd92131a2p-10, 0x1.a90051b6f0c0ep-10, 0x1.9a22543a8ef46p-10, 0x1.8bc1e6365ce9ep-10, 0x1.7ddb25a3b8b6fp-10, 0x1.706a4ca316dfp-10, 0x1.636bb0c729526p-10, 0x1.56dbc263ceb32p-10, 0x1.4ab70be0bb3d7p-10, 0x1.3efa310fdc73p-10, 0x1.33a1ee8765865p-10, 0x1.28ab18ff6f213p-10, 0x1.1e129cb32184bp-10, 0x1.13d57cc54bbcbp-10, 0x1.09f0d2a88bedfp-10, 0x1.0061cd8a9adbep-10, 0x1.ee4b638631c64p-11, 0x1.dc73b08af594bp-11, 0x1.cb375c2c6ac15p-11, 0x1.ba91678615f33p-11, 0x1.aa7cf9bcc3c9bp-11, 0x1.9af55efb58a6fp-11, 0x1.8bf60775827bap-11, 0x1.7d7a867042aa9p-11, 0x1.6f7e915023a95p-11, 0x1.61fdfead0bf33p-11, 0x1.54f4c56b9ddf1p-11, 0x1.485efbdc057ebp-11, 0x1.3c38d6ddd7fa5p-11, 0x1.307ea909569ap-11, 0x1.252ce1ddb9d6bp-11, 0x1.1a400cf47c90ap-11, 0x1.0fb4d1397ee42p-11, 0x1.0587f027ff419p-11, 0x1.f76c8a183b5a2p-12, 0x1.e4798892b953cp-12, 0x1.d230f54a74b8bp-12, 0x1.c08d192cc72cdp-12, 0x1.af886b30829cep-12, 0x1.9f1d8f0595c5bp-12, 0x1.8f4753ccbd932p-12, 0x1.8000b2d7b37cep-12, 0x1.7144ce711edf4p-12, 0x1.630ef0ac90ecfp-12, 0x1.555a8a3df540cp-12, 0x1.48233158ba2a1p-12, 0x1.3b64a0963c825p-12, 0x1.2f1ab5e355453p-12, 0x1.234171753bcf4p-12, 0x1.17d4f4c51c6e8p-12, 0x1.0cd1819261ebdp-12, 0x1.023378ebf3cd8p-12, 0x1.efeeb47f54be9p-13, 0x1.dc3384e03658ep-13, 0x1.c92ed5e195fa2p-13, 0x1.b6da51d0e4081p-13, 0x1.a52fd8b20a767p-13, 0x1.94297e9b0ac2cp-13, 0x1.83c18a1c00463p-13, 0x1.73f272b127c6fp-13, 0x1.64b6df4023f09p-13, 0x1.5609a49fb154ap-13, 0x1.47e5c42aa86f6p-13, 0x1.3a466a5c2bd95p-13, 0x1.2d26ed75b1636p-13, 0x1.2082cc2fc4982p-13, 0x1.1455ac73006b9p-13, 0x1.089b5a1b314b6p-13, 0x1.fa9f8b863c1c4p-14, 0x1.e4de07320353fp-14, 0x1.cfea94786964dp-14, 0x1.bbbde34459adbp-14, 0x1.a850e4099e92ap-14, 0x1.959cc5af25b27p-14, 0x1.839af38bba027p-14, 0x1.7245136ee89a5p-14, 0x1.619503ba7d4bdp-14, 0x1.5184d989e512p-14, 0x1.420edee7c177ep-14, 0x1.332d911038c7ap-14, 0x1.24db9ec2a1548p-14, 0x1.1713e69d80ebcp-14, 0x1.09d1758923041p-14, 0x1.fa1f0a5b969bcp-15, 0x1.e192f4eb77295p-15, 0x1.c9f5c835ae88p-15, 0x1.b33ef27f76f8ep-15, 0x1.9d66302791283p-15, 0x1.8863890365ceap-15, 0x1.742f4dd19062ep-15, 0x1.60c215bf84b38p-15, 0x1.4e14bc04af949p-15, 0x1.3c205d8dd545bp-15, 0x1.2ade56be3bfcap-15, 0x1.1a48413e7d3aap-15, 0x1.0a57f1e3b0d5bp-15, 0x1.f60eed4118a59p-16, 0x1.d8a22912c5967p-16, 0x1.bc5e8bd5931bcp-16, 0x1.a13970da389cdp-16, 0x1.8728968a4aad7p-16, 0x1.6e221af4995e6p-16, 0x1.561c7867e3baap-16, 0x1.3f0e823007c3ap-16, 0x1.28ef616c86e36p-16, 0x1.13b6920471827p-16, 0x1.feb7bf5878b78p-17, 0x1.d7aec6162d01bp-17, 0x1.b242fdef71effp-17, 0x1.8e65bb8c88a56p-17, 0x1.6c08dd6913102p-17, 0x1.4b1ec6cc72402p-17, 0x1.2b9a5af37e2adp-17, 0x1.0d6ef85f27a4ap-17, 0x1.e120e8a106cebp-18, 0x1.a9e62cc760642p-18, 0x1.751728b1a45a9p-18, 0x1.429e1bec108a2p-18, 0x1.1266124536caep-18, 0x1.c8b5b81e1c63dp-19, 0x1.70d20da215c69p-19, 0x1.1cfbac4c3f7b8p-19, 0x1.9a1cf379fffedp-20, 0x1.01cd14fd52ad4p-20, 0x1.c325038cd2702p-22, -0x1.9316e0a815036p-24, -0x1.38c272343a3bfp-21, -0x1.1902208d0948bp-20, -0x1.8f4df97e0a9ap-20, -0x1.ff7c838943a23p-20, -0x1.34e1bea114459p-19, -0x1.672b5c023b101p-19, -0x1.96b415991ffa5p-19, -0x1.c394034407051p-19, -0x1.ede261fca0053p-19, -0x1.0adace29436d1p-18, -0x1.1d91a95509b2ep-18, -0x1.2f20319652bep-18, -0x1.3f9078af62831p-18, -0x1.4eec36bafa5eap-18, -0x1.5d3ccdb3c805p-18, -0x1.6a8b4cccf1609p-18, -0x1.76e073c2cf421p-18, -0x1.8244b5f165951p-18, -0x1.8cc03d579bb51p-18, -0x1.965aed779e9fp-18, -0x1.9f1c662ac8aebp-18, -0x1.a70c0634bbae5p-18, -0x1.ae30eddf284afp-18, -0x1.b492016da8986p-18, -0x1.ba35eb7568b82p-18, -0x1.bf231f2110cdcp-18, -0x1.c35fda556b5ecp-18, -0x1.c6f227cfac064p-18, -0x1.c9dfe11dce983p-18, -0x1.cc2eb08664183p-18, -0x1.cde412dc6b615p-18, -0x1.cf0559514d5c8p-18, -0x1.cf97ab091a5f2p-18, -0x1.cfa006c7ca495p-18, -0x1.cf23447bc8ce8p-18, -0x1.ce2616b5b97b3p-18, -0x1.ccad0c1627c7fp-18, -0x1.cabc90a79877fp-18, -0x1.c858ef2c7a271p-18, -0x1.c586525da5564p-18, -0x1.c248c61d2a0b9p-18, -0x1.bea4389bd32c8p-18, -0x1.ba9c7b68820cbp-18, -0x1.b6354489b8bcfp-18, -0x1.b1722f751e53p-18, -0x1.ac56be08a5fcbp-18, -0x1.a6e659739c18p-18, -0x1.a124531bc967ap-18, -0x1.9b13e5687bf24p-18, -0x1.94b834a64f792p-18, -0x1.8e144fb29b237p-18, -0x1.872b30cb9781ep-18, -0x1.7fffbe3e2c647p-18, -0x1.7894cb0f89dc1p-18, -0x1.70ed17a76f537p-18, -0x1.690b526767872p-18, -0x1.60f2184612688p-18, -0x1.58a3f55ef682cp-18, -0x1.5023657aef4c2p-18, -0x1.4772d4907059cp-18, -0x1.3e949f50f97ccp-18, -0x1.358b139012532p-18, -0x1.2c5870b86b2cep-18, -0x1.22fee842691cbp-18, -0x1.19809e180e60bp-18, -0x1.0fdfa8fb531a9p-18, -0x1.061e12e403138p-18, -0x1.f87bb2bd662bap-19, -0x1.e481dbc85361fp-19, -0x1.d0526c4a4f721p-19, -0x1.bbf118d7ccddbp-19, -0x1.a7617fab4bac5p-19, -0x1.92a7294d5f31p-19, -0x1.7dc5892444a3p-19, -0x1.68bffdebb08eap-19, -0x1.5399d24ebb62bp-19, -0x1.3e563d3e08d39p-19, -0x1.28f8627ea5fc7p-19, -0x1.13835318db4f8p-19, -0x1.fbf41b808b956p-20, -0x1.d0befe64db8d5p-20, -0x1.a56d055a63c43p-20, -0x1.7a03c47f8111cp-20, -0x1.4e88ae6060449p-20, -0x1.23011482c7a96p-20, -0x1.eee4506e835aap-21, -0x1.97c1f6472243ap-21, -0x1.40a4ffc3d2c94p-21, -0x1.d32e2a6f0e571p-22, -0x1.25434647df0ebp-22, -0x1.de6edac27033bp-24, 0x1.adb4a02a741fdp-25, 0x1.c54435dd16541p-23, 0x1.8f15ce5ee7c35p-22, 0x1.1d80862bdd387p-21, 0x1.7329cf3144eb1p-21, 0x1.c87edc04e15b2p-21, 0x1.0ebbfd4011021p-20, 0x1.3906d5fe0f919p-20, 0x1.631c5210e178ep-20, 0x1.8cf8e4393d923p-20, 0x1.b699179a64944p-20, 0x1.dff98f8b71e38p-20, 0x1.048b839c00f51p-19, 0x1.18f728941f978p-19, 0x1.2d3e2b7c816e3p-19, 0x1.415f0c91620a6p-19, 0x1.5558573c0ab12p-19, 0x1.6928a1f758f5bp-19, 0x1.7cce8e2a9e0a2p-19, 0x1.9048c7ff75188p-19, 0x1.a396063b388f6p-19, 0x1.b6b50a1be030cp-19, 0x1.c9a49f3216ap-19, 0x1.dc639b4031dafp-19, 0x1.eef0de1334a7fp-19, 0x1.00a5a8b1ca66fp-18, 0x1.09b8f457a4919p-18, 0x1.12b1d08de86e8p-18, 0x1.1b8fc0a6c29bdp-18, 0x1.24524cad9801cp-18, 0x1.2cf9014ae2146p-18, 0x1.35836fb1758e7p-18, 0x1.3df12d9eaffb8p-18, 0x1.4641d53da7e79p-18, 0x1.4e75051c7f4aep-18, 0x1.568a601832b48p-18, 0x1.5e818d55a24bfp-18, 0x1.665a38280b58ap-18, 0x1.6e1410069e6a2p-18, 0x1.75aec881bb49p-18, 0x1.7d2a1929d3fc9p-18, 0x1.8485bd8741644p-18, 0x1.8bc1750a367e9p-18, 0x1.92dd02fac389dp-18, 0x1.99d82e67862fbp-18, 0x1.a0b2c2216083ep-18, 0x1.a76c8c9db4349p-18, 0x1.ae055ff1af2ddp-18, 0x1.b47d11c040fefp-18, 0x1.bad37b2b4f37dp-18, 0x1.c10878c9a7cd4p-18, 0x1.c71bea9339c0dp-18, 0x1.cd0db3d323af3p-18, 0x1.d2ddbb15012bbp-18, 0x1.d88bea25ccb95p-18, 0x1.de182df75d392p-18, 0x1.e38276972f52ep-18, 0x1.e8cab72027588p-18, 0x1.edf0e5a9a2dcep-18, 0x1.f2f4fb3e80a94p-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.597eaae7b5751p-1, -0x1.59a72666ad364p-1, -0x1.59e841907761bp-1, -0x1.5a3e9ad7023e9p-1, -0x1.5aa5be9c829f3p-1, -0x1.5b185cba0f7b7p-1, -0x1.5b907ebbedbecp-1, -0x1.5c07bbc1c474ap-1, -0x1.5c7768256476fp-1, -0x1.5cd8bfe486515p-1, -0x1.5d250b605fef9p-1, -0x1.5d55be6b33594p-1, -0x1.5d6491dd8f401p-1, -0x1.5d4b98151b8eap-1, -0x1.5d054cd4ea9f7p-1, -0x1.5c8ca108f87c4p-1, -0x1.5bdd02efc33ebp-1, -0x1.5af26328a3a02p-1, -0x1.59c9371dd8b2dp-1, -0x1.585e7937907ffp-1, -0x1.56afa73a9f701p-1, -0x1.54babf2aca051p-1, -0x1.527e3afdf32f4p-1, -0x1.4ff90b637ad3fp-1, -0x1.4d2a91d9d78a6p-1, -0x1.4a129a43f359ep-1, -0x1.46b15428441d9p-1, -0x1.43074bbcc6665p-1, -0x1.3f1562dd1ba0bp-1, -0x1.3adcca02ca3fbp-1, -0x1.365ef953287f7p-1, -0x1.319da9d294a34p-1, -0x1.2c9acec952745p-1, -0x1.27588f638d778p-1, -0x1.21d94093abd15p-1, -0x1.1c1f5f3c13519p-1, -0x1.162d8aa3e050bp-1, -0x1.10067f38adbf6p-1, -0x1.09ad119e647a8p-1, -0x1.03242a0d237b8p-1, -0x1.f8dd7ff919259p-2, -0x1.eb1fac36533d7p-2, -0x1.dd14ed204a0f8p-2, -0x1.cec35f0a5aa85p-2, -0x1.c0311fec335ddp-2, -0x1.b16449874fc37p-2, -0x1.a262ec0d16fd9p-2, -0x1.9333093fd412ap-2, -0x1.83da9008a4233p-2, -0x1.745f587c6be3p-2, -0x1.64c72049dea4ap-2, -0x1.5517878ac2b62p-2, -0x1.45560df2a1e0cp-2, -0x1.358810553ff7ep-2, -0x1.25b2c67f56c56p-2, -0x1.15db415c39603p-2, -0x1.060669633946p-2, -0x1.ec71fa8f9e499p-3, -0x1.ccef21cf7eb5ap-3, -0x1.ad8d18e552593p-3, -0x1.8e54578d40238p-3, -0x1.6f4cfbfb43dc9p-3, -0x1.507eca4ff37f5p-3, -0x1.31f12c5f91db7p-3, -0x1.13ab31c45c434p-3, -0x1.eb67206a9ce14p-4, -0x1.b02148363233dp-4, -0x1.7590e2ba98f17p-4, -0x1.3bc148c446229p-4, -0x1.02bd267764466p-4, -0x1.951cfbf64ee4bp-5, -0x1.267d54d9f2bf2p-5, -0x1.73598c4bba8e1p-6, -0x1.3aedf62cba835p-7, 0x1.a4790ec6260f5p-9, 0x1.029d46b13832p-6, 0x1.cc9a444e4e2cep-6, 0x1.49379815f166bp-5, 0x1.aa03a9fe56451p-5, 0x1.0454073d74562p-4, 0x1.328e42b87e47dp-4, 0x1.5face7c31d4dbp-4, 0x1.8bacd2c4ef9b5p-4, 0x1.b68b57ec46928p-4, 0x1.e0463ee080d89p-4, 0x1.046ddf3bda5b7p-3, 0x1.18253c391e2fbp-3, 0x1.2b48ba9f3d05bp-3, 0x1.3dd80fe3770bfp-3, 0x1.4fd320a63c5afp-3, 0x1.6139fea7405f9p-3, 0x1.720ce6c12fc29p-3, 0x1.824c3eedc50b8p-3, 0x1.91f89452baa75p-3, 0x1.a1129958254ddp-3, 0x1.af9b23c89e916p-3, 0x1.bd932afba9263p-3, 0x1.cafbc60a8e362p-3, 0x1.d7d62a100209ep-3, 0x1.e423a872c3edfp-3, 0x1.efe5ad3b56593p-3, 0x1.fb1dbd7506c02p-3, 0x1.02e6bacd22fb1p-2, 0x1.07fb4406338cap-2, 0x1.0ccd5dcb6609ap-2, 0x1.115df4febfd77p-2, 0x1.15adff4b96b63p-2, 0x1.19be7a793877p-2, 0x1.1d906bc33540dp-2, 0x1.2124df373e51fp-2, 0x1.247ce7188ced1p-2, 0x1.27999b48c27e6p-2, 0x1.2a7c18b62d4c4p-2, 0x1.2d2580cf6330bp-2, 0x1.2f96f8fc1b7c7p-2, 0x1.31d1aa1b33c9p-2, 0x1.33d6c005c6a77p-2, 0x1.35a7691742951p-2, 0x1.3744d5ba62dc5p-2, 0x1.38b037faf6983p-2, 0x1.39eac31c5943cp-2, 0x1.3af5ab348585ap-2, 0x1.3bd224cba926dp-2, 0x1.3c81648019a8fp-2, 0x1.3d049eae9a16ep-2, 0x1.3d5d071ecaeb9p-2, 0x1.3d8bd0b3b3588p-2, 0x1.3d922d204593ap-2, 0x1.3d714c9fbf623p-2, 0x1.3d2a5db1d5bb1p-2, 0x1.3cbe8cda868ddp-2, 0x1.3c2f04657f87dp-2, 0x1.3b7cec2cf7fa6p-2, 0x1.3aa96963e9a62p-2, 0x1.39b59e638b653p-2, 0x1.38a2aa7bf5131p-2, 0x1.3771a9c7d4f1fp-2, 0x1.3623b5031c2a5p-2, 0x1.34b9e1648872bp-2, 0x1.33354079f783fp-2, 0x1.3196e0076592ep-2, 0x1.2fdfc9e88849cp-2, 0x1.2e1103f4e5b78p-2, 0x1.2c2b8fe654baep-2, 0x1.2a306b41d6343p-2, 0x1.28208f42a43d4p-2, 0x1.25fcf0c76fefdp-2, 0x1.23c68041acbc4p-2, 0x1.217e29a6dde25p-2, 0x1.1f24d463ccf9bp-2, 0x1.1cbb635194df1p-2, 0x1.1a42b4ac72119p-2, 0x1.17bba20c42f35p-2, 0x1.1527005ea2d16p-2, 0x1.12859fe293d24p-2, 0x1.0fd84c25a07dp-2, 0x1.0d1fcc0268166p-2, 0x1.0a5ce1a07fd7dp-2, 0x1.07904a759f522p-2, 0x1.04babf4801ff5p-2, 0x1.01dcf431f1b2cp-2, 0x1.fdef314cd504ep-3, 0x1.f816aeed942edp-3, 0x1.f231adb2f35ccp-3, 0x1.ec4170e30cfp-3, 0x1.e64732ae3c76dp-3, 0x1.e0442441b7ffdp-3, 0x1.da396ddbbb685p-3, 0x1.d4282ee12fa8bp-3, 0x1.ce117df4a5a8p-3, 0x1.c7f6690ea4974p-3, 0x1.c1d7f597227c9p-3, 0x1.bbb7208019bc9p-3, 0x1.b594de612cae7p-3, 0x1.af721b943166ep-3, 0x1.a94fbc52ab026p-3, 0x1.a32e9cd401ceap-3, 0x1.9d0f916c8867fp-3, 0x1.96f366ad1901ep-3, 0x1.90dae1835b93p-3, 0x1.8ac6bf5a8c6c9p-3, 0x1.84b7b63cbfba2p-3, 0x1.7eae74f494b6ap-3, 0x1.78aba32f3f155p-3, 0x1.72afe19ee4dcp-3, 0x1.6cbbca1d40d93p-3, 0x1.66cfefce73b8ep-3, 0x1.60ecdf44081dbp-3, 0x1.5b131ea013c11p-3, 0x1.55432db865c51p-3, 0x1.4f7d8639ca22ap-3, 0x1.49c29bcb436a6p-3, 0x1.4412dc314101ap-3, 0x1.3e6eaf70bf60cp-3, 0x1.38d677f24fb19p-3, 0x1.334a92a4fb5cap-3, 0x1.2dcb5720fe3f4p-3, 0x1.285917ca4c1b1p-3, 0x1.22f421f2e21f3p-3, 0x1.1d9cbdfcd598dp-3, 0x1.18532f7c1c444p-3, 0x1.1317b55813877p-3, 0x1.0dea89eca7cb9p-3, 0x1.08cbe32b36599p-3, 0x1.03bbf2bb0bd0ep-3, 0x1.fd75cc33138f9p-4, 0x1.f391cd73cb02p-4, 0x1.e9cc344909fd2p-4, 0x1.e025442be34bfp-4, 0x1.d69d393ac2ad6p-4, 0x1.cd3448758dfdfp-4, 0x1.c3ea9ff8fc11ep-4, 0x1.bac06738f382ep-4, 0x1.b1b5bf39fa3c8p-4, 0x1.a8cac2c9c3dafp-4, 0x1.9fff86b6b9e95p-4, 0x1.97541a069b359p-4, 0x1.8ec8862c182e2p-4, 0x1.865ccf3b7b999p-4, 0x1.7e10f41e4de27p-4, 0x1.75e4eec5ff1aep-4, 0x1.6dd8b45d8db1dp-4, 0x1.65ec357a2e116p-4, 0x1.5e1f5e4aef1b4p-4, 0x1.567216c75dfa3p-4, 0x1.4ee442dd28391p-4, 0x1.4775c29cbc7aap-4, 0x1.40267264e9d17p-4, 0x1.38f62b0d802ebp-4, 0x1.31e4c210f1071p-4, 0x1.2af209b4f2a2dp-4, 0x1.241dd132280a9p-4, 0x1.1d67e4dacd07ap-4, 0x1.16d00e4069eb1p-4, 0x1.1056145891644p-4, 0x1.09f9bba0a8943p-4, 0x1.03bac640bdc35p-4, 0x1.fb31e85adc824p-5, 0x1.ef280691c05b8p-5, 0x1.e3575f05a0b32p-5, 0x1.d7bf65ef72acdp-5, 0x1.cc5f8c1e28da2p-5, 0x1.c1373f3174e67p-5, 0x1.b645e9d2c740dp-5, 0x1.ab8af3ec98b9ap-5, 0x1.a105c2e0051edp-5, 0x1.96b5b9b8b83d8p-5, 0x1.8c9a395f38e6dp-5, 0x1.82b2a0c9957afp-5, 0x1.78fe4d2a7c8acp-5, 0x1.6f7c9a1ec34fep-5, 0x1.662ce1d965f4p-5, 0x1.5d0e7d4e05846p-5, 0x1.5420c459edc6ep-5, 0x1.4b630deba5661p-5, 0x1.42d4b029146bep-5, 0x1.3a7500944542cp-5, 0x1.3243542ec9637p-5, 0x1.2a3eff9bc7511p-5, 0x1.22675740b9a04p-5, 0x1.1abbaf64e6c78p-5, 0x1.133b5c4f98c2p-5, 0x1.0be5b2651a263p-5, 0x1.04ba06428289dp-5, 0x1.fb6f59b0aef58p-6, 0x1.edbbf708122c3p-6, 0x1.e0589050a341ap-6, 0x1.d343d288fe576p-6, 0x1.c67c6c155dff8p-6, 0x1.ba010ce9fd64dp-6, 0x1.add066b37cfaap-6, 0x1.a1e92cfd49b49p-6, 0x1.964a15562507ep-6, 0x1.8af1d772c97e6p-6, 0x1.7fdf2d4ec6974p-6, 0x1.7510d34b96c7dp-6, 0x1.6a85884e029a8p-6, 0x1.603c0dd9db7b9p-6, 0x1.5633282c1add5p-6, 0x1.4c699e536d71ep-6, 0x1.42de3a473ee23p-6, 0x1.398fc8fd48d36p-6, 0x1.307d1a7db785dp-6, 0x1.27a501f5ed34p-6, 0x1.1f0655c9eb3abp-6, 0x1.169fefa472a16p-6, 0x1.0e70ac85e529ep-6, 0x1.06776cd1e9b6fp-6, 0x1.fd6628b7dabe6p-7, 0x1.ee4514e4fb4f6p-7, 0x1.df8973d3128a6p-7, 0x1.d13122472c54fp-7, 0x1.c33a0433e943cp-7, 0x1.b5a204c7e4852p-7, 0x1.a867167a3b48dp-7, 0x1.9b8733154521ep-7, 0x1.8f005bbf85d3p-7, 0x1.82d09902f6146p-7, 0x1.76f5fad2a78acp-7, 0x1.6b6e988ee17f1p-7, 0x1.60389107b9267p-7, 0x1.55520a7e3ecf9p-7, 0x1.4ab932a44e093p-7, 0x1.406c3e9b05658p-7, 0x1.36696af0087bp-7, 0x1.2caefb998246dp-7, 0x1.233b3bf108759p-7, 0x1.1a0c7ead647d6p-7, 0x1.11211ddb5151ep-7, 0x1.08777ad538cf8p-7, 0x1.000dfe3a01558p-7, 0x1.efc62fc5e4a1dp-8, 0x1.dfea7db17eaccp-8, 0x1.d085e28f8793ap-8, 0x1.c19568e6f2fb6p-8, 0x1.b31629526bf11p-8, 0x1.a5054a646fe48p-8, 0x1.9760008a204fcp-8, 0x1.8a238decdbeebp-8, 0x1.7d4d4252b4a2dp-8, 0x1.70da7afdd2e74p-8, 0x1.64c8a28ad967fp-8, 0x1.591530ce5a303p-8, 0x1.4dbdaab16c13dp-8, 0x1.42bfa20d744ep-8, 0x1.3818b5872da0ep-8, 0x1.2dc690690529cp-8, 0x1.23c6ea7cd04bbp-8, 0x1.1a1787e4f3546p-8, 0x1.10b638f501ddfp-8, 0x1.07a0da09e4befp-8, 0x1.fdaaa6c32bbbap-9, 0x1.eca331e4f65e9p-9, 0x1.dc275484db191p-9, 0x1.cc33247aecb36p-9, 0x1.bcc2ce189c3fdp-9, 0x1.add293d55189ap-9, 0x1.9f5ecdfaabb25p-9, 0x1.9163ea508231ep-9, 0x1.83de6bc8b9eddp-9, 0x1.76caea2af6d9p-9, 0x1.6a2611c045b23p-9, 0x1.5deca2fecad36p-9, 0x1.521b72357cd35p-9, 0x1.46af67380b106p-9, 0x1.3ba57d0ae9f33p-9, 0x1.30fac18fa34ecp-9, 0x1.26ac55316e3fap-9, 0x1.1cb76a921c9cap-9, 0x1.131946376a5bp-9, 0x1.09cf3e38b999ap-9, 0x1.00d6b9ed48448p-9, 0x1.f05a6335bfc2fp-10, 0x1.dfa05c4a2e55ap-10, 0x1.cf7a917a454dfp-10, 0x1.bfe45524802p-10, 0x1.b0d9190591da8p-10, 0x1.a2546d9bd55ddp-10, 0x1.9452018c25dcep-10, 0x1.86cda1082d2a5p-10, 0x1.79c335362110bp-10, 0x1.6d2ec39a171e8p-10, 0x1.610c6d80de00fp-10, 0x1.55586f6c79b52p-10, 0x1.4a0f2082482ffp-10, 0x1.3f2cf1fac8db6p-10, 0x1.34ae6e93230f7p-10, 0x1.2a903a006164cp-10, 0x1.20cf10647864ep-10, 0x1.1767c5c50e764p-10, 0x1.0e5745840e068p-10, 0x1.059a91da1803ap-10, 0x1.fa5d86a574158p-11, 0x1.ea2210951b5ep-11, 0x1.da7d48de57582p-11, 0x1.cb69e08201f8p-11, 0x1.bce2b12e0a0afp-11, 0x1.aee2bc48a4b38p-11, 0x1.a16529ff47d88p-11, 0x1.946548596d135p-11, 0x1.87de8a4f2045fp-11, 0x1.7bcc86e357d01p-11, 0x1.702af8421711ap-11, 0x1.64f5bae2584dp-11, 0x1.5a28ccabbe952p-11, 0x1.4fc04c20097abp-11, 0x1.45b877884b5dbp-11, 0x1.3c0dac25da0f9p-11, 0x1.32bc6566f9519p-11, 0x1.29c13c1f38e27p-11, 0x1.2118e5c37f1f3p-11, 0x1.18c033a9bd83fp-11, 0x1.10b4124c467e9p-11, 0x1.08f18890beb72p-11, 0x1.0175b712a3814p-11, 0x1.f47baee2b91b2p-12, 0x1.e68e7743a99aap-12, 0x1.d91e9a871f731p-12, 0x1.cc2719f266ab1p-12, 0x1.bfa32388fe16bp-12, 0x1.b38e10cb4af2ep-12, 0x1.a7e3657c00d37p-12, 0x1.9c9ece6c2bdf7p-12, 0x1.91bc204dca728p-12, 0x1.8737568cdf2a3p-12, 0x1.7d0c922eef374p-12, 0x1.733818b8cddf5p-12, 0x1.69b6531aaa6p-12, 0x1.6083cca248552p-12, 0x1.579d31f34a501p-12, 0x1.4eff50057d0fep-12, 0x1.46a713290f896p-12, 0x1.3e9186109d2d3p-12, 0x1.36bbd0e0f780ep-12, 0x1.2f2338469bae3p-12, 0x1.27c51c90b7a8cp-12, 0x1.209ef8d1b334ep-12, 0x1.19ae6205193a9p-12, 0x1.12f1063ad8d77p-12, 0x1.0c64abc7bf1b9p-12, 0x1.0607307b17e09p-12, 0x1.ffad11b2b907bp-13, 0x1.f3a17eb7bfb18p-13, 0x1.e7e7e76ab1673p-13, 0x1.dc7cb436807cep-13, 0x1.d15c7527c66dfp-13, 0x1.c683e09233da6p-13, 0x1.bbefd1bf145edp-13, 0x1.b19d47a4c4f51p-13, 0x1.a78963a6ec38dp-13, 0x1.9db1685f4c082p-13, 0x1.9412b86f07924p-13, 0x1.8aaad55827c97p-13, 0x1.81775e5f4418cp-13, 0x1.78760f7515b8ap-13, 0x1.6fa4c027dc698p-13, 0x1.6701629c63f1bp-13, 0x1.5e8a028e7e3bp-13, 0x1.563cc458d53dep-13, 0x1.4e17e403e8974p-13, 0x1.4619b45c07f34p-13, 0x1.3e409e0e35945p-13, 0x1.368b1ecbb7522p-13, 0x1.2ef7c8743f8bep-13, 0x1.2785404682d0cp-13, 0x1.20323e171384ep-13, 0x1.18fd8b8d65c87p-13, 0x1.11e60366d0654p-13, 0x1.0aea90bf70a45p-13, 0x1.040a2e60c4e7ap-13, 0x1.fa87cc2bc7d4fp-14, 0x1.ed2da00a49093p-14, 0x1.e004241e4f0ffp-14, 0x1.d309be661257dp-14, 0x1.c63cedef693e2p-14, 0x1.b99c49b4459c4p-14, 0x1.ad267f80ebec7p-14, 0x1.a0da52e3951ddp-14, 0x1.94b69c2543f8dp-14, 0x1.88ba474b92fd9p-14, 0x1.7ce453233e907p-14, 0x1.7133d05333cbbp-14, 0x1.65a7e077ea7dep-14, 0x1.5a3fb546d3c0fp-14, 0x1.4efa8fb9a636cp-14, 0x1.43d7bf4153525p-14, 0x1.38d6a1006f45bp-14, 0x1.2df69f0cdba98p-14, 0x1.23372fb87e1bp-14, 0x1.1897d4e0d5c6ep-14, 0x1.0e181b453b472p-14, 0x1.03b799e39d6e5p-14, 0x1.f2ebe2b71b91dp-15, 0x1.dea596aed4c84p-15, 0x1.ca9bb3f6facdp-15, 0x1.b6cdaeb5c6ebbp-15, 0x1.a33b09e41bb8cp-15, 0x1.8fe3564d72ac4p-15, 0x1.7cc6319a56d0bp-15, 0x1.69e345652758ep-15, 0x1.573a4658ca349p-15, 0x1.44caf35904c73p-15, 0x1.329514b4319d6p-15, 0x1.20987b5e04f37p-15, 0x1.0ed500331c4fp-15, 0x1.fa95068a1bc21p-16, 0x1.d7f1d65d71fc9p-16, 0x1.b5c048e11e86fp-16, 0x1.940041a929a58p-16, 0x1.72b1adb3b9286p-16, 0x1.51d4824e7a32cp-16, 0x1.3168bc0a01c94p-16, 0x1.116e5dbab4768p-16, 0x1.e3cadf0d750e4p-17, 0x1.a59bfc011f768p-17, 0x1.6850329b861ffp-17, 0x1.2be7a8b2edbcp-17, 0x1.e0c51048ecc96p-18, 0x1.6b81facb6ac18p-18, 0x1.f00cd8adaa026p-19, 0x1.0ca58092447bdp-19, 0x1.6674f921caa7ep-22, -0x1.5eee4625dfad1p-20, -0x1.882b2b10aba73p-19, -0x1.2ea677a227838p-18, -0x1.976dfd9b4a553p-18, -0x1.fe6bf978282aep-18, -0x1.31d02588b8184p-17, -0x1.638570c52f7f9p-17, -0x1.9455de552a4f1p-17, -0x1.c441770d5feb5p-17, -0x1.f3484d455b595p-17, -0x1.10b53eae45151p-16, -0x1.2754171991547p-16, -0x1.3d80c8cbb9599p-16, -0x1.533b725400384p-16, -0x1.688438157d25ep-16, -0x1.7d5b446dc495ap-16, -0x1.91c0c7d6a95dep-16, -0x1.a5b4f9035df5fp-16, -0x1.b93814f921cp-16, -0x1.cc4a5f23bb39dp-16, -0x1.deec2165e262ap-16, -0x1.f11dac25dac06p-16, -0x1.016fab2b34d7bp-15, -0x1.0a18bebe2965p-15, -0x1.128a42d846c79p-15, -0x1.1ac46ccface0cp-15, -0x1.22c7754232d42p-15, -0x1.2a939812123a4p-15, -0x1.322914614175p-15, -0x1.39882c8b8fe12p-15, -0x1.40b1261f95318p-15, -0x1.47a449d686522p-15, -0x1.4e61e38b000b2p-15, -0x1.54ea422ed9c2cp-15, -0x1.5b3db7c00f803p-15, -0x1.615c993cd0e0bp-15, -0x1.67473e96c5ed2p-15, -0x1.6cfe02a59610ap-15, -0x1.72814318c3ec3p-15, -0x1.77d16068e1a1ap-15, -0x1.7ceebdc83500ep-15, -0x1.81d9c112cfeadp-15, -0x1.8692d2be2cc38p-15, -0x1.8b1a5dc8590abp-15, -0x1.8f70cfa6b88d4p-15, -0x1.939698346a8d8p-15, -0x1.978c29a05f4c1p-15, -0x1.9b51f85b21e75p-15, -0x1.9ee87b046275dp-15, -0x1.a2502a5848a4cp-15, -0x1.a589811c98942p-15, -0x1.a894fc0db06e7p-15, -0x1.ab7319cb64216p-15, -0x1.ae245ac5c48dep-15, -0x1.b0a94129d4582p-15, -0x1.b30250ce301b4p-15, -0x1.b5300f1fb69cep-15, -0x1.b733030e2ed7bp-15, -0x1.b90bb4f8f878ap-15, -0x1.babaae9bc83f7p-15, -0x1.bc407afb754ebp-15, -0x1.bd9da652e0102p-15, -0x1.bed2bdfff41ebp-15, -0x1.bfe05070c7bbap-15, -0x1.c0c6ed10e288cp-15, -0x1.c1872436abe56p-15, -0x1.c2218711025c8p-15, -0x1.c296a795063d9p-15, -0x1.c2e7186c141f6p-15, -0x1.c3136ce1f4599p-15, -0x1.c31c38d345f11p-15, -0x1.c302109c1feb2p-15, -0x1.c2c58906f4ec2p-15, -0x1.c267373bb2a49p-15, -0x1.c1e7b0af24fa2p-15, -0x1.c1478b129d496p-15, -0x1.c0875c43dd069p-15, -0x1.bfa7ba3d4af3p-15, -0x1.bea93b066ddbcp-15, -0x1.bd8c74a4b2a4dp-15, -0x1.bc51fd0c7dfdep-15, -0x1.bafa6a128b308p-15, -0x1.b986515d95832p-15, -0x1.b7f648585197ep-15, -0x1.b64ae423b7231p-15, -0x1.b484b98997044p-15, -0x1.b2a45cef83df7p-15, -0x1.b0aa624a0a574p-15, -0x1.ae975d1038e5dp-15, -0x1.ac6be02f7ba8ap-15, -0x1.aa287dffc5a27p-15, -0x1.a7cdc8380ea82p-15, -0x1.a55c4fe31fd87p-15, -0x1.a2d4a554b2f1ep-15, -0x1.a037581ee0eb2p-15, -0x1.9d84f707e30e3p-15, -0x1.9abe1000229d7p-15, -0x1.97e330189a425p-15, }}, 
      {{-0x1.597584b80e01ap-1, -0x1.59832216bb279p-1, -0x1.599958c791931p-1, -0x1.59b777c3fb69bp-1, -0x1.59dc9242a22adp-1, -0x1.5a0788434cfcep-1, -0x1.5a370f85885b3p-1, -0x1.5a69bc6e78c7cp-1, -0x1.5a9e0a8ae95eap-1, -0x1.5ad26478c9c86p-1, -0x1.5b052b1966786p-1, -0x1.5b34bbfd84d9p-1, -0x1.5b5f7707cdbd8p-1, -0x1.5b83c349a8b6cp-1, -0x1.5ba01323d16e7p-1, -0x1.5bb2e7b7246bap-1, -0x1.5bbad3b3f1b81p-1, -0x1.5bb67d96f6fc2p-1, -0x1.5ba4a1633d07fp-1, -0x1.5b8411e7afd2bp-1, -0x1.5b53b99e995e3p-1, -0x1.5b129b343bf8p-1, -0x1.5abfd1c0c7412p-1, -0x1.5a5a90c0cfa2dp-1, -0x1.59e223d6638f9p-1, -0x1.5955ee5bc7473p-1, -0x1.58b56acfed45cp-1, -0x1.58002a23c829ap-1, -0x1.5735d2eec1813p-1, -0x1.5656208fcd9ebp-1, -0x1.5560e23fe3fbep-1, -0x1.5455fa19fe20ap-1, -0x1.53355c1c2467bp-1, -0x1.51ff0d24977cep-1, -0x1.50b321eda539fp-1, -0x1.4f51be0a58fap-1, -0x1.4ddb12e5d6f15p-1, -0x1.4c4f5ec6e86bfp-1, -0x1.4aaeebd8f1a7ap-1, -0x1.48fa0f3b57a04p-1, -0x1.473128181e238p-1, -0x1.45549ec261c7cp-1, -0x1.4364e3dd21a9p-1, -0x1.41626f8ab6d29p-1, -0x1.3f4dc0a52daaep-1, -0x1.3d275bffa7ddep-1, -0x1.3aefcbb0d2dd3p-1, -0x1.38a79e666fe39p-1, -0x1.364f66c1da57ap-1, -0x1.33e7babd6f514p-1, -0x1.3171331aac06dp-1, -0x1.2eec6ad8d3a3ap-1, -0x1.2c59feb3e241cp-1, -0x1.29ba8cab94f26p-1, -0x1.270eb3923fcfcp-1, -0x1.245712a3316f9p-1, -0x1.219449205e72fp-1, -0x1.1ec6f5f708737p-1, -0x1.1befb76b1c937p-1, -0x1.190f2ac8fcb9fp-1, -0x1.1625ec1d6eddap-1, -0x1.133495f364f87p-1, -0x1.103bc1175a1f6p-1, -0x1.0d3c045ffe29bp-1, -0x1.0a35f47be86dep-1, -0x1.072a23c413222p-1, -0x1.04192212d8905p-1, -0x1.01037c9f38b8cp-1, -0x1.fbd37bb847526p-2, -0x1.f598dab727112p-2, -0x1.ef581f6a6e057p-2, -0x1.e9124ce0f6145p-2, -0x1.e2c85fe374352p-2, -0x1.dc7b4ed4bf737p-2, -0x1.d62c0997a4824p-2, -0x1.cfdb7979e0b9cp-2, -0x1.c98a8123f0eeap-2, -0x1.c339fc8d5def6p-2, -0x1.bceac0f535bbdp-2, -0x1.b69d9cde68037p-2, -0x1.b053580fb56efp-2, -0x1.aa0cb396f7367p-2, -0x1.a3ca69cf727e1p-2, -0x1.9d8d2e6b0321fp-2, -0x1.9755ae7ddbf9ap-2, -0x1.9124908ca83d2p-2, -0x1.8afa749cdc57cp-2, -0x1.84d7f446fc1cp-2, -0x1.7ebda2cab3993p-2, -0x1.78ac0d248b28dp-2, -0x1.72a3ba25185adp-2, -0x1.6ca52a897a7ecp-2, -0x1.66b0d91505c3p-2, -0x1.60c73aabfa2acp-2, -0x1.5ae8be6f216a6p-2, -0x1.5515cdd83b78ep-2, -0x1.4f4eccd71b7d9p-2, -0x1.499419ef5a47p-2, -0x1.43e60e56868a1p-2, -0x1.3e44fe12bc7cp-2, -0x1.38b13819901b4p-2, -0x1.332b066f357bap-2, -0x1.2db2ae45d50d5p-2, -0x1.2848701cf9663p-2, -0x1.22ec87e10bff1p-2, -0x1.1d9f2d0acb585p-2, -0x1.186092beb1b9cp-2, -0x1.1330e7ec40adcp-2, -0x1.0e10576d1fa07p-2, -0x1.08ff08240da2ap-2, -0x1.03fd1d1b9052ep-2, -0x1.fe156b48c602ep-3, -0x1.f44fdae72b90dp-3, -0x1.eaa9b980abffap-3, -0x1.e12330c2c39f9p-3, -0x1.d7bc63d4254bep-3, -0x1.ce756f8e0f936p-3, -0x1.c54e6ab4c0b42p-3, -0x1.bc47662f14d76p-3, -0x1.b3606d3d334aep-3, -0x1.aa9985ae54635p-3, -0x1.a1f2b0159114fp-3, -0x1.996be7fdbe039p-3, -0x1.9105241c3eb1p-3, -0x1.88be5682e5e5dp-3, -0x1.80976cd0c8f06p-3, -0x1.789050620e87bp-3, -0x1.70a8e67eb86ecp-3, -0x1.68e110885fefbp-3, -0x1.6138ac26eedap-3, -0x1.59af937446114p-3, -0x1.52459d26e09f7p-3, -0x1.4afa9cbb68bd3p-3, -0x1.43ce629d46ba2p-3, -0x1.3cc0bc4e27224p-3, -0x1.35d1748c7ba4dp-3, -0x1.2f005378f6bcdp-3, -0x1.284d1ebb021abp-3, -0x1.21b799a43a5e7p-3, -0x1.1b3f8552ed7d1p-3, -0x1.14e4a0d393e81p-3, -0x1.0ea6a9415fbafp-3, -0x1.088559e5cbf17p-3, -0x1.02806c573fe13p-3, -0x1.f92f312d8523bp-4, -0x1.ed952a59812b9p-4, -0x1.e2322e89d6dd1p-4, -0x1.d705a59273098p-4, -0x1.cc0ef4f7fd94dp-4, -0x1.c14d802259f4bp-4, -0x1.b6c0a88d71a46p-4, -0x1.ac67cdf85da92p-4, -0x1.a2424e92e9e02p-4, -0x1.984f872978989p-4, -0x1.8e8ed34f5b68ep-4, -0x1.84ff8d87a6e02p-4, -0x1.7ba10f6c7b45fp-4, -0x1.7272b1d4db099p-4, -0x1.6973ccf90dd19p-4, -0x1.60a3b8959abb6p-4, -0x1.5801cc0ce3a35p-4, -0x1.4f8d5e8765dc5p-4, -0x1.4745c712ac1fbp-4, -0x1.3f2a5cbef729bp-4, -0x1.373a76bba655ep-4, -0x1.2f756c7267f7dp-4, -0x1.27da95a138214p-4, -0x1.20694a7337adfp-4, -0x1.1920e39861beap-4, -0x1.1200ba5c27e77p-4, -0x1.0b0828bafbc12p-4, -0x1.04368976cf89cp-4, -0x1.fb1670552369p-5, -0x1.ee0b22b95d53ep-5, -0x1.e149e52138d63p-5, -0x1.d4d174aef2d43p-5, -0x1.c8a090bf88ccfp-5, -0x1.bcb5fb086ac9ep-5, -0x1.b11077b37850dp-5, -0x1.a5aecd795bb28p-5, -0x1.9a8fc5ba4bcd7p-5, -0x1.8fb22c9544ce7p-5, -0x1.8514d0fdbfabdp-5, -0x1.7ab684cffb025p-5, -0x1.70961ce3dd1p-5, -0x1.66b2711e7ac46p-5, -0x1.5d0a5c8252529p-5, -0x1.539cbd3e415dp-5, -0x1.4a6874bb44737p-5, -0x1.416c67a90b26p-5, -0x1.38a77e0965f3cp-5, -0x1.3018a33aa2d7ap-5, -0x1.27bec600d6569p-5, -0x1.1f98d88e262cp-5, -0x1.17a5d08a17b08p-5, -0x1.0fe4a717eeff9p-5, -0x1.085458dc285c7p-5, -0x1.00f3e60113393p-5, -0x1.f384a475300cep-6, -0x1.e57d499265ffp-6, -0x1.d7cfd0f85814ep-6, -0x1.ca7a57661fca9p-6, -0x1.bd7b00bcf436dp-6, -0x1.b0cff8006256ap-6, -0x1.a4776f553a9cdp-6, -0x1.986f9fff4d1b9p-6, -0x1.8cb6ca5deea65p-6, -0x1.814b35e76f079p-6, -0x1.762b312372ed7p-6, -0x1.6b5511a45081dp-6, -0x1.60c733ff79f0fp-6, -0x1.567ffbc4f5dedp-6, -0x1.4c7dd37601f08p-6, -0x1.42bf2c7adf6ap-6, -0x1.39427f17da0f3p-6, -0x1.30064a61948b1p-6, -0x1.27091430a21a3p-6, -0x1.1e4969147b8b7p-6, -0x1.15c5dc45d31bep-6, -0x1.0d7d07985a2d8p-6, -0x1.056d8b6bfa411p-6, -0x1.fb2c1d3b1782fp-7, -0x1.ebea7cee2d2dbp-7, -0x1.dd139d3f42dd2p-7, -0x1.cea4f21535f43p-7, -0x1.c09bfbcdba4aep-7, -0x1.b2f6471ac0293p-7, -0x1.a5b16cdf28eedp-7, -0x1.98cb120aeefd7p-7, -0x1.8c40e776bcad6p-7, -0x1.8010a9bf1b1d3p-7, -0x1.7438211f187d2p-7, -0x1.68b5214aa6942p-7, -0x1.5d8589488a159p-7, -0x1.52a7434c147cep-7, -0x1.4818448e880edp-7, -0x1.3dd68d2858abdp-7, -0x1.33e027ea2b0d3p-7, -0x1.2a332a35c16e2p-7, -0x1.20cdb3d6c2113p-7, -0x1.17adeedb6f466p-7, -0x1.0ed20f6d54e3ep-7, -0x1.063853a9f161p-7, -0x1.fbbe06f6cad5fp-8, -0x1.eb88e0e25d2fdp-8, -0x1.dbcdeb31e9a32p-8, -0x1.cc89eeaedfa2p-8, -0x1.bdb9c682db5a5p-8, -0x1.af5a5fe9f978dp-8, -0x1.a168b9e581564p-8, -0x1.93e1e4eeed6fdp-8, -0x1.86c302ab5ed57p-8, -0x1.7a09459f824f3p-8, -0x1.6db1f0e3f03bdp-8, -0x1.61ba57da12fb3p-8, -0x1.561fdde19593fp-8, -0x1.4adff60e6938dp-8, -0x1.3ff822df6163fp-8, -0x1.3565f5f573c47p-8, -0x1.2b270fcb9d1d2p-8, -0x1.21391f6f72afp-8, -0x1.1799e23a6587bp-8, -0x1.0e47238bbc7ddp-8, -0x1.053ebc834a335p-8, -0x1.f8fd2779c10dcp-9, -0x1.e8093a1910fabp-9, -0x1.d79db2770378p-9, -0x1.c7b6ab8c1177ap-9, -0x1.b8505933dc3dcp-9, -0x1.a96707abf5e0ep-9, -0x1.9af71b144c0e6p-9, -0x1.8cfd0ef13ea77p-9, -0x1.7f7575af60848p-9, -0x1.725cf828e4a0cp-9, -0x1.65b0552cbf8f1p-9, -0x1.596c610779d6ep-9, -0x1.4d8e050db9fbbp-9, -0x1.42123f28835dap-9, -0x1.36f621632d54p-9, -0x1.2c36d17b12825p-9, -0x1.21d18870fa173p-9, -0x1.17c3921c3555p-9, -0x1.0e0a4cbf7ca6p-9, -0x1.04a3289f7ac81p-9, -0x1.f7174f362967fp-10, -0x1.e582b98acb9b3p-10, -0x1.d483d802d9f9cp-10, -0x1.c416133edaffcp-10, -0x1.b434f3f7fcc98p-10, -0x1.a4dc22418cd7cp-10, -0x1.960764cdcc02dp-10, -0x1.87b2a0360a5a7p-10, -0x1.79d9d64612d27p-10, -0x1.6c79254ada5bp-10, -0x1.5f8cc76469618p-10, -0x1.531111db00dadp-10, -0x1.470274776c341p-10, -0x1.3b5d78de7ba8dp-10, -0x1.301ec1efa4bddp-10, -0x1.25430b26b25ccp-10, -0x1.1ac728008fd1fp-10, -0x1.10a8036314c7ep-10, -0x1.06e29f07d4807p-10, -0x1.fae825d3d1bbp-11, -0x1.e8b3196d440eep-11, -0x1.d7209e824d7bfp-11, -0x1.c62b63f1d4d3bp-11, -0x1.b5ce40c5f374p-11, -0x1.a604332c2178p-11, -0x1.96c85f72e3169p-11, -0x1.88160f0ce6839p-11, -0x1.79e8af997c7dbp-11, -0x1.6c3bd1f2589c8p-11, -0x1.5f0b293e88f0bp-11, -0x1.52528a0a8e36ep-11, -0x1.460de96582999p-11, -0x1.3a395c033af84p-11, -0x1.2ed1156351cfap-11, -0x1.23d166fd02c47p-11, -0x1.1936bf6fc9fbp-11, -0x1.0efda9b8ae03bp-11, -0x1.0522cc6c2544bp-11, -0x1.f745d1e8ff622p-12, -0x1.e4f5b5a9892b6p-12, -0x1.d34f2ddfe0e34p-12, -0x1.c24c55a8fa787p-12, -0x1.b1e778184d5ecp-12, -0x1.a21b0edfa4fb7p-12, -0x1.92e1c0ff1b314p-12, -0x1.8436617d140e9p-12, -0x1.7613ee2614cb9p-12, -0x1.68758e545281fp-12, -0x1.5b5691bed5f28p-12, -0x1.4eb26f500a024p-12, -0x1.4284c4039735fp-12, -0x1.36c951cb66ca7p-12, -0x1.2b7bfe7ba7232p-12, -0x1.2098d2bdb12p-12, -0x1.161bf909ae62cp-12, -0x1.0c01bca6d69fbp-12, -0x1.024688b22b36fp-12, -0x1.f1cdce571116ep-13, -0x1.dfbf0011e08eep-13, -0x1.ce5a309fd3be3p-13, -0x1.bd992269b0e3bp-13, -0x1.ad75ce805355bp-13, -0x1.9dea62f277b36p-13, -0x1.8ef1412db211fp-13, -0x1.8084fc6a5f4f6p-13, -0x1.72a058224a632p-13, -0x1.653e4691ccecbp-13, -0x1.5859e74333294p-13, -0x1.4bee85a4260fap-13, -0x1.3ff797a4e3baap-13, -0x1.3470bc6110171p-13, -0x1.2955bad1e5163p-13, -0x1.1ea280898b732p-13, -0x1.145320776a80ep-13, -0x1.0a63d1b530db2p-13, -0x1.00d0ee5c758c7p-13, -0x1.ef2de4c94866ap-14, -0x1.dd64f51237aa3p-14, -0x1.cc40866e80d56p-14, -0x1.bbba4f08a43b8p-14, -0x1.abcc4055b88e8p-14, -0x1.9c70851f1c211p-14, -0x1.8da17f9a9b669p-14, -0x1.7f59c790b0d02p-14, -0x1.719428908ec39p-14, -0x1.644ba03194bccp-14, -0x1.577b5c61dd746p-14, -0x1.4b1eb9c1969a1p-14, -0x1.3f31420aca952p-14, -0x1.33aeaa8552146p-14, -0x1.2892d2869a8e8p-14, -0x1.1dd9c1fcf861dp-14, -0x1.137fa8063803bp-14, -0x1.0980d9912296dp-14, -0x1.ffb3a013650fap-15, -0x1.ed0e501f56e6dp-15, -0x1.db0b406eaa67ap-15, -0x1.c9a42fa826379p-15, -0x1.b8d31b992c511p-15, -0x1.a8923ef0d18d5p-15, -0x1.98dc0f0d2b4dfp-15, -0x1.89ab39da51936p-15, -0x1.7afaa3c2a11f9p-15, -0x1.6cc565afc4f32p-15, -0x1.5f06cb1c10403p-15, -0x1.51ba5033ba361p-15, -0x1.44dba00587a3fp-15, -0x1.386692c27decp-15, -0x1.2c572c0c291b9p-15, -0x1.20a99951188efp-15, -0x1.155a303723867p-15, -0x1.0a656d1318b74p-15, -0x1.ff8fe2daea18p-16, -0x1.eafd05278154ap-16, -0x1.d70c106c7788ap-16, -0x1.c3b71622f3e06p-16, -0x1.b0f8674733bf4p-16, -0x1.9eca91d97eca7p-16, -0x1.8d285e74f7a9bp-16, -0x1.7c0ccdfbb0bcbp-16, -0x1.6b731757520ecp-16, -0x1.5b56a54dc6e9cp-16, -0x1.4bb314694d4bap-16, -0x1.3c8430f35ce48p-16, -0x1.2dc5f501ce4c5p-16, -0x1.1f748695b8cdcp-16, -0x1.118c35cb7bb46p-16, -0x1.04097b1b6dd03p-16, -0x1.edd1eb556181dp-17, -0x1.d44ed35756c24p-17, -0x1.bb837d9b50574p-17, -0x1.a369fd764fd55p-17, -0x1.8bfca74cdaf25p-17, -0x1.75360dc7a45a2p-17, -0x1.5f10ff22e503ap-17, -0x1.498882978e92p-17, -0x1.3497d5dd8785cp-17, -0x1.203a6ac61a386p-17, -0x1.0c6be4edd91fcp-17, -0x1.f2502f0a6058p-18, -0x1.ccd6065dcd7e7p-18, -0x1.a861a7e7b9e6ap-18, -0x1.84ebbe969b74dp-18, -0x1.626d446dd703ep-18, -0x1.40df7ee4568b6p-18, -0x1.203bfb68399d3p-18, -0x1.007c8c065c43p-18, -0x1.c3368868fb9d6p-19, -0x1.8724eb79c2a91p-19, -0x1.4cb95b946e4f6p-19, -0x1.13e96425803cap-19, -0x1.b955f8862ab16p-20, -0x1.4de902f31e515p-20, -0x1.caf2cb414d4ddp-21, -0x1.ffd56025ad779p-22, -0x1.d4bc1f2333d19p-24, 0x1.0a4f354c66b9cp-22, 0x1.3f724e869c4c7p-21, 0x1.f4670c50629afp-21, 0x1.521194bc789c8p-20, 0x1.a7617578ce7cdp-20, 0x1.fa30c98d1118fp-20, 0x1.25465bc475626p-19, 0x1.4c40f8db5a5eap-19, 0x1.720e5e15cc2a4p-19, 0x1.96b47947db106p-19, 0x1.ba3906d08a617p-19, 0x1.dca19439f5f35p-19, 0x1.fdf382b978b2bp-19, 0x1.0f1a04c880e1dp-18, 0x1.1eb41c296e5e6p-18, 0x1.2dca7c84816c8p-18, 0x1.3c5f892090b9ap-18, 0x1.4a75947f34f81p-18, 0x1.580ee14917d03p-18, 0x1.652da32e30b44p-18, 0x1.71d3ffba69cb7p-18, 0x1.7e040f1f28077p-18, 0x1.89bfdcf22c913p-18, 0x1.950968e23bedp-18, 0x1.9fe2a7620229p-18, 0x1.aa4d82499257dp-18, 0x1.b44bd96ef04d4p-18, 0x1.bddf83360406fp-18, 0x1.c70a4d185592ap-18, 0x1.cfcdfc24eed6dp-18, 0x1.d82c4d78b9b48p-18, 0x1.e026f6afb470fp-18, 0x1.e7bfa64f495adp-18, 0x1.eef8042a1cf94p-18, 0x1.f5d1b1bda0955p-18, 0x1.fc4e4a89ae024p-18, 0x1.0137b2313c143p-17, 0x1.041b47de8b096p-17, 0x1.06d2abfb7239fp-17, 0x1.095ea1cc02441p-17, 0x1.0bbfea489845fp-17, 0x1.0df7443a914a3p-17, 0x1.10056c56e3de6p-17, 0x1.11eb1d56b92fap-17, 0x1.13a9100e22a63p-17, 0x1.153ffb8102c44p-17, 0x1.16b094f641ecep-17, 0x1.17fb900968badp-17, 0x1.19219ebab2585p-17, 0x1.1a23717daf345p-17, 0x1.1b01b7468c411p-17, 0x1.1bbd1d9610c05p-17, 0x1.1c56508467f12p-17, 0x1.1ccdfacac70d8p-17, 0x1.1d24c5cc01765p-17, 0x1.1d5b599c1c0ecp-17, 0x1.1d725d06ef586p-17, 0x1.1d6a7595e804fp-17, 0x1.1d444794f3899p-17, 0x1.1d007616a7d57p-17, 0x1.1c9fa2f7b36edp-17, 0x1.1c226ee1a1c6p-17, 0x1.1b89794d01274p-17, 0x1.1ad56082f416ep-17, 0x1.1a06c19e3c384p-17, 0x1.191e388bc5f36p-17, 0x1.181c600ac119cp-17, 0x1.1701d1ac4f9e8p-17, 0x1.15cf25d2d2e26p-17, 0x1.1484f3b0e1858p-17, 0x1.1323d147ec5fdp-17, 0x1.11ac53669c484p-17, 0x1.101f0da6ee931p-17, 0x1.0e7c926c187e5p-17, 0x1.0cc572e037069p-17, 0x1.0afa3ef1d2c6fp-17, 0x1.091b85513cf02p-17, 0x1.0729d36dcbd25p-17, 0x1.0525b572fb965p-17, 0x1.030fb645780d4p-17, 0x1.00e85f801611fp-17, 0x1.fd6072e17c247p-18, 0x1.f8cf962a9e347p-18, 0x1.f41f3430f7a36p-18, 0x1.ef50559d4cee6p-18, 0x1.ea6400657f30dp-18, 0x1.e55b37c6515cfp-18, 0x1.e036fc3d42351p-18, 0x1.daf84b8279de8p-18, 0x1.d5a02082d490dp-18, 0x1.d02f735a0cb03p-18, 0x1.caa7394d0c63dp-18, 0x1.c50864c465cccp-18, 0x1.bf53e546fa815p-18, 0x1.b98aa774d16fdp-18, 0x1.b3ad950223cf7p-18, 0x1.adbd94b29c815p-18, 0x1.a7bb8a54d569bp-18, 0x1.a1a856be0d91bp-18, 0x1.9b84d7c61d408p-18, 0x1.9551e843ab394p-18, 0x1.8f106008a365dp-18, 0x1.88c113deeea5fp-18, 0x1.8264d585705e8p-18, 0x1.7bfc73ad4858bp-18, 0x1.7588b9f75bd2p-18, 0x1.6f0a70f2237p-18, 0x1.68825e17c2b2fp-18, 0x1.61f143cc644c6p-18, 0x1.5b57e15ce11bdp-18, 0x1.54b6f2fdad363p-18, 0x1.4e0f31ca0d8f3p-18, 0x1.476153c394d46p-18, 0x1.40ae0bd1e8a08p-18, 0x1.39f609c2cd96ap-18, 0x1.3339fa4a7782ep-18, 0x1.2c7a8704246bdp-18, 0x1.25b85672f756ep-18, 0x1.1ef40c031bf89p-18, 0x1.182e480b2b88fp-18, 0x1.1167a7cdd50ap-18, 0x1.0aa0c57bc7d9p-18, 0x1.03da3835ddf2fp-18, 0x1.fa29281f0e25dp-19, 0x1.eca0d422e0afcp-19, 0x1.df1c9078d8f51p-19, 0x1.d19d731929031p-19, 0x1.c4248bf949fa4p-19, 0x1.b6b2e5132a635p-19, 0x1.a949826ccbc66p-19, 0x1.9be962204a53ap-19, 0x1.8e937c64561c5p-19, 0x1.8148c3950e4aep-19, 0x1.740a243d438b1p-19, 0x1.66d885201d98fp-19, 0x1.59b4c7431d9eep-19, 0x1.4c9fc5f87d635p-19, 0x1.3f9a56e9eb45ap-19, 0x1.32a54a2395c8bp-19, 0x1.25c16a1f8f4f9p-19, 0x1.18ef7bd1828f3p-19, 0x1.0c303eb2b15c8p-19, 0x1.ff08d99c7bb09p-20, 0x1.e5d9759b7d164p-20, 0x1.ccd3b00c274a7p-20, 0x1.b3f8dd08fac4dp-20, 0x1.9b4a4637ea98ep-20, 0x1.82c92ae576be2p-20, 0x1.6a76c0204d3c5p-20, 0x1.525430d53f81fp-20, 0x1.3a629debb317p-20, 0x1.22a31e6260b63p-20, 0x1.0b16bf6c7fc5dp-20, 0x1.e77d091e7135dp-21, 0x1.b936cf7ee02c7p-21, 0x1.8b5cb2ffb5b42p-21, 0x1.5df081feade29p-21, 0x1.30f3f86f0ae7p-21, 0x1.0468c01741d67p-21, 0x1.b0a0e19e24758p-22, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.13155f49ec253p-8, -0x1.13072e71e10e9p-7, -0x1.9c4d7a5cef537p-7, -0x1.1286a8f347b4cp-6, -0x1.5664cf217c1a2p-6, -0x1.996d1e0a6565p-6, -0x1.db38cd7d368c2p-6, -0x1.0da91b0cc037bp-5, -0x1.2c9c89b60e723p-5, -0x1.4a3364203a9ebp-5, -0x1.66293135c2103p-5, -0x1.803a1b39c4e0cp-5, -0x1.98247f493dc72p-5, -0x1.adaa3adf3b669p-5, -0x1.c091b81ae9357p-5, -0x1.d0a6bc59e9f9ep-5, -0x1.ddbafe6995357p-5, -0x1.e7a68a732cc63p-5, -0x1.ee47fa1925b1bp-5, -0x1.f184872cb315dp-5, -0x1.f147ff14ddd9cp-5, -0x1.ed849c8c53079p-5, -0x1.e632ccd2242e2p-5, -0x1.db50e4d87ca77p-5, -0x1.cce2ca6b22135p-5, -0x1.baf194bc13bc6p-5, -0x1.a58b27423ed49p-5, -0x1.8cc1c95ef9df3p-5, -0x1.70abbcd3c575dp-5, -0x1.5162d4b2b06a2p-5, -0x1.2f040e207822bp-5, -0x1.09af2bf76237ap-5, -0x1.c30cac37b414ep-6, -0x1.6d5b7a3eb50e8p-6, -0x1.12968543b7814p-6, -0x1.66189af471dfbp-7, -0x1.3c35d534b42acp-8, 0x1.913cec7fd1c4bp-10, 0x1.0a087b97a60ccp-7, 0x1.e8e00acb3cedp-7, 0x1.670332c292cb6p-6, 0x1.dc6a198f1195dp-6, 0x1.2a28d8b03bda2p-5, 0x1.6733f4fb454fp-5, 0x1.a52dfb618eddep-5, 0x1.e3ef491597971p-5, 0x1.11a88e3dd5792p-4, 0x1.3196d79a85591p-4, 0x1.51b0265c85f6cp-4, 0x1.71e2b2db1e9a9p-4, 0x1.921d503a37ee2p-4, 0x1.b24f733763a58p-4, 0x1.d26937ad944b8p-4, 0x1.f25b64e9184b3p-4, 0x1.090bb87238eeep-3, 0x1.18c7c142a96edp-3, 0x1.285b3978105d3p-3, 0x1.37bfe70375e5ep-3, 0x1.46efe913ee6d3p-3, 0x1.55e5b79ef30c9p-3, 0x1.649c229a9ec76p-3, 0x1.730e50f22e51cp-3, 0x1.8137bf3c6bf0ep-3, 0x1.8f143e3b54ap-3, 0x1.9c9ff12ba8d5ap-3, 0x1.a9d74beaaff58p-3, 0x1.b6b710f7f8931p-3, 0x1.c33c4f587a80ep-3, 0x1.cf64606008eabp-3, 0x1.db2ce565a9e05p-3, 0x1.e693c566fac2ep-3, 0x1.f1972a9e81c96p-3, 0x1.fc35801065e32p-3, 0x1.0336b7885bfd3p-2, 0x1.081eee632176ap-2, 0x1.0cd2f3d635b26p-2, 0x1.1152728b43314p-2, 0x1.159d2f5b630f5p-2, 0x1.19b308154905p-2, 0x1.1d93f24705476p-2, 0x1.213ffa0c12cd8p-2, 0x1.24b740e05def3p-2, 0x1.27f9fc78d08d5p-2, 0x1.2b0875a1e660dp-2, 0x1.2de30724b05b7p-2, 0x1.308a1cb2a8bd1p-2, 0x1.32fe31d89ab6ep-2, 0x1.353fd0f8e54d8p-2, 0x1.374f924d45739p-2, 0x1.392e1af04c502p-2, 0x1.3adc1beea31c3p-2, 0x1.3c5a516025d49p-2, 0x1.3da98188e6575p-2, 0x1.3eca7c02162bp-2, 0x1.3fbe18eacfe54p-2, 0x1.40853820b8b7ap-2, 0x1.4120c08067a9bp-2, 0x1.41919f2d7e446p-2, 0x1.41d8c6e257dc6p-2, 0x1.41f72f472fcf3p-2, 0x1.41edd450a7d56p-2, 0x1.41bdb5a57d277p-2, 0x1.4167d60b53641p-2, 0x1.40ed3ada67ea4p-2, 0x1.404eeb78028e9p-2, 0x1.3f8df0d77f9ap-2, 0x1.3eab5501c393ap-2, 0x1.3da822a2e9c55p-2, 0x1.3c85649e096bcp-2, 0x1.3b4425a6db07ap-2, 0x1.39e56fe116accp-2, 0x1.386a4c8558ba1p-2, 0x1.36d3c38b6809bp-2, 0x1.3522db59a46c5p-2, 0x1.335898797dc4ep-2, 0x1.3175fd50bccb7p-2, 0x1.2f7c09df78857p-2, 0x1.2d6bbb828963fp-2, 0x1.2b460cba52e3dp-2, 0x1.290bf4f5b7b4cp-2, 0x1.26be68610e9e8p-2, 0x1.245e57b8f1716p-2, 0x1.21ecb020c261bp-2, 0x1.1f6a5afcb68b5p-2, 0x1.1cd83dcf4d6fp-2, 0x1.1a373a1a07a99p-2, 0x1.17882d413a282p-2, 0x1.14cbf072df0fbp-2, 0x1.120358903f65cp-2, 0x1.0f2f361a539d9p-2, 0x1.0c505520bd921p-2, 0x1.09677d333b607p-2, 0x1.0675715573796p-2, 0x1.037aeff501b8dp-2, 0x1.0078b2e19f3f8p-2, 0x1.fadede8eab574p-3, 0x1.f4bfab55333d1p-3, 0x1.ee9523cc6c449p-3, 0x1.e8609655e17cap-3, 0x1.e223480195ed6p-3, 0x1.dbde74939e5bdp-3, 0x1.d5934e8c9601ap-3, 0x1.cf42ff34d213bp-3, 0x1.c8eea6aa1d8eep-3, 0x1.c2975befd9396p-3, 0x1.bc3e2d015f4e2p-3, 0x1.b5e41ee678ae5p-3, 0x1.af8a2dc9c9362p-3, 0x1.a9314d110abdbp-3, 0x1.a2da6776fb82ap-3, 0x1.9c865f26d3fe5p-3, 0x1.96360dd936f7ep-3, 0x1.8fea44f26d329p-3, 0x1.89a3cda1d4f9bp-3, 0x1.8363690275b3dp-3, 0x1.7d29d03c89c0cp-3, 0x1.76f7b4a7f4f48p-3, 0x1.70cdbfef8aa94p-3, 0x1.6aac943509e5p-3, 0x1.6494cc35bc3a3p-3, 0x1.5e86fb6fa5ca3p-3, 0x1.5883ae4729646p-3, 0x1.528b6a2d17137p-3, 0x1.4c9eadc510de6p-3, 0x1.46bdf10c2c3b7p-3, 0x1.40e9a57fccaecp-3, 0x1.3b2236449fd6fp-3, 0x1.3568084dae954p-3, 0x1.2fbb7a83745e1p-3, 0x1.2a1ce5eaee9f5p-3, 0x1.248c9dcc9e136p-3, 0x1.1f0aefdb64e4fp-3, 0x1.1998245b3c5cdp-3, 0x1.14347e47b86c8p-3, 0x1.0ee03b7a485eap-3, 0x1.099b94d03832bp-3, 0x1.0466be505a035p-3, 0x1.fe83cea0bcfd9p-4, 0x1.f45a75339234bp-4, 0x1.ea51bd1cfffc2p-4, 0x1.e069ea99e6895p-4, 0x1.d6a339a793ee7p-4, 0x1.ccfdde4a379cfp-4, 0x1.c37a04d26322p-4, 0x1.ba17d221732c1p-4, 0x1.b0d763ed00838p-4, 0x1.a7b8d10135c75p-4, 0x1.9ebc29820bb04p-4, 0x1.95e1772b5c5f2p-4, 0x1.8d28bd8fea098p-4, 0x1.8491fa571de77p-4, 0x1.7c1d2579abe6ap-4, 0x1.73ca317cfe193p-4, 0x1.6b990bad6bc19p-4, 0x1.63899c573955fp-4, 0x1.5b9bc6fe60c87p-4, 0x1.53cf6a951dda3p-4, 0x1.4c2461b13fe28p-4, 0x1.449a82c040554p-4, 0x1.3d31a03a1d27ap-4, 0x1.35e988d2f7c73p-4, 0x1.2ec207ab7ac05p-4, 0x1.27bae480039c5p-4, 0x1.20d3e3d697a81p-4, 0x1.1a0cc72ba077p-4, 0x1.13654d1d753ep-4, 0x1.0cdd3196b1b8cp-4, 0x1.06742df75ed42p-4, 0x1.0029f93cedd03p-4, 0x1.f3fc9052158fap-5, 0x1.e7e19ace91ce4p-5, 0x1.dc027363585ecp-5, 0x1.d05e77e828401p-5, 0x1.c4f502dd16485p-5, 0x1.b9c56bacfc366p-5, 0x1.aecf06edc55a5p-5, 0x1.a411269e97111p-5, 0x1.998b1a63eae4dp-5, 0x1.8f3c2fc1950a5p-5, 0x1.8523b252cd0c3p-5, 0x1.7b40ec003957cp-5, 0x1.7193253408943p-5, 0x1.6819a50c267c2p-5, 0x1.5ed3b18a8f0b7p-5, 0x1.55c08fc3cec6ap-5, 0x1.4cdf840bb834fp-5, 0x1.442fd22055efdp-5, 0x1.3bb0bd53280f4p-5, 0x1.336188b0b0774p-5, 0x1.2b4177265d27ep-5, 0x1.234fcba6d6e54p-5, 0x1.1b8bc94cbf792p-5, 0x1.13f4b37be9c34p-5, 0x1.0c89ce0111ecfp-5, 0x1.054a5d3024e0bp-5, 0x1.fc6b4c023517fp-6, 0x1.ee95dc56e1f93p-6, 0x1.e112f880a197ep-6, 0x1.d3e12f86c0f32p-6, 0x1.c6ff1284a8da9p-6, 0x1.ba6b34d68baacp-6, 0x1.ae242c43a229dp-6, 0x1.a22891261d83bp-6, 0x1.9676fe90d4077p-6, 0x1.8b0e1272bdc29p-6, 0x1.7fec6db84e576p-6, 0x1.7510b46ac4b1bp-6, 0x1.6a798dcd77a12p-6, 0x1.6025a47937479p-6, 0x1.5613a675d221fp-6, 0x1.4c424551c400bp-6, 0x1.42b03638316b3p-6, 0x1.395c32052919p-6, 0x1.3044f5584dfb3p-6, 0x1.276940a5e435cp-6, 0x1.1ec7d84667bcp-6, 0x1.165f84849fe62p-6, 0x1.0e2f11aa56b2dp-6, 0x1.0635500bacad3p-6, 0x1.fce2282246fcap-7, 0x1.edc26c80d3746p-7, 0x1.df092687dde17p-7, 0x1.d0b417e2a334ap-7, 0x1.c2c10a9d61759p-7, 0x1.b52dd12de439ep-7, 0x1.a7f84679f4aedp-7, 0x1.9b1e4ddbec88bp-7, 0x1.8e9dd3255af55p-7, 0x1.8274ca9fe5ca5p-7, 0x1.76a1310c8043bp-7, 0x1.6b210ba0f31abp-7, 0x1.5ff26803e1953p-7, 0x1.55135c475297bp-7, 0x1.4a8206e1d004bp-7, 0x1.403c8ea639f8dp-7, 0x1.364122ba4594bp-7, 0x1.2c8dfa8bd8bbdp-7, 0x1.232155c538c94p-7, 0x1.19f97c4029c94p-7, 0x1.1114bdf8087cfp-7, 0x1.087172faeec89p-7, 0x1.000dfb59f2ddcp-7, 0x1.efd17e3115fbep-8, 0x1.e0005c364f1d4p-8, 0x1.d0a5802a1ab5fp-8, 0x1.c1bde8eafb99ap-8, 0x1.b346a4a873d79p-8, 0x1.a53cd0bad2d91p-8, 0x1.979d9979e92e6p-8, 0x1.8a663a12af446p-8, 0x1.7d93fc5bfd696p-8, 0x1.712438aa60639p-8, 0x1.651455a323eddp-8, 0x1.5961c80ea4d72p-8, 0x1.4e0a12a9f9f73p-8, 0x1.430ac5f8083c7p-8, 0x1.38618012114f3p-8, 0x1.2e0bec77cc442p-8, 0x1.2407c3df198aap-8, 0x1.1a52cc035c803p-8, 0x1.10ead77490564p-8, 0x1.07cdc5661bf24p-8, 0x1.fdf302faf2aa2p-9, 0x1.ecd8074175558p-9, 0x1.dc469f89eedcap-9, 0x1.cc3aeb7959c3ep-9, 0x1.bcb1220c3f505p-9, 0x1.ada59133883bfp-9, 0x1.9f149d7178334p-9, 0x1.90fac176da4c7p-9, 0x1.83548dc07f1f5p-9, 0x1.761ea835106f2p-9, 0x1.6955cbc34f399p-9, 0x1.5cf6c800cb5f4p-9, 0x1.50fe80c925c82p-9, 0x1.4569eddde064fp-9, 0x1.3a361a86d5f34p-9, 0x1.2f6025335bc41p-9, 0x1.24e53f1c1cb85p-9, 0x1.1ac2abe5b5e54p-9, 0x1.10f5c14420b28p-9, 0x1.077be69ef524bp-9, 0x1.fca5296d0ae82p-10, 0x1.eaeeaa93cb083p-10, 0x1.d9cf857bb7f48p-10, 0x1.c9430f89960f5p-10, 0x1.b944be0f240bap-10, 0x1.a9d0259ee2efcp-10, 0x1.9ae0f961eac42p-10, 0x1.8c730a6fd3cep-10, 0x1.7e824728be7a3p-10, 0x1.710aba9182f8p-10, 0x1.64088bb20f46bp-10, 0x1.5777fcf5fdd76p-10, 0x1.4b556b8f5bc14p-10, 0x1.3f9d4edbb62d1p-10, 0x1.344c37cb6a777p-10, 0x1.295ed04b37e8ep-10, 0x1.1ed1dab01e467p-10, 0x1.14a231258a5b7p-10, 0x1.0accc51dc538ep-10, 0x1.014e9ec4bb906p-10, 0x1.f049b8ea25619p-11, 0x1.de99645f0acf4p-11, 0x1.cd86d22928848p-11, 0x1.bd0cbdc102d57p-11, 0x1.ad260ad330798p-11, 0x1.9dcdc4417c323p-11, 0x1.8eff1b2896e6bp-11, 0x1.80b565ea533a6p-11, 0x1.72ec1f3c65a93p-11, 0x1.659ee53ba10fap-11, 0x1.58c97883ac75dp-11, 0x1.4c67bb4b24293p-11, 0x1.4075b084248ffp-11, 0x1.34ef7b013014bp-11, 0x1.29d15c9e6ac0ep-11, 0x1.1f17b56f2165dp-11, 0x1.14bf02ef8e23ap-11, 0x1.0ac3df3ad6403p-11, 0x1.01230045306bep-11, 0x1.efb26e34587bap-12, 0x1.ddc6de3e17324p-12, 0x1.cc7d5ab24dfe7p-12, 0x1.bbd01f70960afp-12, 0x1.abb998ca0f731p-12, 0x1.9c346225bf6e3p-12, 0x1.8d3b44aca29b5p-12, 0x1.7ec935fd48a42p-12, 0x1.70d956e6f0365p-12, 0x1.6366f22bf888fp-12, 0x1.566d7b4b98acdp-12, 0x1.49e88d52beebep-12, 0x1.3dd3e9b3f840ap-12, 0x1.322b77264cf93p-12, 0x1.26eb408aec3f7p-12, 0x1.1c0f73d997a89p-12, 0x1.11946113a72bap-12, 0x1.0776793d9139cp-12, 0x1.fb649abdafcadp-13, 0x1.e8891b1086745p-13, 0x1.d6540fc08d156p-13, 0x1.c4bf4f6af4616p-13, 0x1.b3c4e92e2024bp-13, 0x1.a35f22e64081ap-13, 0x1.9388777571085p-13, 0x1.843b951724ebcp-13, 0x1.75735bbea1467p-13, 0x1.672adb806334dp-13, 0x1.595d53062535dp-13, 0x1.4c062e0d5fc9dp-13, 0x1.3f2103f00810ap-13, 0x1.32a996375f5d4p-13, 0x1.269bcf3893cbap-13, 0x1.1af3c0bb1338cp-13, 0x1.0fada2a84240ap-13, 0x1.04c5d1c47e08bp-13, 0x1.f4719ce257312p-14, 0x1.e00676ef4bd1ap-14, 0x1.cc43b9b9a2083p-14, 0x1.b9232d7a72027p-14, 0x1.a69ed862e5f58p-14, 0x1.94b0fc7544f11p-14, 0x1.8354156ddaaf9p-14, 0x1.7282d6bb6e614p-14, 0x1.62382986dd446p-14, 0x1.526f2ac98d31cp-14, 0x1.432329725b3f5p-14, 0x1.344fa498b1143p-14, 0x1.25f049bd6a772p-14, 0x1.1800f31939aa1p-14, 0x1.0a7da5f836ce2p-14, 0x1.fac52244944ep-15, 0x1.e15816a0416c9p-15, 0x1.c8ad2358ba5e8p-15, 0x1.b0bd8cc16ff46p-15, 0x1.9982de5d87c2ep-15, 0x1.82f6e828149bfp-15, 0x1.6d13bbf26f1dfp-15, 0x1.57d3aad820658p-15, 0x1.433142c7cb85ep-15, 0x1.2f274c20935bp-15, 0x1.1bb0c7636c3c3p-15, 0x1.08c8eaf7dbd1cp-15, 0x1.ecd642073ad71p-16, 0x1.c9260aa960b3bp-16, 0x1.a678c6ba981dp-16, 0x1.84c668828b4d6p-16, 0x1.640739e8cf5dcp-16, 0x1.4433d8d290f42p-16, 0x1.254533a05782bp-16, 0x1.073485caf42fbp-16, 0x1.d3f6a93d96dbfp-17, 0x1.9b26d82911346p-17, 0x1.63edb78d092c7p-17, 0x1.2e3fe803dbd6ep-17, 0x1.f4250bcc0bf99p-18, 0x1.8eb647ae03918p-18, 0x1.2c1f8b0a41ec3p-18, 0x1.989b6a6b6a08dp-19, 0x1.bcb9cf00c519fp-20, 0x1.4b039143389b3p-22, -0x1.0cf7323bff0e5p-20, -0x1.3157778730497p-19, -0x1.d75210acf43bbp-19, -0x1.3c44834e1b8fep-18, -0x1.8a8c62a187d1dp-18, -0x1.d68e48a1fea92p-18, -0x1.102ba58cd0751p-17, -0x1.33f9fd10bd887p-17, -0x1.56b83358a286ap-17, -0x1.786c147582ed3p-17, -0x1.991b331273dd5p-17, -0x1.b8caeb599341fp-17, -0x1.d78065ba3c13p-17, -0x1.f540999156a7fp-17, -0x1.090827da6b2bep-16, -0x1.16fa1271ab41bp-16, -0x1.2478460c5e178p-16, -0x1.3184e8646ce7ep-16, -0x1.3e220c806f877p-16, -0x1.4a51b3b842987p-16, -0x1.5615ceade0f02p-16, -0x1.61703e3af0993p-16, -0x1.6c62d4535cca4p-16, -0x1.76ef54dd6df5p-16, -0x1.8117767fb2103p-16, -0x1.8adce365207cep-16, -0x1.944139f7c7573p-16, -0x1.9d460d9262c2cp-16, -0x1.a5ece72934aa1p-16, -0x1.ae3745ea64ffdp-16, -0x1.b6269fd64c81dp-16, -0x1.bdbc624fe8ae3p-16, -0x1.c4f9f2a5d01aep-16, -0x1.cbe0ae93e80a8p-16, -0x1.d271ecbe2f8c6p-16, -0x1.d8aefd24d4099p-16, -0x1.de992991e5b7fp-16, -0x1.e431b600dc388p-16, -0x1.e979e1003c18p-16, -0x1.ee72e40d86fa9p-16, -0x1.f31df3ebc4ffp-16, -0x1.f77c40f4d5766p-16, -0x1.fb8ef765bf256p-16, -0x1.ff573fa63bddfp-16, -0x1.016b1f45d8f0ap-15, -0x1.03068acbe54cfp-15, -0x1.047e71996b7a6p-15, -0x1.05d361711cc6fp-15, -0x1.0705e6bd7c473p-15, -0x1.08168ca857b8p-15, -0x1.0905dd307fd21p-15, -0x1.09d4613dd88d3p-15, -0x1.0a82a0b3d6978p-15, -0x1.0b11228276f6ap-15, -0x1.0b806cb5cc36dp-15, -0x1.0bd104842ae06p-15, -0x1.0c036e5b0b8b6p-15, -0x1.0c182deab3dbdp-15, -0x1.0c0fc630b0215p-15, -0x1.0beab981378aep-15, -0x1.0ba9898f7d73dp-15, -0x1.0b4cb7750be54p-15, -0x1.0ad4c3b826efp-15, -0x1.0a422e5154397p-15, -0x1.099576b006196p-15, -0x1.08cf1bbe84ccfp-15, -0x1.07ef9be512a5bp-15, -0x1.06f7750c6342p-15, -0x1.05e7249f6b3dap-15, -0x1.04bf278c90474p-15, -0x1.037ffa464b9dcp-15, -0x1.022a18c33fae4p-15, -0x1.00bdfe7dd0adp-15, -0x1.fe784ce68e038p-16, -0x1.fb4a164506e8cp-16, -0x1.f7f24d14989dap-16, -0x1.f471e44e80d93p-16, -0x1.f0c9cde2e1e07p-16, -0x1.ecfafab35a4cap-16, -0x1.e9065a8d0cb3bp-16, -0x1.e4ecdc22259cap-16, -0x1.e0af6d02e8659p-16, -0x1.dc4ef99652f52p-16, -0x1.d7cc6d1260ddbp-16, -0x1.d328b173ff3cep-16, -0x1.ce64af76afe6bp-16, -0x1.c9814e8bf0c23p-16, -0x1.c47f74d26a38bp-16, -0x1.bf60070cf492ep-16, -0x1.ba23e8996dc6cp-16, -0x1.b4cbfb677dfa7p-16, -0x1.af591fef3dc32p-16, -0x1.a9cc3527d195ap-16, -0x1.a426187dfb1fap-16, -0x1.9e67a5caa9e9p-16, -0x1.9891b74991b8bp-16, -0x1.92a5258fca579p-16, -0x1.8ca2c7827b935p-16, -0x1.868b724da3eaep-16, -0x1.805ff95af4d86p-16, -0x1.7a212e48c9c4cp-16, -0x1.73cfe0e14a374p-16, -0x1.6d6cdf11a3ccbp-16, -0x1.66f8f4e17af19p-16, -0x1.6074ec6a805cbp-16, -0x1.59e18dd034a76p-16, -0x1.533f9f37e58bp-16, -0x1.4c8fe4c0d8846p-16, -0x1.45d3207cb1455p-16, -0x1.3f0a12680e31fp-16, -0x1.3835786364ffp-16, -0x1.31560e2c183d8p-16, -0x1.2a6c8d55cb96cp-16, -0x1.2379ad43fdee1p-16, -0x1.1c7e2323dbb6ap-16, -0x1.157aa1e65c39ep-16, -0x1.0e6fda3a9fb89p-16, -0x1.075e7a888dacap-16, -0x1.00472eebbeb4cp-16, -0x1.f255425d4eb39p-17, -0x1.e412f18c18a72p-17, -0x1.d5c8b5996f50bp-17, -0x1.c777d3fef179p-17, -0x1.b9218d72d6p-17, -0x1.aac71de0ff3f2p-17, -0x1.9c69bc64a2db9p-17, -0x1.8e0a9b4271dcp-17, -0x1.7faae7e35c62ep-17, -0x1.714bcacfd5acbp-17, -0x1.62ee67ab9f84fp-17, -0x1.5493dd3228bbdp-17, -0x1.463d453368687p-17, -0x1.37ebb491486bfp-17, -0x1.29a03b3d8e0e6p-17, -0x1.1b5be4384910ap-17, -0x1.0d1fb58ec4047p-17, -0x1.fdd960b5e60f9p-18, -0x1.e187a186c4a93p-18, -0x1.c54c1bf73f7dfp-18, -0x1.a928b48a3b16cp-18, -0x1.8d1f45e11ef5bp-18, -0x1.7131a0bf75afap-18, -0x1.55618c0f7882bp-18, -0x1.39b0c4e77b73dp-18, -0x1.1e20fe9038848p-18, -0x1.02b3e28bf313cp-18, -0x1.ced6213ce3f69p-19, -0x1.98903dab8d34ap-19, -0x1.62993327c35a2p-19, -0x1.2cf40731d96cfp-19, -0x1.ef4758398fcfap-20, -0x1.8556024bb7e1fp-20, -0x1.1c19a51b9db59p-20, -0x1.672f66cd26039p-21, -0x1.2f55e975cb29ap-22, 0x1.b27de210cdeb9p-24, 0x1.02b6a69702127p-21, 0x1.cd800e5cf2df9p-21, }}, 
      {{-0x1.7bb70616b4c8p-1, -0x1.7bdcb6fc3b91fp-1, -0x1.7c1328930253ep-1, -0x1.7c5102d24ebd3p-1, -0x1.7c8c8a8ff5ba9p-1, -0x1.7cbc9d62a01bap-1, -0x1.7cd94214dcdbcp-1, -0x1.7cdbefbc8fdf1p-1, -0x1.7cbfa3e13469bp-1, -0x1.7c80d90daaf54p-1, -0x1.7c1d6a0950aa9p-1, -0x1.7b946a3d3d0f9p-1, -0x1.7ae5f91cc58f9p-1, -0x1.7a13147c3e243p-1, -0x1.791d6c61bb8ddp-1, -0x1.780739e2bbab8p-1, -0x1.76d319f2ffd4ep-1, -0x1.7583ec8feb253p-1, -0x1.741cb86171bb7p-1, -0x1.72a092b33b211p-1, -0x1.71128b85fe9ecp-1, -0x1.6f759d64c29b3p-1, -0x1.6dcca09f19be5p-1, -0x1.6c1a4185ef059p-1, -0x1.6a60f9497f56cp-1, -0x1.68a3091b4b2fep-1, -0x1.66e2773ce7043p-1, -0x1.65210dabbe1f6p-1, -0x1.63605a2191c01p-1, -0x1.61a1af294ad11p-1, -0x1.5fe6260f5055ap-1, -0x1.5e2ea17bd9349p-1, -0x1.5c7bd08c6cf8cp-1, -0x1.5ace324803d38p-1, -0x1.5926194ed33bbp-1, -0x1.5783afabe62b1p-1, -0x1.55e6fab31a8c8p-1, -0x1.544fdeda0fa8cp-1, -0x1.52be237e091f5p-1, -0x1.5131768bbb218p-1, -0x1.4fa9700092b32p-1, -0x1.4e25953f2d64dp-1, -0x1.4ca55c32986e9p-1, -0x1.4b282e3d6e5bfp-1, -0x1.49ad6af33cbp-1, -0x1.48346a9b9fb56p-1, -0x1.46bc807f5f071p-1, -0x1.4544fd008510ap-1, -0x1.43cd2f7eebfabp-1, -0x1.4254680b2d083p-1, -0x1.40d9f8ea219aap-1, -0x1.3f5d37eb62366p-1, -0x1.3ddd7f954f504p-1, -0x1.3c5a302947a79p-1, -0x1.3ad2b082b1b17p-1, -0x1.39466ed380e67p-1, -0x1.37b4e140cfeefp-1, -0x1.361d86621bb0dp-1, -0x1.347fe5a59186p-1, -0x1.32db8f9bce012p-1, -0x1.31301e2d49502p-1, -0x1.2f7d34bb945b1p-1, -0x1.2dc2803068c0fp-1, -0x1.2bffb6fc72ffdp-1, -0x1.2a349907987c5p-1, -0x1.2860ef9464acdp-1, -0x1.26848d1825ef4p-1, -0x1.249f4d09274bap-1, -0x1.22b113a45aaacp-1, -0x1.20b9cdaba8af7p-1, -0x1.1eb9701e06456p-1, -0x1.1caff7ea56047p-1, -0x1.1a9d699e0634cp-1, -0x1.1881d110440c4p-1, -0x1.165d410a8dcep-1, -0x1.142fd2ef57abap-1, -0x1.11f9a65f630f2p-1, -0x1.0fbae0de615a8p-1, -0x1.0d73ad775d7afp-1, -0x1.0b243c616a502p-1, -0x1.08ccc2a4f6a99p-1, -0x1.066d79c22a77fp-1, -0x1.04069f5898d79p-1, -0x1.019874d0910fap-1, -0x1.fe467e0c9b44ap-2, -0x1.f94e8bee632f5p-2, -0x1.f449a8e2911fdp-2, -0x1.ef386f8a50d0cp-2, -0x1.ea1b7ef4b2558p-2, -0x1.e4f37a0cb2fb2p-2, -0x1.dfc1070cadc8fp-2, -0x1.da84cef7476bep-2, -0x1.d53f7d15f5a7cp-2, -0x1.cff1be7d2805ap-2, -0x1.ca9c419619aa8p-2, -0x1.c53fb5ae4b03fp-2, -0x1.bfdcca8c9cb28p-2, -0x1.ba74300c0041ap-2, -0x1.b50695bbad874p-2, -0x1.af94aa84c63cp-2, -0x1.aa1f1c5554727p-2, -0x1.a4a697d082f0ep-2, -0x1.9f2bc803f57bap-2, -0x1.99af562220833p-2, -0x1.9431e9417a63dp-2, -0x1.8eb4262069302p-2, -0x1.8936aeedbfb94p-2, -0x1.83ba2315ae1fap-2, -0x1.7e3f1f12f2e84p-2, -0x1.78c63c4433847p-2, -0x1.735010c544005p-2, -0x1.6ddd2f4c484c2p-2, -0x1.686e270a7896p-2, -0x1.630383906899fp-2, -0x1.5d9dccb5a73e4p-2, -0x1.583d868395811p-2, -0x1.52e3312344549p-2, -0x1.4d8f48ce3d458p-2, -0x1.484245c20b428p-2, -0x1.42fc9c3661355p-2, -0x1.3dbebc55b97d9p-2, -0x1.388912384dc0ap-2, -0x1.335c05e1428e1p-2, -0x1.2e37fb3de72d7p-2, -0x1.291d5226ec8fcp-2, -0x1.240c66636caf9p-2, -0x1.1f058fadad43cp-2, -0x1.1a0921b97b068p-2, -0x1.15176c3c047ebp-2, -0x1.1030baf515123p-2, -0x1.0b5555b99de75p-2, -0x1.0685807f6b9a7p-2, -0x1.01c17b69f6be8p-2, -0x1.fa1305b066079p-3, -0x1.f0bb9ee69899ep-3, -0x1.e77d2c7c74c99p-3, -0x1.de58114c26462p-3, -0x1.d54ca9261f22fp-3, -0x1.cc5b48f457c1p-3, -0x1.c3843edea3cbap-3, -0x1.bac7d2700023fp-3, -0x1.b22644bcb1433p-3, -0x1.a99fd089215f1p-3, -0x1.a134aa714c2b5p-3, -0x1.98e50110bd80ep-3, -0x1.90b0fd2ae5576p-3, -0x1.8898c1d3c7393p-3, -0x1.809c6c98df5f7p-3, -0x1.78bc15aa25b6bp-3, -0x1.70f7d0032c274p-3, -0x1.694fa9942dea7p-3, -0x1.61c3ab6b136fap-3, -0x1.5a53d9dc4b282p-3, -0x1.530034ab73b41p-3, -0x1.4bc8b733c336p-3, -0x1.44ad589018728p-3, -0x1.3dae0bc2bb036p-3, -0x1.36cabfdcad97ap-3, -0x1.3003602494e2cp-3, -0x1.2957d43d19bacp-3, -0x1.22c8004ad7fadp-3, -0x1.1c53c519b0d46p-3, -0x1.15fb0041984e2p-3, -0x1.0fbd8c4ac2ab8p-3, -0x1.099b40d134622p-3, -0x1.0393f2a7af53dp-3, -0x1.fb4ee7f3ec8b4p-4, -0x1.efab28dcc459cp-4, -0x1.e43c428d97ec9p-4, -0x1.d901cb017967cp-4, -0x1.cdfb53e9dd80ep-4, -0x1.c3286aec18fbap-4, -0x1.b88899dd871adp-4, -0x1.ae1b66fe243dfp-4, -0x1.a3e05531b38acp-4, -0x1.99d6e4377bf2ep-4, -0x1.8ffe90e0725d2p-4, -0x1.8656d54402342p-4, -0x1.7cdf28f35077cp-4, -0x1.7397012b0bc97p-4, -0x1.6a7dd103c729bp-4, -0x1.619309a0e1b16p-4, -0x1.58d61a5dfe165p-4, -0x1.504670fb0cf9p-4, -0x1.47e379c6ef15fp-4, -0x1.3fac9fc8af002p-4, -0x1.37a14ce75c3e9p-4, -0x1.2fc0ea1087faap-4, -0x1.280adf5d68581p-4, -0x1.207e9436aa8f6p-4, -0x1.191b6f76f532cp-4, -0x1.11e0d78c2179p-4, -0x1.0ace329731b8p-4, -0x1.03e2e68b0a822p-4, -0x1.fa3cb293e43p-5, -0x1.ecffe183bfb9dp-5, -0x1.e00e260f3dedcp-5, -0x1.d3664ce1953bdp-5, -0x1.c707235956fafp-5, -0x1.baef77b7f792bp-5, -0x1.af1e194f2ef45p-5, -0x1.a391d8ac4083ap-5, -0x1.984987c1371b2p-5, -0x1.8d43fa0c1df67p-5, -0x1.828004bc4a378p-5, -0x1.77fc7ed5ba4d7p-5, -0x1.6db841529d88dp-5, -0x1.63b227430c4f5p-5, -0x1.59e90deb0285cp-5, -0x1.505bd4dea11e9p-5, -0x1.47095e1ccc9bep-5, -0x1.3df08e282c0adp-5, -0x1.35104c1e9a0fap-5, -0x1.2c6781cf11dc1p-5, -0x1.23f51bce2460ep-5, -0x1.1bb8098902655p-5, -0x1.13af3d5724a9dp-5, -0x1.0bd9ac8aa029bp-5, -0x1.04364f7f30ae9p-5, -0x1.f988435007d68p-6, -0x1.eb044338a0bdfp-6, -0x1.dcdea2458c299p-6, -0x1.cf156a77b76a3p-6, -0x1.c1a6ac561a0bbp-6, -0x1.b4907efe13967p-6, -0x1.a7d10031d395fp-6, -0x1.9b665464ca7c5p-6, -0x1.8f4ea6c647fabp-6, -0x1.8388294a4ff3ep-6, -0x1.781114b0b6388p-6, -0x1.6ce7a88aa0037p-6, -0x1.620a2b3e691a2p-6, -0x1.5776ea0a10733p-6, -0x1.4d2c3904309d8p-6, -0x1.4328731b99b73p-6, -0x1.3969fa1598eb9p-6, -0x1.2fef368b0077bp-6, -0x1.26b697e401ccdp-6, -0x1.1dbe9452da85ep-6, -0x1.1505a8cd76a9bp-6, -0x1.0c8a590604b67p-6, -0x1.044b2f6292ae3p-6, -0x1.f88d79e780371p-7, -0x1.e8f732d50ced3p-7, -0x1.d9d0c61a7a6adp-7, -0x1.cb177d57877p-7, -0x1.bcc8af25fd9a5p-7, -0x1.aee1beff31d8fp-7, -0x1.a1601d2043febp-7, -0x1.9441466d2313fp-7, -0x1.8782c4526b846p-7, -0x1.7b222ca635ad1p-7, -0x1.6f1d2187e7167p-7, -0x1.6371513f1b775p-7, -0x1.581c7619adf17p-7, -0x1.4d1c5648fa76p-7, -0x1.426ec3be6df9p-7, -0x1.38119c076550dp-7, -0x1.2e02c82876e75p-7, -0x1.24403c7831ca6p-7, -0x1.1ac7f8795ea2ap-7, -0x1.119806b4d3bc1p-7, -0x1.08ae7c92e46ddp-7, -0x1.00097a347d793p-7, -0x1.ef4e5497eccaap-8, -0x1.df0b83eb4a6bdp-8, -0x1.cf4701207d87cp-8, -0x1.bffd5f2a1f5b5p-8, -0x1.b12b44e02b3a6p-8, -0x1.a2cd6cb009233p-8, -0x1.94e0a44c801d7p-8, -0x1.8761cc5da45fdp-8, -0x1.7a4dd830cfep-8, -0x1.6da1cd68b5e84p-8, -0x1.615ac3ada12d9p-8, -0x1.5575e45deb999p-8, -0x1.49f06a3ebac2cp-8, -0x1.3ec7a12d11adcp-8, -0x1.33f8e5cf416a7p-8, -0x1.2981a546c60edp-8, -0x1.1f5f5ce297aap-8, -0x1.158f99d2005a4p-8, -0x1.0c0ff8d7f8a66p-8, -0x1.02de25ff1b465p-8, -0x1.f3efb89c65c65p-9, -0x1.e2b5cafadbd22p-9, -0x1.d20a33587c193p-9, -0x1.c1e8be2fd6c89p-9, -0x1.b24d53a5c2918p-9, -0x1.a333f6f975375p-9, -0x1.9498c5f628fecp-9, -0x1.8677f86658906p-9, -0x1.78cddf88977fap-9, -0x1.6b96e58613d86p-9, -0x1.5ecf8ceacbf69p-9, -0x1.5274701f7395p-9, -0x1.468240e520da7p-9, -0x1.3af5c7d2b350ap-9, -0x1.2fcbe3d40c6a7p-9, -0x1.250189ab1007bp-9, -0x1.1a93c37279e8dp-9, -0x1.107fb02285d1dp-9, -0x1.06c28317711e5p-9, -0x1.fab30733acad2p-10, -0x1.e88418d1c46a6p-10, -0x1.d6f3168cd51f4p-10, -0x1.c5fb0109bd5fp-10, -0x1.b596fd2e331dp-10, -0x1.a5c253441b065p-10, -0x1.96786e20aca27p-10, -0x1.87b4da4f3bd28p-10, -0x1.7973453fccd81p-10, -0x1.6baf7c79511a5p-10, -0x1.5e656ccf9d8f8p-10, -0x1.5191219d0203ep-10, -0x1.452ec3ff98e39p-10, -0x1.393a9a1a2ca03p-10, -0x1.2db10658bdf4dp-10, -0x1.228e86b8a326p-10, -0x1.17cfb414319bap-10, -0x1.0d714171f4143p-10, -0x1.036ffb575e791p-10, -0x1.f3918e3df4f73p-11, -0x1.e0f144a40a6c6p-11, -0x1.cef9440ae5ccbp-11, -0x1.bda3e474a0d3cp-11, -0x1.acebaa82f5e93p-11, -0x1.9ccb464541ddep-11, -0x1.8d3d920d0c0bdp-11, -0x1.7e3d9148fa0c9p-11, -0x1.6fc66f661ecffp-11, -0x1.61d37eb79021fp-11, -0x1.5460376428ba2p-11, -0x1.4768365a6918dp-11, -0x1.3ae73c4a5a5eap-11, -0x1.2ed92ca561c86p-11, -0x1.233a0ca3ec42cp-11, -0x1.18060250dcb34p-11, -0x1.0d39539aa755fp-11, -0x1.02d0656a0254p-11, -0x1.f18f757c2a199p-12, -0x1.de37e79c22b47p-12, -0x1.cb939a603964dp-12, -0x1.b99c3e0aece9dp-12, -0x1.a84bb85782fdcp-12, -0x1.979c22e6b65c3p-12, -0x1.8787c9b555512p-12, -0x1.7809299ca02cfp-12, -0x1.691aeedc3b7afp-12, -0x1.5ab7f3ad8b316p-12, -0x1.4cdb3ee04551ap-12, -0x1.3f8002801695fp-12, -0x1.32a19a832730dp-12, -0x1.263b8b8157144p-12, -0x1.1a4981740445dp-12, -0x1.0ec74e7e30e8bp-12, -0x1.03b0e9bce0037p-12, -0x1.f204dc3ef7077p-13, -0x1.dd703290350a4p-13, -0x1.c99c94e700737p-13, -0x1.b68302d14dba4p-13, -0x1.a41cbadf638b4p-13, -0x1.926338a034df4p-13, -0x1.815032abe4789p-13, -0x1.70dd98bc2c6aap-13, -0x1.610591d2477f1p-13, -0x1.51c27a6a201e8p-13, -0x1.430ee2ba7caefp-13, -0x1.34e58d01c56c3p-13, -0x1.27416bdf3de63p-13, -0x1.1a1da0b849a9cp-13, -0x1.0d757a298607bp-13, -0x1.0144728370ecep-13, -0x1.eb0c5ca4a40eap-14, -0x1.d46cf5e248f27p-14, -0x1.bea29a4e777adp-14, -0x1.a9a57fa0dd338p-14, -0x1.956e251ed8511p-14, -0x1.81f5511433786p-14, -0x1.6f340e5f478dep-14, -0x1.5d23aa101f069p-14, -0x1.4bbdb11a1b30fp-14, -0x1.3afbee17a4061p-14, -0x1.2ad8671f6c55cp-14, -0x1.1b4d5baadbb2ap-14, -0x1.0c55428d28d76p-14, -0x1.fbd58ff56f133p-15, -0x1.e01197409f033p-15, -0x1.c554bd937b79ep-15, -0x1.ab95852ef9946p-15, -0x1.92cacc85f2198p-15, -0x1.7aebcae222fe6p-15, -0x1.63f00d24dd9e8p-15, -0x1.4dcf72a2a706bp-15, -0x1.38822a190b02cp-15, -0x1.2400aebdeb9fdp-15, -0x1.1043c56796783p-15, -0x1.fa88f399ea056p-16, -0x1.d5f837ba42756p-16, -0x1.b2c87a5b83152p-16, -0x1.90ed5cfefa77ep-16, -0x1.705afaafdf2acp-16, -0x1.5105e360e9453p-16, -0x1.32e317727a085p-16, -0x1.15e8036015f0bp-16, -0x1.f414f72830672p-17, -0x1.be8170c0ef005p-17, -0x1.8b02a43708ddfp-17, -0x1.59867abf25601p-17, -0x1.29fb8ed905dc8p-17, -0x1.f8a24aa8851dfp-18, -0x1.a0ee4d2985593p-18, -0x1.4cbc3029f020ap-18, -0x1.f7dc588fead33p-19, -0x1.5ccf3776b37dp-19, -0x1.9033bad8d9f43p-20, -0x1.cc3a032b03cdep-22, 0x1.3c6ea6ae3b845p-21, 0x1.a3ffff33deacep-20, 0x1.4f5508fed984bp-19, 0x1.c748497865686p-19, 0x1.1d02c997d2a9dp-18, 0x1.53db8c558f802p-18, 0x1.8842bef9cdfd4p-18, 0x1.ba4bf4887bde2p-18, 0x1.ea0a08f23ac79p-18, 0x1.0bc794597e8c4p-17, 0x1.21766c125813cp-17, 0x1.3619fd44403cfp-17, 0x1.49ba6c649727dp-17, 0x1.5c5f93fc6b816p-17, 0x1.6e1107c649d64p-17, 0x1.7ed617ac08363p-17, 0x1.8eb5d2a5c604ap-17, 0x1.9db7097b11373p-17, 0x1.abe051674d0eap-17, 0x1.b93806a25c413p-17, 0x1.c5c44ece86781p-17, 0x1.d18b1b4c8125dp-17, 0x1.dc922b76a3711p-17, 0x1.e6df0ec40aa37p-17, 0x1.f07726d4a58cep-17, 0x1.f95fa966f20ebp-17, 0x1.00ced11c1ee33p-16, 0x1.049afa681e202p-16, 0x1.0816af1c5877p-16, 0x1.0b443b50f6463p-16, 0x1.0e25d97a69c79p-16, 0x1.10bdb329952e2p-16, 0x1.130de1c3617ebp-16, 0x1.15186f3025401p-16, 0x1.16df56832312fp-16, 0x1.1864849a6c91bp-16, 0x1.19a9d8b784fc5p-16, 0x1.1ab12510fa73dp-16, 0x1.1b7c2f5d46794p-16, 0x1.1c0cb1573dbf4p-16, 0x1.1c64593c46119p-16, 0x1.1c84ca44a0253p-16, 0x1.1c6f9d15f87a4p-16, 0x1.1c26603083c38p-16, 0x1.1baa9856d9459p-16, 0x1.1afdc0f0c7b32p-16, 0x1.1a214c695ee64p-16, 0x1.1916a48853ecep-16, 0x1.17df2ac703debp-16, 0x1.167c38a13af3cp-16, 0x1.14ef1fe1eeb25p-16, 0x1.13392aec213f7p-16, 0x1.115b9d000d861p-16, 0x1.0f57b27ccdedep-16, 0x1.0d2ea11ea8ddp-16, 0x1.0ae1983a1e66ep-16, 0x1.0871c0f3e8282p-16, 0x1.05e03e760d2d2p-16, 0x1.032e2e2225fd3p-16, 0x1.005ca7c0f9de5p-16, 0x1.fad97b5f2a08bp-17, 0x1.f4befa13e059p-17, 0x1.ee6bdba6a5701p-17, 0x1.e7e22638f5992p-17, 0x1.e123d64f7d48bp-17, 0x1.da32df1656c1p-17, 0x1.d3112aa189591p-17, 0x1.cbc09a2a057cp-17, 0x1.c4430647318ebp-17, 0x1.bc9a3f254fc92p-17, 0x1.b4c80cb8d6f5ep-17, 0x1.acce2eeeec34p-17, 0x1.a4ae5ddb2787fp-17, 0x1.9c6a49e2c5d09p-17, 0x1.94039be5763f7p-17, 0x1.8b7bf563cedaep-17, 0x1.82d4f0a3a8e44p-17, 0x1.7a1020d26804ep-17, 0x1.712f122564747p-17, 0x1.683349f87afdp-17, 0x1.5f1e46eaf82d6p-17, 0x1.55f180fae19c3p-17, 0x1.4cae699ed08a9p-17, 0x1.43566bde5666fp-17, 0x1.39eaec6924b0ap-17, 0x1.306d49acf1521p-17, 0x1.26dedbea3e105p-17, 0x1.1d40f5480ebc7p-17, 0x1.1394e1e6a4a26p-17, 0x1.09dbe7f14feccp-17, 0x1.001747af67b55p-17, 0x1.ec907728f5415p-18, 0x1.d8dff09f8ad94p-18, 0x1.c51f59b5ff2a9p-18, 0x1.b151051116eecp-18, 0x1.9d773a222cf4dp-18, 0x1.899435416de5bp-18, 0x1.75aa27c722c92p-18, 0x1.61bb382424cf7p-18, 0x1.4dc981f98d1b8p-18, 0x1.39d7162fb4bb9p-18, 0x1.25e5fb0c94f35p-18, 0x1.11f82c499d764p-18, 0x1.fc1f36521c3cdp-19, 0x1.d45c5d15c918dp-19, 0x1.acab8602d305fp-19, 0x1.851055cae04c8p-19, 0x1.5d8e5cd49ca68p-19, 0x1.362917633eb64p-19, 0x1.0ee3edbdac10fp-19, 0x1.cf8468aab2863p-20, 0x1.818e57d9e623ep-20, 0x1.33ec037dcee8ep-20, 0x1.cd473e8f5e305p-21, 0x1.337670e41d02cp-21, 0x1.34e2d8369b74ep-22, 0x1.21d94e7da6b1dp-28, -0x1.2a0f089b13e61p-22, -0x1.2b654bde5449p-21, -0x1.c0cb0136b3b6ap-21, -0x1.2a972561127ebp-20, -0x1.74428bcc1a41ep-20, -0x1.bd62cf6e9fa17p-20, -0x1.02f997c87fbc9p-19, -0x1.26f787706ef7ap-19, -0x1.4aa8f98fca5ebp-19, -0x1.6e0bc267f7f6bp-19, -0x1.911dc7719223dp-19, -0x1.b3dcff3289875p-19, -0x1.d6477113df196p-19, -0x1.f85b3537029b5p-19, -0x1.0d0b3a2563c5cp-18, -0x1.1dbbb3affdc76p-18, -0x1.2e3e2bdecbb2bp-18, -0x1.3e91cf5a48177p-18, -0x1.4eb5d2b9a1e5cp-18, -0x1.5ea9726c4685dp-18, -0x1.6e6bf2a338eb4p-18, -0x1.7dfc9f3a3d22ap-18, -0x1.8d5acba0d8ec9p-18, -0x1.9c85d2c32513fp-18, -0x1.ab7d16f2794bcp-18, -0x1.ba4001cded1adp-18, -0x1.c8ce042ab398ap-18, -0x1.d72695fc51fbfp-18, -0x1.e549363cb3495p-18, -0x1.f3356ad41c02ep-18, -0x1.007560407e7e6p-17, -0x1.0734655fd5d65p-17, -0x1.0dd791d8fe64ep-17, -0x1.145eb60364a78p-17, -0x1.1ac9a570ad344p-17, -0x1.211836e061782p-17, -0x1.274a4433925e2p-17, -0x1.2d5faa6074c4cp-17, -0x1.33584965f4947p-17, -0x1.3934043f4519cp-17, -0x1.3ef2c0d76a997p-17, -0x1.449467fcc1bacp-17, -0x1.4a18e55483c67p-17, -0x1.4f80274e4b546p-17, -0x1.54ca1f1797637p-17, -0x1.59f6c08f5006bp-17, -0x1.5f0602394f663p-17, -0x1.63f7dd31e827p-17, -0x1.68cc4d21793acp-17, -0x1.6d83502fffcf7p-17, -0x1.721ce6f8b3558p-17, -0x1.7699147da74a5p-17, -0x1.7af7de1b78894p-17, -0x1.7f394b7d00616p-17, -0x1.835d668f1613cp-17, -0x1.87643b7458f7fp-17, -0x1.8b4dd8790d5c5p-17, -0x1.8f1a4e06fad75p-17, -0x1.92c9ae996489ap-17, -0x1.965c0eb10fc9cp-17, -0x1.99d184c853752p-17, -0x1.9d2a29473fc11p-17, -0x1.a0661677d1934p-17, -0x1.a385687a441dep-17, -0x1.a6883d3963ecep-17, -0x1.a96eb45f0bbdbp-17, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      72, 0x1.8cccccccccccdp+2, 0x1.503e0ce7f5aecp+1, 0x1.41444c0332298p+2, 0x1.a2712d8ec17e2p-7, 
      {{
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.6945d3b6eb06dp-3, -0x1.b829977b2bc55p-2, 0x1.2110a38a902abp-1, -0x1.66b7e8cc1209dp-2}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.400eb75c1047ap-3, -0x1.810a3409f2e9dp-2, 0x1.06293ee1a86a1p-1, -0x1.5217bcfbc9c1ap-2}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.1c1730c0d8a94p-3, -0x1.4f24b1332f8aep-2, 0x1.d99bbb03f2907p-2, -0x1.408e8dac36a6p-2}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.f9ba72cf584afp-4, -0x1.222fc9cd0ae5ap-2, 0x1.a98658f6ea5e1p-2, -0x1.2e316ca89221ap-2}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.c3cb8db791ba5p-4, -0x1.f3cd20e0fd97ep-3, 0x1.7c32224407a5fp-2, -0x1.1c0d15f47f4cp-2}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.9579956286348p-4, -0x1.ac05dba292738p-3, 0x1.5196922c27c0cp-2, -0x1.09d987b6383ffp-2}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.6dea650a0a9e3p-4, -0x1.6c7e34ea8de7cp-3, 0x1.29b5f10405b76p-2, -0x1.ef541aa256221p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.4c51cff9a02cap-4, -0x1.34aa72fe2ad8cp-3, 0x1.048fa237d8dafp-2, -0x1.caf2f622e1e56p-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.2ff1a18e7466fp-4, -0x1.03fee798612bap-3, 0x1.c4479f840fd3ep-3, -0x1.a69268c657a0dp-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.18199d3761248p-4, -0x1.b3dfc2c766e49p-4, 0x1.84e4dc9982af2p-3, -0x1.8231ae938afbbp-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.04277e74ec8d6p-4, -0x1.6be35fad79141p-4, 0x1.4af70269c76f5p-3, -0x1.5dd11096ce56p-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.e70df1b292376p-5, -0x1.2ef1449056d8ep-4, 0x1.167e0cb98ee2cp-3, -0x1.39702e981fd22p-3}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.cb637010ab333p-5, -0x1.f7e41f0919553p-5, 0x1.cef40b78add29p-4, -0x1.1510406b258c2p-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.b45ebf6f3a45ap-5, -0x1.a39cc283899dbp-5, 0x1.7bd591beef5c1p-4, -0x1.e1598df2a177cp-4}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.a12b175cae46bp-5, -0x1.5edda11807afdp-5, 0x1.33a1bc7423f0cp-4, -0x1.98ad0d9232a37p-4}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.910f9f8aceb2cp-5, -0x1.277832a58e0eap-5, 0x1.eca9280938afbp-5, -0x1.4f9dd9aef8e36p-4}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.836f6fcebba4ap-5, -0x1.f679b32d3c15cp-6, 0x1.87f9cd21879f2p-5, -0x1.07ff015323cfbp-4}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.77c99020eddcep-5, -0x1.b00007a157cb2p-6, 0x1.38c6e6556346cp-5, -0x1.7602dcba1463fp-5}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.6db8f89d36badp-5, -0x1.770e0d83b2534p-6, 0x1.00acded3136b4p-5, -0x1.23b9847ee69d1p-5}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.64f38e8b750b1p-5, -0x1.481880608142fp-6, 0x1.a9d54919ae746p-6, -0x1.1921f9f3f4e96p-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.5d3f03bf59a5cp-5, -0x1.21bab8f9ea874p-6, 0x1.557e4aea182dfp-6, -0x1.03ccfa360bd21p-5}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.5665b5f82c11ap-5, -0x1.037a20c209918p-6, 0x1.078d99737b08cp-6, -0x1.e2b163049c8a2p-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.5035abe97f4d2p-5, -0x1.d97be078915b9p-7, 0x1.7e4c61ff2d81p-7, -0x1.bc3e03b187b47p-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.4a80953b31cfp-5, -0x1.b9eaedc445e23p-7, 0x1.f20d282d6ffcep-8, -0x1.96346df8d4a84p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.451bca896d845p-5, -0x1.a71bb28703792p-7, 0x1.fca832c9e0cb4p-9, -0x1.700e7fc1dae2fp-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.3fe04d64a7d2ap-5, -0x1.9fe9a14108d13p-7, 0x1.0bf4cc51cee1dp-11, -0x1.49f029e9dd68fp-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.3aaac851a196dp-5, -0x1.a32fdcc407f6fp-7, -0x1.48efcc042f90bp-9, -0x1.23cfcb1407ccfp-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.355b8ec967253p-5, -0x1.afc99d3b79e94p-7, -0x1.538e2ca7b6112p-8, -0x1.fb5fefad8f4b8p-7}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.2fd69d395049cp-5, -0x1.c492151a4891dp-7, -0x1.ebc48e289440ep-8, -0x1.af1ffe69a7b91p-7}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.2a03990300482p-5, -0x1.e064785bd328ep-7, -0x1.368d7a0a89af2p-7, -0x1.62e0211a735d2p-7}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.23cdd07c65db4p-5, -0x1.010dfd4919374p-6, -0x1.6bc8b234e7c9cp-7, -0x1.16a03ec1c1ddcp-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.1d243aefbb36p-5, -0x1.1449e7b612037p-6, -0x1.9593eed1f8123p-7, -0x1.94c0b934e9e4fp-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.15f9789b86028p-5, -0x1.295395478c4bap-6, -0x1.b3ef2fe923366p-7, -0x1.f881fadb7f294p-9}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.0e43d2b29762bp-5, -0x1.3f989fd487dadp-6, -0x1.c6da761e2b2e3p-7, -0x1.8f047c9903859p-10}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.05fd3b5c0beffp-5, -0x1.5686a1278d03ep-6, -0x1.ce55bedaa33f1p-7, 0x1.a5f1ed3a6ed85p-11}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.fa469b6697765p-6, -0x1.6d8b3338baa18p-6, -0x1.ca6113d47d684p-7, 0x1.9a7efbb8ad548p-9}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.e76e9b9014997p-6, -0x1.8413ef564ce68p-6, -0x1.bafc50ca5d4e5p-7, 0x1.65b9b1ed8847ep-8}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.d37c513c8d4a7p-6, -0x1.998e71487407ap-6, -0x1.a027fd0bbfe2ap-7, 0x1.fe4e332648bcp-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.be80e85c9677dp-6, -0x1.ad684b9972ed6p-6, -0x1.79e21f9c1408p-7, 0x1.4b4045f274e08p-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.a894dec95bfffp-6, -0x1.bf0f33514dbbp-6, -0x1.4832151e1c19bp-7, 0x1.98109cb24b601p-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.91d80444a0b11p-6, -0x1.cdf05cbef0c5dp-6, -0x1.0afc64035d985p-7, 0x1.e2355e2cf412ep-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.7a717a78be47p-6, -0x1.d97adc97e6754p-6, -0x1.854f2bc60b8f2p-8, 0x1.1b28a52e150e2p-6}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.628fb4f8a5704p-6, -0x1.e116c6b058823p-6, -0x1.b6d3f7bb310ebp-9, 0x1.23f38b11fca71p-6}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.4a68011ad4264p-6, -0x1.e4627aa9973a2p-6, -0x1.61f210300784ap-11, 0x1.0b7b60c1882aep-6}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.32315c61ebeefp-6, -0x1.e37c11fcc4f3p-6, 0x1.d0fbe01edca25p-10, 0x1.effd979772132p-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.1a1f4ae5480c2p-6, -0x1.deb7f1f02b247p-6, 0x1.090b0be85960fp-8, 0x1.c658d866632ap-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.02615f2bf3df1p-6, -0x1.d6637ee8b222cp-6, 0x1.9158e66d7722ep-8, 0x1.9d6b4395fa67cp-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.d646745955d26p-7, -0x1.cacdfdb1e0755p-6, 0x1.06afbd5a07872p-7, 0x1.744c9a886871fp-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.a919169bb1959p-7, -0x1.bc46325e24cf9p-6, 0x1.3e8807bb4a64dp-7, 0x1.4b3b180ebffa1p-7}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.7d8220cb3287ap-7, -0x1.ab1b037daf175p-6, 0x1.70374b571a63dp-7, 0x1.22260f82ae4ebp-7}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.53c12b737067ap-7, -0x1.979b4e62c23d1p-6, 0x1.9bbd00dde7bc1p-7, 0x1.f223f15894d5p-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.2c0debff63331p-7, -0x1.8215f2d993cfcp-6, 0x1.c1194c91594cbp-7, 0x1.9ffb42234d135p-8}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.069834b96328bp-7, -0x1.6ad9d0047bd7ap-6, 0x1.e04c24ba657aep-7, 0x1.4dd2b5a487355p-8}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.c70fe9965187ep-8, -0x1.5235c53355ep-6, 0x1.f9558bf389389p-7, 0x1.f7543fa8b2cdfp-9}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.85fa707b99808p-8, -0x1.3878b1a9cced5p-6, 0x1.061ac0c4ee5cdp-6, 0x1.530319266684bp-9}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.4a204ff3903p-8, -0x1.1df174aeca984p-6, 0x1.0c7602d74048fp-6, 0x1.5d63e19d9fep-10}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.13a2138de8088p-8, -0x1.02eeed886eb09p-6, 0x1.0fbc8c27edc89p-6, 0x1.4c1955c57c56ap-14}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.c521013227fa2p-9, -0x1.cf7ff6f9832e8p-7, 0x1.0fee5cc19834ep-6, -0x1.33e0c4f191f69p-10}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.6dd92c448ef81p-9, -0x1.9966fba5e665dp-7, 0x1.0d0b748287a35p-6, -0x1.3e4175bd96574p-9}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.214f19eaece57p-9, -0x1.6430a79b59792p-7, 0x1.0713d3e6f99e8p-6, -0x1.e292e984a8c23p-9}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.be8b5e7555323p-10, -0x1.307ab981154e6p-7, 0x1.fc0ef23f601c6p-7, -0x1.43717a924fd74p-8}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.4ec0898d63cc2p-10, -0x1.fdc5deff8c769p-8, 0x1.e3ccd5dacd523p-7, -0x1.959c206f94adcp-8}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.e48a9a7db674p-11, -0x1.a00e1330c8feep-8, 0x1.c5612038d55f1p-7, -0x1.e7bcfa2af76ccp-8}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.4fc4514b2627p-11, -0x1.490981d28a6b2p-8, 0x1.a0cc8d759c6a1p-7, -0x1.1d01323071473p-7}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.b8820761939ep-12, -0x1.f3e7a10bf8642p-9, 0x1.760c5f87f1d2cp-7, -0x1.45dfac67320c7p-7}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.0d2a97a4b0fap-12, -0x1.680fca3f169bp-9, 0x1.452ad278771dfp-7, -0x1.6fbcc9f188bf5p-7}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.2b5e472634c4p-13, -0x1.e20dc50874d42p-10, 0x1.0e01b42dd5cd2p-7, -0x1.95e39511af39dp-7}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.25005d313728p-14, -0x1.2266dc8dcf2f2p-10, 0x1.a23f220990a3p-8, -0x1.c9e5068703442p-7}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.e117adbd1097ep-16, -0x1.2d2756fb354b6p-11, 0x1.18e0d347760f2p-8, -0x1.a2900c9cb6565p-7}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.3070fbf1a481bp-17, -0x1.fab6e6d87fb83p-13, 0x1.369e6bca7eb8p-9, -0x1.26c288d08e564p-7}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.e117adbd109ecp-20, -0x1.2e6b0c95114f1p-14, 0x1.0b8699cdec3d2p-10, -0x1.486c0dc1e12a6p-8}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.e117adbd10c7fp-24, -0x1.0027f307c946p-17, 0x1.19e3dfccc7b6p-12, -0x1.bba0aba0b8704p-8}, 
      }}, 
      0x1.a546309b004f2p-4, -0x1.461fab6dd191p-1
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_o_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.55da5322f92afp-5, 0x1.5438dc0c57a7bp-4, 0x1.fa57e52a7b63bp-4, 0x1.4df2030300eeep-3, 0x1.9bd1e67af5bddp-3, 0x1.e646dab82c3a8p-3, 0x1.16720cf57261dp-2, 0x1.37a9e6bb9b42cp-2, 0x1.56aab42778a38p-2, 0x1.735dc69bfe9ddp-2, 0x1.8db50a9769c97p-2, 0x1.a5a9c770b1204p-2, 0x1.bb3be4420b4dfp-2, 0x1.ce7097f5f3cbdp-2, 0x1.df51c7091d319p-2, 0x1.eded32d68cf29p-2, 0x1.fa53aeb38c729p-2, 0x1.024c4d5c5fdbep-1, 0x1.0668afe7aa304p-1, 0x1.098a7ffd7c2c9p-1, 0x1.0bbdb929e28d4p-1, 0x1.0d0ed29077f79p-1, 0x1.0d8a98a87c0c5p-1, 0x1.0d3dbeed60563p-1, 0x1.0c3523d16fd67p-1, 0x1.0a7dd7f6d4ab9p-1, 0x1.08244aea4b477p-1, 0x1.0534e211a4d3ep-1, 0x1.01bbc22a2de48p-1, 0x1.fb898b1f1aadap-2, 0x1.f2b6aceecb392p-2, 0x1.e914dcf43dd13p-2, 0x1.deb9423cd9f8ap-2, 0x1.d3b81918167adp-2, 0x1.c8249b408de3fp-2, 0x1.bc11131cfb29p-2, 0x1.af8eecd68bdbbp-2, 0x1.a2aeaa4978972p-2, 0x1.957fd18bc97aep-2, 0x1.8810ec8b7ca7dp-2, 0x1.7a6f9766c33f2p-2, 0x1.6ca890d76539bp-2, 0x1.5ec7c2eaafd16p-2, 0x1.50d841c168f9fp-2, 0x1.42e445c31e001p-2, 0x1.34f529ceaec16p-2, 0x1.27137301279e5p-2, 0x1.1946e19e3f73ap-2, 0x1.0b96856f471a9p-2, 0x1.fc119def74c02p-3, 0x1.e147362b31ba4p-3, 0x1.c6d877caa94ep-3, 0x1.accf04b6ffddp-3, 0x1.93338f99e1503p-3, 0x1.7a181dd2f6e9dp-3, 0x1.616d22afebd91p-3, 0x1.4944bf62ebbacp-3, 0x1.31a3e9f3d1b6bp-3, 0x1.1a8ef7c242c35p-3, 0x1.0409b6378c14cp-3, 0x1.dc2ed16525766p-4, 0x1.b1756feb09cdbp-4, 0x1.87eb45f9a76cfp-4, 0x1.5f92f86bbe18cp-4, 0x1.386deaea3c681p-4, 0x1.127c6bbed7da4p-4, 0x1.db7bc847ccb58p-5, 0x1.9462009acbab4p-5, 0x1.4fa7931817944p-5, 0x1.0d4767e35ba63p-5, 0x1.9a76937aef8b6p-6, 0x1.1ef7e10c3e68ap-6, 0x1.500441d8bee5ep-7, 0x1.ac16fa0b9ea2bp-9, -0x1.c4d00f3f340b5p-9, -0x1.44d43248ffcf1p-7, -0x1.08044a2c77107p-6, -0x1.6980a0bc2c8bfp-6, -0x1.c6f82e7252ab4p-6, -0x1.104273ac22e4ap-5, -0x1.3b20bd3477c9p-5, -0x1.6424931039c9bp-5, -0x1.8b5bc5a8eb525p-5, -0x1.b0d440b5a19a9p-5, -0x1.d49bf78a5a951p-5, -0x1.f6c0d49bd1584p-5, -0x1.0ba8565d11c48p-4, -0x1.1b2c9b01703ccp-4, -0x1.29f40109d561bp-4, -0x1.38053d520e793p-4, -0x1.4566efba8f5bdp-4, -0x1.521fa2446da62p-4, -0x1.5e35c7edda9fp-4, -0x1.69afbb2255fd8p-4, -0x1.7493bbc8a44dp-4, -0x1.7ee7ed1a21f24p-4, -0x1.88b253708939fp-4, -0x1.91f8d21d485b7p-4, -0x1.9ac12939f40adp-4, -0x1.a310f34a3afdbp-4, -0x1.aaeda28bf5b67p-4, -0x1.b25c7df1e2cb4p-4, -0x1.b9629df5150acp-4, -0x1.c004e99317fbcp-4, -0x1.c64813e33356fp-4, -0x1.cc309aa2d1481p-4, -0x1.d1c2c5f4c9a01p-4, -0x1.d702a95bb868dp-4, -0x1.dbf425c4dd515p-4, -0x1.e09aec532cee6p-4, -0x1.e4f6f7842ddf5p-4, -0x1.e91251788c0bcp-4, -0x1.eced3c2d719a9p-4, -0x1.f08ab84275c5ep-4, -0x1.f3eda19551991p-4, -0x1.f718b39267258p-4, -0x1.fa0e8cd332913p-4, -0x1.fcd1b1d265ca2p-4, -0x1.ff648e9ccafb8p-4, -0x1.00e4bbc2fd5cep-3, -0x1.0201548150f32p-3, -0x1.0309236f419b5p-3, -0x1.03fd2d8790bc3p-3, -0x1.04de6a333b9c7p-3, -0x1.05adc2b19ae56p-3, -0x1.066c11a87b851p-3, -0x1.071a22edd85f8p-3, -0x1.07b8b394fd0d7p-3, -0x1.0848724123304p-3, -0x1.08c9ffb90143ep-3, -0x1.093defb17c888p-3, -0x1.09a4c9c244654p-3, -0x1.09ff0a7511679p-3, -0x1.0a4d246009b68p-3, -0x1.0a8f813ca7d69p-3, -0x1.0ac682ee79821p-3, -0x1.0af2846fc25a7p-3, -0x1.0b13da9d0714dp-3, -0x1.0b2ad4dbe1262p-3, -0x1.0b37bd9c90d3cp-3, -0x1.0b3adab8a20a8p-3, -0x1.0b346db34854ap-3, -0x1.0b24b3e1e79ap-3, -0x1.0b0be684061f9p-3, -0x1.0aea3ad258568p-3, -0x1.0abfe20bdc91ap-3, -0x1.0a8d09872293cp-3, -0x1.0a51dacc3d7d9p-3, -0x1.0a0e7bba4841fp-3, -0x1.09c30eb9be904p-3, -0x1.096fb2fb3c411p-3, -0x1.091484c12829p-3, -0x1.08b19db1ac0e5p-3, -0x1.0847152ddb12p-3, -0x1.07d500aaac0cbp-3, -0x1.075b74085f4c6p-3, -0x1.06da81e54eecbp-3, -0x1.06523be9839abp-3, -0x1.05c2b3091dab7p-3, -0x1.052bf7bc2ac32p-3, -0x1.048e1a2b58ab1p-3, -0x1.03e92a518476ap-3, -0x1.033d3812da48dp-3, -0x1.028a534aa8ep-3, -0x1.01d08bd18e3eep-3, -0x1.010ff17dd245ap-3, -0x1.0048941fed69p-3, -0x1.fef506fa6e1ffp-4, -0x1.fd4b9e94ea4f1p-4, -0x1.fb950e4fef13ep-4, -0x1.f9d17540a514p-4, -0x1.f800f2553e302p-4, -0x1.f623a4614446cp-4, -0x1.f439aa31e42cep-4, -0x1.f24322a98f7fbp-4, -0x1.f0402ce2060d6p-4, -0x1.ee30e85335bb5p-4, -0x1.ec1574fd51bd1p-4, -0x1.e9edf39457b5cp-4, -0x1.e7ba85ab47723p-4, -0x1.e57b4ddd61bdp-4, -0x1.e3306ff4157fap-4, -0x1.e0da11085b015p-4, -0x1.de78579eadae9p-4, -0x1.dc0b6bbd15e9cp-4, -0x1.d99376facd062p-4, -0x1.d710a4899cdadp-4, -0x1.d4832139138efp-4, -0x1.d1eb1b73fa724p-4, -0x1.cf48c33893d51p-4, -0x1.cc9c4a0c534f1p-4, -0x1.c9e5e2ebcaefp-4, -0x1.c725c23799663p-4, -0x1.c45c1d9f1c745p-4, -0x1.c1892c099b05ap-4, -0x1.bead257eb85adp-4, -0x1.bbc8430e9807dp-4, -0x1.b8dabeba67fa8p-4, -0x1.b5e4d35d88d64p-4, -0x1.b2e6bc97c1b64p-4, -0x1.afe0b6b8a2858p-4, -0x1.acd2feac3112ap-4, -0x1.a9bdd1e8dd5a9p-4, -0x1.a6a16e5ecea21p-4, -0x1.a37e12684d8dp-4, -0x1.a053fcbb47afdp-4, -0x1.9d236c5bb0c9ep-4, -0x1.99eca08eb3969p-4, -0x1.96afd8ce7d142p-4, -0x1.936d54be820ep-4, -0x1.902554202758dp-4, -0x1.8cd816c7bc901p-4, -0x1.8985dc91abc7ep-4, -0x1.862ee557e4e16p-4, -0x1.82d370e773ccap-4, -0x1.7f73bef64b36dp-4, -0x1.7c100f1941e2ap-4, -0x1.78a8a0ba4ea2p-4, -0x1.753db30f0566ep-4, -0x1.71cf850f60266p-4, -0x1.6e5e556cd632p-4, -0x1.6aea6289cfed6p-4, -0x1.677c3e1a0459ep-4, -0x1.6403a18b35f25p-4, -0x1.6088f6583160ap-4, -0x1.5d0c7a005bf3p-4, -0x1.598e699246e29p-4, -0x1.560f01a2975ap-4, -0x1.528e7e4375f1ep-4, -0x1.4f0d1afc802ebp-4, -0x1.4b8b12c33c2d7p-4, -0x1.48089ff3fce74p-4, -0x1.4485fc4b332d8p-4, -0x1.410360df20cf6p-4, -0x1.3d810619df505p-4, -0x1.39ff23b3b5c85p-4, -0x1.367df0adaf54p-4, -0x1.32fda34c6c47bp-4, -0x1.2f7e711326c01p-4, -0x1.2c008ebee35b5p-4, -0x1.28843041c95a3p-4, -0x1.250988bea0673p-4, -0x1.2190ca846ff6bp-4, -0x1.1e1a270a41d76p-4, -0x1.1aa5ceeb04f36p-4, -0x1.1733f1e194224p-4, -0x1.13c4bec4e2a0ap-4, -0x1.1058638450a4p-4, -0x1.0cef0d242a811p-4, -0x1.0988e7ba5643cp-4, -0x1.06261e6b34ffep-4, -0x1.02c6db66b69f3p-4, -0x1.fed68fcb5737p-5, -0x1.f827184e9f72ep-5, -0x1.f17f9ede27d47p-5, -0x1.eae070055b56bp-5, -0x1.e449d650cf541p-5, -0x1.ddbc1a4b6fc8ep-5, -0x1.d737827c3ce4ap-5, -0x1.d0bc536491d3dp-5, -0x1.ca4acf7efde7cp-5, -0x1.c3e3373ea8b85p-5, -0x1.bd85c90f41f52p-5, -0x1.b732c155779d4p-5, -0x1.b0ea5a6ff461bp-5, -0x1.aaacccb8d6b5bp-5, -0x1.a47a4e87ab1ccp-5, -0x1.9e531433d4f27p-5, -0x1.98375017698c6p-5, -0x1.92273292748f2p-5, -0x1.8c22ea0e9b9ccp-5, -0x1.862aa30325f03p-5, -0x1.803e87f94f439p-5, -0x1.7a5ec190f68b5p-5, -0x1.748b76858b52ap-5, -0x1.6ec4cbb348251p-5, -0x1.690ae41ca0b11p-5, -0x1.635de0eff3d23p-5, -0x1.5dbde18d68887p-5, -0x1.582b038cfb232p-5, -0x1.52a562c4b60ccp-5, -0x1.4d2d194f09e75p-5, -0x1.47c23f9152b1fp-5, -0x1.4264ec426c0f8p-5, -0x1.3d1534716754p-5, -0x1.37d32b8c5871p-5, -0x1.329ee36730f49p-5, -0x1.2d786c42b0d8fp-5, -0x1.285fd4d35f119p-5, -0x1.23552a489464p-5, -0x1.1e58785389c5dp-5, -0x1.1969c92e6cb4ep-5, -0x1.148925a37f2d1p-5, -0x1.0fb695142fdf9p-5, -0x1.0af21d803dad1p-5, -0x1.063bc38cd2adcp-5, -0x1.01938a8ba20a2p-5, -0x1.f9f2e903ffb12p-6, -0x1.f0db045feaec9p-6, -0x1.e7df662e9f157p-6, -0x1.df000b05489bp-6, -0x1.d63ced18a586p-6, -0x1.cd96044af52adp-6, -0x1.c50b4639d0a25p-6, -0x1.bc9ca64beedb6p-6, -0x1.b44a15bed9307p-6, -0x1.ac1383b481076p-6, -0x1.a3f8dd40c6a9ep-6, -0x1.9bfa0d76e1279p-6, -0x1.9416fd76b4a0fp-6, -0x1.8c4f947a0bb7cp-6, -0x1.84a3b7e1b7aaap-6, -0x1.7d134b4299ec3p-6, -0x1.759e307294649p-6, -0x1.6e44479557ec3p-6, -0x1.67056f292a551p-6, -0x1.5fe1841381872p-6, -0x1.58d861ad8f212p-6, -0x1.51e9e1d0b42d1p-6, -0x1.4b15dce2cf88dp-6, -0x1.445c29e28ae66p-6, -0x1.3dbc9e73719d4p-6, -0x1.37370eea03429p-6, -0x1.30cb4e57acecbp-6, -0x1.2a792e969b0dfp-6, -0x1.244080558176p-6, -0x1.1e2113234510ap-6, -0x1.181ab57a8c4fap-6, -0x1.122d34cd3422cp-6, -0x1.0c585d8fadb75p-6, -0x1.069bfb4443965p-6, -0x1.00f7d8863fcc8p-6, -0x1.f6d77e29fcbd1p-7, -0x1.ebeeefbdb2117p-7, -0x1.e1359617fffedp-7, -0x1.d6ab001263389p-7, -0x1.cc4ebb249db94p-7, -0x1.c2205379c669cp-7, -0x1.b81f5404dcef4p-7, -0x1.ae4b46954b2d2p-7, -0x1.a4a3b3eb13be5p-7, -0x1.9b2823cab73f7p-7, -0x1.91d81d10cf01ap-7, -0x1.88b325c558ed7p-7, -0x1.7fb8c32ec2a82p-7, -0x1.76e879e49505dp-7, -0x1.6e41cde1d0ab6p-7, -0x1.65c442970018bp-7, -0x1.5d6f5afbd7b41p-7, -0x1.554299a09680bp-7, -0x1.4d3d80bef90ep-7, -0x1.455f924adbc37p-7, -0x1.3da8500266632p-7, -0x1.36173b7decd1ep-7, -0x1.2eabd63f5765ep-7, -0x1.2765a1c13cae3p-7, -0x1.20441f8577122p-7, -0x1.1946d12360ef8p-7, -0x1.126d3855b440dp-7, -0x1.0bb6d707e2bc9p-7, -0x1.05232f631b334p-7, -0x1.fd6387b5afb9bp-8, -0x1.f0c42e7212953p-8, -0x1.e4675953a061ap-8, -0x1.d84c0f8d7b78fp-8, -0x1.cc715943a6e6ap-8, -0x1.c0d63f9fdfbbap-8, -0x1.b579cce5cb3fcp-8, -0x1.aa5b0c86455cdp-8, -0x1.9f790b31ff1dfp-8, -0x1.94d2d6eb34671p-8, -0x1.8a677f16a2d5dp-8, -0x1.8036148bd57f2p-8, -0x1.763da9a496cffp-8, -0x1.6c7d524b9c8ep-8, -0x1.62f4240ac9babp-8, -0x1.59a136184f629p-8, -0x1.5083a163786bbp-8, -0x1.479a80a0aaba8p-8, -0x1.3ee4f054c67d8p-8, -0x1.36620edfec598p-8, -0x1.2e10fc87acb72p-8, -0x1.25f0db80a0c1dp-8, -0x1.1e00cff76bf75p-8, -0x1.1640001948575p-8, -0x1.0ead941bf77bep-8, -0x1.0748b6454ea46p-8, -0x1.001092f21fc78p-8, -0x1.f208b139a95b1p-9, -0x1.e4466fc701ec4p-9, -0x1.d6d8c71b1761fp-9, -0x1.c9be2121eb341p-9, -0x1.bcf4ec2e4f6acp-9, -0x1.b07b9b02f5f91p-9, -0x1.a450a4da96777p-9, -0x1.9872856f7abf7p-9, -0x1.8cdfbd02416dap-9, -0x1.8196d060368e3p-9, -0x1.769648e8a4433p-9, -0x1.6bdcb491f150cp-9, -0x1.6168a5ede14bcp-9, -0x1.5738b42d65e1ep-9, -0x1.4d4b7b23e003ep-9, -0x1.439f9b49f4fa2p-9, -0x1.3a33b9bf7ca9bp-9, -0x1.3106804d66d79p-9, -0x1.28169d66ed676p-9, -0x1.1f62c42a412efp-9, -0x1.16e9ac60f33b7p-9, -0x1.0eaa127fb8052p-9, -0x1.06a2b7a5dbd3p-9, -0x1.fda4c33882eb7p-10, -0x1.ee6fb5a7f75d5p-10, -0x1.dfa3e4c8c5b69p-10, -0x1.d13ef811e6eb5p-10, -0x1.c33ea03d69589p-10, -0x1.b5a0974247618p-10, -0x1.a862a04da3ccdp-10, -0x1.9b8287bb8eca9p-10, -0x1.8efe230e5acd9p-10, -0x1.82d350e5d53fdp-10, -0x1.76fff8f591a6p-10, -0x1.6b820bfa79dcep-10, -0x1.605783af67c4p-10, -0x1.557e62c1a0828p-10, -0x1.4af4b4c4136afp-10, -0x1.40b88e21e279dp-10, -0x1.36c80c10bdcb3p-10, -0x1.2d215481f40cp-10, -0x1.23c296131eb77p-10, -0x1.1aaa07fe2210bp-10, -0x1.11d5ea0866f47p-10, -0x1.094484715542fp-10, -0x1.00f427e0ad304p-10, -0x1.f1c65aa65ca3dp-11, -0x1.e21fec0f4bd73p-11, -0x1.d2f1d6d5b7c07p-11, -0x1.c438fe05acd49p-11, -0x1.b5f254b3b2bf4p-11, -0x1.a81addd0f858p-11, -0x1.9aafabfebb757p-11, -0x1.8dade16043bc4p-11, -0x1.8112af6c967f7p-11, -0x1.74db56be5b6f5p-11, -0x1.690526e3473b6p-11, -0x1.5d8d7e2a95439p-11, -0x1.5271e0b1e71a3p-11, -0x1.47afa3032823fp-11, -0x1.3d445dd46d39p-11, -0x1.332da8790a14bp-11, -0x1.29692803c6748p-11, -0x1.1ff48f11dda5fp-11, -0x1.16cd9d94bd6dp-11, -0x1.0df2209cbacf9p-11, -0x1.055ff22269664p-11, -0x1.fa29f1a213cdp-12, -0x1.ea1e4f9fa7e17p-12, -0x1.da98fd16cf001p-12, -0x1.cb961100360eap-12, -0x1.bd11ba07be8a6p-12, -0x1.af083e1f98598p-12, -0x1.a175fa15fd596p-12, -0x1.9457612a7b6f6p-12, -0x1.87a8fca3d1ddfp-12, -0x1.7b676b673b64dp-12, -0x1.6f8f6190b6d4dp-12, -0x1.641da80b77b8dp-12, -0x1.590f1c2cb27a4p-12, -0x1.4e60af4e7b6fep-12, -0x1.440f666cada38p-12, -0x1.3a1859c2510bcp-12, -0x1.3078b46a7c7cp-12, -0x1.272db3fe70029p-12, -0x1.1e34a83970681p-12, -0x1.158af29aed61ap-12, -0x1.0d2e060d07cedp-12, -0x1.051b66892076fp-12, -0x1.faa1518125285p-13, -0x1.eb96e38a992ebp-13, -0x1.dd12ed69b1582p-13, -0x1.cf10f8c80b204p-13, -0x1.c18cae18c061bp-13, -0x1.b481d3f5c80fcp-13, -0x1.a7ec4e809bb4ep-13, -0x1.9bc81ec39763ep-13, -0x1.901162190cd3ep-13, -0x1.84c45192bef84p-13, -0x1.79dd4163ff555p-13, -0x1.6f58a04e9cceep-13, -0x1.6532f712b08dap-13, -0x1.5b68e7deabbe1p-13, -0x1.51f72dc724b21p-13, -0x1.48da9c37c14d5p-13, -0x1.40101e6d98613p-13, -0x1.3794b6f3547e9p-13, -0x1.2f657f1b809ap-13, -0x1.277fa67f4acd7p-13, -0x1.1fe07280debc3p-13, -0x1.18853dcb7765dp-13, -0x1.116b77d80782bp-13, -0x1.0a90a474b0a75p-13, -0x1.03f25b4c9ac77p-13, -0x1.fb1c8ee19aaa6p-14, -0x1.eec44dc9967bfp-14, -0x1.e2d794585469dp-14, -0x1.d75227b28d3b8p-14, -0x1.cc2ff03dfdf9cp-14, -0x1.c16cf8c51fa8bp-14, -0x1.b7056da0dc085p-14, -0x1.acf59be69d6c8p-14, -0x1.a339f093bca9bp-14, -0x1.99cef7c25a3bep-14, -0x1.90b15be5cd615p-14, -0x1.87dde4f956ccp-14, -0x1.7f5177c4de561p-14, -0x1.7709151a0666cp-14, -0x1.6f01d9195f776p-14, -0x1.6738fa76c02d5p-14, -0x1.5fabc9c61520ep-14, -0x1.5857b0c64dac1p-14, -0x1.513a31b0e8fe7p-14, -0x1.4a50e694fcf9fp-14, -0x1.439980a27440fp-14, -0x1.3d11c78b5bf5cp-14, -0x1.36b798ddb51b4p-14, -0x1.3088e7670f663p-14, -0x1.2a83ba95707cap-14, -0x1.24a62ddc5fb6fp-14, -0x1.1eee7021a10cbp-14, -0x1.195ac326adc2ep-14, -0x1.13e97afa1ebf1p-14, -0x1.0e98fd68128bbp-14, -0x1.0967c1731f079p-14, -0x1.04544ec857e08p-14, -0x1.feba7a7a67261p-15, -0x1.f502689a7576p-15, -0x1.eb7dd537280b9p-15, -0x1.e22a4ae8e3092p-15, -0x1.d90570ae9c983p-15, -0x1.d00d08fbfee76p-15, -0x1.c73ef0d303951p-15, -0x1.be991ee13f6b2p-15, -0x1.b619a2a42d188p-15, -0x1.adbea38eb5b0ap-15, -0x1.a586603a8f30cp-15, -0x1.9d6f2d945c96p-15, -0x1.95777620f6d26p-15, -0x1.8d9db92d2e6dap-15, -0x1.85e08a0f41ef5p-15, -0x1.7e3e8f768ad4ep-15, -0x1.76b682ac8617ep-15, -0x1.6f472eee8382cp-15, -0x1.67ef70bba982cp-15, -0x1.60ae352db8232p-15, -0x1.5982795acd277p-15, -0x1.526b49b52c80bp-15, -0x1.4b67c16fb5466p-15, -0x1.447709ea2dd9ep-15, -0x1.3d985a1f13b53p-15, -0x1.36caf615c1fe6p-15, -0x1.300e2e5b5247cp-15, -0x1.29615f7a8f2a6p-15, -0x1.22c3f1787b9c6p-15, -0x1.1c35575cda18bp-15, -0x1.15b50eb0caa08p-15, -0x1.0f429f0cf47adp-15, -0x1.08dd99a6337cbp-15, -0x1.028598dabd4bap-15, -0x1.f8747f908567fp-16, -0x1.ebf673c7e05c4p-16, -0x1.df90752422dfp-16, -0x1.d341f987cc7fap-16, -0x1.c70a85408ca2dp-16, -0x1.bae9aa30ba5f5p-16, -0x1.aedf07363470fp-16, -0x1.a2ea47694339fp-16, -0x1.970b219d7a1c3p-16, -0x1.8b4157895f498p-16, -0x1.7f8cb54913cbep-16, -0x1.73ed10c6948d5p-16, -0x1.68624927a52c4p-16, -0x1.5cec4639cbc66p-16, -0x1.518af7efcebfcp-16, -0x1.463e55e2e55f3p-16, -0x1.3b065ecac28c6p-16, -0x1.2fe318092a829p-16, -0x1.24d48d3aaa204p-16, -0x1.19dacfbc2a2cp-16, -0x1.0ef5f642bae36p-16, -0x1.04261c7640b02p-16, -0x1.f2d6c50c681a8p-17, -0x1.dd8bd99d82064p-17, -0x1.c86bc6f94915bp-17, -0x1.b376e45eba66ap-17, -0x1.9ead8f53565dcp-17, -0x1.8a102aee3aad3p-17, -0x1.759f1f524af1ap-17, -0x1.615ad909ebe26p-17, -0x1.4d43c87b6fbp-17, -0x1.395a615cc79c6p-17, }}, 
      {{0x1.284a6b7d02b84p-5, 0x1.279467a0b2a4bp-4, 0x1.b99e4f8282a06p-4, 0x1.24cf93f96c3f4p-3, 0x1.6b80c675bed1cp-3, 0x1.b09fff39fd6f7p-3, 0x1.f3f2b8e4f96c8p-3, 0x1.1aa34d2748184p-2, 0x1.3a3898bf4e1c5p-2, 0x1.58a7c2911e9a4p-2, 0x1.75e2c596eea85p-2, 0x1.91decd8c734a5p-2, 0x1.ac93e92cfa80ep-2, 0x1.c5fcbfd1a14a8p-2, 0x1.de164b33ad2d7p-2, 0x1.f4df925f2b1ddp-2, 0x1.052cb4e7059edp-1, 0x1.0f431dec0801cp-1, 0x1.18b4e87703a54p-1, 0x1.218490b864588p-1, 0x1.29b511e5ccd95p-1, 0x1.3149d9bdc6ef2p-1, 0x1.3846b0cb12d3fp-1, 0x1.3eafa4969f582p-1, 0x1.44890e09b2eddp-1, 0x1.49d777af8ad65p-1, 0x1.4e9f7a708b61fp-1, 0x1.52e5e9e3c1d7bp-1, 0x1.56af9d7b7384cp-1, 0x1.5a017c2998c1p-1, 0x1.5ce06ee41b95ap-1, 0x1.5f515d06f8422p-1, 0x1.615927460f8ddp-1, 0x1.62fca139dae82p-1, 0x1.64408d5ce1e9fp-1, 0x1.65299a50a3ed4p-1, 0x1.65bc5f672372cp-1, 0x1.65fd595754dp-1, 0x1.65f0e82c3c1a8p-1, 0x1.659b4e274e17cp-1, 0x1.6500aef3f6783p-1, 0x1.64250eb549cafp-1, 0x1.630c50c24f4cep-1, 0x1.61ba366c9f0abp-1, 0x1.60325e7609f36p-1, 0x1.5e7845798ed45p-1, 0x1.5c8f46da11dd6p-1, 0x1.5a7a9d6e63967p-1, 0x1.583d6372400f2p-1, 0x1.55da9200cef84p-1, 0x1.535500dfff5dbp-1, 0x1.50af672e63005p-1, 0x1.4dec5cc9bb1afp-1, 0x1.4b0e5bb7d55a2p-1, 0x1.4817f819b3526p-1, 0x1.450afdcc77d78p-1, 0x1.41e9ca66b0e02p-1, 0x1.3eb666f57089p-1, 0x1.3b72c36676fcbp-1, 0x1.3820b6bbc08c1p-1, 0x1.34c1ff3d75437p-1, 0x1.31584303e32bp-1, 0x1.2de510e43aeaap-1, 0x1.2a69e18d64fb5p-1, 0x1.26e818944cd85p-1, 0x1.23610549f0e09p-1, 0x1.1fd5e35e13d6ap-1, 0x1.1c47db6cc38b8p-1, 0x1.18b80397b9171p-1, 0x1.1527603c7b9cfp-1, 0x1.1196e4c360246p-1, 0x1.0e077476134cap-1, 0x1.0a79e34aa9fdbp-1, 0x1.06eef697bfd8ap-1, 0x1.036765b10f30fp-1, 0x1.ffc7b4e98651dp-2, 0x1.f8c9e3aa960b4p-2, 0x1.f1d678d29ec9bp-2, 0x1.eaee7e0b19731p-2, 0x1.e412e6bb96e76p-2, 0x1.dd44914ba7855p-2, 0x1.d68448555d27p-2, 0x1.cfd2c3be77521p-2, 0x1.c930a9b6b8c78p-2, 0x1.c29e8fa0fe022p-2, 0x1.bc1cfaef8020fp-2, 0x1.b5ac61fa8ec46p-2, 0x1.af4d2cd5bf6a1p-2, 0x1.a8ffb62494016p-2, 0x1.a2c44bee315dep-2, 0x1.9c9b306f4bd3p-2, 0x1.96849ae9378aap-2, 0x1.9080b86be0642p-2, 0x1.8a8fac96d0356p-2, 0x1.84b1924c70e37p-2, 0x1.7ee67c5361ffbp-2, 0x1.792e75e469715p-2, 0x1.738983274f944p-2, 0x1.6df7a1a439f9ap-2, 0x1.6878c8b06eff6p-2, 0x1.630ce9dc5bc85p-2, 0x1.5db3f165c9214p-2, 0x1.586dc6adae2f7p-2, 0x1.533a4cae547c9p-2, 0x1.4e19626d992c2p-2, 0x1.490ae367b114ep-2, 0x1.440ea7f0ab2fbp-2, 0x1.3f24858cdc751p-2, 0x1.3a4c4f418ca69p-2, 0x1.3585d5df80fdcp-2, 0x1.30d0de045183dp-2, 0x1.2c2d4c0f41e36p-2, 0x1.279adf065d3edp-2, 0x1.231960ff4b581p-2, 0x1.1ea89b0ac355p-2, 0x1.1a48556878d82p-2, 0x1.15f857b464d01p-2, 0x1.11b8690dd54e3p-2, 0x1.0d8850390f244p-2, 0x1.0967d3bc6a61dp-2, 0x1.0556b9f9f2e5p-2, 0x1.0154c9468cf68p-2, 0x1.fac38fff11965p-3, 0x1.f2faf93ec24ffp-3, 0x1.eb4f5ba462ea3p-3, 0x1.e3c0451437f67p-3, 0x1.dc4d442745df1p-3, 0x1.d4f5e853674e5p-3, 0x1.cdb9c21203bcep-3, 0x1.c69863047b4dfp-3, 0x1.bf915e1573fb7p-3, 0x1.b8a4479651fedp-3, 0x1.b1d0b5586ca17p-3, 0x1.ab163ec1d8c08p-3, 0x1.a4747cddcba86p-3, 0x1.9deb0a68e10bbp-3, 0x1.977983d99eaf2p-3, 0x1.911f8765c449bp-3, 0x1.8adcb504ed4cdp-3, 0x1.84b0ae712c94dp-3, 0x1.7e9b17262ebfdp-3, 0x1.789b945f6fe7p-3, 0x1.72b1cd15f38efp-3, 0x1.6cdd69fdd09d3p-3, 0x1.671e1583bc6c8p-3, 0x1.61737bca9ceacp-3, 0x1.5bdd4aa90e66p-3, 0x1.565b31a6c5498p-3, 0x1.50ece1f98e377p-3, 0x1.4b920e81d2fdbp-3, 0x1.464a6bc674044p-3, 0x1.4115afefe8234p-3, 0x1.3bf392c29e792p-3, 0x1.36e3cd98918c7p-3, 0x1.31e61b5a2c43bp-3, 0x1.2cfa38767a8aep-3, 0x1.281fe2dacc5bcp-3, 0x1.2356d9e9de81cp-3, 0x1.1e9ede72a1ba9p-3, 0x1.19f7b2a6bd3b7p-3, 0x1.15611a10f26c7p-3, 0x1.10dad98b7535p-3, 0x1.0c64b736533c1p-3, 0x1.07fe7a6e07234p-3, 0x1.03a7ebc240895p-3, 0x1.fec1a9d9d4ff9p-4, 0x1.f652019302565p-4, 0x1.ee00769942e19p-4, 0x1.e5cca2f7c18b5p-4, 0x1.ddb622cbba914p-4, 0x1.d5bc9434fe3d6p-4, 0x1.cddf9746c64ddp-4, 0x1.c61ecdf8c72c3p-4, 0x1.be79dc1889469p-4, 0x1.b6f0673adccb3p-4, 0x1.af8216ad83eddp-4, 0x1.a82e9368fe994p-4, 0x1.a0f58802902fbp-4, 0x1.99d6a09e66b73p-4, 0x1.92d18ae2107c3p-4, 0x1.8be5f5e724b8fp-4, 0x1.8513922e4bc34p-4, 0x1.7e5a119291772p-4, 0x1.77b9273d1b344p-4, 0x1.713087993fab5p-4, 0x1.6abfe84906d08p-4, 0x1.6467001a11994p-4, 0x1.5e2586faeba2p-4, 0x1.57fb35f0c3eaap-4, 0x1.51e7c70d8fd4dp-4, 0x1.4beaf5668c6ddp-4, 0x1.46047d0b22961p-4, 0x1.40341afc2a28cp-4, 0x1.3a798d2385cd2p-4, 0x1.34d4924c17452p-4, 0x1.2f44ea1a025edp-4, 0x1.29ca550347825p-4, 0x1.24649448a4708p-4, 0x1.1f1369eec1b5bp-4, 0x1.19d698b7a869ep-4, 0x1.14ade41c7c33ap-4, 0x1.0f99104775dap-4, 0x1.0a97e20e24363p-4, 0x1.05aa1eebebc4dp-4, 0x1.00cf8cfcc316ap-4, 0x1.f80fe5f06b3d8p-5, 0x1.eea630593ea8dp-5, 0x1.e56188f5543ebp-5, 0x1.dc4180a214d95p-5, 0x1.d345a950ec56cp-5, 0x1.ca6d95ffb5881p-5, 0x1.c1b8dab19440bp-5, 0x1.b9270c684ec46p-5, 0x1.b0b7c11dfc59fp-5, 0x1.a86a8fbf2f5dbp-5, 0x1.a03f102577fep-5, 0x1.9834db1242183p-5, 0x1.904b8a2a0c742p-5, 0x1.8882b7efee758p-5, 0x1.80d9ffc165ee5p-5, 0x1.7950fdd274cefp-5, 0x1.71e74f29eceecp-5, 0x1.6a9e4d7531f9ap-5, 0x1.637234695c96cp-5, 0x1.5c644b5d1f4b5p-5, 0x1.557432858a39dp-5, 0x1.4ea18ad954a67p-5, 0x1.47ebf60e5b8e1p-5, 0x1.4153169758e28p-5, 0x1.3ad68fa1c775fp-5, 0x1.34760513f2e18p-5, 0x1.2e311b8b31fe7p-5, 0x1.2807785a48c74p-5, 0x1.21f8c187f2af9p-5, 0x1.1c049dcd8a896p-5, 0x1.162ab495da87p-5, 0x1.106aadfc0429ep-5, 0x1.0ac432ca8c6e5p-5, 0x1.0536ec7a7f8afp-5, 0x1.ff850a655ed96p-6, 0x1.f4cd4f8e19e1ap-6, 0x1.ea45ff7028f18p-6, 0x1.dfee7264a589dp-6, 0x1.d5c6021bf8ea9p-6, 0x1.cbcc099d2b72cp-6, 0x1.c1ffe545648e3p-6, 0x1.b860f2c775e58p-6, 0x1.aeee912b9397cp-6, 0x1.a5a820cf1869ep-6, 0x1.9c8d036474e34p-6, 0x1.939c9bf318154p-6, 0x1.8ad64ed789a43p-6, 0x1.823981c37c135p-6, 0x1.79c59bbdf595p-6, 0x1.717a05238eabdp-6, 0x1.695627a6a4205p-6, 0x1.61596e4faabeap-6, 0x1.5983457d78853p-6, 0x1.51d31ae597adcp-6, 0x1.4a485d949c86fp-6, 0x1.42e27dee79e5bp-6, 0x1.3ba0edaedc9fbp-6, 0x1.34831fe97c784p-6, 0x1.2d88890a6f28fp-6, 0x1.26b09ed673ad6p-6, 0x1.1ffad86b3c26p-6, 0x1.1966ae3faf49cp-6, 0x1.12f39a241c788p-6, 0x1.0ca117426a2cbp-6, 0x1.066ea21e42505p-6, 0x1.005bb89526a54p-6, 0x1.f4cfb3bcf26d8p-7, 0x1.e9250d1717a98p-7, 0x1.ddb6810f050bcp-7, 0x1.d283162e8db98p-7, 0x1.c789d5b2a2299p-7, 0x1.bcc9cb8af611ep-7, 0x1.b24206595a55cp-7, 0x1.a7f1977111524p-7, 0x1.9dd792d5f1e9ap-7, 0x1.93f30f3b7c7aap-7, 0x1.8a432603b624ep-7, 0x1.80c6f33deef0dp-7, 0x1.777d95a5608f1p-7, 0x1.6e662e9fab517p-7, 0x1.657fe23b24b25p-7, 0x1.5cc9d72d1ed24p-7, 0x1.544336cfedd0ap-7, 0x1.4beb2d20d3ce8p-7, 0x1.43c0e8bddbea8p-7, 0x1.3bc39ae36f02p-7, 0x1.33f27769f2707p-7, 0x1.2c4cb4c31b835p-7, 0x1.24d18bf73e914p-7, 0x1.1d8038a278c55p-7, 0x1.1657f8f1ab30dp-7, 0x1.0f580d9f6b4f4p-7, 0x1.087fb9f0d5d7bp-7, 0x1.01ce43b221612p-7, 0x1.f685e66696219p-8, 0x1.e9ba2688dc8bfp-8, 0x1.dd37e2648a2e5p-8, 0x1.d0fdb98483033p-8, 0x1.c50a505d99312p-8, 0x1.b95c50469ccb2p-8, 0x1.adf267704f6b4p-8, 0x1.a2cb48dd21315p-8, 0x1.97e5ac58d2bd1p-8, 0x1.8d404e6fc977dp-8, 0x1.82d9f06685a53p-8, 0x1.78b15830a0435p-8, 0x1.6ec55067d6258p-8, 0x1.6514a842e0acfp-8, 0x1.5b9e338c3ba54p-8, 0x1.5260ca98bcf7ep-8, 0x1.495b4a3df69cp-8, 0x1.408c93c8e095ep-8, 0x1.37f38cf3eceefp-8, 0x1.2f8f1fdd3d74dp-8, 0x1.275e3afce6238p-8, 0x1.1f5fd11ac1802p-8, 0x1.1792d9448cbb6p-8, 0x1.0ff64ec3bffd3p-8, 0x1.088931133eb8dp-8, 0x1.014a83d545153p-8, 0x1.f4729d920ac9ap-9, 0x1.e6a93b809f804p-9, 0x1.d937012a38b2cp-9, 0x1.cc1a163e5edcp-9, 0x1.bf50aa53217dfp-9, 0x1.b2d8f4d007324p-9, 0x1.a6b134d93f084p-9, 0x1.9ad7b139c8bd1p-9, 0x1.8f4ab84f0dae8p-9, 0x1.84089ff32f5b3p-9, 0x1.790fc567e7afbp-9, 0x1.6e5e8d412e381p-9, 0x1.63f3634ff6165p-9, 0x1.59ccba8cd0635p-9, 0x1.4fe90d02abd58p-9, 0x1.4646dbb965ae4p-9, 0x1.3ce4aea09c849p-9, 0x1.33c1147a0a97p-9, 0x1.2adaa2c4b4e9bp-9, 0x1.222ff5a7504a3p-9, 0x1.19bfafdb1d1c5p-9, 0x1.11887a9692bccp-9, 0x1.0989057882cc6p-9, 0x1.01c0067283455p-9, 0x1.f458736877fdep-10, 0x1.e598c32c3985cp-10, 0x1.d73e8d08ab9e7p-10, 0x1.c9476dd48540fp-10, 0x1.bbb10e3a8dbccp-10, 0x1.ae7922901dda3p-10, 0x1.a19d6aabeb4cp-10, 0x1.951bb1bc87916p-10, 0x1.88f1ce1f74967p-10, 0x1.7d1da138046ap-10, 0x1.719d1746ff1cp-10, 0x1.666e2741d8048p-10, 0x1.5b8ed2aa58234p-10, 0x1.50fd2566a8322p-10, 0x1.46b7359953f6dp-10, 0x1.3cbb2379da50fp-10, 0x1.3307192ce6969p-10, 0x1.29994a9d5c7bcp-10, 0x1.206ff5557eff7p-10, 0x1.17896058337ebp-10, 0x1.0ee3dbfaefea5p-10, 0x1.067dc1beb6eb3p-10, 0x1.fcaae85723ebcp-11, 0x1.ecd2bd545fcdbp-11, 0x1.dd6feabde7597p-11, 0x1.ce7f6a0a423edp-11, 0x1.bffe45943bfd2p-11, 0x1.b1e998526bc2p-11, 0x1.a43e8d8f6becfp-11, 0x1.96fa60a27d6e5p-11, 0x1.8a1a5ca8ec956p-11, 0x1.7d9bdc40de611p-11, 0x1.717c49433246fp-11, 0x1.65b91c7e7725dp-11, 0x1.5a4fdd7586b7fp-11, 0x1.4f3e2219ffcc1p-11, 0x1.44818e8ac3fe3p-11, 0x1.3a17d4d317cbp-11, 0x1.2ffeb4a83858cp-11, 0x1.2633fb2a6fe46p-11, 0x1.1cb582a4e7b95p-11, 0x1.1381324f57176p-11, 0x1.0a94fe0fb8676p-11, 0x1.01eee63dfb1d7p-11, 0x1.f319eecbc0383p-12, 0x1.e2da9419db405p-12, 0x1.d31c04eddc1aep-12, 0x1.c3daa0d56d216p-12, 0x1.b512ddf5766a3p-12, 0x1.a6c148957a77fp-12, 0x1.98e282b0e26c8p-12, 0x1.8b734388a44dep-12, 0x1.7e7057368d7b6p-12, 0x1.71d69e414cfccp-12, 0x1.65a30d332903dp-12, 0x1.59d2ac31793c9p-12, 0x1.4e629695d8374p-12, 0x1.434ffa88637cep-12, 0x1.3898189cee716p-12, 0x1.2e38436f15e1ep-12, 0x1.242ddf4256641p-12, 0x1.1a7661a2393b5p-12, 0x1.110f51051fd2dp-12, 0x1.07f6446c5ff89p-12, 0x1.fe51c61c12f16p-13, 0x1.ed49c7effe1bdp-13, 0x1.dcd01b70a1ff9p-13, 0x1.cce06c0bb3018p-13, 0x1.bd7682d8a5ecp-13, 0x1.ae8e45eca1d44p-13, 0x1.a023b7b5c9cc6p-13, 0x1.9232f65c47438p-13, 0x1.84b83b1c6994ep-13, 0x1.77afd9acd7f5dp-13, 0x1.6b163fa3da1a3p-13, 0x1.5ee7f3ddd4e4ap-13, 0x1.532195e87fdb3p-13, 0x1.47bfdd7137bf2p-13, 0x1.3cbf99b3a31b3p-13, 0x1.321db0e9745a1p-13, 0x1.27d71fc4baebcp-13, 0x1.1de8f8e2b4fbap-13, 0x1.1450644924813p-13, 0x1.0b0a9ede5f087p-13, 0x1.0214f9ebd6064p-13, 0x1.f2d9b5395aed9p-14, 0x1.e21f7304cddc5p-14, 0x1.d1f644348a9d9p-14, 0x1.c25964ac6c3ccp-14, 0x1.b344344c096e6p-14, 0x1.a4b2360cac832p-14, 0x1.969f0f138e601p-14, 0x1.890685e5d9184p-14, 0x1.7be48182c2863p-14, 0x1.6f350892b105ap-14, 0x1.62f4409661cc1p-14, 0x1.571e6d1a9c3fp-14, 0x1.4baffc27b4ba3p-14, 0x1.40a55097646d5p-14, 0x1.35fb10b84953fp-14, 0x1.2badf09c532d8p-14, 0x1.21babea7361cfp-14, 0x1.181e62d2910acp-14, 0x1.0ed5de013b6dfp-14, 0x1.05de4951d2af8p-14, 0x1.fa69aaef5f2ccp-15, 0x1.e9ad9428081a7p-15, 0x1.d9830a2fcfabdp-15, 0x1.c9e4f440a812fp-15, 0x1.bace63c95ab35p-15, 0x1.ac3a93390453bp-15, 0x1.9e24e4d5de6cp-15, 0x1.9088e1a1fdc9ep-15, 0x1.83623841e98bp-15, 0x1.76acbbead4a83p-15, 0x1.6a646355aa348p-15, 0x1.5e8547bbee399p-15, 0x1.530ba3d757038p-15, 0x1.47f3d2e929c5ep-15, 0x1.3d3a4fc533647p-15, 0x1.32dbb3eda6d9bp-15, 0x1.28d4b69b9acf3p-15, 0x1.1f222bf19a05bp-15, 0x1.15c1040cb70afp-15, 0x1.0cae4a385ebaep-15, 0x1.03e7241cc67c4p-15, 0x1.f6d1a1e17b697p-16, 0x1.e661516a8239ap-16, 0x1.d67836e5c095p-16, 0x1.c71160e45be0cp-16, 0x1.b8280b36a03c4p-16, 0x1.a9b79d56710acp-16, 0x1.9bbba92a7aaf8p-16, 0x1.8e2fe9a2afa71p-16, 0x1.8110416e67e8bp-16, 0x1.7458b9bb4599p-16, 0x1.680581084f785p-16, 0x1.5c12e9d8f1dedp-16, 0x1.507d69a091226p-16, 0x1.4541979aa6a54p-16, 0x1.3a5c2bb4ced85p-16, 0x1.2fc9fd7549defp-16, 0x1.258802fb4c9a7p-16, 0x1.1b934ff006d14p-16, 0x1.11e914953e978p-16, 0x1.08869cc799c0ep-16, 0x1.fed29e2b98529p-17, 0x1.ed1d57b21bb26p-17, 0x1.dbe89899b447cp-17, 0x1.cb2fc37ec96a6p-17, 0x1.baee69661623ap-17, 0x1.ab2048342c12cp-17, 0x1.9bc14906f94dp-17, 0x1.8ccd7ed6048c5p-17, 0x1.7e412496753c3p-17, 0x1.70189c56a2f91p-17, 0x1.62506d7fa8c77p-17, 0x1.54e5439115c2p-17, 0x1.47d3ecd2caf8fp-17, 0x1.3b1959081bd89p-17, 0x1.2eb29842ff38p-17, 0x1.229cd9b70d3fp-17, 0x1.16d56a6f203f6p-17, 0x1.0b59b449ae754p-17, 0x1.00273cd832ac7p-17, 0x1.ea7748abb664bp-18, 0x1.d529493452d74p-18, 0x1.c0602065db523p-18, 0x1.ac17a298c95f6p-18, 0x1.984bd1a5040bfp-18, 0x1.84f8db3e84c13p-18, 0x1.721b16f754acbp-18, 0x1.5faf04a63eeb7p-18, 0x1.4db14adeb84f7p-18, 0x1.3c1eb5536a8dp-18, 0x1.2af433231d0f3p-18, 0x1.1a2ed5ac7289cp-18, 0x1.09cbcedbb9408p-18, 0x1.f390e052f08afp-19, 0x1.d44451dab1b73p-19, 0x1.b5ad09c1339a2p-19, 0x1.97c657334f0dep-19, 0x1.7a8bbda00470fp-19, 0x1.5df8f2b656181p-19, 0x1.4209dc37fa4e5p-19, 0x1.26ba8daf2df36p-19, 0x1.0c07467dc846fp-19, 0x1.e3d8df9591ddp-20, 0x1.b0cd358cae508p-20, 0x1.7ee4fd14aa30fp-20, 0x1.4e19ed031b37cp-20, 0x1.1e66013f4ffa7p-20, 0x1.df86ef4a2bf7p-21, 0x1.845998b3639d4p-21, 0x1.2b396fac82a1dp-21, 0x1.a838aa0382128p-22, 0x1.fbe257921b7dfp-23, 0x1.5e272f5c4e293p-24, -0x1.2c3d399915064p-24, -0x1.d3d6828235eaap-23, -0x1.851a7e2de10b3p-22, -0x1.0e5667d14ffcfp-21, -0x1.5858b15f85c5ep-21, -0x1.a09b67df596aep-21, -0x1.e725955bb94edp-21, -0x1.15fefe9970ca2p-20, -0x1.37959343b1451p-20, -0x1.5859ae8965355p-20, -0x1.784e5a22e1288p-20, -0x1.97768632dab46p-20, -0x1.b5d50a13e2825p-20, -0x1.d36ca63db0d31p-20, -0x1.f04004f763d29p-20, -0x1.0628de47ec915p-19, -0x1.13d2282ebf0d1p-19, -0x1.211d18bb05c0fp-19, -0x1.2e0ae04d34fcbp-19, -0x1.3a9ca772a8184p-19, -0x1.46d38f7021d3p-19, -0x1.52b0b2c28d32cp-19, -0x1.5e3525d848be2p-19, -0x1.6961f6881551bp-19, -0x1.74382e6272fe3p-19, -0x1.7eb8d12436a09p-19, -0x1.88e4de220754bp-19, -0x1.92bd506dccf6fp-19, -0x1.9c431f1eb5165p-19, -0x1.a5773ddd24d61p-19, -0x1.ae5a9ce389083p-19, -0x1.b6ee294fdd83cp-19, -0x1.bf32cd8ae211dp-19, -0x1.c7297193a2a6dp-19, -0x1.ced2fb1863134p-19, -0x1.d6304db655f8bp-19, -0x1.dd424b36f3946p-19, -0x1.e409d385a618dp-19, -0x1.ea87c5a7bfcf3p-19, -0x1.f0bcfec145209p-19, -0x1.f6aa5afabd988p-19, -0x1.fc50b57c0c5ffp-19, -0x1.00d8744f0c2d1p-18, -0x1.0365e6d34789dp-18, -0x1.05d11ed1e6ab4p-18, -0x1.081a884cb1da2p-18, -0x1.0a428f2cefbfbp-18, -0x1.0c499f305e97dp-18, -0x1.0e3023ced6b35p-18, -0x1.0ff6887e4946fp-18, -0x1.119d388206f66p-18, -0x1.13249f0872317p-18, -0x1.148d27451e25cp-18, }}, 
      {{-0x1.45e840470719fp-2, -0x1.2a2198ee862ecp-2, -0x1.fb9a0ed576c54p-3, -0x1.86732cd5fa602p-3, -0x1.f3da68d195381p-4, -0x1.6cea095307605p-5, 0x1.4294a225e6db3p-5, 0x1.050f9e3f5bc33p-3, 0x1.bdd9564f4ebp-3, 0x1.3bac674d7fa13p-2, 0x1.973410b6ec3cbp-2, 0x1.f031174b68af1p-2, 0x1.22c691e1e95bap-1, 0x1.4b34208e1e16dp-1, 0x1.710a713ea448bp-1, 0x1.94087ea36f572p-1, 0x1.b4004fe51ed61p-1, 0x1.d0d4b3cd01d16p-1, 0x1.ea76b16bbab85p-1, 0x1.00718cb1d603bp+0, 0x1.0a10489ee3f77p+0, 0x1.121f25598ad84p+0, 0x1.18a9469349e2cp+0, 0x1.1dbc61dbfff63p+0, 0x1.21684ee09c49dp+0, 0x1.23bea7309ef6bp+0, 0x1.24d1be5fc0fc3p+0, 0x1.24b59d61ef914p+0, 0x1.237e38a074acap+0, 0x1.213fd5a1034a1p+0, 0x1.1e0ec7718a7c5p+0, 0x1.19ff3dc252023p+0, 0x1.152509381e179p+0, 0x1.0f937448c50bcp+0, 0x1.095d2dbff90fap+0, 0x1.029435f1dc554p+0, 0x1.f6939a2d4c754p-1, 0x1.e71cca88a7d3cp-1, 0x1.d6e3300d2a12ap-1, 0x1.c604415095854p-1, 0x1.b49bb7762ebb7p-1, 0x1.a2c392c2203fcp-1, 0x1.90941ec20c29ap-1, 0x1.7e23f4b8d5943p-1, 0x1.6b87fec9846a1p-1, 0x1.58d37ecf61727p-1, 0x1.46181a6ff637fp-1, 0x1.3365ec8fbbbaap-1, 0x1.20cb9b6885af4p-1, 0x1.0e56715098848p-1, 0x1.f824e9094de42p-2, 0x1.d414f3ac8c4bep-2, 0x1.b09061e8623d1p-2, 0x1.8da85b62b7a4ap-2, 0x1.6b6cfc2b5c316p-2, 0x1.49e8c4da21089p-2, 0x1.2928321047376p-2, 0x1.093521f21a297p-2, 0x1.d42fb92a0ed5bp-3, 0x1.97ae4fac34772p-3, 0x1.5cf0cefe4a51bp-3, 0x1.23ff8609e20b9p-3, 0x1.d9c1234815bb1p-4, 0x1.6f3028de8e3d5p-4, 0x1.0850bf1f8c94dp-4, 0x1.4a4849f26f988p-5, 0x1.16a1ce27f2497p-6, -0x1.6271c91baeb28p-8, -0x1.b94795a178051p-6, -0x1.85c30690d1c15p-5, -0x1.13e1897978427p-4, -0x1.615f4145a8e1ep-4, -0x1.ab697439964ccp-4, -0x1.f2103f19ab89cp-4, -0x1.1ab274ed1a68ap-3, -0x1.3abce0dc513bp-3, -0x1.5930fa1d444c8p-3, -0x1.7618b5934fb47p-3, -0x1.917e550077c2p-3, -0x1.ab6c56b18c454p-3, -0x1.c3ed661c651d2p-3, -0x1.db0c4d6a31352p-3, -0x1.f0d3e7feba5a1p-3, -0x1.02a78b15424b9p-2, -0x1.0c44591f35e48p-2, -0x1.1545c39209c42p-2, -0x1.1db1243d92845p-2, -0x1.258bc60d035a2p-2, -0x1.2cdae25e802dp-2, -0x1.33a39ed55636bp-2, -0x1.39eb0b8d0b8b4p-2, -0x1.3fb621972be49p-2, -0x1.4509c1b08dd7p-2, -0x1.49eab31ceabf8p-2, -0x1.4e5da29a6991cp-2, -0x1.526721635609cp-2, -0x1.560ba43a13c85p-2, -0x1.594f8280bfaa8p-2, -0x1.5c36f5612ba1bp-2, -0x1.5ec6170a64d01p-2, -0x1.6100e207b3836p-2, -0x1.62eb30b3d83ffp-2, -0x1.6488bccbb5b5p-2, -0x1.65dd1f25b312ap-2, -0x1.66ebcf960ec92p-2, -0x1.67b8250a1f282p-2, -0x1.684555e36388bp-2, -0x1.689678968124cp-2, -0x1.68ae848a6f09p-2, -0x1.6890532af2fdp-2, -0x1.683dfe5399215p-2, -0x1.67bb38a0a6237p-2, -0x1.670a2e94772a4p-2, -0x1.662d4a290389bp-2, -0x1.6526dae197eb2p-2, -0x1.63f9179c4319ap-2, -0x1.62a6204fd57e6p-2, -0x1.612fff99a589dp-2, -0x1.5f98ac0757b94p-2, -0x1.5de2091326245p-2, -0x1.5c0de7d33ae9p-2, -0x1.5a1e076570474p-2, -0x1.58141527368d4p-2, -0x1.55f1acccff11fp-2, -0x1.53b8586d3b653p-2, -0x1.516990912e8f8p-2, -0x1.4f06bc5a2c797p-2, -0x1.4c9131c532799p-2, -0x1.4a0a3611da2edp-2, -0x1.4772fe4d1eb92p-2, -0x1.44ccaffcaa15fp-2, -0x1.421861e486c46p-2, -0x1.3f571cdf3bad2p-2, -0x1.3c89dcbf6ec21p-2, -0x1.39b1913220ab7p-2, -0x1.36cf1e992b228p-2, -0x1.33e35ed6ff93bp-2, -0x1.30ef2206441f2p-2, -0x1.2df32f19f7fc7p-2, -0x1.2af04464dc713p-2, -0x1.27e71808caccp-2, -0x1.24d858506150ep-2, -0x1.21c4abf6a1cc8p-2, -0x1.1eacb260ecfcap-2, -0x1.1b9103cff8fedp-2, -0x1.1872318c3259p-2, -0x1.1550c611594b9p-2, -0x1.122d453c6ffeep-2, -0x1.0f082c7e09c05p-2, -0x1.0be1f3122c18bp-2, -0x1.08bb0a3e0a4bfp-2, -0x1.0593dd9327281p-2, -0x1.026cd336cff85p-2, -0x1.fe8c9858f3d06p-3, -0x1.f84149428a5eap-3, -0x1.f1f8686db8644p-3, -0x1.ebb29c97dcd9ep-3, -0x1.e57084817e981p-3, -0x1.df32b76d12683p-3, -0x1.d8f9c5919f2e2p-3, -0x1.d2c638804ba42p-3, -0x1.cc98937c94906p-3, -0x1.c67153c7ae849p-3, -0x1.c050f0e02ca1p-3, -0x1.ba37dcb772062p-3, -0x1.b42683ded37f9p-3, -0x1.ae1d4dae616cep-3, -0x1.a81c9c675c7a8p-3, -0x1.a224cd54356edp-3, -0x1.9c3638e7babd6p-3, -0x1.965132dcc4c3fp-3, -0x1.90760a575e054p-3, -0x1.8aa50a0810445p-3, -0x1.84de7851843cfp-3, -0x1.7f22977082ee9p-3, -0x1.7971a5a5febfep-3, -0x1.73cbdd62a9572p-3, -0x1.6e317573728a9p-3, -0x1.68a2a12e4321ep-3, -0x1.631f909e29f8dp-3, -0x1.5da870ae66dcep-3, -0x1.583d6b539c306p-3, -0x1.52dea7b2b092ep-3, -0x1.4d8c4a44f7e35p-3, -0x1.484674f958d76p-3, -0x1.430d47525a0b9p-3, -0x1.3de0de80fb479p-3, -0x1.38c1557c8d1a3p-3, -0x1.33aec517aadd1p-3, -0x1.2ea94412a2c5ep-3, -0x1.29b0e72b9f951p-3, -0x1.24c5c12cfc8e2p-3, -0x1.1fe7e2fa182b8p-3, -0x1.1b175b9b129fbp-3, -0x1.16543847c9107p-3, -0x1.119e8472603b1p-3, -0x1.0cf649d19dd64p-3, -0x1.085b906b4ac06p-3, -0x1.03ce5e9eb3151p-3, -0x1.fe9d725edb069p-4, -0x1.f5b946a0d5868p-4, -0x1.ecf03d5e88c43p-4, -0x1.e44256ffb0273p-4, -0x1.dbaf911013707p-4, -0x1.d337e657566b7p-4, -0x1.cadb4ef0da371p-4, -0x1.c299c063907bcp-4, -0x1.ba732db9910e9p-4, -0x1.b2678797622d1p-4, -0x1.aa76bc52bcc7bp-4, -0x1.a2a0b808ce9dbp-4, -0x1.9ae564b3d6fb5p-4, -0x1.9344aa4016e37p-4, -0x1.8bbe6ea01829ep-4, -0x1.845295e03b218p-4, -0x1.7d0102399b0dfp-4, -0x1.75c994244c291p-4, -0x1.6eac2a68fd16ap-4, -0x1.67a8a2320816p-4, -0x1.60bed71c02e73p-4, -0x1.59eea345d6e14p-4, -0x1.5337df6073b54p-4, -0x1.4c9e853f1a2afp-4, -0x1.461a3b3e3eedcp-4, -0x1.3faee1dc1e33dp-4, -0x1.395c4cfe33bf4p-4, -0x1.33224f638fb5fp-4, -0x1.2d00bab11bb76p-4, -0x1.26f75f7dd9f72p-4, -0x1.21060d5f23a32p-4, -0x1.1b2c92f4e14eap-4, -0x1.156abdf5bcae7p-4, -0x1.0fc05b3b44414p-4, -0x1.0a2d36cdfa099p-4, -0x1.04b11bf147e3dp-4, -0x1.fe97aa5e9ee4p-5, -0x1.f3fa58c91ccd6p-5, -0x1.e989d596a20cep-5, -0x1.df45b20dd4dd5p-5, -0x1.d52d7e5d5a5a8p-5, -0x1.cb40c9b13d6a2p-5, -0x1.c17f2247c5bdbp-5, -0x1.b7e81585b5c6ap-5, -0x1.ae7b3009ea561p-5, -0x1.a537fdc0607bap-5, -0x1.9c1e09f498224p-5, -0x1.932cdf635b298p-5, -0x1.8a64084beb714p-5, -0x1.81c30e8095bc3p-5, -0x1.79497b76b8e33p-5, -0x1.70f6d8563b5f2p-5, -0x1.68caae087f582p-5, -0x1.60c48546d53a6p-5, -0x1.58e3e6a876aa8p-5, -0x1.51285ab0124aep-5, -0x1.499169d8e7f8cp-5, -0x1.421e9ca38446ep-5, -0x1.3acf7ba21a82ap-5, -0x1.33a38f84871cfp-5, -0x1.2c9a6123f90f8p-5, -0x1.25b3798e4dd96p-5, -0x1.1eee62111c359p-5, -0x1.184aa44475a27p-5, -0x1.11c7ca155cf7fp-5, -0x1.0b655dcff753p-5, -0x1.0522ea2970a84p-5, -0x1.fdfff49344d24p-6, -0x1.f1f833a8d54aep-6, -0x1.e62da9e589173p-6, -0x1.da9f70b7264e9p-6, -0x1.cf4ca2b856c57p-6, -0x1.c4345bc11f23bp-6, -0x1.b955b8f6c9f2ap-6, -0x1.aeafd8db44859p-6, -0x1.a441db5bdb71ap-6, -0x1.9a0ae1df6c65cp-6, -0x1.900a0f53fb15ap-6, -0x1.863e883bb25fp-6, -0x1.7ca772b950f4cp-6, -0x1.7343f69bf91d4p-6, -0x1.6a133d6a702fcp-6, -0x1.6114726dc82eep-6, -0x1.5846c2bb72cc5p-6, -0x1.4fa95d3eca804p-6, -0x1.473b72c201856p-6, -0x1.3efc35f690c29p-6, -0x1.36eadb7d0c996p-6, -0x1.2f0699ec82133p-6, -0x1.274ea9d94319fp-6, -0x1.1fc245db383ecp-6, -0x1.1860aa93b26ecp-6, -0x1.112916b2beb27p-6, -0x1.0a1acafc09553p-6, -0x1.03350a4b45347p-6, -0x1.f8ee33305469p-7, -0x1.ebc07ff4036d3p-7, -0x1.dedf8d55919a3p-7, -0x1.d249f213e6ep-7, -0x1.c5fe493d853f2p-7, -0x1.b9fb32348d92dp-7, -0x1.ae3f50b1f9b2p-7, -0x1.a2c94cc82add9p-7, -0x1.9797d2e4d4ec7p-7, -0x1.8ca993d2398c8p-7, -0x1.81fd44b7c5e27p-7, -0x1.77919f1a22054p-7, -0x1.6d6560daa2d8ep-7, -0x1.63774c362c5c1p-7, -0x1.59c627c39c55p-7, -0x1.5050be719e681p-7, -0x1.4715df8411fb2p-7, -0x1.3e145e90f6809p-7, -0x1.354b137cdb348p-7, -0x1.2cb8da76f21b6p-7, -0x1.245c93f4ae542p-7, -0x1.1c3524ad08106p-7, -0x1.1441759355baap-7, -0x1.0c8073d1dba53p-7, -0x1.04f110c3fefa8p-7, -0x1.fb2483e04907ap-8, -0x1.ecc602028d5b1p-8, -0x1.dec49780974bbp-8, -0x1.d11e481a12963p-8, -0x1.c3d11fae2c4ecp-8, -0x1.b6db322ca6234p-8, -0x1.aa3a9b86937c1p-8, -0x1.9ded7f9e96423p-8, -0x1.91f20a38c0bafp-8, -0x1.86466eea2773ap-8, -0x1.7ae8e908024d7p-8, -0x1.6fd7bb969bfffp-8, -0x1.65113137d584cp-8, -0x1.5a939c1986e4ep-8, -0x1.505d55e37fc19p-8, -0x1.466cbfa56075bp-8, -0x1.3cc041c42c909p-8, -0x1.33564be7b5e86p-8, -0x1.2a2d54e7c5cf8p-8, -0x1.2143dab92f34fp-8, -0x1.1898625aa2902p-8, -0x1.102977c1679f1p-8, -0x1.07f5adc5ee54bp-8, -0x1.fff73c206f9cfp-9, -0x1.f073d208665fbp-9, -0x1.e15e6b5bd4b7bp-9, -0x1.d2b4635b39557p-9, -0x1.c47322478fc8ap-9, -0x1.b6981d3a17952p-9, -0x1.a920d5fc05e3cp-9, -0x1.9c0adade2ad06p-9, -0x1.8f53c6904ea96p-9, -0x1.82f93ff8850dp-9, -0x1.76f8fa0a66b1bp-9, -0x1.6b50b39e3febbp-9, -0x1.5ffe37481079ap-9, -0x1.54ff5b2eabf75p-9, -0x1.4a5200e2b4994p-9, -0x1.3ff4153585043p-9, -0x1.35e3901043cd9p-9, -0x1.2c1e744ac4e1ep-9, -0x1.22a2cf82a6968p-9, -0x1.196eb9f253b6ep-9, -0x1.1080564827e82p-9, -0x1.07d5d17d9e2efp-9, -0x1.fedac55d2bf46p-10, -0x1.ee8a95e1a9f33p-10, -0x1.deb7aa56e961bp-10, -0x1.cf5eabdd46b64p-10, -0x1.c07c5696d9618p-10, -0x1.b20d79579696cp-10, -0x1.a40ef555ce26fp-10, -0x1.967dbddae9c9ap-10, -0x1.8956d7f4d9c8bp-10, -0x1.7c975a27f7e4bp-10, -0x1.703c6c213b4ap-10, -0x1.644346694a52cp-10, -0x1.58a93217ebfcfp-10, -0x1.4d6b888834465p-10, -0x1.4287b30d2b41ap-10, -0x1.37fb2aa76e1fp-10, -0x1.2dc377bb1ba3bp-10, -0x1.23de31c6e79e4p-10, -0x1.1a48ff1b97102p-10, -0x1.110194945fc57p-10, -0x1.0805b5500f366p-10, -0x1.fea664d6543b8p-11, -0x1.edcfd574ab2bp-11, -0x1.dd83950ccbb2ep-11, -0x1.cdbd96910cf7dp-11, -0x1.be79e6cf57685p-11, -0x1.afb4abed67c1fp-11, -0x1.a16a24e71224ep-11, -0x1.9396a90e0effdp-11, -0x1.8636a78b8f846p-11, -0x1.7946a6e409573p-11, -0x1.6cc3447c4a558p-11, -0x1.60a934207e3adp-11, -0x1.54f53f8d1ef1p-11, -0x1.49a445f9b4bf5p-11, -0x1.3eb33ba54dcdp-11, -0x1.341f29648abd6p-11, -0x1.29e52c31ec34ep-11, -0x1.200274bfa4cd8p-11, -0x1.1674470b1997p-11, -0x1.0d37f9f247d9ep-11, -0x1.044af6cae10ddp-11, -0x1.f75571f658342p-12, -0x1.e6a99b28832b3p-12, -0x1.d68da5dd89ae2p-12, -0x1.c6fcf090f8cadp-12, -0x1.b7f2fac7e67fbp-12, -0x1.a96b645377b6ap-12, -0x1.9b61ec965fcefp-12, -0x1.8dd271cdbc574p-12, -0x1.80b8f05d68e3dp-12, -0x1.7411821ebf7cfp-12, -0x1.67d85db33f808p-12, -0x1.5c09d5d913b21p-12, -0x1.50a258c3fc648p-12, -0x1.459e6f783bf2bp-12, -0x1.3afabd28543fdp-12, -0x1.30b3fe968c7cdp-12, -0x1.26c7097869079p-12, -0x1.1d30cbdc49a13p-12, -0x1.13ee4b9412d25p-12, -0x1.0afca5a0261ffp-12, -0x1.02590d9dd7c41p-12, -0x1.f4019a721094ap-13, -0x1.e3e2873e374f2p-13, -0x1.d44fc9eb9f1f4p-13, -0x1.c54473a724ccbp-13, -0x1.b6bbbd74b8ce9p-13, -0x1.a8b1072b67cd4p-13, -0x1.9b1fd67400604p-13, -0x1.8e03d5ce4d24ap-13, -0x1.8158d399b06b3p-13, -0x1.751ac1230a956p-13, -0x1.6945b1b5e703ep-13, -0x1.5dd5d9b4856cfp-13, -0x1.52c78db1fa39cp-13, -0x1.481741915a858p-13, -0x1.3dc187a9935dep-13, -0x1.33c30fede25cbp-13, -0x1.2a18a719737fap-13, -0x1.20bf35dff89e3p-13, -0x1.17b3c022457f5p-13, -0x1.0ef339ca9dd73p-13, -0x1.067b340909517p-13, -0x1.fc91a074fe572p-14, -0x1.ecb2eeaae9418p-14, -0x1.dd55538612516p-14, -0x1.ce73fd57f7105p-14, -0x1.c00a4692c8e82p-14, -0x1.b213b474067b1p-14, -0x1.a48bf5b4ad212p-14, -0x1.976ee145384f3p-14, -0x1.8ab8750d76f5bp-14, -0x1.7e64d4b3d2413p-14, -0x1.72704871428cbp-14, -0x1.66d73be5eeec9p-14, -0x1.5b963cfa9423bp-14, -0x1.50a9fac63d803p-14, -0x1.460f447c5dcaep-14, -0x1.3bc308624484ep-14, -0x1.31c252c96ff14p-14, -0x1.280a4d15677f5p-14, -0x1.1e983cc39fb97p-14, -0x1.1569827caf7d7p-14, -0x1.0c7b992c3154ep-14, -0x1.03cc151b79b35p-14, -0x1.f6b146355e56ep-15, -0x1.e63e0f4c42c96p-15, -0x1.d63a3c34d3384p-15, -0x1.c6a1afd25864ap-15, -0x1.b77077a97d76cp-15, -0x1.a8a2ca674d54bp-15, -0x1.9a35066d5d78ep-15, -0x1.8c23b06f646d3p-15, -0x1.7e6b7213d96a9p-15, -0x1.710918a78349p-15, -0x1.63f993cf892bap-15, -0x1.5739f454f52e3p-15, -0x1.4ac76aeb40569p-15, -0x1.3e9f4708e6885p-15, -0x1.32bef5c445598p-15, -0x1.272400bbc12b7p-15, -0x1.1bcc0d081e5a6p-15, -0x1.10b4da32cb972p-15, -0x1.05dc41377115p-15, -0x1.f6806716f97adp-16, -0x1.e1bd74611b3afp-16, -0x1.cd6be9916b00bp-16, -0x1.b9883171bcb3ep-16, -0x1.a60ee096adedep-16, -0x1.92fcb3bf449e3p-16, -0x1.804e8e36cb42cp-16, -0x1.6e017849cf9a5p-16, -0x1.5c129dc7a504cp-16, -0x1.4a7f4c8e12546p-16, -0x1.3944f31dc9fbp-16, -0x1.28611f42458adp-16, -0x1.17d17cc09fd8ap-16, -0x1.0793d4112e473p-16, -0x1.ef4c123eb661fp-17, -0x1.d00c343f9ae26p-17, -0x1.b1643cc862677p-17, -0x1.93508a8130bcap-17, -0x1.75cda9eb0cd26p-17, -0x1.58d853543196fp-17, -0x1.3c6d68c071705p-17, -0x1.2089f40ba8bf4p-17, -0x1.052b2506b0ce7p-17, -0x1.d49c9f4b56c35p-18, -0x1.9fe1d47db0742p-18, -0x1.6c2117bcf19a8p-18, -0x1.3955d54b91c89p-18, -0x1.077bb469e669p-18, -0x1.ad1d28d692e6bp-19, -0x1.4d15136e539ccp-19, -0x1.ddaf6c0136ac4p-20, -0x1.24bbfa79535c6p-20, -0x1.bd097f267cdd5p-22, 0x1.0b28b1f9e8122p-22, 0x1.e2eba3c7ed33ep-21, 0x1.9ccc215f6c6d2p-20, 0x1.226c0e4cc01bbp-19, 0x1.74d21fadcc14p-19, 0x1.c59d43dbe2a06p-19, 0x1.0a691f5bf23d2p-18, 0x1.313ace6aac7c5p-18, 0x1.5745db87ab8f3p-18, 0x1.7c8c5af3fc294p-18, 0x1.a1104a6e7e551p-18, 0x1.c4d392c665cbdp-18, 0x1.e7d8094f7a202p-18, 0x1.050fb8ad1fd2fp-17, 0x1.15d5bec67f19dp-17, 0x1.263ee89abfaa7p-17, 0x1.364c00bf307cdp-17, 0x1.45fdcb5151cf8p-17, 0x1.5555068542718p-17, 0x1.64526b3043969p-17, 0x1.72f6ad45eb567p-17, 0x1.81427c5ae878fp-17, 0x1.8f36840feffccp-17, 0x1.9cd36c878c13bp-17, 0x1.aa19dacc57744p-17, 0x1.b70a712e763c5p-17, 0x1.c3a5cfaad4aacp-17, 0x1.cfec943179fe4p-17, 0x1.dbdf5b1878748p-17, 0x1.e77ebf4b8359p-17, 0x1.f2cb5a965b0bep-17, 0x1.fdc5c5f8d5153p-17, 0x1.04374ced507dp-16, 0x1.096337242fcebp-16, 0x1.0e66ed971ed2ap-16, 0x1.1342bc47be381p-16, 0x1.17f6ef54d7209p-16, 0x1.1c83d3155c54ap-16, 0x1.20e9b428a4624p-16, 0x1.2528df8fe2d37p-16, 0x1.2941a2b6ea9cep-16, 0x1.2d344b8854b85p-16, 0x1.3101287bec5fdp-16, 0x1.34a888a111fa6p-16, 0x1.382abba9f29aep-16, 0x1.3b8811f80dd7bp-16, 0x1.3ec0dca34c33cp-16, 0x1.41d56d7f84e39p-16, 0x1.44c6172844b1p-16, 0x1.47932d0655315p-16, 0x1.4a3d034be8c9ap-16, 0x1.4cc3eefe5c32dp-16, 0x1.4f2845f9dae69p-16, 0x1.516a5ef19c5fp-16, 0x1.538a916df2e43p-16, 0x1.558935d1f4a03p-16, 0x1.5766a558b5da8p-16, 0x1.59233a133bab8p-16, 0x1.5abf4ee609159p-16, 0x1.5c3b3f890b90bp-16, 0x1.5d976883d406dp-16, 0x1.5ed427292a158p-16, 0x1.5ff1d99388c6p-16, 0x1.60f0dea09ce97p-16, 0x1.61d195ecf5e4cp-16, 0x1.62945fce9ee7ep-16, 0x1.63399d4e9225fp-16, 0x1.63c1b0220e825p-16, 0x1.642cfaa89e713p-16, 0x1.647bdfdc4b5f7p-16, 0x1.64aec35684f13p-16, 0x1.64c60944e0dd6p-16, 0x1.64c21658234cp-16, 0x1.64a34fc882826p-16, 0x1.646a1b487a976p-16, 0x1.6416defe88ba7p-16, 0x1.63aa017e42e8ap-16, 0x1.6323e9bcc432p-16, }}, 
      {{-0x1.4c37c5bee8917p-2, -0x1.42d44e45a861fp-2, -0x1.339a3a91ed33fp-2, -0x1.1f0dc55274634p-2, -0x1.05c7cc70cf957p-2, -0x1.d0d4b54cb23fdp-3, -0x1.8f31402fedf81p-3, -0x1.47e303adf4f22p-3, -0x1.f82fdbd8e3a3fp-4, -0x1.59d2cd9012146p-4, -0x1.6d66edfae694cp-5, -0x1.0a550f78c47d7p-8, 0x1.2d6a0d91d5e8dp-5, 0x1.3de95b75a8fe1p-4, 0x1.e3b36377a9b0fp-4, 0x1.437d0a7104ec3p-3, 0x1.936651155778ap-3, 0x1.e12f9de2ddffep-3, 0x1.1641e89646513p-2, 0x1.3a8e7fbc4f785p-2, 0x1.5d617841045e3p-2, 0x1.7ea4dc80b7d02p-2, 0x1.9e4825019f392p-2, 0x1.bc3f8eba2d15dp-2, 0x1.d883a6a53754dp-2, 0x1.f310b4d662efep-2, 0x1.05f3115a4bbfcp-1, 0x1.11832fa1a35cp-1, 0x1.1c3b0f938c01fp-1, 0x1.261e18e96ef3cp-1, 0x1.2f3095c7b4cb1p-1, 0x1.37778be16b94ap-1, 0x1.3ef89a88bc0eap-1, 0x1.45b9de6990904p-1, 0x1.4bc1d8559ae0fp-1, 0x1.5117560bf8764p-1, 0x1.55c15d57e9dfdp-1, 0x1.59c719b575c1p-1, 0x1.5d2fcc5792157p-1, 0x1.6002be7d1d65ep-1, 0x1.624735df061bdp-1, 0x1.64046aae36d5bp-1, 0x1.65417ea46422p-1, 0x1.660575209ca54p-1, 0x1.66572c9e9a18fp-1, 0x1.663d59b617c7p-1, 0x1.65be8365ffed6p-1, 0x1.64e10024097e6p-1, 0x1.63aaf337dc927p-1, 0x1.62224a42f5581p-1, 0x1.604cbb36a44aap-1, 0x1.5e2fc3164c96cp-1, 0x1.5bd0a5a96996fp-1, 0x1.59346de09b7a1p-1, 0x1.5660143ae2a3ap-1, 0x1.5357e0ebd4216p-1, 0x1.502064eb1f23bp-1, 0x1.4cbdce0314171p-1, 0x1.4934144ecd05p-1, 0x1.4586fbca4afb9p-1, 0x1.41ba160795f24p-1, 0x1.3dd0c3e1313acp-1, 0x1.39ce3715be74cp-1, 0x1.35b573ca17087p-1, 0x1.318951fb9b61dp-1, 0x1.2d4c7ef2888d1p-1, 0x1.29017ec2e6d7fp-1, 0x1.24aaade30fe9bp-1, 0x1.204a42d4e973bp-1, 0x1.1be24fd7c56aap-1, 0x1.1774c496cdcdcp-1, 0x1.13036fca1e2f3p-1, 0x1.0e9000c4de508p-1, 0x1.0a1c08eeec2c7p-1, 0x1.05a8fd2c504a5p-1, 0x1.0138373759aadp-1, 0x1.f995ede67b655p-2, 0x1.f0c4c7777bcc2p-2, 0x1.e7ff1b65a1952p-2, 0x1.df46de123524ap-2, 0x1.d69dda771a96p-2, 0x1.ce05b481f697cp-2, 0x1.c57feb4b31be8p-2, 0x1.bd0ddb2c2e375p-2, 0x1.b4b0bfbc38d49p-2, 0x1.ac69b5babaf43p-2, 0x1.a439bce8e347dp-2, 0x1.9c21b9d0d331cp-2, 0x1.9422777760352p-2, 0x1.8c3ca8f7c1076p-2, 0x1.8470eb0bd932cp-2, 0x1.7cbfc5855b00ap-2, 0x1.7529acba5595p-2, 0x1.6daf02e3fb5dfp-2, 0x1.6650196ae2f99p-2, 0x1.5f0d321b38356p-2, 0x1.57e6803dd7176p-2, 0x1.50dc299800d4ep-2, 0x1.49ee4757b906ap-2, 0x1.431ce6f4c2ea6p-2, 0x1.3c680b0cc5841p-2, 0x1.35cfac3d10d04p-2, 0x1.2f53b9f815b15p-2, 0x1.28f41b51ae3a4p-2, 0x1.22b0afbd1de07p-2, 0x1.1c894fb9eff2ap-2, 0x1.167dcd7017b94p-2, 0x1.108df53e8fb9cp-2, 0x1.0ab98e40cb199p-2, 0x1.05005ace967ap-2, 0x1.fec42e591ef73p-3, 0x1.f3bd04add2582p-3, 0x1.e8eaa03c7332dp-3, 0x1.de4c68903b928p-3, 0x1.d3e1bfed61c59p-3, 0x1.c9aa03f9c624cp-3, 0x1.bfa48e5712d48p-3, 0x1.b5d0b52fa8f22p-3, 0x1.ac2dcbb7c9171p-3, 0x1.a2bb22a45a8f9p-3, 0x1.997808988c2b9p-3, 0x1.9063ca8b649d5p-3, 0x1.877db42645e38p-3, 0x1.7ec5101d4166dp-3, 0x1.76392882152ep-3, 0x1.6dd947123e599p-3, 0x1.65a4b5807476cp-3, 0x1.5d9abdb97a504p-3, 0x1.55baaa2412fa4p-3, 0x1.4e03c5dbe02b5p-3, 0x1.46755ce6f276ep-3, 0x1.3f0ebc6611927p-3, 0x1.37cf32bfbf487p-3, 0x1.30b60fc64d0f7p-3, 0x1.29c2a4d9382a6p-3, 0x1.22f445023a45fp-3, 0x1.1c4a450e5bfb3p-3, 0x1.15c3fba37d524p-3, 0x1.0f60c152a28edp-3, 0x1.091ff0a78f601p-3, 0x1.0300e636007ddp-3, 0x1.fa060149ea5a8p-4, 0x1.ee4b4170dd68ap-4, 0x1.e2d052b398e13p-4, 0x1.d793ff3e30435p-4, 0x1.cc9515a27f865p-4, 0x1.c1d268e2b7803p-4, 0x1.b74ad079e89b2p-4, 0x1.acfd28628692bp-4, 0x1.a2e8511ae3769p-4, 0x1.990b2fa7ade91p-4, 0x1.8f64ad9477b3dp-4, 0x1.85f3b8f25ee86p-4, 0x1.7cb744550203fp-4, 0x1.73ae46cdcbbfdp-4, 0x1.6ad7bbe5c60ebp-4, 0x1.6232a395f9619p-4, 0x1.59be023e7dab5p-4, 0x1.5178e09c59d1bp-4, 0x1.49624bbe5323ap-4, 0x1.417954f8d4c62p-4, 0x1.39bd11d92355bp-4, 0x1.322c9c1800cd6p-4, 0x1.2ac7118bf4c68p-4, 0x1.238b941b5b311p-4, 0x1.1c7949ae53bc4p-4, 0x1.158f5c20ab705p-4, 0x1.0eccf933c42c4p-4, 0x1.083152808387p-4, 0x1.01bb9d6945bcap-4, 0x1.f6d6261798c3cp-5, 0x1.ea7de06665745p-5, 0x1.de6cea93ab777p-5, 0x1.d2a1cc96744abp-5, 0x1.c71b156bda3efp-5, 0x1.bbd75afacb23p-5, 0x1.b0d539f7cd655p-5, 0x1.a61355c8e6478p-5, 0x1.9b9058698e7fcp-5, 0x1.914af24eddbcdp-5, 0x1.8741da4bd8a55p-5, 0x1.7d73cd75fe2c1p-5, 0x1.73df8f0a09ab1p-5, 0x1.6a83e850f2eb2p-5, 0x1.615fa8852e34ep-5, 0x1.5871a4b830a35p-5, 0x1.4fb8b7b836422p-5, 0x1.4733c1f659cccp-5, 0x1.3ee1a96cf9d5p-5, 0x1.36c1598671a7p-5, 0x1.2ed1c30438ea3p-5, 0x1.2711dbe665123p-5, 0x1.1f809f53934f4p-5, 0x1.181d0d81458bfp-5, 0x1.10e62b9cac238p-5, 0x1.09db03b3e24b3p-5, 0x1.02faa49f9a04ep-5, 0x1.f88843da633dep-6, 0x1.eb6d27925dc64p-6, 0x1.dea22dd434a61p-6, 0x1.d22598f76f433p-6, 0x1.c5f5b41521b74p-6, 0x1.ba10d2dfad6b4p-6, 0x1.ae75517b238c8p-6, 0x1.a321945643057p-6, 0x1.98140804184f3p-6, 0x1.8d4b21163ae4p-6, 0x1.82c55bf7b22b5p-6, 0x1.78813cc87da79p-6, 0x1.6e7d4f39c3361p-6, 0x1.64b8266aa84d7p-6, 0x1.5b305cc5d2b6fp-6, 0x1.51e493df78d49p-6, 0x1.48d374543df93p-6, 0x1.3ffbada87d3b8p-6, 0x1.375bf6284650ep-6, 0x1.2ef30ac7ddffbp-6, 0x1.26bfaf04c5accp-6, 0x1.1ec0acc75b9cap-6, 0x1.16f4d444ea632p-6, 0x1.0f5afbe239194p-6, 0x1.07f200169f2a9p-6, 0x1.00b9fc857978fp-6, 0x1.f35ee5bacc205p-7, 0x1.e5a4fd95b60d8p-7, 0x1.d84427e8b90abp-7, 0x1.cb3a57109482ap-7, 0x1.be858845a818fp-7, 0x1.b223c368cedb2p-7, 0x1.a6131ad100e24p-7, 0x1.9a51ab19f951dp-7, 0x1.8edd9af3ab38ep-7, 0x1.83b51af275daap-7, 0x1.78d6656048378p-7, 0x1.6e3fbe0e7fc52p-7, 0x1.63ef722887f51p-7, 0x1.59e3d80751103p-7, 0x1.501b4f0576fddp-7, 0x1.46943f542deb4p-7, 0x1.3d4d19d0e06bfp-7, 0x1.344457db88a35p-7, 0x1.2b787b2db7872p-7, 0x1.22e80db253ca7p-7, 0x1.1a91a15dfbe6bp-7, 0x1.1273d0081a50dp-7, 0x1.0a8d3b4498031p-7, 0x1.02dc8c3e32b3dp-7, 0x1.f6c0e7231cbfp-8, 0x1.e82f525190e08p-8, 0x1.da01d82f6087cp-8, 0x1.cc3604f13983ap-8, 0x1.bec97293be928p-8, 0x1.b1b9c8978b815p-8, 0x1.a504bbbe64c7ap-8, 0x1.98a80dc97cf4bp-8, 0x1.8ca18d38ea62ap-8, 0x1.80ef150c322abp-8, 0x1.758e8c83db1f3p-8, 0x1.6a7de6e41bef4p-8, 0x1.5fbb2338857edp-8, 0x1.55444c18c8afdp-8, 0x1.4b17776e70361p-8, 0x1.4132c63b9b1efp-8, 0x1.37946462ada41p-8, 0x1.2e3a886f065afp-8, 0x1.2523735e7e9e5p-8, 0x1.1c4d706c11639p-8, 0x1.13b6d4db2bcb1p-8, 0x1.0b5dffc42fa7p-8, 0x1.034159e18a10cp-8, 0x1.f6beaabba5277p-9, 0x1.e76cdb458b3c4p-9, 0x1.d88a4e520a325p-9, 0x1.ca141e91625c9p-9, 0x1.bc077815dca93p-9, 0x1.ae6197f81eefdp-9, 0x1.a11fcbfd2ca75p-9, 0x1.943f723e31497p-9, 0x1.87bdf8d189e76p-9, 0x1.7b98dd756ad2dp-9, 0x1.6fcdad3c239c1p-9, 0x1.645a0439a0009p-9, 0x1.593b8d329ed35p-9, 0x1.4e70014d1d645p-9, 0x1.43f527c251796p-9, 0x1.39c8d591e6f9ep-9, 0x1.2fe8ed36d13cp-9, 0x1.26535e5d326bdp-9, 0x1.1d062599e9b88p-9, 0x1.13ff4c22c943ep-9, 0x1.0b3ce78948342p-9, 0x1.02bd19752f243p-9, 0x1.f4fc1ec303541p-10, 0x1.e4fc04b3afc63p-10, 0x1.d5766d737e169p-10, 0x1.c667f7d9798aap-10, 0x1.b7cd585f6fb82p-10, 0x1.a9a358a6fcdcep-10, 0x1.9be6d70120baep-10, 0x1.8e94c5f7f343ep-10, 0x1.81aa2bda5f2f2p-10, 0x1.7524224a957d5p-10, 0x1.68ffd5ce6d01ap-10, 0x1.5d3a8561c112ep-10, 0x1.51d1820b2bb87p-10, 0x1.46c22e72cc82ep-10, 0x1.3c09fe7afa482p-10, 0x1.31a676db43f98p-10, 0x1.27952cbce2c4ap-10, 0x1.1dd3c55a04a9fp-10, 0x1.145ff59e350d6p-10, 0x1.0b3781c910ff6p-10, 0x1.02583d12cdc1fp-10, 0x1.f38012a539602p-11, 0x1.e2d9ad4d8d28ap-11, 0x1.d2b9463d7a882p-11, 0x1.c31af4cd55239p-11, 0x1.b3faeae9cee05p-11, 0x1.a55574732e91p-11, 0x1.9726f69da54a4p-11, 0x1.896bef578cb2cp-11, 0x1.7c20f4b0a9dc8p-11, 0x1.6f42b4463cebfp-11, 0x1.62cdf2b0bdf17p-11, 0x1.56bf8af6b152dp-11, 0x1.4b146e00158efp-11, 0x1.3fc9a20ede6f7p-11, 0x1.34dc4239195eep-11, 0x1.2a497de6493a6p-11, 0x1.200e984fbf12bp-11, 0x1.1628e8039af8fp-11, 0x1.0c95d66a4552dp-11, 0x1.0352df4ece26cp-11, 0x1.f4bb20d481922p-12, 0x1.e36711e182a81p-12, 0x1.d2a4f2437cf45p-12, 0x1.c27043b496faap-12, 0x1.b2c4a854d157cp-12, 0x1.a39de1d7c107bp-12, 0x1.94f7d0b7f208p-12, 0x1.86ce736f447e5p-12, 0x1.791de5b2c8bcap-12, 0x1.6be25fb35730cp-12, 0x1.5f183562dc24p-12, 0x1.52bbd5bd52fafp-12, 0x1.46c9ca1637937p-12, 0x1.3b3eb56a24c8fp-12, 0x1.301753b3854ddp-12, 0x1.255079443f091p-12, 0x1.1ae71222f4bc9p-12, 0x1.10d8216c2bdep-12, 0x1.0720c0b64b1ep-12, 0x1.fb7c3ef347baap-13, 0x1.e95b04f8a66e2p-13, 0x1.d7d886831b4abp-13, 0x1.c6ef9ef7f1d76p-13, 0x1.b69b510786f19p-13, 0x1.a6d6c59b7c93dp-13, 0x1.979d4ad5d8465p-13, 0x1.88ea530b3827p-13, 0x1.7ab973c8a61fdp-13, 0x1.6d0664de6cd5bp-13, 0x1.5fccff713461p-13, 0x1.53093d1054fd5p-13, 0x1.46b736d05b616p-13, 0x1.3ad3246f03208p-13, 0x1.2f595b78deb0ap-13, 0x1.24464e7591fbcp-13, 0x1.19968c197559bp-13, 0x1.0f46be7ca00aep-13, 0x1.0553aa545563ep-13, 0x1.f7745c6c09a86p-14, 0x1.e4ee83b5f88abp-14, 0x1.d30fead4466b3p-14, 0x1.c1d2e18b74e44p-14, 0x1.b131e5c01bad3p-14, 0x1.a127a220bb6d8p-14, 0x1.91aeecde9eecep-14, 0x1.82c2c66d57a19p-14, 0x1.745e584a6642dp-14, 0x1.667cf3c727c71p-14, 0x1.591a10e91068bp-14, 0x1.4c314d42e1baep-14, 0x1.3fbe6adae6ab7p-14, 0x1.33bd4f174e3a9p-14, 0x1.282a01b8d2011p-14, 0x1.1d00abd1d09b8p-14, 0x1.123d96c9303bap-14, 0x1.07dd2b63a3daap-14, 0x1.fbb7e1a963353p-15, 0x1.e86d17a7bd7edp-15, 0x1.d5d37b73c9128p-15, 0x1.c3e4c74037f26p-15, 0x1.b29aeb1c7b5a8p-15, 0x1.a1f00b482272fp-15, 0x1.91de7ea0cd681p-15, 0x1.8260cd093eb3ap-15, 0x1.7371adf95b03bp-15, 0x1.650c06f8011dep-15, 0x1.572aea3256f2dp-15, 0x1.49c99519a431bp-15, 0x1.3ce36f043e491p-15, 0x1.307407e36d6b1p-15, 0x1.247716fc4beffp-15, 0x1.18e879a55d67bp-15, 0x1.0dc4321577044p-15, 0x1.03066636f1cf5p-15, 0x1.f156bd09d6fd2p-16, 0x1.dd5f09dc65c3p-16, 0x1.ca1ec785d5a4ep-16, 0x1.b78f495273abdp-16, 0x1.a5aa1f3421541p-16, 0x1.946913c3cb346p-16, 0x1.83c62a61c117p-16, 0x1.73bb9d4e300f4p-16, 0x1.6443dbe56de37p-16, 0x1.555988de18d71p-16, 0x1.46f7787edfaafp-16, 0x1.3918af222124ep-16, 0x1.2bb85f7ec53e4p-16, 0x1.1ed1e913e94a4p-16, 0x1.1260d6bebcd23p-16, 0x1.0660dd3ba4d86p-16, 0x1.f59bb33dd7debp-17, 0x1.df47a04659ccdp-17, 0x1.c9bdd56ab83c3p-17, 0x1.b4f6ef5635978p-17, 0x1.a0ebd1113048p-17, 0x1.8d95a18ffacb1p-17, 0x1.7aedc94a17185p-17, 0x1.68edeffd56b1bp-17, 0x1.578ffa679e101p-17, 0x1.46ce082f50e81p-17, 0x1.36a271d000857p-17, 0x1.2707c6846d2b6p-17, 0x1.17f8ca600ff78p-17, 0x1.0970746616328p-17, 0x1.f6d3d974ada64p-18, 0x1.dbc115a43a1cep-18, 0x1.c19fa797108cep-18, 0x1.a866f14547dd2p-18, 0x1.900ea97fa4ad7p-18, 0x1.788ed8ab820ap-18, 0x1.61dfd5bdf8981p-18, 0x1.4bfa4357b439ap-18, 0x1.36d70cf4555f1p-18, 0x1.226f7ca32c158p-18, 0x1.0ebcd57fc8dc2p-18, 0x1.f771ce254d262p-19, 0x1.d2bb4bf4fcc5dp-19, 0x1.af4a85d377c8ap-19, 0x1.8d1450f157628p-19, 0x1.6c0df19f8874dp-19, 0x1.4c2d1727a04p-19, 0x1.2d67d7b6d90f3p-19, 0x1.0fb4ac3ba8f2dp-19, 0x1.e614d9a5b9434p-20, 0x1.aec098a870429p-20, 0x1.795bab80f2f83p-20, 0x1.45d5d08958c6fp-20, 0x1.141f679879a5p-20, 0x1.c852d7d93cc45p-21, 0x1.6bcadbc3cf06bp-21, 0x1.128b19aca9a6bp-21, 0x1.78f1c784d76a4p-22, 0x1.a5ea4c7050522p-23, 0x1.9777df670122cp-25, -0x1.9d4096bfb28c3p-24, -0x1.f7ebb4baf39cap-23, -0x1.8b2e0352d320fp-22, -0x1.0a916900e6a09p-21, -0x1.4cfe6ff14d3dcp-21, -0x1.8cf19e3ea9d35p-21, -0x1.ca7dbf8fe1e06p-21, -0x1.02da7580d1bf1p-20, -0x1.1f5445665d27p-20, -0x1.3ab4b1f15b0a5p-20, -0x1.5503ce1fe7e45p-20, -0x1.6e49615f3eb89p-20, -0x1.868ce9d38a352p-20, -0x1.9dd5a121ac916p-20, -0x1.b42a7d722217fp-20, -0x1.c9923577f7f16p-20, -0x1.de13430c61274p-20, -0x1.f1b3e58ad388bp-20, -0x1.023d127824e5dp-19, -0x1.0b35e9c3b0b63p-19, -0x1.13c7485becb55p-19, -0x1.1bf3e5957b0a3p-19, -0x1.23be616d1b539p-19, -0x1.2b2945b4674b9p-19, -0x1.323706afda382p-19, -0x1.38ea04864d01bp-19, -0x1.3f448bd302de1p-19, -0x1.4548d69dffb6cp-19, -0x1.4af90d29f8f39p-19, -0x1.505746cd3be94p-19, -0x1.55658a825adfdp-19, -0x1.5a25cfe7428cp-19, -0x1.5e99ffcfc995dp-19, -0x1.62c3f4d1125cap-19, -0x1.66a57c112caf2p-19, -0x1.6a4055b560d6fp-19, -0x1.6d9635cc06bddp-19, -0x1.70a8c45cebb6ep-19, -0x1.73799e4273b91p-19, -0x1.760a55953a775p-19, -0x1.785c72251e72ep-19, -0x1.7a7171ca1f6aap-19, -0x1.7c4ac9491a162p-19, -0x1.7de9e44e91101p-19, -0x1.7f5025c36ac92p-19, -0x1.807ee8639dac3p-19, -0x1.81777f238d7fcp-19, -0x1.823b3566ee0dap-19, -0x1.82cb4f51083b4p-19, -0x1.83290a3b57afcp-19, -0x1.83559ccf0c65ap-19, -0x1.8352373a050f5p-19, -0x1.832003d1e66a1p-19, -0x1.82c0270136287p-19, -0x1.8233bf6acab61p-19, -0x1.817be681ec54p-19, -0x1.8099b05d396f7p-19, -0x1.7f8e2c735fceap-19, -0x1.7e5a651396da2p-19, -0x1.7cff5ffd85598p-19, -0x1.7b7e1eab59504p-19, -0x1.79d79e2127e66p-19, -0x1.780cd73ff0a1bp-19, -0x1.761ebef202e66p-19, -0x1.740e4640563bdp-19, -0x1.71dc5a701980ap-19, -0x1.6f89e515cab97p-19, -0x1.6d17cc51a994dp-19, -0x1.6a86f2ceb1207p-19, -0x1.67d837e3f93dfp-19, -0x1.650c77a6f2d05p-19, -0x1.62248b084032ap-19, -0x1.5f2147e30244cp-19, -0x1.5c03811408dp-19, -0x1.58cc067f55b45p-19, -0x1.557ba52720e97p-19, -0x1.5213275db91a1p-19, -0x1.4e93549345a5cp-19, -0x1.4afcf195f85f3p-19, -0x1.4750c0798da7cp-19, -0x1.438f80b16d1bap-19, -0x1.3fb9ef3b6e4a8p-19, -0x1.3bd0c661c3b12p-19, -0x1.37d4be368dbd2p-19, -0x1.33c68c40c647bp-19, -0x1.2fa6e35e76027p-19, -0x1.2b76744e2cd16p-19, -0x1.2735ed53ae467p-19, -0x1.22e5fa3da09dep-19, -0x1.1e8744a69c6c8p-19, -0x1.1a1a73e90b3afp-19, -0x1.15a02cfbc0fb7p-19, -0x1.11191299cab63p-19, -0x1.0c85c537e1d14p-19, -0x1.07e6e323d927p-19, -0x1.033d085da0c1ep-19, -0x1.fd119d7513a08p-20, -0x1.f3959ba6749e5p-20, -0x1.ea073637cd35ep-20, -0x1.e06793b3725f7p-20, -0x1.d6b7d64e0b85bp-20, -0x1.ccf91bf36e1dp-20, -0x1.c32c7e1b157fep-20, -0x1.b953121a9577ap-20, -0x1.af6de967b15bdp-20, -0x1.a57e108539ca8p-20, -0x1.9b84901aa8f1p-20, -0x1.91826c875c088p-20, -0x1.8778a61c1ac1bp-20, -0x1.7d6838950f2bap-20, -0x1.73521be6e134dp-20, -0x1.693743c2d5421p-20, -0x1.5f189f7e3d4c8p-20, -0x1.54f71a8a91d74p-20, -0x1.4ad39c2364db6p-20, -0x1.40af0764b845cp-20, -0x1.368a3b51b05bbp-20, -0x1.2c6612eca4f1bp-20, -0x1.224364e88af04p-20, -0x1.182304237d044p-20, -0x1.0e05bf5c5c464p-20, -0x1.03ec614d1e368p-20, -0x1.f3af6131c3381p-21, -0x1.df90e02cd2d5fp-21, -0x1.cb7ebc8fe5c1fp-21, -0x1.b77a6c0ef74c8p-21, -0x1.a3855cd599653p-21, -0x1.8fa0f44310556p-21, -0x1.7bce9042fbd58p-21, -0x1.680f872306e47p-21, -0x1.546526f692a54p-21, -0x1.40d0b6d8fcf95p-21, -0x1.2d5375bc92abdp-21, }}, 
      {{0x1.744ef8295fdf9p-10, 0x1.6c460a3f48ef9p-8, 0x1.8ca57a74171f8p-7, 0x1.52459a045ff43p-6, 0x1.f76e41b18d631p-6, 0x1.571e30cd85302p-5, 0x1.b7bc553ff4593p-5, 0x1.0d21a3c92fc33p-4, 0x1.3de2324b44254p-4, 0x1.6cdc069db6ed1p-4, 0x1.98ff25d7190b4p-4, 0x1.c16d4b4b73273p-4, 0x1.e576d39ef832fp-4, 0x1.024af69665c66p-3, 0x1.0f354938ffa3cp-3, 0x1.195ad03d3a7c6p-3, 0x1.20aa21b7b77f4p-3, 0x1.251dea35e492bp-3, 0x1.26bb142527ac8p-3, 0x1.258ed8c31c037p-3, 0x1.21ad68e765a7p-3, 0x1.1b304904f3e1ap-3, 0x1.123527a58f4p-3, 0x1.06ddac3b49888p-3, 0x1.f29b1a26c227fp-4, 0x1.d35298dca03aap-4, 0x1.b02ebdc608ca6p-4, 0x1.897da78587e4cp-4, 0x1.5f8c3579fe4e1p-4, 0x1.32a7903e8e1ep-4, 0x1.031b56a7663ccp-4, 0x1.a26226dbda58p-5, 0x1.3a608aeb5f104p-5, 0x1.9d785fe8fd7a6p-6, 0x1.7fe73d47b5d51p-7, -0x1.168086889c8ffp-9, -0x1.09e23ce6f959p-6, -0x1.f45f1777348a9p-6, -0x1.70b7963d786fep-5, -0x1.e82399a31431dp-5, -0x1.300a112ed4bcfp-4, -0x1.6c180ed3c6ee8p-4, -0x1.a81273767b0bdp-4, -0x1.e3d30e3f7eb97p-4, -0x1.0f9b533984e02p-3, -0x1.2d0e66f679301p-3, -0x1.4a33dd74f364p-3, -0x1.66fe169d45693p-3, -0x1.8360aed5ef581p-3, -0x1.9f5079631ac58p-3, -0x1.bac378cdbe638p-3, -0x1.d5b0cfd5e248dp-3, -0x1.f010a8f775c47p-3, -0x1.04ee0c8879688p-2, -0x1.1184306a48136p-2, -0x1.1dccf2b56a115p-2, -0x1.29c36395119b8p-2, -0x1.3565a0dcd0e32p-2, -0x1.40b213f26448fp-2, -0x1.4ba76905b1947p-2, -0x1.56448d9f45e3cp-2, -0x1.6088b315140e9p-2, -0x1.6a7350986752fp-2, -0x1.740421eb87fa5p-2, -0x1.7d3b221f00ec8p-2, -0x1.861883abc739bp-2, -0x1.8e9ca81335606p-2, -0x1.96c818d93c01bp-2, -0x1.9e9b82aff6df5p-2, -0x1.a617b2a43e323p-2, -0x1.ad3d9476623c5p-2, -0x1.b40e312aa683bp-2, -0x1.ba8aad26835a4p-2, -0x1.c0b445a60c492p-2, -0x1.c68c4dbb69699p-2, -0x1.cc142b3bd15d9p-2, -0x1.d14d53f4ac65ap-2, -0x1.d6394b56524abp-2, -0x1.dad9a08effe17p-2, -0x1.df2fecf016253p-2, -0x1.e33dd2708d201p-2, -0x1.e704fa2b07f57p-2, -0x1.ea8712c8702e4p-2, -0x1.edc5ced8af177p-2, -0x1.f0c2e326c1e52p-2, -0x1.f380051beaccap-2, -0x1.f5fee94761c3dp-2, -0x1.f841421c95735p-2, -0x1.fa48bef1a7225p-2, -0x1.fc170b3cd832dp-2, -0x1.fdadce054f9dcp-2, -0x1.ff0ea975d42dp-2, -0x1.001d9d403ee36p-1, -0x1.009a8c43fa4ebp-1, -0x1.00feea8543b2fp-1, -0x1.014b7da898939p-1, -0x1.01810813260a3p-1, -0x1.01a048ca8a4dap-1, -0x1.01a9fb5741e5ap-1, -0x1.019ed7a65788ap-1, -0x1.017f91e6f6a51p-1, -0x1.014cda628755ap-1, -0x1.01075d5107d31p-1, -0x1.00afc2ae31f76p-1, -0x1.0046ae155d72bp-1, -0x1.ff997d530b526p-2, -0x1.fe851e1933a73p-2, -0x1.fd516acc631c2p-2, -0x1.fbff86edb4fadp-2, -0x1.fa908d66aa61ap-2, -0x1.f9059cfa27304p-2, -0x1.f75fb6f369d8cp-2, -0x1.f59fd9440f3dfp-2, -0x1.f3c6fa8584551p-2, -0x1.f1d609fd8bb6dp-2, -0x1.efcdf04b1117p-2, -0x1.edaf8ffa38837p-2, -0x1.eb7bc5f5d3875p-2, -0x1.e93369d17125ap-2, -0x1.e6d74dec71574p-2, -0x1.e4683f72fb553p-2, -0x1.e1e706452a6b2p-2, -0x1.df5464ce965e8p-2, -0x1.dcb117d8e0d67p-2, -0x1.d9fdd662f531ap-2, -0x1.d73b5184d20d3p-2, -0x1.d46a34653ca3dp-2, -0x1.d18b24441c62dp-2, -0x1.ce9ec099be0a1p-2, -0x1.cba5a34927bffp-2, -0x1.c8a060e20eed5p-2, -0x1.c58f88ee04b4bp-2, -0x1.c273a64400535p-2, -0x1.bf4d3f5d86edbp-2, -0x1.bc1cd6a92380ap-2, -0x1.b8e2ead6af16p-2, -0x1.b59ff71ad3c5dp-2, -0x1.b25473683e3f6p-2, -0x1.af00d49dec48p-2, -0x1.aba58caaec2f8p-2, -0x1.a8430aa8a5d32p-2, -0x1.a4d9baed55275p-2, -0x1.a16a0718b4e6p-2, -0x1.9df4561cfc7e4p-2, -0x1.9a790c463df69p-2, -0x1.96f88b41f580fp-2, -0x1.937332283ca2cp-2, -0x1.8fe95d87988aep-2, -0x1.8c5b6773f135p-2, -0x1.88c9a798c3d35p-2, -0x1.8534734e485c1p-2, -0x1.819c1db0f91a8p-2, -0x1.7e00f7baba4d5p-2, -0x1.7a63505cc49aep-2, -0x1.76c374997bba6p-2, -0x1.7321af9d5c757p-2, -0x1.6f7e4ad653d79p-2, -0x1.6bd98e08f09c6p-2, -0x1.6833bf630be77p-2, -0x1.648d238bac24p-2, -0x1.60e5fdb019b0fp-2, -0x1.5d3e8f8e336cdp-2, -0x1.5997197c4518dp-2, -0x1.55efda6ea8262p-2, -0x1.52490ffb9dc07p-2, -0x1.4ea2f65dcc14bp-2, -0x1.4afdc875d2f03p-2, -0x1.4759bfcb6a107p-2, -0x1.43b7148e67b38p-2, -0x1.4015fd9803d99p-2, -0x1.3c76b06c98deep-2, -0x1.38d9613e0c874p-2, -0x1.353e42eef627bp-2, -0x1.31a587168e3e1p-2, -0x1.2e0f5e055027ap-2, -0x1.2a7bf6ca467ccp-2, -0x1.26eb7f38d6869p-2, -0x1.235e23eeedc91p-2, -0x1.1fd4105b6a0aep-2, -0x1.1c4d6ec49608fp-2, -0x1.18ca684e9c0d4p-2, -0x1.154b2501cddb3p-2, -0x1.11cfcbd0a55dap-2, -0x1.0e58829d769a3p-2, -0x1.0ae56e3fb3415p-2, -0x1.0776b288c8a5ap-2, -0x1.040c724884508p-2, -0x1.00a6cf5108e0cp-2, -0x1.fa8bd4f4a829ap-3, -0x1.f3d3c74aace1ap-3, -0x1.ed25b37d61769p-3, -0x1.e681d5822ea34p-3, -0x1.dfe8676ed3acdp-3, -0x1.d959a17d1fe24p-3, -0x1.d2d5ba0e3e27ep-3, -0x1.cc5ce5adbe8a4p-3, -0x1.c5ef57145eba4p-3, -0x1.bf8d3f2ab7442p-3, -0x1.b936cd0bd9d2bp-3, -0x1.b2ec2e07ea2b6p-3, -0x1.acad8da6ceeap-3, -0x1.a67b15aaedac7p-3, -0x1.a054ee141960ap-3, -0x1.9a3b3d229cb94p-3, -0x1.942e275a76c53p-3, -0x1.8e2dcf86c8c8fp-3, -0x1.883a56bd7c64p-3, -0x1.8253dc6316923p-3, -0x1.7c7a7e2ecae2dp-3, -0x1.76ae582ebc6ddp-3, -0x1.70ef84cc82835p-3, -0x1.6b3e1cd1d6b2bp-3, -0x1.659a376d85ab8p-3, -0x1.6003ea388a56ep-3, -0x1.5a7b493b69272p-3, -0x1.550066f3b3dd8p-3, -0x1.4f935459c83f6p-3, -0x1.4a3420e6b1fa2p-3, -0x1.44e2da9a47767p-3, -0x1.3f9f8e01602dbp-3, -0x1.3a6a463c38bcbp-3, -0x1.35430d04f8636p-3, -0x1.302c1fb9ff84dp-3, -0x1.2b212b0c7eb67p-3, -0x1.262458bf6196dp-3, -0x1.2135ad5966b5cp-3, -0x1.1c552c1ec8fd1p-3, -0x1.1782d71778aa1p-3, -0x1.12beaf155c308p-3, -0x1.0e08b3baa71c2p-3, -0x1.0960e3803f046p-3, -0x1.04c73bbc2b0e8p-3, -0x1.003bb8a808b6ep-3, -0x1.f77caacf20debp-4, -0x1.ee9e181e1693p-4, -0x1.e5dbab53b633fp-4, -0x1.dd355481e9113p-4, -0x1.d4ab01c2acfa7p-4, -0x1.cc3c9f44ff94p-4, -0x1.c3ea1759a67c6p-4, -0x1.bbb3527ff5af6p-4, -0x1.b39837726f358p-4, -0x1.ab98ab335bc9bp-4, -0x1.a3b4911935c1cp-4, -0x1.9bebcadb09689p-4, -0x1.943e389ca7142p-4, -0x1.8cabb8faccf69p-4, -0x1.8534291721f6ap-4, -0x1.7dd764a41b3edp-4, -0x1.769545f0c46bbp-4, -0x1.6f6da5f467015p-4, -0x1.68605c5a193f7p-4, -0x1.616d3f8c2eb41p-4, -0x1.5a9424bf8b3f7p-4, -0x1.53d4dffede2b5p-4, -0x1.4d2f4435bf001p-4, -0x1.46a3233bb0aabp-4, -0x1.40304ddf0b7a4p-4, -0x1.39d693efc98fcp-4, -0x1.3395c44a3aacap-4, -0x1.2d6dace19c088p-4, -0x1.275e1aca97594p-4, -0x1.2166da45a3989p-4, -0x1.1b87b6c94b92ep-4, -0x1.15c07b0c56bc2p-4, -0x1.1010f10fd60a9p-4, -0x1.0a78e2290f65ep-4, -0x1.04f8170b4cefbp-4, -0x1.ff1cafa314b13p-5, -0x1.f476d81001368p-5, -0x1.e9fe356b1e788p-5, -0x1.dfb254ca00d7p-5, -0x1.d592c25c57cbap-5, -0x1.cb9f097ddc6bp-5, -0x1.c1d6b4c7fb4a6p-5, -0x1.b8394e2323f7cp-5, -0x1.aec65ed7d160ap-5, -0x1.a57d6f9f3392ap-5, -0x1.9c5e08b383fcbp-5, -0x1.9367b1e00b94dp-5, -0x1.8a99f290c0d7bp-5, -0x1.81f451e198613p-5, -0x1.797656ad6ec77p-5, -0x1.711f879c9fc73p-5, -0x1.68ef6b333a91dp-5, -0x1.60e587ded6c1bp-5, -0x1.59016404131b5p-5, -0x1.5142860bad37p-5, -0x1.49a8746f3fcc8p-5, -0x1.4232b5c5a30dp-5, -0x1.3ae0d0ceee588p-5, -0x1.33b24c801a98dp-5, -0x1.2ca6b00e4ca73p-5, -0x1.25bd82f9be95ep-5, -0x1.1ef64d18515dbp-5, -0x1.1850969fc0f47p-5, -0x1.11cbe82f80c79p-5, -0x1.0b67cada43c57p-5, -0x1.0523c82f1fc5dp-5, -0x1.fdfed484d7455p-6, -0x1.f1f4776c7700bp-6, -0x1.e6278f852395bp-6, -0x1.da97347a6da91p-6, -0x1.cf427f428c6fbp-6, -0x1.c4288a2cce268p-6, -0x1.b94870ef79b2p-6, -0x1.aea150b506a6ap-6, -0x1.a4324828c9fc8p-6, -0x1.99fa778315528p-6, -0x1.8ff90094b7dcep-6, -0x1.862d06d2015e1p-6, -0x1.7c95af5d320d5p-6, -0x1.73322110679a9p-6, -0x1.6a0184871129ep-6, -0x1.61030426d0f06p-6, -0x1.5835cc27ef57p-6, -0x1.4f990a9d55c85p-6, -0x1.472bef7c11de6p-6, -0x1.3eedaca25f871p-6, -0x1.36dd75de48e77p-6, -0x1.2efa80f3e0e9cp-6, -0x1.274405a30847ep-6, -0x1.1fb93dacd6666p-6, -0x1.185964d896863p-6, -0x1.1123b8f86fd06p-6, -0x1.0a1779eda1b7fp-6, -0x1.0333e9ac718bbp-6, -0x1.f8f0987f7beaep-7, -0x1.ebc7cf98685c8p-7, -0x1.deec09267ad72p-7, -0x1.d25bd9eb24745p-7, -0x1.c615daeb1a37dp-7, -0x1.ba18a97236aadp-7, -0x1.ae62e716f78aap-7, -0x1.a2f339bd4fc4ap-7, -0x1.97c84b98ecb51p-7, -0x1.8ce0cb2f03c59p-7, -0x1.823b6b5798effp-7, -0x1.77d6e33e317abp-7, -0x1.6db1ee62286a7p-7, -0x1.63cb4c966dc48p-7, -0x1.5a21c200e8eecp-7, -0x1.50b417194b821p-7, -0x1.478118a79768ap-7, -0x1.3e8797c21b7dp-7, -0x1.35c669cb0f549p-7, -0x1.2d3c686dcad5bp-7, -0x1.24e8719b9a95ep-7, -0x1.1cc9678829f5bp-7, -0x1.14de30a591566p-7, -0x1.0d25b7a01e5cdp-7, -0x1.059eeb598d5b7p-7, -0x1.fc917dc84e045p-8, -0x1.ee4452fac5435p-8, -0x1.e0544d108ff19p-8, -0x1.d2bf6b0ef0b0bp-8, -0x1.c583b42dda169p-8, -0x1.b89f37cadec12p-8, -0x1.ac100d5b7cc08p-8, -0x1.9fd4545f04ccdp-8, -0x1.93ea344fcc7e6p-8, -0x1.884fdc93f1579p-8, -0x1.7d03846dcdd6fp-8, -0x1.72036aeb914b8p-8, -0x1.674dd6d6d9a2p-8, -0x1.5ce116a38ab1bp-8, -0x1.52bb805e6afep-8, -0x1.48db719b5731dp-8, -0x1.3f3f4f631948bp-8, -0x1.35e58620dca2cp-8, -0x1.2ccc898f558a2p-8, -0x1.23f2d4a5bc866p-8, -0x1.1b56e984475ddp-8, -0x1.12f751608fcabp-8, -0x1.0ad29c71b9bbbp-8, -0x1.02e761dc4d042p-8, -0x1.f6687f3bb2034p-9, -0x1.e76fb4f1169dep-9, -0x1.d8e1bbbd0b72fp-9, -0x1.cabbf7ba31427p-9, -0x1.bcfbda0fabe14p-9, -0x1.af9ee0c736255p-9, -0x1.a2a296a2c77bp-9, -0x1.960492f26cb53p-9, -0x1.89c27969c87afp-9, -0x1.7dd9f9f581b1ep-9, -0x1.7248d090dcb12p-9, -0x1.670cc51ae58d6p-9, -0x1.5c23ab2c3b665p-9, -0x1.518b61ec2a5f5p-9, -0x1.4741d3e66f0b4p-9, -0x1.3d44f6e0c60d4p-9, -0x1.3392cbb0a682bp-9, -0x1.2a295e1116e1fp-9, -0x1.2106c478c447cp-9, -0x1.18291ff01ed44p-9, -0x1.0f8e9be7b4865p-9, -0x1.07356e0edb75ap-9, -0x1.fe37ac54d8c2dp-10, -0x1.ee803bd7915b8p-10, -0x1.df41319084aa7p-10, -0x1.d07747a0f7f1ep-10, -0x1.c21f4b10ab5acp-10, -0x1.b4361b7e69f3cp-10, -0x1.a6b8aad02fda7p-10, -0x1.99a3fce53006cp-10, -0x1.8cf5274797a8ep-10, -0x1.80a950dfac4dfp-10, -0x1.74bdb1a6d13fep-10, -0x1.692f925bd5a87p-10, -0x1.5dfc4c37b7cbdp-10, -0x1.532148a33d0fap-10, -0x1.489c00ecb82a8p-10, -0x1.3e69fdffadd61p-10, -0x1.3488d81c142c1p-10, -0x1.2af6368e9738ep-10, -0x1.21afcf6a00098p-10, -0x1.18b36740d5257p-10, -0x1.0ffed0e09cbddp-10, -0x1.078fed0c62d61p-10, -0x1.fec95472be04ep-11, -0x1.eef6089799dbp-11, -0x1.dfa208a8f565dp-11, -0x1.d0c9809eaa028p-11, -0x1.c268b5c4ba237p-11, -0x1.b47c063b58c72p-11, -0x1.a6ffe8785c602p-11, -0x1.99f0eac9db335p-11, -0x1.8d4bb2da46115p-11, -0x1.810cfd36d7cap-11, -0x1.75319cd61870cp-11, -0x1.69b67aa1b321ep-11, -0x1.5e9894ff43df5p-11, -0x1.53d4ff5d41ea5p-11, -0x1.4968e1bf7c743p-11, -0x1.3f51784e0b55ap-11, -0x1.358c12e5432e3p-11, -0x1.2c1614a7a1eb6p-11, -0x1.22ecf3903a895p-11, -0x1.1a0e3807ae131p-11, -0x1.11777c79b44cfp-11, -0x1.09266ceccc495p-11, -0x1.0118c69b1abb3p-11, -0x1.f298af18ffde6p-12, -0x1.e37dfc64fca01p-12, -0x1.d4dd520ae560ap-12, -0x1.c6b28fcacb0efp-12, -0x1.b8fa10de6d388p-12, -0x1.abafe9e3e0b65p-12, -0x1.9ed0708216e3ap-12, -0x1.925816bdf810dp-12, -0x1.86436a487c69bp-12, -0x1.7a8f13cb1c2a7p-12, -0x1.6f37d63baff4fp-12, -0x1.643a8e3292818p-12, -0x1.599431411a95bp-12, -0x1.4f41cd4e1a8fap-12, -0x1.454087f3c0205p-12, -0x1.3b8d9de13e8bdp-12, -0x1.3226623fa810fp-12, -0x1.29083e18270bap-12, -0x1.2030afbf50af9p-12, -0x1.179d4a423cd27p-12, -0x1.0f4bb4d737261p-12, -0x1.0739aa50e0324p-12, -0x1.fec9f128b6767p-13, -0x1.ef97002609db4p-13, -0x1.e0d6668c3761cp-13, -0x1.d2842c5c719b9p-13, -0x1.c49c7ba9dfd8ep-13, -0x1.b71b9fa2857fap-13, -0x1.a9fe03a11b039p-13, -0x1.9d40323d6643ap-13, -0x1.90ded46868059p-13, -0x1.84d6b08c6a09ep-13, -0x1.7924a9b0e682fp-13, -0x1.6dc5bea2de74p-13, -0x1.62b709262f34fp-13, -0x1.57f5bd263cd23p-13, -0x1.4d7f27f2c46a2p-13, -0x1.4350af7abaa3ap-13, -0x1.3967d18f88f5p-13, -0x1.2fc2232c15e4ap-13, -0x1.265d4fbfbfe57p-13, -0x1.1d37188067f1bp-13, -0x1.144d53bc52b76p-13, -0x1.0b9dec3445734p-13, -0x1.0326e07854cp-13, -0x1.f5cc8491d31d1p-14, -0x1.e5b46bf6c6511p-14, -0x1.d601e3c6b8b1ap-14, -0x1.c6b17b819724cp-14, -0x1.b7bfe45a95d6p-14, -0x1.a929f0284893ap-14, -0x1.9aec904eba5cfp-14, -0x1.8d04d4b86bd98p-14, -0x1.7f6fead25f46cp-14, -0x1.722b1c9653ecp-14, -0x1.6533cf8d8bab6p-14, -0x1.588783e4b87b6p-14, -0x1.4c23d3884a5p-14, -0x1.4006713b49fabp-14, -0x1.342d27c3b9909p-14, -0x1.2895d9091d618p-14, -0x1.1d3e7d4ea5079p-14, -0x1.12252262e7fcdp-14, -0x1.0747eadcb5731p-14, -0x1.f94a1ab3d3cd8p-15, -0x1.e475a78b5910ep-15, -0x1.d00f3546b9e4cp-15, -0x1.bc13a0bcb13d2p-15, -0x1.a87fe93ece32bp-15, -0x1.95512f495583bp-15, -0x1.8284b341b18afp-15, -0x1.7017d43eb16b5p-15, -0x1.5e080ed5550b1p-15, -0x1.4c52fbf21af02p-15, -0x1.3af64fbcae83dp-15, -0x1.29efd87c21c4bp-15, -0x1.193d7d8ad3238p-15, -0x1.08dd3e559498dp-15, -0x1.f19a62b6b1839p-16, -0x1.d217065f634a2p-16, -0x1.b32ceb2c35526p-16, -0x1.94d8bd33034f1p-16, -0x1.77174f50a570bp-16, -0x1.59e5997f90141p-16, -0x1.3d40b73635594p-16, -0x1.2125e5d1e6cdep-16, -0x1.059282fe97412p-16, -0x1.d50816b1dc69p-17, -0x1.9ff031de1dc51p-17, -0x1.6bd8c3b8c8297p-17, -0x1.38bd6dffb3115p-17, -0x1.069a055041059p-17, -0x1.aad51d676b53bp-18, -0x1.4a567a5ecd602p-18, -0x1.d761be5bd326ap-19, -0x1.1dbab879137f2p-19, -0x1.9eaa855a1928dp-21, 0x1.2b6ccf24b8d46p-21, 0x1.f3c5ccfef5459p-20, 0x1.a57811227d158p-19, 0x1.26d2e7ec72f43p-18, 0x1.793b6405b271bp-18, 0x1.c9fa977d94b72p-18, 0x1.0c8ab41bb3accp-17, 0x1.334845244e1a2p-17, 0x1.593841b24ce21p-17, 0x1.7e5cd6c4db873p-17, 0x1.a2b81cc9ac061p-17, 0x1.c64c192649cefp-17, 0x1.e91abf48029p-17, 0x1.0592f911a0e23p-16, 0x1.1637c28674595p-16, 0x1.267c9e86e1387p-16, 0x1.366268ef22d2dp-16, 0x1.45e9f778cbe71p-16, 0x1.55141a36469cap-16, 0x1.63e19c09e6518p-16, 0x1.725343135850bp-16, 0x1.8069d1227fa4bp-16, 0x1.8e2604101dcafp-16, 0x1.9b889630e0f6dp-16, 0x1.a8923e9e7b43bp-16, 0x1.b543b19f8da69p-16, 0x1.c19da0edf4503p-16, 0x1.cda0bc0c74497p-16, 0x1.d94db0909028ap-16, 0x1.e4a52a5b2955ap-16, 0x1.efa7d3ed5b3ddp-16, 0x1.fa56569f33535p-16, 0x1.0258ad6b6752fp-15, 0x1.075cc41d682f8p-15, 0x1.0c37c2f84ae22p-15, 0x1.10e9fd655719dp-15, 0x1.1573c6b0f5ef9p-15, 0x1.19d572303ac71p-15, 0x1.1e0f5343d78dcp-15, 0x1.2221bd7480756p-15, 0x1.260d047f49712p-15, 0x1.29d17c65f64f2p-15, 0x1.2d6f797bfcdc5p-15, 0x1.30e75072f2f5p-15, 0x1.3439566417781p-15, 0x1.3765e0e4c037cp-15, 0x1.3a6d46004ffafp-15, 0x1.3d4fdc4b2ad87p-15, 0x1.400dfae712bfcp-15, 0x1.42a7f9893a79bp-15, 0x1.451e307f2b756p-15, 0x1.4770f8b5b99b7p-15, 0x1.49a0abba5fb37p-15, 0x1.4bada3bee2bc7p-15, 0x1.4d983b9ebc502p-15, 0x1.4f60ced824a6fp-15, 0x1.5107b9985624ap-15, 0x1.528d58b40ad94p-15, 0x1.53f209a9c0915p-15, 0x1.55362aa0b7f35p-15, }}, 
      {{-0x1.108e3961f6f36p-2, -0x1.08452a676e3a1p-1, -0x1.7aeb471647504p-1, -0x1.ddaa36bb9deb5p-1, -0x1.17cfce913c3f9p+0, -0x1.3881822873543p+0, -0x1.516072e3c6f1fp+0, -0x1.6318d686411aap+0, -0x1.6e737f847a5adp+0, -0x1.74441362c4eb2p+0, -0x1.755cbc4cdab25p+0, -0x1.728698e16da5ep+0, -0x1.6c7c58b50f92ap+0, -0x1.63e7e9ebca739p+0, -0x1.5961191c01b72p+0, -0x1.4d6d5ef69d7e9p+0, -0x1.4080984a4b588p+0, -0x1.32fded3b8572p+0, -0x1.25391905f0f97p+0, -0x1.1777f4d2da95dp+0, -0x1.09f3db1eb9794p+0, -0x1.f9b607d97e127p-1, -0x1.e0a3c3a6663fap-1, -0x1.c8e8aacf5b32fp-1, -0x1.b2ae01558b48p-1, -0x1.9e10d6ad9a0f6p-1, -0x1.8b239f9027abcp-1, -0x1.79eebefb056a9p-1, -0x1.6a741c5ee679ap-1, -0x1.5caf3a9da33a4p-1, -0x1.509683adc7f48p-1, -0x1.461c50b8b6c57p-1, -0x1.3d2fd6856133dp-1, -0x1.35bddd09feaa3p-1, -0x1.2fb15cd2b44d2p-1, -0x1.2af41258c5be9p-1, -0x1.276efa24f457ap-1, -0x1.250aaffe15808p-1, -0x1.23afbbddca706p-1, -0x1.2346d63de66ddp-1, -0x1.23b9252b4c27dp-1, -0x1.24f06f95d2bcap-1, -0x1.26d744514f344p-1, -0x1.29591499c2ac2p-1, -0x1.2c624504e2919p-1, -0x1.2fe03916debb7p-1, -0x1.33c15c5fdaebap-1, -0x1.37f52988f77b9p-1, -0x1.3c6c2dfc6ba81p-1, -0x1.41180914fa8fbp-1, -0x1.45eb67995831bp-1, -0x1.4ad9fda2b0857p-1, -0x1.4fd8803962c2bp-1, -0x1.54dc9dcb7453fp-1, -0x1.59dca700b67d2p-1, -0x1.5ed0b607e484cp-1, -0x1.63b0cafc28475p-1, -0x1.6875f42423e8cp-1, -0x1.6d1a03ab2ca41p-1, -0x1.719785f460e68p-1, -0x1.75e9b4cd9b5b5p-1, -0x1.7a0c69a1b650cp-1, -0x1.7dfc10b527593p-1, -0x1.81b59e60be4b3p-1, -0x1.8536860976e95p-1, -0x1.887cb1e9d1fd7p-1, -0x1.8b867accf5503p-1, -0x1.8e529f5dc1a16p-1, -0x1.90e03b396a017p-1, -0x1.932ebe3ef9f04p-1, -0x1.953de489488bep-1, -0x1.970daf3f3423ep-1, -0x1.989e5e2091b97p-1, -0x1.99f0699207b94p-1, -0x1.9b047cf0a95f6p-1, -0x1.9bdb711773d4ep-1, -0x1.9c76472274553p-1, -0x1.9cd62389be48p-1, -0x1.9cfc49a660a42p-1, -0x1.9cea17a016b24p-1, -0x1.9ca102b214719p-1, -0x1.9c2293b0980ffp-1, -0x1.9b7063bf76369p-1, -0x1.9a8c19350e30ep-1, -0x1.997764ae417abp-1, -0x1.9833fe5bd8a8fp-1, -0x1.96c3a390a1bd6p-1, -0x1.95281493e5073p-1, -0x1.936312b7ed45fp-1, -0x1.91765eb13d1fdp-1, -0x1.8f63b728be6d7p-1, -0x1.8d2cd7816573cp-1, -0x1.8ad376c87ab4bp-1, -0x1.885946c750452p-1, -0x1.85bff32e19423p-1, -0x1.830920d1d89aap-1, -0x1.80366cfa47d45p-1, -0x1.7d496cbf2e57dp-1, -0x1.7a43ac7602f6ap-1, -0x1.7726af30aa55ap-1, -0x1.73f3ee4d3f1bap-1, -0x1.70acd915e02ep-1, -0x1.6d52d46f33e05p-1, -0x1.69e73a950b36fp-1, -0x1.666b5ae5c196p-1, -0x1.62e079be35d5p-1, -0x1.5f47d068916c8p-1, -0x1.5ba28d1f4b708p-1, -0x1.57f1d323f849fp-1, -0x1.5436bae70d6f1p-1, -0x1.50725177e2f0ep-1, -0x1.4ca59b3aec5cbp-1, -0x1.48d193c5013aep-1, -0x1.44f728b4757d3p-1, -0x1.41173dabf1e2p-1, -0x1.3d32acd8e0e9p-1, -0x1.394a4773a5e2bp-1, -0x1.355ed63159537p-1, -0x1.317119a1b907ep-1, -0x1.2d81ca7720d1p-1, -0x1.299199b9660dep-1, -0x1.25a130e6ee874p-1, -0x1.21b1320912b78p-1, -0x1.1dc237c1ac125p-1, -0x1.19d4d557a90bep-1, -0x1.15e996c7b7344p-1, -0x1.120100dcd005fp-1, -0x1.0e1b9152fe533p-1, -0x1.0a39bf052f6cap-1, -0x1.065bfa2599091p-1, -0x1.0282ac7f35f75p-1, -0x1.fd5c737c56886p-2, -0x1.f5bdff78fc547p-2, -0x1.ee2aada0df1e9p-2, -0x1.e6a32433d7fc5p-2, -0x1.df27ff99a6873p-2, -0x1.d7b9d2ec982cfp-2, -0x1.d0592877c497bp-2, -0x1.c90682278c871p-2, -0x1.c1c259ec225e6p-2, -0x1.ba8d220ee798dp-2, -0x1.b367457c45ca2p-2, -0x1.ac512804272b4p-2, -0x1.a54b26938b89p-2, -0x1.9e559769acbe3p-2, -0x1.9770ca4af6d3bp-2, -0x1.909d08b3b55bap-2, -0x1.89da960be06f2p-2, -0x1.8329afdce7674p-2, -0x1.7c8a8e09ec8cdp-2, -0x1.75fd630a5ca1dp-2, -0x1.6f825c26896dep-2, -0x1.6919a1b59b576p-2, -0x1.62c3575c052a5p-2, -0x1.5c7f9c49955bbp-2, -0x1.564e8b76397dp-2, -0x1.50303bdc99baep-2, -0x1.4a24c0b1d8f74p-2, -0x1.442c2999e7092p-2, -0x1.3e4682d80a196p-2, -0x1.3873d57b7471fp-2, -0x1.32b42787e8f34p-2, -0x1.2d077c1aa1341p-2, -0x1.276dd38bc2432p-2, -0x1.21e72b8cd2d4p-2, -0x1.1c737f44a7646p-2, -0x1.1712c7694c3f8p-2, -0x1.11c4fa5867332p-2, -0x1.0c8a0c2e8aca1p-2, -0x1.0761eedddfc2ap-2, -0x1.024c924471b8bp-2, -0x1.fa93c884cd671p-3, -0x1.f0b3a1a0738f3p-3, -0x1.e6f8842a2f2cp-3, -0x1.dd6240faafa53p-3, -0x1.d3f0a5a1fe4b1p-3, -0x1.caa37c947a2efp-3, -0x1.c17a8d577095dp-3, -0x1.b8759cad1473cp-3, -0x1.af946cbf85c4ap-3, -0x1.a6d6bd4aa1833p-3, -0x1.9e3c4bc461123p-3, -0x1.95c4d383863ccp-3, -0x1.8d700de47b2ep-3, -0x1.853db26c408cdp-3, -0x1.7d2d76e966371p-3, -0x1.753f0f9308738p-3, -0x1.6d722f25e170bp-3, -0x1.65c686ff842c6p-3, -0x1.5e3bc737e2302p-3, -0x1.56d19eb940347p-3, -0x1.4f87bb56bcd88p-3, -0x1.485dc9e19c73ep-3, -0x1.4153763d80b56p-3, -0x1.3a686b73a6731p-3, -0x1.339c53c563b8ep-3, -0x1.2ceed8bded1f7p-3, -0x1.265fa3438a003p-3, -0x1.1fee5ba842155p-3, -0x1.199aa9ba17de5p-3, -0x1.136434d2d6d47p-3, -0x1.0d4aa3e779d2ep-3, -0x1.074d9d9732805p-3, -0x1.016cc83a02c4ap-3, -0x1.f74f93ddf90c7p-4, -0x1.ebfc915421a08p-4, -0x1.e0dfd482faac8p-4, -0x1.d5f8a8f5866ffp-4, -0x1.cb465a2e6f798p-4, -0x1.c0c833c03e60ep-4, -0x1.b67d8164b0156p-4, -0x1.ac658f132afe6p-4, -0x1.a27fa9164be3cp-4, -0x1.98cb1c2097d19p-4, -0x1.8f473560529a9p-4, -0x1.85f342927c454p-4, -0x1.7cce9214fe88p-4, -0x1.73d872f81022fp-4, -0x1.6b10350ed81e2p-4, -0x1.627528ff500c1p-4, -0x1.5a06a051768c5p-4, -0x1.51c3ed7dcee54p-4, -0x1.49aea28a9b35cp-4, -0x1.41c1a6d1f7f0bp-4, -0x1.39fe7dcb15679p-4, -0x1.32647e55e0fc7p-4, -0x1.2af3008142419p-4, -0x1.23a95d9542388p-4, -0x1.1c86f01cc2813p-4, -0x1.158b13eec36a2p-4, -0x1.0eb526373f66p-4, -0x1.0804857f9b034p-4, -0x1.017891b6a74a9p-4, -0x1.f62158707b1b6p-5, -0x1.e9986fa8d91c9p-5, -0x1.dd5531ac7a4a7p-5, -0x1.d1566a141734dp-5, -0x1.c59ae786ecc0cp-5, -0x1.ba217bc5c4c2ep-5, -0x1.aee8fbb52ce6p-5, -0x1.a3f03f66db857p-5, -0x1.9936222248757p-5, -0x1.8eb9826c7a6d7p-5, -0x1.8479420f0f6bp-5, -0x1.7a74461e83905p-5, -0x1.70a976ffbe3ccp-5, -0x1.6717c06ce6c88p-5, -0x1.5dbe1179905c8p-5, -0x1.549b5c9636ed9p-5, -0x1.4bae97931ef08p-5, -0x1.42f6bba2987d2p-5, -0x1.3a72c55ab33dp-5, -0x1.3221b4b6610b3p-5, -0x1.2a028d1616bfp-5, -0x1.2214553fedf3p-5, -0x1.1a56175f4a986p-5, -0x1.12c6e10416a3p-5, -0x1.0b65c32188e51p-5, -0x1.0431d20c8b297p-5, -0x1.fa544af3775a3p-6, -0x1.ec9bb0f62587cp-6, -0x1.df3812fa63df4p-6, -0x1.d227b488b81e8p-6, -0x1.c568dfd2404cap-6, -0x1.b8f9e5a969404p-6, -0x1.acd91d7a164c7p-6, -0x1.a104e5413f01dp-6, -0x1.957ba183f874bp-6, -0x1.8a3bbd4611719p-6, -0x1.7f43aa001d072p-6, -0x1.7491df9513834p-6, -0x1.6a24dc4776e22p-6, -0x1.5ffb24ae0daffp-6, -0x1.561343a82a831p-6, -0x1.4c6bca519a178p-6, -0x1.43034ff6223c4p-6, -0x1.39d87204a815fp-6, -0x1.30e9d401f8167p-6, -0x1.28361f7b3f248p-6, -0x1.1fbc03f825779p-6, -0x1.177a36ecaad37p-6, -0x1.0f6f73aaaacd7p-6, -0x1.079a7b5323d94p-6, -0x1.fff4298e75902p-7, -0x1.f11a1931fb13fp-7, -0x1.e2a469f7e7f3ep-7, -0x1.d490cb6ae9b16p-7, -0x1.c6dcf8199b7e1p-7, -0x1.b986b57677d47p-7, -0x1.ac8bd3b772cedp-7, -0x1.9fea2db5606b9p-7, -0x1.939fa8caf84d9p-7, -0x1.87aa34b3bd566p-7, -0x1.7c07cb6a885dep-7, -0x1.70b671081cc37p-7, -0x1.65b433a162ed2p-7, -0x1.5aff2b25a5971p-7, -0x1.5095793c9de15p-7, -0x1.46754924819d5p-7, -0x1.3c9ccf8ff5e2bp-7, -0x1.330a4a83f8111p-7, -0x1.29bc0135da1adp-7, -0x1.20b043e92dc78p-7, -0x1.17e56bcdbf4ep-7, -0x1.0f59dadda119cp-7, -0x1.070bfbbb47e3dp-7, -0x1.fdf4831f81a96p-8, -0x1.ee464fd20c619p-8, -0x1.df0a6530ce099p-8, -0x1.d03ddb2254b3ap-8, -0x1.c1ddd98e9225ap-8, -0x1.b3e7981cb4e74p-8, -0x1.a6585df16bb73p-8, -0x1.992d816d7817ap-8, -0x1.8c6467eccd97fp-8, -0x1.7ffa85860b78dp-8, -0x1.73ed5cca893e5p-8, -0x1.683a7e86bebcep-8, -0x1.5cdf898368bccp-8, -0x1.51da2a46fef5fp-8, -0x1.47281ad7e2b26p-8, -0x1.3cc7227f047fep-8, -0x1.32b5158b3aa6fp-8, -0x1.28efd515087fcp-8, -0x1.1f754ec34dffbp-8, -0x1.16437c90453e1p-8, -0x1.0d58648f57053p-8, -0x1.04b218b38e23cp-8, -0x1.f89d6d2d433a8p-9, -0x1.e858ce8182245p-9, -0x1.d892bde1f12d7p-9, -0x1.c947b9ccabd3bp-9, -0x1.ba74565339e1fp-9, -0x1.ac153cafba33ep-9, -0x1.9e272adb0d0e8p-9, -0x1.90a6f32492aafp-9, -0x1.83917bcb40976p-9, -0x1.76e3be9825938p-9, -0x1.6a9ac87a32cedp-9, -0x1.5eb3b9238ab7p-9, -0x1.532bc2a81889fp-9, -0x1.4800291d94b17p-9, -0x1.3d2e423ce7478p-9, -0x1.32b37504e7117p-9, -0x1.288d395e77c31p-9, -0x1.1eb917c20398ap-9, -0x1.1534a8de55597p-9, -0x1.0bfd9540ab59dp-9, -0x1.031194fe536e2p-9, -0x1.f4dcdebeedb6cp-10, -0x1.e423f51688e06p-10, -0x1.d3f4366abb7e3p-10, -0x1.c44988993f614p-10, -0x1.b51fed5655ac6p-10, -0x1.a673818f9f0cap-10, -0x1.98407cd1051d4p-10, -0x1.8a8330accd51bp-10, -0x1.7d38082558d73p-10, -0x1.705b871a7c52bp-10, -0x1.63ea49b862cf9p-10, -0x1.57e103e91afa1p-10, -0x1.4c3c80c8d205bp-10, -0x1.40f9a21c3524cp-10, -0x1.36155fc954c31p-10, -0x1.2b8cc752f65f8p-10, -0x1.215cfb55f4321p-10, -0x1.1783330955cp-10, -0x1.0dfcb9c05c56p-10, -0x1.04c6ee6f2b2b9p-10, -0x1.f7be8662de7d9p-11, -0x1.e68679a66977ap-11, -0x1.d5e0e4b9156e7p-11, -0x1.c5c9193d6793ap-11, -0x1.b63a8b8764892p-11, -0x1.a730d1c082a75p-11, -0x1.98a7a30f365fap-11, -0x1.8a9ad6c337d6ep-11, -0x1.7d066385a33c6p-11, -0x1.6fe65e8dca3dap-11, -0x1.6336fad95426bp-11, -0x1.56f48868c33c8p-11, -0x1.4b1b7380aecd6p-11, -0x1.3fa843edd45cfp-11, -0x1.34979c4ded0ffp-11, -0x1.29e6395b70b7cp-11, -0x1.1f90f13eb1f69p-11, -0x1.1594b2e16edcep-11, -0x1.0bee854640ffbp-11, -0x1.029b86e44aebcp-11, -0x1.f331da0c2fcf3p-12, -0x1.e1c806586955dp-12, -0x1.d0f454e666b9ep-12, -0x1.c0b1b1fa2420ep-12, -0x1.b0fb32bd561a2p-12, -0x1.a1cc141e81415p-12, -0x1.931fb9b963e2ep-12, -0x1.84f1acc2e5b2ap-12, -0x1.773d9aff491b8p-12, -0x1.69ff55bb19c54p-12, -0x1.5d32d0cb9c56bp-12, -0x1.50d42195e9fb1p-12, -0x1.44df7e1ac26cp-12, -0x1.39513c08e303ap-12, -0x1.2e25cfd516d41p-12, -0x1.2359cbd7c12adp-12, -0x1.18e9df6fef8f5p-12, -0x1.0ed2d62bc3f33p-12, -0x1.051196f66a6b1p-12, -0x1.f74646957d542p-13, -0x1.e5092cd6bafe6p-13, -0x1.d366493f85b78p-13, -0x1.c25834ec79f9ep-13, -0x1.b1d9b8141a60dp-13, -0x1.a1e5c89f51801p-13, -0x1.927788c7a17ecp-13, -0x1.838a45c0655cp-13, -0x1.75197668e61c3p-13, -0x1.6720ba04605fcp-13, -0x1.599bd6ff70d26p-13, -0x1.4c86b9b9c6131p-13, -0x1.3fdd7356f62bbp-13, -0x1.339c389b6834ep-13, -0x1.27bf60ce3a4b3p-13, -0x1.1c4364a01d891p-13, -0x1.1124dd2102ee6p-13, -0x1.066082b539117p-13, -0x1.f7e6582ae97ecp-14, -0x1.e3b39aa8d518dp-14, -0x1.d022eddaa76f2p-14, -0x1.bd2ea9a94dd05p-14, -0x1.aad15b26ba8dcp-14, -0x1.9905c2cd99321p-14, -0x1.87c6d2cc844p-14, -0x1.770fad5e4a6a4p-14, -0x1.66dba32de3ce9p-14, -0x1.572631c512884p-14, -0x1.47eb020633e97p-14, -0x1.3925e6b3cf318p-14, -0x1.2ad2dafc0c6d2p-14, -0x1.1cee011713fbcp-14, -0x1.0f73a0e470712p-14, -0x1.026026a3f3bb3p-14, -0x1.eb60434935a23p-15, -0x1.d2c086129895cp-15, -0x1.badab926927b8p-15, -0x1.a3a8beebaf33ep-15, -0x1.8d2420d3d4983p-15, -0x1.77486e8f0b8afp-15, -0x1.620f9858c048p-15, -0x1.4d74660df73ecp-15, -0x1.3971d3b55e82bp-15, -0x1.26030f91a562bp-15, -0x1.132378399255ap-15, -0x1.00ce9ac37fd5bp-15, -0x1.de00620909f33p-16, -0x1.bb683f9fc3955p-16, -0x1.99cceaaa78ef4p-16, -0x1.7926cef6cb66bp-16, -0x1.596ea4bd20048p-16, -0x1.3a9d6d8d23ecep-16, -0x1.1cac7169b4755p-16, -0x1.ff2a77f1fe3fep-17, -0x1.c6a3339b9b677p-17, -0x1.8fb72b8603f09p-17, -0x1.5a5aed0d2c6a8p-17, -0x1.268378158ee97p-17, -0x1.e84c74f841cf2p-18, -0x1.867216fce3d57p-18, -0x1.27644ec37883bp-18, -0x1.9620ac51049cp-19, -0x1.c590827ba966p-20, -0x1.a4e52f8f45ad5p-22, 0x1.d20e1f8ac701bp-21, 0x1.18b86562aea19p-19, 0x1.b820d8458478p-19, 0x1.296d4e52b2cecp-18, 0x1.748128d955585p-18, 0x1.bd59c33e07b3ap-18, 0x1.0202317735cc4p-17, 0x1.2446e86fc90cfp-17, 0x1.45812fc49268bp-17, 0x1.65b6f7d8a764bp-17, 0x1.84edfaeda0f7fp-17, 0x1.a32bbf9d2d67cp-17, 0x1.c0759b266a541p-17, 0x1.dcd0b3bcfe86ep-17, 0x1.f84202b862f4p-17, 0x1.09672b530599cp-16, 0x1.163d2aa6a2e44p-16, 0x1.22a53ecd54bdbp-16, 0x1.2ea194bd64856p-16, 0x1.3a3447ca5c9e9p-16, 0x1.455f62869fb7ap-16, 0x1.5024df8a3fb72p-16, 0x1.5a86aa3e8d10cp-16, 0x1.64869f9b22177p-16, 0x1.6e268edc0322ep-16, 0x1.77683a2d0df51p-16, 0x1.804d5756d675ap-16, 0x1.88d7905239c51p-16, 0x1.910883e9c862bp-16, 0x1.98e1c64b23993p-16, 0x1.a064e18728eb5p-16, 0x1.a7935629ee4cp-16, 0x1.ae6e9b9f6e3cep-16, 0x1.b4f820bba6231p-16, 0x1.bb314c27bcc5cp-16, 0x1.c11b7cd06e7fep-16, 0x1.c6b80a486855dp-16, 0x1.cc084538a4a12p-16, 0x1.d10d77af7fa59p-16, 0x1.d5c8e5766ba95p-16, 0x1.da3bcc74d7d5ep-16, 0x1.de6764f7420ap-16, 0x1.e24ce1fafd7a4p-16, 0x1.e5ed717731628p-16, 0x1.e94a3ca0db94dp-16, 0x1.ec64682bf57b8p-16, 0x1.ef3d147c777cdp-16, 0x1.f1d55df394dd1p-16, 0x1.f42e5d1382fc3p-16, 0x1.f64926bb4a4b8p-16, 0x1.f826cc533df6p-16, 0x1.f9c85bf53e469p-16, 0x1.fb2ee0a7ff438p-16, 0x1.fc5b626be727cp-16, 0x1.fd4ee6710f5b5p-16, 0x1.fe0a6f35422fbp-16, 0x1.fe8efca4167c2p-16, 0x1.fedd8c314834bp-16, 0x1.fef718f900b37p-16, 0x1.fedc9bd72687cp-16, 0x1.fe8f0b7ec22b4p-16, 0x1.fe0f5c89fd0a4p-16, 0x1.fd5e819a1072ep-16, 0x1.fc7d6b6033f84p-16, 0x1.fb6d08b1e9853p-16, 0x1.fa2e469342058p-16, 0x1.f8c2104beb4e3p-16, 0x1.f7294f6e819d5p-16, 0x1.f564ebe5d0122p-16, 0x1.f375cbfac56a7p-16, 0x1.f15cd46404cbdp-16, 0x1.ef1ae8455cda3p-16, 0x1.ecb0e93e5adcdp-16, 0x1.ea1fb768d85dap-16, 0x1.e76831640de86p-16, 0x1.e48b3451c04dcp-16, 0x1.e1899be05ac8ep-16, 0x1.de6442428479ep-16, 0x1.db1c004512ba5p-16, 0x1.d7b1ad3c83013p-16, 0x1.d4261f03c16f4p-16, 0x1.d07a2a11ab73ap-16, 0x1.ccaea165b464fp-16, 0x1.c8c45682bb3f7p-16, 0x1.c4bc1981a1547p-16, 0x1.c096b901baf1dp-16, 0x1.bc5502276e4d5p-16, 0x1.b7f7c09bbf81p-16, 0x1.b37fbe8727023p-16, 0x1.aeedc49145f86p-16, 0x1.aa4299db088efp-16, 0x1.a57f03fd3dab7p-16, 0x1.a0a3c6fd51be2p-16, 0x1.9bb1a554f8e2ap-16, 0x1.96a95fe4d8c95p-16, 0x1.918bb5f41906dp-16, 0x1.8c59652be8a44p-16, 0x1.8713298df6f92p-16, 0x1.81b9bd72bb658p-16, 0x1.7c4dd99417a83p-16, 0x1.76d034ea3b67ap-16, 0x1.714184be105dbp-16, 0x1.6ba27c9c87d2bp-16, 0x1.65f3ce5358303p-16, 0x1.603629eb37d2cp-16, 0x1.5a6a3da6f392bp-16, 0x1.5490b5fb55aaep-16, 0x1.4eaa3d8584a1fp-16, 0x1.48b77d14f0c2bp-16, 0x1.42b91b9bd7806p-16, 0x1.3cafbe2e8d28ap-16, 0x1.369c07fd8b07bp-16, 0x1.307e9a5817a24p-16, 0x1.2a58149a0fdc5p-16, 0x1.24291438fa0c9p-16, 0x1.1df234b7422c6p-16, 0x1.17b40fa226c7ap-16, 0x1.116f3c8ffffe4p-16, 0x1.0b2451198780bp-16, 0x1.04d3e0da53c7ep-16, 0x1.fcfcfad8a9ff6p-17, 0x1.f0496ce190eb2p-17, 0x1.e38e32ead2385p-17, 0x1.d6cc6407736cdp-17, 0x1.ca05133d9a0e5p-17, 0x1.bd394f6c42e5bp-17, 0x1.b06a23659d77ap-17, 0x1.a39895d5c25d9p-17, }}, 
      {{0x1.14261faa7a4bcp-6, 0x1.1f8a2818d1d71p-3, 0x1.339fd5d93bad4p-2, 0x1.e47209622b9ddp-2, 0x1.4930e0b6ebba5p-1, 0x1.99cca4527ee09p-1, 0x1.e13c8522de997p-1, 0x1.0f133d53c680ep+0, 0x1.28170afc35a5ep+0, 0x1.3bcef6074dbb1p+0, 0x1.4a94cf404ae63p+0, 0x1.54e0b1ba24b24p+0, 0x1.5b39b5502265p+0, 0x1.5e2af90c58e79p+0, 0x1.5e3cbd1210f8dp+0, 0x1.5befb2a65a9b2p+0, 0x1.57ba3e1b28a69p+0, 0x1.52071b61a8dd4p+0, 0x1.4b34dee100c94p+0, 0x1.4396079f4be8dp+0, 0x1.3b717afb2cd78p+0, 0x1.33035bd6caba7p+0, 0x1.2a7dfc777e498p+0, 0x1.220ab6bfbfb9ap+0, 0x1.19caf272b8542p+0, 0x1.11d92145f7386p+0, 0x1.0a49636ff256p+0, 0x1.032ad015485e3p+0, 0x1.f90fa5d193696p-1, 0x1.eccdf7820ffdep-1, 0x1.e197444dcee1dp-1, 0x1.d76cdf9157fc2p-1, 0x1.ce4ba95af289ep-1, 0x1.c62ce4d61176dp-1, 0x1.bf06faa8ca9f1p-1, 0x1.b8ce1fe4fdeebp-1, 0x1.b374e43bc484fp-1, 0x1.aeecaab7e9214p-1, 0x1.ab260ea28ec1p-1, 0x1.a81138b21d70ap-1, 0x1.a59e286c9b7f7p-1, 0x1.a3bcf21f5a3b1p-1, 0x1.a25df0717ce19p-1, 0x1.a171ea4bddd6ep-1, 0x1.a0ea2fa6fbfd8p-1, 0x1.a0b8b00ebc722p-1, 0x1.a0d00cb341494p-1, 0x1.a123a6b66c31ep-1, 0x1.a1a7a9bb9b529p-1, 0x1.a251128756dbp-1, 0x1.a315b16398f93p-1, 0x1.a3ec28255b65ap-1, 0x1.a4cbe46c4a521p-1, 0x1.a5ad17aa937f6p-1, 0x1.a688f7c27d3acp-1, 0x1.a7587d2b70cb4p-1, 0x1.a8164eafd3835p-1, 0x1.a8bd68dacfa4bp-1, 0x1.a949607690d4cp-1, 0x1.a9b658a9f7497p-1, 0x1.aa00fba7cf6a9p-1, 0x1.aa26748f8c21bp-1, 0x1.aa2468f93c8aep-1, 0x1.a9f8f143eaeadp-1, 0x1.a9a28f9d2c7ccp-1, 0x1.a9202662206e4p-1, 0x1.a870eeb059721p-1, 0x1.a7946fc9d43a7p-1, 0x1.a68a778a171cp-1, 0x1.a55313cfad85fp-1, 0x1.a3ee8c8da0754p-1, 0x1.a25d5e36a3157p-1, 0x1.a0a0344f3f634p-1, 0x1.9eb7e418e560dp-1, 0x1.9ca567659907ep-1, 0x1.9a69d7b25cf87p-1, 0x1.980669a45a7cdp-1, 0x1.957c68f676968p-1, 0x1.92cd34d2adbfdp-1, 0x1.8ffa3c849951ep-1, 0x1.8d04fc6e40c1bp-1, 0x1.89eefb2ddd1ebp-1, 0x1.86b9c6edff6d5p-1, 0x1.8366f2e35e983p-1, 0x1.7ff815000c453p-1, 0x1.7c6ec3e26e3fp-1, 0x1.78cc950179542p-1, 0x1.75131b1314eap-1, 0x1.7143e4a789506p-1, 0x1.6d607af55bbb6p-1, 0x1.696a60d24fdecp-1, 0x1.656311d67c915p-1, 0x1.614c01a4e9f42p-1, 0x1.5d269b5317771p-1, 0x1.58f440e7af44bp-1, 0x1.54b64ae9c3e6ep-1, 0x1.506e07fce1b7dp-1, 0x1.4c1cbc89a7621p-1, 0x1.47c3a274df6cep-1, 0x1.4363e8e729f12p-1, 0x1.3efeb42580c9ap-1, 0x1.3a951d7864d69p-1, 0x1.3628331df2e9ap-1, 0x1.31b8f8435cf4ap-1, 0x1.2d4865045a70cp-1, 0x1.28d76671efd6ep-1, 0x1.2466dea41bc5ep-1, 0x1.1ff7a4da5e456p-1, 0x1.1b8a85ad79bc8p-1, 0x1.17204351c6b39p-1, 0x1.12b996f589ac7p-1, 0x1.0e57347314927p-1, 0x1.09f9bac1adb7ap-1, 0x1.05a1c461640b2p-1, 0x1.014fe2f325b5bp-1, 0x1.fa093f566c9c7p-2, 0x1.f180f7776d651p-2, 0x1.e907e1670b5c2p-2, 0x1.e09ee19efd8eap-2, 0x1.d846ce7ba7618p-2, 0x1.d00070a9a597fp-2, 0x1.c7cc837f43d4fp-2, 0x1.bfabb54897f46p-2, 0x1.b79ea78d83a41p-2, 0x1.afa5ef58812e6p-2, 0x1.a7c21583e2dap-2, 0x1.9ff3971166d68p-2, 0x1.983ae58e1979dp-2, 0x1.90986782a73dap-2, 0x1.890c78eecd974p-2, 0x1.81976bcd7efb7p-2, 0x1.7a39889eaac2ep-2, 0x1.72f30ef34e703p-2, 0x1.6bc435f87cp-2, 0x1.64ad2cfe39a6dp-2, 0x1.5dae1bf79b69bp-2, 0x1.56c723f20a502p-2, 0x1.4ff85f8262253p-2, 0x1.4941e32749a4cp-2, 0x1.42a3bda0e5a13p-2, 0x1.3c1df83ea9f75p-2, 0x1.35b0972481e44p-2, 0x1.2f5b9988ec476p-2, 0x1.291ef9edb7be4p-2, 0x1.22faae55182aap-2, 0x1.1ceea8748efd4p-2, 0x1.16fad5e6ed0b2p-2, 0x1.111f205e52a0ap-2, 0x1.0b5b6dd6c9f3bp-2, 0x1.05afa0c9c334dp-2, 0x1.001b98626b34dp-2, 0x1.f53e61654c2e8p-3, 0x1.ea7485d088248p-3, 0x1.dfd94b03c61e4p-3, 0x1.d56c5905d48c7p-3, 0x1.cb2d534bfcdbap-3, 0x1.c11bd91ac29cfp-3, 0x1.b73785e177c03p-3, 0x1.ad7ff18ff18d2p-3, 0x1.a3f4b0e5e4f9cp-3, 0x1.9a9555bbb3d39p-3, 0x1.91616f44cfaep-3, 0x1.88588a4bfc791p-3, 0x1.7f7a3169fa357p-3, 0x1.76c5ed373ce7p-3, 0x1.6e3b447962b13p-3, 0x1.65d9bc4d3975fp-3, 0x1.5da0d84dede67p-3, 0x1.55901aba29ee6p-3, 0x1.4da704979cbep-3, 0x1.45e515d5695afp-3, 0x1.3e49cd6ddab69p-3, 0x1.36d4a98784df2p-3, 0x1.2f85279608136p-3, 0x1.285ac47a6b28bp-3, 0x1.2154fca307fedp-3, 0x1.1a734c2aeeba9p-3, 0x1.13b52ef890497p-3, 0x1.0d1a20db8ddf1p-3, 0x1.06a19da970bb6p-3, 0x1.004b21592fd65p-3, 0x1.f42c503a9488ap-4, 0x1.e8045cf8ccfbbp-4, 0x1.dc1d62d09fad6p-4, 0x1.d0765ca6ab532p-4, 0x1.c50e4687fa872p-4, 0x1.b9e41dce2ccbp-4, 0x1.aef6e14069fb3p-4, 0x1.a44591317d728p-4, 0x1.99cf2f9b18dbbp-4, 0x1.8f92c036abf2p-4, 0x1.858f4893fffb5p-4, 0x1.7bc3d02de2fbcp-4, 0x1.722f607d2116ap-4, 0x1.68d1050a07bfap-4, 0x1.5fa7cb7ca5c14p-4, 0x1.56b2c3abf46cfp-4, 0x1.4df0ffac08642p-4, 0x1.456193db6620bp-4, 0x1.3d0396ef89034p-4, 0x1.34d62200a8ddbp-4, 0x1.2cd85094c4a96p-4, 0x1.250940a9f50d3p-4, 0x1.1d6812c005a42p-4, 0x1.15f3e9e156c77p-4, 0x1.0eabebab05ed3p-4, 0x1.078f40545bb97p-4, 0x1.009d12b580762p-4, 0x1.f3a9209aec232p-5, 0x1.e669d28eb8c4p-5, 0x1.d97aa0fdfbda2p-5, 0x1.ccd9f709570fdp-5, 0x1.c0864540d28cep-5, 0x1.b47e01a8e786cp-5, 0x1.a8bfa7be41235p-5, 0x1.9d49b87844914p-5, 0x1.921aba4a6fd1cp-5, 0x1.8731392496f18p-5, 0x1.7c8bc6721d3d7p-5, 0x1.7228f9182c91cp-5, 0x1.68076d7303626p-5, 0x1.5e25c5526a07cp-5, 0x1.5484a97e4c927p-5, 0x1.4b1ed062e77a9p-5, 0x1.41f4e0264bf32p-5, 0x1.390590548db08p-5, 0x1.304f9dcf249a3p-5, 0x1.27d1cac4ae6f1p-5, 0x1.1f8adea84abafp-5, 0x1.1779a62894477p-5, 0x1.0f9cf3263d508p-5, 0x1.07f39caa530e1p-5, 0x1.007c7edc2a56bp-5, 0x1.f26cf5edf1084p-6, 0x1.e440ee7e31ebap-6, 0x1.d672bdee02981p-6, 0x1.c90044a7ce5aap-6, 0x1.bbe76ce431fbep-6, 0x1.af262a9211ab7p-6, 0x1.a2ba7b3e20c62p-6, 0x1.96a265f9d7f26p-6, 0x1.8adbfb41eb2a7p-6, 0x1.7f6554e43a136p-6, 0x1.743c95e547ff5p-6, 0x1.695fea6548456p-6, 0x1.5ecd8784be3c3p-6, 0x1.5483ab48c26d2p-6, 0x1.4a809c7eefd1ap-6, 0x1.40c2aaa10ccf1p-6, 0x1.37482db864adcp-6, 0x1.2e0f8640f9a82p-6, 0x1.25171d0c7b29dp-6, 0x1.1c5d63251dcc4p-6, 0x1.13e0d1b055115p-6, 0x1.0b9fe9d175e54p-6, 0x1.0399348c52cadp-6, 0x1.f796854f98237p-7, 0x1.e8695920d5356p-7, 0x1.d9a82475f9703p-7, 0x1.cb50360e8eeddp-7, 0x1.bd5eeb458a8c3p-7, 0x1.afd1afd709f9fp-7, 0x1.a2a5fda6473d7p-7, 0x1.95d95c83cfca4p-7, 0x1.896961f404c4dp-7, 0x1.7d53b0f5efb86p-7, 0x1.7195f9ca6ff62p-7, 0x1.662df9bbbc663p-7, 0x1.5b197ae54ee5fp-7, 0x1.505653fc3393p-7, 0x1.45e26817bdd6dp-7, 0x1.3bbba67aac10fp-7, 0x1.31e00a5cbe612p-7, 0x1.284d9ab4baef5p-7, 0x1.1f026a02f1923p-7, 0x1.15fc961c30c08p-7, 0x1.0d3a47f53add2p-7, 0x1.04b9b36eb8e83p-7, 0x1.f8f22e435e2eap-8, 0x1.e8ed7858e7387p-8, 0x1.d961ec0058c5ep-8, 0x1.ca4c445da81fap-8, 0x1.bba9507392f39p-8, 0x1.ad75f2c1d4aa4p-8, 0x1.9faf20e47806ap-8, 0x1.9251e33446785p-8, 0x1.855b5468601a3p-8, 0x1.78c8a138ed731p-8, 0x1.6c97080305256p-8, 0x1.60c3d86db1d96p-8, 0x1.554c731032901p-8, 0x1.4a2e49195bc13p-8, 0x1.3f66dbf8383a8p-8, 0x1.34f3bd05ca824p-8, 0x1.2ad28d3018f52p-8, 0x1.2100fca65dc81p-8, 0x1.177cca8673b2dp-8, 0x1.0e43c48b7d93p-8, 0x1.0553c6bdbc14fp-8, 0x1.f955764747ebfp-9, 0x1.e88d32e8491a9p-9, 0x1.d84acd945ddc1p-9, 0x1.c88a6ab2d3deap-9, 0x1.b948484844091p-9, 0x1.aa80bd64da09fp-9, 0x1.9c30399509f59p-9, 0x1.8e5344549f1f9p-9, 0x1.80e67c843f344p-9, 0x1.73e697e1432d5p-9, 0x1.6750627ff2823p-9, 0x1.5b20be481824cp-9, 0x1.4f54a273ed575p-9, 0x1.43e91b11593d8p-9, 0x1.38db48857f85cp-9, 0x1.2e285f1291c9p-9, 0x1.23cda65ff2d43p-9, 0x1.19c879049045fp-9, 0x1.101644137a60cp-9, 0x1.06b486aabb342p-9, 0x1.fb41a30896a72p-10, 0x1.e9b18d129168bp-10, 0x1.d8b430ce78eddp-10, 0x1.c845144f1f659p-10, 0x1.b85fdd92131a2p-10, 0x1.a90051b6f0c0ep-10, 0x1.9a22543a8ef46p-10, 0x1.8bc1e6365ce9ep-10, 0x1.7ddb25a3b8b6fp-10, 0x1.706a4ca316dfp-10, 0x1.636bb0c729526p-10, 0x1.56dbc263ceb32p-10, 0x1.4ab70be0bb3d7p-10, 0x1.3efa310fdc73p-10, 0x1.33a1ee8765865p-10, 0x1.28ab18ff6f213p-10, 0x1.1e129cb32184bp-10, 0x1.13d57cc54bbcbp-10, 0x1.09f0d2a88bedfp-10, 0x1.0061cd8a9adbep-10, 0x1.ee4b638631c64p-11, 0x1.dc73b08af594bp-11, 0x1.cb375c2c6ac15p-11, 0x1.ba91678615f33p-11, 0x1.aa7cf9bcc3c9bp-11, 0x1.9af55efb58a6fp-11, 0x1.8bf60775827bap-11, 0x1.7d7a867042aa9p-11, 0x1.6f7e915023a95p-11, 0x1.61fdfead0bf33p-11, 0x1.54f4c56b9ddf1p-11, 0x1.485efbdc057ebp-11, 0x1.3c38d6ddd7fa5p-11, 0x1.307ea909569ap-11, 0x1.252ce1ddb9d6bp-11, 0x1.1a400cf47c90ap-11, 0x1.0fb4d1397ee42p-11, 0x1.0587f027ff419p-11, 0x1.f76c8a183b5a2p-12, 0x1.e4798892b953cp-12, 0x1.d230f54a74b8bp-12, 0x1.c08d192cc72cdp-12, 0x1.af886b30829cep-12, 0x1.9f1d8f0595c5bp-12, 0x1.8f4753ccbd932p-12, 0x1.8000b2d7b37cep-12, 0x1.7144ce711edf4p-12, 0x1.630ef0ac90ecfp-12, 0x1.555a8a3df540cp-12, 0x1.48233158ba2a1p-12, 0x1.3b64a0963c825p-12, 0x1.2f1ab5e355453p-12, 0x1.234171753bcf4p-12, 0x1.17d4f4c51c6e8p-12, 0x1.0cd1819261ebdp-12, 0x1.023378ebf3cd8p-12, 0x1.efeeb47f54be9p-13, 0x1.dc3384e03658ep-13, 0x1.c92ed5e195fa2p-13, 0x1.b6da51d0e4081p-13, 0x1.a52fd8b20a767p-13, 0x1.94297e9b0ac2cp-13, 0x1.83c18a1c00463p-13, 0x1.73f272b127c6fp-13, 0x1.64b6df4023f09p-13, 0x1.5609a49fb154ap-13, 0x1.47e5c42aa86f6p-13, 0x1.3a466a5c2bd95p-13, 0x1.2d26ed75b1636p-13, 0x1.2082cc2fc4982p-13, 0x1.1455ac73006b9p-13, 0x1.089b5a1b314b6p-13, 0x1.fa9f8b863c1c4p-14, 0x1.e4de07320353fp-14, 0x1.cfea94786964dp-14, 0x1.bbbde34459adbp-14, 0x1.a850e4099e92ap-14, 0x1.959cc5af25b27p-14, 0x1.839af38bba027p-14, 0x1.7245136ee89a5p-14, 0x1.619503ba7d4bdp-14, 0x1.5184d989e512p-14, 0x1.420edee7c177ep-14, 0x1.332d911038c7ap-14, 0x1.24db9ec2a1548p-14, 0x1.1713e69d80ebcp-14, 0x1.09d1758923041p-14, 0x1.fa1f0a5b969bcp-15, 0x1.e192f4eb77295p-15, 0x1.c9f5c835ae88p-15, 0x1.b33ef27f76f8ep-15, 0x1.9d66302791283p-15, 0x1.8863890365ceap-15, 0x1.742f4dd19062ep-15, 0x1.60c215bf84b38p-15, 0x1.4e14bc04af949p-15, 0x1.3c205d8dd545bp-15, 0x1.2ade56be3bfcap-15, 0x1.1a48413e7d3aap-15, 0x1.0a57f1e3b0d5bp-15, 0x1.f60eed4118a59p-16, 0x1.d8a22912c5967p-16, 0x1.bc5e8bd5931bcp-16, 0x1.a13970da389cdp-16, 0x1.8728968a4aad7p-16, 0x1.6e221af4995e6p-16, 0x1.561c7867e3baap-16, 0x1.3f0e823007c3ap-16, 0x1.28ef616c86e36p-16, 0x1.13b6920471827p-16, 0x1.feb7bf5878b78p-17, 0x1.d7aec6162d01bp-17, 0x1.b242fdef71effp-17, 0x1.8e65bb8c88a56p-17, 0x1.6c08dd6913102p-17, 0x1.4b1ec6cc72402p-17, 0x1.2b9a5af37e2adp-17, 0x1.0d6ef85f27a4ap-17, 0x1.e120e8a106cebp-18, 0x1.a9e62cc760642p-18, 0x1.751728b1a45a9p-18, 0x1.429e1bec108a2p-18, 0x1.1266124536caep-18, 0x1.c8b5b81e1c63dp-19, 0x1.70d20da215c69p-19, 0x1.1cfbac4c3f7b8p-19, 0x1.9a1cf379fffedp-20, 0x1.01cd14fd52ad4p-20, 0x1.c325038cd2702p-22, -0x1.9316e0a815036p-24, -0x1.38c272343a3bfp-21, -0x1.1902208d0948bp-20, -0x1.8f4df97e0a9ap-20, -0x1.ff7c838943a23p-20, -0x1.34e1bea114459p-19, -0x1.672b5c023b101p-19, -0x1.96b415991ffa5p-19, -0x1.c394034407051p-19, -0x1.ede261fca0053p-19, -0x1.0adace29436d1p-18, -0x1.1d91a95509b2ep-18, -0x1.2f20319652bep-18, -0x1.3f9078af62831p-18, -0x1.4eec36bafa5eap-18, -0x1.5d3ccdb3c805p-18, -0x1.6a8b4cccf1609p-18, -0x1.76e073c2cf421p-18, -0x1.8244b5f165951p-18, -0x1.8cc03d579bb51p-18, -0x1.965aed779e9fp-18, -0x1.9f1c662ac8aebp-18, -0x1.a70c0634bbae5p-18, -0x1.ae30eddf284afp-18, -0x1.b492016da8986p-18, -0x1.ba35eb7568b82p-18, -0x1.bf231f2110cdcp-18, -0x1.c35fda556b5ecp-18, -0x1.c6f227cfac064p-18, -0x1.c9dfe11dce983p-18, -0x1.cc2eb08664183p-18, -0x1.cde412dc6b615p-18, -0x1.cf0559514d5c8p-18, -0x1.cf97ab091a5f2p-18, -0x1.cfa006c7ca495p-18, -0x1.cf23447bc8ce8p-18, -0x1.ce2616b5b97b3p-18, -0x1.ccad0c1627c7fp-18, -0x1.cabc90a79877fp-18, -0x1.c858ef2c7a271p-18, -0x1.c586525da5564p-18, -0x1.c248c61d2a0b9p-18, -0x1.bea4389bd32c8p-18, -0x1.ba9c7b68820cbp-18, -0x1.b6354489b8bcfp-18, -0x1.b1722f751e53p-18, -0x1.ac56be08a5fcbp-18, -0x1.a6e659739c18p-18, -0x1.a124531bc967ap-18, -0x1.9b13e5687bf24p-18, -0x1.94b834a64f792p-18, -0x1.8e144fb29b237p-18, -0x1.872b30cb9781ep-18, -0x1.7fffbe3e2c647p-18, -0x1.7894cb0f89dc1p-18, -0x1.70ed17a76f537p-18, -0x1.690b526767872p-18, -0x1.60f2184612688p-18, -0x1.58a3f55ef682cp-18, -0x1.5023657aef4c2p-18, -0x1.4772d4907059cp-18, -0x1.3e949f50f97ccp-18, -0x1.358b139012532p-18, -0x1.2c5870b86b2cep-18, -0x1.22fee842691cbp-18, -0x1.19809e180e60bp-18, -0x1.0fdfa8fb531a9p-18, -0x1.061e12e403138p-18, -0x1.f87bb2bd662bap-19, -0x1.e481dbc85361fp-19, -0x1.d0526c4a4f721p-19, -0x1.bbf118d7ccddbp-19, -0x1.a7617fab4bac5p-19, -0x1.92a7294d5f31p-19, -0x1.7dc5892444a3p-19, -0x1.68bffdebb08eap-19, -0x1.5399d24ebb62bp-19, -0x1.3e563d3e08d39p-19, -0x1.28f8627ea5fc7p-19, -0x1.13835318db4f8p-19, -0x1.fbf41b808b956p-20, -0x1.d0befe64db8d5p-20, -0x1.a56d055a63c43p-20, -0x1.7a03c47f8111cp-20, -0x1.4e88ae6060449p-20, -0x1.23011482c7a96p-20, -0x1.eee4506e835aap-21, -0x1.97c1f6472243ap-21, -0x1.40a4ffc3d2c94p-21, -0x1.d32e2a6f0e571p-22, -0x1.25434647df0ebp-22, -0x1.de6edac27033bp-24, 0x1.adb4a02a741fdp-25, 0x1.c54435dd16541p-23, 0x1.8f15ce5ee7c35p-22, 0x1.1d80862bdd387p-21, 0x1.7329cf3144eb1p-21, 0x1.c87edc04e15b2p-21, 0x1.0ebbfd4011021p-20, 0x1.3906d5fe0f919p-20, 0x1.631c5210e178ep-20, 0x1.8cf8e4393d923p-20, 0x1.b699179a64944p-20, 0x1.dff98f8b71e38p-20, 0x1.048b839c00f51p-19, 0x1.18f728941f978p-19, 0x1.2d3e2b7c816e3p-19, 0x1.415f0c91620a6p-19, 0x1.5558573c0ab12p-19, 0x1.6928a1f758f5bp-19, 0x1.7cce8e2a9e0a2p-19, 0x1.9048c7ff75188p-19, 0x1.a396063b388f6p-19, 0x1.b6b50a1be030cp-19, 0x1.c9a49f3216ap-19, 0x1.dc639b4031dafp-19, 0x1.eef0de1334a7fp-19, 0x1.00a5a8b1ca66fp-18, 0x1.09b8f457a4919p-18, 0x1.12b1d08de86e8p-18, 0x1.1b8fc0a6c29bdp-18, 0x1.24524cad9801cp-18, 0x1.2cf9014ae2146p-18, 0x1.35836fb1758e7p-18, 0x1.3df12d9eaffb8p-18, 0x1.4641d53da7e79p-18, 0x1.4e75051c7f4aep-18, 0x1.568a601832b48p-18, 0x1.5e818d55a24bfp-18, 0x1.665a38280b58ap-18, 0x1.6e1410069e6a2p-18, 0x1.75aec881bb49p-18, 0x1.7d2a1929d3fc9p-18, 0x1.8485bd8741644p-18, 0x1.8bc1750a367e9p-18, 0x1.92dd02fac389dp-18, 0x1.99d82e67862fbp-18, 0x1.a0b2c2216083ep-18, 0x1.a76c8c9db4349p-18, 0x1.ae055ff1af2ddp-18, 0x1.b47d11c040fefp-18, 0x1.bad37b2b4f37dp-18, 0x1.c10878c9a7cd4p-18, 0x1.c71bea9339c0dp-18, 0x1.cd0db3d323af3p-18, 0x1.d2ddbb15012bbp-18, 0x1.d88bea25ccb95p-18, 0x1.de182df75d392p-18, 0x1.e38276972f52ep-18, 0x1.e8cab72027588p-18, 0x1.edf0e5a9a2dcep-18, 0x1.f2f4fb3e80a94p-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.135bd24e7bc2bp-6, -0x1.130eba7dba386p-5, -0x1.9bd5fca9a9e16p-5, -0x1.11dc38ca08eb8p-4, -0x1.55364ff843799p-4, -0x1.97d5a72534dc4p-4, -0x1.d997f62025c98p-4, -0x1.0d2e3a7779093p-3, -0x1.2d01ff746befp-3, -0x1.4c3896ebee229p-3, -0x1.6ac436eb9bd5bp-3, -0x1.889805582e607p-3, -0x1.a5a81bbc5d296p-3, -0x1.c1e98895f84p-3, -0x1.dd524e7a2ffcbp-3, -0x1.f7d961639b89ap-3, -0x1.08bb513aefd01p-2, -0x1.15116d3dcf5acp-2, -0x1.20ebd9ae1b8efp-2, -0x1.2c47d85fdfd6ap-2, -0x1.372314089369ep-2, -0x1.417b9c03ea3c3p-2, -0x1.4b4fdfee5829ep-2, -0x1.549eab2479591p-2, -0x1.5d6720345935dp-2, -0x1.65a8b44b72b9bp-2, -0x1.6d632aaa80ff6p-2, -0x1.74969026a7ccbp-2, -0x1.7b4336be1fdbp-2, -0x1.8169b145799a8p-2, -0x1.870acf317ab6p-2, -0x1.8c279880d20b6p-2, -0x1.90c149c819391p-2, -0x1.94d95061ff9e3p-2, -0x1.987146c4f1028p-2, -0x1.9b8af0ff0ef83p-2, -0x1.9e283958eae97p-2, -0x1.a04b2d1f1c87ap-2, -0x1.a1f5f9927b6fap-2, -0x1.a32ae8fe7eaafp-2, -0x1.a3ec5ff514c4bp-2, -0x1.a43cdaaf0dfe2p-2, -0x1.a41eea901130dp-2, -0x1.a39533cceefb5p-2, -0x1.a2a26b33145d4p-2, -0x1.a149540fc7e8ep-2, -0x1.9f8cbe35d293bp-2, -0x1.9d6f84202b11dp-2, -0x1.9af4893041b0bp-2, -0x1.981eb806840ddp-2, -0x1.94f100f3ba233p-2, -0x1.916e5881ea02dp-2, -0x1.8d99b61374e28p-2, -0x1.897612973686ep-2, -0x1.8506675076b48p-2, -0x1.804dacb1932eep-2, -0x1.7b4ed9485a61fp-2, -0x1.760ce0bb148ccp-2, -0x1.708ab2d55ce27p-2, -0x1.6acb3aa3eebap-2, -0x1.64d15d9ea0038p-2, -0x1.5e9ffadfd20bap-2, -0x1.5839ea68b01ccp-2, -0x1.51a1fc71a3d15p-2, -0x1.4adaf8c6698e8p-2, -0x1.43e79e2d4ae3p-2, -0x1.3ccaa1d90253cp-2, -0x1.3586aee4db132p-2, -0x1.2e1e65daa1c34p-2, -0x1.26945c420f9f4p-2, -0x1.1eeb1c394f49cp-2, -0x1.172524164891cp-2, -0x1.0f44e610694a7p-2, -0x1.074cc7f297a62p-2, -0x1.fe7e45aa1837dp-3, -0x1.ee3c85bd956d6p-3, -0x1.ddd8ce1cebc16p-3, -0x1.cd57821476ab4p-3, -0x1.bcbce9ed2fe39p-3, -0x1.ac0d32a76611bp-3, -0x1.9b4c6dc2213b8p-3, -0x1.8a7e910eb2c8dp-3, -0x1.79a776900245ap-3, -0x1.68cadc65023b4p-3, -0x1.57ec64bde0f06p-3, -0x1.470f95db7908cp-3, -0x1.3637da1879adbp-3, -0x1.25687ffbd3e67p-3, -0x1.14a4ba53f6607p-3, -0x1.03efa05a52d67p-3, -0x1.e6985bbd78fbcp-4, -0x1.c57a86f458823p-4, -0x1.a48b4d90d2f19p-4, -0x1.83d005505c958p-4, -0x1.634dcf02b429ep-4, -0x1.43099721653a1p-4, -0x1.23081671b498ep-4, -0x1.034dd2b0112fdp-4, -0x1.c7be3e8881e5ep-5, -0x1.89803bfb0e1a6p-5, -0x1.4be97fac00001p-5, -0x1.0f018b78ffd4ap-5, -0x1.a59f0590f7112p-6, -0x1.2eb458669816cp-6, -0x1.729fccdd7c271p-7, -0x1.15f74f918cd98p-8, 0x1.65b351e07e083p-9, 0x1.3a84154e9e9fbp-7, 0x1.0c1aec2c9d407p-6, 0x1.793792181108p-6, 0x1.e48f208f8d19p-6, 0x1.270cac760d1ecp-5, 0x1.5ae74b089a80ap-5, 0x1.8dd3e461d0e5dp-5, 0x1.bfcf3a008cda8p-5, 0x1.f0d654ad0f872p-5, 0x1.10734153c9575p-4, 0x1.27feaaec8b81ep-4, 0x1.3f0c51037267dp-4, 0x1.559b3d849dbb5p-4, 0x1.6baa9982ca6bcp-4, 0x1.8139ac566fdd8p-4, 0x1.9647dabf01d5ap-4, 0x1.aad4a60680ca2p-4, 0x1.bedfab2778f55p-4, 0x1.d268a1f590e5cp-4, 0x1.e56f5c48b78c9p-4, 0x1.f7f3c52b2852dp-4, 0x1.04faf00513a79p-3, 0x1.0dbae3f4dc7d5p-3, 0x1.1639d74da1066p-3, 0x1.1e77edfb9a377p-3, 0x1.2675568cd8534p-3, 0x1.2e3249d1291fbp-3, 0x1.35af0a7b7f5fap-3, 0x1.3cebe4c4efcdp-3, 0x1.43e92e1137421p-3, 0x1.4aa74494d3bf3p-3, 0x1.51268efcacc85p-3, 0x1.57677c174a392p-3, 0x1.5d6a827f9b51ep-3, 0x1.6330204945314p-3, 0x1.68b8daae8187bp-3, 0x1.6e053dbf84b6fp-3, 0x1.7315dc136a7e3p-3, 0x1.77eb4e7aa3eabp-3, 0x1.7c8633b2ea125p-3, 0x1.80e7301cae8dap-3, 0x1.850eed72038a5p-3, 0x1.88fe1a7f05224p-3, 0x1.8cb56adbab565p-3, 0x1.903596a719c9ap-3, 0x1.937f5a4459012p-3, 0x1.9693761878479p-3, 0x1.9972ae4a2100ep-3, 0x1.9c1dca828650cp-3, 0x1.9e9595afbe463p-3, 0x1.a0daddc872135p-3, 0x1.a2ee7390f607cp-3, 0x1.a4d12a61ad27fp-3, 0x1.a683d7eecf3ffp-3, 0x1.a807541179b1cp-3, 0x1.a95c78921127ep-3, 0x1.aa8420f3f9727p-3, 0x1.ab7f2a428bd03p-3, 0x1.ac4e72df5d397p-3, 0x1.acf2da51c3f7dp-3, 0x1.ad6d4117a8dacp-3, 0x1.adbe88778a86cp-3, 0x1.ade79253c9bd9p-3, 0x1.ade940ff28a2bp-3, 0x1.adc477128404cp-3, 0x1.ad7a1743bfa2ep-3, 0x1.ad0b043de8f27p-3, 0x1.ac78207a8171bp-3, 0x1.abc24e1bfb144p-3, 0x1.aaea6ec95fc1cp-3, 0x1.a9f1638b1a37ep-3, 0x1.a8d80ca8e6794p-3, 0x1.a79f4988e3a0cp-3, 0x1.a647f88fc474ep-3, 0x1.a4d2f70218942p-3, 0x1.a34120e6b0dd2p-3, 0x1.a19350ea1809p-3, 0x1.9fca60431f78dp-3, 0x1.9de72698784a4p-3, 0x1.9bea79e759963p-3, 0x1.99d52e6b32f61p-3, 0x1.97a816865e20bp-3, 0x1.956402abd868p-3, 0x1.9309c149f6e7bp-3, 0x1.909a1eb619c9ep-3, 0x1.8e15e5195413dp-3, 0x1.8b7ddc5e07fa8p-3, 0x1.88d2ca1e78a0fp-3, 0x1.861571943ec62p-3, 0x1.83469388b0399p-3, 0x1.8066ee46287cep-3, 0x1.7d773d8a32948p-3, 0x1.7a783a7890811p-3, 0x1.776a9b8f1b1b2p-3, 0x1.744f149a7c13ep-3, 0x1.712656abb325fp-3, 0x1.6df1100e6d80bp-3, 0x1.6aafec4024df1p-3, 0x1.676393e7fe5fcp-3, 0x1.640caccf78f3cp-3, 0x1.60abd9dbc3ce9p-3, 0x1.5d41bb07e0068p-3, 0x1.59ceed5f6b184p-3, 0x1.56540afa1cda4p-3, 0x1.52d1aaf7f015fp-3, 0x1.4f48617df5c51p-3, 0x1.4bb8bfb3c31f5p-3, 0x1.482353c1896b5p-3, 0x1.4488a8cebc4eep-3, 0x1.40e947015754fp-3, 0x1.3d45b37db0303p-3, 0x1.399e7066d69b9p-3, 0x1.35f3fcdf7c91ep-3, 0x1.3246d50b67bd6p-3, 0x1.2e9772115b69p-3, 0x1.2ae64a1d8743ep-3, 0x1.2733d06464181p-3, 0x1.238075260e4a4p-3, 0x1.1fcca5b20825p-3, 0x1.1c18cc6b6af7dp-3, 0x1.186550cd7c7d9p-3, 0x1.14b29770aeb14p-3, 0x1.1101020ff251dp-3, 0x1.0d50ef8e704fep-3, 0x1.09a2bbfd93475p-3, 0x1.05f6c0a3680cep-3, 0x1.024d54014ac32p-3, 0x1.fd4d93b5bf28fp-4, 0x1.f606e67aac63fp-4, 0x1.eec73d0dde93cp-4, 0x1.e78f2edd846a3p-4, 0x1.e05f4e197ce8bp-4, 0x1.d93827c3d9051p-4, 0x1.d21a43c1ba8b4p-4, 0x1.cb0624ec9aca6p-4, 0x1.c3fc4923fe53bp-4, 0x1.bcfd295f6f186p-4, 0x1.b60939c0caf8cp-4, 0x1.af20e9a6ea48dp-4, 0x1.a844a3c07ea0fp-4, 0x1.a174ce1f364a3p-4, 0x1.9ab1ca4b17f6ap-4, 0x1.93fbf5561231ap-4, 0x1.8d53a7efbb8b8p-4, 0x1.86b936793898p-4, 0x1.802cf1194738p-4, 0x1.79af23d067cbap-4, 0x1.7340168d2040dp-4, 0x1.6ce00d4053b69p-4, 0x1.668f47f1aa22fp-4, 0x1.604e02d403c26p-4, 0x1.5a1c7659f2aefp-4, 0x1.53fad74a390b2p-4, 0x1.4de956d443a74p-4, 0x1.47e822a4a122cp-4, 0x1.41f764f96f05ep-4, 0x1.3c1744b6ba312p-4, 0x1.3647e57acf4a9p-4, 0x1.308967b2760e4p-4, 0x1.2adbe8ad1755dp-4, 0x1.253f82b0c7272p-4, 0x1.1fb44d0e32432p-4, 0x1.1a3a5c346afc2p-4, 0x1.14d1c1c49390bp-4, 0x1.0f7a8ca561fffp-4, 0x1.0a34c9167c48dp-4, 0x1.050080c3a98f3p-4, 0x1.ffbb75afacca2p-5, 0x1.f598f81fd4906p-5, 0x1.eb998d9ad6528p-5, 0x1.e1bd3651dc92p-5, 0x1.d803ee08a9509p-5, 0x1.ce6dac399dffdp-5, 0x1.c4fa643956b82p-5, 0x1.bbaa0559cf91fp-5, 0x1.b27c7b0d125ddp-5, 0x1.a971ad076f338p-5, 0x1.a0897f61332b7p-5, 0x1.97c3d2b7e82cdp-5, 0x1.8f20844f0f077p-5, 0x1.869f6e3059d65p-5, 0x1.7e40674b6432cp-5, 0x1.76034394e44cbp-5, 0x1.6de7d425559aap-5, 0x1.65ede7571cc89p-5, 0x1.5e1548e4226efp-5, 0x1.565dc202e3dcdp-5, 0x1.4ec71982fa507p-5, 0x1.475113e91518ap-5, 0x1.3ffb738a6a241p-5, 0x1.38c5f8a799d3fp-5, 0x1.31b06187077ap-5, 0x1.2aba6a8ea3573p-5, 0x1.23e3ce5d2b08ap-5, 0x1.1d2c45e2db1afp-5, 0x1.1693887999282p-5, 0x1.10194bfc8bf15p-5, 0x1.09bd44df2ed3dp-5, 0x1.037f2643d5b01p-5, 0x1.fabd442356f05p-6, 0x1.eeb6d21443c8cp-6, 0x1.e2ea55bbbd3f2p-6, 0x1.d7572c823c59dp-6, 0x1.cbfcb1ff1c93bp-6, 0x1.c0da401f4e5f6p-6, 0x1.b5ef2f4afabe8p-6, 0x1.ab3ad68a23306p-6, 0x1.a0bc8ba83a72bp-6, 0x1.9673a356c0a21p-6, 0x1.8c5f714eddcebp-6, 0x1.827f487200a4cp-6, 0x1.78d27ae985627p-6, 0x1.6f585a4565cf6p-6, 0x1.66103799f7d6fp-6, 0x1.5cf9639cbac49p-6, 0x1.54132ec03a2cap-6, 0x1.4b5ce94f05cd3p-6, 0x1.42d5e385c3537p-6, 0x1.3a7d6dac61c3bp-6, 0x1.3252d82e682eep-6, 0x1.2a5573b26e7bbp-6, 0x1.22849130bc0bcp-6, 0x1.1adf82091128bp-6, 0x1.13659817a18f1p-6, 0x1.0c1625c942335p-6, 0x1.04f07e2ecf2dfp-6, 0x1.fbe7ea1f8f649p-7, 0x1.ee3fbdf85974ep-7, 0x1.e0e722bb40989p-7, 0x1.d3dcc50f98c13p-7, 0x1.c71f53901a673p-7, 0x1.baad7ee8e2956p-7, 0x1.ae85f9f40aaabp-7, 0x1.a2a779d4ea1dfp-7, 0x1.9710b6120eee4p-7, 0x1.8bc068ade71eap-7, 0x1.80b54e3e3059ep-7, 0x1.75ee2602308e9p-7, 0x1.6b69b1f7af116p-7, 0x1.6126b6eedb4fcp-7, 0x1.5723fc9cf9aa2p-7, 0x1.4d604dae037f3p-7, 0x1.43da77d52edd8p-7, 0x1.3a914bdc67023p-7, 0x1.31839db2c0e6p-7, 0x1.28b04479f07e5p-7, 0x1.20161a92c506ep-7, 0x1.17b3fda8b436fp-7, 0x1.0f88cebc7b21ap-7, 0x1.0793722dda881p-7, 0x1.ffa59f88ecfc3p-8, 0x1.f08ba56fbc563p-8, 0x1.e1d6d36d882fdp-8, 0x1.d3850ddad91p-8, 0x1.c5944016ad936p-8, 0x1.b8025c905428fp-8, 0x1.aacd5ccfd57a5p-8, 0x1.9df3417cf913cp-8, 0x1.91721264f64dfp-8, 0x1.8547de7ed7643p-8, 0x1.7972bbee9b6p-8, 0x1.6df0c80724eeep-8, 0x1.62c0274afc999p-8, 0x1.57df056bf621dp-8, 0x1.4d4b9549bea6ap-8, 0x1.430410ef615a5p-8, 0x1.3906b98fcc13ep-8, 0x1.2f51d7815e26ap-8, 0x1.25e3ba3889a8cp-8, 0x1.1cbab84191937p-8, 0x1.13d52f39711f6p-8, 0x1.0b3183c5eee58p-8, 0x1.02ce218ced801p-8, 0x1.f552f655f1177p-9, 0x1.e584145240a85p-9, 0x1.d62c9de44b2a1p-9, 0x1.c749a18e0121bp-9, 0x1.b8d83b6597e08p-9, 0x1.aad594fc3063ep-9, 0x1.9d3ee543678cdp-9, 0x1.90117071d81fdp-9, 0x1.834a87e69aefep-9, 0x1.76e78a0bdf1a3p-9, 0x1.6ae5e23897823p-9, 0x1.5f4308915a429p-9, 0x1.53fc81e875759p-9, 0x1.490fdf9d4916fp-9, 0x1.3e7abf7af2619p-9, 0x1.343acb96559d1p-9, 0x1.2a4dba2b8f5b3p-9, 0x1.20b14d7adce9cp-9, 0x1.176353a4fe392p-9, 0x1.0e61a687296bbp-9, 0x1.05aa2b968b8e4p-9, 0x1.fa75a776d7bap-10, 0x1.ea233657ee6d7p-10, 0x1.da59128d6e3d7p-10, 0x1.cb1360d996c3fp-10, 0x1.bc4e5bb7c29ddp-10, 0x1.ae06530fec049p-10, 0x1.a037abe9e177dp-10, 0x1.92dee0202a763p-10, 0x1.85f87e12b50b5p-10, 0x1.798128595ad5p-10, 0x1.6d7595763fc11p-10, 0x1.61d28f88330b6p-10, 0x1.5694f3fcfd18p-10, 0x1.4bb9b343c0715p-10, 0x1.413dd07f726bp-10, 0x1.371e6139710acp-10, 0x1.2d588d144cbc1p-10, 0x1.23e98d7ec38dcp-10, 0x1.1acead67059e8p-10, 0x1.120548ee40782p-10, 0x1.098acd1c823cbp-10, 0x1.015cb794fc873p-10, 0x1.f2f12c955ca22p-11, 0x1.e3b80e6af4c3cp-11, 0x1.d509700f6f213p-11, 0x1.c6e0cbc87e3e9p-11, 0x1.b939ba29fefdp-11, 0x1.ac0ff18438817p-11, 0x1.9f5f45533f0a7p-11, 0x1.9323a5af88cafp-11, 0x1.87591ebfbd58ap-11, 0x1.7bfbd82bcd69ep-11, 0x1.7108149158f8dp-11, 0x1.667a30f96f7fep-11, 0x1.5c4ea44fb3c5bp-11, 0x1.5281fedae94c5p-11, 0x1.4910e9b6f466ap-11, 0x1.3ff826505259cp-11, 0x1.37348de113aep-11, 0x1.2ec310ef59958p-11, 0x1.26a0b6cd608a3p-11, 0x1.1eca9d1b1b111p-11, 0x1.173df74960034p-11, 0x1.0ff80e1eb43e2p-11, 0x1.08f63f3daf483p-11, 0x1.0235fcad008a6p-11, 0x1.f76998c23018fp-12, 0x1.eae08f8ee9763p-12, 0x1.decc36a730e0ap-12, 0x1.d3280c1b51027p-12, 0x1.c7efb2456c2a1p-12, 0x1.bd1eeeed68b5cp-12, 0x1.b2b1aa7033609p-12, 0x1.a8a3eeea5ea63p-12, 0x1.9ef1e7661ba32p-12, 0x1.9597df0c8b16ep-12, 0x1.8c92405a68c95p-12, 0x1.83dd945810df7p-12, 0x1.7b7681d4d777dp-12, 0x1.7359cca5b628cp-12, 0x1.6b8454e7489f4p-12, 0x1.63f3164319b84p-12, 0x1.5ca3273836452p-12, 0x1.5591b867082f9p-12, 0x1.4ebc13e072c7fp-12, 0x1.481f9c7829093p-12, 0x1.41b9cd1a3dd2dp-12, 0x1.3b883823e58a1p-12, 0x1.358886bf5fad1p-12, 0x1.2fb878430b7f3p-12, 0x1.2a15e19397985p-12, 0x1.249eac894db05p-12, 0x1.1f50d7586a709p-12, 0x1.1a2a73fc86b31p-12, 0x1.1529a7a6fe5e5p-12, 0x1.104caa3055c43p-12, 0x1.0b91c58c90017p-12, 0x1.06f75542741dp-12, 0x1.027bc5e5b3653p-12, 0x1.fc3b2927d65cdp-13, 0x1.f3b69ce8f8344p-13, 0x1.eb6720764d5ep-13, 0x1.e34a0b5adfeb2p-13, 0x1.db5cd25570118p-13, 0x1.d39d066e0b821p-13, 0x1.cc085410ee86bp-13, 0x1.c49c822ea1666p-13, 0x1.bd5771613e3d8p-13, 0x1.b6371b16ce2d9p-13, 0x1.af3990c0ae949p-13, 0x1.a85cfb07e25fep-13, 0x1.a19f99064a131p-13, 0x1.9affbf849d948p-13, 0x1.947bd83d30c1ep-13, 0x1.8e1261234a0dfp-13, 0x1.87c1ebaf20c4dp-13, 0x1.81891c2e52545p-13, 0x1.7b66a918c8495p-13, 0x1.75595a69fc181p-13, 0x1.6f6008fe81452p-13, 0x1.69799df5cc04fp-13, 0x1.63a5121813e6ap-13, 0x1.5de16d404eee4p-13, 0x1.582dc5ca2a1a4p-13, 0x1.52894003eb822p-13, 0x1.4cf30da43259cp-13, 0x1.476a6d437f3a7p-13, 0x1.41eea9d96f141p-13, 0x1.3c7f1a3d9fc4ep-13, 0x1.371b20ac2351bp-13, 0x1.31c22a4d7522bp-13, 0x1.2c73aec1dc8d4p-13, 0x1.272f2fb033a94p-13, 0x1.21f43857f11e1p-13, 0x1.1cc25d2675cd4p-13, 0x1.17993b4f81898p-13, 0x1.12787868c155ep-13, 0x1.0d5fc20866f78p-13, 0x1.084ecd66bd3d2p-13, 0x1.034557029d10fp-13, 0x1.fc86449188755p-14, 0x1.f28ff27bdc98p-14, 0x1.e8a758574f372p-14, 0x1.decc229f9d32ap-14, 0x1.d4fe091d50ed6p-14, 0x1.cb3cce4f0775bp-14, 0x1.c1883ed7ba1bp-14, 0x1.b7e030f1c7fc8p-14, 0x1.ae4483e6dc633p-14, 0x1.a4b51f8c60d6ep-14, 0x1.9b31f3c47c8d4p-14, 0x1.91baf80380c57p-14, 0x1.88502ad99af9dp-14, 0x1.7ef19180c1bbcp-14, 0x1.759f376eb608bp-14, 0x1.6c592deb05a4dp-14, 0x1.631f8ba8f0929p-14, 0x1.59f26c651c0a1p-14, 0x1.50d1f086f5932p-14, 0x1.47be3cc5b356dp-14, 0x1.3eb779d0d44cfp-14, 0x1.35bdd3fc0ca1ap-14, 0x1.2cd17aee83d7bp-14, 0x1.23f2a15550d83p-14, 0x1.1b217c991b9c2p-14, 0x1.125e4496ce763p-14, 0x1.09a9335b42465p-14, 0x1.010284e1cff6fp-14, 0x1.f0d4edab64655p-15, 0x1.dfc290ac4645ep-15, 0x1.cece737a44d1cp-15, 0x1.bdf918d19efc2p-15, 0x1.ad43050e88a12p-15, 0x1.9cacbdc9beb39p-15, 0x1.8c36c979d260fp-15, 0x1.7be1af1905b4ap-15, 0x1.6badf5cf99a83p-15, 0x1.5b9c24a269f74p-15, 0x1.4bacc225b1997p-15, 0x1.3be05433dc256p-15, 0x1.2c375fa83debp-15, 0x1.1cb2681d95f39p-15, 0x1.0d51efb03ba3p-15, 0x1.fc2ced87adaafp-16, 0x1.de00f7990b4b9p-16, 0x1.c020f636a786ep-16, 0x1.a28ddd5bcdc27p-16, 0x1.85489c0282804p-16, 0x1.68521bcf0b9b6p-16, 0x1.4bab40c1322b5p-16, 0x1.2f54e8eb241d5p-16, 0x1.134fec2daa92fp-16, 0x1.ef3a37f327c1p-17, 0x1.b87a862c3922bp-17, 0x1.82624ad842cd2p-17, 0x1.4cf2ffabf0e5p-17, 0x1.182e0fe77ee7bp-17, 0x1.c829b00fb8063p-18, 0x1.61514b003075bp-18, 0x1.f7aad9eadb0f7p-19, 0x1.2f70e68a79058p-19, 0x1.a7e4df3538b13p-21, -0x1.62dfd6fc915c4p-21, -0x1.189ea57628973p-19, -0x1.d5b71b0a51a53p-19, -0x1.47feed6dac706p-18, -0x1.a3b7d51a37f67p-18, -0x1.fe04c7ba059a9p-18, -0x1.2b7234878ab2cp-17, -0x1.572abeb6860dp-17, -0x1.822b74d727255p-17, -0x1.ac73d98fde3eep-17, -0x1.d6037fb1c82dp-17, -0x1.feda0a25ef007p-17, -0x1.137b95eb3a5b8p-16, -0x1.272d53c9ffc76p-16, -0x1.3a8227fbc03cfp-16, -0x1.4d7a03a04d29dp-16, -0x1.6014df98612a8p-16, }}, 
      {{-0x1.dd05b469fc26cp-7, -0x1.dcc2e501b49e2p-6, -0x1.653ed703c5426p-5, -0x1.dbb8bcc84667dp-5, -0x1.28d76589b1dbfp-4, -0x1.6380aa1efd5bfp-4, -0x1.9dc8bbb1044aap-4, -0x1.d7a09ece923fdp-4, -0x1.087cecbd972c6p-3, -0x1.24e33ec59bb0cp-3, -0x1.40fc98850eb2fp-3, -0x1.5cc29a68931b5p-3, -0x1.782f34bba8731p-3, -0x1.933ca961c0f9dp-3, -0x1.ade58ce49db49p-3, -0x1.c824c6eb595f3p-3, -0x1.e1f5922c6722fp-3, -0x1.fb537bebba26dp-3, -0x1.0a1d318a7287cp-2, -0x1.16533b7fde688p-2, -0x1.224a1af65dfa6p-2, -0x1.2e0035a2800d5p-2, -0x1.397416d457282p-2, -0x1.44a46e6a8cb63p-2, -0x1.4f900fb59c54ap-2, -0x1.5a35f04edf25bp-2, -0x1.649526e6ac8e2p-2, -0x1.6eacea0c62f62p-2, -0x1.787c8ef2cc97cp-2, -0x1.820388330227cp-2, -0x1.8b41648fa3b17p-2, -0x1.9435cdb9f0659p-2, -0x1.9ce0871a1b713p-2, -0x1.a5416c9bff41p-2, -0x1.ad5871811aec9p-2, -0x1.b5259f38b22dap-2, -0x1.bca9143eaab0cp-2, -0x1.c3e30301af183p-2, -0x1.cad3b0d10b5afp-2, -0x1.d17b74d284e9ap-2, -0x1.d7dab70076bap-2, -0x1.ddf1ef304eafdp-2, -0x1.e3c1a42188fbp-2, -0x1.e94a6a952eb04p-2, -0x1.ee8ce46dcadc7p-2, -0x1.f389bfd7d28dap-2, -0x1.f841b67a5447p-2, -0x1.fcb58cafd790fp-2, -0x1.007308639d79p-1, -0x1.026a0d2631f3p-1, -0x1.044044ac4595p-1, -0x1.05f622f4f5707p-1, -0x1.078c1fa14ce31p-1, -0x1.0902b5a7284cfp-1, -0x1.0a5a63077082bp-1, -0x1.0b93a8878fc3dp-1, -0x1.0caf096e01a31p-1, -0x1.0dad0b41dd8e1p-1, -0x1.0e8e358d43531p-1, -0x1.0f5311a2871dap-1, -0x1.0ffc2a640412ep-1, -0x1.108a0c0e7a467p-1, -0x1.10fd4405dbabcp-1, -0x1.115660a472ae2p-1, -0x1.1195f10c46bbp-1, -0x1.11bc84faaa82dp-1, -0x1.11caac9ddd82bp-1, -0x1.11c0f86cab823p-1, -0x1.119ff8fff6e39p-1, -0x1.11683eee1cd75p-1, -0x1.111a5aa81e57ep-1, -0x1.10b6dc5880ba7p-1, -0x1.103e53c3d3cd6p-1, -0x1.0fb1502acf717p-1, -0x1.0f10602dfb436p-1, -0x1.0e5c11b2cfa02p-1, -0x1.0d94f1ca476f3p-1, -0x1.0cbb8c98d2a6bp-1, -0x1.0bd06d3f9f6acp-1, -0x1.0ad41dc72f02p-1, -0x1.09c7270b2a16ap-1, -0x1.08aa10a76a968p-1, -0x1.077d60e631155p-1, -0x1.06419caf7c3bdp-1, -0x1.04f7477977ee1p-1, -0x1.039ee339fa43cp-1, -0x1.0238f0590862bp-1, -0x1.00c5eda455609p-1, -0x1.fe8cb0876f4e7p-2, -0x1.fb75575d12d92p-2, -0x1.f846c343d6e3bp-2, -0x1.f501e42fc8a5fp-2, -0x1.f1a7a67ea7338p-2, -0x1.ee38f2e95c7efp-2, -0x1.eab6ae77022f7p-2, -0x1.e721ba715c4cep-2, -0x1.e37af45abd6fep-2, -0x1.dfc335e549e95p-2, -0x1.dbfb54eb7fedap-2, -0x1.d824236a06f71p-2, -0x1.d43e6f7aa9c86p-2, -0x1.d04b0350771b4p-2, -0x1.cc4aa534f6105p-2, -0x1.c83e17866838bp-2, -0x1.c42618b7025b1p-2, -0x1.c003634d1bf32p-2, -0x1.bbd6ade43e1d2p-2, -0x1.b7a0ab2f0e683p-2, -0x1.b36209fa04d9ap-2, -0x1.af1b752ee7d9p-2, -0x1.aacd93d8fb8dbp-2, -0x1.a6790929e2092p-2, -0x1.a21e747f1bf88p-2, -0x1.9dbe716825784p-2, -0x1.995997ad2165dp-2, -0x1.94f07b560d098p-2, -0x1.9083acb270366p-2, -0x1.8c13b861857b7p-2, -0x1.87a1275acf679p-2, -0x1.832c7ef712f47p-2, -0x1.7eb640f9b2b3ep-2, -0x1.7a3eeb9a5fbfep-2, -0x1.75c6f98f1b26bp-2, -0x1.714ee21683ddcp-2, -0x1.6cd71902663c1p-2, -0x1.68600ec288269p-2, -0x1.63ea306fb2cebp-2, -0x1.5f75e7d6e94d4p-2, -0x1.5b039b84d07f6p-2, -0x1.5693aed13d26dp-2, -0x1.522681eae99f5p-2, -0x1.4dbc71e347494p-2, -0x1.4955d8ba6ddbfp-2, -0x1.44f30d6b2278bp-2, -0x1.409463f6f0548p-2, -0x1.3c3a2d7254bc6p-2, -0x1.37e4b810f3e51p-2, -0x1.33944f31dc3e9p-2, -0x1.2f493b6bcc6afp-2, -0x1.2b03c299803e9p-2, -0x1.26c427e5fc6edp-2, -0x1.228aabd8d9dp-2, -0x1.1e578c628fb23p-2, -0x1.1a2b04e8b490fp-2, -0x1.16054e52390b9p-2, -0x1.11e69f13984eep-2, -0x1.0dcf2b3aff433p-2, -0x1.09bf247c6221ep-2, -0x1.05b6ba3d877d7p-2, -0x1.01b619a200d0bp-2, -0x1.fb7adb2e23ccbp-3, -0x1.f399bdbf08ee2p-3, -0x1.ebc9283ed1ba6p-3, -0x1.e40963cf7fd4bp-3, -0x1.dc5ab5841f412p-3, -0x1.d4bd5e77c1383p-3, -0x1.cd319be441529p-3, -0x1.c5b7a738df9b4p-3, -0x1.be4fb630a336ep-3, -0x1.b6f9fae882fd5p-3, -0x1.afb6a3f56137bp-3, -0x1.a885dc79c8088p-3, -0x1.a167cc3b6ae52p-3, -0x1.9a5c97b877aebp-3, -0x1.9364603c9ec8ap-3, -0x1.8c7f43f5eace6p-3, -0x1.85ad5e0956509p-3, -0x1.7eeec6a7207b5p-3, -0x1.7843931ee7adfp-3, -0x1.71abd5f383ddp-3, -0x1.6b279eeea0be3p-3, -0x1.64b6fb3414392p-3, -0x1.5e59f554fbabdp-3, -0x1.581095628d89p-3, -0x1.51dae100b1caap-3, -0x1.4bb8db7853244p-3, -0x1.45aa85c972a2cp-3, -0x1.3fafdebcf169p-3, -0x1.39c8e2f61b184p-3, -0x1.33f58d03f385bp-3, -0x1.2e35d57233851p-3, -0x1.2889b2da0d666p-3, -0x1.22f119f2ab163p-3, -0x1.1d6bfda1633b5p-3, -0x1.17fa4f09b6099p-3, -0x1.129bfd9cf8462p-3, -0x1.0d50f729c7c38p-3, -0x1.081927eb33561p-3, -0x1.02f47a97a3742p-3, -0x1.fbc5b0df01baep-4, -0x1.f1c8529724815p-4, -0x1.e7f0a756389c6p-4, -0x1.de3e79837c208p-4, -0x1.d4b1910a114ep-4, -0x1.cb49b373abda3p-4, -0x1.c206a402ba47ap-4, -0x1.b8e823cc0b4ep-4, -0x1.afedf1cfed8dap-4, -0x1.a717cb12d41e9p-4, -0x1.9e656ab57025p-4, -0x1.95d68a0c4eb92p-4, -0x1.8d6ae0b6f7f89p-4, -0x1.852224b68a534p-4, -0x1.7cfc0a83db0dbp-4, -0x1.74f8452516b0bp-4, -0x1.6d168642e5ap-4, -0x1.65567e3d15e55p-4, -0x1.5db7dc3ec8149p-4, -0x1.563a4e5224e91p-4, -0x1.4edd817397eabp-4, -0x1.47a121a494354p-4, -0x1.4084d9fde117dp-4, -0x1.398854c17379dp-4, -0x1.32ab3b6bd080ap-4, -0x1.2bed36c4ff9e4p-4, -0x1.254deef1090b6p-4, -0x1.1ecd0b80048b3p-4, -0x1.186a337db9014p-4, -0x1.12250d80cdb8dp-4, -0x1.0bfd3fb98e9aap-4, -0x1.05f27000464d9p-4, -0x1.000443e32d349p-4, -0x1.f464c167df8p-5, -0x1.e8f8d7299d6cbp-5, -0x1.ddc4130ab0711p-5, -0x1.d2c5bedd79b3ep-5, -0x1.c7fd245f8576bp-5, -0x1.bd698d50aa27p-5, -0x1.b30a43896ad8ep-5, -0x1.a8de91109b0e4p-5, -0x1.9ee5c03046f65p-5, -0x1.951f1b89e6798p-5, -0x1.8b89ee29dbc68p-5, -0x1.8225839a3d06ap-5, -0x1.78f127f4f4d53p-5, -0x1.6fec27f533252p-5, -0x1.6715d108386e8p-5, -0x1.5e6d715d78541p-5, -0x1.55f257f61f01fp-5, -0x1.4da3d4b3f1e31p-5, -0x1.4581386797493p-5, -0x1.3d89d4de43f97p-5, -0x1.35bcfceed1c79p-5, -0x1.2e1a0486453c6p-5, -0x1.26a040b3bfcf1p-5, -0x1.1f4f07b3e77edp-5, -0x1.1825b0fbc1af6p-5, -0x1.112395430b7cdp-5, -0x1.0a480e8e06611p-5, -0x1.03927836cbd04p-5, -0x1.fa045dec358fcp-6, -0x1.ed2d21d760682p-6, -0x1.e09dfb4c42bd8p-6, -0x1.d455ac548b903p-6, -0x1.c852f9f452089p-6, -0x1.bc94ac37212a3p-6, -0x1.b1198e3c2475fp-6, -0x1.a5e06e4182d85p-6, -0x1.9ae81daee4611p-6, -0x1.902f711f35c22p-6, -0x1.85b54069a28e7p-6, -0x1.7b7866a9cf5c8p-6, -0x1.7177c2475da82p-6, -0x1.67b234fcb5ee2p-6, -0x1.5e26a3dd2a4d9p-6, -0x1.54d3f75a62e82p-6, -0x1.4bb91b493242bp-6, -0x1.42d4fee5bbd71p-6, -0x1.3a2694d709afcp-6, -0x1.31acd332067f9p-6, -0x1.2966b37be3f3bp-6, -0x1.215332abf8813p-6, -0x1.1971512d10763p-6, -0x1.11c012de3d902p-6, -0x1.0a3e7f1322476p-6, -0x1.02eba093c9b2ep-6, -0x1.f78d0b38001bep-7, -0x1.e99c7fb47c576p-7, -0x1.dc03c8dc473e6p-7, -0x1.cec117cd0d443p-7, -0x1.c1d2a47e41855p-7, -0x1.b536adbba2a09p-7, -0x1.a8eb791f16ad6p-7, -0x1.9cef5309c0c18p-7, -0x1.91408e9c6efc8p-7, -0x1.85dd85af66ba2p-7, -0x1.7ac498c98240ep-7, -0x1.6ff42f16c5ecbp-7, -0x1.656ab65e5a8a3p-7, -0x1.5b26a2f7fc5cdp-7, -0x1.51266fc0e743p-7, -0x1.47689e104477dp-7, -0x1.3debb5ab20fc4p-7, -0x1.34ae44b7ef9d7p-7, -0x1.2baedfb19fbbap-7, -0x1.22ec215a4f29cp-7, -0x1.1a64aaad99644p-7, -0x1.121722d28d214p-7, -0x1.0a02370d4b77ep-7, -0x1.02249ab056863p-7, -0x1.f4fa0e1b29e11p-8, -0x1.e61476ce1dbbap-8, -0x1.d795f9bed19d9p-8, -0x1.c97c2cd445915p-8, -0x1.bbc4b1773be0ap-8, -0x1.ae6d3471dd454p-8, -0x1.a1736dcefdaeep-8, -0x1.94d520b90b769p-8, -0x1.88901b58ad829p-8, -0x1.7ca236b31c737p-8, -0x1.710956883b14p-8, -0x1.65c3693078767p-8, -0x1.5ace677a7f66bp-8, -0x1.50285488bd54bp-8, -0x1.45cf3daec57f7p-8, -0x1.3bc13a4e9721fp-8, -0x1.31fc6bb5cdf3dp-8, -0x1.287efcfac0ee1p-8, -0x1.1f4722d996ee3p-8, -0x1.16531b9156d81p-8, -0x1.0da12ec0f6979p-8, -0x1.052fad4470e3cp-8, -0x1.f9f9e223c8079p-9, -0x1.ea0eba2d837ebp-9, -0x1.da9aba2a21859p-9, -0x1.cb9acb0190f0ep-9, -0x1.bd0be6ba8fcf6p-9, -0x1.aeeb1835da751p-9, -0x1.a1357ae9a5f62p-9, -0x1.93e83a9d66a0ep-9, -0x1.87009325f1ab2p-9, -0x1.7a7bd021fbc1ep-9, -0x1.6e574cb6fb3dbp-9, -0x1.6290734e76fd6p-9, -0x1.5724bd53c306fp-9, -0x1.4c11b2f23901dp-9, -0x1.4154ead3e269p-9, -0x1.36ec09e0b008fp-9, -0x1.2cd4c2fe2b179p-9, -0x1.230cd6cfb668fp-9, -0x1.199213775bd0cp-9, -0x1.106254572c725p-9, -0x1.077b81d333fep-9, -0x1.fdb722280c5d9p-10, -0x1.ed010793d9705p-10, -0x1.dcd0cfe15946dp-10, -0x1.cd22af27e49d7p-10, -0x1.bdf2f128cb7ddp-10, -0x1.af3df8dab8023p-10, -0x1.a1003ff67ba38p-10, -0x1.933656851e88cp-10, -0x1.85dce26f56003p-10, -0x1.78f09f0e525eep-10, -0x1.6c6e5cbdf1c8fp-10, -0x1.6053007051219p-10, -0x1.549b8342c5454p-10, -0x1.4944f2143ecd2p-10, -0x1.3e4c6d1d0bfb3p-10, -0x1.33af278813d2ap-10, -0x1.296a670d6f58ap-10, -0x1.1f7b838e79c14p-10, -0x1.15dfe6b342254p-10, -0x1.0c950b8979c5p-10, -0x1.03987e24be8ap-10, -0x1.f5cfb680bfe3ap-11, -0x1.e5019fc5131ebp-11, -0x1.d4c23201b8bb3p-11, -0x1.c50d064ce5728p-11, -0x1.b5ddd4369f5cep-11, -0x1.a730711a6bc5ep-11, -0x1.9900cf73d00fp-11, -0x1.8b4afe359d112p-11, -0x1.7e0b2824056fdp-11, -0x1.713d93317857cp-11, -0x1.64de9fde3f875p-11, -0x1.58eac89ad885ep-11, -0x1.4d5ea12d09f15p-11, -0x1.4236d617a9d83p-11, -0x1.37702c0515941p-11, -0x1.2d077f345342ep-11, -0x1.22f9c2e8d690ap-11, -0x1.194400dce5aaap-11, -0x1.0fe358b696edfp-11, -0x1.06d4ff7f613cep-11, -0x1.fc2c7e3c7480bp-12, -0x1.eb48eba8739a5p-12, -0x1.dafa2b777bd9cp-12, -0x1.cb3b489412033p-12, -0x1.bc0773a6a3608p-12, -0x1.ad5a02227d6d7p-12, -0x1.9f2e6d578fd7fp-12, -0x1.91805188eadf6p-12, -0x1.844b6d07e8815p-12, -0x1.778b9f53f6196p-12, -0x1.6b3ce83eeeaf3p-12, -0x1.5f5b6715f5be3p-12, -0x1.53e359cec40b9p-12, -0x1.48d11c39597ccp-12, -0x1.3e21273601032p-12, -0x1.33d00fef9e81dp-12, -0x1.29da871a2de94p-12, -0x1.203d58356bdf6p-12, -0x1.16f568d395f1ap-12, -0x1.0dffb7e4328d3p-12, -0x1.05595d02d1e12p-12, -0x1.f9ff0f9377e88p-13, -0x1.e9defe50e3a0fp-13, -0x1.da4d417c06398p-13, -0x1.cb44c06e2f731p-13, -0x1.bcc08d5f57232p-13, -0x1.aebbe430c89bbp-13, -0x1.a132293eefd61p-13, -0x1.941ee83a23715p-13, -0x1.877dd3064f99bp-13, -0x1.7b4ac0a1641e6p-13, -0x1.6f81ac10654ap-13, -0x1.641eb35309deap-13, -0x1.591e165dbdad8p-13, -0x1.4e7c3619f5e04p-13, -0x1.4435936cb2058p-13, -0x1.3a46ce4314431p-13, -0x1.30aca4a4ed8c7p-13, -0x1.2763f1cd258cap-13, -0x1.1e69ad47e509dp-13, -0x1.15baea165dd68p-13, -0x1.0d54d5d81f30fp-13, -0x1.0534b7f9d28bdp-13, -0x1.faafe1d2a10f2p-14, -0x1.eb77f29dcb2aep-14, -0x1.dcbcc2976de77p-14, -0x1.ce799f7a54941p-14, -0x1.c0aa030a6d5acp-14, -0x1.b34991af080c6p-14, -0x1.a65419167d738p-14, -0x1.99c58ee31958fp-14, -0x1.8d9a0f610d94bp-14, -0x1.81cddc453510cp-14, -0x1.765d5b748b893p-14, -0x1.6b4515d4198c4p-14, -0x1.6081b6212ep-14, -0x1.561007d1b5f8fp-14, -0x1.4becf5fc8498p-14, -0x1.42158a495f84p-14, -0x1.3886ebe8a3ae1p-14, -0x1.2f3e5e9257b08p-14, -0x1.2639418c7eeb4p-14, -0x1.1d750eb8878adp-14, -0x1.14ef59a7a5e56p-14, -0x1.0ca5ceb5f72bbp-14, -0x1.0496322c425bp-14, -0x1.f97cbed0610d7p-15, -0x1.ea389015ac368p-15, -0x1.db5be65acba84p-15, -0x1.cce2f937d14b6p-15, -0x1.beca282bafac1p-15, -0x1.b10df928e0084p-15, -0x1.a3ab172d3fdcap-15, -0x1.969e50e4d6ad3p-15, -0x1.89e49757432ebp-15, -0x1.7d7afc9f8e3f5p-15, -0x1.715eb2ae1bfaep-15, -0x1.658d0a1482b78p-15, -0x1.5a0370dafdb18p-15, -0x1.4ebf715f49ae9p-15, -0x1.43beb13ca04bep-15, -0x1.38fef03ca20afp-15, -0x1.2e7e0750eea0fp-15, -0x1.2439e7952fb7dp-15, -0x1.1a309959646adp-15, -0x1.10603b342e704p-15, -0x1.06c7011cf105ap-15, -0x1.fac6671b121c2p-16, -0x1.e8665d56cff6p-16, -0x1.d66ac2efcc86fp-16, -0x1.c4d09a0f2617fp-16, -0x1.b3950780a733ap-16, -0x1.a2b5513c4b101p-16, -0x1.922edcfc9cd83p-16, -0x1.81ff2ee1a11f3p-16, -0x1.7223e81fec8a3p-16, -0x1.629ac5bb8e562p-16, -0x1.53619f4e78fa5p-16, -0x1.447665da177a5p-16, -0x1.35d722a3bc8a6p-16, -0x1.2781f61b9a189p-16, -0x1.197516cdf1f7fp-16, -0x1.0baed05e362dap-16, -0x1.fc5b0517a031ap-17, -0x1.e1df408075be9p-17, -0x1.c7e75d4c6ef2cp-17, -0x1.ae70889396334p-17, -0x1.95781081910ep-17, -0x1.7cfb62b73b98ap-17, -0x1.64f80abc5a9e7p-17, -0x1.4d6bb080d130ap-17, -0x1.365416ecf3d9ep-17, -0x1.1faf1a806e3d1p-17, -0x1.097aafff535d5p-17, -0x1.e769c659be6c2p-18, -0x1.bcb7ab26fa875p-18, -0x1.92db7ab34b2f7p-18, -0x1.69d1c8464d641p-18, -0x1.41974bfced06ap-18, -0x1.1a28e0bb49b7ap-18, -0x1.e707046a310d4p-19, -0x1.9b48961791adbp-19, -0x1.5110e6035e345p-19, -0x1.085a9a83027bbp-19, -0x1.82411ae5d6287p-20, -0x1.ed77244abae9bp-21, -0x1.b86c282ed59f6p-22, 0x1.7a9b90fcf78f2p-24, 0x1.353746722f288p-21, 0x1.1ac35610d94b7p-20, 0x1.98292dbeab9d7p-20, 0x1.096aa2d2e9142p-19, 0x1.4567be6f7bbbbp-19, 0x1.800fbd3c821dfp-19, 0x1.b96658c18af76p-19, 0x1.f16f3270d2923p-19, 0x1.1416eabc33fbcp-18, 0x1.2ed2dc3d6c937p-18, 0x1.48ed1f9825e1p-18, 0x1.62675df87ab8ep-18, 0x1.7b433894e1322p-18, 0x1.9382495e08cf5p-18, 0x1.ab2623a4a6259p-18, 0x1.c23054b5965dp-18, 0x1.d8a2646cba846p-18, 0x1.ee7dd5beeb48bp-18, 0x1.01e2139db05b9p-17, 0x1.0c3b69c27547dp-17, 0x1.164ba8e1a5cbfp-17, 0x1.20138b068980fp-17, 0x1.2993c8e51dfb5p-17, 0x1.32cd1a07f5dfbp-17, 0x1.3bc034facb05bp-17, 0x1.446dcf71e88c5p-17, 0x1.4cd69e6e91c5cp-17, 0x1.54fb566087d7dp-17, 0x1.5cdcab44cfa59p-17, 0x1.647b50c1d6d96p-17, 0x1.6bd7fa411eae7p-17, 0x1.72f35b067f11ap-17, 0x1.79ce264521cdep-17, 0x1.80690f3262ba8p-17, 0x1.86c4c916965d9p-17, 0x1.8ce2075bdf5bp-17, 0x1.92c17d9b30f54p-17, 0x1.9863dfa78b974p-17, 0x1.9dc9e1978a76ep-17, 0x1.a2f437cd6aaa3p-17, 0x1.a7e396fd8d202p-17, 0x1.ac98b433904f7p-17, 0x1.b11444d6173ap-17, 0x1.b556fea956448p-17, 0x1.b96197d06752bp-17, 0x1.bd34c6cd8ef4cp-17, 0x1.c0d142816fc22p-17, 0x1.c437c22947452p-17, 0x1.c768fd5c416ebp-17, 0x1.ca65ac07f3de4p-17, 0x1.cd2e866c0b13dp-17, 0x1.cfc4451544edap-17, 0x1.d227a0d7aceb7p-17, 0x1.d45952c8428f8p-17, 0x1.d65a1436086ep-17, 0x1.d82a9ea288e2bp-17, 0x1.d9cbabb9d7a14p-17, 0x1.db3df54a31464p-17, 0x1.dc82353b1c15cp-17, 0x1.dd9925843dc95p-17, 0x1.de838023d3b13p-17, 0x1.df41ff14dfe51p-17, 0x1.dfd55c4519ed5p-17, 0x1.e03e518a9bb09p-17, 0x1.e07d98996777cp-17, 0x1.e093eaf8ba10bp-17, 0x1.e08201f83bcb3p-17, 0x1.e04896a51a66ep-17, 0x1.dfe861bf0910cp-17, 0x1.df621bad2ac24p-17, 0x1.deb67c72fe115p-17, 0x1.dde63ba53eea4p-17, 0x1.dcf2105ec5671p-17, 0x1.dbdab13571a02p-17, 0x1.daa0d42f1d3fap-17, 0x1.d9452eb69b7f1p-17, 0x1.d7c87590d4863p-17, 0x1.d62b5cd1e96f8p-17, 0x1.d46e97d27f364p-17, 0x1.d292d92525063p-17, 0x1.d098d28bd47b9p-17, 0x1.ce8134eda172dp-17, 0x1.cc4cb04c8afd5p-17, 0x1.c9fbf3bb705d6p-17, 0x1.c78fad544289ep-17, 0x1.c5088a2e4fa24p-17, 0x1.c2673654cf3d5p-17, 0x1.bfac5cbd99f31p-17, }}, 
      {{-0x1.597eaae7b5751p-1, -0x1.59a72666ad364p-1, -0x1.59e841907761bp-1, -0x1.5a3e9ad7023e9p-1, -0x1.5aa5be9c829f3p-1, -0x1.5b185cba0f7b7p-1, -0x1.5b907ebbedbecp-1, -0x1.5c07bbc1c474ap-1, -0x1.5c7768256476fp-1, -0x1.5cd8bfe486515p-1, -0x1.5d250b605fef9p-1, -0x1.5d55be6b33594p-1, -0x1.5d6491dd8f401p-1, -0x1.5d4b98151b8eap-1, -0x1.5d054cd4ea9f7p-1, -0x1.5c8ca108f87c4p-1, -0x1.5bdd02efc33ebp-1, -0x1.5af26328a3a02p-1, -0x1.59c9371dd8b2dp-1, -0x1.585e7937907ffp-1, -0x1.56afa73a9f701p-1, -0x1.54babf2aca051p-1, -0x1.527e3afdf32f4p-1, -0x1.4ff90b637ad3fp-1, -0x1.4d2a91d9d78a6p-1, -0x1.4a129a43f359ep-1, -0x1.46b15428441d9p-1, -0x1.43074bbcc6665p-1, -0x1.3f1562dd1ba0bp-1, -0x1.3adcca02ca3fbp-1, -0x1.365ef953287f7p-1, -0x1.319da9d294a34p-1, -0x1.2c9acec952745p-1, -0x1.27588f638d778p-1, -0x1.21d94093abd15p-1, -0x1.1c1f5f3c13519p-1, -0x1.162d8aa3e050bp-1, -0x1.10067f38adbf6p-1, -0x1.09ad119e647a8p-1, -0x1.03242a0d237b8p-1, -0x1.f8dd7ff919259p-2, -0x1.eb1fac36533d7p-2, -0x1.dd14ed204a0f8p-2, -0x1.cec35f0a5aa85p-2, -0x1.c0311fec335ddp-2, -0x1.b16449874fc37p-2, -0x1.a262ec0d16fd9p-2, -0x1.9333093fd412ap-2, -0x1.83da9008a4233p-2, -0x1.745f587c6be3p-2, -0x1.64c72049dea4ap-2, -0x1.5517878ac2b62p-2, -0x1.45560df2a1e0cp-2, -0x1.358810553ff7ep-2, -0x1.25b2c67f56c56p-2, -0x1.15db415c39603p-2, -0x1.060669633946p-2, -0x1.ec71fa8f9e499p-3, -0x1.ccef21cf7eb5ap-3, -0x1.ad8d18e552593p-3, -0x1.8e54578d40238p-3, -0x1.6f4cfbfb43dc9p-3, -0x1.507eca4ff37f5p-3, -0x1.31f12c5f91db7p-3, -0x1.13ab31c45c434p-3, -0x1.eb67206a9ce14p-4, -0x1.b02148363233dp-4, -0x1.7590e2ba98f17p-4, -0x1.3bc148c446229p-4, -0x1.02bd267764466p-4, -0x1.951cfbf64ee4bp-5, -0x1.267d54d9f2bf2p-5, -0x1.73598c4bba8e1p-6, -0x1.3aedf62cba835p-7, 0x1.a4790ec6260f5p-9, 0x1.029d46b13832p-6, 0x1.cc9a444e4e2cep-6, 0x1.49379815f166bp-5, 0x1.aa03a9fe56451p-5, 0x1.0454073d74562p-4, 0x1.328e42b87e47dp-4, 0x1.5face7c31d4dbp-4, 0x1.8bacd2c4ef9b5p-4, 0x1.b68b57ec46928p-4, 0x1.e0463ee080d89p-4, 0x1.046ddf3bda5b7p-3, 0x1.18253c391e2fbp-3, 0x1.2b48ba9f3d05bp-3, 0x1.3dd80fe3770bfp-3, 0x1.4fd320a63c5afp-3, 0x1.6139fea7405f9p-3, 0x1.720ce6c12fc29p-3, 0x1.824c3eedc50b8p-3, 0x1.91f89452baa75p-3, 0x1.a1129958254ddp-3, 0x1.af9b23c89e916p-3, 0x1.bd932afba9263p-3, 0x1.cafbc60a8e362p-3, 0x1.d7d62a100209ep-3, 0x1.e423a872c3edfp-3, 0x1.efe5ad3b56593p-3, 0x1.fb1dbd7506c02p-3, 0x1.02e6bacd22fb1p-2, 0x1.07fb4406338cap-2, 0x1.0ccd5dcb6609ap-2, 0x1.115df4febfd77p-2, 0x1.15adff4b96b63p-2, 0x1.19be7a793877p-2, 0x1.1d906bc33540dp-2, 0x1.2124df373e51fp-2, 0x1.247ce7188ced1p-2, 0x1.27999b48c27e6p-2, 0x1.2a7c18b62d4c4p-2, 0x1.2d2580cf6330bp-2, 0x1.2f96f8fc1b7c7p-2, 0x1.31d1aa1b33c9p-2, 0x1.33d6c005c6a77p-2, 0x1.35a7691742951p-2, 0x1.3744d5ba62dc5p-2, 0x1.38b037faf6983p-2, 0x1.39eac31c5943cp-2, 0x1.3af5ab348585ap-2, 0x1.3bd224cba926dp-2, 0x1.3c81648019a8fp-2, 0x1.3d049eae9a16ep-2, 0x1.3d5d071ecaeb9p-2, 0x1.3d8bd0b3b3588p-2, 0x1.3d922d204593ap-2, 0x1.3d714c9fbf623p-2, 0x1.3d2a5db1d5bb1p-2, 0x1.3cbe8cda868ddp-2, 0x1.3c2f04657f87dp-2, 0x1.3b7cec2cf7fa6p-2, 0x1.3aa96963e9a62p-2, 0x1.39b59e638b653p-2, 0x1.38a2aa7bf5131p-2, 0x1.3771a9c7d4f1fp-2, 0x1.3623b5031c2a5p-2, 0x1.34b9e1648872bp-2, 0x1.33354079f783fp-2, 0x1.3196e0076592ep-2, 0x1.2fdfc9e88849cp-2, 0x1.2e1103f4e5b78p-2, 0x1.2c2b8fe654baep-2, 0x1.2a306b41d6343p-2, 0x1.28208f42a43d4p-2, 0x1.25fcf0c76fefdp-2, 0x1.23c68041acbc4p-2, 0x1.217e29a6dde25p-2, 0x1.1f24d463ccf9bp-2, 0x1.1cbb635194df1p-2, 0x1.1a42b4ac72119p-2, 0x1.17bba20c42f35p-2, 0x1.1527005ea2d16p-2, 0x1.12859fe293d24p-2, 0x1.0fd84c25a07dp-2, 0x1.0d1fcc0268166p-2, 0x1.0a5ce1a07fd7dp-2, 0x1.07904a759f522p-2, 0x1.04babf4801ff5p-2, 0x1.01dcf431f1b2cp-2, 0x1.fdef314cd504ep-3, 0x1.f816aeed942edp-3, 0x1.f231adb2f35ccp-3, 0x1.ec4170e30cfp-3, 0x1.e64732ae3c76dp-3, 0x1.e0442441b7ffdp-3, 0x1.da396ddbbb685p-3, 0x1.d4282ee12fa8bp-3, 0x1.ce117df4a5a8p-3, 0x1.c7f6690ea4974p-3, 0x1.c1d7f597227c9p-3, 0x1.bbb7208019bc9p-3, 0x1.b594de612cae7p-3, 0x1.af721b943166ep-3, 0x1.a94fbc52ab026p-3, 0x1.a32e9cd401ceap-3, 0x1.9d0f916c8867fp-3, 0x1.96f366ad1901ep-3, 0x1.90dae1835b93p-3, 0x1.8ac6bf5a8c6c9p-3, 0x1.84b7b63cbfba2p-3, 0x1.7eae74f494b6ap-3, 0x1.78aba32f3f155p-3, 0x1.72afe19ee4dcp-3, 0x1.6cbbca1d40d93p-3, 0x1.66cfefce73b8ep-3, 0x1.60ecdf44081dbp-3, 0x1.5b131ea013c11p-3, 0x1.55432db865c51p-3, 0x1.4f7d8639ca22ap-3, 0x1.49c29bcb436a6p-3, 0x1.4412dc314101ap-3, 0x1.3e6eaf70bf60cp-3, 0x1.38d677f24fb19p-3, 0x1.334a92a4fb5cap-3, 0x1.2dcb5720fe3f4p-3, 0x1.285917ca4c1b1p-3, 0x1.22f421f2e21f3p-3, 0x1.1d9cbdfcd598dp-3, 0x1.18532f7c1c444p-3, 0x1.1317b55813877p-3, 0x1.0dea89eca7cb9p-3, 0x1.08cbe32b36599p-3, 0x1.03bbf2bb0bd0ep-3, 0x1.fd75cc33138f9p-4, 0x1.f391cd73cb02p-4, 0x1.e9cc344909fd2p-4, 0x1.e025442be34bfp-4, 0x1.d69d393ac2ad6p-4, 0x1.cd3448758dfdfp-4, 0x1.c3ea9ff8fc11ep-4, 0x1.bac06738f382ep-4, 0x1.b1b5bf39fa3c8p-4, 0x1.a8cac2c9c3dafp-4, 0x1.9fff86b6b9e95p-4, 0x1.97541a069b359p-4, 0x1.8ec8862c182e2p-4, 0x1.865ccf3b7b999p-4, 0x1.7e10f41e4de27p-4, 0x1.75e4eec5ff1aep-4, 0x1.6dd8b45d8db1dp-4, 0x1.65ec357a2e116p-4, 0x1.5e1f5e4aef1b4p-4, 0x1.567216c75dfa3p-4, 0x1.4ee442dd28391p-4, 0x1.4775c29cbc7aap-4, 0x1.40267264e9d17p-4, 0x1.38f62b0d802ebp-4, 0x1.31e4c210f1071p-4, 0x1.2af209b4f2a2dp-4, 0x1.241dd132280a9p-4, 0x1.1d67e4dacd07ap-4, 0x1.16d00e4069eb1p-4, 0x1.1056145891644p-4, 0x1.09f9bba0a8943p-4, 0x1.03bac640bdc35p-4, 0x1.fb31e85adc824p-5, 0x1.ef280691c05b8p-5, 0x1.e3575f05a0b32p-5, 0x1.d7bf65ef72acdp-5, 0x1.cc5f8c1e28da2p-5, 0x1.c1373f3174e67p-5, 0x1.b645e9d2c740dp-5, 0x1.ab8af3ec98b9ap-5, 0x1.a105c2e0051edp-5, 0x1.96b5b9b8b83d8p-5, 0x1.8c9a395f38e6dp-5, 0x1.82b2a0c9957afp-5, 0x1.78fe4d2a7c8acp-5, 0x1.6f7c9a1ec34fep-5, 0x1.662ce1d965f4p-5, 0x1.5d0e7d4e05846p-5, 0x1.5420c459edc6ep-5, 0x1.4b630deba5661p-5, 0x1.42d4b029146bep-5, 0x1.3a7500944542cp-5, 0x1.3243542ec9637p-5, 0x1.2a3eff9bc7511p-5, 0x1.22675740b9a04p-5, 0x1.1abbaf64e6c78p-5, 0x1.133b5c4f98c2p-5, 0x1.0be5b2651a263p-5, 0x1.04ba06428289dp-5, 0x1.fb6f59b0aef58p-6, 0x1.edbbf708122c3p-6, 0x1.e0589050a341ap-6, 0x1.d343d288fe576p-6, 0x1.c67c6c155dff8p-6, 0x1.ba010ce9fd64dp-6, 0x1.add066b37cfaap-6, 0x1.a1e92cfd49b49p-6, 0x1.964a15562507ep-6, 0x1.8af1d772c97e6p-6, 0x1.7fdf2d4ec6974p-6, 0x1.7510d34b96c7dp-6, 0x1.6a85884e029a8p-6, 0x1.603c0dd9db7b9p-6, 0x1.5633282c1add5p-6, 0x1.4c699e536d71ep-6, 0x1.42de3a473ee23p-6, 0x1.398fc8fd48d36p-6, 0x1.307d1a7db785dp-6, 0x1.27a501f5ed34p-6, 0x1.1f0655c9eb3abp-6, 0x1.169fefa472a16p-6, 0x1.0e70ac85e529ep-6, 0x1.06776cd1e9b6fp-6, 0x1.fd6628b7dabe6p-7, 0x1.ee4514e4fb4f6p-7, 0x1.df8973d3128a6p-7, 0x1.d13122472c54fp-7, 0x1.c33a0433e943cp-7, 0x1.b5a204c7e4852p-7, 0x1.a867167a3b48dp-7, 0x1.9b8733154521ep-7, 0x1.8f005bbf85d3p-7, 0x1.82d09902f6146p-7, 0x1.76f5fad2a78acp-7, 0x1.6b6e988ee17f1p-7, 0x1.60389107b9267p-7, 0x1.55520a7e3ecf9p-7, 0x1.4ab932a44e093p-7, 0x1.406c3e9b05658p-7, 0x1.36696af0087bp-7, 0x1.2caefb998246dp-7, 0x1.233b3bf108759p-7, 0x1.1a0c7ead647d6p-7, 0x1.11211ddb5151ep-7, 0x1.08777ad538cf8p-7, 0x1.000dfe3a01558p-7, 0x1.efc62fc5e4a1dp-8, 0x1.dfea7db17eaccp-8, 0x1.d085e28f8793ap-8, 0x1.c19568e6f2fb6p-8, 0x1.b31629526bf11p-8, 0x1.a5054a646fe48p-8, 0x1.9760008a204fcp-8, 0x1.8a238decdbeebp-8, 0x1.7d4d4252b4a2dp-8, 0x1.70da7afdd2e74p-8, 0x1.64c8a28ad967fp-8, 0x1.591530ce5a303p-8, 0x1.4dbdaab16c13dp-8, 0x1.42bfa20d744ep-8, 0x1.3818b5872da0ep-8, 0x1.2dc690690529cp-8, 0x1.23c6ea7cd04bbp-8, 0x1.1a1787e4f3546p-8, 0x1.10b638f501ddfp-8, 0x1.07a0da09e4befp-8, 0x1.fdaaa6c32bbbap-9, 0x1.eca331e4f65e9p-9, 0x1.dc275484db191p-9, 0x1.cc33247aecb36p-9, 0x1.bcc2ce189c3fdp-9, 0x1.add293d55189ap-9, 0x1.9f5ecdfaabb25p-9, 0x1.9163ea508231ep-9, 0x1.83de6bc8b9eddp-9, 0x1.76caea2af6d9p-9, 0x1.6a2611c045b23p-9, 0x1.5deca2fecad36p-9, 0x1.521b72357cd35p-9, 0x1.46af67380b106p-9, 0x1.3ba57d0ae9f33p-9, 0x1.30fac18fa34ecp-9, 0x1.26ac55316e3fap-9, 0x1.1cb76a921c9cap-9, 0x1.131946376a5bp-9, 0x1.09cf3e38b999ap-9, 0x1.00d6b9ed48448p-9, 0x1.f05a6335bfc2fp-10, 0x1.dfa05c4a2e55ap-10, 0x1.cf7a917a454dfp-10, 0x1.bfe45524802p-10, 0x1.b0d9190591da8p-10, 0x1.a2546d9bd55ddp-10, 0x1.9452018c25dcep-10, 0x1.86cda1082d2a5p-10, 0x1.79c335362110bp-10, 0x1.6d2ec39a171e8p-10, 0x1.610c6d80de00fp-10, 0x1.55586f6c79b52p-10, 0x1.4a0f2082482ffp-10, 0x1.3f2cf1fac8db6p-10, 0x1.34ae6e93230f7p-10, 0x1.2a903a006164cp-10, 0x1.20cf10647864ep-10, 0x1.1767c5c50e764p-10, 0x1.0e5745840e068p-10, 0x1.059a91da1803ap-10, 0x1.fa5d86a574158p-11, 0x1.ea2210951b5ep-11, 0x1.da7d48de57582p-11, 0x1.cb69e08201f8p-11, 0x1.bce2b12e0a0afp-11, 0x1.aee2bc48a4b38p-11, 0x1.a16529ff47d88p-11, 0x1.946548596d135p-11, 0x1.87de8a4f2045fp-11, 0x1.7bcc86e357d01p-11, 0x1.702af8421711ap-11, 0x1.64f5bae2584dp-11, 0x1.5a28ccabbe952p-11, 0x1.4fc04c20097abp-11, 0x1.45b877884b5dbp-11, 0x1.3c0dac25da0f9p-11, 0x1.32bc6566f9519p-11, 0x1.29c13c1f38e27p-11, 0x1.2118e5c37f1f3p-11, 0x1.18c033a9bd83fp-11, 0x1.10b4124c467e9p-11, 0x1.08f18890beb72p-11, 0x1.0175b712a3814p-11, 0x1.f47baee2b91b2p-12, 0x1.e68e7743a99aap-12, 0x1.d91e9a871f731p-12, 0x1.cc2719f266ab1p-12, 0x1.bfa32388fe16bp-12, 0x1.b38e10cb4af2ep-12, 0x1.a7e3657c00d37p-12, 0x1.9c9ece6c2bdf7p-12, 0x1.91bc204dca728p-12, 0x1.8737568cdf2a3p-12, 0x1.7d0c922eef374p-12, 0x1.733818b8cddf5p-12, 0x1.69b6531aaa6p-12, 0x1.6083cca248552p-12, 0x1.579d31f34a501p-12, 0x1.4eff50057d0fep-12, 0x1.46a713290f896p-12, 0x1.3e9186109d2d3p-12, 0x1.36bbd0e0f780ep-12, 0x1.2f2338469bae3p-12, 0x1.27c51c90b7a8cp-12, 0x1.209ef8d1b334ep-12, 0x1.19ae6205193a9p-12, 0x1.12f1063ad8d77p-12, 0x1.0c64abc7bf1b9p-12, 0x1.0607307b17e09p-12, 0x1.ffad11b2b907bp-13, 0x1.f3a17eb7bfb18p-13, 0x1.e7e7e76ab1673p-13, 0x1.dc7cb436807cep-13, 0x1.d15c7527c66dfp-13, 0x1.c683e09233da6p-13, 0x1.bbefd1bf145edp-13, 0x1.b19d47a4c4f51p-13, 0x1.a78963a6ec38dp-13, 0x1.9db1685f4c082p-13, 0x1.9412b86f07924p-13, 0x1.8aaad55827c97p-13, 0x1.81775e5f4418cp-13, 0x1.78760f7515b8ap-13, 0x1.6fa4c027dc698p-13, 0x1.6701629c63f1bp-13, 0x1.5e8a028e7e3bp-13, 0x1.563cc458d53dep-13, 0x1.4e17e403e8974p-13, 0x1.4619b45c07f34p-13, 0x1.3e409e0e35945p-13, 0x1.368b1ecbb7522p-13, 0x1.2ef7c8743f8bep-13, 0x1.2785404682d0cp-13, 0x1.20323e171384ep-13, 0x1.18fd8b8d65c87p-13, 0x1.11e60366d0654p-13, 0x1.0aea90bf70a45p-13, 0x1.040a2e60c4e7ap-13, 0x1.fa87cc2bc7d4fp-14, 0x1.ed2da00a49093p-14, 0x1.e004241e4f0ffp-14, 0x1.d309be661257dp-14, 0x1.c63cedef693e2p-14, 0x1.b99c49b4459c4p-14, 0x1.ad267f80ebec7p-14, 0x1.a0da52e3951ddp-14, 0x1.94b69c2543f8dp-14, 0x1.88ba474b92fd9p-14, 0x1.7ce453233e907p-14, 0x1.7133d05333cbbp-14, 0x1.65a7e077ea7dep-14, 0x1.5a3fb546d3c0fp-14, 0x1.4efa8fb9a636cp-14, 0x1.43d7bf4153525p-14, 0x1.38d6a1006f45bp-14, 0x1.2df69f0cdba98p-14, 0x1.23372fb87e1bp-14, 0x1.1897d4e0d5c6ep-14, 0x1.0e181b453b472p-14, 0x1.03b799e39d6e5p-14, 0x1.f2ebe2b71b91dp-15, 0x1.dea596aed4c84p-15, 0x1.ca9bb3f6facdp-15, 0x1.b6cdaeb5c6ebbp-15, 0x1.a33b09e41bb8cp-15, 0x1.8fe3564d72ac4p-15, 0x1.7cc6319a56d0bp-15, 0x1.69e345652758ep-15, 0x1.573a4658ca349p-15, 0x1.44caf35904c73p-15, 0x1.329514b4319d6p-15, 0x1.20987b5e04f37p-15, 0x1.0ed500331c4fp-15, 0x1.fa95068a1bc21p-16, 0x1.d7f1d65d71fc9p-16, 0x1.b5c048e11e86fp-16, 0x1.940041a929a58p-16, 0x1.72b1adb3b9286p-16, 0x1.51d4824e7a32cp-16, 0x1.3168bc0a01c94p-16, 0x1.116e5dbab4768p-16, 0x1.e3cadf0d750e4p-17, 0x1.a59bfc011f768p-17, 0x1.6850329b861ffp-17, 0x1.2be7a8b2edbcp-17, 0x1.e0c51048ecc96p-18, 0x1.6b81facb6ac18p-18, 0x1.f00cd8adaa026p-19, 0x1.0ca58092447bdp-19, 0x1.6674f921caa7ep-22, -0x1.5eee4625dfad1p-20, -0x1.882b2b10aba73p-19, -0x1.2ea677a227838p-18, -0x1.976dfd9b4a553p-18, -0x1.fe6bf978282aep-18, -0x1.31d02588b8184p-17, -0x1.638570c52f7f9p-17, -0x1.9455de552a4f1p-17, -0x1.c441770d5feb5p-17, -0x1.f3484d455b595p-17, -0x1.10b53eae45151p-16, -0x1.2754171991547p-16, -0x1.3d80c8cbb9599p-16, -0x1.533b725400384p-16, -0x1.688438157d25ep-16, -0x1.7d5b446dc495ap-16, -0x1.91c0c7d6a95dep-16, -0x1.a5b4f9035df5fp-16, -0x1.b93814f921cp-16, -0x1.cc4a5f23bb39dp-16, -0x1.deec2165e262ap-16, -0x1.f11dac25dac06p-16, -0x1.016fab2b34d7bp-15, -0x1.0a18bebe2965p-15, -0x1.128a42d846c79p-15, -0x1.1ac46ccface0cp-15, -0x1.22c7754232d42p-15, -0x1.2a939812123a4p-15, -0x1.322914614175p-15, -0x1.39882c8b8fe12p-15, -0x1.40b1261f95318p-15, -0x1.47a449d686522p-15, -0x1.4e61e38b000b2p-15, -0x1.54ea422ed9c2cp-15, -0x1.5b3db7c00f803p-15, -0x1.615c993cd0e0bp-15, -0x1.67473e96c5ed2p-15, -0x1.6cfe02a59610ap-15, -0x1.72814318c3ec3p-15, -0x1.77d16068e1a1ap-15, -0x1.7ceebdc83500ep-15, -0x1.81d9c112cfeadp-15, -0x1.8692d2be2cc38p-15, -0x1.8b1a5dc8590abp-15, -0x1.8f70cfa6b88d4p-15, -0x1.939698346a8d8p-15, -0x1.978c29a05f4c1p-15, -0x1.9b51f85b21e75p-15, -0x1.9ee87b046275dp-15, -0x1.a2502a5848a4cp-15, -0x1.a589811c98942p-15, -0x1.a894fc0db06e7p-15, -0x1.ab7319cb64216p-15, -0x1.ae245ac5c48dep-15, -0x1.b0a94129d4582p-15, -0x1.b30250ce301b4p-15, -0x1.b5300f1fb69cep-15, -0x1.b733030e2ed7bp-15, -0x1.b90bb4f8f878ap-15, -0x1.babaae9bc83f7p-15, -0x1.bc407afb754ebp-15, -0x1.bd9da652e0102p-15, -0x1.bed2bdfff41ebp-15, -0x1.bfe05070c7bbap-15, -0x1.c0c6ed10e288cp-15, -0x1.c1872436abe56p-15, -0x1.c2218711025c8p-15, -0x1.c296a795063d9p-15, -0x1.c2e7186c141f6p-15, -0x1.c3136ce1f4599p-15, -0x1.c31c38d345f11p-15, -0x1.c302109c1feb2p-15, -0x1.c2c58906f4ec2p-15, -0x1.c267373bb2a49p-15, -0x1.c1e7b0af24fa2p-15, -0x1.c1478b129d496p-15, -0x1.c0875c43dd069p-15, -0x1.bfa7ba3d4af3p-15, -0x1.bea93b066ddbcp-15, -0x1.bd8c74a4b2a4dp-15, -0x1.bc51fd0c7dfdep-15, -0x1.bafa6a128b308p-15, -0x1.b986515d95832p-15, -0x1.b7f648585197ep-15, -0x1.b64ae423b7231p-15, -0x1.b484b98997044p-15, -0x1.b2a45cef83df7p-15, -0x1.b0aa624a0a574p-15, -0x1.ae975d1038e5dp-15, -0x1.ac6be02f7ba8ap-15, -0x1.aa287dffc5a27p-15, -0x1.a7cdc8380ea82p-15, -0x1.a55c4fe31fd87p-15, -0x1.a2d4a554b2f1ep-15, -0x1.a037581ee0eb2p-15, -0x1.9d84f707e30e3p-15, -0x1.9abe1000229d7p-15, -0x1.97e330189a425p-15, }}, 
      {{-0x1.597584b80e01ap-1, -0x1.59832216bb279p-1, -0x1.599958c791931p-1, -0x1.59b777c3fb69bp-1, -0x1.59dc9242a22adp-1, -0x1.5a0788434cfcep-1, -0x1.5a370f85885b3p-1, -0x1.5a69bc6e78c7cp-1, -0x1.5a9e0a8ae95eap-1, -0x1.5ad26478c9c86p-1, -0x1.5b052b1966786p-1, -0x1.5b34bbfd84d9p-1, -0x1.5b5f7707cdbd8p-1, -0x1.5b83c349a8b6cp-1, -0x1.5ba01323d16e7p-1, -0x1.5bb2e7b7246bap-1, -0x1.5bbad3b3f1b81p-1, -0x1.5bb67d96f6fc2p-1, -0x1.5ba4a1633d07fp-1, -0x1.5b8411e7afd2bp-1, -0x1.5b53b99e995e3p-1, -0x1.5b129b343bf8p-1, -0x1.5abfd1c0c7412p-1, -0x1.5a5a90c0cfa2dp-1, -0x1.59e223d6638f9p-1, -0x1.5955ee5bc7473p-1, -0x1.58b56acfed45cp-1, -0x1.58002a23c829ap-1, -0x1.5735d2eec1813p-1, -0x1.5656208fcd9ebp-1, -0x1.5560e23fe3fbep-1, -0x1.5455fa19fe20ap-1, -0x1.53355c1c2467bp-1, -0x1.51ff0d24977cep-1, -0x1.50b321eda539fp-1, -0x1.4f51be0a58fap-1, -0x1.4ddb12e5d6f15p-1, -0x1.4c4f5ec6e86bfp-1, -0x1.4aaeebd8f1a7ap-1, -0x1.48fa0f3b57a04p-1, -0x1.473128181e238p-1, -0x1.45549ec261c7cp-1, -0x1.4364e3dd21a9p-1, -0x1.41626f8ab6d29p-1, -0x1.3f4dc0a52daaep-1, -0x1.3d275bffa7ddep-1, -0x1.3aefcbb0d2dd3p-1, -0x1.38a79e666fe39p-1, -0x1.364f66c1da57ap-1, -0x1.33e7babd6f514p-1, -0x1.3171331aac06dp-1, -0x1.2eec6ad8d3a3ap-1, -0x1.2c59feb3e241cp-1, -0x1.29ba8cab94f26p-1, -0x1.270eb3923fcfcp-1, -0x1.245712a3316f9p-1, -0x1.219449205e72fp-1, -0x1.1ec6f5f708737p-1, -0x1.1befb76b1c937p-1, -0x1.190f2ac8fcb9fp-1, -0x1.1625ec1d6eddap-1, -0x1.133495f364f87p-1, -0x1.103bc1175a1f6p-1, -0x1.0d3c045ffe29bp-1, -0x1.0a35f47be86dep-1, -0x1.072a23c413222p-1, -0x1.04192212d8905p-1, -0x1.01037c9f38b8cp-1, -0x1.fbd37bb847526p-2, -0x1.f598dab727112p-2, -0x1.ef581f6a6e057p-2, -0x1.e9124ce0f6145p-2, -0x1.e2c85fe374352p-2, -0x1.dc7b4ed4bf737p-2, -0x1.d62c0997a4824p-2, -0x1.cfdb7979e0b9cp-2, -0x1.c98a8123f0eeap-2, -0x1.c339fc8d5def6p-2, -0x1.bceac0f535bbdp-2, -0x1.b69d9cde68037p-2, -0x1.b053580fb56efp-2, -0x1.aa0cb396f7367p-2, -0x1.a3ca69cf727e1p-2, -0x1.9d8d2e6b0321fp-2, -0x1.9755ae7ddbf9ap-2, -0x1.9124908ca83d2p-2, -0x1.8afa749cdc57cp-2, -0x1.84d7f446fc1cp-2, -0x1.7ebda2cab3993p-2, -0x1.78ac0d248b28dp-2, -0x1.72a3ba25185adp-2, -0x1.6ca52a897a7ecp-2, -0x1.66b0d91505c3p-2, -0x1.60c73aabfa2acp-2, -0x1.5ae8be6f216a6p-2, -0x1.5515cdd83b78ep-2, -0x1.4f4eccd71b7d9p-2, -0x1.499419ef5a47p-2, -0x1.43e60e56868a1p-2, -0x1.3e44fe12bc7cp-2, -0x1.38b13819901b4p-2, -0x1.332b066f357bap-2, -0x1.2db2ae45d50d5p-2, -0x1.2848701cf9663p-2, -0x1.22ec87e10bff1p-2, -0x1.1d9f2d0acb585p-2, -0x1.186092beb1b9cp-2, -0x1.1330e7ec40adcp-2, -0x1.0e10576d1fa07p-2, -0x1.08ff08240da2ap-2, -0x1.03fd1d1b9052ep-2, -0x1.fe156b48c602ep-3, -0x1.f44fdae72b90dp-3, -0x1.eaa9b980abffap-3, -0x1.e12330c2c39f9p-3, -0x1.d7bc63d4254bep-3, -0x1.ce756f8e0f936p-3, -0x1.c54e6ab4c0b42p-3, -0x1.bc47662f14d76p-3, -0x1.b3606d3d334aep-3, -0x1.aa9985ae54635p-3, -0x1.a1f2b0159114fp-3, -0x1.996be7fdbe039p-3, -0x1.9105241c3eb1p-3, -0x1.88be5682e5e5dp-3, -0x1.80976cd0c8f06p-3, -0x1.789050620e87bp-3, -0x1.70a8e67eb86ecp-3, -0x1.68e110885fefbp-3, -0x1.6138ac26eedap-3, -0x1.59af937446114p-3, -0x1.52459d26e09f7p-3, -0x1.4afa9cbb68bd3p-3, -0x1.43ce629d46ba2p-3, -0x1.3cc0bc4e27224p-3, -0x1.35d1748c7ba4dp-3, -0x1.2f005378f6bcdp-3, -0x1.284d1ebb021abp-3, -0x1.21b799a43a5e7p-3, -0x1.1b3f8552ed7d1p-3, -0x1.14e4a0d393e81p-3, -0x1.0ea6a9415fbafp-3, -0x1.088559e5cbf17p-3, -0x1.02806c573fe13p-3, -0x1.f92f312d8523bp-4, -0x1.ed952a59812b9p-4, -0x1.e2322e89d6dd1p-4, -0x1.d705a59273098p-4, -0x1.cc0ef4f7fd94dp-4, -0x1.c14d802259f4bp-4, -0x1.b6c0a88d71a46p-4, -0x1.ac67cdf85da92p-4, -0x1.a2424e92e9e02p-4, -0x1.984f872978989p-4, -0x1.8e8ed34f5b68ep-4, -0x1.84ff8d87a6e02p-4, -0x1.7ba10f6c7b45fp-4, -0x1.7272b1d4db099p-4, -0x1.6973ccf90dd19p-4, -0x1.60a3b8959abb6p-4, -0x1.5801cc0ce3a35p-4, -0x1.4f8d5e8765dc5p-4, -0x1.4745c712ac1fbp-4, -0x1.3f2a5cbef729bp-4, -0x1.373a76bba655ep-4, -0x1.2f756c7267f7dp-4, -0x1.27da95a138214p-4, -0x1.20694a7337adfp-4, -0x1.1920e39861beap-4, -0x1.1200ba5c27e77p-4, -0x1.0b0828bafbc12p-4, -0x1.04368976cf89cp-4, -0x1.fb1670552369p-5, -0x1.ee0b22b95d53ep-5, -0x1.e149e52138d63p-5, -0x1.d4d174aef2d43p-5, -0x1.c8a090bf88ccfp-5, -0x1.bcb5fb086ac9ep-5, -0x1.b11077b37850dp-5, -0x1.a5aecd795bb28p-5, -0x1.9a8fc5ba4bcd7p-5, -0x1.8fb22c9544ce7p-5, -0x1.8514d0fdbfabdp-5, -0x1.7ab684cffb025p-5, -0x1.70961ce3dd1p-5, -0x1.66b2711e7ac46p-5, -0x1.5d0a5c8252529p-5, -0x1.539cbd3e415dp-5, -0x1.4a6874bb44737p-5, -0x1.416c67a90b26p-5, -0x1.38a77e0965f3cp-5, -0x1.3018a33aa2d7ap-5, -0x1.27bec600d6569p-5, -0x1.1f98d88e262cp-5, -0x1.17a5d08a17b08p-5, -0x1.0fe4a717eeff9p-5, -0x1.085458dc285c7p-5, -0x1.00f3e60113393p-5, -0x1.f384a475300cep-6, -0x1.e57d499265ffp-6, -0x1.d7cfd0f85814ep-6, -0x1.ca7a57661fca9p-6, -0x1.bd7b00bcf436dp-6, -0x1.b0cff8006256ap-6, -0x1.a4776f553a9cdp-6, -0x1.986f9fff4d1b9p-6, -0x1.8cb6ca5deea65p-6, -0x1.814b35e76f079p-6, -0x1.762b312372ed7p-6, -0x1.6b5511a45081dp-6, -0x1.60c733ff79f0fp-6, -0x1.567ffbc4f5dedp-6, -0x1.4c7dd37601f08p-6, -0x1.42bf2c7adf6ap-6, -0x1.39427f17da0f3p-6, -0x1.30064a61948b1p-6, -0x1.27091430a21a3p-6, -0x1.1e4969147b8b7p-6, -0x1.15c5dc45d31bep-6, -0x1.0d7d07985a2d8p-6, -0x1.056d8b6bfa411p-6, -0x1.fb2c1d3b1782fp-7, -0x1.ebea7cee2d2dbp-7, -0x1.dd139d3f42dd2p-7, -0x1.cea4f21535f43p-7, -0x1.c09bfbcdba4aep-7, -0x1.b2f6471ac0293p-7, -0x1.a5b16cdf28eedp-7, -0x1.98cb120aeefd7p-7, -0x1.8c40e776bcad6p-7, -0x1.8010a9bf1b1d3p-7, -0x1.7438211f187d2p-7, -0x1.68b5214aa6942p-7, -0x1.5d8589488a159p-7, -0x1.52a7434c147cep-7, -0x1.4818448e880edp-7, -0x1.3dd68d2858abdp-7, -0x1.33e027ea2b0d3p-7, -0x1.2a332a35c16e2p-7, -0x1.20cdb3d6c2113p-7, -0x1.17adeedb6f466p-7, -0x1.0ed20f6d54e3ep-7, -0x1.063853a9f161p-7, -0x1.fbbe06f6cad5fp-8, -0x1.eb88e0e25d2fdp-8, -0x1.dbcdeb31e9a32p-8, -0x1.cc89eeaedfa2p-8, -0x1.bdb9c682db5a5p-8, -0x1.af5a5fe9f978dp-8, -0x1.a168b9e581564p-8, -0x1.93e1e4eeed6fdp-8, -0x1.86c302ab5ed57p-8, -0x1.7a09459f824f3p-8, -0x1.6db1f0e3f03bdp-8, -0x1.61ba57da12fb3p-8, -0x1.561fdde19593fp-8, -0x1.4adff60e6938dp-8, -0x1.3ff822df6163fp-8, -0x1.3565f5f573c47p-8, -0x1.2b270fcb9d1d2p-8, -0x1.21391f6f72afp-8, -0x1.1799e23a6587bp-8, -0x1.0e47238bbc7ddp-8, -0x1.053ebc834a335p-8, -0x1.f8fd2779c10dcp-9, -0x1.e8093a1910fabp-9, -0x1.d79db2770378p-9, -0x1.c7b6ab8c1177ap-9, -0x1.b8505933dc3dcp-9, -0x1.a96707abf5e0ep-9, -0x1.9af71b144c0e6p-9, -0x1.8cfd0ef13ea77p-9, -0x1.7f7575af60848p-9, -0x1.725cf828e4a0cp-9, -0x1.65b0552cbf8f1p-9, -0x1.596c610779d6ep-9, -0x1.4d8e050db9fbbp-9, -0x1.42123f28835dap-9, -0x1.36f621632d54p-9, -0x1.2c36d17b12825p-9, -0x1.21d18870fa173p-9, -0x1.17c3921c3555p-9, -0x1.0e0a4cbf7ca6p-9, -0x1.04a3289f7ac81p-9, -0x1.f7174f362967fp-10, -0x1.e582b98acb9b3p-10, -0x1.d483d802d9f9cp-10, -0x1.c416133edaffcp-10, -0x1.b434f3f7fcc98p-10, -0x1.a4dc22418cd7cp-10, -0x1.960764cdcc02dp-10, -0x1.87b2a0360a5a7p-10, -0x1.79d9d64612d27p-10, -0x1.6c79254ada5bp-10, -0x1.5f8cc76469618p-10, -0x1.531111db00dadp-10, -0x1.470274776c341p-10, -0x1.3b5d78de7ba8dp-10, -0x1.301ec1efa4bddp-10, -0x1.25430b26b25ccp-10, -0x1.1ac728008fd1fp-10, -0x1.10a8036314c7ep-10, -0x1.06e29f07d4807p-10, -0x1.fae825d3d1bbp-11, -0x1.e8b3196d440eep-11, -0x1.d7209e824d7bfp-11, -0x1.c62b63f1d4d3bp-11, -0x1.b5ce40c5f374p-11, -0x1.a604332c2178p-11, -0x1.96c85f72e3169p-11, -0x1.88160f0ce6839p-11, -0x1.79e8af997c7dbp-11, -0x1.6c3bd1f2589c8p-11, -0x1.5f0b293e88f0bp-11, -0x1.52528a0a8e36ep-11, -0x1.460de96582999p-11, -0x1.3a395c033af84p-11, -0x1.2ed1156351cfap-11, -0x1.23d166fd02c47p-11, -0x1.1936bf6fc9fbp-11, -0x1.0efda9b8ae03bp-11, -0x1.0522cc6c2544bp-11, -0x1.f745d1e8ff622p-12, -0x1.e4f5b5a9892b6p-12, -0x1.d34f2ddfe0e34p-12, -0x1.c24c55a8fa787p-12, -0x1.b1e778184d5ecp-12, -0x1.a21b0edfa4fb7p-12, -0x1.92e1c0ff1b314p-12, -0x1.8436617d140e9p-12, -0x1.7613ee2614cb9p-12, -0x1.68758e545281fp-12, -0x1.5b5691bed5f28p-12, -0x1.4eb26f500a024p-12, -0x1.4284c4039735fp-12, -0x1.36c951cb66ca7p-12, -0x1.2b7bfe7ba7232p-12, -0x1.2098d2bdb12p-12, -0x1.161bf909ae62cp-12, -0x1.0c01bca6d69fbp-12, -0x1.024688b22b36fp-12, -0x1.f1cdce571116ep-13, -0x1.dfbf0011e08eep-13, -0x1.ce5a309fd3be3p-13, -0x1.bd992269b0e3bp-13, -0x1.ad75ce805355bp-13, -0x1.9dea62f277b36p-13, -0x1.8ef1412db211fp-13, -0x1.8084fc6a5f4f6p-13, -0x1.72a058224a632p-13, -0x1.653e4691ccecbp-13, -0x1.5859e74333294p-13, -0x1.4bee85a4260fap-13, -0x1.3ff797a4e3baap-13, -0x1.3470bc6110171p-13, -0x1.2955bad1e5163p-13, -0x1.1ea280898b732p-13, -0x1.145320776a80ep-13, -0x1.0a63d1b530db2p-13, -0x1.00d0ee5c758c7p-13, -0x1.ef2de4c94866ap-14, -0x1.dd64f51237aa3p-14, -0x1.cc40866e80d56p-14, -0x1.bbba4f08a43b8p-14, -0x1.abcc4055b88e8p-14, -0x1.9c70851f1c211p-14, -0x1.8da17f9a9b669p-14, -0x1.7f59c790b0d02p-14, -0x1.719428908ec39p-14, -0x1.644ba03194bccp-14, -0x1.577b5c61dd746p-14, -0x1.4b1eb9c1969a1p-14, -0x1.3f31420aca952p-14, -0x1.33aeaa8552146p-14, -0x1.2892d2869a8e8p-14, -0x1.1dd9c1fcf861dp-14, -0x1.137fa8063803bp-14, -0x1.0980d9912296dp-14, -0x1.ffb3a013650fap-15, -0x1.ed0e501f56e6dp-15, -0x1.db0b406eaa67ap-15, -0x1.c9a42fa826379p-15, -0x1.b8d31b992c511p-15, -0x1.a8923ef0d18d5p-15, -0x1.98dc0f0d2b4dfp-15, -0x1.89ab39da51936p-15, -0x1.7afaa3c2a11f9p-15, -0x1.6cc565afc4f32p-15, -0x1.5f06cb1c10403p-15, -0x1.51ba5033ba361p-15, -0x1.44dba00587a3fp-15, -0x1.386692c27decp-15, -0x1.2c572c0c291b9p-15, -0x1.20a99951188efp-15, -0x1.155a303723867p-15, -0x1.0a656d1318b74p-15, -0x1.ff8fe2daea18p-16, -0x1.eafd05278154ap-16, -0x1.d70c106c7788ap-16, -0x1.c3b71622f3e06p-16, -0x1.b0f8674733bf4p-16, -0x1.9eca91d97eca7p-16, -0x1.8d285e74f7a9bp-16, -0x1.7c0ccdfbb0bcbp-16, -0x1.6b731757520ecp-16, -0x1.5b56a54dc6e9cp-16, -0x1.4bb314694d4bap-16, -0x1.3c8430f35ce48p-16, -0x1.2dc5f501ce4c5p-16, -0x1.1f748695b8cdcp-16, -0x1.118c35cb7bb46p-16, -0x1.04097b1b6dd03p-16, -0x1.edd1eb556181dp-17, -0x1.d44ed35756c24p-17, -0x1.bb837d9b50574p-17, -0x1.a369fd764fd55p-17, -0x1.8bfca74cdaf25p-17, -0x1.75360dc7a45a2p-17, -0x1.5f10ff22e503ap-17, -0x1.498882978e92p-17, -0x1.3497d5dd8785cp-17, -0x1.203a6ac61a386p-17, -0x1.0c6be4edd91fcp-17, -0x1.f2502f0a6058p-18, -0x1.ccd6065dcd7e7p-18, -0x1.a861a7e7b9e6ap-18, -0x1.84ebbe969b74dp-18, -0x1.626d446dd703ep-18, -0x1.40df7ee4568b6p-18, -0x1.203bfb68399d3p-18, -0x1.007c8c065c43p-18, -0x1.c3368868fb9d6p-19, -0x1.8724eb79c2a91p-19, -0x1.4cb95b946e4f6p-19, -0x1.13e96425803cap-19, -0x1.b955f8862ab16p-20, -0x1.4de902f31e515p-20, -0x1.caf2cb414d4ddp-21, -0x1.ffd56025ad779p-22, -0x1.d4bc1f2333d19p-24, 0x1.0a4f354c66b9cp-22, 0x1.3f724e869c4c7p-21, 0x1.f4670c50629afp-21, 0x1.521194bc789c8p-20, 0x1.a7617578ce7cdp-20, 0x1.fa30c98d1118fp-20, 0x1.25465bc475626p-19, 0x1.4c40f8db5a5eap-19, 0x1.720e5e15cc2a4p-19, 0x1.96b47947db106p-19, 0x1.ba3906d08a617p-19, 0x1.dca19439f5f35p-19, 0x1.fdf382b978b2bp-19, 0x1.0f1a04c880e1dp-18, 0x1.1eb41c296e5e6p-18, 0x1.2dca7c84816c8p-18, 0x1.3c5f892090b9ap-18, 0x1.4a75947f34f81p-18, 0x1.580ee14917d03p-18, 0x1.652da32e30b44p-18, 0x1.71d3ffba69cb7p-18, 0x1.7e040f1f28077p-18, 0x1.89bfdcf22c913p-18, 0x1.950968e23bedp-18, 0x1.9fe2a7620229p-18, 0x1.aa4d82499257dp-18, 0x1.b44bd96ef04d4p-18, 0x1.bddf83360406fp-18, 0x1.c70a4d185592ap-18, 0x1.cfcdfc24eed6dp-18, 0x1.d82c4d78b9b48p-18, 0x1.e026f6afb470fp-18, 0x1.e7bfa64f495adp-18, 0x1.eef8042a1cf94p-18, 0x1.f5d1b1bda0955p-18, 0x1.fc4e4a89ae024p-18, 0x1.0137b2313c143p-17, 0x1.041b47de8b096p-17, 0x1.06d2abfb7239fp-17, 0x1.095ea1cc02441p-17, 0x1.0bbfea489845fp-17, 0x1.0df7443a914a3p-17, 0x1.10056c56e3de6p-17, 0x1.11eb1d56b92fap-17, 0x1.13a9100e22a63p-17, 0x1.153ffb8102c44p-17, 0x1.16b094f641ecep-17, 0x1.17fb900968badp-17, 0x1.19219ebab2585p-17, 0x1.1a23717daf345p-17, 0x1.1b01b7468c411p-17, 0x1.1bbd1d9610c05p-17, 0x1.1c56508467f12p-17, 0x1.1ccdfacac70d8p-17, 0x1.1d24c5cc01765p-17, 0x1.1d5b599c1c0ecp-17, 0x1.1d725d06ef586p-17, 0x1.1d6a7595e804fp-17, 0x1.1d444794f3899p-17, 0x1.1d007616a7d57p-17, 0x1.1c9fa2f7b36edp-17, 0x1.1c226ee1a1c6p-17, 0x1.1b89794d01274p-17, 0x1.1ad56082f416ep-17, 0x1.1a06c19e3c384p-17, 0x1.191e388bc5f36p-17, 0x1.181c600ac119cp-17, 0x1.1701d1ac4f9e8p-17, 0x1.15cf25d2d2e26p-17, 0x1.1484f3b0e1858p-17, 0x1.1323d147ec5fdp-17, 0x1.11ac53669c484p-17, 0x1.101f0da6ee931p-17, 0x1.0e7c926c187e5p-17, 0x1.0cc572e037069p-17, 0x1.0afa3ef1d2c6fp-17, 0x1.091b85513cf02p-17, 0x1.0729d36dcbd25p-17, 0x1.0525b572fb965p-17, 0x1.030fb645780d4p-17, 0x1.00e85f801611fp-17, 0x1.fd6072e17c247p-18, 0x1.f8cf962a9e347p-18, 0x1.f41f3430f7a36p-18, 0x1.ef50559d4cee6p-18, 0x1.ea6400657f30dp-18, 0x1.e55b37c6515cfp-18, 0x1.e036fc3d42351p-18, 0x1.daf84b8279de8p-18, 0x1.d5a02082d490dp-18, 0x1.d02f735a0cb03p-18, 0x1.caa7394d0c63dp-18, 0x1.c50864c465cccp-18, 0x1.bf53e546fa815p-18, 0x1.b98aa774d16fdp-18, 0x1.b3ad950223cf7p-18, 0x1.adbd94b29c815p-18, 0x1.a7bb8a54d569bp-18, 0x1.a1a856be0d91bp-18, 0x1.9b84d7c61d408p-18, 0x1.9551e843ab394p-18, 0x1.8f106008a365dp-18, 0x1.88c113deeea5fp-18, 0x1.8264d585705e8p-18, 0x1.7bfc73ad4858bp-18, 0x1.7588b9f75bd2p-18, 0x1.6f0a70f2237p-18, 0x1.68825e17c2b2fp-18, 0x1.61f143cc644c6p-18, 0x1.5b57e15ce11bdp-18, 0x1.54b6f2fdad363p-18, 0x1.4e0f31ca0d8f3p-18, 0x1.476153c394d46p-18, 0x1.40ae0bd1e8a08p-18, 0x1.39f609c2cd96ap-18, 0x1.3339fa4a7782ep-18, 0x1.2c7a8704246bdp-18, 0x1.25b85672f756ep-18, 0x1.1ef40c031bf89p-18, 0x1.182e480b2b88fp-18, 0x1.1167a7cdd50ap-18, 0x1.0aa0c57bc7d9p-18, 0x1.03da3835ddf2fp-18, 0x1.fa29281f0e25dp-19, 0x1.eca0d422e0afcp-19, 0x1.df1c9078d8f51p-19, 0x1.d19d731929031p-19, 0x1.c4248bf949fa4p-19, 0x1.b6b2e5132a635p-19, 0x1.a949826ccbc66p-19, 0x1.9be962204a53ap-19, 0x1.8e937c64561c5p-19, 0x1.8148c3950e4aep-19, 0x1.740a243d438b1p-19, 0x1.66d885201d98fp-19, 0x1.59b4c7431d9eep-19, 0x1.4c9fc5f87d635p-19, 0x1.3f9a56e9eb45ap-19, 0x1.32a54a2395c8bp-19, 0x1.25c16a1f8f4f9p-19, 0x1.18ef7bd1828f3p-19, 0x1.0c303eb2b15c8p-19, 0x1.ff08d99c7bb09p-20, 0x1.e5d9759b7d164p-20, 0x1.ccd3b00c274a7p-20, 0x1.b3f8dd08fac4dp-20, 0x1.9b4a4637ea98ep-20, 0x1.82c92ae576be2p-20, 0x1.6a76c0204d3c5p-20, 0x1.525430d53f81fp-20, 0x1.3a629debb317p-20, 0x1.22a31e6260b63p-20, 0x1.0b16bf6c7fc5dp-20, 0x1.e77d091e7135dp-21, 0x1.b936cf7ee02c7p-21, 0x1.8b5cb2ffb5b42p-21, 0x1.5df081feade29p-21, 0x1.30f3f86f0ae7p-21, 0x1.0468c01741d67p-21, 0x1.b0a0e19e24758p-22, }}, 
      {{0x1.a14264e0478cp-15, 0x1.a360b2e6179p-13, 0x1.dbb0dca610697p-12, 0x1.ab8a8b5a94412p-11, 0x1.5293c6a13f4fbp-10, 0x1.ef40c0a9b9f7ap-10, 0x1.56f62680a092fp-9, 0x1.c86c97da8da4ep-9, 0x1.26968b34a7563p-8, 0x1.73305c6d02daep-8, 0x1.ca948be8f4e26p-8, 0x1.16a68c6434696p-7, 0x1.4ded55fe33e51p-7, 0x1.8b5945f3209dp-7, 0x1.cf1e814986925p-7, 0x1.0cb50af861ae4p-6, 0x1.3530c82783616p-6, 0x1.61115ceb1f336p-6, 0x1.9061bda80d60ap-6, 0x1.c328eee6f356cp-6, 0x1.f96a12bc7ffdfp-6, 0x1.19924077aa135p-5, 0x1.3829f3ee5060fp-5, 0x1.58783a2912be3p-5, 0x1.7a777f64f6156p-5, 0x1.9e209e53f5eb4p-5, 0x1.c36afa25450ebp-5, 0x1.ea4c9975d2764p-5, 0x1.095d20de0c4e3p-4, 0x1.1e53c96a0450ap-4, 0x1.3403912fc7a09p-4, 0x1.4a654b5ecc144p-4, 0x1.617160b289828p-4, 0x1.791fdc3dac356p-4, 0x1.916877c2d609ep-4, 0x1.aa42a78e61e84p-4, 0x1.c3a5a5c7a4b56p-4, 0x1.dd887d32bdbe6p-4, 0x1.f7e2135e49d35p-4, 0x1.0954991d16008p-3, 0x1.16ea488b26957p-3, 0x1.24ad6e84cba6p-3, 0x1.3299606165c73p-3, 0x1.40a975e2d1de1p-3, 0x1.4ed90c8beff55p-3, 0x1.5d238ab140a97p-3, 0x1.6b846245fe427p-3, 0x1.79f7136870499p-3, 0x1.88772eb069ac7p-3, 0x1.97005742e7a5cp-3, 0x1.a58e44ae150dcp-3, 0x1.b41cc490cefeep-3, 0x1.c2a7bc10fc82p-3, 0x1.d12b2923e3623p-3, 0x1.dfa323ab9d3c7p-3, 0x1.ee0bde6cded48p-3, 0x1.fc61a7dfeae28p-3, 0x1.0550756fd8ffep-2, 0x1.0c63179ce0be2p-2, 0x1.13670d10daae9p-2, 0x1.1a5ab74542439p-2, 0x1.213c86b40615cp-2, 0x1.280afaed758efp-2, 0x1.2ec4a2a45b566p-2, 0x1.35681bb1261dfp-2, 0x1.3bf4130d00fd9p-2, 0x1.426744c595d7bp-2, 0x1.48c07bea34404p-2, 0x1.4efe9272fd6e7p-2, 0x1.55207122a4986p-2, 0x1.5b250f6350066p-2, 0x1.610b731f0da61p-2, 0x1.66d2b09446dfbp-2, 0x1.6c79ea2698633p-2, 0x1.7200502c63b14p-2, 0x1.776520b968a86p-2, 0x1.7ca7a766ad755p-2, 0x1.81c73d17f8a0fp-2, 0x1.86c347bf1435ap-2, 0x1.8b9b3a1d10f64p-2, 0x1.904e9381b8b5p-2, 0x1.94dcdf8964211p-2, 0x1.9945b5d94fc06p-2, 0x1.9d88b9daa7ef7p-2, 0x1.a1a59a7463379p-2, 0x1.a59c11c416f5fp-2, 0x1.a96be4d5e1278p-2, 0x1.ad14e35b8d9d4p-2, 0x1.b096e7630faa8p-2, 0x1.b3f1d50c6ff75p-2, 0x1.b7259a3f4f73dp-2, 0x1.ba322e6012553p-2, 0x1.bd179204d9d0fp-2, 0x1.bfd5ceaa5d4c6p-2, 0x1.c26cf668c31b4p-2, 0x1.c4dd23a88ecbdp-2, 0x1.c72678d7c357ep-2, 0x1.c949201f451c1p-2, 0x1.cb454b18a248p-2, 0x1.cd1b32844cc71p-2, 0x1.cecb16005e422p-2, 0x1.d0553bbffe6b5p-2, 0x1.d1b9f0437af7bp-2, 0x1.d2f9861125f39p-2, 0x1.d414556f0ce94p-2, 0x1.d50abc1d99913p-2, 0x1.d5dd1d132be0cp-2, 0x1.d68be038bc6b7p-2, 0x1.d717722794b92p-2, 0x1.d78043e82a523p-2, 0x1.d7c6cab22a23cp-2, 0x1.d7eb7fadbd088p-2, 0x1.d7eedfb60cefp-2, 0x1.d7d16b1d1a73bp-2, 0x1.d793a570e19c9p-2, 0x1.d7361541dcaap-2, 0x1.d6b943eae1e9dp-2, 0x1.d61dbd5a68db7p-2, 0x1.d5640fdd37883p-2, 0x1.d48ccbea787edp-2, 0x1.d39883f13f2a9p-2, 0x1.d287cc2777e22p-2, 0x1.d15b3a5a49d73p-2, 0x1.d01365bfe36b8p-2, 0x1.ceb0e6cab400cp-2, 0x1.cd3456fe117ffp-2, 0x1.cb9e50c447661p-2, 0x1.c9ef6f46084c6p-2, 0x1.c8284e4345e1p-2, 0x1.c64989ed6684fp-2, 0x1.c453bec2d0343p-2, 0x1.c247896bd2641p-2, 0x1.c0258698d718ep-2, 0x1.bdee52e1e3fe4p-2, 0x1.bba28aa76012ep-2, 0x1.b942c9f41981bp-2, 0x1.b6cfac60834d9p-2, 0x1.b449ccf72587fp-2, 0x1.b1b1c61a3e50bp-2, 0x1.af08316a84aa2p-2, 0x1.ac4da7af0cb25p-2, 0x1.a982c0be4321bp-2, 0x1.a6a81367febfcp-2, 0x1.a3be356097862p-2, 0x1.a0c5bb2d05a58p-2, 0x1.9dbf380ffe4fep-2, 0x1.9aab3df8057a3p-2, 0x1.978a5d6e71f41p-2, 0x1.945d258757f45p-2, 0x1.912423d25a1a4p-2, 0x1.8ddfe44c55e63p-2, 0x1.8a90f151e42dap-2, 0x1.8737d392abc9fp-2, 0x1.83d512057c62dp-2, 0x1.806931dd2eb2ap-2, 0x1.7cf4b67e3fb4ap-2, 0x1.79782175256c9p-2, 0x1.75f3f26d54ec3p-2, 0x1.7268a728f44edp-2, 0x1.6ed6bb793608dp-2, 0x1.6b3ea93752fbap-2, 0x1.67a0e83e211bdp-2, 0x1.63fdee6444768p-2, 0x1.60562f76ef96bp-2, 0x1.5caa1d35326a5p-2, 0x1.58fa274bd17d9p-2, 0x1.5546bb51a4ac8p-2, 0x1.519044c47088bp-2, 0x1.4dd72d06402bfp-2, 0x1.4a1bdb5b3325bp-2, 0x1.465eb4e7bff5dp-2, 0x1.42a01caf66ad3p-2, 0x1.3ee07393cdfd4p-2, 0x1.3b20185445e02p-2, 0x1.375f678db43e3p-2, 0x1.339ebbbadadc4p-2, 0x1.2fde6d34fe7bbp-2, 0x1.2c1ed234e7424p-2, 0x1.28603ed436042p-2, 0x1.24a3050f0d8e5p-2, 0x1.20e774c60bfc6p-2, 0x1.1d2ddbc08ed31p-2, 0x1.197685af4481fp-2, 0x1.15c1bc2f0362dp-2, 0x1.120fc6cbe240ep-2, 0x1.0e60eb04973e6p-2, 0x1.0ab56c4e10572p-2, 0x1.070d8c174c8aap-2, 0x1.036989cd6bfeep-2, 0x1.ff9345bfec78dp-3, 0x1.f85c258aafa9bp-3, 0x1.f12e25ff1f10ep-3, 0x1.ea09b642195c8p-3, 0x1.e2ef41a377947p-3, 0x1.dbdf2fa87732bp-3, 0x1.d4d9e4167c31ep-3, 0x1.cddfbefe1cffp-3, 0x1.c6f11cc67cb3ep-3, 0x1.c00e5638e4a71p-3, 0x1.b937c08ca2974p-3, 0x1.b26dad73270d4p-3, 0x1.abb06b2458846p-3, 0x1.a500446b20a13p-3, 0x1.9e5d80b22725p-3, 0x1.97c86410bfe67p-3, 0x1.91412f5802211p-3, 0x1.8ac820200678fp-3, 0x1.845d70d5490ecp-3, 0x1.7e0158c62fa44p-3, 0x1.77b40c30aa23fp-3, 0x1.7175bc4fee6d9p-3, 0x1.6b46976a4be23p-3, 0x1.6526c8df124acp-3, 0x1.5f1679348ebb5p-3, 0x1.5915ce260e9f7p-3, 0x1.5324eab1f700fp-3, 0x1.4d43ef27df541p-3, 0x1.4772f936b6d13p-3, 0x1.41b223fae8edap-3, 0x1.3c01880c87fcfp-3, 0x1.36613b8d70c85p-3, 0x1.30d15237728c3p-3, 0x1.2b51dd6a69c43p-3, 0x1.25e2ec3a54ce6p-3, 0x1.20848b7d6348p-3, 0x1.1b36c5d9f12edp-3, 0x1.15f9a3d479369p-3, 0x1.10cd2bdd73c48p-3, 0x1.0bb1625f2534ap-3, 0x1.06a649cb57e3fp-3, 0x1.01abe2a8fe7ap-3, 0x1.f9845743822f1p-4, 0x1.efd2431ee3c53p-4, 0x1.e6417f12c2103p-4, 0x1.dcd1fde331f9fp-4, 0x1.d383af0400b82p-4, 0x1.ca567eb2a85dep-4, 0x1.c14a56100a5f7p-4, 0x1.b85f1b39f1ca5p-4, 0x1.af94b1643a02cp-4, 0x1.a6eaf8f1c27cep-4, 0x1.9e61cf8d06faep-4, 0x1.95f9104077953p-4, 0x1.8db0938e7926cp-4, 0x1.85882f891cb76p-4, 0x1.7d7fb7e980583p-4, 0x1.7596fe26ddab8p-4, 0x1.6dcdd18d44825p-4, 0x1.6623ff53fd57p-4, 0x1.5e9952b394b2ep-4, 0x1.572d94fb8e16dp-4, 0x1.4fe08da7bcd17p-4, 0x1.48b20275412dep-4, 0x1.41a1b7772aaep-4, 0x1.3aaf6f2abd62cp-4, 0x1.33daea8b597f8p-4, 0x1.2d23e9260664ep-4, 0x1.268a292c9df7cp-4, 0x1.200d678899262p-4, 0x1.19ad5fed7ed48p-4, 0x1.1369cceaf1dcdp-4, 0x1.0d4267fe600d9p-4, 0x1.0736e9a4511b8p-4, 0x1.014709695748p-4, 0x1.f6e4fbf53cc9p-5, 0x1.eb71fa6c3a22cp-5, 0x1.e0347874ca1d6p-5, 0x1.d52bdeec2cf87p-5, 0x1.ca57956de4b03p-5, 0x1.bfb7027120e8ap-5, 0x1.b5498b656a632p-5, 0x1.ab0e94ce99419p-5, 0x1.a10582600da3bp-5, 0x1.972db7172f336p-5, 0x1.8d869555399a2p-5, 0x1.840f7ef84ed61p-5, 0x1.7ac7d573d6d2fp-5, 0x1.71aef9e82e086p-5, 0x1.68c44d399dd75p-5, 0x1.60073026ad6cbp-5, 0x1.5777035dbcbd8p-5, 0x1.4f132791f9704p-5, 0x1.46dafd8fa97bep-5, 0x1.3ecde64fca6dep-5, 0x1.36eb430b0f8acp-5, 0x1.2f32754c3aeb8p-5, 0x1.27a2df01d2feep-5, 0x1.203be28f3d3bbp-5, 0x1.18fce2dd3861ap-5, 0x1.11e54369bebb7p-5, 0x1.0af468574e9f9p-5, 0x1.0429b67b9e75fp-5, 0x1.fb0926db79f1p-6, 0x1.ee08cb274045cp-6, 0x1.e151285e4e181p-6, 0x1.d4e10ed51e054p-6, 0x1.c8b750c8be2f3p-6, 0x1.bcd2c2759d526p-6, 0x1.b1323a2d48f0dp-6, 0x1.a5d4906b3045cp-6, 0x1.9ab89fe862dbdp-6, 0x1.8fdd45ae56bc7p-6, 0x1.85416128c0c6ap-6, 0x1.7ae3d43673eaap-6, 0x1.70c383396370bp-6, 0x1.66df5525b3e21p-6, 0x1.5d36338ff8232p-6, 0x1.53c70aba8d5eap-6, 0x1.4a90c9a2253f3p-6, 0x1.419262097dc0ap-6, 0x1.38cac88451291p-6, 0x1.3038f48180456p-6, 0x1.27dbe0547635p-6, 0x1.1fb2893ddb95dp-6, 0x1.17bbef738777cp-6, 0x1.0ff71627c3e9ep-6, 0x1.0863038fe83c1p-6, 0x1.00fec0ea44bd2p-6, 0x1.f392b506dee0ep-7, 0x1.e583bf75e20dep-7, 0x1.d7cec60eb0e1p-7, 0x1.ca71f3f36fadap-7, 0x1.bd6b7a8122acdp-7, 0x1.b0b991546f5eep-7, 0x1.a45a764d4fb4bp-7, 0x1.984c6d91b86abp-7, 0x1.8c8dc18f4a81dp-7, 0x1.811cc2fc08cc3p-7, 0x1.75f7c8d61e39bp-7, 0x1.6b1d3062c2f5dp-7, 0x1.608b5d2c4a31fp-7, 0x1.5640b8ff4bf0bp-7, 0x1.4c3bb3e70f6ap-7, 0x1.427ac4292ce29p-7, 0x1.38fc66406d271p-7, 0x1.2fbf1cd6f867bp-7, 0x1.26c170bfd352ep-7, 0x1.1e01f0efb58e2p-7, 0x1.157f32753f765p-7, 0x1.0d37d07095e78p-7, 0x1.052a6c0a6b3bfp-7, 0x1.faab58d4f882fp-8, 0x1.eb707d5b0cffcp-8, 0x1.dca1abb5815a8p-8, 0x1.ce3c55b1aeda7p-8, 0x1.c03df8c4f2a9dp-8, 0x1.b2a41df4e858ep-8, 0x1.a56c59bed5c64p-8, 0x1.98944bfe531fap-8, 0x1.8c199fd33c349p-8, 0x1.7ffa0b86efe56p-8, 0x1.74335070f0d15p-8, 0x1.68c33adae81c4p-8, 0x1.5da7a1e41bc02p-8, 0x1.52de67645f2a7p-8, 0x1.486577ce85306p-8, 0x1.3e3aca12616b7p-8, 0x1.345c5f7e5dc88p-8, 0x1.2ac843a0af425p-8, 0x1.217c8c28308a8p-8, 0x1.187758c4ed099p-8, 0x1.0fb6d3086027ap-8, 0x1.07392e4575d07p-8, 0x1.fdf94ee09e05dp-9, 0x1.edff09fba7fcep-9, 0x1.de802d8633ee5p-9, 0x1.cf796ba948656p-9, 0x1.c0e788cb0c5dp-9, 0x1.b2c75b4cd7c22p-9, 0x1.a515cb49234f1p-9, 0x1.97cfd2515c415p-9, 0x1.8af27b2ba9fc9p-9, 0x1.7e7ae190b31d6p-9, 0x1.726631e965ec7p-9, 0x1.66b1a90cd4868p-9, 0x1.5b5a93fe2db95p-9, 0x1.505e4faad5f7bp-9, 0x1.45ba48a8b1d7cp-9, 0x1.3b6bfaf4a21aep-9, 0x1.3170f1b141036p-9, 0x1.27c6c6e5e698ap-9, 0x1.1e6b233df3d99p-9, 0x1.155bbdc87a422p-9, 0x1.0c965bb83a92cp-9, 0x1.0418d02404fb8p-9, 0x1.f7c1f78f063a4p-10, 0x1.e7d99988dfa07p-10, 0x1.d8747cc885c91p-10, 0x1.c98eb1b4a6306p-10, 0x1.bb24620cf4332p-10, 0x1.ad31d07074078p-10, 0x1.9fb357e4ce4c2p-10, 0x1.92a56b5ec2b16p-10, 0x1.8604954bb65d8p-10, 0x1.79cd771c694cap-10, 0x1.6dfcc8d0d72e1p-10, 0x1.628f58854f015p-10, 0x1.57820a00c4d33p-10, 0x1.4cd1d64460fc5p-10, 0x1.427bcb1c53a15p-10, 0x1.387d0ab1f9f8cp-10, 0x1.2ed2cb1f46b2cp-10, 0x1.257a56038407ap-10, 0x1.1c71081968abap-10, 0x1.13b450ce8789dp-10, 0x1.0b41b1dc19258p-10, 0x1.0316bee1298e8p-10, 0x1.f66239fc3a569p-11, 0x1.e71d04e345f55p-11, 0x1.d8596c6e09147p-11, 0x1.ca131f4bbdc61p-11, 0x1.bc45ec2681df3p-11, 0x1.aeedc0e865b1p-11, 0x1.a206aa0348684p-11, 0x1.958cd1bb87ed8p-11, 0x1.897c7f7580e52p-11, 0x1.7dd21705ded02p-11, 0x1.728a1804bd32fp-11, 0x1.67a11d23957c7p-11, 0x1.5d13db85fb792p-11, 0x1.52df221d22b1ap-11, 0x1.48ffd9062dd57p-11, 0x1.3f7300eb416fap-11, 0x1.3635b26759e5cp-11, 0x1.2d451d6cdf93bp-11, 0x1.249e88aef616p-11, 0x1.1c3f510d815c7p-11, 0x1.1424e903dce9p-11, 0x1.0c4cd81a4168bp-11, 0x1.04b4ba59d1aa6p-11, 0x1.fab47f8695cccp-12, 0x1.ec765790a81dcp-12, 0x1.deaaa98ec6c41p-12, 0x1.d14d47146ff8ap-12, 0x1.c45a258dbc605p-12, 0x1.b7cd5d46776aep-12, 0x1.aba3287634039p-12, 0x1.9fd7e25152c4ep-12, 0x1.9468061ef0ad5p-12, 0x1.89502e53aaf7dp-12, 0x1.7e8d13b129ae3p-12, 0x1.741b8c6a6a346p-12, 0x1.69f88b4cb3483p-12, 0x1.60211eed25d8cp-12, 0x1.569270dae2275p-12, 0x1.4d49c4d5aa3a3p-12, 0x1.44447808f2c41p-12, 0x1.3b80004b5dff7p-12, 0x1.32f9eb6283387p-12, 0x1.2aafde4afb5cp-12, 0x1.229f9484a4248p-12, 0x1.1ac6df6304449p-12, 0x1.1323a561c8e8cp-12, 0x1.0bb3e17d443ep-12, 0x1.0475a28ee4e25p-12, 0x1.face155b24daep-13, 0x1.ed0c9d23bf85fp-13, 0x1.dfa369fc0e09p-13, 0x1.d28f2c532e89ep-13, 0x1.c5ccb6619fdffp-13, 0x1.b958fb0f1cd91p-13, 0x1.ad310cdf920c1p-13, 0x1.a1521ce6fd95bp-13, 0x1.95b979c424eeap-13, 0x1.8a648ea1fdb9dp-13, 0x1.7f50e23faf6cfp-13, 0x1.747c15ff0295fp-13, 0x1.69e3e4f935a2cp-13, 0x1.5f86231a003a3p-13, 0x1.5560bc40ba55cp-13, 0x1.4b71b36780626p-13, 0x1.41b721d0387b7p-13, 0x1.382f36375b06cp-13, 0x1.2ed8340c65797p-13, 0x1.25b072afd7bedp-13, 0x1.1cb65cb69aee7p-13, 0x1.13e86f32be65dp-13, 0x1.0b4539016e748p-13, 0x1.02cb5a1dfc111p-13, 0x1.f4f305f3daf92p-14, 0x1.e49ce7b3de976p-14, 0x1.d491f86f1b07bp-14, 0x1.c4cff44f3c9p-14, 0x1.b554b38a8b85dp-14, 0x1.a61e2942d58dfp-14, 0x1.972a626d35c11p-14, 0x1.887784c25c0d5p-14, 0x1.7a03cdb73d7ecp-14, 0x1.6bcd917df36cbp-14, 0x1.5dd33a0e9b6ddp-14, 0x1.5013463805d15p-14, 0x1.428c48b808183p-14, 0x1.353ce75b41e5cp-14, 0x1.2823da2428fcbp-14, 0x1.1b3fea792e58cp-14, 0x1.0e8ff259d1e18p-14, 0x1.0212db9a77ad6p-14, 0x1.eb8f3e4daa12bp-15, 0x1.d35a889598c23p-15, 0x1.bb85c0031825ap-15, 0x1.a40f28959796dp-15, 0x1.8cf51f0bf5522p-15, 0x1.763617a67cdffp-15, 0x1.5fd09cf42bc23p-15, 0x1.49c34eaafbe84p-15, 0x1.340ce08ae2d94p-15, 0x1.1eac194b4233ep-15, 0x1.099fd1927bb2ap-15, 0x1.e9cde5eecefa1p-16, 0x1.c100ee18cd097p-16, 0x1.98d6cce7983cp-16, 0x1.714daffabb39dp-16, 0x1.4a63df994d82ap-16, 0x1.2417bd0fc7103p-16, 0x1.fccf823d02c53p-17, 0x1.b2a4f4f0d129bp-17, 0x1.69ad18a2d6b06p-17, 0x1.21e559f85ef76p-17, 0x1.b696925a5bf49p-18, 0x1.2bb92f12a9a72p-18, 0x1.465c53cba4f79p-19, 0x1.cf15b35a23731p-22, -0x1.9c04c1e1b296fp-20, -0x1.d15a797484eecp-19, -0x1.6816614ef1ea6p-18, -0x1.e5400dfcbd46ap-18, -0x1.3016c7206edap-17, -0x1.6c71066940faep-17, -0x1.a7b04b7d3f0ap-17, -0x1.e1d60fe07f4f9p-17, -0x1.0d71e0bcaea4cp-16, -0x1.296d61ffb7f02p-16, -0x1.44de392bc8ddfp-16, -0x1.5fc50feec8714p-16, -0x1.7a228cce1a007p-16, -0x1.93f753ba0f235p-16, -0x1.ad4406991c80bp-16, -0x1.c60945cb1dddbp-16, -0x1.de47b0a4e3134p-16, -0x1.f5ffe5e45f451p-16, -0x1.0699420ed664bp-15, -0x1.11f015109adf2p-15, -0x1.1d04bbad9f45fp-15, -0x1.27d7861685fcbp-15, -0x1.3268c51ff5b92p-15, -0x1.3cb8ca6927f5cp-15, -0x1.46c7e87fa2db4p-15, -0x1.509673003ab97p-15, -0x1.5a24beb5727c1p-15, -0x1.637321b35a72dp-15, -0x1.6c81f37105edfp-15, -0x1.75518cdfb141dp-15, -0x1.7de2487faf9fp-15, -0x1.8634827339997p-15, -0x1.8e48988f364fdp-15, -0x1.961eea6a0d9d1p-15, -0x1.9db7d968a5314p-15, -0x1.a513c8c9924ccp-15, -0x1.ac331dae9c939p-15, -0x1.b3163f24a0bedp-15, -0x1.b9bd9629ecc12p-15, -0x1.c0298db31fd02p-15, -0x1.c65a92aea7e81p-15, -0x1.cc511406eb8fp-15, -0x1.d20d82a3300e5p-15, -0x1.d79051674cb4bp-15, -0x1.dcd9f5323ef24p-15, -0x1.e1eae4dba9c0fp-15, -0x1.e6c399304fd77p-15, -0x1.eb648ced9cd4p-15, -0x1.efce3cbc44932p-15, -0x1.f401272a07d5p-15, -0x1.f7fdcca2b034p-15, -0x1.fbc4af684879p-15, -0x1.ff56538aa182fp-15, -0x1.01599f6f1971dp-14, -0x1.02edfc792d0a2p-14, -0x1.0468858384c62p-14, -0x1.05c98000f9a0fp-14, -0x1.0711323198313p-14, -0x1.083fe31cbe7a1p-14, -0x1.0955da8b00fd1p-14, -0x1.0a5360ffe2952p-14, -0x1.0b38bfb35d7afp-14, -0x1.0c06408b46ff2p-14, -0x1.0cbc2e148d139p-14, -0x1.0d5ad37c55074p-14, -0x1.0de27c88fd405p-14, -0x1.0e53759306a59p-14, -0x1.0eae0b7de896fp-14, -0x1.0ef28bb0d1721p-14, -0x1.0f21440f59f01p-14, -0x1.0f3a82f22b2ebp-14, -0x1.0f3e971f9bb79p-14, -0x1.0f2dcfc445af4p-14, -0x1.0f087c6b9997bp-14, -0x1.0eceecf86ffe6p-14, -0x1.0e81719d9a437p-14, -0x1.0e205ad6786c9p-14, -0x1.0dabf95f93789p-14, }}, 
      {{0x1.322d9b2273692p-6, 0x1.31220e820b10ep-5, 0x1.c7292e2686c55p-5, 0x1.2d293dd4271cp-4, 0x1.74f471b924ec5p-4, 0x1.baaec0b35f43dp-4, 0x1.fe2343b7d0e99p-4, 0x1.1f9720de39506p-3, 0x1.3eddaf7feb5c9p-3, 0x1.5ce1cbd7ff5f5p-3, 0x1.79a597fa952a7p-3, 0x1.952fda3f6c999p-3, 0x1.af8b0e1f981a1p-3, 0x1.c8c48a60e3a19p-3, 0x1.e0ebbeca6ed8fp-3, 0x1.f81189f25191fp-3, 0x1.0723d34d92e69p-2, 0x1.11d017b34f09dp-2, 0x1.1c169b9c42becp-2, 0x1.26003a3703a5dp-2, 0x1.2f957e7be5714p-2, 0x1.38de88b3cbcb8p-2, 0x1.41e2fa89cf3d4p-2, 0x1.4aa9e8c6620e9p-2, 0x1.5339d1e319346p-2, 0x1.5b9898b8474f4p-2, 0x1.63cb829800b27p-2, 0x1.6bd7383c73afdp-2, 0x1.73bfc9011bf68p-2, 0x1.7b88afef0731p-2, 0x1.8334da33e01bfp-2, 0x1.8ac6aea9c38ddp-2, 0x1.92401622d313ap-2, 0x1.99a284373f33p-2, 0x1.a0ef005edcc32p-2, 0x1.a8262f28c20eep-2, 0x1.af485b6b6f364p-2, 0x1.b6557f4f3e35ep-2, 0x1.bd4d4d1b07291p-2, 0x1.c42f37b02796fp-2, 0x1.cafa7aa7c8c3ep-2, 0x1.d1ae220709716p-2, 0x1.d849118303ce7p-2, 0x1.deca0b505755dp-2, 0x1.e52fb67c2c1afp-2, 0x1.eb78a4ce7184bp-2, 0x1.f1a35836a5d36p-2, 0x1.f7ae47c595a75p-2, 0x1.fd97e43780f02p-2, 0x1.01af4e0959625p-1, 0x1.04806faf9b1afp-1, 0x1.073e917e4dd06p-1, 0x1.09e8f1cd82365p-1, 0x1.0c7ed42e6a04bp-1, 0x1.0eff82932dabap-1, 0x1.116a4e5072622p-1, 0x1.13be90fb2c9fep-1, 0x1.15fbad2552b81p-1, 0x1.18210efbea6fdp-1, 0x1.1a2e2cc8d4acap-1, 0x1.1c22875aa1ed8p-1, 0x1.1dfdaa549c21ep-1, 0x1.1fbf2c6916bb7p-1, 0x1.2166af7ff8283p-1, 0x1.22f3e0cb550f8p-1, 0x1.246678cbd6e1p-1, 0x1.25be3b468ae91p-1, 0x1.26faf72d9d616p-1, 0x1.281c867d6b558p-1, 0x1.2922ce0f38817p-1, 0x1.2a0dbd62c0fdp-1, 0x1.2add4e5fc9a2p-1, 0x1.2b918510b8612p-1, 0x1.2c2a6f5729b6ep-1, 0x1.2ca8249b6be78p-1, 0x1.2d0ac577a81fbp-1, 0x1.2d527b5f82e77p-1, 0x1.2d7f7844db3fbp-1, 0x1.2d91f63a4e71fp-1, 0x1.2d8a371410d27p-1, 0x1.2d688407a1618p-1, 0x1.2d2d2d4ad024ap-1, 0x1.2cd889b288e6dp-1, 0x1.2c6af651bef61p-1, 0x1.2be4d618d9bd4p-1, 0x1.2b469175eec18p-1, 0x1.2a9095f60f61ep-1, 0x1.29c355e7eebc1p-1, 0x1.28df4800124b6p-1, 0x1.27e4e6fec3592p-1, 0x1.26d4b157ea269p-1, 0x1.25af28dcfa644p-1, 0x1.2474d2690dc6cp-1, 0x1.2326358f4d0afp-1, 0x1.21c3dc4bb9aaep-1, 0x1.204e52b66d986p-1, 0x1.1ec626b960609p-1, 0x1.1d2be7c8ba15p-1, 0x1.1b80269dc19c4p-1, 0x1.19c374f464defp-1, 0x1.17f6654b64f0ap-1, 0x1.16198aa7215c4p-1, 0x1.142d7857025ccp-1, 0x1.1232c1bd8078p-1, 0x1.1029fa1abf962p-1, 0x1.0e13b459bb2a4p-1, 0x1.0bf082dff7c53p-1, 0x1.09c0f75fb2273p-1, 0x1.0785a2ac7f80cp-1, 0x1.053f1492548b7p-1, 0x1.02eddbaee6bb7p-1, 0x1.0092854d577a4p-1, 0x1.fc5b3a8842222p-2, 0x1.f77f5baa5ef96p-2, 0x1.f2927f2038be5p-2, 0x1.ed95b26cf8f03p-2, 0x1.e889ff4458c53p-2, 0x1.e3706b5b2567fp-2, 0x1.de49f83b81387p-2, 0x1.d917a31cd0796p-2, 0x1.d3da64bf2108dp-2, 0x1.ce933149fea06p-2, 0x1.c942f82e841e5p-2, 0x1.c3eaa40c92868p-2, 0x1.be8b1a9b0ef3bp-2, 0x1.b9253c9301a53p-2, 0x1.b3b9e59d7e6ap-2, 0x1.ae49ec44341a3p-2, 0x1.a8d621e484c72p-2, 0x1.a35f52a50e711p-2, 0x1.9de6456d8032bp-2, 0x1.986bbbe0a491ep-2, 0x1.92f072588704dp-2, 0x1.8d751fe4925bep-2, 0x1.87fa7649983b8p-2, 0x1.828122039af26p-2, 0x1.7d09ca495231fp-2, 0x1.779511113f8ecp-2, 0x1.722393184a6e7p-2, 0x1.6cb5e7e9c4286p-2, 0x1.674ca1e8c2c23p-2, 0x1.61e84e5ab8c5cp-2, 0x1.5c89757339097p-2, 0x1.57309a60d4628p-2, 0x1.51de3b5af51bep-2, 0x1.4c92d1b0b0b7bp-2, 0x1.474ed1d877598p-2, 0x1.4212ab809176p-2, 0x1.3cdec9a05b80fp-2, 0x1.37b3928a2d922p-2, 0x1.329167fde5c4ap-2, 0x1.2d78a73bfd904p-2, 0x1.2869a91926287p-2, 0x1.2364c21255016p-2, 0x1.1e6a42613a538p-2, 0x1.197a7611146b2p-2, 0x1.1495a513ce9ep-2, 0x1.0fbc13576a945p-2, 0x1.0aee00db9de7cp-2, 0x1.062ba9c7a3a8dp-2, 0x1.0175468033b6p-2, 0x1.f996177b280dp-3, 0x1.f05a554386ed8p-3, 0x1.e737a19d59e08p-3, 0x1.de2e50f8bed02p-3, 0x1.d53eb11e8bb9fp-3, 0x1.cc69095ca448bp-3, 0x1.c3ad9ab232662p-3, 0x1.bb0c9ffbb02f5p-3, 0x1.b2864e1eb99cbp-3, 0x1.aa1ad4359d132p-3, 0x1.a1ca5bba96a24p-3, 0x1.999508b2bcfa7p-3, 0x1.917af9d8893ap-3, 0x1.897c48c5f44ccp-3, 0x1.81990a1e2abd1p-3, 0x1.79d14db6c0194p-3, 0x1.72251ec06c7a8p-3, 0x1.6a9483ef3f119p-3, 0x1.631f7fa24be11p-3, 0x1.5bc6100ac8556p-3, 0x1.54882f529415dp-3, 0x1.4d65d3c227e82p-3, 0x1.465eefe5ef0a7p-3, 0x1.3f7372b2fc112p-3, 0x1.38a347ab1a294p-3, 0x1.31ee570040063p-3, 0x1.2b5485b756685p-3, 0x1.24d5b5ca54dffp-3, 0x1.1e71c649b8511p-3, 0x1.1828937d48aap-3, 0x1.11f9f70433141p-3, 0x1.0be5c7f475192p-3, 0x1.05ebdaf998bedp-3, 0x1.000c0272c1968p-3, 0x1.f48c1d2017471p-4, 0x1.e9339ade72ea2p-4, 0x1.de0e166f64a5dp-4, 0x1.d31b246ba2c07p-4, 0x1.c85a55eb19793p-4, 0x1.bdcb38b8c99d2p-4, 0x1.b36d57856a736p-4, 0x1.a9403a1894f2cp-4, 0x1.9f436580bb1ap-4, 0x1.95765c41b7e02p-4, 0x1.8bd89e821a09dp-4, 0x1.8269aa3728d61p-4, 0x1.7928fb4f99895p-4, 0x1.70160bdd057f7p-4, 0x1.6730543c21a53p-4, 0x1.5e774b3bb8ef1p-4, 0x1.55ea6642704f6p-4, 0x1.4d89197357b0dp-4, 0x1.4552d7d14c00ap-4, 0x1.3d471361309eap-4, 0x1.35653d4b01f47p-4, 0x1.2dacc5f9c86bp-4, 0x1.261d1d3a6ff71p-4, 0x1.1eb5b25987c1cp-4, 0x1.1775f43ff17cdp-4, 0x1.105d518e8226p-4, 0x1.096b38b89d5e9p-4, 0x1.029f181dcb84dp-4, 0x1.f7f0bc44a8773p-5, 0x1.eaecf28dc008ap-5, 0x1.de31b07e4c63cp-5, 0x1.d1bdd40f5a5ffp-5, 0x1.c5903bf545803p-5, 0x1.b9a7c7c79c365p-5, 0x1.ae0358274dc12p-5, 0x1.a2a1cee31fe22p-5, 0x1.97820f1a7eb71p-5, 0x1.8ca2fd5eacb24p-5, 0x1.82037fd2606adp-5, 0x1.77a27e47d699ap-5, 0x1.6d7ee25d64943p-5, 0x1.63979798951eap-5, 0x1.59eb8b7fd69f1p-5, 0x1.5079adb2cb3afp-5, 0x1.4740f0013a85p-5, 0x1.3e404680b86f9p-5, 0x1.3576a7a102ebp-5, 0x1.2ce30c3f24f88p-5, 0x1.24846fb764d11p-5, 0x1.1c59cff60918p-5, 0x1.14622d86fa05bp-5, 0x1.0c9c8ba44cf77p-5, 0x1.0507f043be9d7p-5, 0x1.fb46c8464870fp-6, 0x1.ecdbe5a7c1245p-6, 0x1.decd558ac0681p-6, 0x1.d1193a9d4ed87p-6, 0x1.c3bdbd6df304fp-6, 0x1.b6b90c7b43d48p-6, 0x1.aa095c41cb8c7p-6, 0x1.9dace748498edp-6, 0x1.91a1ee2a6683p-6, 0x1.85e6b7a1e7939p-6, 0x1.7a79908e6716ap-6, 0x1.6f58cbfbb24bbp-6, 0x1.6482c326c3bcp-6, 0x1.59f5d5817cb9cp-6, 0x1.4fb068b516f45p-6, 0x1.45b0e8a36f339p-6, 0x1.3bf5c7672502bp-6, 0x1.327d7d52a194fp-6, 0x1.294688ee15609p-6, 0x1.204f6ef4742cbp-6, 0x1.1796ba4f796cfp-6, 0x1.0f1afc12c248ap-6, 0x1.06dacb760944cp-6, 0x1.fda98b9d169bep-7, 0x1.ee0f1d0f42cap-7, 0x1.dee39e352ebe9p-7, 0x1.d0246e0ba13dap-7, 0x1.c1cef7866ba9dp-7, 0x1.b3e0b17c0a493p-7, 0x1.a6571e8ffe073p-7, 0x1.992fcd1c0f8dap-7, 0x1.8c6857186968cp-7, 0x1.7ffe6202b7a86p-7, 0x1.73ef9ec44e65bp-7, 0x1.6839c9975e37cp-7, 0x1.5cdaa9eb6507dp-7, 0x1.51d01248bdb7ep-7, 0x1.4717e0338090ep-7, 0x1.3caffc0db2ed3p-7, 0x1.329658f8ce907p-7, 0x1.28c8f4b6b92ap-7, 0x1.1f45d78a30169p-7, 0x1.160b1416b650cp-7, 0x1.0d16c7400f892p-7, 0x1.0467180954162p-7, 0x1.f7f46ee74e505p-8, 0x1.e79cc0b9347a4p-8, 0x1.d7c3aeb88fe97p-8, 0x1.c865d5465ae79p-8, 0x1.b97fe3af9e011p-8, 0x1.ab0e9be85942p-8, 0x1.9d0ed246251cbp-8, 0x1.8f7d6d3a9562cp-8, 0x1.8257650d724eap-8, 0x1.7599c396d36dep-8, 0x1.6941a3f92b111p-8, 0x1.5d4c325b50e33p-8, 0x1.51b6aba297c37p-8, 0x1.467e5d2cfbd41p-8, 0x1.3ba0a48b74p-8, 0x1.311aef3c723acp-8, 0x1.26eaba669e4bbp-8, 0x1.1d0d9293d3978p-8, 0x1.1381136c6e497p-8, 0x1.0a42e772ee9e6p-8, 0x1.0150c7bffb0bbp-8, 0x1.f150f77d9b467p-9, 0x1.e08fb1d41d5ccp-9, 0x1.d059851252e38p-9, 0x1.c0aa52dc38749p-9, 0x1.b17e1767a53cep-9, 0x1.a2d0e8fa0ed69p-9, 0x1.949ef76771dfp-9, 0x1.86e48b926d5b9p-9, 0x1.799e06ed8fccfp-9, 0x1.6cc7e2fdeb555p-9, 0x1.605eb0def2a22p-9, 0x1.545f18c7a8ba9p-9, 0x1.48c5d99130169p-9, 0x1.3d8fc83eb47c9p-9, 0x1.32b9cf86c47a2p-9, 0x1.2840ef5e17179p-9, 0x1.1e223c83c3673p-9, 0x1.145ae00ef4a2p-9, 0x1.0ae816fe19226p-9, 0x1.01c731c7953ddp-9, 0x1.f1eb27d7ee5bdp-10, 0x1.e0e167136d73p-10, 0x1.d06c31e4f95dcp-10, 0x1.c086bc83ee7d5p-10, 0x1.b12c5dec7d315p-10, 0x1.a2588f138bb3ep-10, 0x1.9406ea1dc17b6p-10, 0x1.86332999b0df4p-10, 0x1.78d927bd2140dp-10, 0x1.6bf4dda5873acp-10, 0x1.5f82629b94523p-10, 0x1.537deb59f26e7p-10, 0x1.47e3c9571b52dp-10, 0x1.3cb06a124c1c5p-10, 0x1.31e056639a626p-10, 0x1.277031cf1e99bp-10, 0x1.1d5cb9db3057cp-10, 0x1.13a2c569bb38ap-10, 0x1.0a3f44149ca33p-10, 0x1.012f3d8d01de8p-10, 0x1.f0dfa1fbab8e6p-11, 0x1.dffc68e244ab2p-11, 0x1.cfaf6870d7a07p-11, 0x1.bff364affaaa5p-11, 0x1.b0c34bea3e23cp-11, 0x1.a21a358e61f9bp-11, 0x1.93f36117433c3p-11, 0x1.864a34f975df9p-11, 0x1.791a3d967a02fp-11, 0x1.6c5f2c357ec69p-11, 0x1.6014d601a3624p-11, 0x1.5437330da2e37p-11, 0x1.48c25d5ce11fdp-11, 0x1.3db28ff1c0887p-11, 0x1.330425e1364a2p-11, 0x1.28b3996b878e7p-11, 0x1.1ebd831a213bep-11, 0x1.151e98e276637p-11, 0x1.0bd3ad4dd5d27p-11, 0x1.02d9aea6248adp-11, 0x1.f45b4c4ed1496p-12, 0x1.e3996e6c2d457p-12, 0x1.d3683d3417aap-12, 0x1.c3c2637c4ab4cp-12, 0x1.b4a2bbe8c292p-12, 0x1.a6044f7ceb74bp-12, 0x1.97e254359e2eap-12, 0x1.8a382babbeb38p-12, 0x1.7d0161bf5ecd2p-12, 0x1.7039ab4b39c4cp-12, 0x1.63dce4e06b489p-12, 0x1.57e7118a37ab2p-12, 0x1.4c545999c2ce8p-12, 0x1.4121097994692p-12, 0x1.36499088bf4c9p-12, 0x1.2bca7ffd9038p-12, 0x1.21a089cf972adp-12, 0x1.17c87fa8f200dp-12, 0x1.0e3f51dea9807p-12, 0x1.05020e700b3d6p-12, 0x1.f81bc019a03f8p-13, 0x1.e6c01a43ef61p-13, 0x1.d5ebedda64ae7p-13, 0x1.c59a312d68823p-13, 0x1.b5c60ca2b30c6p-13, 0x1.a66ad901dfba5p-13, 0x1.97841dcd1b18ep-13, 0x1.890d8fa59b05dp-13, 0x1.7b030ebbb174fp-13, 0x1.6d60a54a2d383p-13, 0x1.6022861cd00c5p-13, 0x1.53450b21965cap-13, 0x1.46c4b404a3b3cp-13, 0x1.3a9e24d68015ep-13, 0x1.2ece24bc7bee8p-13, 0x1.23519caaf8d1cp-13, 0x1.182596296585bp-13, 0x1.0d473a1fa293p-13, 0x1.02b3cfacaa6d7p-13, 0x1.f0d1760c78b65p-14, 0x1.dcc6f8c2a483dp-14, 0x1.c9435dc665083p-14, 0x1.b6420f35bbf48p-14, 0x1.a3bea9056c025p-14, 0x1.91b4f7142ae0cp-14, 0x1.8020f34d716cep-14, 0x1.6efec3db75d61p-14, 0x1.5e4ab967f6dfap-14, 0x1.4e014d6b752ap-14, 0x1.3e1f208a7cd83p-14, 0x1.2ea0f900a4696p-14, 0x1.1f83c118e5fbdp-14, 0x1.10c485b2f82ebp-14, 0x1.026074d55253fp-14, 0x1.e8a9b89709829p-15, 0x1.cd3e50a11f5e9p-15, 0x1.b279c489d3d9fp-15, 0x1.98575edfc6ec8p-15, 0x1.7ed29f982b7aep-15, 0x1.65e739bd29d68p-15, 0x1.4d911131293b7p-15, 0x1.35cc38866dab8p-15, 0x1.1e94eeea766cfp-15, 0x1.07e79e248ff22p-15, 0x1.e381b14e194cap-16, 0x1.b83aaf6533d4ep-16, 0x1.8df3f31661fbep-16, 0x1.64a77f7c2f59cp-16, 0x1.3c4f9af0f5e67p-16, 0x1.14e6cbdc3c8d5p-16, 0x1.dccfab3ea3f6dp-17, 0x1.919b6b4061a7ep-17, 0x1.482740e390949p-17, 0x1.0069fe3179b6dp-17, 0x1.74b5b1af21987p-18, 0x1.d7c59476e6cf4p-19, 0x1.992c88834b31cp-20, -0x1.c20c045fb855dp-22, -0x1.36df6a849b2d1p-19, -0x1.17affc4959c21p-18, -0x1.90ef4428c79d5p-18, -0x1.039d596d811f2p-17, -0x1.3d4f768315583p-17, -0x1.75940e943a71bp-17, -0x1.ac70fd3a5410bp-17, -0x1.e1ebe7b0b8cfp-17, -0x1.0b051ffb866d4p-16, -0x1.2468a3e7c93cp-16, -0x1.3d2309cd5333dp-16, -0x1.5536c6885277ep-16, -0x1.6ca63aedac9bdp-16, -0x1.8373b508096ecp-16, -0x1.99a17145c77c5p-16, -0x1.af319b985b4p-16, -0x1.c4265085a41dp-16, -0x1.d8819e2bb028ep-16, -0x1.ec4585377b4c6p-16, -0x1.ff73f9cf1688bp-16, -0x1.09077237dc8b1p-15, -0x1.120c1160135c4p-15, -0x1.1ac8c42bf174p-15, -0x1.233e6fbdcd5d5p-15, -0x1.2b6df4e797056p-15, -0x1.3358307ee368ap-15, -0x1.3afdfbac2a965p-15, -0x1.42602c356f86dp-15, -0x1.497f94c47ca35p-15, -0x1.505d0528e5476p-15, -0x1.56f94a95f2c91p-15, -0x1.5d552fdcb312p-15, -0x1.63717da24488cp-15, -0x1.694efa92932a9p-15, -0x1.6eee6b8fa743cp-15, -0x1.745093ddadc43p-15, -0x1.7976354be0045p-15, -0x1.7e60105a68e23p-15, -0x1.830ee45d72cf2p-15, -0x1.87836f9d75807p-15, -0x1.8bbe6f74edc64p-15, -0x1.8fc0a06b9246p-15, -0x1.938abe4f31c3dp-15, -0x1.971d844a48ad8p-15, -0x1.9a79acf8769bep-15, -0x1.9d9ff278e73ffp-15, -0x1.a0910e7eca1ep-15, -0x1.a34dba5ff4776p-15, -0x1.a5d6af21c4165p-15, -0x1.a82ca5845a0b3p-15, -0x1.aa50560c44c5p-15, -0x1.ac42790aad57ap-15, -0x1.ae03c6a42126ep-15, -0x1.af94f6d6082ddp-15, -0x1.b0f6c17ada9d5p-15, -0x1.b229de4d2df77p-15, -0x1.b32f04e9a4d06p-15, -0x1.b406eccfd8a29p-15, -0x1.b4b24d6248df9p-15, -0x1.b531dde563c7dp-15, -0x1.b586557db4ec7p-15, -0x1.b5b06b2d4b5f8p-15, -0x1.b5b0d5d062bd7p-15, -0x1.b5884c195d1ccp-15, -0x1.b537848c1d061p-15, -0x1.b4bf3578ca435p-15, -0x1.b42014f60cb1ap-15, -0x1.b35ad8daca6a2p-15, -0x1.b27036b772fc2p-15, -0x1.b160e3cee22c1p-15, -0x1.b02d950ee4a88p-15, -0x1.aed6ff0867b9p-15, -0x1.ad5dd5e75f105p-15, -0x1.abc2cd6a63a4ep-15, -0x1.aa0698da1d92ep-15, -0x1.a829eb00756dcp-15, -0x1.a62d761f9ea8p-15, -0x1.a411ebe8fb6edp-15, -0x1.a1d7fd73e40e3p-15, -0x1.9f805b3457ff9p-15, -0x1.9d0bb4f19bdf5p-15, -0x1.9a7ab9bcce60dp-15, -0x1.97ce17e777dadp-15, -0x1.95067cfa1806cp-15, -0x1.922495aab7b6bp-15, -0x1.8f290dd387272p-15, -0x1.8c1490698553p-15, -0x1.88e7c7733b184p-15, -0x1.85a35bff8bfafp-15, -0x1.8247f61c9eaefp-15, -0x1.7ed63ccee1bcap-15, -0x1.7b4ed608314acp-15, -0x1.77b2669f1e69dp-15, -0x1.7401924659af2p-15, -0x1.703cfb8448526p-15, -0x1.6c6543aac0919p-15, -0x1.687b0acef5a36p-15, -0x1.647eefc18dd0dp-15, -0x1.60719006ea477p-15, -0x1.5c5387cfa15c3p-15, -0x1.582571f12ae25p-15, -0x1.53e7e7dec0c0dp-15, -0x1.4f9b81a275929p-15, -0x1.4b40d5d68209fp-15, -0x1.46d8799eca2cep-15, -0x1.426300a29a0ccp-15, -0x1.3de0fd069ea97p-15, -0x1.3952ff6713121p-15, -0x1.34b996d22fd0fp-15, -0x1.301550c2cc0fcp-15, -0x1.2b66b91b42d3bp-15, -0x1.26ae5a208bbf6p-15, -0x1.21ecbc7593f5ep-15, -0x1.1d226716d1p-15, -0x1.184fdf560f7fep-15, -0x1.1375a8d67b2ddp-15, -0x1.0e944588e586p-15, -0x1.09ac35a843397p-15, -0x1.04bdf7b667979p-15, -0x1.ff9410f1f2809p-16, -0x1.f5a1c5ed3a7cp-16, -0x1.eba600e8c310fp-16, -0x1.e1a1b0e6b561cp-16, -0x1.d795c15cf88fdp-16, -0x1.cd831a3150c7bp-16, -0x1.c36a9fb5ebd3cp-16, -0x1.b94d32a65b366p-16, -0x1.af2bb024f54eap-16, -0x1.a506f1b8a34bap-16, -0x1.9adfcd4b190cep-16, -0x1.90b71527693dep-16, -0x1.868d97f90b4c3p-16, -0x1.7c6420cb388dcp-16, -0x1.723b7708b072p-16, -0x1.68145e7bdb184p-16, -0x1.5def974f43cf5p-16, -0x1.53cdde0e792edp-16, -0x1.49afeba73b031p-16, -0x1.3f96756b05e5bp-16, -0x1.35822d10f6bf2p-16, -0x1.2b73c0b7f9392p-16, -0x1.216bdae94f8adp-16, -0x1.176b229b65ee4p-16, -0x1.0d723b34f558bp-16, -0x1.0381c4906e428p-16, -0x1.f334b5ff63f2ep-17, -0x1.df792ea01b0b2p-17, -0x1.cbd21d9cfefd9p-17, }}, 
      {{-0x1.7bb70616b4c8p-1, -0x1.7bdcb6fc3b91fp-1, -0x1.7c1328930253ep-1, -0x1.7c5102d24ebd3p-1, -0x1.7c8c8a8ff5ba9p-1, -0x1.7cbc9d62a01bap-1, -0x1.7cd94214dcdbcp-1, -0x1.7cdbefbc8fdf1p-1, -0x1.7cbfa3e13469bp-1, -0x1.7c80d90daaf54p-1, -0x1.7c1d6a0950aa9p-1, -0x1.7b946a3d3d0f9p-1, -0x1.7ae5f91cc58f9p-1, -0x1.7a13147c3e243p-1, -0x1.791d6c61bb8ddp-1, -0x1.780739e2bbab8p-1, -0x1.76d319f2ffd4ep-1, -0x1.7583ec8feb253p-1, -0x1.741cb86171bb7p-1, -0x1.72a092b33b211p-1, -0x1.71128b85fe9ecp-1, -0x1.6f759d64c29b3p-1, -0x1.6dcca09f19be5p-1, -0x1.6c1a4185ef059p-1, -0x1.6a60f9497f56cp-1, -0x1.68a3091b4b2fep-1, -0x1.66e2773ce7043p-1, -0x1.65210dabbe1f6p-1, -0x1.63605a2191c01p-1, -0x1.61a1af294ad11p-1, -0x1.5fe6260f5055ap-1, -0x1.5e2ea17bd9349p-1, -0x1.5c7bd08c6cf8cp-1, -0x1.5ace324803d38p-1, -0x1.5926194ed33bbp-1, -0x1.5783afabe62b1p-1, -0x1.55e6fab31a8c8p-1, -0x1.544fdeda0fa8cp-1, -0x1.52be237e091f5p-1, -0x1.5131768bbb218p-1, -0x1.4fa9700092b32p-1, -0x1.4e25953f2d64dp-1, -0x1.4ca55c32986e9p-1, -0x1.4b282e3d6e5bfp-1, -0x1.49ad6af33cbp-1, -0x1.48346a9b9fb56p-1, -0x1.46bc807f5f071p-1, -0x1.4544fd008510ap-1, -0x1.43cd2f7eebfabp-1, -0x1.4254680b2d083p-1, -0x1.40d9f8ea219aap-1, -0x1.3f5d37eb62366p-1, -0x1.3ddd7f954f504p-1, -0x1.3c5a302947a79p-1, -0x1.3ad2b082b1b17p-1, -0x1.39466ed380e67p-1, -0x1.37b4e140cfeefp-1, -0x1.361d86621bb0dp-1, -0x1.347fe5a59186p-1, -0x1.32db8f9bce012p-1, -0x1.31301e2d49502p-1, -0x1.2f7d34bb945b1p-1, -0x1.2dc2803068c0fp-1, -0x1.2bffb6fc72ffdp-1, -0x1.2a349907987c5p-1, -0x1.2860ef9464acdp-1, -0x1.26848d1825ef4p-1, -0x1.249f4d09274bap-1, -0x1.22b113a45aaacp-1, -0x1.20b9cdaba8af7p-1, -0x1.1eb9701e06456p-1, -0x1.1caff7ea56047p-1, -0x1.1a9d699e0634cp-1, -0x1.1881d110440c4p-1, -0x1.165d410a8dcep-1, -0x1.142fd2ef57abap-1, -0x1.11f9a65f630f2p-1, -0x1.0fbae0de615a8p-1, -0x1.0d73ad775d7afp-1, -0x1.0b243c616a502p-1, -0x1.08ccc2a4f6a99p-1, -0x1.066d79c22a77fp-1, -0x1.04069f5898d79p-1, -0x1.019874d0910fap-1, -0x1.fe467e0c9b44ap-2, -0x1.f94e8bee632f5p-2, -0x1.f449a8e2911fdp-2, -0x1.ef386f8a50d0cp-2, -0x1.ea1b7ef4b2558p-2, -0x1.e4f37a0cb2fb2p-2, -0x1.dfc1070cadc8fp-2, -0x1.da84cef7476bep-2, -0x1.d53f7d15f5a7cp-2, -0x1.cff1be7d2805ap-2, -0x1.ca9c419619aa8p-2, -0x1.c53fb5ae4b03fp-2, -0x1.bfdcca8c9cb28p-2, -0x1.ba74300c0041ap-2, -0x1.b50695bbad874p-2, -0x1.af94aa84c63cp-2, -0x1.aa1f1c5554727p-2, -0x1.a4a697d082f0ep-2, -0x1.9f2bc803f57bap-2, -0x1.99af562220833p-2, -0x1.9431e9417a63dp-2, -0x1.8eb4262069302p-2, -0x1.8936aeedbfb94p-2, -0x1.83ba2315ae1fap-2, -0x1.7e3f1f12f2e84p-2, -0x1.78c63c4433847p-2, -0x1.735010c544005p-2, -0x1.6ddd2f4c484c2p-2, -0x1.686e270a7896p-2, -0x1.630383906899fp-2, -0x1.5d9dccb5a73e4p-2, -0x1.583d868395811p-2, -0x1.52e3312344549p-2, -0x1.4d8f48ce3d458p-2, -0x1.484245c20b428p-2, -0x1.42fc9c3661355p-2, -0x1.3dbebc55b97d9p-2, -0x1.388912384dc0ap-2, -0x1.335c05e1428e1p-2, -0x1.2e37fb3de72d7p-2, -0x1.291d5226ec8fcp-2, -0x1.240c66636caf9p-2, -0x1.1f058fadad43cp-2, -0x1.1a0921b97b068p-2, -0x1.15176c3c047ebp-2, -0x1.1030baf515123p-2, -0x1.0b5555b99de75p-2, -0x1.0685807f6b9a7p-2, -0x1.01c17b69f6be8p-2, -0x1.fa1305b066079p-3, -0x1.f0bb9ee69899ep-3, -0x1.e77d2c7c74c99p-3, -0x1.de58114c26462p-3, -0x1.d54ca9261f22fp-3, -0x1.cc5b48f457c1p-3, -0x1.c3843edea3cbap-3, -0x1.bac7d2700023fp-3, -0x1.b22644bcb1433p-3, -0x1.a99fd089215f1p-3, -0x1.a134aa714c2b5p-3, -0x1.98e50110bd80ep-3, -0x1.90b0fd2ae5576p-3, -0x1.8898c1d3c7393p-3, -0x1.809c6c98df5f7p-3, -0x1.78bc15aa25b6bp-3, -0x1.70f7d0032c274p-3, -0x1.694fa9942dea7p-3, -0x1.61c3ab6b136fap-3, -0x1.5a53d9dc4b282p-3, -0x1.530034ab73b41p-3, -0x1.4bc8b733c336p-3, -0x1.44ad589018728p-3, -0x1.3dae0bc2bb036p-3, -0x1.36cabfdcad97ap-3, -0x1.3003602494e2cp-3, -0x1.2957d43d19bacp-3, -0x1.22c8004ad7fadp-3, -0x1.1c53c519b0d46p-3, -0x1.15fb0041984e2p-3, -0x1.0fbd8c4ac2ab8p-3, -0x1.099b40d134622p-3, -0x1.0393f2a7af53dp-3, -0x1.fb4ee7f3ec8b4p-4, -0x1.efab28dcc459cp-4, -0x1.e43c428d97ec9p-4, -0x1.d901cb017967cp-4, -0x1.cdfb53e9dd80ep-4, -0x1.c3286aec18fbap-4, -0x1.b88899dd871adp-4, -0x1.ae1b66fe243dfp-4, -0x1.a3e05531b38acp-4, -0x1.99d6e4377bf2ep-4, -0x1.8ffe90e0725d2p-4, -0x1.8656d54402342p-4, -0x1.7cdf28f35077cp-4, -0x1.7397012b0bc97p-4, -0x1.6a7dd103c729bp-4, -0x1.619309a0e1b16p-4, -0x1.58d61a5dfe165p-4, -0x1.504670fb0cf9p-4, -0x1.47e379c6ef15fp-4, -0x1.3fac9fc8af002p-4, -0x1.37a14ce75c3e9p-4, -0x1.2fc0ea1087faap-4, -0x1.280adf5d68581p-4, -0x1.207e9436aa8f6p-4, -0x1.191b6f76f532cp-4, -0x1.11e0d78c2179p-4, -0x1.0ace329731b8p-4, -0x1.03e2e68b0a822p-4, -0x1.fa3cb293e43p-5, -0x1.ecffe183bfb9dp-5, -0x1.e00e260f3dedcp-5, -0x1.d3664ce1953bdp-5, -0x1.c707235956fafp-5, -0x1.baef77b7f792bp-5, -0x1.af1e194f2ef45p-5, -0x1.a391d8ac4083ap-5, -0x1.984987c1371b2p-5, -0x1.8d43fa0c1df67p-5, -0x1.828004bc4a378p-5, -0x1.77fc7ed5ba4d7p-5, -0x1.6db841529d88dp-5, -0x1.63b227430c4f5p-5, -0x1.59e90deb0285cp-5, -0x1.505bd4dea11e9p-5, -0x1.47095e1ccc9bep-5, -0x1.3df08e282c0adp-5, -0x1.35104c1e9a0fap-5, -0x1.2c6781cf11dc1p-5, -0x1.23f51bce2460ep-5, -0x1.1bb8098902655p-5, -0x1.13af3d5724a9dp-5, -0x1.0bd9ac8aa029bp-5, -0x1.04364f7f30ae9p-5, -0x1.f988435007d68p-6, -0x1.eb044338a0bdfp-6, -0x1.dcdea2458c299p-6, -0x1.cf156a77b76a3p-6, -0x1.c1a6ac561a0bbp-6, -0x1.b4907efe13967p-6, -0x1.a7d10031d395fp-6, -0x1.9b665464ca7c5p-6, -0x1.8f4ea6c647fabp-6, -0x1.8388294a4ff3ep-6, -0x1.781114b0b6388p-6, -0x1.6ce7a88aa0037p-6, -0x1.620a2b3e691a2p-6, -0x1.5776ea0a10733p-6, -0x1.4d2c3904309d8p-6, -0x1.4328731b99b73p-6, -0x1.3969fa1598eb9p-6, -0x1.2fef368b0077bp-6, -0x1.26b697e401ccdp-6, -0x1.1dbe9452da85ep-6, -0x1.1505a8cd76a9bp-6, -0x1.0c8a590604b67p-6, -0x1.044b2f6292ae3p-6, -0x1.f88d79e780371p-7, -0x1.e8f732d50ced3p-7, -0x1.d9d0c61a7a6adp-7, -0x1.cb177d57877p-7, -0x1.bcc8af25fd9a5p-7, -0x1.aee1beff31d8fp-7, -0x1.a1601d2043febp-7, -0x1.9441466d2313fp-7, -0x1.8782c4526b846p-7, -0x1.7b222ca635ad1p-7, -0x1.6f1d2187e7167p-7, -0x1.6371513f1b775p-7, -0x1.581c7619adf17p-7, -0x1.4d1c5648fa76p-7, -0x1.426ec3be6df9p-7, -0x1.38119c076550dp-7, -0x1.2e02c82876e75p-7, -0x1.24403c7831ca6p-7, -0x1.1ac7f8795ea2ap-7, -0x1.119806b4d3bc1p-7, -0x1.08ae7c92e46ddp-7, -0x1.00097a347d793p-7, -0x1.ef4e5497eccaap-8, -0x1.df0b83eb4a6bdp-8, -0x1.cf4701207d87cp-8, -0x1.bffd5f2a1f5b5p-8, -0x1.b12b44e02b3a6p-8, -0x1.a2cd6cb009233p-8, -0x1.94e0a44c801d7p-8, -0x1.8761cc5da45fdp-8, -0x1.7a4dd830cfep-8, -0x1.6da1cd68b5e84p-8, -0x1.615ac3ada12d9p-8, -0x1.5575e45deb999p-8, -0x1.49f06a3ebac2cp-8, -0x1.3ec7a12d11adcp-8, -0x1.33f8e5cf416a7p-8, -0x1.2981a546c60edp-8, -0x1.1f5f5ce297aap-8, -0x1.158f99d2005a4p-8, -0x1.0c0ff8d7f8a66p-8, -0x1.02de25ff1b465p-8, -0x1.f3efb89c65c65p-9, -0x1.e2b5cafadbd22p-9, -0x1.d20a33587c193p-9, -0x1.c1e8be2fd6c89p-9, -0x1.b24d53a5c2918p-9, -0x1.a333f6f975375p-9, -0x1.9498c5f628fecp-9, -0x1.8677f86658906p-9, -0x1.78cddf88977fap-9, -0x1.6b96e58613d86p-9, -0x1.5ecf8ceacbf69p-9, -0x1.5274701f7395p-9, -0x1.468240e520da7p-9, -0x1.3af5c7d2b350ap-9, -0x1.2fcbe3d40c6a7p-9, -0x1.250189ab1007bp-9, -0x1.1a93c37279e8dp-9, -0x1.107fb02285d1dp-9, -0x1.06c28317711e5p-9, -0x1.fab30733acad2p-10, -0x1.e88418d1c46a6p-10, -0x1.d6f3168cd51f4p-10, -0x1.c5fb0109bd5fp-10, -0x1.b596fd2e331dp-10, -0x1.a5c253441b065p-10, -0x1.96786e20aca27p-10, -0x1.87b4da4f3bd28p-10, -0x1.7973453fccd81p-10, -0x1.6baf7c79511a5p-10, -0x1.5e656ccf9d8f8p-10, -0x1.5191219d0203ep-10, -0x1.452ec3ff98e39p-10, -0x1.393a9a1a2ca03p-10, -0x1.2db10658bdf4dp-10, -0x1.228e86b8a326p-10, -0x1.17cfb414319bap-10, -0x1.0d714171f4143p-10, -0x1.036ffb575e791p-10, -0x1.f3918e3df4f73p-11, -0x1.e0f144a40a6c6p-11, -0x1.cef9440ae5ccbp-11, -0x1.bda3e474a0d3cp-11, -0x1.acebaa82f5e93p-11, -0x1.9ccb464541ddep-11, -0x1.8d3d920d0c0bdp-11, -0x1.7e3d9148fa0c9p-11, -0x1.6fc66f661ecffp-11, -0x1.61d37eb79021fp-11, -0x1.5460376428ba2p-11, -0x1.4768365a6918dp-11, -0x1.3ae73c4a5a5eap-11, -0x1.2ed92ca561c86p-11, -0x1.233a0ca3ec42cp-11, -0x1.18060250dcb34p-11, -0x1.0d39539aa755fp-11, -0x1.02d0656a0254p-11, -0x1.f18f757c2a199p-12, -0x1.de37e79c22b47p-12, -0x1.cb939a603964dp-12, -0x1.b99c3e0aece9dp-12, -0x1.a84bb85782fdcp-12, -0x1.979c22e6b65c3p-12, -0x1.8787c9b555512p-12, -0x1.7809299ca02cfp-12, -0x1.691aeedc3b7afp-12, -0x1.5ab7f3ad8b316p-12, -0x1.4cdb3ee04551ap-12, -0x1.3f8002801695fp-12, -0x1.32a19a832730dp-12, -0x1.263b8b8157144p-12, -0x1.1a4981740445dp-12, -0x1.0ec74e7e30e8bp-12, -0x1.03b0e9bce0037p-12, -0x1.f204dc3ef7077p-13, -0x1.dd703290350a4p-13, -0x1.c99c94e700737p-13, -0x1.b68302d14dba4p-13, -0x1.a41cbadf638b4p-13, -0x1.926338a034df4p-13, -0x1.815032abe4789p-13, -0x1.70dd98bc2c6aap-13, -0x1.610591d2477f1p-13, -0x1.51c27a6a201e8p-13, -0x1.430ee2ba7caefp-13, -0x1.34e58d01c56c3p-13, -0x1.27416bdf3de63p-13, -0x1.1a1da0b849a9cp-13, -0x1.0d757a298607bp-13, -0x1.0144728370ecep-13, -0x1.eb0c5ca4a40eap-14, -0x1.d46cf5e248f27p-14, -0x1.bea29a4e777adp-14, -0x1.a9a57fa0dd338p-14, -0x1.956e251ed8511p-14, -0x1.81f5511433786p-14, -0x1.6f340e5f478dep-14, -0x1.5d23aa101f069p-14, -0x1.4bbdb11a1b30fp-14, -0x1.3afbee17a4061p-14, -0x1.2ad8671f6c55cp-14, -0x1.1b4d5baadbb2ap-14, -0x1.0c55428d28d76p-14, -0x1.fbd58ff56f133p-15, -0x1.e01197409f033p-15, -0x1.c554bd937b79ep-15, -0x1.ab95852ef9946p-15, -0x1.92cacc85f2198p-15, -0x1.7aebcae222fe6p-15, -0x1.63f00d24dd9e8p-15, -0x1.4dcf72a2a706bp-15, -0x1.38822a190b02cp-15, -0x1.2400aebdeb9fdp-15, -0x1.1043c56796783p-15, -0x1.fa88f399ea056p-16, -0x1.d5f837ba42756p-16, -0x1.b2c87a5b83152p-16, -0x1.90ed5cfefa77ep-16, -0x1.705afaafdf2acp-16, -0x1.5105e360e9453p-16, -0x1.32e317727a085p-16, -0x1.15e8036015f0bp-16, -0x1.f414f72830672p-17, -0x1.be8170c0ef005p-17, -0x1.8b02a43708ddfp-17, -0x1.59867abf25601p-17, -0x1.29fb8ed905dc8p-17, -0x1.f8a24aa8851dfp-18, -0x1.a0ee4d2985593p-18, -0x1.4cbc3029f020ap-18, -0x1.f7dc588fead33p-19, -0x1.5ccf3776b37dp-19, -0x1.9033bad8d9f43p-20, -0x1.cc3a032b03cdep-22, 0x1.3c6ea6ae3b845p-21, 0x1.a3ffff33deacep-20, 0x1.4f5508fed984bp-19, 0x1.c748497865686p-19, 0x1.1d02c997d2a9dp-18, 0x1.53db8c558f802p-18, 0x1.8842bef9cdfd4p-18, 0x1.ba4bf4887bde2p-18, 0x1.ea0a08f23ac79p-18, 0x1.0bc794597e8c4p-17, 0x1.21766c125813cp-17, 0x1.3619fd44403cfp-17, 0x1.49ba6c649727dp-17, 0x1.5c5f93fc6b816p-17, 0x1.6e1107c649d64p-17, 0x1.7ed617ac08363p-17, 0x1.8eb5d2a5c604ap-17, 0x1.9db7097b11373p-17, 0x1.abe051674d0eap-17, 0x1.b93806a25c413p-17, 0x1.c5c44ece86781p-17, 0x1.d18b1b4c8125dp-17, 0x1.dc922b76a3711p-17, 0x1.e6df0ec40aa37p-17, 0x1.f07726d4a58cep-17, 0x1.f95fa966f20ebp-17, 0x1.00ced11c1ee33p-16, 0x1.049afa681e202p-16, 0x1.0816af1c5877p-16, 0x1.0b443b50f6463p-16, 0x1.0e25d97a69c79p-16, 0x1.10bdb329952e2p-16, 0x1.130de1c3617ebp-16, 0x1.15186f3025401p-16, 0x1.16df56832312fp-16, 0x1.1864849a6c91bp-16, 0x1.19a9d8b784fc5p-16, 0x1.1ab12510fa73dp-16, 0x1.1b7c2f5d46794p-16, 0x1.1c0cb1573dbf4p-16, 0x1.1c64593c46119p-16, 0x1.1c84ca44a0253p-16, 0x1.1c6f9d15f87a4p-16, 0x1.1c26603083c38p-16, 0x1.1baa9856d9459p-16, 0x1.1afdc0f0c7b32p-16, 0x1.1a214c695ee64p-16, 0x1.1916a48853ecep-16, 0x1.17df2ac703debp-16, 0x1.167c38a13af3cp-16, 0x1.14ef1fe1eeb25p-16, 0x1.13392aec213f7p-16, 0x1.115b9d000d861p-16, 0x1.0f57b27ccdedep-16, 0x1.0d2ea11ea8ddp-16, 0x1.0ae1983a1e66ep-16, 0x1.0871c0f3e8282p-16, 0x1.05e03e760d2d2p-16, 0x1.032e2e2225fd3p-16, 0x1.005ca7c0f9de5p-16, 0x1.fad97b5f2a08bp-17, 0x1.f4befa13e059p-17, 0x1.ee6bdba6a5701p-17, 0x1.e7e22638f5992p-17, 0x1.e123d64f7d48bp-17, 0x1.da32df1656c1p-17, 0x1.d3112aa189591p-17, 0x1.cbc09a2a057cp-17, 0x1.c4430647318ebp-17, 0x1.bc9a3f254fc92p-17, 0x1.b4c80cb8d6f5ep-17, 0x1.acce2eeeec34p-17, 0x1.a4ae5ddb2787fp-17, 0x1.9c6a49e2c5d09p-17, 0x1.94039be5763f7p-17, 0x1.8b7bf563cedaep-17, 0x1.82d4f0a3a8e44p-17, 0x1.7a1020d26804ep-17, 0x1.712f122564747p-17, 0x1.683349f87afdp-17, 0x1.5f1e46eaf82d6p-17, 0x1.55f180fae19c3p-17, 0x1.4cae699ed08a9p-17, 0x1.43566bde5666fp-17, 0x1.39eaec6924b0ap-17, 0x1.306d49acf1521p-17, 0x1.26dedbea3e105p-17, 0x1.1d40f5480ebc7p-17, 0x1.1394e1e6a4a26p-17, 0x1.09dbe7f14feccp-17, 0x1.001747af67b55p-17, 0x1.ec907728f5415p-18, 0x1.d8dff09f8ad94p-18, 0x1.c51f59b5ff2a9p-18, 0x1.b151051116eecp-18, 0x1.9d773a222cf4dp-18, 0x1.899435416de5bp-18, 0x1.75aa27c722c92p-18, 0x1.61bb382424cf7p-18, 0x1.4dc981f98d1b8p-18, 0x1.39d7162fb4bb9p-18, 0x1.25e5fb0c94f35p-18, 0x1.11f82c499d764p-18, 0x1.fc1f36521c3cdp-19, 0x1.d45c5d15c918dp-19, 0x1.acab8602d305fp-19, 0x1.851055cae04c8p-19, 0x1.5d8e5cd49ca68p-19, 0x1.362917633eb64p-19, 0x1.0ee3edbdac10fp-19, 0x1.cf8468aab2863p-20, 0x1.818e57d9e623ep-20, 0x1.33ec037dcee8ep-20, 0x1.cd473e8f5e305p-21, 0x1.337670e41d02cp-21, 0x1.34e2d8369b74ep-22, 0x1.21d94e7da6b1dp-28, -0x1.2a0f089b13e61p-22, -0x1.2b654bde5449p-21, -0x1.c0cb0136b3b6ap-21, -0x1.2a972561127ebp-20, -0x1.74428bcc1a41ep-20, -0x1.bd62cf6e9fa17p-20, -0x1.02f997c87fbc9p-19, -0x1.26f787706ef7ap-19, -0x1.4aa8f98fca5ebp-19, -0x1.6e0bc267f7f6bp-19, -0x1.911dc7719223dp-19, -0x1.b3dcff3289875p-19, -0x1.d6477113df196p-19, -0x1.f85b3537029b5p-19, -0x1.0d0b3a2563c5cp-18, -0x1.1dbbb3affdc76p-18, -0x1.2e3e2bdecbb2bp-18, -0x1.3e91cf5a48177p-18, -0x1.4eb5d2b9a1e5cp-18, -0x1.5ea9726c4685dp-18, -0x1.6e6bf2a338eb4p-18, -0x1.7dfc9f3a3d22ap-18, -0x1.8d5acba0d8ec9p-18, -0x1.9c85d2c32513fp-18, -0x1.ab7d16f2794bcp-18, -0x1.ba4001cded1adp-18, -0x1.c8ce042ab398ap-18, -0x1.d72695fc51fbfp-18, -0x1.e549363cb3495p-18, -0x1.f3356ad41c02ep-18, -0x1.007560407e7e6p-17, -0x1.0734655fd5d65p-17, -0x1.0dd791d8fe64ep-17, -0x1.145eb60364a78p-17, -0x1.1ac9a570ad344p-17, -0x1.211836e061782p-17, -0x1.274a4433925e2p-17, -0x1.2d5faa6074c4cp-17, -0x1.33584965f4947p-17, -0x1.3934043f4519cp-17, -0x1.3ef2c0d76a997p-17, -0x1.449467fcc1bacp-17, -0x1.4a18e55483c67p-17, -0x1.4f80274e4b546p-17, -0x1.54ca1f1797637p-17, -0x1.59f6c08f5006bp-17, -0x1.5f0602394f663p-17, -0x1.63f7dd31e827p-17, -0x1.68cc4d21793acp-17, -0x1.6d83502fffcf7p-17, -0x1.721ce6f8b3558p-17, -0x1.7699147da74a5p-17, -0x1.7af7de1b78894p-17, -0x1.7f394b7d00616p-17, -0x1.835d668f1613cp-17, -0x1.87643b7458f7fp-17, -0x1.8b4dd8790d5c5p-17, -0x1.8f1a4e06fad75p-17, -0x1.92c9ae996489ap-17, -0x1.965c0eb10fc9cp-17, -0x1.99d184c853752p-17, -0x1.9d2a29473fc11p-17, -0x1.a0661677d1934p-17, -0x1.a385687a441dep-17, -0x1.a6883d3963ecep-17, -0x1.a96eb45f0bbdbp-17, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      72, 0x1.8cccccccccccdp+2, 0x1.503e0ce7f5aecp+1, 0x1.41444c0332298p+2, 0x1.a2712d8ec17e2p-7, 
      {{
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.6945d3b6eb06dp-3, -0x1.b829977b2bc55p-2, 0x1.2110a38a902abp-1, -0x1.66b7e8cc1209dp-2}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.400eb75c1047ap-3, -0x1.810a3409f2e9dp-2, 0x1.06293ee1a86a1p-1, -0x1.5217bcfbc9c1ap-2}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.1c1730c0d8a94p-3, -0x1.4f24b1332f8aep-2, 0x1.d99bbb03f2907p-2, -0x1.408e8dac36a6p-2}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.f9ba72cf584afp-4, -0x1.222fc9cd0ae5ap-2, 0x1.a98658f6ea5e1p-2, -0x1.2e316ca89221ap-2}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.c3cb8db791ba5p-4, -0x1.f3cd20e0fd97ep-3, 0x1.7c32224407a5fp-2, -0x1.1c0d15f47f4cp-2}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.9579956286348p-4, -0x1.ac05dba292738p-3, 0x1.5196922c27c0cp-2, -0x1.09d987b6383ffp-2}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.6dea650a0a9e3p-4, -0x1.6c7e34ea8de7cp-3, 0x1.29b5f10405b76p-2, -0x1.ef541aa256221p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.4c51cff9a02cap-4, -0x1.34aa72fe2ad8cp-3, 0x1.048fa237d8dafp-2, -0x1.caf2f622e1e56p-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.2ff1a18e7466fp-4, -0x1.03fee798612bap-3, 0x1.c4479f840fd3ep-3, -0x1.a69268c657a0dp-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.18199d3761248p-4, -0x1.b3dfc2c766e49p-4, 0x1.84e4dc9982af2p-3, -0x1.8231ae938afbbp-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.04277e74ec8d6p-4, -0x1.6be35fad79141p-4, 0x1.4af70269c76f5p-3, -0x1.5dd11096ce56p-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.e70df1b292376p-5, -0x1.2ef1449056d8ep-4, 0x1.167e0cb98ee2cp-3, -0x1.39702e981fd22p-3}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.cb637010ab333p-5, -0x1.f7e41f0919553p-5, 0x1.cef40b78add29p-4, -0x1.1510406b258c2p-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.b45ebf6f3a45ap-5, -0x1.a39cc283899dbp-5, 0x1.7bd591beef5c1p-4, -0x1.e1598df2a177cp-4}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.a12b175cae46bp-5, -0x1.5edda11807afdp-5, 0x1.33a1bc7423f0cp-4, -0x1.98ad0d9232a37p-4}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.910f9f8aceb2cp-5, -0x1.277832a58e0eap-5, 0x1.eca9280938afbp-5, -0x1.4f9dd9aef8e36p-4}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.836f6fcebba4ap-5, -0x1.f679b32d3c15cp-6, 0x1.87f9cd21879f2p-5, -0x1.07ff015323cfbp-4}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.77c99020eddcep-5, -0x1.b00007a157cb2p-6, 0x1.38c6e6556346cp-5, -0x1.7602dcba1463fp-5}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.6db8f89d36badp-5, -0x1.770e0d83b2534p-6, 0x1.00acded3136b4p-5, -0x1.23b9847ee69d1p-5}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.64f38e8b750b1p-5, -0x1.481880608142fp-6, 0x1.a9d54919ae746p-6, -0x1.1921f9f3f4e96p-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.5d3f03bf59a5cp-5, -0x1.21bab8f9ea874p-6, 0x1.557e4aea182dfp-6, -0x1.03ccfa360bd21p-5}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.5665b5f82c11ap-5, -0x1.037a20c209918p-6, 0x1.078d99737b08cp-6, -0x1.e2b163049c8a2p-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.5035abe97f4d2p-5, -0x1.d97be078915b9p-7, 0x1.7e4c61ff2d81p-7, -0x1.bc3e03b187b47p-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.4a80953b31cfp-5, -0x1.b9eaedc445e23p-7, 0x1.f20d282d6ffcep-8, -0x1.96346df8d4a84p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.451bca896d845p-5, -0x1.a71bb28703792p-7, 0x1.fca832c9e0cb4p-9, -0x1.700e7fc1dae2fp-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.3fe04d64a7d2ap-5, -0x1.9fe9a14108d13p-7, 0x1.0bf4cc51cee1dp-11, -0x1.49f029e9dd68fp-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.3aaac851a196dp-5, -0x1.a32fdcc407f6fp-7, -0x1.48efcc042f90bp-9, -0x1.23cfcb1407ccfp-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.355b8ec967253p-5, -0x1.afc99d3b79e94p-7, -0x1.538e2ca7b6112p-8, -0x1.fb5fefad8f4b8p-7}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.2fd69d395049cp-5, -0x1.c492151a4891dp-7, -0x1.ebc48e289440ep-8, -0x1.af1ffe69a7b91p-7}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.2a03990300482p-5, -0x1.e064785bd328ep-7, -0x1.368d7a0a89af2p-7, -0x1.62e0211a735d2p-7}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.23cdd07c65db4p-5, -0x1.010dfd4919374p-6, -0x1.6bc8b234e7c9cp-7, -0x1.16a03ec1c1ddcp-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.1d243aefbb36p-5, -0x1.1449e7b612037p-6, -0x1.9593eed1f8123p-7, -0x1.94c0b934e9e4fp-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.15f9789b86028p-5, -0x1.295395478c4bap-6, -0x1.b3ef2fe923366p-7, -0x1.f881fadb7f294p-9}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.0e43d2b29762bp-5, -0x1.3f989fd487dadp-6, -0x1.c6da761e2b2e3p-7, -0x1.8f047c9903859p-10}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.05fd3b5c0beffp-5, -0x1.5686a1278d03ep-6, -0x1.ce55bedaa33f1p-7, 0x1.a5f1ed3a6ed85p-11}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.fa469b6697765p-6, -0x1.6d8b3338baa18p-6, -0x1.ca6113d47d684p-7, 0x1.9a7efbb8ad548p-9}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.e76e9b9014997p-6, -0x1.8413ef564ce68p-6, -0x1.bafc50ca5d4e5p-7, 0x1.65b9b1ed8847ep-8}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.d37c513c8d4a7p-6, -0x1.998e71487407ap-6, -0x1.a027fd0bbfe2ap-7, 0x1.fe4e332648bcp-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.be80e85c9677dp-6, -0x1.ad684b9972ed6p-6, -0x1.79e21f9c1408p-7, 0x1.4b4045f274e08p-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.a894dec95bfffp-6, -0x1.bf0f33514dbbp-6, -0x1.4832151e1c19bp-7, 0x1.98109cb24b601p-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.91d80444a0b11p-6, -0x1.cdf05cbef0c5dp-6, -0x1.0afc64035d985p-7, 0x1.e2355e2cf412ep-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.7a717a78be47p-6, -0x1.d97adc97e6754p-6, -0x1.854f2bc60b8f2p-8, 0x1.1b28a52e150e2p-6}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.628fb4f8a5704p-6, -0x1.e116c6b058823p-6, -0x1.b6d3f7bb310ebp-9, 0x1.23f38b11fca71p-6}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.4a68011ad4264p-6, -0x1.e4627aa9973a2p-6, -0x1.61f210300784ap-11, 0x1.0b7b60c1882aep-6}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.32315c61ebeefp-6, -0x1.e37c11fcc4f3p-6, 0x1.d0fbe01edca25p-10, 0x1.effd979772132p-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.1a1f4ae5480c2p-6, -0x1.deb7f1f02b247p-6, 0x1.090b0be85960fp-8, 0x1.c658d866632ap-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.02615f2bf3df1p-6, -0x1.d6637ee8b222cp-6, 0x1.9158e66d7722ep-8, 0x1.9d6b4395fa67cp-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.d646745955d26p-7, -0x1.cacdfdb1e0755p-6, 0x1.06afbd5a07872p-7, 0x1.744c9a886871fp-7}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.a919169bb1959p-7, -0x1.bc46325e24cf9p-6, 0x1.3e8807bb4a64dp-7, 0x1.4b3b180ebffa1p-7}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.7d8220cb3287ap-7, -0x1.ab1b037daf175p-6, 0x1.70374b571a63dp-7, 0x1.22260f82ae4ebp-7}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.53c12b737067ap-7, -0x1.979b4e62c23d1p-6, 0x1.9bbd00dde7bc1p-7, 0x1.f223f15894d5p-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.2c0debff63331p-7, -0x1.8215f2d993cfcp-6, 0x1.c1194c91594cbp-7, 0x1.9ffb42234d135p-8}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.069834b96328bp-7, -0x1.6ad9d0047bd7ap-6, 0x1.e04c24ba657aep-7, 0x1.4dd2b5a487355p-8}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.c70fe9965187ep-8, -0x1.5235c53355ep-6, 0x1.f9558bf389389p-7, 0x1.f7543fa8b2cdfp-9}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.85fa707b99808p-8, -0x1.3878b1a9cced5p-6, 0x1.061ac0c4ee5cdp-6, 0x1.530319266684bp-9}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.4a204ff3903p-8, -0x1.1df174aeca984p-6, 0x1.0c7602d74048fp-6, 0x1.5d63e19d9fep-10}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.13a2138de8088p-8, -0x1.02eeed886eb09p-6, 0x1.0fbc8c27edc89p-6, 0x1.4c1955c57c56ap-14}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.c521013227fa2p-9, -0x1.cf7ff6f9832e8p-7, 0x1.0fee5cc19834ep-6, -0x1.33e0c4f191f69p-10}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.6dd92c448ef81p-9, -0x1.9966fba5e665dp-7, 0x1.0d0b748287a35p-6, -0x1.3e4175bd96574p-9}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.214f19eaece57p-9, -0x1.6430a79b59792p-7, 0x1.0713d3e6f99e8p-6, -0x1.e292e984a8c23p-9}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.be8b5e7555323p-10, -0x1.307ab981154e6p-7, 0x1.fc0ef23f601c6p-7, -0x1.43717a924fd74p-8}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.4ec0898d63cc2p-10, -0x1.fdc5deff8c769p-8, 0x1.e3ccd5dacd523p-7, -0x1.959c206f94adcp-8}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.e48a9a7db674p-11, -0x1.a00e1330c8feep-8, 0x1.c5612038d55f1p-7, -0x1.e7bcfa2af76ccp-8}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.4fc4514b2627p-11, -0x1.490981d28a6b2p-8, 0x1.a0cc8d759c6a1p-7, -0x1.1d01323071473p-7}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.b8820761939ep-12, -0x1.f3e7a10bf8642p-9, 0x1.760c5f87f1d2cp-7, -0x1.45dfac67320c7p-7}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.0d2a97a4b0fap-12, -0x1.680fca3f169bp-9, 0x1.452ad278771dfp-7, -0x1.6fbcc9f188bf5p-7}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.2b5e472634c4p-13, -0x1.e20dc50874d42p-10, 0x1.0e01b42dd5cd2p-7, -0x1.95e39511af39dp-7}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.25005d313728p-14, -0x1.2266dc8dcf2f2p-10, 0x1.a23f220990a3p-8, -0x1.c9e5068703442p-7}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.e117adbd1097ep-16, -0x1.2d2756fb354b6p-11, 0x1.18e0d347760f2p-8, -0x1.a2900c9cb6565p-7}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.3070fbf1a481bp-17, -0x1.fab6e6d87fb83p-13, 0x1.369e6bca7eb8p-9, -0x1.26c288d08e564p-7}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.e117adbd109ecp-20, -0x1.2e6b0c95114f1p-14, 0x1.0b8699cdec3d2p-10, -0x1.486c0dc1e12a6p-8}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.e117adbd10c7fp-24, -0x1.0027f307c946p-17, 0x1.19e3dfccc7b6p-12, -0x1.bba0aba0b8704p-8}, 
      }}, 
      0x1.a546309b004f2p-4, -0x1.461fab6dd191p-1
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_n_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.181e117f4a951p-5, 0x1.16f66aa948fc5p-4, 0x1.9f9cb138652a2p-4, 0x1.12802aac36265p-3, 0x1.531e6a57933d2p-3, 0x1.914697390e33ep-3, 0x1.cca6122953f63p-3, 0x1.027cc85a106c6p-2, 0x1.1d0616d201fcp-2, 0x1.35db1280057afp-2, 0x1.4cedcc33812eap-2, 0x1.62357e2ea5a05p-2, 0x1.75ae1dd219f06p-2, 0x1.87577a80096e6p-2, 0x1.9734e311dc31ap-2, 0x1.a54c9763225d9p-2, 0x1.b1a73f973557ap-2, 0x1.bc4fadb93a1b3p-2, 0x1.c5526c17b4e85p-2, 0x1.ccbd7d39f342ap-2, 0x1.d29fc84b616d4p-2, 0x1.d709bfaa0086p-2, 0x1.da0bc973e3ce7p-2, 0x1.dbb73073caa0dp-2, 0x1.dc1e812645b12p-2, 0x1.db53206ddd7c3p-2, 0x1.d96639e64f697p-2, 0x1.d66b19caadb9fp-2, 0x1.d273291f66107p-2, 0x1.cd9048a3e43cfp-2, 0x1.c7d3dae814632p-2, 0x1.c14ed8ced7e11p-2, 0x1.ba11ec709b2efp-2, 0x1.b22d4583556ap-2, 0x1.a9b07bd06a1fap-2, 0x1.a0aa9b4765a8fp-2, 0x1.972a255082092p-2, 0x1.8d3cfc280b97p-2, 0x1.82f056d582ddcp-2, 0x1.7850c7f214c09p-2, 0x1.6d6a48d608596p-2, 0x1.62483c3c74bd9p-2, 0x1.56f566ca53b4dp-2, 0x1.4b7be46e21924p-2, 0x1.3fe523ecc9872p-2, 0x1.3439ed65dd254p-2, 0x1.288271017996dp-2, 0x1.1cc6561f1bbcp-2, 0x1.110cc3eada161p-2, 0x1.055c6189f7f3p-2, 0x1.f376a539bef98p-3, 0x1.dc5e6e74d4ea4p-3, 0x1.c57a64b2b5afcp-3, 0x1.aed3e649c9136p-3, 0x1.98b1a562332dbp-3, 0x1.82a21f5e0f2e3p-3, 0x1.6ce6746959bc2p-3, 0x1.578466c58847cp-3, 0x1.42813411039d9p-3, 0x1.2de1b52ab9518p-3, 0x1.19aa5fbe00543p-3, 0x1.05df356325398p-3, 0x1.e50761988f1d3p-4, 0x1.bf3579a9bb045p-4, 0x1.9a4d714cfd1b4p-4, 0x1.765309d54e3e7p-4, 0x1.5349267281b39p-4, 0x1.3131e4fd688f2p-4, 0x1.100ead57d48ccp-4, 0x1.dfc07466557fap-5, 0x1.a14d40c4a8ecap-5, 0x1.64c2b0dac30c1p-5, 0x1.2a1e95f46e3bbp-5, 0x1.e2bb7871aad1p-6, 0x1.74f80448c7b59p-6, 0x1.0ae8d4d2e96bp-6, 0x1.4904a6132219fp-7, 0x1.06dd95ecf1384p-8, -0x1.d866fb987a347p-10, -0x1.e51b889acf1f2p-8, -0x1.a33563f4fba1bp-7, -0x1.26937a3477d7cp-6, -0x1.784385dafb1a7p-6, -0x1.c6bdadccd0c3bp-6, -0x1.090aa0108aef6p-5, -0x1.2d2ef80214e3ep-5, -0x1.4fd5e5f5c6ee3p-5, -0x1.71099bc106f97p-5, -0x1.90d4733ea4a45p-5, -0x1.af40eacf891bcp-5, -0x1.cc599fd2ffcb3p-5, -0x1.e829467825f09p-5, -0x1.015d4f77cd865p-4, -0x1.0e0c344ef6426p-4, -0x1.1a26aa27b0783p-4, -0x1.25b1fb423be5cp-4, -0x1.30b35d64ed639p-4, -0x1.3b2fec6715d5ep-4, -0x1.452ca5d382f84p-4, -0x1.4eae65c03c78ep-4, -0x1.57b9e4e21fe95p-4, -0x1.6053b7cc49f07p-4, -0x1.68804f3463de3p-4, -0x1.7043f90173d63p-4, -0x1.77a2e1e07a322p-4, -0x1.7ea1171c20561p-4, -0x1.85428881811e5p-4, -0x1.8b8b0a2d7a72bp-4, -0x1.917e562d181e4p-4, -0x1.97200de34d577p-4, -0x1.9c663dfd36403p-4, -0x1.a171813236916p-4, -0x1.a6365ed68980dp-4, -0x1.aab7eded5998ep-4, -0x1.aef9217d8bc7cp-4, -0x1.b2fccbd7def35p-4, -0x1.b6c5a1fd89233p-4, -0x1.ba563ec7a2e4cp-4, -0x1.bdb1258168d06p-4, -0x1.c0d8c3c1b7756p-4, -0x1.c3cf726e87722p-4, -0x1.c69775f2d686p-4, -0x1.c932fdc8636a7p-4, -0x1.cba4238840e35p-4, -0x1.cdece9be0afd6p-4, -0x1.d00f3ab9a2107p-4, -0x1.d20ce793ae629p-4, -0x1.d3e7a78c655e9p-4, -0x1.d5a117dc34146p-4, -0x1.d73abbfe2f145p-4, -0x1.d8b5fe6e06c15p-4, -0x1.da1431c829977p-4, -0x1.db56923393084p-4, -0x1.dc7e46f8fa758p-4, -0x1.dd8c642a93a6p-4, -0x1.de81ec41b36abp-4, -0x1.df5fd19be6d9p-4, -0x1.e026f7c6bfa49p-4, -0x1.e0d834902d798p-4, -0x1.e17450d868d65p-4, -0x1.e1fc0928eb51ap-4, -0x1.e2700e19c1859p-4, -0x1.e2d10492bcc4ep-4, -0x1.e31f85f8250fep-4, -0x1.e35c20530c2dp-4, -0x1.e3875683e5069p-4, -0x1.e3a1a08b1341cp-4, -0x1.e3ab6bef79d2cp-4, -0x1.e3a51c46ce5dbp-4, -0x1.e38f0bdfbbf25p-4, -0x1.e3698c89fbf9dp-4, -0x1.e334e8764eaa7p-4, -0x1.e2f16325f2853p-4, -0x1.e29f3a6078dccp-4, -0x1.e23ea7269d1ap-4, -0x1.e1cfde99155e2p-4, -0x1.e15312cb9ddfdp-4, -0x1.e0c8737dd5a85p-4, -0x1.e0302eb5422f1p-4, -0x1.df8a7135eb655p-4, -0x1.ded766d8c9679p-4, -0x1.de173ac139737p-4, -0x1.dd4a17747927ep-4, -0x1.dc7026d730b83p-4, -0x1.db899216a5d5dp-4, -0x1.da9681831a34ep-4, -0x1.d9971c61ad6edp-4, -0x1.d88b88bb3fdfap-4, -0x1.d773eb2dc7cb3p-4, -0x1.d65066c4411eep-4, -0x1.d5211cd8a5a86p-4, -0x1.d3e62d024aee3p-4, -0x1.d29fb511af4d9p-4, -0x1.d14dd11a28b7cp-4, -0x1.cff09b88df85bp-4, -0x1.ce882d47bc93ap-4, -0x1.cd149deacb226p-4, -0x1.cb9603e5d643fp-4, -0x1.ca0c74c83755ep-4, -0x1.c878057c812aap-4, -0x1.c6d8ca89ebcc5p-4, -0x1.c52ed8557ba38p-4, -0x1.c37a436128af5p-4, -0x1.c1bb20877676ep-4, -0x1.bff1853247157p-4, -0x1.be1d878c14824p-4, -0x1.bc3f3eaae5716p-4, -0x1.ba56c2b4b76c7p-4, -0x1.b8642cfd5fe84p-4, -0x1.b667981e1212bp-4, -0x1.b4612006ef62fp-4, -0x1.b250e20b21955p-4, -0x1.b036fce83a4f4p-4, -0x1.ae1390c958d8bp-4, -0x1.abe6bf46e742p-4, -0x1.a9b0ab636313ap-4, -0x1.a7717985dc2bbp-4, -0x1.a5294f7288c97p-4, -0x1.a2d85441df5cdp-4, -0x1.a07eb0565788p-4, -0x1.9e1c8d512a48p-4, -0x1.9bb216060dc02p-4, -0x1.993f766e13895p-4, -0x1.96c4db999abd9p-4, -0x1.944273a17e0a2p-4, -0x1.91b86d976173cp-4, -0x1.8f26f9753fd3dp-4, -0x1.8c8e480c49a36p-4, -0x1.89ee8af322cf6p-4, -0x1.8747f473a9cd2p-4, -0x1.849ab77868a7ep-4, -0x1.81e70779e00f5p-4, -0x1.7f2d186bd5bd1p-4, -0x1.7c6d1eaadbda4p-4, -0x1.79a74eea3953fp-4, -0x1.76dbde2265c84p-4, -0x1.740b01803c69cp-4, -0x1.7134ee5509069p-4, -0x1.6e59da07885d1p-4, -0x1.6b79fa05f56c2p-4, -0x1.689583b927174p-4, -0x1.65acac78d1d24p-4, -0x1.62c35bd2b12dbp-4, -0x1.5fd2b30fac72bp-4, -0x1.5cde38eb7122cp-4, -0x1.59e6223df837fp-4, -0x1.56eaa3c68e05ep-4, -0x1.53ebf2211fa67p-4, -0x1.50ea41bc7cee3p-4, -0x1.4de5c6d18c45ep-4, -0x1.4adeb55b687d2p-4, -0x1.47d5411054e3dp-4, -0x1.44c99d5b7bdecp-4, -0x1.41bbfd575d0f9p-4, -0x1.3eac93c8d7b39p-4, -0x1.3b9b931aba895p-4, -0x1.38892d59bf603p-4, -0x1.35759430da655p-4, -0x1.3260f8e5c8c4ep-4, -0x1.2f4b8c55ccaf3p-4, -0x1.2c357ef27df3p-4, -0x1.291f00bea5acbp-4, -0x1.2608414b12bf8p-4, -0x1.22f16fb3603b5p-4, -0x1.1fdaba9aa0d85p-4, -0x1.1cc45027edf2dp-4, -0x1.19ae5e02d357bp-4, -0x1.1699114f980ebp-4, -0x1.138496ab64aa1p-4, -0x1.10711a284a9fp-4, -0x1.0d5ec7492e3e3p-4, -0x1.0a4dc8fd9a53bp-4, -0x1.073e499d84d3bp-4, -0x1.043072e509ac8p-4, -0x1.01246df0245ddp-4, -0x1.fc34c66cdcf97p-5, -0x1.f624f50ddf44cp-5, -0x1.f019b60802d18p-5, -0x1.ea13563e9ebfep-5, -0x1.e412212bfef45p-5, -0x1.de1660d9fed1cp-5, -0x1.d8205ddb148b5p-5, -0x1.d2305f43b46c2p-5, -0x1.cc46aaa4364d6p-5, -0x1.c66384032aefbp-5, -0x1.c0872dd835451p-5, -0x1.bab1e9075ee09p-5, -0x1.b4e3f4dcfb98bp-5, -0x1.af1d8f0a068d1p-5, -0x1.a95ef3a10c42bp-5, -0x1.a3a85d13914dfp-5, -0x1.9dfa0430028e7p-5, -0x1.985420201986ep-5, -0x1.92b6e667c44bdp-5, -0x1.8d228ae47fcbap-5, -0x1.87973fcd23bbep-5, -0x1.821535b21a30bp-5, -0x1.7c9c9b7e0608fp-5, -0x1.772d9e76c74b5p-5, -0x1.71c86a3eddcf1p-5, -0x1.6c6d28d727b92p-5, -0x1.671c02a0f4c54p-5, -0x1.61d51e6065e7dp-5, -0x1.5c98a13f1ddd1p-5, -0x1.5766aecf34378p-5, -0x1.523f690e6cb06p-5, -0x1.4d22f069ac0acp-5, -0x1.481163c0aa892p-5, -0x1.430ae069d9c18p-5, -0x1.3e0f823680a0ep-5, -0x1.391f637707fc6p-5, -0x1.343a9cff76a2p-5, -0x1.2f61462c0e225p-5, -0x1.2a9374e61c61p-5, -0x1.25d13da8e7e28p-5, -0x1.211ab386c4ea7p-5, -0x1.1c6fe82e44a31p-5, -0x1.17d0ebef88283p-5, -0x1.133dcdc1a8ae5p-5, -0x1.0eb69b483c29ep-5, -0x1.0a3b60d8f23d3p-5, -0x1.05cc29814263dp-5, -0x1.0168ff0c2d1e3p-5, -0x1.fa23d41027437p-6, -0x1.f18de39930a8bp-6, -0x1.e91039011fa41p-6, -0x1.e0aade3ff797cp-6, -0x1.d85ddb0423079p-6, -0x1.d02934be938fep-6, -0x1.c80ceeaedcfp-6, -0x1.c00909ef79988p-6, -0x1.b81d8581f47c9p-6, -0x1.b04a5e5b30712p-6, -0x1.a88f8f6fa0c4cp-6, -0x1.a0ed11bf855d1p-6, -0x1.9962dc63229a3p-6, -0x1.91f0e496f231dp-6, -0x1.8a971dc7c75ebp-6, -0x1.8355799ee9371p-6, -0x1.7c2be80e1d873p-6, -0x1.751a575ba7b5ap-6, -0x1.6e20b42e2a19fp-6, -0x1.673ee998788b6p-6, -0x1.6074e1255a0d5p-6, -0x1.59c282e326974p-6, -0x1.5327b56f4fc14p-6, -0x1.4ca45e01cf66cp-6, -0x1.46386078731ap-6, -0x1.3fe39f620d8eap-6, -0x1.39a5fc0984206p-6, -0x1.337f5680bf805p-6, -0x1.2d6f8dab6b1fep-6, -0x1.27767f49a7f0fp-6, -0x1.219408028572cp-6, -0x1.1bc8036e5de48p-6, -0x1.16124c210a5bcp-6, -0x1.1072bbb3f2f77p-6, -0x1.0ae92acfedd14p-6, -0x1.05757136fef82p-6, -0x1.001765cde9f96p-6, -0x1.f59dbd4b33cb6p-7, -0x1.eb376208d1eddp-7, -0x1.e0fb62de5e6d8p-7, -0x1.d6e96764645d6p-7, -0x1.cd0115d3cf1ddp-7, -0x1.c34213171598p-7, -0x1.b9ac02db278c8p-7, -0x1.b03e879fe4a9dp-7, -0x1.a6f942c85f9p-7, -0x1.9ddbd4aabfb9p-7, -0x1.94e5dc9fcd869p-7, -0x1.8c16f91237f2bp-7, -0x1.836ec78d8cd74p-7, -0x1.7aece4cccbe1ep-7, -0x1.7290ecc8be6b1p-7, -0x1.6a5a7ac5fadc1p-7, -0x1.62492962950c6p-7, -0x1.5a5c92a393821p-7, -0x1.52945001f6ecep-7, -0x1.4aeffa77ab1bbp-7, -0x1.436f2a8bfc194p-7, -0x1.3c11785fd9be9p-7, -0x1.34d67bb9e1494p-7, -0x1.2dbdcc12056a8p-7, -0x1.26c7009cf1cb3p-7, -0x1.1ff1b05754878p-7, -0x1.193d7210ad81p-7, -0x1.12a9dc75ff4a7p-7, -0x1.0c36861c31d43p-7, -0x1.05e3058a3af8p-7, -0x1.ff5de286080f3p-8, -0x1.f333bf9e22949p-8, -0x1.e746cf8bf1016p-8, -0x1.db963faf19a23p-8, -0x1.d0213da9d2223p-8, -0x1.c4e6f7722f5ep-8, -0x1.b9e69b6375c63p-8, -0x1.af1f584eaf24cp-8, -0x1.a4905d8afd1b4p-8, -0x1.9a38db057251dp-8, -0x1.90180150ad6fdp-8, -0x1.862d01b3f7645p-8, -0x1.7c770e3a13fdep-8, -0x1.72f559bfc1ba1p-8, -0x1.69a71801dab9ap-8, -0x1.608b7dab4e945p-8, -0x1.57a1c062719a7p-8, -0x1.4ee916d684a94p-8, -0x1.4660b8cc926d2p-8, -0x1.3e07df2c3f206p-8, -0x1.35ddc40c3896ep-8, -0x1.2de1a2be89dbcp-8, -0x1.2612b7dca47fep-8, -0x1.1e7041530ddd7p-8, -0x1.16f97e6d27f15p-8, -0x1.0fadafe070903p-8, -0x1.088c17d7c1bbdp-8, -0x1.0193f9fe3245p-8, -0x1.f58937138e471p-9, -0x1.e83a868c3af98p-9, -0x1.db3a733d37431p-9, -0x1.ce879150d7721p-9, -0x1.c2207858f6685p-9, -0x1.b603c36187284p-9, -0x1.aa3011037b62dp-9, -0x1.9ea4037675864p-9, -0x1.935e40a23ce07p-9, -0x1.885d722f15773p-9, -0x1.7da04595dba3ap-9, -0x1.73256c2f1206fp-9, -0x1.68eb9b412ef7ap-9, -0x1.5ef18c0df86d3p-9, -0x1.5535fbdf3949dp-9, -0x1.4bb7ac122e70dp-9, -0x1.42756222482a4p-9, -0x1.396de7b2869cfp-9, -0x1.30a00a9623d4ap-9, -0x1.280a9cd81c6c7p-9, -0x1.1fac74c103601p-9, -0x1.17846cdc924f8p-9, -0x1.0f9163fd74955p-9, -0x1.07d23d401f2bfp-9, -0x1.0045e00c76e3fp-9, -0x1.f1d6702ca3bcap-10, -0x1.e3826ab9a4162p-10, -0x1.d58d985142389p-10, -0x1.c7f5ea1233834p-10, -0x1.bab959a0dbdd5p-10, -0x1.add5e91d11bd6p-10, -0x1.a149a31706a4cp-10, -0x1.95129a8147621p-10, -0x1.892eeaa194376p-10, -0x1.7d9cb7004d55ep-10, -0x1.725a2b55cbecep-10, -0x1.67657b771917bp-10, -0x1.5cbce34123bc9p-10, -0x1.525ea68309fb4p-10, -0x1.484910e7287b7p-10, -0x1.3e7a75dc2f5c7p-10, -0x1.34f1307cc3984p-10, -0x1.2baba3770c236p-10, -0x1.22a838f3dbf76p-10, -0x1.19e5627d41deep-10, -0x1.116198e5a73e2p-10, -0x1.091b5c2e3ab6ap-10, -0x1.0111336d401c8p-10, -0x1.f2df8ccd830b5p-11, -0x1.e3a69d3ec3ec7p-11, -0x1.d4de55588dde6p-11, -0x1.c683edc441baap-11, -0x1.b894ac4542b5ap-11, -0x1.ab0de39d1e4c7p-11, -0x1.9decf36f3b802p-11, -0x1.912f48232c5c3p-11, -0x1.84d25ac699b5dp-11, -0x1.78d3b0ee99d89p-11, -0x1.6d30dc97550e3p-11, -0x1.61e77c04c365ep-11, -0x1.56f539a07894bp-11, -0x1.4c57cbd9c7b6fp-11, -0x1.420cf501e60d1p-11, -0x1.3812832a3f512p-11, -0x1.2e6650011ad4cp-11, -0x1.250640ae01cb7p-11, -0x1.1bf045addd862p-11, -0x1.13225aae0c324p-11, -0x1.0a9a866869041p-11, -0x1.0256da7dbd40dp-11, -0x1.f4aae6a0f5d67p-12, -0x1.e528efbe1fb5ep-12, -0x1.d624333db335dp-12, -0x1.c79928a9fd4dbp-12, -0x1.b9845be2409e8p-12, -0x1.abe26cce21bb4p-12, -0x1.9eb00f0fb25bcp-12, -0x1.91ea09b99418dp-12, -0x1.858d36feca5e7p-12, -0x1.799683e84d7dap-12, -0x1.6e02f00766099p-12, -0x1.62cf8d291bd35p-12, -0x1.57f97f09bf049p-12, -0x1.4d7dfb0893e78p-12, -0x1.435a47dbac2bep-12, -0x1.398bbd43a60c9p-12, -0x1.300fc3c1245c5p-12, -0x1.26e3d448e57d8p-12, -0x1.1e0577f8afd23p-12, -0x1.157247cda6e99p-12, -0x1.0d27ec59b7d6ep-12, -0x1.05241d7ac2f0bp-12, -0x1.fac944207c65bp-13, -0x1.ebce9f6a304c6p-13, -0x1.dd5414eaa0b42p-13, -0x1.cf55891018925p-13, -0x1.c1cefc116cb1bp-13, -0x1.b4bc89610aa82p-13, -0x1.a81a6723f333ep-13, -0x1.9be4e5a525f7cp-13, -0x1.90186ed102a51p-13, -0x1.84b185ac817eep-13, -0x1.79acc5d030894p-13, -0x1.6f06e2e53cf02p-13, -0x1.64bca8244e1adp-13, -0x1.5acaf7d2e671ap-13, -0x1.512ecac69d231p-13, -0x1.47e52fe712bf9p-13, -0x1.3eeb4bb35d0b3p-13, -0x1.363e57c7d97dap-13, -0x1.2ddba26660a59p-13, -0x1.25c08e01a7cbdp-13, -0x1.1dea90c7a9fd8p-13, -0x1.1657343034555p-13, -0x1.0f04148e1c1cfp-13, -0x1.07eee09e609b5p-13, -0x1.0115591e08dd2p-13, -0x1.f4eaa0bdd0ee9p-14, -0x1.e81953bfcc9afp-14, -0x1.dbb2b3ccd02ap-14, -0x1.cfb2ca3432a5ep-14, -0x1.c415c0434ce57p-14, -0x1.b8d7de8ce5c7ap-14, -0x1.adf58c1f44157p-14, -0x1.a36b4dd5224p-14, -0x1.9935c59c6b828p-14, -0x1.8f51b1c352d0cp-14, -0x1.85bbec4d6ff4cp-14, -0x1.7c716a451cdccp-14, -0x1.736f3b144a9a5p-14, -0x1.6ab287dd7ac48p-14, -0x1.623892daac266p-14, -0x1.59feb6bb44617p-14, -0x1.5202660450e6ap-14, -0x1.4a412a777242dp-14, -0x1.42b8a47209d53p-14, -0x1.3b668a56a2d12p-14, -0x1.3448a7f0a92a2p-14, -0x1.2d5cdddfc92fcp-14, -0x1.26a120fdb0b63p-14, -0x1.201379c7496fdp-14, -0x1.19b203c67160bp-14, -0x1.137aecfc5377ap-14, -0x1.0d6c754b38af8p-14, -0x1.0784ede421d33p-14, -0x1.01c2b8b3a41a5p-14, -0x1.f8488fa1fb89cp-15, -0x1.ed5039d829808p-15, -0x1.e299919e39cd3p-15, -0x1.d821d58b8fda8p-15, -0x1.cde66048b1d27p-15, -0x1.c3e4a78f52af8p-15, -0x1.ba1a3b36760f2p-15, -0x1.b084c44c3d55p-15, -0x1.a72204417127ap-15, -0x1.9defd41a90561p-15, -0x1.94ec23b21c444p-15, -0x1.8c14f9099fc1cp-15, -0x1.83686f9f9927bp-15, -0x1.7ae4b7da5f475p-15, -0x1.72881674bd88cp-15, -0x1.6a50e3f5a945dp-15, -0x1.623d8c2cd2da9p-15, -0x1.5a4c8db627a77p-15, -0x1.527c797a09b89p-15, -0x1.4acbf2350c71dp-15, -0x1.4339abf654985p-15, -0x1.3bc46ba75bd6cp-15, -0x1.346b068a0f90fp-15, -0x1.2d2c61b1ef3ffp-15, -0x1.26077180c18aap-15, -0x1.1efb391c231adp-15, -0x1.1806c9e2db14ap-15, -0x1.112942e11c4b4p-15, -0x1.0a61d04671c2ap-15, -0x1.03afaad2c3a72p-15, -0x1.fa242e991fa83p-16, -0x1.ed10cc0c50dd9p-16, -0x1.e023e485ede97p-16, -0x1.d35c4381dc97cp-16, -0x1.c6b8c874c17d4p-16, -0x1.ba3865cee0bc4p-16, -0x1.adda2022b1d97p-16, -0x1.a19d0d35dee91p-16, -0x1.95805331252c6p-16, -0x1.898327d6cbd4ep-16, -0x1.7da4cfba39919p-16, -0x1.71e49d86e2b0dp-16, -0x1.6641f150b0b77p-16, -0x1.5abc37e96339cp-16, -0x1.4f52ea3bbe88fp-16, -0x1.44058cb5d7254p-16, -0x1.38d3aeb1daf6ap-16, -0x1.2dbce9df4e87dp-16, -0x1.22c0e1c8daa96p-16, -0x1.17df4348ff243p-16, -0x1.0d17c40662942p-16, -0x1.026a2204fd021p-16, -0x1.efac464bd8ee6p-17, -0x1.dab729817ce6ap-17, -0x1.c5f496553ebb4p-17, -0x1.b164429e6b776p-17, }}, 
      {{0x1.e58370601f332p-6, 0x1.e4819794c6e18p-5, 0x1.6a2323f15d7b1p-4, 0x1.e092b7471501bp-4, 0x1.2a91c3ed11c01p-3, 0x1.63ba0849e474dp-3, 0x1.9b96ca85b6daap-3, 0x1.d2021268da037p-3, 0x1.036d98a6ca31dp-2, 0x1.1d0340f9a06fep-2, 0x1.35b68ba362f68p-2, 0x1.4d7e32ebafcbap-2, 0x1.6452f2c09d2e8p-2, 0x1.7a2f5ac1ea1b4p-2, 0x1.8f0f9f9c8294cp-2, 0x1.a2f172a04ea5fp-2, 0x1.b5d3d6c308327p-2, 0x1.c7b6fec418adfp-2, 0x1.d89c25ca9f6edp-2, 0x1.e885760878e6bp-2, 0x1.f775de08b3553p-2, 0x1.02b88ff350fadp-1, 0x1.093db2304f537p-1, 0x1.0f4cc88ba9cdbp-1, 0x1.14e8862978c64p-1, 0x1.1a139be5d2f26p-1, 0x1.1ed11d8ff4981p-1, 0x1.23242a7d3afap-1, 0x1.270ffe2a7454cp-1, 0x1.2a97eba482dbbp-1, 0x1.2dbf53223402fp-1, 0x1.3089a1dd407e5p-1, 0x1.32fa4d1c83cc3p-1, 0x1.3514cb615684cp-1, 0x1.36dc922ed0242p-1, 0x1.38551357b7ce6p-1, 0x1.3981b8d256459p-1, 0x1.3a65e26d2612fp-1, 0x1.3b04e415e5069p-1, 0x1.3b62037e5c3ap-1, 0x1.3b80765d179a5p-1, 0x1.3b63612c95726p-1, 0x1.3b0dd58756539p-1, 0x1.3a82d0a022264p-1, 0x1.39c53a903cc75p-1, 0x1.38d7e63bdc2f2p-1, 0x1.37bd914882b83p-1, 0x1.3678e3ea0c0e8p-1, 0x1.350c705e7cdadp-1, 0x1.337ab2180cd4bp-1, 0x1.31c60d029a923p-1, 0x1.2ff0cd786c91fp-1, 0x1.2dfd2904a67f8p-1, 0x1.2bed3f73b9346p-1, 0x1.29c254559fc4ep-1, 0x1.277fe0e3a145dp-1, 0x1.25270be47c1ddp-1, 0x1.22b9a14626933p-1, 0x1.203959c733d8dp-1, 0x1.1da7dafb4ae34p-1, 0x1.1b06b721de57dp-1, 0x1.18576d3522ceep-1, 0x1.159b696f0f676p-1, 0x1.12d4063ada09ap-1, 0x1.10028d4fc0213p-1, 0x1.0d2838a5f4059p-1, 0x1.0a463316e373fp-1, 0x1.075d98abc4874p-1, 0x1.046f76c1ff287p-1, 0x1.017ccc35b514ap-1, 0x1.fd0d1366143e4p-2, 0x1.f71b24692f268p-2, 0x1.f125773e2491bp-2, 0x1.eb2d9ec05f785p-2, 0x1.e53515f5abc98p-2, 0x1.df3d40efd4a4bp-2, 0x1.d9476d835b557p-2, 0x1.d354d3f06bea3p-2, 0x1.cd66979aae8abp-2, 0x1.c77dc7de5c70dp-2, 0x1.c19b60ff8a194p-2, 0x1.bbc04d25054c5p-2, 0x1.b5ed654de65a9p-2, 0x1.b02372357e51p-2, 0x1.aa632d1fefbefp-2, 0x1.a4ad408f1857dp-2, 0x1.9f0248e3265e1p-2, 0x1.9962d4ed02fdap-2, 0x1.93cf667b0d554p-2, 0x1.8e4872e997cb3p-2, 0x1.88ce63bebebb7p-2, 0x1.836197542287p-2, 0x1.7e02618a61171p-2, 0x1.78b10c7ca249dp-2, 0x1.736dd928bb2fep-2, 0x1.6e39000351159p-2, 0x1.6912b175658e4p-2, 0x1.63fb164761cdbp-2, 0x1.5ef25001daa6cp-2, 0x1.59f8794cf9fa4p-2, 0x1.550da654aecd2p-2, 0x1.5031e5338df86p-2, 0x1.4b653e625f1dfp-2, 0x1.46a7b52839debp-2, 0x1.41f9480728761p-2, 0x1.3d59f1229e8ep-2, 0x1.38c9a69ef6785p-2, 0x1.34485afa325e3p-2, 0x1.2fd5fd5e73c16p-2, 0x1.2b7279ede6031p-2, 0x1.271dbb4039037p-2, 0x1.22d7ae2831dbbp-2, 0x1.1ea02fe4f5c02p-2, 0x1.1a7721e32434ap-2, 0x1.165c63a1bc8c6p-2, 0x1.124fd2efdf216p-2, 0x1.0e514c2403554p-2, 0x1.0a60aa4c38ccdp-2, 0x1.067dc7579b7bbp-2, 0x1.02a87c39a9fc6p-2, 0x1.fdc142115fb9ap-3, 0x1.f64c1a314f5e1p-3, 0x1.eef12e27f93d8p-3, 0x1.e7b02a26d936dp-3, 0x1.e088b96bb7fd6p-3, 0x1.d97a867115ac9p-3, 0x1.d2853b1f622e9p-3, 0x1.cba880fe5c57cp-3, 0x1.c4e40165ae9d2p-3, 0x1.be3765ab9f35ap-3, 0x1.b7a25750ca02ep-3, 0x1.b124802820192p-3, 0x1.aabd8a7a92179p-3, 0x1.a46d21262b42cp-3, 0x1.9e32efb8a8d05p-3, 0x1.980ea285d5854p-3, 0x1.91ffe6ba2a128p-3, 0x1.8c066a6a3eedp-3, 0x1.8621dc9fca1b3p-3, 0x1.8051ed64bf61fp-3, 0x1.7a964dcd2a1b3p-3, 0x1.74eeb00024fe1p-3, 0x1.6f5ac7403716ep-3, 0x1.69da47f329494p-3, 0x1.646ce7a9537bep-3, 0x1.5f125d243c7b5p-3, 0x1.59ca605c6eac8p-3, 0x1.5494aa8659187p-3, 0x1.4f70f61625f2p-3, 0x1.4a5efec27883bp-3, 0x1.455e818610c27p-3, 0x1.406f3ca057296p-3, 0x1.3b90ef94e7bcap-3, 0x1.36c35b2a1c341p-3, 0x1.32064166b4f7bp-3, 0x1.2d59658ead3e4p-3, 0x1.28bc8c1f5593ap-3, 0x1.242f7acacac2cp-3, 0x1.1fb1f872efd8ep-3, 0x1.1b43cd23f9539p-3, 0x1.16e4c20ebf221p-3, 0x1.1294a182d0336p-3, 0x1.0e5336e87c56bp-3, 0x1.0a204ebac8ffdp-3, 0x1.05fbb68166edp-3, 0x1.01e53ccab33b8p-3, 0x1.fbb9624b78035p-4, 0x1.f3c3c83889d07p-4, 0x1.ebe94e59c3834p-4, 0x1.e429998a1cfb2p-4, 0x1.dc845076afa63p-4, 0x1.d4f91b9325bd5p-4, 0x1.cd87a50e3955bp-4, 0x1.c62f98c67f177p-4, 0x1.bef0a43f444fp-4, 0x1.b7ca7695c4f36p-4, 0x1.b0bcc0768157fp-4, 0x1.a9c73412f11a9p-4, 0x1.a2e985175cc63p-4, 0x1.9c2368a0efc07p-4, 0x1.95749534098cap-4, 0x1.8edcc2b2931a4p-4, 0x1.885baa5283668p-4, 0x1.81f10694630f1p-4, 0x1.7b9c9339cfe5bp-4, 0x1.755e0d3bffce9p-4, 0x1.6f3532c231db3p-4, 0x1.6921c3181feb7p-4, 0x1.63237ea4642bep-4, 0x1.5d3a26dedec03p-4, 0x1.57657e4733e2dp-4, 0x1.51a5485b57624p-4, 0x1.4bf9498e41765p-4, 0x1.4661473edad2cp-4, 0x1.40dd07af2489dp-4, 0x1.3b6c51fba4041p-4, 0x1.360eee1328dd6p-4, 0x1.30c4a4aee3ae6p-4, 0x1.2b8d3f4ad9e67p-4, 0x1.2668881eb8776p-4, 0x1.21564a1700674p-4, 0x1.1c5650ce917fbp-4, 0x1.176868888f3d6p-4, 0x1.128c5e2a96d8bp-4, 0x1.0dc1ff374c635p-4, 0x1.090919c92aec7p-4, 0x1.04617c8da4b0ap-4, 0x1.ff95ed80f729bp-5, 0x1.f68ab04eb02b2p-5, 0x1.eda0e21b1eb69p-5, 0x1.e4d8248044f7bp-5, 0x1.dc301a13bdf77p-5, 0x1.d3a8665f56edfp-5, 0x1.cb40add9e356fp-5, 0x1.c2f895e068485p-5, 0x1.bacfc4af71a66p-5, 0x1.b2c5e15cb02ddp-5, 0x1.aada93d0cbea2p-5, 0x1.a30d84c1808eep-5, 0x1.9b5e5dabebc7cp-5, 0x1.93ccc8cf20d82p-5, 0x1.8c587126f6fd6p-5, 0x1.8500c9bfcc51bp-5, 0x1.7dc5e62453ebep-5, 0x1.76a7448034afp-5, 0x1.6fa4929cbba8p-5, 0x1.68bd7eea2d45dp-5, 0x1.61f1b87c5e88fp-5, 0x1.5b40ef07878d7p-5, 0x1.54aad2dd4b8efp-5, 0x1.4e2f14e9fa475p-5, 0x1.47cd66b1ff09fp-5, 0x1.41857a4f7a182p-5, 0x1.3b57027009cfp-5, 0x1.3541b252b3da3p-5, 0x1.2f453dc5fd31ep-5, 0x1.296159261518fp-5, 0x1.2395b95b2d241p-5, 0x1.1de213d7edc1p-5, 0x1.18461e98019c1p-5, 0x1.12c1901ec273p-5, 0x1.0d541f75fdd46p-5, 0x1.07fd842cd4427p-5, 0x1.02bd7656b042ep-5, 0x1.fb275d14a89afp-6, 0x1.f0ffcbc2036aep-6, 0x1.e703abeb668e8p-6, 0x1.dd3271c8d68p-6, 0x1.d38b92933c3e3p-6, 0x1.ca0e848349b63p-6, 0x1.c0babed0972d1p-6, 0x1.b78fb9b0deebep-6, 0x1.ae8cee5753a8bp-6, 0x1.a5b1d6f423455p-6, 0x1.9cfdeeb40c8d1p-6, 0x1.9470b1c01c5b9p-6, 0x1.8c099d3d7fdf2p-6, 0x1.83c82f4d65a27p-6, 0x1.7babe70d0d07cp-6, 0x1.73b44495d23f7p-6, 0x1.6be0c8fd5e21bp-6, 0x1.6430f655d1cf3p-6, 0x1.5ca44fae1d3f7p-6, 0x1.553a59124d5c2p-6, 0x1.4df2978bebb51p-6, 0x1.46cc91225f9bep-6, 0x1.3fc7ccdb6d823p-6, 0x1.38e3d2bba4cp-6, 0x1.32202bc6de3dcp-6, 0x1.2b7c6200b57cdp-6, 0x1.24f8006d15549p-6, 0x1.1e929310b2634p-6, 0x1.184ba6f194fa6p-6, 0x1.1222ca179b4d1p-6, 0x1.0c178b8ceef49p-6, 0x1.06297b5e93c8fp-6, 0x1.00582a9cdcb16p-6, 0x1.f54656b7b8761p-7, 0x1.ea142167bb43cp-7, 0x1.df18dd83a52e1p-7, 0x1.d453b54f6b8a5p-7, 0x1.c9c3d519c9c54p-7, 0x1.bf686b3d0c0cep-7, 0x1.b540a81f966bfp-7, 0x1.ab4bbe347727fp-7, 0x1.a188e1fbeddcap-7, 0x1.97f74a03bfed8p-7, 0x1.8e962ee79dda7p-7, 0x1.8564cb515a22ep-7, 0x1.7c625bf909a49p-7, 0x1.738e1fa525626p-7, 0x1.6ae7572a7567ep-7, 0x1.626d456bffe64p-7, 0x1.5a1f2f5ac2d56p-7, 0x1.51fc5bf5777p-7, 0x1.4a04144817c22p-7, 0x1.4235a36b6d827p-7, 0x1.3a905684638ep-7, 0x1.33137cc36457ap-7, 0x1.2bbe676372888p-7, 0x1.249069a953804p-7, 0x1.1d88d8e27b58cp-7, 0x1.16a70c63fd222p-7, 0x1.0fea5d893a1a7p-7, 0x1.095227b2a42c3p-7, 0x1.02ddc844498a6p-7, 0x1.f9193d488fe64p-8, 0x1.ecbc18726ac97p-8, 0x1.e0a2e8d0a0346p-8, 0x1.d4cc792795ed2p-8, 0x1.c93798318fc57p-8, 0x1.bde3189aa5bf7p-8, 0x1.b2cdd0fca79e5p-8, 0x1.a7f69bda9580ep-8, 0x1.9d5c579bfc0ebp-8, 0x1.92fde68845f2cp-8, 0x1.88da2ec1b734dp-8, 0x1.7ef01a4029cd5p-8, 0x1.753e96cbe65fcp-8, 0x1.6bc495f81b90dp-8, 0x1.62810d1d12a69p-8, 0x1.5972f55286c86p-8, 0x1.50994b699ecb2p-8, 0x1.47f30fe6ab517p-8, 0x1.3f7f46fb1946cp-8, 0x1.373cf87ed6c54p-8, 0x1.2f2b2fe9dd236p-8, 0x1.2748fc4d587d6p-8, 0x1.1f95704d04b98p-8, 0x1.180fa2181c35fp-8, 0x1.10b6ab623472cp-8, 0x1.0989a95c4bfe3p-8, 0x1.0287bcad3b08cp-8, 0x1.f76012d4e5021p-9, 0x1.ea036e2103881p-9, 0x1.dcf7e0f6a09c5p-9, 0x1.d03bc7bd746fdp-9, 0x1.c3cd857d36ea8p-9, 0x1.b7ab83ce103c6p-9, 0x1.abd432c8d873ep-9, 0x1.a04608f730cd8p-9, 0x1.94ff834333bdp-9, 0x1.89ff24e7b9959p-9, 0x1.7f43775f9b5cbp-9, 0x1.74cb0a55cd39ep-9, 0x1.6a947394a9bb3p-9, 0x1.609e4ef58d9adp-9, 0x1.56e73e503b391p-9, 0x1.4d6de96a30031p-9, 0x1.4430fde623827p-9, 0x1.3b2f2f335452bp-9, 0x1.3267367c8525cp-9, 0x1.29d7d297accdep-9, 0x1.217fc7f4ed112p-9, 0x1.195de08e05566p-9, 0x1.1170ebd54df9dp-9, 0x1.09b7bea566162p-9, 0x1.0231332fdca8p-9, 0x1.f5b851da70d41p-10, 0x1.e76f091777fb5p-10, 0x1.d9845fbe12044p-10, 0x1.cbf6339ecff1ap-10, 0x1.bec26c92d4777p-10, 0x1.b1e6fc5a2ff94p-10, 0x1.a561de7be07d6p-10, 0x1.9931182447909p-10, 0x1.8d52b804a67e9p-10, 0x1.81c4d6330580ep-10, 0x1.76859409864fp-10, 0x1.6b931c062625cp-10, 0x1.60eba1aad0decp-10, 0x1.568d615da231ap-10, 0x1.4c76a04891369p-10, 0x1.42a5ac3ab25cp-10, 0x1.3918db885ec24p-10, 0x1.2fce8cec3a856p-10, 0x1.26c527680f1d4p-10, 0x1.1dfb1a262cd9ep-10, 0x1.156edc5af6082p-10, 0x1.0d1eed25d216fp-10, 0x1.0509d37417adep-10, 0x1.fa5c3bc4c5598p-11, 0x1.eb14c53e37ef6p-11, 0x1.dc3a7e99cbcc7p-11, 0x1.cdcab1cab9623p-11, 0x1.bfc2b7385d9d1p-11, 0x1.b21ff58473654p-11, 0x1.a4dfe151cf0d3p-11, 0x1.97fffd0c16676p-11, 0x1.8b7dd8ae689d9p-11, 0x1.7f57118deebb6p-11, 0x1.73895220d9fddp-11, 0x1.681251c7bebeap-11, 0x1.5cefd498a14b5p-11, 0x1.521fab27b1296p-11, 0x1.479fb252d96edp-11, 0x1.3d6dd30d6c938p-11, 0x1.3388022a70141p-11, 0x1.29ec402ab0211p-11, 0x1.209899083a203p-11, 0x1.178b2403f6fcp-11, 0x1.0ec20373c595p-11, 0x1.063b649023413p-11, 0x1.fbeafe862c287p-12, 0x1.ebdd2bef53f19p-12, 0x1.dc49ead2b4655p-12, 0x1.cd2de8e9a48dep-12, 0x1.be85e7cf1f209p-12, 0x1.b04ebca451addp-12, 0x1.a2854fb33ead4p-12, 0x1.95269c12f8eap-12, 0x1.882faf4d26cb6p-12, 0x1.7b9da90452148p-12, 0x1.6f6dba9b31976p-12, 0x1.639d26dd83b93p-12, 0x1.582941a84508fp-12, 0x1.4d0f6f9517c9dp-12, 0x1.424d25a523ee7p-12, 0x1.37dfe8edef7bcp-12, 0x1.2dc54e464cfccp-12, 0x1.23faf9f31a39ap-12, 0x1.1a7e9f5a1c621p-12, 0x1.114e00aff3b6dp-12, 0x1.0866eeaa71f27p-12, 0x1.ff8e906489507p-13, 0x1.eed9f42f7a73cp-13, 0x1.deabfd8d2648ap-13, 0x1.cf00bbf6d150fp-13, 0x1.bfd458f911edbp-13, 0x1.b123179cc4771p-13, 0x1.a2e953deff18ep-13, 0x1.95238221ac153p-13, 0x1.87ce2ea29457cp-13, 0x1.7ae5fcf4a7cb8p-13, 0x1.6e67a779ea856p-13, 0x1.624ffee054bc7p-13, 0x1.569be9a12a29fp-13, 0x1.4b486382d6537p-13, 0x1.40527d1ace3c8p-13, 0x1.35b75b54a38efp-13, 0x1.2b7436fa5eb8fp-13, 0x1.21865c3a97afp-13, 0x1.17eb2a3cce97fp-13, 0x1.0ea012a7bc66cp-13, 0x1.05a29935d976ep-13, 0x1.f9e0a68f8bd7fp-14, 0x1.e8dc95a1f02c1p-14, 0x1.d895b8951f1c1p-14, 0x1.c8d7cfe2c7949p-14, 0x1.b99e86a42ae62p-14, 0x1.aae5a75979113p-14, 0x1.9ca91b2a76c2cp-14, 0x1.8ee4e92f11e61p-14, 0x1.819535a791941p-14, 0x1.74b6415f649cap-14, 0x1.684468eabffep-14, 0x1.5c3c2400894f8p-14, 0x1.509a04c71e107p-14, 0x1.455ab7388b057p-14, 0x1.3a7b0074433d4p-14, 0x1.2ff7be217b7d1p-14, 0x1.25cde5d18c298p-14, 0x1.1bfa8464b387cp-14, 0x1.127abd71f5acap-14, 0x1.094bcab1c0343p-14, 0x1.006afb6eaa2acp-14, 0x1.efab67e52e327p-15, 0x1.df12d9f9c01d7p-15, 0x1.cf0766752bb3ap-15, 0x1.bf844d7ad9407p-15, 0x1.b084f4f332f71p-15, 0x1.a204e78b526b4p-15, 0x1.93ffd3bc56ba7p-15, 0x1.86718ac1ad74bp-15, 0x1.7955ffc7e5032p-15, 0x1.6ca946ef4da68p-15, 0x1.6067945364863p-15, 0x1.548d3b4de8cabp-15, 0x1.4916ad80f6d26p-15, 0x1.3e007a0677adep-15, 0x1.33474c9b78e41p-15, 0x1.28e7ecd4e07d4p-15, 0x1.1edf3d5751775p-15, 0x1.152a3b0b3dafep-15, 0x1.0bc5fc6052e79p-15, 0x1.02afb09498cf3p-15, 0x1.f3c93dfef5af7p-16, 0x1.e2c44ca51cdb5p-16, 0x1.d24b77ea284f7p-16, 0x1.c259d6ae78625p-16, 0x1.b2eaaa9a94502p-16, 0x1.a3f95ed3909dfp-16, 0x1.958186bcfebdap-16, 0x1.877edccc87075p-16, 0x1.79ed41560bbabp-16, 0x1.6cc8b968e1e65p-16, 0x1.600d6dabddd3bp-16, 0x1.53b7a94df9588p-16, 0x1.47c3d8fd58195p-16, 0x1.3c2e89a6eeca2p-16, 0x1.30f467caaf9f8p-16, 0x1.26123e4c764aep-16, 0x1.1b84f57bed885p-16, 0x1.11499234cda81p-16, 0x1.075d34f0df23bp-16, 0x1.fb7a31cc7a4bep-17, 0x1.e8cd2654aded3p-17, 0x1.d6ae23b7bc083p-17, 0x1.c51836a36a38ep-17, 0x1.b4069a99d52ebp-17, 0x1.a374b87da6adfp-17, 0x1.935e24e5cc2b5p-17, 0x1.83be9ee1e877bp-17, 0x1.74920e54efc4ap-17, 0x1.65d482b6cd0fep-17, 0x1.578231b444f89p-17, 0x1.499775e150b59p-17, 0x1.3c10cd7513387p-17, 0x1.2eead90ef3c0bp-17, 0x1.22225a8767fa5p-17, 0x1.15b433b8e0acdp-17, 0x1.099d6572d9df6p-17, 0x1.fbb61d044515bp-18, 0x1.e4d4d4463c10fp-18, 0x1.ce919f0bc1914p-18, 0x1.b8e76131cad85p-18, 0x1.a3d13208b3c64p-18, 0x1.8f4a5a923a08fp-18, 0x1.7b4e53d111e8ep-18, 0x1.67d8c49cd1e0ep-18, 0x1.54e5803c72d88p-18, 0x1.427084b83cbf4p-18, 0x1.3075f929df5c3p-18, 0x1.1ef22c287d91bp-18, 0x1.0de1925e47c9bp-18, 0x1.fa818a09ef5b1p-19, 0x1.da1900e332676p-19, 0x1.ba83458171dd9p-19, 0x1.9bba55075b61fp-19, 0x1.7db86ae7e408dp-19, 0x1.6077fe57f4f2fp-19, 0x1.43f3c0395ca1ap-19, 0x1.2826985006c1ap-19, 0x1.0d0ba3758bc7cp-19, 0x1.e53c612d39391p-20, 0x1.b1b380857f799p-20, 0x1.7f74019f7927bp-20, 0x1.4e759adfebd4ap-20, 0x1.1eb0588990f4cp-20, 0x1.e03931f211003p-21, 0x1.85660d74f892bp-21, 0x1.2cd9342d3da93p-21, 0x1.ad0a46ea9869dp-22, 0x1.04b9c4728e5acp-22, 0x1.829fd46d80ad9p-24, -0x1.fa18c5203e444p-25, -0x1.b63ccd1f0e725p-23, -0x1.7300121b47cfap-22, -0x1.037eaf419141bp-21, -0x1.4b955f6ee6902p-21, -0x1.91cdefd7a2a16p-21, -0x1.d631d83b3ef48p-21, -0x1.0c651b0c40e81p-20, -0x1.2ccfe90c939ap-20, -0x1.4c5d90196a0a5p-20, -0x1.6b1224c8b41a7p-20, -0x1.88f1964513958p-20, -0x1.a5ffb08b36a07p-20, -0x1.c2401e881815fp-20, -0x1.ddb66ac820086p-20, -0x1.f8660271ea121p-20, -0x1.09291a4f033fp-19, -0x1.15bf1c4f4031dp-19, -0x1.21f694bb86e32p-19, -0x1.2dd1054c1d1ccp-19, -0x1.394fe47b43e63p-19, -0x1.44749dba7d6dap-19, -0x1.4f40924eee172p-19, -0x1.59b519e54831fp-19, -0x1.63d382ca38ec5p-19, -0x1.6d9d131203cap-19, -0x1.77130874c9173p-19, -0x1.80369914e2561p-19, -0x1.8908f3e6c1cdfp-19, -0x1.918b4118162c9p-19, -0x1.99bea2990af62p-19, -0x1.a1a43408163ep-19, -0x1.a93d0bbb35f72p-19, -0x1.b08a3aab4001cp-19, -0x1.b78cccdcb0f59p-19, -0x1.be45c9ac2396p-19, -0x1.c4b634325d8cap-19, -0x1.cadf0b6d81c26p-19, -0x1.d0c14a978e3b4p-19, -0x1.d65de9455e873p-19, -0x1.dbb5dbe1d4203p-19, -0x1.e0ca1394e4f5dp-19, -0x1.e59b7ebad423cp-19, -0x1.ea2b090398b1p-19, -0x1.ee799b79a0ac4p-19, }}, 
      {{0x1.a301c001166b4p-7, 0x1.f9b19c4692fdbp-6, 0x1.e9aed86928482p-5, 0x1.91b56d7f0cbfcp-4, 0x1.2734b87d93a4bp-3, 0x1.92181d8f5d7aep-3, 0x1.031ee4f3b6988p-2, 0x1.404ac34878c48p-2, 0x1.7f2b81938c1cep-2, 0x1.be852fff6719ap-2, 0x1.fd454eb8bbbfbp-2, 0x1.1d41065ad64e9p-1, 0x1.3abc3a3acd409p-1, 0x1.56c44b3e7efc1p-1, 0x1.7119a730c1646p-1, 0x1.898b0dc281112p-1, 0x1.9ff3f3fa70023p-1, 0x1.b43b25b5f89c2p-1, 0x1.c650f1a363a1ap-1, 0x1.d62dc08286cedp-1, 0x1.e3d0ee3e2c3f9p-1, 0x1.ef405f809832ep-1, 0x1.f8868177d6d8ep-1, 0x1.ffb1dcde89c05p-1, 0x1.026a6239745f6p+0, 0x1.0401a5a1462a9p+0, 0x1.04a9afc68bc92p+0, 0x1.046f7bca12a74p+0, 0x1.035f790513acp+0, 0x1.0186bdd3a1132p+0, 0x1.fde556e8c0c65p-1, 0x1.f7617effb4a13p-1, 0x1.ef9cc6f5ad25cp-1, 0x1.e6b1aa96fbb5dp-1, 0x1.dcba33618ed8fp-1, 0x1.d1cfd4656f92bp-1, 0x1.c60b44662b098p-1, 0x1.b984609e7223ep-1, 0x1.ac521855c658ep-1, 0x1.9e8a5f950d252p-1, 0x1.904226284c3fbp-1, 0x1.818d4ee7d4394p-1, 0x1.727ea657aa037p-1, 0x1.6327dba8f1765p-1, 0x1.53997f8b67acbp-1, 0x1.43e309715705dp-1, 0x1.3412e0f7b315ap-1, 0x1.2436686eb80e4p-1, 0x1.145a06e393b84p-1, 0x1.0489312446f68p-1, 0x1.e99ce1934cd2fp-2, 0x1.ca66d0bb2b4cep-2, 0x1.ab81ac1f769f4p-2, 0x1.8cfd326aa0331p-2, 0x1.6ef977a474a3ep-2, 0x1.516106e34b54ap-2, 0x1.344ee9ec8e1f9p-2, 0x1.17cd30eca0892p-2, 0x1.f7c940e4ea9e9p-3, 0x1.c1397ba765d42p-3, 0x1.8bf7d47ad53aep-3, 0x1.580f09921efd8p-3, 0x1.25881406d15eap-3, 0x1.e8d4aa6c396d1p-4, 0x1.8977614b5f434p-4, 0x1.2d0132c2dcbb3p-4, 0x1.a6f0738b25ae8p-5, 0x1.f37f9a57de9bcp-6, 0x1.49c97bb2a1674p-7, -0x1.3be990f5b348dp-7, -0x1.d51a011bb755fp-6, -0x1.804f78152db3cp-5, -0x1.08277242af36ap-4, -0x1.4d4d92e104c9fp-4, -0x1.8fa3503433f01p-4, -0x1.cf33027861afep-4, -0x1.06040636f294ep-3, -0x1.23175f8084ce6p-3, -0x1.3eda1dc162414p-3, -0x1.59532a89b86cep-3, -0x1.7289b94372ae2p-3, -0x1.8a85391ad8c19p-3, -0x1.a14d487870af6p-3, -0x1.b6e9aa609102p-3, -0x1.cb623db72f356p-3, -0x1.debef61cca966p-3, -0x1.f107d5f029332p-3, -0x1.0122747eb3e6fp-2, -0x1.093f1fbdd5d61p-2, -0x1.10ddf48f4b83cp-2, -0x1.1802f8106cf0ap-2, -0x1.1eb22a20acdbcp-2, -0x1.24ef82dad8c8p-2, -0x1.2abef00c4ef51p-2, -0x1.302452b09a3ecp-2, -0x1.35237c7e356f8p-2, -0x1.39c02d99a45f9p-2, -0x1.3dfe128b1e313p-2, -0x1.41e0c29429516p-2, -0x1.456bbe7b9673fp-2, -0x1.48a26fd7af9c3p-2, -0x1.4b8828ccd6074p-2, -0x1.4e2024279353bp-2, -0x1.506d85b16b1a1p-2, -0x1.52735aa15f0d4p-2, -0x1.54349a120cde2p-2, -0x1.55b4257334154p-2, -0x1.56f4c8f60a65dp-2, -0x1.57f93bf7f3e6bp-2, -0x1.58c4216d778d7p-2, -0x1.5954f6c9029ccp-2, -0x1.59b49047e232ep-2, -0x1.59e249faf78cdp-2, -0x1.59e070af280cp-2, -0x1.59b139712898cp-2, -0x1.5956c2f1d96eap-2, -0x1.58d3171dd1e3ep-2, -0x1.58282cbc1b742p-2, -0x1.5757e8ed052e5p-2, -0x1.5664206b745edp-2, -0x1.554e987f411fp-2, -0x1.5419079bdebbap-2, -0x1.52c515b1fec85p-2, -0x1.51545c43744dcp-2, -0x1.4fc8664dcaf0cp-2, -0x1.4e22b021b2529p-2, -0x1.4c64a73bf3102p-2, -0x1.4a8faa3115b6ep-2, -0x1.48a508b7ea546p-2, -0x1.46a603d9bd619p-2, -0x1.4493ce49e0affp-2, -0x1.426f8ce194c35p-2, -0x1.403a5739f9f48p-2, -0x1.3df5385b473d3p-2, -0x1.3ba12f7767ffcp-2, -0x1.393f30a61aa32p-2, -0x1.36d02599a56d4p-2, -0x1.3454ee44ea6d3p-2, -0x1.31ce616ddfe8p-2, -0x1.2f3d4d29eaba4p-2, -0x1.2ca27743e2d28p-2, -0x1.29fe9d8da20a4p-2, -0x1.275276208c17p-2, -0x1.249eaf9170336p-2, -0x1.21e3f11c93f45p-2, -0x1.1f22dace9550bp-2, -0x1.1c5c05ae3c5b5p-2, -0x1.199003ea7e1bdp-2, -0x1.16bf610ee61ep-2, -0x1.13eaa23f84975p-2, -0x1.1112467c6f34ap-2, -0x1.0e36c6ebfadcdp-2, -0x1.0b58972a17259p-2, -0x1.0878259ab1287p-2, -0x1.0595dbbccc6cp-2, -0x1.02b21e7bed3bcp-2, -0x1.ff9a9cfb4aep-3, -0x1.f9cf90d2d071fp-3, -0x1.f403ca527a538p-3, -0x1.ee37f444c5a42p-3, -0x1.e86cb2cb020b6p-3, -0x1.e2a2a3acf007ap-3, -0x1.dcda5e98a462dp-3, -0x1.d71475545e0c9p-3, -0x1.d15173e491232p-3, -0x1.cb91e0a8b2f4cp-3, -0x1.c5d63c717ebf4p-3, -0x1.c01f02936308p-3, -0x1.ba6ca8f79c4e2p-3, -0x1.b4bfa02e15a5fp-3, -0x1.af185381eea0bp-3, -0x1.a9772911d4365p-3, -0x1.a3dc81ed1324ep-3, -0x1.9e48ba35acc92p-3, -0x1.98bc29475db88p-3, -0x1.933721e326679p-3, -0x1.8db9f25e9fc85p-3, -0x1.8844e4d6291a8p-3, -0x1.82d83f60eef7p-3, -0x1.7d744445b844ap-3, -0x1.7819322f5dda4p-3, -0x1.72c7446004977p-3, -0x1.6d7eb2e2345e8p-3, -0x1.683fb2b718809p-3, -0x1.630a76016a0f5p-3, -0x1.5ddf2c2ca434ap-3, -0x1.58be021055b3ap-3, -0x1.53a7220f9cc4dp-3, -0x1.4e9ab434e7b0fp-3, -0x1.4998de4a3a602p-3, -0x1.44a1c3ee69752p-3, -0x1.3fb586a79aff9p-3, -0x1.3ad445f390b61p-3, -0x1.35fe1f5624654p-3, -0x1.31332e665e5e3p-3, -0x1.2c738cda8dafep-3, -0x1.27bf5293ab2ddp-3, -0x1.231695a8485a9p-3, -0x1.1e796a6f47c97p-3, -0x1.19e7e38a74f46p-3, -0x1.156211f11a4f5p-3, -0x1.10e804fa9e654p-3, -0x1.0c79ca692e27p-3, -0x1.08176e7469dd2p-3, -0x1.03c0fbd416806p-3, -0x1.feecf7957228p-4, -0x1.f66fec6040d2p-4, -0x1.ee0ae2f784097p-4, -0x1.e5bde59dbd789p-4, -0x1.dd88fbfce897p-4, -0x1.d56c2b39b4f49p-4, -0x1.cd67760630436p-4, -0x1.c57adcb3e3a46p-4, -0x1.bda65d4539fedp-4, -0x1.b5e9f37e5ee23p-4, -0x1.ae4598f59ebdap-4, -0x1.a6b9452344e99p-4, -0x1.9f44ed710e607p-4, -0x1.97e8854968387p-4, -0x1.90a3fe2652754p-4, -0x1.897747a0316f4p-4, -0x1.82624f7c7a491p-4, -0x1.7b65a7697424ep-4, -0x1.747ffb87fd611p-4, -0x1.6db1c793b8a2p-4, -0x1.66faf2fb0fc0fp-4, -0x1.605b63aa796b6p-4, -0x1.59d2fe17d5d48p-4, -0x1.5361a54e162a6p-4, -0x1.4d073af92a0fep-4, -0x1.46c39f723347fp-4, -0x1.4096b1cbf6f3p-4, -0x1.3a804fdf7fb52p-4, -0x1.34805658e49fep-4, -0x1.2e96a0c425665p-4, -0x1.28c3099a0c04ap-4, -0x1.23056a4d0433cp-4, -0x1.1d5d9b55d76b5p-4, -0x1.17cb74404013ap-4, -0x1.124ecbb74688p-4, -0x1.0ce777915a5ebp-4, -0x1.07954cdc1d678p-4, -0x1.02581fe7da0c4p-4, -0x1.fa5f88a5388e3p-5, -0x1.f0381a25cf754p-5, -0x1.e639990416316p-5, -0x1.dc63a8cc18302p-5, -0x1.d2b5ebf65b771p-5, -0x1.c93003fa24a41p-5, -0x1.bfd1915efad36p-5, -0x1.b69a33cd6d859p-5, -0x1.ad898a1f28d86p-5, -0x1.a49f326e68f3ap-5, -0x1.9bdaca24c8cdp-5, -0x1.933bee098b928p-5, -0x1.8ac23a4f5b745p-5, -0x1.826d4aa196158p-5, -0x1.7a3cba312c444p-5, -0x1.723023c11f885p-5, -0x1.6a4721b2ab99ep-5, -0x1.62814e112108ap-5, -0x1.5ade429d79844p-5, -0x1.535d98d9ae925p-5, -0x1.4bfeea13d5825p-5, -0x1.44c1cf71096b3p-5, -0x1.3da5e1f81debep-5, -0x1.36aaba9c29756p-5, -0x1.2fcff246dc906p-5, -0x1.291521e2ad82p-5, -0x1.2279e264d6e76p-5, -0x1.1bfdccd72839cp-5, -0x1.15a07a61a5c49p-5, -0x1.0f618453f759bp-5, -0x1.0940842ea6d16p-5, -0x1.033d13ac26f39p-5, -0x1.faad99934c9bp-6, -0x1.ef1a939f4c705p-6, -0x1.e3c04ab4ba2e6p-6, -0x1.d89df4c3ab7ccp-6, -0x1.cdb2c883b09c1p-6, -0x1.c2fdfd831fb72p-6, -0x1.b87ecc35e7df5p-6, -0x1.ae346e03da1dp-6, -0x1.a41e1d568350ep-6, -0x1.9a3b15a66e16dp-6, -0x1.908a9387f9b1ep-6, -0x1.870bd4b79bcaep-6, -0x1.7dbe1825b683ep-6, -0x1.74a09e01dfb37p-6, -0x1.6bb2a7c5b6d3ep-6, -0x1.62f3783f3a2c9p-6, -0x1.5a62539aa893ap-6, -0x1.51fe7f6be8be8p-6, -0x1.49c742b77ffb9p-6, -0x1.41bbe5fb19bc9p-6, -0x1.39dbb3359bba5p-6, -0x1.3225f5eed576cp-6, -0x1.2a99fb3ec0914p-6, -0x1.233711d460b24p-6, -0x1.1bfc89fc3cbaep-6, -0x1.14e9b5a676d79p-6, -0x1.0dfde86c89192p-6, -0x1.073877969ed48p-6, -0x1.0098ba209e7efp-6, -0x1.f43c117da6443p-7, -0x1.e78f7bc48155ap-7, -0x1.db2a6b795437ep-7, -0x1.cf0b9c887e2e1p-7, -0x1.c331ce6df7fa1p-7, -0x1.b79bc43b7ab7p-7, -0x1.ac48449e04da5p-7, -0x1.a13619e2ca064p-7, -0x1.966411fb9bc1p-7, -0x1.8bd0fe82aeeap-7, -0x1.817bb4bddb7c6p-7, -0x1.77630da16077bp-7, -0x1.6d85e5d1fee63p-7, -0x1.63e31da6bad0ap-7, -0x1.5a799929f8f0ep-7, -0x1.5148401a27947p-7, -0x1.484dfde9f9b87p-7, -0x1.3f89c1c01c726p-7, -0x1.36fa7e7678a97p-7, -0x1.2e9f2a990b65ap-7, -0x1.2676c06445eeep-7, -0x1.1e803dc309937p-7, -0x1.16baa44c3bfdp-7, -0x1.0f24f93ff1443p-7, -0x1.07be45843d59ep-7, -0x1.008595a1a3589p-7, -0x1.f2f3f37e553dep-8, -0x1.e5350b3c33b0dp-8, -0x1.d7cca12ad4354p-8, -0x1.cab8eb19b13edp-8, -0x1.bdf825ef7ddcep-8, -0x1.b188959f22c2p-8, -0x1.a568851c42428p-8, -0x1.9996464f306ddp-8, -0x1.8e1032086e774p-8, -0x1.82d4a7f39d9a1p-8, -0x1.77e20e8a229dcp-8, -0x1.6d36d305366bfp-8, -0x1.62d1694fab371p-8, -0x1.58b04bf742725p-8, -0x1.4ed1fc1db128cp-8, -0x1.4535016944e8fp-8, -0x1.3bd7e9f54cbc3p-8, -0x1.32b94a422b247p-8, -0x1.29d7bd251bd1fp-8, -0x1.2131e3b7d86aap-8, -0x1.18c66547dcc5ap-8, -0x1.1093ef459ad34p-8, -0x1.089935336bcfap-8, -0x1.00d4f0945a551p-8, -0x1.f28bc1b57147ep-9, -0x1.e3d596ad7c78ap-9, -0x1.d584f64997592p-9, -0x1.c7978237a5603p-9, -0x1.ba0ae776e25bdp-9, -0x1.acdcde34514a2p-9, -0x1.a00b29a6cf6f9p-9, -0x1.939397eb1e6b5p-9, -0x1.877401dffbce3p-9, -0x1.7baa4b02207cep-9, -0x1.703461480b277p-9, -0x1.65103cfe3be75p-9, -0x1.5a3be0a30c3ap-9, -0x1.4fb558c2cf996p-9, -0x1.457abbd3fc87p-9, -0x1.3b8a2a135475dp-9, -0x1.31e1cd6064a79p-9, -0x1.287fd919d18ddp-9, -0x1.1f6289fa28277p-9, -0x1.168825f48885bp-9, -0x1.0deefc11ac142p-9, -0x1.0595644d0c874p-9, -0x1.faf37ee48e0e9p-10, -0x1.eb34edf5688c8p-10, -0x1.dbebf9d68f07ep-10, -0x1.cd159764faab4p-10, -0x1.beaecc0de0fefp-10, -0x1.b0b4ad8b9e8f1p-10, -0x1.a32461a393a35p-10, -0x1.95fb1de49594cp-10, -0x1.89362765e9803p-10, -0x1.7cd2d286e359bp-10, -0x1.70ce82af0c1c1p-10, -0x1.6526aa0f5ab08p-10, -0x1.59d8c9637ffa2p-10, -0x1.4ee26fb465202p-10, -0x1.44413a1af8a81p-10, -0x1.39f2d383f8e42p-10, -0x1.2ff4f47461a27p-10, -0x1.264562ce43b2bp-10, -0x1.1ce1f196df8cfp-10, -0x1.13c880bd09287p-10, -0x1.0af6fce051fa1p-10, -0x1.026b5f190f83bp-10, -0x1.f447598196521p-11, -0x1.e43bee77c3912p-11, -0x1.d4b0b7868cb23p-11, -0x1.c5a2065e46e8fp-11, -0x1.b70c43848d4acp-11, -0x1.a8ebedebd41d5p-11, -0x1.9b3d9a8cb2cc7p-11, -0x1.8dfdf4000524dp-11, -0x1.8129ba1a4ba3dp-11, -0x1.74bdc1881d255p-11, -0x1.68b6f36bb0b15p-11, -0x1.5d124cfba8d82p-11, -0x1.51ccdf22562d9p-11, -0x1.46e3ce1e3744bp-11, -0x1.3c545123646f6p-11, -0x1.321bb1fdbae4bp-11, -0x1.28374cb3d8df4p-11, -0x1.1ea48f2afa76p-11, -0x1.1560f8cba6862p-11, -0x1.0c6a1a26fa23cp-11, -0x1.03bd949c81013p-11, -0x1.f6b234031d565p-12, -0x1.e674d8907d326p-12, -0x1.d6beba503deb4p-12, -0x1.c78b9b8e02736p-12, -0x1.b8d75cc594bc9p-12, -0x1.aa9dfbf7dbebbp-12, -0x1.9cdb9401b7967p-12, -0x1.8f8c5bf432a0bp-12, -0x1.82aca66eb3e9p-12, -0x1.7638e0f9ede87p-12, -0x1.6a2d93670889fp-12, -0x1.5e875f2dd6026p-12, -0x1.5342fecf6c355p-12, -0x1.485d4538e5bb8p-12, -0x1.3dd31d2a516aap-12, -0x1.33a1889e42a48p-12, -0x1.29c5a034a751dp-12, -0x1.203c929f92a95p-12, -0x1.1703a412628c1p-12, -0x1.0e182db4f691p-12, -0x1.05779d1774ec8p-12, -0x1.fa3ee753f0fe6p-13, -0x1.ea1a8c6d80691p-13, -0x1.da7d78bd97c11p-13, -0x1.cb6320341de59p-13, -0x1.bcc71a7355c1ep-13, -0x1.aea521da49da2p-13, -0x1.a13e3754f00fcp-13, -0x1.93fb2d98ee9c8p-13, -0x1.8726f351deea8p-13, -0x1.7abdb8b11ac19p-13, -0x1.6ebbcc602c3fdp-13, -0x1.631d9ab9b21bfp-13, -0x1.57dfad05d4558p-13, -0x1.4cfea8ba4a39cp-13, -0x1.42774ebe770b5p-13, -0x1.38467ab2ffacdp-13, -0x1.2e69223c8e8b4p-13, -0x1.24dc5451ba139p-13, -0x1.1b9d388ed7112p-13, -0x1.12a90e8a55c27p-13, -0x1.09fd2d2e2528p-13, -0x1.01970213ef024p-13, -0x1.f2e821c9c1453p-14, -0x1.e323e579933dcp-14, -0x1.d3dcab213102fp-14, -0x1.c50df72e9a289p-14, -0x1.b6b3756f7cea2p-14, -0x1.a8c8f7f01835cp-14, -0x1.9b4a75e0b0fafp-14, -0x1.8e340a837794cp-14, -0x1.8181f41e1de05p-14, -0x1.753092f253d2p-14, -0x1.693c683c4c97fp-14, -0x1.5da215377ac4cp-14, -0x1.525e5a2770ceap-14, -0x1.476e156954113p-14, -0x1.3cce4286c9651p-14, -0x1.327bf953dcae6p-14, -0x1.28746d0d86c42p-14, -0x1.1eb4eb7fade9dp-14, -0x1.153adc307b6a3p-14, -0x1.0c03bf900efdbp-14, -0x1.030d2e2d891eep-14, -0x1.f4a9afe5c7174p-15, -0x1.e3b106c72c69ep-15, -0x1.d32c19be08e93p-15, -0x1.c316cbd6e10dep-15, -0x1.b36d2907480f7p-15, -0x1.a42b64d09e781p-15, -0x1.954dd8eda7a88p-15, -0x1.86d10408e61d5p-15, -0x1.78b1887d9cec3p-15, -0x1.6aec2b1d02e96p-15, -0x1.5d7dd1fffdce9p-15, -0x1.5063835f347a8p-15, -0x1.439a6472ba624p-15, -0x1.371fb85b49ba4p-15, -0x1.2af0df1244c43p-15, -0x1.1f0b54612e152p-15, -0x1.136caee32a121p-15, -0x1.08129f02d4cbp-15, -0x1.f9f5dc278bf56p-16, -0x1.e446fac3c06f1p-16, -0x1.cf148a99ecdafp-16, -0x1.ba5aa8d554597p-16, -0x1.a6159d60bc0d1p-16, -0x1.9241d9462973p-16, -0x1.7edbf517e7089p-16, -0x1.6be0af6c4e75bp-16, -0x1.594ceb5f8f61cp-16, -0x1.471daf21c6cd8p-16, -0x1.35502298692dcp-16, -0x1.23e18e000ff7p-16, -0x1.12cf58a1b99e1p-16, -0x1.02170790713dp-16, -0x1.e36c78db0ea47p-17, -0x1.c355687cb0052p-17, -0x1.a3e48c8c36c51p-17, -0x1.8515c5d9878ep-17, -0x1.66e5255be1b8ap-17, -0x1.494eea27c2151p-17, -0x1.2c4f7f6e2d941p-17, -0x1.0fe37a8edd208p-17, -0x1.e80f327b664ccp-18, -0x1.b1717f96617abp-18, -0x1.7be7eead3a40cp-18, -0x1.476cd86152ffbp-18, -0x1.13fad858adc87p-18, -0x1.c319949305185p-19, -0x1.603b8df17932fp-19, -0x1.fea4850ee0673p-20, -0x1.40a98d599d72bp-20, -0x1.0cea5fc608b31p-21, 0x1.8046817906b29p-23, 0x1.c5bfe3f66ada8p-21, 0x1.921f007c78b61p-20, 0x1.1eea0e1fad2d9p-19, 0x1.73066234949a3p-19, 0x1.c56aefdc7f8adp-19, 0x1.0b0ef145251f6p-18, 0x1.329290f599212p-18, 0x1.59432aff0477p-18, 0x1.7f23756e8d71p-18, 0x1.a4360a322aa72p-18, 0x1.c87d69215ead4p-18, 0x1.ebfbf9751498dp-18, 0x1.075a05b796d6bp-17, 0x1.1853ed0c191c2p-17, 0x1.28ecc65258d14p-17, 0x1.39259bedd9279p-17, 0x1.48ff6fb8dcd9ep-17, 0x1.587b3ba758508p-17, 0x1.6799f254b1fa7p-17, 0x1.765c7f940fc7ep-17, 0x1.84c3c8f134b75p-17, 0x1.92d0ae27015eep-17, 0x1.a084098aecf4p-17, 0x1.addeb07dc791p-17, 0x1.bae173c3a1cb7p-17, 0x1.c78d1fdf7418cp-17, 0x1.d3e27d681be05p-17, 0x1.dfe25153eef21p-17, 0x1.eb8d5d4a2cabbp-17, 0x1.f6e45fe243137p-17, 0x1.00f40a8187913p-16, 0x1.064c9afea353bp-16, 0x1.0b7c3cf71b09fp-16, 0x1.10834afb73018p-16, 0x1.15621ebc41645p-16, 0x1.1a191127d6edcp-16, 0x1.1ea87a915928cp-16, 0x1.2310b2be4199p-16, 0x1.27521110035f5p-16, 0x1.2b6cec8f47c35p-16, 0x1.2f619c13a8695p-16, 0x1.333076516315bp-16, 0x1.36d9d1f318c84p-16, 0x1.3a5e05ad90e6ap-16, 0x1.3dbd685252ccep-16, 0x1.40f850dd6dbdfp-16, 0x1.440f1686713e2p-16, 0x1.470210d10b5abp-16, 0x1.49d19795b298ap-16, 0x1.4c7e030c83612p-16, 0x1.4f07abd58db46p-16, 0x1.516eeb03b6e8cp-16, 0x1.53b41a21ee032p-16, 0x1.55d793365099p-16, 0x1.57d9b0ca840acp-16, 0x1.59bacdebd5389p-16, 0x1.5b7b462a5cbbap-16, 0x1.5d1b75b0e8e97p-16, 0x1.5e9bb922cdb68p-16, 0x1.5ffc6db501b08p-16, 0x1.613df12465d8bp-16, 0x1.6260a1b91f1fcp-16, 0x1.6364de42b79b2p-16, 0x1.644b0616bb46dp-16, 0x1.6513790cbdd8ap-16, 0x1.65be977e71cf3p-16, }}, 
      {{0x1.1c91789dc1fb5p-7, 0x1.e4aa7acd4e519p-7, 0x1.94cf8545ac9d9p-6, 0x1.3838388a6a9cep-5, 0x1.bf8a15e18661dp-5, 0x1.2e8b93ac58121p-4, 0x1.86c7150251035p-4, 0x1.e6d7b73c74b0fp-4, 0x1.2697f5ff073bap-3, 0x1.5c2d5bf8abde5p-3, 0x1.937faa2d4d0b7p-3, 0x1.cbf1bf53de5e1p-3, 0x1.027ae1e9f3d41p-2, 0x1.1f069af798211p-2, 0x1.3b641d69365a7p-2, 0x1.57626c875ab66p-2, 0x1.72d7136028de7p-2, 0x1.8d9da249f2706p-2, 0x1.a79729928c936p-2, 0x1.c0a9c7c87e38ep-2, 0x1.d8c028b7fede4p-2, 0x1.efc92b16cd6e4p-2, 0x1.02db9ac6783b3p-1, 0x1.0d400da71a0f1p-1, 0x1.170e589c61a43p-1, 0x1.20440d5607671p-1, 0x1.28e0109038273p-1, 0x1.30e23a3dda272p-1, 0x1.384b3ef8a8603p-1, 0x1.3f1c9d10ab726p-1, 0x1.45587f0386ef1p-1, 0x1.4b01a0e26d1fdp-1, 0x1.501b3a32918eap-1, 0x1.54a8eac5b9246p-1, 0x1.58aeaa0bee20cp-1, 0x1.5c30b69f006a9p-1, 0x1.5f3386e890cf3p-1, 0x1.61bbbcbc4ff8cp-1, 0x1.63ce1a32c039ep-1, 0x1.656f76f2892dcp-1, 0x1.66a4b7293ccd8p-1, 0x1.6772c40b5f2dp-1, 0x1.67de84c4ccf55p-1, 0x1.67ecd7f2834a4p-1, 0x1.67a28e3ff8b1dp-1, 0x1.67046619e0fa8p-1, 0x1.6617081bf6ecdp-1, 0x1.64df0406782d1p-1, 0x1.6360ce010a0e4p-1, 0x1.61a0bbed81ec5p-1, 0x1.5fa302e66228ap-1, 0x1.5d6bb56439c5cp-1, 0x1.5afec266d5de8p-1, 0x1.585ff571f5e23p-1, 0x1.5592cde012113p-1, 0x1.529b148eb3129p-1, 0x1.4f7c1042a3bacp-1, 0x1.4c38fd40fdc77p-1, 0x1.48d4f330afebap-1, 0x1.4552e5fa9ba5cp-1, 0x1.41b5a6b4c4869p-1, 0x1.3dffe470c50e6p-1, 0x1.3a342cf7c1befp-1, 0x1.3654ed8eb3ddap-1, 0x1.326473d1a9fbp-1, 0x1.2e64eea1d88f4p-1, 0x1.2a586f1963cbcp-1, 0x1.2640e97acf9e9p-1, 0x1.2220361ab8b3bp-1, 0x1.1df81249e13e2p-1, 0x1.19ca21473ded2p-1, 0x1.1597ed3d59cf5p-1, 0x1.1162e8471af36p-1, 0x1.0d2c6d72894d8p-1, 0x1.08f5c1b8608b9p-1, 0x1.04c014e4b9f27p-1, 0x1.008c8274661dep-1, 0x1.f8b824dd1e795p-2, 0x1.f05f7481c4f09p-2, 0x1.e810bb3eb7fa6p-2, 0x1.dfcd9ec826e7dp-2, 0x1.d797a4d3fc9dep-2, 0x1.cf7034bee21d2p-2, 0x1.c758991f7437cp-2, 0x1.bf5201488c52fp-2, 0x1.b75d82b9dce3ap-2, 0x1.af7c1a7c20335p-2, 0x1.a7aeae66e8723p-2, 0x1.9ff60e52b5836p-2, 0x1.9852f53eea33ap-2, 0x1.90c60a753221p-2, 0x1.894fe2b041419p-2, 0x1.81f10144a8e51p-2, 0x1.7aa9d9436bd3cp-2, 0x1.737ace8b3c5abp-2, 0x1.6c6436c04714fp-2, 0x1.65665a2948802p-2, 0x1.5e8174780012bp-2, 0x1.57b5b586ef56ap-2, 0x1.510342157eaddp-2, 0x1.4a6a3486c3de1p-2, 0x1.43ea9da130d4cp-2, 0x1.3d84854952db6p-2, 0x1.3737eb311a8a7p-2, 0x1.3104c777a9898p-2, 0x1.2aeb0b39b34d1p-2, 0x1.24eaa115fbb4p-2, 0x1.1f036daacb531p-2, 0x1.1935501027996p-2, 0x1.1380224ff6cbp-2, 0x1.0de3be947840ep-2, 0x1.085ff0e55c77cp-2, 0x1.02f486e5bd431p-2, 0x1.fb4294742ac39p-3, 0x1.f0cc02c0bb71p-3, 0x1.e684e003198a3p-3, 0x1.dc6cae7a3e252p-3, 0x1.d282ebdda1631p-3, 0x1.c8c711dd7575bp-3, 0x1.bf389698867fbp-3, 0x1.b5d6ed08d8c9ep-3, 0x1.aca1856855513p-3, 0x1.a397cd8ef7dd8p-3, 0x1.9ab9314bbd0e4p-3, 0x1.92051ab925392p-3, 0x1.897af28dc0371p-3, 0x1.811a2068bf7c6p-3, 0x1.78e20b1a57f2p-3, 0x1.70d218e7a70a3p-3, 0x1.68e9afc9df3f6p-3, 0x1.612835a8a35d3p-3, 0x1.598d108f8b4bdp-3, 0x1.5217a6dee698ep-3, 0x1.4ac75f77d55fbp-3, 0x1.439ba1e3e62e2p-3, 0x1.3c93d67874b78p-3, 0x1.35af66761338p-3, 0x1.2eedbc246f1fbp-3, 0x1.284e42eb1ef8cp-3, 0x1.21d06767d9142p-3, 0x1.1b739782800ecp-3, 0x1.1537427f54598p-3, 0x1.0f1ad90f93c6p-3, 0x1.091dcd60a33dbp-3, 0x1.033f9329c6289p-3, 0x1.faff3f710ba1bp-4, 0x1.efbad3f753f5p-4, 0x1.e4b0d519db91ap-4, 0x1.d9e03772d20e2p-4, 0x1.cf47f31192314p-4, 0x1.c4e70386f2776p-4, 0x1.babc67ef5653dp-4, 0x1.b0c722fae0effp-4, 0x1.a7063af38851cp-4, 0x1.9d78b9c13daf6p-4, 0x1.941dacec2630dp-4, 0x1.8af4259ce7fd4p-4, 0x1.81fb389b462a7p-4, 0x1.7931fe4b20d6ap-4, 0x1.709792a82e387p-4, 0x1.682b154098f9ep-4, 0x1.5feba92ec2d9dp-4, 0x1.57d875126736p-4, 0x1.4ff0a30938695p-4, 0x1.483360a71ad3p-4, 0x1.409fdeee0b995p-4, 0x1.39355245b8f62p-4, 0x1.31f2f272cf658p-4, 0x1.2ad7fa8e099b5p-4, 0x1.23e3a8fafaa2p-4, 0x1.1d153f5ea73e1p-4, 0x1.166c0295efd1dp-4, 0x1.0fe73aabda0fap-4, 0x1.098632cfc5363p-4, 0x1.0348394b8b4bfp-4, 0x1.fa593ef339748p-5, 0x1.ee65737628553p-5, 0x1.e2b3bedb7a0a2p-5, 0x1.d742d5c4267efp-5, 0x1.cc1172a255711p-5, 0x1.c11e55a50b5f4p-5, 0x1.b66844a3966f8p-5, 0x1.abee0b08c0939p-5, 0x1.a1ae79bdcfb7p-5, 0x1.97a8671545e3ep-5, 0x1.8ddaaeb58433ep-5, 0x1.844431834f7f2p-5, 0x1.7ae3d58c58e99p-5, 0x1.71b885f1d4dd8p-5, 0x1.68c132d336f7cp-5, 0x1.5ffcd1392cee9p-5, 0x1.576a5b00d7bf2p-5, 0x1.4f08cec7578a8p-5, 0x1.46d72fd5b1846p-5, 0x1.3ed4860d00d39p-5, 0x1.36ffddd305098p-5, 0x1.2f5847ff001e1p-5, 0x1.27dcd9c6df5cap-5, 0x1.208cacaca4b46p-5, 0x1.1966de6c1fe72p-5, 0x1.126a90e8e6b28p-5, 0x1.0b96ea1c8653bp-5, 0x1.04eb14050c4bfp-5, 0x1.fccc7927801cap-6, 0x1.f00f2b386d7d9p-6, 0x1.e39ca9874638bp-6, 0x1.d77366e0fa0d6p-6, 0x1.cb91dd74d6533p-6, 0x1.bff68eb4f4d45p-6, 0x1.b4a003372ef31p-6, 0x1.a98cca969fa8ap-6, 0x1.9ebb7b559dd8bp-6, 0x1.942ab2c023029p-6, 0x1.89d914cea4a6bp-6, 0x1.7fc54c09524c1p-6, 0x1.75ee096bad982p-6, 0x1.6c52044887bbfp-6, 0x1.62effa2e4fcd3p-6, 0x1.59c6aecbd53b6p-6, 0x1.50d4ebd55be5ep-6, 0x1.481980ea1b273p-6, 0x1.3f93437a34819p-6, 0x1.3740d15cc34c6p-6, 0x1.2f2180bea5a82p-6, 0x1.2733ffc2cd936p-6, 0x1.1f773a2744016p-6, 0x1.17ea20ff07f82p-6, 0x1.108baa9aa325bp-6, 0x1.095ad27135617p-6, 0x1.02569909cefe1p-6, 0x1.f6fc07ca6ef2bp-7, 0x1.e9a03ad019ac3p-7, 0x1.dc97e98a73083p-7, 0x1.cfe13bd1874bdp-7, 0x1.c37a62c5e190ap-7, 0x1.b76198a770d35p-7, 0x1.ab9520ad1fbf2p-7, 0x1.a01346dcfed75p-7, 0x1.94da5fe50266cp-7, 0x1.89e8c8f466815p-7, 0x1.7f3ce795af3dcp-7, 0x1.74d529892a698p-7, 0x1.6ab004a00c0c6p-7, 0x1.60cbf698201b1p-7, 0x1.572784f80d1ebp-7, 0x1.4dc13cec16ef5p-7, 0x1.4497b32378949p-7, 0x1.3ba983ae3e153p-7, 0x1.32f551dbb95ddp-7, 0x1.2a79c8196807p-7, 0x1.223597d26a593p-7, 0x1.1a27794f76298p-7, 0x1.124e2b9759689p-7, 0x1.0aa8744feabf4p-7, 0x1.03351f9f8d3ep-7, 0x1.f7e6001e34b9cp-8, 0x1.e9c1dcd8a6be3p-8, 0x1.dbfb9359a4ba6p-8, 0x1.ce90eda2c7781p-8, 0x1.c17fc193bb7c1p-8, 0x1.b4c5f0b2cc8d4p-8, 0x1.a86167f657c32p-8, 0x1.9c501f8f322dfp-8, 0x1.90901ab3c4c46p-8, 0x1.851f676c1c12fp-8, 0x1.79fc1e5eb6c24p-8, 0x1.6f24629e3b7dp-8, 0x1.64966177f07d2p-8, 0x1.5a505242fa62p-8, 0x1.50507630609f6p-8, 0x1.4695181be085ap-8, 0x1.3d1c8c5d7ae97p-8, 0x1.33e5309ba47bbp-8, 0x1.2aed6b9e732dep-8, 0x1.2233ad2334037p-8, 0x1.19b66db0fd5eep-8, 0x1.11742e6db4b6bp-8, 0x1.096b78f3fa893p-8, 0x1.019adf298fe91p-8, 0x1.f401f62d4883cp-9, 0x1.e538dd7b21c5ap-9, 0x1.d6d7c7e6be656p-9, 0x1.c8dc1871b8f28p-9, 0x1.bb434128df302p-9, 0x1.ae0ac2d8b2521p-9, 0x1.a1302cc3ac66dp-9, 0x1.94b11c5945b91p-9, 0x1.888b3cee5df95p-9, 0x1.7cbc4776e2e96p-9, 0x1.714202405c25fp-9, 0x1.661a40ae11547p-9, 0x1.5b42e2f5ece7cp-9, 0x1.50b9d5de9d85ap-9, 0x1.467d127ed056p-9, 0x1.3c8a9dfd9c706p-9, 0x1.32e08953dcfa6p-9, 0x1.297cf10e9dfe5p-9, 0x1.205dfd12acdd7p-9, 0x1.1781e06123459p-9, 0x1.0ee6d8dcd6b55p-9, 0x1.068b2f1123578p-9, 0x1.fcda6bf293994p-10, 0x1.ed169591da5ebp-10, 0x1.ddc7a96b7daccp-10, 0x1.ceea89833d3dcp-10, 0x1.c07c2b0ca8f3bp-10, 0x1.b27996032ad34p-10, 0x1.a4dfe4c4aa65cp-10, 0x1.97ac43ada9493p-10, 0x1.8adbf0b714995p-10, 0x1.7e6c3b164eecep-10, 0x1.725a82de1a60fp-10, 0x1.66a438a241342p-10, 0x1.5b46dd1bf165ep-10, 0x1.504000d05f8dep-10, 0x1.458d43b8b0358p-10, 0x1.3b2c54ebc4349p-10, 0x1.311af24932cbbp-10, 0x1.2756e82648888p-10, 0x1.1dde10fc5a2f4p-10, 0x1.14ae55187b6d2p-10, 0x1.0bc5aa4ccade1p-10, 0x1.032213a358927p-10, 0x1.f58342248af21p-11, 0x1.e544de62e93bp-11, 0x1.d5854de33f406p-11, 0x1.c640faa981536p-11, 0x1.b77466505e292p-11, 0x1.a91c297e56a82p-11, 0x1.9b34f3601cca1p-11, 0x1.8dbb89237b669p-11, 0x1.80acc5756422bp-11, 0x1.7405980336e38p-11, 0x1.67c304fdc5c12p-11, 0x1.5be2249f23b34p-11, 0x1.506022b20c2a7p-11, 0x1.453a3e1dd5b78p-11, 0x1.3a6dc8724819fp-11, 0x1.2ff8257725302p-11, 0x1.25d6cabdea41fp-11, 0x1.1c073f34e384p-11, 0x1.12871abe0f4f8p-11, 0x1.095405c6cb564p-11, 0x1.006bb8e1b4907p-11, 0x1.ef97f8c81103ep-12, 0x1.dee55006f47b7p-12, 0x1.cebb44edfa48dp-12, 0x1.bf15c23218612p-12, 0x1.aff0cf192da7fp-12, 0x1.a1488ec6243b6p-12, 0x1.93193f8a82e9bp-12, 0x1.855f3a39a756dp-12, 0x1.7816f1829fbd6p-12, 0x1.6b3cf14ad7011p-12, 0x1.5ecdde0e2d367p-12, 0x1.52c6744191ee8p-12, 0x1.472387b88cce5p-12, 0x1.3be20310bd531p-12, 0x1.30fee71d3774dp-12, 0x1.26774a581768ap-12, 0x1.1c485855a5c15p-12, 0x1.126f51398d2ffp-12, 0x1.08e989335032fp-12, 0x1.ff68cff1e89c6p-13, 0x1.ed9ad08e2d235p-13, 0x1.dc642ec843878p-13, 0x1.cbc0294a95054p-13, 0x1.bbaa21edf331bp-13, 0x1.ac1d9cd04b0afp-13, 0x1.9d163f6d2b81ep-13, 0x1.8e8fcfc29639ep-13, 0x1.80863374a0bf1p-13, 0x1.72f56ef834c9cp-13, 0x1.65d9a4c32a81bp-13, 0x1.592f14821c396p-13, 0x1.4cf21a4f45ad1p-13, 0x1.411f2df39e8dp-13, 0x1.35b2e227f4211p-13, 0x1.2aa9e3dcb4fe2p-13, 0x1.2000f9849650ep-13, 0x1.15b50265fb713p-13, 0x1.0bc2f5ee02febp-13, 0x1.0227e30924074p-13, 0x1.f1c1defe94fc6p-14, 0x1.dfd6aea7dea26p-14, 0x1.ce88d855e0eafp-14, 0x1.bdd3295f1e992p-14, 0x1.adb098000ebf8p-14, 0x1.9e1c423c243bbp-14, 0x1.8f116cbf2f43ap-14, 0x1.808b81cca7ad7p-14, 0x1.728610311ada3p-14, 0x1.64fcca3fd797ap-14, 0x1.57eb84cd69f47p-14, 0x1.4b4e363ba88eap-14, 0x1.3f20f58345ca7p-14, 0x1.335ff94a85969p-14, 0x1.280796f52c0a5p-14, 0x1.1d1441d0835d1p-14, 0x1.12828a2d53e95p-14, 0x1.084f1c8ed055cp-14, 0x1.fced81aa94a2ep-15, 0x1.e9ecb2f33558bp-15, 0x1.d795c582e1b99p-15, 0x1.c5e2e4005ec67p-15, 0x1.b4ce69b49863fp-15, 0x1.a452e12084b34p-15, 0x1.946b028813a78p-15, 0x1.8511b2ae77633p-15, 0x1.7642016f8514p-15, 0x1.67f7287d1fb43p-15, 0x1.5a2c8a1c59a85p-15, 0x1.4cddafec23ff7p-15, 0x1.400649b3ff04ep-15, 0x1.33a22c3c640c7p-15, 0x1.27ad502a3a305p-15, 0x1.1c23d0e821689p-15, 0x1.1101eb95afda6p-15, 0x1.0643fdf9e6c56p-15, 0x1.f7cd0b02ef661p-16, 0x1.e3cc3c793d489p-16, 0x1.d07f03e7fd312p-16, 0x1.bddf0e6457213p-16, 0x1.abe640b897259p-16, 0x1.9a8eb5a81d1dep-16, 0x1.89d2bc2bef7cbp-16, 0x1.79acd5cf5e1c9p-16, 0x1.6a17b511ba712p-16, 0x1.5b0e3bc910f73p-16, 0x1.4c8b79ab9e7d1p-16, 0x1.3e8aaabb39454p-16, 0x1.310735eed9fdbp-16, 0x1.23fcabb0c1c24p-16, 0x1.1766c4963e4f5p-16, 0x1.0b416001e5146p-16, 0x1.ff1105b5d5306p-17, 0x1.e870acbabd45fp-17, 0x1.d29a4d820a1fp-17, 0x1.bd86c46a79f27p-17, 0x1.a92f2f4e0a6b7p-17, 0x1.958ceb56937fdp-17, 0x1.829992e049ebbp-17, 0x1.704efb4c2add5p-17, 0x1.5ea7332379a7fp-17, 0x1.4d9c800a3b843p-17, 0x1.3d295ce075609p-17, 0x1.2d203d817728p-17, 0x1.1dcbf5a0ac593p-17, 0x1.0f000e436fcc2p-17, 0x1.00b7c115a154ap-17, 0x1.e5dce92de6282p-18, 0x1.cb3f751e17a26p-18, 0x1.b18e9d128ca7cp-18, 0x1.98c228aa52512p-18, 0x1.80d22d5adcd9p-18, 0x1.69b70b929bbfp-18, 0x1.53696c31f6bcap-18, 0x1.3de23db5474b7p-18, 0x1.291ab1e808ce2p-18, 0x1.150c3b98e2a04p-18, 0x1.01b08bfdff2fbp-18, 0x1.de03212b34c7cp-19, 0x1.b9f2e1df6deb9p-19, 0x1.9725191c87d99p-19, 0x1.758ef1ade9061p-19, 0x1.5525fe3afa40dp-19, 0x1.35e0355d293c7p-19, 0x1.17b3edeb5f1c9p-19, 0x1.f52fb71aa7374p-20, 0x1.bd0615e1a89c3p-20, 0x1.86d9bdad7ab0ap-20, 0x1.529a18e826658p-20, 0x1.203730f30f85fp-20, 0x1.df4350e4e7b21p-21, 0x1.819569aaedeeap-21, 0x1.27483312c5111p-21, 0x1.a08082d62c854p-22, 0x1.f18cc416a213bp-23, 0x1.5cbcc5235575ap-24, -0x1.11d7fad7d5952p-24, -0x1.b4b0992ff5609p-23, -0x1.6aa51a14014bcp-22, -0x1.f5881bb0f673dp-22, -0x1.3d95b53b056b8p-21, -0x1.7ddbc9b7c832ep-21, -0x1.bba9d54f798f8p-21, -0x1.f712ab5c546a1p-21, -0x1.181437fcef995p-20, -0x1.337e4ff06505cp-20, -0x1.4dd00b5d87f5dp-20, -0x1.67118aef37242p-20, -0x1.7f4aa52b3afb2p-20, -0x1.9682e94cde45cp-20, -0x1.acc1a2d54aca2p-20, -0x1.c20ddbbf28428p-20, -0x1.d66e5f69061dbp-20, -0x1.e9e9bcf82067ap-20, -0x1.fc864a2554477p-20, -0x1.072512b439117p-19, -0x1.0f9d9bf099273p-19, -0x1.17af9cc1fd4f3p-19, -0x1.1f5dd807ef1f9p-19, -0x1.26aaf9b3a86f7p-19, -0x1.2d9997679334fp-19, -0x1.342c316d225a5p-19, -0x1.3a65339c1442dp-19, -0x1.4046f637cb27ap-19, -0x1.45d3bec2705bdp-19, -0x1.4b0dc0c9b6736p-19, -0x1.4ff71eb91cdcep-19, -0x1.5491ea50342cbp-19, -0x1.58e025cc51af4p-19, -0x1.5ce3c4168ec62p-19, -0x1.609ea9cb52fd5p-19, -0x1.6412ada0e5d54p-19, -0x1.6741990b4a141p-19, -0x1.6a2d28cbff072p-19, -0x1.6cd70d7b548cp-19, -0x1.6f40ec0bd3021p-19, -0x1.716c5e5823d8cp-19, -0x1.735af3540a6e3p-19, -0x1.750e2fe3ba6c9p-19, -0x1.76878f24b4e83p-19, -0x1.77c882e248254p-19, -0x1.78d2737c8680fp-19, -0x1.79a6c104e55a1p-19, -0x1.7a46c30e67e35p-19, -0x1.7ab3c97d92b63p-19, -0x1.7aef1c736e0e9p-19, -0x1.7af9fca4a47b4p-19, -0x1.7ad5a3d24f1bp-19, -0x1.7a8344f5fd259p-19, -0x1.7a040c863220fp-19, -0x1.795920c9ac8d3p-19, -0x1.7883a1f87737fp-19, -0x1.7784aa8d6759bp-19, -0x1.765d4f6e8498dp-19, -0x1.750ea02834b25p-19, -0x1.7399a71bc1bb6p-19, -0x1.71ff69b02e1acp-19, -0x1.7040e882f1739p-19, -0x1.6e5f1f80617aep-19, -0x1.6c5b06265d3dbp-19, -0x1.6a358f72b00d9p-19, -0x1.67efaa95d1886p-19, -0x1.658a4284645c7p-19, -0x1.63063df2f30acp-19, -0x1.60648032d33e8p-19, -0x1.5da5e881a9b06p-19, -0x1.5acb52d58896bp-19, -0x1.57d59776abae7p-19, -0x1.54c58b521fccbp-19, -0x1.519c00080504cp-19, -0x1.4e59c3f8c42d4p-19, -0x1.4affa25cbb34ep-19, -0x1.478e6357fd459p-19, -0x1.4406cc0d83f16p-19, -0x1.40699eab9dd63p-19, -0x1.3cb79a7f55fa9p-19, -0x1.38f17c02461e7p-19, -0x1.3517fce81bcd7p-19, -0x1.312bd42d59eadp-19, -0x1.2d2db621390ccp-19, -0x1.291e5461c3f04p-19, -0x1.24fe5e297b438p-19, -0x1.20ce7ff70447bp-19, -0x1.1c8f63d68fb56p-19, -0x1.1841b15b52935p-19, -0x1.13e60db7b318bp-19, -0x1.0f7d1b6b871d6p-19, -0x1.0b077b097b88dp-19, -0x1.0685ca89385c5p-19, -0x1.01f8a59ebb57ap-19, -0x1.fac14b3d7c961p-20, -0x1.f17cc361a0611p-20, -0x1.e824dd192486bp-20, -0x1.debabdb71e705p-20, -0x1.d53f85ff859d7p-20, -0x1.cbb4524e89414p-20, -0x1.c21a3ad9bfa5dp-20, -0x1.b87252e49181ep-20, -0x1.aebda9fe894fbp-20, -0x1.a4fd4b3c634cap-20, -0x1.9b323d7486e76p-20, -0x1.915d8343a7f3bp-20, -0x1.87801b22b316cp-20, -0x1.7d9aff338c609p-20, -0x1.73af259b1e44dp-20, -0x1.69bd8051a5dc2p-20, -0x1.5fc6fd322b2d2p-20, -0x1.55cc85a4e7986p-20, -0x1.4bcf001a13398p-20, -0x1.41cf4ddfea562p-20, -0x1.37ce4c95c73ffp-20, -0x1.2dccd5e62f27bp-20, -0x1.23cbbf78d8995p-20, -0x1.19cbdaf9c5a3ep-20, -0x1.0fcdf6206f4d4p-20, -0x1.05d2dac52538cp-20, -0x1.f7b69dcdce215p-21, }}, 
      {{0x1.5014fd62c79cep-10, 0x1.49f4a5d6140d1p-8, 0x1.6918b9fd67345p-7, 0x1.35ec04183362ep-6, 0x1.d0b53c8c7f72p-6, 0x1.3f6d2905d1857p-5, 0x1.9d3d3ef80c6a6p-5, 0x1.ff0c77ea22a59p-5, 0x1.312f3e78d6487p-4, 0x1.62804f4e88769p-4, 0x1.9285ee00b227bp-4, 0x1.c071b26a700fcp-4, 0x1.eb98784486686p-4, 0x1.09b7e1d07ad4cp-3, 0x1.1bc53ee27bca2p-3, 0x1.2bcb230a40eap-3, 0x1.39abf1244b01dp-3, 0x1.455441597d77cp-3, 0x1.4eb98ad28da49p-3, 0x1.55d89d12545a6p-3, 0x1.5ab4faf7546dbp-3, 0x1.5d56be8778ecdp-3, 0x1.5dcb87541c787p-3, 0x1.5c24546569377p-3, 0x1.5873a8d7d8ef9p-3, 0x1.52d01c3d3828ep-3, 0x1.4b528fe585c2cp-3, 0x1.4212d5aaac532p-3, 0x1.372b7f47cbe7ap-3, 0x1.2ab797f8551abp-3, 0x1.1cd249a47172dp-3, 0x1.0d96c0292f073p-3, 0x1.fa405c2711e8p-4, 0x1.d7131624a9762p-4, 0x1.b1da8e0d710cdp-4, 0x1.8aca5250646bap-4, 0x1.621488e89d387p-4, 0x1.37e9d2357754ap-4, 0x1.0c7929917db1cp-4, 0x1.bfdf80912da91p-5, 0x1.64f1a03dc7589p-5, 0x1.087af61ba025ap-5, 0x1.559325214751cp-6, 0x1.309ddb0b4b898p-7, -0x1.3254857f95ddfp-9, -0x1.cb69dc4805df4p-7, -0x1.a573a01bafa32p-6, -0x1.328913dd9ca16p-5, -0x1.9212190361a9ap-5, -0x1.f122c29e785c3p-5, -0x1.27c668ac20369p-4, -0x1.5692c829b76cap-4, -0x1.84e2baff8af2cp-4, -0x1.b2a3ef11bf15ap-4, -0x1.df9c8797f4ba3p-4, -0x1.0604f5eb7fbd7p-3, -0x1.1bdd869cdfde5p-3, -0x1.31520abed9edcp-3, -0x1.465d25508fe74p-3, -0x1.5af9f44475e62p-3, -0x1.6f240cfc7944p-3, -0x1.82d78183bbc41p-3, -0x1.9610e629d2efap-3, -0x1.a8cd51eb7aa93p-3, -0x1.bb0a585ab039fp-3, -0x1.ccc5ff16384a5p-3, -0x1.ddfeb22703412p-3, -0x1.eeb339f096879p-3, -0x1.fee2b3c4ae38ep-3, -0x1.074646577cb64p-2, -0x1.0ed83eab0f0bbp-2, -0x1.162742f4ec518p-2, -0x1.1d3374d37adfap-2, -0x1.23fd15046b3acp-2, -0x1.2a8480ff900a8p-2, -0x1.30ca30b34d1edp-2, -0x1.36ceb463b3091p-2, -0x1.3c92b299a7cdcp-2, -0x1.4216e6136e8ccp-2, -0x1.475c1bbb8b51ep-2, -0x1.4c6330bb638acp-2, -0x1.512d10bed5cc8p-2, -0x1.55bab46e91bcp-2, -0x1.5a0d20144b5cdp-2, -0x1.5e25625345a92p-2, -0x1.620492e4caffap-2, -0x1.65abd15567f56p-2, -0x1.691c43cb22c6ep-2, -0x1.6c5715e04e3d3p-2, -0x1.6f5d7799e4724p-2, -0x1.72309c78be5dfp-2, -0x1.74d1ba9f246f3p-2, -0x1.77420a02759c4p-2, -0x1.7982c3a1f64d4p-2, -0x1.7b9520be53993p-2, -0x1.7d7a5a0f8dee6p-2, -0x1.7f33a6f8ebb6ap-2, -0x1.80c23cbce8e82p-2, -0x1.82274db61380bp-2, -0x1.8364089cca8aep-2, -0x1.847997e366d3ap-2, -0x1.856921315877p-2, -0x1.8633c5026c1d9p-2, -0x1.86da9e6a773eap-2, -0x1.875ec2f9309b9p-2, -0x1.87c142b700697p-2, -0x1.88032832d994ep-2, -0x1.8825789a0eba7p-2, -0x1.882933d4bf992p-2, -0x1.880f54a2f048cp-2, -0x1.87d7364f22389p-2, -0x1.87851aa3c9926p-2, -0x1.87184fce39ab6p-2, -0x1.8691b92b9a14ep-2, -0x1.85f2339c33782p-2, -0x1.853a95fa3f994p-2, -0x1.846bb198ffe38p-2, -0x1.838652bb3f232p-2, -0x1.828b40f3ad489p-2, -0x1.817b3f667ea06p-2, -0x1.80570ce9471f4p-2, -0x1.7f1f64034ade8p-2, -0x1.7dd4fad4b3b9dp-2, -0x1.7c7882edbffe3p-2, -0x1.7b0aa92005871p-2, -0x1.798c155350e31p-2, -0x1.77fd6a65d81aep-2, -0x1.765f461cf311cp-2, -0x1.74b24128c0c98p-2, -0x1.72f6ef3a8c3d2p-2, -0x1.712ddf2bad281p-2, -0x1.6f579b31452eap-2, -0x1.6d74a9186ffb8p-2, -0x1.6b858a866ca26p-2, -0x1.698abd388ac12p-2, -0x1.6784bb4058dbap-2, -0x1.6573fb3955926p-2, -0x1.6358f07660e8ap-2, -0x1.61340b261cb08p-2, -0x1.5f05b86e4bf3cp-2, -0x1.5cce627f21799p-2, -0x1.5a8e70a000e33p-2, -0x1.58464737b40e8p-2, -0x1.55f647d2434d5p-2, -0x1.539ed1269b794p-2, -0x1.51403f1df0ac3p-2, -0x1.4edaeade5f526p-2, -0x1.4c6f2ad9da119p-2, -0x1.49fd52e1e642dp-2, -0x1.4785b44027e03p-2, -0x1.45089dd34da16p-2, -0x1.42865c2f94494p-2, -0x1.3fff39c1de897p-2, -0x1.3d737ef425444p-2, -0x1.3ae372521206ep-2, -0x1.384f58ac88d6p-2, -0x1.35b7753b02fc7p-2, -0x1.331c09b9d1c33p-2, -0x1.307d568480862p-2, -0x1.2ddb9aabd9ad9p-2, -0x1.2b3714074d06p-2, -0x1.288fff41a8f17p-2, -0x1.25e697e16d41fp-2, -0x1.233b184d156abp-2, -0x1.208db9cbfd33p-2, -0x1.1ddeb4848c51fp-2, -0x1.1b2e3f7871f06p-2, -0x1.187c907fb7bd7p-2, -0x1.15c9dc4368618p-2, -0x1.131656387da0ep-2, -0x1.1062309b9e85fp-2, -0x1.0dad9c6e28b78p-2, -0x1.0af8c974cf4edp-2, -0x1.0843e6380a1d1p-2, -0x1.058f200657925p-2, -0x1.02daa2f859a25p-2, -0x1.002699f69db5ap-2, -0x1.fae65d81cade6p-3, -0x1.f58113ed53cf3p-3, -0x1.f01da641227bep-3, -0x1.eabc617511493p-3, -0x1.e55d907c5c12cp-3, -0x1.e0017c5a8c1bap-3, -0x1.daa86c37df2d8p-3, -0x1.d552a574bdb39p-3, -0x1.d0006bbbd807dp-3, -0x1.cab20112a1ef4p-3, -0x1.c567a5e7fb039p-3, -0x1.c0219920ee0d2p-3, -0x1.bae018238d749p-3, -0x1.b5a35edff9ffp-3, -0x1.b06ba7d7c0af9p-3, -0x1.ab392c23c1f2cp-3, -0x1.a60c2378dfa59p-3, -0x1.a0e4c42ba41bfp-3, -0x1.9bc3433332314p-3, -0x1.96a7d42ba89cep-3, -0x1.9192a9582f125p-3, -0x1.8c83f3a4d21fbp-3, -0x1.877be2a858e3ep-3, -0x1.827aa4a619e35p-3, -0x1.7d80668fece4p-3, -0x1.788d54082bbd7p-3, -0x1.73a19763dabd6p-3, -0x1.6ebd59acd9d92p-3, -0x1.69e0c2a42cbcbp-3, -0x1.650bf8c44036bp-3, -0x1.603f21433086p-3, -0x1.5b7a601501936p-3, -0x1.56bdd7edc4b36p-3, -0x1.5209aa43ae928p-3, -0x1.4d5df75110fbap-3, -0x1.48bade1644c94p-3, -0x1.44207c5b7ebaap-3, -0x1.3f8eeeb2a0c39p-3, -0x1.3b065078fe2b6p-3, -0x1.3686bbd92795cp-3, -0x1.321049ccc51eep-3, -0x1.2da3121e82f01p-3, -0x1.293f2b6c1675ep-3, -0x1.24e4ab2873155p-3, -0x1.2093a59e1dabp-3, -0x1.1c4ca03e57b9cp-3, -0x1.180ee05fb01fdp-3, -0x1.13dace3f1fb05p-3, -0x1.0fb0798bd7dbfp-3, -0x1.0b8ff0e2f566bp-3, -0x1.077941d2b8996p-3, -0x1.036c78de004d2p-3, -0x1.fed342fff8c1dp-4, -0x1.f6e18c60347ap-4, -0x1.ef03e0cc3e283p-4, -0x1.e73a513cef981p-4, -0x1.df84ecbd44d1ep-4, -0x1.d7e3c07386e6ap-4, -0x1.d056d7aa9829p-4, -0x1.c8de3bdb71a8bp-4, -0x1.c179f4b6b245p-4, -0x1.ba2a082e42dbbp-4, -0x1.b2ee7a7ef8b6p-4, -0x1.abc74e3a3efe7p-4, -0x1.a4b4844fa08cap-4, -0x1.9db61c1653732p-4, -0x1.96cc1356a5102p-4, -0x1.8ff6665340782p-4, -0x1.89350fd263496p-4, -0x1.82880926e8cd7p-4, -0x1.7bef4a3934e94p-4, -0x1.756ac98ff8e0cp-4, -0x1.6efa7c58d7e83p-4, -0x1.689e5670e6f1ap-4, -0x1.62564a6d08f0dp-4, -0x1.5c2249a22debp-4, -0x1.5602442d717b6p-4, -0x1.4ff628fc1c237p-4, -0x1.49fde5d388485p-4, -0x1.44196758f07ecp-4, -0x1.3e48991923cdcp-4, -0x1.388b659026c42p-4, -0x1.32e1b630bcfb3p-4, -0x1.2d4b736be34bcp-4, -0x1.27c884b8383ddp-4, -0x1.2258d09953c24p-4, -0x1.1cfc3ca71133fp-4, -0x1.17b2ad94cc268p-4, -0x1.127c07388d8d4p-4, -0x1.0d582c923070ap-4, -0x1.0846ffd277af2p-4, -0x1.0348626219034p-4, -0x1.fcb869d17af68p-5, -0x1.f304aea7ea32ap-5, -0x1.e97551bc40253p-5, -0x1.e00a102a977b4p-5, -0x1.d6c2a5c40660dp-5, -0x1.cd9ecd1c2883dp-5, -0x1.c49e3f968eb3fp-5, -0x1.bbc0b574114ebp-5, -0x1.b305e5e00a09dp-5, -0x1.aa6d86fd6d5fap-5, -0x1.a1f74df3c6134p-5, -0x1.99a2eefc0eed6p-5, -0x1.91701d6d694a7p-5, -0x1.895e8bc9b2efcp-5, -0x1.816debc9f25c6p-5, -0x1.799dee6a9d74p-5, -0x1.71ee43f7b867ep-5, -0x1.6a5e9c18c2a9ap-5, -0x1.62eea5dc83251p-5, -0x1.5b9e0fc49a125p-5, -0x1.546c87d0ef3e9p-5, -0x1.4d59bb8ae3d06p-5, -0x1.466558105b3bfp-5, -0x1.3f8f0a1e8c9f6p-5, -0x1.38d67e1ca1754p-5, -0x1.323b60261e71fp-5, -0x1.2bbd5c1517f3dp-5, -0x1.255c1d8c2c666p-5, -0x1.1f1750004f24bp-5, -0x1.18ee9ec251916p-5, -0x1.12e1b5083e165p-5, -0x1.0cf03df675ec5p-5, -0x1.0719e4a897a53p-5, -0x1.015e543a2d10bp-5, -0x1.f77a6f9e474bcp-6, -0x1.ec6c753813a1dp-6, -0x1.e1920fdc2c22ep-6, -0x1.d6ea9665e8cafp-6, -0x1.cc756000ba555p-6, -0x1.c231c436ea39bp-6, -0x1.b81f1affeefe9p-6, -0x1.ae3cbcce48eb5p-6, -0x1.a48a029cfcea5p-6, -0x1.9b0645fca03c4p-6, -0x1.91b0e11ff2e09p-6, -0x1.88892ee813403p-6, -0x1.7f8e8af04d387p-6, -0x1.76c0519979f69p-6, -0x1.6e1de014f6fa5p-6, -0x1.65a6946f3a941p-6, -0x1.5d59cd9a030e5p-6, -0x1.5536eb76148bep-6, -0x1.4d3d4edca8ca3p-6, -0x1.456c59a867f76p-6, -0x1.3dc36ebe0c62dp-6, -0x1.3641f2149ebc4p-6, -0x1.2ee748bd5bc5ep-6, -0x1.27b2d8eb2fc3fp-6, -0x1.20a409f9e971ep-6, -0x1.19ba4474f8dbdp-6, -0x1.12f4f21ded7a9p-6, -0x1.0c537df28e46dp-6, -0x1.05d554329e0f3p-6, -0x1.fef3c4caa6359p-7, -0x1.f2812ebce539p-7, -0x1.e651c686431edp-7, -0x1.da646f1cc0db4p-7, -0x1.ceb80e2a8c539p-7, -0x1.c34b8c15bc8b7p-7, -0x1.b81dd4079631ap-7, -0x1.ad2dd3f333f4bp-7, -0x1.a27a7c9ba7bbep-7, -0x1.9802c1998c533p-7, -0x1.8dc599601b3d9p-7, -0x1.83c1fd41c10cbp-7, -0x1.79f6e97427cccp-7, -0x1.70635d13d94adp-7, -0x1.67065a2762b14p-7, -0x1.5ddee5a201ebdp-7, -0x1.54ec0765e545ap-7, -0x1.4c2cca460e23ep-7, -0x1.43a03c07ba93cp-7, -0x1.3b456d637315cp-7, -0x1.331b7205aeff4p-7, -0x1.2b21608f25f71p-7, -0x1.23565294cae4ap-7, -0x1.1bb9649f5aa4bp-7, -0x1.1449b62aa6e84p-7, -0x1.0d0669a496104p-7, -0x1.05eea46bc6b62p-7, -0x1.fe031d9bdd9d1p-8, -0x1.f07ca80be8036p-8, -0x1.e348447377595p-8, -0x1.d66454ef91013p-8, -0x1.c9cf4168e74a4p-8, -0x1.bd87778e27f6cp-8, -0x1.b18b6acda02e8p-8, -0x1.a5d9944e8617bp-8, -0x1.9a7072e9d1d7fp-8, -0x1.8f4e8b22b0b0dp-8, -0x1.8472671e9ca1cp-8, -0x1.79da969d0e6cep-8, -0x1.6f85aeeee93dbp-8, -0x1.65724aed77691p-8, -0x1.5b9f0af1328a3p-8, -0x1.520a94c848a22p-8, -0x1.48b393acadcf8p-8, -0x1.3f98b83a1739ep-8, -0x1.36b8b863ad15bp-8, -0x1.2e124f697d0bap-8, -0x1.25a43dcdc147p-8, -0x1.1d6d4949e7e7p-8, -0x1.156c3cc37a115p-8, -0x1.0d9fe840d493ap-8, -0x1.060720ddb91c7p-8, -0x1.fd41817f77f9fp-9, -0x1.eed74e1544503p-9, -0x1.e0cd6fa917ec8p-9, -0x1.d321b834186b6p-9, -0x1.c5d203649cdb5p-9, -0x1.b8dc3685d8b26p-9, -0x1.ac3e4067d4737p-9, -0x1.9ff619471b747p-9, -0x1.9401c2b462526p-9, -0x1.885f477c1f53bp-9, -0x1.7d0cbb8e0342cp-9, -0x1.72083be47f3c2p-9, -0x1.674fee6c4b9cap-9, -0x1.5ce201ebb7c3cp-9, -0x1.52bcadea586a5p-9, -0x1.48de32983f2ffp-9, -0x1.3f44d8b592fcbp-9, -0x1.35eef179e1748p-9, -0x1.2cdad67bdec09p-9, -0x1.2406e9987e26ep-9, -0x1.1b7194da8afc4p-9, -0x1.13194a621f3ebp-9, -0x1.0afc844bfb3a1p-9, -0x1.0319c498f3b0ep-9, -0x1.f6df2a2a80fe5p-10, -0x1.e7f90e7f7813p-10, -0x1.d97e686253fc9p-10, -0x1.cb6c7906b65eap-10, -0x1.bdc090706decdp-10, -0x1.b0780d4172ae7p-10, -0x1.a3905c879c74bp-10, -0x1.9706f98a3789ap-10, -0x1.8ad96d9716c43p-10, -0x1.7f054fd00790ap-10, -0x1.738844f736a17p-10, -0x1.685fff3bcf2bcp-10, -0x1.5d8a3e0662f9p-10, -0x1.5304cdc4e6624p-10, -0x1.48cd87b68ba4fp-10, -0x1.3ee251b75e0a2p-10, -0x1.35411e0baca46p-10, -0x1.2be7eb2b666a7p-10, -0x1.22d4c38d31a38p-10, -0x1.1a05bd718354p-10, -0x1.1178faadc9ce2p-10, -0x1.092ca8773e501p-10, -0x1.011eff2e04a89p-10, -0x1.f29c845175ffp-11, -0x1.e3717efe899eep-11, -0x1.d4b99fad3a379p-11, -0x1.c671ac593ac8dp-11, -0x1.b8967f4820be6p-11, -0x1.ab2506a246fd7p-11, -0x1.9e1a440ce369ep-11, -0x1.91734c441bbefp-11, -0x1.852d46b72172p-11, -0x1.79456d24e38d9p-11, -0x1.6db90b39fb934p-11, -0x1.62857e2ff597dp-11, -0x1.57a8346de122bp-11, -0x1.4d1ead2a2328ap-11, -0x1.42e6780e36854p-11, -0x1.391d78257a84ap-11, -0x1.2f7c537b72ceep-11, -0x1.2625f08e360a1p-11, -0x1.1d181864409e7p-11, -0x1.1450a2be67b98p-11, -0x1.0bcd75cc9553ep-11, -0x1.038c85e152ep-11, -0x1.f717aa4fd3189p-12, -0x1.e792e6b68532ep-12, -0x1.d886faf9cd157p-12, -0x1.c9f03b1baf613p-12, -0x1.bbcb148ef3132p-12, -0x1.ae140dabefaf4p-12, -0x1.a0c7c5278bab4p-12, -0x1.93e2f18a7df3cp-12, -0x1.876260ac1a047p-12, -0x1.7b42f72e25436p-12, -0x1.6f81affabb484p-12, -0x1.641b9bc3e4bc4p-12, -0x1.590de085f63f5p-12, -0x1.4e55b90a096bbp-12, -0x1.43f0746c13cabp-12, -0x1.39db75a245a5fp-12, -0x1.301433057b1d7p-12, -0x1.269835de36b84p-12, -0x1.1d6519ef07477p-12, -0x1.14788d05351fp-12, -0x1.0bd04e8855619p-12, -0x1.036a2f0e5cde1p-12, -0x1.f6881fdccfd46p-13, -0x1.e6b7c5b09a088p-13, -0x1.d75f52d7c0633p-13, -0x1.c87ae9a6af1bdp-13, -0x1.ba06cabe1c77ap-13, -0x1.abff544632032p-13, -0x1.9e61012d49d36p-13, -0x1.9128686a7edcdp-13, -0x1.84523c44058fdp-13, -0x1.77db499780775p-13, -0x1.6bc077282a3bbp-13, -0x1.5ffec4ee67efbp-13, -0x1.54934b6c6a996p-13, -0x1.497b3b050cb03p-13, -0x1.3eb3db5623367p-13, -0x1.343a8a9746bc5p-13, -0x1.2a0cbcfbf6c63p-13, -0x1.2027fc14e8a11p-13, -0x1.1689e63aa584ap-13, -0x1.0d302df801faap-13, -0x1.04189976efdafp-13, -0x1.f68203ea1652cp-14, -0x1.e54ea6678b1c3p-14, -0x1.d49315e56259fp-14, -0x1.c44b70cfe5385p-14, -0x1.b473f77ec4721p-14, -0x1.a5090b3522bd8p-14, -0x1.96072d2603af3p-14, -0x1.876afd8217c9dp-14, -0x1.79313a88c98a5p-14, -0x1.6b56bf9ff384p-14, -0x1.5dd884717ca28p-14, -0x1.50b39c0c459eap-14, -0x1.43e5340d0cc7p-14, -0x1.376a93caea248p-14, -0x1.2b411b8a47a5p-14, -0x1.1f6643b1b8d14p-14, -0x1.13d79c0cb51d1p-14, -0x1.0892cb04dabcep-14, -0x1.fb2b19dcbef91p-15, -0x1.e5bb66a1dbd52p-15, -0x1.d0d2487205a9p-15, -0x1.bc6bb3184403p-15, -0x1.a883c0c558277p-15, -0x1.9516b0c9065fap-15, -0x1.8220e66210eep-15, -0x1.6f9ee78083915p-15, -0x1.5d8d5b9f07811p-15, -0x1.4be90aa5d48a1p-15, -0x1.3aaedbd1fc2e8p-15, -0x1.29dbd4a2a0dc7p-15, -0x1.196d17d25b7p-15, -0x1.095fe45652cb1p-15, -0x1.f36328c77578dp-16, -0x1.d4bf38fdf43c2p-16, -0x1.b6cf151d70c76p-16, -0x1.998e09f1642a5p-16, -0x1.7cf7938005155p-16, -0x1.61075b5b9c211p-16, -0x1.45b936faac336p-16, -0x1.2b09261e2f371p-16, -0x1.10f35135aa245p-16, -0x1.eee80fb90e2dep-17, -0x1.bd0f7ea883b97p-17, -0x1.8c56221677012p-17, -0x1.5cb5724fc59b1p-17, -0x1.2e272a45c4eb8p-17, -0x1.00a544b073da6p-17, -0x1.a853f2c52866cp-18, -0x1.515f751d2874bp-18, -0x1.f8c4c8767c667p-19, -0x1.52a4fd9628a67p-19, -0x1.6097a1a230b9p-20, -0x1.1a64adc3407f6p-23, 0x1.12bba78677ad9p-20, 0x1.20d21c426d57cp-19, 0x1.b4c7793e38298p-19, 0x1.22a71bec0b9cap-18, 0x1.693b078ff1355p-18, 0x1.ae2713c1f3718p-18, 0x1.f17290cfd23afp-18, 0x1.1992472ce5787p-17, 0x1.39a1ef273a24cp-17, 0x1.58eb8bd256011p-17, 0x1.77724c74e974cp-17, 0x1.95394550781eep-17, 0x1.b24370b3f5f48p-17, 0x1.ce93b00c78813p-17, 0x1.ea2cccdae8892p-17, 0x1.0288bccabaa4bp-16, 0x1.0fa229513b6bdp-16, 0x1.1c63ef92a9de8p-16, 0x1.28cf48f3ffcf4p-16, 0x1.34e5651a282c6p-16, 0x1.40a76a52c899dp-16, 0x1.4c1676047c3f1p-16, 0x1.57339d2098bcbp-16, 0x1.61ffec9574d5ep-16, 0x1.6c7c69afb26cfp-16, 0x1.76aa1295618cdp-16, 0x1.8089de9f906a1p-16, 0x1.8a1cbedcb5d54p-16, 0x1.93639e6bedfa4p-16, 0x1.9c5f62e573fe7p-16, 0x1.a510ecb6bbf7cp-16, 0x1.ad79178acd8e9p-16, 0x1.b598ba9ecb9b7p-16, 0x1.bd70a9191ef2dp-16, 0x1.c501b258afb99p-16, 0x1.cc4ca246cbfe4p-16, 0x1.d352419e23ed4p-16, 0x1.da135625e24fp-16, 0x1.e090a3011be75p-16, 0x1.e6cae8df95998p-16, 0x1.ecc2e636e5376p-16, 0x1.f279577683706p-16, 0x1.f7eef73a0fdd5p-16, 0x1.fd247e71f6d68p-16, 0x1.010d52480bf97p-15, 0x1.03690fd43b0a4p-15, 0x1.05a5d24eabf02p-15, 0x1.07c3f39adde38p-15, 0x1.09c3cd23ee29p-15, 0x1.0ba5b7e49be8bp-15, 0x1.0d6a0c79b9083p-15, }}, 
      {{-0x1.c28fbb12db9d4p-3, -0x1.b60852a10c6b3p-2, -0x1.3b35d98175e34p-1, -0x1.8f25d19321e47p-1, -0x1.d60271e90bf52p-1, -0x1.07e8ae777ba76p+0, -0x1.1e92b73aa7e65p+0, -0x1.2f74f83ecce3bp+0, -0x1.3b1e3588ca4bp+0, -0x1.4228b7ae6a9fdp+0, -0x1.4530ad9f1acedp+0, -0x1.44ce00208f89p+0, -0x1.418fded67054dp+0, -0x1.3bfac01265d81p+0, -0x1.34869402c1014p+0, -0x1.2b9ec1191b659p+0, -0x1.21a2102a6eb08p+0, -0x1.16e32f1f15b97p+0, -0x1.0ba97ea64c34cp+0, -0x1.003208637cc6ap+0, -0x1.e9608f87c1949p-1, -0x1.d29e798137252p-1, -0x1.bc6439b9cea14p-1, -0x1.a6eae1c1d03b8p-1, -0x1.92603843dbf22p-1, -0x1.7ee73231a8e8dp-1, -0x1.6c99b19ce4675p-1, -0x1.5b89dd48e11cp-1, -0x1.4bc36d6d014f7p-1, -0x1.3d4c6ea69a317p-1, -0x1.30260f7117308p-1, -0x1.244d79dafd6dp-1, -0x1.19bc93ee3f863p-1, -0x1.106a8d61a934p-1, -0x1.084c5ffd0d764p-1, -0x1.01554ba39af58p-1, -0x1.f6ee7aad62e9dp-2, -0x1.ed4644f5d053dp-2, -0x1.e59266c4b74a6p-2, -0x1.dfb2718fc2decp-2, -0x1.db859419614dp-2, -0x1.d8eb014140bc1p-2, -0x1.d7c23df39ab2cp-2, -0x1.d7eb5b9bac0f8p-2, -0x1.d947288e26b99p-2, -0x1.dbb75c4d48e13p-2, -0x1.df1ec00f5eda7p-2, -0x1.e3615080c317p-2, -0x1.e86454e8bbe25p-2, -0x1.ee0e6a849abd1p-2, -0x1.f44787e66146p-2, -0x1.faf8fe928f37p-2, -0x1.0106befa75453p-1, -0x1.04b88aa762f5cp-1, -0x1.08854969a1d98p-1, -0x1.0c6a71c5b42fcp-1, -0x1.105d534deba36p-1, -0x1.14568f4992a89p-1, -0x1.184f670750862p-1, -0x1.1c41b76c796c7p-1, -0x1.2027efc9dc3bfp-1, -0x1.23fd067fe8e8p-1, -0x1.27bc6e63d3ddbp-1, -0x1.2b620eadf8a6bp-1, -0x1.2eea3d8356ac8p-1, -0x1.3251bbebeb79ap-1, -0x1.3595b1bb818ecp-1, -0x1.38b3a8765f146p-1, -0x1.3ba9850cd7691p-1, -0x1.3e7580ea9389ep-1, -0x1.4116230d6ab7dp-1, -0x1.438a39af2fc8fp-1, -0x1.45d0d4b8210fcp-1, -0x1.47e940e0fdaa7p-1, -0x1.49d30343bdcdap-1, -0x1.4b8dd51be480fp-1, -0x1.4d199f9316e28p-1, -0x1.4e767795ed6b2p-1, -0x1.4fa499c103809p-1, -0x1.50a4667b9d068p-1, -0x1.51765e506c273p-1, -0x1.521b1e8c73f9cp-1, -0x1.52935e23ce69ap-1, -0x1.52dfead6046d9p-1, -0x1.5301a6883606ep-1, -0x1.52f984cb3e213p-1, -0x1.52c88886fb769p-1, -0x1.526fc1c8cb82dp-1, -0x1.51f04bb7a7d2bp-1, -0x1.514b4ab230515p-1, -0x1.5081ea99445bcp-1, -0x1.4f955d456053cp-1, -0x1.4e86d91fd22e7p-1, -0x1.4d5797d554f6dp-1, -0x1.4c08d51799fedp-1, -0x1.4a9bcd66f2575p-1, -0x1.4911bce36de94p-1, -0x1.476bde2b0e224p-1, -0x1.45ab694e9d791p-1, -0x1.43d192e70fbf3p-1, -0x1.41df8b52021e2p-1, -0x1.3fd67e169d91fp-1, -0x1.3db7916ece60ap-1, -0x1.3b83e5ed6c14p-1, -0x1.393c963957497p-1, -0x1.36e2b6d75540ep-1, -0x1.347755ff35273p-1, -0x1.31fb7b7b26f65p-1, -0x1.2f702890fff65p-1, -0x1.2cd657f49e2aep-1, -0x1.2a2e388ff61c2p-1, -0x1.277a41f207c01p-1, -0x1.24baa546b9dd2p-1, -0x1.21f0416141e13p-1, -0x1.1f1bed2bea9ep-1, -0x1.1c3e77f95ba99p-1, -0x1.1958a9e59e045p-1, -0x1.166b4439acf9fp-1, -0x1.137701c63fd3bp-1, -0x1.107c972da2306p-1, -0x1.0d7cb31848ad7p-1, -0x1.0a77fe539757fp-1, -0x1.076f1bdd9d51dp-1, -0x1.0462a8e2c4d7bp-1, -0x1.01533cb3ace35p-1, -0x1.fc82d172f7323p-2, -0x1.f65b70dc701a1p-2, -0x1.f03162bad989cp-2, -0x1.ea05a65f7febdp-2, -0x1.e3d92f851b8d1p-2, -0x1.ddace69658ca9p-2, -0x1.d781a908a42f5p-2, -0x1.d15849c6a1261p-2, -0x1.cb3191a4be3cbp-2, -0x1.c50e3fda2925ep-2, -0x1.beef0a78ab748p-2, -0x1.b8d49edecfaafp-2, -0x1.b2bfa220c039dp-2, -0x1.acb0b165a43ebp-2, -0x1.a6a862388cf3fp-2, -0x1.a0a742cd428c6p-2, -0x1.9aadda3a4bebap-2, -0x1.94bca8aa43334p-2, -0x1.8ed42786fb74ap-2, -0x1.88f4c9a12ae63p-2, -0x1.831efb57119d5p-2, -0x1.7d5322bc52d34p-2, -0x1.77919fc4a528fp-2, -0x1.71dacc7278ab3p-2, -0x1.6c2efd0a0641bp-2, -0x1.668e8048ba06p-2, -0x1.60f99fa066ee6p-2, -0x1.5b709f7545278p-2, -0x1.55f3bf5d8f2bp-2, -0x1.50833a615953ep-2, -0x1.4b1f47394dc6ap-2, -0x1.45c8188b0b2d7p-2, -0x1.407ddd221286fp-2, -0x1.3b40c024738fp-2, -0x1.3610e942a943ap-2, -0x1.30ee7ce262593p-2, -0x1.2bd99c4434bep-2, -0x1.26d265a47f06p-2, -0x1.21d8f457df8a5p-2, -0x1.1ced60e3e5b96p-2, -0x1.180fc114a6799p-2, -0x1.1340280ffd0d4p-2, -0x1.0e7ea6672efd2p-2, -0x1.09cb4a27b48b5p-2, -0x1.05261eebbc8b7p-2, -0x1.008f2deaf7799p-2, -0x1.f80cfc1810bf3p-3, -0x1.ef1827edcf3f9p-3, -0x1.e63fe450a24a5p-3, -0x1.dd84320c8bcbbp-3, -0x1.d4e50deb11ed3p-3, -0x1.cc6270dfe216cp-3, -0x1.c3fc50369391bp-3, -0x1.bbb29dc119368p-3, -0x1.b3854806404cap-3, -0x1.ab743a6fae1cp-3, -0x1.a37f5d76dbc5ep-3, -0x1.9ba696d08b91p-3, -0x1.93e9c996679e8p-3, -0x1.8c48d66e631e3p-3, -0x1.84c39bafc39d2p-3, -0x1.7d59f585ad7e8p-3, -0x1.760bbe0f2e56fp-3, -0x1.6ed8cd7ce7787p-3, -0x1.67c0fa2c6eacbp-3, -0x1.60c418c19ba5fp-3, -0x1.59e1fc3e033f9p-3, -0x1.531a7616d9b8fp-3, -0x1.4c6d56497c228p-3, -0x1.45da6b6ee050ap-3, -0x1.3f6182ce1bb65p-3, -0x1.3902686e35edbp-3, -0x1.32bce7276bep-3, -0x1.2c90c8b3f98b8p-3, -0x1.267dd5c0892ecp-3, -0x1.2083d5fc4e039p-3, -0x1.1aa29028d1919p-3, -0x1.14d9ca29755bap-3, -0x1.0f294912a9c8ap-3, -0x1.0990d138c7cf5p-3, -0x1.0410263e98d4ap-3, -0x1.fd4e1646e2efp-4, -0x1.f2aa84a1c9228p-4, -0x1.e8351b50097c5p-4, -0x1.dded5d1c4cb53p-4, -0x1.d3d2cbf25c8bbp-4, -0x1.c9e4e8f6b9676p-4, -0x1.c023349d32a87p-4, -0x1.b68d2ebe9c06ep-4, -0x1.ad2256ad7e944p-4, -0x1.a3e22b49f864cp-4, -0x1.9acc2b14c3d6p-4, -0x1.91dfd4417eba5p-4, -0x1.891ca4c838726p-4, -0x1.80821a7663ceep-4, -0x1.780fb2ff3179fp-4, -0x1.6fc4ec0b6615dp-4, -0x1.67a14056cfd91p-4, -0x1.5fa43caefc3d9p-4, -0x1.57cd50a577382p-4, -0x1.501bfa6885eefp-4, -0x1.488fb868a66b3p-4, -0x1.41280964d156cp-4, -0x1.39e46c767ad04p-4, -0x1.32c4611d549ddp-4, -0x1.2bc7674ad2462p-4, -0x1.24ecff6d6b319p-4, -0x1.1e34aa7b977a8p-4, -0x1.179de9fe84ca2p-4, -0x1.1128401c7d734p-4, -0x1.0ad32fa2f9e11p-4, -0x1.049e3c105d66dp-4, -0x1.fd11d33aa712dp-5, -0x1.f1257a8b9968fp-5, -0x1.e57679a32e5e7p-5, -0x1.da03ddb91dbd6p-5, -0x1.ceccb5bccb2c4p-5, -0x1.c3d01263fbf6ep-5, -0x1.b90d0638ba15ap-5, -0x1.ae82a5a65fe0bp-5, -0x1.a4300705d210cp-5, -0x1.9a1442a8e4e1bp-5, -0x1.902e72e4fc877p-5, -0x1.867db41ce29edp-5, -0x1.7d0124c9e1249p-5, -0x1.73b7e58420d5fp-5, -0x1.6aa1190a5e543p-5, -0x1.61bbe448f22cfp-5, -0x1.59076e603ae82p-5, -0x1.5082e0aa74b84p-5, -0x1.482d66c0fbfb9p-5, -0x1.40062e810d8f4p-5, -0x1.380c681007c41p-5, -0x1.303f45df3358cp-5, -0x1.289dfcaf1ceb3p-5, -0x1.2127c39284289p-5, -0x1.19dbd3f0e7101p-5, -0x1.12b96988af9f9p-5, -0x1.0bbfc271076cep-5, -0x1.04ee1f1b561a3p-5, -0x1.fc8784a8dfd7dp-6, -0x1.ef7fe28aed398p-6, -0x1.e2c3e6e8de80ap-6, -0x1.d6522589238efp-6, -0x1.ca2936eca44c3p-6, -0x1.be47b84e522bap-6, -0x1.b2ac4ba235669p-6, -0x1.a7559793f96ffp-6, -0x1.9c4247850985bp-6, -0x1.91710b8a28428p-6, -0x1.86e098689fbebp-6, -0x1.7c8fa792f7f3bp-6, -0x1.727cf72543928p-6, -0x1.68a749e0ff135p-6, -0x1.5f0d67288a708p-6, -0x1.55ae1afa3a084p-6, -0x1.4c8835eb05aep-6, -0x1.439a8d20dda9bp-6, -0x1.3ae3fa4c9bca2p-6, -0x1.32635ba39c82p-6, -0x1.2a1793d90cb8ep-6, -0x1.21ff8a16d680cp-6, -0x1.1a1a29f649895p-6, -0x1.12666378713e8p-6, -0x1.0ae32afe27599p-6, -0x1.038f793fdf5edp-6, -0x1.f8d4968a5d1cbp-7, -0x1.eae544b837118p-7, -0x1.dd4f0820579cfp-7, -0x1.d00ff4427a591p-7, -0x1.c32624f45e9eap-7, -0x1.b68fbe4e9a98cp-7, -0x1.aa4aec993e7eep-7, -0x1.9e55e437f21afp-7, -0x1.92aee195e10dap-7, -0x1.87542911540a1p-7, -0x1.7c4406e6fe116p-7, -0x1.717ccf1d0a598p-7, -0x1.66fcdd6dfa5a5p-7, -0x1.5cc2953333a24p-7, -0x1.52cc614f7cc77p-7, -0x1.4918b4192fc1bp-7, -0x1.3fa6074454575p-7, -0x1.3672dbcc8a209p-7, -0x1.2d7db9ded9c54p-7, -0x1.24c530c3654c8p-7, -0x1.1c47d6c6fcfa1p-7, -0x1.14044924a1e08p-7, -0x1.0bf92beef3e6cp-7, -0x1.042529f991731p-7, -0x1.f90de984d00d4p-8, -0x1.ea3a88b608928p-8, -0x1.dbcdaea39ac96p-8, -0x1.cdc4e536a2cf1p-8, -0x1.c01dc2f703c97p-8, -0x1.b2d5eaddf95bbp-8, -0x1.a5eb0c28a721cp-8, -0x1.995ae22ac9f34p-8, -0x1.8d2334216da73p-8, -0x1.8141d505cc7fep-8, -0x1.75b4a36049e4cp-8, -0x1.6a79891b898a4p-8, -0x1.5f8e7b57cb47p-8, -0x1.54f17a3e49724p-8, -0x1.4aa090d4f73d9p-8, -0x1.4099d4d257d3ap-8, -0x1.36db66719b458p-8, -0x1.2d637046fa3c8p-8, -0x1.24302714592acp-8, -0x1.1b3fc99e225f3p-8, -0x1.1290a0807129dp-8, -0x1.0a20fe049abb9p-8, -0x1.01ef3df6efe11p-8, -0x1.f3f38af9b5027p-9, -0x1.e47e05d6ba1dbp-9, -0x1.d57adb3ba7b0ap-9, -0x1.c6e70b9a540dep-9, -0x1.b8bfa8cec46dfp-9, -0x1.ab01d5cef094ep-9, -0x1.9daac65b79a8ep-9, -0x1.90b7beb1137dcp-9, -0x1.8426133a9fc4dp-9, -0x1.77f3284452f2fp-9, -0x1.6c1c71af96ddbp-9, -0x1.609f72a7b6514p-9, -0x1.5579bd5792ed3p-9, -0x1.4aa8f29ffc021p-9, -0x1.402ac1cf2e1b6p-9, -0x1.35fce859019ep-9, -0x1.2c1d31901fbbap-9, -0x1.228976600b11fp-9, -0x1.193f9d0823ed6p-9, -0x1.103d98d78ae8cp-9, -0x1.078169e9fea12p-9, -0x1.fe1239cb2f8cbp-10, -0x1.eda5957306206p-10, -0x1.ddb930bb211d7p-10, -0x1.ce496d25afe74p-10, -0x1.bf52c34a5029dp-10, -0x1.b0d1c25b19113p-10, -0x1.a2c30fab0ecaap-10, -0x1.95236636e99f7p-10, -0x1.87ef962f8105fp-10, -0x1.7b24848619b54p-10, -0x1.6ebf2a7a64117p-10, -0x1.62bc952ab32bep-10, -0x1.5719e525c5b65p-10, -0x1.4bd44dfe42ae9p-10, -0x1.40e915e044f66p-10, -0x1.365595289743bp-10, -0x1.2c1735fdc8f16p-10, -0x1.222b73eaf7a9ep-10, -0x1.188fdb7c646f5p-10, -0x1.0f4209ddcf81p-10, -0x1.063fac7a933c8p-10, -0x1.fb0d013ec9f5bp-11, -0x1.ea28a63bc873ep-11, -0x1.d9cdffe3a18bp-11, -0x1.c9f8e3cfe238p-11, -0x1.baa5448d4bcffp-11, -0x1.abcf30f02117dp-11, -0x1.9d72d36c2f067p-11, -0x1.8f8c716f3e84p-11, -0x1.82186abfcdaabp-11, -0x1.751338ddab5c4p-11, -0x1.68796e66e2e6dp-11, -0x1.5c47b67ef074ap-11, -0x1.507ad43977b9bp-11, -0x1.450fa207b1fc8p-11, -0x1.3a031128dbc28p-11, -0x1.2f52291da50d4p-11, -0x1.24fa071e76abep-11, -0x1.1af7dd941a033p-11, -0x1.1148f39483db4p-11, -0x1.07eaa4604b366p-11, -0x1.fdb4bdc8e23b8p-12, -0x1.ec2b4a7c101fdp-12, -0x1.db3418814601dp-12, -0x1.caca75fe6c42p-12, -0x1.bae9d4aeae589p-12, -0x1.ab8dc8fe2b917p-12, -0x1.9cb2092a1723ep-12, -0x1.8e526c64b6a16p-12, -0x1.806aea006abbcp-12, -0x1.72f7989b5284bp-12, -0x1.65f4ad523810fp-12, -0x1.595e7af65316cp-12, -0x1.4d31714771e61p-12, -0x1.416a1c320705fp-12, -0x1.3605231110a8cp-12, -0x1.2aff47f445999p-12, -0x1.205566e90a2e9p-12, -0x1.16047547bd9edp-12, -0x1.0c09810516536p-12, -0x1.0261b0059625cp-12, -0x1.f2147eea81e1ap-13, -0x1.e0010646f2299p-13, -0x1.ce83c9c1b0dfp-13, -0x1.bd97c7c1f7e1ap-13, -0x1.ad3828400cafbp-13, -0x1.9d603b9448b26p-13, -0x1.8e0b794ef2beap-13, -0x1.7f357f152fed6p-13, -0x1.70da0f84c2721p-13, -0x1.62f5111d866a7p-13, -0x1.55828d30cee23p-13, -0x1.487eaed91fd9bp-13, -0x1.3be5c1f40cd61p-13, -0x1.2fb4322686148p-13, -0x1.23e689e3f736fp-13, -0x1.1879717c72fbbp-13, -0x1.0d69ae327deb3p-13, -0x1.02b4215226498p-13, -0x1.f0ab8ea74e961p-14, -0x1.dc976dffc8867p-14, -0x1.c92641380ec6ap-14, -0x1.b6529a357c0a1p-14, -0x1.a4173aa55d0edp-14, -0x1.926f1275bc44ep-14, -0x1.81553e585a57p-14, -0x1.70c506515f5ccp-14, -0x1.60e9ddcdceadfp-14, -0x1.5158e33efea28p-14, -0x1.4244ec520eda3p-14, -0x1.33a9d73237bccp-14, -0x1.2583a6f14cbbfp-14, -0x1.17ce825b3e571p-14, -0x1.0a86b2d091627p-14, -0x1.fb5146506afd3p-15, -0x1.e261bd3754fc3p-15, -0x1.ca381f6eb9591p-15, -0x1.b2cdfeab14c33p-15, -0x1.9c1d2737f4ab8p-15, -0x1.861f9e0cc9532p-15, -0x1.70cf9ee616e7bp-15, -0x1.5c279a7146ad6p-15, -0x1.482234835a9fcp-15, -0x1.34ba425da3058p-15, -0x1.21eac8fe71ab4p-15, -0x1.0faefb7e1897ep-15, -0x1.fc0472f419226p-16, -0x1.d9c01b0e8a9efp-16, -0x1.b8885767da864p-16, -0x1.9854e02c7f9f1p-16, -0x1.791dbabc7e9c4p-16, -0x1.5adb36f675aefp-16, -0x1.3d85ec8ce41c6p-16, -0x1.2116b8730840ap-16, -0x1.0586ba61c8022p-16, -0x1.d59ea4cf9a52bp-17, -0x1.a1d43d24927ep-17, -0x1.6fa1f14385316p-17, -0x1.3efbe7c78d208p-17, -0x1.0fd6b60a6ed9ap-17, -0x1.c44eb817da414p-18, -0x1.6bc680e3ed101p-18, -0x1.1600594aac5f2p-18, -0x1.85d12470ae1aep-19, -0x1.c9b0cd88d6309p-20, -0x1.23c7a29de75e3p-21, 0x1.381653a68774ap-21, 0x1.c06017c6d4ea1p-20, 0x1.6dae3df45ac57p-19, 0x1.f69fc0c937d3ap-19, 0x1.3d9184f2d9c26p-18, 0x1.7daabcf0c898p-18, 0x1.bba9b3eb2e328p-18, 0x1.f79c15b8fa815p-18, 0x1.18c789f5f5c0dp-17, 0x1.34c7b54a23816p-17, 0x1.4fd4b28f88844p-17, 0x1.69f47170b8fcap-17, 0x1.832cadd19eb4dp-17, 0x1.9b82f1e8a7a8fp-17, 0x1.b2fc98516e9fcp-17, 0x1.c99ece228dd58p-17, 0x1.df6e94a7de6f9p-17, 0x1.f470c361b9936p-17, 0x1.045504e05464ap-16, 0x1.0e0f786b907c7p-16, 0x1.1769ee80cae9dp-16, 0x1.206687bbf810fp-16, 0x1.290753ea72706p-16, 0x1.314e52c6249bp-16, 0x1.393d74a7eaffap-16, 0x1.40d69b2e1e39dp-16, 0x1.481b99ee324bbp-16, 0x1.4f0e370861789p-16, 0x1.55b02bc4c39cap-16, 0x1.5c032522abfep-16, 0x1.6208c4652767cp-16, 0x1.67c29f9844e06p-16, 0x1.6d324210a3483p-16, 0x1.72592ce67b2a2p-16, 0x1.7738d76a182a7p-16, 0x1.7bd2af93ee5c5p-16, 0x1.80281a6c38193p-16, 0x1.843a747925ab1p-16, 0x1.880b121bac214p-16, 0x1.8b9b3fe2c005dp-16, 0x1.8eec42f5b1c51p-16, 0x1.91ff595b8be13p-16, 0x1.94d5ba55d6a3bp-16, 0x1.977096a38487p-16, 0x1.99d118ceb8727p-16, 0x1.9bf865738790ap-16, 0x1.9de79b7ff79bp-16, 0x1.9f9fd4757a542p-16, 0x1.a12224a562c7ep-16, 0x1.a26f9b67fdd93p-16, 0x1.a38943574ae9fp-16, 0x1.a4702280bcc12p-16, 0x1.a5253a977cde1p-16, 0x1.a5a98925cc89p-16, 0x1.a5fe07b9a4d55p-16, 0x1.a623ac1174302p-16, 0x1.a61b6842e7e94p-16, 0x1.a5e62ae7b6013p-16, 0x1.a584df3bcd567p-16, 0x1.a4f86d52d7cbap-16, 0x1.a441ba238c6f6p-16, 0x1.a361a7b6b3442p-16, 0x1.a2591547285c5p-16, 0x1.a128df5211a65p-16, 0x1.9fd1dfc3ea4cep-16, 0x1.9e54ee050e529p-16, 0x1.9cb2df1554899p-16, 0x1.9aec85a2b95fbp-16, 0x1.9902b21ac7a1ep-16, 0x1.96f632bd40762p-16, 0x1.94c7d3a9c2df1p-16, 0x1.92785ef204be5p-16, 0x1.90089ca0ecd7cp-16, 0x1.8d7952c7b2dd3p-16, 0x1.8acb4586339d7p-16, 0x1.87ff3712ee033p-16, 0x1.8515e7c021166p-16, 0x1.8210160372832p-16, 0x1.7eee7e78c20edp-16, 0x1.7bb1dbe8bab2bp-16, 0x1.785ae74ba1be5p-16, 0x1.74ea57ca7d8edp-16, 0x1.7160e2c64983p-16, 0x1.6dbf3bdb7f068p-16, 0x1.6a0614dbfb5c8p-16, 0x1.66361de3e1936p-16, 0x1.6250054bdbf26p-16, 0x1.5e5477b94b497p-16, 0x1.5a442017a5fc4p-16, 0x1.561fa7a0ac7cfp-16, 0x1.51e7b5dd54ecdp-16, 0x1.4d9cf0aad944p-16, 0x1.493ffc3c67a9fp-16, 0x1.44d17b1c78bb2p-16, 0x1.40520e34c8355p-16, 0x1.3bc254bfe1876p-16, 0x1.3722ec5fb9529p-16, 0x1.3274711267824p-16, 0x1.2db77d347402p-16, 0x1.28eca984761efp-16, 0x1.24148d211d91dp-16, 0x1.1f2fbd864e768p-16, 0x1.1a3ece94a3131p-16, 0x1.1542528a25dfcp-16, 0x1.103ada04b4934p-16, 0x1.0b28f3fd2242ap-16, 0x1.060d2dd340902p-16, 0x1.00e813392a64p-16, 0x1.f7745c7e77a0fp-17, 0x1.ed080ea21f8b1p-17, 0x1.e28c4a630606p-17, 0x1.d80219f4802ap-17, 0x1.cd6a843714032p-17, 0x1.c2c68cb30416fp-17, 0x1.b8173399c618p-17, }}, 
      {{0x1.052fd72d9fb63p-1, 0x1.33adc038dbc3bp-1, 0x1.70158edb7968p-1, 0x1.b16abc986034ep-1, 0x1.f1c02a9a6dbb5p-1, 0x1.16abf57ba0b82p+0, 0x1.3100025b23518p+0, 0x1.474e6ac59f95dp+0, 0x1.59697fc985b1p+0, 0x1.676424edcb0d9p+0, 0x1.717ae1fe1bd62p+0, 0x1.78035310923ddp+0, 0x1.7b6069cc722e7p+0, 0x1.7bfa1a3108b24p+0, 0x1.7a37c2c799072p+0, 0x1.767c6c8afcdf2p+0, 0x1.7124725de3982p+0, 0x1.6a843ad2a3bcap+0, 0x1.62e7960f25cefp+0, 0x1.5a919bb10d2a3p+0, 0x1.51bcd9c5d2c5ep+0, 0x1.489bf1927f27fp+0, 0x1.3f59f255eb129p+0, 0x1.361b14efe5ae3p+0, 0x1.2cfd814e842f4p+0, 0x1.241996377c48cp+0, 0x1.1b82b01387e9cp+0, 0x1.1348614a587fbp+0, 0x1.0b7602be22a63p+0, 0x1.0413c142ebe6p+0, 0x1.fa4e056aaee17p-1, 0x1.ed6594b94e46bp-1, 0x1.e170223bf1878p-1, 0x1.d66c372205a85p-1, 0x1.cc55911c529d3p-1, 0x1.c325a6d9adf2cp-1, 0x1.bad419fbdb654p-1, 0x1.b3571ce5f18dap-1, 0x1.aca3cbb081017p-1, 0x1.a6ae78f30921dp-1, 0x1.a16af0e8d651p-1, 0x1.9cccb28d0d5e8p-1, 0x1.98c71dcd5a948p-1, 0x1.954d98f64ad08p-1, 0x1.9253b09dd304fp-1, 0x1.8fcd33afada88p-1, 0x1.8dae4bb932068p-1, 0x1.8beb91228574fp-1, 0x1.8a7a1aea8e19ep-1, 0x1.894f8972d78afp-1, 0x1.88620c4525a1p-1, 0x1.87a863ad6f036p-1, 0x1.8719e013709e4p-1, 0x1.86ae613e8245bp-1, 0x1.865cb52ec252cp-1, 0x1.8620a903f0822p-1, 0x1.85f2a4229a402p-1, 0x1.85ccd114179ddp-1, 0x1.85a9dad6c08b9p-1, 0x1.8584e652398c1p-1, 0x1.85598e349d8b6p-1, 0x1.8523dfc3167ccp-1, 0x1.84e057246ed51p-1, 0x1.848bda5bf7212p-1, 0x1.8423b2ff58df3p-1, 0x1.83a58740c0b96p-1, 0x1.830f530678e7ap-1, 0x1.825f618e52355p-1, 0x1.819447becf177p-1, 0x1.80acdf00a304fp-1, 0x1.7fa84061cc233p-1, 0x1.7e85bfd22da14p-1, 0x1.7d44e769764bbp-1, 0x1.7be572c1835b8p-1, 0x1.7a674a7c2dcb4p-1, 0x1.78ca800812e9p-1, 0x1.770f49ac7833cp-1, 0x1.7535fed8c3992p-1, 0x1.733f14ad58088p-1, 0x1.712b1ab3f033ep-1, 0x1.6efab7c33224dp-1, 0x1.6caea7105c882p-1, 0x1.6a47b57604398p-1, 0x1.67c6bef56ae23p-1, 0x1.652cac72108dbp-1, 0x1.627a71a0aa702p-1, 0x1.5fb10b1fa1bb9p-1, 0x1.5cd17cb147ddap-1, 0x1.59dccf9569216p-1, 0x1.56d4110500eb3p-1, 0x1.53b850d431f1p-1, 0x1.508aa03b7ab57p-1, 0x1.4d4c10c34eaddp-1, 0x1.49fdb3488652cp-1, 0x1.46a0970f51c7ep-1, 0x1.4335c8de3f412p-1, 0x1.3fbe52219ed0ep-1, 0x1.3c3b381dc7945p-1, 0x1.38ad7b398c398p-1, 0x1.351616685b515p-1, 0x1.3175feb645dc3p-1, 0x1.2dce22f205436p-1, 0x1.2a1f6b6d10328p-1, 0x1.266ab9c945dabp-1, 0x1.22b0e8ce9371bp-1, 0x1.1ef2cc4754d81p-1, 0x1.1b3130e5ea9a9p-1, 0x1.176cdc375f1f8p-1, 0x1.13a68ca5a7042p-1, 0x1.0fdef988d0b25p-1, 0x1.0c166686a74aep-1, 0x1.084e6037fc29dp-1, 0x1.04871a343d5bbp-1, 0x1.00c12f605ab34p-1, 0x1.f9fa670ca71eep-2, 0x1.f277672a1a3dp-2, 0x1.eafa6bcadb042p-2, 0x1.e38474fd515e1p-2, 0x1.dc1676a93aac4p-2, 0x1.d4b158f98af12p-2, 0x1.cd55f8b05712p-2, 0x1.c6052765991a5p-2, 0x1.bebfabb4c04b3p-2, 0x1.b786415f1d07fp-2, 0x1.b0599969ff7e2p-2, 0x1.a93a5a3f112b2p-2, 0x1.a2291fd44ffe2p-2, 0x1.9b267bdf6658dp-2, 0x1.9432f61659b47p-2, 0x1.8d4f0c7dd021cp-2, 0x1.867b33c3a9623p-2, 0x1.7fb7d7a38998p-2, 0x1.79055b521ab7ep-2, 0x1.726419eb6d8b3p-2, 0x1.6bd466e0e3f31p-2, 0x1.65568e635f796p-2, 0x1.5eead5c7165d2p-2, 0x1.58917bdf3882ep-2, 0x1.524ab9505febep-2, 0x1.4c16c0d9aecc7p-2, 0x1.45f5bf951c8dcp-2, 0x1.3fe7dd301d3e3p-2, 0x1.39ed3c1e1630ap-2, 0x1.3405f9c65f137p-2, 0x1.2e322eaf7d9f4p-2, 0x1.2871eea947ccfp-2, 0x1.22c548f744efp-2, 0x1.1d2c487c65677p-2, 0x1.17a6f3e8c54a9p-2, 0x1.12354de9cd7fap-2, 0x1.0cd7555ca0052p-2, 0x1.078d0582744e7p-2, 0x1.02565636327d3p-2, 0x1.fa66784509d3bp-3, 0x1.f04751eeddedap-3, 0x1.e64f173d0818ap-3, 0x1.dc7da0d9e0ee6p-3, 0x1.d2d2c2a54a40bp-3, 0x1.c94e4c0c4fc64p-3, 0x1.bff0085979bb6p-3, 0x1.b6b7befd8b174p-3, 0x1.ada533d0d129p-3, 0x1.a4b8274d6b86ap-3, 0x1.9bf056c31f328p-3, 0x1.934d7c8597e88p-3, 0x1.8acf5015f53b5p-3, 0x1.82758648a1b7bp-3, 0x1.7a3fd1687161p-3, 0x1.722de157f09ffp-3, 0x1.6a3f63b1aed43p-3, 0x1.627403e841a5dp-3, 0x1.5acb6b667a7b2p-3, 0x1.534541b02fb37p-3, 0x1.4be12c83bcd83p-3, 0x1.449ecffc4edf7p-3, 0x1.3d7dceb4d0852p-3, 0x1.367dc9eb3e6ffp-3, 0x1.2f9e61a4193dap-3, 0x1.28df34cd9ca0cp-3, 0x1.223fe1624f5e4p-3, 0x1.1bc0048aa86fcp-3, 0x1.155f3abd5a761p-3, 0x1.0f1d1fde1c24dp-3, 0x1.08f94f5aa2e26p-3, 0x1.02f36445bc425p-3, 0x1.fa15f2e0cf227p-4, 0x1.ee7f5301f5c2p-4, 0x1.e3221e10b7012p-4, 0x1.d7fd892ad4d41p-4, 0x1.cd10c98d8520dp-4, 0x1.c25b14b5ef54dp-4, 0x1.b7dba07f02ebdp-4, 0x1.ad91a33d096c3p-4, 0x1.a37c53d72fa8ap-4, 0x1.999ae9df76ddfp-4, 0x1.8fec9da931eb6p-4, 0x1.8670a85e5968cp-4, 0x1.7d264413daab3p-4, 0x1.740cabdd075e3p-4, 0x1.6b231bde3e252p-4, 0x1.6268d15edc472p-4, 0x1.59dd0ada826c6p-4, 0x1.517f0811b31d3p-4, 0x1.494e0a19c7224p-4, 0x1.4149536c384edp-4, 0x1.397027f53a9c5p-4, 0x1.31c1cd219d9cbp-4, 0x1.2a3d89ebebe16p-4, 0x1.22e2a6e8c479ap-4, 0x1.1bb06e5263442p-4, 0x1.14a62c1355182p-4, 0x1.0dc32dd05602p-4, 0x1.0706c2f15588fp-4, 0x1.00703ca9a96ddp-4, 0x1.f3fddbfee2038p-5, 0x1.e76457a46524ap-5, 0x1.db1299c18258ep-5, 0x1.cf07539ce811cp-5, 0x1.c3413a4f8163ep-5, 0x1.b7bf06cc89d0dp-5, 0x1.ac7f75e89e74ap-5, 0x1.a181485fe8654p-5, 0x1.96c32956dabdp-5, 0x1.8c44175382281p-5, 0x1.8202c0c5c56ep-5, 0x1.77fdf663a54cbp-5, 0x1.6e348ce022696p-5, 0x1.64a55cebff88cp-5, 0x1.5b4f433622aa5p-5, 0x1.5231206b97253p-5, 0x1.4949d93738289p-5, 0x1.40985640ff675p-5, 0x1.381b842cf8fd1p-5, 0x1.2fd25399db24dp-5, 0x1.27bbb91f3a5c7p-5, 0x1.1fd6ad4b59f67p-5, 0x1.18222ca0942c2p-5, 0x1.109d37925847ep-5, 0x1.0946d281b50e4p-5, 0x1.021e05b978e4cp-5, 0x1.f643bad3b99e3p-6, 0x1.e8a2d3477b8ddp-6, 0x1.db577ca6cdc9dp-6, 0x1.ce5fe675d3c96p-6, 0x1.c1ba47d81c35cp-6, 0x1.b564df83a34a1p-6, 0x1.a95df3b313aefp-6, 0x1.9da3d21740e6p-6, 0x1.9234cfc7ec282p-6, 0x1.870f4933e3e5ap-6, 0x1.7c31a2107bcc4p-6, 0x1.719a454879792p-6, 0x1.6747a4ea795a1p-6, 0x1.5d383a16db3bp-6, 0x1.536a84ed4274fp-6, 0x1.49dd0c79b44cfp-6, 0x1.408e5ea165665p-6, 0x1.377d100f36fcfp-6, 0x1.2ea7bc1ffdfp-6, 0x1.260d04ce890f8p-6, 0x1.1dab929f8386ep-6, 0x1.1582148d2c5a6p-6, 0x1.0d8f3ff2f272ep-6, 0x1.05d1d078f8091p-6, 0x1.fc910fff08f0ep-7, 0x1.ede45d14d2d01p-7, 0x1.df9b2458c1d38p-7, 0x1.d1b30de4ca88cp-7, 0x1.c429cd9e0bd97p-7, 0x1.b6fd230b8b4a3p-7, 0x1.aa2ad92ceb97cp-7, 0x1.9db0c6513ca9ap-7, 0x1.918ccbedd125ap-7, 0x1.85bcd6753fa49p-7, 0x1.7a3edd2e66b76p-7, 0x1.6f10e20ba0c65p-7, 0x1.6430f1820e742p-7, 0x1.599d22610e0b3p-7, 0x1.4f5395a9d348ep-7, 0x1.455276672d763p-7, 0x1.3b97f9857da3p-7, 0x1.32225daadac19p-7, 0x1.28efeb0f6cee7p-7, 0x1.1ffef355fec2dp-7, 0x1.174dd164c97aep-7, 0x1.0edae93e8221dp-7, 0x1.06a4a7dba3f6p-7, 0x1.fd53060801378p-8, 0x1.edcff2512ec5p-8, 0x1.debd227b6ed27p-8, 0x1.d017b52ad9d47p-8, 0x1.c1dcd9748007dp-8, 0x1.b409ce9486e2fp-8, 0x1.a69be3a4f35b2p-8, 0x1.9990775521d54p-8, 0x1.8ce4f7a1ef6aep-8, 0x1.8096e18e99dc4p-8, 0x1.74a3c0de5ca9dp-8, 0x1.69092fcec6d2bp-8, 0x1.5dc4d6d2d62c3p-8, 0x1.52d46c4ed8096p-8, 0x1.4835b4550cf27p-8, 0x1.3de680631676p-8, 0x1.33e4af203303dp-8, 0x1.2a2e2c1c40c8cp-8, 0x1.20c0ef8f9a1f1p-8, 0x1.179afe1bb35e5p-8, 0x1.0eba688c96307p-8, 0x1.061d4b9b26283p-8, 0x1.fb839f6079e78p-9, 0x1.eb4c51512ae2fp-9, 0x1.db912b3317b08p-9, 0x1.cc4ec12d65e73p-9, 0x1.bd81bcf06c035p-9, 0x1.af26dd442bab9p-9, 0x1.a13af59860299p-9, 0x1.93baed96424b7p-9, 0x1.86a3c0b3dfe84p-9, 0x1.79f27dc9256d1p-9, 0x1.6da446a67b0cbp-9, 0x1.61b64fad0a665p-9, 0x1.5625df689c4f8p-9, 0x1.4af04e2b1a043p-9, 0x1.401305a9a0d8fp-9, 0x1.358b809b3562p-9, 0x1.2b574a5906dcfp-9, 0x1.2173fe80487c5p-9, 0x1.17df4895a9091p-9, 0x1.0e96e3aa362ddp-9, 0x1.05989a01f76c5p-9, 0x1.f9c48977e979ep-10, 0x1.e8e396f79e423p-10, 0x1.d88a4829b126ep-10, 0x1.c8b4a46d6430cp-10, 0x1.b95ece36bcf4cp-10, 0x1.aa85026da4496p-10, 0x1.9c2397d00b79ep-10, 0x1.8e36fe56c4c73p-10, 0x1.80bbbe9d68283p-10, 0x1.73ae794d041cap-10, 0x1.670be6898f509p-10, 0x1.5ad0d5623a961p-10, 0x1.4efa2b44774c9p-10, 0x1.4384e371b8f7cp-10, 0x1.386e0e77f4458p-10, 0x1.2db2d1acc07dep-10, 0x1.235066ab221fp-10, 0x1.19441ad3e4be1p-10, 0x1.0f8b4ed09f351p-10, 0x1.062376192a261p-10, 0x1.fa142cf75f221p-11, 0x1.e8798f4e56caep-11, 0x1.d7726570b4f52p-11, 0x1.c6fa239238683p-11, 0x1.b70c5f0472693p-11, 0x1.a7a4cd5ee7f59p-11, 0x1.98bf43abe4c71p-11, 0x1.8a57b599f5183p-11, 0x1.7c6a34b1afea5p-11, 0x1.6ef2ef9016091p-11, 0x1.61ee312536869p-11, 0x1.55585ff70807ap-11, 0x1.492dfd68ce3dap-11, 0x1.3d6ba50629074p-11, 0x1.320e0bd29e686p-11, 0x1.2711ff9cf2dc4p-11, 0x1.1c746656884e7p-11, 0x1.12323d6e9315cp-11, 0x1.0848993126beep-11, 0x1.fd694853d3945p-12, 0x1.eae73d1540a2dp-12, 0x1.d905bb2a5e7c7p-12, 0x1.c7bf961264cf4p-12, 0x1.b70fc92a17d88p-12, 0x1.a6f17694edd61p-12, 0x1.975fe62c90f7ep-12, 0x1.8856847733d0bp-12, 0x1.79d0e1a44c2f8p-12, 0x1.6bcab08f995c4p-12, 0x1.5e3fc5ca6ae9p-12, 0x1.512c16aae9f0cp-12, 0x1.448bb8616ce01p-12, 0x1.385adf1398135p-12, 0x1.2c95dcfd3f961p-12, 0x1.21392196d6ab4p-12, 0x1.164138c1897e8p-12, 0x1.0baac9f870e0cp-12, 0x1.0172978737e18p-12, 0x1.ef2afb8c48d2ap-13, 0x1.dc20e4b51c916p-13, 0x1.c9c106f9afcfbp-13, 0x1.b805ae85fb001p-13, 0x1.a6e955e0015aap-13, 0x1.9666a48f62bp-13, 0x1.86786dce7b978p-13, 0x1.7719af4400591p-13, 0x1.68458fc587abbp-13, 0x1.59f75e21b803ap-13, 0x1.4c2a8ff405ef4p-13, 0x1.3edac07f01652p-13, 0x1.3203af8f5f8fp-13, 0x1.25a14066320c7p-13, 0x1.19af78ab0aa1fp-13, 0x1.0e2a7f648ab76p-13, 0x1.030e9bf8bc22cp-13, 0x1.f0b06a67dc27dp-14, 0x1.dc07a0ad02a5ap-14, 0x1.c81c20510e5c8p-14, 0x1.b4e7682a098fap-14, 0x1.a2632e93ceca5p-14, 0x1.90895fbde4aeep-14, 0x1.7f541c045d06p-14, 0x1.6ebdb6541bf14p-14, 0x1.5ec0b29a4159ap-14, 0x1.4f57c43e26a7fp-14, 0x1.407dcca696dccp-14, 0x1.322dd9c79d238p-14, 0x1.246324bc76e0ep-14, 0x1.17191069368c4p-14, 0x1.0a4b28271070ap-14, 0x1.fbea3cf28ba83p-15, 0x1.e425979769a32p-15, 0x1.cd405a72f0918p-15, 0x1.b732c6b8cf34ap-15, 0x1.a1f5624ac1234p-15, 0x1.8d80f5779b746p-15, 0x1.79ce88cc57b1dp-15, 0x1.66d762f3ec4ddp-15, 0x1.549506a6261fdp-15, 0x1.430130a70e817p-15, 0x1.3215d5d2421adp-15, 0x1.21cd213958249p-15, 0x1.1221724af6d6cp-15, 0x1.030d5b0bb85e2p-15, 0x1.e9173cb694b92p-16, 0x1.cd2e5c8da5218p-16, 0x1.b25654d321c6p-16, 0x1.9885bcae1e28dp-16, 0x1.7fb3802d6b2ddp-16, 0x1.67d6dd4f228acp-16, 0x1.50e76123be7edp-16, 0x1.3adce5082d0aap-16, 0x1.25af8bf6377c2p-16, 0x1.1157bfec1b86cp-16, 0x1.fb9c5ed294161p-17, 0x1.d617960104a3cp-17, 0x1.b282141df6a25p-17, 0x1.8fe2e1ab741dap-17, 0x1.6eabfa2f094ffp-17, 0x1.4ed10ab6c9f99p-17, 0x1.30462f2ea4695p-17, 0x1.12ffee834b47ap-17, 0x1.ede66db12160ep-18, 0x1.b82ab3d9a7c35p-18, 0x1.84b8132228adbp-18, 0x1.537aa885dff44p-18, 0x1.245f43c4e873cp-18, 0x1.eea6c1f9d00e1p-19, 0x1.988a4513db5f7p-19, 0x1.4646961ecead2p-19, 0x1.ef74debf8ac2ap-20, 0x1.598b6a02b6a1ep-20, 0x1.9525a933a37fdp-21, 0x1.093d3a27e0da6p-22, -0x1.fbc71682b442bp-23, -0x1.75faf05967701p-21, -0x1.30743b17c6b47p-20, -0x1.a01118139f2c8p-20, -0x1.05031805f05c5p-19, -0x1.3741f4a90aad4p-19, -0x1.66dc7fdbec44cp-19, -0x1.93e94a44db2ebp-19, -0x1.be7e1ecfa9611p-19, -0x1.e6b009f562b65p-19, -0x1.0649b07151561p-18, -0x1.181de41cba88ap-18, -0x1.28de1d54faaebp-18, -0x1.389387a151f4bp-18, -0x1.4746ffc8280cdp-18, -0x1.550116bf44ea5p-18, -0x1.61ca1480d4666p-18, -0x1.6da9facb2f99ep-18, -0x1.78a887bc95546p-18, -0x1.82cd385fc3ee2p-18, -0x1.8c1f4b19354aap-18, -0x1.94a5c20a74288p-18, -0x1.9c676549956dbp-18, -0x1.a36ac51321e1dp-18, -0x1.a9b63be3b0702p-18, -0x1.af4ff07bbf835p-18, -0x1.b43dd7d06794cp-18, -0x1.b885b6e627138p-18, -0x1.bc2d249ce0a48p-18, -0x1.bf398b6e94e04p-18, -0x1.c1b02b130947dp-18, -0x1.c3961a1a9bc8ep-18, -0x1.c4f0476cb3f8bp-18, -0x1.c5c37bd0b8aafp-18, -0x1.c6145b4e067d2p-18, -0x1.c5e766837380dp-18, -0x1.c540fc0576e12p-18, -0x1.c425598b7c8ecp-18, -0x1.c2989d2f2b9a5p-18, -0x1.c09ec690e5dc8p-18, -0x1.be3bb7f2bc00dp-18, -0x1.bb733748cac1p-18, -0x1.b848ef3ec2336p-18, -0x1.b4c070308721p-18, -0x1.b0dd311b48106p-18, -0x1.aca290852c2a3p-18, -0x1.a813d552f3c47p-18, -0x1.a3342fa460a6ap-18, -0x1.9e06b9983eb1ap-18, -0x1.988e7810d6991p-18, -0x1.92ce5b6de9391p-18, -0x1.8cc9403cb6638p-18, -0x1.8681efe3dbd14p-18, -0x1.7ffb2145f444p-18, -0x1.7937795d23b41p-18, -0x1.72398bd3b413ap-18, -0x1.6b03db8a92233p-18, -0x1.6398db27b6d72p-18, -0x1.5bfaeda005705p-18, -0x1.542c66aa5ea6p-18, -0x1.4c2f8b34c670fp-18, -0x1.440691e291bbfp-18, -0x1.3bb3a36fcdf66p-18, -0x1.3338db24e1796p-18, -0x1.2a98472fd75e5p-18, -0x1.21d3e90935b2ap-18, -0x1.18edb5d15f953p-18, -0x1.0fe796a6d4cfep-18, -0x1.06c368fdf2848p-18, -0x1.fb05fdddbe0bbp-19, -0x1.e8503f097bf85p-19, -0x1.d5690e14df3cdp-19, -0x1.c253ce9fbe026p-19, -0x1.af13cfe46e564p-19, -0x1.9bac4d39205f9p-19, -0x1.88206e936bc98p-19, -0x1.747349047efebp-19, -0x1.60a7df2fa77b2p-19, -0x1.4cc121bfe51e1p-19, -0x1.38c1efd3edd5bp-19, -0x1.24ad177af7587p-19, -0x1.10855605b4226p-19, -0x1.f89ab0ccbc2a8p-20, -0x1.d00f776b6e40cp-20, -0x1.a76e1acd65fb8p-20, -0x1.7ebb977cc787dp-20, -0x1.55fccc2053158p-20, -0x1.2d367a3b7a18p-20, -0x1.046d46ba621b3p-20, -0x1.b74b7508f208p-21, -0x1.65c8860898589p-21, -0x1.145a65587e472p-21, -0x1.861305b917f1cp-22, -0x1.c7786954889e6p-23, -0x1.0701a205ef5b9p-24, 0x1.7f42cad55f2abp-24, 0x1.00e7d4602a19dp-22, 0x1.a17615d06b2d2p-22, 0x1.20b6787e73a9fp-21, 0x1.705f1f9ba6bdp-21, 0x1.bfae1bb0d2188p-21, 0x1.074e5b57452efp-20, 0x1.2e923413ad8d4p-20, 0x1.559f6a61358dfp-20, 0x1.7c72e6c7289c7p-20, 0x1.a309a7c078edbp-20, 0x1.c960c15965a7dp-20, 0x1.ef755ce24d442p-20, 0x1.0aa25c5708e67p-19, 0x1.1d6613dc44eedp-19, 0x1.300488ab36454p-19, 0x1.427c787f1c447p-19, 0x1.54ccaae9e89dfp-19, 0x1.66f3f13d5cc82p-19, 0x1.78f12661ea17p-19, 0x1.8ac32eaa2c87cp-19, 0x1.9c68f7c504d65p-19, 0x1.ade1787d93b59p-19, 0x1.bf2bb0ab7bc66p-19, 0x1.d046a90a56fdbp-19, 0x1.e131731a39fe2p-19, 0x1.f1eb28fe133aap-19, 0x1.013976af03376p-18, 0x1.0963f5a24e8ebp-18, 0x1.1174ab00e980dp-18, 0x1.196b3486706bap-18, 0x1.214733f4d2c04p-18, 0x1.29084eff0d7a1p-18, 0x1.30ae2f43fe1fbp-18, 0x1.3838823b0a19bp-18, 0x1.3fa6f924efe8ep-18, 0x1.46f94900b8709p-18, 0x1.4e2f2a7cdc57p-18, 0x1.554859e77de9ep-18, 0x1.5c4497236b69bp-18, 0x1.6323a597745d6p-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.1074d9fff7c37p-6, -0x1.1032d334d33b4p-5, -0x1.97a79fc37742fp-5, -0x1.0f2c116423bd3p-4, -0x1.52027ae72fd26p-4, -0x1.94382bc2e4fecp-4, -0x1.d5af3dd94c9dap-4, -0x1.0b2573c8353a1p-3, -0x1.2af7cbfc45372p-3, -0x1.4a4186b917629p-3, -0x1.68f6339edf87dp-3, -0x1.870a19354b3dcp-3, -0x1.a472394f57a22p-3, -0x1.c12453979b421p-3, -0x1.dd16e67f031dfp-3, -0x1.f8412ec4fc86dp-3, -0x1.094d92e61ccf4p-2, -0x1.160ebf758068dp-2, -0x1.2260d1f0e7a74p-2, -0x1.2e40d84f358ep-2, -0x1.39ac3736c1385p-2, -0x1.44a0a75c53045p-2, -0x1.4f1c32b554f41p-2, -0x1.591d31888511dp-2, -0x1.62a24766d34b2p-2, -0x1.6baa6014b7076p-2, -0x1.7434ac6b0343fp-2, -0x1.7c409f352d95p-2, -0x1.83cdea120d96ap-2, -0x1.8adc7a5b3ee41p-2, -0x1.916c7616ac814p-2, -0x1.977e38f5242f5p-2, -0x1.9d12516050295p-2, -0x1.a2297d9a02fep-2, -0x1.a6c4a8ee5dd39p-2, -0x1.aae4e8fa001c8p-2, -0x1.ae8b7b0525003p-2, -0x1.b1b9c17454b53p-2, -0x1.b471414f10479p-2, -0x1.b6b39fdcb39b6p-2, -0x1.b882a05794438p-2, -0x1.b9e021b64c06bp-2, -0x1.bace1c8aefbd8p-2, -0x1.bb4ea0f7e591bp-2, -0x1.bb63d4b9ebcaap-2, -0x1.bb0ff146d9671p-2, -0x1.ba5542008d8afp-2, -0x1.b936227b7ada3p-2, -0x1.b7b4fcd831c01p-2, -0x1.b5d4482f5104cp-2, -0x1.b396870f312bcp-2, -0x1.b0fe460ab3502p-2, -0x1.ae0e1a588d3f7p-2, -0x1.aac8a0827bf8fp-2, -0x1.a7307b23bead7p-2, -0x1.a34851b64fb5dp-2, -0x1.9f12cf6e497c9p-2, -0x1.9a92a222f52b2p-2, -0x1.95ca79450471fp-2, -0x1.90bd04e17a64p-2, -0x1.8b6cf4b0d9688p-2, -0x1.85dcf7322377ep-2, -0x1.800fb8d150b9bp-2, -0x1.7a07e318d4b7p-2, -0x1.73c81bede2175p-2, -0x1.6d5304d7108adp-2, -0x1.66ab3a4d1cc24p-2, -0x1.5fd353156d91cp-2, -0x1.58cddfa6203bap-2, -0x1.519d69934bd89p-2, -0x1.4a44730544009p-2, -0x1.42c576378f81cp-2, -0x1.3b22e5005ad7ep-2, -0x1.335f28602710cp-2, -0x1.2b7ca0197a9e1p-2, -0x1.237da250513c1p-2, -0x1.1b647b311d9f4p-2, -0x1.13336c9f10d3dp-2, -0x1.0aecade97f48ap-2, -0x1.02926b881d985p-2, -0x1.f44d8dbbb7c6dp-3, -0x1.e357ac045f97p-3, -0x1.d24747210d623p-3, -0x1.c1205cfb64ec5p-3, -0x1.afe6d3e619361p-3, -0x1.9e9e7a5e414a8p-3, -0x1.8d4b06d73dda8p-3, -0x1.7bf01790be2b3p-3, -0x1.6a9132767e50ap-3, -0x1.5931c509438e1p-3, -0x1.47d52450ad4f4p-3, -0x1.367e8cd572ee6p-3, -0x1.253122a39b0dbp-3, -0x1.13eff1544598bp-3, -0x1.02bdec1ea2663p-3, -0x1.e33bdbdf5ea37p-4, -0x1.c1257310af88fp-4, -0x1.9f3df3432d5bfp-4, -0x1.7d8a822c69407p-4, -0x1.5c101623b6d9fp-4, -0x1.3ad3768a11ec1p-4, -0x1.19d93c3b44c45p-4, -0x1.f24ba40f22dd8p-5, -0x1.b17aea6a85186p-5, -0x1.71486c13151cep-5, -0x1.31bbf0b031511p-5, -0x1.e5b9d06363fabp-6, -0x1.6964d80d4f845p-6, -0x1.dd0d0179615ep-7, -0x1.d4aeab93f65fcp-8, 0x1.4fb7261d10701p-13, 0x1.e33cc8ece73b1p-8, 0x1.dab150396cf3p-7, 0x1.60317428d2d7p-6, 0x1.d14fd4c3ebaf7p-6, 0x1.20554fcf4c181p-5, 0x1.571c9f671f3dfp-5, 0x1.8cf9d6efb704p-5, 0x1.c1e93b719c46ep-5, 0x1.f5e757bc4b8bp-5, 0x1.14787d74bb635p-4, 0x1.2d819b6fa5fa5p-4, 0x1.460daf691b26dp-4, 0x1.5e1b82e342e95p-4, 0x1.75a9fe892fd5fp-4, 0x1.8cb82970288a9p-4, 0x1.a34528596f74ep-4, 0x1.b9503cf4b1b8ap-4, 0x1.ced8c5233af0fp-4, 0x1.e3de3a3c1c3efp-4, 0x1.f86030515cfbfp-4, 0x1.062f2abb248f8p-3, 0x1.0fec38838d193p-3, 0x1.19673178f2df6p-3, 0x1.22a0118084baap-3, 0x1.2b96e0138fd4ap-3, 0x1.344bafe646d71p-3, 0x1.3cbe9e8f5d181p-3, 0x1.44efd43082f37p-3, 0x1.4cdf831fc6d7ep-3, 0x1.548de791e4b31p-3, 0x1.5bfb474583be1p-3, 0x1.6327f12f7440cp-3, 0x1.6a143d27e2bedp-3, 0x1.70c08b98984d7p-3, 0x1.772d452c3599dp-3, 0x1.7d5ada7e85a61p-3, 0x1.8349c3cdd787fp-3, 0x1.88fa80ad6e1b9p-3, 0x1.8e6d97b9068cdp-3, 0x1.93a396497231cp-3, 0x1.989d102a554ep-3, 0x1.9d5a9f50fa08ap-3, 0x1.a1dce394492c6p-3, 0x1.a6248265e44bdp-3, 0x1.aa32268c65afcp-3, 0x1.ae067fdebf064p-3, 0x1.b1a24300cccfcp-3, 0x1.b506292104276p-3, 0x1.b832efb7570b3p-3, 0x1.bb2958453bcb7p-3, 0x1.bdea2816e8567p-3, 0x1.c0762805b34f2p-3, 0x1.c2ce243baac28p-3, 0x1.c4f2ebf8550dp-3, 0x1.c6e55156a4bc1p-3, 0x1.c8a6291419434p-3, 0x1.ca364a5912acbp-3, 0x1.cb968e8254c1p-3, 0x1.ccc7d0ebbc4ap-3, 0x1.cdcaeebc21289p-3, 0x1.cea0c6b270ad8p-3, 0x1.cf4a38f3edbcep-3, 0x1.cfc826dbaaf5ep-3, 0x1.d01b72cb2d494p-3, 0x1.d044fffc3ee73p-3, 0x1.d045b253f4487p-3, 0x1.d01e6e36da85cp-3, 0x1.cfd0185e4c5bp-3, 0x1.cf5b95af02f1ep-3, 0x1.cec1cb10b9fdbp-3, 0x1.ce039d4710802p-3, 0x1.cd21f0cb83079p-3, 0x1.cc1da9a891dffp-3, 0x1.caf7ab560522ap-3, 0x1.c9b0d8965bd83p-3, 0x1.c84a13554bc72p-3, 0x1.c6c43c876fd98p-3, 0x1.c520340b02c97p-3, 0x1.c35ed889bcf5p-3, 0x1.c181075bbf5aap-3, 0x1.bf879c6b9d56bp-3, 0x1.bd73721b6b9fp-3, 0x1.bb45612ae6f5ep-3, 0x1.b8fe409e9e596p-3, 0x1.b69ee5a82b3c8p-3, 0x1.b428238f6b7a7p-3, 0x1.b19acb9cbc21dp-3, 0x1.aef7ad04397f6p-3, 0x1.ac3f94d1ed876p-3, 0x1.a9734dd701bbcp-3, 0x1.a693a097e2154p-3, 0x1.a3a1533b46622p-3, 0x1.a09d297a36549p-3, 0x1.9d87e490eebfcp-3, 0x1.9a624330a8029p-3, 0x1.972d0172458b2p-3, 0x1.93e8d8c9da382p-3, 0x1.90967ffb0a631p-3, 0x1.8d36ab0e3e62cp-3, 0x1.89ca0b46aacbap-3, 0x1.86514f191b15ep-3, 0x1.82cd22238f5e4p-3, 0x1.7f3e2d2592de6p-3, 0x1.7ba515f95a119p-3, 0x1.78027f8d952b1p-3, 0x1.745709dffd06bp-3, 0x1.70a351f88e42fp-3, 0x1.6ce7f1e574473p-3, 0x1.692580b79b6a1p-3, 0x1.655c927febfa7p-3, 0x1.618db84d1d748p-3, 0x1.5db9802a2d523p-3, 0x1.59e0751d67dfbp-3, 0x1.56031f2804d62p-3, 0x1.5222034656db5p-3, 0x1.4e3da3707b6d9p-3, 0x1.4a567e9b9a304p-3, 0x1.466d10bba200cp-3, 0x1.4281d2c57dacp-3, 0x1.3e953ab1cbb3fp-3, 0x1.3aa7bb7ffddffp-3, 0x1.36b9c539f6967p-3, 0x1.32cbc4f808ba1p-3, 0x1.2ede24e55d905p-3, 0x1.2af14c44c97c8p-3, 0x1.27059f75f60d5p-3, 0x1.231b7ffae9473p-3, 0x1.1f334c7dea2c5p-3, 0x1.1b4d60d7b38d1p-3, 0x1.176a1615f6e43p-3, 0x1.1389c2822e5d1p-3, 0x1.0facb9a8b7dbdp-3, 0x1.0bd34c602cb6fp-3, 0x1.07fdc8d105f7dp-3, 0x1.042c7a7d74804p-3, 0x1.005faa497966bp-3, 0x1.f92f3d0666326p-4, 0x1.f1a935d6b07aap-4, 0x1.ea2dc17bdaff4p-4, 0x1.e2bd5d763ee67p-4, 0x1.db5882608d541p-4, 0x1.d3ffa4022c0b5p-4, 0x1.ccb33161d6acep-4, 0x1.c57394d8784p-4, 0x1.be4134244cdcdp-4, 0x1.b71c707c2f516p-4, 0x1.b005a6a319cb6p-4, 0x1.a8fd2efbd6014p-4, 0x1.a2035d9cc5fcap-4, 0x1.9b188263d8dfbp-4, 0x1.943ce90a9f27cp-4, 0x1.8d70d93a61edfp-4, 0x1.86b496a060ae5p-4, 0x1.8008610212c0bp-4, 0x1.796c745172ac2p-4, 0x1.72e108c151373p-4, 0x1.6c6652d9a7978p-4, 0x1.65fc838be6498p-4, 0x1.5fa3c8473efb6p-4, 0x1.595c4b0ce281p-4, 0x1.53263284313cdp-4, 0x1.4d01a20eda1d9p-4, 0x1.46eeb9dce6157p-4, 0x1.40ed9700a92d9p-4, 0x1.3afe53829c33cp-4, 0x1.3521067515dccp-4, 0x1.2f55c407e549fp-4, 0x1.299c9d9bc8521p-4, 0x1.23f5a1d5bd31dp-4, 0x1.1e60dcb22b99ep-4, 0x1.18de5797e3dd9p-4, 0x1.136e196af0ec1p-4, 0x1.0e10269f3ce5dp-4, 0x1.08c4814b0442fp-4, 0x1.038b2939175d6p-4, 0x1.fcc837f5cec34p-5, 0x1.f29ea9f4bad48p-5, 0x1.e8999b16f7321p-5, 0x1.deb8f9fb8845dp-5, 0x1.d4fcb15acda9p-5, 0x1.cb64a82866f5ep-5, 0x1.c1f0c1b4a0448p-5, 0x1.b8a0ddcd6219fp-5, 0x1.af74d8dea57e6p-5, 0x1.a66c8c126968fp-5, 0x1.9d87cd702819dp-5, 0x1.94c66ffbc936ep-5, 0x1.8c2843d412c8ap-5, 0x1.83ad165094831p-5, 0x1.7b54b21f0d5bfp-5, 0x1.731edf604d892p-5, 0x1.6b0b63c48f48p-5, 0x1.631a02a747d43p-5, 0x1.5b4a7d2a72514p-5, 0x1.539c9251517c5p-5, 0x1.4c0fff1aa8d99p-5, 0x1.44a47e9a6d04p-5, 0x1.3d59ca12eac4ep-5, 0x1.362f990d68d2p-5, 0x1.2f25a1723c1afp-5, 0x1.283b97a05933ap-5, 0x1.21712e845a6a8p-5, 0x1.1ac617af0085p-5, 0x1.143a036b2dc92p-5, 0x1.0dcca0d35828bp-5, 0x1.077d9de67aa67p-5, 0x1.014ca79c7d82fp-5, 0x1.f672d3f440e79p-6, 0x1.ea872048bd9a8p-6, 0x1.ded588e6a3af3p-6, 0x1.d35d61092f49dp-6, 0x1.c81dfa9a67b33p-6, 0x1.bd16a655f4794p-6, 0x1.b246b3eaeb621p-6, 0x1.a7ad721cb1edbp-6, 0x1.9d4a2ee2e88ecp-6, 0x1.931c37885e2f2p-6, 0x1.8922d8c921d35p-6, 0x1.7f5d5eefa00fbp-6, 0x1.75cb15f0d8f9ap-6, 0x1.6c6b4987b8709p-6, 0x1.633d454f82a9bp-6, 0x1.5a4054dd6ad05p-6, 0x1.5173c3d9492cap-6, 0x1.48d6de157cc63p-6, 0x1.4068efa5f5b32p-6, 0x1.382944f67138cp-6, 0x1.30172adfe655cp-6, 0x1.2831eebd27a3p-6, 0x1.2078de7ec2484p-6, 0x1.18eb48be15ccap-6, 0x1.11887ccfaf4fbp-6, 0x1.0a4fcad4e4a7fp-6, 0x1.034083ccbe2cdp-6, 0x1.f8b3f34847d39p-7, 0x1.eb36fe8abcd57p-7, 0x1.de08d14dd3705p-7, 0x1.d12815b336711p-7, 0x1.c493782c4a08p-7, 0x1.b849a793e4e43p-7, 0x1.ac495546d0dedp-7, 0x1.a091353b0d96p-7, 0x1.951ffe15ece2bp-7, 0x1.89f46940f6dedp-7, 0x1.7f0d32fdba13bp-7, 0x1.74691a7876eb4p-7, 0x1.6a06e1d9b4799p-7, 0x1.5fe54e56d521p-7, 0x1.5603284190552p-7, 0x1.4c5f3b167e846p-7, 0x1.42f8558a9c241p-7, 0x1.39cd4997e4608p-7, 0x1.30dcec88fa7p-7, 0x1.28261703ec5e2p-7, 0x1.1fa7a514180aap-7, 0x1.17607633354e6p-7, 0x1.0f4f6d518d72p-7, 0x1.077370dd65de8p-7, 0x1.ff96d59345e91p-8, 0x1.f0ac912756b27p-8, 0x1.e225f6911d574p-8, 0x1.d400ef12f02cp-8, 0x1.c63b6b1ee22d2p-8, 0x1.b8d3625cf51bep-8, 0x1.abc6d3b002474p-8, 0x1.9f13c539685ccp-8, 0x1.92b8445b8279bp-8, 0x1.86b265bafb104p-8, 0x1.7b00453eff6a4p-8, 0x1.6fa006105e32dp-8, 0x1.648fd297a083p-8, 0x1.59cddc7a1f20bp-8, 0x1.4f585c9623b41p-8, 0x1.452d92fe1f85p-8, 0x1.3b4bc6f2fad8ap-8, 0x1.31b146dd8dd3cp-8, 0x1.285c68474719cp-8, 0x1.1f4b87d20972ap-8, 0x1.167d092f4b71cp-8, 0x1.0def57167c7f2p-8, 0x1.05a0e33abf4cep-8, 0x1.fb204c7ff0a52p-9, 0x1.eb773f5e7efebp-9, 0x1.dc43abd573dbdp-9, 0x1.cd82ac41c664cp-9, 0x1.bf31687e9858p-9, 0x1.b14d15c9b4199p-9, 0x1.a3d2f6a7127f3p-9, 0x1.96c05ac3778dp-9, 0x1.8a129ed63315p-9, 0x1.7dc72c8217cd9p-9, 0x1.71db7a35a84e7p-9, 0x1.664d0b0a9469ap-9, 0x1.5b196ea48bf1cp-9, 0x1.503e410f6b6e1p-9, 0x1.45b92a9ce122fp-9, 0x1.3b87dfc17e9c4p-9, 0x1.31a820f152dedp-9, 0x1.2817ba7c0cb21p-9, 0x1.1ed48468b5e41p-9, 0x1.15dc62510ae95p-9, 0x1.0d2d433c7f2bbp-9, 0x1.04c5217aee07dp-9, 0x1.f94404fe197c7p-10, 0x1.e983ed71350d3p-10, 0x1.da4632dcbbf14p-10, 0x1.cb87212fe7773p-10, 0x1.bd43196efb5e5p-10, 0x1.af7691665558fp-10, 0x1.a21e135d63c89p-10, 0x1.95363dc96af0fp-10, 0x1.88bbc300490a3p-10, 0x1.7cab68eb22ae7p-10, 0x1.710208b9214bp-10, 0x1.65bc8e9246f5dp-10, 0x1.5ad7f94a5326cp-10, 0x1.50515a13d8fabp-10, 0x1.4625d4338b81ap-10, 0x1.3c529cb3bcb78p-10, 0x1.32d4fa182c6cfp-10, 0x1.29aa4412229fdp-10, 0x1.20cfe334e5066p-10, 0x1.184350aa8b2d6p-10, 0x1.100215e93c6c6p-10, 0x1.0809cc68e2f1bp-10, 0x1.00581d594f489p-10, 0x1.f1d582b1bec1cp-11, 0x1.e37f00575a4b1p-11, 0x1.d5a860e68a2a6p-11, 0x1.c84d6ecde0b21p-11, 0x1.bb6a11192c229p-11, 0x1.aefa4ae4739c3p-11, 0x1.a2fa3ad035da4p-11, 0x1.97661a76f5a4bp-11, 0x1.8c3a3de41c88ap-11, 0x1.8173130c39b14p-11, 0x1.770d2146a823ap-11, 0x1.6d0508c8a0a5bp-11, 0x1.63578221bfdd6p-11, 0x1.5a015dba04f0ap-11, 0x1.50ff83515133ap-11, 0x1.484ef1806b26bp-11, 0x1.3fecbd3b8b84cp-11, 0x1.37d61156774fcp-11, 0x1.30082e0a2d9c5p-11, 0x1.2880687c27fdp-11, 0x1.213c2a4735344p-11, 0x1.1a38f105eea14p-11, 0x1.13744ddeca6dap-11, 0x1.0cebe511cf372p-11, 0x1.069d6d87e647dp-11, 0x1.0086b063d31ep-11, 0x1.f54b11299b93cp-12, 0x1.e9efc4d580b4ap-12, 0x1.def776585500fp-12, 0x1.d45e415b565f7p-12, 0x1.ca2061d657e6ap-12, 0x1.c03a334569e8ep-12, 0x1.b6a82fe1c1d11p-12, 0x1.ad66efdded85ap-12, 0x1.a47328a548696p-12, 0x1.9bc9ac1eb26d1p-12, 0x1.936767f282e44p-12, 0x1.8b4964d3bab75p-12, 0x1.836cc5cc66a3p-12, 0x1.7bcec78d3b6d8p-12, 0x1.746cbfc05a813p-12, 0x1.6d441c5f3fd36p-12, 0x1.6652630bd8a37p-12, 0x1.5f95306cb182bp-12, 0x1.590a378c417eep-12, 0x1.52af413b46477p-12, 0x1.4c822b762a18p-12, 0x1.4680e8cd73684p-12, 0x1.40a97fd12e2b1p-12, 0x1.3afa0a7f506a1p-12, 0x1.3570b5b50aecdp-12, 0x1.300bc0a30746ep-12, 0x1.2ac97c4482a18p-12, 0x1.25a84ad944cecp-12, 0x1.20a69f62677cfp-12, 0x1.1bc2fd21e5e1cp-12, 0x1.16fbf71cee8fep-12, 0x1.12502fa0ed8e1p-12, 0x1.0dbe57cb47ee9p-12, 0x1.09452f13bc4abp-12, 0x1.04e382d964883p-12, 0x1.00982df24e19p-12, 0x1.f8c4307b3bcecp-13, 0x1.f0806c7075f23p-13, 0x1.e8631127e7429p-13, 0x1.e06a37a22c19p-13, 0x1.d8940fb4e47c2p-13, 0x1.d0dedf477bae7p-13, 0x1.c94901949afd9p-13, 0x1.c1d0e670409e6p-13, 0x1.ba75119259424p-13, 0x1.b33419e5d9b17p-13, 0x1.ac0ca8dc3d65bp-13, 0x1.a4fd79c55906fp-13, 0x1.9e05592b6b2d1p-13, 0x1.9723243367cbfp-13, 0x1.9055c80158754p-13, 0x1.899c4120cebc4p-13, 0x1.82f59af14b023p-13, 0x1.7c60ef16932bp-13, 0x1.75dd64ecdc66dp-13, 0x1.6f6a3100b60cbp-13, 0x1.6906948ab1ecep-13, 0x1.62b1dceea2789p-13, 0x1.5c6b633e75f3p-13, 0x1.56328bc0853eap-13, 0x1.5006c57959df3p-13, 0x1.49e789b8cc91fp-13, 0x1.43d45baa7292bp-13, 0x1.3dccc7e943f06p-13, 0x1.37d0641670219p-13, 0x1.31dece734c222p-13, 0x1.2bf7ad7e48158p-13, 0x1.261aaf92e6207p-13, 0x1.20478a8c94bfep-13, 0x1.1a7dfb6c681d8p-13, 0x1.14bdc6019bdb4p-13, 0x1.0f06b494d36fdp-13, 0x1.09589796045aap-13, 0x1.03b3454d02155p-13, 0x1.fc2d33192178ap-14, 0x1.f104ead00246ap-14, 0x1.e5ed7dd66f691p-14, 0x1.dae6c1aa3503p-14, 0x1.cff094a8a1cd4p-14, 0x1.c50add8c95b32p-14, 0x1.ba358af11328p-14, 0x1.af7092d80b277p-14, 0x1.a4bbf235844c6p-14, 0x1.9a17ac7ece18fp-14, 0x1.8f83cb3dcc237p-14, 0x1.85005da82b39ep-14, 0x1.7a8d783a6cd89p-14, 0x1.702b3456b2f96p-14, 0x1.65d9afe72fc5fp-14, 0x1.5b990d0423bc6p-14, 0x1.5169719d53375p-14, 0x1.474b0726daac3p-14, 0x1.3d3dfa494a619p-14, 0x1.33427a94f6e1ep-14, 0x1.2958ba38640c6p-14, 0x1.1f80edb9b74dap-14, 0x1.15bb4bb31d319p-14, 0x1.0c080c92099dfp-14, 0x1.02676a5942539p-14, 0x1.f1b340cb3bcf5p-15, 0x1.debdd66ac784ap-15, 0x1.cbef106472a1bp-15, 0x1.b9476afb15e3ep-15, 0x1.a6c7637eb9f46p-15, 0x1.946f77eee708bp-15, 0x1.824026a17d017p-15, 0x1.7039ededeffd3p-15, 0x1.5e5d4bdccd47ap-15, 0x1.4caabddb5f344p-15, 0x1.3b22c07355f54p-15, 0x1.29c5cf064f3c7p-15, 0x1.1894638d23cb6p-15, 0x1.078ef65ad7ffp-15, 0x1.ed6bfbc6216f6p-16, 0x1.cc13dd07e8f2bp-16, 0x1.ab1674a6aa322p-16, 0x1.8a74a1de168a9p-16, 0x1.6a2f3ea0ccba3p-16, 0x1.4a471f452a6b1p-16, 0x1.2abd1237e3a3ap-16, 0x1.0b91dfb41a396p-16, 0x1.d98c9301b989p-17, 0x1.9cb61567889b9p-17, 0x1.60a1aef12aaacp-17, 0x1.2550b9bb4742fp-17, 0x1.d58902937054bp-18, 0x1.61fc8464eb137p-18, 0x1.dffca7445f5c4p-19, 0x1.fe42b01488e5ep-20, 0x1.0b5a9d19e153ap-22, -0x1.7242da504c40fp-20, -0x1.9081320459875p-19, -0x1.325841d664ec4p-18, -0x1.9ad61635729e6p-18, -0x1.00dc4e1eddcb1p-17, -0x1.337f3d96d73fbp-17, -0x1.65533dbf2996ap-17, }}, 
      {{-0x1.d7fba39b52453p-7, -0x1.d7c26cebe08fep-6, -0x1.618a6eeda1d58p-5, -0x1.d6de5aa6bd2b5p-5, -0x1.25e09151272bbp-4, -0x1.600bb64d045bbp-4, -0x1.99e33a20f09c9p-4, -0x1.d35a10cd29189p-4, -0x1.0631c714ef0cbp-3, -0x1.2279b716562b1p-3, -0x1.3e7eedea041d7p-3, -0x1.5a3bbb677335ep-3, -0x1.75aaabfc97f2cp-3, -0x1.90c68a63449f8p-3, -0x1.ab8a60da83effp-3, -0x1.c5f179f05ac81p-3, -0x1.dff760e8193d3p-3, -0x1.f997e1c88374fp-3, -0x1.0967848e50601p-2, -0x1.15cc91b883a1fp-2, -0x1.21f95e4b68608p-2, -0x1.2dec4f5a409ap-2, -0x1.39a3e89634966p-2, -0x1.451ecbafa6fc7p-2, -0x1.505bb7a8aad4ep-2, -0x1.5b59881b5a4afp-2, -0x1.6617347661378p-2, -0x1.7093cf31e28bdp-2, -0x1.7ace84fe8e4fap-2, -0x1.84c69bf087622p-2, -0x1.8e7b72a77fdcep-2, -0x1.97ec7f7554a37p-2, -0x1.a1194f842a483p-2, -0x1.aa0185fd0a5e3p-2, -0x1.b2a4db2fbf35ap-2, -0x1.bb031bbcab921p-2, -0x1.c31c27c12b877p-2, -0x1.caeff20703c08p-2, -0x1.d27e7f374aef6p-2, -0x1.d9c7e5111fa72p-2, -0x1.e0cc49a481b1ap-2, -0x1.e78be2917bcp-2, -0x1.ee06f44bd62fcp-2, -0x1.f43dd16371af5p-2, -0x1.fa30d9d163b3fp-2, -0x1.ffe07a49e577fp-2, -0x1.02a695c990782p-1, -0x1.053bb8f06ddcdp-1, -0x1.07afee1a7c799p-1, -0x1.0a0381e26ac65p-1, -0x1.0c36c5b1b1e12p-1, -0x1.0e4a0f7800b04p-1, -0x1.103db964f8888p-1, -0x1.121221a43020bp-1, -0x1.13c7aa1b743e7p-1, -0x1.155eb82b37618p-1, -0x1.16d7b4712454p-1, -0x1.18330a8cc8317p-1, -0x1.197128e645d14p-1, -0x1.1a928077052a2p-1, -0x1.1b978494517e1p-1, -0x1.1c80aabbdc67ep-1, -0x1.1d4e6a6213fcp-1, -0x1.1e013cc24411p-1, -0x1.1e999cb074d55p-1, -0x1.1f18066cfa62p-1, -0x1.1f7cf779aa83ep-1, -0x1.1fc8ee70af7eap-1, -0x1.1ffc6adce7bc5p-1, -0x1.2017ed13cf555p-1, -0x1.201bf610e32adp-1, -0x1.2009075276facp-1, -0x1.1fdfa2b7f4c0ap-1, -0x1.1fa04a617bb5fp-1, -0x1.1f4b8090d65ecp-1, -0x1.1ee1c78bbe666p-1, -0x1.1e63a17f677a2p-1, -0x1.1dd1906547aebp-1, -0x1.1d2c15e915846p-1, -0x1.1c73b34ff32fcp-1, -0x1.1ba8e960c3a19p-1, -0x1.1acc384d99792p-1, -0x1.19de1f9e424bap-1, -0x1.18df1e1bdf15p-1, -0x1.17cfb1bd872e2p-1, -0x1.16b05795ecfccp-1, -0x1.15818bc1fce32p-1, -0x1.1443c95871d13p-1, -0x1.12f78a5a55ca4p-1, -0x1.119d47a46988cp-1, -0x1.103578e16b558p-1, -0x1.0ec0947d37cadp-1, -0x1.0d3f0f98bc29bp-1, -0x1.0bb15dfeb6117p-1, -0x1.0a17f21936eebp-1, -0x1.08733ce7e8b57p-1, -0x1.06c3adf70a39p-1, -0x1.0509b3571ebd2p-1, -0x1.0345b99549edep-1, -0x1.01782bb452f7cp-1, -0x1.ff42e64c8fde6p-2, -0x1.fb83ef8d76bcap-2, -0x1.f7b43fab31cbcp-2, -0x1.f3d49fe50d357p-2, -0x1.efe5d631a40d3p-2, -0x1.ebe8a537c2a49p-2, -0x1.e7ddcc4845c2cp-2, -0x1.e3c60758f0265p-2, -0x1.dfa20f0024ba3p-2, -0x1.db729871873f4p-2, -0x1.d738557b6c1cp-2, -0x1.d2f3f4851914fp-2, -0x1.cea6208dc868ep-2, -0x1.ca4f812c62e35p-2, -0x1.c5f0ba8ff1c57p-2, -0x1.c18a6d80b368ep-2, -0x1.bd1d3761d4d03p-2, -0x1.b8a9b233c2824p-2, -0x1.b43074970af8dp-2, -0x1.afb211cfcb98ep-2, -0x1.ab2f19c99f695p-2, -0x1.a6a8191c08ee5p-2, -0x1.a21d990f53a5dp-2, -0x1.9d901fa1dff26p-2, -0x1.99002f8ddc88dp-2, -0x1.946e484f5c3a3p-2, -0x1.8fdae62acc7f7p-2, -0x1.8b468233c3195p-2, -0x1.86b192541919p-2, -0x1.821c895358268p-2, -0x1.7d87d6de6aa0dp-2, -0x1.78f3e78f91abep-2, -0x1.746124f6970f1p-2, -0x1.6fcff5a13bc4bp-2, -0x1.6b40bd23d98ep-2, -0x1.66b3dc22394e8p-2, -0x1.6229b05895615p-2, -0x1.5da294a4c5b79p-2, -0x1.591ee10f95be5p-2, -0x1.549eead63a5f7p-2, -0x1.50230473ec135p-2, -0x1.4bab7dab9a03cp-2, -0x1.4738a391baa6bp-2, -0x1.42cac09633379p-2, -0x1.3e621c8e536b8p-2, -0x1.39fefcbee39ecp-2, -0x1.35a1a3e64428fp-2, -0x1.314a52469891p-2, -0x1.2cf945affea18p-2, -0x1.28aeb98ad00aap-2, -0x1.246ae6e1e8db5p-2, -0x1.202e046cf4924p-2, -0x1.1bf8469ac006ap-2, -0x1.17c9df9b89fdep-2, -0x1.13a2ff6b5584bp-2, -0x1.0f83d3dc3a147p-2, -0x1.0b6c88a0b115bp-2, -0x1.075d4755de8b9p-2, -0x1.0356378dd2b65p-2, -0x1.feaefdb389578p-3, -0x1.f6c281a88d902p-3, -0x1.eee73e56d6922p-3, -0x1.e71d7355cac97p-3, -0x1.df655c8c2d2a7p-3, -0x1.d7bf324428d6p-3, -0x1.d02b293f3a6f5p-3, -0x1.c8a972c9fc6b4p-3, -0x1.c13a3ccfd02ffp-3, -0x1.b9ddb1ee694cap-3, -0x1.b293f98932de8p-3, -0x1.ab5d37dc8d60fp-3, -0x1.a4398e10ea2f2p-3, -0x1.9d291a4db6a4ep-3, -0x1.962bf7cc26b46p-3, -0x1.8f423ee9ce392p-3, -0x1.886c053b0d6f2p-3, -0x1.81a95d9d54124p-3, -0x1.7afa58492ed63p-3, -0x1.745f02e42e2a1p-3, -0x1.6dd7689293cf3p-3, -0x1.67639208d00f9p-3, -0x1.6103859cd1363p-3, -0x1.5ab7475718193p-3, -0x1.547ed9039ee5ep-3, -0x1.4e5a3a4284fdfp-3, -0x1.4849689888b1dp-3, -0x1.424c5f7f47cdap-3, -0x1.3c6318754d223p-3, -0x1.368d8b0dddd7ep-3, -0x1.30cbad009ba76p-3, -0x1.2b1d7238def1ep-3, -0x1.2582cce4e3fdp-3, -0x1.1ffbad84b9bb2p-3, -0x1.1a8802f8f5a49p-3, -0x1.1527ba912d828p-3, -0x1.0fdac01a3ab18p-3, -0x1.0aa0fdec3fd0dp-3, -0x1.057a5cf86f1ccp-3, -0x1.0066c4d69ea66p-3, -0x1.f6cc37a53a6b1p-4, -0x1.ecf08df28c27ep-4, -0x1.e33a544acab0ep-4, -0x1.d9a95018ad6a4p-4, -0x1.d03d4494dd3aep-4, -0x1.c6f5f2de44a9dp-4, -0x1.bdd31a11ff3a1p-4, -0x1.b4d47762b5p-4, -0x1.abf9c62f9e413p-4, -0x1.a342c01af6d1ep-4, -0x1.9aaf1d2010b1cp-4, -0x1.923e93a8e7a3bp-4, -0x1.89f0d8a33f154p-4, -0x1.81c59f95550f9p-4, -0x1.79bc9ab219228p-4, -0x1.71d57aecf55cp-4, -0x1.6a0ff00d248bbp-4, -0x1.626ba8c09687dp-4, -0x1.5ae852ae6515dp-4, -0x1.53859a88d8f05p-4, -0x1.4c432c1f007f6p-4, -0x1.4520b26dd78f2p-4, -0x1.3e1dd7b103b68p-4, -0x1.373a4573245fap-4, -0x1.3075a49db6cc2p-4, -0x1.29cf9d8891c77p-4, -0x1.2347d808f824fp-4, -0x1.1cddfb8042bf6p-4, -0x1.1691aeea249cp-4, -0x1.106298ea89b92p-4, -0x1.0a505fdb113c4p-4, -0x1.045aa9d824675p-4, -0x1.fd02399b5831fp-5, -0x1.f186bd06cc224p-5, -0x1.e6422951b28ebp-5, -0x1.db33c9c1dcd8ap-5, -0x1.d05ae99a538b6p-5, -0x1.c5b6d431153b9p-5, -0x1.bb46d50420e73p-5, -0x1.b10a37cdcce5p-5, -0x1.a7004898727abp-5, -0x1.9d2853d169e1dp-5, -0x1.9381a65b5ed15p-5, -0x1.8a0b8d9ffde82p-5, -0x1.80c557a0fe211p-5, -0x1.77ae530889d6bp-5, -0x1.6ec5cf3908645p-5, -0x1.660b1c5c4c9d1p-5, -0x1.5d7d8b722c526p-5, -0x1.551c6e5e7f81p-5, -0x1.4ce717f68e2ecp-5, -0x1.44dcdc0dec9dbp-5, -0x1.3cfd0f82cd94p-5, -0x1.35470849c4618p-5, -0x1.2dba1d79056b5p-5, -0x1.2655a7531ccaep-5, -0x1.1f18ff5125e95p-5, -0x1.1803802c82541p-5, -0x1.111485e8145e8p-5, -0x1.0a4b6dd900606p-5, -0x1.03a796aef545dp-5, -0x1.fa50c0f809105p-6, -0x1.ed9a5978050ccp-6, -0x1.e12abcb6fd7p-6, -0x1.d500b37c93c22p-6, -0x1.c91b098b2e962p-6, -0x1.bd788dab655c4p-6, -0x1.b21811b6ac18fp-6, -0x1.a6f86aa1330a2p-6, -0x1.9c187083100afp-6, -0x1.9176fea0a944dp-6, -0x1.8712f3726b072p-6, -0x1.7ceb30abd3546p-6, -0x1.72fe9b41ce378p-6, -0x1.694c1b706c06ap-6, -0x1.5fd29cbffd8b5p-6, -0x1.56910e0988af8p-6, -0x1.4d86617ab1229p-6, -0x1.44b18c9907965p-6, -0x1.3c118844c96f7p-6, -0x1.33a550bb1b75ep-6, -0x1.2b6be597bcb61p-6, -0x1.236449d635cadp-6, -0x1.1b8d83d28e6a9p-6, -0x1.13e69d4989ebcp-6, -0x1.0c6ea3586b749p-6, -0x1.0524a67c4f34cp-6, -0x1.fc0f752224a8fp-7, -0x1.ee2ded9fa84b8p-7, -0x1.e0a2eb9a256bap-7, -0x1.d36caaecc84b4p-7, -0x1.c6896e1fad491p-7, -0x1.b9f77e61e2d6ap-7, -0x1.adb52b82cafd8p-7, -0x1.a1c0cbeac8bfbp-7, -0x1.9618bc935deafp-7, -0x1.8abb60fea87a9p-7, -0x1.7fa7232e4d9c2p-7, -0x1.74da7399dd97cp-7, -0x1.6a53c924b36dcp-7, -0x1.6011a1135191ap-7, -0x1.56127f004e0d8p-7, -0x1.4c54ecd0be93dp-7, -0x1.42d77aa845d98p-7, -0x1.3998bedcb22d5p-7, -0x1.309755e93a87ap-7, -0x1.27d1e26160672p-7, -0x1.1f470ce37a47bp-7, -0x1.16f5840aea389p-7, -0x1.0edbfc6209027p-7, -0x1.06f93053c78edp-7, -0x1.fe97c03a18633p-8, -0x1.efa5a37ba332cp-8, -0x1.e119a1d4134fep-8, -0x1.d2f15df4947fp-8, -0x1.c52a85b88ecbp-8, -0x1.b7c2d2063e305p-8, -0x1.aab806aef58e3p-8, -0x1.9e07f24f12802p-8, -0x1.91b06e2dae395p-8, -0x1.85af5e1c0d133p-8, -0x1.7a02b054d8103p-8, -0x1.6ea85d5b24452p-8, -0x1.639e67d950e12p-8, -0x1.58e2dc7fbf7fp-8, -0x1.4e73d1e37097bp-8, -0x1.444f685c86a09p-8, -0x1.3a73c9e4b574fp-8, -0x1.30df29f5a8be4p-8, -0x1.278fc5675df98p-8, -0x1.1e83e24e8075p-8, -0x1.15b9cfdac42e1p-8, -0x1.0d2fe6354b60dp-8, -0x1.04e4865f13f99p-8, -0x1.f9ac341ef3b51p-9, -0x1.ea0627259259bp-9, -0x1.dad3db51d91e7p-9, -0x1.cc1256c86b73ep-9, -0x1.bdbeb0108eb39p-9, -0x1.afd60dd244346p-9, -0x1.a255a694b19e7p-9, -0x1.953ac07cddb0cp-9, -0x1.8882b10ccb09cp-9, -0x1.7c2adce2f0632p-9, -0x1.7030b77a1742cp-9, -0x1.6491c2e9aab23p-9, -0x1.594b8fa6744cfp-9, -0x1.4e5bbc43cd46bp-9, -0x1.43bff53550eb9p-9, -0x1.3975f4910558dp-9, -0x1.2f7b81d20f422p-9, -0x1.25ce719be7c13p-9, -0x1.1c6ca57e1f727p-9, -0x1.13540bb8ad2e5p-9, -0x1.0a829f00d0d08p-9, -0x1.01f666468a0e4p-9, -0x1.f35ae8f547d41p-10, -0x1.e34bd0aab8301p-10, -0x1.d3bbd83b4dc47p-10, -0x1.c4a76ae221596p-10, -0x1.b60b0a187d955p-10, -0x1.a7e34d282ccbp-10, -0x1.9a2ce0bf03284p-10, -0x1.8ce48683c16acp-10, -0x1.800714ac3ab8p-10, -0x1.73917594cf99bp-10, -0x1.6780a7594061dp-10, -0x1.5bd1bb6ec4fp-10, -0x1.5081d63f8cc19p-10, -0x1.458e2ec78a04cp-10, -0x1.3af40e329ad3ep-10, -0x1.30b0cf7c0675ep-10, -0x1.26c1df0f5e67bp-10, -0x1.1d24ba6aa9497p-10, -0x1.13d6efc1fa95bp-10, -0x1.0ad61da4579d5p-10, -0x1.021ff2a1fd41fp-10, -0x1.f36459e7ee773p-11, -0x1.e315344a364ebp-11, -0x1.d34e2d78a5887p-11, -0x1.c40b1bd081407p-11, -0x1.b547f2587363fp-11, -0x1.a700c01d27494p-11, -0x1.9931af908b651p-11, -0x1.8bd705ebb483dp-11, -0x1.7eed22936212dp-11, -0x1.72707e7f1a043p-11, -0x1.665daba2df01fp-11, -0x1.5ab1545b75ad3p-11, -0x1.4f683add3b641p-11, -0x1.447f38a5822b6p-11, -0x1.39f33dee74aa5p-11, -0x1.2fc1512576475p-11, -0x1.25e68e63fdd48p-11, -0x1.1c6026eae5293p-11, -0x1.132b60a0263a8p-11, -0x1.0a45958f01325p-11, -0x1.01ac336a8489ap-11, -0x1.f2b97624e78ap-12, -0x1.e2a9803502b05p-12, -0x1.d323d0a7b845bp-12, -0x1.c423d6b206f12p-12, -0x1.b5a52437bf575p-12, -0x1.a7a36cec30421p-12, -0x1.9a1a857739212p-12, -0x1.8d06629ebf4adp-12, -0x1.80631874705dap-12, -0x1.742cd987ca8e7p-12, -0x1.685ff61c545f1p-12, -0x1.5cf8db6402d5dp-12, -0x1.51f412bdb00a4p-12, -0x1.474e40f7a1939p-12, -0x1.3d0425960b071p-12, -0x1.33129a1d7a84dp-12, -0x1.297691612bb5bp-12, -0x1.202d16d526aafp-12, -0x1.17334de42369p-12, -0x1.0e86714926dbbp-12, -0x1.0623d26cbf88cp-12, -0x1.fc11b18bc14cp-13, -0x1.ec66027c87697p-13, -0x1.dd3fbb3491f66p-13, -0x1.ce9a27c888c83p-13, -0x1.c070bbb654516p-13, -0x1.b2bf10c91b84ep-13, -0x1.a580e603c7a85p-13, -0x1.98b21e91f8781p-13, -0x1.8c4ec0bf3e46cp-13, -0x1.8052f4f49597bp-13, -0x1.74bb04bbeff66p-13, -0x1.698359c9c1096p-13, -0x1.5ea87d0c6da56p-13, -0x1.542715c17f292p-13, -0x1.49fbe890891c2p-13, -0x1.4023d6ab9c243p-13, -0x1.369bdcf538cdep-13, -0x1.2d61132b97d2dp-13, -0x1.2470ab193fc2cp-13, -0x1.1bc7efcac153ap-13, -0x1.136444c986887p-13, -0x1.0b43255b9e2a5p-13, -0x1.036223c8623f4p-13, -0x1.f77dd143d9c78p-14, -0x1.e8ae64267297fp-14, -0x1.da51a665bc053p-14, -0x1.cc6366b488f2bp-14, -0x1.bedf9b02a8058p-14, -0x1.b1c25f3cbf226p-14, -0x1.a507f414b746ap-14, -0x1.98acbdd269a5cp-14, -0x1.8cad432c62fdap-14, -0x1.81062c28a5b72p-14, -0x1.75b441052886cp-14, -0x1.6ab46927f65b3p-14, -0x1.6003aa16bdb1cp-14, -0x1.559f2675a97dcp-14, -0x1.4b841d0d5aeb7p-14, -0x1.41afe7d7d8f06p-14, -0x1.381ffb1451a3p-14, -0x1.2ed1e46183e96p-14, -0x1.25c349deac075p-14, -0x1.1cf1e952cd939p-14, -0x1.145b975a34d13p-14, -0x1.0bfe3e9a0bc29p-14, -0x1.03d7def9de351p-14, -0x1.f7cd19c5d3a84p-15, -0x1.e850e10a2f581p-15, -0x1.d9378a42f7f94p-15, -0x1.ca7db0b4766b2p-15, -0x1.bc20130f692cep-15, -0x1.ae1b92259d8ep-15, -0x1.a06d2fa891b9bp-15, -0x1.93120cf1e2b8bp-15, -0x1.860769d54028ap-15, -0x1.794aa37bb5bdfp-15, -0x1.6cd933480281p-15, -0x1.60b0adc3cf4c7p-15, -0x1.54cec19580d17p-15, -0x1.4931367e76a6ep-15, -0x1.3dd5ec617857p-15, -0x1.32bada512138fp-15, -0x1.27de0da6105bap-15, -0x1.1d3da91caec12p-15, -0x1.12d7e3fa54113p-15, -0x1.08ab093999d91p-15, -0x1.fd6aed7b5a207p-16, -0x1.e9eb3918df897p-16, -0x1.d6d3f81e6ed2ep-16, -0x1.c4224eb3fd68p-16, -0x1.b1d380f1b6f59p-16, -0x1.9fe4f1871d915p-16, -0x1.8e54206e02c8ep-16, -0x1.7d1ea9a90a544p-16, -0x1.6c42440d65001p-16, -0x1.5bbcc0176e0fp-16, -0x1.4b8c06c9ddf94p-16, -0x1.3bae18974d5bep-16, -0x1.2c210c55ad4f3p-16, -0x1.1ce30e3b7f169p-16, -0x1.0df25ee66ef02p-16, -0x1.fe9aa4d63db36p-17, -0x1.e1e49edb94363p-17, -0x1.c5bf9c87257e8p-17, -0x1.aa28b03845074p-17, -0x1.8f1d0c66e0d12p-17, -0x1.749a0216c7164p-17, -0x1.5a9cff5a2d84p-17, -0x1.41238de305882p-17, -0x1.282b51a2b65dp-17, -0x1.0fb20777ac6d7p-17, -0x1.ef6b07d0dec0cp-18, -0x1.c06763d782d66p-18, -0x1.9255237ac5c7ep-18, -0x1.65306f7e2816bp-18, -0x1.38f596cae1374p-18, -0x1.0da10c6087f3cp-18, -0x1.c65ecab7d7a8p-19, -0x1.733aae26d2c36p-19, -0x1.21cf6a9003ef3p-19, -0x1.a42dc1aa2d4e5p-20, -0x1.08164fd11645cp-20, -0x1.bd344d238c612p-22, 0x1.31c803a9e8f21p-23, 0x1.710d3bde12698p-21, 0x1.47a6232988afap-20, 0x1.d3a19ee810215p-20, 0x1.2e416ad620872p-19, 0x1.7129a33c999d8p-19, 0x1.b28e17adf703bp-19, 0x1.f27348dda7643p-19, 0x1.186ecd9c57028p-18, 0x1.36e8ac6c028d8p-18, 0x1.54a959acd5c1cp-18, 0x1.71b2e2d0a362ap-18, 0x1.8e074ac0a930ep-18, 0x1.a9a88aa6d3677p-18, 0x1.c49892ac243bbp-18, 0x1.ded94aaca1198p-18, 0x1.f86c92e132421p-18, 0x1.08aa223feb679p-17, 0x1.14c919294665ap-17, 0x1.209414a2a6d1ap-17, 0x1.2c0bf875bcde6p-17, 0x1.3731a5fe85b24p-17, 0x1.4205fc65f29e9p-17, 0x1.4c89d8d8ca317p-17, 0x1.56be16bae797ap-17, 0x1.60a38fd7023e2p-17, 0x1.6a3b1c8b267dap-17, 0x1.738593f1f4ebbp-17, 0x1.7c83cc08ea557p-17, 0x1.853699d3a7723p-17, 0x1.8d9ed17c86468p-17, 0x1.95bd46727bc69p-17, 0x1.9d92cb847828bp-17, 0x1.a52032fa55c1cp-17, 0x1.ac664eab876bbp-17, 0x1.b365f0138505ap-17, 0x1.ba1fe8643122cp-17, 0x1.c09508963c3bcp-17, 0x1.c6c62177a0c4ap-17, 0x1.ccb403b861f0bp-17, 0x1.d25f7ff58e97dp-17, 0x1.d7c966c2a50d4p-17, 0x1.dcf288b17a80ap-17, 0x1.e1dbb658abab4p-17, 0x1.e685c058b39d4p-17, 0x1.eaf1775fb431dp-17, 0x1.ef1fac2c0fdf2p-17, 0x1.f3112f8ddc16dp-17, 0x1.f6c6d2673ef25p-17, 0x1.fa4165abd0ac6p-17, 0x1.fd81ba5f03c85p-17, 0x1.004450c8da86bp-16, 0x1.01ab762f70f24p-16, 0x1.02f6b5f3cca35p-16, 0x1.042678a71db3ap-16, 0x1.053b26d88637cp-16, 0x1.0635291214591p-16, 0x1.0714e7d577fbp-16, 0x1.07dacb986e291p-16, 0x1.08873cc0f8a1fp-16, 0x1.091aa3a1576b7p-16, 0x1.09956873d2d73p-16, 0x1.09f7f35657693p-16, 0x1.0a42ac45e682fp-16, 0x1.0a75fb19e7593p-16, 0x1.0a92477f549b9p-16, 0x1.0a97f8f3cc906p-16, 0x1.0a8776c08b931p-16, 0x1.0a6127f553d5dp-16, 0x1.0a2573633e14ap-16, 0x1.09d4bf9780ea5p-16, 0x1.096f72d62e0ebp-16, 0x1.08f5f314e6ef7p-16, 0x1.0868a5f58b852p-16, 0x1.07c7f0c0e6feap-16, 0x1.071438616230bp-16, 0x1.064de15db26adp-16, 0x1.05754fd38f81p-16, 0x1.048ae77277864p-16, }}, 
      {{-0x1.862f0af1ca1f7p-1, -0x1.86335d5aef92bp-1, -0x1.8638fc8e8830fp-1, -0x1.863da42aafa7bp-1, -0x1.863e55a36d6d9p-1, -0x1.86377ae2b0c6p-1, -0x1.862509c93aa1bp-1, -0x1.8602a69061ab5p-1, -0x1.85cbc3c7f11acp-1, -0x1.857bbf329e94ap-1, -0x1.850dfb23959e1p-1, -0x1.847df4426dc67p-1, -0x1.83c753c80e33fp-1, -0x1.82e5fe646687ap-1, -0x1.81d6200ebbf9ep-1, -0x1.8094350bef13ep-1, -0x1.7f1d1079e0429p-1, -0x1.7d6de0aee2168p-1, -0x1.7b8431b92e0e2p-1, -0x1.795dee45a8e73p-1, -0x1.76f95f2f8d1d8p-1, -0x1.745529f46325fp-1, -0x1.71704e4159a0ap-1, -0x1.6e4a22c8d6c2dp-1, -0x1.6ae251892ee4fp-1, -0x1.6738d3a7e34ebp-1, -0x1.634decffb48cp-1, -0x1.5f22277b3f499p-1, -0x1.5ab64e51b4d0bp-1, -0x1.560b6937a905fp-1, -0x1.5122b792b33a7p-1, -0x1.4bfdabbbe40a1p-1, -0x1.469de65aa896ep-1, -0x1.410531dfabcf4p-1, -0x1.3b357e258e2e1p-1, -0x1.3530dc3bce344p-1, -0x1.2ef97a5f0f3e5p-1, -0x1.2891a020de888p-1, -0x1.21fbaac048963p-1, -0x1.1b3a09b3dc37cp-1, -0x1.144f3b653327dp-1, -0x1.0d3dca1d9c69p-1, -0x1.0608492337267p-1, -0x1.fd62a40af5381p-2, -0x1.ee77042ff2451p-2, -0x1.df52f034041b7p-2, -0x1.cffba4134af8fp-2, -0x1.c07656411192bp-2, -0x1.b0c833f1df749p-2, -0x1.a0f65db2a1daep-2, -0x1.9105e4499a329p-2, -0x1.80fbc5ddb35a1p-2, -0x1.70dceb60fa741p-2, -0x1.60ae263aea06ep-2, -0x1.50742e2f51dbdp-2, -0x1.40339f7eb9da5p-2, -0x1.2ff0f93d1f6dp-2, -0x1.1fb09bdc15055p-2, -0x1.0f76c7e555de7p-2, -0x1.fe8f39c5ec418p-3, -0x1.de4e30e4e7534p-3, -0x1.be322b0002956p-3, -0x1.9e42974ef5fcap-3, -0x1.7e869d7123548p-3, -0x1.5f051cb791d2ep-3, -0x1.3fc4abac0d706p-3, -0x1.20cb97d105e1p-3, -0x1.021fe59603f8dp-3, -0x1.c78ea0f96433p-4, -0x1.8b8e96d55c241p-4, -0x1.504a0248fad1dp-4, -0x1.15caa9dc6296dp-4, -0x1.b8338d39be8f2p-5, -0x1.46800bc3114c2p-5, -0x1.ad162d222d389p-6, -0x1.a18f973c1041p-7, 0x1.f3ac5667babccp-12, 0x1.b925f14c1a7c1p-7, 0x1.ad6cb90a2e827p-6, 0x1.3d22caffafa1cp-5, 0x1.a1848e0dedcb9p-5, 0x1.01e92d468fb9cp-4, 0x1.3201e6e425f8p-4, 0x1.6108b39923399p-4, 0x1.8efa410249cd9p-4, 0x1.bbd3a7647e14fp-4, 0x1.e79266699d546p-4, 0x1.091a30ebf456ap-3, 0x1.1ddbef2325f9cp-3, 0x1.320dbee7dc905p-3, 0x1.45af1e63c049ep-3, 0x1.58bfb7383c6bcp-3, 0x1.6b3f5cdc53584p-3, 0x1.7d2e0afd6d355p-3, 0x1.8e8be3e3dbac9p-3, 0x1.9f592edba68a2p-3, 0x1.af9656a23a49p-3, 0x1.bf43e7d97aba2p-3, 0x1.ce628f80a89c2p-3, 0x1.dcf319738815ep-3, 0x1.eaf66ef01e495p-3, 0x1.f86d95236176fp-3, 0x1.02acd5de891ecp-2, 0x1.08ddf5c5868f2p-2, 0x1.0ecad28e1f3fcp-2, 0x1.14741fb5b3048p-2, 0x1.19da9b48e796ap-2, 0x1.1eff0d4112597p-2, 0x1.23e246e5b1d11p-2, 0x1.2885223209b64p-2, 0x1.2ce8813edfe31p-2, 0x1.310d4db064a81p-2, 0x1.34f478283bfadp-2, 0x1.389ef7bbb5916p-2, 0x1.3c0dc96e2485bp-2, 0x1.3f41efaf54be4p-2, 0x1.423c71de1dac5p-2, 0x1.44fe5bcf0137ap-2, 0x1.4788bd56d3541p-2, 0x1.49dca9d95d0e2p-2, 0x1.4bfb37dbf395ap-2, 0x1.4de5809befebbp-2, 0x1.4f9c9fa9002acp-2, 0x1.5121b2833f0f8p-2, 0x1.5275d83d07a35p-2, 0x1.539a31206f0d1p-2, 0x1.548fde585e5ddp-2, 0x1.5558019d2d918p-2, 0x1.55f3bce4bee25p-2, 0x1.56643215fb33fp-2, 0x1.56aa82bfa5eafp-2, 0x1.56c7cfd27464ap-2, 0x1.56bd395e5626fp-2, 0x1.568bde52dc301p-2, 0x1.5634dc42ae3f5p-2, 0x1.55b94f29f737fp-2, 0x1.551a5137be109p-2, 0x1.5458fa9a10eb1p-2, 0x1.5376614cf2f0bp-2, 0x1.527398ebfdfe4p-2, 0x1.5151b286a0605p-2, 0x1.5011bc76e65a1p-2, 0x1.4eb4c23abf30ap-2, 0x1.4d3bcc4faad14p-2, 0x1.4ba7e010b9a4fp-2, 0x1.49f9ff96d8d96p-2, 0x1.4833299b47f01p-2, 0x1.4654595c3aa78p-2, 0x1.445e8683824ddp-2, 0x1.4252a50f3e7b8p-2, 0x1.4031a53c77bfbp-2, 0x1.3dfc73739d346p-2, 0x1.3bb3f836ce8c1p-2, 0x1.39591811e5678p-2, 0x1.36ecb38c2f704p-2, 0x1.346fa71bc4fc6p-2, 0x1.31e2cb1a74c18p-2, 0x1.2f46f3bc2d482p-2, 0x1.2c9cf106dc348p-2, 0x1.29e58ecbb0ebdp-2, 0x1.272194a1b6b6bp-2, 0x1.2451c5e1b92e9p-2, 0x1.2176e1a361cedp-2, 0x1.1e91a2bb848cdp-2, 0x1.1ba2bfbb9077bp-2, 0x1.18aaeaf211765p-2, 0x1.15aad26c3cfb6p-2, 0x1.12a31ff87a4bp-2, 0x1.0f947929dbc41p-2, 0x1.0c7f7f5c7cdb6p-2, 0x1.0964cfbab9cc2p-2, 0x1.0645034336ddap-2, 0x1.0320aecfacb22p-2, 0x1.fff0c638d8d81p-3, 0x1.f99959a12da68p-3, 0x1.f33c290deaa74p-3, 0x1.ecda3daee624p-3, 0x1.e67498c251cd9p-3, 0x1.e00c33a9e19b3p-3, 0x1.d9a20000fd30ap-3, 0x1.d336e7b3dc1e6p-3, 0x1.cccbcd1787b62p-3, 0x1.c6618b02affacp-3, 0x1.bff8f4e73b0a2p-3, 0x1.b992d6ec9366ep-3, 0x1.b32ff60a8f4fdp-3, 0x1.acd11024f4a94p-3, 0x1.a676dc2786ff5p-3, 0x1.a0220a228eebap-3, 0x1.99d34367d3d3fp-3, 0x1.938b2aa7f3c71p-3, 0x1.8d4a5c101a59ap-3, 0x1.87116d67fec1fp-3, 0x1.80e0ee3026901p-3, 0x1.7ab967c05eef2p-3, 0x1.749b5d6661008p-3, 0x1.6e874c849eacfp-3, 0x1.687dacb124928p-3, 0x1.627eefd49492fp-3, 0x1.5c8b824922252p-3, 0x1.56a3caf994ce2p-3, 0x1.50c82b804553ap-3, 0x1.4af9004608754p-3, 0x1.4536a0a1080e7p-3, 0x1.3f815ef380f4p-3, 0x1.39d988ca5f643p-3, 0x1.343f66fbb13eep-3, 0x1.2eb33dc4eee58p-3, 0x1.29354ce90cb18p-3, 0x1.23c5cfce58849p-3, 0x1.1e64fd9c19c63p-3, 0x1.19130957ebe4ap-3, 0x1.13d02202db42bp-3, 0x1.0e9c72b632fb9p-3, 0x1.097822bffa9b2p-3, 0x1.046355bf2d78p-3, 0x1.febc577f261cbp-4, 0x1.f4d182aa8b18ap-4, 0x1.eb065f6fbb8b3p-4, 0x1.e15b19ba85956p-4, 0x1.d7cfd7283501fp-4, 0x1.ce64b73badaa7p-4, 0x1.c519d390c7ddcp-4, 0x1.bbef400ed9abp-4, 0x1.b2e50b1a7ce71p-4, 0x1.a9fb3dc67b0cfp-4, 0x1.a131dc03f0915p-4, 0x1.9888e4d18c64ap-4, 0x1.9000526a0eff6p-4, 0x1.87981a71d979dp-4, 0x1.7f502e23b1f9cp-4, 0x1.77287a7ca74c9p-4, 0x1.6f20e86719d58p-4, 0x1.67395ce4e7869p-4, 0x1.5f71b938bbf2cp-4, 0x1.57c9db0e82b68p-4, 0x1.50419ca2fd454p-4, 0x1.48d8d4ea7ca33p-4, 0x1.418f57b6be832p-4, 0x1.3a64f5dbef8cbp-4, 0x1.33597d54d37ccp-4, 0x1.2c6cb96612f4ep-4, 0x1.259e72c0b27ddp-4, 0x1.1eee6fa3b1274p-4, 0x1.185c73fcd40cep-4, 0x1.11e841889c1c6p-4, 0x1.0b9197f16adcfp-4, 0x1.055834edd7ccep-4, 0x1.fe77a8bc6d60fp-5, 0x1.f27860d2a66dep-5, 0x1.e6b20330c2ddcp-5, 0x1.db23fde45156dp-5, 0x1.cfcdbc2acf974p-5, 0x1.c4aea6a4f0b0cp-5, 0x1.b9c623886097bp-5, 0x1.af1396d010a09p-5, 0x1.a496626b08b4cp-5, 0x1.9a4de669d03dp-5, 0x1.9039812a64e83p-5, 0x1.86588f82d24ebp-5, 0x1.7caa6cea67469p-5, 0x1.732e73a192c3ep-5, 0x1.69e3fcd86d315p-5, 0x1.60ca60d3f43c4p-5, 0x1.57e0f711ff6a8p-5, 0x1.4f27166bf0492p-5, 0x1.469c15382bedfp-5, 0x1.3e3f496a58de6p-5, 0x1.361008b271e53p-5, 0x1.2e0da89aad22cp-5, 0x1.26377ea43fc9dp-5, 0x1.1e8ce06304dep-5, 0x1.170d23980c3abp-5, 0x1.0fb79e4b17decp-5, 0x1.088ba6e30e848p-5, 0x1.0188943d67c12p-5, 0x1.f55b7b8934ea8p-6, 0x1.e7f4f70b1d3d6p-6, 0x1.dadc4c883fd0bp-6, 0x1.ce102f1d5b9e7p-6, 0x1.c18f53a18d747p-6, 0x1.b55870c9e0434p-6, 0x1.a96a3f4b2436ap-6, 0x1.9dc379fa1671fp-6, 0x1.9262dde9e8377p-6, 0x1.87472a892e9fap-6, 0x1.7c6f21bd429f8p-6, 0x1.71d987fc23a87p-6, 0x1.67852464dfb27p-6, 0x1.5d70c0d68e101p-6, 0x1.539b2a05ec869p-6, 0x1.4a032f919f5e5p-6, 0x1.40a7a41525501p-6, 0x1.37875d3a89278p-6, 0x1.2ea133cad609p-6, 0x1.25f403bd5d221p-6, 0x1.1d7eac45d4807p-6, 0x1.15400fe155673p-6, 0x1.0d371462499b1p-6, 0x1.0562a2fb4c94bp-6, 0x1.fb83509209a0cp-7, 0x1.eca628b613483p-7, 0x1.de2bb577ab37cp-7, 0x1.d011e4ef94924p-7, 0x1.c256ac46b6abep-7, 0x1.b4f807c0b7dd1p-7, 0x1.a7f3fac4f0b8p-7, 0x1.9b488fe5d9652p-7, 0x1.8ef3d8e6e47e2p-7, 0x1.82f3eec0f46f6p-7, 0x1.7746f1a559148p-7, 0x1.6beb08ff81316p-7, 0x1.60de63755cf5ep-7, 0x1.561f36e67cd01p-7, 0x1.4babc06a0b825p-7, 0x1.4182444b99eb2p-7, 0x1.37a10e06db761p-7, 0x1.2e0670424f8c1p-7, 0x1.24b0c4c8f32d1p-7, 0x1.1b9e6c82fb432p-7, 0x1.12cdcf6da7de2p-7, 0x1.0a3d5c9239a27p-7, 0x1.01eb89fc155fep-7, 0x1.f3ada95c3da97p-8, 0x1.e3fb812eaae16p-8, 0x1.d4bdb10d7d486p-8, 0x1.c5f15c3d46278p-8, 0x1.b793b38e58662p-8, 0x1.a9a1f540d4518p-8, 0x1.9c196ce79058ep-8, 0x1.8ef77349f8ebcp-8, 0x1.82396e44efa31p-8, 0x1.75dcd0aabe424p-8, 0x1.69df1a222d0bap-8, 0x1.5e3dd704c8393p-8, 0x1.52f6a03c672f6p-8, 0x1.48071b2000aa5p-8, 0x1.3d6cf94fdbf24p-8, 0x1.3325f8912860ep-8, 0x1.292fe2a90c619p-8, 0x1.1f888d3736111p-8, 0x1.162dd98ff94cep-8, 0x1.0d1db4960675cp-8, 0x1.04561693c7201p-8, 0x1.f7aa0628cdc48p-9, 0x1.e7311179336d4p-9, 0x1.d73d82463f4d9p-9, 0x1.c7cba152376c4p-9, 0x1.b8d7cca475559p-9, 0x1.aa5e7739791fep-9, 0x1.9c5c28b2c6f6bp-9, 0x1.8ecd7d06a48e5p-9, 0x1.81af242fc2537p-9, 0x1.74fde1dce52b2p-9, 0x1.68b68d2097842p-9, 0x1.5cd61020f71e1p-9, 0x1.515967c7a7f84p-9, 0x1.463da371f5fap-9, 0x1.3b7fe4a13bd94p-9, 0x1.311d5eab8d8efp-9, 0x1.2713566cbcddap-9, 0x1.1d5f21f7bb4b9p-9, 0x1.13fe284860e14p-9, 0x1.0aede0f5ada0ep-9, 0x1.022bd3e480163p-9, 0x1.f36b31f59f41ap-10, 0x1.e311afa6edb8ep-10, 0x1.d3468ee518ebcp-10, 0x1.c4055bf4b3416p-10, 0x1.b549c0c1dc596p-10, 0x1.a70f844cc09dbp-10, 0x1.99528a1766187p-10, 0x1.8c0ed194f0365p-10, 0x1.7f40759a3f709p-10, 0x1.72e3abd01b074p-10, 0x1.66f4c426d2c85p-10, 0x1.5b70284b6c084p-10, 0x1.50525b1e674d7p-10, 0x1.4597f82c17ee9p-10, 0x1.3b3db3269b255p-10, 0x1.314057617c199p-10, 0x1.279cc74efac1ap-10, 0x1.1e4ffbff043bap-10, 0x1.1557049fe1205p-10, 0x1.0caf060099cf8p-10, 0x1.04553a15121p-10, 0x1.f88ddef7d6dfep-11, 0x1.e903120c3a1c7p-11, 0x1.da04fa80a93d9p-11, 0x1.cb8eabfc3034fp-11, 0x1.bd9b5fcd59e3dp-11, 0x1.b02674078914ap-11, 0x1.a32b6aa3de812p-11, 0x1.96a5e8a5aac5ep-11, 0x1.8a91b5426b5cp-11, 0x1.7eeab90d54669p-11, 0x1.73acfd26613f3p-11, 0x1.68d4aa6cef21dp-11, 0x1.5e5e08b5d9a49p-11, 0x1.54457e0518bfap-11, 0x1.4a878dcadcccbp-11, 0x1.4120d82422a2ap-11, 0x1.380e191ebd52dp-11, 0x1.2f4c2800ccc07p-11, 0x1.26d7f693a064ap-11, 0x1.1eae9071fc90ep-11, 0x1.16cd1a59bc8e1p-11, 0x1.0f30d180cdc4bp-11, 0x1.07d70aed77feep-11, 0x1.00bd32d1f1dd6p-11, 0x1.f3c197d665b9p-12, 0x1.e67eddc60479ep-12, 0x1.d9ad936a6a251p-12, 0x1.cd493e302df3p-12, 0x1.c14d8bcfe5b7fp-12, 0x1.b5b6512b684p-12, 0x1.aa7f89312d927p-12, 0x1.9fa553c5be3e6p-12, 0x1.9523f4b319d3ep-12, 0x1.8af7d29e06927p-12, 0x1.811d760135957p-12, 0x1.7791882e2a621p-12, 0x1.6e50d253cc2a5p-12, 0x1.65583c8a98372p-12, 0x1.5ca4cce6557f7p-12, 0x1.5433a68d41516p-12, 0x1.4c0208d495136p-12, 0x1.440d4e625de8ep-12, 0x1.3c52ec548640ap-12, 0x1.34d0716d060aap-12, 0x1.2d8385431fe96p-12, 0x1.2669e7799a428p-12, 0x1.1f816ef9dd358p-12, 0x1.18c80933e21bdp-12, 0x1.123bb962e5429p-12, 0x1.0bda97d6bac9fp-12, 0x1.05a2d141bcc26p-12, 0x1.ff254c16771f7p-13, 0x1.f350d34cabff9p-13, 0x1.e7c503da62d8ap-13, 0x1.dc7ecd00e2113p-13, 0x1.d17b4055c87d7p-13, 0x1.c6b7909298468p-13, 0x1.bc31106c6448ap-13, 0x1.b1e5317360db7p-13, 0x1.a7d182fa3cfe6p-13, 0x1.9df3b10522967p-13, 0x1.9449834026cacp-13, 0x1.8ad0dbfd1a4a2p-13, 0x1.8187b7387e066p-13, 0x1.786c29a5897cp-13, 0x1.6f7c5fc117492p-13, 0x1.66b69ceb4bf22p-13, 0x1.5e193a87e3e8fp-13, 0x1.55a2a724f0183p-13, 0x1.4d5165a7f7f15p-13, 0x1.45240c813d6e4p-13, 0x1.3d1944e524d57p-13, 0x1.352fca0b7e7e7p-13, 0x1.2d666874a5fb4p-13, 0x1.25bbfd344d37cp-13, 0x1.1e2f7541d06e3p-13, 0x1.16bfccce00064p-13, 0x1.0f6c0e9e27a09p-13, 0x1.0833536c5501bp-13, 0x1.0114c14c9a68ap-13, 0x1.f41f162ea1a2dp-14, 0x1.e645dfb048327p-14, 0x1.d89c7483a4fdfp-14, 0x1.cb21804d11f7ap-14, 0x1.bdd3c3e96d3eap-14, 0x1.b0b214707d3a8p-14, 0x1.a3bb5a3fdfa97p-14, 0x1.96ee900e426b1p-14, 0x1.8a4ac206bb558p-14, 0x1.7dcf0cebff7e6p-14, 0x1.717a9d4350b61p-14, 0x1.654cae86e81bp-14, 0x1.59448a5facf28p-14, 0x1.4d6187e606f63p-14, 0x1.41a30ae99cb49p-14, 0x1.3608833fcdbeap-14, 0x1.2a916c18ba54cp-14, 0x1.1f3d4b5aabe75p-14, 0x1.140bb103b01e7p-14, 0x1.08fc36913c6fbp-14, 0x1.fc1cfcdb5c9a2p-15, 0x1.e68466c6fbe9p-15, 0x1.d12e102bf4e0cp-15, 0x1.bc196cfecdf39p-15, 0x1.a745fee8a3203p-15, 0x1.92b35457f92acp-15, 0x1.7e61079b6853ap-15, 0x1.6a4ebe05d903dp-15, 0x1.567c271c02cefp-15, 0x1.42e8fbcaef1a4p-15, 0x1.2f94fda73139ap-15, 0x1.1c7ff6349552bp-15, 0x1.09a9b636035ddp-15, 0x1.ee242a0aa178fp-16, 0x1.c971dfe58d7f5p-16, 0x1.a53c53583352fp-16, 0x1.8183535535afap-16, 0x1.5e46b750c3468p-16, 0x1.3b865e38732d5p-16, 0x1.19422d782f54ep-16, 0x1.eef420178bfafp-17, 0x1.ac5beb3956854p-17, 0x1.6abba357271dap-17, 0x1.2a13358ad85a2p-17, 0x1.d4c5270d7b456p-18, 0x1.57536455c1e67p-18, 0x1.b7a220bb411dep-19, 0x1.88f866f989bbap-20, -0x1.5659223236aeap-22, -0x1.163412a0db18ep-19, -0x1.fdbeceaf565cp-19, -0x1.70b5cf3ffa606p-18, -0x1.e09d6d5cbe6d1p-18, -0x1.274b3c80a833ap-17, -0x1.5d509b0b1f8adp-17, -0x1.925efb48a1b21p-17, -0x1.c6768de88e99bp-17, -0x1.f9978bef2acb4p-17, -0x1.15e11ba48861ep-16, -0x1.2e7b6da915b9bp-16, -0x1.469ae6a85a436p-16, -0x1.5e3fb6726a806p-16, -0x1.756a12369bb4p-16, -0x1.8c1a34b09396ep-16, -0x1.a2505e504d7cbp-16, -0x1.b80cd55d539e2p-16, -0x1.cd4fe6155ef67p-16, -0x1.e219e2c693c06p-16, -0x1.f66b23e58f2cbp-16, -0x1.0522040fbaf07p-15, -0x1.0ed27a341ad74p-15, -0x1.18472a0293987p-15, -0x1.21804c4a1e5bp-15, -0x1.2a7e1d07f6486p-15, -0x1.3340db67ff3bp-15, -0x1.3bc8c9c3b27bcp-15, -0x1.44162d9fa788ap-15, -0x1.4c294fa7c7a9bp-15, -0x1.54027baa4478cp-15, -0x1.5ba200915f0c1p-15, -0x1.6308305c12804p-15, -0x1.6a356015b274ep-15, -0x1.7129e7cc8e694p-15, -0x1.77e62287a91dp-15, -0x1.7e6a6e3b90eb8p-15, -0x1.84b72bbe6c3b1p-15, -0x1.8accbebb44168p-15, -0x1.90ab8da49930cp-15, -0x1.965401a658388p-15, -0x1.9bc686972f487p-15, -0x1.a1038ae95730ep-15, -0x1.a60b7f9add364p-15, -0x1.aaded82571985p-15, -0x1.af7e0a6dcd9ccp-15, -0x1.b3e98eb2b4b93p-15, -0x1.b821df7b9ffccp-15, -0x1.bc277987180d8p-15, -0x1.bffadbb8ccda9p-15, -0x1.c39c87076e413p-15, -0x1.c70cfe6a4fbbbp-15, -0x1.ca4cc6c6e0783p-15, -0x1.cd5c66ddff0b9p-15, -0x1.d03c67392e846p-15, -0x1.d2ed5217b46f7p-15, -0x1.d56fb35ba815ep-15, -0x1.d7c41876f634ep-15, -0x1.d9eb105863fbap-15, -0x1.dbe52b5891524p-15, -0x1.ddb2fb270368ap-15, -0x1.df5512b73dafdp-15, -0x1.e0cc062dea50dp-15, -0x1.e2186ace1bdbep-15, -0x1.e33ad6e6a663p-15, -0x1.e433e1bf9ace9p-15, -0x1.e5042387e4c8dp-15, -0x1.e5ac35430d686p-15, -0x1.e62cb0b72ae4dp-15, -0x1.e686305afd53cp-15, -0x1.e6b94f443b51cp-15, -0x1.e6c6a91613fcfp-15, -0x1.e6aed9efe69f5p-15, -0x1.e6727e5c33a1bp-15, -0x1.e612333fc9a9bp-15, -0x1.e58e95c92f9b7p-15, -0x1.e4e84360502ddp-15, -0x1.e41fd99664e79p-15, -0x1.e335f61626a5ap-15, -0x1.e22b3694434ecp-15, -0x1.e10038c017facp-15, -0x1.dfb59a34b60b1p-15, -0x1.de4bf86a2ff54p-15, -0x1.dcc3f0a72fea2p-15, -0x1.db1e1ff2da816p-15, -0x1.d95b2306fe23ap-15, }}, 
      {{-0x1.862dfae72073cp-1, -0x1.862f8053dfa09p-1, -0x1.8631b7a79c611p-1, -0x1.86342a53f1976p-1, -0x1.8636396323728p-1, -0x1.863722f784adfp-1, -0x1.8636081e5267dp-1, -0x1.8631f2a6d400ap-1, -0x1.8629dac7037eap-1, -0x1.861cac69778d1p-1, -0x1.86094c0e08951p-1, -0x1.85ee9b30e14e2p-1, -0x1.85cb7c3305b7p-1, -0x1.859ed5c4a86cdp-1, -0x1.856795d54cb4dp-1, -0x1.8524b41028aeap-1, -0x1.84d533ecc17bcp-1, -0x1.8478265c9a919p-1, -0x1.840cab1f29d44p-1, -0x1.8391f1c548b04p-1, -0x1.83073a6d15941p-1, -0x1.826bd63ed556cp-1, -0x1.81bf27b2d5d02p-1, -0x1.8100a2a7c1537p-1, -0x1.802fcc502eec7p-1, -0x1.7f4c3afd9ep-1, -0x1.7e5595ce6c4e4p-1, -0x1.7d4b9443bf922p-1, -0x1.7c2dfdc3cc61ap-1, -0x1.7afca90c5ee79p-1, -0x1.79b77b9910042p-1, -0x1.785e690021e41p-1, -0x1.76f1724899857p-1, -0x1.7570a53bcd64bp-1, -0x1.73dc1bb45575bp-1, -0x1.7233faebf849fp-1, -0x1.707872c9f8f82p-1, -0x1.6ea9bd32eb9p-1, -0x1.6cc81d5b07b5fp-1, -0x1.6ad3df1bc2d57p-1, -0x1.68cd564d5a229p-1, -0x1.66b4de24cd819p-1, -0x1.648ad896b9ef6p-1, -0x1.624fadbf5f499p-1, -0x1.6003cb5010ca9p-1, -0x1.5da7a40239c9cp-1, -0x1.5b3baf1012ad4p-1, -0x1.58c067b31501p-1, -0x1.56364ca832a8bp-1, -0x1.539ddfb9cae59p-1, -0x1.50f7a54f51887p-1, -0x1.4e442402952dap-1, -0x1.4b83e43a8c1b5p-1, -0x1.48b76fcb8c0bfp-1, -0x1.45df519ccd731p-1, -0x1.42fc15531664ap-1, -0x1.400e47006a274p-1, -0x1.3d1672d896f6fp-1, -0x1.3a1524ea7866fp-1, -0x1.370ae8ddc93a2p-1, -0x1.33f849b55997fp-1, -0x1.30ddd1957f9dp-1, -0x1.2dbc098e9b938p-1, -0x1.2a93796b859bbp-1, -0x1.2764a783ba524p-1, -0x1.2430189120323p-1, -0x1.20f64f893d3b3p-1, -0x1.1db7cd79b4d7dp-1, -0x1.1a751167e9104p-1, -0x1.172e983398582p-1, -0x1.13e4dc7c53034p-1, -0x1.10985689a685bp-1, -0x1.0d497c35d954bp-1, -0x1.09f8c0db16a43p-1, -0x1.06a69542e93d9p-1, -0x1.03536797e6356p-1, -0x1.ffff46b2cf3aap-2, -0x1.f95762a27224p-2, -0x1.f2afef163a96fp-2, -0x1.ec09b29c15a57p-2, -0x1.e5656e2e17b28p-2, -0x1.dec3dd2b44639p-2, -0x1.d825b55336ccap-2, -0x1.d18ba6c473bfep-2, -0x1.caf65bfd3e3adp-2, -0x1.c46679debf51ep-2, -0x1.bddc9fb25b57ep-2, -0x1.b75967310a78dp-2, -0x1.b0dd648c90b7bp-2, -0x1.aa69267a70ceap-2, -0x1.a3fd364078f4ap-2, -0x1.9d9a17c2c65a3p-2, -0x1.974049932417fp-2, -0x1.90f04501a4932p-2, -0x1.8aaa7e2e5e796p-2, -0x1.846f641c2cc7ap-2, -0x1.7e3f60c45cc0ap-2, -0x1.781ad92b33d5p-2, -0x1.72022d7530056p-2, -0x1.6bf5b8fcf8306p-2, -0x1.65f5d269dd136p-2, -0x1.6002cbc6e06e2p-2, -0x1.5a1cf29a2e811p-2, -0x1.54448ffcf6192p-2, -0x1.4e79e8b3942cdp-2, -0x1.48bd3d45fecd8p-2, -0x1.430eca186b083p-2, -0x1.3d6ec78412704p-2, -0x1.37dd69f01d2cp-2, -0x1.325ae1ea93eadp-2, -0x1.2ce75c415f0dep-2, -0x1.2783021b3d753p-2, -0x1.222df910ae8bap-2, -0x1.1ce86344ca4acp-2, -0x1.17b25f7df60f9p-2, -0x1.128c093e78e36p-2, -0x1.0d7578dce43a9p-2, -0x1.086ec39c4548bp-2, -0x1.0377fbc426d51p-2, -0x1.fd2261709dc79p-3, -0x1.f374de207d98bp-3, -0x1.e9e7815cd73f9p-3, -0x1.e07a59ae55d36p-3, -0x1.d72d708eaa3a5p-3, -0x1.ce00ca95247ep-3, -0x1.c4f467a2aa654p-3, -0x1.bc08430cfc5fap-3, -0x1.b33c53c94e098p-3, -0x1.aa908c961e0e1p-3, -0x1.a204dc245b79bp-3, -0x1.99992d3fc9882p-3, -0x1.914d66f6a3b29p-3, -0x1.89216cc0811a4p-3, -0x1.81151ea46be1fp-3, -0x1.7928595e3c4a9p-3, -0x1.715af683251aap-3, -0x1.69accca57bdeep-3, -0x1.621daf77b5f99p-3, -0x1.5aad6fee9b634p-3, -0x1.535bdc62b9a99p-3, -0x1.4c28c0b0ff6d7p-3, -0x1.4513e65a9f294p-3, -0x1.3e1d14a41fbd3p-3, -0x1.374410b3ad39fp-3, -0x1.30889daea2001p-3, -0x1.29ea7cd64d7a3p-3, -0x1.23696da3f5cf2p-3, -0x1.1d052de421bd5p-3, -0x1.16bd79d115832p-3, -0x1.10920c2ca3603p-3, -0x1.0a829e59346adp-3, -0x1.048ee87221792p-3, -0x1.fd6d42c6a321p-4, -0x1.f1f2fe004d4c4p-4, -0x1.e6ae6c3371638p-4, -0x1.db9ef528c36a6p-4, -0x1.d0c3fef93ab96p-4, -0x1.c61cee3682fe9p-4, -0x1.bba9261216317p-4, -0x1.b168088319de6p-4, -0x1.a758f66af1b6ap-4, -0x1.9d7b4fb897393p-4, -0x1.93ce738abd7f6p-4, -0x1.8a51c050c077fp-4, -0x1.810493ea67a8cp-4, -0x1.77e64bc68650dp-4, -0x1.6ef6450079457p-4, -0x1.6633dc7c8baf3p-4, -0x1.5d9e6f0346e0cp-4, -0x1.5535595bb4d75p-4, -0x1.4cf7f8649835bp-4, -0x1.44e5a92ca3edbp-4, -0x1.3cfdc909b3d3cp-4, -0x1.353fb5af0f6eap-4, -0x1.2daacd42bae35p-4, -0x1.263e6e71dbf71p-4, -0x1.1ef9f8843923cp-4, -0x1.17dccb6ed88c7p-4, -0x1.10e647e5c49fcp-4, -0x1.0a15cf6cf9edfp-4, -0x1.036ac468861c1p-4, -0x1.f9c91457bbe15p-5, -0x1.ed050a10d5a54p-5, -0x1.e08834b6b926ep-5, -0x1.d45161357c364p-5, -0x1.c85f5ec3aa776p-5, -0x1.bcb0fef9a74c5p-5, -0x1.b14515e7b589fp-5, -0x1.a61a7a2ab68cp-5, -0x1.9b3004ffa42fcp-5, -0x1.90849255d0f5cp-5, -0x1.861700dffd6cep-5, -0x1.7be6322440154p-5, -0x1.71f10a8ad802dp-5, -0x1.6836716be38fep-5, -0x1.5eb5511c1366p-5, -0x1.556c96f85497p-5, -0x1.4c5b3370846bfp-5, -0x1.43801a1130b99p-5, -0x1.3ada418c70579p-5, -0x1.3268a3c1d73fap-5, -0x1.2a2a3dc59519fp-5, -0x1.221e0fe6bc765p-5, -0x1.1a431db4c556ap-5, -0x1.12986e044894cp-5, -0x1.0b1d0af301829p-5, -0x1.03d001eb18ee2p-5, -0x1.f960c74b8a4f2p-6, -0x1.eb7a885a802aep-6, -0x1.ddeb75bc3e9ecp-6, -0x1.d0b1c4d01de4ap-6, -0x1.c3cbb19bf7b2p-6, -0x1.b7377ecb5bda7p-6, -0x1.aaf375adb98b9p-6, -0x1.9efde6337ff23p-6, -0x1.935526ea4ab22p-6, -0x1.87f794f81db46p-6, -0x1.7ce39415c07bap-6, -0x1.72178e8841708p-6, -0x1.6791f519aa4b4p-6, -0x1.5d513f10ee0d2p-6, -0x1.5353ea2922d4cp-6, -0x1.49987a8805714p-6, -0x1.401d7ab3d62f4p-6, -0x1.36e17b8897515p-6, -0x1.2de3142cb4f1fp-6, -0x1.2520e2051e0cp-6, -0x1.1c9988a8d9383p-6, -0x1.144bb1d419584p-6, -0x1.0c360d5ad9edcp-6, -0x1.0457511b12974p-6, -0x1.f95c71dcf6bd7p-7, -0x1.ea730d37e5794p-7, -0x1.dbf0039111a92p-7, -0x1.cdd0efd0738acp-7, -0x1.c013785ca2d68p-7, -0x1.b2b54efb23d37p-7, -0x1.a5b430b01dd3bp-7, -0x1.990de59da98c4p-7, -0x1.8cc040e2a22a7p-7, -0x1.80c920791986fp-7, -0x1.75266d1477e75p-7, -0x1.69d619ff45e5dp-7, -0x1.5ed624f8abc23p-7, -0x1.54249611bf706p-7, -0x1.49bf7f8a94ba5p-7, -0x1.3fa4fdaf20a0dp-7, -0x1.35d336b4004e7p-7, -0x1.2c485a93199edp-7, -0x1.2302a2e82c966p-7, -0x1.1a0052cd54876p-7, -0x1.113fb6b7819cbp-7, -0x1.08bf2452f1212p-7, -0x1.007cfa5fac1bp-7, -0x1.f0ef411c1cfd6p-8, -0x1.e15b0eb6c4286p-8, -0x1.d23a4fdd1a228p-8, -0x1.c38a07e9b9fa4p-8, -0x1.b5474afde39dep-8, -0x1.a76f3dbb9a27p-8, -0x1.99ff1500164f3p-8, -0x1.8cf4159e93873p-8, -0x1.804b941b7e725p-8, -0x1.7402f46810079p-8, -0x1.6817a99e59027p-8, -0x1.5c8735bdc613ap-8, -0x1.514f296822bc5p-8, -0x1.466d239f21dc5p-8, -0x1.3bded1826ec4bp-8, -0x1.31a1ee0e5138p-8, -0x1.27b441dae3806p-8, -0x1.1e13a2dbe30dbp-8, -0x1.14bdf4211e6b9p-8, -0x1.0bb1259786c0ep-8, -0x1.02eb33cae400ap-8, -0x1.f4d44f50699b7p-9, -0x1.e4582c817274bp-9, -0x1.d45e411b5b74ep-9, -0x1.c4e2e6696c963p-9, -0x1.b5e28c99fe4d3p-9, -0x1.a759ba4a296c3p-9, -0x1.99450c12e220ep-9, -0x1.8ba1341790101p-9, -0x1.7e6af99614ec5p-9, -0x1.719f3878526acp-9, -0x1.653ae0e72d568p-9, -0x1.593af6df0c112p-9, -0x1.4d9c91c5d591fp-9, -0x1.425cdc0274d5p-9, -0x1.37791295d967fp-9, -0x1.2cee84b57fc6dp-9, -0x1.22ba936777f76p-9, -0x1.18dab11ff3646p-9, -0x1.0f4c616052a75p-9, -0x1.060d3857b731bp-9, -0x1.fa35b50a29c96p-10, -0x1.e8e5f8b58a8fbp-10, -0x1.d826c3c7343c4p-10, -0x1.c7f3bcd2da32p-10, -0x1.b848a83a5832fp-10, -0x1.a9216780bd3bep-10, -0x1.9a79f8a04d3c9p-10, -0x1.8c4e756364459p-10, -0x1.7e9b12c04d318p-10, -0x1.715c2037ee82ap-10, -0x1.648e073763f97p-10, -0x1.582d4a7c5a1c1p-10, -0x1.4c36857c51f5cp-10, -0x1.40a66bce9ee4fp-10, -0x1.3579c89934fd6p-10, -0x1.2aad7e002bd78p-10, -0x1.203e849804704p-10, -0x1.1629eada9714dp-10, -0x1.0c6cd49eacb97p-10, -0x1.03047a92429c3p-10, -0x1.f3dc536eb480ap-11, -0x1.e24e85c6d854cp-11, -0x1.d15a7482bb386p-11, -0x1.c0fb2dabfabe4p-11, -0x1.b12be40df87a9p-11, -0x1.a1e7ee48b5436p-11, -0x1.932ac5e884486p-11, -0x1.84f0068286785p-11, -0x1.77336cd5deaa8p-11, -0x1.69f0d5f18de32p-11, -0x1.5d243e5ee5e7p-11, -0x1.50c9c15083b7p-11, -0x1.44dd97d5bf7bp-11, -0x1.395c181281e04p-11, -0x1.2e41b47b6e06ep-11, -0x1.238afb1650afbp-11, -0x1.193494bec09eep-11, -0x1.0f3b446ee2ea6p-11, -0x1.059be68c4131bp-11, -0x1.f8a6e07141b2ap-12, -0x1.e6bddd4d9377dp-12, -0x1.d5770ce65e0c2p-12, -0x1.c4cce600cc66cp-12, -0x1.b4ba0baeba9f9p-12, -0x1.a5394c167fa64p-12, -0x1.96459f41f675cp-12, -0x1.87da25f4a1d4fp-12, -0x1.79f22888cb923p-12, -0x1.6c8915d3858d6p-12, -0x1.5f9a820f61552p-12, -0x1.532225cdca12bp-12, -0x1.471bdceedcbd2p-12, -0x1.3b83a59f9e99dp-12, -0x1.30559f5e736b2p-12, -0x1.258e0a05bc54ap-12, -0x1.1b2944dc751fap-12, -0x1.1123cdacbb28dp-12, -0x1.077a3fe0203d6p-12, -0x1.fc52a7434e5b9p-13, -0x1.ea5bba0aa1ba5p-13, -0x1.d909966a3caafp-13, -0x1.c8564f46d3661p-13, -0x1.b83c2a84f3f76p-13, -0x1.a8b59f8271529p-13, -0x1.99bd5599d48e6p-13, -0x1.8b4e22afaca57p-13, -0x1.7d6309c973c5ep-13, -0x1.6ff739ade8ddcp-13, -0x1.63060b8e9f3c7p-13, -0x1.568b01ba97411p-13, -0x1.4a81c659aaf0cp-13, -0x1.3ee62a309f9e8p-13, -0x1.33b4236dab1a5p-13, -0x1.28e7cc7d3bc4dp-13, -0x1.1e7d62e6d67d1p-13, -0x1.14714631e0fa9p-13, -0x1.0abff6d21d202p-13, -0x1.0166151bb95c9p-13, -0x1.f0c0c07d7718p-14, -0x1.df576a9356aap-14, -0x1.ce8a1c6679e93p-14, -0x1.be5301d5ca1b5p-14, -0x1.aeac7ce049b12p-14, -0x1.9f9123e0c662bp-14, -0x1.90fbbfd667f82p-14, -0x1.82e74ab9b4e14p-14, -0x1.754eedddd9459p-14, -0x1.682e005dd6796p-14, -0x1.5b80059553b04p-14, -0x1.4f40aba4cb1cbp-14, -0x1.436bca00c800ep-14, -0x1.37fd600bf4a97p-14, -0x1.2cf193bbaf5c3p-14, -0x1.2244b046e6a41p-14, -0x1.17f324defa248p-14, -0x1.0df983725eec3p-14, -0x1.04547f78c94f8p-14, -0x1.f601d99139649p-15, -0x1.e3f77ceacf957p-15, -0x1.d2840b6e5a76bp-15, -0x1.c1a1e1b485aa4p-15, -0x1.b14b946f18d75p-15, -0x1.a17bee69b40d6p-15, -0x1.922dee9a6784ep-15, -0x1.835cc641bb037p-15, -0x1.7503d719bc0aep-15, -0x1.671eb193ae4f2p-15, -0x1.59a91323f53ep-15, -0x1.4c9ee49bda5c9p-15, -0x1.3ffc3890cd0b1p-15, -0x1.33bd49d0bfcdfp-15, -0x1.27de79e3445c3p-15, -0x1.1c5c4f9710b22p-15, -0x1.1133759b93171p-15, -0x1.0660b9263ef95p-15, -0x1.f7c21146854a6p-16, -0x1.e362e4e298f99p-16, -0x1.cf9e475035bf9p-16, -0x1.bc6ecdd2f8a9ep-16, -0x1.a9cf4678fcc4cp-16, -0x1.97bab5e4f3505p-16, -0x1.862c552b6c203p-16, -0x1.751f8fc2bd4fap-16, -0x1.6490018501617p-16, -0x1.547974c3a5c4bp-16, -0x1.44d7e06bff64bp-16, -0x1.35a7663c6fcfdp-16, -0x1.26e45109920cp-16, -0x1.188b1312fdf8ap-16, -0x1.0a98446722b1bp-16, -0x1.fa1142ab992f7p-17, -0x1.dfb211e1b787cp-17, -0x1.c60cf7358eefdp-17, -0x1.ad1c3344ec67fp-17, -0x1.94da43d8198adp-17, -0x1.7d41e14c8f002p-17, -0x1.664dfc17f8b5dp-17, -0x1.4ff9ba62cac28p-17, -0x1.3a4075b99c07dp-17, -0x1.251db8d4b0fc2p-17, -0x1.108d3d74d6397p-17, -0x1.f915d4aa00eep-18, -0x1.d225a25feadb4p-18, -0x1.ac4259b2c1205p-18, -0x1.8764bed35b265p-18, -0x1.6385e0f821728p-18, -0x1.409f16fc455f9p-18, -0x1.1ea9fc20f63a4p-18, -0x1.fb40d9def3bap-19, -0x1.baf9087617782p-19, -0x1.7c713082e9319p-19, -0x1.3f9e6fd2a6d5fp-19, -0x1.0476503a28309p-19, -0x1.95dd850674ff8p-20, -0x1.25fc331f03e18p-20, -0x1.726c16bc22d99p-21, -0x1.3de48145ba135p-22, 0x1.74bd21a181216p-24, 0x1.eca5bb2a120d4p-22, 0x1.b85f7ea187b47p-21, 0x1.3a6e3b6a45a24p-20, 0x1.95f3d02f2ae72p-20, 0x1.eecee6effe888p-20, 0x1.2286b5e2f479ep-19, 0x1.4c5e69ec1586bp-19, 0x1.74f511acca407p-19, 0x1.9c50f9a05674dp-19, 0x1.c2783b5e8181bp-19, 0x1.e770c0361fde2p-19, 0x1.05a021d45370cp-18, 0x1.16f62ae3fddd4p-18, 0x1.27bd2ebbcc9a8p-18, 0x1.37f7cd4917b5ep-18, 0x1.47a893fa61441p-18, 0x1.56d1feb828014p-18, 0x1.657678d182ee1p-18, 0x1.73985ddcf7c39p-18, 0x1.8139fa8e0a333p-18, 0x1.8e5d8d7ff73d4p-18, 0x1.9b0547f605889p-18, 0x1.a7334e91e0e7fp-18, 0x1.b2e9ba0060749p-18, 0x1.be2a979d215p-18, 0x1.c8f7ea0d56072p-18, 0x1.d353a9d227b12p-18, 0x1.dd3fc5d3087a2p-18, 0x1.e6be23e048057p-18, 0x1.efd0a12e462bdp-18, 0x1.f87912c9927cep-18, 0x1.005ca302234f7p-17, 0x1.0449806e758d8p-17, 0x1.0804012f97c12p-17, 0x1.0b8d017f5d413p-17, 0x1.0ee55a762d485p-17, 0x1.120de232ead95p-17, 0x1.15076c004decdp-17, 0x1.17d2c877cb4ep-17, 0x1.1a70c5a2288cdp-17, 0x1.1ce22f15da6dfp-17, 0x1.1f27ce1347116p-17, 0x1.2142699f080e3p-17, 0x1.2332c69a4503ep-17, 0x1.24f9a7d93f6a4p-17, 0x1.2697ce3827437p-17, 0x1.280df8ae4e971p-17, 0x1.295ce45fd4362p-17, 0x1.2a854cadd5c85p-17, 0x1.2b87eb454311bp-17, 0x1.2c65782c616eep-17, 0x1.2d1ea9cf13461p-17, 0x1.2db43509f6e09p-17, 0x1.2e26cd346b3cap-17, 0x1.2e7724298d239p-17, 0x1.2ea5ea503b382p-17, 0x1.2eb3cea2308d9p-17, 0x1.2ea17eb243c18p-17, 0x1.2e6fa6b1d927cp-17, 0x1.2e1ef17594914p-17, 0x1.2db0087956edap-17, 0x1.2d2393e3960cfp-17, 0x1.2c7a3a8816dccp-17, 0x1.2bb4a1ea17d1p-17, 0x1.2ad36e3df521fp-17, 0x1.29d7426a50602p-17, 0x1.28c0c008c5e5dp-17, 0x1.27908766387fap-17, 0x1.26473782bd3fbp-17, 0x1.24e56e112e1b9p-17, 0x1.236bc7766cb2ep-17, 0x1.21dadec85c053p-17, 0x1.20334dcc984bbp-17, 0x1.1e75acf6f474cp-17, 0x1.1ca29367c2bbbp-17, 0x1.1aba96e9ee8f2p-17, 0x1.18be4bf0eed54p-17, 0x1.16ae459694982p-17, 0x1.148b1598bbdc3p-17, 0x1.12554c56e31a3p-17, 0x1.100d78cfaf8dep-17, 0x1.0db4289e60a85p-17, 0x1.0b49e7f837672p-17, 0x1.08cf41a9d677p-17, 0x1.0644bf149e287p-17, 0x1.03aae82c063aep-17, 0x1.01024372fb426p-17, 0x1.fc96abf28109ep-18, 0x1.f70d46b1b4b08p-18, 0x1.f1695b6706544p-18, 0x1.ebabeb605990ap-18, 0x1.e5d5f4f1250a7p-18, 0x1.dfe8736db623dp-18, 0x1.d9e45f269f0ebp-18, 0x1.d3caad644aa1bp-18, 0x1.cd9c5062c253dp-18, 0x1.c75a374da178bp-18, 0x1.c1054e3c3bcacp-18, 0x1.ba9e7e2dfc741p-18, 0x1.b426ad06f7d12p-18, 0x1.ad9ebd8cbce74p-18, 0x1.a7078f635cc05p-18, 0x1.a061ff0ab3c86p-18, 0x1.99aee5dbed1a4p-18, 0x1.92ef1a0749d1dp-18, 0x1.8c236e9224e56p-18, 0x1.854cb3553b4fp-18, 0x1.7e6bb4fb350f8p-18, 0x1.77813cff6fe92p-18, 0x1.708e11ad0fda6p-18, 0x1.6992f61e4f026p-18, 0x1.6290aa3c13d8fp-18, 0x1.5b87eabdc91e6p-18, 0x1.547971297815ap-18, 0x1.4d65f3d427ec7p-18, 0x1.464e25e27dfc4p-18, 0x1.3f32b7499f79ep-18, 0x1.381454d0556f7p-18, 0x1.30f3a81072b8p-18, 0x1.29d1577877f3p-18, 0x1.22ae064d772aep-18, 0x1.1b8a54ad389f8p-18, 0x1.1466df9098a26p-18, 0x1.0d4440ce272a5p-18, 0x1.06230f1cfebe1p-18, 0x1.fe07bc2fb187cp-19, 0x1.efce7c80b376fp-19, 0x1.e19b7a052d13dp-19, 0x1.d36fc971a2ccbp-19, 0x1.c54c795ed550ep-19, 0x1.b7329252126f7p-19, 0x1.a92316c5e7f54p-19, 0x1.9b1f03333b6cbp-19, 0x1.8d274e1ac6be7p-19, 0x1.7f3ce80eeec0ap-19, 0x1.7160bbbdfa9d4p-19, 0x1.6393adfca2454p-19, 0x1.55d69dd0f10cep-19, 0x1.482a647d82c95p-19, 0x1.3a8fd58d0a241p-19, 0x1.2d07bede2bac1p-19, 0x1.1f92e8afa1887p-19, 0x1.123215aca6a76p-19, 0x1.04e602f9aa8e5p-19, 0x1.ef5ed0828c9d8p-20, 0x1.d51def82e53d4p-20, 0x1.bb0abcb1f6169p-20, }}, 
      {{0x1.a69496c9ac7b6p-16, 0x1.aa6bd0219587p-14, 0x1.e6ccf0b7108dfp-13, 0x1.b94e64bce114ep-12, 0x1.61258ec233dbep-11, 0x1.0561e639e2f05p-10, 0x1.6ec7108a3b257p-10, 0x1.eef2feee8694cp-10, 0x1.4418b2cae04ep-9, 0x1.9e6d5f56553a6p-9, 0x1.03d1e92322aa7p-8, 0x1.407170f891f98p-8, 0x1.85a3977b92631p-8, 0x1.d3ef925767a16p-8, 0x1.15e9eb4cecfefp-7, 0x1.46e262e9ca5b8p-7, 0x1.7d15d38b57b83p-7, 0x1.b8b2f22deb94fp-7, 0x1.f9e24268b2446p-7, 0x1.2062f73031328p-6, 0x1.46bcdb010ffadp-6, 0x1.7009791c961b7p-6, 0x1.9c5054889807fp-6, 0x1.cb95d7fe3d7b5p-6, 0x1.fddb6cdeb0716p-6, 0x1.198fcb6e463d4p-5, 0x1.35af09afbf98fp-5, 0x1.5347fde3c46a3p-5, 0x1.7255f4e948c4bp-5, 0x1.92d30ec0b008cp-5, 0x1.b4b851f836659p-5, 0x1.d7fdbf56c5572p-5, 0x1.fc9a6592a9202p-5, 0x1.11423a74b609fp-4, 0x1.24d8a93a69cffp-4, 0x1.390ad58f749c1p-4, 0x1.4dd2c30e04376p-4, 0x1.632a2b6b3886ep-4, 0x1.790a871d630bcp-4, 0x1.8f6d15ac31033p-4, 0x1.a64ae5a5bb356p-4, 0x1.bd9cdc34defcdp-4, 0x1.d55bbc5671c14p-4, 0x1.ed802dabfc9b8p-4, 0x1.03016175d3feep-3, 0x1.0f6dfff6eb1c3p-3, 0x1.1c022facc5cd5p-3, 0x1.28ba2bf8d9194p-3, 0x1.359230c2b1a9p-3, 0x1.42867cc31f555p-3, 0x1.4f9353a3f433fp-3, 0x1.5cb4fff617be2p-3, 0x1.69e7d4ffc82c3p-3, 0x1.77283064f5b9dp-3, 0x1.84727baba62aap-3, 0x1.91c32d9e5dd99p-3, 0x1.9f16cb8e8110bp-3, 0x1.ac69ea789c007p-3, 0x1.b9b9300c6c531p-3, 0x1.c701539a8050bp-3, 0x1.d43f1ee92ed1p-3, 0x1.e16f6ef280ff1p-3, 0x1.ee8f348cadfdcp-3, 0x1.fb9b74fe9f235p-3, 0x1.0448a540ebae6p-2, 0x1.0ab6f2598981dp-2, 0x1.11174479659b1p-2, 0x1.1768495b5fecbp-2, 0x1.1da8b9e6bf47dp-2, 0x1.23d75a4a7894p-2, 0x1.29f2fa125b66ep-2, 0x1.2ffa74368f4b9p-2, 0x1.35ecaf25c27b7p-2, 0x1.3bc89cca54cccp-2, 0x1.418d3a8ad88fdp-2, 0x1.473991462a006p-2, 0x1.4cccb54b5f451p-2, 0x1.5245c64dd2f47p-2, 0x1.57a3ef558019ap-2, 0x1.5ce666abdec7ep-2, 0x1.620c6dc57ecf4p-2, 0x1.67155128811fp-2, 0x1.6c00685029e1fp-2, 0x1.70cd158daa1fap-2, 0x1.757ac5e65142cp-2, 0x1.7a08f0ef4942bp-2, 0x1.7e7718a702d38p-2, 0x1.82c4c94c7af2ep-2, 0x1.86f19934789bfp-2, 0x1.8afd289ce6b2p-2, 0x1.8ee7217e6ce0cp-2, 0x1.92af375c6db5cp-2, 0x1.965527137f0fp-2, 0x1.99d8b6a68b7d1p-2, 0x1.9d39b50ab4597p-2, 0x1.a077f9f2143a8p-2, 0x1.a393659583a36p-2, 0x1.a68be07d7d66ep-2, 0x1.a9615b4a3fc44p-2, 0x1.ac13ce7b4663fp-2, 0x1.aea33a363c6e1p-2, 0x1.b10fa60d7d995p-2, 0x1.b35920c6480f2p-2, 0x1.b57fc01eb2807p-2, 0x1.b783a0937febep-2, 0x1.b964e525eefe2p-2, 0x1.bb23b72196a42p-2, 0x1.bcc045e2671e2p-2, 0x1.be3ac69ae601ep-2, 0x1.bf93741ab966dp-2, 0x1.c0ca8e9595266p-2, 0x1.c1e05b6a9760bp-2, 0x1.c2d524ec306d3p-2, 0x1.c3a93a289b7ccp-2, 0x1.c45ceeb2f985ap-2, 0x1.c4f09a6d21d37p-2, 0x1.c56499522c2f8p-2, 0x1.c5b94b41c7fcdp-2, 0x1.c5ef13cc674f8p-2, 0x1.c6065a00473e4p-2, 0x1.c5ff883760da7p-2, 0x1.c5db0be648897p-2, 0x1.c599556c02c5ep-2, 0x1.c53ad7e2d8d95p-2, 0x1.c4c008f228455p-2, 0x1.c42960a140a84p-2, 0x1.c377592b42ea8p-2, 0x1.c2aa6ed4150f3p-2, 0x1.c1c31fbe5ec7cp-2, 0x1.c0c1ebc29b8c6p-2, 0x1.bfa754473b9f3p-2, 0x1.be73dc19d8612p-2, 0x1.bd2807497cd96p-2, 0x1.bbc45b01fc46fp-2, 0x1.ba495d685e369p-2, 0x1.b8b79578558eap-2, 0x1.b70f8ae2ca0b5p-2, 0x1.b551c5ed67da8p-2, 0x1.b37ecf533d41dp-2, 0x1.b19730265adf9p-2, 0x1.af9b71b27a0b4p-2, 0x1.ad8c1d60a0198p-2, 0x1.ab69bc9bc0458p-2, 0x1.a934d8b65536bp-2, 0x1.a6edfad0ef7edp-2, 0x1.a495abc1b4ab1p-2, 0x1.a22c73fccbd37p-2, 0x1.9fb2db7db02f3p-2, 0x1.9d2969b16be02p-2, 0x1.9a90a561ace3p-2, 0x1.97e914a0ba4cdp-2, 0x1.95333cb63d843p-2, 0x1.926fa20cde259p-2, 0x1.8f9ec820aada3p-2, 0x1.8cc1316e4dd0cp-2, 0x1.89d75f6302481p-2, 0x1.86e1d24d4e42p-2, 0x1.83e1094e732aep-2, 0x1.80d5824c9abe3p-2, 0x1.7dbfb9e5b365fp-2, 0x1.7aa02b62fa53ep-2, 0x1.777750ad34343p-2, 0x1.7445a24187b9ep-2, 0x1.710b9726fa03cp-2, 0x1.6dc9a4e48b18cp-2, 0x1.6a803f77eb006p-2, 0x1.672fd94cc1503p-2, 0x1.63d8e3348c03cp-2, 0x1.607bcc5f06abcp-2, 0x1.5d1902531de96p-2, 0x1.59b0f0e869ee9p-2, 0x1.564402412819p-2, 0x1.52d29ec4b87dep-2, 0x1.4f5d2d1a91c4dp-2, 0x1.4be41225af46p-2, 0x1.4867b10074264p-2, 0x1.44e86af8fe282p-2, 0x1.41669f8de7522p-2, 0x1.3de2ac6b7192ep-2, 0x1.3a5ced691a30fp-2, 0x1.36d5bc8792d22p-2, 0x1.334d71ef17c1p-2, 0x1.2fc463ee2ae85p-2, 0x1.2c3ae6f8a5738p-2, 0x1.28b14da72398p-2, 0x1.2527e8b6c5b08p-2, 0x1.219f0709463acp-2, 0x1.1e16f5a55e8e8p-2, 0x1.1a8fffb778fcbp-2, 0x1.170a6e92afe53p-2, 0x1.138689b2139c7p-2, 0x1.100496ba36aeep-2, 0x1.0c84d97affa19p-2, 0x1.090793f1b9271p-2, 0x1.058d064b62fa9p-2, 0x1.02156ee73efbep-2, 0x1.fd4214b32d2fp-3, 0x1.f66026dd771b2p-3, 0x1.ef85865c785cap-3, 0x1.e8b2a1bc94547p-3, 0x1.e1e7e40eae147p-3, 0x1.db25b4efb23c4p-3, 0x1.d46c78908a63ap-3, 0x1.cdbc8fbe5d0bcp-3, 0x1.c71657eb22019p-3, 0x1.c07a2b3685ea3p-3, 0x1.b9e860771c191p-3, 0x1.b3614b43cfbap-3, 0x1.ace53bfd9edf2p-3, 0x1.a6747fd9907dbp-3, 0x1.a00f60eaec634p-3, 0x1.99b6262da1c98p-3, 0x1.93691390ee203p-3, 0x1.8d286a022fd21p-3, 0x1.86f46777e504ep-3, 0x1.80cd46fcdaba2p-3, 0x1.7ab340bb80005p-3, 0x1.74a68a09635cfp-3, 0x1.6ea75572c7f5fp-3, 0x1.68b5d2c664f44p-3, 0x1.62d22f213bc4dp-3, 0x1.5cfc94fa81b37p-3, 0x1.57352c2facb55p-3, 0x1.517c1a10881d6p-3, 0x1.4bd1816b5e6ddp-3, 0x1.4635829934c0bp-3, 0x1.40a83b8a0b77ap-3, 0x1.3b29c7d12ddfep-3, 0x1.35ba40b1855adp-3, 0x1.3059bd29f38ffp-3, 0x1.2b085201aadc9p-3, 0x1.25c611d48cebep-3, 0x1.20930d1f84e8dp-3, 0x1.1b6f524cd721fp-3, 0x1.165aedc075f49p-3, 0x1.1155e9e44601p-3, 0x1.0c604f345c372p-3, 0x1.077a244b2f91fp-3, 0x1.02a36dedbafe5p-3, 0x1.fbb85e2f27a37p-4, 0x1.f248d20dd80d8p-4, 0x1.e8f836910cccp-4, 0x1.dfc687871b50dp-4, 0x1.d6b3bd8ac75d6p-4, 0x1.cdbfce1a940a6p-4, 0x1.c4eaabb003376p-4, 0x1.bc3445d68b176p-4, 0x1.b39c89426184fp-4, 0x1.ab235fe70b85ep-4, 0x1.a2c8b10db4839p-4, 0x1.9a8c616b47f05p-4, 0x1.926e53364b988p-4, 0x1.8a6e663c7d9b8p-4, 0x1.828c77f82d6f2p-4, 0x1.7ac863a550fafp-4, 0x1.73220256559e8p-4, 0x1.6b992b08a9cb5p-4, 0x1.642db2b8fe50ep-4, 0x1.5cdf6c773e1f6p-4, 0x1.55ae297a3ba09p-4, 0x1.4e99b93311b6fp-4, 0x1.47a1e96037aecp-4, 0x1.40c6862047c7fp-4, 0x1.3a075a0476ef3p-4, 0x1.33642e22bbe4dp-4, 0x1.2cdcca27a7edcp-4, 0x1.2670f467ed897p-4, 0x1.202071f1952d3p-4, 0x1.19eb069ce24e2p-4, 0x1.13d0751ce427p-4, 0x1.0dd07f0fb509fp-4, 0x1.07eae50e664ffp-4, 0x1.021f66bc9aa6bp-4, 0x1.f8db85af96cdap-5, 0x1.edab6e8c7a541p-5, 0x1.e2ae024b3e1e9p-5, 0x1.d7e2b9b2b2d7ep-5, 0x1.cd490c310f0a3p-5, 0x1.c2e06ff740b7ep-5, 0x1.b8a85a139996bp-5, 0x1.aea03e8bd592fp-5, 0x1.a4c7907680e23p-5, 0x1.9b1dc213b96bap-5, 0x1.91a244e550ce6p-5, 0x1.885489c64b807p-5, 0x1.7f340101c1989p-5, 0x1.76401a69246f9p-5, 0x1.6d784569e04aep-5, 0x1.64dbf1226af5dp-5, 0x1.5c6a8c76b0815p-5, 0x1.54238623eda6p-5, 0x1.4c064cd3edee2p-5, 0x1.44124f2fb6cd5p-5, 0x1.3c46fbf1a0009p-5, 0x1.34a3c1f6d6658p-5, 0x1.2d28105050ac7p-5, 0x1.25d35653358b6p-5, 0x1.1ea503a8b4806p-5, 0x1.179c885d51d66p-5, 0x1.10b954efaf14p-5, 0x1.09fada5ec5446p-5, 0x1.03608a37a0f11p-5, 0x1.f9d3ad452c966p-6, 0x1.ed2c64dff0277p-6, 0x1.e0ca224898a9cp-6, 0x1.d4abce080e08ap-6, 0x1.c8d0523d93b52p-6, 0x1.bd369ab454265p-6, 0x1.b1dd94f8036e8p-6, 0x1.a6c43068977bep-6, 0x1.9be95e4d1dc34p-6, 0x1.914c11e5b28d2p-6, 0x1.86eb407c987cfp-6, 0x1.7cc5e17681362p-6, 0x1.72daee61fc908p-6, 0x1.692963061f3fcp-6, 0x1.5fb03d705c00ep-6, 0x1.566e7e019bf8p-6, 0x1.4d63277a936e5p-6, 0x1.448d3f075b62p-6, 0x1.3bebcc4a541fep-6, 0x1.337dd96653b91p-6, 0x1.2b427308248c7p-6, 0x1.2338a86f5aecfp-6, 0x1.1b5f8b76829a6p-6, 0x1.13b6309aac7cep-6, 0x1.0c3baf02591f2p-6, 0x1.04ef2083ceae6p-6, 0x1.fb9f4355b22f4p-7, 0x1.edb8a37be5b3ap-7, 0x1.e028a585cd791p-7, 0x1.d2ed9305c9937p-7, 0x1.c605bb1c27617p-7, 0x1.b96f727d3783p-7, 0x1.ad2913767a309p-7, 0x1.a130fdf2c463fp-7, 0x1.9585977d853cp-7, 0x1.8a254b4524907p-7, 0x1.7f0e8a1c8058p-7, 0x1.743fca7b9b2c3p-7, 0x1.69b7887f7378ep-7, 0x1.5f7445e919dc7p-7, 0x1.55748a1c027fdp-7, 0x1.4bb6e21ba0e0fp-7, 0x1.4239e0884fe53p-7, 0x1.38fc1d9b84399p-7, 0x1.2ffc37236744fp-7, 0x1.2738d07dc85efp-7, 0x1.1eb0929278487p-7, 0x1.16622bcd10ddcp-7, 0x1.0e4c50162fe7dp-7, 0x1.066db8cc2a662p-7, 0x1.fd8a49767ddb7p-8, 0x1.eea2b02a97ce9p-8, 0x1.e02238d220496p-8, 0x1.d2068131f49f8p-8, 0x1.c44d31a31a7ep-8, 0x1.b6f3fcfebd12ep-8, 0x1.a9f8a08967252p-8, 0x1.9d58e3dd855edp-8, 0x1.911298d53bc47p-8, 0x1.85239b739320dp-8, 0x1.7989d1cd0e73p-8, 0x1.6e432befacdd5p-8, 0x1.634da3ca5ff8p-8, 0x1.58a73d1403c23p-8, 0x1.4e4e0531dcf9ap-8, 0x1.4440131da5bb7p-8, 0x1.3a7b874b34883p-8, 0x1.30fe8b8dbecadp-8, 0x1.27c752fcc586ap-8, 0x1.1ed419d8ad4bbp-8, 0x1.1623256f0c6c3p-8, 0x1.0db2c3feb5ebdp-8, 0x1.05814c9b85628p-8, 0x1.fb1a3e23e9a86p-9, 0x1.eba9479504cc8p-9, 0x1.dcac9759d5796p-9, 0x1.ce2120067cee9p-9, 0x1.c003e4b9b562p-9, 0x1.b251f8e28a235p-9, 0x1.a5088005ebb7ap-9, 0x1.9824ad8426af2p-9, 0x1.8ba3c45e41b61p-9, 0x1.7f8316fb56947p-9, 0x1.73c006ede73cbp-9, 0x1.685804b93bdc9p-9, 0x1.5d488f96cde0bp-9, 0x1.528f353bd15dcp-9, 0x1.4829919edb307p-9, 0x1.3e154ebdadf49p-9, 0x1.345024633b575p-9, 0x1.2ad7d7edd6637p-9, 0x1.21aa3c15a7aafp-9, 0x1.18c530b3610d9p-9, 0x1.1026a2873fbf8p-9, 0x1.07cc8b00592fap-9, 0x1.ff69e0087e5e2p-10, 0x1.efbbc76e03187p-10, 0x1.e08b088715c12p-10, 0x1.d1d3f748c9e65p-10, 0x1.c392fed9c6014p-10, 0x1.b5c4a1257ff4cp-10, 0x1.a86576704af6fp-10, 0x1.9b722cec5f6e1p-10, 0x1.8ee7884fd17e1p-10, 0x1.82c2616b78879p-10, 0x1.76ffa5c2e3bddp-10, 0x1.6b9c57254af07p-10, 0x1.60958b47920cep-10, 0x1.55e86b5f5416ap-10, 0x1.4b9233bf1099ep-10, 0x1.419033736ab6fp-10, 0x1.37dfcbe188687p-10, 0x1.2e7e706698c56p-10, 0x1.2569a5f8795eep-10, 0x1.1c9f02c7901c1p-10, 0x1.141c2de1c671dp-10, 0x1.0bdeded6b9198p-10, 0x1.03e4dd5d18e5fp-10, 0x1.f85801f280dc4p-11, 0x1.e9646149f90d8p-11, 0x1.daeac4f119e3dp-11, 0x1.cce736a9bc1dcp-11, 0x1.bf55dd1df426ap-11, 0x1.b232fb396bf05p-11, 0x1.a57aef852fb3ep-11, 0x1.992a3385f3003p-11, 0x1.8d3d5b1cc996p-11, 0x1.81b113ea57ab8p-11, 0x1.768224b478775p-11, 0x1.6bad6cce57dbap-11, 0x1.612fe3830138dp-11, 0x1.570697825ee5dp-11, 0x1.4d2eae50a9689p-11, 0x1.43a563b846a77p-11, 0x1.3a68093e10f8bp-11, 0x1.3174059809aa9p-11, 0x1.28c6d4266e74dp-11, 0x1.205e046f320dcp-11, 0x1.1837399bd2b55p-11, 0x1.105029f98a342p-11, 0x1.08a69e7bd62f8p-11, 0x1.013872415042fp-11, 0x1.f4072435a9f31p-12, 0x1.e60bf829e555cp-12, 0x1.d87b7e0739452p-12, 0x1.cb51f4203ac67p-12, 0x1.be8bb89282fcep-12, 0x1.b225486b6fb2fp-12, 0x1.a61b3ed13efcp-12, 0x1.9a6a54307dd17p-12, 0x1.8f0f5d6dbe6ap-12, 0x1.84074b1b876dep-12, 0x1.794f28b471ac9p-12, 0x1.6ee41bd96bc59p-12, 0x1.64c363940e25bp-12, 0x1.5aea579cfe732p-12, 0x1.515667a64cc94p-12, 0x1.48051aa9bf82dp-12, 0x1.3ef40e3b082a2p-12, 0x1.3620f5ddc6178p-12, 0x1.2d899a5f5889ep-12, 0x1.252bd9346942bp-12, 0x1.1d05a3da27896p-12, 0x1.1514ff3b1fc56p-12, 0x1.0d580317aba19p-12, 0x1.05ccd971e58e5p-12, 0x1.fce37bfa27d72p-13, 0x1.ee89fb21021bap-13, 0x1.e089eb3b5ee47p-13, 0x1.d2e02753bcdbp-13, 0x1.c589a9959f243p-13, 0x1.b8838a4d86b02p-13, 0x1.abcafeef37d49p-13, 0x1.9f5d59222f5e2p-13, 0x1.933805d43995cp-13, 0x1.87588c51fe32p-13, 0x1.7bbc8d657496cp-13, 0x1.7061c27a22aafp-13, 0x1.6545fcc7040a2p-13, 0x1.5a67247e0cf4ep-13, 0x1.4fc33801215f2p-13, 0x1.45584b1c70cc6p-13, 0x1.3b2486461772fp-13, 0x1.312625e2e8ba8p-13, 0x1.275b799057602p-13, 0x1.1dc2e3734d506p-13, 0x1.145ad78bece87p-13, 0x1.0b21db0e16b1cp-13, 0x1.021683bea446fp-13, 0x1.f26eeeaa6c511p-14, 0x1.e106d5c513644p-14, 0x1.cff244765d5p-14, 0x1.bf2edecd2c1d6p-14, 0x1.aeba6424ae58bp-14, 0x1.9e92ae132bf74p-14, 0x1.8eb5af60f97d4p-14, 0x1.7f21730746159p-14, 0x1.6fd41b36b68f7p-14, 0x1.60cbe0658dd82p-14, 0x1.520710654112fp-14, 0x1.43840d7f47926p-14, 0x1.35414d9901c53p-14, 0x1.273d595e889cp-14, 0x1.1976cb74401e8p-14, 0x1.0bec4faf0335fp-14, 0x1.fd3944a5832cep-15, 0x1.e30d1eaecf919p-15, 0x1.c951e367d9292p-15, 0x1.b005655eb79aap-15, 0x1.9725926f7552p-15, 0x1.7eb0727d3f971p-15, 0x1.66a42636b828ap-15, 0x1.4efee5e51f956p-15, 0x1.37bf0046109f1p-15, 0x1.20e2d96f8ce38p-15, 0x1.0a68e9be12bbcp-15, 0x1.e89f7998f356fp-16, 0x1.bd2be0eab32p-16, 0x1.927467bb684b7p-16, 0x1.68768d11543ecp-16, 0x1.3f2feee7eeb5fp-16, 0x1.169e4879fcb8ap-16, 0x1.dd7ee13891714p-17, 0x1.8f22b0511400ap-17, 0x1.422410f00bf94p-17, 0x1.ecfe87b60b52p-18, 0x1.58616a383d744p-18, 0x1.8cd3e54211552p-19, 0x1.b88cb12fa0335p-21, -0x1.56b7bbf2eec8fp-20, -0x1.bfb53c8719681p-19, -0x1.677a3b700145bp-18, -0x1.ec9250e2f19a6p-18, -0x1.379419e34a294p-17, -0x1.77a08404d06b8p-17, -0x1.b670e216823c2p-17, -0x1.f4079a72c467ep-17, -0x1.18338024b029dp-16, -0x1.35c8aaa32ccfep-16, -0x1.52c4659257f69p-16, -0x1.6f27c296e2fa3p-16, -0x1.8af3ccd304c9ep-16, -0x1.a6298993b507ap-16, -0x1.c0c9f8f5279bdp-16, -0x1.dad6167ec48a8p-16, -0x1.f44ed9b6ee2ffp-16, -0x1.069a9b576fb23p-15, -0x1.12c50f436bc8ep-15, -0x1.1ea73ff577c2ep-15, -0x1.2a41a3c45e995p-15, -0x1.3594b03f114c2p-15, -0x1.40a0da60b8194p-15, -0x1.4b6696c192ecfp-15, -0x1.55e659c4c3b6ap-15, -0x1.602097c31eba7p-15, -0x1.6a15c5332206dp-15, -0x1.73c656ce2896p-15, -0x1.7d32c1b2fa9ddp-15, -0x1.865b7b85cf3b5p-15, -0x1.8f40fa8ddf2dap-15, -0x1.97e3b5d09934p-15, -0x1.a044252a998fdp-15, -0x1.a862c16674294p-15, -0x1.b04004516aeb1p-15, -0x1.b7dc68ce29315p-15, -0x1.bf386ae59425ap-15, -0x1.c65487d5c9416p-15, -0x1.cd313e1f5e69dp-15, -0x1.d3cf0d90f4f2ap-15, -0x1.da2e775136383p-15, -0x1.e04ffde749506p-15, -0x1.e6342541d5a2fp-15, -0x1.ebdb72bca242fp-15, -0x1.f1466d24e522ep-15, -0x1.f6759cbc4f1ap-15, -0x1.fb698b3aeab7ap-15, -0x1.001161e7ea00fp-14, -0x1.0250e99070d0bp-14, -0x1.0473a3a4a3e1ap-14, -0x1.0679d7eba1e8cp-14, -0x1.0863cee4706f8p-14, -0x1.0a31d1c3ef9b7p-14, -0x1.0be42a7265a87p-14, -0x1.0d7b2388aa5fp-14, -0x1.0ef7084cf5397p-14, -0x1.105824af56824p-14, -0x1.119ec545e076ap-14, -0x1.12cb374882f26p-14, -0x1.13ddc88ca4a33p-14, -0x1.14d6c780776bp-14, -0x1.15b6832613a73p-14, -0x1.167d4b0e58be1p-14, -0x1.172b6f539d368p-14, -0x1.17c140942d45cp-14, -0x1.183f0fec9fcp-14, -0x1.18a52ef2042p-14, -0x1.18f3efabebfc9p-14, -0x1.192ba48e55b09p-14, }}, 
      {{0x1.1d6b5157ba03ep-6, 0x1.1c8bf1a88db85p-5, 0x1.a8b1df5b64312p-5, 0x1.19370f2eb5a4p-4, 0x1.5c91dbb98d775p-4, 0x1.9e29d2cd9970ap-4, 0x1.ddce2f2859b6ep-4, 0x1.0dae038f2cdeap-3, 0x1.2b5e84d196345p-3, 0x1.47f304ca1f0ddp-3, 0x1.636abbe004546p-3, 0x1.7dc8f0a61d8a6p-3, 0x1.9714403226a67p-3, 0x1.af55f3d2081bp-3, 0x1.c699666f57608p-3, 0x1.dceb7a9e4a56p-3, 0x1.f25a216eb404fp-3, 0x1.0379f8be1d263p-2, 0x1.0d63e6ac82ab7p-2, 0x1.16f24c19b9ef2p-2, 0x1.202c7bbc2b4cfp-2, 0x1.2919901405b13p-2, 0x1.31c0574b55544p-2, 0x1.3a2743ad5b1b6p-2, 0x1.4254601f700acp-2, 0x1.4a4d481016f35p-2, 0x1.5217225c2ff63p-2, 0x1.59b69eb60e0b6p-2, 0x1.612ff525bf7d5p-2, 0x1.6886e745484fep-2, 0x1.6fbec2e63a0b3p-2, 0x1.76da65d8396e7p-2, 0x1.7ddc429156422p-2, 0x1.84c665819a893p-2, 0x1.8b9a7ae2f95aep-2, 0x1.9259d4ddc4901p-2, 0x1.990571dff59ffp-2, 0x1.9f9e030b2457cp-2, 0x1.a623f2a1decfp-2, 0x1.ac976a614d3bep-2, 0x1.b2f859b7c55edp-2, 0x1.b9467bcc1bc7dp-2, 0x1.bf815d4c3dd77p-2, 0x1.c5a861fc01cc2p-2, 0x1.cbbac9ff002d5p-2, 0x1.d1b7b6da0ee13p-2, 0x1.d79e302a49533p-2, 0x1.dd6d2810bf364p-2, 0x1.e3237f52d8d6ap-2, 0x1.e8c0093045687p-2, 0x1.ee418eefde299p-2, 0x1.f3a6d3257428p-2, 0x1.f8ee94b2cda82p-2, 0x1.fe17918670fd7p-2, 0x1.0190448d80e69p-1, 0x1.04041f5d0f843p-1, 0x1.0666bdc2e2143p-1, 0x1.08b788259d622p-1, 0x1.0af5eb915341dp-1, 0x1.0d215a6f192f9p-1, 0x1.0f394d25eaeadp-1, 0x1.113d42a64dc91p-1, 0x1.132cc0e219359p-1, 0x1.15075531c5f9p-1, 0x1.16cc94a88e945p-1, 0x1.187c1c58a4d1p-1, 0x1.1a159188ae316p-1, 0x1.1b98a1dbadb38p-1, 0x1.1d05036c7032cp-1, 0x1.1e5a74dd82697p-1, 0x1.1f98bd5eaefebp-1, 0x1.20bfaca8eb87ap-1, 0x1.21cf1af1976adp-1, 0x1.22c6e8d5dd1f7p-1, 0x1.23a6ff3efbe8p-1, 0x1.246f4f4031704p-1, 0x1.251fd1eef5a4bp-1, 0x1.25b88836251d7p-1, 0x1.26397aa4b800ap-1, 0x1.26a2b9388fadep-1, 0x1.26f45b25e2372p-1, 0x1.272e7e9bba677p-1, 0x1.27514886062a6p-1, 0x1.275ce44d94862p-1, 0x1.275183966d5fdp-1, 0x1.272f5dfcd85b9p-1, 0x1.26f6b0d16b06cp-1, 0x1.26a7bed468688p-1, 0x1.2642cff0b9a7ap-1, 0x1.25c830f6c2a09p-1, 0x1.253833574c082p-1, 0x1.24932cdeba854p-1, 0x1.23d97770c3236p-1, 0x1.230b70c4cbf33p-1, 0x1.22297a231d23cp-1, 0x1.2133f8230d741p-1, 0x1.202b526a42d7ap-1, 0x1.1f0ff36d2ab5p-1, 0x1.1de24830bff4p-1, 0x1.1ca2c00db69b5p-1, 0x1.1b51cc751e5dcp-1, 0x1.19efe0b691326p-1, 0x1.187d71c7f8f65p-1, 0x1.16faf60ef7184p-1, 0x1.1568e52bfd781p-1, 0x1.13c7b7c719ce6p-1, 0x1.1217e75e7e282p-1, 0x1.1059ee16c83a8p-1, 0x1.0e8e468d0bbb5p-1, 0x1.0cb56baaa0679p-1, 0x1.0acfd87ab22dcp-1, 0x1.08de080195061p-1, 0x1.06e07515d6c11p-1, 0x1.04d79a3b0e942p-1, 0x1.02c3f17e62b15p-1, 0x1.00a5f454c10fbp-1, 0x1.fcfc36f58a04p-2, 0x1.f899bdac83657p-2, 0x1.f4256ab2d647cp-2, 0x1.efa029cf2f85ap-2, 0x1.eb0ae4771c0f2p-2, 0x1.e666819eb1b06p-2, 0x1.e1b3e58b351b1p-2, 0x1.dcf3f1a8a1eddp-2, 0x1.d82784620a2b6p-2, 0x1.d34f78fcb805bp-2, 0x1.ce6ca775f728p-2, 0x1.c97fe4637e774p-2, 0x1.c48a00d658dc1p-2, 0x1.bf8bca4043d8ep-2, 0x1.ba860a5b64435p-2, 0x1.b579871449a53p-2, 0x1.b0670276225e1p-2, 0x1.ab4f3a990e7dp-2, 0x1.a632e992809bbp-2, 0x1.a112c567948abp-2, 0x1.9bef80014d4bep-2, 0x1.96c9c7229ff68p-2, 0x1.91a244603de3dp-2, 0x1.8c799d1a0d6d2p-2, 0x1.8750727634345p-2, 0x1.8227615dae21p-2, 0x1.7cff027a55cccp-2, 0x1.77d7ea364efa7p-2, 0x1.72b2a8bcc738fp-2, 0x1.6d8fc9fbf39ebp-2, 0x1.686fd5a84262bp-2, 0x1.63534f40aba63p-2, 0x1.5e3ab614152p-2, 0x1.59268547bb054p-2, 0x1.541733de8671ap-2, 0x1.4f0d34c151be4p-2, 0x1.4a08f6c7fe316p-2, 0x1.450ae4c359b5cp-2, 0x1.40136587be2ap-2, 0x1.3b22dbf865e43p-2, 0x1.3639a713612c2p-2, 0x1.315821fe292a2p-2, 0x1.2c7ea412be3fbp-2, 0x1.27ad80ed4a51fp-2, 0x1.22e5087a3c768p-2, 0x1.1e258704d2943p-2, 0x1.196f454606687p-2, 0x1.14c28873d91c8p-2, 0x1.101f9250ed936p-2, 0x1.0b86a13c6faf9p-2, 0x1.06f7f042399b9p-2, 0x1.0273b72b3553dp-2, 0x1.fbf4551bde028p-3, 0x1.f316f7be9f963p-3, 0x1.ea4fb3070079fp-3, 0x1.e19eddbdc4dabp-3, 0x1.d904c8ce4defap-3, 0x1.d081bf68e0f56p-3, 0x1.c8160724fdff1p-3, 0x1.bfc1e023ce86fp-3, 0x1.b78585328185dp-3, 0x1.af612becae94bp-3, 0x1.a75504de99635p-3, 0x1.9f613ba75e507p-3, 0x1.9785f71af5aa5p-3, 0x1.8fc35964111cap-3, 0x1.88198025bc6d1p-3, 0x1.8088849cc6cd4p-3, 0x1.79107bc0e8726p-3, 0x1.71b17665a5525p-3, 0x1.6a6b815ad5482p-3, 0x1.633ea58ce87dp-3, 0x1.5c2ae824c081cp-3, 0x1.55304aa74146fp-3, 0x1.4e4ecb146994p-3, 0x1.4786640618cf1p-3, 0x1.40d70cce5d248p-3, 0x1.3a40b9955f29dp-3, 0x1.33c35b76d17b3p-3, 0x1.2d5ee09efb3p-3, 0x1.271334673d7e5p-3, 0x1.20e03f722fd03p-3, 0x1.1ac5e7c733821p-3, 0x1.14c410ed9a8f4p-3, 0x1.0eda9c07409fdp-3, 0x1.090967eab1bddp-3, 0x1.0350513ccc37ap-3, 0x1.fb5e6513bee5dp-4, 0x1.f04bc8bc92e41p-4, 0x1.e5687abd2d216p-4, 0x1.dab424be29077p-4, 0x1.d02e6cf5db713p-4, 0x1.c5d6f6556aa8ap-4, 0x1.bbad60b4f1dcfp-4, 0x1.b1b148fe976fap-4, 0x1.a7e2495897da7p-4, 0x1.9e3ff94e4dfb2p-4, 0x1.94c9edf845c82p-4, 0x1.8b7fba2330454p-4, 0x1.8260ee75ee8c5p-4, 0x1.796d1996919c3p-4, 0x1.70a3c84e5ec39p-4, 0x1.680485acd7f2ep-4, 0x1.5f8edb29cc2ebp-4, 0x1.574250c66f413p-4, 0x1.4f1e6d2d7df1bp-4, 0x1.4722b5d26ffdcp-4, 0x1.3f4eaf0fbbb28p-4, 0x1.37a1dc442ce85p-4, 0x1.301bbfef53135p-4, 0x1.28bbdbcd09652p-4, 0x1.2181b0f01d946p-4, 0x1.1a6cbfdc143a2p-4, 0x1.137c889e14fa3p-4, 0x1.0cb08ae4fac53p-4, 0x1.0608461891b25p-4, 0x1.ff0672e002c9fp-5, 0x1.f241c80ed4a36p-5, 0x1.e5c189e972d09p-5, 0x1.d984b6b7687d7p-5, 0x1.cd8a4d0284472p-5, 0x1.c1d14bbbeebc6p-5, 0x1.b658b25fc7b13p-5, 0x1.ab1f811754992p-5, 0x1.a024b8d9c8b4fp-5, 0x1.95675b8babfebp-5, 0x1.8ae66c1ce894cp-5, 0x1.80a0eea5892eep-5, 0x1.7695e8812c244p-5, 0x1.6cc460693643fp-5, 0x1.632b5e8dc95e2p-5, 0x1.59c9ecad8967bp-5, 0x1.509f162c34154p-5, 0x1.47a9e828173f7p-5, 0x1.3ee9718e66105p-5, 0x1.365cc32e7ccep-5, 0x1.2e02efcc14525p-5, 0x1.25db0c306c38p-5, 0x1.1de42f3a791cp-5, 0x1.161d71ee158b7p-5, 0x1.0e85ef8243564p-5, 0x1.071cc56e80176p-5, 0x1.ffc226ee6960bp-6, 0x1.f1a3f7728f9e2p-6, 0x1.e3dd4569b0247p-6, 0x1.d66c5eae4b101p-6, 0x1.c94f960763251p-6, 0x1.bc8543392f4d5p-6, 0x1.b00bc3145506p-6, 0x1.a3e17783b2c66p-6, 0x1.9804c798c21c2p-6, 0x1.8c741f96a802ep-6, 0x1.812df0fbf0a66p-6, 0x1.7630b28b11ffep-6, 0x1.6b7ae051b333bp-6, 0x1.610afbaeca456p-6, 0x1.56df8b579b65ap-6, 0x1.4cf71b5ba0e2dp-6, 0x1.43503d27642e3p-6, 0x1.39e987866096ap-6, 0x1.30c196a3e0f1fp-6, 0x1.27d70c0af9fbdp-6, 0x1.1f288ea59d314p-6, 0x1.16b4cabace02cp-6, 0x1.0e7a71ec0d10ep-6, 0x1.06783b31f04e4p-6, 0x1.fd59c5b009bedp-7, 0x1.ee2e54efe491p-7, 0x1.df6bb1e7e8074p-7, 0x1.d10f74e147bf5p-7, 0x1.c317409c5b904p-7, 0x1.b580c241ceaa8p-7, 0x1.a849b152a72b5p-7, 0x1.9b6fcf974abafp-7, 0x1.8ef0e90d74f43p-7, 0x1.82cad3d53780fp-7, 0x1.76fb701d1367cp-7, 0x1.6b80a80d399d2p-7, 0x1.60586fb1f7112p-7, 0x1.5580c4e55d1d3p-7, 0x1.4af7af38389d6p-7, 0x1.40bb3fda5869cp-7, 0x1.36c9918235334p-7, 0x1.2d20c85403a1bp-7, 0x1.23bf11c83b1d6p-7, 0x1.1aa2a4919caafp-7, 0x1.11c9c082c129dp-7, 0x1.0932ae733cc13p-7, 0x1.00dbc0245b483p-7, 0x1.f186a04b07764p-8, 0x1.e1cf83708f58bp-8, 0x1.d28f01685352fp-8, 0x1.c3c202d43fdeap-8, 0x1.b565810fbc836p-8, 0x1.a77685f5d7623p-8, 0x1.99f22ba7197dcp-8, 0x1.8cd59c4f12ad1p-8, 0x1.801e11e9a7a08p-8, 0x1.73c8d60831762p-8, 0x1.67d341967946p-8, 0x1.5c3abc9f9d725p-8, 0x1.50fcbe12ea95p-8, 0x1.4616cb88b2748p-8, 0x1.3b8679072e83bp-8, 0x1.314968c7738c7p-8, 0x1.275d4afa8378ep-8, 0x1.1dbfdd8e85ac8p-8, 0x1.146eebf42d3eap-8, 0x1.0b684ee456efep-8, 0x1.02a9ec25e6bd7p-8, 0x1.f4636ca7d4432p-9, 0x1.e3fb5948187b1p-9, 0x1.d417b55ab356ep-9, 0x1.c4b4b05ec8977p-9, 0x1.b5ce91b3899c2p-9, 0x1.a761b8280c1f5p-9, 0x1.996a998bf64f2p-9, 0x1.8be5c24112455p-9, 0x1.7ecfd4cdca8e8p-9, 0x1.72258970a2e57p-9, 0x1.65e3adb4ab717p-9, 0x1.5a072406fdbb1p-9, 0x1.4e8ce34d48686p-9, 0x1.4371f67d7081cp-9, 0x1.38b37c364cc08p-9, 0x1.2e4ea6598a1abp-9, 0x1.2440b9a6aff8ep-9, 0x1.1a870d5756abbp-9, 0x1.111f0abc8efeep-9, 0x1.08062cdd7f6c5p-9, 0x1.fe74002e725cep-10, 0x1.ed70437b9d897p-10, 0x1.dcfc7f7d4ed19p-10, 0x1.cd1430882eac6p-10, 0x1.bdb2f2b47d29ep-10, 0x1.aed4812a55cbcp-10, 0x1.a074b57095c93p-10, 0x1.928f86be4415p-10, 0x1.8521094ea3afdp-10, 0x1.78256db7d1dfbp-10, 0x1.6b99004405b16p-10, 0x1.5f78284d67c18p-10, 0x1.53bf679c86ce9p-10, 0x1.486b59c966d39p-10, 0x1.3d78b39f23e93p-10, 0x1.32e442823af23p-10, 0x1.28aaebd9576b4p-10, 0x1.1ec9ac78c4c59p-10, 0x1.153d98106a864p-10, 0x1.0c03d89c5b0c9p-10, 0x1.0319add7e678fp-10, 0x1.f4f8d96682088p-11, 0x1.e452fd974cc03p-11, 0x1.d43cc3cbff0e4p-11, 0x1.c4b14ed8095f3p-11, 0x1.b5abe7d7ac64ap-11, 0x1.a727fd340ee33p-11, 0x1.992121ac2f2bap-11, 0x1.8b930b62a20fap-11, 0x1.7e7992f01770bp-11, 0x1.71d0b27a9638cp-11, 0x1.659484d166f5cp-11, 0x1.59c1448d9bf92p-11, 0x1.4e534b372fc88p-11, 0x1.4347106ea84d8p-11, 0x1.3899291b35c45p-11, 0x1.2e46469d3c4aap-11, 0x1.244b36053d073p-11, 0x1.1aa4df4f100cbp-11, 0x1.115044a16055fp-11, 0x1.084a81915ed13p-11, 0x1.ff2194d52f891p-12, 0x1.ee40d6f5c9604p-12, 0x1.dded90c4c7dfp-12, 0x1.ce22b6ceda31dp-12, 0x1.bedb699ce186ep-12, 0x1.b012f46b69aeap-12, 0x1.a1c4cbe9c125ap-12, 0x1.93ec8d008b992p-12, 0x1.8685fb9fbb15bp-12, 0x1.798d0193c5172p-12, 0x1.6cfdad6203b6bp-12, 0x1.60d4312c18a1ep-12, 0x1.550ce19a3bc84p-12, 0x1.49a434cc5554p-12, 0x1.3e96c151c4bffp-12, 0x1.33e13d27b8abap-12, 0x1.29807cbdf85b3p-12, 0x1.1f7172020369p-12, 0x1.15b12b7068235p-12, 0x1.0c3cd32c375dap-12, 0x1.0311ae1c70c76p-12, 0x1.f45a361eaf237p-13, 0x1.e31923c70a1dep-13, 0x1.d25b456d51436p-13, 0x1.c21bea33a1026p-13, 0x1.b2568e964b692p-13, 0x1.a306dae9f2fcdp-13, 0x1.9428a1e41fe8cp-13, 0x1.85b7df2e0b10cp-13, 0x1.77b0b60174b28p-13, 0x1.6a0f6fcf4b21ap-13, 0x1.5cd07aeff0fccp-13, 0x1.4ff0695ce84dep-13, 0x1.436bef73b9282p-13, 0x1.373fe2c1d850cp-13, 0x1.2b6938d962b5dp-13, 0x1.1fe5062e74f53p-13, 0x1.14b07cfcf49dep-13, 0x1.09c8ec3697d44p-13, 0x1.fe577cf1f905bp-14, 0x1.e9acf21745ea7p-14, 0x1.d58d75cb246fp-14, 0x1.c1f477751f6bcp-14, 0x1.aedd961f3ce6p-14, 0x1.9c449ead715d6p-14, 0x1.8a258a23041cep-14, 0x1.787c7bf59fbe2p-14, 0x1.6745c06dbeb58p-14, 0x1.567dcb1418bf5p-14, 0x1.4621352bc3b9p-14, 0x1.362cbc38b590fp-14, 0x1.269d40925aedcp-14, 0x1.176fc401f260ep-14, 0x1.08a1686c62d47p-14, 0x1.f45edd0e7dadbp-15, 0x1.d82e69315e75bp-15, 0x1.bcac6a83f3dbdp-15, 0x1.a1d40ca8bd29dp-15, 0x1.87a0af600c8fbp-15, 0x1.6e0de4597b4a9p-15, 0x1.55176d187462p-15, 0x1.3cb938eb4f3bcp-15, 0x1.24ef62f479663p-15, 0x1.0db6304532f1ap-15, 0x1.ee141c12c2158p-16, 0x1.c1cf1f87fa1f9p-16, 0x1.9696db3755581p-16, 0x1.6c65056e01352p-16, 0x1.4333975020d1p-16, 0x1.1afcc9cd85243p-16, 0x1.e77625664d4e9p-17, 0x1.9ad243b131847p-17, 0x1.5003bcd136869p-17, 0x1.0700c8880c749p-17, 0x1.7f8005f8ff9a3p-18, 0x1.e8e19f942aa96p-19, 0x1.b30a6f13ae9ap-20, -0x1.79b3bedb6806dp-22, -0x1.317171a198878p-19, -0x1.16a5404e5d3cfp-18, -0x1.916fa39dd3711p-18, -0x1.049313ac013dep-17, -0x1.3eeb455dbb15dp-17, -0x1.77c70751c7811p-17, -0x1.af2cbe1a736f4p-17, -0x1.e52295a0aeda3p-17, -0x1.0cd742198a76cp-16, -0x1.266b26b991ceep-16, -0x1.3f4fc290d3c3bp-16, -0x1.5787c8e5cba1bp-16, -0x1.6f15d7ac22643p-16, -0x1.85fc78bd084c9p-16, -0x1.9c3e230144d53p-16, -0x1.b1dd3b8d7d426p-16, -0x1.c6dc16b12c519p-16, -0x1.db3cf8f8c63e8p-16, -0x1.ef02182373c2fp-16, -0x1.0116ce066c0aap-15, -0x1.0a60cfc5acc15p-15, -0x1.136018a1a1328p-15, -0x1.1c15aa379ca32p-15, -0x1.248280cf30732p-15, -0x1.2ca793b447314p-15, -0x1.3485d58c79f2p-15, -0x1.3c1e34a7ca11ap-15, -0x1.43719b4cf175bp-15, -0x1.4a80f0016ec57p-15, -0x1.514d15cd81d88p-15, -0x1.57d6ec7c3303dp-15, -0x1.5e1f50d79cc19p-15, -0x1.64271ce193ce2p-15, -0x1.69ef2808d446dp-15, -0x1.6f78475adf632p-15, -0x1.74c34db2a4718p-15, -0x1.79d10be41aec6p-15, -0x1.7ea250e4f266cp-15, -0x1.8337e9f270188p-15, -0x1.8792a2b4a14fdp-15, -0x1.8bb3455efdcc4p-15, -0x1.8f9a9ace933d4p-15, -0x1.93496aa5dea2fp-15, -0x1.96c07b6666aap-15, -0x1.9a00928836b71p-15, -0x1.9d0a748f520ccp-15, -0x1.9fdee51f35634p-15, -0x1.a27ea70c875d8p-15, -0x1.a4ea7c6d01981p-15, -0x1.a72326a5b70f2p-15, -0x1.a9296677c0275p-15, -0x1.aafdfc0b6c0c5p-15, -0x1.aca1a6fa04022p-15, -0x1.ae15265636a36p-15, -0x1.af5938b33f392p-15, -0x1.b06e9c2ad7965p-15, -0x1.b1560e62095b8p-15, -0x1.b2104c8cec54dp-15, -0x1.b29e137164512p-15, -0x1.b3001f68ec23dp-15, -0x1.b3372c617d4f1p-15, -0x1.b343f5dda48d3p-15, -0x1.b32736f3cb826p-15, -0x1.b2e1aa4ccc7c5p-15, -0x1.b2740a21d603cp-15, -0x1.b1df1039aed26p-15, -0x1.b12375e5632ecp-15, -0x1.b041f3fc67ef1p-15, -0x1.af3b42d83f619p-15, -0x1.ae101a4fa8c13p-15, -0x1.acc131b1610e1p-15, -0x1.ab4f3fbe86f1ep-15, -0x1.a9bafaa4a1b04p-15, -0x1.a80517f7598b8p-15, -0x1.a62e4ca9e81b6p-15, -0x1.a4374d084710bp-15, -0x1.a220ccb02835cp-15, -0x1.9feb7e89bb5a3p-15, -0x1.9d9814c047358p-15, -0x1.9b2740baa0c82p-15, -0x1.9899b31385311p-15, -0x1.95f01b91d70d2p-15, -0x1.932b2920ceddep-15, -0x1.904b89c818b42p-15, -0x1.8d51eaa3ee9cdp-15, -0x1.8a3ef7dd2b204p-15, -0x1.87135ca15effcp-15, -0x1.83cfc31aebfe8p-15, -0x1.8074d46927f3ap-15, -0x1.7d0338988e45dp-15, -0x1.797b969afebbcp-15, -0x1.75de94401527fp-15, -0x1.722cd62d9260cp-15, -0x1.6e66ffd7e3d79p-15, -0x1.6a8db37ac4688p-15, -0x1.66a19211ff087p-15, -0x1.62a33b524fb6p-15, -0x1.5e934da26b54ap-15, -0x1.5a7266142b8e2p-15, -0x1.5641205de3c79p-15, -0x1.520016d3db8e3p-15, -0x1.4dafe261fa605p-15, -0x1.49511a85994adp-15, -0x1.44e4554787afdp-15, -0x1.406a27363a34fp-15, -0x1.3be323602cda3p-15, -0x1.374fdb4e766d5p-15, -0x1.32b0deff89067p-15, -0x1.2e06bce22b15p-15, -0x1.295201d09f436p-15, -0x1.2493390c0150bp-15, -0x1.1fcaec37d728dp-15, -0x1.1af9a355d5815p-15, -0x1.161fe4c1da258p-15, -0x1.113e352e1a247p-15, -0x1.0c55179f8550ap-15, -0x1.07650d6a5e5b2p-15, -0x1.026e962f07e3ap-15, -0x1.fae45fae0dp-16, -0x1.f0e0ad246ebadp-16, -0x1.e6d309a874cdcp-16, -0x1.dcbc66a4237d4p-16, -0x1.d29db1ffe7501p-16, -0x1.c877d61ea0a69p-16, -0x1.be4bb9da1886p-16, -0x1.b41a407fd0e7ap-16, -0x1.a9e449ce43ff6p-16, -0x1.9faab1f27e4dap-16, -0x1.956e51861d927p-16, -0x1.8b2ffd8daede7p-16, -0x1.80f087776b08ep-16, -0x1.76b0bd1a52fbep-16, -0x1.6c7168b5a6cbep-16, -0x1.623350f0b4b77p-16, -0x1.57f738db051c2p-16, }}, 
      {{-0x1.af2e313f09ad2p-1, -0x1.af36d3cb24043p-1, -0x1.af3f0d804e3d3p-1, -0x1.af3ff56f10273p-1, -0x1.af3253715811p-1, -0x1.af0f5d92fb601p-1, -0x1.aed1277966206p-1, -0x1.ae72dbbaafab2p-1, -0x1.adf0d07cb5134p-1, -0x1.ad4883d99c8dcp-1, -0x1.ac7888f64a681p-1, -0x1.ab806c1b46bd4p-1, -0x1.aa60923941705p-1, -0x1.a91a16e02e89ap-1, -0x1.a7aeaaaf997p-1, -0x1.a620738e3fa94p-1, -0x1.a471ef7324a09p-1, -0x1.a2a5da2cf4f28p-1, -0x1.a0bf16536c8f2p-1, -0x1.9ec09961dfd5dp-1, -0x1.9cad5adc68b0fp-1, -0x1.9a88464e75d74p-1, -0x1.98542fe684289p-1, -0x1.9613cb6d5da8ep-1, -0x1.93c9a555ba163p-1, -0x1.91781da24d01cp-1, -0x1.8f2164633f94ap-1, -0x1.8cc7779032d23p-1, -0x1.8a6c22089e6bap-1, -0x1.8810fb89716dep-1, -0x1.85b7696bf3699p-1, -0x1.8360a006e0234p-1, -0x1.810da48f793c1p-1, -0x1.7ebf4f5cc596cp-1, -0x1.7c764e7349045p-1, -0x1.7a3328434227ep-1, -0x1.77f63e86e03ccp-1, -0x1.75bfd130e1e06p-1, -0x1.7390015eb8949p-1, -0x1.7166d443ae785p-1, -0x1.6f4436048bde5p-1, -0x1.6d27fc7d0a9bep-1, -0x1.6b11e9e9e470ap-1, -0x1.6901af739c538p-1, -0x1.66f6ef97366cp-1, -0x1.64f1406b093a7p-1, -0x1.62f02dbe8c7a1p-1, -0x1.60f33b14bc68fp-1, -0x1.5ef9e5791d8cfp-1, -0x1.5d03a52fe751fp-1, -0x1.5b0fef4228d5ap-1, -0x1.591e36e701ca6p-1, -0x1.572deecb39bc5p-1, -0x1.553e8a38a8ebp-1, -0x1.534f7e1efda8bp-1, -0x1.516041ff793fdp-1, -0x1.4f7050bd4bacep-1, -0x1.4d7f2954365fbp-1, -0x1.4b8c4f77195c9p-1, -0x1.49974c180e8a4p-1, -0x1.479faddba597ap-1, -0x1.45a50978ccbcbp-1, -0x1.43a6fa06e1acp-1, -0x1.41a5213b57156p-1, -0x1.3f9f27984d4p-1, -0x1.3d94bc8d67259p-1, -0x1.3b85968c1960cp-1, -0x1.397173109b5bep-1, -0x1.375816a09359p-1, -0x1.35394cc08686cp-1, -0x1.3314e7e10414ep-1, -0x1.30eac14472676p-1, -0x1.2ebab8de57e34p-1, -0x1.2c84b52ce8fbdp-1, -0x1.2a48a30d9518fp-1, -0x1.2806758d435cbp-1, -0x1.25be25b4dc11fp-1, -0x1.236fb252b6efcp-1, -0x1.211b1fc176195p-1, -0x1.1ec077acc9df1p-1, -0x1.1c5fc8d493c95p-1, -0x1.19f926ced07e4p-1, -0x1.178ca9c8a9ef2p-1, -0x1.151a6e4708a85p-1, -0x1.12a294e6f4c06p-1, -0x1.1025421e0dde4p-1, -0x1.0da29dfb5c169p-1, -0x1.0b1ad3e8b10a9p-1, -0x1.088e126cd1cc2p-1, -0x1.05fc8aee926e4p-1, -0x1.0366717910c6ap-1, -0x1.00cbfc812dd2cp-1, -0x1.fc5ac958d16efp-2, -0x1.f715c93266a54p-2, -0x1.f1c97151b201ap-2, -0x1.ec763d96117aap-2, -0x1.e71cac962a9bcp-2, -0x1.e1bd3f3dea4d9p-2, -0x1.dc5878701bcfep-2, -0x1.d6eedcaba5d82p-2, -0x1.d180f1b471cacp-2, -0x1.cc0f3e400b929p-2, -0x1.c69a49a5f3ed4p-2, -0x1.c1229b93a67fdp-2, -0x1.bba8bbc44edbap-2, -0x1.b62d31bc24198p-2, -0x1.b0b084875eb9ep-2, -0x1.ab333a7cbe3bap-2, -0x1.a5b5d9038f061p-2, -0x1.a038e45d1e9cap-2, -0x1.9abcdf718dd6fp-2, -0x1.95424b9feaaf5p-2, -0x1.8fc9a8918161bp-2, -0x1.8a5374104b59p-2, -0x1.84e029e0665d5p-2, -0x1.7f70439c7d96p-2, -0x1.7a0438950c9e6p-2, -0x1.749c7db264efp-2, -0x1.6f3985595b35dp-2, -0x1.69dbbf5287128p-2, -0x1.648398b3fad28p-2, -0x1.5f317bcd5b6c2p-2, -0x1.59e5d0163fa97p-2, -0x1.54a0fa1ebe4fap-2, -0x1.4f635b8214d72p-2, -0x1.4a2d52db4afep-2, -0x1.44ff3bbbc20dap-2, -0x1.3fd96ea3909adp-2, -0x1.3abc40fb9d8d5p-2, -0x1.35a8051159e41p-2, -0x1.309d0a140f886p-2, -0x1.2b9b9c13a0b04p-2, -0x1.26a40400b4ba5p-2, -0x1.21b687ae30363p-2, -0x1.1cd369d3e9257p-2, -0x1.17faea1288f09p-2, -0x1.132d44f883706p-2, -0x1.0e6ab40811028p-2, -0x1.09b36dbe23bebp-2, -0x1.0507a59a3741ap-2, -0x1.00678c26fb0d1p-2, -0x1.f7a69e077bf46p-3, -0x1.ee9631dd1dc06p-3, -0x1.e59e239e028bfp-3, -0x1.dcbebd8321b2bp-3, -0x1.d3f84447128f3p-3, -0x1.cb4af73ee4ef8p-3, -0x1.c2b71073d8141p-3, -0x1.ba3cc4bddea1cp-3, -0x1.b1dc43dee173ap-3, -0x1.a995b89e9e1e2p-3, -0x1.a16948e7130f6p-3, -0x1.995715e16cfdep-3, -0x1.915f3c1353561p-3, -0x1.8981d37c93a75p-3, -0x1.81beefb5128e8p-3, -0x1.7a16a00ae97c8p-3, -0x1.7288efa0bbe6ep-3, -0x1.6b15e58c19aabp-3, -0x1.63bd84f3f4c9p-3, -0x1.5c7fcd2f12bd4p-3, -0x1.555cb9e275088p-3, -0x1.4e54431fac9fap-3, -0x1.47665d8306a5fp-3, -0x1.4092fa519193p-3, -0x1.39da0796f115ap-3, -0x1.333b7042f0e03p-3, -0x1.2cb71c46d57c4p-3, -0x1.264cf0b260976p-3, -0x1.1ffccfd086261p-3, -0x1.19c69943c286ep-3, -0x1.13aa2a221991p-3, -0x1.0da75d10add78p-3, -0x1.07be0a5eee5eep-3, -0x1.01ee08215c87bp-3, -0x1.f86e5497b4b0bp-4, -0x1.ed3285971aee1p-4, -0x1.e22843407aa36p-4, -0x1.d74f29ea8beb6p-4, -0x1.cca6d2740521dp-4, -0x1.c22ed273799aap-4, -0x1.b7e6bc663b06p-4, -0x1.adce1fde2be87p-4, -0x1.a3e489ae8f77fp-4, -0x1.9a298417d6de8p-4, -0x1.909c96f251ab6p-4, -0x1.873d47d7df5aep-4, -0x1.7e0b1a4c932e1p-4, -0x1.75058fe643765p-4, -0x1.6c2c287311b25p-4, -0x1.637e621ee2b1ep-4, -0x1.5afbb997cc341p-4, -0x1.52a3aa3177d2ep-4, -0x1.4a75ae077bf07p-4, -0x1.42713e1eae2a4p-4, -0x1.3a95d28570074p-4, -0x1.32e2e272f7a27p-4, -0x1.2b57e4659a4ddp-4, -0x1.23f44e40162f2p-4, -0x1.1cb79565e3d08p-4, -0x1.15a12ed68d878p-4, -0x1.0eb08f48149dep-4, -0x1.07e52b4063e17p-4, -0x1.013e772dd4b58p-4, -0x1.f577cefd96711p-5, -0x1.e8b9e170d8439p-5, -0x1.dc420f18dea8fp-5, -0x1.d00f41dc2c635p-5, -0x1.c420644c8d151p-5, -0x1.b87461cda001ap-5, -0x1.ad0a26b9beb44p-5, -0x1.a1e0a0854b29cp-5, -0x1.96f6bde0673ep-5, -0x1.8c4b6ed727513p-5, -0x1.81dda4f03eba2p-5, -0x1.77ac534a38acfp-5, -0x1.6db66eb73e4a2p-5, -0x1.63faedd775cbcp-5, -0x1.5a78c93206c82p-5, -0x1.512efb4cc54b2p-5, -0x1.481c80c291dacp-5, -0x1.3f40585875c88p-5, -0x1.36998311849dp-5, -0x1.2e270441883ep-5, -0x1.25e7e19e85882p-5, -0x1.1ddb23511efcep-5, -0x1.15ffd403db271p-5, -0x1.0e5500f15d21ap-5, -0x1.06d9b9f191b79p-5, -0x1.ff1a230bbc453p-6, -0x1.f0dc39c8a722cp-6, -0x1.e2f7e803e3568p-6, -0x1.d56b633807595p-6, -0x1.c834e6812c004p-6, -0x1.bb52b2ac2df41p-6, -0x1.aec30e44456cep-6, -0x1.a284459f089b7p-6, -0x1.9694aae6e4b5ap-6, -0x1.8af296241ff26p-6, -0x1.7f9c65446c324p-6, -0x1.74907c211d54dp-6, -0x1.69cd44840d14fp-6, -0x1.5f512e2b3e034p-6, -0x1.551aaecb406f6p-6, -0x1.4b284210761a8p-6, -0x1.4178699f2da8ap-6, -0x1.3809ad12b1435p-6, -0x1.2eda99fb502b2p-6, -0x1.25e9c3db649f4p-6, -0x1.1d35c423745fp-6, -0x1.14bd3a2d61e9dp-6, -0x1.0c7ecb36c9effp-6, -0x1.0479225a8c403p-6, -0x1.f955e1132391fp-7, -0x1.ea25d905a665ep-7, -0x1.db5fa5955ae53p-7, -0x1.cd00cb431c57bp-7, -0x1.bf06d9f3f8401p-7, -0x1.b16f6cdc1be3ap-7, -0x1.a4382a6891d4cp-7, -0x1.975ec4280228ap-7, -0x1.8ae0f6b26ce85p-7, -0x1.7ebc898ff26f7p-7, -0x1.72ef4f1ec7483p-7, -0x1.677724784b114p-7, -0x1.5c51f155686f1p-7, -0x1.517da7f238661p-7, -0x1.46f844f1024fbp-7, -0x1.3cbfcf3c9f4f5p-7, -0x1.32d257ea4f7dcp-7, -0x1.292dfa1b0e734p-7, -0x1.1fd0dadc6fe7cp-7, -0x1.16b929091116bp-7, -0x1.0de51d28a9715p-7, -0x1.0552f94fc459p-7, -0x1.fa0211fe5f60fp-8, -0x1.e9db42064aa89p-8, -0x1.da2e3ea47ace5p-8, -0x1.caf7d5d85ba08p-8, -0x1.bc34e770c4a2ap-8, -0x1.ade264c8e90c8p-8, -0x1.9ffd508515f74p-8, -0x1.9282be4f5073cp-8, -0x1.856fd293deccbp-8, -0x1.78c1c23dcdd8p-8, -0x1.6c75d2737ba14p-8, -0x1.6089585339b8dp-8, -0x1.54f9b8b00b612p-8, -0x1.49c467ce9274ep-8, -0x1.3ee6e9223258ep-8, -0x1.345ecf0a71b23p-8, -0x1.2a29ba90a81c9p-8, -0x1.20455b2601717p-8, -0x1.16af6e61d9b9ep-8, -0x1.0d65bfc081d5ap-8, -0x1.046628626f17fp-8, -0x1.f75d1d97c359ap-9, -0x1.e679cd4a05cdep-9, -0x1.d61e60f513119p-9, -0x1.c646f2fdc8127p-9, -0x1.b6efb697e43afp-9, -0x1.a814f74aa2f24p-9, -0x1.99b31876887b8p-9, -0x1.8bc694dc66b43p-9, -0x1.7e4bfe25a8e67p-9, -0x1.713ffc6dea9dfp-9, -0x1.649f4dcde1f36p-9, -0x1.5866c5e7a40dap-9, -0x1.4c934d744b2c8p-9, -0x1.4121e1d303dbcp-9, -0x1.360f94998301p-9, -0x1.2b598b25f1b53p-9, -0x1.20fcfe32482ap-9, -0x1.16f7396926ccep-9, -0x1.0d459afc23867p-9, -0x1.03e5933b9f5a1p-9, -0x1.f5a948602704fp-10, -0x1.e420c269cddd2p-10, -0x1.d32cdd298cfa4p-10, -0x1.c2c9024f0470ep-10, -0x1.b2f0bbe2e7049p-10, -0x1.a39fb388cbfd9p-10, -0x1.94d1b1c415205p-10, -0x1.86829d3fe325p-10, -0x1.78ae7a1a0fad3p-10, -0x1.6b5169313d9b3p-10, -0x1.5e67a775e8269p-10, -0x1.51ed8d3e7bef6p-10, -0x1.45df8d9e7c51bp-10, -0x1.3a3a35c098d25p-10, -0x1.2efa2c43cecbcp-10, -0x1.241c309b77d4p-10, -0x1.199d1a724ddd8p-10, -0x1.0f79d91065132p-10, -0x1.05af72c40270ap-10, -0x1.f876089abc948p-11, -0x1.e633809a7bdf6p-11, -0x1.d491dd6cce75cp-11, -0x1.c38bd883c3c3p-11, -0x1.b31c53cc04bdfp-11, -0x1.a33e58a06c0ap-11, -0x1.93ed16c3131d1p-11, -0x1.8523e35bc432ap-11, -0x1.76de37fbc3fd2p-11, -0x1.6917b1a6ddeb9p-11, -0x1.5bcc0fe1a9ffcp-11, -0x1.4ef733c4f625bp-11, -0x1.42951f16442e8p-11, -0x1.36a1f3654d1fp-11, -0x1.2b19f12e75546p-11, -0x1.1ff977022388dp-11, -0x1.153d00b0e7cdep-11, -0x1.0ae1267c5f587p-11, -0x1.00e29c4cc6421p-11, -0x1.ee7c61d648a9cp-12, -0x1.dbe19a80037dp-12, -0x1.c9eee72d2600ap-12, -0x1.b89e7dc89431bp-12, -0x1.a7eac429746c7p-12, -0x1.97ce4eb3784e6p-12, -0x1.8843deff85c26p-12, -0x1.7946628c94148p-12, -0x1.6ad0f178a52ddp-12, -0x1.5cdecd41ac237p-12, -0x1.4f6b5f8e43d17p-12, -0x1.427238fe0cfa5p-12, -0x1.35ef100197fe4p-12, -0x1.29ddbfb9ae7b2p-12, -0x1.1e3a46ddddc21p-12, -0x1.1300c6aa21b57p-12, -0x1.082d81d387875p-12, -0x1.fb79b707553cfp-13, -0x1.e756acb5d1ea3p-13, -0x1.d3eb26f256b97p-13, -0x1.c130a31a42751p-13, -0x1.af20d7d39e9dep-13, -0x1.9db5b3449b022p-13, -0x1.8ce9595734eb8p-13, -0x1.7cb62208b452cp-13, -0x1.6d1697c4d2f65p-13, -0x1.5e0575cc40c43p-13, -0x1.4f7da6a6540d1p-13, -0x1.417a429d99d75p-13, -0x1.33f68e4714c82p-13, -0x1.26edf913ed62cp-13, -0x1.1a5c1bed4d5c6p-13, -0x1.0e3cb7da4116dp-13, -0x1.028bb4af4e30ep-13, -0x1.ee8a3f8f347fp-14, -0x1.d8ca558eb6d99p-14, -0x1.c3d054ceca1c8p-14, -0x1.af952a93328p-14, -0x1.9c1205ac01a8ep-14, -0x1.89405440cc929p-14, -0x1.7719c1ac5d2b3p-14, -0x1.6598346892585p-14, -0x1.54b5cc09fe869p-14, -0x1.446cdf4ae82bap-14, -0x1.34b7fa25489c7p-14, -0x1.2591dbfb6d294p-14, -0x1.16f575cedb62ap-14, -0x1.08dde8851dbbep-14, -0x1.f68d06743fd28p-15, -0x1.dc55833f839eap-15, -0x1.c30c94d49513p-15, -0x1.aaa9db92cdbd4p-15, -0x1.932547dac2b2bp-15, -0x1.7c77173081399p-15, -0x1.6697d174f9bfcp-15, -0x1.51804635faf4cp-15, -0x1.3d298a1428f24p-15, -0x1.298cf43e4fc3dp-15, -0x1.16a41c018a315p-15, -0x1.0468d66da183cp-15, -0x1.e5aa681a407b1p-16, -0x1.c3c6fd6117f72p-16, -0x1.a31c6e9875682p-16, -0x1.83a027d08b2bfp-16, -0x1.6547fb442874ep-16, -0x1.480a1d7e041cap-16, -0x1.2bdd219f3efbap-16, -0x1.10b7f5c63b824p-16, -0x1.ed23bf298fc5ap-17, -0x1.bac4f1a98de9ep-17, -0x1.8a435874ccd75p-17, -0x1.5b8f648627232p-17, -0x1.2e9a1c6091c8fp-17, -0x1.0355163adcd08p-17, -0x1.b364e4bfd7435p-18, -0x1.6349ab83bbca1p-18, -0x1.163ec97d3c6d7p-18, -0x1.9856f8515e6f4p-19, -0x1.09efd8117b1c2p-19, -0x1.02348d1905bcdp-20, 0x1.2afb588f833d1p-26, 0x1.0116f491a270ap-20, 0x1.f35e9f9cd13bdp-20, 0x1.6de903ee03d3bp-19, 0x1.dd5eb3f8219f4p-19, 0x1.241a8e6c695dp-18, 0x1.5747d4bf62e63p-18, 0x1.8848405b68c47p-18, 0x1.b72c49403958bp-18, 0x1.e403d26fd563fp-18, 0x1.076f180c1f5d8p-17, 0x1.1be516c00dc8p-17, 0x1.2f6b095c1f1b8p-17, 0x1.4207d50a07edap-17, 0x1.53c222b56178cp-17, 0x1.64a06191920b3p-17, 0x1.74a8c985f4a02p-17, 0x1.83e15d8110e38p-17, 0x1.924fedb3d2b6dp-17, 0x1.9ffa19b58108ap-17, 0x1.ace552914ce39p-17, 0x1.b916dcbe483a5p-17, 0x1.c493d2026e807p-17, 0x1.cf6123419cff2p-17, 0x1.d9839a3913a8cp-17, 0x1.e2ffdb28426b4p-17, 0x1.ebda66678ff0bp-17, 0x1.f41799edb2918p-17, 0x1.fbbbb2c44cbbap-17, 0x1.0165673634394p-16, 0x1.04a47619b2745p-16, 0x1.079cf73c76c22p-16, 0x1.0a50cdf342543p-16, 0x1.0cc1d04ca064cp-16, 0x1.0ef1c79f10582p-16, 0x1.10e27110d07b3p-16, 0x1.12957e1976c55p-16, 0x1.140c94fda3ff4p-16, 0x1.15495144fd42ap-16, 0x1.164d442ab49a4p-16, 0x1.1719f508ce28ap-16, 0x1.17b0e1be5b79p-16, 0x1.18137f10dc8b3p-16, 0x1.184339090267fp-16, 0x1.1841734af8b6fp-16, 0x1.180f896a6c606p-16, 0x1.17aecf3a7906dp-16, 0x1.17209119ace6dp-16, 0x1.1666143a4abe8p-16, 0x1.158096e6f0a66p-16, 0x1.147150c3d1413p-16, 0x1.1339730ca0673p-16, 0x1.11da28cf5755bp-16, 0x1.10549723fd0ecp-16, 0x1.0ea9dd6184346p-16, 0x1.0cdb154ff2fa6p-16, 0x1.0ae95357e5074p-16, 0x1.08d5a6af9058cp-16, 0x1.06a1198563818p-16, 0x1.044cb1285cf4p-16, 0x1.01d96e2e3b10bp-16, 0x1.fe90992f2b11dp-17, 0x1.f93487e403e93p-17, 0x1.f3a08ef0ae21p-17, 0x1.edd68c62540a8p-17, 0x1.e7d856172f78p-17, 0x1.e1a7b9f4eb43ap-17, 0x1.db467e1bf368fp-17, 0x1.d4b66117da99dp-17, 0x1.cdf91a0d0d845p-17, 0x1.c71058e3d98b8p-17, 0x1.bffdc67116385p-17, 0x1.b8c3049c58e1bp-17, 0x1.b161ae84148b9p-17, 0x1.a9db589f8eee2p-17, 0x1.a23190dee44acp-17, 0x1.9a65dec939c23p-17, 0x1.9279c3991e2dbp-17, 0x1.8a6eba575a53ep-17, 0x1.824637f427d3cp-17, 0x1.7a01ab5efa02dp-17, 0x1.71a27d9ce897dp-17, 0x1.692a11ddd331p-17, 0x1.6099c59057a75p-17, 0x1.57f2f0749f812p-17, 0x1.4f36e4ae3232ep-17, 0x1.4666eed4c23dcp-17, 0x1.3d84560417089p-17, 0x1.34905beb20ffcp-17, 0x1.2b8c3cda4588ap-17, 0x1.22792fd0f27c7p-17, 0x1.1958668a8795ep-17, 0x1.102b0d8aa3801p-17, 0x1.06f24c28e0c95p-17, 0x1.fb5e89381cc74p-18, 0x1.e8c62809e1a47p-18, 0x1.d61da4f12a2dfp-18, 0x1.c367261480f33p-18, 0x1.b0a4c7aa0c78p-18, 0x1.9dd89c0a1c60cp-18, 0x1.8b04abc123e8dp-18, 0x1.782af5a1378b4p-18, 0x1.654d6ed3183ddp-18, 0x1.526e02e6de1dfp-18, 0x1.3f8e93e450645p-18, 0x1.2cb0fa5af3454p-18, 0x1.19d70571da714p-18, 0x1.07027af74e54cp-18, 0x1.e86a2ee08956p-19, 0x1.c2e11c4f88a04p-19, 0x1.9d6d127c5acffp-19, 0x1.78115370f8a89p-19, 0x1.52d10f1f0a5a1p-19, 0x1.2daf637e65eebp-19, 0x1.08af5caba6839p-19, 0x1.c7a7ea0db51f5p-20, 0x1.7e402aa4c77c4p-20, 0x1.352d29a40e6a6p-20, 0x1.d8e8e5a8f004bp-21, 0x1.4836defeffc4bp-21, 0x1.709d9abbbc858p-22, 0x1.49d7d6d4469a9p-24, -0x1.93ea47c98f50bp-23, -0x1.e4902ad2045e8p-22, -0x1.7ea40e5cf1921p-21, -0x1.05029ec745177p-20, -0x1.4a31529137fd9p-20, -0x1.8ed9c40bbbf1ap-20, -0x1.d2f7b4dd6a2bdp-20, -0x1.0b438346a2feap-19, -0x1.2cc1dd1d8d387p-19, -0x1.4df4f82b76f12p-19, -0x1.6edaf42bd272fp-19, -0x1.8f7200385a1e2p-19, -0x1.afb85aa382c5ep-19, -0x1.cfac50d2799bep-19, -0x1.ef4c3f16b6e27p-19, -0x1.074b484394245p-18, -0x1.16c4df6c78501p-18, -0x1.2612291bdf9eap-18, -0x1.3532708ee2ab4p-18, -0x1.44250815a4fc7p-18, -0x1.52e948feef255p-18, -0x1.617e93839ac8ep-18, -0x1.6fe44eb1d43eep-18, -0x1.7e19e8582fd55p-18, -0x1.8c1ed4f097df1p-18, -0x1.99f28f8b12fbbp-18, -0x1.a79499b866a1dp-18, -0x1.b5047b7496c94p-18, -0x1.c241c31142febp-18, -0x1.cf4c051fe6ee6p-18, -0x1.dc22dc5bfcab7p-18, -0x1.e8c5e99505e35p-18, -0x1.f534d39879afdp-18, -0x1.00b7a38dcffb5p-17, -0x1.06ba7b52aab7fp-17, -0x1.0ca2cd3bdf7bp-17, -0x1.1270783cf657fp-17, -0x1.18235e10b7b35p-17, -0x1.1dbb632df1986p-17, -0x1.23386ebc38038p-17, -0x1.289a6a88a0d96p-17, -0x1.2de142fa7f019p-17, -0x1.330ce7081a799p-17, -0x1.381d482b68b22p-17, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      54, 0x1.6p+2, 0x1.f7202d18debeap+1, 0x1.195e95b740ea2p+3, 0x1.3b5572cc0a838p-4, 
      {{
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.7da4acd2246fdp-3, -0x1.b83043fc90e17p-2, 0x1.b08f14947fdc5p-1, -0x1.2c15c87d29924p+0}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.55a660a6ca20fp-3, -0x1.6aade72a4d08cp-2, 0x1.56888ba226965p-1, -0x1.0034b3d9ba33ap+0}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.348d1580e4297p-3, -0x1.2ddbdadfc3393p-2, 0x1.09abef473b872p-1, -0x1.b5cef3dc9331ep-1}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.18cd94101be9ap-3, -0x1.fe954dfe21214p-3, 0x1.90002eff7e183p-2, -0x1.67a617197b34ep-1}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.0118143a0b14dp-3, -0x1.b95f5ee2d5d92p-3, 0x1.241b281172bbdp-2, -0x1.1a8f28973efeep-1}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.d8b07a34775ddp-4, -0x1.876d98171545cp-3, 0x1.9ead37c82612cp-3, -0x1.997dd3fb981b7p-2}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.b36a4a04501aap-4, -0x1.641a51da0ac92p-3, 0x1.23d444fcaba35p-3, -0x1.0183fb00b1088p-2}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.9122a2f275af1p-4, -0x1.4ac85a3cf209cp-3, 0x1.ad26269286a85p-4, -0x1.7188c550e63e2p-4}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.71156e799e0b2p-4, -0x1.36b5ff730ae35p-3, 0x1.75b808f997522p-4, -0x1.dae8c4200be1p-7}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.52f0832020eadp-4, -0x1.243f629cd1685p-3, 0x1.6cd0787f63e5fp-4, -0x1.8e010d3177494p-6}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.369d45554488fp-4, -0x1.1261485c2cc3ep-3, 0x1.5de3a19a55d34p-4, -0x1.5ca648f65505fp-6}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.1c0a484e8a557p-4, -0x1.0136608221089p-3, 0x1.50d098777f6fcp-4, -0x1.6389e288744fcp-6}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.03265ca7701d2p-4, -0x1.e168f3f467762p-4, 0x1.437b6cc594acdp-4, -0x1.5b5b7441c2b74p-6}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.d7c120c2e0115p-5, -0x1.c1b68abc4a13dp-4, 0x1.3674cb9cb6f91p-4, -0x1.5736c7913c3c5p-6}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.ac505dc8013c5p-5, -0x1.a34f9ae891f92p-4, 0x1.2995f0edab1d4p-4, -0x1.51fd1c60dcbdp-6}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.83d981f9297f2p-5, -0x1.862fa544d3326p-4, 0x1.1ce93fdd3c6fdp-4, -0x1.4d0da999be64p-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.5e3c19bd3756ap-5, -0x1.6a51c947ca264p-4, 0x1.106befe7787f3p-4, -0x1.480a53ad4e88p-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.3b582c4701fa4p-5, -0x1.4fb1407ca5c47p-4, 0x1.041ebff75f26fp-4, -0x1.430c51ed074c7p-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.1b0e3b955958fp-5, -0x1.36493d71a2815p-4, 0x1.f002f9c9c428p-5, -0x1.3e0ce2a163bafp-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.fa7e88e60c38p-6, -0x1.1e14f494543eap-4, 0x1.d82868ca7646dp-5, -0x1.390dd5570d3e5p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.c3997ced9349fp-6, -0x1.070f99d1e3a2dp-4, 0x1.c0adc59722157p-5, -0x1.340ead92d6f4dp-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.91313806bc1cbp-6, -0x1.e268c2739da0fp-5, 0x1.a993122c1ec3p-5, -0x1.2f0f8db4cc896p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.630a948eec598p-6, -0x1.b8fcfda5525c4p-5, 0x1.92d84df1c29f4p-5, -0x1.2a1068b80f6f3p-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.38eb627b7b19ap-6, -0x1.91d24d48b7467p-5, 0x1.7c7d794a5b105p-5, -0x1.2511504fc77dbp-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.129a6759b0ea6p-6, -0x1.6cdf1974c78ebp-5, 0x1.668293445f4d5p-5, -0x1.20120ab47b0f7p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.dfbebc9d8f944p-7, -0x1.4a19ca212dd95p-5, 0x1.50e79f43a2df8p-5, -0x1.1b136d50cbd26p-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.a105f02fd652dp-7, -0x1.2978c7bbadafdp-5, 0x1.3bac90aa60631p-5, -0x1.16125c41a7e92p-6}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.689db6146fd53p-7, -0x1.0af278f8f78e4p-5, 0x1.26d1968bda313p-5, -0x1.111a71a8a33d7p-6}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.361b462578c8ap-7, -0x1.dcfa95f7de4c5p-6, 0x1.12560138cdf31p-5, -0x1.0c0060e2bacdep-6}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.0915c36cf0ba3p-7, -0x1.a81f25cf7ce8fp-6, 0x1.fc78c0b5ffe11p-6, -0x1.0765c25a1c341p-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.c24c7849743cp-8, -0x1.773ffee086183p-6, 0x1.d4f649f54872fp-6, -0x1.fef0c384d5d77p-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.7bcf8371357acp-8, -0x1.4a4511d07e5f6p-6, 0x1.aea43b4b5202ep-6, -0x1.e8707e37c8c3ap-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.3df0e1b881634p-8, -0x1.21098c5bbb14ep-6, 0x1.8a0231d3efc09p-6, -0x1.d2ef1d64e8758p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.07f4f3428eb2p-8, -0x1.f6c65ef8b609bp-7, 0x1.66fd0f9f9184ap-6, -0x1.bd297038cd74cp-7}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.b250dde4df1ebp-9, -0x1.b250de9bc88e6p-7, 0x1.4599f401b54f2p-6, -0x1.a7760ff774094p-7}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.61c0c4d623277p-9, -0x1.745f1fd8d1536p-7, 0x1.25d77f9bf301ep-6, -0x1.91bdc86445f93p-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.1cf4641e7b8e2p-9, -0x1.3c9dc4a0c7a63p-7, 0x1.07b610946dc27p-6, -0x1.7c06d12db1508p-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.c56e6406627f6p-10, -0x1.0ab968003c9fcp-7, 0x1.d66b1b6200eb3p-7, -0x1.664f7fd68867cp-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.63caa49288156p-10, -0x1.bcbd4db90d083p-8, 0x1.a0abfb6839422p-7, -0x1.509846a516c45p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.12d72c6ad5314p-10, -0x1.6e743b389a3e3p-8, 0x1.6e2ebd9c42a4fp-7, -0x1.3ae106fd5de05p-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.a11df23049cacp-11, -0x1.29f0d19059d7dp-8, 0x1.3ef362f6415dp-7, -0x1.2529c90908f2ep-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.361cc64580014p-11, -0x1.dd18937e7888p-9, 0x1.12f9eb34e66cp-7, -0x1.0f728abd6abc9p-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.c24c7849743a2p-12, -0x1.773fb992d5519p-9, 0x1.d484acca9337cp-8, -0x1.f376983727693p-8}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.3df0e1b881622p-12, -0x1.21098760e7d3ep-9, 0x1.89994928b3b51p-8, -0x1.c8081e53bc73fp-8}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.b250dde4df1f3p-13, -0x1.b250ddec5cc9ap-10, 0x1.4531ab028aa3fp-8, -0x1.9c99979bd1e73p-8}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.1cf4641e7b8e8p-13, -0x1.3c9dc477b34f7p-10, 0x1.074dd444c4c18p-8, -0x1.712b40d58cd83p-8}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.63caa4928812p-14, -0x1.bcbd4e87c24efp-11, 0x1.9fdb7b7cac0f7p-9, -0x1.45bc371d30c25p-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.a11df23049ccp-15, -0x1.29f0ce85b8b8ep-11, 0x1.3e23048d83d39p-9, -0x1.1a4fc93ba7bfap-8}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.c24c7849742ffp-16, -0x1.773fd0453ad5dp-12, 0x1.d2e2f6c40968p-10, -0x1.ddb33de18f2e7p-9}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.b250dde4debp-17, -0x1.b2503479565f3p-13, 0x1.43939766c4daap-10, -0x1.870f94e8e7376p-9}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.63caa49287cp-18, -0x1.bcc23e48b383cp-14, 0x1.9c843bdb6561bp-11, -0x1.2f5cb64ecb2b1p-9}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.c24c784975ffep-20, -0x1.771adab4598b5p-15, 0x1.ccff9cf1d6f7ap-12, -0x1.b73c053a83e2p-10}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.63caa4928bfffp-22, -0x1.bee3b70ded2bdp-17, 0x1.8aea66d0a93e5p-13, -0x1.e47763aae2e71p-11}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.63caa492bffffp-26, -0x1.7c8bfea53ba91p-20, 0x1.a0f178dbb7ap-15, -0x1.442d83add7d91p-10}, 
      }}, 
      0x1.310ab89b27a9ap-6, -0x1.d629262156013p-4
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_n_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.c2b6a297fece3p+0, -0x1.c0d6839e2e16dp+0, -0x1.bdc1a7049e42dp+0, -0x1.b983bf6198eddp+0, -0x1.b42d5db327132p+0, -0x1.add06e1c0cfe2p+0, -0x1.a6805c1899a6dp+0, -0x1.9e512b149a973p+0, -0x1.9557447cdee41p+0, -0x1.8ba6c1e7d13ep+0, -0x1.8153f5f8fdd08p+0, -0x1.76729ef993859p+0, -0x1.6b15352f67e02p+0, -0x1.5f4e4550b8eb9p+0, -0x1.532f595e5f36ep+0, -0x1.46c8acc3e215cp+0, -0x1.3a2a1573459c6p+0, -0x1.2d6257f50e97bp+0, -0x1.207ea9a441e58p+0, -0x1.138c15b484279p+0, -0x1.0696cb7e4326fp+0, -0x1.f35240d702e1cp-1, -0x1.d99907899a11fp-1, -0x1.c014e5dd4d8adp-1, -0x1.a6d77419eb84ap-1, -0x1.8deef9f91afdp-1, -0x1.7565afcb24517p-1, -0x1.5d49e2436734bp-1, -0x1.45a538c9ef46dp-1, -0x1.2e8072301360fp-1, -0x1.17e2d3062d59p-1, -0x1.01d28fcfd76d1p-1, -0x1.d8aa3cc6a83f9p-2, -0x1.aede5ceeffdecp-2, -0x1.8648dd7526108p-2, -0x1.5eeecea72aa4bp-2, -0x1.38d31e72760fap-2, -0x1.13f725484cdafp-2, -0x1.e0b6979bb4017p-3, -0x1.9bfef4f30dcd7p-3, -0x1.59c652e110ff3p-3, -0x1.1a0a3f48d88bep-3, -0x1.b98c62962298cp-4, -0x1.43e63055b28dp-4, -0x1.a61db7d8689ap-5, -0x1.9bbe39768b80bp-6, 0x1.216fa465d5636p-13, 0x1.8e2e3f8dfe522p-6, 0x1.8434475779048p-5, 0x1.1c54d1f6a1a4ap-4, 0x1.725365fc8bc76p-4, 0x1.c42da705a07b3p-4, 0x1.08fe02993874ep-3, 0x1.2dec1ac0c0db6p-3, 0x1.50e23831b188ap-3, 0x1.720d36d9c32f7p-3, 0x1.916c5c98cad48p-3, 0x1.af0e23ceb9dep-3, 0x1.cb01292460188p-3, 0x1.e5540c73f1549p-3, 0x1.fe154f3d24273p-3, 0x1.0aa99c1adfb3bp-2, 0x1.158de08524278p-2, 0x1.1fbe481c89b4dp-2, 0x1.29417ee185431p-2, 0x1.321e0f6db2068p-2, 0x1.3a5a69b675506p-2, 0x1.41fce84737121p-2, 0x1.490bd24f29e11p-2, 0x1.4f8d5a010ce4ep-2, 0x1.558797cf4bb5ep-2, 0x1.5b0083bb8cf64p-2, 0x1.5ffdee295f85p-2, 0x1.6485797cda385p-2, 0x1.689c956cf57cap-2, 0x1.6c487c7b0d64p-2, 0x1.6f8e33911fe24p-2, 0x1.72728b71678fbp-2, 0x1.74fa236d2d5fdp-2, 0x1.77296cc6f7fa4p-2, 0x1.7904ae2fdce9ap-2, 0x1.7a9006eeeaad8p-2, 0x1.7bcf7169d62b3p-2, 0x1.7cc6c4eea0eb8p-2, 0x1.7d79b6c105782p-2, 0x1.7debda892f729p-2, 0x1.7e20a25265697p-2, 0x1.7e1b5e4fe6c4cp-2, 0x1.7ddf3c9cee5e8p-2, 0x1.7d6f4923f00cp-2, 0x1.7cce6dcafe7cap-2, 0x1.7bff72f295b0bp-2, 0x1.7b050043c073dp-2, 0x1.79e19dbd6a573p-2, 0x1.7897b4e88bd9dp-2, 0x1.77299218a1cf4p-2, 0x1.759965a1380e1p-2, 0x1.73e944f0e21a1p-2, 0x1.721b2b8b79f76p-2, 0x1.7030fbe6e4622p-2, 0x1.6e2c8034867f8p-2, 0x1.6c0f6b25530ep-2, 0x1.69db58b6582cfp-2, 0x1.6791cf10d93d7p-2, 0x1.65343f842b318p-2, 0x1.62c4079a14ccdp-2, 0x1.604272415c55fp-2, 0x1.5db0b90620e95p-2, 0x1.5b10054d244d5p-2, 0x1.58617186410f5p-2, 0x1.55a41ce298948p-2, 0x1.52dc62e87089cp-2, 0x1.5009ecb19595bp-2, 0x1.4d2da8046a265p-2, 0x1.4a4874ff6d2c3p-2, 0x1.475b268f6d1a8p-2, 0x1.44668302b4a5dp-2, 0x1.416b44b4872fep-2, 0x1.3e6a1aca77a65p-2, 0x1.3b63a9fc596a7p-2, 0x1.38588d5f91e0dp-2, 0x1.3549572f44482p-2, 0x1.3236918be76afp-2, 0x1.2f20bf2e1721cp-2, 0x1.2c085c09ba5f6p-2, 0x1.28eddddfaffc8p-2, 0x1.25d1b4bd412fap-2, 0x1.22b44b6950042p-2, 0x1.1f9607bff936cp-2, 0x1.1c774afddab05p-2, 0x1.195871fcbd06bp-2, 0x1.1639d563a2243p-2, 0x1.131bc9cc9723fp-2, 0x1.0ffe9fe2b8258p-2, 0x1.0ce2a47ad2382p-2, 0x1.09c820a8e5b58p-2, 0x1.06af59d48a4c3p-2, 0x1.039891cdbc983p-2, 0x1.008406e34ae79p-2, 0x1.fae3e7f72e828p-3, 0x1.f4c5216019956p-3, 0x1.eeac22d6ac5edp-3, 0x1.e8994f145e6f2p-3, 0x1.e28d02fcf8768p-3, 0x1.dc8795e8954b2p-3, 0x1.d68959f09e7p-3, 0x1.d0929c3ee12b5p-3, 0x1.caa3a55de4abbp-3, 0x1.c4bcb98993bd5p-3, 0x1.bede18ff52b92p-3, 0x1.b908004c81b5fp-3, 0x1.b33aa89a76745p-3, 0x1.ad7647f6e29e2p-3, 0x1.a7bb1197bf03p-3, 0x1.a2093619dc66ap-3, 0x1.9c60e3b9701d2p-3, 0x1.96c2468416c15p-3, 0x1.912d8884183f6p-3, 0x1.8ba2d1e4d2cf4p-3, 0x1.862249109f8e9p-3, 0x1.80ac12c878da7p-3, 0x1.7b40523614179p-3, 0x1.75df28f90633ep-3, 0x1.7088b72fc3588p-3, 0x1.6b3d1b7d32854p-3, 0x1.65fc730b9da15p-3, 0x1.60c6d98da8a6ep-3, 0x1.5b9c693df7eadp-3, 0x1.567d3ade131e3p-3, 0x1.516965b4fbc99p-3, 0x1.4c60ff8de7d84p-3, 0x1.47641cb76cbaap-3, 0x1.4272d0036a4a2p-3, 0x1.3d8d2ac7ebf7p-3, 0x1.38b33ce126f5p-3, 0x1.33e514b4bddcp-3, 0x1.2f22bf365289dp-3, 0x1.2a6c47ed71b2ep-3, 0x1.25c1b8fcd2dc5p-3, 0x1.21231b2adb26ap-3, 0x1.1c9075eb4eae6p-3, 0x1.1809cf6a0487ep-3, 0x1.138f2c9678645p-3, 0x1.0f209130089ddp-3, 0x1.0abdffd2b4b01p-3, 0x1.06677a0415bedp-3, 0x1.021d004075045p-3, 0x1.fbbd240f71d12p-4, 0x1.f3585bd42201cp-4, 0x1.eb0ba32846cbbp-4, 0x1.e2d6f3b557144p-4, 0x1.daba458adb15cp-4, 0x1.d2b58f32b5964p-4, 0x1.cac8c5c3ed9bdp-4, 0x1.c2f3dcf3b401dp-4, 0x1.bb36c724d0eb8p-4, 0x1.b39175755cec7p-4, 0x1.ac03d7cb01b89p-4, 0x1.a48ddcddad3e8p-4, 0x1.9d2f7240fbc8ep-4, 0x1.95e8846c6765fp-4, 0x1.8eb8fec258349p-4, 0x1.87a0cb9654eb7p-4, 0x1.809fd43259c31p-4, 0x1.79b600db894cfp-4, 0x1.72e338d653057p-4, 0x1.6c27626a2cd2bp-4, 0x1.658262e4fcd27p-4, 0x1.5ef41e9e4ff64p-4, 0x1.587c78fa6d9dfp-4, 0x1.521b546d66175p-4, 0x1.4bd0927e260b8p-4, 0x1.459c13c9a55ddp-4, 0x1.3f7db8063d9f4p-4, 0x1.39755e0733b42p-4, 0x1.3382e3c07e2a8p-4, 0x1.2da6264ad3b21p-4, 0x1.27df01e80295p-4, 0x1.222d52079bef3p-4, 0x1.1c90f14bed874p-4, 0x1.1709b98f501ap-4, 0x1.119783e9c6648p-4, 0x1.0c3a91ad67556p-4, 0x1.06f21d61069ap-4, 0x1.01be2def690dep-4, 0x1.f93d32a737245p-5, 0x1.ef2669fb8621bp-5, 0x1.e537abb240a9fp-5, 0x1.db70a0a3e3831p-5, 0x1.d1d0f0b66d8d4p-5, 0x1.c85842e8ac9e5p-5, 0x1.bf063d5d64b83p-5, 0x1.b5da85664e6edp-5, 0x1.acd4bf8efa906p-5, 0x1.a3f48fa79f493p-5, 0x1.9b3998cfd3affp-5, 0x1.92a37d813f5b5p-5, 0x1.8a31df9a3f0f9p-5, 0x1.81e460688424fp-5, 0x1.79baa0b3ad3edp-5, 0x1.71b440c7dbd7ep-5, 0x1.69d0e08040a8fp-5, 0x1.62101f51a53edp-5, 0x1.5a719c54eb5c2p-5, 0x1.52f4f65181cdp-5, 0x1.4b99cbc7cb282p-5, 0x1.445fbafb73abfp-5, 0x1.3d4661fdb259cp-5, 0x1.364d5eb772242p-5, 0x1.2f744ef35bccbp-5, 0x1.28bad067c4501p-5, 0x1.222080c073ea9p-5, 0x1.1ba4fda842e33p-5, 0x1.1547e4d290b1bp-5, 0x1.0f08d404887a1p-5, 0x1.08e7691e36083p-5, 0x1.02e342236334p-5, 0x1.f9f7fa888c414p-6, 0x1.ee6271cbdcc6bp-6, 0x1.e3052754ffb5ep-6, 0x1.d7df58f25dcbap-6, 0x1.ccf0450c04611p-6, 0x1.c2372ab2abc61p-6, 0x1.b7b349ae4b9d9p-6, 0x1.ad63e28c335f6p-6, 0x1.a34836aca4e53p-6, 0x1.995f884fffc82p-6, 0x1.8fa91aa36f7d2p-6, 0x1.862431cd26096p-6, 0x1.7cd012f826d42p-6, 0x1.73ac045f94eaep-6, 0x1.6ab74d59a1921p-6, 0x1.61f13661fe47fp-6, 0x1.59590923e8bf3p-6, 0x1.50ee1083d2ec9p-6, 0x1.48af98a89a7dap-6, 0x1.409cef045fe7fp-6, 0x1.38b5625cf8d78p-6, 0x1.30f842d40505ep-6, 0x1.2964e1eea08dap-6, 0x1.21fa929cb46d5p-6, 0x1.1ab8a93ff9a2cp-6, 0x1.139e7bb294d55p-6, 0x1.0cab614d5b723p-6, 0x1.05deb2edce31bp-6, 0x1.fe6f95f75f5fbp-7, 0x1.f16c0adc9b3adp-7, 0x1.e4b17fa2f7a95p-7, 0x1.d83eb2946ef0cp-7, 0x1.cc12653601c77p-7, 0x1.c02b5c4fc0e97p-7, 0x1.b4885ff447207p-7, 0x1.a9283b879e1c8p-7, 0x1.9e09bdc5800c1p-7, 0x1.932bb8c717b9p-7, 0x1.888d0208273eap-7, 0x1.7e2c726b9990bp-7, 0x1.7408e63fa4d44p-7, 0x1.6a213d413f9c9p-7, 0x1.60745a9f33a44p-7, 0x1.570124fc971eep-7, 0x1.4dc68672d13a6p-7, 0x1.44c36c931fafp-7, 0x1.3bf6c867a7c75p-7, 0x1.335f8e740c1e5p-7, 0x1.2afcb6b58e1fp-7, 0x1.22cd3ca2cef6dp-7, 0x1.1ad01f2b1563ep-7, 0x1.130460b53633ep-7, 0x1.0b69071e0be38p-7, 0x1.03fd1bb6a5c39p-7, 0x1.f97f568402132p-8, 0x1.eb5f8be4f8b48p-8, 0x1.dd98fecdbd13ep-8, 0x1.d029dd4e5e665p-8, 0x1.c3105c42454e9p-8, 0x1.b64ab74895ce1p-8, 0x1.a9d730bbebb41p-8, 0x1.9db411a9c83c9p-8, 0x1.91dfa9c93475cp-8, 0x1.86584f713413dp-8, 0x1.7b1c5f8e8a98cp-8, 0x1.702a3d99517b5p-8, 0x1.65805389f8469p-8, 0x1.5b1d11ce0f3eep-8, 0x1.50feef3c87424p-8, 0x1.47246909e73efp-8, 0x1.3d8c02bbf60d1p-8, 0x1.3434461d38efap-8, 0x1.2b1bc3303a5ap-8, 0x1.2241102276a2fp-8, 0x1.19a2c93f2c921p-8, 0x1.113f90e1e30dbp-8, 0x1.09160f68d0f31p-8, 0x1.0124f32707012p-8, 0x1.f2d5e0ad0bp-9, 0x1.e3cd82142495cp-9, 0x1.d52e4a3df9acep-9, 0x1.c6f5c45d8200fp-9, 0x1.b92187010e80bp-9, 0x1.abaf33f51163ap-9, 0x1.9e9c7826a461cp-9, 0x1.91e70b86124cdp-9, 0x1.858cb0e8f372p-9, 0x1.798b35ec418b2p-9, 0x1.6de072d65139ap-9, 0x1.628a4a7866bd2p-9, 0x1.5786aa1087768p-9, 0x1.4cd3892acd515p-9, 0x1.426ee982d0212p-9, 0x1.3856d6e4d503fp-9, 0x1.2e89670ef3a16p-9, 0x1.2504b991ed2b1p-9, 0x1.1bc6f7b238d6dp-9, 0x1.12ce5448a3237p-9, 0x1.0a190ba2f85f2p-9, 0x1.01a563648c474p-9, 0x1.f2e354cd1f1acp-10, 0x1.e2f8713118699p-10, 0x1.d386ddc0f3945p-10, 0x1.c48b6df5db82ep-10, 0x1.b60306b63eb4bp-10, 0x1.a7ea9e15c867p-10, 0x1.9a3f3b14eec51p-10, 0x1.8cfdf560e42ccp-10, 0x1.8023f5130b799p-10, 0x1.73ae72702440fp-10, 0x1.679ab5a80f0d9p-10, 0x1.5be61694ae2c1p-10, 0x1.508dfc79b408cp-10, 0x1.458fddc3aec4ep-10, 0x1.3ae93fc786a3ep-10, 0x1.3097b681f5b7p-10, 0x1.2698e4572a51cp-10, 0x1.1cea79d2a40a6p-10, 0x1.138a356712fabp-10, 0x1.0a75e32ebcfc7p-10, 0x1.01ab5cabee7e4p-10, 0x1.f2511113fc1a8p-11, 0x1.e1d6b4bcf5883p-11, 0x1.d1e3a4d5c7b8ep-11, 0x1.c273fabdb1ac1p-11, 0x1.b383e83582991p-11, 0x1.a50fb6e61b9ffp-11, 0x1.9713c7e7f51c1p-11, 0x1.898c934c2986bp-11, 0x1.7c76a7a694decp-11, 0x1.6fcea9996be3ep-11, 0x1.6391536263035p-11, 0x1.57bb7468ef31cp-11, 0x1.4c49f0ced6517p-11, 0x1.4139c1019a3e5p-11, 0x1.3687f14de0fc5p-11, 0x1.2c31a1749a13cp-11, 0x1.223404418983bp-11, 0x1.188c5f240e362p-11, 0x1.0f3809c87363ap-11, 0x1.06346db51fa1ep-11, 0x1.fafe0bcef1043p-12, 0x1.ea2abce6a838ep-12, 0x1.d9ea284889aafp-12, 0x1.ca37a840f6477p-12, 0x1.bb0eb71ac56ccp-12, 0x1.ac6aee6b12feep-12, 0x1.9e48066279f17p-12, 0x1.90a1d51f5a555p-12, 0x1.83744e0497c36p-12, 0x1.76bb811309bb2p-12, 0x1.6a739a466adebp-12, 0x1.5e98e0f58c805p-12, 0x1.5327b73423904p-12, 0x1.481c99391436ap-12, 0x1.3d741cc754cep-12, 0x1.332af098fdf6dp-12, 0x1.293ddbcd4068cp-12, 0x1.1fa9bd595f22p-12, 0x1.166b8b7ba0313p-12, 0x1.0d805331ec18fp-12, 0x1.04e537b0b5b6p-12, 0x1.f92ee3be7f7dp-13, 0x1.e9289fa7adfcdp-13, 0x1.d9b268a6369cap-13, 0x1.cac72ca2eb444p-13, 0x1.bc6200eea16b1p-13, 0x1.ae7e214d285acp-13, 0x1.a116ef04b75c7p-13, 0x1.9427eff372246p-13, 0x1.87accda58cab6p-13, 0x1.7ba1547395ffdp-13, 0x1.7001729fa8436p-13, 0x1.64c9377be45c2p-13, 0x1.59f4d290e83ecp-13, 0x1.4f8092c8fc2fp-13, 0x1.4568e5a0326a4p-13, 0x1.3baa565723275p-13, 0x1.32418d299062dp-13, 0x1.292b4e89b31ffp-13, 0x1.20647a5e0491cp-13, 0x1.17ea0b442fb89p-13, 0x1.0fb915d6308bcp-13, 0x1.07cec7f5a0cd2p-13, 0x1.00286817cb04bp-13, 0x1.f186a931e2868p-14, 0x1.e33a0621b7814p-14, 0x1.d565ff5908739p-14, 0x1.c805d9176439bp-14, 0x1.bae5639444b52p-14, 0x1.ae6126fc21837p-14, 0x1.a2438c6952c64p-14, 0x1.96887bc497cf4p-14, 0x1.8b2c02f65fdecp-14, 0x1.802a54cd32a41p-14, 0x1.757fc7ec811a9p-14, 0x1.6b28d5bfcb8b9p-14, 0x1.6122197c1ffb6p-14, 0x1.57684f1f14eddp-14, 0x1.4df8527990773p-14, 0x1.44cf1e3e84f78p-14, 0x1.3be9cb18da0c1p-14, 0x1.33458ec5995aap-14, 0x1.2adfbb339be85p-14, 0x1.22b5bda897ebfp-14, 0x1.1ac51de945a2dp-14, 0x1.130b7d68a787ap-14, 0x1.0b8696793ce2dp-14, 0x1.04343b82d97cfp-14, 0x1.fa24ac773fb61p-15, 0x1.ec3dcdcee3d97p-15, 0x1.deb00730be60ep-15, 0x1.d177aee4a355ap-15, 0x1.c49143edf730fp-15, 0x1.b7f96c9c29faap-15, 0x1.abacf5310f7afp-15, 0x1.9fa8ce86e5ff2p-15, 0x1.93ea0cc0952b1p-15, 0x1.886de5fd3c314p-15, 0x1.7d31b11d0edc2p-15, 0x1.7232e48506798p-15, 0x1.676f14f04688fp-15, 0x1.5ce3f446209a2p-15, 0x1.528f507d751a1p-15, 0x1.486f1284ffb18p-15, 0x1.3e813d35b57fap-15, 0x1.34c3ec4624effp-15, 0x1.2b3553588442fp-15, 0x1.21d3bcfc4a19fp-15, 0x1.189d89c43e09ap-15, 0x1.0f912f60d9d17p-15, 0x1.06ad37c3d0ce7p-15, 0x1.fbe0808de3fe1p-16, 0x1.eab1f1c532049p-16, 0x1.d9cc46c677805p-16, 0x1.c92d2553c715cp-16, 0x1.b8d253e4deca8p-16, 0x1.a8b9b84135195p-16, 0x1.98e15625e9041p-16, 0x1.89474df3c6ec1p-16, 0x1.79e9db757a70ap-16, 0x1.6ac754a34bf67p-16, 0x1.5bde286ad297fp-16, 0x1.4d2cdda02a93ap-16, 0x1.3eb211daa774p-16, 0x1.306c7865b7a09p-16, 0x1.225ad93b0e3adp-16, 0x1.147c10060e3dp-16, 0x1.06cf0b2fc2b3ep-16, 0x1.f2a595e2d1988p-17, 0x1.d80cc0e356b01p-17, 0x1.bdd1d9c7ac043p-17, 0x1.a3f3416f702a4p-17, 0x1.8a6f759caee39p-17, 0x1.71450f5cdc647p-17, 0x1.5872c19173e15p-17, 0x1.3ff7577f4a858p-17, 0x1.27d1b36f3895bp-17, 0x1.1000cd4fd9dddp-17, 0x1.f10762f195eabp-18, 0x1.c2b2fedf247ep-18, 0x1.9502d16ac842ap-18, 0x1.67f55f33dcad3p-18, 0x1.3b894c7ec44b1p-18, 0x1.0fbd5b01cea9p-18, 0x1.c920cf9b91d23p-19, 0x1.7402d32c2e8adp-19, 0x1.201eddabce488p-19, 0x1.9ae66fb756f86p-20, 0x1.eff94d1259bc9p-21, 0x1.5df6372ded3c5p-22, -0x1.1a659dc131b27p-22, -0x1.c4950f145aa28p-21, -0x1.7b97e6cdeb291p-20, -0x1.0941b2c6b1637p-19, -0x1.53875a84dd5b5p-19, -0x1.9c9dae348021cp-19, -0x1.e4855eb02fa8ap-19, -0x1.159f86462aa57p-18, -0x1.3865a5134c37bp-18, -0x1.5a954ee2ad66p-18, -0x1.7c2ec1ecd038p-18, -0x1.9d32386a92477p-18, -0x1.bd9fe99085035p-18, -0x1.dd780a72a3fdbp-18, -0x1.fcbacedcb552dp-18, -0x1.0db4351549a56p-17, -0x1.1cc087f506e99p-17, -0x1.2b827a549f5d7p-17, -0x1.39fa2735ae18bp-17, -0x1.4827aac18e8ddp-17, -0x1.560b225822694p-17, -0x1.63a4acda19b5fp-17, -0x1.70f46aec35bf4p-17, -0x1.7dfa7f10432b5p-17, -0x1.8ab70dd66bc4bp-17, -0x1.972a3e038584p-17, -0x1.a35438ad08c3dp-17, -0x1.af35296316734p-17, -0x1.bacd3e4dd6936p-17, -0x1.c61ca8425c54bp-17, -0x1.d1239af3a2fe2p-17, -0x1.dbe24cf552f95p-17, -0x1.e658f7e275bdcp-17, -0x1.f087d87a104fp-17, -0x1.fa6f2ea2b37c6p-17, -0x1.02079eca48f72p-16, -0x1.06b425ea3564fp-16, -0x1.0b3d51a76dccfp-16, -0x1.0fa348b0748c4p-16, -0x1.13e63370b012p-16, -0x1.18063c13e0764p-16, -0x1.1c038e87cf19dp-16, -0x1.1fde58804e968p-16, -0x1.2396c972973cap-16, -0x1.272d1298a2b9p-16, -0x1.2aa166e9ebe09p-16, -0x1.2df3fb25663f9p-16, -0x1.312505c205184p-16, -0x1.3434bee9cfd19p-16, -0x1.3723607c703fbp-16, -0x1.39f1260b336c4p-16, -0x1.3c9e4cc7e31e3p-16, -0x1.3f2b138a3ea69p-16, -0x1.4197bac32cfa1p-16, -0x1.43e48475f86d3p-16, -0x1.4611b432e2e04p-16, -0x1.481f8f0afab25p-16, -0x1.4a0e5b8bef952p-16, -0x1.4bde61b37ab1bp-16, -0x1.4d8feae929c99p-16, -0x1.4f2341f2e4b4bp-16, -0x1.5098b2ed484bbp-16, -0x1.51f08b3fd3447p-16, -0x1.532b1994d5be7p-16, -0x1.5448adcbc9bfbp-16, -0x1.554998f3be4d5p-16, -0x1.562e2d3d7fa12p-16, -0x1.56f6bdf1cc471p-16, -0x1.57a39f61d4e74p-16, -0x1.583526ef6e96dp-16, -0x1.58abaae3d3869p-16, -0x1.5907827ea7483p-16, }}, 
      {{-0x1.c32163edd5925p+0, -0x1.c27ee9de98455p+0, -0x1.c17385f809f58p+0, -0x1.c000adca57976p+0, -0x1.be2a782f81b34p+0, -0x1.bbf4ff5eace67p+0, -0x1.b964cd996b2eep+0, -0x1.b67ea9524e1d7p+0, -0x1.b3479480afb77p+0, -0x1.afc493e989e8ep+0, -0x1.abfa65dbe2e01p+0, -0x1.a7ef3b8c37c76p+0, -0x1.a3a67d94898a8p+0, -0x1.9f263c7ec7511p+0, -0x1.9a72e05e45abap+0, -0x1.9591390d98287p+0, -0x1.9085a4c4acc67p+0, -0x1.8b54a39fb95aep+0, -0x1.860246d8abe0ap+0, -0x1.80929abd54359p+0, -0x1.7b098ddfb1574p+0, -0x1.756a89dc2f9bap+0, -0x1.6fb91e5de36d8p+0, -0x1.69f8b453156ffp+0, -0x1.642c3937c0355p+0, -0x1.5e5681cd002fp+0, -0x1.587a654e427abp+0, -0x1.529a6c0bb9615p+0, -0x1.4cb8f5585f08dp+0, -0x1.46d833117a973p+0, -0x1.40fa3299256f9p+0, -0x1.3b20deee72885p+0, -0x1.354dfbeaed788p+0, -0x1.2f8326d256b99p+0, -0x1.29c1da4d41546p+0, -0x1.240b70af4a79bp+0, -0x1.1e6125af36aa7p+0, -0x1.18c4193b9bb74p+0, -0x1.133551f8019b4p+0, -0x1.0db5bdea5aa8dp+0, -0x1.0846323028262p+0, -0x1.02e76b771496ap+0, -0x1.fb341f824d297p-1, -0x1.f0bd617a4ae21p-1, -0x1.e66b9bdef0c27p-1, -0x1.dc3face7a4234p-1, -0x1.d23a54e305c7fp-1, -0x1.c85c38afaeccep-1, -0x1.bea5e3a892a5dp-1, -0x1.b517c8b83e6b1p-1, -0x1.abb2426edd9bp-1, -0x1.a27592891ac68p-1, -0x1.9961e1ef6863p-1, -0x1.9077423a39dep-1, -0x1.87b59785c31bfp-1, -0x1.7f1cf5b148309p-1, -0x1.76ad3bd01fa29p-1, -0x1.6e66412c21636p-1, -0x1.6647cfdf451dap-1, -0x1.5e51a592f0a8p-1, -0x1.568374be640d3p-1, -0x1.4edce636fec0ep-1, -0x1.475d9aa96314ap-1, -0x1.40052ba16253ep-1, -0x1.38d32c086b4f3p-1, -0x1.31c7284855106p-1, -0x1.2ae0a664ea877p-1, -0x1.241f265587a1bp-1, -0x1.1d8222bea5828p-1, -0x1.170911fa60c62p-1, -0x1.10b3673d31d7ap-1, -0x1.0a80939bb151p-1, -0x1.047006c54364ep-1, -0x1.fd025ec75cc38p-2, -0x1.f166f659b7b5bp-2, -0x1.e60cad9158071p-2, -0x1.daf25b683dcebp-2, -0x1.d016d48a44b94p-2, -0x1.c578ebc59c492p-2, -0x1.bb1772e51fee4p-2, -0x1.b0f13bd394e82p-2, -0x1.a70519d27dee3p-2, -0x1.9d51e28cd307p-2, -0x1.93d66edb92a9ap-2, -0x1.8a919b29b5227p-2, -0x1.8182477e9478fp-2, -0x1.78a75749d27acp-2, -0x1.6fffb1160c2ap-2, -0x1.678a3e473229dp-2, -0x1.5f45eb0069134p-2, -0x1.5731a63f6e952p-2, -0x1.4f4c622cf5c18p-2, -0x1.479514950b3e6p-2, -0x1.400ab772cd43fp-2, -0x1.38ac4977e5495p-2, -0x1.3178ce7a49d1ap-2, -0x1.2a6f4fb889f96p-2, -0x1.238edbed01297p-2, -0x1.1cd68730eb6a7p-2, -0x1.16456ab825b76p-2, -0x1.0fdaa473d6156p-2, -0x1.099556acf7cafp-2, -0x1.0374a7a74732fp-2, -0x1.faef82b4472abp-3, -0x1.ef3ba29038c92p-3, -0x1.e3cc10f0a395ap-3, -0x1.d89f371ec2b3cp-3, -0x1.cdb38602573f7p-3, -0x1.c30776a39c00dp-3, -0x1.b8998ab5d73p-3, -0x1.ae67967e780cep-3, -0x1.a471857fe5753p-3, -0x1.9ab566cc13dep-3, -0x1.9131e28ea92dbp-3, -0x1.87e5a8e4b2513p-3, -0x1.7ecf71c440a5dp-3, -0x1.75edfce104d92p-3, -0x1.6d40118cdd9afp-3, -0x1.64c47e94263bcp-3, -0x1.5c7a1a163790dp-3, -0x1.545fc15b438bap-3, -0x1.4c7458a8f88ebp-3, -0x1.44b6cb1757c66p-3, -0x1.3d260a66e531fp-3, -0x1.35c10ed907fbdp-3, -0x1.2e86d70abf323p-3, -0x1.277667d18891ap-3, -0x1.208ecc19c50f4p-3, -0x1.19cf14c5ec193p-3, -0x1.1336588da7161p-3, -0x1.0cc3b3dc3893ap-3, -0x1.067648adc8389p-3, -0x1.004d3e6b73d08p-3, -0x1.f48f838cad668p-4, -0x1.e8ca0923fe51p-4, -0x1.dd487b3db43c5p-4, -0x1.d209512a719bp-4, -0x1.c70b0ba30baebp-4, -0x1.bc4c3484369ecp-4, -0x1.b1cb5e8e10001p-4, -0x1.a7872527c7222p-4, -0x1.9d7e2c273e303p-4, -0x1.93af1f9c63965p-4, -0x1.8a18b39f900cdp-4, -0x1.80b9a42258adap-4, -0x1.7790b4c211a1ap-4, -0x1.6e9cb09b633dep-4, -0x1.65dc6a1e5201bp-4, -0x1.5d4ebae25f355p-4, -0x1.54f2837a60b4p-4, -0x1.4cc6ab4803eaap-4, -0x1.44ca204ee8b12p-4, -0x1.3cfbd70781e8ap-4, -0x1.355aca31e7ad4p-4, -0x1.2de5faa8e9637p-4, -0x1.269c6f35a9debp-4, -0x1.1f7d34641c028p-4, -0x1.18875c58a71c6p-4, -0x1.11b9fea736858p-4, -0x1.0b14382be8442p-4, -0x1.04952ae582c95p-4, -0x1.fc77fba3660b6p-5, -0x1.f00fb9965a72dp-5, -0x1.e3eff0d303cp-5, -0x1.d8170bc5509bdp-5, -0x1.cc837ddbfc2acp-5, -0x1.c133c3513114dp-5, -0x1.b62660f57ba66p-5, -0x1.ab59e3fc86651p-5, -0x1.a0cce1cb5fa6ep-5, -0x1.967df7c7f7995p-5, -0x1.8c6bcb298517ap-5, -0x1.829508c9b638dp-5, -0x1.78f864f67fe65p-5, -0x1.6f949b44867fcp-5, -0x1.66686e622310bp-5, -0x1.5d72a7eb0a06p-5, -0x1.54b2183cb1fdbp-5, -0x1.4c25964b8db28p-5, -0x1.43cbff793bd7dp-5, -0x1.3ba4376bc8b13p-5, -0x1.33ad27e61249dp-5, -0x1.2be5c0a1624bp-5, -0x1.244cf7285c688p-5, -0x1.1ce1c6b32b37ep-5, -0x1.15a33004f8d2p-5, -0x1.0e90394ab8853p-5, -0x1.07a7edfb1ec37p-5, -0x1.00e95eb7bedabp-5, -0x1.f4a7425e9f0a7p-6, -0x1.e7cba001c8055p-6, -0x1.db3e15402bb2dp-6, -0x1.cefcea741e257p-6, -0x1.c3067136aa8bcp-6, -0x1.b759042c95c96p-6, -0x1.abf306d4a847p-6, -0x1.a0d2e5572f7e7p-6, -0x1.95f714569ea0ep-6, -0x1.8b5e10c1209afp-6, -0x1.81065fa34176p-6, -0x1.76ee8dfb777ecp-6, -0x1.6d15308ea36acp-6, -0x1.6378e3bd6d734p-6, -0x1.5a184b5a839dbp-6, -0x1.50f21281d287bp-6, -0x1.4804eb708e7dfp-6, -0x1.3f4f8f5e176b3p-6, -0x1.36d0be55e8e2ap-6, -0x1.2e873f1248294p-6, -0x1.2671ded7e0cb4p-6, -0x1.1e8f71525f3a9p-6, -0x1.16ded071cb879p-6, -0x1.0f5edc48d8486p-6, -0x1.080e7aec0f29bp-6, -0x1.00ec9851c8dc7p-6, -0x1.f3f04c6627221p-7, -0x1.e66037daa238p-7, -0x1.d926ecc95d155p-7, -0x1.cc426fcea122dp-7, -0x1.bfb0d022a8fa7p-7, -0x1.b3702762e1c37p-7, -0x1.a77e995c99119p-7, -0x1.9bdab0634a16p-7, -0x1.9081ed01e0512p-7, -0x1.8572e9f4509f4p-7, -0x1.7aabf1dd02cd9p-7, -0x1.702b5898fd47p-7, -0x1.65ef7b10c7dfep-7, -0x1.5bf6bf0a89e2dp-7, -0x1.523f92fcdc41fp-7, -0x1.48c86de2d8718p-7, -0x1.3f8fcf10e3002p-7, -0x1.36943e0a6648fp-7, -0x1.2dd44a5893c2ep-7, -0x1.254e8b61d343fp-7, -0x1.1d01a04227929p-7, -0x1.14ec2fa440ea5p-7, -0x1.0d0ce79b9275fp-7, -0x1.05627d7ef31dcp-7, -0x1.fbd75b8838472p-8, -0x1.ed4e77b7b2fdp-8, -0x1.df27e41decc4p-8, -0x1.d16142b77f95fp-8, -0x1.c3f842a8c57c8p-8, -0x1.b6ea9ffb8ac7dp-8, -0x1.aa36235e225e3p-8, -0x1.9dd8a1e3cf30ep-8, -0x1.91cffcc627a4cp-8, -0x1.861a21280112ap-8, -0x1.7ab507d927e9ap-8, -0x1.6f9eb51b70105p-8, -0x1.64d53868c719dp-8, -0x1.5a56ac3a6b37dp-8, -0x1.502135d10af37p-8, -0x1.463304fe2f5ap-8, -0x1.3c8a53ee60c7dp-8, -0x1.332566f47d622p-8, -0x1.2a028c55c63d5p-8, -0x1.21201c17498bbp-8, -0x1.187c77cbd1a6dp-8, -0x1.10160a62f2a36p-8, -0x1.07eb47f8f132p-8, -0x1.fff55b4f236e4p-9, -0x1.f08582af21abfp-9, -0x1.e1842326bf5a5p-9, -0x1.d2ee6ab485c09p-9, -0x1.c4c197e8f58e2p-9, -0x1.b6faf99059f8ep-9, -0x1.a997ee5e31be5p-9, -0x1.9c95e499d0947p-9, -0x1.8ff259cd3a4f3p-9, -0x1.83aada74a5388p-9, -0x1.77bd01affd40bp-9, -0x1.6c2678f57b982p-9, -0x1.60e4f7c5ee105p-9, -0x1.55f643623d1f3p-9, -0x1.4b582e81ff88dp-9, -0x1.4108990c13f39p-9, -0x1.37056fcfcc499p-9, -0x1.2d4cac3fdf67dp-9, -0x1.23dc542e62d2cp-9, -0x1.1ab27989de74ep-9, -0x1.11cd3a1c11459p-9, -0x1.092abf497677cp-9, -0x1.00c93dd217ecap-9, -0x1.f14deb276cb7cp-10, -0x1.e18462991d196p-10, -0x1.d2328cc03c8e3p-10, -0x1.c35529385e273p-10, -0x1.b4e90bfec1d2dp-10, -0x1.a6eb1d01537dfp-10, -0x1.995857afd8a66p-10, -0x1.8c2dca8f5322p-10, -0x1.7f6896ce8780cp-10, -0x1.7305efde4df58p-10, -0x1.67031b0a182ap-10, -0x1.5b5d6f134b068p-10, -0x1.501253ce48d22p-10, -0x1.451f41c1783b4p-10, -0x1.3a81c1c605dabp-10, -0x1.30376caaa29e8p-10, -0x1.263dead78e596p-10, -0x1.1c92f3f571c47p-10, -0x1.13344e94c41ecp-10, -0x1.0a1fcfd7ae0dfp-10, -0x1.01535b1d75535p-10, -0x1.f199c35e2b22ep-11, -0x1.e114c4dcca618p-11, -0x1.d113d30c026d2p-11, -0x1.c19320367015dp-11, -0x1.b28ef8029c3dap-11, -0x1.a403bedd46e3cp-11, -0x1.95edf165f14b2p-11, -0x1.884a23de48055p-11, -0x1.7b15019db2b5cp-11, -0x1.6e4b4c8651135p-11, -0x1.61e9dc7d8d86p-11, -0x1.55ed9ee75f03bp-11, -0x1.4a53962459ed5p-11, -0x1.3f18d9112a56p-11, -0x1.343a928ba7c8dp-11, -0x1.29b600f780ccbp-11, -0x1.1f8875c6bd512p-11, -0x1.15af5504c605cp-11, -0x1.0c2814e392088p-11, -0x1.02f03d4bbbe56p-11, -0x1.f40acedd2771p-12, -0x1.e2ca7ab2f0185p-12, -0x1.d21af31d10117p-12, -0x1.c1f7cd387d4acp-12, -0x1.b25cbd7244026p-12, -0x1.a34596c1d679fp-12, -0x1.94ae49e831cccp-12, -0x1.8692e4b32c544p-12, -0x1.78ef91445d7b3p-12, -0x1.6bc0955ccfe65p-12, -0x1.5f0251ab3d078p-12, -0x1.52b14120dc236p-12, -0x1.46c9f845b1701p-12, -0x1.3b4924956e012p-12, -0x1.302b8bdc71072p-12, -0x1.256e0b9a4dd7p-12, -0x1.1b0d9865d69a2p-12, -0x1.11073d57438bbp-12, -0x1.07581b72f3c87p-12, -0x1.fbfad233a3f25p-13, -0x1.e9e8e2f805d09p-13, -0x1.d875281c7f799p-13, -0x1.c79a880343846p-13, -0x1.b7540f841f30dp-13, -0x1.a79cf0e78402p-13, -0x1.987082ea5e0bfp-13, -0x1.89ca3fc8f2cb8p-13, -0x1.7ba5c44c70244p-13, -0x1.6dfecee0ce798p-13, -0x1.60d13eb014e07p-13, -0x1.541912bc4372dp-13, -0x1.47d2690cc1ebfp-13, -0x1.3bf97dd1bc69dp-13, -0x1.308aaa95995dap-13, -0x1.2582656f70309p-13, -0x1.1add403c5434fp-13, -0x1.1097e7dc5df4ap-13, -0x1.06af2374cf71fp-13, -0x1.fa3fa76c1e2efp-14, -0x1.e7cde44f54fafp-14, -0x1.d60320e6b9f82p-14, -0x1.c4d9af7d88153p-14, -0x1.b44c0fffa77f1p-14, -0x1.a454eeaf5a707p-14, -0x1.94ef22e78266fp-14, -0x1.8615ade29ade4p-14, -0x1.77c3b988c2b56p-14, -0x1.69f49747a1ef6p-14, -0x1.5ca3beef83cc8p-14, -0x1.4fcccd9b31aacp-14, -0x1.436b8496a4aa2p-14, -0x1.377bc858625a9p-14, -0x1.2bf99f7860076p-14, -0x1.20e131b50d6cfp-14, -0x1.162ec6f07f70dp-14, -0x1.0bdec64c08ff2p-14, -0x1.01edb53143e3ap-14, -0x1.f0b06ce494eb2p-15, -0x1.de3612d0e714cp-15, -0x1.cc661231f952p-15, -0x1.bb3a56c8696a8p-15, -0x1.aaad005d43ab6p-15, -0x1.9ab861465ae6ap-15, -0x1.8b56fcd445fdcp-15, -0x1.7c8385d153fa1p-15, -0x1.6e38dd14571fp-15, -0x1.60721016a348ep-15, -0x1.532a5794b96f9p-15, -0x1.465d163a66d3cp-15, -0x1.3a05d758d9ee2p-15, -0x1.2e204d9538d59p-15, -0x1.22a851c6e7a51p-15, -0x1.1799e1b36800bp-15, -0x1.0cf11eedc0127p-15, -0x1.02aa4db34af5bp-15, -0x1.f183a7a81fc9p-16, -0x1.de686f42742d5p-16, -0x1.cbfc3dce26203p-16, -0x1.ba389bcf10bbbp-16, -0x1.a9174cc53e2fdp-16, -0x1.98924d42b0412p-16, -0x1.88a3d11f06cf3p-16, -0x1.7946419c2891dp-16, -0x1.6a743bb7e75bap-16, -0x1.5c288e5eac971p-16, -0x1.4e5e38f74a661p-16, -0x1.411069a028969p-16, -0x1.343a7bbb34becp-16, -0x1.27d7f6604fc53p-16, -0x1.1be48af0c9d9dp-16, -0x1.105c13a0e1d57p-16, -0x1.053a92232e182p-16, -0x1.f4f85cb31378ap-17, -0x1.e03a69ef66336p-17, -0x1.cc342c8d500acp-17, -0x1.b8dec9f5443e2p-17, -0x1.a633a9df186e9p-17, -0x1.942c743512e48p-17, -0x1.82c30eb521203p-17, -0x1.71f19adc468efp-17, -0x1.61b273ca2c856p-17, -0x1.52002c3b453fp-17, -0x1.42d58c9b04fa4p-17, -0x1.342d90f40d8d5p-17, -0x1.2603675b41c94p-17, -0x1.18526df304b0bp-17, -0x1.0b1631469ef5p-17, -0x1.fc94d520f7c4bp-18, -0x1.e3d5fc40c790dp-18, -0x1.cbe7f39678c62p-18, -0x1.b4c326c4d984p-18, -0x1.9e604e6fc8938p-18, -0x1.88b86d645cdc6p-18, -0x1.73c4cde894545p-18, -0x1.5f7eff17e809p-18, -0x1.4be0d1c097b86p-18, -0x1.38e456d249201p-18, -0x1.2683dc46e1b2p-18, -0x1.14b9eb1829849p-18, -0x1.038144c2677f2p-18, -0x1.e594639a53f9bp-19, -0x1.c54b82ee335f1p-19, -0x1.a608379135e35p-19, -0x1.87c19f877384bp-19, -0x1.6a6f35629a56bp-19, -0x1.4e08ccf702394p-19, -0x1.32868ffbea92ep-19, -0x1.17e0f9956986bp-19, -0x1.fc21a92cea1d3p-20, -0x1.ca1e6e72863cep-20, -0x1.99ab00a960416p-20, -0x1.6abaa8e4a6e94p-20, -0x1.3d4135b464e1bp-20, -0x1.1132f59592aa6p-20, -0x1.cd0963b3c28e7p-21, -0x1.7a57523129f65p-21, -0x1.2a3b16679fa43p-21, -0x1.b941ccec46a6p-22, -0x1.22eb8e849a0b8p-22, -0x1.229e0ee7f7df6p-23, -0x1.12516ad991d8p-28, 0x1.088e7a4e594a2p-23, 0x1.0882ae31e88b3p-22, 0x1.8887ef8e4bb3p-22, 0x1.023a531e2571ap-21, 0x1.3e32a663805fap-21, 0x1.783a9d338c3d8p-21, 0x1.b05f596cb600cp-21, 0x1.e6ad795556631p-21, 0x1.0d988f6988911p-20, 0x1.26faf93bedb4ep-20, 0x1.3f8395c4bc987p-20, 0x1.5737ca221938ep-20, 0x1.6e1cc7913df09p-20, 0x1.84378d4c677edp-20, 0x1.998cec09418c2p-20, 0x1.ae2187015a375p-20, 0x1.c1f9d79d26d45p-20, 0x1.d51a2da90380ap-20, 0x1.e786b26713f0ap-20, 0x1.f9436a419cf3cp-20, 0x1.052a1b3c7570dp-19, 0x1.0d5e6b9c4499fp-19, 0x1.1540764af5cfep-19, 0x1.1cd1fc5935af9p-19, 0x1.2414b07f05623p-19, 0x1.2b0a37d72a0ep-19, 0x1.31b42a91851afp-19, 0x1.38141493050d2p-19, 0x1.3e2b76312addbp-19, 0x1.43fbc4683c3c5p-19, 0x1.49866a03b60abp-19, 0x1.4eccc782b3423p-19, 0x1.53d03492e74bfp-19, 0x1.5891ff482977bp-19, 0x1.5d136d6f6fa7fp-19, 0x1.6155bcc35fcbap-19, 0x1.655a23592f2b9p-19, 0x1.6921d00b04b9ep-19, 0x1.6cadeaba5a8eap-19, 0x1.6fff94f24b77ep-19, 0x1.7317e9dcf33b5p-19, 0x1.75f7ff0eb56e1p-19, 0x1.78a0e437266cbp-19, 0x1.7b13a3fcad9bap-19, 0x1.7d5143f444192p-19, 0x1.7f5ac4f716f74p-19, 0x1.8131235e9a0dbp-19, 0x1.82d55731f29cbp-19, 0x1.8448549536314p-19, 0x1.858b0bb992aabp-19, 0x1.869e68ebd7485p-19, 0x1.878355414d36fp-19, 0x1.883ab682932c9p-19, 0x1.88c56f2a5a971p-19, 0x1.89245ea9833e5p-19, 0x1.895861d7a06e6p-19, 0x1.89625293c4c92p-19, 0x1.8943080cd9a65p-19, 0x1.88fb5700cdfdbp-19, 0x1.888c11cc67761p-19, 0x1.87f608748b24ep-19, 0x1.873a089caa71dp-19, 0x1.8658de3514116p-19, 0x1.855352adf274fp-19, 0x1.842a2d978fa8p-19, 0x1.82de34948c385p-19, 0x1.81702b652183fp-19, 0x1.7fe0d40157b9bp-19, 0x1.7e30ee83a582p-19, 0x1.7c61395e5192ap-19, 0x1.7a72714e4f091p-19, 0x1.78655166c733p-19, 0x1.763a933a4ac13p-19, 0x1.73f2ee673117fp-19, 0x1.718f1952832a7p-19, 0x1.6f0fc8beb30dfp-19, 0x1.6c75afdd2cf2ap-19, 0x1.69c180604f4bbp-19, 0x1.66f3ea788bd24p-19, 0x1.640d9caa3cb7ep-19, 0x1.610f448f77826p-19, 0x1.5df98db6816abp-19, 0x1.5acd22524b797p-19, 0x1.578aab4e0ae38p-19, 0x1.5432cff55effcp-19, 0x1.50c6362818fe1p-19, 0x1.4d45824e049aep-19, 0x1.49b15754374p-19, 0x1.460a56b4eebfap-19, 0x1.4251206817e48p-19, 0x1.3e8652e0f1bc4p-19, 0x1.3aaa8b34ac78dp-19, 0x1.36be64d849174p-19, 0x1.32c279dd2fa0fp-19, 0x1.2eb7629462a52p-19, 0x1.2a9db5f7173fap-19, 0x1.2676098807f8ap-19, 0x1.2240f117fab65p-19, 0x1.1dfefef613955p-19, 0x1.19b0c3e0923cap-19, 0x1.1556cf022c85bp-19, 0x1.10f1adef5f589p-19, 0x1.0c81eca4128a6p-19, 0x1.0808157e94827p-19, 0x1.0384b1433dc9ep-19, 0x1.fdf08e140b312p-20, 0x1.f4c6b88e82c44p-20, 0x1.eb8ce9cf8881dp-20, 0x1.e24426531e37bp-20, 0x1.d8ed6eff4b681p-20, 0x1.cf89c1919c444p-20, 0x1.c61a1875b3f35p-20, 0x1.bc9f6a2a074b7p-20, 0x1.b31aaa75056c9p-20, 0x1.a98cc97202cffp-20, 0x1.9ff6b3ba16e42p-20, 0x1.965952b124c63p-20, 0x1.8cb58c08e3fd9p-20, 0x1.830c420fa19f5p-20, 0x1.795e539f9c42bp-20, 0x1.6fac9c04d6126p-20, 0x1.65f7f31d4a7e8p-20, 0x1.5c412d2ae075cp-20, 0x1.52891b2f21a4cp-20, 0x1.48d08a6eb9f23p-20, 0x1.3f1844a747c12p-20, 0x1.3561102a527b7p-20, 0x1.2babafbb1abep-20, 0x1.21f8e29736bbdp-20, 0x1.1849642b468bep-20, 0x1.0e9ded41c44bfp-20, 0x1.04f73231e0521p-20, 0x1.f6abc87a6498fp-21, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.35759edbe35bfp-5, -0x1.2fa9ace76eb7dp-4, -0x1.ba6e296c62462p-4, -0x1.1c0320f626874p-3, -0x1.53360253adb6dp-3, -0x1.8234335dd195dp-3, -0x1.a8b1e7195ecf2p-3, -0x1.c69fcba0e5a7bp-3, -0x1.dc1c71f112eaep-3, -0x1.e96aebbf2c6b9p-3, -0x1.eee528b13908dp-3, -0x1.ecf635046746cp-3, -0x1.e41c9065b97eep-3, -0x1.d4d69fbeb2df5p-3, -0x1.bfaaba238bd46p-3, -0x1.a5210c92cea08p-3, -0x1.85c0a2770d158p-3, -0x1.620c5774507bfp-3, -0x1.3a87a5d05c23dp-3, -0x1.0fae366181e3fp-3, -0x1.c3e7d36fd6879p-4, -0x1.639766922bac9p-4, -0x1.fe892f0678a06p-5, -0x1.2f699abf5a589p-5, -0x1.6cf5c42e1cbe5p-7, 0x1.f289cbb0b5482p-7, 0x1.56e62c92e6594p-5, 0x1.193651a1cbbeap-4, 0x1.8714fb46363c2p-4, 0x1.f493f4c4b85e1p-4, 0x1.30a1776a7a715p-3, 0x1.665e62bf2cbb9p-3, 0x1.9b53c8d11ca54p-3, 0x1.cf5a166e80e24p-3, 0x1.01274732210abp-2, 0x1.1a094f142033bp-2, 0x1.3245af7fd694bp-2, 0x1.49d0b2ace6316p-2, 0x1.60a05f90aa924p-2, 0x1.76ac77c1275efp-2, 0x1.8bee66e1807e1p-2, 0x1.a06122ccbf467p-2, 0x1.b400ffbb46a55p-2, 0x1.c6cb7c832bebdp-2, 0x1.d8bf0db90e4e6p-2, 0x1.e9daf072f51ecp-2, 0x1.fa1f0bc19f454p-2, 0x1.04c5f1ad64b5cp-1, 0x1.0c114c32a83a5p-1, 0x1.12f27847a26d4p-1, 0x1.196aacdb67887p-1, 0x1.1f7b7191725c1p-1, 0x1.252695aa67bb8p-1, 0x1.2a6e236c85181p-1, 0x1.2f55d1992026ap-1, 0x1.33dd9a950edf5p-1, 0x1.38087a231e168p-1, 0x1.3bd8d4f31da4ep-1, 0x1.3f512250e15c2p-1, 0x1.4273e78f78d29p-1, 0x1.4543b4ad167cap-1, 0x1.47c322117e68fp-1, 0x1.49f4ced8e9a78p-1, 0x1.4bdb5f12cfecfp-1, 0x1.4d79799fe861p-1, 0x1.4ed1c5b0dead5p-1, 0x1.4fe6e81ec8e68p-1, 0x1.50bb80e0cfefcp-1, 0x1.515228cda212p-1, 0x1.51ad6fb9e2715p-1, 0x1.51cfdaeed38e2p-1, 0x1.51bbe3eb06196p-1, 0x1.5173f75f8efb8p-1, 0x1.50fa7461eb15cp-1, 0x1.5051abd057dbdp-1, 0x1.4f7bdfe8e642p-1, 0x1.4e7b4411db9fcp-1, 0x1.4d51fcccedb7bp-1, 0x1.4c021fc86cce4p-1, 0x1.4a8db3fbde691p-1, 0x1.48f6b1baefb19p-1, 0x1.473f02abb71adp-1, 0x1.456881945435dp-1, 0x1.4374f9ff4427cp-1, 0x1.416627c296573p-1, 0x1.3f3db6813a25ep-1, 0x1.3cfd4143b8be9p-1, 0x1.3aa65244e769fp-1, 0x1.383a63078ff4ep-1, 0x1.35badcbdb4af9p-1, 0x1.332918fbece9dp-1, 0x1.308662a6b9fb9p-1, 0x1.2dd3f6ff1d72fp-1, 0x1.2b1306b0724b8p-1, 0x1.2844b6c39e234p-1, 0x1.256a21621b26dp-1, 0x1.2284565c80f37p-1, 0x1.1f945b72212f8p-1, 0x1.1c9b2c608185fp-1, 0x1.1999bac87d8afp-1, 0x1.1690edfb133cep-1, 0x1.1381a2c11cc62p-1, 0x1.106cab2fbadd9p-1, 0x1.0d52ce97c57fbp-1, 0x1.0a34c999c6a3cp-1, 0x1.07134e62c366ep-1, 0x1.03ef0510e829p-1, 0x1.00c88c3ab81e2p-1, 0x1.fb40f31fe9102p-2, 0x1.f4eeb5129a3a4p-2, 0x1.ee9bd5f04be3ap-2, 0x1.e847e243c180dp-2, 0x1.e1f4deb514bd9p-2, 0x1.dba3ba3147027p-2, 0x1.d5555678235c2p-2, 0x1.cf0a88803727bp-2, 0x1.c8c418ea416d2p-2, 0x1.c282c481fbf2ep-2, 0x1.bc473cc947606p-2, 0x1.b612288a8b7a9p-2, 0x1.afe4246f1266fp-2, 0x1.a9bdc3966d232p-2, 0x1.a39f902c458ffp-2, 0x1.9d8a0bfa3f935p-2, 0x1.977db0f3d91c4p-2, 0x1.917af1ba6934cp-2, 0x1.8b823a1791537p-2, 0x1.8593ef6cc2d5dp-2, 0x1.7fb07116d052p-2, 0x1.79d818c4ec6a9p-2, 0x1.740b3ac317e74p-2, 0x1.6e4a26387e2d6p-2, 0x1.6895255ad7cdep-2, 0x1.62ec7d985be9fp-2, 0x1.5d506fba2b3e8p-2, 0x1.57c138013d927p-2, 0x1.523f0e3fe7e48p-2, 0x1.4cca25f1e70b4p-2, 0x1.4762ae5499649p-2, 0x1.4208d280bbfd2p-2, 0x1.3cbcb986983d2p-2, 0x1.377e868d36c2bp-2, 0x1.324e58f4cdf27p-2, 0x1.2d2c4c7c4fa81p-2, 0x1.28187969cf381p-2, 0x1.2312f4b52796p-2, 0x1.1e1bd034515ecp-2, 0x1.19331ac89c432p-2, 0x1.1458e08c19b4fp-2, 0x1.0f8d2afe719afp-2, 0x1.0ad0013072e1cp-2, 0x1.062167edbf626p-2, 0x1.018161e411d2p-2, 0x1.f9dfdf8f63f0dp-3, 0x1.f0da20e9afb45p-3, 0x1.e7f1821bb1c78p-3, 0x1.df25fa2c3722ap-3, 0x1.d6777d13e19ap-3, 0x1.cde5fbe70b2eap-3, 0x1.c57164fa64ef2p-3, 0x1.bd19a4030be0ap-3, 0x1.b4dea232b3275p-3, 0x1.acc04650b141cp-3, 0x1.a4be74d08f8c9p-3, 0x1.9cd90fe6c08b5p-3, 0x1.950ff79c0b75bp-3, 0x1.8d6309e00c08dp-3, 0x1.85d2229b3651bp-3, 0x1.7e5d1bc08b4d7p-3, 0x1.7703cd5f31648p-3, 0x1.6fc60db418543p-3, 0x1.68a3b13b9fbc8p-3, 0x1.619c8ac363803p-3, 0x1.5ab06b7c11d28p-3, 0x1.53df230b59e4fp-3, 0x1.4d287f9de8a8dp-3, 0x1.468c4df962ecep-3, 0x1.400a598e6a091p-3, 0x1.39a26c8a8d305p-3, 0x1.33544fea357b9p-3, 0x1.2d1fcb8a76afap-3, 0x1.2704a63acca9cp-3, 0x1.2102a5cea86acp-3, 0x1.1b198f2edf3a7p-3, 0x1.1549266adedb9p-3, 0x1.0f912ec99d24p-3, 0x1.09f16ada4a026p-3, 0x1.04699c849eff7p-3, 0x1.fdf30a31abd03p-4, 0x1.f341cabe587a7p-4, 0x1.e8befb4de18a1p-4, 0x1.de6a1baa0fc91p-4, 0x1.d442aae3d2c8cp-4, 0x1.ca48276dfa7bdp-4, 0x1.c07a0f36c7814p-4, 0x1.b6d7dfc029aa3p-4, 0x1.ad611636acbb1p-4, 0x1.a4152f8726c0fp-4, 0x1.9af3a8730851bp-4, 0x1.91fbfda35cf69p-4, 0x1.892dabba9db45p-4, 0x1.80882f6534f9ap-4, 0x1.780b0568e7513p-4, 0x1.6fb5aab31a287p-4, 0x1.67879c6616c04p-4, 0x1.5f8057e555f22p-4, 0x1.579f5ae0ea6cep-4, 0x1.4fe4236022ebfp-4, 0x1.484e2fcb72211p-4, 0x1.40dcfef5b54c4p-4, 0x1.39901024ef7fp-4, 0x1.3266e31a88527p-4, 0x1.2b60f81b24c14p-4, 0x1.247dcff628bfap-4, 0x1.1dbcec0cf1c16p-4, 0x1.171dce59da01ep-4, 0x1.109ff9770d00fp-4, 0x1.0a42f0a53984bp-4, 0x1.040637d228ddap-4, 0x1.fbd2a73e85fbep-5, 0x1.efd792cfff7c2p-5, 0x1.e41a3e9097471p-5, 0x1.d89a3605db28bp-5, 0x1.cd55c5b126d68p-5, 0x1.c24c3ec9eb069p-5, 0x1.b77cb3b119369p-5, 0x1.ace638a34b6dfp-5, 0x1.a287e3c32e293p-5, 0x1.9860cd2346aap-5, 0x1.8e700ecf19309p-5, 0x1.84b4c4d3c10fbp-5, 0x1.7b2e0d47f87f6p-5, 0x1.71db0853a0b77p-5, 0x1.68bad836cd7c8p-5, 0x1.5fcca1505966ap-5, 0x1.570f8a240e23ep-5, 0x1.4e82bb605abb6p-5, 0x1.46255fe3b0727p-5, 0x1.3df6a4c170dccp-5, 0x1.35f5b946882f3p-5, 0x1.2e21cefda50f5p-5, 0x1.267a19b31db2cp-5, 0x1.1efdcf7876b49p-5, 0x1.17ac28a79fac3p-5, 0x1.10845fe5d4ff1p-5, 0x1.0985b2262f5cp-5, 0x1.02af5eabe8facp-5, 0x1.f8014e189a021p-6, 0x1.eaf19e60bcda8p-6, 0x1.de2e3aac56875p-6, 0x1.d1b5b423b2bb4p-6, 0x1.c586a09cc984ep-6, 0x1.b99f9a9c2e8f8p-6, 0x1.adff415563785p-6, 0x1.a2a438aaaefdap-6, 0x1.978d292c568ebp-6, 0x1.8cb8c0175930cp-6, 0x1.8225af53a1e12p-6, 0x1.77d2ad71c0393p-6, 0x1.6dbe75a815bf1p-6, 0x1.63e7c7cf96232p-6, 0x1.5a4d686009882p-6, 0x1.50ee206be050ap-6, 0x1.47c8bd9b921c9p-6, 0x1.3edc1228a097cp-6, 0x1.3626f4d822a85p-6, 0x1.2da840f4f6f28p-6, 0x1.255ed649997ap-6, 0x1.1d499919998fp-6, 0x1.1567721ab87a4p-6, 0x1.0db74e6dbef96p-6, 0x1.06381f96f95d4p-6, 0x1.fdd1b6ecda944p-7, 0x1.ef90f87f90c9cp-7, 0x1.e1ac00e411441p-7, 0x1.d420d59dd2f18p-7, 0x1.c6ed84a4156e6p-7, 0x1.ba10244fd76cap-7, 0x1.ad86d3493c24dp-7, 0x1.a14fb874abd1ep-7, 0x1.956902df87ce3p-7, 0x1.89d0e9ac70ea8p-7, 0x1.7e85abff56e14p-7, 0x1.738590e9297edp-7, 0x1.68cee7533dca7p-7, 0x1.5e6005ea73d9cp-7, 0x1.54374b0a17ae6p-7, 0x1.4a531ca68b307p-7, 0x1.40b1e837c367dp-7, 0x1.375222a377e12p-7, 0x1.2e324827473d6p-7, 0x1.2550dc429c8f8p-7, 0x1.1cac69a07e366p-7, 0x1.144382012933cp-7, 0x1.0c14be23ae9f5p-7, 0x1.041ebdaf5fb4ap-7, 0x1.f8c04e3a5cf36p-8, 0x1.e9af4f41ff861p-8, 0x1.db07e625dc999p-8, 0x1.ccc787b1068acp-8, 0x1.beebb59bdd68cp-8, 0x1.b171fe5e61a42p-8, 0x1.a457fd02ac2e2p-8, 0x1.979b58f74dd2ap-8, 0x1.8b39c5e1cb8fbp-8, 0x1.7f31037135ab8p-8, 0x1.737edd30c0798p-8, 0x1.68212a5a956c3p-8, 0x1.5d15cdaab9421p-8, 0x1.525ab5322d97cp-8, 0x1.47edda2a21acep-8, 0x1.3dcd40c77f7b4p-8, 0x1.33f6f80e97358p-8, 0x1.2a6919a70ee24p-8, 0x1.2121c9b015864p-8, 0x1.181f3694df7dp-8, 0x1.0f5f98e166ef1p-8, 0x1.06e13317889bep-8, 0x1.fd44a308c7d1bp-9, 0x1.ed42942c11d1p-9, 0x1.ddb8f8634fb8ap-9, 0x1.cea4a113f293dp-9, 0x1.c00271ec1008ep-9, 0x1.b1cf6090da6a4p-9, 0x1.a408744dd16ddp-9, 0x1.96aac5c4ce70ap-9, 0x1.89b37e9eca814p-9, 0x1.7d1fd93d7423fp-9, 0x1.70ed206df635bp-9, 0x1.6518af1c20336p-9, 0x1.599ff006d7435p-9, 0x1.4e805d75148cfp-9, 0x1.43b780ec165e2p-9, 0x1.3942f2e63fd52p-9, 0x1.2f205a8afdbf3p-9, 0x1.254d6d678ee66p-9, 0x1.1bc7ef28a48b2p-9, 0x1.128db1551c57cp-9, 0x1.099c93095403p-9, 0x1.00f280b3c5b67p-9, 0x1.f11ae7a49cedep-10, 0x1.e0d6e560f1463p-10, 0x1.d115204d2235p-10, 0x1.c1d1d6b3a2bc1p-10, 0x1.b3095efa8ecdep-10, 0x1.a4b8272772428p-10, 0x1.96dab464e30c5p-10, 0x1.896da2898ef8bp-10, 0x1.7c6da3a14f5a7p-10, 0x1.6fd77f77f06ep-10, 0x1.63a81325a0134p-10, 0x1.57dc509cff5e2p-10, 0x1.4c713e3b214b8p-10, 0x1.4163f658c276p-10, 0x1.36b1a6dd95585p-10, 0x1.2c5790d5021b4p-10, 0x1.2253080445ab5p-10, 0x1.18a17282d3857p-10, 0x1.0f40485367271p-10, 0x1.062d12ff5dd61p-10, 0x1.facada6651f6dp-11, 0x1.e9ce04b907822p-11, 0x1.d95f1c9413c27p-11, 0x1.c979b998f5badp-11, 0x1.ba1992b23c019p-11, 0x1.ab3a7d5c35eb3p-11, 0x1.9cd86cef34a07p-11, 0x1.8eef71ee60b7bp-11, 0x1.817bb958766bep-11, 0x1.74798bfad1254p-11, 0x1.67e54dc87c88bp-11, 0x1.5bbb7d336fb19p-11, 0x1.4ff8b2889e66ap-11, 0x1.44999f4f3bf02p-11, 0x1.399b0daa09054p-11, 0x1.2ef9dfbc61ab3p-11, 0x1.24b30f10f87fp-11, 0x1.1ac3ac04808d9p-11, 0x1.1128dd32074a7p-11, 0x1.07dfdee2ef649p-11, 0x1.fdcc05016b3e8p-12, 0x1.ec715c1556db4p-12, 0x1.dbaab71a40bfap-12, 0x1.cb73313862c42p-12, 0x1.bbc60ba1e02dfp-12, 0x1.ac9eac920a66cp-12, 0x1.9df89e52da205p-12, 0x1.8fcf8e46b6f3p-12, 0x1.821f4bf89b7cdp-12, 0x1.74e3c83101215p-12, 0x1.6819140f18041p-12, 0x1.5bbb602876892p-12, 0x1.4fc6fbad20528p-12, 0x1.44385390abca1p-12, 0x1.390bf1b885504p-12, 0x1.2e3e7c2ee963p-12, 0x1.23ccb45a5c883p-12, 0x1.19b3763adc3e4p-12, 0x1.0fefb7aae69c5p-12, 0x1.067e87a51abc2p-12, 0x1.faba1b1d9c83dp-13, 0x1.e911110d7cf5ap-13, 0x1.d7fc9d7037598p-13, 0x1.c77799650837p-13, 0x1.b77d09893ee25p-13, 0x1.a8081cb8e571bp-13, 0x1.99142ad5669f4p-13, 0x1.8a9cb395e6f45p-13, 0x1.7c9d5d5c2361p-13, 0x1.6f11f414c82d6p-13, 0x1.61f66819bd9d5p-13, 0x1.5546cd239045cp-13, 0x1.48ff59390167cp-13, 0x1.3d1c63ab6b51ap-13, 0x1.319a64173e30ep-13, 0x1.2675f16bc72ddp-13, 0x1.1babc0f87cc2ep-13, 0x1.1138a58147e7cp-13, 0x1.07198e5a0f6c4p-13, 0x1.fa970d071d943p-14, 0x1.e79767a5d3ebcp-14, 0x1.d52eac3955c5dp-14, 0x1.c3578cc9667bcp-14, 0x1.b20cec29e2acbp-14, 0x1.a149dc6fce3f9p-14, 0x1.91099d72d6954p-14, 0x1.81479b56151d8p-14, 0x1.71ff6d1d7cdefp-14, 0x1.632cd34b50e1bp-14, 0x1.54cbb683f9cep-14, 0x1.46d826423d79ep-14, 0x1.394e578d48da9p-14, 0x1.2c2aa3bae2ac4p-14, 0x1.1f69873876b79p-14, 0x1.1307a05dff6eep-14, 0x1.0701ae4914e3dp-14, 0x1.f6a91f7c348a7p-15, 0x1.dffa8427c7dp-15, 0x1.c9f1c049ca204p-15, 0x1.b4894295ed07bp-15, 0x1.9fbbb0be683b5p-15, 0x1.8b83e5808585ap-15, 0x1.77dceed06215ap-15, 0x1.64c20bfdfdeacp-15, 0x1.522eabf713dc1p-15, 0x1.401e6b8b0001bp-15, 0x1.2e67d28ed0d21p-15, 0x1.1d5295ab1faa7p-15, 0x1.0cb44f5befe58p-15, 0x1.f91288491a427p-16, 0x1.d99bbd3d8b0cfp-16, 0x1.bafd5c2812dd7p-16, 0x1.9d30ca42d4875p-16, 0x1.802fb0b441046p-16, 0x1.63f3fa1f14d0cp-16, 0x1.4877d0111463cp-16, 0x1.2db598a4914b4p-16, 0x1.13a7f430b7bd3p-16, 0x1.f493760cce195p-17, 0x1.c32bf6911cf01p-17, 0x1.930fed9d019d4p-17, 0x1.6436423193be2p-17, 0x1.36963acab7999p-17, 0x1.0a277963bb351p-17, 0x1.bdc3efb752507p-18, 0x1.697c08b7e06fdp-18, 0x1.17687ba90d0c6p-18, 0x1.8ef6429a2c592p-19, 0x1.e6999aa8348a5p-20, 0x1.6eea368be79a3p-21, -0x1.becbb5fc489a8p-22, -0x1.8f0e6d288cb98p-20, -0x1.5365b01b720cbp-19, -0x1.db8af47b1effep-19, -0x1.30061945d2e12p-18, -0x1.707ee09b334efp-18, -0x1.af3994b286da9p-18, -0x1.ec3f97e6328c8p-18, -0x1.13ccf78e8b9ccp-17, -0x1.30a8a320dd3abp-17, -0x1.4cb6fa3f35197p-17, -0x1.67fc004ef529dp-17, -0x1.827b926832854p-17, -0x1.9c3969592dcc9p-17, -0x1.b5391b5ab7602p-17, -0x1.cd7e1dea67fep-17, -0x1.e50bc77245333p-17, -0x1.fbe550e555f06p-17, -0x1.0906eba5610dbp-16, -0x1.13c42e98fc64ap-16, -0x1.1e2be611456fcp-16, -0x1.283f7af7550c7p-16, -0x1.32004afe651dap-16, -0x1.3b6fa940d750bp-16, -0x1.448eded4aec68p-16, -0x1.4d5f2b5f2b14p-16, -0x1.55e1c58e2bd13p-16, -0x1.5e17dbad90d79p-16, -0x1.660294114e9abp-16, -0x1.6da30da16f9aap-16, -0x1.74fa602c4bb16p-16, -0x1.7c099ce5e622ap-16, -0x1.82d1cec75869ap-16, -0x1.8953faf04ea66p-16, -0x1.8f912101a8b84p-16, -0x1.958a3b7532fep-16, -0x1.9b403ff02fc84p-16, -0x1.a0b41f918bd52p-16, -0x1.a5e6c7414acddp-16, -0x1.aad91fea424a1p-16, -0x1.af8c0ecc7d11bp-16, -0x1.b40075b30c86ap-16, -0x1.b83733325aea1p-16, -0x1.bc3122e06ccaep-16, -0x1.bfef1d89353ffp-16, -0x1.c371f964d4202p-16, -0x1.c6ba8a41754bbp-16, -0x1.c9c9a1ab4034ap-16, -0x1.cca00f23687f4p-16, -0x1.cf3ea03ce552bp-16, -0x1.d1a620c1dbf6ep-16, -0x1.d3d75ad17f4d7p-16, -0x1.d5d3170b10c72p-16, -0x1.d79a1c99621adp-16, -0x1.d92d3159049aep-16, -0x1.da8d19e70ca0bp-16, -0x1.dbba99be9f99p-16, -0x1.dcb67347436c5p-16, -0x1.dd8167e3b3ee3p-16, -0x1.de1c380f66d2fp-16, -0x1.de87a356ec5ddp-16, -0x1.dec468728afbbp-16, -0x1.ded3454d778ap-16, -0x1.deb4f70fbfedbp-16, -0x1.de6a3a2844cb8p-16, -0x1.ddf3ca50ebe95p-16, -0x1.dd52629be722ep-16, -0x1.dc86bd7b9eac3p-16, -0x1.db9194c465047p-16, -0x1.da73a1bc4b7adp-16, -0x1.d92d9d1237659p-16, -0x1.d7c03efb7c6e6p-16, -0x1.d62c3f2b25aacp-16, -0x1.d47254daf3d9fp-16, -0x1.d29336d27767cp-16, -0x1.d08f9b6695354p-16, -0x1.ce68387988c1ap-16, -0x1.cc1dc38bac3d5p-16, -0x1.c9b0f19e95fd3p-16, -0x1.c722773f58184p-16, -0x1.c47308891d19dp-16, -0x1.c1a3590dab84ap-16, -0x1.beb41bd8a9b1cp-16, -0x1.bba6036077ac3p-16, -0x1.b879c18115826p-16, -0x1.b530076fc50fdp-16, -0x1.b1c985b2e1c2cp-16, -0x1.ae46ec1938d6dp-16, -0x1.aaa8e9b357cdp-16, -0x1.a6f02cc873314p-16, -0x1.a31d62d3eb0d6p-16, -0x1.9f313875c4377p-16, -0x1.9b2c59784c59ep-16, -0x1.970f70c611d1ep-16, -0x1.92db285feb67bp-16, -0x1.8e90295bbedb1p-16, -0x1.8a2f1bddea055p-16, -0x1.85b8a713aa57bp-16, -0x1.812d712d60531p-16, -0x1.7c8e1f582eb45p-16, -0x1.77db55b9c2503p-16, -0x1.7315b767e6d49p-16, -0x1.6e3de663004b5p-16, -0x1.6954838c878e4p-16, -0x1.645a2eab87988p-16, -0x1.5f4f8659de7dap-16, -0x1.5a3528006a264p-16, -0x1.550bafd3632a9p-16, -0x1.4fd3b8cb896d2p-16, -0x1.4a8ddc95f1306p-16, -0x1.453ab3a00176cp-16, -0x1.3fdad5031dd93p-16, -0x1.3a6ed6819a24dp-16, -0x1.34f74c828c4d1p-16, -0x1.2f74ca0871f25p-16, -0x1.29e7e0ae923edp-16, -0x1.245120a15dddp-16, -0x1.1eb11897cf731p-16, -0x1.190855d200779p-16, -0x1.1357640ed05b3p-16, -0x1.0d9ecd8df56fdp-16, -0x1.07df1b02bafecp-16, -0x1.0218d39352e7cp-16, -0x1.f898f9ab9b231p-17, -0x1.ecf53593767fep-17, -0x1.e1475fa92aaffp-17, -0x1.d5907973f77e2p-17, -0x1.c9d1814ea83a5p-17, -0x1.be0b72317d22fp-17, -0x1.b23f43cce1a91p-17, }}, 
      {{-0x1.653d945223e59p+1, -0x1.5f83d40634ed2p+1, -0x1.5725ca0ad2b4ep+1, -0x1.4ce37bc0c4496p+1, -0x1.4156ab85498cap+1, -0x1.34f9353716a08p+1, -0x1.282bc5c862093p+1, -0x1.1b39afac84321p+1, -0x1.0e5d6b62cbbb8p+1, -0x1.01c396ec58082p+1, -0x1.eb1baf71c349fp+0, -0x1.d3a9cc75ac503p+0, -0x1.bd53a5a6af69ep+0, -0x1.a830c97b2489bp+0, -0x1.944ee3e845537p+0, -0x1.81b44df84794cp+0, -0x1.7061778ef46p+0, -0x1.605267033a3e1p+0, -0x1.517f37d35854p+0, -0x1.43dd7fd3a3ddbp+0, -0x1.3761166d75e19p+0, -0x1.2bfbda5a78f07p+0, -0x1.219eb7edb9036p+0, -0x1.183a61c074ee6p+0, -0x1.0fbf33b46062fp+0, -0x1.081d495685caep+0, -0x1.0144979f7db14p+0, -0x1.f64bfc041ab9bp-1, -0x1.eb65091955e46p-1, -0x1.e1b771f83a9b9p-1, -0x1.d9276de31c493p-1, -0x1.d19a85bb2f60ap-1, -0x1.caf7b6345243fp-1, -0x1.c52777a3dd0b9p-1, -0x1.c013afb9e6938p-1, -0x1.bba79a8929a32p-1, -0x1.b7cfbe022c4dcp-1, -0x1.b479efb610e33p-1, -0x1.b19562a39616ap-1, -0x1.af12ac63da4cp-1, -0x1.ace3b8e506c4ep-1, -0x1.aafbaf7fdb723p-1, -0x1.a94ed25e59538p-1, -0x1.a7d260f91b357p-1, -0x1.a67c832669cb8p-1, -0x1.a5443e0a7fd66p-1, -0x1.a421706454112p-1, -0x1.a30cd16e1af61p-1, -0x1.a1ffed606f9c4p-1, -0x1.a0f51c23045bp-1, -0x1.9fe771135a833p-1, -0x1.9ed2a56868c8ap-1, -0x1.9db300d3740ccp-1, -0x1.9c8544a243606p-1, -0x1.9b4797af75787p-1, -0x1.99f54267096dfp-1, -0x1.988d583628e4cp-1, -0x1.970e2de3076d1p-1, -0x1.957668cd8ecfcp-1, -0x1.93c4f806bc4dfp-1, -0x1.91f90f3e73f6p-1, -0x1.901222b2f0ae5p-1, -0x1.8e0fe3099b7efp-1, -0x1.8bf2383b549e3p-1, -0x1.89b93b5895a48p-1, -0x1.87652f88d3c87p-1, -0x1.84f67b05f8abap-1, -0x1.826da0d6ba1c1p-1, -0x1.7fcb3bc50d739p-1, -0x1.7d0ffaacfa777p-1, -0x1.7a3c9ded2ecafp-1, -0x1.7751f59513222p-1, -0x1.7450dfe6002fp-1, -0x1.713a47d3e0718p-1, -0x1.6e0f2355d7625p-1, -0x1.6ad0717c7b851p-1, -0x1.677f385f96059p-1, -0x1.641c8304b3119p-1, -0x1.60a95f60eb8fcp-1, -0x1.5d26dc8e2a3f2p-1, -0x1.5996093c372d6p-1, -0x1.55f7f2570ad79p-1, -0x1.524da1d3c0195p-1, -0x1.4e981d965de76p-1, -0x1.4ad8666ad0573p-1, -0x1.470f771656449p-1, -0x1.433e438f65c09p-1, -0x1.3f65b86ce3f8dp-1, -0x1.3b86ba99c81edp-1, -0x1.37a227514e1dep-1, -0x1.33b8d45cc423ep-1, -0x1.2fcb9081f2acep-1, -0x1.2bdb240a5fdfp-1, -0x1.27e851495adcp-1, -0x1.23f3d508cfd74p-1, -0x1.1ffe66ca7d16dp-1, -0x1.1c08b8d314019p-1, -0x1.181377fdc4847p-1, -0x1.141f4b5f4380ap-1, -0x1.102cd3c68021bp-1, -0x1.0c3cab2de640fp-1, -0x1.084f6431ca9f3p-1, -0x1.0465899f6262ap-1, -0x1.007f9e2bc07dfp-1, -0x1.f93c38b95485fp-2, -0x1.f182ed4cfa9ddp-2, -0x1.e9d42f77e6044p-2, -0x1.e230c60e59d61p-2, -0x1.da996a7f24104p-2, -0x1.d30eca1c54779p-2, -0x1.cb91a066d86fcp-2, -0x1.c421cf9c9ff76p-2, -0x1.bcc095a578257p-2, -0x1.b56e818fbca3dp-2, -0x1.ae2c18acd3a94p-2, -0x1.a6f9d6d81e63p-2, -0x1.9fd82ec384e47p-2, -0x1.98c78a489b019p-2, -0x1.91c84abd87745p-2, -0x1.8adac94d046a5p-2, -0x1.83ff575109c4ep-2, -0x1.7d363eafc4bp-2, -0x1.767fc23a64ef1p-2, -0x1.6fdc1e0d13787p-2, -0x1.694b87ef0a0ddp-2, -0x1.62ce2fb16bf7ep-2, -0x1.5c643f8b3fd93p-2, -0x1.560ddc70d48a8p-2, -0x1.4fcb2664f71c9p-2, -0x1.499c38c2b1757p-2, -0x1.43812a7ecabedp-2, -0x1.3d7a0e60ca513p-2, -0x1.3786f333e9bc7p-2, -0x1.31a7e3f0d78d8p-2, -0x1.2bdce7e19bb44p-2, -0x1.262602c128ecdp-2, -0x1.208334d83582p-2, -0x1.1af47b18dcae1p-2, -0x1.1579cf3a4fd0cp-2, -0x1.101327d591ba7p-2, -0x1.0ac07883dec66p-2, -0x1.0581b1ff0dda1p-2, -0x1.0056c243e9d9ap-2, -0x1.f67f296c8cdddp-3, -0x1.ec78248cb72d3p-3, -0x1.e298432dd6192p-3, -0x1.d8df4e471fp-3, -0x1.cf4d0acd49bb1p-3, -0x1.c5e139fc8a9bap-3, -0x1.bc9b999fc1486p-3, -0x1.b37be4542d714p-3, -0x1.aa81d1c9280b5p-3, -0x1.a1ad16fb8ae16p-3, -0x1.98fd666cb5c2ep-3, -0x1.9072705534d66p-3, -0x1.880be2d34844ap-3, -0x1.7fc96a1591d91p-3, -0x1.77aab08244f39p-3, -0x1.6faf5edb506bdp-3, -0x1.67d71c5fd7b8cp-3, -0x1.60218eeb72fc2p-3, -0x1.588e5b13843c8p-3, -0x1.511d2442f8e0cp-3, -0x1.49cd8cd4adf7bp-3, -0x1.429f362cadd42p-3, -0x1.3b91c0d060802p-3, -0x1.34a4cc7dcb2c7p-3, -0x1.2dd7f841ddbc1p-3, -0x1.272ae28de1c4bp-3, -0x1.209d294bfcf25p-3, -0x1.1a2e69f2cc13fp-3, -0x1.13de41981cfacp-3, -0x1.0dac4d02c1026p-3, -0x1.079828bb88f9cp-3, -0x1.01a1711d73379p-3, -0x1.f78f84ca3ca6cp-4, -0x1.ec15717f1eefap-4, -0x1.e0d3e0b0d0e55p-4, -0x1.d5ca0acf291abp-4, -0x1.caf7287d23ffcp-4, -0x1.c05a72aab381fp-4, -0x1.b5f322adf219ap-4, -0x1.abc0725bcca08p-4, -0x1.a1c19c202bbadp-4, -0x1.97f5db15aa8dep-4, -0x1.8e5c6b1cb70c4p-4, -0x1.84f488f239ed7p-4, -0x1.7bbd7245964a7p-4, -0x1.72b665cdf899bp-4, -0x1.69dea35ee2386p-4, -0x1.61356bfbd2b74p-4, -0x1.58ba01eb04302p-4, -0x1.506ba8c71f321p-4, -0x1.4849a58fde5ap-4, -0x1.40533eb9902d1p-4, -0x1.3887bc3b74911p-4, -0x1.30e6679cf1231p-4, -0x1.296e8c019d207p-4, -0x1.221f76342bbeap-4, -0x1.1af874b03b472p-4, -0x1.13f8d7ab1763ep-4, -0x1.0d1ff11b7ba24p-4, -0x1.066d14c0646abp-4, -0x1.ffbf304e011a5p-5, -0x1.f2eda55fafee6p-5, -0x1.e6643b266820cp-5, -0x1.da21a7c9bf1e3p-5, -0x1.ce24a52e9da96p-5, -0x1.c26bf0fc7af96p-5, -0x1.b6f64ca1ac1adp-5, -0x1.abc27d56d81f8p-5, -0x1.a0cf4c21b449p-5, -0x1.961b85d71a7c7p-5, -0x1.8ba5fb1c8a874p-5, -0x1.816d806930f2ep-5, -0x1.7770ee0679bcdp-5, -0x1.6daf20103fd64p-5, -0x1.6426f6749eb2ep-5, -0x1.5ad754f376c92p-5, -0x1.51bf231d9ceep-5, -0x1.48dd4c53c5c81p-5, -0x1.4030bfc5275ffp-5, -0x1.37b89af460e5bp-5, -0x1.2f739781fcfefp-5, -0x1.2760c09aa3d4ep-5, -0x1.1f7f147323301p-5, -0x1.17cd950f9cfbfp-5, -0x1.104b483faa3f1p-5, -0x1.08f7379a09f66p-5, -0x1.01d07077ecb93p-5, -0x1.f5ac07dfc36e3p-6, -0x1.e80e0da0cda71p-6, -0x1.dac5233451c47p-6, -0x1.cdcf80f3f1e5ep-6, -0x1.c12b6684eb3aep-6, -0x1.b4d71acaed75bp-6, -0x1.a8d0ebda6df2dp-6, -0x1.9d172eea958c1p-6, -0x1.91a84046b99bap-6, -0x1.8682833f73e32p-6, -0x1.7ba4621b627dp-6, -0x1.710c4e078f234p-6, -0x1.66b8bf0786f26p-6, -0x1.5ca833e522a7dp-6, -0x1.52d932201695p-6, -0x1.494a45dd2a9c1p-6, -0x1.3ffa01d54b795p-6, -0x1.36e6ff4454454p-6, -0x1.2e0fddd7aa39ap-6, -0x1.2573439ca0df3p-6, -0x1.1d0fdceeb402cp-6, -0x1.14e45c6596bdp-6, -0x1.0cef7ac31a5fp-6, -0x1.052ff6e0edf5dp-6, -0x1.fb492b3c8d2b9p-7, -0x1.ec98439ab971dp-7, -0x1.de4ad841b5ac9p-7, -0x1.d05e9632589dep-7, -0x1.c2d135e37b279p-7, -0x1.b5a07b1c512e9p-7, -0x1.a8ca34ce9f501p-7, -0x1.9c4c3cf0edc4bp-7, -0x1.902478588e3bbp-7, -0x1.8450d693acf7dp-7, -0x1.78cf51c35541ap-7, -0x1.6d9dee7573098p-7, -0x1.62babb7ed8c24p-7, -0x1.5823d1d55a581p-7, -0x1.4dd75469e3eedp-7, -0x1.43d37002bc1d2p-7, -0x1.3a165b15cf951p-7, -0x1.309e55a31a5b9p-7, -0x1.2769a90f3e749p-7, -0x1.1e76a7fe366dp-7, -0x1.15c3ae2e36e6ap-7, -0x1.0d4f2052bf25p-7, -0x1.05176befd463ep-7, -0x1.fa360e6afdccep-8, -0x1.eab0e1b6e6ffcp-8, -0x1.db9c5ffa02741p-8, -0x1.ccf5a7ea7ee21p-8, -0x1.beb9e876dd328p-8, -0x1.b0e6607f6b891p-8, -0x1.a3785e90228a6p-8, -0x1.966d409b2f2d9p-8, -0x1.89c273b40a6abp-8, -0x1.7d7573cb265ffp-8, -0x1.7183cb6a4baadp-8, -0x1.65eb137191d8dp-8, -0x1.5aa8f2d4f0f8p-8, -0x1.4fbb1e5a8e0d4p-8, -0x1.451f5859ac7c6p-8, -0x1.3ad3707a573e4p-8, -0x1.30d54375a1cd6p-8, -0x1.2722bad6c5c02p-8, -0x1.1db9ccbcd2309p-8, -0x1.14987b9d24ad5p-8, -0x1.0bbcd60698d87p-8, -0x1.0324f66576949p-8, -0x1.f59e0590266e4p-9, -0x1.e572594888da8p-9, -0x1.d5c3613aee752p-9, -0x1.c68dac974fbb2p-9, -0x1.b7cde005ee19p-9, -0x1.a980b5385624ep-9, -0x1.9ba2fa7ba97bbp-9, -0x1.8e31924c7bb0ap-9, -0x1.812972ec5182ap-9, -0x1.7487a5f8885b2p-9, -0x1.68494802e3732p-9, -0x1.5c6b882b97c73p-9, -0x1.50eba7bcd0a78p-9, -0x1.45c6f9c7e260dp-9, -0x1.3afae2c3d95c5p-9, -0x1.3084d82dbc685p-9, -0x1.2662602a37db6p-9, -0x1.1c911128daa91p-9, -0x1.130e9188d5a64p-9, -0x1.09d8973f501fcp-9, -0x1.00ece77efcc32p-9, -0x1.f092acc317d16p-10, -0x1.dfd78d24b8fe3p-10, -0x1.cfa451f555495p-10, -0x1.bff4f8de9ac53p-10, -0x1.b0c59abfb3c2bp-10, -0x1.a2126b0e8ad62p-10, -0x1.93d7b73bca0cp-10, -0x1.8611e619b8334p-10, -0x1.78bd77462026fp-10, -0x1.6bd70296b43a6p-10, -0x1.5f5b37887f04ap-10, -0x1.5346dcb1b9ca1p-10, -0x1.4796cf36ba678p-10, -0x1.3c4802414019ap-10, -0x1.31577e7a8fb7bp-10, -0x1.26c261881ab37p-10, -0x1.1c85dd8aad7d3p-10, -0x1.129f38a072fcbp-10, -0x1.090bcc6916b8ap-10, -0x1.ff920b18f71e4p-11, -0x1.eda8c68875ccfp-11, -0x1.dc56edce2d475p-11, -0x1.cb97c6edea393p-11, -0x1.bb66ba62b3ebfp-11, -0x1.abbf5243d024dp-11, -0x1.9c9d396ec1fb1p-11, -0x1.8dfc3ab5884c6p-11, -0x1.7fd84011162fp-11, -0x1.722d51d83b32ep-11, -0x1.64f795fb1d37ep-11, -0x1.58334f4216c98p-11, -0x1.4bdcdc9148d6fp-11, -0x1.3ff0b83017253p-11, -0x1.346b771438c93p-11, -0x1.2949c8310b2e8p-11, -0x1.1e8873ca83811p-11, -0x1.14245acbb9fadp-11, -0x1.0a1a76217802cp-11, -0x1.0067d617dcae3p-11, -0x1.ee1343782dfcbp-12, -0x1.dbfa2c81c7b5fp-12, -0x1.ca7f0cce1123dp-12, -0x1.b99cb3d1d6bf1p-12, -0x1.a94e19d29f452p-12, -0x1.998e5ecac1065p-12, -0x1.8a58c9540c004p-12, -0x1.7ba8c597cd107p-12, -0x1.6d79e445c8204p-12, -0x1.5fc7d9914ad06p-12, -0x1.528e7c32866adp-12, -0x1.45c9c46f923f9p-12, -0x1.3975cb2a53ce7p-12, -0x1.2d8ec8f313193p-12, -0x1.22111522e0cf1p-12, -0x1.16f924f8d032ep-12, -0x1.0c438abe5e78cp-12, -0x1.01ecf4ef63d14p-12, -0x1.efe45ad2e3bd7p-13, -0x1.dca0313bc758p-13, -0x1.ca076994ef3fp-13, -0x1.b814326c968e5p-13, -0x1.a6c0eae789335p-13, -0x1.9608214dd272ep-13, -0x1.85e491a22a3b8p-13, -0x1.76512441a7289p-13, -0x1.6748ec8c3d395p-13, -0x1.58c727970908bp-13, -0x1.4ac73ae683d6ap-13, -0x1.3d44b3320c477p-13, -0x1.303b432fe2aa4p-13, -0x1.23a6c2683fcd2p-13, -0x1.17832c1218cc3p-13, -0x1.0bcc9df70bd7ep-13, -0x1.007f575f0b76fp-13, -0x1.eb2f700a11d9fp-14, -0x1.d6247e21397e8p-14, -0x1.c1d7143199fd1p-14, -0x1.ae40a85d27b29p-14, -0x1.9b5ae9d9f2ec2p-14, -0x1.891fbf206cde1p-14, -0x1.77894428b5337p-14, -0x1.6691c8b414495p-14, -0x1.5633cea2bac3bp-14, -0x1.466a08570b77ap-14, -0x1.372f5723f55fdp-14, -0x1.287ec9c77e61fp-14, -0x1.1a539af086a7cp-14, -0x1.0ca92fd219002p-14, -0x1.fef62d77b7ebep-15, -0x1.e58a0b895c13ap-15, -0x1.cd05b2f07895cp-15, -0x1.b5612729c0694p-15, -0x1.9e94b39b3da0fp-15, -0x1.8898e934aebadp-15, -0x1.73669c1da6d41p-15, -0x1.5ef6e1759f89ap-15, -0x1.4b430d2249adep-15, -0x1.3844afb9200d8p-15, -0x1.25f5946e47c4ap-15, -0x1.144fbf164426dp-15, -0x1.034d6a39d5f8p-15, -0x1.e5d20a70c81fep-16, -0x1.c63a64e95c1bep-16, -0x1.a7c98b2c39d18p-16, -0x1.8a7583a4b1cf8p-16, -0x1.6e34b08cd824fp-16, -0x1.52fdccb7f928bp-16, -0x1.38c7e87f6a533p-16, -0x1.1f8a66b8e5d8bp-16, -0x1.073cf9c5bcap-16, -0x1.dfaf419d33a6ap-17, -0x1.b2a549f805245p-17, -0x1.874d2da83873fp-17, -0x1.5d98974c9381ep-17, -0x1.3579b61fc16d3p-17, -0x1.0ee3392761a85p-17, -0x1.d390951cf623cp-18, -0x1.8c391633bfc29p-18, -0x1.47a81ba6152f5p-18, -0x1.05c6a7a016edbp-18, -0x1.8cfd207046cbdp-19, -0x1.1374ef071ea01p-19, -0x1.3d97103b43bddp-20, -0x1.76c9966dbc725p-22, 0x1.e442ed649e727p-22, 0x1.46fc30607bea9p-20, 0x1.0738aedbe98e7p-19, 0x1.65b620d8db0cdp-19, 0x1.c02edd06d0ef4p-19, 0x1.0b616d802c901p-18, 0x1.34c87903d950cp-18, 0x1.5c5b71ea0649ap-18, 0x1.8228b39e57abep-18, 0x1.a63e194da1b4bp-18, 0x1.c8a902ae8a8d3p-18, 0x1.e97658de69aeap-18, 0x1.0459497551765p-17, 0x1.1334dd1b0d58ap-17, 0x1.2153b75eb282ap-17, 0x1.2ebb75933ed0cp-17, 0x1.3b71845c378a4p-17, 0x1.477b219726b06p-17, 0x1.52dd5e18f0ea4p-17, 0x1.5d9d1f9d43f73p-17, 0x1.67bf2253bceb5p-17, 0x1.7147fa92f160dp-17, 0x1.7a3c1675a80dp-17, 0x1.829fbf5023887p-17, 0x1.8a771b3a65618p-17, 0x1.91c62e658378ap-17, 0x1.9890dc97ec5f1p-17, 0x1.9edaea65de794p-17, 0x1.a4a7fe8715447p-17, 0x1.a9fba3015310bp-17, 0x1.aed9465ffa332p-17, 0x1.b3443cd2d59fep-17, 0x1.b73fc13f6bb86p-17, 0x1.bacef651e9565p-17, 0x1.bdf4e77977fcdp-17, 0x1.c0b489e328de3p-17, 0x1.c310bd551ce67p-17, 0x1.c50c4d262901p-17, 0x1.c6a9f103fa51ep-17, 0x1.c7ec4dd064c54p-17, 0x1.c8d5f650cbe9ep-17, 0x1.c9696bfa03b2bp-17, 0x1.c9a91f9e273b9p-17, 0x1.c997721a8f43bp-17, 0x1.c936b4ee5640cp-17, 0x1.c8892ae9cb502p-17, 0x1.c79108b1e7fdap-17, 0x1.c65075531d2fp-17, 0x1.c4c98aca6b829p-17, 0x1.c2fe56752f256p-17, 0x1.c0f0d9a1a3a27p-17, 0x1.bea309f691945p-17, 0x1.bc16d1d9f32b1p-17, 0x1.b94e10e84e089p-17, 0x1.b64a9c4f883c9p-17, 0x1.b30e3f2cc3278p-17, 0x1.af9abaed44e82p-17, 0x1.abf1c79c5d939p-17, 0x1.a81514392c993p-17, 0x1.a406470405b77p-17, 0x1.9fc6fdc4369e9p-17, 0x1.9b58ce1b52393p-17, 0x1.96bd45b14aa85p-17, 0x1.91f5ea84c7f0fp-17, 0x1.8d043b2cd5e73p-17, 0x1.87e9aefaadf99p-17, 0x1.82a7b6487eabdp-17, 0x1.7d3fba9e4f75p-17, 0x1.77b31ee9671fcp-17, 0x1.72033fa9c84c2p-17, 0x1.6c31731cdd5ep-17, 0x1.663f096ec618bp-17, 0x1.602d4cdb6a63ap-17, 0x1.59fd81caab93dp-17, 0x1.53b0e70b5c7d1p-17, 0x1.4d48b5e856fddp-17, 0x1.46c622485e3f5p-17, 0x1.402a5acb79e2bp-17, 0x1.397688ec0f8b2p-17, 0x1.32abd11020aeep-17, 0x1.2bcb52b2b6275p-17, 0x1.24d6286eabbe9p-17, 0x1.1dcd681947c15p-17, 0x1.16b222d65bd51p-17, 0x1.0f856527d4759p-17, 0x1.08483710cdeccp-17, 0x1.00fb9c0cfe916p-17, 0x1.f3412665b7e0fp-18, 0x1.e4702e7c2be0bp-18, 0x1.d5863d3d55e18p-18, 0x1.c685370d307b4p-18, 0x1.b76ef7f25368ep-18, 0x1.a84553ab86e3dp-18, 0x1.990a15da2253ap-18, 0x1.89bf02097978fp-18, 0x1.7a65d3de15f67p-18, 0x1.6b003f1619503p-18, 0x1.5b8fefca14f93p-18, 0x1.4c168a6f60674p-18, 0x1.3c95abf8b5611p-18, 0x1.2d0ee9f4e2e1cp-18, 0x1.1d83d29e61eafp-18, 0x1.0df5ecf2feae1p-18, 0x1.fccd71a998f33p-19, 0x1.ddaf5e2164b78p-19, 0x1.be948290de4c6p-19, 0x1.9f7fb4b3035efp-19, 0x1.8073bc25a0cb4p-19, 0x1.6173529ea7817p-19, 0x1.4281243509a3dp-19, 0x1.239fcf402241fp-19, 0x1.04d1e46b7299ep-19, 0x1.cc33cd89c62e9p-20, 0x1.8ef49797cb6fdp-20, 0x1.51eaf728de1d8p-20, 0x1.151ba1746efedp-20, 0x1.b1166236e9f08p-21, 0x1.387c4c6be38a2p-21, 0x1.80e39abeaa2dbp-22, 0x1.23fdf36723c61p-23, -0x1.6e920a6a5195p-24, -0x1.47f678da61c13p-22, -0x1.197376b6fff1cp-21, -0x1.8e3324c742d1ap-21, -0x1.0119569c33fecp-20, -0x1.3ab55420260fbp-20, -0x1.73e9ef940a0b1p-20, -0x1.acb3a5fac0b8ep-20, -0x1.e50f0c8497c2fp-20, -0x1.0e7c683b3e927p-19, -0x1.2a36db4713bdp-19, -0x1.45b54dc1ab6b5p-19, -0x1.60f6398a49703p-19, -0x1.7bf8242ee351fp-19, -0x1.96b99ea370236p-19, -0x1.b1394574a271fp-19, -0x1.cb75c0497b75fp-19, -0x1.e56dc20c1514fp-19, -0x1.ff2008b38d063p-19, -0x1.0c45aead82f93p-18, -0x1.18d749f02863fp-18, -0x1.2544457a2c6e2p-18, -0x1.318c15fe98c8cp-18, -0x1.3dae357c4ba3bp-18, -0x1.49aa232adeb7p-18, -0x1.557f637d45f91p-18, -0x1.612d7ff0a69ep-18, -0x1.6cb4072fd4fa5p-18, -0x1.78128cdaaa744p-18, -0x1.8348a991510a7p-18, -0x1.8e55fad9f2852p-18, -0x1.993a23151ed2dp-18, -0x1.a3f4c971c72c5p-18, -0x1.ae8599d38b82fp-18, -0x1.b8ec44d7d07p-18, -0x1.c3287fad8a366p-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.f982218fbe73dp-1, 0x1.f8ca47631a208p-1, 0x1.f7988d93f2a48p-1, 0x1.f5edfb3447a3ap-1, 0x1.f3cbf9de34bbbp-1, 0x1.f1344ff9dc52ap-1, 0x1.ee291a3f4d9p-1, 0x1.eaacc4bce5ec1p-1, 0x1.e6c2039cd49a1p-1, 0x1.e26bcbd85b439p-1, 0x1.ddad4bfd1b5a2p-1, 0x1.d889e5200cfa6p-1, 0x1.d305241279be1p-1, 0x1.cd22bae766545p-1, 0x1.c6e67ad2f6a68p-1, 0x1.c0544e6987f19p-1, 0x1.b9703441296dfp-1, 0x1.b23e39f5cc241p-1, 0x1.aac2778ebb925p-1, 0x1.a3010b42a67dap-1, 0x1.9afe159696d71p-1, 0x1.92bdb5d39c96fp-1, 0x1.8a4406ce918a8p-1, 0x1.81951bfd2d37ep-1, 0x1.78b4fed3941ddp-1, 0x1.6fa7ac65a0b62p-1, 0x1.6671134745643p-1, 0x1.5d1511a7915d8p-1, 0x1.539773a22537bp-1, 0x1.49fbf1c313831p-1, 0x1.40462fb96ffcap-1, 0x1.3679bb350bb3p-1, 0x1.2c9a0aec17a26p-1, 0x1.22aa7dc5a0e77p-1, 0x1.18ae5a2612d5ep-1, 0x1.0ea8cd5b1bda7p-1, 0x1.049ceb2481fd4p-1, 0x1.f51b5aaf41e2p-2, 0x1.e0fbe736e5ec9p-2, 0x1.cce1067658adcp-2, 0x1.b8d00e1b24012p-2, 0x1.a4ce1edea914ep-2, 0x1.90e0249dad42p-2, 0x1.7d0ad68fb730dp-2, 0x1.6952b79b7c9bfp-2, 0x1.55bc16c5af12cp-2, 0x1.424b0fb7c549fp-2, 0x1.2f038b5c64ae8p-2, 0x1.1be9408f4dd59p-2, 0x1.08ffb4debdc69p-2, 0x1.ec947ab8d166ap-3, 0x1.c797fef88507ap-3, 0x1.a30fe3fee0a59p-3, 0x1.7f01bbd3b0b0bp-3, 0x1.5b72bf01b31a2p-3, 0x1.3867cea3b6e5ap-3, 0x1.15e5767edcb82p-3, 0x1.e7dfde4f5d216p-4, 0x1.a516405fc201cp-4, 0x1.637544b590d87p-4, 0x1.230383ad4091cp-4, 0x1.c78e01e3f0edfp-5, 0x1.4b8a5ff337a13p-5, 0x1.a40be204a2fb4p-6, 0x1.6c25d8366f9fbp-7, -0x1.963558156d2d4p-9, -0x1.167365ed21f07p-6, -0x1.f4e7af103c782p-6, -0x1.670ce39f87a6ap-5, -0x1.d100da3b8fc32p-5, -0x1.1c264c3684a73p-4, -0x1.4e76e678a1983p-4, -0x1.7f7177f625a32p-4, -0x1.af159d627afc5p-4, -0x1.dd6350123352fp-4, -0x1.052d71069f25dp-3, -0x1.1afe7d1a20785p-3, -0x1.3025483cc2dc7p-3, -0x1.44a2751706bdep-3, -0x1.5876cb3179342p-3, -0x1.6ba3352fcdd3ep-3, -0x1.7e28bf165ff56p-3, -0x1.9008949a476afp-3, -0x1.a143ff7bf5382p-3, -0x1.b1dc65ec70092p-3, -0x1.c1d348fd279f3p-3, -0x1.d12a431a53c25p-3, -0x1.dfe3068fe07a7p-3, -0x1.edff5c18cd2d6p-3, -0x1.fb812178eecb8p-3, -0x1.0435241080d8cp-2, -0x1.0a5e69ee78deap-2, -0x1.103d6cc618f11p-2, -0x1.15d33ef20cc6fp-2, -0x1.1b20fa1e07cacp-2, -0x1.2027beb1bb2bdp-2, -0x1.24e8b3409226dp-2, -0x1.296503fe29f7dp-2, -0x1.2d9de23768dfep-2, -0x1.319483d02c527p-2, -0x1.354a22c570d3dp-2, -0x1.38bffcb3e5762p-2, -0x1.3bf75262d333fp-2, -0x1.3ef1675345b08p-2, -0x1.41af815361226p-2, -0x1.4432e815ce894p-2, -0x1.467ce4cd2c27dp-2, -0x1.488ec1cb6a0fdp-2, -0x1.4a69ca25035d1p-2, -0x1.4c0f4957f8691p-2, -0x1.4d808af67d372p-2, -0x1.4ebeda554062fp-2, -0x1.4fcb823d3abd1p-2, -0x1.50a7cca0f2786p-2, -0x1.515502551a99dp-2, -0x1.51d46acc8107dp-2, -0x1.52274bd72f13ap-2, -0x1.524ee964b09ccp-2, -0x1.524c854968bcbp-2, -0x1.52215f06e263bp-2, -0x1.51ceb3970bbfp-2, -0x1.5155bd3a458aap-2, -0x1.50b7b34834b65p-2, -0x1.4ff5ca0346f98p-2, -0x1.4f11326ed2965p-2, -0x1.4e0b1a27c338dp-2, -0x1.4ce4ab3fbd83dp-2, -0x1.4b9f0c1aaf2fp-2, -0x1.4a3b5f4eaead9p-2, -0x1.48bac38623c68p-2, -0x1.471e536421cdcp-2, -0x1.4567256ae41a2p-2, -0x1.43964be45a3f8p-2, -0x1.41acd4ccb6db1p-2, -0x1.3fabc9beef5a6p-2, -0x1.3d942fe317302p-2, -0x1.3b6707de92f21p-2, -0x1.39254dc603b54p-2, -0x1.36cff910eaa94p-2, -0x1.3467fc8ee9ad4p-2, -0x1.31ee465e9964ap-2, -0x1.2f63bfe5e3a57p-2, -0x1.2cc94dcbd1f91p-2, -0x1.2a1fcff3c531ep-2, -0x1.2768217a063fep-2, -0x1.24a318b1a312bp-2, -0x1.21d1872389761p-2, -0x1.1ef4398ed398ep-2, -0x1.1c0bf7ea390b9p-2, -0x1.191985669695ep-2, -0x1.161da07281e2ap-2, -0x1.131902bedc42bp-2, -0x1.100c614457539p-2, -0x1.0cf86c49e4119p-2, -0x1.09ddcf6bf9da7p-2, -0x1.06bd31a4b0fc7p-2, -0x1.03973554a32f3p-2, -0x1.006c784c87d7bp-2, -0x1.fa7b27aefdce1p-3, -0x1.f416398c0bdb1p-3, -0x1.edab46f3129dep-3, -0x1.e73b67e110b81p-3, -0x1.e0c7aba687ebbp-3, -0x1.da511901e244p-3, -0x1.d3d8ae3abf75cp-3, -0x1.cd5f613e29953p-3, -0x1.c6e61fbb94fdbp-3, -0x1.c06dcf42a621ep-3, -0x1.b9f74d619bd8fp-3, -0x1.b3836fc467d57p-3, -0x1.ad1304544e92p-3, -0x1.a6a6d15812382p-3, -0x1.a03f959490c1dp-3, -0x1.99de086dcd6bp-3, -0x1.9382da0852fa9p-3, -0x1.8d2eb36aed1f7p-3, -0x1.86e236a0a0422p-3, -0x1.809dfedae0abp-3, -0x1.7a62a093ecd78p-3, -0x1.7430a9b15d77fp-3, -0x1.6e08a1a6bd573p-3, -0x1.67eb09983e4a1p-3, -0x1.61d85c7d6d3cap-3, -0x1.5bd10f43e8e4p-3, -0x1.55d590f20d003p-3, -0x1.4fe64ac98a442p-3, -0x1.4a03a069e4bb8p-3, -0x1.442deff2d0c3cp-3, -0x1.3e659226678efp-3, -0x1.38aada8b2de8ep-3, -0x1.32fe178de4735p-3, -0x1.2d5f92a3188d7p-3, -0x1.27cf90687eb1cp-3, -0x1.224e50c5fdaap-3, -0x1.1cdc0f0e6e1d9p-3, -0x1.17790220111ddp-3, -0x1.12255c84aebcep-3, -0x1.0ce14c915848p-3, -0x1.07acfc85d44e5p-3, -0x1.028892aba823fp-3, -0x1.fae862e976b77p-4, -0x1.f0dfef3334feap-4, -0x1.e6f8006e9422ep-4, -0x1.dd30c5d96a934p-4, -0x1.d38a67ef489c7p-4, -0x1.ca0508a298cb3p-4, -0x1.c0a0c394cd892p-4, -0x1.b75dae4daa067p-4, -0x1.ae3bd871a4aedp-4, -0x1.a53b4bf74e0cap-4, -0x1.9c5c0d5bd8405p-4, -0x1.939e1bd69c378p-4, -0x1.8b01718bb48f6p-4, -0x1.828603bd9b7dfp-4, -0x1.7a2bc2fdd541p-4, -0x1.71f29b5ca307ep-4, -0x1.69da7497ba4b6p-4, -0x1.61e3324806e9cp-4, -0x1.5a0cb40e7183ep-4, -0x1.5256d5bfaf367p-4, -0x1.4ac16f8f1864ap-4, -0x1.434c56388857dp-4, -0x1.3bf75b29471b7p-4, -0x1.34c24ca7fc2d9p-4, -0x1.2dacf5fbafd24p-4, -0x1.26b71f91d6fd2p-4, -0x1.1fe08f237081dp-4, -0x1.192907d93221bp-4, -0x1.12904a6ec8485p-4, -0x1.0c1615552b73ep-4, -0x1.05ba24d40c2bp-4, -0x1.fef86654b2082p-5, -0x1.f2b7f15bbff4cp-5, -0x1.e6b257d41ccf8p-5, -0x1.dae7037ba75ddp-5, -0x1.cf555af14b11p-5, -0x1.c3fcc1ed5aac1p-5, -0x1.b8dc99783cf59p-5, -0x1.adf4401f7116fp-5, -0x1.a3431228f7ad4p-5, -0x1.98c869c51cad6p-5, -0x1.8e839f3eb195fp-5, -0x1.84740929b7f02p-5, -0x1.7a98fc9088c89p-5, -0x1.70f1cd1f786d9p-5, -0x1.677dcd4f02c1ep-5, -0x1.5e3c4e8c867a8p-5, -0x1.552ca161937f8p-5, -0x1.4c4e1599d379dp-5, -0x1.439ffa6796c1bp-5, -0x1.3b219e870932ep-5, -0x1.32d250601649dp-5, -0x1.2ab15e2705b03p-5, -0x1.22be15fbd416ap-5, -0x1.1af7c60851283p-5, -0x1.135dbc9d08391p-5, -0x1.0bef484cfd2f3p-5, -0x1.04abb80840768p-5, -0x1.fb24b66ac700ep-6, -0x1.ed450393a8fb8p-6, -0x1.dfb6f8c24b179p-6, -0x1.d27938a698p-6, -0x1.c58a6793a7e4dp-6, -0x1.b8e92ba8382aep-6, -0x1.ac942cf524ef6p-6, -0x1.a08a15a208f62p-6, -0x1.94c9920fff166p-6, -0x1.895150fa9e7a4p-6, -0x1.7e2003973536fp-6, -0x1.73345db250b77p-6, -0x1.688d15cba20dap-6, -0x1.5e28e53048036p-6, -0x1.540688138979cp-6, -0x1.4a24bda60f91ep-6, -0x1.4082482ba6a82p-6, -0x1.371ded0f92195p-6, -0x1.2df674f785d01p-6, -0x1.250aabd54217dp-6, -0x1.1c5960f6e7839p-6, -0x1.13e167160cc45p-6, -0x1.0ba1946599f2fp-6, -0x1.0398c29e7b992p-6, -0x1.f78b9e165dc54p-7, -0x1.e84f3524798cp-7, -0x1.d97a137f3a38dp-7, -0x1.cb0a099a3d03ep-7, -0x1.bcfcef5393b13p-7, -0x1.af50a400b14dcp-7, -0x1.a2030e7977024p-7, -0x1.95121d218f6d1p-7, -0x1.887bc5f001ff8p-7, -0x1.7c3e06753ae14p-7, -0x1.7056e3df6f6ecp-7, -0x1.64c46afd8af24p-7, -0x1.5984b040ac09fp-7, -0x1.4e95cfbc358b4p-7, -0x1.43f5ed2491023p-7, -0x1.39a333ccb1269p-7, -0x1.2f9bd6a24feb6p-7, -0x1.25de10290cbefp-7, -0x1.1c6822746a6c4p-7, -0x1.13385720be58fp-7, -0x1.0a4cff4b1ad5bp-7, -0x1.01a4738845acep-7, -0x1.f27a27b582896p-8, -0x1.e22a8f4ff197cp-8, -0x1.d256fb592d85fp-8, -0x1.c2fc57e028312p-8, -0x1.b4179f6f11fd7p-8, -0x1.a5a5daef92eedp-8, -0x1.97a4218db124ep-8, -0x1.8a0f9899786d7p-8, -0x1.7ce5736774a91p-8, -0x1.7022f33010762p-8, -0x1.63c566ededcdfp-8, -0x1.57ca2b3b44f69p-8, -0x1.4c2eaa2e5f2eap-8, -0x1.40f05b3538e3ep-8, -0x1.360cc2f05ee28p-8, -0x1.2b81730d124d7p-8, -0x1.214c0a1ec48d5p-8, -0x1.176a3377f8b7p-8, -0x1.0dd9a70296cdap-8, -0x1.04982917bea9ep-8, -0x1.f74714ae52549p-9, -0x1.e5f34efc3fac3p-9, -0x1.d530d27c37aaep-9, -0x1.c4fb882623323p-9, -0x1.b54f7032f5487p-9, -0x1.a628a1c845141p-9, -0x1.97834aa388233p-9, -0x1.895baec4ff02ep-9, -0x1.7bae281a66bb2p-9, -0x1.6e7726298251cp-9, -0x1.61b32dba8a68ap-9, -0x1.555ed882958a4p-9, -0x1.4976d4ce09781p-9, -0x1.3df7e52b241dbp-9, -0x1.32dee014a88b7p-9, -0x1.2828af9cc04bbp-9, -0x1.1dd251181aa4fp-9, -0x1.13d8d4c95e9c7p-9, -0x1.0a395d8cee9a2p-9, -0x1.00f1208514315p-9, -0x1.effac98d34809p-10, -0x1.deb7060bc030fp-10, -0x1.ce11ca88db225p-10, -0x1.be060cfe2c2eep-10, -0x1.ae8ee4b957b6bp-10, -0x1.9fa789baad9e3p-10, -0x1.914b54150f2b3p-10, -0x1.8375bb4f378b7p-10, -0x1.762255c667035p-10, -0x1.694cd81280882p-10, -0x1.5cf1146ba0884p-10, -0x1.510afa114244p-10, -0x1.459694b2f839bp-10, -0x1.3a900bdabc24ap-10, -0x1.2ff3a258ed144p-10, -0x1.25bdb5b1f5fa4p-10, -0x1.1beabd8da911cp-10, -0x1.12774b286103dp-10, -0x1.096008c5d8052p-10, -0x1.00a1b925d70abp-10, -0x1.f0726df543744p-11, -0x1.e046e8c2895dcp-11, -0x1.d0baf4b76283dp-11, -0x1.c1c8d0996c0b8p-11, -0x1.b36ae6eba90ecp-11, -0x1.a59bcceded9c8p-11, -0x1.985641a00be9fp-11, -0x1.8b952cc8cb246p-11, -0x1.7f539e00a40e7p-11, -0x1.738ccbc04cdfp-11, -0x1.683c12730e12ep-11, -0x1.5d5cf38ce4b2ap-11, -0x1.52eb14a470057p-11, -0x1.48e23e90aa041p-11, -0x1.3f3e5c8a6765bp-11, -0x1.35fb7b519f7e8p-11, -0x1.2d15c85674f6fp-11, -0x1.248990e5ffcddp-11, -0x1.1c53415ad1e41p-11, -0x1.146f64513191p-11, -0x1.0cdaa1df06a5ep-11, -0x1.0591becf731d7p-11, -0x1.fd2337c420fd1p-12, -0x1.efae6a1b9e784p-12, -0x1.e2bf418ed6f04p-12, -0x1.d6501e96ec82bp-12, -0x1.ca5b93d7cebb8p-12, -0x1.bedc64c2614cap-12, -0x1.b3cd843d9a319p-12, -0x1.a92a13567f626p-12, -0x1.9eed5ff6fb129p-12, -0x1.9512e3a36b041p-12, -0x1.8b96423ee1ec3p-12, -0x1.827348d60058p-12, -0x1.79a5ec705a416p-12, -0x1.712a48e84cf5fp-12, -0x1.68fc9fc937cbap-12, -0x1.6119573402ecep-12, -0x1.597cf8c9dcd08p-12, -0x1.5224309d1c59dp-12, -0x1.4b0bcc283203p-12, -0x1.4430b94a95272p-12, -0x1.3d90054b93c0bp-12, -0x1.3726dbe2f465ap-12, -0x1.30f286474f7bcp-12, -0x1.2af06a4212229p-12, -0x1.251e09490ca5bp-12, -0x1.1f78ff9d7c421p-12, -0x1.19ff037079452p-12, -0x1.14ade40cb1a87p-12, -0x1.0f8389055f7efp-12, -0x1.0a7df16a5deeep-12, -0x1.059b33015175p-12, -0x1.00d97983c0c4dp-12, -0x1.f86e0bc42a856p-13, -0x1.ef645b16c80bbp-13, -0x1.e692b373e1efdp-13, -0x1.ddf60d88a21a8p-13, -0x1.d58b86e6340abp-13, -0x1.cd5060b6125d3p-13, -0x1.c541fe771ab95p-13, -0x1.bd5de4c332fe9p-13, -0x1.b5a1b81d6e964p-13, -0x1.ae0b3bc86e8cfp-13, -0x1.a69850a4e50a8p-13, -0x1.9f46f41811d12p-13, -0x1.98153efa08082p-13, -0x1.9101648b9b177p-13, -0x1.8a09b173ce8c2p-13, -0x1.832c8ac49a30fp-13, -0x1.7c686d06db9dbp-13, -0x1.75bbeb4d5a3a2p-13, -0x1.6f25ae4ea974bp-13, -0x1.68a47385cff5ap-13, -0x1.62370c5980773p-13, -0x1.5bdc5d49d3256p-13, -0x1.55935d244a612p-13, -0x1.4f5b143e01932p-13, -0x1.49329bb3f23dbp-13, -0x1.43191cb11774ap-13, -0x1.3d0dcfba56844p-13, -0x1.370ffc0016418p-13, -0x1.311ef6b54b5ep-13, -0x1.2b3a226befd9p-13, -0x1.2560ee76b79bp-13, -0x1.1f92d64fe9ecep-13, -0x1.19cf610536595p-13, -0x1.141620a8785e5p-13, -0x1.0e66b1c5312e7p-13, -0x1.08c0badab5b58p-13, -0x1.0323ebdae03d4p-13, -0x1.fb1ffb5a53897p-14, -0x1.f009636c3945bp-14, -0x1.e503a2c5efd46p-14, -0x1.da0e5b72c9dep-14, -0x1.cf293dd666738p-14, -0x1.c45407dbea231p-14, -0x1.b98e842cba2fap-14, -0x1.aed8896eb2b6ap-14, -0x1.a431f9896d7bbp-14, -0x1.999ac0f293385p-14, -0x1.8f12d600f3885p-14, -0x1.849a384638343p-14, -0x1.7a30efef02ad9p-14, -0x1.6fd70d294bbecp-14, -0x1.658ca790d2445p-14, -0x1.5b51dda172c06p-14, -0x1.5126d42f37dbdp-14, -0x1.470bb5e3fda57p-14, -0x1.3d00b2c27bc7ep-14, -0x1.3305ffae9029fp-14, -0x1.291bd5faa0b83p-14, -0x1.1f4272f9ef69dp-14, -0x1.157a1797b8b13p-14, -0x1.0bc307f2f9659p-14, -0x1.021d8afeb67efp-14, -0x1.f113d44d47635p-15, -0x1.de10e1f00d607p-15, -0x1.cb32d99d66715p-15, -0x1.b87a590c05801p-15, -0x1.a5e8005b453d9p-15, -0x1.937c71843b163p-15, -0x1.81384fd1fd62p-15, -0x1.6f1c3f60e101fp-15, -0x1.5d28e4a476eddp-15, -0x1.4b5ee3f40ef94p-15, -0x1.39bee11d82ebfp-15, -0x1.28497efe1c2bbp-15, -0x1.16ff5f21565b8p-15, -0x1.05e12165518bfp-15, -0x1.e9dec74974aaap-16, -0x1.c85582cbfab3bp-16, -0x1.a727a71f2499fp-16, -0x1.865660425d2acp-16, -0x1.65e2d3e36c356p-16, -0x1.45ce20e36ee38p-16, -0x1.26195ee49e08p-16, -0x1.06c59de083465p-16, -0x1.cfa7cb8c9d0dfp-17, -0x1.928a6c41fbcf2p-17, -0x1.56350b8a0c003p-17, -0x1.1aa9850a64268p-17, -0x1.bfd343b9c6546p-18, -0x1.4bee30292fa3dp-18, -0x1.b34e293d95b81p-19, -0x1.a4043a9f26d97p-20, 0x1.803b2283b9191p-24, 0x1.cd7042db32ce6p-20, 0x1.be1b76228c842p-19, 0x1.491372ab89457p-18, 0x1.b16ae8cfaf19bp-18, 0x1.0c08fca2fd2edp-17, 0x1.3e83554489d79p-17, 0x1.702396f4a17a7p-17, 0x1.a0e8efcfb756fp-17, 0x1.d0d2a3685311ep-17, 0x1.ffe00ac17ffc8p-17, 0x1.17084a2120603p-16, 0x1.2db1e1d13501fp-16, 0x1.43ec98e89552bp-16, 0x1.59b8466ad8f9ep-16, 0x1.6f14cbd51555ep-16, 0x1.84021508b2c08p-16, 0x1.98801833c9e21p-16, 0x1.ac8ed5b716c3p-16, 0x1.c02e5809c277p-16, 0x1.d35eb39b0c065p-16, 0x1.e62006b205e86p-16, 0x1.f872794b7dadcp-16, 0x1.052b1e7b166abp-15, 0x1.0de5c656ac22bp-15, 0x1.16695658fabb3p-15, 0x1.1eb5f5313a27p-15, 0x1.26cbce08a1ffp-15, 0x1.2eab106d1abf7p-15, 0x1.3653f03b644fcp-15, 0x1.3dc6a588c4ec4p-15, 0x1.45036c8c46ee9p-15, 0x1.4c0a85878fe7dp-15, 0x1.52dc34af6256ep-15, 0x1.5978c213cb102p-15, 0x1.5fe079880bfe7p-15, 0x1.6613aa8a49ffcp-15, 0x1.6c12a82b0684ap-15, 0x1.71ddc8f46f642p-15, 0x1.777566d18b611p-15, 0x1.7cd9def54ee7bp-15, 0x1.820b91c19ad16p-15, 0x1.870ae2ae30b5p-15, 0x1.8bd8382fa56adp-15, 0x1.9073fb9e4f993p-15, 0x1.94de991d45bfcp-15, 0x1.99187f81642f7p-15, 0x1.9d2220386b82ep-15, 0x1.a0fbef303624ep-15, 0x1.a4a662be0de8ap-15, 0x1.a821f38623234p-15, 0x1.ab6f1c632ea4fp-15, 0x1.ae8e5a4e3d7dap-15, 0x1.b1802c46af8e5p-15, 0x1.b445133a69a01p-15, 0x1.b6dd91ee3f52dp-15, 0x1.b94a2ce69937cp-15, 0x1.bb8b6a505b0dp-15, 0x1.bda1d1ea0a1acp-15, 0x1.bf8deced39d25p-15, 0x1.c15045f83df61p-15, 0x1.c2e968f82a94p-15, 0x1.c459e3131c0edp-15, 0x1.c5a24292d14c8p-15, 0x1.c6c316cf92a2cp-15, 0x1.c7bcf01b6f3b3p-15, 0x1.c8905fadcb2c2p-15, 0x1.c93df78f43ad4p-15, 0x1.c9c64a85eb354p-15, 0x1.ca29ec01dddcbp-15, 0x1.ca69700a2bdc9p-15, 0x1.ca856b2a2272cp-15, 0x1.ca7e725eecae8p-15, 0x1.ca551b0591eaap-15, 0x1.ca09fac94f11fp-15, 0x1.c99da7924d347p-15, 0x1.c910b774b84f5p-15, 0x1.c863c0a02da0bp-15, 0x1.c797594f8e82p-15, 0x1.c6ac17b92cf72p-15, 0x1.c5a291ff5814dp-15, 0x1.c47b5e21466f9p-15, 0x1.c33711ec5d229p-15, 0x1.c1d642edd6acfp-15, 0x1.c0598664c6674p-15, 0x1.bec1713478346p-15, 0x1.bd0e97d72f505p-15, 0x1.bb418e513e793p-15, 0x1.b95ae8247f359p-15, 0x1.b75b38442274fp-15, }}, 
      {{0x1.f9ab080ac158cp-1, 0x1.f96db6608e29cp-1, 0x1.f907a7436763ap-1, 0x1.f8790fa80c8ddp-1, 0x1.f7c238b3d0569p-1, 0x1.f6e37ede95f02p-1, 0x1.f5dd50f2b5a0cp-1, 0x1.f4b02ef4cbeb4p-1, 0x1.f35ca8fbd6e26p-1, 0x1.f1e35e008cf62p-1, 0x1.f044faa994307p-1, 0x1.ee8238191fe33p-1, 0x1.ec9bdabf8bf76p-1, 0x1.ea92b135ba654p-1, 0x1.e867932145749p-1, 0x1.e61b6024102ccp-1, 0x1.e3aefed83a6bap-1, 0x1.e1235bd9281e9p-1, 0x1.de7968d9ef65ep-1, 0x1.dbb21bc94f0ffp-1, 0x1.d8ce6e03109c7p-1, 0x1.d5cf5b8ea0c9fp-1, 0x1.d2b5e26a7db24p-1, 0x1.cf8301e415f82p-1, 0x1.cc37b9fb94dc3p-1, 0x1.c8d50ad31e516p-1, 0x1.c55bf428ea276p-1, 0x1.c1cd74dbb6d46p-1, 0x1.be2a8a7905983p-1, 0x1.ba7430d497d8fp-1, 0x1.b6ab61a8a6edep-1, 0x1.b2d1143e53f06p-1, 0x1.aee63d1dd5c02p-1, 0x1.aaebcdc5eb66ep-1, 0x1.a6e2b46a235e4p-1, 0x1.a2cbdbb78bbf3p-1, 0x1.9ea82a9f6518dp-1, 0x1.9a788427779efp-1, 0x1.963dc73fb1d7ap-1, 0x1.91f8ce9cb6d82p-1, 0x1.8daa70970ea8ep-1, 0x1.89537f0eaac04p-1, 0x1.84f4c75277fc8p-1, 0x1.808f120bb5fd9p-1, 0x1.7c23232cdb91cp-1, 0x1.77b1b9e3c2481p-1, 0x1.733b908ee73ep-1, 0x1.6ec15cb588a36p-1, 0x1.6a43cf026c102p-1, 0x1.65c393411e9bep-1, 0x1.6141505d81dbcp-1, 0x1.5cbda86578b19p-1, 0x1.5839388c8e19dp-1, 0x1.53b499316c308p-1, 0x1.4f305de502707p-1, 0x1.4aad157336e42p-1, 0x1.462b49ed0184dp-1, 0x1.41ab80b3d4c05p-1, 0x1.3d2e3a86361ebp-1, 0x1.38b3f38d6a016p-1, 0x1.343d236c19d9bp-1, 0x1.2fca3d4ddeda8p-1, 0x1.2b5baff7956eap-1, 0x1.26f1e5d869d83p-1, 0x1.228d451b83cc9p-1, 0x1.1e2e2fba452eap-1, 0x1.19d5038f022adp-1, 0x1.15821a682909cp-1, 0x1.1135ca1bc73fap-1, 0x1.0cf0649b5b731p-1, 0x1.08b23807ea959p-1, 0x1.047b8ec649c35p-1, 0x1.004caf938f0eap-1, 0x1.f84bbb33445d3p-2, 0x1.f00eb107bfbd1p-2, 0x1.e7e2b9278f97ap-2, 0x1.dfc8456b596cdp-2, 0x1.d7bfc12ab6aa8p-2, 0x1.cfc991656ffc4p-2, 0x1.c7e614ec83d43p-2, 0x1.c015a48affa75p-2, 0x1.b858932e9108fp-2, 0x1.b0af2e0fcdc42p-2, 0x1.a919bcda238ecp-2, 0x1.a19881d36a0e9p-2, 0x1.9a2bba030bc1ap-2, 0x1.92d39d58c2b55p-2, 0x1.8b905ed2df5f5p-2, 0x1.84622ca4121e8p-2, 0x1.7d493058ba073p-2, 0x1.76458efba8445p-2, 0x1.6f57693a6068dp-2, 0x1.687edb88c79e4p-2, 0x1.61bbfe444635dp-2, 0x1.5b0ee5d656c44p-2, 0x1.5477a2d67e63ep-2, 0x1.4df6422bb04f2p-2, 0x1.478acd2d163aap-2, 0x1.413549c24326dp-2, 0x1.3af5ba82c4c92p-2, 0x1.34cc1ed5204dap-2, 0x1.2eb8730d2ccedp-2, 0x1.28bab089d6f35p-2, 0x1.22d2cdd24241fp-2, 0x1.1d00beb2540b7p-2, 0x1.174474569cec5p-2, 0x1.119ddd67ac553p-2, 0x1.0c0ce624c38bep-2, 0x1.0691787df404ep-2, 0x1.012b7c2da049dp-2, 0x1.f7b5ada2d1526p-3, 0x1.ed3ed804fbeeap-3, 0x1.e2f23adabf5p-3, 0x1.d8cf95d20fc8dp-3, 0x1.ced6a51b034f2p-3, 0x1.c5072193dd334p-3, 0x1.bb60c0f3fe997p-3, 0x1.b1e335f5b2ecep-3, 0x1.a88e307ee9e1ep-3, 0x1.9f615dc8daa1dp-3, 0x1.965c68869568dp-3, 0x1.8d7ef90a82b2dp-3, 0x1.84c8b56ae2711p-3, 0x1.7c3941a5362c8p-3, 0x1.73d03fc0b8622p-3, 0x1.6b8d4fefc5d4dp-3, 0x1.637010b0588p-3, 0x1.5b781eeb84551p-3, 0x1.53a516140213ep-3, 0x1.4bf69043cca55p-3, 0x1.446c2658d63dfp-3, 0x1.3d057010ce3fcp-3, 0x1.35c204240cf76p-3, 0x1.2ea1785f9b879p-3, 0x1.27a361be66162p-3, 0x1.20c75481904f2p-3, 0x1.1a0ce447feb81p-3, 0x1.1373a4250c061p-3, 0x1.0cfb26b676c8dp-3, 0x1.06a2fe398aedep-3, 0x1.006abc9f82b72p-3, 0x1.f4a3e7425df33p-4, 0x1.e8b069a3c8015p-4, 0x1.dcfa23635b737p-4, 0x1.d180377da4627p-4, 0x1.c641c90d54988p-4, 0x1.bb3dfb6b8fe4ap-4, 0x1.b073f24ef67efp-4, 0x1.a5e2d1e962ee4p-4, 0x1.9b89bf0475d3ap-4, 0x1.9167df1cd5919p-4, 0x1.877c587c5500dp-4, 0x1.7dc65252e2c39p-4, 0x1.7444f4ce5f1fp-4, 0x1.6af7693156c5ep-4, 0x1.61dcd9e8ab05ep-4, 0x1.58f472a02e616p-4, 0x1.503d60563e341p-4, 0x1.47b6d16e5d149p-4, 0x1.3f5ff5c2d8539p-4, 0x1.3737feb57c1dcp-4, 0x1.2f3e1f3f5f399p-4, 0x1.27718bffcb4cap-4, 0x1.1fd17b4a490dep-4, 0x1.185d2533d6319p-4, 0x1.1113c39f4bbe8p-4, 0x1.09f49248fa9b9p-4, 0x1.02feced1836eap-4, 0x1.f863718fe4238p-5, 0x1.eb19236641569p-5, 0x1.de1d3a34d06b9p-5, 0x1.d16e411b48e7dp-5, 0x1.c50ac75922968p-5, 0x1.b8f1605b0c8bcp-5, 0x1.ad20a3c72a502p-5, 0x1.a1972d8827086p-5, 0x1.96539dd71f4edp-5, 0x1.8b5499447409ap-5, 0x1.8098c8bf8fbddp-5, 0x1.761ed99da07b7p-5, 0x1.6be57d9f58af4p-5, 0x1.61eb6af5bb6bdp-5, 0x1.582f5c45fe5eep-5, 0x1.4eb010ac898a8p-5, 0x1.456c4bbf1f502p-5, 0x1.3c62d58e326e4p-5, 0x1.33927aa574da1p-5, 0x1.2afa0c0ba67d2p-5, 0x1.22985f41abef8p-5, 0x1.1a6c4e40f3841p-5, 0x1.1274b779327fap-5, 0x1.0ab07dcd80d1fp-5, 0x1.031e8890d8efdp-5, 0x1.f77b87040b54bp-6, 0x1.e91a3d8e06911p-6, 0x1.db171dcfb1a35p-6, 0x1.cd701991e6c33p-6, 0x1.c0232b4a0e186p-6, 0x1.b32e560cfb827p-6, 0x1.a68fa580ed4f6p-6, 0x1.9a452dcec0486p-6, 0x1.8e4d0b925b31dp-6, 0x1.82a563ca66266p-6, 0x1.774c63c74bb08p-6, 0x1.6c4041199fc8fp-6, 0x1.617f397fe0c2bp-6, 0x1.570792d3b11bdp-6, 0x1.4cd79af68274ap-6, 0x1.42eda7bdc77e6p-6, 0x1.394816dea95c3p-6, 0x1.2fe54dd95a804p-6, 0x1.26c3b9e3f4b8bp-6, 0x1.1de1cfd50920cp-6, 0x1.153e0c0dd1124p-6, 0x1.0cd6f26414802p-6, 0x1.04ab0e0bc5b94p-6, 0x1.f971e300c41fbp-7, 0x1.e9fe6cdc27bebp-7, 0x1.daf8fb3548098p-7, 0x1.cc5edd9c79cacp-7, 0x1.be2d71780eebdp-7, 0x1.b06221d54a23fp-7, 0x1.a2fa67391e95ap-7, 0x1.95f3c770bb589p-7, 0x1.894bd561fc467p-7, 0x1.7d0030dbb900fp-7, 0x1.710e86660ceep-7, 0x1.65748f1287477p-7, 0x1.5a30104c71afp-7, 0x1.4f3edba90b806p-7, 0x1.449eceb7ea023p-7, 0x1.3a4dd2d35bf88p-7, 0x1.3049dcf0fee4cp-7, 0x1.2690ed72708ffp-7, 0x1.1d210ff6316a8p-7, 0x1.13f85b28b8526p-7, 0x1.0b14f095c0795p-7, 0x1.0274fc79d55b5p-7, 0x1.f42d6b2845167p-8, 0x1.e3f0b9f1183cbp-8, 0x1.d4307bc42aaf9p-8, 0x1.c4e95b0b31a13p-8, 0x1.b61815c9ad832p-8, 0x1.a7b97d43bcff2p-8, 0x1.99ca75a5a9b64p-8, 0x1.8c47f5ac39778p-8, 0x1.7f2f064dc8706p-8, 0x1.727cc26433a78p-8, 0x1.662e565797b2ap-8, 0x1.5a40ffc9ec629p-8, 0x1.4eb20d437e839p-8, 0x1.437edde04de54p-8, 0x1.38a4e0fe5549bp-8, 0x1.2e2195ecbc852p-8, 0x1.23f28b9bfd3eep-8, 0x1.1a15604ef8a35p-8, 0x1.1087c14d03611p-8, 0x1.07476a94eb507p-8, 0x1.fca44d21ecfcep-9, 0x1.eb4b9b97c036ap-9, 0x1.da808d4da60bp-9, 0x1.ca3f0a20cbc15p-9, 0x1.ba8314792cf3p-9, 0x1.ab48c8bb91ecfp-9, 0x1.9c8c5cbd936acp-9, 0x1.8e4a1f3ba4cc5p-9, 0x1.807e77512825fp-9, 0x1.7325e3f2871a7p-9, 0x1.663cfb6957402p-9, 0x1.59c06ad285901p-9, 0x1.4dacf59e869f5p-9, 0x1.41ff75138f023p-9, 0x1.36b4d7d1cf595p-9, 0x1.2bca2159b2e7fp-9, 0x1.213c69941e73p-9, 0x1.1708dc5cad287p-9, 0x1.0d2cb90dea6fp-9, 0x1.03a5520f84ad2p-9, 0x1.f4e018cce7eb9p-10, 0x1.e314be8e2db9cp-10, 0x1.d1e3a752757f1p-10, 0x1.c14807bc24a33p-10, 0x1.b13d3650251e1p-10, 0x1.a1beaaa96c20fp-10, 0x1.92c7fcb035e1fp-10, 0x1.8454e3d5064d2p-10, 0x1.7661364f48531p-10, 0x1.68e8e85f9b986p-10, 0x1.5be80b95bfa22p-10, 0x1.4f5ace1a071c3p-10, 0x1.433d79fa56981p-10, 0x1.378c747aab65ep-10, 0x1.2c443d69055dfp-10, 0x1.21616e74c35f3p-10, 0x1.16e0ba89619efp-10, 0x1.0cbeed2c85857p-10, 0x1.02f8e9df53439p-10, 0x1.f317570613819p-11, 0x1.e0e8878191b1p-11, 0x1.cf5fb4e90ccfbp-11, 0x1.be775a363e0fbp-11, 0x1.ae2a1c86f390fp-11, 0x1.9e72ca05654e8p-11, 0x1.8f4c58d684d15p-11, 0x1.80b1e60e2cdd4p-11, 0x1.729eb4a91d818p-11, 0x1.650e2c8cace68p-11, 0x1.57fbd98c17af6p-11, 0x1.4b636a7357098p-11, 0x1.3f40b0176b13bp-11, 0x1.338f9c6bfe231p-11, 0x1.284c419e4f1d4p-11, 0x1.1d72d135488dcp-11, 0x1.12ff9b36b1c74p-11, 0x1.08ef0d5160d6fp-11, 0x1.fe7b6418b68fcp-12, 0x1.ebd05ff5972bfp-12, 0x1.d9d691e970ceap-12, 0x1.c887b2a8cf671p-12, 0x1.b7ddae70af90fp-12, 0x1.a7d2a39372019p-12, 0x1.9860e10ea677fp-12, 0x1.8982e52987e6dp-12, 0x1.7b335c1bf84ffp-12, 0x1.6d6d1ebddd3b7p-12, 0x1.602b313eabb69p-12, 0x1.5368c1e500b79p-12, 0x1.472127d61e455p-12, 0x1.3b4fe1e522272p-12, 0x1.2ff09569d1a18p-12, 0x1.24ff0d1ed638ap-12, 0x1.1a77380740b06p-12, 0x1.1055285b2dcdcp-12, 0x1.0695127b6f22bp-12, 0x1.fa6697d80914dp-13, 0x1.e85894aaa08e1p-13, 0x1.d6f94517bb55p-13, 0x1.c6420f3d1feadp-13, 0x1.b62c93d644e7bp-13, 0x1.a6b2ac719fedp-13, 0x1.97ce69b2018e6p-13, 0x1.897a119bc0f22p-13, 0x1.7bb01ded71ce6p-13, 0x1.6e6b3a83e3022p-13, 0x1.61a643c92b3dep-13, 0x1.555c452e81155p-13, 0x1.498877b09f6c5p-13, 0x1.3e26406682021p-13, 0x1.33312f1a303e1p-13, 0x1.28a4fceb6e9d3p-13, 0x1.1e7d8afc0a2f9p-13, 0x1.14b6e1258e69cp-13, 0x1.0b4d2cb834a65p-13, 0x1.023cbf42c37b3p-13, 0x1.f3041ac67cb9ap-14, 0x1.e2335b403b00dp-14, 0x1.d200ae93ce837p-14, 0x1.c265c2c9e49bep-14, 0x1.b35c83363c45dp-14, 0x1.a4df166aa6186p-14, 0x1.96e7dc392f9d8p-14, 0x1.89716bc51e829p-14, 0x1.7c7691a25c582p-14, 0x1.6ff24e02f6a26p-14, 0x1.63dfd2f25cc4fp-14, 0x1.583a829e04692p-14, 0x1.4cfdedab1b341p-14, 0x1.4225d198f431cp-14, 0x1.37ae172fdf86ep-14, 0x1.2d92d0fc17c0dp-14, 0x1.23d039d47a5bp-14, 0x1.1a62b36cb8fa1p-14, 0x1.1146c4f2bc9p-14, 0x1.087919b6ec3a6p-14, 0x1.ffecffbe1f3d2p-15, 0x1.ef77ce470fe54p-15, 0x1.df8cbf2d2e33fp-15, 0x1.d02630eae4018p-15, 0x1.c13ebe05b7787p-15, 0x1.b2d13ad60c221p-15, 0x1.a4d8b360f667fp-15, 0x1.975069439be01p-15, 0x1.8a33d1afacbc3p-15, 0x1.7d7e93787e07p-15, 0x1.712c85304a8b2p-15, 0x1.6539ab552f62cp-15, 0x1.59a2368d70e61p-15, 0x1.4e6281f29be04p-15, 0x1.4377116b163efp-15, 0x1.38dc9011bc261p-15, 0x1.2e8fceab20345p-15, 0x1.248dc2280acffp-15, 0x1.1ad38234dbe2ep-15, 0x1.115e47d56d06fp-15, 0x1.082b6c0d1842dp-15, 0x1.fe70cd25156bdp-16, 0x1.ed05991e1523cp-16, 0x1.dc109ed1b5fc6p-16, 0x1.cb8d7730ce235p-16, 0x1.bb77ef0fd57c7p-16, 0x1.abcc04fa7a2e1p-16, 0x1.9c85e71af9c86p-16, 0x1.8da1f1348f354p-16, 0x1.7f1caab071934p-16, 0x1.70f2c4bcce1b2p-16, 0x1.6321187d2da9bp-16, 0x1.55a4a54bc7d55p-16, 0x1.487a8f0b34299p-16, 0x1.3ba01c87fb6efp-16, 0x1.2f12b5e98f381p-16, 0x1.22cfe332248f9p-16, 0x1.16d54acd00a42p-16, 0x1.0b20b02ac1479p-16, 0x1.ff5fe4d65a78ap-17, 0x1.e9021628435ap-17, 0x1.d32419aa616f2p-17, 0x1.bdc244af02b79p-17, 0x1.a8d91a333338bp-17, 0x1.946548ad44d37p-17, 0x1.8063a7f19235dp-17, 0x1.6cd1372cc8c38p-17, 0x1.59ab1af2ff8ccp-17, 0x1.46ee9b62e1218p-17, 0x1.3499225c49947p-17, 0x1.22a839c9ad9dfp-17, 0x1.111989fba2d4cp-17, 0x1.ffd5b02bdf4cfp-18, 0x1.de34091b15bd5p-18, 0x1.bd4a136de319ep-18, 0x1.9d13f4c88e1e2p-18, 0x1.7d8e01255c899p-18, 0x1.5eb4b84caf8c5p-18, 0x1.4084c3697a6b5p-18, 0x1.22faf2b915242p-18, 0x1.06143b5574568p-18, 0x1.d39b6a319ad7bp-19, 0x1.9c49313383b04p-19, 0x1.662c7a7e57778p-19, 0x1.31402ed55ecebp-19, 0x1.fafedae4e52eep-20, 0x1.95cb11626b4ecp-20, 0x1.32dc05c5f3e14p-20, 0x1.a4522d2718133p-21, 0x1.cea7d9c829c99p-22, 0x1.756a6b4dfbe5dp-24, -0x1.0b6237519c267p-22, -0x1.35d62f974b5fbp-21, -0x1.e1d04fe26d77dp-21, -0x1.44d6b393407d8p-20, -0x1.96bd78c17d02cp-20, -0x1.e6a3024802942p-20, -0x1.1a46d5b99bf93p-19, -0x1.4041d1cf9d73fp-19, -0x1.654578ca6d9a8p-19, -0x1.8954bb5b19d3p-19, -0x1.ac7278fe737e2p-19, -0x1.cea18165f554bp-19, -0x1.efe495cb65d37p-19, -0x1.081f35180975cp-18, -0x1.17d8d3444880bp-18, -0x1.272073eae6aa9p-18, -0x1.35f7609623fbcp-18, -0x1.445ede551f86cp-18, -0x1.52582e2ec4cffp-18, -0x1.5fe48d8cf13eap-18, -0x1.6d0536a02b871p-18, -0x1.79bb60bc400dbp-18, -0x1.860840ae1fa84p-18, -0x1.91ed090b475a7p-18, -0x1.9d6aea7b06f1ap-18, -0x1.a88313f9edb1ep-18, -0x1.b336b317a8989p-18, -0x1.bd86f42f96832p-18, -0x1.c775029c54868p-18, -0x1.d10208e6867bp-18, -0x1.da2f30ef17fc2p-18, -0x1.e2fda4153184dp-18, -0x1.eb6e8b581f0d3p-18, -0x1.f3830f7558e02p-18, -0x1.fb3c5902ec565p-18, -0x1.014dc843394adp-17, -0x1.04d0ef44632ap-17, -0x1.082835d355f5ep-17, -0x1.0b54304f4aeb5p-17, -0x1.0e55732dd9436p-17, -0x1.112c92ff36b3bp-17, -0x1.13da247145b05p-17, -0x1.165ebc518499cp-17, -0x1.18baef8defffbp-17, -0x1.1aef5334eab4fp-17, -0x1.1cfc7c743afa5p-17, -0x1.1ee300972ec59p-17, -0x1.20a37503f542ap-17, -0x1.223e6f383d20bp-17, -0x1.23b484c5257fcp-17, -0x1.25064b4a8fe97p-17, -0x1.26345871ddd9p-17, -0x1.273f41e82a1bfp-17, -0x1.28279d5805f91p-17, -0x1.28ee0062c783ap-17, -0x1.2993009972e88p-17, -0x1.2a1733754a3dp-17, -0x1.2a7b2e500b4c5p-17, -0x1.2abf865be67ep-17, -0x1.2ae4d09b36785p-17, -0x1.2aeba1d80200bp-17, -0x1.2ad48e9b4e97ep-17, -0x1.2aa02b244c074p-17, -0x1.2a4f0b5f60154p-17, -0x1.29e1c2dd1900fp-17, -0x1.2958e4c90c64bp-17, -0x1.28b503e0a9fcep-17, -0x1.27f6b26a06a78p-17, -0x1.271e822aa4cabp-17, -0x1.262d045e409fcp-17, -0x1.2522c9ada3d81p-17, -0x1.24006225855c7p-17, -0x1.22c65d2d78e74p-17, -0x1.2175497ef43c6p-17, -0x1.200db51c69906p-17, -0x1.1e902d488033bp-17, -0x1.1cfd3e7d690dcp-17, -0x1.1b55746455654p-17, -0x1.199959cd118a8p-17, -0x1.17c978a5c5fcap-17, -0x1.15e659f2e10d9p-17, -0x1.13f085c72b2fp-17, -0x1.11e8833c08a3fp-17, -0x1.0fced869e9bfdp-17, -0x1.0da40a60e9d69p-17, -0x1.0b689d21a20e3p-17, -0x1.091d13962d30ap-17, -0x1.06c1ef8b60612p-17, -0x1.0457b1aa38b5dp-17, -0x1.01ded9717dfe8p-17, -0x1.feafca5f3b814p-18, -0x1.f986a3f9787b5p-18, -0x1.f4433769f9ebbp-18, -0x1.eee679e60a7d8p-18, -0x1.e9715e156a144p-18, -0x1.e3e4d40834a82p-18, -0x1.de41c92d39d58p-18, -0x1.d8892848c4416p-18, -0x1.d2bbd96bd6974p-18, -0x1.ccdac1ebd77f1p-18, -0x1.c6e6c45aaf6c6p-18, -0x1.c0e0c07f56d73p-18, -0x1.bac9934ed6981p-18, -0x1.b4a216e5b45a2p-18, -0x1.ae6b2281d1318p-18, -0x1.a8258a7cb2d5ep-18, -0x1.a1d2204639d16p-18, -0x1.9b71b25fc65d2p-18, -0x1.95050c57c1d61p-18, -0x1.8e8cf6c5956e2p-18, -0x1.880a3746069d1p-18, -0x1.817d9077f905fp-18, -0x1.7ae7c1f996aefp-18, -0x1.74498865d7a0ap-18, -0x1.6da39d526eb0dp-18, -0x1.66f6b74e131c5p-18, -0x1.604389df28f51p-18, -0x1.598ac582c582p-18, -0x1.52cd17ac0cf9p-18, -0x1.4c0b2ac3ea265p-18, -0x1.4545a6291b65p-18, -0x1.3e7d2e3094e86p-18, -0x1.37b26426344d3p-18, -0x1.30e5e64dc7777p-18, -0x1.2a184fe460aecp-18, -0x1.234a3921f63fbp-18, -0x1.1c7c373b515f8p-18, -0x1.15aedc6440cc8p-18, -0x1.0ee2b7d2165fp-18, -0x1.081855be67c21p-18, -0x1.01503f6a137cbp-18, -0x1.f515f641090bdp-19, -0x1.e79218767296dp-19, -0x1.da15e64b066d1p-19, -0x1.cca25ac10a0d1p-19, -0x1.bf386b0ed070cp-19, -0x1.b1d906a797008p-19, -0x1.a4851744c9b6p-19, -0x1.973d80efb39edp-19, -0x1.8a03220b8cc24p-19, -0x1.7cd6d35fece88p-19, -0x1.6fb968239600dp-19, -0x1.62abae079b579p-19, -0x1.55ae6d42db3aep-19, -0x1.48c2689dc7995p-19, -0x1.3be85d7e82368p-19, -0x1.2f2103f53bbe5p-19, -0x1.226d0ec8e2659p-19, -0x1.15cd2b840a2fep-19, -0x1.094202821dd7bp-19, -0x1.f9986df992b84p-20, -0x1.e0d8ce3336a43p-20, -0x1.c84657efc578fp-20, -0x1.afe2337d73b7p-20, -0x1.97ad7f5691cd1p-20, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.0fb9c76804ca3p-7, -0x1.100ebbafe2395p-6, -0x1.98e7141c44718p-6, -0x1.1158b63cbe789p-5, -0x1.56d8accb66247p-5, -0x1.9d10a4d9861abp-5, -0x1.e418e585f21fdp-5, -0x1.16024e7d293ebp-4, -0x1.3a70eff431da9p-4, -0x1.5f5ce40249295p-4, -0x1.84c854d408672p-4, -0x1.aab32d1501edcp-4, -0x1.d11b40d8b10d5p-4, -0x1.f7fc7a229a881p-4, -0x1.0fa883af3fd9cp-3, -0x1.2388c53ac0f76p-3, -0x1.379aa3bd04458p-3, -0x1.4bd92911e5aabp-3, -0x1.603edcc4b42cdp-3, -0x1.74c5d8d7c7b3ap-3, -0x1.8967dd53fe1f9p-3, -0x1.9e1e628ae73c8p-3, -0x1.b2e2aa013e44ap-3, -0x1.c7adcdffa12ebp-3, -0x1.dc78cfcdf0f52p-3, -0x1.f13ca4a284c2p-3, -0x1.02f920a8ecad5p-2, -0x1.0d495266dfe7ap-2, -0x1.178b70c25e494p-2, -0x1.21bc12d9822d1p-2, -0x1.2bd7e15b7de4cp-2, -0x1.35db99bd8f038p-2, -0x1.3fc411035f53p-2, -0x1.498e362354ebap-2, -0x1.5337140eef83fp-2, -0x1.5cbbd366f51fdp-2, -0x1.6619bbe2b6032p-2, -0x1.6f4e3571447cdp-2, -0x1.7856c91b09037p-2, -0x1.813121a9a8c12p-2, -0x1.89db0c1bc6bcp-2, -0x1.925277e9bb24fp-2, -0x1.9a95771ffea83p-2, -0x1.a2a23e53a123bp-2, -0x1.aa772474cbap-2, -0x1.b212a282ff916p-2, -0x1.b973532671d59p-2, -0x1.c097f23199f5ap-2, -0x1.c77f5c0dccab2p-2, -0x1.ce288d157febbp-2, -0x1.d492a0de94554p-2, -0x1.dabcd176d2172p-2, -0x1.e0a676949f6fap-2, -0x1.e64f04bdbb049p-2, -0x1.ebb60c65a5238p-2, -0x1.f0db390547419p-2, -0x1.f5be502d2d42ap-2, -0x1.fa5f3093a40e8p-2, -0x1.febdd11fd9922p-2, -0x1.016d1ff988868p-1, -0x1.035a50b86fa91p-1, -0x1.052697a3a306p-1, -0x1.06d21bbbc058p-1, -0x1.085d0db017fb9p-1, -0x1.09c7a764c49d9p-1, -0x1.0b122b7a0e4e5p-1, -0x1.0c3ce4d55b629p-1, -0x1.0d48262be68bfp-1, -0x1.0e34498f71cc8p-1, -0x1.0f01affd200cbp-1, -0x1.0fb0c0ee9ffd6p-1, -0x1.1041e9edc9b27p-1, -0x1.10b59e2acb8c5p-1, -0x1.110c56150307bp-1, -0x1.11468ef693094p-1, -0x1.1164ca92c9e7ap-1, -0x1.11678ec765b63p-1, -0x1.114f6530c00d1p-1, -0x1.111cdad0ea8aep-1, -0x1.10d07fb9bcb9ap-1, -0x1.106ae6b9da5f1p-1, -0x1.0feca50cae0bep-1, -0x1.0f56520d5859fp-1, -0x1.0ea886ec8db13p-1, -0x1.0de3de695d84dp-1, -0x1.0d08f48cdae56p-1, -0x1.0c186668a0b07p-1, -0x1.0b12d1d8206efp-1, -0x1.09f8d544b93eap-1, -0x1.08cb0f6c82fc8p-1, -0x1.078a1f2bc66d9p-1, -0x1.0636a34911404p-1, -0x1.04d13a43d799bp-1, -0x1.035a822597c15p-1, -0x1.01d318556b3d2p-1, -0x1.003b996dfa9a4p-1, -0x1.fd29422b825dp-2, -0x1.f9bd93b3218ebp-2, -0x1.f6355a128bc13p-2, -0x1.f291c52d3758dp-2, -0x1.eed401ec1e6d6p-2, -0x1.eafd3a0381d9dp-2, -0x1.e70e93bc896b5p-2, -0x1.e30931c2a113bp-2, -0x1.deee32f471428p-2, -0x1.dabeb23851682p-2, -0x1.d67bc65419cf1p-2, -0x1.d22681c82fd9ep-2, -0x1.cdbff2adb00f5p-2, -0x1.c94922979c728p-2, -0x1.c4c31676e55efp-2, -0x1.c02ece8140279p-2, -0x1.bb8d461aa05efp-2, -0x1.b6df73c13dcaap-2, -0x1.b22648fc11e62p-2, -0x1.ad62b24ba2bc3p-2, -0x1.a895971d139cep-2, -0x1.a3bfd9bf51e8p-2, -0x1.9ee2575a519b8p-2, -0x1.99fde7e83a6c3p-2, -0x1.95135e306fdb3p-2, -0x1.902387c45ddb3p-2, -0x1.8b2f2cfdf6a9fp-2, -0x1.863710ffc4d9p-2, -0x1.813bf1b688474p-2, -0x1.7c3e87dc3b4e6p-2, -0x1.773f86fc7df04p-2, -0x1.723f9d7a4283ap-2, -0x1.6d3f7496b85b8p-2, -0x1.683fb0795762p-2, -0x1.6340f039067ecp-2, -0x1.5e43cde640a2ap-2, -0x1.5948de9630ff7p-2, -0x1.5450b26eb7061p-2, -0x1.4f5bd4b33adccp-2, -0x1.4a6acbd24fa9p-2, -0x1.457e19740d401p-2, -0x1.40963a8915cdap-2, -0x1.3bb3a75a4068p-2, -0x1.36d6d398d0d1ap-2, -0x1.32002e6f3f0b7p-2, -0x1.2d30229274551p-2, -0x1.28671653803d9p-2, -0x1.23a56bb1aee6fp-2, -0x1.1eeb806d04717p-2, -0x1.1a39ae19032adp-2, -0x1.15904a2fc38b5p-2, -0x1.10efa62548741p-2, -0x1.0c580f7b108edp-2, -0x1.07c9cfd3d56b3p-2, -0x1.03452d0773f3dp-2, -0x1.fd94d26df1e67p-3, -0x1.f4b385c18f181p-3, -0x1.ebe6e9e99c688p-3, -0x1.e32f6dd1a51f3p-3, -0x1.da8d7999770e7p-3, -0x1.d2016ebdc3f4ap-3, -0x1.c98ba840b4cabp-3, -0x1.c12c7ad26fe0bp-3, -0x1.b8e434f979282p-3, -0x1.b0b31f3af5768p-3, -0x1.a8997c42b57d1p-3, -0x1.a097890b0e9d2p-3, -0x1.98ad7d0470015p-3, -0x1.90db8a3cb1588p-3, -0x1.8921dd861266cp-3, -0x1.81809e9de1beep-3, -0x1.79f7f052cf0acp-3, -0x1.7287f0aad203bp-3, -0x1.6b30b908ae057p-3, -0x1.63f25e510c13bp-3, -0x1.5cccf10f1f017p-3, -0x1.55c07d98d0d8dp-3, -0x1.4ecd0c327b467p-3, -0x1.47f2a1321cf46p-3, -0x1.41313d2211fe2p-3, -0x1.3a88dce3432c4p-3, -0x1.33f979ced05d8p-3, -0x1.2d8309d7345c3p-3, -0x1.27257fa8d32a1p-3, -0x1.20e0caca053d5p-3, -0x1.1ab4d7ba87ecfp-3, -0x1.14a1901262e36p-3, -0x1.0ea6daa037271p-3, -0x1.08c49b86fc1f3p-3, -0x1.02fab45b238b3p-3, -0x1.fa92087e5529dp-4, -0x1.ef5ecfff21e96p-4, -0x1.e45b745c7a6p-4, -0x1.d987a67a8c117p-4, -0x1.cee313324b04fp-4, -0x1.c46d6384a939cp-4, -0x1.ba263ccc9dc41p-4, -0x1.b00d40f0045ccp-4, -0x1.a6220e8f4ad6ep-4, -0x1.9c644133f8cb4p-4, -0x1.92d3717e030c3p-4, -0x1.896f35500a338p-4, -0x1.80371ffa6092fp-4, -0x1.772ac264f840ap-4, -0x1.6e49ab382c3a5p-4, -0x1.659367046ba98p-4, -0x1.5d078068ca726p-4, -0x1.54a5803877954p-4, -0x1.4c6ced9f1e7c2p-4, -0x1.445d4e4437408p-4, -0x1.3c76266d4562p-4, -0x1.34b6f91f0d066p-4, -0x1.2d1f483dbeedfp-4, -0x1.25ae94ac20c07p-4, -0x1.1e645e69b3cbdp-4, -0x1.174024afe0324p-4, -0x1.1041660e261c5p-4, -0x1.0967a0855b163p-4, -0x1.02b251a1f55c7p-4, -0x1.f841ed2ad6d7ep-5, -0x1.eb66189d54988p-5, -0x1.ded01f23511f1p-5, -0x1.d27efa1c2f945p-5, -0x1.c671a2ea75af3p-5, -0x1.baa7131dc93c7p-5, -0x1.af1e449b46616p-5, -0x1.a3d631c4370cp-5, -0x1.98cdd59b3894ep-5, -0x1.8e042be7cede6p-5, -0x1.83783158784cp-5, -0x1.7928e3a3439fp-5, -0x1.6f1541a4f463ep-5, -0x1.653c4b7ebadcep-5, -0x1.5b9d02b28cc9p-5, -0x1.52366a3e228bap-5, -0x1.490786b4a5b9dp-5, -0x1.400f5e571491cp-5, -0x1.374cf92b66ad1p-5, -0x1.2ebf61127b059p-5, -0x1.2665a1dcd3df6p-5, -0x1.1e3ec95e2bda8p-5, -0x1.1649e77fedac6p-5, -0x1.0e860e528f8eep-5, -0x1.06f2521de3a32p-5, -0x1.ff1b92e0bbf67p-6, -0x1.f0af1a5ab3984p-6, -0x1.e29d7134ce8c5p-6, -0x1.d4e4d2d74eb94p-6, -0x1.c7837f9e7b267p-6, -0x1.ba77bcefbc4dap-6, -0x1.adbfd54d058c4p-6, -0x1.a15a1866909fcp-6, -0x1.9544db2b00ff3p-6, -0x1.897e77d5f836ep-6, -0x1.7e054dfd273dp-6, -0x1.72d7c29bf28f2p-6, -0x1.67f4401da7b16p-6, -0x1.5d593666619bap-6, -0x1.53051ada9675ep-6, -0x1.48f668656ce37p-6, -0x1.3f2b9f7dd33dcp-6, -0x1.35a3462a742fdp-6, -0x1.2c5be8048965bp-6, -0x1.2354163998fbfp-6, -0x1.1a8a678c2ff9ap-6, -0x1.11fd78539bf1ep-6, -0x1.09abea7aafc3ap-6, -0x1.0194657da1898p-6, -0x1.f36b2cce15c25p-7, -0x1.e41c5f9822534p-7, -0x1.d539d38f86317p-7, -0x1.c6c103eb63f84p-7, -0x1.b8af76d7ac42ep-7, -0x1.ab02bd6777293p-7, -0x1.9db873861a0aap-7, -0x1.90ce3fe6f4057p-7, -0x1.8441d3f412e1cp-7, -0x1.7810ebbbb06f9p-7, -0x1.6c394ddca47efp-7, -0x1.60b8cb71d6b3p-7, -0x1.558d3ffcb3016p-7, -0x1.4ab4914ec9ae3p-7, -0x1.402caf72880cep-7, -0x1.35f394932f2ccp-7, -0x1.2c0744e40e37cp-7, -0x1.2265ce8707afcp-7, -0x1.190d497273d66p-7, -0x1.0ffbd7566a86p-7, -0x1.072fa3817e0d3p-7, -0x1.fd4dc589e7b75p-8, -0x1.ecbfa6b109254p-8, -0x1.dcb1797b5c9ccp-8, -0x1.cd1fdf4543c7p-8, -0x1.be078b89aca32p-8, -0x1.af6543a694521p-8, -0x1.a135dea0f85cdp-8, -0x1.937644e848c05p-8, -0x1.8623701968427p-8, -0x1.793a6ac14e7b5p-8, -0x1.6cb8501f58862p-8, -0x1.609a4be75744bp-8, -0x1.54dd9a036ab02p-8, -0x1.497f8655b4112p-8, -0x1.3e7d6c79f16cp-8, -0x1.33d4b7870b217p-8, -0x1.2982e1d09d9ecp-8, -0x1.1f8574a891f9p-8, -0x1.15da0820c723bp-8, -0x1.0c7e42ccdd362p-8, -0x1.036fd98427d12p-8, -0x1.f5591e47aecfep-9, -0x1.e46468a2b247dp-9, -0x1.d3fd4e79fecfp-9, -0x1.c41fa6c9eaf12p-9, -0x1.b4c762b10fc75p-9, -0x1.a5f08cf78f94dp-9, -0x1.9797499725ec4p-9, -0x1.89b7d544066fap-9, -0x1.7c4e84f6a0aedp-9, -0x1.6f57c5764654cp-9, -0x1.62d01ae4d208dp-9, -0x1.56b4204b48436p-9, -0x1.4b00872782694p-9, -0x1.3fb216faf3603p-9, -0x1.34c5acda823cbp-9, -0x1.2a383aff8c7bcp-9, -0x1.2006c85a13badp-9, -0x1.162e70241dad5p-9, -0x1.0cac61764bf2dp-9, -0x1.037ddeddb43e8p-9, -0x1.f5407be5faa17p-10, -0x1.e421cde582a77p-10, -0x1.d39aa8ae863abp-10, -0x1.c3a624e6df299p-10, -0x1.b43f7e1e6e1d9p-10, -0x1.a562120a7f809p-10, -0x1.97095fc3de0ecp-10, -0x1.89310707a9996p-10, -0x1.7bd4c77ae4777p-10, -0x1.6ef07ff0c9a88p-10, -0x1.62802db3e066cp-10, -0x1.567febd1de0c6p-10, -0x1.4aebf26a49e8fp-10, -0x1.3fc095ffef6a2p-10, -0x1.34fa46cd1234ep-10, -0x1.2a95901a71b16p-10, -0x1.208f179915497p-10, -0x1.16e39cbed8564p-10, -0x1.0d8ff825c2215p-10, -0x1.04911aee1e082p-10, -0x1.f7c81c46aa00bp-11, -0x1.e70be447057cbp-11, -0x1.d6e7fc138e1ccp-11, -0x1.c756fe3697366p-11, -0x1.b853b06dfa044p-11, -0x1.a9d9028fe193bp-11, -0x1.9be20d74ea296p-11, -0x1.8e6a11e78625fp-11, -0x1.816c7798a378cp-11, -0x1.74e4cc197f9a7p-11, -0x1.68cec1daa5904p-11, -0x1.5d262f3003469p-11, -0x1.51e70d5a0fbbap-11, -0x1.470d7793f0a25p-11, -0x1.3c95aa2694034p-11, -0x1.327c0180b1775p-11, -0x1.28bcf953a28dp-11, -0x1.1f552bb505f5cp-11, -0x1.164150451f848p-11, -0x1.0d7e3b59e334ap-11, -0x1.0508dd2ea0dc7p-11, -0x1.f9bc82307acf2p-12, -0x1.e9f7197bd82f1p-12, -0x1.dabbfeacb2be6p-12, -0x1.cc05e1d269c84p-12, -0x1.bdcfa32a1c104p-12, -0x1.b01451b2e17d5p-12, -0x1.a2cf29ca68fbap-12, -0x1.95fb93d1d68f2p-12, -0x1.899522dac8d0ap-12, -0x1.7d97935c5c678p-12, -0x1.71fec9f0127a7p-12, -0x1.66c6d2167c5cap-12, -0x1.5bebdd0384d7bp-12, -0x1.516a40723ebfp-12, -0x1.473e7580112b4p-12, -0x1.3d65178f28264p-12, -0x1.33dae330037e3p-12, -0x1.2a9cb5120b6ffp-12, -0x1.21a788faffea9p-12, -0x1.18f878c531512p-12, -0x1.108cbb64536ecp-12, -0x1.0861a3f0dadbep-12, -0x1.0074a0b9b9973p-12, -0x1.f18674b8c41b2p-13, -0x1.e29625c5dbc8p-13, -0x1.d413c9d0a3fc7p-13, -0x1.c5fb0584ebc07p-13, -0x1.b847ab64361a6p-13, -0x1.aaf5ba30deebp-13, -0x1.9e015b6462914p-13, -0x1.9166e1b08eaf8p-13, -0x1.8522c78b5decap-13, -0x1.7931adc5433e6p-13, -0x1.6d905a29be013p-13, -0x1.623bb629e14cap-13, -0x1.5730cd90b4656p-13, -0x1.4c6ccd41243dap-13, -0x1.41ed01fd58fb8p-13, -0x1.37aed737332b3p-13, -0x1.2dafd5e9c47b5p-13, -0x1.23eda37b84f5cp-13, -0x1.1a6600a9252f3p-13, -0x1.1116c878b0dd2p-13, -0x1.07fdef34eb4dep-13, -0x1.fe3302e1399b5p-14, -0x1.eccf462364b0bp-14, -0x1.dbcd1cc7f6b4dp-14, -0x1.cb292666a4529p-14, -0x1.bae02bda07ef5p-14, -0x1.aaef1d90a314ap-14, -0x1.9b5311eb9fdcdp-14, -0x1.8c0943ab157ffp-14, -0x1.7d0f106761c15p-14, -0x1.6e61f717585e4p-14, -0x1.5fff96a2e56a4p-14, -0x1.51e5ac81dab86p-14, -0x1.4412136693d43p-14, -0x1.3682c1f42429p-14, -0x1.2935c97fc09eap-14, -0x1.1c2954dd19e92p-14, -0x1.0f5ba7355e395p-14, -0x1.02cb1ae89677dp-14, -0x1.ecec40f236f89p-15, -0x1.d4b67b01b4965p-15, -0x1.bcf2176046291p-15, -0x1.a59c6fab84329p-15, -0x1.8eb301e03922dp-15, -0x1.78336e8e284c3p-15, -0x1.621b771ce1014p-15, -0x1.4c68fc2121eedp-15, -0x1.3719fbc253fdp-15, -0x1.222c902fa4638p-15, -0x1.0d9eee244d2a9p-15, -0x1.f2dec6f52a681p-16, -0x1.cb38ab9a3de9p-16, -0x1.a448824c25234p-16, -0x1.7e0b6d777dc0bp-16, -0x1.587eb77488e95p-16, -0x1.339fd033d1867p-16, -0x1.0f6c4b03599f2p-16, -0x1.d7c3b8d7170dfp-17, -0x1.91fcb0465fd85p-17, -0x1.4d7f5e336fdeep-17, -0x1.0a47db2e3d428p-17, -0x1.90a4e5c2c6419p-18, -0x1.0f3741486abaep-18, -0x1.208030cfee89ep-19, -0x1.3b90d262420a2p-22, 0x1.998fc79a917f2p-20, 0x1.bc395e8fc6775p-19, 0x1.5376b4142562bp-18, 0x1.c6774d19fa784p-18, 0x1.1b91c7e580a9bp-17, 0x1.52c02f749dda7p-17, 0x1.88c9377c63f82p-17, 0x1.bdaf253c14889p-17, 0x1.f1742af08193fp-17, 0x1.120d34dcd92dep-16, 0x1.2ad1f9b35ea4dp-16, 0x1.430966145ffcbp-16, 0x1.5ab47616f9826p-16, 0x1.71d42092cf7fp-16, 0x1.886957d6f3cd6p-16, 0x1.9e750a56193f7p-16, 0x1.b3f8234884831p-16, 0x1.c8f38b44149a1p-16, 0x1.dd6828cad2957p-16, 0x1.f156e0d05b70ap-16, 0x1.02604b9b441bcp-15, 0x1.0bd317a0d68b8p-15, 0x1.1504460262301p-15, 0x1.1df44862ece6ap-15, 0x1.26a390ad880c7p-15, 0x1.2f12914040e23p-15, 0x1.3741bd13ac46dp-15, 0x1.3f3187df2fa9dp-15, 0x1.46e2663a2b969p-15, 0x1.4e54cdba2c3e4p-15, 0x1.5589350e41247p-15, 0x1.5c8014179d146p-15, 0x1.6339e3ff9db7ap-15, 0x1.69b71f4b5bf2ep-15, 0x1.6ff841ecdfb2cp-15, 0x1.75fdc95215c84p-15, 0x1.7bc83471a674cp-15, 0x1.815803d5bf61ap-15, 0x1.86adb9a4f734ap-15, 0x1.8bc9d9a95814fp-15, 0x1.90ace955b2a38p-15, 0x1.95576fc94ab14p-15, 0x1.99c9f5d1f85cap-15, 0x1.9e0505ecd27c5p-15, 0x1.a2092c45756eep-15, 0x1.a5d6f6b3fdbb5p-15, 0x1.a96ef4b9c93ep-15, 0x1.acd1b77d0f753p-15, 0x1.afffd1c367436p-15, 0x1.b2f9d7eb49497p-15, 0x1.b5c05fe49d9ddp-15, 0x1.b85401286ca8dp-15, 0x1.bab554afb6bfcp-15, 0x1.bce4f4e9911fp-15, 0x1.bee37db084a8ep-15, 0x1.c0b18c3f4ed5cp-15, 0x1.c24fbf2502508p-15, 0x1.c3beb6389e4dcp-15, 0x1.c4ff128c23d2ep-15, 0x1.c611765f37b21p-15, 0x1.c6f6851159e15p-15, 0x1.c7aee313bec82p-15, 0x1.c83b35dad2722p-15, 0x1.c89c23cf740dfp-15, 0x1.c8d2543fef225p-15, 0x1.c8de6f50ba087p-15, 0x1.c8c11ded09e2ap-15, 0x1.c87b09b73b577p-15, 0x1.c80cdcf91c505p-15, 0x1.c777429420768p-15, 0x1.c6bae5f1806e4p-15, 0x1.c5d872f252f2p-15, 0x1.c4d095df9da44p-15, 0x1.c3a3fb5a6d16p-15, 0x1.c253504bf11ffp-15, 0x1.c0df41d5a7a57p-15, 0x1.bf487d419a12ep-15, 0x1.bd8faff2b1334p-15, 0x1.bbb58755285dep-15, 0x1.b9bab0cf1ba93p-15, 0x1.b79fd9b13fe94p-15, 0x1.b565af27bdfcfp-15, 0x1.b30cde2b3e061p-15, 0x1.b096137220072p-15, 0x1.ae01fb61e524cp-15, 0x1.ab514200d1d38p-15, 0x1.a88492e7c3e8p-15, 0x1.a59c99344642bp-15, 0x1.a299ff7ae04a6p-15, 0x1.9f7d6fb9a302cp-15, 0x1.9c47934af7b5cp-15, 0x1.98f912d8b36cep-15, 0x1.9592964f6ae93p-15, 0x1.9214c4d2101a5p-15, 0x1.8e8044add351dp-15, 0x1.8ad5bb4e4f66ep-15, 0x1.8715cd31fefd8p-15, 0x1.83411ddef9245p-15, 0x1.7f584fd7fea64p-15, 0x1.7b5c0491cbd0cp-15, 0x1.774cdc68bdd09p-15, 0x1.732b7696c0792p-15, 0x1.6ef8712989de6p-15, 0x1.6ab468f923653p-15, 0x1.665ff99ec2cf7p-15, 0x1.61fbbd6bec6b9p-15, 0x1.5d884d61e5f87p-15, 0x1.59064129775bdp-15, 0x1.54762f0af5ed1p-15, 0x1.4fd8abe69f5fbp-15, 0x1.4b2e4b2d3ffa7p-15, 0x1.46779ed926a14p-15, 0x1.41b5376761a62p-15, 0x1.3ce7a3d14addap-15, 0x1.380f71865bc1dp-15, 0x1.332d2c664c861p-15, 0x1.2e415ebb7caadp-15, 0x1.294c9135a3fb7p-15, 0x1.244f4ae4cd0cap-15, 0x1.1f4a1134942f1p-15, 0x1.1a3d67e7af28ap-15, 0x1.1529d113b963p-15, 0x1.100fcd1d43793p-15, 0x1.0aefdab429bf8p-15, 0x1.05ca76d0297cp-15, 0x1.00a01cadba374p-15, 0x1.f6e28b964da5p-16, 0x1.ec7cd3cbcd7e1p-16, 0x1.e20ffdf0677bp-16, 0x1.d79cf26dc25e2p-16, 0x1.cd24961ed39cbp-16, 0x1.c2a7ca4c7df56p-16, 0x1.b8276caa99f3ap-16, 0x1.ada45755749f8p-16, 0x1.a31f60cfc0c04p-16, 0x1.98995c00ecffbp-16, 0x1.8e131833eeca1p-16, 0x1.838d61166e744p-16, 0x1.7908feb85d4f6p-16, 0x1.6e86b58bee73dp-16, 0x1.64074665f18c5p-16, 0x1.598b6e7e8cbebp-16, 0x1.4f13e7725440dp-16, 0x1.44a16743b9d76p-16, 0x1.3a34a05cd9485p-16, }}, 
      {{0x1.f5549fc06f366p-1, 0x1.f4dedc6d6d382p-1, 0x1.f41db82545817p-1, 0x1.f3153c5e7161dp-1, 0x1.f1ca4b0ae704dp-1, 0x1.f0424c718ef26p-1, 0x1.ee82eeeb003d2p-1, 0x1.ec91f536dc06cp-1, 0x1.ea7510afa24c1p-1, 0x1.e831c51b688d4p-1, 0x1.e5cd543c5a5ddp-1, 0x1.e34caf97a5cadp-1, 0x1.e0b46f2f1cbdbp-1, 0x1.de08cc23c4416p-1, 0x1.db4d9e67a5fa9p-1, 0x1.d8865ccd24171p-1, 0x1.d5b61ee31c817p-1, 0x1.d2dfa02890feep-1, 0x1.d00544391965p-1, 0x1.cd291ba615b4dp-1, 0x1.ca4ce93febd4bp-1, 0x1.c772279f3b6f8p-1, 0x1.c49a0ec8477d5p-1, 0x1.c1c599cb4e4d9p-1, 0x1.bef58c4b62a62p-1, 0x1.bc2a77dafe63ep-1, 0x1.b964c121fc1d6p-1, 0x1.b6a4a4c45b42ap-1, 0x1.b3ea3c040e419p-1, 0x1.b135811a6b37fp-1, 0x1.ae865347ab734p-1, 0x1.abdc7a984d1bbp-1, 0x1.a937ab614b223p-1, 0x1.a6978974f1c0fp-1, 0x1.a3fbab12b0ea9p-1, 0x1.a1639b94c52eep-1, 0x1.9eceddded9f3ep-1, 0x1.9c3cee90f8b04p-1, 0x1.99ad4602341bap-1, 0x1.971f5a068b083p-1, 0x1.94929f836fddbp-1, 0x1.92068bd65e9b1p-1, 0x1.8f7a9610c9655p-1, 0x1.8cee380c8be9ap-1, 0x1.8a60ef5bf31cfp-1, 0x1.87d23e18434p-1, 0x1.8541ab917d2a7p-1, 0x1.82aec4e202e27p-1, 0x1.80191d689034p-1, 0x1.7d804f2ad5f03p-1, 0x1.7ae3fb22e2dd5p-1, 0x1.7843c979606ebp-1, 0x1.759f69ae84a21p-1, 0x1.72f692b378babp-1, 0x1.704902f5d71bdp-1, 0x1.6d96805ebe02ap-1, 0x1.6aded846dfc29p-1, 0x1.6821df60d5c1cp-1, 0x1.655f719ae6c5p-1, 0x1.629771f95566ep-1, 0x1.5fc9ca6a383bfp-1, 0x1.5cf66b93c60dfp-1, 0x1.5a1d4c9de8301p-1, 0x1.573e6af7ddac2p-1, 0x1.5459ca1a99ed7p-1, 0x1.516f7348867a6p-1, 0x1.4e7f754b38369p-1, 0x1.4b89e42f9d37bp-1, 0x1.488ed9011c903p-1, 0x1.458e7184127e8p-1, 0x1.4288cff00a334p-1, 0x1.3f7e1aaa0f1ebp-1, 0x1.3c6e7bff5d766p-1, 0x1.395a21e0bb9dp-1, 0x1.36413d9eb60a4p-1, 0x1.332403a6f4037p-1, 0x1.3002ab42d46bdp-1, 0x1.2cdd6e5777d7bp-1, 0x1.29b489275e94bp-1, 0x1.26883a15b462ap-1, 0x1.2358c16b64087p-1, 0x1.2026611e07e01p-1, 0x1.1cf15c98c4544p-1, 0x1.19b9f8871daedp-1, 0x1.16807aa1cf26fp-1, 0x1.1345297da9592p-1, 0x1.10084c5c7fd95p-1, 0x1.0cca2b00233d3p-1, 0x1.098b0d7f687fp-1, 0x1.064b3c1d3d106p-1, 0x1.030aff21be28p-1, 0x1.ff953d6aaa8bp-2, 0x1.f914c57b93bbp-2, 0x1.f295257a8feaep-2, 0x1.ec16eb669a58ap-2, 0x1.e59aa3fee7384p-2, 0x1.df20da8c215e7p-2, 0x1.d8aa18ad36509p-2, 0x1.d236e6279737bp-2, 0x1.cbc7c8bad9298p-2, 0x1.c55d43f79b458p-2, 0x1.bef7d91991394p-2, 0x1.b89806e4a1e5bp-2, 0x1.b23e4984f6f68p-2, 0x1.abeb1a71e76e7p-2, 0x1.a59ef0539deddp-2, 0x1.9f5a3eeb6364bp-2, 0x1.991d76fe6f673p-2, 0x1.92e9064329e8ap-2, 0x1.8cbd5750b96c2p-2, 0x1.869ad190ce45ep-2, 0x1.8081d9338d059p-2, 0x1.7a72cf2579af9p-2, 0x1.746e110755443p-2, 0x1.6e73f927cc25p-2, 0x1.6884de7ee433dp-2, 0x1.62a114ab0cc1ap-2, 0x1.5cc8ebefc23bbp-2, 0x1.56fcb135a5eacp-2, 0x1.513cae0bff389p-2, 0x1.4b8928ab86ceap-2, 0x1.45e263fa71026p-2, 0x1.40489f919b66fp-2, 0x1.3abc17c2d368bp-2, 0x1.353d05a01e318p-2, 0x1.2fcb9f03ef5d7p-2, 0x1.2a68169a414e7p-2, 0x1.25129bea8029ep-2, 0x1.1fcb5b623113ap-2, 0x1.1a927e604a353p-2, 0x1.15682b4132c75p-2, 0x1.104c856b51296p-2, 0x1.0b3fad5c25453p-2, 0x1.0641c0b5dbe55p-2, 0x1.0152da4d50dfcp-2, 0x1.f8e62470e7894p-3, 0x1.ef44fbba09e89p-3, 0x1.e5c25fff41fa8p-3, 0x1.dc5e71a61862bp-3, 0x1.d3194c0f795bcp-3, 0x1.c9f305b71b778p-3, 0x1.c0ebb05348016p-3, 0x1.b80358f4d11f3p-3, 0x1.af3a082743c0fp-3, 0x1.a68fc21135b78p-3, 0x1.9e048694a562p-3, 0x1.9598516f63ea2p-3, 0x1.8d4b1a5b732f4p-3, 0x1.851cd52f56806p-3, 0x1.7d0d71fe41e8ep-3, 0x1.751cdd3828109p-3, 0x1.6d4affc98d2cdp-3, 0x1.6597bf3b2c34p-3, 0x1.5e02fdd14ea96p-3, 0x1.568c9aaae2707p-3, 0x1.4f3471e035e7ap-3, 0x1.47fa5ca163f84p-3, 0x1.40de31545da19p-3, 0x1.39dfc3b28c9a2p-3, 0x1.32fee4e6128bfp-3, 0x1.2c3b63a697b99p-3, 0x1.25950c55a120ep-3, 0x1.1f0ba91a7a6dep-3, 0x1.189f01fd9e9efp-3, 0x1.124edd03a2e11p-3, 0x1.0c1afe47a808dp-3, 0x1.060328153d8c6p-3, 0x1.00071b01ce9fap-3, 0x1.f44d2c0af1cb7p-4, 0x1.e8c2ad26ce3abp-4, 0x1.dd6e3163300bbp-4, 0x1.d24f2e204d35dp-4, 0x1.c765163feb7cp-4, 0x1.bcaf5a51c6bccp-4, 0x1.b22d68beb714p-4, 0x1.a7deadf2def0cp-4, 0x1.9dc29486a54d8p-4, 0x1.93d88566ae02p-4, 0x1.8a1fe7faa324dp-4, 0x1.8098224afa0fep-4, 0x1.77409925991cfp-4, 0x1.6e18b0416c2dbp-4, 0x1.651fca60e74ap-4, 0x1.5c55497379454p-4, 0x1.53b88eb5f1c17p-4, 0x1.4b48fad1dc7f7p-4, 0x1.4305edfbd554fp-4, 0x1.3aeec810d7c49p-4, 0x1.3302e8b28d369p-4, 0x1.2b41af629db0dp-4, 0x1.23aa7b9d06bf5p-4, 0x1.1c3cacf17b047p-4, 0x1.14f7a31bcf5d4p-4, 0x1.0ddabe1b7a2d9p-4, 0x1.06e55e4a26ef5p-4, 0x1.0016e471637ap-4, 0x1.f2dd63bed459fp-5, 0x1.e5d850f61ea1dp-5, 0x1.d91d55ada7421p-5, 0x1.ccab3886400e6p-5, 0x1.c080c1bf66539p-5, 0x1.b49cbb587e12p-5, 0x1.a8fdf1307ffd5p-5, 0x1.9da331241ed34p-5, 0x1.928b4b2a6de4bp-5, 0x1.87b5117011419p-5, 0x1.7d1f587101bcap-5, 0x1.72c8f710ec2a1p-5, 0x1.68b0c6b234a5p-5, 0x1.5ed5a34baa863p-5, 0x1.55366b7cef28dp-5, 0x1.4bd200a19e43ep-5, 0x1.42a746e33e2ep-5, 0x1.39b5254a0022bp-5, 0x1.30fa85cc5a099p-5, 0x1.2876555d81d73p-5, 0x1.202783fad4068p-5, 0x1.180d04b82b81fp-5, 0x1.1025cdcb34202p-5, 0x1.0870d895c18f9p-5, 0x1.00ed21af2f9dfp-5, 0x1.f33351d9aab4bp-6, 0x1.e4eae2d327bf5p-6, 0x1.d6ff03190b64bp-6, 0x1.c96dc61db3eabp-6, 0x1.bc354601bea88p-6, 0x1.af53a39c8d74dp-6, 0x1.a2c7068352e71p-6, 0x1.968d9d0ea07e9p-6, 0x1.8aa59c5e9b468p-6, 0x1.7f0d405dd20acp-6, 0x1.73c2cbc2cf261p-6, 0x1.68c4881065eap-6, 0x1.5e10c594d92e1p-6, 0x1.53a5db67d782ap-6, 0x1.4982276762d68p-6, 0x1.3fa40e33ac021p-6, 0x1.3609fb29f04a4p-6, 0x1.2cb2605e5e7cep-6, 0x1.239bb695180dfp-6, 0x1.1ac47d3a4f9f4p-6, 0x1.122b3a5998a4bp-6, 0x1.09ce7a9463ee7p-6, 0x1.01acd117cc467p-6, 0x1.f389af2337d25p-7, 0x1.e42a5c496b8d8p-7, 0x1.d538f6b9a1e8fp-7, 0x1.c6b2d8433ddebp-7, 0x1.b8956752c60c1p-7, 0x1.aade16d5f5d23p-7, 0x1.9d8a661edc654p-7, 0x1.9097e0c5fe885p-7, 0x1.84041e8ba6958p-7, 0x1.77ccc33853589p-7, 0x1.6bef7e7c6e8bcp-7, 0x1.606a0bcf498e7p-7, 0x1.553a324d75724p-7, 0x1.4a5dc4968308cp-7, 0x1.3fd2a0aa2bef1p-7, 0x1.3596afc50b253p-7, 0x1.2ba7e63cd30bep-7, 0x1.2204435c2149ap-7, 0x1.18a9d13df3446p-7, 0x1.0f96a4a8c74a6p-7, 0x1.06c8dce97467ap-7, 0x1.fc7d475b8b265p-8, 0x1.ebec59bdb9b22p-8, 0x1.dbdb6cf6d926ep-8, 0x1.cc4710e398f0ap-8, 0x1.bd2be8f3e9cc5p-8, 0x1.ae86abdece194p-8, 0x1.a0542356162dcp-8, 0x1.92912bba14cb6p-8, 0x1.853ab3cd5f1c4p-8, 0x1.784dbc689eb4ep-8, 0x1.6bc7582e894dap-8, 0x1.5fa4ab400855ap-8, 0x1.53e2eaf09b59ep-8, 0x1.487f5d7b003aep-8, 0x1.3d7759b630f36p-8, 0x1.32c846caba098p-8, 0x1.286f9be8796d4p-8, 0x1.1e6adffccbf59p-8, 0x1.14b7a96931edcp-8, 0x1.0b539dba7715cp-8, 0x1.023c716060e6p-8, 0x1.f2dfcecbd8315p-9, 0x1.e1d7a25448543p-9, 0x1.d15c1c332a325p-9, 0x1.c16916d0c311cp-9, 0x1.b1fa879a0a4b8p-9, 0x1.a30c7e77821aep-9, 0x1.949b254580989p-9, 0x1.86a2bf4de4607p-9, 0x1.791fa8c345344p-9, 0x1.6c0e563da51dfp-9, 0x1.5f6b5438ac323p-9, 0x1.5333469372544p-9, 0x1.4762e811dd2dp-9, 0x1.3bf709df9eb6fp-9, 0x1.30ec9314ce2dfp-9, 0x1.2640803c28564p-9, 0x1.1befe2daf7a96p-9, 0x1.11f7e0faaa9bep-9, 0x1.0855b4b41499cp-9, 0x1.fe0d5778c5789p-10, 0x1.ec104de78cf35p-10, 0x1.daaf33eb9df89p-10, 0x1.c9e51556fd4adp-10, 0x1.b9ad21be2ad1ap-10, 0x1.aa02aba32244ep-10, 0x1.9ae127a3cfabfp-10, 0x1.8c442babefd14p-10, 0x1.7e276e2a6128ep-10, 0x1.7086c549db0a2p-10, 0x1.635e262d155cbp-10, 0x1.56a9a42e52172p-10, 0x1.4a657022488ecp-10, 0x1.3e8dd79e78396p-10, 0x1.331f4442ca1c8p-10, 0x1.28163b06940e2p-10, 0x1.1d6f5b88e3e06p-10, 0x1.13275f641c9c2p-10, 0x1.093b1984d0649p-10, 0x1.ff4eeb07bd59p-11, 0x1.ecd2ee079768ep-11, 0x1.dafc722283567p-11, 0x1.c9c5db0d81eabp-11, 0x1.b929b8e6de55fp-11, 0x1.a922c70a00243p-11, 0x1.99abeae960b9p-11, 0x1.8ac032ee912f9p-11, 0x1.7c5ad560426f7p-11, 0x1.6e772f4e3a841p-11, 0x1.6110c3832941ep-11, 0x1.5423397c44202p-11, 0x1.47aa5c669e79p-11, 0x1.3ba21a22227d6p-11, 0x1.3006824a2166bp-11, 0x1.24d3c5435d682p-11, 0x1.1a06334f82559p-11, 0x1.0f9a3ba5f608bp-11, 0x1.058c6b91ea73dp-11, 0x1.f7b2db2b42544p-12, 0x1.e4fc1125991c2p-12, 0x1.d2ee3defeb4d5p-12, 0x1.c1835be5af7d6p-12, 0x1.b0b5994f3860bp-12, 0x1.a07f56d9c0975p-12, 0x1.90db2618e71b7p-12, 0x1.81c3c8116f489p-12, 0x1.73342bcd2240ap-12, 0x1.65276cf7a3bfcp-12, 0x1.5798d284148a4p-12, 0x1.4a83cd5b5ad1ep-12, 0x1.3de3f712e9662p-12, 0x1.31b510abdae47p-12, 0x1.25f3015a3bfc7p-12, 0x1.1a99d55460bf1p-12, 0x1.0fa5bcaa153d1p-12, 0x1.05130a238bba9p-12, 0x1.f5bc644fbc45ep-13, 0x1.e2079355f6353p-13, 0x1.cf010a45bb9e4p-13, 0x1.bca26f07c9abbp-13, 0x1.aae5a28853d8dp-13, 0x1.99c4becb5fa58p-13, 0x1.893a150e8abc1p-13, 0x1.79402bf7f460ep-13, 0x1.69d1bdd1fcb55p-13, 0x1.5ae9b6d39ac1cp-13, 0x1.4c833374fd9ccp-13, 0x1.3e997ed03e23fp-13, 0x1.3128110dcc9b7p-13, 0x1.242a8ddc6b5dfp-13, 0x1.179cc2f463be9p-13, 0x1.0b7aa6a5be2c4p-13, 0x1.ff80ace27977bp-14, 0x1.e8d42b57a3ad9p-14, 0x1.d2e89858b66f7p-14, 0x1.bdb70a06cb819p-14, 0x1.a938da7966091p-14, 0x1.9567a554a9a37p-14, 0x1.823d457227749p-14, 0x1.6fb3d29be6bc7p-14, 0x1.5dc59f592aad4p-14, 0x1.4c6d36cc8b0ap-14, 0x1.3ba55aa2f095dp-14, 0x1.2b69011308b41p-14, 0x1.1bb352ecc875bp-14, 0x1.0c7fa9b895543p-14, 0x1.fb931bcb5d196p-15, 0x1.df196a0ee413p-15, 0x1.c38a004237e15p-15, 0x1.a8dcf3ff3c3d9p-15, 0x1.8f0aab42641fbp-15, 0x1.760bd95493c0bp-15, 0x1.5dd97bcf034bap-15, 0x1.466cd7b875a89p-15, 0x1.2fbf76bb1333cp-15, 0x1.19cb24723946ep-15, 0x1.0489ebcf9c178p-15, 0x1.dfec292e21b8ap-16, 0x1.b81441e0cb50cp-16, 0x1.9181961d3e307p-16, 0x1.6c2a05d81c70bp-16, 0x1.4803d83536df5p-16, 0x1.2505b74f75459p-16, 0x1.0326ac26e9b1bp-16, 0x1.c4bc3567e8969p-17, 0x1.85477c3cc7709p-17, 0x1.47df4a2f03d15p-17, 0x1.0c745cac15c5ap-17, 0x1.a5f014cc0e693p-18, 0x1.36b87999e9ca3p-18, 0x1.964da719c6aa1p-19, 0x1.8c846d075c32dp-20, -0x1.71b57d85f1047p-26, -0x1.8aa6bbbaea96cp-20, -0x1.813bec3abb102p-19, -0x1.1b64cf400352dp-18, -0x1.7313a7aeab96dp-18, -0x1.c7bf1f75d7e4bp-18, -0x1.0cbd8944c220ap-17, -0x1.342d50cd8786fp-17, -0x1.5a381d4a8a924p-17, -0x1.7ee6d06012df6p-17, -0x1.a241fa49a0607p-17, -0x1.c451dd996181fp-17, -0x1.e51e72d044211p-17, -0x1.0257b5e7ff552p-16, -0x1.11861b941c1d5p-16, -0x1.201e01a01cc02p-16, -0x1.2e22e0af19eb7p-16, -0x1.3b981446b67dbp-16, -0x1.4880dc323374fp-16, -0x1.54e05dd60d05ep-16, -0x1.60b9a574b99ep-16, -0x1.6c0fa764fe1b6p-16, -0x1.76e5413a6e8c5p-16, -0x1.813d3ae08c988p-16, -0x1.8b1a47a905478p-16, -0x1.947f074d88a43p-16, -0x1.9d6e06e5a97cap-16, -0x1.a5e9c1d13d948p-16, -0x1.adf4a297a6c5ap-16, -0x1.b59103bc74bf9p-16, -0x1.bcc13089c4473p-16, -0x1.c38765d0bf66dp-16, -0x1.c9e5d2a0a1ffcp-16, -0x1.cfde98f4a34b9p-16, -0x1.d573ce591ac55p-16, -0x1.daa77c883bfe3p-16, -0x1.df7ba1fec1fe7p-16, -0x1.e3f23288d5247p-16, -0x1.e80d17c78a9e4p-16, -0x1.ebce31af3894ep-16, -0x1.ef3756fefd6e2p-16, -0x1.f24a55b1b6ac9p-16, -0x1.f508f368b0ec8p-16, -0x1.f774edd0590e6p-16, -0x1.f98ffaff2f664p-16, -0x1.fb5bc9cf38c1dp-16, -0x1.fcda02322ed52p-16, -0x1.fe0c4580aec05p-16, -0x1.fef42ec494842p-16, -0x1.ff9352fecc2bfp-16, -0x1.ffeb4168ba8cap-16, -0x1.fffd83b182c37p-16, -0x1.ffcb9e374ea71p-16, -0x1.ff57103cd5405p-16, -0x1.fea1541b3e475p-16, -0x1.fdabdf70a436ep-16, -0x1.fc78234b4b4d1p-16, -0x1.fb078c51c4f4ep-16, -0x1.f95b82e826827p-16, -0x1.f7756b52723d8p-16, -0x1.f556a5d45df61p-16, -0x1.f3008ece9a72fp-16, -0x1.f0747ed9bf085p-16, -0x1.edb3cadef4001p-16, -0x1.eabfc42e859e5p-16, -0x1.e799b89473f05p-16, -0x1.e442f26b28778p-16, -0x1.e0bcb8ac5d387p-16, -0x1.dd084f0064bc9p-16, -0x1.d926f5cbdbac5p-16, -0x1.d519ea3be5df8p-16, -0x1.d0e266510b113p-16, -0x1.cc81a0e8cc6f6p-16, -0x1.c7f8cdc607ebfp-16, -0x1.c3491d9839e1ap-16, -0x1.be73be01bcc1ep-16, -0x1.b979d99d0b1e1p-16, -0x1.b45c980120de7p-16, -0x1.af1d1dc508a0bp-16, -0x1.a9bc8c82a5161p-16, -0x1.a43c02d8cd726p-16, -0x1.9e9c9c6cbda2cp-16, -0x1.98df71eafd9b8p-16, -0x1.93059907b2c55p-16, -0x1.8d10247e849b1p-16, -0x1.870024120c8cap-16, -0x1.80d6a48ae1b85p-16, -0x1.7a94afb656d1fp-16, -0x1.743b4c64e191dp-16, -0x1.6dcb7e6844e3dp-16, -0x1.6746469184536p-16, -0x1.60aca2aea16bdp-16, -0x1.59ff8d88373b3p-16, -0x1.533ffedef568p-16, -0x1.4c6eeb69009d7p-16, -0x1.458d44cf448e3p-16, -0x1.3e9bf9aabe0adp-16, -0x1.379bf581ba47fp-16, -0x1.308e20c522659p-16, -0x1.297360cdc35b4p-16, -0x1.224c97d9ab82cp-16, -0x1.1b1aa50994623p-16, -0x1.13de645e6667bp-16, -0x1.0c98aeb6d189cp-16, -0x1.054a59cd06557p-16, -0x1.fbe870692777bp-17, -0x1.ed2e32b0c646fp-17, -0x1.de6792f1bdfa7p-17, -0x1.cf9623548a9b3p-17, -0x1.c0bb6fa64973ep-17, -0x1.b1d8fd560f661p-17, -0x1.a2f04b72a9e5bp-17, -0x1.9402d2a8b7dcep-17, -0x1.851205413a2d8p-17, -0x1.761f4f20806ebp-17, -0x1.672c15c5975e6p-17, -0x1.5839b84a0dcbp-17, -0x1.49498f6247713p-17, -0x1.3a5ced5e287b1p-17, -0x1.2b751e2a4a322p-17, -0x1.1c9367519953fp-17, -0x1.0db907ff6e53p-17, -0x1.fdce720434ef5p-18, -0x1.e03e599bd8f5p-18, -0x1.c2c41f015490fp-18, -0x1.a5620dcb01e84p-18, -0x1.881a64f2d30e4p-18, -0x1.6aef56e00646cp-18, -0x1.4de30971c049cp-18, -0x1.30f7960a8a3b2p-18, -0x1.142f099cb6384p-18, -0x1.ef16c96f3cbe4p-19, -0x1.b61d372b8b9f8p-19, -0x1.7d752c579d5a3p-19, -0x1.4522607091bccp-19, -0x1.0d2872a8a4b6dp-19, -0x1.ab15d41415124p-20, -0x1.3c9a6b36c394ep-20, -0x1.9dcab216bc92ap-21, -0x1.87f471deeb78p-22, 0x1.42ff5711f8d61p-25, 0x1.d54f2dfd5ad6p-22, 0x1.bf60c6887223dp-21, 0x1.4927fd8245954p-20, 0x1.b1b5036af78p-20, 0x1.0ca905c3523a3p-19, 0x1.3ffceca937959p-19, 0x1.72d3ae6de4775p-19, 0x1.a52ad92cd5642p-19, 0x1.d70010e1c5618p-19, 0x1.04288799895dfp-18, 0x1.1c8dd19d8f0b9p-18, 0x1.34aed8a852c0ep-18, 0x1.4c8a996716b66p-18, 0x1.64201aec405f3p-18, 0x1.7b6e6e9226e28p-18, 0x1.9274afdd79d1dp-18, 0x1.a932045f40659p-18, 0x1.bfa59b967a798p-18, 0x1.d5ceaed1662a6p-18, 0x1.ebac810e71008p-18, 0x1.009f2f6e6b306p-17, 0x1.0b41cf1e7b668p-17, 0x1.15bdcf40323e7p-17, 0x1.2012e414d9931p-17, 0x1.2a40c666039a5p-17, 0x1.3447337538d9fp-17, 0x1.3e25eceb8adf9p-17, 0x1.47dcb8c911c96p-17, 0x1.516b61545430bp-17, 0x1.5ad1b5099b566p-17, 0x1.640f868a3e15dp-17, 0x1.6d24ac8bcf29fp-17, 0x1.761101c753602p-17, 0x1.7ed464e85e23p-17, 0x1.876eb87c2f773p-17, 0x1.8fdfe2e0c66fdp-17, 0x1.9827ce33f6855p-17, 0x1.a046684274467p-17, 0x1.a83ba276ed91p-17, 0x1.b00771c91642ap-17, 0x1.b7a9ceacc1e29p-17, 0x1.bf22b501019dbp-17, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      44, 0x1.0cccccccccccdp+2, 0x1.058d371857f3ep+1, 0x1.b1b9a4b2ddf31p+1, -0x1.dffe1948de154p-4, 
      {{
        {0x1p+1, 0x1.0666666666666p+1, 0x1.85633a8986f94p-2, -0x1.043755d274f92p+0, 0x1.09dbf4fa78334p+0, -0x1.812680b488cfdp-2}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.53f46fb5e2d01p-2, -0x1.d4b46c6941c76p-1, 0x1.f6d506b432f09p-1, -0x1.8413d3dcd777cp-2}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.278cccf8f00bbp-2, -0x1.a3e079a7bec59p-1, 0x1.d9b9f06a092dep-1, -0x1.8690d68989817p-2}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.ffc3a644ae27dp-3, -0x1.75f80642232b9p-1, 0x1.bc6f13861eddep-1, -0x1.892c2c494a482p-2}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.b9510845d4e9fp-3, -0x1.4afff6645c338p-1, 0x1.9ef229cd6c7ebp-1, -0x1.8bbe863868da7p-2}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.7b2ac6194dc6p-3, -0x1.22fd42b711bedp-1, 0x1.8143dfbc64a1ap-1, -0x1.8e567c5707005p-2}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.44b8e825666dfp-3, -0x1.fbe9c14bac37ep-2, 0x1.6363c99c441b5p-1, -0x1.90e0fd88441d2p-2}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.15627912c0e1p-3, -0x1.b7d77c27ae775p-2, 0x1.4552e9cba565cp-1, -0x1.939bb63f8c2c7p-2}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.d91b0b98a6d6fp-4, -0x1.79cdd485d432fp-2, 0x1.270da286e148fp-1, -0x1.952325ff5f255p-2}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.933e4b5cfff5ep-4, -0x1.41d4f7809bb1dp-2, 0x1.08aaffad53bf9p-1, -0x1.95c8e44c5dfe2p-2}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.57f7a91a299e5p-4, -0x1.0ff112e113549p-2, 0x1.d477dd1bffcc7p-2, -0x1.95aa1391674ecp-2}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.260f99729a4ebp-4, -0x1.c846536e179c9p-3, 0x1.979e5a2c96b42p-2, -0x1.98ff509c7f2c9p-2}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.f89c3cc3a264cp-5, -0x1.7ce2ce1fd7899p-3, 0x1.5a44dae1ea06ap-2, -0x1.84fc871ce2d49p-2}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.b2f83161c15f7p-5, -0x1.3d778ac64adadp-3, 0x1.1febc69d94cd5p-2, -0x1.599dbabeee56ap-2}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.78e38ff0c5029p-5, -0x1.09112721f5ca1p-3, 0x1.d8283b9b7bb37p-3, -0x1.31bef12201babp-2}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.484a9544d7a6p-5, -0x1.bcdffcc71fb0ap-4, 0x1.7c6ef3447b2eep-3, -0x1.08efc0e4d5356p-2}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.1f57debe2f9c5p-5, -0x1.78bc828d17b0ep-4, 0x1.2cf3d2ffd4d26p-3, -0x1.c0c450cf45955p-3}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.f8e8d4921e698p-6, -0x1.43470285fecf3p-4, 0x1.d3465a8e47f78p-4, -0x1.6f7d2f158a202p-3}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.bc8f2cbb89791p-6, -0x1.1a0feea77349p-4, 0x1.650732d49e87bp-4, -0x1.1e62a0d939f66p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.876e440154f74p-6, -0x1.f54f76b0037b6p-5, 0x1.0f1ccf604056ep-4, -0x1.99836acd22678p-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.57ce59844d6fep-6, -0x1.c53b086a14922p-5, 0x1.a35efeb6298f3p-5, -0x1.f436ad3f70e72p-5}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.2c746d7d57665p-6, -0x1.9f0b8b1f6143p-5, 0x1.5856cb1fd8ap-5, -0x1.3163c7fdbd033p-6}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.04a2413d6f572p-6, -0x1.7dc1a3666d449p-5, 0x1.416f4f53373fbp-5, 0x1.9c1c3630c02c4p-12}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.c021de036e4b3p-7, -0x1.5d96b9c3b1407p-5, 0x1.41eaf1637912ep-5, -0x1.03c0d1a9c6e28p-8}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.7d6ae02013939p-7, -0x1.3da3f8dcb44a5p-5, 0x1.3d0c20a84a251p-5, -0x1.3ba42a5448f5ep-8}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.410a45a71e04p-7, -0x1.1e3b503231bebp-5, 0x1.37210ca9e8c6dp-5, -0x1.b10e719304f9p-8}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.0ae0c561917bap-7, -0x1.ff0caf08484dep-6, 0x1.2f0260ef27156p-5, -0x1.0afe1d7176e12p-7}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.b58a20164c7cap-8, -0x1.c372ebc18473cp-6, 0x1.24ff3fd47f6cep-5, -0x1.3faa86ad1d139p-7}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.6107a0a491ea3p-8, -0x1.8a0c59bc25a31p-6, 0x1.1902746134bc3p-5, -0x1.73bf1c914523ap-7}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.17bf55b03557ep-8, -0x1.533d89494025fp-6, 0x1.0b11b01bc2246p-5, -0x1.a7fd7b3fc3efbp-7}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.b244f8c1c3523p-9, -0x1.1f6aa1162d933p-6, 0x1.f656c3c5ef309p-6, -0x1.dc2c8a1c578d5p-7}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.491c8b8755107p-9, -0x1.ddefc274577d8p-7, 0x1.d2a0396a356c7p-6, -0x1.083787bb2b8cap-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.e52f5b2c31a07p-10, -0x1.84931b91447f6p-7, 0x1.aafe4b74887d9p-6, -0x1.223985563fe6ep-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.5a41213bb216dp-10, -0x1.338782f4dacc9p-7, 0x1.7f75aaa798816p-6, -0x1.3caedbfa4fcd2p-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.dbe53864c7293p-11, -0x1.d72ce1d9b34e6p-8, 0x1.4ff509a872ef3p-6, -0x1.5576138c5ebe8p-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.38ef9d36429fcp-11, -0x1.5b094a17f8d0fp-8, 0x1.1cbced203186p-6, -0x1.74826e5d6a631p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.86d22a59a68cfp-12, -0x1.e8a1fbd41d334p-9, 0x1.c9b91f8ac322p-7, -0x1.69b476072d337p-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.ca2f23e65a607p-13, -0x1.473eec0dae043p-9, 0x1.5d362f5568c52p-7, -0x1.350fcd6b6b78ap-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.eea1fd9976c9cp-14, -0x1.9c35ac2b9a3c6p-10, 0x1.007e3e81fbbadp-7, -0x1.06a55f697291fp-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.dd138cb26fcc2p-15, -0x1.dd10b94e9e798p-11, 0x1.636610917f838p-8, -0x1.ad69a410dcc09p-7}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.86d22a59a68bdp-16, -0x1.e88d420a68792p-12, 0x1.c526584c142e2p-9, -0x1.4d450f139d1ffp-7}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.eea1fd9976d47p-18, -0x1.9c088d6710906p-13, 0x1.fa60381a389e3p-10, -0x1.e2754382a2edp-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.86d22a59a6a81p-20, -0x1.eae400551f41dp-15, 0x1.b1cd52647a88cp-11, -0x1.0a161ffcd844ap-8}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.86d22a59a9p-24, -0x1.a200b0bdd159p-18, 0x1.c9fe49a10f2c2p-13, -0x1.641eb8838c97dp-8}, 
      }}, 
      0x1.4f1df1fa990e2p-4, -0x1.0243c85e06bdep-1
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_n_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.af1758042de4bp-6, -0x1.ad4d0bf5623dp-5, -0x1.405e45426f5f7p-4, -0x1.a808034ef8e7p-4, -0x1.06a79e4bba774p-3, -0x1.37e26db43077p-3, -0x1.679ff8c0cbb63p-3, -0x1.95bee39045a6fp-3, -0x1.c22333a296982p-3, -0x1.eccb368f25499p-3, -0x1.0ac98ddf7781bp-2, -0x1.1e4f79c45d47fp-2, -0x1.30da40de293d2p-2, -0x1.427e2480d8276p-2, -0x1.5335cbcb6bf28p-2, -0x1.630223d97708p-2, -0x1.71ebf5b218b9dp-2, -0x1.7ff37ecc71d22p-2, -0x1.8d19391ec0609p-2, -0x1.99680a94dab62p-2, -0x1.a4e9b013ebb52p-2, -0x1.af9ef86b17773p-2, -0x1.b987ea00d7991p-2, -0x1.c2ac1f4ca18ep-2, -0x1.cb1872b3c0893p-2, -0x1.d2d768583d5cep-2, -0x1.d9ea7412b7defp-2, -0x1.e053d1ad29829p-2, -0x1.e61c12a3eb598p-2, -0x1.eb49f71a6593p-2, -0x1.efe563846d151p-2, -0x1.f3f61e5a7600fp-2, -0x1.f782b8af4cd3bp-2, -0x1.fa90788e8476ep-2, -0x1.fd241ed39f24fp-2, -0x1.ff42cef95d7b5p-2, -0x1.00793fee4bc84p-1, -0x1.011ce8642133fp-1, -0x1.018fbccaf1835p-1, -0x1.01d4d69be4476p-1, -0x1.01eedc5dcb6fdp-1, -0x1.01dfff894ad17p-1, -0x1.01aa2077358a9p-1, -0x1.014f017891badp-1, -0x1.00d072f4b25c7p-1, -0x1.00306bdf6aa03p-1, -0x1.fee217a96c0b8p-2, -0x1.fd2916d409d8ep-2, -0x1.fb3a463f7b443p-2, -0x1.f919e30d92c1ep-2, -0x1.f6cbcdbcfb89cp-2, -0x1.f45370c5c8f2ap-2, -0x1.f1b3bde03d01ep-2, -0x1.eeef386efdf85p-2, -0x1.ec067a0c43108p-2, -0x1.e8fbc24c4d4aep-2, -0x1.e5d304ea48327p-2, -0x1.e28e65b123d22p-2, -0x1.df2fe6d86a5f5p-2, -0x1.dbb973d0af9bap-2, -0x1.d82ce9b787b0bp-2, -0x1.d48c1c85005a4p-2, -0x1.d0d8d80b86ae4p-2, -0x1.cd14dd4894447p-2, -0x1.c941dad4486f9p-2, -0x1.c56169a207c69p-2, -0x1.c17504061eec6p-2, -0x1.bd7e044ecea8dp-2, -0x1.b97da42f1e59ep-2, -0x1.b574fef81b05fp-2, -0x1.b1651562b0f5cp-2, -0x1.ad4ed1edb7bbbp-2, -0x1.a9330d03a898fp-2, -0x1.a512907abddf9p-2, -0x1.a0ee1a62b24b6p-2, -0x1.9cc65effb6f6p-2, -0x1.989c0aaaec632p-2, -0x1.946fc32d8e397p-2, -0x1.904228fcabebfp-2, -0x1.8c13d81bfde47p-2, -0x1.87e56885deee8p-2, -0x1.83b76df17864ap-2, -0x1.7f8a77081c263p-2, -0x1.7b5f0c0b283aap-2, -0x1.7735ac7a2c40bp-2, -0x1.730ecec00e887p-2, -0x1.6eeadd5d490a5p-2, -0x1.6aca36b9c0bb3p-2, -0x1.66ad2cd459da6p-2, -0x1.629405d479a38p-2, -0x1.5e7efd46edfdcp-2, -0x1.5a6e45ddc2aeep-2, -0x1.56620b79f150ap-2, -0x1.525a75566f296p-2, -0x1.4e57a7e9a8628p-2, -0x1.4a59c6a0a33e5p-2, -0x1.4660f50fc6c25p-2, -0x1.426d57d1572d7p-2, -0x1.3e7f14871d8p-2, -0x1.3a965207b754dp-2, -0x1.36b337c7bf978p-2, -0x1.32d5ed3f017aap-2, -0x1.2efe992da5082p-2, -0x1.2b2d60e2dcf64p-2, -0x1.27626794b242fp-2, -0x1.239dcde06cca6p-2, -0x1.1fdfb16dedee6p-2, -0x1.1c282cab2bdcp-2, -0x1.18775727478c2p-2, -0x1.14cd44f2deae5p-2, -0x1.112b139e660e8p-2, -0x1.0d8ee30284b5fp-2, -0x1.09f9962796c59p-2, -0x1.066b3964f908fp-2, -0x1.02e3d822b0e91p-2, -0x1.fec6f73f6bca6p-3, -0x1.f7d45b62dd14dp-3, -0x1.f0efecda17c42p-3, -0x1.ea19baf638b3fp-3, -0x1.e351d41ea3f73p-3, -0x1.dc984608f6a4ap-3, -0x1.d5ed1dd8ea7e3p-3, -0x1.cf50684362d5ep-3, -0x1.c8c2319d858ecp-3, -0x1.c24285de203cp-3, -0x1.bbd1709a03bep-3, -0x1.b56efcdbeddbbp-3, -0x1.af1b352d301d8p-3, -0x1.a8d62349849fcp-3, -0x1.a29fd0279a8a7p-3, -0x1.9c7843a778b51p-3, -0x1.965f84ee02ec7p-3, -0x1.905599743fa46p-3, -0x1.8a5a85c7e1c0fp-3, -0x1.846e4d2be4dfcp-3, -0x1.7e90f17961873p-3, -0x1.78c2735572b3dp-3, -0x1.7302d224d57dbp-3, -0x1.6d520c1d71be5p-3, -0x1.67b01e5b6e774p-3, -0x1.621d04f72220dp-3, -0x1.5c98bb1aec193p-3, -0x1.57233b2800612p-3, -0x1.51bc7eb863249p-3, -0x1.4c647ec0c3853p-3, -0x1.471b33b5dbfe3p-3, -0x1.41e09573ca50ap-3, -0x1.3cb49b7ab660ap-3, -0x1.37973cba09a65p-3, -0x1.32886fed96447p-3, -0x1.2d882b83b16aep-3, -0x1.2896654d690dp-3, -0x1.23b312fee75cdp-3, -0x1.1ede29dea5059p-3, -0x1.1a179ecbc8d85p-3, -0x1.155f6690c6e1fp-3, -0x1.10b57528de58cp-3, -0x1.0c19be72753f9p-3, -0x1.078c35cc3d293p-3, -0x1.030cce27f5016p-3, -0x1.fd36f3f86274bp-4, -0x1.f47056a2b4f69p-4, -0x1.ebc5a723988b2p-4, -0x1.e336c7f15c0fcp-4, -0x1.dac39911c6d63p-4, -0x1.d26bfc14fe399p-4, -0x1.ca2fce6ed529p-4, -0x1.c20eee52de0d8p-4, -0x1.ba0938957df6fp-4, -0x1.b21e88eb58704p-4, -0x1.aa4eb9fff25cdp-4, -0x1.a299a57c6a7ccp-4, -0x1.9aff241365ab8p-4, -0x1.937f0d7f7932ap-4, -0x1.8c193897d8a1p-4, -0x1.84cd7b2fbc3c8p-4, -0x1.7d9baa74247d1p-4, -0x1.76839a944fe48p-4, -0x1.6f851fd878985p-4, -0x1.68a00a7be1ff4p-4, -0x1.61d42f624ac5p-4, -0x1.5b215e7bc4c4ap-4, -0x1.548768d6ed64cp-4, -0x1.4e061e8b0536dp-4, -0x1.479d4f1832385p-4, -0x1.414cc9fb9d24p-4, -0x1.3b145c5a1f59ap-4, -0x1.34f3d5ae5704ep-4, -0x1.2eeb0138d22c7p-4, -0x1.28f9b18804f3fp-4, -0x1.231fae19da2bdp-4, -0x1.1d5ccb0f19882p-4, -0x1.17b0c227f8937p-4, -0x1.121b7159b2425p-4, -0x1.0c9c9dc5eacb2p-4, -0x1.073412a0d8d33p-4, -0x1.01e19a8d59c4p-4, -0x1.f949fff69f799p-5, -0x1.eefc1a29c4243p-5, -0x1.e4d9176cc9e3fp-5, -0x1.dae08b1c7df54p-5, -0x1.d112082401a47p-5, -0x1.c76d206c41024p-5, -0x1.bdf16646e9a6fp-5, -0x1.b49e6b442916dp-5, -0x1.ab73c00e8ea87p-5, -0x1.a270f5437fbcep-5, -0x1.99959bb2dfbe2p-5, -0x1.90e1433f5927fp-5, -0x1.88537b80a35e5p-5, -0x1.7febd406fff65p-5, -0x1.77a9dd43d6dacp-5, -0x1.6f8d231c566c9p-5, -0x1.679535e7740f5p-5, -0x1.5fc1a5544a79ep-5, -0x1.5811ff2f978e6p-5, -0x1.5085d2693ad4ep-5, -0x1.491cac5179759p-5, -0x1.41d61ba689cd1p-5, -0x1.3ab1af8e1bd44p-5, -0x1.33aefe4cdb44ap-5, -0x1.2ccd7e01dc077p-5, -0x1.25fa34561bc3ap-5, -0x1.1f5677a39b2fep-5, -0x1.18d2a2a95d762p-5, -0x1.126e48208b32ep-5, -0x1.0c290d82c197dp-5, -0x1.06024e719defp-5, -0x1.fff3ad4ccc874p-6, -0x1.f41e4fd00ad5ap-6, -0x1.e883adddbb1bcp-6, -0x1.dd22f06d766d5p-6, -0x1.d1fb479704133p-6, -0x1.c70bdb5e90ae3p-6, -0x1.bc53dbc3dc98ap-6, -0x1.b1d276280d119p-6, -0x1.a786da13e5ee9p-6, -0x1.9d702f8949a47p-6, -0x1.938dc94a59fbfp-6, -0x1.89debb4dfefd9p-6, -0x1.8062408bb1a04p-6, -0x1.7717948b4e263p-6, -0x1.6dfded355a5eep-6, -0x1.6514777d56da1p-6, -0x1.5c5a923a74435p-6, -0x1.53cf552453bb5p-6, -0x1.4b72089fea8d8p-6, -0x1.4341ef9028666p-6, -0x1.3b3e3f031b69dp-6, -0x1.3366516d8103cp-6, -0x1.2bb956587938bp-6, -0x1.243695fb2bc8ep-6, -0x1.1cdd5bb158ce7p-6, -0x1.15acefaf9d208p-6, -0x1.0ea49ce43e627p-6, -0x1.07c3b01fcbb2ap-6, -0x1.010978110d9dap-6, -0x1.f4ea8abd5cabfp-7, -0x1.e80cbb12ea06bp-7, -0x1.db78780f0f6c5p-7, -0x1.cf2c1dab888cdp-7, -0x1.c3267b75b033p-7, -0x1.b766436d8224cp-7, -0x1.abea2eea4d097p-7, -0x1.a0b0fad9e2198p-7, -0x1.95b968dd0c52fp-7, -0x1.8b020b38e3c29p-7, -0x1.808a3e2cea8f4p-7, -0x1.7650412946e3ap-7, -0x1.6c53116300c46p-7, -0x1.6291868e2574dp-7, -0x1.590a7ab7811c1p-7, -0x1.4fbcc3fcbfd6dp-7, -0x1.46a75d0644df3p-7, -0x1.3dc9141c268a4p-7, -0x1.3520daf0f5587p-7, -0x1.2cada211a73eep-7, -0x1.246e5c5bb933fp-7, -0x1.1c61fef1b68edp-7, -0x1.148786df029adp-7, -0x1.0cddf295c484p-7, -0x1.056440eb12049p-7, -0x1.fc33028e22995p-8, -0x1.edf9714d06a4cp-8, -0x1.e019ee030ee6dp-8, -0x1.d2929fd9a4b1p-8, -0x1.c561ac24d1123p-8, -0x1.b8854e881778dp-8, -0x1.abfbc000d961cp-8, -0x1.9fc343decb9aep-8, -0x1.93da2274b7dbbp-8, -0x1.883e2042da0d8p-8, -0x1.7cef3733345e6p-8, -0x1.71ea271a0ef1dp-8, -0x1.672ddb8aeecc2p-8, -0x1.5cb8c5a54c88ap-8, -0x1.5289560c67ffep-8, -0x1.489e05edc1196p-8, -0x1.3ef554ec69e5p-8, -0x1.358dc908bfebap-8, -0x1.2c65ee94486bp-8, -0x1.237c591de9439p-8, -0x1.1acfe5519f0a7p-8, -0x1.125e60401dbdcp-8, -0x1.0a274027b7e14p-8, -0x1.0228ec0c8aceep-8, -0x1.f4c4267dc89d6p-9, -0x1.e5a2d8721736p-9, -0x1.d6eb6692dcee5p-9, -0x1.c89b54fb93a7dp-9, -0x1.bab0335a28dd7p-9, -0x1.ad276b861ddd4p-9, -0x1.9fff352bbef32p-9, -0x1.9334b1e2494f7p-9, -0x1.86c5cce7fdcbfp-9, -0x1.7ab04e2eaa73fp-9, -0x1.6ef208595436p-9, -0x1.6388d8d6ca244p-9, -0x1.5872a7eb80082p-9, -0x1.4dad68fccb27cp-9, -0x1.43366ebfe9b84p-9, -0x1.390ccc1bf2c81p-9, -0x1.2f2f6f3ed286cp-9, -0x1.259a4513b481p-9, -0x1.1c4c68f6f8621p-9, -0x1.13440ad4dc3e3p-9, -0x1.0a7f663763442p-9, -0x1.01fcbf97e7c8dp-9, -0x1.f373bfeb9b21ap-10, -0x1.e36d5ed92a89fp-10, -0x1.d3dffba910ba2p-10, -0x1.c4c979477f443p-10, -0x1.b626bc0cea5a9p-10, -0x1.a7f4ba7aa9cb7p-10, -0x1.9a308e59bc681p-10, -0x1.8cd7f27c90baep-10, -0x1.7fe5f33e34506p-10, -0x1.7359f45c809dp-10, -0x1.673072a736b01p-10, -0x1.5b66efc33462ap-10, -0x1.4ffaca87a25e6p-10, -0x1.44e969a1f8925p-10, -0x1.3a30680ed4355p-10, -0x1.2fcd4dfeafbbbp-10, -0x1.25bd96992e14dp-10, -0x1.1bff82abf66eep-10, -0x1.12903440ee301p-10, -0x1.096db3900807ep-10, -0x1.0095d7020869fp-10, -0x1.f00d06e8ce4a1p-11, -0x1.df7b001fb0c39p-11, -0x1.cf72838a1e99fp-11, -0x1.bfeeb1d04e91ap-11, -0x1.b0ec06a568112p-11, -0x1.a266c4fa6b6edp-11, -0x1.945b3fcc5555bp-11, -0x1.86c5e784bd001p-11, -0x1.79a33d2380c8dp-11, -0x1.6cefd71d3f17bp-11, -0x1.60a862f021c1bp-11, -0x1.54c9a24638defp-11, -0x1.49506b0f9574fp-11, -0x1.3e39ab94e4dfap-11, -0x1.3381a11f08b35p-11, -0x1.2927accb2f279p-11, -0x1.1f2662d3fd26dp-11, -0x1.157bec0579cfp-11, -0x1.0c25c7203c2d7p-11, -0x1.0321137c2bb96p-11, -0x1.f4d6905c6acf8p-12, -0x1.e403c75fddafdp-12, -0x1.d3c4e70cc8286p-12, -0x1.c41530d074658p-12, -0x1.b4f0014d1e8f5p-12, -0x1.a650ddfae5871p-12, -0x1.982f4dc1f54f8p-12, -0x1.8a933344f84dbp-12, -0x1.7d6c30f98919fp-12, -0x1.70ba033ed36fep-12, -0x1.647a3f3309685p-12, -0x1.58a77541a6a57p-12, -0x1.4d3ea8768e759p-12, -0x1.423a33684e4afp-12, -0x1.379ba80e49162p-12, -0x1.2d5ae572f0953p-12, -0x1.2375f2573be42p-12, -0x1.19ea6bf82902ep-12, -0x1.10b4a5be12148p-12, -0x1.07ce40b931d64p-12, -0x1.fe7cd693e91d4p-13, -0x1.edf0dd5d9826dp-13, -0x1.ddf988b34beccp-13, -0x1.ce91a5766f3c8p-13, -0x1.bfb4141922a58p-13, -0x1.b15bd6e20dca7p-13, -0x1.a38cbbad0e213p-13, -0x1.9628379406208p-13, -0x1.894406c3ab8b2p-13, -0x1.7cd2a5794b20ap-13, -0x1.70d00d4e2109p-13, -0x1.65381e333d2cep-13, -0x1.5a0704675b0a9p-13, -0x1.4f38d50f1db66p-13, -0x1.44c9d893368c8p-13, -0x1.3ab6ab5b8f7ebp-13, -0x1.3108425ed1f4cp-13, -0x1.2791cea53170fp-13, -0x1.1e80d3c7738b3p-13, -0x1.15baf7e8ba8a5p-13, -0x1.0d3fcba329a51p-13, -0x1.050ddb8c47f2p-13, -0x1.fa4389ffc6faep-14, -0x1.eaf272b3c8de4p-14, -0x1.dc1bb8e941115p-14, -0x1.cdcb8ab33bb4ep-14, -0x1.bfed882fe8338p-14, -0x1.b282202000f2fp-14, -0x1.a584b4e73d40dp-14, -0x1.98f0ee62a886p-14, -0x1.8cc29aaeeabe2p-14, -0x1.80f592337ea32p-14, -0x1.7586528fc8f03p-14, -0x1.6a74865d265bep-14, -0x1.5fa6404f5bf31p-14, -0x1.55445686f16bp-14, -0x1.4b28199cb186bp-14, -0x1.41576b247e2b2p-14, -0x1.37d0957e8a6cap-14, -0x1.2e8ed4207d878p-14, -0x1.25912cf21e6b4p-14, -0x1.1cd4361bf8671p-14, -0x1.1455a5123e78cp-14, -0x1.0c0e96d06fd46p-14, -0x1.040867a502234p-14, -0x1.f86ad09156c89p-15, -0x1.e92e66e172fc6p-15, -0x1.da5749842863dp-15, -0x1.cbe17fc818685p-15, -0x1.bdc8cdf88871bp-15, -0x1.b00721aa13c1ep-15, -0x1.a2bb6c39b6604p-15, -0x1.958b57bcf9a82p-15, -0x1.88c5379e1faf2p-15, -0x1.7c43d5ca2cd3fp-15, -0x1.701a21e91d752p-15, -0x1.642ff416be091p-15, -0x1.588cb2da126acp-15, -0x1.4d2765f6b19edp-15, -0x1.4200f69e19db1p-15, -0x1.37175f05fcde1p-15, -0x1.2c5a393889329p-15, -0x1.21f13b7b2b425p-15, -0x1.17af9c5a434b1p-15, -0x1.0da347406a6aep-15, -0x1.03bb367507816p-15, -0x1.f43e81f0fb815p-16, -0x1.e149b35c853dep-16, -0x1.cead44019f9b2p-16, -0x1.bc6e756aa411p-16, -0x1.aa845b4e4df2ep-16, -0x1.98e836a1449bbp-16, -0x1.87b757d197222p-16, -0x1.76a5137bf3675p-16, -0x1.65f43f0fca459p-16, -0x1.558e7d3a83b59p-16, -0x1.456f931b99576p-16, -0x1.35961a23f65d4p-16, -0x1.2600563ddfc22p-16, -0x1.16ac9ab5efc91p-16, -0x1.07995293b6fp-16, -0x1.f18a07e650ac6p-17, -0x1.d45d1cfb8fb9cp-17, -0x1.b7ecd6d74b0ddp-17, -0x1.9b6e33945f324p-17, -0x1.8068072ad91e1p-17, -0x1.644f822ba5538p-17, -0x1.4958d5be20fe3p-17, -0x1.2edacb376979ep-17, -0x1.14c8cb6bc4e76p-17, -0x1.f639b33a84a19p-18, -0x1.c34d0ba7d42dep-18, -0x1.920088bbe64d1p-18, -0x1.61f91955cfe48p-18, -0x1.3111b5abd308bp-18, -0x1.01c27dff26ea2p-18, -0x1.a688a8742fd04p-19, -0x1.4a296a2bcf659p-19, -0x1.e16fdee6c5688p-20, -0x1.3006da634ef3dp-20, -0x1.04754172ca896p-21, 0x1.4d965f897f14bp-23, 0x1.a4606996e4bdep-21, 0x1.77cbb5c7bcc5ap-20, 0x1.0d459138fb0dfp-19, 0x1.5d39c4740c1c5p-19, 0x1.abc4deb74876fp-19, 0x1.f8e93fc429ea2p-19, 0x1.2254ba8a04f4bp-18, 0x1.4784dd301f887p-18, 0x1.6b8c5ab36b21cp-18, 0x1.8fd5061bab054p-18, 0x1.b2f3f429d3913p-18, 0x1.d5661205ef4bdp-18, 0x1.f72aa3b664811p-18, 0x1.0c1c1e95a41e9p-17, 0x1.1c5200ddcc30fp-17, 0x1.2c2a238a4377bp-17, 0x1.3baa70ff414cap-17, 0x1.4ad4a1cdf4cbp-17, 0x1.59aeb98fc3cp-17, 0x1.676cec55f2d31p-17, 0x1.7665e45c238ap-17, 0x1.842f1ab23be91p-17, 0x1.91adab4314ed5p-17, 0x1.9ecf023630b5cp-17, 0x1.aba8489dcf828p-17, 0x1.b829b9065af3ap-17, 0x1.c45c36132aa54p-17, 0x1.d03c0d003bb13p-17, 0x1.dbc99e23725e1p-17, 0x1.e706bce87e0d9p-17, 0x1.f1f24b43293acp-17, 0x1.fc8c436fb6941p-17, 0x1.036a1fe4cef3ep-16, 0x1.0841995f4c8a3p-16, 0x1.0d373b2526fe7p-16, 0x1.12124ed72c76p-16, 0x1.16712a5538f4p-16, 0x1.1ab4c6c5e0932p-16, 0x1.1ef73a00e9b02p-16, 0x1.2300d2fad2162p-16, 0x1.26e8d84ab88b4p-16, 0x1.2aa724c638b26p-16, 0x1.2e3ed1164113ap-16, 0x1.31b0261dfd4ffp-16, 0x1.34fb8822ce259p-16, 0x1.3814c94d0fed7p-16, 0x1.3b2036211f195p-16, 0x1.3dfac6b6b5123p-16, 0x1.40b2edee04a4ap-16, 0x1.43448598a8cc7p-16, 0x1.45ace5647c0c3p-16, 0x1.47f36bbcca33bp-16, 0x1.4a16f8a4a66d1p-16, 0x1.4c1715bc7261bp-16, 0x1.4df3fca056532p-16, 0x1.4fae09dae2954p-16, 0x1.5145fdd6b154dp-16, 0x1.52c10e529f90fp-16, 0x1.546a7242c7f18p-16, 0x1.554231d6d5fa2p-16, 0x1.564fb5807c9d7p-16, 0x1.573edb3068cf6p-16, 0x1.580dc87de7ebfp-16, 0x1.58bca40452a1dp-16, 0x1.594bc1f298e8cp-16, 0x1.59bb701a4ba58p-16, 0x1.5a0b77a67e6ffp-16, 0x1.5a51aeb29a0a5p-16, 0x1.5a6963b2cc1dbp-16, 0x1.5a482b0f4e766p-16, 0x1.5a21d5e777528p-16, 0x1.59de0af111dffp-16, 0x1.597d9cdc81335p-16, 0x1.59010f4cc3fbbp-16, 0x1.5868adb40eae9p-16, 0x1.57b5590a0c8b1p-16, 0x1.56e3adbf83861p-16, 0x1.55dfcb0517b43p-16, 0x1.54fbab92c3fcbp-16, 0x1.53e0e66da6f38p-16, 0x1.52e707acb69cdp-16, 0x1.513747e80abc8p-16, 0x1.4ff4614953793p-16, 0x1.4e7a6416387c1p-16, 0x1.4ce043c80bd2fp-16, 0x1.4b3351065195fp-16, 0x1.496f3ddf5fc2cp-16, 0x1.47925a123b377p-16, 0x1.45a7d22fa2575p-16, 0x1.43a509c38c1cep-16, 0x1.418ccf67676c7p-16, 0x1.3f6046617823bp-16, 0x1.3d1ff2427d734p-16, 0x1.3acc3408de5a1p-16, 0x1.3865445c6fabp-16, 0x1.35e265457813ap-16, 0x1.33632b05f361cp-16, 0x1.30bf2e90ee3eap-16, 0x1.2dcedcb4426d9p-16, 0x1.2b5c00b6d01d2p-16, 0x1.288c5c4906a44p-16, 0x1.25ab18e276255p-16, 0x1.22c0f9941e777p-16, 0x1.1fc483e1969ddp-16, 0x1.1cb9bfbbca4f1p-16, 0x1.19a1142b00731p-16, 0x1.167aaee038e6bp-16, 0x1.135045636a152p-16, 0x1.10186ad8d3f56p-16, }}, 
      {{0x1.4f34c7cde7bb1p-1, 0x1.5123b3f2c2276p-1, 0x1.541312d3f9862p-1, 0x1.57c672d769b2dp-1, 0x1.5c119d9321357p-1, 0x1.60cdebbff0963p-1, 0x1.65d7dc0ee84eep-1, 0x1.6b1310276971cp-1, 0x1.7067e29988f31p-1, 0x1.75bfb2c3ff6f7p-1, 0x1.7b0c938313a16p-1, 0x1.803a3ca9fd022p-1, 0x1.85439491a8d26p-1, 0x1.8a19c3e0f260fp-1, 0x1.8eb61f740c2f6p-1, 0x1.9312cef667ebp-1, 0x1.972943db064bep-1, 0x1.9af64fcee51c6p-1, 0x1.9e78681ca71c1p-1, 0x1.a1ac5bbf5d274p-1, 0x1.a48fa45799fd8p-1, 0x1.a722aacd1bafep-1, 0x1.a9670839ace81p-1, 0x1.ab5d238e47c39p-1, 0x1.ad0450b73ca63p-1, 0x1.ae5c8f4af411bp-1, 0x1.af680777ea91ep-1, 0x1.b02a44c7490bp-1, 0x1.b0a49678da186p-1, 0x1.b0d93347e322ap-1, 0x1.b0ca1ed3ea289p-1, 0x1.b07965ed4bb45p-1, 0x1.afe9621d674fap-1, 0x1.af1cc74c58a1fp-1, 0x1.ae1677228f378p-1, 0x1.acd940f53be25p-1, 0x1.ab67b83de1052p-1, 0x1.a9c4327fe3668p-1, 0x1.a7f0e383d07dcp-1, 0x1.a5f001c16d8e7p-1, 0x1.a3c3debf4be34p-1, 0x1.a16eeb35e0efcp-1, 0x1.9ef3aa1d5cb3cp-1, 0x1.9c549a82ce90fp-1, 0x1.9994208dec2bdp-1, 0x1.96b47510acddcp-1, 0x1.93b79fdac3e46p-1, 0x1.909f7c72a7cdep-1, 0x1.8d6dc54ad531cp-1, 0x1.8a2420a9d1f06p-1, 0x1.86c42bb85586ep-1, 0x1.834f819e729e5p-1, 0x1.7fc7bec7ce70fp-1, 0x1.7c2e7faefe53p-1, 0x1.78856ca2a88a9p-1, 0x1.74ceb4b79bc11p-1, 0x1.710b040b2f466p-1, 0x1.6d3bb1884e4e9p-1, 0x1.696205b34b9bep-1, 0x1.657f37ffe2438p-1, 0x1.61946d4f9c2f2p-1, 0x1.5da2b7eb89f77p-1, 0x1.59ab189dcaffdp-1, 0x1.55ae8054cac58p-1, 0x1.51add1991d2eap-1, 0x1.4da9e2477e293p-1, 0x1.49a37c98267c5p-1, 0x1.459b60a0c5d07p-1, 0x1.419245b5ee327p-1, 0x1.3d88dbb44d9a1p-1, 0x1.397fcbe29d101p-1, 0x1.3577b93271d9ep-1, 0x1.31713fd3da32fp-1, 0x1.2d6cf448c2be7p-1, 0x1.296b624be6ed2p-1, 0x1.256d0bea27f06p-1, 0x1.21726916d683ap-1, 0x1.1d7be7dc0de26p-1, 0x1.1989ed1cf16adp-1, 0x1.159cd5bd12d33p-1, 0x1.11b4f7efe4a97p-1, 0x1.0dd2a473018c4p-1, 0x1.09f627886a8e1p-1, 0x1.061fc9920543ep-1, 0x1.024fcf5818842p-1, 0x1.fd0cf4021ff4ap-2, 0x1.f5880dba1e962p-2, 0x1.ee115e41ce6b3p-2, 0x1.e6a94f5c6eb33p-2, 0x1.df5041f9ef89fp-2, 0x1.d8068e63c69bbp-2, 0x1.d0cc84c623438p-2, 0x1.c9a26e054dd77p-2, 0x1.c2888cc68fc6dp-2, 0x1.bb7f1e7aeb463p-2, 0x1.b4865c5c79b37p-2, 0x1.ad9e7c2cb92f5p-2, 0x1.a6c7b0a14bcf4p-2, 0x1.a002299829523p-2, 0x1.994e13e096dd3p-2, 0x1.92ab98e6f5ea5p-2, 0x1.8c1ade3715ef4p-2, 0x1.859c04fb45776p-2, 0x1.7f2f298ddb23ap-2, 0x1.78d4632d488p-2, 0x1.728bc3e19925bp-2, 0x1.6c555890ac1c9p-2, 0x1.663129438204p-2, 0x1.601f3990ce27ep-2, 0x1.5a1f892a381edp-2, 0x1.54324cb679b5ep-2, 0x1.4e5694bdd0413p-2, 0x1.488d0ef498b44p-2, 0x1.42d5b7f297289p-2, 0x1.3d308a069db5fp-2, 0x1.379d7d7aa096p-2, 0x1.321c8833333c1p-2, 0x1.2cad9e3845441p-2, 0x1.2750b1a7461a1p-2, 0x1.2205b2dd48f28p-2, 0x1.1ccc9098332d2p-2, 0x1.17a5382423edcp-2, 0x1.128f957e1540ep-2, 0x1.0d8b9374a394bp-2, 0x1.08991bc3fc819p-2, 0x1.03b8172d389d8p-2, 0x1.fdd0db0a62649p-3, 0x1.f4540b870ae86p-3, 0x1.eaf98c10e490ap-3, 0x1.e1c127444c345p-3, 0x1.d8aaa628daee5p-3, 0x1.cfb5d006f0c85p-3, 0x1.c6e26ac410a0ap-3, 0x1.be303a9482097p-3, 0x1.b59f020a56ef4p-3, 0x1.ad2e825ed9babp-3, 0x1.a4de7b4269fcdp-3, 0x1.9caeaaff65439p-3, 0x1.949ece939d01bp-3, 0x1.8caea1c4839f6p-3, 0x1.84dddf373d43p-3, 0x1.7d2c40898b9f7p-3, 0x1.75997e6d0b7fp-3, 0x1.6e2550bb3b206p-3, 0x1.66cf6e8fda18p-3, 0x1.5f978e5a95251p-3, 0x1.587d65f4ddde5p-3, 0x1.5180aaaa71e2dp-3, 0x1.4aa1115e82f28p-3, 0x1.43de4e7892a03p-3, 0x1.3d3815dad1a78p-3, 0x1.36ae1b5c11424p-3, 0x1.3040123172e4p-3, 0x1.29edad815d1dap-3, 0x1.23b69fce5f35dp-3, 0x1.1d9a9c511f584p-3, 0x1.179954c5b30b4p-3, 0x1.11b27b941e9a2p-3, 0x1.0be5c2cd130aep-3, 0x1.0632dc6a817f1p-3, 0x1.00997a542367cp-3, 0x1.f6329ce6912e8p-4, 0x1.eb64155576c0bp-4, 0x1.e0c6c1e388264p-4, 0x1.d65a0667c21e7p-4, 0x1.cc1d47f01288p-4, 0x1.c20fea33b3066p-4, 0x1.b8315298ebbe8p-4, 0x1.ae80e6726d4cfp-4, 0x1.a4fe0b8cd9a3dp-4, 0x1.9ba8283d52113p-4, 0x1.927ea368da0ep-4, 0x1.8980e47df7371p-4, 0x1.80ae538fcd981p-4, 0x1.78065974bb0ep-4, 0x1.6f885f4076b58p-4, 0x1.6733cf60a390dp-4, 0x1.5f0814819a084p-4, 0x1.57049b1a091e5p-4, 0x1.4f28cce2227b2p-4, 0x1.477419f4f6adfp-4, 0x1.3fe5ef05a6a26p-4, 0x1.387dbb2004427p-4, 0x1.313aee0205573p-4, 0x1.2a1cf84be384ep-4, 0x1.23234b7ca35cp-4, 0x1.1c4d5a705e366p-4, 0x1.159a986ffbd73p-4, 0x1.0f0a798df53b3p-4, 0x1.089c7538e88aap-4, 0x1.0250003a6a31ap-4, 0x1.f849290db9dd8p-5, 0x1.ec334db245206p-5, 0x1.e05d6ae68a4fbp-5, 0x1.d4c67463e013ep-5, 0x1.c96d631f6aa87p-5, 0x1.be513289c13a9p-5, 0x1.b370e0777d918p-5, 0x1.a8cb6d494b98dp-5, 0x1.9e5fdbbabdd1p-5, 0x1.942d316843de8p-5, 0x1.8a32766ed0e2dp-5, 0x1.806eb4e731c57p-5, 0x1.76e0fa8167ad2p-5, 0x1.6d885711a0f8fp-5, 0x1.6463dc7a4215ap-5, 0x1.5b72a06387262p-5, 0x1.52b3ba2e66617p-5, 0x1.4a264445e7c2fp-5, 0x1.41c95b8832658p-5, 0x1.399c1f9a5ca5ep-5, 0x1.319db2693e46bp-5, 0x1.29cd39b7e9153p-5, 0x1.2229dba5db4dcp-5, 0x1.1ab2c31f536c9p-5, 0x1.13671ca4a4cc6p-5, 0x1.0c46179b2b6a2p-5, 0x1.054ee5c54a253p-5, 0x1.fd01774d3a6abp-6, 0x1.efb5a1326b9afp-6, 0x1.e2b8bccb83b38p-6, 0x1.d6094210f1666p-6, 0x1.c9904710e6079p-6, 0x1.bd73d6aac8443p-6, 0x1.b1a0595fee4ffp-6, 0x1.a6145fc99473ep-6, 0x1.9ace860f3852bp-6, 0x1.8fcd5269f1088p-6, 0x1.850f79f155c89p-6, 0x1.7a939acde1e0ep-6, 0x1.70585ec09f64cp-6, 0x1.665c76b4c1b3ap-6, 0x1.5c9e95c3bf93ap-6, 0x1.531d75bd294b6p-6, 0x1.49d7d5242302cp-6, 0x1.40cc77b989fb1p-6, 0x1.37fa251bbef9ap-6, 0x1.2f5fad576c124p-6, 0x1.26fbdbe5979c6p-6, 0x1.1ecd8e830acabp-6, 0x1.16d39da7c5f0ap-6, 0x1.0f0ceac62530fp-6, 0x1.07785ab917ed3p-6, 0x1.0014d0e32dd41p-6, 0x1.f1c29de080f95p-7, 0x1.e3b9696d6ccdap-7, 0x1.d60bfdd912179p-7, 0x1.c8b85afbda352p-7, 0x1.bbbc744f8f8cp-7, 0x1.af16684b285dp-7, 0x1.a2c439aaa592ep-7, 0x1.96c4065e1ce56p-7, 0x1.8b13f566bcc2cp-7, 0x1.7fb232c6e57ffp-7, 0x1.749cf3ca0fadbp-7, 0x1.69d2761843caap-7, 0x1.5f50ffae7602dp-7, 0x1.5516dec557009p-7, 0x1.4b226686d7f22p-7, 0x1.4171feef82822p-7, 0x1.380403700bfadp-7, 0x1.2ed6e93445e9p-7, 0x1.25e922ca8ffaep-7, 0x1.1d392f1e2fc4ep-7, 0x1.14c5938b10fdfp-7, 0x1.0c8cdce1c2823p-7, 0x1.048da60b50cp-7, 0x1.f98ceb0da78cbp-8, 0x1.ea6c0dccd168cp-8, 0x1.dbb5f075d1ec6p-8, 0x1.cd67f8f6c446ap-8, 0x1.bf7f972ba2d9cp-8, 0x1.b1fa50b82892p-8, 0x1.a4d598bcc7d91p-8, 0x1.980f226f4206cp-8, 0x1.8ba48372cf573p-8, 0x1.7f937547709d4p-8, 0x1.73d9b31a70eafp-8, 0x1.68750b843d554p-8, 0x1.5d6355f1879d9p-8, 0x1.52a273158a32bp-8, 0x1.483067f56881cp-8, 0x1.3e0aefd619348p-8, 0x1.3430543595523p-8, 0x1.2a9e8b96d1a59p-8, 0x1.2153b8830359dp-8, 0x1.184dfda617749p-8, 0x1.0f8b8fa958676p-8, 0x1.070aaa02202ecp-8, 0x1.fd9326984ad58p-9, 0x1.ed8d367f4760cp-9, 0x1.de001d77d72d8p-9, 0x1.cee8f5d8d7344p-9, 0x1.c044479106fe1p-9, 0x1.b20f199368056p-9, 0x1.a4466cc1ce86ep-9, 0x1.96e751001f746p-9, 0x1.89eee85d979bdp-9, 0x1.7d5a65f869d71p-9, 0x1.71270da5fbb6bp-9, 0x1.655233a21518bp-9, 0x1.59d93d0f1b75bp-9, 0x1.4eb973cb4db7bp-9, 0x1.43f0d3eb5ef3fp-9, 0x1.397c7af7bbec2p-9, 0x1.2f5a2fd114494p-9, 0x1.2587a31e9b1c7p-9, 0x1.1c029371d62edp-9, 0x1.12c8cd597f7e1p-9, 0x1.09d82b25e689bp-9, 0x1.012e94beb4deap-9, 0x1.f193c1057c5c6p-10, 0x1.e150db98c3268p-10, 0x1.d18fd138c133cp-10, 0x1.c24d30a48fe8cp-10, 0x1.b38534c4f0a5p-10, 0x1.a5344ae7e1d1ep-10, 0x1.9756f2afc25a5p-10, 0x1.89e9c2dbdbbap-10, 0x1.7ce9692244f12p-10, 0x1.70521a8417304p-10, 0x1.6422235a6e80cp-10, 0x1.58556b355a129p-10, 0x1.4ce8ee59e1264p-10, 0x1.41d9e817d2f9ap-10, 0x1.372593f6986afp-10, 0x1.2cc929885644p-10, 0x1.22c2001f09a32p-10, 0x1.190d335082e41p-10, 0x1.0fa91d883dc9ap-10, 0x1.06926716e8abcp-10, 0x1.fb8df328df6d7p-11, 0x1.ea8901d5b6c71p-11, 0x1.da11740687b93p-11, 0x1.ca22ffe1608b9p-11, 0x1.bab96023e4bd7p-11, 0x1.abcff8e9775fdp-11, 0x1.9d635a114001cp-11, 0x1.8f6f82a7fa9bep-11, 0x1.81f079c0bbba3p-11, 0x1.74e29e9f22bc6p-11, 0x1.68425aca7e5f6p-11, 0x1.5c0c34d3d8cdep-11, 0x1.503cc9e7ca71bp-11, 0x1.44d0c5c384fbcp-11, 0x1.39c518c051f14p-11, 0x1.2f168268e3dbep-11, 0x1.24c2164d2e23dp-11, 0x1.1ac4e52974108p-11, 0x1.111c1a5f9a522p-11, 0x1.07c4bb52746aap-11, 0x1.fd795834a3f66p-12, 0x1.ec01b8f27b79dp-12, 0x1.db1e09d525583p-12, 0x1.cac90ac6d1db3p-12, 0x1.bafe2bf72a8ddp-12, 0x1.abb8d2b0d8823p-12, 0x1.9cf48e0db6b9fp-12, 0x1.8ead1065675b2p-12, 0x1.80de29ccb8774p-12, 0x1.7383cc092f38dp-12, 0x1.669a095e22244p-12, 0x1.5a1d16befdfdep-12, 0x1.4e08a79293e8dp-12, 0x1.425addc5d5f3cp-12, 0x1.370e7bff1c855p-12, 0x1.2c210306ca131p-12, 0x1.218f2780fc08p-12, 0x1.175582b1a8158p-12, 0x1.0d712c1997f02p-12, 0x1.03df37c277a19p-12, 0x1.f5398fb3958cdp-13, 0x1.e34e50104e4f5p-13, 0x1.d1f74f90bc553p-13, 0x1.c12f741591694p-13, 0x1.b0f01ec727816p-13, 0x1.a139689bca11p-13, 0x1.9201a835eac53p-13, 0x1.8345a8d62f74cp-13, 0x1.750305484eaecp-13, 0x1.6733705ece079p-13, 0x1.59d39cfcce0b7p-13, 0x1.4cdeebefdcb97p-13, 0x1.405371baebad8p-13, 0x1.342b830162a43p-13, 0x1.2867831ae683ep-13, 0x1.1cfc3f3e892f7p-13, 0x1.11eda47ed9075p-13, 0x1.073312c390fd1p-13, 0x1.f9a5b1462944p-14, 0x1.e581c1e4a0e84p-14, 0x1.d1faa6623af9ep-14, 0x1.bf0b0a57f5ddfp-14, 0x1.acadb801ea649p-14, 0x1.9adda2a52bfbdp-14, 0x1.8996e88577ea9p-14, 0x1.78d20aa0ecdc6p-14, 0x1.688dabd677091p-14, 0x1.58c41d18743a6p-14, 0x1.49716124e57ddp-14, 0x1.3a91740b01109p-14, 0x1.2c208d930b477p-14, 0x1.1e1adbbf6f2b4p-14, 0x1.107cd292c735ep-14, 0x1.0343adf15f0d6p-14, 0x1.ecec6d4892d38p-15, 0x1.d3e867eb4c3a8p-15, 0x1.bb9f33c765af9p-15, 0x1.a40b02411fb3bp-15, 0x1.8d2a13f3ebd2bp-15, 0x1.76e8e338937f6p-15, 0x1.614733f20917bp-15, 0x1.4c402e7dd3eb6p-15, 0x1.37ce8e05b814p-15, 0x1.23eea1f83f2cdp-15, 0x1.109b3ce534e16p-15, 0x1.fba0b9c237333p-16, 0x1.d713dc32babd1p-16, 0x1.b3880f7acbaccp-16, 0x1.90f5caab95808p-16, 0x1.6f55abcadc6abp-16, 0x1.4ea0b1e0abd87p-16, 0x1.2ed3f1f3a2be4p-16, 0x1.0fc765c555eeap-16, 0x1.e38a1b8e29c78p-17, 0x1.a8ff87479cbdep-17, 0x1.700b80aaa98b7p-17, 0x1.38a49391b16c7p-17, 0x1.02c4178a63e72p-17, 0x1.9cb8cf1bae651p-18, 0x1.36c99d451dc39p-18, 0x1.a74dd73708174p-19, 0x1.cd990bc801d5p-20, 0x1.590db5778410fp-22, -0x1.162154cc25c77p-20, -0x1.3c2e509559352p-19, -0x1.e852b569c0612p-19, -0x1.47cd3b116c47ap-18, -0x1.99104b4bac431p-18, -0x1.e80b17bb6907bp-18, -0x1.1a32c8d2d2c35p-17, -0x1.3f95878117494p-17, -0x1.63b315f4c9247p-17, -0x1.86d23c7cdec89p-17, -0x1.a8c664a80d519p-17, -0x1.c9c5c10bde9dp-17, -0x1.e9b6dc4ca6559p-17, -0x1.045bdce55fd84p-16, -0x1.136130c296ac6p-16, -0x1.21ed64fc834c2p-16, -0x1.2fcb2b2f0c9fap-16, -0x1.3da35f7df4f9ap-16, -0x1.4acd34ca876ccp-16, -0x1.5788f44b77229p-16, -0x1.63e0f3a776544p-16, -0x1.6fb6a9a57e68cp-16, -0x1.7b2c05102ec8ap-16, -0x1.863c0d9bddb2cp-16, -0x1.90dcbc580c0b9p-16, -0x1.9b1c47fc4a8aap-16, -0x1.a4f6b58d503b4p-16, -0x1.ae64499787bb3p-16, -0x1.b785a723e2126p-16, -0x1.c03ddd934125fp-16, -0x1.c8976a9ba2361p-16, -0x1.d094b7b25eb89p-16, -0x1.d836fac6958f6p-16, -0x1.df7f92cdafe61p-16, -0x1.e66fdc1dccc04p-16, -0x1.ed092d16faa28p-16, -0x1.f34cd696515d3p-16, -0x1.f93c347bae655p-16, -0x1.fee1d8e4ef8bap-16, -0x1.0211a7f9c300ap-15, -0x1.049ba655453e1p-15, -0x1.06e334ee025e8p-15, -0x1.09115a11a6756p-15, -0x1.0b18d4241ba32p-15, -0x1.0cfa7475cf16dp-15, -0x1.0eb7a68c52e65p-15, -0x1.105ba00bd2b46p-15, -0x1.11c2883c3dc57p-15, -0x1.130a987e83d35p-15, -0x1.143cafea46fcbp-15, -0x1.154625ad2c246p-15, -0x1.162d36eb5a195p-15, -0x1.16f5ca70e8ed7p-15, -0x1.1798a04bc119fp-15, -0x1.181d89fedf1bap-15, -0x1.188dbd3d1c8dbp-15, -0x1.18c76c3aee078p-15, -0x1.18edb39c22ed4p-15, -0x1.18f5a6bd3cad1p-15, -0x1.18dfbec6bf533p-15, -0x1.18ac7fe4ebb92p-15, -0x1.185c6ef4b030dp-15, -0x1.17f0113cf0c4cp-15, -0x1.1767ec7c24a52p-15, -0x1.16c482306dcc7p-15, -0x1.1606d81fa3ea3p-15, -0x1.152dfdf55370dp-15, -0x1.143bf4a2153d6p-15, -0x1.13308eafed0b4p-15, -0x1.120c3b6354873p-15, -0x1.10cd62fa413fcp-15, -0x1.0f7a001f2a197p-15, -0x1.0e0c39dbf53d7p-15, -0x1.0c873d449c6a6p-15, -0x1.0aebb24b21a68p-15, -0x1.093b2feef3209p-15, -0x1.0751dff8df5d8p-15, -0x1.059aa3c724501p-15, -0x1.03a782fc23ecbp-15, -0x1.01a1ad9d9b6b7p-15, -0x1.ff112b67b1605p-16, -0x1.fab7b1fb257e9p-16, -0x1.f63a1d87733d9p-16, -0x1.f19973cc6060fp-16, -0x1.ecd50599883fcp-16, -0x1.e7edeafce6ecfp-16, -0x1.e2e5e3fa2b2e6p-16, -0x1.ddbd2c6fe242bp-16, -0x1.d8748c144184dp-16, -0x1.d30ce2f6cc8a5p-16, -0x1.cd93280f07db3p-16, -0x1.c7e4ac1190117p-16, -0x1.c222b3732dd9ap-16, -0x1.bc4bf61694e26p-16, -0x1.b648fceab7751p-16, -0x1.b043b0d7f9b6fp-16, -0x1.aa1d9e385d27bp-16, -0x1.a3da2730b09fep-16, -0x1.9d825e9e80d5bp-16, -0x1.971431ae74c29p-16, -0x1.909080f5e5eep-16, -0x1.89f84a5727b9cp-16, -0x1.8343c06c4f7e8p-16, -0x1.7c8ca84bacb17p-16, -0x1.75bb3bf335fc3p-16, -0x1.6ed8cec1f8461p-16, -0x1.67d4d7f353934p-16, -0x1.60e18789deefcp-16, -0x1.59cf4732a9a68p-16, -0x1.52aebe50792f1p-16, -0x1.4b80c13daa6b2p-16, -0x1.444614a972eefp-16, -0x1.3cff82f63dafp-16, -0x1.35ae1c9a1a964p-16, -0x1.2e3de8b10fb5ap-16, -0x1.2719ed67abd3fp-16, -0x1.1f7dde593056fp-16, -0x1.180528dc3dc5fp-16, -0x1.10861f070b7c1p-16, -0x1.090057d968bd8p-16, -0x1.0174689ded7b7p-16, -0x1.f3c5f7695bcdp-17, -0x1.e4997b6990bcep-17, -0x1.d564c69d6b52dp-17, -0x1.c625f1abe2484p-17, -0x1.b6e34ffa6e388p-17, -0x1.a7a17e76ecfcbp-17, -0x1.9858703fb94c4p-17, -0x1.890d36e1d317fp-17, -0x1.79c17688922e5p-17, -0x1.6a7654e41190cp-17, -0x1.5b2cb4bfd1425p-17, -0x1.4be5c78595e88p-17, -0x1.3ca4c88b746dcp-17, -0x1.2d7687217ef6bp-17, -0x1.1e2eba3041192p-17, -0x1.0f02eb7ea55f2p-17, -0x1.0034a156328efp-17, -0x1.e18ece8233a8cp-18, -0x1.c356038957879p-18, -0x1.a5cd53e89ae6ap-18, -0x1.874e04b494018p-18, -0x1.696abf232a586p-18, -0x1.4bab8d663d0b1p-18, -0x1.2e0e77c0ef666p-18, -0x1.108c68c98a30bp-18, -0x1.e65e2a63df218p-19, -0x1.abed695de28fdp-19, -0x1.71c8efb26261dp-19, -0x1.37f4031dcb933p-19, -0x1.fce4249cca0a8p-20, -0x1.8a8d9cc6c4b9bp-20, -0x1.190fb9a812358p-20, -0x1.50011d8809dd1p-21, -0x1.bde8200f59b0ep-23, 0x1.c262cdcee12b7p-23, 0x1.4c744de8bd7c9p-21, 0x1.141170f9c265p-20, 0x1.8003fd9f47569p-20, 0x1.ed0d87509f536p-20, 0x1.2c32916f77b2bp-19, 0x1.615e70080e135p-19, 0x1.9615e37ed5d3cp-19, 0x1.ca539d91e9c43p-19, 0x1.fe33a2cbdb7a6p-19, 0x1.18cb0327da8c1p-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.cee0cedebdf76p-7, 0x1.ce9e2d575a356p-6, 0x1.5aa39660e5001p-5, 0x1.cd951493bce78p-5, 0x1.2001ca16e80fcp-4, 0x1.58e7ef2b115abp-4, 0x1.916dd05000fe2p-4, 0x1.c984c2a1fad4ep-4, 0x1.008f518d4dc08p-3, 0x1.1c16eef397ddep-3, 0x1.3752b9ee3d76p-3, 0x1.523c7f27de111p-3, 0x1.6cce58c97a12ep-3, 0x1.8702af251501bp-3, 0x1.a0d438e3febdfp-3, 0x1.ba3dfacc89d0cp-3, 0x1.d33b473029d9ap-3, 0x1.ebc7bd1066b48p-3, 0x1.01efa38381e83p-2, 0x1.0dbf0cfde6ddfp-2, 0x1.195059d87c3d9p-2, 0x1.24a1ec96d3bccp-2, 0x1.2fb24a8689f09p-2, 0x1.3a801adbe3f4cp-2, 0x1.450a25c5d59d6p-2, 0x1.4f4f537b69f7bp-2, 0x1.594eab444d638p-2, 0x1.6307527de8f17p-2, 0x1.6c788b9e5a32bp-2, 0x1.75a1b5365c8e2p-2, 0x1.7e8248f3166f7p-2, 0x1.8719daa099e71p-2, 0x1.8f68172dd1728p-2, 0x1.976cc3b272dc1p-2, 0x1.9f27bc7785cfp-2, 0x1.a698f402f009dp-2, 0x1.adc07226727e5p-2, 0x1.b49e53126d226p-2, 0x1.bb32c66cb749ep-2, 0x1.c17e0e6bce827p-2, 0x1.c7807ef69198ep-2, 0x1.cd3a7cc8b97b3p-2, 0x1.d2ac7c9c3081fp-2, 0x1.d7d7025770286p-2, 0x1.dcbaa040f1f28p-2, 0x1.e157f637d0f9dp-2, 0x1.e5afb0f1a2b97p-2, 0x1.e9c2893d9136dp-2, 0x1.ed91434cb849ap-2, 0x1.f11cadffc6e3fp-2, 0x1.f465a239e2986p-2, 0x1.f76d0238c10dfp-2, 0x1.fa33b8f1f1387p-2, 0x1.fcbab97544f24p-2, 0x1.ff02fe544ff72p-2, 0x1.0086c487735a2p-1, 0x1.016db0c24653cp-1, 0x1.0236cab55fb1ep-1, 0x1.02e29be4041fp-1, 0x1.0371b039dd57dp-1, 0x1.03e495cd283dp-1, 0x1.043bdca3217fbp-1, 0x1.04781676a8559p-1, 0x1.0499d68108e8bp-1, 0x1.04a1b144e2a4p-1, 0x1.04903c5b1d626p-1, 0x1.04660e41e281ap-1, 0x1.0423be2d8ca8p-1, 0x1.03c9e3db7f809p-1, 0x1.03591766e02bbp-1, 0x1.02d1f11f1c24dp-1, 0x1.023509603873bp-1, 0x1.0182f86cd91c6p-1, 0x1.00bc5649f6078p-1, 0x1.ffc3753866192p-2, 0x1.fde7790d9eee3p-2, 0x1.fbe5e51840199p-2, 0x1.f9bfe4df17c59p-2, 0x1.f776a231fc4ep-2, 0x1.f50b44f38905dp-2, 0x1.f27ef2e59f119p-2, 0x1.efd2cf789298ep-2, 0x1.ed07fb9cf78c4p-2, 0x1.ea1f9597f32c1p-2, 0x1.e71ab8da06e0fp-2, 0x1.e3fa7dd83991cp-2, 0x1.e0bff9e7971c7p-2, 0x1.dd6c3f1aecdedp-2, 0x1.da005c22b37bap-2, 0x1.d67d5c2f198a1p-2, 0x1.d2e446d417004p-2, 0x1.cf361fef832fbp-2, 0x1.cb73e79110bdcp-2, 0x1.c79e99e42e46ap-2, 0x1.c3b72f1baea2ep-2, 0x1.bfbe9b5f370e8p-2, 0x1.bbb5ceba59ae4p-2, 0x1.b79db50d53a7fp-2, 0x1.b37735ff63cefp-2, 0x1.af4334f2a0d2ep-2, 0x1.ab0290f95124p-2, 0x1.a6b624ccaa299p-2, 0x1.a25ec6c4f0a1cp-2, 0x1.9dfd48d2eac6fp-2, 0x1.9992787a9c4f7p-2, 0x1.951f1ecf387d1p-2, 0x1.90a4007045d6bp-2, 0x1.8c21dd87e2d5cp-2, 0x1.879971ca232bdp-2, 0x1.830b747577fe4p-2, 0x1.7e7898541c7fep-2, 0x1.79e18bbe73fd3p-2, 0x1.7546f89e572b1p-2, 0x1.70a984734545dp-2, 0x1.6c09d05766194p-2, 0x1.676879056156bp-2, 0x1.62c616def53b6p-2, 0x1.5e233df449e45p-2, 0x1.59807e0bf41d7p-2, 0x1.54de62aba5089p-2, 0x1.503d73217494p-2, 0x1.4b9e328dc6506p-2, 0x1.47011fedbb73dp-2, 0x1.4266b6262e15p-2, 0x1.3dcf6c0f271b4p-2, 0x1.393bb47fcd90ep-2, 0x1.34abfe5ac6fddp-2, 0x1.3020b49afce94p-2, 0x1.2b9a3e60c3fefp-2, 0x1.2718feff5f1f4p-2, 0x1.229d560ad2eb7p-2, 0x1.1e279f66095d8p-2, 0x1.19b833513757ep-2, 0x1.154f667887429p-2, 0x1.10ed8a02fb82ap-2, 0x1.0c92eba18467p-2, 0x1.083fd59e46056p-2, 0x1.03f48eec09a1bp-2, 0x1.ff62b66b9f42dp-3, 0x1.f6ecf5dd06b73p-3, 0x1.ee8856c18e349p-3, 0x1.e6354d7dafb65p-3, 0x1.ddf4486502ac5p-3, 0x1.d5c5afda3bc83p-3, 0x1.cda9e66f3d811p-3, 0x1.c5a14905378aep-3, 0x1.bdac2eecc0262p-3, 0x1.b5caea05e746bp-3, 0x1.adfdc6e046366p-3, 0x1.a6450cdaedca9p-3, 0x1.9ea0fe444302p-3, 0x1.9711d879b7929p-3, 0x1.8f97d4075ca3ep-3, 0x1.883324c746ebdp-3, 0x1.80e3fa00c34b3p-3, 0x1.79aa7e8754e0ep-3, 0x1.7286d8d972e73p-3, 0x1.6b792b3f0e46p-3, 0x1.648193e7ca9d5p-3, 0x1.5da02d08ef301p-3, 0x1.56d50cfb14136p-3, 0x1.5020465773023p-3, 0x1.4981e814ebaa7p-3, 0x1.42f9fda4af226p-3, 0x1.3c888f0e960c6p-3, 0x1.362da10d0e0d5p-3, 0x1.2fe93528b8fbp-3, 0x1.29bb49d39b726p-3, 0x1.23a3da83f297dp-3, 0x1.1da2dfce9a207p-3, 0x1.17b84f811984fp-3, 0x1.11e41cbb360fp-3, 0x1.0c2638082a4dp-3, 0x1.067e8f7766c7p-3, 0x1.00ed0eb4eae7bp-3, 0x1.f6e33e42652bap-4, 0x1.ec184fd154d62p-4, 0x1.e1791c35848e9p-4, 0x1.d70569810436fp-4, 0x1.ccbcf9e57319dp-4, 0x1.c29f8bdf6e2d4p-4, 0x1.b8acda61226edp-4, 0x1.aee49cfbf8ca5p-4, 0x1.a546880967dc1p-4, 0x1.9bd24cd2d4afap-4, 0x1.928799b8a090cp-4, 0x1.89661a584a3e6p-4, 0x1.806d77b1b607bp-4, 0x1.779d584b91bd4p-4, 0x1.6ef56056dbacfp-4, 0x1.667531d18b408p-4, 0x1.5e1c6ca85ef04p-4, 0x1.55eaaed7cf5dp-4, 0x1.4ddf948c28f95p-4, 0x1.45fab840cf9acp-4, 0x1.3e3bb2deacd22p-4, 0x1.36a21bd9cb84p-4, 0x1.2f2d894e21735p-4, 0x1.27dd901b8c339p-4, 0x1.20b1c40100a0bp-4, 0x1.19a9b7b6efdacp-4, 0x1.12c4fd08e6852p-4, 0x1.0c0324ee65eedp-4, 0x1.0563bfa2fbb7dp-4, 0x1.fdccb97b325adp-5, 0x1.f115168e5d896p-5, 0x1.e49fb3a119daap-5, 0x1.d86bad0f1cecbp-5, 0x1.cc781e971b7f9p-5, 0x1.c0c4238253a66p-5, 0x1.b54ed6cab6c67p-5, 0x1.aa17533fc11dp-5, 0x1.9f1cb3a9fcaf9p-5, 0x1.945e12ed3b9c9p-5, 0x1.89da8c298c9dep-5, 0x1.7f913adaf33bfp-5, 0x1.75813af7e4c15p-5, 0x1.6ba9a90e93c6ap-5, 0x1.6209a26111087p-5, 0x1.58a0450046183p-5, 0x1.4f6cafe5cdc8p-5, 0x1.466e030cb5edbp-5, 0x1.3da35f892be4bp-5, 0x1.350be79f1d4f5p-5, 0x1.2ca6bed7cf33cp-5, 0x1.24730a167602ep-5, 0x1.1c6fefabcff0ep-5, 0x1.149c9768cea4fp-5, 0x1.0cf82ab04a9eap-5, 0x1.0581d487d45e6p-5, 0x1.fc71834f39465p-6, 0x1.ee3841130235p-6, 0x1.e05642ee8379dp-6, 0x1.d2c9ed2fc34d2p-6, 0x1.c591a7f87b417p-6, 0x1.b8abdf55b0b77p-6, 0x1.ac170355d1543p-6, 0x1.9fd1881d50a8dp-6, 0x1.93d9e5f9db74ap-6, 0x1.882e9974256d5p-6, 0x1.7cce236061bep-6, 0x1.71b708ed68587p-6, 0x1.66e7d3b29a64dp-6, 0x1.5c5f11bc8a087p-6, 0x1.521b559873972p-6, 0x1.481b365e8e832p-6, 0x1.3e5d4fbb3e7fp-6, 0x1.34e041f7371bbp-6, 0x1.2ba2b1fe8f135p-6, 0x1.22a34966cfea7p-6, 0x1.19e0b674159ccp-6, 0x1.1159ac1d31a98p-6, 0x1.090ce20ef1df6p-6, 0x1.00f914ae7fa47p-6, 0x1.f23a0a35d5767p-7, 0x1.e2eef25bce82ep-7, 0x1.d40e76f7820acp-7, 0x1.c59636a51ee88p-7, 0x1.b783d971668e3p-7, 0x1.a9d510d5471efp-7, 0x1.9c8797b01cba7p-7, 0x1.8f993240b34e4p-7, 0x1.8307ae1d1430bp-7, 0x1.76d0e22920ec9p-7, 0x1.6af2ae8c18cc6p-7, 0x1.5f6afca50d5d7p-7, 0x1.5437befe53fe6p-7, 0x1.4956f13ffce9ep-7, 0x1.3ec6982167cfbp-7, 0x1.3484c159f10dcp-7, 0x1.2a8f8390cd369p-7, 0x1.20e4fe4c1e033p-7, 0x1.178359df46bd8p-7, 0x1.0e68c7588d822p-7, 0x1.0593806e12a32p-7, 0x1.fa038ed452959p-8, 0x1.e963ce2e303dcp-8, 0x1.d94465549cd73p-8, 0x1.c9a20b5e2a068p-8, 0x1.ba7987e18762p-8, 0x1.abc7b2c90957cp-8, 0x1.9d8974255a706p-8, 0x1.8fbbc3ff6789bp-8, 0x1.825baa2998c43p-8, 0x1.75663e10621e7p-8, 0x1.68d8a68a3ce94p-8, 0x1.5cb019a718b87p-8, 0x1.50e9dc7f4ec92p-8, 0x1.4583430227125p-8, 0x1.3a79afc3fba8ap-8, 0x1.2fca93cc04991p-8, 0x1.25736e61db23ep-8, 0x1.1b71ccdabc833p-8, 0x1.11c34a669b26dp-8, 0x1.08658fdd03775p-8, 0x1.feaca713c8568p-9, 0x1.ed26b1f4802f2p-9, 0x1.dc34e191a73b4p-9, 0x1.cbd2f0d571f25p-9, 0x1.bbfcb3f81f4cfp-9, 0x1.acae181968389p-9, 0x1.9de322da18b39p-9, 0x1.8f97f1f5e6d5fp-9, 0x1.81c8badd8fa84p-9, 0x1.7471ca5150dd9p-9, 0x1.678f83fbc3616p-9, 0x1.5b1e620d2d3dcp-9, 0x1.4f1af4d74ada1p-9, 0x1.4381e269a8572p-9, 0x1.384fe62e8dd94p-9, 0x1.2d81d08888529p-9, 0x1.23148670a1613p-9, 0x1.1905011542502p-9, 0x1.0f504d79da703p-9, 0x1.05f38c1743284p-9, 0x1.f9d7e0f9e9befp-10, 0x1.e86d81e61745p-10, 0x1.d7a2ac3a4eab1p-10, 0x1.c772353c5fc9ep-10, 0x1.b7d71579f6685p-10, 0x1.a8cc6813cd9cbp-10, 0x1.9a4d6a0ab8ae8p-10, 0x1.8c55798ea8dfdp-10, 0x1.7ee0154fa3bcfp-10, 0x1.71e8dbd0bad45p-10, 0x1.656b8abd0efa3p-10, 0x1.5963fe3edcd6bp-10, 0x1.4dce3058aa636p-10, 0x1.42a6384081142p-10, 0x1.37e849bd5af39p-10, 0x1.2d90b486a44bcp-10, 0x1.239be3a5f7044p-10, 0x1.1a065cdaf80f6p-10, 0x1.10ccc00168eb1p-10, 0x1.07ebc67971b5ep-10, 0x1.fec08524312d3p-11, 0x1.ee4e3debee775p-11, 0x1.de7abc3442c93p-11, 0x1.cf40335e93edap-11, 0x1.c099042a3db4p-11, 0x1.b27fbb9fbc2adp-11, 0x1.a4ef120047772p-11, 0x1.97e1e9b9df069p-11, 0x1.8b534e5fc0f67p-11, 0x1.7f3e73a74e5c2p-11, 0x1.739eb469524cbp-11, 0x1.686f91a7ae913p-11, 0x1.5dacb19763ac1p-11, 0x1.5351deaef0cfp-11, 0x1.495b06b90826ap-11, 0x1.3fc439eb8b8ccp-11, 0x1.3689aa02d047dp-11, 0x1.2da7a9612061fp-11, 0x1.251aaa326faf4p-11, 0x1.1cdf3d943fc8fp-11, 0x1.14f212c1a9c16p-11, 0x1.0d4ff64381694p-11, 0x1.05f5d1248e89bp-11, 0x1.fdc1505397be1p-12, 0x1.f01b361d52afbp-12, 0x1.e2f3c78a8013fp-12, 0x1.d645ab74e6b5ep-12, 0x1.ca0bba3be4274p-12, 0x1.be40fc5c166c4p-12, 0x1.b2e0a90ea01bp-12, 0x1.a7e624efe683fp-12, 0x1.9d4d00adb60fbp-12, 0x1.9310f7bcbd11ap-12, 0x1.892def1537abfp-12, 0x1.7f9ff3f6c3516p-12, 0x1.76633ab337365p-12, 0x1.6d741d806f3acp-12, 0x1.64cf1b50efa17p-12, 0x1.5c70d6b3485b5p-12, 0x1.545614b821635p-12, 0x1.4c7bbbded2e47p-12, 0x1.44ded308763fp-12, 0x1.3d7c807154e91p-12, 0x1.365208b096fbdp-12, 0x1.2f5ccdbe2051cp-12, 0x1.289a4dfe81309p-12, 0x1.22082354dd371p-12, 0x1.1ba4023ab3d9ap-12, 0x1.156bb8dd6fd9ap-12, 0x1.0f5d2e41a81aap-12, 0x1.0976616bf0f3fp-12, 0x1.03b5688f307d8p-12, 0x1.fc30e080a4845p-13, 0x1.f13b755e99ab5p-13, 0x1.e6873dcaa6f38p-13, 0x1.dc111010576d7p-13, 0x1.d1d5e944ff728p-13, 0x1.c7d2ebe23fe59p-13, 0x1.be055e6a2c863p-13, 0x1.b46aaa14f14e8p-13, 0x1.ab005987b51cp-13, 0x1.a1c41794a8852p-13, 0x1.98b3ae03f0b24p-13, 0x1.8fcd04655fd0dp-13, 0x1.870e1eeab4de6p-13, 0x1.7e751d4a4a7adp-13, 0x1.760039a9f94dfp-13, 0x1.6dadc792082cdp-13, 0x1.657c32e8042a5p-13, 0x1.5d69fef147d32p-13, 0x1.5575c55d1777ap-13, 0x1.4d9e35561aaa1p-13, 0x1.45e2129b161f8p-13, 0x1.3e40349ead341p-13, 0x1.36b785ae19f52p-13, 0x1.2f47021e96575p-13, 0x1.27edb7816e7c9p-13, 0x1.20aac3de7962ap-13, 0x1.197d54f4e8aafp-13, 0x1.1264a78239701p-13, 0x1.0b60068f2c0ap-13, 0x1.046ecac29137cp-13, 0x1.fb20b373be542p-14, 0x1.ed884ace9ec84p-14, 0x1.e01356eaea74ap-14, 0x1.d2c0e960539d9p-14, 0x1.c59028e5466dap-14, 0x1.b88050352e82bp-14, 0x1.ab90ad00a31ccp-14, 0x1.9ec09ee72965ap-14, 0x1.920f967a4f37p-14, 0x1.857d1449ebbfdp-14, 0x1.7908a7f9394bp-14, 0x1.6cb1ef5c983c6p-14, 0x1.6078959fba69bp-14, 0x1.545c52740121ap-14, 0x1.485ce946d0cep-14, 0x1.3c7a287fa6dafp-14, 0x1.30b3e8c5b7843p-14, 0x1.250a0c4ce22d8p-14, 0x1.197c7e29c32a7p-14, 0x1.0e0b31acb47b9p-14, 0x1.02b621c386612p-14, 0x1.eefaa0c384bdp-15, 0x1.d8c18bde893adp-15, 0x1.c2c1217a01484p-15, 0x1.acf988ff7c0d6p-15, 0x1.976af3a148015p-15, 0x1.82159b66c8755p-15, 0x1.6cf9c243b698cp-15, 0x1.5817b139f77eep-15, 0x1.436fb785b21eap-15, 0x1.2f0229d35779ep-15, 0x1.1acf617f472d6p-15, 0x1.06d7bbdeca82dp-15, 0x1.e637332427c14p-16, 0x1.bf36bbbdf2e75p-16, 0x1.98aedc2843df4p-16, 0x1.72a061e8c2ee3p-16, 0x1.4d0c1c53f0f97p-16, 0x1.27f2db82eebb4p-16, 0x1.03556f58081c3p-16, 0x1.be694d22f7003p-17, 0x1.77229bd412079p-17, 0x1.30d85e8d9037bp-17, 0x1.d71843c724e9fp-18, 0x1.4e7ed3846c4afp-18, 0x1.8fcec04d9e4aep-19, 0x1.0d531bdd89eabp-20, -0x1.f9b19d2db4f1cp-21, -0x1.7f6dccc1b5bebp-19, -0x1.3e2ac505804c7p-18, -0x1.ba8f62595c6aep-18, -0x1.1a7138eacf92cp-17, -0x1.5690e49de0fa6p-17, -0x1.91a5b103ad4e9p-17, -0x1.cbaead5f1ee49p-17, -0x1.02557e0822e99p-16, -0x1.1e4ce98e6b58bp-16, -0x1.39bd3e54f0dddp-16, -0x1.54a62bb3a75eap-16, -0x1.6f076b76ea62dp-16, -0x1.88e0c207ef08dp-16, -0x1.a231fe8f03fd7p-16, -0x1.bafafb0fe614fp-16, -0x1.d33b9c8061008p-16, -0x1.eaf3d2d991e0cp-16, -0x1.0111cc91fe5a3p-15, -0x1.0c657abf5e592p-15, -0x1.1774fc9104f5dp-15, -0x1.2240602ea6ef1p-15, -0x1.2cc7b94882194p-15, -0x1.370b21124d0d7p-15, -0x1.410ab63c41e61p-15, -0x1.4ac69cea60db3p-15, -0x1.543efea9fdd7fp-15, -0x1.5d740a65b8602p-15, -0x1.6665f457ee5ap-15, -0x1.6f14f5fbc7a2ap-15, -0x1.77814dfcea479p-15, -0x1.7fab4025eed15p-15, -0x1.8793154dab505p-15, -0x1.8f391b43644fdp-15, -0x1.969da4b9fd9dbp-15, -0x1.9dc1093232d5cp-15, -0x1.a4a3a4e3f5975p-15, -0x1.ab45d8a6fac34p-15, -0x1.b1a809da85e42p-15, -0x1.b7caa24c8ae44p-15, -0x1.bdae10202c32p-15, -0x1.c352c5b3aa936p-15, -0x1.c8b93985d0cp-15, -0x1.cde1e61ae92abp-15, -0x1.d2cd49e14e30ep-15, -0x1.d77be7159b893p-15, -0x1.dbee43a691de9p-15, -0x1.e024e918b59bbp-15, -0x1.e4206469b46cdp-15, -0x1.e7e145f39c474p-15, -0x1.eb68214fed555p-15, -0x1.eeb58d3a9194ap-15, -0x1.f1ca2374c2cd7p-15, -0x1.f4a680a7e6cf6p-15, -0x1.f74b44486bae4p-15, -0x1.f9b91078aca48p-15, -0x1.fbf089ebe335bp-15, -0x1.fdf257c930d07p-15, -0x1.ffbf238ec710fp-15, -0x1.00abcc7a97dbcp-14, -0x1.015e32e9615e8p-14, -0x1.01f71cffa543p-14, -0x1.0276e39beeb37p-14, -0x1.02dde081794e3p-14, -0x1.032c6e4a5b845p-14, -0x1.0362e859d303dp-14, -0x1.0381aaceb5b47p-14, -0x1.0389127609128p-14, -0x1.03797cbdc29d1p-14, -0x1.035347a7b1565p-14, -0x1.0316d1bc944d4p-14, -0x1.02c479ff5e30dp-14, -0x1.025c9fe0a8435p-14, -0x1.01dfa33255678p-14, -0x1.014de41b66b7ap-14, -0x1.00a7c30c03174p-14, -0x1.ffdb416364f28p-15, -0x1.fe3fbbd79cef7p-15, -0x1.fc7db7804e54ap-15, -0x1.fa95f69fc0bd7p-15, -0x1.f8893b9909b95p-15, -0x1.f65848daa1361p-15, -0x1.f403e0c96aa6ap-15, -0x1.f18cc5ac2d218p-15, -0x1.eef3b9977c445p-15, -0x1.ec397e5a18b53p-15, -0x1.e95ed569bf3fap-15, -0x1.e6647fd06f33p-15, -0x1.e34b3e1a240b8p-15, -0x1.e013d04301517p-15, -0x1.dcbef5a5f7871p-15, -0x1.d94d6cebd80e6p-15, -0x1.d5bff3fae21d2p-15, -0x1.d21747e6bf61cp-15, -0x1.ce5424e0f78d6p-15, -0x1.ca774629d55afp-15, -0x1.c6816601bee1bp-15, -0x1.c2733d9aff64fp-15, -0x1.be4d850c02a1fp-15, -0x1.ba10f342019a7p-15, -0x1.b5be3df41f6cfp-15, -0x1.b1561996f2fbp-15, -0x1.acd93950804p-15, -0x1.a8484eec9fe7cp-15, -0x1.a3a40ad1d074ep-15, -0x1.9eed1bf67436fp-15, -0x1.9a242fd678174p-15, -0x1.9549f269633ebp-15, -0x1.905f0e18cf36fp-15, -0x1.8b642bb74490cp-15, -0x1.8659f2777d80dp-15, -0x1.814107e40b904p-15, -0x1.7c1a0fd76006p-15, -0x1.76e5ac7434dep-15, -0x1.71a47e1e5425fp-15, -0x1.6c572373bfe91p-15, -0x1.66fe394633d15p-15, -0x1.619a5a9503617p-15, -0x1.5c2c208750cfdp-15, -0x1.56b422669d98p-15, -0x1.5132f599af5aep-15, -0x1.4ba92d9fcada4p-15, -0x1.46175c0c42e7ap-15, -0x1.407e10825862ep-15, -0x1.3addd8b16a918p-15, -0x1.35374051765cep-15, -0x1.2f8ad11fe24e1p-15, -0x1.29d912dc98b9p-15, -0x1.24228b4766b7ap-15, -0x1.1e67be1da954p-15, -0x1.18a92d183d59dp-15, -0x1.12e757e9b7366p-15, -0x1.0d22bc3cdcc7ap-15, -0x1.075bd5b3622e6p-15, -0x1.01931de4e7d6fp-15, -0x1.f79218bc6acacp-16, }}, 
      {{-0x1.d6630b306b5dcp-1, -0x1.d6539bc59440dp-1, -0x1.d6399bfe2e4ep-1, -0x1.d614ae3ee6154p-1, -0x1.d5e45d74dc98bp-1, -0x1.d5a823824179ap-1, -0x1.d55f6ea6fd62p-1, -0x1.d509a60a824a5p-1, -0x1.d4a62d8680c1dp-1, -0x1.d43468cdc3493p-1, -0x1.d3b3be068f4a3p-1, -0x1.d32397eca1a65p-1, -0x1.d283678c0a75p-1, -0x1.d1d2a5a3bd6ffp-1, -0x1.d110d3bca04cap-1, -0x1.d03d7d0014e16p-1, -0x1.cf5836d77daadp-1, -0x1.ce60a15ce553dp-1, -0x1.cd5667a3d8676p-1, -0x1.cc393fe0864eep-1, -0x1.cb08eb726b2f7p-1, -0x1.c9c536d708e2bp-1, -0x1.c86df9889e301p-1, -0x1.c70315cc3af4fp-1, -0x1.c58478721e704p-1, -0x1.c3f2188ae51b6p-1, -0x1.c24bf713b384ap-1, -0x1.c0921e9b3ea7p-1, -0x1.bec4a2e14eba1p-1, -0x1.bce3a0722279bp-1, -0x1.baef3c3ee41f5p-1, -0x1.b8e7a33433f98p-1, -0x1.b6cd09cfaea5ep-1, -0x1.b49fabb52a111p-1, -0x1.b25fcb444c2f3p-1, -0x1.b00db12f08616p-1, -0x1.ada9ac1175aa2p-1, -0x1.ab34100b5ce7ap-1, -0x1.a8ad365bd548dp-1, -0x1.a6157cff2a5acp-1, -0x1.a36d464f47106p-1, -0x1.a0b4f8a6ce717p-1, -0x1.9decfe0703965p-1, -0x1.9b15c3c099926p-1, -0x1.982fba1f802f9p-1, -0x1.953b5419b5d7dp-1, -0x1.9239070129013p-1, -0x1.8f294a38a9fe5p-1, -0x1.8c0c96ebea577p-1, -0x1.88e367ca87407p-1, -0x1.85ae38c616601p-1, -0x1.826d86d329092p-1, -0x1.7f21cfad3d18ep-1, -0x1.7bcb919d8afdp-1, -0x1.786b4b44a295ep-1, -0x1.75017b66c6778p-1, -0x1.718ea0baf5422p-1, -0x1.6e1339bc8ca07p-1, -0x1.6a8fc47f779fp-1, -0x1.6704be86d02d7p-1, -0x1.6372a49de5ee4p-1, -0x1.5fd9f2b392955p-1, -0x1.5c3b23b7cd8a4p-1, -0x1.5896b17b64a39p-1, -0x1.54ed1491cfa43p-1, -0x1.513ec43501ad4p-1, -0x1.4d8c362b30812p-1, -0x1.49d5deae7490bp-1, -0x1.461c30563825ap-1, -0x1.425f9c025fe53p-1, -0x1.3ea090c819c13p-1, -0x1.3adf7be046b05p-1, -0x1.371cc89768bf8p-1, -0x1.3358e03f07691p-1, -0x1.2f942a207d009p-1, -0x1.2bcf0b7118bf4p-1, -0x1.2809e7478a72fp-1, -0x1.24451e928718ep-1, -0x1.208110109abc3p-1, -0x1.1cbe184914af8p-1, -0x1.18fc91860869ap-1, -0x1.153cd3cf4f3aep-1, -0x1.117f34e6820e9p-1, -0x1.0dc40843de794p-1, -0x1.0a0b9f140af93p-1, -0x1.06564836afdcfp-1, -0x1.02a4503dd87e1p-1, -0x1.fdec02dc295ccp-2, -0x1.f697477e9b2a7p-2, -0x1.ef4af9bc8d076p-2, -0x1.e807a05d7bbfap-2, -0x1.e0cdbd9c4eaap-2, -0x1.d99dcf2debab6p-2, -0x1.d2784e48d7817p-2, -0x1.cb5dafadd4b37p-2, -0x1.c44e63b172345p-2, -0x1.bd4ad646773d6p-2, -0x1.b6536f091fa11p-2, -0x1.af68914b1d25bp-2, -0x1.a88a9c204cc1ap-2, -0x1.a1b9ea6c1287p-2, -0x1.9af6d2ef5535dp-2, -0x1.9441a857061ap-2, -0x1.8d9ab94b31b0cp-2, -0x1.8702507e85bc5p-2, -0x1.8078b4be49affp-2, -0x1.79fe2902baf2ap-2, -0x1.7392ec7fc5ee1p-2, -0x1.6d373ab60f291p-2, -0x1.66eb4b8448074p-2, -0x1.60af5338c2dddp-2, -0x1.5a8382a34187p-2, -0x1.54680726f374dp-2, -0x1.4e5d0acc9e6d5p-2, -0x1.4862b454ea058p-2, -0x1.4279274ac660cp-2, -0x1.3ca08415e87cdp-2, -0x1.36d8e80d57a57p-2, -0x1.31226d8a009f3p-2, -0x1.2b7d2bf9519e7p-2, -0x1.25e937efd1673p-2, -0x1.2066a33bb1977p-2, -0x1.1af57cf7542f8p-2, -0x1.1595d19bc61c1p-2, -0x1.1047ab1320ae8p-2, -0x1.0b0b10cad5179p-2, -0x1.05e007c5df417p-2, -0x1.00c692aed3b7ap-2, -0x1.f77d63d39f4eap-3, -0x1.ed90c74c8537cp-3, -0x1.e3c747e117a08p-3, -0x1.da20d986dfd6p-3, -0x1.d09d6c32bf562p-3, -0x1.c73cebfb17213p-3, -0x1.bdff4139900acp-3, -0x1.b4e450ac7274cp-3, -0x1.abebfb97963eap-3, -0x1.a3161fe4db13fp-3, -0x1.9a6298442e622p-3, -0x1.91d13c4b1c50cp-3, -0x1.8961e093df6cap-3, -0x1.811456dbf7d13p-3, -0x1.78e86e2240234p-3, -0x1.70ddf2c483e1bp-3, -0x1.68f4ae9c8b9d5p-3, -0x1.612c691cad29ap-3, -0x1.5984e76bcaabcp-3, -0x1.51fdec80d3dfbp-3, -0x1.4a97393db9c0bp-3, -0x1.43508c89d2d02p-3, -0x1.3c29a36bc4381p-3, -0x1.35223922cd7a5p-3, -0x1.2e3a073f9abc4p-3, -0x1.2770c5bc7b62ap-3, -0x1.20c62b151bc5p-3, -0x1.1a39ec5da958fp-3, -0x1.13cbbd597049p-3, -0x1.0d7b5090efd2bp-3, -0x1.074857675f455p-3, -0x1.0132822fafeffp-3, -0x1.f673008201219p-4, -0x1.eaba001519a74p-4, -0x1.df395e4e272f5p-4, -0x1.d3f074df70c7ap-4, -0x1.c8de9c1cbc8bep-4, -0x1.be032b1eff457p-4, -0x1.b35d77e7096f3p-4, -0x1.a8ecd77f319f6p-4, -0x1.9eb09e1bf54c9p-4, -0x1.94a81f3bae5d7p-4, -0x1.8ad2adc53b631p-4, -0x1.812f9c25c1e46p-4, -0x1.77be3c6d73293p-4, -0x1.6e7de06b62ffbp-4, -0x1.656dd9c8734c3p-4, -0x1.5c8d7a21540a3p-4, -0x1.53dc131f9e6d9p-4, -0x1.4b58f6920e4e6p-4, -0x1.43037683db47ep-4, -0x1.3adae55338942p-4, -0x1.32de95c6fc583p-4, -0x1.2b0ddb23745c4p-4, -0x1.2368093e6aa64p-4, -0x1.1bec74925ee3ep-4, -0x1.149a7250f71a7p-4, -0x1.0d715874ac5ccp-4, -0x1.06707dd1b8cdfp-4, -0x1.ff2e744c8ef06p-5, -0x1.f1c9cc53d9a8cp-5, -0x1.e4b1b738d658ep-5, -0x1.d7e4eaa78b532p-5, -0x1.cb621e934f5eep-5, -0x1.bf280d50464f5p-5, -0x1.b33573ab9284ep-5, -0x1.a789110249117p-5, -0x1.9c21a75725af4p-5, -0x1.90fdfb6711303p-5, -0x1.861cd4bc7abefp-5, -0x1.7b7cfdc18e815p-5, -0x1.711d43d14ff01p-5, -0x1.66fc77479fa24p-5, -0x1.5d196b9035577p-5, -0x1.5372f73493e2fp-5, -0x1.4a07f3e8fc3dfp-5, -0x1.40d73e986d2p-5, -0x1.37dfb76fb02bfp-5, -0x1.2f2041e77bbaap-5, -0x1.2697c4cdb864ap-5, -0x1.1e452a4de39b6p-5, -0x1.16275ff8a1f7ep-5, -0x1.0e3d56ca82a6cp-5, -0x1.06860331f939bp-5, -0x1.fe00ba293021bp-6, -0x1.ef56bfa71dc51p-6, -0x1.e10c149ee76adp-6, -0x1.d31ebdd6bcca9p-6, -0x1.c58cc71eb68a9p-6, -0x1.b854435473992p-6, -0x1.ab734c6580327p-6, -0x1.9ee8035088af5p-6, -0x1.92b0902570bep-6, -0x1.86cb22044a17fp-6, -0x1.7b35ef1b43553p-6, -0x1.6fef34a390fb1p-6, -0x1.64f536dd5b529p-6, -0x1.5a46410ac6241p-6, -0x1.4fe0a56a07c9fp-6, -0x1.45c2bd2ead278p-6, -0x1.3beae87a0a855p-6, -0x1.32578e52e05b7p-6, -0x1.29071c9c45a16p-6, -0x1.1ff8080bd90c8p-6, -0x1.1728cc1f41ae2p-6, -0x1.0e97eb110fd51p-6, -0x1.0643edccf9f93p-6, -0x1.fc56c7c714349p-7, -0x1.ec99c6fa75b9dp-7, -0x1.dd4e129a15766p-7, -0x1.ce70f10531fabp-7, -0x1.bfffb5778810fp-7, -0x1.b1f7bfebb535ap-7, -0x1.a4567cfcc4248p-7, -0x1.971965c6f18cap-7, -0x1.8a3dffc7bf701p-7, -0x1.7dc1dcbd545f1p-7, -0x1.71a29a8537711p-7, -0x1.65dde2fa83bacp-7, -0x1.5a716bd383c43p-7, -0x1.4f5af67ed6c71p-7, -0x1.4498500024361p-7, -0x1.3a2750cc5cd81p-7, -0x1.3005dca5a5c24p-7, -0x1.2631e276e7d75p-7, -0x1.1ca95c2f15f3ep-7, -0x1.136a4e9c2e6c7p-7, -0x1.0a72c94602b3ep-7, -0x1.01c0e648cd539p-7, -0x1.f2a5945f395d9p-8, -0x1.e24d479d3b5efp-8, -0x1.d275583a9602cp-8, -0x1.c31a4c2110ea7p-8, -0x1.b438bce968836p-8, -0x1.a5cd578f6155ep-8, -0x1.97d4dc25e1854p-8, -0x1.8a4c1d8b1622bp-8, -0x1.7d30011cb4a59p-8, -0x1.707d7e6c618b7p-8, -0x1.64319ef4495a5p-8, -0x1.58497dcbf39efp-8, -0x1.4cc2475d5c496p-8, -0x1.4199391a5bd97p-8, -0x1.36cba132687e2p-8, -0x1.2c56de48b777ap-8, -0x1.22385f2ac7bffp-8, -0x1.186da2875f422p-8, -0x1.0ef436a5fe025p-8, -0x1.05c9b91ed4b81p-8, -0x1.f9d7ad267e47fp-9, -0x1.e8b094cd9884ep-9, -0x1.d819bcf1b3687p-9, -0x1.c80ed5bd908dp-9, -0x1.b88bab3d9965ep-9, -0x1.a98c24d6cbc31p-9, -0x1.9b0c44bef308fp-9, -0x1.8d082776371e5p-9, -0x1.7f7c03421433ap-9, -0x1.726427a9b1429p-9, -0x1.65bcfcf3abc9bp-9, -0x1.598303a558348p-9, -0x1.4db2d4037db0cp-9, -0x1.42491d9492831p-9, -0x1.3742a6a481db8p-9, -0x1.2c9c4bc9f7ca7p-9, -0x1.2252ff6d44c84p-9, -0x1.1863c950c7ed8p-9, -0x1.0ecbc61afd20bp-9, -0x1.058826e217956p-9, -0x1.f92c61728503p-10, -0x1.e7e6787eeaea8p-10, -0x1.d7396a5fe254p-10, -0x1.c72033e8ac49cp-10, -0x1.b795f670bfbf3p-10, -0x1.a895f6fe846d3p-10, -0x1.9a1b9d75511ap-10, -0x1.8c2273c6b2ec9p-10, -0x1.7ea62526f289fp-10, -0x1.71a27d44e9009p-10, -0x1.65136785097aap-10, -0x1.58f4ee3fbabe8p-10, -0x1.4d433a02e0f67p-10, -0x1.41fa90d6a9c1fp-10, -0x1.3717558591915p-10, -0x1.2c9606e79ca7ep-10, -0x1.22733f30b764p-10, -0x1.18abb3424fcf8p-10, -0x1.0f3c32000d73fp-10, -0x1.0621a3a7a754ep-10, -0x1.fab21257c0cc4p-11, -0x1.e9bef7251dce2p-11, -0x1.d96456ab7393cp-11, -0x1.c99cbf8f79384p-11, -0x1.ba62ecf4dd20ap-11, -0x1.abb1c55289c78p-11, -0x1.9d84594cd34b3p-11, -0x1.8fd5e2957e342p-11, -0x1.82a1c2d1922b9p-11, -0x1.75e38284e5b7p-11, -0x1.6996d003570a3p-11, -0x1.5db77e679f04ep-11, -0x1.5241848faf7f9p-11, -0x1.4730fc1e898a3p-11, -0x1.3c8220837f002p-11, -0x1.32314e06ca0d5p-11, -0x1.283b00db6aa78p-11, -0x1.1e9bd43639ff3p-11, -0x1.1550816a1fa33p-11, -0x1.0c55df0958219p-11, -0x1.03a8e00bb9c71p-11, -0x1.f68d25f3cfe8cp-12, -0x1.e658423abc22bp-12, -0x1.d6ad9b6a8c5bbp-12, -0x1.c787ea6006734p-12, -0x1.b8e218d2be90fp-12, -0x1.aab73fda98a57p-12, -0x1.9d02a67e441bdp-12, -0x1.8fbfc04a914cfp-12, -0x1.82ea2bf27e08cp-12, -0x1.767db1f7cb45p-12, -0x1.6a76435c04127p-12, -0x1.5ecff859c61dp-12, -0x1.53870f262c2edp-12, -0x1.4897eaba3a4a2p-12, -0x1.3dff11a41c839p-12, -0x1.33b92ce020bdap-12, -0x1.29c306b93f23cp-12, -0x1.201989b111ddbp-12, -0x1.16b9bf6f15409p-12, -0x1.0da0cfb715049p-12, -0x1.04cbff6696c26p-12, -0x1.f8715ef25bce4p-13, -0x1.e7c8b82719141p-13, -0x1.d799372a641dfp-13, -0x1.c7de3b612d6e3p-13, -0x1.b89355136a171p-13, -0x1.a9b443b594ce4p-13, -0x1.9b3cf43e6399dp-13, -0x1.8d297f8873ef8p-13, -0x1.7f7628bfa4511p-13, -0x1.721f5bd9e7289p-13, -0x1.6521ac1b46d51p-13, -0x1.5879d2a4e228dp-13, -0x1.4c24ad0ea500cp-13, -0x1.401f3c0b7d00fp-13, -0x1.3466a217d6383p-13, -0x1.28f82232179c7p-13, -0x1.1dd11e9cf7be4p-13, -0x1.12ef17ab60bdp-13, -0x1.084faa95b2da5p-13, -0x1.fbe120b0610b8p-14, -0x1.e79f3934ab798p-14, -0x1.d3d5793dd265dp-14, -0x1.c07fec792d404p-14, -0x1.ad9acdbda9e9p-14, -0x1.9b22851dd5bc8p-14, -0x1.8913a609bf1b7p-14, -0x1.776aed8046954p-14, -0x1.6625404f80f59p-14, -0x1.553fa963ca5cep-14, -0x1.44b7582529d68p-14, -0x1.34899ee2abb57p-14, -0x1.24b3f14b54532p-14, -0x1.1533e2f453a35p-14, -0x1.060725ec2128fp-14, -0x1.ee5712b45405dp-15, -0x1.d13df05577b72p-15, -0x1.b4beef8db18eap-15, -0x1.98d64daf4c25ep-15, -0x1.7d80782a3f6e8p-15, -0x1.62ba0a3f9121fp-15, -0x1.487fcaca0be22p-15, -0x1.2eceaa1bb7274p-15, -0x1.15a3bfef80f47p-15, -0x1.f9f892dd03fddp-16, -0x1.c9ab4e90aa5b2p-16, -0x1.9a5ab7bbd9d69p-16, -0x1.6c0212fcdb338p-16, -0x1.3e9ce16aeba51p-16, -0x1.1226dd54c5f2bp-16, -0x1.cd37ee4010aap-17, -0x1.77f0a49128231p-17, -0x1.247084fdc6fcep-17, -0x1.a5612391b18e3p-18, -0x1.055445949d611p-18, -0x1.a2b702d542a0bp-20, 0x1.84f418ac2759cp-21, 0x1.8d381fc1bf154p-19, 0x1.5955eab7fb1bep-18, 0x1.e8d69c236d05cp-18, 0x1.3a941c27f20c4p-17, 0x1.7f2a336bd84cfp-17, 0x1.c2323519083ffp-17, 0x1.01d849b2d0e72p-16, 0x1.21d4ca720cda6p-16, 0x1.4110abde25cf2p-16, 0x1.5f8dea5e8d0b9p-16, 0x1.7d4e7123fd465p-16, 0x1.9a541b8be2e49p-16, 0x1.b6a0b671fa2dap-16, 0x1.d2360170cef38p-16, 0x1.ed15b011b44aap-16, 0x1.03a0b5766292bp-15, 0x1.105d685cc3a86p-15, 0x1.1cc1bba85d393p-15, 0x1.28ce764fefc55p-15, 0x1.34845bc77e6cbp-15, 0x1.3fe42c6c92ce8p-15, 0x1.4aeea5ec21866p-15, 0x1.55a483a24c86bp-15, 0x1.60067ef43e0afp-15, 0x1.6a154fa45f80fp-15, 0x1.73d1ac2115d86p-15, 0x1.7d3c49ce4a8ebp-15, 0x1.8655dd49eb429p-15, 0x1.8f1f1aab9b411p-15, 0x1.9798b5bfc587fp-15, 0x1.9fc3623e4378ep-15, 0x1.a79fd3fcc2671p-15, 0x1.af2ebf1d1f7a1p-15, 0x1.b670d837dd90cp-15, 0x1.bd66d482e343ap-15, 0x1.c41169f4b14c3p-15, 0x1.ca714f642ff27p-15, 0x1.d0873ca542565p-15, 0x1.d653eaa2439cbp-15, 0x1.dbd8137292bf4p-15, 0x1.e114726e51c05p-15, 0x1.e609c43f79c2ap-15, 0x1.eab8c6f067558p-15, 0x1.ef2239f7fd384p-15, 0x1.f346de437f168p-15, 0x1.f727763e42255p-15, 0x1.fac4c5d74e4a5p-15, 0x1.fe1f9285114dbp-15, 0x1.009c51a39d379p-14, 0x1.020860536d3b1p-14, 0x1.03545a5a725b3p-14, 0x1.0480a58391283p-14, 0x1.058da859dc6b7p-14, 0x1.067bca25a8d5fp-14, 0x1.074b72e9005b1p-14, 0x1.07fd0b5b7b84ep-14, 0x1.0890fce58f88cp-14, 0x1.0907b19b55f85p-14, 0x1.09619436dc78cp-14, 0x1.099f101200d32p-14, 0x1.09c0911fe628p-14, 0x1.09c683e6087fap-14, 0x1.09b15574f9578p-14, 0x1.09817360ca0b3p-14, 0x1.09374bb92dd18p-14, 0x1.08d34d015a27dp-14, 0x1.0855e627aa592p-14, 0x1.07bf867d0f807p-14, 0x1.07109dac5129fp-14, 0x1.06499bb124b37p-14, 0x1.056af0cf22cf4p-14, 0x1.04750d889e669p-14, 0x1.0368629562fc9p-14, 0x1.024560d95f401p-14, 0x1.010c795b41beep-14, 0x1.ff7c3a7613697p-15, 0x1.fcb57b5125429p-15, 0x1.f9c597b4393fdp-15, 0x1.f6ad7205af428p-15, 0x1.f36dec92e5ef6p-15, 0x1.f007e97d6b12fp-15, 0x1.ec7c4aa8453d9p-15, 0x1.e8cbf1a5591e2p-15, 0x1.e4f7bfa2f4b1p-15, 0x1.e100955982c96p-15, 0x1.dce752f96d141p-15, 0x1.d8acd819303p-15, 0x1.d45203a3aa234p-15, 0x1.cfd7b3c6a04d4p-15, 0x1.cb3ec5e18a84ep-15, 0x1.c68816749da05p-15, 0x1.c1b481101ec42p-15, 0x1.bcc4e044008dap-15, 0x1.b7ba0d8fcd58p-15, 0x1.b294e152e0684p-15, 0x1.ad5632bcf30b9p-15, 0x1.a7fed7befc939p-15, 0x1.a28fa4fc69df6p-15, 0x1.9d096dbcad29cp-15, 0x1.976d03dd27318p-15, 0x1.91bb37c36d55ap-15, 0x1.8bf4d84feb92p-15, 0x1.861ab2d0e36f6p-15, 0x1.802d92f5ce646p-15, 0x1.7a2e42c319909p-15, 0x1.741d8a864825cp-15, 0x1.6dfc30ca72c5fp-15, 0x1.67cafa4d29f55p-15, 0x1.618aa9f3bbfcdp-15, 0x1.5b3c00c0d8d5dp-15, 0x1.54dfbdca9b536p-15, 0x1.4e769e30f4a71p-15, 0x1.48015d1475934p-15, 0x1.4180b38d7f038p-15, 0x1.3af558a3ce294p-15, 0x1.346001466dd59p-15, 0x1.2dc1604405dc3p-15, 0x1.271a26438937dp-15, 0x1.206b01bd4575bp-15, 0x1.19b49ef44e01p-15, 0x1.12f7a7f047439p-15, 0x1.0c34c4778ac56p-15, 0x1.056c9a09aa0d1p-15, 0x1.fd3f97b494fb9p-16, 0x1.ef9df598b2f5cp-16, 0x1.e1f58adb37655p-16, 0x1.d4478fe522275p-16, 0x1.c69538655d03fp-16, 0x1.b8dfb349dfa34p-16, 0x1.ab282ab96f26ep-16, 0x1.9d6fc40e0c254p-16, 0x1.8fb79fcffad84p-16, 0x1.8200d9b17278cp-16, 0x1.744c888adb46ap-16, 0x1.669bbe57b7578p-16, 0x1.58ef88340f43p-16, 0x1.4b48ee5a83198p-16, 0x1.3da8f422de805p-16, 0x1.3010980142aebp-16, 0x1.2280d385d72a9p-16, 0x1.14fa9b5d02b52p-16, 0x1.077edf502a3f2p-16, 0x1.f41d148de03f6p-17, 0x1.d9550491dd06ep-17, 0x1.bea750ffeb71fp-17, 0x1.a415b2757179cp-17, 0x1.89a1d7dfecddcp-17, 0x1.6f4d6684237d2p-17, 0x1.5519fa06302fdp-17, 0x1.3b0924727206fp-17, 0x1.211c6e473d885p-17, 0x1.0755567f691c3p-17, 0x1.db6aa53b2e911p-18, 0x1.a87b9d7086aap-18, 0x1.75e05b0d1120ap-18, 0x1.439b90db3926ap-18, 0x1.11afdf1df2f5ap-18, 0x1.c03fa75cc01a2p-19, 0x1.5ddbd435708b8p-19, 0x1.f8722f19bfcccp-20, 0x1.36b8402e2bba7p-20, 0x1.da4bc5d14e09cp-22, -0x1.1fd3b954de4b4p-22, -0x1.04d6d6eb06204p-20, -0x1.c00a85ee3fef4p-20, -0x1.3cc3ff251d733p-19, -0x1.98a3c3cb28729p-19, -0x1.f3a0d6ba17ac7p-19, -0x1.26dbcfbaaee14p-18, -0x1.5372536f6db68p-18, -0x1.7f924b7094896p-18, -0x1.ab3a1d0c32401p-18, -0x1.d6683dbcce9eap-18, -0x1.008d997e3b7bfp-17, -0x1.15a8c90b95983p-17, -0x1.2a84fffe59b74p-17, -0x1.3f219888f5007p-17, -0x1.537df480bf0b2p-17, -0x1.67997d461d671p-17, -0x1.7b73a3ac70abap-17, -0x1.8f0bdfe1c28bep-17, -0x1.a261b1564f06ap-17, -0x1.b5749ea3d6637p-17, -0x1.c8443574c5659p-17, -0x1.dad00a6b3f3a4p-17, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      52, 0x1.199999999999ap+2, 0x1.70ac8902b0281p+1, 0x1.4b03039a2ef1p+1, -0x1.6fb53524d80cdp-6, 
      {{
        {0x1.ccccccccccccdp+0, 0x1.d99999999999ap+0, 0x1.a98a494a78f79p-5, -0x1.b6cddebe02d36p-3, 0x1.3bf7d6adc9bddp-2, -0x1.6b1fccfbb6a49p-3}, 
        {0x1.d99999999999ap+0, 0x1.e666666666666p+0, 0x1.57eaca0584273p-5, -0x1.7a5580394d20bp-3, 0x1.20bbda814f3e4p-2, -0x1.5ad793ed17ee6p-3}, 
        {0x1.e666666666666p+0, 0x1.f333333333333p+0, 0x1.11da029ffac81p-5, -0x1.4330445a2d757p-3, 0x1.06b87c35ed72fp-2, -0x1.4cffc492201f4p-3}, 
        {0x1.f333333333333p+0, 0x1p+1, 0x1.ac9a867d2194ap-6, -0x1.112454063f7d9p-3, 0x1.db7dce22bc7a8p-3, -0x1.3e80a5af683ddp-3}, 
        {0x1p+1, 0x1.0666666666666p+1, 0x1.4889c60522a25p-6, -0x1.c7f68b8c05163p-4, 0x1.abb74ee206716p-3, -0x1.302e5b3807d08p-3}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.eb3100277ac5ep-7, -0x1.76fb89f04b98ep-4, 0x1.7e16c1333878bp-3, -0x1.21d00e9b0bb7ep-3}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.63e6fdbbc9c64p-7, -0x1.2ee977ff6ab7ap-4, 0x1.529df23590501p-3, -0x1.1374f62925b5ap-3}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.ef766a46ea572p-8, -0x1.dea4116067153p-5, 0x1.294c66e29775p-3, -0x1.05190f3081af9p-3}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.46bee55a393efp-8, -0x1.6f8df05bb3822p-5, 0x1.02223e34ea674p-3, -0x1.ed7a5c4f87adep-4}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.8ec67a66f258bp-9, -0x1.0fb3ff429b9fap-5, 0x1.ba3eee911a0e2p-4, -0x1.d0c407cc4b178p-4}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.addde8e57256fp-10, -0x1.7c736c20a9f5dp-6, 0x1.7487ed65a8649p-4, -0x1.b407f130502f6p-4}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.6b3ee5ba7c064p-11, -0x1.e909f07d23ee5p-7, 0x1.33205604cf904p-4, -0x1.9761756905294p-4}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.fe37375de1f3ep-14, -0x1.0bc7d68ef3f42p-7, 0x1.ec09d59d50c7dp-5, -0x1.7a6a5067ca87cp-4}, 
        {0x1.399999999999ap+1, 0x1.4p+1, -0x1.371aa7e9865a1p-13, -0x1.76ae40b52d3cep-9, 0x1.7a838a4afa6b4p-5, -0x1.5ea0357986f07p-4}, 
        {0x1.4p+1, 0x1.4666666666666p+1, -0x1.870a34ac5eb01p-13, 0x1.25951f7434297p-10, 0x1.11537a401ebd2p-5, -0x1.3afc86f17608ep-4}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, -0x1.db59651657199p-15, 0x1.fc8428b38b17p-9, 0x1.65a909ef5d0f5p-6, -0x1.0f7f3ae669716p-4}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.810d1aaab7329p-13, 0x1.6cbe1b7f25cc2p-8, 0x1.8586339708614p-7, -0x1.ca5e2d53abaa6p-5}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.fc25d1bda0b71p-12, 0x1.9f25379336c5fp-8, 0x1.ca0394c6858a5p-9, -0x1.751bb85cdba55p-5}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.a5ba2fc0d470ep-11, 0x1.9fa8da5a20e93p-8, -0x1.b57225b1f007bp-9, -0x1.2007a5bfbcf53p-5}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.22a7fd93580fbp-10, 0x1.7881681f53d02p-8, -0x1.1a2decdf86facp-7, -0x1.95b86c7302d94p-6}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.678095a33eb1ap-10, 0x1.33e5e39302f9p-8, -0x1.93e5409ba16ebp-7, -0x1.d77f5ff821bf2p-7}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.9c88505b3d0d1p-10, 0x1.b817c6961646cp-9, -0x1.da9ec2340ce55p-7, -0x1.01f48c0510e1bp-8}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.beeb9e368401p-10, 0x1.ecc03f878074ap-10, -0x1.edf77fe7a15cbp-7, 0x1.97f129fe95b7fp-8}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.cde1efe05660fp-10, 0x1.b7435f9f0528p-12, -0x1.cf5f0327bc881p-7, 0x1.1e5065643da5dp-6}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.caadb63408f09p-10, -0x1.c50bff76bafd2p-11, -0x1.797a17f010708p-7, 0x1.5f760a728dc7ep-6}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.b8817a5de7094p-10, -0x1.e654638c63de9p-10, -0x1.1009e19a7f81ap-7, 0x1.296d3c26a188cp-6}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.9b57e74505b41p-10, -0x1.4e22790bea9b3p-9, -0x1.6d9f058437b01p-8, 0x1.053f13ca31186p-6}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.76cbd2f516be7p-10, -0x1.879588528c65cp-9, -0x1.a1bf267c34777p-9, 0x1.b88fce9144b42p-7}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.4dfd56bf4d5fcp-10, -0x1.a42455557da9dp-9, -0x1.32d1bb7d49ad6p-10, 0x1.69344ad82231dp-7}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.2391cf3a5e39fp-10, -0x1.a8a592391c7b5p-9, 0x1.fa80dfb1e3cc3p-12, 0x1.191f7a414ff55p-7}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.f367b884feb09p-11, -0x1.99e1bc663550ep-9, 0x1.cff93107a5b19p-10, 0x1.92ba0fae827c6p-8}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.a426c1f2d0603p-11, -0x1.7ca467cae3649p-9, 0x1.60ce039e93986p-9, 0x1.e429a65f56068p-9}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.5bcb078ca343ep-11, -0x1.55bb02fb98781p-9, 0x1.a96ddc9346e5fp-9, 0x1.5530e408bd4c6p-10}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.1bc95cabebed2p-11, -0x1.29e87b6e1d77fp-9, 0x1.c304ba7a5518bp-9, -0x1.573a4b17edbd8p-10}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.c942366a4389bp-12, -0x1.fc2fd0d9102eap-10, 0x1.a946c1a556776p-9, -0x1.42b72882aa334p-9}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.6bcdd9701b764p-12, -0x1.abf8e4538e3ep-10, 0x1.78de7b91bcefdp-9, -0x1.1ab6d23ea746bp-9}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.1d76dda658209p-12, -0x1.64d6d1538200bp-10, 0x1.4e76426ebd71cp-9, -0x1.0f572d133a755p-9}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.b9075e5c3873cp-13, -0x1.2604503c5e458p-10, 0x1.25c2c878a7e04p-9, -0x1.f897a0b28be97p-10}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.4eaafa9aa4116p-13, -0x1.de1925e4c09bfp-11, 0x1.ffd538d687905p-10, -0x1.d69d4181b45dcp-10}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.f1a0e9baadb96p-14, -0x1.7eca766378d7fp-11, 0x1.b93da236461c1p-10, -0x1.b388e861a4bbap-10}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.694a7086878b4p-14, -0x1.2d1363ac007e6p-11, 0x1.77e918f46d66bp-10, -0x1.90c01cbb66cf5p-10}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.fe30d8d3b3b3ap-15, -0x1.cfcf4d957477ep-12, 0x1.3bcc47d8512d8p-10, -0x1.6de3151d169ccp-10}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.5c7799918e97bp-15, -0x1.5c779a7070d64p-12, 0x1.04ea37e0c0fcdp-10, -0x1.4b0b6fe542375p-10}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.c942366a43902p-16, -0x1.fc10ad9c1d2c6p-13, 0x1.a68434965481fp-11, -0x1.28327d0b8bf55p-10}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.1d76dda658291p-16, -0x1.64d495d66f4a1p-13, 0x1.4da8424610ebep-11, -0x1.05595e52e4edap-10}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.4eaafa9aa4293p-17, -0x1.de18cec671a2dp-14, 0x1.fe814bf3fee35p-12, -0x1.c504796fc8871p-11}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.694a708687b9fp-18, -0x1.2d137000085aep-14, 0x1.76998dec0f883p-12, -0x1.7f46a50a67714p-11}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.5c7799918efdfp-19, -0x1.5c7711a0a00b8p-15, 0x1.039df6028a179p-12, -0x1.39c31b274c325p-11}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.1d76dda658d7fp-20, -0x1.64d88bad04caep-16, 0x1.4afa0eed8011dp-13, -0x1.e6cbf0d4c939p-12}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.694a70868a4p-22, -0x1.2cf5c8a077364p-17, 0x1.71e026f4edcf6p-14, -0x1.6069dd24f1a34p-12}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.1d76dda663p-24, -0x1.668e3276d6135p-19, 0x1.3cdade23ecdc7p-15, -0x1.84b46801a7163p-13}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.1d76dda6bp-28, -0x1.31538cd279218p-22, 0x1.4e874bbeef3ffp-17, -0x1.0419758aae85bp-12}, 
      }}, 
      0x1.e97df6c617fd8p-9, -0x1.793a0f5bb2343p-6
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_p_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{-0x1.76312dd9d8af2p-2, -0x1.74d447f2f6ae6p-2, -0x1.7293a214fe967p-2, -0x1.6f76ca22297e7p-2, -0x1.6b886f41a075fp-2, -0x1.66d406490c24bp-2, -0x1.6166080e6927ap-2, -0x1.5b4d83cf8dd04p-2, -0x1.5498adc10d049p-2, -0x1.4d568cddd5ba5p-2, -0x1.4596645242e37p-2, -0x1.3d6765f302313p-2, -0x1.34d80220a8b2bp-2, -0x1.2bf5be9c450c9p-2, -0x1.22ceec7a08d15p-2, -0x1.197048aab5d2ap-2, -0x1.0fe60a9bcac7cp-2, -0x1.063be2d1022fcp-2, -0x1.f8f9b8a810542p-3, -0x1.e565e98b7e705p-3, -0x1.d1d024dda67bcp-3, -0x1.be49a23d735adp-3, -0x1.aae34376a39a8p-3, -0x1.97ac203976629p-3, -0x1.84b246b23355p-3, -0x1.7202a1ca23ed8p-3, -0x1.5fa9e2ecf77c3p-3, -0x1.4dafd4fa59d72p-3, -0x1.3c20389ebe458p-3, -0x1.2b05009a409ddp-3, -0x1.1a646a16f6369p-3, -0x1.0a43f86cd3fcp-3, -0x1.f554a464c72b1p-4, -0x1.d73b7b0bf57c6p-4, -0x1.ba44acd6e3b2ep-4, -0x1.9e752b44f5b79p-4, -0x1.83d1ab32f76bfp-4, -0x1.6a5f587e106d9p-4, -0x1.52222ee8b3835p-4, -0x1.3b1bae10247e8p-4, -0x1.254b4d53c9094p-4, -0x1.10afbb05c2479p-4, -0x1.fa8ee18c63a9p-5, -0x1.d620a4e482b2fp-5, -0x1.b40e306fb190ap-5, -0x1.944e68771bfeep-5, -0x1.76d6643d9bbbap-5, -0x1.5b9a3ec56bcc6p-5, -0x1.428d5a2751e5p-5, -0x1.2ba22d30b38f7p-5, -0x1.16ca0bdbdb416p-5, -0x1.03f53058b0955p-5, -0x1.e625f23b6e707p-6, -0x1.c82458b10694ep-6, -0x1.addce6224fd03p-6, -0x1.96eb4783a3797p-6, -0x1.8348f3039dfc8p-6, -0x1.72d8faece267bp-6, -0x1.657d5b2ba0c99p-6, -0x1.5b1404b415eb3p-6, -0x1.5375d44dac0bfp-6, -0x1.4e77a895fd037p-6, -0x1.4becedc4571dep-6, -0x1.4baa832147397p-6, -0x1.4d88e8de0fbbbp-6, -0x1.51650fd54c2f1p-6, -0x1.571fb86093a51p-6, -0x1.5e9bcf2be7095p-6, -0x1.67bc7cd9fbcc1p-6, -0x1.72639a2f5b4cdp-6, -0x1.7e70fd431841p-6, -0x1.8bc2bcb36141p-6, -0x1.9a36354eef3bdp-6, -0x1.a9a96c2cc2689p-6, -0x1.b9fc5b813a9b5p-6, -0x1.cb11cf790b0a5p-6, -0x1.dccfa548e4773p-6, -0x1.ef1e7131c8e83p-6, -0x1.00f45cabaa267p-5, -0x1.0a8d04876438ep-5, -0x1.144f1009c050ep-5, -0x1.1e3037710e6b7p-5, -0x1.2825fad08829dp-5, -0x1.3225bf46dfa15p-5, -0x1.3c250b97c5beap-5, -0x1.4619d054be1dep-5, -0x1.4ffaa80fc9123p-5, -0x1.59bf011116c1ap-5, -0x1.635f29bb86f33p-5, -0x1.6cd440ddb4a9cp-5, -0x1.7618118f1ca0bp-5, -0x1.7f24e5a1cd591p-5, -0x1.87f559db10167p-5, -0x1.90843cb34d784p-5, -0x1.98cc7c75211bfp-5, -0x1.a0c9256cfac46p-5, -0x1.a8756d67771c6p-5, -0x1.afccc7845718fp-5, -0x1.b6cafa909e404p-5, -0x1.bd6c349214489p-5, -0x1.c3ad17a60e8c2p-5, -0x1.c98abe60d0e9ep-5, -0x1.cf02b7fa34d7cp-5, -0x1.d412fe4cf4f11p-5, -0x1.d8b9e8a66f244p-5, -0x1.dcf61e7c0c45dp-5, -0x1.e0c68c73b74d6p-5, -0x1.e42a5d12d85c7p-5, -0x1.e720f53c0d511p-5, -0x1.e9a9f3b79a2f1p-5, -0x1.ebdc49a724cp-5, -0x1.ed8b95f7f3dcep-5, -0x1.eecb43468cd57p-5, -0x1.ef9c1a3f8d7aep-5, -0x1.efff477adeebap-5, -0x1.eff64daf7057ap-5, -0x1.ef82f66b3de77p-5, -0x1.eea7426f237fbp-5, -0x1.ed655aa985644p-5, -0x1.ebbf829d5733fp-5, -0x1.e9b80cd2e5acap-5, -0x1.e75151bd9544cp-5, -0x1.e48da952f2953p-5, -0x1.e16f6762116cbp-5, -0x1.ddf8da905a9b5p-5, -0x1.da2c4db9c3fddp-5, -0x1.d60c0b4fc8b38p-5, -0x1.d19a6235e0b31p-5, -0x1.ccd9ab86211c8p-5, -0x1.c7cc509f1f92cp-5, -0x1.c274d0de6850ap-5, -0x1.bcd5c678adcp-5, -0x1.b6f1e9f955d81p-5, -0x1.b0cc1412e2cf8p-5, -0x1.aa673d8ffe596p-5, -0x1.a3c67d5b51faap-5, -0x1.9ced04bb42e46p-5, -0x1.95de1a00fcccfp-5, -0x1.8e9d12066a62ep-5, -0x1.872d48eb151dp-5, -0x1.7f921a8a8be77p-5, -0x1.77cedb27ac687p-5, -0x1.6fe6d0bee07c9p-5, -0x1.67dd2d5f29d96p-5, -0x1.5fb50ad0a6ef3p-5, -0x1.577167b20afc4p-5, -0x1.4f1526177e7d4p-5, -0x1.46a30b98ad7bcp-5, -0x1.3e1dc2a2ae71fp-5, -0x1.3587dccfb4b9bp-5, -0x1.2ce3d5fa2fe92p-5, -0x1.243417bbfd022p-5, -0x1.1b7afd0b49eb8p-5, -0x1.12bad5ad4c969p-5, -0x1.09f5e941445efp-5, -0x1.012e79b360847p-5, -0x1.f0cd89eb7543ep-6, -0x1.df420bd967698p-6, -0x1.cdbee915750abp-6, -0x1.bc488a4a10d0bp-6, -0x1.aae34e2d26fd6p-6, -0x1.999385a094b12p-6, -0x1.885d6ef8337b6p-6, -0x1.774530b9adf99p-6, -0x1.664ed42b85c87p-6, -0x1.557e4006065f5p-6, -0x1.44d7339065893p-6, -0x1.345d4268583b1p-6, -0x1.2413d12371461p-6, -0x1.13fe12e9c04dbp-6, -0x1.041f08188d24ap-6, -0x1.e8f2fbd9d96ccp-7, -0x1.ca201e5011d16p-7, -0x1.abca4b27a03eap-7, -0x1.8df5f88af8708p-7, -0x1.70a744eadd83fp-7, -0x1.53e1fd7faa1d2p-7, -0x1.37a9a540790fap-7, -0x1.1c017bf5f9106p-7, -0x1.00ec8514e0e69p-7, -0x1.ccdb1c29edd05p-8, -0x1.990e680d0be62p-8, -0x1.6677d06e91a4ep-8, -0x1.351be79116d76p-8, -0x1.04fef45312d77p-8, -0x1.ac49e9eb48ab2p-9, -0x1.51233fb955ee9p-9, -0x1.f1218a2b8a27p-10, -0x1.45317cc050b3ap-10, -0x1.3d034966574b1p-11, 0x1.71fe190990e4ep-17, 0x1.3ded8292a8464p-11, 0x1.35af73f020f2fp-10, 0x1.c7085a94b2377p-10, 0x1.297ea27306a75p-9, 0x1.6cc5ca30d8071p-9, 0x1.ad59206001cd5p-9, 0x1.eb38ec00e9f48p-9, 0x1.13331e870a181p-8, 0x1.2f71741cc0a1cp-8, 0x1.4a58c05f3ff29p-8, 0x1.63eaa8427c353p-8, 0x1.7c29276f756e1p-8, 0x1.93168b189fe7fp-8, 0x1.a8b56c6e808e5p-8, 0x1.bd08aadfaf3cp-8, 0x1.d013664e3b1e2p-8, 0x1.e1d8f9622fecep-8, 0x1.f25cf41c56a08p-8, 0x1.00d18b6418c57p-7, 0x1.07d7a6b25d8f1p-7, 0x1.0e42d5cab57e7p-7, 0x1.1415349281ap-7, 0x1.1950ef8e0c7e8p-7, 0x1.1df842b36909cp-7, 0x1.220d787f09f39p-7, 0x1.2592e941f5a23p-7, 0x1.288afa9f4460ap-7, 0x1.2af81f2da6a14p-7, 0x1.2cdcd630fb562p-7, 0x1.2e3bab60862d9p-7, 0x1.2f1736af1b41cp-7, 0x1.2f716676b9075p-7, 0x1.2f51cc2023335p-7, 0x1.2eb6c687d0e5ap-7, 0x1.2da3087a17409p-7, 0x1.2c19516009911p-7, 0x1.2a1c6cea2f92cp-7, 0x1.27af329281bb3p-7, 0x1.24d484f6c27cdp-7, 0x1.218f510d485a9p-7, 0x1.1de28d375cd47p-7, 0x1.19d13835a4dabp-7, 0x1.155e580337ba8p-7, 0x1.108cf89d1a143p-7, 0x1.0b602abb85d8dp-7, 0x1.05db0282efd7ap-7, 0x1.000096324e73bp-7, 0x1.f3a7f9a859afbp-8, 0x1.e6b099eec8c7ap-8, 0x1.d92136e808d57p-8, 0x1.cafff4806625ep-8, 0x1.bc52eeb09461fp-8, 0x1.ad20377987828p-8, 0x1.9d6dd50eef3dfp-8, 0x1.8d41c033447acp-8, 0x1.7ca1e2c5cf3bbp-8, 0x1.6b9416828bf82p-8, 0x1.5a1e23f275838p-8, 0x1.4845c189c724ap-8, 0x1.361092f1354f8p-8, 0x1.238428763c3e5p-8, 0x1.10a5fe9e2d6edp-8, 0x1.faf6fbaf2a89ap-9, 0x1.d413f4897cd16p-9, 0x1.acad67366fb3ep-9, 0x1.84cdaa25d4528p-9, 0x1.5c7eeac15af9ap-9, 0x1.33cb2d6fb7054p-9, 0x1.0abc4d9e80c68p-9, 0x1.c2b7fb96f3926p-10, 0x1.6f678f0f941abp-10, 0x1.1b9a16e060dc3p-10, 0x1.8ec40459bb864p-11, 0x1.cb45b6c9c007p-12, 0x1.dfa2352965a35p-14, -0x1.b8933454ae74cp-13, -0x1.18861b746db34p-11, -0x1.c30e0a6f51a7ap-11, -0x1.36cdd62dd9978p-10, -0x1.8c07611d634d5p-10, -0x1.e123df190339bp-10, -0x1.1b09f18945b36p-9, -0x1.45642d98a4536p-9, -0x1.6f994915a70d7p-9, -0x1.99a2184d36fc4p-9, -0x1.c3779f232fbbp-9, -0x1.ed1311aea29f1p-9, -0x1.0b36ea656af97p-8, -0x1.1fc0bf4d080c8p-8, -0x1.3423eb7bda12fp-8, -0x1.485d6bec2d649p-8, -0x1.5c6a56cada928p-8, -0x1.7047db92e3154p-8, -0x1.83f3431e07a1dp-8, -0x1.9769efaa720a4p-8, -0x1.aaa95cd527caep-8, -0x1.bdaf1f89afa9ap-8, -0x1.d078e5e715308p-8, -0x1.e304771aa8de5p-8, -0x1.f54fb3313e259p-8, -0x1.03ac496fac542p-7, -0x1.0c8e93a08213ap-7, -0x1.154dccc927fc2p-7, -0x1.1de9157070248p-7, -0x1.265f99dbe760cp-7, -0x1.2eb091e324909p-7, -0x1.36db40c104a64p-7, -0x1.3edef4e31b96bp-7, -0x1.46bb07b7cd9bap-7, -0x1.4e6edd7b588e2p-7, -0x1.55f9e5041d01bp-7, -0x1.5d5b978e8396fp-7, -0x1.64937888b2988p-7, -0x1.6ba1155e2555fp-7, -0x1.72840543b70ap-7, -0x1.793be903ba6b8p-7, -0x1.7fc86acad7af3p-7, -0x1.86293df52875ep-7, -0x1.8c5e1edc229cep-7, -0x1.9266d2a5183d6p-7, -0x1.984327104197bp-7, -0x1.9df2f2487c8b8p-7, -0x1.a37612b39b9e4p-7, -0x1.a8cc6ec3448dcp-7, -0x1.adf5f4c639d9cp-7, -0x1.b2f29aba272fcp-7, -0x1.b7c25e1db9d63p-7, -0x1.bc6543c3105a2p-7, -0x1.c0db57a251a45p-7, -0x1.c524acac900e4p-7, -0x1.c9415c9ea134ep-7, -0x1.cd3187d42b45dp-7, -0x1.d0f5551a8814bp-7, -0x1.d48cf183d971ep-7, -0x1.d7f89039d723p-7, -0x1.db386a50c7148p-7, -0x1.de4cbe9a30949p-7, -0x1.e135d177925ecp-7, -0x1.e3f3ecad119e6p-7, -0x1.e6875f340729fp-7, -0x1.e8f07d0d90f7p-7, -0x1.eb2f9f152a984p-7, -0x1.ed4522d34e2cbp-7, -0x1.ef316a5016b74p-7, -0x1.f0f4dbe626045p-7, -0x1.f28fe21598a25p-7, -0x1.f402eb5748a9cp-7, -0x1.f54e69f03ef7dp-7, -0x1.f672d3c596672p-7, -0x1.f770a230a9a0bp-7, -0x1.f84851d3aa79fp-7, -0x1.f8fa626ec1d7p-7, -0x1.f98756b5a9fd8p-7, -0x1.f9efb425d5a52p-7, -0x1.fa3402dd3fe9ap-7, -0x1.fa54cd71c4c18p-7, -0x1.fa52a0c9360afp-7, -0x1.fa2e0bf221ed6p-7, -0x1.f9e79ffd4d5f8p-7, -0x1.f97fefd7e8737p-7, -0x1.f8f790268be43p-7, -0x1.f84f172105856p-7, -0x1.f7871c6ecefdfp-7, -0x1.f6a03904752b7p-7, -0x1.f59b0701bd856p-7, -0x1.f478219088161p-7, -0x1.f33824c4abf74p-7, -0x1.f1dbad7c70068p-7, -0x1.f0635941f2dbp-7, -0x1.eecfc62d5bfbap-7, -0x1.ed2192c7c8448p-7, -0x1.eb595def21536p-7, -0x1.e977c6ba95661p-7, -0x1.e77d6c5ffd107p-7, -0x1.e56aee19f5184p-7, -0x1.e340eb0eba87ep-7, -0x1.e1000237cd324p-7, -0x1.dea8d24a6118fp-7, -0x1.dc3bf9a0774c3p-7, -0x1.d9ba1622ba6b9p-7, -0x1.d723c5332cd91p-7, -0x1.d479a3986ab2bp-7, -0x1.d1bc4d69bd7ecp-7, -0x1.ceec5dfbe5655p-7, -0x1.cc0a6fce800a7p-7, -0x1.c9171c7a33075p-7, -0x1.c612fc9f8217fp-7, -0x1.c2fea7d64888dp-7, -0x1.bfdab49de6cadp-7, -0x1.bca7b84e0805p-7, -0x1.b96647081e9c8p-7, -0x1.b616f3a97049ep-7, -0x1.b2ba4fbdcde11p-7, -0x1.af50eb72cf651p-7, -0x1.abdb558bc2d76p-7, -0x1.a85a1b561f537p-7, -0x1.a4cdc89e7c746p-7, -0x1.a136e7a62b944p-7, -0x1.9d96011947439p-7, -0x1.99eb9c0553b5ep-7, -0x1.96383dd03c125p-7, -0x1.927c6a3003e81p-7, -0x1.8eb8a322b527cp-7, -0x1.8aed68e6ddaa2p-7, -0x1.871b39f47373dp-7, -0x1.834292f622863p-7, -0x1.7f63eec2f1f2ep-7, -0x1.7b7fc65866306p-7, -0x1.779690d4d6191p-7, -0x1.73a8c3723ffc9p-7, -0x1.6fb6d18156fc9p-7, -0x1.6bc12c64f4563p-7, -0x1.67c8438dbf8e6p-7, -0x1.63cc84763bf31p-7, -0x1.5fce5a9f0b979p-7, -0x1.5bce2f8b703d4p-7, -0x1.57cc6abe3461ep-7, -0x1.53c971b6ac3a7p-7, -0x1.4fc5a7ee09b75p-7, -0x1.4bc16ed4ee752p-7, -0x1.47bd25d13fd29p-7, -0x1.43b92a3c2954cp-7, -0x1.3fb5d760740bbp-7, -0x1.3bb38678fc5e3p-7, -0x1.37b28eaf86f84p-7, -0x1.33b3451bbcda1p-7, -0x1.2fb5fcc26f757p-7, -0x1.2bbb06951342ep-7, -0x1.27c2b1719347ep-7, -0x1.23cd4a224b764p-7, -0x1.1fdb1b5e4e0e3p-7, -0x1.1bec6dca03c7p-7, -0x1.180187f7f774bp-7, -0x1.141aae69f10e2p-7, -0x1.1038239268cccp-7, -0x1.0c5a27d63b51ep-7, -0x1.0880f98e9833ep-7, -0x1.04acd50b7175ep-7, -0x1.00ddf496028p-7, -0x1.fa2920e78e856p-8, -0x1.f2a1bdd379ea4p-8, -0x1.eb26287fe7c8bp-8, -0x1.e3b6c58af1dfdp-8, -0x1.dc53f5a900a8dp-8, -0x1.d4fe15adec6cdp-8, -0x1.cdb57e96b6126p-8, -0x1.c67a8593c8266p-8, -0x1.bf4d7c13fe0dfp-8, -0x1.b82eafd02d428p-8, -0x1.b11e6ad7456dp-8, -0x1.aa1cf39b1b5c3p-8, -0x1.a32a8cfdb574dp-8, -0x1.9c47765f20168p-8, -0x1.9573ebabc7fb5p-8, -0x1.8eb0256b6cdeap-8, -0x1.8800055ebd82fp-8, -0x1.815c7ce1fbeeap-8, -0x1.7ac94cdd44a6dp-8, -0x1.7446a0d9cc2dbp-8, -0x1.6dd4a14e45372p-8, -0x1.677373b02d62cp-8, -0x1.61233a8548f7dp-8, -0x1.5ae41575580cap-8, -0x1.54b6215c02498p-8, -0x1.4e99785af2cd2p-8, -0x1.488e31ebefd85p-8, -0x1.429462f329ed1p-8, -0x1.3cac1dd162ad9p-8, -0x1.36d572765087p-8, -0x1.31106e72bcd72p-8, -0x1.2b5d1d0aa0a8cp-8, -0x1.25bb8747311cfp-8, -0x1.202bb408aa879p-8, -0x1.1aada817f8ebdp-8, -0x1.154166382cf6cp-8, -0x1.0fe6ef37a0315p-8, -0x1.0a9e4200dc1d9p-8, -0x1.05675bab39d59p-8, -0x1.0042378b193cbp-8, -0x1.f65d9e83b1b82p-9, -0x1.ec5a359aa60cp-9, -0x1.e27a212e0b5f8p-9, -0x1.d8bd4b05d5d67p-9, -0x1.cf2399fb73e3p-9, -0x1.c5acf215a4182p-9, -0x1.bc5934a39e28p-9, -0x1.b328405715768p-9, -0x1.aa19f15d974a1p-9, -0x1.a12e2178e7b7cp-9, -0x1.9864a81690858p-9, -0x1.8fbd5a669fc13p-9, -0x1.87380b71918ccp-9, -0x1.7ed48c2d5d3cap-9, -0x1.7692ab91c03f1p-9, -0x1.6e7236abd7ae7p-9, -0x1.6672f8b0d9462p-9, -0x1.5e94bb105d708p-9, -0x1.56d7458587f9dp-9, -0x1.4f3a5e280efc1p-9, -0x1.47bdc97c62dd1p-9, -0x1.40614a83462fap-9, -0x1.3924a2c91ab4cp-9, -0x1.32079274385aep-9, -0x1.2b09d8536573ep-9, -0x1.242b31eb8711ep-9, -0x1.1d6b5b850b964p-9, -0x1.16ca1038ebfaep-9, -0x1.104709fd82e27p-9, -0x1.09e201b30ea7dp-9, -0x1.039aaf2fdc2b7p-9, -0x1.fae19298af767p-10, -0x1.eec80bddd6a0dp-10, -0x1.e2e8342f35dfp-10, -0x1.d74173d73d905p-10, -0x1.cbd331817ff0dp-10, -0x1.c09cd2516bbfbp-10, -0x1.b59db9f8940e7p-10, -0x1.aad54accf02e3p-10, -0x1.a042e5df1dddfp-10, -0x1.95e5eb104cc69p-10, -0x1.8bbdb9281d945p-10, -0x1.81c9adea64eb2p-10, -0x1.7809262cf1bacp-10, -0x1.6e7b7ded02833p-10, -0x1.65201064c5daap-10, -0x1.5bf63820d6732p-10, -0x1.52fd4f1525e22p-10, -0x1.4a34aeb270c43p-10, -0x1.419baffaf49ap-10, -0x1.3931ab9749ac7p-10, -0x1.30f5f9eb0264dp-10, -0x1.28e7f329149a3p-10, -0x1.2106ef6803d18p-10, -0x1.195246b5dc343p-10, -0x1.11c9512bcef38p-10, -0x1.0a6b6701bee88p-10, -0x1.0337e0a14858dp-10, -0x1.f85c2d711d0c4p-11, -0x1.ea9ac49987fe3p-11, -0x1.dd2a399868543p-11, -0x1.d009403fefd58p-11, -0x1.c3368d7b536fbp-11, -0x1.b6b0d76fa65c8p-11, -0x1.aa76d59d6151p-11, -0x1.9e874100bf8a2p-11, -0x1.92e0d431066c3p-11, -0x1.87824b7eac01ep-11, -0x1.7c6a6510f6d23p-11, -0x1.7197e10274b36p-11, -0x1.6709817cce5cdp-11, -0x1.5cbe0ad2fee3ep-11, -0x1.52b4439acfa66p-11, -0x1.48eaf4c5ea987p-11, -0x1.3f60e9b9d4396p-11, -0x1.3614f0653db6ap-11, -0x1.2d05d956f64adp-11, -0x1.243277d1a3ffep-11, -0x1.1b99a1dff5d14p-11, -0x1.133a306717459p-11, -0x1.0b12ff38583eap-11, -0x1.0322ed21ff175p-11, -0x1.f6d1b7fd5bedbp-12, -0x1.e7c76189ad8dep-12, -0x1.d924a72767dd7p-12, -0x1.cae75f81891ccp-12, -0x1.bd0d67c772f9fp-12, -0x1.af94a3c299401p-12, -0x1.a27afdeb0ef28p-12, -0x1.95be677a630efp-12, -0x1.895cd87ca4e2cp-12, -0x1.7d544fde240e3p-12, -0x1.71a2d37b5c467p-12, -0x1.6646702b1be95p-12, -0x1.5b3d39c949fe6p-12, -0x1.50854b402ec38p-12, -0x1.461cc68feff55p-12, -0x1.3c01d4d2c76b9p-12, -0x1.3232a642b8f77p-12, -0x1.28ad723c0ebfcp-12, -0x1.1f70773fdf849p-12, -0x1.1679faf2e88a2p-12, -0x1.0dc84a1d6d9e8p-12, -0x1.0559b8a8f0156p-12, -0x1.fa59433928e3ap-13, -0x1.ea7ece3143dacp-13, -0x1.db20e4a1735f8p-13, -0x1.cc3c670b2aa78p-13, -0x1.bdce43f7c85e7p-13, -0x1.afd377ea5df05p-13, -0x1.a2490d4a3bd8fp-13, -0x1.952c1c4ec5d03p-13, -0x1.8879cae6bb3b2p-13, -0x1.7c2f4ca1eb4f9p-13, -0x1.7049e2962b0b7p-13, -0x1.64c6db4373e7p-13, -0x1.59a3927708203p-13, -0x1.4edd712f4cf88p-13, -0x1.4471ed7aa7b9cp-13, -0x1.3a5e8a564f05dp-13, -0x1.30a0d78ebe14dp-13, -0x1.2736719cb28bcp-13, -0x1.1e1d01829835cp-13, -0x1.15523ca8080c1p-13, -0x1.0cd3e4b50cb1bp-13, -0x1.049fc76d91453p-13, -0x1.f9677d16962a5p-14, -0x1.ea1b5f2e99bb1p-14, -0x1.db57178589171p-14, -0x1.cd169f890b2e9p-14, }}, 
      {{-0x1.76465b9fd482fp-2, -0x1.7528479222cbdp-2, -0x1.734e04989dc45p-2, -0x1.70bbe0f61463dp-2, -0x1.6d78602bb69c7p-2, -0x1.698a21e035b15p-2, -0x1.64f8561a3dd9bp-2, -0x1.5fcc8957ded0dp-2, -0x1.5a0f5efe144eep-2, -0x1.53ca69ead3383p-2, -0x1.4d079ffff68aep-2, -0x1.45d135a943ef2p-2, -0x1.3e30fe4fc73dp-2, -0x1.3630856c6d002p-2, -0x1.2dd953a6cc1b7p-2, -0x1.2535bef69def9p-2, -0x1.1c4dce6bc049cp-2, -0x1.132b506181096p-2, -0x1.09d62b3dff571p-2, -0x1.0056e95f2e7d2p-2, -0x1.ed6a6c3bda115p-3, -0x1.d9f12129938efp-3, -0x1.c650294e65c94p-3, -0x1.b294ef70acdc9p-3, -0x1.9ecc364a88f5dp-3, -0x1.8b020438ee5a2p-3, -0x1.7741b3385bb4ep-3, -0x1.6395ae07c59p-3, -0x1.500872cb7ca83p-3, -0x1.3ca325676792dp-3, -0x1.296e20236413cp-3, -0x1.1671a22ab5db1p-3, -0x1.03b57d88122adp-3, -0x1.e2812f20aa431p-4, -0x1.be3235a298c37p-4, -0x1.9a89a2cda6cc5p-4, -0x1.77925b7b9da91p-4, -0x1.55563fc33ebf6p-4, -0x1.33ddfa7955cffp-4, -0x1.133126746da51p-4, -0x1.e6ad1dbb1edf7p-5, -0x1.a8a89183b66c7p-5, -0x1.6c5f46b1ba53fp-5, -0x1.31da2bbf6e362p-5, -0x1.f241164737f63p-6, -0x1.847073d56a9cep-6, -0x1.1a4b84c2ae7d5p-6, -0x1.67b1e597f69dfp-7, -0x1.4474195e5d4c5p-8, 0x1.bcca97ea2fa18p-11, 0x1.a4c5cce9f2425p-8, 0x1.818d6f675460bp-7, 0x1.14aa63a1fb722p-6, 0x1.64e27a1f9f256p-6, 0x1.b176d7fb57f24p-6, 0x1.fa72bf5cd4facp-6, 0x1.1feeb2c2847afp-5, 0x1.40e11fdde392fp-5, 0x1.60175b7c3e6adp-5, 0x1.7d98eecb1a535p-5, 0x1.996df8c54e4adp-5, 0x1.b39eed9132a78p-5, 0x1.cc34689fb6fb6p-5, 0x1.e3371b6fefe7ap-5, 0x1.f8afd6b5f77e6p-5, 0x1.0653d15cdb5e9p-4, 0x1.0f93ec4650d09p-4, 0x1.181d180f727eep-4, 0x1.1ff45e9f71e5ap-4, 0x1.271eee31b215ap-4, 0x1.2da20aad52d26p-4, 0x1.3382fe1d84385p-4, 0x1.38c70c1244bcp-4, 0x1.3d736a36eaa6p-4, 0x1.418d3e8d3a8ccp-4, 0x1.4519a21c3ab87p-4, 0x1.481da5e771b0cp-4, 0x1.4a9e57d09f9f5p-4, 0x1.4ca0c58310473p-4, 0x1.4e29fc715ccfbp-4, 0x1.4f3f06ee75d8bp-4, 0x1.4fe4e7344b4f3p-4, 0x1.502091923e503p-4, 0x1.4ff6e7009762p-4, 0x1.4f6cb10ad1748p-4, 0x1.4e869f8adc6d4p-4, 0x1.4d49482fe8c26p-4, 0x1.4bb927648b02p-4, 0x1.49daa1eeeaac1p-4, 0x1.47b2069f68619p-4, 0x1.45438f84a683ep-4, 0x1.42936255b2d8bp-4, 0x1.3fa590032071cp-4, 0x1.3c7e139788d4cp-4, 0x1.3920d0b4f0fb2p-4, 0x1.359192081bd59p-4, 0x1.31d407fd9a332p-4, 0x1.2debc7e6028b6p-4, 0x1.29dc4b939d375p-4, 0x1.25a8f16020286p-4, 0x1.2154fc7b32824p-4, 0x1.1ce395613c163p-4, 0x1.1857ca6040e39p-4, 0x1.13b49017251dep-4, 0x1.0efcc1e0e9f57p-4, 0x1.0a3322211b9e5p-4, 0x1.055a5a6bbaaeap-4, 0x1.0074fb8adf8e3p-4, 0x1.f70afadb7180bp-5, 0x1.ed1c7e27c2e45p-5, 0x1.e321fd9434981p-5, 0x1.d92291e0b4247p-5, 0x1.cf20b51c080bcp-5, 0x1.c520523c8b9adp-5, 0x1.bb252799fe877p-5, 0x1.b132c88159c59p-5, 0x1.a74c9e6806cdfp-5, 0x1.9d75e9beb633fp-5, 0x1.93b1c26ec1a57p-5, 0x1.8a0318157295cp-5, 0x1.806cb215ed942p-5, 0x1.76f12f9c2c09dp-5, 0x1.6d9307aa33343p-5, 0x1.645489446cbbap-5, 0x1.5b37dbcc1a3d8p-5, 0x1.523eff901688bp-5, 0x1.496bce956f515p-5, 0x1.40bffd9380f08p-5, 0x1.383d1d1b427a7p-5, 0x1.2fe49ade9e1f6p-5, 0x1.27b7c30bf0a2p-5, 0x1.1fb7c1b2370c6p-5, 0x1.17e5a423aaf17p-5, 0x1.10425a4ec187dp-5, 0x1.08ceb807a61afp-5, 0x1.018b763ecc84fp-5, 0x1.f4f26846c3008p-6, 0x1.e730f0649666dp-6, 0x1.d9d362675d45p-6, 0x1.ccda6e543eccap-6, 0x1.c046986cf863fp-6, 0x1.b4183ae7b4153p-6, 0x1.a84f879c2f0e6p-6, 0x1.9cec89aa75046p-6, 0x1.91ef271e78addp-6, 0x1.87572291dc83cp-6, 0x1.7d241cccc96fap-6, 0x1.73559665497cbp-6, 0x1.69eaf15c352d8p-6, 0x1.60e372b5fc5c9p-6, 0x1.583e440d58726p-6, 0x1.4ffa751e318a7p-6, 0x1.4816fd46b2ba4p-6, 0x1.4092bcfd6fc8p-6, 0x1.396c7f3b589dap-6, 0x1.32a2fad95cebep-6, 0x1.2c34d3e1a53e3p-6, 0x1.26209cd4e68p-6, 0x1.2064d7e4cbde2p-6, 0x1.1afff82453458p-6, 0x1.15f062af84157p-6, 0x1.11346fcb2b032p-6, 0x1.0cca6bfdd9f52p-6, 0x1.08b099227d766p-6, 0x1.04e52f75071f5p-6, 0x1.01665e98ff378p-6, 0x1.fc649d341e4f6p-7, 0x1.f68e41cb91b36p-7, 0x1.f145e27cda324p-7, 0x1.ec87ad4bd7daap-7, 0x1.e84fc8812ccf5p-7, 0x1.e49a545d822fcp-7, 0x1.e1636cb9c6131p-7, 0x1.dea72a92e969cp-7, 0x1.dc61a5804aaa3p-7, 0x1.da8ef5141a8b7p-7, 0x1.d92b32252b413p-7, 0x1.d83278024d68p-7, 0x1.d7a0e58fdb125p-7, 0x1.d7729e4fee384p-7, 0x1.d7a3cb5774155p-7, 0x1.d8309c312d12ap-7, 0x1.d91547b0bb4ebp-7, 0x1.da4e0cb7f6edap-7, 0x1.dbd732efeadbp-7, 0x1.ddad0b7789c19p-7, 0x1.dfcbf188da9edp-7, 0x1.e2304b16513d9p-7, 0x1.e4d689606ebb1p-7, 0x1.e7bb29845fa6p-7, 0x1.eadab504057cp-7, 0x1.ee31c2479727ep-7, 0x1.f1bcf518de20ep-7, 0x1.f578ff1861cc5p-7, 0x1.f962a02cb8046p-7, 0x1.fd76a6eb96d7dp-7, 0x1.00d8f87e6afap-6, 0x1.0308b5bb9c289p-6, 0x1.0549099b2cbbcp-6, 0x1.07987a94b87a8p-6, 0x1.09f5974d25154p-6, 0x1.0c5ef6b60a7b5p-6, 0x1.0ed33828bd07p-6, 0x1.1151037cba2c5p-6, 0x1.13d70919b5969p-6, 0x1.166402050fd1ap-6, 0x1.18f6afeaf46b8p-6, 0x1.1b8ddd239d84p-6, 0x1.1e285cb4b891cp-6, 0x1.20c50a4f91064p-6, 0x1.2362ca4c74385p-6, 0x1.260089a3602cep-6, 0x1.289d3de29c464p-6, 0x1.2b37e5237371ep-6, 0x1.2dcf85fd2cadap-6, 0x1.30632f76943a4p-6, 0x1.32f1f8f627c65p-6, 0x1.357b0230e7ae3p-6, 0x1.37fd73181c20fp-6, 0x1.3a787bc5f7a64p-6, 0x1.3ceb54690620ep-6, 0x1.3f553d2ef4574p-6, 0x1.41b4f7d5aabc6p-6, 0x1.440ae65910a83p-6, 0x1.4655d6ea65373p-6, 0x1.48952870f12bfp-6, 0x1.4ac8415493ec6p-6, 0x1.4cee8f66b4f9dp-6, 0x1.4f0787ca9a999p-6, 0x1.5112a6dcc6aecp-6, 0x1.530f7019536ecp-6, 0x1.54fd6e0197b93p-6, 0x1.56dc3200902e3p-6, 0x1.58ab544e77faep-6, 0x1.5a6a73d3590f8p-6, 0x1.5c193608ababfp-6, 0x1.5db746d9fcd1fp-6, 0x1.5f445884dd0d1p-6, 0x1.60c02377d83cap-6, 0x1.622a6630d8e2fp-6, 0x1.6382e51ae129cp-6, 0x1.64c96a6b2b33dp-6, 0x1.65fdc5fde6358p-6, 0x1.671fcd32894c3p-6, 0x1.682f5ac805f6bp-6, 0x1.692c4eb8ab0ap-6, 0x1.6a168e160f62ap-6, 0x1.6aee02e4f208cp-6, 0x1.6bb29bf936799p-6, 0x1.6c644cd223ca9p-6, 0x1.6d030d76be8a1p-6, 0x1.6d8eda527d669p-6, 0x1.6e07b412605ap-6, 0x1.6e6d9f823d505p-6, 0x1.6ec0a56ac477p-6, 0x1.6f00d26faf7a3p-6, 0x1.6f2e36ee853b7p-6, 0x1.6f48e6ddc7168p-6, 0x1.6f50f9acb1383p-6, 0x1.6f468a236536cp-6, 0x1.6f29b64380547p-6, 0x1.6efa9f2959f07p-6, 0x1.6eb968ed7e7c7p-6, 0x1.6e663a86d6249p-6, 0x1.6e013dad1c651p-6, 0x1.6d8a9ebbd8652p-6, 0x1.6d028c95bcc3cp-6, 0x1.6c693888703dbp-6, 0x1.6bbed630d7199p-6, 0x1.6b039b5fa50f6p-6, 0x1.6a37bffe6297p-6, 0x1.695b7df4e2ce4p-6, 0x1.686f110f0d1bap-6, 0x1.6772b6e306851p-6, 0x1.6666aeb7de9d3p-6, 0x1.654b396c8167p-6, 0x1.6420995f1ebd9p-6, 0x1.62e71254f006bp-6, 0x1.619ee962714ddp-6, 0x1.604864d40e79ep-6, 0x1.5ee3cc1724414p-6, 0x1.5d7167a38bbcep-6, 0x1.5bf180e5903e6p-6, 0x1.5a646228485dap-6, 0x1.58ca568095ccbp-6, 0x1.5723a9b86f0efp-6, 0x1.5570a83abfc7p-6, 0x1.53b19effbb03cp-6, 0x1.51e6db79c2084p-6, 0x1.5010ab82ae4b5p-6, 0x1.4e2f5d49ba803p-6, 0x1.4c433f41d748cp-6, 0x1.4a4ca01095cafp-6, 0x1.484bce7d8e1fp-6, 0x1.464119623d5e9p-6, 0x1.442ccf9a87a91p-6, 0x1.420f3ff597bf8p-6, 0x1.3fe8b9275c403p-6, 0x1.3db989ba6fd8ap-6, 0x1.3b82000295f1dp-6, 0x1.39426a0fa95b6p-6, 0x1.36fb15a0fe5fp-6, 0x1.34ac5019594dfp-6, 0x1.3256667347925p-6, 0x1.2ff9a535f115cp-6, 0x1.2d96586a6d3e6p-6, 0x1.2b2ccb9172b2bp-6, 0x1.28bd499990555p-6, 0x1.26481cd5c26fdp-6, 0x1.23cd8ef474ef8p-6, 0x1.214de8f6f7a22p-6, 0x1.1ec973294d389p-6, 0x1.1c40751a63d73p-6, 0x1.19b33594bc219p-6, 0x1.1721fa97580b8p-6, 0x1.148d094f18264p-6, 0x1.11f4a61073b2cp-6, 0x1.0f59145184727p-6, 0x1.0cba96a471765p-6, 0x1.0a196eb2231dap-6, 0x1.0775dd355bb54p-6, 0x1.04d021f619457p-6, 0x1.02287bc541f75p-6, 0x1.fefe50f159527p-7, 0x1.f9a8c9cecededp-7, 0x1.f450d9ccac165p-7, 0x1.eef6f68a19cbdp-7, 0x1.e99b9395f9f23p-7, 0x1.e43f2269c7f02p-7, 0x1.dee21264edc37p-7, 0x1.d984d0c8b6c5p-7, 0x1.d427c8b4b8a49p-7, 0x1.cecb6323b1349p-7, 0x1.c97006e8f0f3p-7, 0x1.c41618ae26addp-7, 0x1.bebdfaf1b3ab7p-7, 0x1.b9680e055f868p-7, 0x1.b414b00d7f721p-7, 0x1.aec43d0082d18p-7, 0x1.a9770ea6fbaa8p-7, 0x1.a42d7c9bdf62p-7, 0x1.9ee7dc4d4e95bp-7, 0x1.99a680fda4badp-7, 0x1.9469bbc4e8da5p-7, 0x1.8f31db928e842p-7, 0x1.89ff2d2f8e056p-7, 0x1.84d1fb40cb6dep-7, 0x1.7faa8e49c995ap-7, 0x1.7a892caf9b0efp-7, 0x1.756e1abc3ca62p-7, 0x1.70599aa204fd5p-7, 0x1.6b4bec7f76acap-7, 0x1.66454e633b33p-7, 0x1.6145fc507527ep-7, 0x1.5c4e30431aep-7, 0x1.575e2234bed76p-7, 0x1.52760821608dep-7, 0x1.4d96160c83c1cp-7, 0x1.48be7e066267ep-7, 0x1.43ef703168cedp-7, 0x1.3f291ac7bd28cp-7, 0x1.3a6baa20f0e19p-7, 0x1.35b748b7f0ddep-7, 0x1.310c1f30f6923p-7, 0x1.2c6a545fa9a86p-7, 0x1.27d20d4d66a8p-7, 0x1.23436d3f89003p-7, 0x1.1ebe95bde9d78p-7, 0x1.1a43a69965e5cp-7, 0x1.15d2bdf27aaabp-7, 0x1.116bf84006f72p-7, 0x1.0d0f7055ff80ep-7, 0x1.08bd3f6c59ec8p-7, 0x1.04757d25dc667p-7, 0x1.00383f9725875p-7, 0x1.f80b369b384ep-8, 0x1.efbb46acfa9dp-8, 0x1.e780d28bdcc42p-8, 0x1.df5bfa7c0e441p-8, 0x1.d74cdbebfae4fp-8, 0x1.cf53918272b39p-8, 0x1.c770332cf5bedp-8, 0x1.bfa2d62df9a2bp-8, 0x1.b7eb8d2b25822p-8, 0x1.b04a683bb0e7cp-8, 0x1.a8bf74f66bf4fp-8, 0x1.a14abe802984ep-8, 0x1.99ec4d99cb4c2p-8, 0x1.92a428ae6a1e9p-8, 0x1.8b7253e15835p-8, 0x1.8456d11c3696fp-8, 0x1.7d51a01cd0d07p-8, 0x1.7662be82fd712p-8, 0x1.6f8a27de5f949p-8, 0x1.68c7d5bc134edp-8, 0x1.621bbfb437c13p-8, 0x1.5b85db77935d4p-8, 0x1.55061cdcb3941p-8, 0x1.4e9c75ed583d2p-8, 0x1.4848d6f3869b3p-8, 0x1.420b2e869b891p-8, 0x1.3be369981e513p-8, 0x1.35d1738094edcp-8, 0x1.2fd5360c1e04dp-8, 0x1.29ee9986ec7dfp-8, 0x1.241d84c9b6fddp-8, 0x1.1e61dd45d921ap-8, 0x1.18bb871174722p-8, 0x1.132a64f35fcd3p-8, 0x1.0dae586ef597fp-8, 0x1.084741cf9bdacp-8, 0x1.02f500348d1adp-8, 0x1.fb6ee33799ef8p-9, 0x1.f11ce5db497adp-9, 0x1.e6f3c00f0fecep-9, 0x1.dcf3278e08825p-9, 0x1.d31ad02910a83p-9, 0x1.c96a6bdbc0d68p-9, 0x1.bfe1aae16b0c1p-9, 0x1.b6803bc9b4856p-9, 0x1.ad45cb8c82a06p-9, 0x1.a432059e4803ep-9, 0x1.9b44940353e34p-9, 0x1.927d1f6333d54p-9, 0x1.89db4f1bb8389p-9, 0x1.815ec9537d4e8p-9, 0x1.7907330c77b6cp-9, 0x1.70d43035b1c09p-9, 0x1.68c563bd1e203p-9, 0x1.60da6fa108207p-9, 0x1.5912f5011c3f3p-9, 0x1.516e942ee01b9p-9, 0x1.49ececbebe731p-9, 0x1.428d9d9762361p-9, 0x1.3b504501d0732p-9, 0x1.343480b8fa066p-9, 0x1.2d39edf890b2bp-9, 0x1.2660298bf8604p-9, 0x1.1fa6cfdcb01f8p-9, 0x1.190d7d00731cep-9, 0x1.1293ccc71ba8ep-9, 0x1.0c395ac7ed1f6p-9, 0x1.05fdc26ed31e1p-9, 0x1.ffc13e1260467p-10, 0x1.f3c317a4c71afp-10, 0x1.e80047ff837ddp-10, 0x1.dc795f83ba1e4p-10, 0x1.d12ae0f7e6afdp-10, 0x1.c6155c9300804p-10, 0x1.bb3809798dfbcp-10, 0x1.b0921f342066fp-10, 0x1.a622d5c36559ep-10, 0x1.9be965b45100ap-10, 0x1.91e50832a224ep-10, 0x1.8814f71b41105p-10, 0x1.7e786d0eff42dp-10, 0x1.750ea58252ca5p-10, 0x1.6bd6dcce94ea6p-10, 0x1.62d05041c675bp-10, 0x1.59fa3e2dcd0cdp-10, 0x1.5153e5f6fe77ap-10, 0x1.48dc88222de58p-10, 0x1.409366625f1b2p-10, 0x1.3877c3a53c1edp-10, 0x1.3088e41f8c05ap-10, 0x1.28c60d58e397bp-10, 0x1.212e8636ca57fp-10, 0x1.19c197074f6e5p-10, 0x1.127e898afc70fp-10, 0x1.0b64a8fea786cp-10, 0x1.0473422421eddp-10, 0x1.fb534695768cfp-11, 0x1.ee0e38af63e73p-11, 0x1.e115fd9a78dcbp-11, 0x1.d4693ba29ec55p-11, 0x1.c8069c6b49943p-11, 0x1.bbecccf7f3b44p-11, 0x1.b01a7db9c98ddp-11, 0x1.a48e6299e86bfp-11, 0x1.99473302b7062p-11, 0x1.8e43a9e95c368p-11, 0x1.838285d57d026p-11, 0x1.790288e8b50e7p-11, 0x1.6ec278e570c5dp-11, 0x1.64c11f3501cb8p-11, 0x1.5afd48ec9d19cp-11, 0x1.5175c6d209309p-11, 0x1.48296d6082c3p-11, 0x1.3f1714caf01dbp-11, 0x1.363d98ff61245p-11, 0x1.2d9bd9a90a332p-11, 0x1.2530ba32c61c1p-11, 0x1.1cfb21c6a4a8ap-11, 0x1.14f9fb51dfb02p-11, 0x1.0d2c3580cc1c6p-11, 0x1.0590c2c16c907p-11, 0x1.fc4d32840ea3dp-12, 0x1.edd965e0e6887p-12, 0x1.dfc41aef55463p-12, 0x1.d20b547dea2d8p-12, 0x1.c4ad1ccd01dd2p-12, 0x1.b7a7858b11ccfp-12, 0x1.aaf8a7cdf6af3p-12, 0x1.9e9ea40bbfc3fp-12, 0x1.9297a214782dp-12, 0x1.86e1d1091ba14p-12, 0x1.7b7b675383458p-12, 0x1.7062a29d76bf1p-12, 0x1.6595c7c5fc43bp-12, 0x1.5b1322d7c4d78p-12, 0x1.50d906fdb3808p-12, 0x1.46e5ce7979414p-12, 0x1.3d37da96620bfp-12, 0x1.33cd939c35861p-12, 0x1.2aa568c45e1d2p-12, 0x1.21bdd02ad0efep-12, 0x1.191546c618d43p-12, 0x1.10aa505167403p-12, 0x1.087b77441cb55p-12, 0x1.00874cc139835p-12, 0x1.f198d1124857bp-13, 0x1.e292d1d529cc6p-13, 0x1.d3f9e5651e964p-13, 0x1.c5cb623a30815p-13, 0x1.b804ab89ef9bbp-13, 0x1.aaa33127e3a6bp-13, 0x1.9da46f62d1fbap-13, 0x1.9105eee5401aep-13, 0x1.84c54491d8622p-13, 0x1.78e01160f298fp-13, 0x1.6d540242460a1p-13, 0x1.621ecff20dd81p-13, 0x1.573e3ede05432p-13, 0x1.4cb01ef895638p-13, 0x1.42724ba26d60dp-13, 0x1.3882ab75f7181p-13, 0x1.2edf30307dd52p-13, 0x1.2585d68527cf8p-13, 0x1.1c74a5fc32a97p-13, 0x1.13a9b0cd802c5p-13, 0x1.0b2313ba60776p-13, 0x1.02def5e993a26p-13, 0x1.f5b711857a1f6p-14, 0x1.e62e0f8dd9e59p-14, 0x1.d71f70da6b55ap-14, 0x1.c887d3f6c4a48p-14, 0x1.ba63eac7d88f6p-14, 0x1.acb07a39c3bd6p-14, 0x1.9f6a59f939917p-14, 0x1.928e7428659dp-14, 0x1.8619c5153c63bp-14, 0x1.7a095aeb74174p-14, 0x1.6e5a5574b6c18p-14, 0x1.6309e5c0b96b6p-14, 0x1.58154deb2be4bp-14, 0x1.4d79e0c268e41p-14, 0x1.4335018c45936p-14, 0x1.394423b5f2ba8p-14, 0x1.2fa4ca9012265p-14, 0x1.2654890515a7ap-14, 0x1.1d51014f21c4ap-14, 0x1.1497e4c14abd2p-14, 0x1.0c26f3690ce5fp-14, 0x1.03fbfbd9f86ecp-14, 0x1.f829b5c4e97f2p-15, 0x1.e8def69360bfep-15, 0x1.da13ab19e4ae2p-15, 0x1.cbc3df2f57587p-15, 0x1.bdebb90888425p-15, 0x1.b08778b284a38p-15, 0x1.a393779095714p-15, 0x1.970c27d62fc79p-15, 0x1.8aee141aa3b4dp-15, 0x1.7f35debc7bc74p-15, 0x1.73e04178befa7p-15, 0x1.68ea0cea37b26p-15, 0x1.5e50280e15f89p-15, 0x1.540f8fc502316p-15, 0x1.4a2556827c923p-15, 0x1.408ea394ccdeap-15, 0x1.3748b2e071e6p-15, 0x1.2e50d45fecb84p-15, 0x1.25a46bbc0fb65p-15, 0x1.1d40efcb5e0d2p-15, 0x1.1523ea3032b03p-15, 0x1.0d4af6e9556ebp-15, 0x1.05b3c3e4d137p-15, 0x1.fcb8213f961bp-16, 0x1.ee835b6944db4p-16, 0x1.e0c4f8ebac677p-16, 0x1.d378dd1fe5353p-16, 0x1.c69b0b4046aeap-16, 0x1.ba27a5b1a93e6p-16, 0x1.ae1aed2e9ac57p-16, 0x1.a271403dd461ap-16, 0x1.97271a32f61e7p-16, 0x1.8c3912a617eb3p-16, 0x1.81a3dcb8febf3p-16, 0x1.7764465e61ebap-16, 0x1.6d7737b1398d4p-16, }}, 
      {{-0x1.768603e29b368p-2, -0x1.76262e8aea90ep-2, -0x1.75869f1bb8959p-2, -0x1.74a836acf371cp-2, -0x1.738cf38bdbcdbp-2, -0x1.72360be27ee43p-2, -0x1.70a4795222c41p-2, -0x1.6edb047afca98p-2, -0x1.6cdb2296174d7p-2, -0x1.6aa70521852e5p-2, -0x1.684106d455f39p-2, -0x1.65abbb6644d84p-2, -0x1.62e96bdfbce91p-2, -0x1.5ffcce4f186a4p-2, -0x1.5ce73bf417234p-2, -0x1.59ac909ac6e22p-2, -0x1.564e1fc9809e4p-2, -0x1.52cede0fc08d6p-2, -0x1.4f30dfe5632c6p-2, -0x1.4b7689d4931bcp-2, -0x1.47a20cc1090abp-2, -0x1.43b59bb57291fp-2, -0x1.3fb3527bf804dp-2, -0x1.3b9d3f64366dap-2, -0x1.37755f56034cp-2, -0x1.333d9df8e4a7p-2, -0x1.2ef7dfe362fadp-2, -0x1.2aa5c7411f35cp-2, -0x1.2649452561a7p-2, -0x1.21e3dcdb7d9edp-2, -0x1.1d771ebd4b3cap-2, -0x1.1904a2fc95f1fp-2, -0x1.148dd58053b42p-2, -0x1.101414a9a3788p-2, -0x1.0b98b5e1b6a14p-2, -0x1.071cfc98a7772p-2, -0x1.02a21c3a831c3p-2, -0x1.fc52712f87a7p-3, -0x1.f366cbf5870dp-3, -0x1.ea8354d9990ddp-3, -0x1.e1a9fc965f9c6p-3, -0x1.d8dc984b4eaa6p-3, -0x1.d01ce18433618p-3, -0x1.c76c770eebd65p-3, -0x1.beccddef9aa01p-3, -0x1.b63f8276b8bf1p-3, -0x1.adc5b96909e17p-3, -0x1.a560c04faecd9p-3, -0x1.9d11bd8a05fcfp-3, -0x1.94d9c16f2b184p-3, -0x1.8cb9c7a996cbep-3, -0x1.84b2b797ded2p-3, -0x1.7cc56487f42cp-3, -0x1.74f28ec9ea5e8p-3, -0x1.6d3adf5b7e721p-3, -0x1.659eff304d39dp-3, -0x1.5e1f763fb8fdcp-3, -0x1.56bcbf4799a05p-3, -0x1.4f7745721a5dbp-3, -0x1.484f65afec972p-3, -0x1.41456fc61e2e8p-3, -0x1.3a59a6f5e1bap-3, -0x1.338c424f92c19p-3, -0x1.2cdd6cdd4abe8p-3, -0x1.264d45d67cd6cp-3, -0x1.1fdbe0ffc786ep-3, -0x1.19894742f5abap-3, -0x1.13557774026c8p-3, -0x1.0d4067293443p-3, -0x1.074a038963715p-3, -0x1.017231fb4f97dp-3, -0x1.f771a15c8d4c3p-4, -0x1.ec3b6e0013566p-4, -0x1.e1416b9590e4fp-4, -0x1.d6832f53724f7p-4, -0x1.cc00428490093p-4, -0x1.c1b823364db62p-4, -0x1.b7aa450544f99p-4, -0x1.add611fd860aep-4, -0x1.a43aeb7e75a38p-4, -0x1.9ad82b157ad98p-4, -0x1.91ad23464137cp-4, -0x1.88b9203aa2fa5p-4, -0x1.7ffb6856c118cp-4, -0x1.77733cb2a2fb7p-4, -0x1.6f1fd980df9f7p-4, -0x1.6700766dd606ep-4, -0x1.5f14470203498p-4, -0x1.575a7b0ca8c66p-4, -0x1.4fd23f14ccbbp-4, -0x1.487abcca45efdp-4, -0x1.41531b70b6e22p-4, -0x1.3a5a80426e755p-4, -0x1.33900ecdd12efp-4, -0x1.2cf2e95195722p-4, -0x1.268231197b0d4p-4, -0x1.203d06d841824p-4, -0x1.1a228af87490fp-4, -0x1.1431dddee5503p-4, -0x1.0e6a201f01716p-4, -0x1.08ca72a783463p-4, -0x1.0351f6f0d28b3p-4, -0x1.fbff9e6831155p-5, -0x1.f1a63d57e108dp-5, -0x1.e79613b1f46edp-5, -0x1.ddcd6d82ab708p-5, -0x1.d44a9a46edf34p-5, -0x1.cb0bed340a308p-5, -0x1.c20fbd6859dddp-5, -0x1.b9546613f552ep-5, -0x1.b0d83a82bbb54p-5, -0x1.a899b48fc86a2p-5, -0x1.a09734c947a37p-5, -0x1.98cf294a7d9b7p-5, -0x1.914005634f254p-5, -0x1.89e841cdb15c1p-5, -0x1.82c65cdfad3bp-5, -0x1.7bd8dab8fb8cp-5, -0x1.751e456b904bdp-5, -0x1.6e952d1ee16fcp-5, -0x1.683c282dfe29cp-5, -0x1.6211d340c08e6p-5, -0x1.5c14d16082cf2p-5, -0x1.5643cc089c4c9p-5, -0x1.509d7332ecdd1p-5, -0x1.4b207d60d4eedp-5, -0x1.45cba7a0e7ec1p-5, -0x1.409db591ce0c6p-5, -0x1.3b957162bae67p-5, -0x1.36b1abd20094p-5, -0x1.31f13c2a11065p-5, -0x1.2d53003d4b7fp-5, -0x1.28d5dc60ba67ep-5, -0x1.2478bb65d3243p-5, -0x1.203a8e934fc5ap-5, -0x1.1c1a4d9cf9d6bp-5, -0x1.1816f69a6f04ep-5, -0x1.142f8dfcd4695p-5, -0x1.10631e8392d2cp-5, -0x1.0cb0b92ff1d83p-5, -0x1.09177537c5132p-5, -0x1.05966ff6eea26p-5, -0x1.022cccdfb8b87p-5, -0x1.fdb36ad3e3997p-6, -0x1.f738b20138948p-6, -0x1.f0e7d9dcc5fbbp-6, -0x1.eabf58917e87dp-6, -0x1.e4bdafb43449dp-6, -0x1.dee16c16139ap-6, -0x1.d9292595d9a1cp-6, -0x1.d3937ef03227ep-6, -0x1.ce1f258f39d1p-6, -0x1.c8cad159934d2p-6, -0x1.c3954480d673p-6, -0x1.be7d4b4f8f794p-6, -0x1.b981bbf6e7a14p-6, -0x1.b4a1765bf04b1p-6, -0x1.afdb63e4ffa0fp-6, -0x1.ab2e77471eda8p-6, -0x1.a699ac53fee72p-6, -0x1.a21c07c85a2b2p-6, -0x1.9db4971b04c06p-6, -0x1.9962704c6f6a3p-6, -0x1.9524b1b6a2de3p-6, -0x1.90fa81dd5732ep-6, -0x1.8ce30f3e39bf5p-6, -0x1.88dd9020f9fbfp-6, -0x1.84e9426760f08p-6, -0x1.81056b5d4bc92p-6, -0x1.7d315788c6c92p-6, -0x1.796c5a7a635a9p-6, -0x1.75b5ce9e13d0cp-6, -0x1.720d150c7e177p-6, -0x1.6e71955d0fe51p-6, -0x1.6ae2bd78a54bap-6, -0x1.6760016cd6c35p-6, -0x1.63e8db3fba9cfp-6, -0x1.607ccac41a903p-6, -0x1.5d1b556df278bp-6, -0x1.59c406276f254p-6, -0x1.56766d262de4cp-6, -0x1.53321fc120bc4p-6, -0x1.4ff6b8472afb1p-6, -0x1.4cc3d5d68a947p-6, -0x1.49991c353bfd3p-6, -0x1.467633aa83789p-6, -0x1.435ac8d981cc3p-6, -0x1.40468c9cc8648p-6, -0x1.3d3933e2df8a4p-6, -0x1.3a32778b9d971p-6, -0x1.373214463302ep-6, -0x1.3437ca6f9f4b1p-6, -0x1.31435df1ca83p-6, -0x1.2e549623151cap-6, -0x1.2b6b3da651f39p-6, -0x1.2887224b65b4fp-6, -0x1.25a814f095803p-6, -0x1.22cde9649385ap-6, -0x1.1ff8764941e78p-6, -0x1.1d2794f78c42ep-6, -0x1.1a5b2163ef09p-6, -0x1.1792fa03df523p-6, -0x1.14ceffb40a04ap-6, -0x1.120f159f2fe7dp-6, -0x1.0f532125a9e5dp-6, -0x1.0c9b09c5827b6p-6, -0x1.09e6b903120aep-6, -0x1.07361a51f8c63p-6, -0x1.04891afeb8554p-6, -0x1.01dfaa18d985bp-6, -0x1.fe7370bab4e95p-7, -0x1.f92e7043fd36ep-7, -0x1.f3f03a823f43ep-7, -0x1.eeb8ba0c5531dp-7, -0x1.e987dc359a3f8p-7, -0x1.e45d90e99c7b8p-7, -0x1.df39ca894a74p-7, -0x1.da1c7dc968d21p-7, -0x1.d505a191fe3efp-7, -0x1.cff52edf235aap-7, -0x1.caeb20a2cbccfp-7, -0x1.c5e773a77a5fp-7, -0x1.c0ea2106922f2p-7, -0x1.bbf333be13c6dp-7, -0x1.b702a8122e23p-7, -0x1.b2188116af7e3p-7, -0x1.ad34c3316a848p-7, -0x1.a857740227a81p-7, -0x1.a3809a4b817c4p-7, -0x1.9eb03ddc7807dp-7, -0x1.99e6677aef1dbp-7, -0x1.952320cee5148p-7, -0x1.9066744e7e014p-7, -0x1.8bb06d2ae20d2p-7, -0x1.8701173d8f32ep-7, -0x1.82587ef6ba9bfp-7, -0x1.7db6b14c48946p-7, -0x1.791bbba95c7dep-7, -0x1.7487abded3ca9p-7, -0x1.6ffa90141130bp-7, -0x1.6b7476b8bcc04p-7, -0x1.66f56e77013ap-7, -0x1.627d8626832cep-7, -0x1.5e0cccbfddc65p-7, -0x1.59a3515098acp-7, -0x1.554122efee1f6p-7, -0x1.50e650b3fd804p-7, -0x1.4c92e9a79194ap-7, -0x1.4846fcc070bdep-7, -0x1.440298d6056afp-7, -0x1.3fc5cc98d56d8p-7, -0x1.3b90a68a27548p-7, -0x1.376334f440797p-7, -0x1.333d85e334943p-7, -0x1.2f1fa71de20f6p-7, -0x1.2b09a61f7794ep-7, -0x1.26fb901179651p-7, -0x1.22f571c61384ep-7, -0x1.1ef757b2e1049p-7, -0x1.1b014debd4c4fp-7, -0x1.1713601ef72c6p-7, -0x1.132d998fde795p-7, -0x1.0f500514091b8p-7, -0x1.0b7aad0f274d6p-7, -0x1.07ad9b7000e57p-7, -0x1.03e8d9ad580f7p-7, -0x1.002c70c34c3b2p-7, -0x1.f8f0d26221496p-8, -0x1.f19995ed1b393p-8, -0x1.ea533b253f6f2p-8, -0x1.e31dd0030618p-8, -0x1.dbf9617688687p-8, -0x1.d4e5fb6537b53p-8, -0x1.cde3a8a84d314p-8, -0x1.c6f2730aa555dp-8, -0x1.c01263480543bp-8, -0x1.b943810c576bcp-8, -0x1.b285d2f331f5cp-8, -0x1.abd95e87e7a3fp-8, -0x1.a53e2845b05b5p-8, -0x1.9eb4339899ccep-8, -0x1.983b82de23ad8p-8, -0x1.91d417668f82dp-8, -0x1.8b7df176ae898p-8, -0x1.853910492c714p-8, -0x1.7f057210ead7ep-8, -0x1.78e313fb1e006p-8, -0x1.72d1f231f68e1p-8, -0x1.6cd207df214f9p-8, -0x1.66e34f2eb9095p-8, -0x1.6105c1525d671p-8, -0x1.5b395684a5207p-8, -0x1.557e060c369b6p-8, -0x1.4fd3c63f94faep-8, -0x1.4a3a8c88ee068p-8, -0x1.44b24d69b2dedp-8, -0x1.3f3afc7ee1bdcp-8, -0x1.39d48c84e7922p-8, -0x1.347eef5bfa139p-8, -0x1.2f3a160c5dda3p-8, -0x1.2a05f0cabbf21p-8, -0x1.24e26efcc5adbp-8, -0x1.1fcf7f3d8e2a6p-8, -0x1.1acd0f62522a5p-8, -0x1.15db0c7f2579ap-8, -0x1.10f962eb8c0f8p-8, -0x1.0c27fe475e55fp-8, -0x1.0766c97f8ec44p-8, -0x1.02b5aed2fc6b3p-8, -0x1.fc292fae85629p-9, -0x1.f306dafbbf813p-9, -0x1.ea04303152afdp-9, -0x1.e120febe3661fp-9, -0x1.d85d14e607aa7p-9, -0x1.cfb83fcb02c6p-9, -0x1.c7324b77c60acp-9, -0x1.becb02e909951p-9, -0x1.b68230176bc8bp-9, -0x1.ae579c0137a13p-9, -0x1.a64b0eb3d6904p-9, -0x1.9e5c4f55af931p-9, -0x1.968b242f49207p-9, -0x1.8ed752b54974ep-9, -0x1.87409f9156136p-9, -0x1.7fc6ceabab5bap-9, -0x1.7869a33449bb1p-9, -0x1.7128dfabf7844p-9, -0x1.6a0445edccb35p-9, -0x1.62fb973732f0cp-9, -0x1.5c0e9431ce388p-9, -0x1.553cfcfb394f5p-9, -0x1.4e86912e3f55dp-9, -0x1.47eb0feb3c0f3p-9, -0x1.416a37e051ef9p-9, -0x1.3b03c751cee38p-9, -0x1.34b77c2234c4bp-9, -0x1.2e8513da26395p-9, -0x1.286c4bb0b1063p-9, -0x1.226ce0923e2a2p-9, -0x1.1c868f2923aefp-9, -0x1.16b913e41cdc3p-9, -0x1.11042afe28737p-9, -0x1.0b679085c67bap-9, -0x1.05e30063aa6fap-9, -0x1.00763661d8f32p-9, -0x1.f641dc64b2e27p-10, -0x1.ebc5c6eb960a4p-10, -0x1.e177a383a2d5dp-10, -0x1.d756e94f05p-10, -0x1.cd630f735797bp-10, -0x1.c39b8d24cd68p-10, -0x1.b9ffd9b2efd46p-10, -0x1.b08f6c934fe7fp-10, -0x1.a749bd6d411cap-10, -0x1.9e2e442470855p-10, -0x1.953c78e3b564ep-10, -0x1.8c73d42737c15p-10, -0x1.83d3cec699388p-10, -0x1.7b5be1fecde38p-10, -0x1.730b877b3ed56p-10, -0x1.6ae2395eda95ep-10, -0x1.62df724e46f78p-10, -0x1.5b02ad770a0e7p-10, -0x1.534b669840992p-10, -0x1.4bb91a0ae190ep-10, -0x1.444b44ca49c9bp-10, -0x1.3d01647a65552p-10, -0x1.35daf77035806p-10, -0x1.2ed77cb8207f4p-10, -0x1.27f6741d2364dp-10, -0x1.21375e2f2d106p-10, -0x1.1a99bc49941ffp-10, -0x1.141d1098ca1adp-10, -0x1.0dc0de20f7abcp-10, -0x1.0784a8c259856p-10, -0x1.0167f53fd52e8p-10, -0x1.f6d4928570ff6p-11, -0x1.eb1656c32e1c8p-11, -0x1.df944644f463cp-11, -0x1.d44d7202dba4ap-11, -0x1.c940ece6a7d02p-11, -0x1.be6dcbd543f64p-11, -0x1.b3d325b5919ep-11, -0x1.a970137829482p-11, -0x1.9f43b01dc8466p-11, -0x1.954d18bddd326p-11, -0x1.8b8b6c8c4e75ep-11, -0x1.81fdccdf5924dp-11, -0x1.78a35d3463a65p-11, -0x1.6f7b433527f6fp-11, -0x1.6684a6bb8c5e9p-11, -0x1.5dbeb1d7cf13fp-11, -0x1.552890d242bdap-11, -0x1.4cc1722ecf908p-11, -0x1.448886b124f7bp-11, -0x1.3c7d015e9cd18p-11, -0x1.349e1782bb747p-11, -0x1.2ceb00ae3e4abp-11, -0x1.2562f6bbb5bcfp-11, -0x1.1e0535cfa59f2p-11, -0x1.16d0fc5a7aaa5p-11, -0x1.0fc58b1981bc4p-11, -0x1.08e22517a129ep-11, -0x1.02260fadf53f9p-11, -0x1.f721250826b6cp-12, -0x1.ea41ef1f1733cp-12, -0x1.ddad162b7bc58p-12, -0x1.d1613750cc9b6p-12, -0x1.c55cf44deb51ap-12, -0x1.b99ef37a6461bp-12, -0x1.ae25dfc2331dfp-12, -0x1.a2f068ab83b8fp-12, -0x1.97fd424710ec3p-12, -0x1.8d4b25353ca94p-12, -0x1.82d8ce9fe7d75p-12, -0x1.78a50036db243p-12, -0x1.6eae802b332dbp-12, -0x1.64f4192a1fbb8p-12, -0x1.5b749a58209f6p-12, -0x1.522ed74be55bbp-12, -0x1.4921a807e1c68p-12, -0x1.404be8f4b48a8p-12, -0x1.37ac7ada742eap-12, -0x1.2f4242da9b8aep-12, -0x1.270c2a68d75c3p-12, -0x1.1f091f435056fp-12, -0x1.1738136d3e3ddp-12, -0x1.0f97fd2718bc5p-12, -0x1.0827d6e36381dp-12, -0x1.00e69f4224c7bp-12, -0x1.f3a6b20f88cb9p-13, -0x1.e5da16267687ep-13, -0x1.d86580b6ac47cp-13, -0x1.cb470fb982832p-13, -0x1.be7ce92f9d3d8p-13, -0x1.b2053b0a75d35p-13, -0x1.a5de3b1a741d9p-13, -0x1.9a0626fc7eabap-13, -0x1.8e7b4406a8028p-13, -0x1.833bdf3515811p-13, -0x1.78464d166cabdp-13, -0x1.6d98e9b87e9ebp-13, -0x1.6332189435716p-13, -0x1.591044783aa6p-13, -0x1.4f31df7a0968p-13, -0x1.459562d9aa299p-13, -0x1.3c399f4f96b23p-13, -0x1.331c7a5041b88p-13, -0x1.2a3cd3a9f3fffp-13, -0x1.2199408afc089p-13, -0x1.19305ce84a0dfp-13, -0x1.1100cb68d5695p-13, -0x1.0909354f6bba5p-13, -0x1.01484a66d8d7ep-13, -0x1.f37981d2adc56p-14, -0x1.e4caaae9d561cp-14, -0x1.d68195d5ae7c7p-14, -0x1.c89bd4b7b2db8p-14, -0x1.bb1705f83457fp-14, -0x1.adf0d40533883p-14, -0x1.a126f53530476p-14, -0x1.94b72b998af98p-14, -0x1.889f44d2e1d0bp-14, -0x1.7cdd19e88ea23p-14, -0x1.716e8f1d6ed0fp-14, -0x1.665193c5f739ap-14, -0x1.5b84221ef9ec3p-14, -0x1.51043f217f658p-14, -0x1.46cffa5c27e6p-14, -0x1.3ce56dc8e154cp-14, -0x1.3342bda1ca5d9p-14, -0x1.29e618389f57p-14, -0x1.20cdb5d7403d3p-14, -0x1.17f7d8849f966p-14, -0x1.0f62cbe55a43bp-14, -0x1.070ce52846aa2p-14, -0x1.fde9056e1d62bp-15, -0x1.ee30185834f65p-15, -0x1.deebe4411ce96p-15, -0x1.d0195c114347ep-15, -0x1.c1b584170342p-15, -0x1.b3bd71bc1b3d5p-15, -0x1.a62e4b395053dp-15, -0x1.9905474b28531p-15, -0x1.8c3face763684p-15, -0x1.7fdad2f40bd78p-15, -0x1.73d41fff71afbp-15, -0x1.682909f267711p-15, -0x1.5cd715d11ca62p-15, -0x1.51dbd76f34adcp-15, -0x1.4734f12843c6dp-15, -0x1.3ce013a66e2p-15, -0x1.32dafd7d49268p-15, -0x1.29237b299b089p-15, -0x1.1fb7667b7f3e9p-15, -0x1.1694a6891c585p-15, -0x1.0db92f5b38a3ap-15, -0x1.052301bd95584p-15, -0x1.f9a055d150703p-16, -0x1.e97d889e0c2e6p-16, -0x1.d9d9e6c0aebbbp-16, -0x1.cab1d2913a9e8p-16, -0x1.bc01c56da5131p-16, -0x1.adc64f34ea49dp-16, -0x1.9ffc15e608977p-16, -0x1.929fd520b6925p-16, -0x1.85ae5dae0d88dp-16, -0x1.7924951af55c9p-16, -0x1.6cff7544e8211p-16, -0x1.613c0beb97357p-16, -0x1.55d77a3c07e91p-16, -0x1.4acef489e7fb4p-16, -0x1.401fc1be5941cp-16, -0x1.35c73afb8a976p-16, -0x1.2bc2cb42389f4p-16, -0x1.220feefaa8376p-16, -0x1.18ac33c8d6b49p-16, -0x1.0f9537daf0475p-16, -0x1.06c8a9bf0eb29p-16, -0x1.fc888ff814d87p-17, -0x1.ec0bc16655fep-17, -0x1.dc16a2884844dp-17, -0x1.cca50bf0739c6p-17, -0x1.bdb2f350f73dbp-17, -0x1.af3c6ad1d1d26p-17, -0x1.a13da06624c28p-17, -0x1.93b2dd2ac2da4p-17, -0x1.869884be1bd11p-17, -0x1.79eb14a5ee50ap-17, -0x1.6da723a477157p-17, -0x1.61c9614a21907p-17, -0x1.564e9523ae14cp-17, -0x1.4b339e38e0917p-17, -0x1.40757274d9aa4p-17, -0x1.36111e7e2f8b7p-17, -0x1.2c03c46646b9ap-17, -0x1.224a9bc9b9c5bp-17, -0x1.18e2f0ea8fc91p-17, -0x1.0fca2456f8eacp-17, -0x1.06fdaa632bc23p-17, -0x1.fcf6151f04064p-18, -0x1.ec7fbe449ef3cp-18, -0x1.dc93a9a457925p-18, -0x1.cd2d540e5d5adp-18, -0x1.be485ce4b317fp-18, -0x1.afe085a631754p-18, -0x1.a1f1b09997179p-18, -0x1.9477e02e0ff33p-18, -0x1.876f360b04891p-18, -0x1.7ad3f242d9ca4p-18, -0x1.6ea27282bc18p-18, -0x1.62d73133ce787p-18, -0x1.576ec514aaf62p-18, -0x1.4c65dfb7e97aap-18, -0x1.41b94dcf73dc1p-18, -0x1.3765f57015ce2p-18, -0x1.2d68d5e99dc8p-18, -0x1.23bf070317ce9p-18, -0x1.1a65b83ff5e98p-18, -0x1.115a303be0a7cp-18, -0x1.0899cbccd13d5p-18, -0x1.0021fe40a115ap-18, -0x1.efe09ed6a287ep-19, -0x1.e004b7f71340ap-19, -0x1.d0aba94a73548p-19, -0x1.c1d0faee5db27p-19, -0x1.b3705aaa6c9dep-19, -0x1.a5859b2dedc49p-19, -0x1.980cb2a3d8b73p-19, -0x1.8b01b9d8f8196p-19, -0x1.7e60eacfdb7dfp-19, -0x1.7226a0348f0dp-19, -0x1.664f54a371b91p-19, -0x1.5ad7a0d8d379fp-19, -0x1.4fbc3b6b303d1p-19, -0x1.44f9f7bb7660dp-19, -0x1.3a8dc518dcfbfp-19, -0x1.3074ad61d9ab5p-19, -0x1.26abd6249d438p-19, -0x1.1d307cdf9d61dp-19, -0x1.13fff8313134p-19, -0x1.0b17b672c2f53p-19, -0x1.02753da500cdbp-19, -0x1.f42c530c2115p-20, -0x1.e3f0578ffa7e3p-20, -0x1.d4321620ef89p-20, -0x1.c4ed44cfdb7d2p-20, -0x1.b61dc0a4c45e5p-20, -0x1.a7bf8cbe58a21p-20, -0x1.99ced15275682p-20, -0x1.8c47d9fd5e2ebp-20, -0x1.7f2714d7da25fp-20, -0x1.7269112193057p-20, -0x1.660a7e0ebd059p-20, -0x1.5a082aec40d4cp-20, -0x1.4e5f040064b55p-20, -0x1.430c12f7e978cp-20, -0x1.380c7d842029cp-20, -0x1.2d5d84ce04e5ap-20, -0x1.22fc828fed1dfp-20, }}, 
      {{0x1.43c38699e6c52p-6, 0x1.3e9f334a2aa6dp-5, 0x1.d190243ca2688p-5, 0x1.2b67e5d850b71p-4, 0x1.65aea6ce522d6p-4, 0x1.968b117ba964ap-4, 0x1.bd512a999b6fbp-4, 0x1.d9b53baed99bcp-4, 0x1.ebb534fe22473p-4, 0x1.f38f2956c8525p-4, 0x1.f1b34ae9f98b5p-4, 0x1.e6b7355c1e88ap-4, 0x1.d34827ff0811fp-4, 0x1.b81f782698bffp-4, 0x1.960e9097b9bdap-4, 0x1.6dda788fa704p-4, 0x1.4050594047924p-4, 0x1.0e3460d628c9p-4, 0x1.b08b996143583p-5, 0x1.3e6e1de3ac9cep-5, 0x1.8ecf59ba1fdc8p-6, 0x1.32c5248b9b2e5p-7, -0x1.847def385d51fp-8, -0x1.5ea1112108462p-6, -0x1.2e9d0db45ca22p-5, -0x1.ad9791632abecp-5, -0x1.15ba075527781p-4, -0x1.53c6dfaa98ddap-4, -0x1.909f98cb71f2fp-4, -0x1.cbfa6825380eep-4, -0x1.02ce3753e73f8p-3, -0x1.1ea9d0f4bf5dfp-3, -0x1.397891437c31ep-3, -0x1.5325c34c6b1f6p-3, -0x1.6ba10368fc3efp-3, -0x1.82ddc2f71e7dep-3, -0x1.98d1db5099cccp-3, -0x1.ad74ebd9ef731p-3, -0x1.c0c0ab43cbba9p-3, -0x1.d2b13d2a992eep-3, -0x1.e345004006f4bp-3, -0x1.f27c15103818bp-3, -0x1.002c05752881cp-2, -0x1.066de5056ecf4p-2, -0x1.0c05c6907aef8p-2, -0x1.10f66351d301ep-2, -0x1.1542fba47142fp-2, -0x1.18ef449d5a632p-2, -0x1.1bff5b132b53cp-2, -0x1.1e77b85b9cb82p-2, -0x1.205d256b7dd76p-2, -0x1.21b4ad4b85608p-2, -0x1.228391b409054p-2, -0x1.22cf425bfe1e2p-2, -0x1.229c14eb542bdp-2, -0x1.21f1e61435068p-2, -0x1.20d6397d6533ap-2, -0x1.1f4eb7b50623fp-2, -0x1.1d60d7de5baabp-2, -0x1.1b11fcea70e6dp-2, -0x1.186794f081f11p-2, -0x1.15672d613a3f3p-2, -0x1.121674f39a5acp-2, -0x1.0e7b2b7ea18cp-2, -0x1.0a9b0607f33e8p-2, -0x1.067b906860d7cp-2, -0x1.0222156a00c14p-2, -0x1.fb2725dcfe2afp-3, -0x1.f1a9765668cddp-3, -0x1.e7d4002fffa5bp-3, -0x1.ddaf47c95c0e4p-3, -0x1.d34391c7de202p-3, -0x1.c898f8fefdc7ep-3, -0x1.bdb775b4f7d6bp-3, -0x1.b2a6d6374ab86p-3, -0x1.a76eaca67409fp-3, -0x1.9c16382ec4ee7p-3, -0x1.90a45029e22ebp-3, -0x1.851f56279d77fp-3, -0x1.798d315e79f34p-3, -0x1.6df3536522befp-3, -0x1.6256c407489b1p-3, -0x1.56bc30e2d93c8p-3, -0x1.4b27fd4963d53p-3, -0x1.3f9e4f78f7f39p-3, -0x1.34231958240f6p-3, -0x1.28ba1c26d14cbp-3, -0x1.1d66e7bc68ce7p-3, -0x1.122cd6b93bcffp-3, -0x1.070f096b1daa6p-3, -0x1.f820c225caf29p-4, -0x1.e266f9ac3a47ap-4, -0x1.ccf57236d815dp-4, -0x1.b7d062f331a9p-4, -0x1.a2fb89b70e42ep-4, -0x1.8e7a3635c50cp-4, -0x1.7a4f5649f99bp-4, -0x1.667d818cbca24p-4, -0x1.530702e3ff9c7p-4, -0x1.3feddf5a6317dp-4, -0x1.2d33da3f83e6p-4, -0x1.1ada7714e7aebp-4, -0x1.08e2fa1109698p-4, -0x1.ee9cd011242b5p-5, -0x1.cc3b0cd36e07p-5, -0x1.aaa1b78063ba2p-5, -0x1.89d162090d467p-5, -0x1.69ca27a0502ecp-5, -0x1.4a8bb2e1618eap-5, -0x1.2c154575a58e7p-5, -0x1.0e71b4085ef22p-5, -0x1.e2f8f216497bp-6, -0x1.aa9653c8dd54ep-6, -0x1.73b97035af918p-6, -0x1.3e5f554a06c2cp-6, -0x1.0a842af9e65e6p-6, -0x1.b0465bce20b81p-7, -0x1.4e6d6b9ede7ddp-7, -0x1.dee11c37d6dap-8, -0x1.2682b6851f992p-8, -0x1.ce81f7f64282ep-10, 0x1.cf338f5eaacd5p-11, 0x1.c4682f76e4c39p-9, 0x1.856aee87ceb26p-8, 0x1.11d6b025eeaf6p-7, 0x1.5e8ea852dd034p-7, 0x1.a8ede300972fdp-7, 0x1.f1045a0400b38p-7, 0x1.1b70b9be10119p-6, 0x1.3d4a03241e5dap-6, 0x1.5e153539f787dp-6, 0x1.7dd948fef3af6p-6, 0x1.9c9d1304c4583p-6, 0x1.ba675251f53eap-6, 0x1.d73ebdde0f53ap-6, 0x1.f32a0f53ded95p-6, 0x1.0718051bec511p-5, 0x1.142bbf83c2afbp-5, 0x1.20d3a52b586e2p-5, 0x1.2d132827db0d4p-5, 0x1.38edbaa26623ap-5, 0x1.4466ca17cbeecp-5, 0x1.4f81ba0835004p-5, 0x1.5a41de8d2c75ep-5, 0x1.64aa7740471f6p-5, 0x1.6ebeaac8dc0fap-5, 0x1.7881834ec62d9p-5, 0x1.81f5ebf6462dbp-5, 0x1.8b1eaf701f283p-5, 0x1.93fe7792f28e2p-5, 0x1.9c97cde0dec2ap-5, 0x1.a4ed1ccf9ac1cp-5, 0x1.ad00b1a11408dp-5, 0x1.b4d4be979e6f4p-5, 0x1.bc6b5d51a781bp-5, 0x1.c3c6911d9946bp-5, 0x1.cae8491daecdbp-5, 0x1.d1d2621ce5421p-5, 0x1.d886a8003283cp-5, 0x1.df06d6c9b5997p-5, 0x1.e5549b2d8691fp-5, 0x1.eb7192c07dde5p-5, 0x1.f15f4bd08e551p-5, 0x1.f71f44fb4443bp-5, 0x1.fcb2ec9a1a49cp-5, 0x1.010dd00e7a674p-4, 0x1.03ad55b51548p-4, 0x1.0638a42c50028p-4, 0x1.08b04f2a4f7d7p-4, 0x1.0b14e11dcd766p-4, 0x1.0d66db3b01603p-4, 0x1.0fa6b5a8cadap-4, 0x1.11d4dfcd27473p-4, 0x1.13f1c0b60a622p-4, 0x1.15fdb79a3f807p-4, 0x1.17f91c6cc4258p-4, 0x1.19e4407c6c3dbp-4, 0x1.1bbf6f19453b7p-4, 0x1.1d8aee395bc19p-4, 0x1.1f46ff16e7384p-4, 0x1.20f3dec2bef8bp-4, 0x1.2291c6a6ebfbap-4, 0x1.2420ecf6701f5p-4, 0x1.25a185089a58bp-4, 0x1.2713bf9f87672p-4, 0x1.2877cb1aac2dfp-4, 0x1.29cdd39744567p-4, 0x1.2b16030154606p-4, 0x1.2c50811891306p-4, 0x1.2d7d736cb52a5p-4, 0x1.2e9cfd54f251ap-4, 0x1.2faf3fe605455p-4, 0x1.30b459ea03345p-4, 0x1.31ac67dc9a36bp-4, 0x1.329783eddd7acp-4, 0x1.3375c60d1187cp-4, 0x1.344743fc5a4adp-4, 0x1.350c116d8907ep-4, 0x1.35c44027be88ap-4, 0x1.366fe0351ba12p-4, 0x1.370f001759039p-4, 0x1.37a1ad01c9b2p-4, 0x1.3827f3171ed97p-4, 0x1.38a1dda9313d6p-4, 0x1.390f7778f5bcdp-4, 0x1.3970caf4f6336p-4, 0x1.39c5e274af036p-4, 0x1.3a0ec86f819eap-4, 0x1.3a4b87ae10775p-4, 0x1.3a7c2b7538f9ep-4, 0x1.3aa0bfaa2177bp-4, 0x1.3ab950ef1f04ep-4, 0x1.3ac5ecb98020bp-4, 0x1.3ac6a16094a5dp-4, 0x1.3abb7e26747d4p-4, 0x1.3aa4933b493a4p-4, 0x1.3a81f1bbf6003p-4, 0x1.3a53abad099a9p-4, 0x1.3a19d3f3043f8p-4, 0x1.39d47e48d824ep-4, 0x1.3983bf359daa7p-4, 0x1.3927ac023b059p-4, 0x1.38be24bb69cc5p-4, 0x1.384b8dbe122ebp-4, 0x1.37cdf3a239f28p-4, 0x1.37456e740148ap-4, 0x1.36b2169286a45p-4, 0x1.361404b367678p-4, 0x1.356b51e96a814p-4, 0x1.34b817addc21cp-4, 0x1.33fa6fec32e65p-4, 0x1.3332750f656ffp-4, 0x1.326042106ddb7p-4, 0x1.3183f2855c131p-4, 0x1.309da2b079e48p-4, 0x1.2fad6f8ee3686p-4, 0x1.2eb376e627b72p-4, 0x1.2dafd7507a77ep-4, 0x1.2ca2b04718b1ap-4, 0x1.2b8c222a9f41p-4, 0x1.2a6c4e490a77dp-4, 0x1.294356e147527p-4, 0x1.28115f244317dp-4, 0x1.26d68b3375298p-4, 0x1.2593001cfd0ecp-4, 0x1.2446e3d57165ap-4, 0x1.22f25d2f90a43p-4, 0x1.219593d2097d4p-4, 0x1.2030b02ba3bdcp-4, 0x1.1ec3db6609263p-4, 0x1.1d4f3f5778d4ep-4, 0x1.1bd30673ba3c3p-4, 0x1.1a4f5bbc89563p-4, 0x1.18c46ab1d24aep-4, 0x1.17325f41f2035p-4, 0x1.159965ba43165p-4, 0x1.13f9aab820665p-4, 0x1.12535b1a92bep-4, 0x1.10a6a3f4ca251p-4, 0x1.0ef3b2817fc61p-4, 0x1.0d3ab41752b1fp-4, 0x1.0b7bd61e3307ap-4, 0x1.09b74605d3efbp-4, 0x1.07ed313d2a0cdp-4, 0x1.061dc52aeba5ap-4, 0x1.04492f270665ap-4, 0x1.026f9c74f42ecp-4, 0x1.00913a3eda0e5p-4, 0x1.fd5c6b22bfd15p-5, 0x1.f98d76b038e69p-5, 0x1.f5b5f0b50009dp-5, 0x1.f1d632724867fp-5, 0x1.edee94d6c4b4p-5, 0x1.e9ff707a3496bp-5, 0x1.e6091d9923052p-5, 0x1.e20bf410aba16p-5, 0x1.de084b5a19673p-5, 0x1.d9fe7a864bfe7p-5, 0x1.d5eed838bf775p-5, 0x1.d1d9baa2263f2p-5, 0x1.cdbf777a80e6fp-5, 0x1.c9a063fab415cp-5, 0x1.c57cd4d58f472p-5, 0x1.c1551e304ee4cp-5, 0x1.bd29939a91fd4p-5, 0x1.b8fa8805e0722p-5, 0x1.b4c84dbcbb48p-5, 0x1.b09336595884dp-5, 0x1.ac5b92bc0e7c4p-5, 0x1.a821b30190aa4p-5, 0x1.a3e5e67905d9dp-5, 0x1.9fa87b9a17423p-5, 0x1.9b69bffb08ca1p-5, 0x1.972a0046f52e1p-5, 0x1.92e98834383ecp-5, 0x1.8ea8a27b26862p-5, 0x1.8a6798cd195efp-5, 0x1.8626b3cbe27cep-5, 0x1.81e63b01b9319p-5, 0x1.7da674d9a0064p-5, 0x1.7967a698592fp-5, 0x1.752a1455e3db6p-5, 0x1.70ee00f79673fp-5, 0x1.6cb3ae2ac3771p-5, 0x1.687b5c5ffae93p-5, 0x1.64454ac6e1a63p-5, 0x1.6011b74a96251p-5, 0x1.5be0de8ea4c84p-5, 0x1.57b2fbec81e11p-5, 0x1.5388497189679p-5, 0x1.4f60ffdd6fa23p-5, 0x1.4b3d56a130785p-5, 0x1.471d83de5c019p-5, 0x1.4301bc66ca2bfp-5, 0x1.3eea33bca9dd3p-5, 0x1.3ad71c12d9f6dp-5, 0x1.36c8a64d901c5p-5, 0x1.32bf02033fdc6p-5, 0x1.2eba5d7db6471p-5, 0x1.2abae5bb72bc3p-5, 0x1.26c0c67123436p-5, 0x1.22cc2a0b4ea0fp-5, 0x1.1edd39b01d619p-5, 0x1.1af41d4142ea8p-5, 0x1.1710fb5e0255p-5, 0x1.1333f9654974ep-5, 0x1.0f5d3b77e2bd9p-5, 0x1.0b8ce47ab9184p-5, 0x1.07c316192fc95p-5, 0x1.03fff0c78a83cp-5, 0x1.004393c565ad1p-5, 0x1.f91c3a407c36cp-6, 0x1.f1bf536c12bb6p-6, 0x1.ea70aa6fc63fdp-6, 0x1.e330745983314p-6, 0x1.dbfee3e888b44p-6, 0x1.d4dc299321049p-6, 0x1.cdc8738c7e6c3p-6, 0x1.c6c3edcac48f8p-6, 0x1.bfcec20d2ddf3p-6, 0x1.b8e917e26c268p-6, 0x1.b21314af172bep-6, 0x1.ab4cdbb46318ep-6, 0x1.a4968e16e65c9p-6, 0x1.9df04ae597da5p-6, 0x1.975a2f20f8045p-6, 0x1.90d455c257853p-6, 0x1.8a5ed7c35363ep-6, 0x1.83f9cc25723a5p-6, 0x1.7da547f9dc2a1p-6, 0x1.77615e6951712p-6, 0x1.712e20bc2b8d9p-6, 0x1.6b0b9e628899p-6, 0x1.64f9e4fc8f46p-6, 0x1.5ef90062d6c02p-6, 0x1.5908faaee2404p-6, 0x1.5329dc43b325dp-6, 0x1.4d5babd66e0f2p-6, 0x1.479e6e771d80ep-6, 0x1.41f227996e372p-6, 0x1.3c56d91d8df27p-6, 0x1.36cc8359011e5p-6, 0x1.3153251f949ddp-6, 0x1.2beabbcc3f68ep-6, 0x1.2693434a19f9dp-6, 0x1.214cb61d4423ap-6, 0x1.1c170d6bde9bep-6, 0x1.16f24106f2ed5p-6, 0x1.11de477355c94p-6, 0x1.0cdb15f28e45ep-6, 0x1.07e8a08ba3c78p-6, 0x1.0306da13f7e03p-6, 0x1.fc6b686ff897fp-7, 0x1.f2ea3f07e58e4p-7, 0x1.e98a16d9163b8p-7, 0x1.e04accaf097f7p-7, 0x1.d72c3b485e842p-7, 0x1.ce2e3b67bc6b8p-7, 0x1.c550a3e4abeap-7, 0x1.bc9349bc2a82ap-7, 0x1.b3f60021219dcp-7, 0x1.ab78988cb3669p-7, 0x1.a31ae2ce522e5p-7, 0x1.9adcad1bc14a5p-7, 0x1.92bdc420b7a7p-7, 0x1.8abdf30e91d65p-7, 0x1.82dd03ab813aap-7, 0x1.7b1abe61d04efp-7, 0x1.7376ea4ebec8dp-7, 0x1.6bf14d513bf43p-7, 0x1.6489ac185ee92p-7, 0x1.5d3fca319b34p-7, 0x1.56136a16d6873p-7, 0x1.4f044d3c2021cp-7, 0x1.4812341d358b4p-7, 0x1.413cde4ac8f78p-7, 0x1.3a840a7781271p-7, 0x1.33e77684c0b5p-7, 0x1.2d66df8f2410fp-7, 0x1.270201fab259ep-7, 0x1.20b8997eddf2ap-7, 0x1.1a8a613230c98p-7, 0x1.14771395ba6afp-7, 0x1.0e7e6aa035754p-7, 0x1.08a01fc8ef201p-7, 0x1.02dbec125c266p-7, 0x1.fa6310290227ap-8, 0x1.ef41580deb0a1p-8, 0x1.e4521f957ce7ep-8, 0x1.d994d5e7b67fdp-8, 0x1.cf08e9a527527p-8, 0x1.c4adc8f8efa8cp-8, 0x1.ba82e1aa7063p-8, 0x1.b087a12e5dfecp-8, 0x1.a6bb74b742efep-8, 0x1.9d1dc945bc2aep-8, 0x1.93ae0bb814f6ap-8, 0x1.8a6ba8d986b32p-8, 0x1.81560d70ff4f5p-8, 0x1.786ca64f63742p-8, 0x1.6faee05dbc23p-8, 0x1.671c28aa7002ep-8, 0x1.5eb3ec76a0b3bp-8, 0x1.56759942d9574p-8, 0x1.4e609cdb762abp-8, 0x1.46746564ac6cbp-8, 0x1.3eb061664524p-8, 0x1.3713ffd6f639dp-8, 0x1.2f9eb027706cap-8, 0x1.284fe24d16da1p-8, 0x1.212706cc6f093p-8, 0x1.1a238ec35350cp-8, 0x1.1344ebf2a0f25p-8, 0x1.0c8a90c8172f6p-8, 0x1.05f3f0675f0a3p-8, 0x1.ff00fd666e1cap-9, 0x1.f25f60ac7e3adp-9, 0x1.e601f596e9271p-9, 0x1.d9e7a8cd0ce6fp-9, 0x1.ce0f68b7b3d58p-9, 0x1.c2782590ac843p-9, 0x1.b720d171ed137p-9, 0x1.ac0860643f338p-9, 0x1.a12dc86d3ec19p-9, 0x1.9690019d799b3p-9, 0x1.8c2e061d24586p-9, 0x1.820867bf5309ep-9, 0x1.781affbaefbbp-9, 0x1.6e665dcd18aaep-9, 0x1.64e984f986995p-9, 0x1.5ba37a9744a5dp-9, 0x1.5293465b06bd5p-9, 0x1.49b7f2611c634p-9, 0x1.41108b36b2b64p-9, 0x1.389c1fe2ef9d7p-9, 0x1.3059c1ef084ffp-9, 0x1.2848856e8f981p-9, 0x1.206781067c733p-9, 0x1.18b5cdf481325p-9, 0x1.11328814f53fcp-9, 0x1.09dccde90ae49p-9, 0x1.02b3c09c165dp-9, 0x1.f76d0810ffd67p-10, 0x1.e9c87d7828b3ap-10, 0x1.dc7833f7dbd05p-10, 0x1.cf7a838fad581p-10, 0x1.c2cdc9ba5f52cp-10, 0x1.b670697273745p-10, 0x1.aa60cb364fb5cp-10, 0x1.9e9d5d0af2c29p-10, 0x1.9324927dccd9bp-10, 0x1.87f4e4a5e4897p-10, 0x1.7d0cd223cfedfp-10, 0x1.726adf2140b99p-10, 0x1.680d954f0cedep-10, 0x1.5df383e26e0b9p-10, 0x1.541b3f926f8b9p-10, 0x1.4a836293b962ep-10, 0x1.412a8c9346adcp-10, 0x1.380f62b14de47p-10, 0x1.2f308f7ad74bdp-10, 0x1.268cc2e300142p-10, 0x1.1e22b23b6f6e1p-10, 0x1.15f1182c2dff6p-10, 0x1.0df6b4ab1da3dp-10, 0x1.06324cf2bac91p-10, 0x1.fd4556f0e85cap-11, 0x1.ee8d3fc54b0f2p-11, 0x1.e039fdfbd5a2ep-11, 0x1.d2494564738cbp-11, 0x1.c4b8d3ef57e66p-11, 0x1.b7867195ab02ep-11, 0x1.aaaff041cdb9p-11, 0x1.9e332bb647fc3p-11, 0x1.920e09763475ep-11, 0x1.863e78ab24bb1p-11, 0x1.7ac2720b2e097p-11, 0x1.6f97f7c0b0462p-11, 0x1.64bd154da2978p-11, 0x1.5a2fdf72cab9cp-11, 0x1.4fee7414900fp-11, 0x1.45f6fa20284f6p-11, 0x1.3c47a170e05ep-11, 0x1.32dea2b4b69bp-11, 0x1.29ba3f51a66c8p-11, 0x1.20d8c14a6f265p-11, 0x1.18387b233d71cp-11, 0x1.0fd7c7c6d9578p-11, 0x1.07b50a6b853efp-11, 0x1.ff9d5cefb4e87p-12, 0x1.f0464ecfe6baap-12, 0x1.e161e16525f89p-12, 0x1.d2ed1b5bc5362p-12, 0x1.c4e512eb2a1b7p-12, 0x1.b746ed9f331f1p-12, 0x1.aa0fe023d6816p-12, 0x1.9d3d2e10a068p-12, 0x1.90cc29b3adeaep-12, 0x1.84ba33dd5751ep-12, 0x1.7904bbace1557p-12, 0x1.6da93e5b6e437p-12, 0x1.62a5470b5917ap-12, 0x1.57f66e911c35ap-12, 0x1.4d9a5b42ca3bp-12, 0x1.438ec0c4ac556p-12, 0x1.39d15fd6f2dd7p-12, 0x1.3060062351ae2p-12, 0x1.27388e0ab4ccfp-12, 0x1.1e58de746083cp-12, 0x1.15beea9bbb343p-12, 0x1.0d68b1df575fbp-12, 0x1.05543f90158e3p-12, 0x1.faff558145f5dp-13, 0x1.ebd22c298c87dp-13, 0x1.dd1d5f210387bp-13, 0x1.cedd60d4301fcp-13, 0x1.c10eb9b152ecap-13, 0x1.b3ae07cbbb06dp-13, 0x1.a6b7fe7d04b8fp-13, 0x1.9a296607df1f9p-13, 0x1.8dff1b3a87065p-13, 0x1.82360f12b791cp-13, 0x1.76cb46649d06cp-13, 0x1.6bbbd979c9223p-13, 0x1.6104f3bebebap-13, 0x1.56a3d361c7751p-13, 0x1.4c95c8fe7981fp-13, 0x1.42d837440756ep-13, 0x1.3968929daf7ap-13, 0x1.304460dc1a14p-13, 0x1.276938deae68p-13, 0x1.1ed4c23f5fb25p-13, 0x1.1684b4fc28749p-13, 0x1.0e76d924fcc55p-13, 0x1.06a906881e4abp-13, 0x1.fe3248c0227b6p-14, 0x1.ef8a520461b5ep-14, 0x1.e156331c13f7ap-14, 0x1.d392133c00806p-14, 0x1.c63a35f0b767bp-14, 0x1.b94afa82f4929p-14, 0x1.acc0db5db69bfp-14, 0x1.a0986d75decf8p-14, 0x1.94ce5fb4c8feap-14, 0x1.895f7a62ad1adp-14, 0x1.7e489e9321365p-14, 0x1.7386c59a026f9p-14, 0x1.69170073f958ap-14, 0x1.5ef6774017b04p-14, 0x1.552268b109c85p-14, 0x1.4b98298cb1174p-14, 0x1.425524176c687p-14, 0x1.3956d797e134ap-14, 0x1.309ad7d3874b6p-14, 0x1.281ecc8b2588dp-14, 0x1.1fe070fd0c856p-14, 0x1.17dd936796ce2p-14, 0x1.1014148f68ebfp-14, 0x1.0881e741d2fc9p-14, 0x1.01250fe3b0356p-14, 0x1.f3f747f170c09p-15, 0x1.e60793642092ep-15, 0x1.d8776ef56979cp-15, 0x1.cb4367154ee04p-15, 0x1.be6826f3983c3p-15, 0x1.b1e277a6516ecp-15, 0x1.a5af3f59cc871p-15, 0x1.99cb80846f37fp-15, 0x1.8e34591606958p-15, 0x1.82e701b75c27p-15, 0x1.77e0cd04afd82p-15, 0x1.6d1f26cc31db3p-15, 0x1.629f93624db9ap-15, 0x1.585faed535226p-15, 0x1.4e5d2c4321387p-15, 0x1.4495d52f63705p-15, 0x1.3b0788d17d5d3p-15, 0x1.31b03b6df9a64p-15, 0x1.288df5afe71d3p-15, 0x1.1f9ed415cd228p-15, }}, 
      {{0x1.1924c1cf18e61p-6, 0x1.16e4dee42b90fp-5, 0x1.9cdd5bcd501f6p-5, 0x1.0e4f95a528dfcp-4, 0x1.4a4d8ddec8e4ap-4, 0x1.81c746442c3a3p-4, 0x1.b43f13b999de6p-4, 0x1.e15e2e5e0cbcdp-4, 0x1.04756da1711c4p-3, 0x1.15646f38d39dcp-3, 0x1.237a0cb670e06p-3, 0x1.2ebecaa8d8bfdp-3, 0x1.3742eefe11692p-3, 0x1.3d1d5454c9ed8p-3, 0x1.4069246d6f25p-3, 0x1.41488cf50c736p-3, 0x1.3fdc4fe605919p-3, 0x1.3c4ae9027156cp-3, 0x1.36b92b972cbbdp-3, 0x1.2f4e0f92954a8p-3, 0x1.262f9f9f2eeadp-3, 0x1.1b83b04d162e1p-3, 0x1.0f6f3392f2aafp-3, 0x1.0215f6d5d495fp-3, 0x1.e7350d01959dap-4, 0x1.c83bf4ff6a9f8p-4, 0x1.a77fbd3798f54p-4, 0x1.853c1a8edb206p-4, 0x1.61aa2331375b4p-4, 0x1.3cff453914e03p-4, 0x1.176d3550ff7c6p-4, 0x1.e245fed2587cfp-5, 0x1.9499ed4cebcc4p-5, 0x1.462802d4e7d08p-5, 0x1.ee77887a32e6cp-6, 0x1.5036d99bce663p-6, 0x1.6420aaf42d559p-7, 0x1.47c170fd21621p-10, -0x1.102fe1776917dp-7, -0x1.234766348e964p-6, -0x1.bcb6c2f9b995bp-6, -0x1.2a0964d335facp-5, -0x1.748817a8f3a77p-5, -0x1.bdb5a42c5de4dp-5, -0x1.02b9e72f3d801p-4, -0x1.25d3dd5c31039p-4, -0x1.481cdd4c7525fp-4, -0x1.698a8dbef839ap-4, -0x1.8a13fc2efed28p-4, -0x1.a9b187fdfb1p-4, -0x1.c85ccdad13517p-4, -0x1.e610904e7ae24p-4, -0x1.0164522fb02f1p-3, -0x1.0f40ef04b4837p-3, -0x1.1c9cce45a0364p-3, -0x1.2977c0678f9b4p-3, -0x1.35d12f78c6be4p-3, -0x1.41a91d46507a4p-3, -0x1.4cffe5776717cp-3, -0x1.57d639f902e7dp-3, -0x1.622d1c990b43dp-3, -0x1.6c05d62087285p-3, -0x1.7561ec1fc1511p-3, -0x1.7e4316f56895dp-3, -0x1.86ab396262b07p-3, -0x1.8e9c5a61d2b81p-3, -0x1.9618a1434efcap-3, -0x1.9d22536cf61ffp-3, -0x1.a3bbd2dcd93a7p-3, -0x1.a9e79c86a4c9p-3, -0x1.afa845f07c162p-3, -0x1.b50079d5db4dap-3, -0x1.b9f2f3f6350efp-3, -0x1.be827c764481dp-3, -0x1.c2b1e3558e3e1p-3, -0x1.c683fc6e4ee63p-3, -0x1.c9fb9c4d15135p-3, -0x1.cd1b95f63391fp-3, -0x1.cfe6b97bcd941p-3, -0x1.d25fd325aaf41p-3, -0x1.d489aae09eba2p-3, -0x1.d66703b1f4894p-3, -0x1.d7fa9afedf86cp-3, -0x1.d9472791e472ep-3, -0x1.da4f586265819p-3, -0x1.db15d33634c2ap-3, -0x1.db9d333e4e4a3p-3, -0x1.dbe807cf1f0ddp-3, -0x1.dbf8d34d6bdabp-3, -0x1.dbd20a5e7fecbp-3, -0x1.db76135eea4c9p-3, -0x1.dae746182e806p-3, -0x1.da27eba5eecbep-3, -0x1.d93a3e77cff9ap-3, -0x1.d8206a5f2a991p-3, -0x1.d6dc8c9c84d27p-3, -0x1.d570b3e658fddp-3, -0x1.d3dee066ef002p-3, -0x1.d22903b1d1a77p-3, -0x1.d05100b366883p-3, -0x1.ce58ab9f10e69p-3, -0x1.cc41c9e1c7b7fp-3, -0x1.ca0e121f7d87cp-3, -0x1.c7bf2c4062003p-3, -0x1.c556b1907f33p-3, -0x1.c2d62cf09d8f8p-3, -0x1.c03f1b147936p-3, -0x1.bd92eac8a7dc7p-3, -0x1.bad2fd3a84c99p-3, -0x1.b800a63e1c007p-3, -0x1.b51cc8b6d9d53p-3, -0x1.b22959f5a6a01p-3, -0x1.af273a2d1864fp-3, -0x1.ac1789afb2da5p-3, -0x1.a8fb5bf539fa4p-3, -0x1.a5d3b81c7fe4p-3, -0x1.a2a199741c834p-3, -0x1.9f65f002cd41dp-3, -0x1.9c21a109f5782p-3, -0x1.98d5877e62efap-3, -0x1.958274755a0bap-3, -0x1.92292f855bfb8p-3, -0x1.8eca771b4b72ap-3, -0x1.8b6700c53e269p-3, -0x1.87ff7974ddfbp-3, -0x1.849485bb3cc39p-3, -0x1.8126c2002b40dp-3, -0x1.7db6c2b6d06cdp-3, -0x1.7a45149123c9ap-3, -0x1.76d23cb3b1932p-3, -0x1.735eb8eaa2a29p-3, -0x1.6feaffe0f11d8p-3, -0x1.6c77815a2c73ap-3, -0x1.6904a66f10667p-3, -0x1.6592d1ccc4015p-3, -0x1.62225ff6812c8p-3, -0x1.5eb3a7893525ap-3, -0x1.5b46f98086f81p-3, -0x1.57dca17cc62d7p-3, -0x1.5474e60926044p-3, -0x1.511008e1aa5dbp-3, -0x1.4dae473815955p-3, -0x1.4a4fd9f72d7ebp-3, -0x1.46f4f603a95f5p-3, -0x1.439dcc7a17375p-3, -0x1.404a8ae958766p-3, -0x1.3cfb5b893d9ddp-3, -0x1.39b0656d3017p-3, -0x1.3669ccb2e2554p-3, -0x1.3327b2ad27aecp-3, -0x1.2fea360b33426p-3, -0x1.2cb172fc83675p-3, -0x1.297d8351dfaf3p-3, -0x1.264e7e9bbb48ap-3, -0x1.23247a466efccp-3, -0x1.1fff89b4bd213p-3, -0x1.1cdfbe5907499p-3, -0x1.19c527cda108ap-3, -0x1.16afd3eca4074p-3, -0x1.139fcee78e73fp-3, -0x1.1095235ee0907p-3, -0x1.0d8fda79cf5c6p-3, -0x1.0a8ffbfe1df38p-3, -0x1.07958e67fed65p-3, -0x1.04a09701d9eebp-3, -0x1.01b119fbd25dap-3, -0x1.fd8e350595f8dp-4, -0x1.f7c535ad806ffp-4, -0x1.f20738c0817dcp-4, -0x1.ec543f89b3cdep-4, -0x1.e6ac49f4be549p-4, -0x1.e10f56b1cf931p-4, -0x1.db7d6356f5528p-4, -0x1.d5f66c7eb670ap-4, -0x1.d07a6de3ecfcbp-4, -0x1.cb09627ac8036p-4, -0x1.c5a34487345eep-4, -0x1.c0480db08251cp-4, -0x1.baf7b712aa717p-4, -0x1.b5b2394d3727bp-4, -0x1.b0778c9030073p-4, -0x1.ab47a8a732eebp-4, -0x1.a6228503280d9p-4, -0x1.a10818c2dc6e4p-4, -0x1.9bf85abab4499p-4, -0x1.96f3417bead37p-4, -0x1.91f8c35b646ep-4, -0x1.8d08d678591afp-4, -0x1.882370c2d9741p-4, -0x1.834888023cc4fp-4, -0x1.7e7811db7277cp-4, -0x1.79b203d72b938p-4, -0x1.74f65367d1e91p-4, -0x1.7044f5ef3aa4dp-4, -0x1.6b9de0c411738p-4, -0x1.67010936f0cafp-4, -0x1.626e64971fc6bp-4, -0x1.5de5e836f61ecp-4, -0x1.5967896fe14c2p-4, -0x1.54f33da600203p-4, -0x1.5088fa4b51a2fp-4, -0x1.4c28b4e272a6dp-4, -0x1.47d26300d92d9p-4, -0x1.4385fa508cea7p-4, -0x1.3f437091587b8p-4, -0x1.3b0abb996e408p-4, -0x1.36dbd1558aa8cp-4, -0x1.32b6a7c89d788p-4, -0x1.2e9b350b024a2p-4, -0x1.2a896f495ce05p-4, -0x1.26814cc334e85p-4, -0x1.2282c3c9520cfp-4, -0x1.1e8dcabbfe5a5p-4, -0x1.1aa258092e3e9p-4, -0x1.16c0622aad76ep-4, -0x1.12e7dfa447c47p-4, -0x1.0f18c701ff598p-4, -0x1.0b530ed64eb63p-4, -0x1.0796adb87ffbdp-4, -0x1.03e39a430bd03p-4, -0x1.0039cb1206816p-4, -0x1.f9326d833ccdap-5, -0x1.f20383121f70ep-5, -0x1.eae7108aae889p-5, -0x1.e3dcdbe66a2a2p-5, -0x1.dce4d21dff487p-5, -0x1.d5fee01befae2p-5, -0x1.cf2af2bb2ac24p-5, -0x1.c868f6c59a563p-5, -0x1.c1b8d8f2b8f3bp-5, -0x1.bb1a85e604477p-5, -0x1.b48dea2d6a9efp-5, -0x1.ae12f23f9590bp-5, -0x1.a7a98a7a2fb8p-5, -0x1.a1519f200524ap-5, -0x1.9b0b1c57182e7p-5, -0x1.94d5ee269c3f7p-5, -0x1.8eb20074ee81ap-5, -0x1.889f3f057ad8cp-5, -0x1.829d9576a135ep-5, -0x1.7cacef3f9a372p-5, -0x1.76cd37ae65a19p-5, -0x1.70fe59e5b9346p-5, -0x1.6b4040db119e3p-5, -0x1.6592d754d1de5p-5, -0x1.5ff607e87a937p-5, -0x1.5a69bcf907a42p-5, -0x1.54ede0b56ac0cp-5, -0x1.4f825d173349bp-5, -0x1.4a271be15b8p-5, -0x1.44dc069f3dd31p-5, -0x1.3fa106a3b8f9ap-5, -0x1.3a76050880b9fp-5, -0x1.355aeaad91e11p-5, -0x1.304fa038e1562p-5, -0x1.2b540e1628083p-5, -0x1.26681c76dad61p-5, -0x1.218bb3524caf7p-5, -0x1.1cbeba65ea0b4p-5, -0x1.18011935a97e8p-5, -0x1.1352b70c8958p-5, -0x1.0eb37afd34a43p-5, -0x1.0a234be2ba7cap-5, -0x1.05a2106167788p-5, -0x1.012faee7a6809p-5, -0x1.f9981b5e034f6p-6, -0x1.f0ee257a5365dp-6, -0x1.e86147ca21f65p-6, -0x1.dff14d9021badp-6, -0x1.d79e01ae3a7b2p-6, -0x1.cf672ea7f17b1p-6, -0x1.c74c9ea502765p-6, -0x1.bf4e1b73eb3e2p-6, -0x1.b76b6e8c915fdp-6, -0x1.afa46112f3c1ap-6, -0x1.a7f8bbd9e5663p-6, -0x1.a0684765d3715p-6, -0x1.98f2cbef901aap-6, -0x1.9198116739114p-6, -0x1.8a57df7710814p-6, -0x1.8331fd8668642p-6, -0x1.7c2632bca1862p-6, -0x1.7534460424eap-6, -0x1.6e5bfe0d62198p-6, -0x1.679d2151f7af4p-6, -0x1.60f77617bc354p-6, -0x1.5a6ac273ec4fep-6, -0x1.53f6cc4e53fb4p-6, -0x1.4d9b596489606p-6, -0x1.47582f4d2a7b1p-6, -0x1.412d137b2dbf8p-6, -0x1.3b19cb4120741p-6, -0x1.351e1bd49869fp-6, -0x1.2f39ca517ce4fp-6, -0x1.296c9bbd7b24bp-6, -0x1.23b6550b63b4bp-6, -0x1.1e16bb1e9fa9cp-6, -0x1.188d92ce9ed54p-6, -0x1.131aa0ea4490ep-6, -0x1.0dbdaa3b5e64p-6, -0x1.0876738a17243p-6, -0x1.0344c1a065293p-6, -0x1.fc50b29ae9f75p-7, -0x1.f241fed22ad8fp-7, -0x1.e85cf1ae323bdp-7, -0x1.dea115156a784p-7, -0x1.d50df313b3c0ep-7, -0x1.cba315e0f322p-7, -0x1.c26007e7b264cp-7, -0x1.b94453cb863e2p-7, -0x1.b04f846f78b75p-7, -0x1.a78124fc549f4p-7, -0x1.9ed8c0e6d09dbp-7, -0x1.9655e3f5ac337p-7, -0x1.8df81a47b6361p-7, -0x1.85bef059a371bp-7, -0x1.7da9f30be111fp-7, -0x1.75b8afa832f82p-7, -0x1.6deab3e7537ap-7, -0x1.663f8df64cc2p-7, -0x1.5eb6cc7bcf5eap-7, -0x1.574ffe9d670b7p-7, -0x1.500ab4047e375p-7, -0x1.48e67ce35a822p-7, -0x1.41e2e9f9ed507p-7, -0x1.3aff8c9a7cd41p-7, -0x1.343bf6ae32567p-7, -0x1.2d97bab99246ap-7, -0x1.27126be0c8eefp-7, -0x1.20ab9debc9486p-7, -0x1.1a62e54a7bb5dp-7, -0x1.1437d7188b7f6p-7, -0x1.0e2a092146bd3p-7, -0x1.083911e347cb4p-7, -0x1.02648893ff36dp-7, -0x1.f9580a4653a78p-8, -0x1.ee1e407c2e8p-8, -0x1.e31ae6a5b0acap-8, -0x1.d84d3126b1994p-8, -0x1.cdb455f0765b9p-8, -0x1.c34f8c8779fap-8, -0x1.b91e0e08c6cc1p-8, -0x1.af1f152f02baap-8, -0x1.a551de5780d95p-8, -0x1.9bb5a786d40e5p-8, -0x1.9249b06d466c2p-8, -0x1.890d3a6b0e662p-8, -0x1.7fff88944f19dp-8, -0x1.771fdfb4caa0fp-8, -0x1.6e6d865380aecp-8, -0x1.65e7c4b5d5d54p-8, -0x1.5d8de4e2bde31p-8, -0x1.555f32a5a89cap-8, -0x1.4d5afb910cc95p-8, -0x1.45808f00ec7f5p-8, -0x1.3dcf3e1cf6135p-8, -0x1.36465bda95d4ap-8, -0x1.2ee53cfed4472p-8, -0x1.27ab381fd611dp-8, -0x1.2097a5a6588cdp-8, -0x1.19a9dfcef49b3p-8, -0x1.12e142ab0f0c5p-8, -0x1.0c3d2c21adaf8p-8, -0x1.05bcfbf04ea7ep-8, -0x1.fec0275670296p-9, -0x1.f24bad7bc84f7p-9, -0x1.e61b54d6120d2p-9, -0x1.da2deb994669ep-9, -0x1.ce8243a78784dp-9, -0x1.c317329059dc2p-9, -0x1.b7eb918fb98d3p-9, -0x1.acfe3d8ca006ep-9, -0x1.a24e17178c8d1p-9, -0x1.97da0268835f5p-9, -0x1.8da0e75ced59fp-9, -0x1.83a1b174df96fp-9, -0x1.79db4fd0bed2fp-9, -0x1.704cb52e0232fp-9, -0x1.66f4d7e40c8fcp-9, -0x1.5dd2b1e05f1e5p-9, -0x1.54e540a357b58p-9, -0x1.4c2b853bdaabp-9, -0x1.43a4844360543p-9, -0x1.3b4f45d947a15p-9, -0x1.332ad59e61044p-9, -0x1.2b3642b011315p-9, -0x1.23709fa36ecf9p-9, -0x1.1bd9027faed4dp-9, -0x1.146e84b91fdebp-9, -0x1.0d30432b69854p-9, -0x1.061d5e13df61bp-9, -0x1.fe69f217595a1p-10, -0x1.f0ec7602b038ep-10, -0x1.e3c09c66793f3p-10, -0x1.d6e4c05172b7bp-10, -0x1.ca5743578bb7cp-10, -0x1.be168d853987fp-10, -0x1.b2210d513d5abp-10, -0x1.a675378f24e95p-10, -0x1.9b118761b6cdp-10, -0x1.8ff47e2c8b2cp-10, -0x1.851ca385b66afp-10, -0x1.7a88852760ba7p-10, -0x1.7036b6e0fa8f9p-10, -0x1.6625d2886edcep-10, -0x1.5c5477eb44674p-10, -0x1.52c14cbf08b5cp-10, -0x1.496afc92a0b05p-10, -0x1.405038be91c8ep-10, -0x1.376fb8558d915p-10, -0x1.2ec8381501d39p-10, -0x1.26587a54eb818p-10, -0x1.1e1f46f8d643cp-10, -0x1.161b6b5f8260ep-10, -0x1.0e4bba53578eap-10, -0x1.06af0bfa26ffap-10, -0x1.fe887b8aca77ap-11, -0x1.f01464c45d37p-11, -0x1.e1ffa35216f04p-11, -0x1.d448111d04cfp-11, -0x1.c6eb9224994aap-11, -0x1.b9e8145f55e3ap-11, -0x1.ad3b8f9ad36c5p-11, -0x1.a0e4055b76c68p-11, -0x1.94df80bc9c86fp-11, -0x1.892c165108263p-11, -0x1.7dc7e40156bc8p-11, -0x1.72b110eeae35cp-11, -0x1.67e5cd51556eap-11, -0x1.5d645259bfe58p-11, -0x1.532ae210c800bp-11, -0x1.4937c7384bf5bp-11, -0x1.3f89552c19b9ap-11, -0x1.361de7c2db65dp-11, -0x1.2cf3e32eb3382p-11, -0x1.2409b3dee844cp-11, -0x1.1b5dce60f66ecp-11, -0x1.12eeaf4204d51p-11, -0x1.0abadaf0a4fb5p-11, -0x1.02c0dd9eae525p-11, -0x1.f5fe96468a6cp-12, -0x1.e6e97db9ec5eep-12, -0x1.d83fb7285779ap-12, -0x1.c9fe96bc175cbp-12, -0x1.bc237efcf42dbp-12, -0x1.aeabe0983fcacp-12, -0x1.a195d638fa8cp-12, -0x1.94ddb2a5b5ad1p-12, -0x1.8881acde2c174p-12, -0x1.7c7f6be942fcfp-12, -0x1.70d4a3d733617p-12, -0x1.657f158a12403p-12, -0x1.5a7c8e7f6febfp-12, -0x1.4fcae8997c7bcp-12, -0x1.456809e918a85p-12, -0x1.3b51e479a6c4dp-12, -0x1.318676188187p-12, -0x1.2803c825e6986p-12, -0x1.1ec7ef5d209c6p-12, -0x1.15d10ba27f66dp-12, -0x1.0d1d47d02a1dp-12, -0x1.04aad983c9f5bp-12, -0x1.f8f001d9f2a9cp-13, -0x1.e9061137120abp-13, -0x1.d9948a9dd8dccp-13, -0x1.ca982b8bf0686p-13, -0x1.bc0dc51d716d5p-13, -0x1.adf23bb193c05p-13, -0x1.a042868974b32p-13, -0x1.92fbaf6d9d114p-13, -0x1.861ad2547c1b7p-13, -0x1.799d1d0758e65p-13, -0x1.6d7fcec4eda42p-13, -0x1.61c037f349dccp-13, -0x1.565bb9c0b543bp-13, -0x1.4b4fc5d49fa4cp-13, -0x1.4099ddf55302fp-13, -0x1.363793b906a5cp-13, -0x1.2c2688320f0c7p-13, -0x1.22646b9e3deeap-13, -0x1.18eefd17fab1p-13, -0x1.0fc40a4648215p-13, -0x1.06e16f0ffddaap-13, -0x1.fc8a2a9efa1e6p-14, -0x1.ebd9e90e75959p-14, -0x1.dbae232f7367dp-14, -0x1.cc02fcec7ab1dp-14, -0x1.bcd4b3ccc92a7p-14, -0x1.ae1f9e6288e7cp-14, -0x1.9fe02bc2b1adep-14, -0x1.9212e2fc6a56dp-14, -0x1.84b4628bee2b6p-14, -0x1.77c15fe37ba01p-14, -0x1.6b36a6d8e067bp-14, -0x1.5f11193179135p-14, -0x1.534dae1e2879cp-14, -0x1.47e971c2204b1p-14, -0x1.3ce184b7e23d5p-14, -0x1.32331b9908f84p-14, -0x1.27db7e8ad0fa7p-14, -0x1.1dd808c86eb9p-14, -0x1.142628338a201p-14, -0x1.0ac35ce1addf1p-14, -0x1.01ad38b74af24p-14, -0x1.f1c2bde1737e6p-15, -0x1.e0bb077ed42a7p-15, -0x1.d03ed7c9d4a22p-15, -0x1.c049d88f6369ap-15, -0x1.b0d7d324d3ea1p-15, -0x1.a1e4afa4ccba6p-15, -0x1.936c7434f237bp-15, -0x1.856b442d71de7p-15, -0x1.77dd5f9763c4fp-15, -0x1.6abf2243f09a3p-15, -0x1.5e0d03347f38fp-15, -0x1.51c393e5d415ap-15, -0x1.45df7fadce34p-15, -0x1.3a5d8b0866d8ap-15, -0x1.2f3a92ffe932ap-15, -0x1.24738c847f216p-15, -0x1.1a0583d410991p-15, -0x1.0fed9bdf70b75p-15, -0x1.06290db36bcbep-15, -0x1.f96a4fcc28bdbp-16, -0x1.e71e9c0cb8674p-16, -0x1.d569f01dbd95cp-16, -0x1.c44763b611a0fp-16, -0x1.b3b23544f39fdp-16, -0x1.a3a5c8e13a2fep-16, -0x1.941da7528532fp-16, -0x1.85157cf7d863ep-16, -0x1.768918f53f189p-16, -0x1.68746c2eaf4f3p-16, -0x1.5ad388506287p-16, -0x1.4da29f0716146p-16, -0x1.40de00fa83891p-16, -0x1.34821cf5570f1p-16, -0x1.288b7f260d6b9p-16, -0x1.1cf6d0341abe2p-16, -0x1.11c0d46ee6b1fp-16, -0x1.06e66b27204e8p-16, -0x1.f8c91b72c9efp-17, -0x1.e4709dc5898d9p-17, -0x1.d0bdb413b9edfp-17, -0x1.bdaae50e723bfp-17, -0x1.ab32e5c98a97ap-17, -0x1.99509877c4617p-17, -0x1.87ff0b064bd7bp-17, -0x1.773975d6dc743p-17, -0x1.66fb3a76be3d9p-17, -0x1.573fe265b8c4p-17, -0x1.48031dc8882d2p-17, -0x1.3940c28304fd7p-17, -0x1.2af4cad187b1bp-17, -0x1.1d1b53f080f23p-17, -0x1.0fb09d9a38a2bp-17, -0x1.02b1089229d78p-17, -0x1.ec322b61f388cp-18, -0x1.d3cac9c8b1063p-18, -0x1.bc25686394219p-18, -0x1.a53bbd847fb2p-18, -0x1.8f07b7e6c7f59p-18, -0x1.79837ce31af41p-18, -0x1.64a966952ac47p-18, -0x1.5074022ed2062p-18, -0x1.3cde0e8d415a4p-18, -0x1.29e27a20a7a91p-18, -0x1.177c61af5c603p-18, -0x1.05a70e9f6ecadp-18, -0x1.e8bbeb1eab563p-19, -0x1.c73969b2d80c6p-19, -0x1.a6be2694a3e78p-19, -0x1.8741fc9763735p-19, -0x1.68bd12723ab67p-19, -0x1.4b27d74aba98p-19, -0x1.2e7b0065a5ea1p-19, -0x1.12af86b0616a1p-19, -0x1.ef7d489b25bdap-20, -0x1.bb43a5420816ap-20, -0x1.88a58fb6828ccp-20, -0x1.5796e9140b52ep-20, -0x1.280c04028578dp-20, -0x1.f3f33d3cc9486p-21, -0x1.9aa9c37607eeap-21, -0x1.4426b51bcccf3p-21, -0x1.e0abdf2979be6p-22, -0x1.3e4817d1e2cb5p-22, -0x1.41f95d4ebd92ep-23, -0x1.14b3a74903055p-27, 0x1.15bfaf77c17cap-23, 0x1.19b52828a3671p-22, 0x1.a3fa970792a8ap-22, 0x1.14e79d6bcd7acp-21, 0x1.55a8885df9457p-21, 0x1.944e7d2a9ece9p-21, 0x1.d0e76be468d62p-21, 0x1.05c06228b2e39p-20, 0x1.2213be0ec5b94p-20, 0x1.3d7409e83e379p-20, 0x1.57e74ccd16ddcp-20, }}, 
      {{-0x1.1bb1f4f331388p+1, -0x1.149491e072032p+1, -0x1.096eab7abecc5p+1, -0x1.f614e1a96461cp+0, -0x1.d47847d1b00ccp+0, -0x1.af9cf5031c5abp+0, -0x1.88f02076a436ap+0, -0x1.61ad1de9ea23dp+0, -0x1.3ad87db918725p+0, -0x1.15422349ba8e2p+0, -0x1.e31221c459455p-1, -0x1.a04161a90da6ap-1, -0x1.62ad5642dc3f8p-1, -0x1.2ab19a6a9de21p-1, -0x1.f0f018fd48c1fp-2, -0x1.9800ce9dff0c6p-2, -0x1.4a54ac4c20048p-2, -0x1.077ca05517d6cp-2, -0x1.9dca9984d6ee9p-3, -0x1.3fc78fa7eae6fp-3, -0x1.e6f822f8212e6p-4, -0x1.6ec57459a4e3cp-4, -0x1.13e4f37a2c637p-4, -0x1.a69623a188df3p-5, -0x1.54047e4a82726p-5, -0x1.2a683822f7343p-5, -0x1.24648071bd8d3p-5, -0x1.3ce24f1bafdep-5, -0x1.6f3cfd5136458p-5, -0x1.b727507cf8075p-5, -0x1.085189dfa5c5fp-4, -0x1.3c080afce05bp-4, -0x1.75184016b6dfp-4, -0x1.b20d7eaddfe8dp-4, -0x1.f19778eafa7d5p-4, -0x1.1944ee3e829d7p-3, -0x1.39ee8c5f0d92ep-3, -0x1.5a5601aefe7aep-3, -0x1.7a179ebb5ef38p-3, -0x1.98dcc903185dp-3, -0x1.b65b359d479cp-3, -0x1.d25478f961cc4p-3, -0x1.ec9529347eba5p-3, -0x1.0279c8a8d5036p-2, -0x1.0da7385892308p-2, -0x1.17c60cb1086d3p-2, -0x1.20ccec566e718p-2, -0x1.28b5b40c5b8bbp-2, -0x1.2f7d215dbc152p-2, -0x1.352275c271216p-2, -0x1.39a721ed8a902p-2, -0x1.3d0e807acacf8p-2, -0x1.3f5d9b79fc61ap-2, -0x1.409af5a2ea3dap-2, -0x1.40d0065c6f9d2p-2, -0x1.4001801a35aabp-2, -0x1.3e3b331e8d13fp-2, -0x1.3b8807db5dfb4p-2, -0x1.37f35d0c3ec2cp-2, -0x1.3388c146dab52p-2, -0x1.2e53cf7289b6fp-2, -0x1.28602add6efe2p-2, -0x1.21b98d201ac42p-2, -0x1.1a6bd4e087d9ep-2, -0x1.1283082c4876ep-2, -0x1.0a0b44bd1b925p-2, -0x1.0110a091fbc7bp-2, -0x1.ef3e05eff32fep-3, -0x1.db83ffdb47573p-3, -0x1.c7097bc0be7c9p-3, -0x1.b1e3d3104f06ep-3, -0x1.9c276e02577eap-3, -0x1.85e7d7929a383p-3, -0x1.6f37d790b00eap-3, -0x1.582988095bffap-3, -0x1.40ce5f1427a59p-3, -0x1.29372b09053c3p-3, -0x1.117403b291c0ap-3, -0x1.f3286c1973ff2p-4, -0x1.c34c61faa3e0bp-4, -0x1.936ef0bd9292bp-4, -0x1.63a942b84bbd1p-4, -0x1.3412b0c97a917p-4, -0x1.04c0dd61f66fap-4, -0x1.ab8fafc2f8c17p-5, -0x1.4e7481c4f9557p-5, -0x1.e4a5a5787b90dp-6, -0x1.2e95a43f65f64p-6, -0x1.ebd2b57d2c00bp-8, 0x1.b031764033e7p-9, 0x1.c850f5c8ad7b8p-7, 0x1.8f445deac9945p-6, 0x1.1b98495f92694p-5, 0x1.6de42719357a5p-5, 0x1.be75888b753a7p-5, 0x1.069f1a5856d1cp-4, 0x1.2d18ea3038e6dp-4, 0x1.52a2e61470dbbp-4, 0x1.77388c138864cp-4, 0x1.9ad616246be71p-4, 0x1.bd786d0b89879p-4, 0x1.df1d1df63561dp-4, 0x1.ffc2524530096p-4, 0x1.0fb3645cb716p-3, 0x1.1f04e793c5cep-3, 0x1.2dd59dfc5fce8p-3, 0x1.3c25b382630ddp-3, 0x1.49f590d146d8fp-3, 0x1.5745d70b4dfb4p-3, 0x1.64175b5a76735p-3, 0x1.7068b9b91e824p-3, 0x1.7c3fc29b67d2ap-3, 0x1.879bdbda94e72p-3, 0x1.927e770f95af3p-3, 0x1.9ce9215e2eed3p-3, 0x1.a6dd8240ae638p-3, 0x1.b05d5aa95be56p-3, 0x1.b96a843613247p-3, 0x1.c206f038068e6p-3, 0x1.ca34a65f87e81p-3, 0x1.d1f5c2ef78976p-3, 0x1.d94c7472f2125p-3, 0x1.e03af9052cf0ap-3, 0x1.e6c39b4d51ed8p-3, 0x1.ece8af5a6902ap-3, 0x1.f2ac8f8eaeed7p-3, 0x1.f81199c5781f3p-3, 0x1.fd1a2cd4ca35ap-3, 0x1.00e4533f5e739p-2, 0x1.030fb0ec41419p-2, 0x1.05105b10213e7p-2, 0x1.06e77af87a27fp-2, 0x1.0896375ea37a4p-2, 0x1.0a1db43c23b8fp-2, 0x1.0b7f12a9cfe4bp-2, 0x1.0cbb70bf79ep-2, 0x1.0dd3e96cb0381p-2, 0x1.0ec994460f069p-2, 0x1.0f9d8545b9ba3p-2, 0x1.1050cc802e1ep-2, 0x1.10e475d0caae6p-2, 0x1.11598882bf7efp-2, 0x1.11b106fbe1984p-2, 0x1.11ebee6ed36b7p-2, 0x1.120b369961342p-2, 0x1.120fd192d556cp-2, 0x1.11faabaca175fp-2, 0x1.11ccab6629324p-2, 0x1.1186b172f4194p-2, 0x1.112998d12ff7fp-2, 0x1.10b636ed67f3fp-2, 0x1.102d5bcf99756p-2, 0x1.0f8fd24d981p-2, 0x1.0ede603eba658p-2, 0x1.0e19c6ad354b4p-2, 0x1.0d42c2022e198p-2, 0x1.0c5a0a2a58aa3p-2, 0x1.0b6052b1ced2bp-2, 0x1.0a564ad6b0c03p-2, 0x1.093c9d92ea231p-2, 0x1.0813f19e240acp-2, 0x1.06dce9697b95bp-2, 0x1.05982316f265ap-2, 0x1.0446386ebdb7ap-2, 0x1.02e7bed4aa995p-2, 0x1.017d473fa68d4p-2, 0x1.00075e353b4bdp-2, 0x1.fd0d1794e7cd4p-3, 0x1.f9f6a7566f2c9p-3, 0x1.f6cc6a514dde8p-3, 0x1.f38f569d3d5a8p-3, 0x1.f0405a0013c23p-3, 0x1.ece05a32aaafap-3, 0x1.e970352ff6ef8p-3, 0x1.e5f0c18be6c95p-3, 0x1.e262cecf3bb66p-3, 0x1.dec725d59c53cp-3, 0x1.db1e892b0fe9dp-3, 0x1.d769b56665d2bp-3, 0x1.d3a9617e5db7p-3, 0x1.cfde3f17c578cp-3, 0x1.cc08facb50237p-3, 0x1.c82a3c625c73fp-3, 0x1.c442a70a61f4fp-3, 0x1.c052d97f3430cp-3, 0x1.bc5b6e2ca8b53p-3, 0x1.b85cfb488e484p-3, 0x1.b45812e61dbccp-3, 0x1.b04d430432a62p-3, 0x1.ac3d1597c1c18p-3, 0x1.a8281093fbep-3, 0x1.a40eb5f176207p-3, 0x1.9ff183b59dcedp-3, 0x1.9bd0f3fb88971p-3, 0x1.97ad7cfef88bfp-3, 0x1.9387912a36bcbp-3, 0x1.8f5f9f271a8d1p-3, 0x1.8b3611f35f3cap-3, 0x1.870b50f82d395p-3, 0x1.82dfc024848f5p-3, 0x1.7eb3c00a1a822p-3, 0x1.7a87adfc0a381p-3, 0x1.765be42ec3d11p-3, 0x1.7230b9d87f6e4p-3, 0x1.6e06835195d6ap-3, 0x1.69dd92341cdeap-3, 0x1.65b6357a3d7a3p-3, 0x1.6190b99ad585bp-3, 0x1.5d6d68a402c13p-3, 0x1.594c8a5362378p-3, 0x1.552e642bd4918p-3, 0x1.51133988cc9c7p-3, 0x1.4cfb4baf2b881p-3, 0x1.48e6d9dbc6213p-3, 0x1.44d6214fda484p-3, 0x1.40c95d5b98b4ap-3, 0x1.3cc0c767282b4p-3, 0x1.38bc96fa552eap-3, 0x1.34bd01c34e078p-3, 0x1.30c23b9cb88e6p-3, 0x1.2ccc76935bc47p-3, 0x1.28dbe2ebab83ep-3, 0x1.24f0857bf698p-3, 0x1.210ac6f75c12ep-3, 0x1.1d2ac27ce3eaap-3, 0x1.1950a1ca75359p-3, 0x1.157c8cdf83012p-3, 0x1.11aeaa0446237p-3, 0x1.0de71dd1de63p-3, 0x1.0a260b3b5d987p-3, 0x1.066b93978b882p-3, 0x1.02b7d6ab529e3p-3, 0x1.fe15e569418c8p-4, 0x1.f6ca08eb4b00fp-4, 0x1.ef8c4e8070d94p-4, 0x1.e85cea029d929p-4, 0x1.e13c0c98a2917p-4, 0x1.da29e4cc868e3p-4, 0x1.d3269ea10ef8dp-4, 0x1.cc3263a686176p-4, 0x1.c54d5b0e7cc6ep-4, 0x1.be77a9be6f3dbp-4, 0x1.b7b172613cfadp-4, 0x1.b0fad577721eap-4, 0x1.aa53f1665962dp-4, 0x1.a3bce285d6af7p-4, 0x1.9d35c32d2837ap-4, 0x1.96beabbe97146p-4, 0x1.9057b2b22f4c7p-4, 0x1.8a00ec9f99ab2p-4, 0x1.83ba6c4737986p-4, 0x1.7d84429a9ead4p-4, 0x1.775e7ec48e67dp-4, 0x1.71492e308388p-4, 0x1.6b445c92042cbp-4, 0x1.655013ebbc446p-4, 0x1.5f6c5c9688ed4p-4, 0x1.59993d4885101p-4, 0x1.53d6bb1c2955cp-4, 0x1.4e24d99791ef3p-4, 0x1.48839ab3f464p-4, 0x1.42f2fee54f6f1p-4, 0x1.3d73052258f54p-4, 0x1.3803aaecafe33p-4, 0x1.32a4ec5950319p-4, 0x1.2d56c419466a8p-4, 0x1.28192b829e1e8p-4, 0x1.22ec1a99884aep-4, 0x1.1dcf8819ab9e9p-4, 0x1.18c3697f9c53fp-4, 0x1.13c7b3126cabep-4, 0x1.0edc57ed51771p-4, 0x1.0a014a094ad78p-4, 0x1.05367a46cca9p-4, 0x1.007bd87758217p-4, 0x1.f7a2a6ce075bp-5, 0x1.ee6db1cbc4dbcp-5, 0x1.e558aba29544dp-5, 0x1.dc636c39dc54dp-5, 0x1.d38dc9b78f7c7p-5, 0x1.cad79891a014ep-5, 0x1.c240ab9eff32dp-5, 0x1.b9c8d4282a8dap-5, 0x1.b16fe1f749dd4p-5, 0x1.a935a367d2218p-5, 0x1.a119e575b9ba6p-5, 0x1.991c73cc37568p-5, 0x1.913d18d414294p-5, 0x1.897b9dc193851p-5, 0x1.81d7caa1f250ap-5, 0x1.7a5166688d1d8p-5, 0x1.72e836fba46ecp-5, 0x1.6b9c0140d33e2p-5, 0x1.646c892932778p-5, 0x1.5d5991bd39f58p-5, 0x1.5662dd2859b6ap-5, 0x1.4f882cc457f71p-5, 0x1.48c9412477586p-5, 0x1.4225da2068f74p-5, 0x1.3b9db6df0df27p-5, 0x1.353095e10adb3p-5, 0x1.2ede350b32547p-5, 0x1.28a651b0c84aep-5, 0x1.2288a89d9ba78p-5, 0x1.1c84f61ffcd3ep-5, 0x1.169af6128de4p-5, 0x1.10ca63e5eeddp-5, 0x1.0b12faaa44563p-5, 0x1.057475189765fp-5, 0x1.ffdd1b38213aep-6, 0x1.f501fcb6151b7p-6, 0x1.ea57027ff6452p-6, 0x1.dfdba00466f15p-6, 0x1.d58f485ce6be3p-6, 0x1.cb716e5ea26ecp-6, 0x1.c18184aae2902p-6, 0x1.b7befdbf239p-6, 0x1.ae294c04c22a4p-6, 0x1.a4bfe1e048d6p-6, 0x1.9b8231c05ccbcp-6, 0x1.926fae2c3d44bp-6, 0x1.8987c9d1dbfdp-6, 0x1.80c9f79391159p-6, 0x1.7835aa955fc74p-6, 0x1.6fca5649d9f9bp-6, 0x1.67876e7e8da28p-6, 0x1.5f6c67681811dp-6, 0x1.5778b5adc68b2p-6, 0x1.4fabce74d189dp-6, 0x1.4805276b39ba2p-6, 0x1.408436d2323e9p-6, 0x1.39287388351c3p-6, 0x1.31f15512b0353p-6, 0x1.2ade53a752904p-6, 0x1.23eee834fd71p-6, 0x1.1d228c6c59414p-6, 0x1.1678bac80fb45p-6, 0x1.0ff0ee94b1786p-6, 0x1.098aa3f84121cp-6, 0x1.034557f96f45cp-6, 0x1.fa41110d0178ap-7, 0x1.ee3768f7d32b3p-7, 0x1.e26cb755246dbp-7, 0x1.d6dffdbbb8dabp-7, 0x1.cb903fc2a6b94p-7, 0x1.c07c830c2b83ep-7, 0x1.b5a3cf4ffabc7p-7, 0x1.ab052e64f6299p-7, 0x1.a09fac4a68d2p-7, 0x1.96725730b53b2p-7, 0x1.8c7c3f818c079p-7, 0x1.82bc77e7947p-7, 0x1.79321555ab2edp-7, 0x1.6fdc2f0d9a504p-7, 0x1.66b9dea6633b4p-7, 0x1.5dca40120fb2dp-7, 0x1.550c71a316781p-7, 0x1.4c7f941146e41p-7, 0x1.4422ca7e5dcfdp-7, 0x1.3bf53a7a17518p-7, 0x1.33f60c05e883ap-7, 0x1.2c24699856c7ep-7, 0x1.247f801fe4ec9p-7, 0x1.1d067f05a392dp-7, 0x1.15b8982f67168p-7, 0x1.0e9500019e9a7p-7, 0x1.079aed60da046p-7, 0x1.00c999b2ed749p-7, 0x1.f44081bfa25edp-8, 0x1.e73c42a44f7a8p-8, 0x1.da84f7eee2d92p-8, 0x1.ce19287ffc36ap-8, 0x1.c1f7603d199ep-8, 0x1.b61e300f4fc6cp-8, 0x1.aa8c2de1729bep-8, 0x1.9f3ff49db8a0dp-8, 0x1.9438242adf63p-8, 0x1.89736168cd523p-8, 0x1.7ef0562cbbf7p-8, 0x1.74adb13cec825p-8, 0x1.6aaa264beaecep-8, 0x1.60e46df361587p-8, 0x1.575b45ae8152dp-8, 0x1.4e0d6fd4107e6p-8, 0x1.44f9b39000fa8p-8, 0x1.3c1edcdcbb43fp-8, 0x1.337bbc7c02c08p-8, 0x1.2b0f27ef86b1fp-8, 0x1.22d7f97120af5p-8, 0x1.1ad50feabc254p-8, 0x1.13054eedf3865p-8, 0x1.0b679eab64053p-8, 0x1.03faebe9baa77p-8, 0x1.f97c4ff8ef33cp-9, 0x1.eb609174efa21p-9, 0x1.dda090e87b47dp-9, 0x1.d03a4bd3edf37p-9, 0x1.c32bc882bf6f9p-9, 0x1.b67315f6b3c13p-9, 0x1.aa0e4bd2c988p-9, 0x1.9dfb8a45a9b4dp-9, 0x1.9238f9f3e7f66p-9, 0x1.86c4cbe1cc5dbp-9, 0x1.7b9d395ce9384p-9, 0x1.70c083e562a9ap-9, 0x1.662cf516f3d7dp-9, 0x1.5be0de91b59adp-9, 0x1.51da99e2cbd6ep-9, 0x1.4818886cb9549p-9, 0x1.3e99134fa7c64p-9, 0x1.355aab518985dp-9, 0x1.2c5bc8c5f7c4ep-9, 0x1.239aeb7638246p-9, 0x1.1b169a88f37cap-9, 0x1.12cd6469eb853p-9, 0x1.0abddeb1ba0dfp-9, 0x1.02e6a60d6c31bp-9, 0x1.f68cbc4c5856ap-10, 0x1.e7b76311d655dp-10, 0x1.d94aa31bfeb13p-10, 0x1.cb43ec81e4828p-10, 0x1.bda0bc9050d68p-10, 0x1.b05e9d9995914p-10, 0x1.a37b26c55e128p-10, 0x1.96f3fbe09bffp-10, 0x1.8ac6cd2dcf3d4p-10, 0x1.7ef157356c57fp-10, 0x1.73716296a1741p-10, 0x1.6844c3d8460f8p-10, 0x1.5d695b3a150f4p-10, 0x1.52dd14864e624p-10, 0x1.489de6e3a8953p-10, 0x1.3ea9d4a74fe86p-10, 0x1.34feeb27beb2fp-10, 0x1.2b9b428f95c53p-10, 0x1.227cfdb0d35eep-10, 0x1.19a249d893816p-10, 0x1.11095ea32933fp-10, 0x1.08b07dd08457dp-10, 0x1.0095f31912358p-10, 0x1.f1702805e52ffp-11, 0x1.e22a7f6f6ba13p-11, 0x1.d357bdb4bdec7p-11, 0x1.c4f4c6bbc6e7ap-11, 0x1.b6fe90b7fa04p-11, 0x1.a97223d92ead2p-11, 0x1.9c4e00034f1acp-11, 0x1.8f8c89e6fb4bdp-11, 0x1.832c5d85e2578p-11, 0x1.772ac7e5af2dcp-11, 0x1.6b85267dcff9bp-11, 0x1.6038e6eb13f3ap-11, 0x1.554386a3e28c8p-11, 0x1.4aa292ad8b2b7p-11, 0x1.4053a7524eb26p-11, 0x1.36546fd7aed02p-11, 0x1.2ca2a636b379dp-11, 0x1.233c12d3c73bp-11, 0x1.1a1e8c3807f8fp-11, 0x1.1147f6cb43857p-11, 0x1.08b6448eaad11p-11, 0x1.006774d85df5fp-11, 0x1.f0b3281f448bbp-12, 0x1.e11576d4250ap-12, 0x1.d1f22152ee412p-12, 0x1.c3458bb4c2cdep-12, 0x1.b50c32275c05p-12, 0x1.a742a86d069b1p-12, 0x1.99e5995f1b351p-12, 0x1.8cf1c671732cfp-12, 0x1.8064073714151p-12, 0x1.743948e9954afp-12, 0x1.686e8df0c5f09p-12, 0x1.5d00ed6cd1826p-12, 0x1.51ed92c2048e6p-12, 0x1.4731bd24ceacp-12, 0x1.3ccabf29f85c1p-12, 0x1.32b5fe556e5fp-12, 0x1.28f0f2ad4a691p-12, 0x1.1f79264cd5152p-12, 0x1.164c34f9bacadp-12, 0x1.0d67cbbb0aa86p-12, 0x1.04c9a8719f109p-12, 0x1.f8df32e492f64p-13, 0x1.e8aefa432e64dp-13, 0x1.d8fe8322c02aap-13, 0x1.c9c9c83fecc33p-13, 0x1.bb0ce2315a6f5p-13, 0x1.acc406ad9854p-13, 0x1.9eeb87d2f5e5bp-13, 0x1.917fd3738b156p-13, 0x1.847d72633b985p-13, 0x1.77e107cb8ce15p-13, 0x1.6ba7508021d5p-13, 0x1.5fcd2258c4bbp-13, 0x1.544f6b8ce614fp-13, 0x1.492b32135452cp-13, 0x1.3e5d930511904p-13, 0x1.33e3c203891dbp-13, 0x1.29bb08a165de1p-13, 0x1.1fe0c5cf42fp-13, 0x1.16526d4afc45cp-13, 0x1.0d0d8712b5805p-13, 0x1.040faed8ee1adp-13, 0x1.f6ad26ff2a3c3p-14, 0x1.e5bfed246ab11p-14, 0x1.d55357884a9bfp-14, 0x1.c56330e670281p-14, 0x1.b5eb6656b0bbfp-14, 0x1.a6e8065ba52d8p-14, 0x1.98553ff675e7dp-14, 0x1.8a2f61bf9723ap-14, 0x1.7c72d904e6af1p-14, 0x1.6f1c30efe63adp-14, 0x1.622811aa94639p-14, 0x1.55933f915ec12p-14, 0x1.495a9a6275d2bp-14, 0x1.3d7b1c78147f4p-14, 0x1.31f1da032c786p-14, 0x1.26bc004d069cfp-14, 0x1.1bd6d4fd08f2ep-14, 0x1.113fb5622789dp-14, 0x1.06f415c19a771p-14, 0x1.f9e30152dbda9p-15, 0x1.e66b2c8e982fp-15, 0x1.d37c178724c01p-15, 0x1.c111553fc92d2p-15, 0x1.af26a034e4bd5p-15, 0x1.9db7d928c4cd7p-15, 0x1.8cc105f9d38ddp-15, 0x1.7c3e50799c672p-15, 0x1.6c2c05591e0c9p-15, 0x1.5c86930b9f7eap-15, 0x1.4d4a88bdca47ep-15, 0x1.3e749547e0015p-15, 0x1.30018632b89a4p-15, 0x1.21ee46b920e1ep-15, 0x1.1437ded54636dp-15, 0x1.06db7252e28b6p-15, 0x1.f3ac7fce8fc9fp-16, 0x1.da4b40984444ap-16, 0x1.c18e0ad092f26p-16, 0x1.a96ff2f034e95p-16, 0x1.91ec3c7a2b71p-16, 0x1.7afe585ce75dbp-16, 0x1.64a1e374327b5p-16, 0x1.4ed2a4fe764eep-16, 0x1.398c8d2d1eb4bp-16, 0x1.24cbb3b2a2d15p-16, 0x1.108c566318713p-16, 0x1.f995afb7c899dp-17, 0x1.d3077c6dfaa15p-17, 0x1.ad67637af8ecdp-17, 0x1.88aef75e60e4fp-17, 0x1.64d80a2a90e31p-17, 0x1.41dcab234afefp-17, 0x1.1fb7247b4542cp-17, 0x1.fcc3f23d6e15p-18, 0x1.bbafc5340da18p-18, 0x1.7c279df63ea41p-18, 0x1.3e21bdac2856cp-18, 0x1.0194c6a082797p-18, 0x1.8cef70e7c04aap-19, 0x1.1983d90823c86p-19, 0x1.51ac491401d46p-20, 0x1.d6b2bd7188541p-22, -0x1.84575431f41e7p-22, -0x1.32b8cdb25081cp-20, -0x1.ff58a02b9a692p-20, -0x1.63884d1204814p-19, -0x1.c4fd7e9a188c7p-19, -0x1.120c427dd139ep-18, -0x1.4072c2f37f764p-18, -0x1.6db81886364e2p-18, -0x1.99e1e2e74b7ddp-18, -0x1.c4f58bfc91544p-18, -0x1.eef84a4ac62afp-18, -0x1.0bf79199d6888p-17, -0x1.1fef76a71d3a7p-17, -0x1.33662940c64c4p-17, -0x1.465de9005a2bp-17, -0x1.58d8e12ec5b3ap-17, -0x1.6ad929b42e706p-17, -0x1.7c60c815082ccp-17, -0x1.8d71b04146d7ap-17, -0x1.9e0dc57e312fep-17, -0x1.ae36db33fbf59p-17, -0x1.bdeeb5b917abcp-17, -0x1.cd370b1aeea1dp-17, -0x1.dc1183d42c01bp-17, -0x1.ea7fbb802df87p-17, -0x1.f883418f573f4p-17, -0x1.030ecceef644ap-16, -0x1.09a81eb4ffab4p-16, -0x1.100e4d71462d9p-16, -0x1.16420b94ca425p-16, -0x1.1c4406fa5779cp-16, -0x1.2214e923fa445p-16, -0x1.27b5577cbc46ep-16, -0x1.2d25f39745e42p-16, }}, 
      {{-0x1.1d54290244e34p+1, -0x1.1ae948ff6d123p+1, -0x1.170945fcb9f4bp+1, -0x1.11e280bd37e99p+1, -0x1.0ba86db438d94p+1, -0x1.048ee90067c91p+1, -0x1.f98f6ad78aadep+0, -0x1.e90296f554475p+0, -0x1.d7ca60d0b0b1dp+0, -0x1.c6302109b37ddp+0, -0x1.b4732a868d34ap+0, -0x1.a2c92064d8518p+0, -0x1.915e5c29f71d5p+0, -0x1.8056fe80becc4p+0, -0x1.6fcf56f05dbddp+0, -0x1.5fde22e6dc128p+0, -0x1.5093445469c42p+0, -0x1.41faa579b93ebp+0, -0x1.341b826777c69p+0, -0x1.26f9e33baee4fp+0, -0x1.1a96cd3550ba7p+0, -0x1.0ef0f5f73b389p+0, -0x1.040527934b3f3p+0, -0x1.f39d542dcacd5p-1, -0x1.e08f34c47e95bp-1, -0x1.ced267447ca97p-1, -0x1.be58282af5a7bp-1, -0x1.af10a0d36324ap-1, -0x1.a0ebde1554cddp-1, -0x1.93d94f704a9f3p-1, -0x1.87c86f674cb79p-1, -0x1.7ca9082e3e4f2p-1, -0x1.726b1f874f5fp-1, -0x1.68ff20a5bb8c3p-1, -0x1.6055fba806ed8p-1, -0x1.586134e4dde7fp-1, -0x1.5112f253a7abdp-1, -0x1.4a5dff4cb22a7p-1, -0x1.4435ce0e34985p-1, -0x1.3e8e7b871d55fp-1, -0x1.395cd1b07518bp-1, -0x1.349645e9bae98p-1, -0x1.3030f45ff8ab7p-1, -0x1.2c239ab500685p-1, -0x1.286592ec693e5p-1, -0x1.24eece8e4c789p-1, -0x1.21b7d160ef8aep-1, -0x1.1eb9ab053af6ep-1, -0x1.1bedeff27153cp-1, -0x1.194eb2e69f53bp-1, -0x1.16d67eb02131cp-1, -0x1.14804fa8e900bp-1, -0x1.12478d2805f69p-1, -0x1.102803716e108p-1, -0x1.0e1ddb703f0e8p-1, -0x1.0c2598e1f2191p-1, -0x1.0a3c1a5c7e13dp-1, -0x1.085e865033c21p-1, -0x1.068a4a35097f4p-1, -0x1.04bd1647b9d8dp-1, -0x1.02f4d9cf9e359p-1, -0x1.012fbf768bf63p-1, -0x1.fed852c5d9412p-2, -0x1.fb515a01da021p-2, -0x1.f7c81d3b7f51p-2, -0x1.f43a7a2aa4133p-2, -0x1.f0a69ba569cdfp-2, -0x1.ed0af298ffd6p-2, -0x1.e966300aed75fp-2, -0x1.e5b73ff8d3b3cp-2, -0x1.e1fd44cc3d037p-2, -0x1.de3793158092dp-2, -0x1.da65ad545ddccp-2, -0x1.d6873fb3458d2p-2, -0x1.d29c1bba99dep-2, -0x1.cea4341964ff1p-2, -0x1.ca9f98a9eb294p-2, -0x1.c68e72d1d633ep-2, -0x1.c271024e6f1d4p-2, -0x1.be479a6de0a8fp-2, -0x1.ba129faa6a5fbp-2, -0x1.b5d28593c311fp-2, -0x1.b187ccee8ea53p-2, -0x1.ad3301f3145d5p-2, -0x1.a8d4ba9bc9f31p-2, -0x1.a46d94feca10bp-2, -0x1.9ffe35b679cc5p-2, -0x1.9b87466224881p-2, -0x1.97097446d612cp-2, -0x1.92856f14ffa43p-2, -0x1.8dfbe7d37a28ep-2, -0x1.896d8fedfb7b9p-2, -0x1.84db18649c1ap-2, -0x1.8045311a505efp-2, -0x1.7bac883fb6fdep-2, -0x1.7711c9d59390fp-2, -0x1.72759f3ff5e46p-2, -0x1.6dd8aee23d55bp-2, -0x1.693b9bbe7d4a1p-2, -0x1.649f05176c8f2p-2, -0x1.60038618ee758p-2, -0x1.5b69b58d63309p-2, -0x1.56d225a48e7d2p-2, -0x1.523d63cc7ccc6p-2, -0x1.4dabf8986552p-2, -0x1.491e67af31a4cp-2, -0x1.44952fbc0e89bp-2, -0x1.4010ca5ed2f8p-2, -0x1.3b91ac1d8ea8bp-2, -0x1.3718445b12534p-2, -0x1.32a501782c61ep-2, -0x1.2e383cbbcd0a5p-2, -0x1.29d25e3a622c9p-2, -0x1.2573c1764b608p-2, -0x1.211cbcfdb9af5p-2, -0x1.1ccda27cdee89p-2, -0x1.1886bed421ab2p-2, -0x1.14485a3197b2cp-2, -0x1.1012b82d209bdp-2, -0x1.0be617e68ffa5p-2, -0x1.07c2b4257075bp-2, -0x1.03a8c37a06a16p-2, -0x1.ff30f0be6925ep-3, -0x1.f72402b9e43fcp-3, -0x1.ef2b12560398cp-3, -0x1.e7466da73abe6p-3, -0x1.df765bab9a45ep-3, -0x1.d7bb1c8e74aa9p-3, -0x1.d014e9ea937efp-3, -0x1.c883f70ac90acp-3, -0x1.c1087128bf8d1p-3, -0x1.b9a27fa9ee628p-3, -0x1.b252445ad67cp-3, -0x1.ab17dba89195bp-3, -0x1.a3f35cd8f464ap-3, -0x1.9ce4da417b246p-3, -0x1.95ec617d4a693p-3, -0x1.8f09fba2846b5p-3, -0x1.883dad773221dp-3, -0x1.818777a5eeca3p-3, -0x1.7ae756f255de1p-3, -0x1.745d446d21de3p-3, -0x1.6de935a7d0d95p-3, -0x1.678b1ce7830a3p-3, -0x1.6142e956c623cp-3, -0x1.5b10873601a66p-3, -0x1.54f3e00a486e9p-3, -0x1.4eecdaca483cap-3, -0x1.48fb5c0944bd1p-3, -0x1.431f461ff2f7ep-3, -0x1.3d587953246fcp-3, -0x1.37a6d3f83f4ebp-3, -0x1.320a3297766d6p-3, -0x1.2c82700be464ep-3, -0x1.270f65a187e82p-3, -0x1.21b0eb3167c49p-3, -0x1.1c66d73bfc6ffp-3, -0x1.1730ff0224a3p-3, -0x1.120f369cdc69bp-3, -0x1.0d015113ee136p-3, -0x1.08072073cf278p-3, -0x1.032075e2bbd6p-3, -0x1.fc9a436a5f5b7p-4, -0x1.f319e7038e0f4p-4, -0x1.e9bf7468e2cf2p-4, -0x1.e08a88421ca82p-4, -0x1.d77abe2aa9f69p-4, -0x1.ce8fb0d40d49dp-4, -0x1.c5c8fa26d9a3ap-4, -0x1.bd2633623d48fp-4, -0x1.b4a6f53a0605dp-4, -0x1.ac4ad7f334025p-4, -0x1.a411737f060b2p-4, -0x1.9bfa5f946bf4fp-4, -0x1.940533c7ed2bdp-4, -0x1.8c3187a1d1d47p-4, -0x1.847ef2b2a52f5p-4, -0x1.7ced0ca5f7623p-4, -0x1.757b6d537748dp-4, -0x1.6e29acce7124cp-4, -0x1.66f76373d8b2bp-4, -0x1.5fe429f70baecp-4, -0x1.58ef996d737bdp-4, -0x1.52194b593fce9p-4, -0x1.4b60d9b35b15p-4, -0x1.44c5def4c2d2ap-4, -0x1.3e47f61f53f4dp-4, -0x1.37e6bac61d694p-4, -0x1.31a1c9153a60bp-4, -0x1.2b78bdd93a919p-4, -0x1.256b36860ba46p-4, -0x1.1f78d13d71276p-4, -0x1.19a12cd4ff9acp-4, -0x1.13e3e8dba7403p-4, -0x1.0e40a59ed36cfp-4, -0x1.08b7042f2e8e9p-4, -0x1.0346a6650c4a2p-4, -0x1.fbde5dc915e77p-5, -0x1.f1608242d6f91p-5, -0x1.e71302c551a27p-5, -0x1.dcf5298b899b4p-5, -0x1.d30642839b883p-5, -0x1.c9459b541877cp-5, -0x1.bfb28360c4cc9p-5, -0x1.b64c4bce9111ap-5, -0x1.ad124786d8542p-5, -0x1.a403cb39eccf1p-5, -0x1.9b202d60f1da3p-5, -0x1.9266c63f17de8p-5, -0x1.89d6efe249cc2p-5, -0x1.81700623742c5p-5, -0x1.793166a664695p-5, -0x1.711a70d965efbp-5, -0x1.692a85f4a8c73p-5, -0x1.616108f98448p-5, -0x1.59bd5eb18f3d1p-5, -0x1.523eedada94p-5, -0x1.4ae51e44df22bp-5, -0x1.43af5a933820cp-5, -0x1.3c9d0e78641a7p-5, -0x1.35ada7963f96bp-5, -0x1.2ee0954f3e164p-5, -0x1.28353ff18df88p-5, -0x1.21ab2bf25a918p-5, -0x1.1b41c558a5a71p-5, -0x1.14f882708ba55p-5, -0x1.0ecedb3bae8c8p-5, -0x1.08c4496f24c48p-5, -0x1.02d8487157677p-5, -0x1.fa14aaaf86af7p-6, -0x1.eeb3ddc949c0bp-6, -0x1.e38d2b09161b7p-6, -0x1.d89f9697a6338p-6, -0x1.cdea27e8063eap-6, -0x1.c36be9b23c3cbp-6, -0x1.b923e9ed9fc73p-6, -0x1.af1139cb194p-6, -0x1.a532edaf2a1cbp-6, -0x1.9b881d2bdbdcdp-6, -0x1.920fe2fa84c79p-6, -0x1.88c95cf56db2ep-6, -0x1.7fb3ac115ba5p-6, -0x1.76cdf456fd503p-6, -0x1.6e175cdc4f689p-6, -0x1.658f0fbde4203p-6, -0x1.5d343a18217d1p-6, -0x1.55060c00773d5p-6, -0x1.4d03b87e78962p-6, -0x1.452c758519d57p-6, -0x1.3d7f7bebbf928p-6, -0x1.35fc076761923p-6, -0x1.2ea15683acf79p-6, -0x1.276eaa9c23a36p-6, -0x1.206347d53adffp-6, -0x1.197e75158602fp-6, -0x1.12bf7bfee3e02p-6, -0x1.0c25a8e7aa1fap-6, -0x1.05b04ad3dbd65p-6, -0x1.febd66dcbd6c3p-7, -0x1.f2606e048242fp-7, -0x1.e64858e7e891ep-7, -0x1.da73da7538312p-7, -0x1.cee1aab2aa972p-7, -0x1.c39086b10eed6p-7, -0x1.b87f307e5ea8dp-7, -0x1.adac6f18879e6p-7, -0x1.a3170e600d468p-7, -0x1.98bddf0ab2725p-7, -0x1.8e9fb6964ea23p-7, -0x1.84bb6f3b7ec48p-7, -0x1.7b0fe7e0721a2p-7, -0x1.719c040ba9084p-7, -0x1.685eabd6db52p-7, -0x1.5f56cbe1b2b18p-7, -0x1.56835544bdbc2p-7, -0x1.4de33d844ad9cp-7, -0x1.45757e8347517p-7, -0x1.3d3916763db7ep-7, -0x1.352d07d650fd9p-7, -0x1.2d5059543cb1bp-7, -0x1.25a215cb5f439p-7, -0x1.1e214c34db104p-7, -0x1.16cd0f9abde9bp-7, -0x1.0fa4770b2c6aap-7, -0x1.08a69d8bacadp-7, -0x1.01d2a20c69aebp-7, -0x1.f64f4eb7441e9p-8, -0x1.e949a8321a2f5p-8, -0x1.dc92a552b34e7p-8, -0x1.d028a25395a59p-8, -0x1.c40a02c7a55edp-8, -0x1.b8353181908d1p-8, -0x1.aca8a07b7480cp-8, -0x1.a162c8be8cad8p-8, -0x1.96622a4b14cb5p-8, -0x1.8ba54c005ec1bp-8, -0x1.812abb84fa96bp-8, -0x1.76f10d2f197a2p-8, -0x1.6cf6dbed25bb4p-8, -0x1.633ac92e64511p-8, -0x1.59bb7ccbe2f18p-8, -0x1.5077a4f175a43p-8, -0x1.476df607012d4p-8, -0x1.3e9d2a99c9682p-8, -0x1.360403461023bp-8, -0x1.2da146a0d0234p-8, -0x1.2573c1219f88dp-8, -0x1.1d7a450ccdeap-8, -0x1.15b3aa5da5ddep-8, -0x1.0e1eceb0e133bp-8, -0x1.06ba952f417a3p-8, -0x1.ff0bccf0cd758p-9, -0x1.f0ff611b84b6p-9, -0x1.e34dcd7b89a4p-9, -0x1.d5f5031e85a1ep-9, -0x1.c8f2fd59cd0cbp-9, -0x1.bc45c1a1f6778p-9, -0x1.afeb5f62967ep-9, -0x1.a3e1efd65f3bdp-9, -0x1.982795dfcf511p-9, -0x1.8cba7de2096f4p-9, -0x1.8198dd9a11cabp-9, -0x1.76c0f3f8a14b4p-9, -0x1.6c3108fc2d171p-9, -0x1.61e76d8b47ap-9, -0x1.57e27b4f895cep-9, -0x1.4e209490c7c28p-9, -0x1.44a02410983c6p-9, -0x1.3b5f9ce682393p-9, -0x1.325d7a5c25f5p-9, -0x1.29983fca2e7d1p-9, -0x1.210e787580803p-9, -0x1.18beb76c91a6ep-9, -0x1.10a79765a6bb9p-9, -0x1.08c7ba9d05ff8p-9, -0x1.011dcab39fb8ap-9, -0x1.f350f11cbac1fp-10, -0x1.e4ccf86b03738p-10, -0x1.d6ad29696fe4ap-10, -0x1.c8ef0ff6339a5p-10, -0x1.bb9045787cb66p-10, -0x1.ae8e70a2351aap-10, -0x1.a1e74532df46dp-10, -0x1.959883bb9fd34p-10, -0x1.899ff96385f91p-10, -0x1.7dfb7face371cp-10, -0x1.72a8fc3b50997p-10, -0x1.67a6609a867dep-10, -0x1.5cf1aa05f4f32p-10, -0x1.5288e130e8c62p-10, -0x1.486a1a0ff9921p-10, -0x1.3e9373a283f8ap-10, -0x1.350317bd96458p-10, -0x1.2bb73ad729a21p-10, -0x1.22ae1bd20e4dbp-10, -0x1.19e603cb08f3cp-10, -0x1.115d45e63c927p-10, -0x1.09123f1d52a77p-10, -0x1.0103560ede477p-10, -0x1.f25df59baded7p-11, -0x1.e3274d63f8ea3p-11, -0x1.d45fb8529f044p-11, -0x1.c6044d13389d8p-11, -0x1.b81233c6addb8p-11, -0x1.aa86a5a9a28c9p-11, -0x1.9d5eecbbda6cdp-11, -0x1.9098636a97a74p-11, -0x1.8430743a19823p-11, -0x1.78249972baca3p-11, -0x1.6c725ccd95499p-11, -0x1.6117572372527p-11, -0x1.5611301ce9401p-11, -0x1.4b5d9de36b157p-11, -0x1.40fa64d419b39p-11, -0x1.36e55733893fep-11, -0x1.2d1c54e309cd6p-11, -0x1.239d4b16fecbp-11, -0x1.1a66340e3a85dp-11, -0x1.117516cb9bef8p-11, -0x1.08c806cf20545p-11, -0x1.005d23d22b6c9p-11, -0x1.f06533076283ep-12, -0x1.e08d3e8acf87bp-12, -0x1.d12eefd64cb61p-12, -0x1.c246e2f5afb65p-12, -0x1.b3d1c9dafa4b5p-12, -0x1.a5cc6be1dfc19p-12, -0x1.9833a558c047ep-12, -0x1.8b046707c265dp-12, -0x1.7e3bb5bb9f8d4p-12, -0x1.71d6a9d4a915ep-12, -0x1.65d26ed49afa2p-12, -0x1.5a2c42f04783ep-12, -0x1.4ee176a39ee81p-12, -0x1.43ef6c46b22f3p-12, -0x1.395397a59c4f6p-12, -0x1.2f0b7d992052p-12, -0x1.2514b3a3dca8fp-12, -0x1.1b6cdf8d36d9ep-12, -0x1.1211b7030155fp-12, -0x1.0900ff39cbf2dp-12, -0x1.00388c8f529eap-12, -0x1.ef6c84601523dp-13, -0x1.def0237b00effp-13, -0x1.cef7f5eda359dp-13, -0x1.bf8016c55d4a5p-13, -0x1.b084bbf7fb70ap-13, -0x1.a20235bc74bc9p-13, -0x1.93f4edeb22e03p-13, -0x1.8659675f0f56fp-13, -0x1.792c3d5ba8202p-13, -0x1.6c6a22f25df55p-13, -0x1.600fe271f5c8dp-13, -0x1.541a5cd2fc2fp-13, -0x1.48868927f7244p-13, -0x1.3d517413fc6f7p-13, -0x1.32783f41ef8c7p-13, -0x1.27f820dd4db57p-13, -0x1.1dce6311b4193p-13, -0x1.13f86387630cdp-13, -0x1.0a7392e9f8ef2p-13, -0x1.013d746ced7bbp-13, -0x1.f0a73a9ff8036p-14, -0x1.df6768dd8bffp-14, -0x1.ceb6e39731e5ap-14, -0x1.be913c3fb3a1fp-14, -0x1.aef224dbb6f8ap-14, -0x1.9fd56f2cbb96cp-14, -0x1.91370bde3336ep-14, -0x1.831309b955084p-14, -0x1.756594dbe9d58p-14, -0x1.682af5f739031p-14, -0x1.5b5f918658692p-14, -0x1.4effe7235864cp-14, -0x1.430890c439556p-14, -0x1.3776420c0a3bp-14, -0x1.2c45c79df772p-14, -0x1.2174066f48275p-14, -0x1.16fdfb23597c2p-14, -0x1.0ce0b9685ebdbp-14, -0x1.03196b588b4b3p-14, -0x1.f34aa1bd85a77p-15, -0x1.e1037e3e85574p-15, -0x1.cf583fc53e195p-15, -0x1.be43e213ddb52p-15, -0x1.adc187f5c5447p-15, -0x1.9dcd1abf7844ep-15, -0x1.8e60c54a873bp-15, -0x1.7f78bb5982261p-15, -0x1.7110b18078e69p-15, -0x1.63247e4494a4ap-15, -0x1.55b019280c706p-15, -0x1.48af99bdfebccp-15, -0x1.3c1f36c119fcfp-15, -0x1.2ffb453654905p-15, -0x1.2440378032e2p-15, -0x1.18ea9c9f7d6dbp-15, -0x1.0df71f5207811p-15, -0x1.0362854f54058p-15, -0x1.f2535ced247f2p-16, -0x1.de932828d4898p-16, -0x1.cb7e90471c815p-16, -0x1.b90fe929f0c16p-16, -0x1.a741b53647ad1p-16, -0x1.960ea3f6f5732p-16, -0x1.857190c741cb6p-16, -0x1.7565818984ba1p-16, -0x1.65e5a558b190cp-16, -0x1.56ed5358d3f31p-16, -0x1.48780982d2497p-16, -0x1.3a816b718fd88p-16, -0x1.2d054149a05c2p-16, -0x1.1fff768c867d9p-16, -0x1.136c191d3687p-16, -0x1.07475820ec82cp-16, -0x1.f71b05fcc8803p-17, -0x1.e07610cb723a8p-17, -0x1.ca98ea9be12bbp-17, -0x1.b57ce82229a8dp-17, -0x1.a11b96f3ffb73p-17, -0x1.8d6ebbc8af88dp-17, -0x1.7a7050bb072bap-17, -0x1.681a839d77c9cp-17, -0x1.5667b457a7b99p-17, -0x1.4552735078d06p-17, -0x1.34d57fe28ee3dp-17, -0x1.24ebc6db6652fp-17, -0x1.1590610d18042p-17, -0x1.06be91da7429bp-17, -0x1.f0e38bbad024p-18, -0x1.d54b233240f5fp-18, -0x1.baab600fb374dp-18, -0x1.a0fc033ce6233p-18, -0x1.8835159382d36p-18, -0x1.704ee5e897d2bp-18, -0x1.594206818cb6ep-18, -0x1.43074b06f7e7p-18, -0x1.2d97c641475cbp-18, -0x1.18ecc7e849dd8p-18, -0x1.04ffdabf5118p-18, -0x1.e395850ff186fp-19, -0x1.be8ef439507d6p-19, -0x1.9ae063493df49p-19, -0x1.787e98fe3dbd1p-19, -0x1.575ebfdcc7c7bp-19, -0x1.37766246456fdp-19, -0x1.18bb673556fdbp-19, -0x1.f6481e7c53addp-20, -0x1.bd4de2ac82e3fp-20, -0x1.8675efc690571p-20, -0x1.51aebbd24638p-20, -0x1.1ee758170735ep-20, -0x1.dc1ed75df7f6dp-21, -0x1.7e2e5e8294cf7p-21, -0x1.23decc8b6d924p-21, -0x1.9a256d3f137bfp-22, -0x1.e6b6de27f7abcp-23, -0x1.4ca316d06bd49p-24, 0x1.1a9e09d2fce81p-24, 0x1.b491153e039cp-23, 0x1.67ebb2b2fa32p-22, 0x1.efc0a74e2d83ap-22, 0x1.38faba49cf188p-21, 0x1.775b4997133dap-21, 0x1.b3177bb6d3e16p-21, 0x1.ec440fb0e0e84p-21, 0x1.117a881fab6d3p-20, 0x1.2b9eed31b690bp-20, 0x1.449891e288fb4p-20, 0x1.5c7080299f5f7p-20, 0x1.732f75203da36p-20, 0x1.88dde26046ec5p-20, 0x1.9d83f1a7adff7p-20, 0x1.b1298752c106fp-20, 0x1.c3d645747e82dp-20, 0x1.d5918d805f17ep-20, 0x1.e66282c958718p-20, 0x1.f6500d837e50dp-20, 0x1.02b06e37f76c7p-19, 0x1.09cdb3945f58bp-19, 0x1.1082f8086689bp-19, 0x1.16d3436fd08cap-19, 0x1.1cc184c773612p-19, 0x1.2250939bceb4ep-19, 0x1.278330a44ad2cp-19, 0x1.2c5c06bcba377p-19, 0x1.30ddaba9e9676p-19, 0x1.350aa0f4ccbd7p-19, 0x1.38e554a5aa1afp-19, 0x1.3c7022049962p-19, 0x1.3fad52524cd4p-19, 0x1.429f1d58887bfp-19, 0x1.4547aa6aea4ecp-19, 0x1.47a910b3d7ccp-19, 0x1.49c557ec66b22p-19, 0x1.4b9e78dd850d2p-19, 0x1.4d365e10b8321p-19, 0x1.4e8ee44e07475p-19, 0x1.4fa9db23ecc77p-19, 0x1.5089056080211p-19, 0x1.512e19912cd69p-19, 0x1.519ac276a508bp-19, 0x1.51d09f8f7165fp-19, 0x1.51d1452093514p-19, 0x1.519e3d41c7ce1p-19, 0x1.513907a86dfaep-19, 0x1.50a31a610c842p-19, 0x1.4fdde21375ebap-19, 0x1.4eeac2529dcbdp-19, 0x1.4dcb160752c6cp-19, 0x1.4c802f7bd2af9p-19, 0x1.4b0b58f2ea8cfp-19, 0x1.496dd520ee122p-19, 0x1.47a8ded97f4eep-19, 0x1.45bda9c1523a1p-19, 0x1.43ad6275ddf8p-19, 0x1.41792ec98da5ep-19, 0x1.3f222df14615p-19, 0x1.3ca978e9212fdp-19, 0x1.3a10228a52e7ap-19, 0x1.375737b887bc6p-19, 0x1.347fbf9e5d978p-19, 0x1.318abbb11657dp-19, 0x1.2e79285118ca5p-19, 0x1.2b4bfc7d467aep-19, 0x1.28042a34cdbcbp-19, 0x1.24a29e96dff5fp-19, 0x1.21284203bae19p-19, 0x1.1d95f836f195dp-19, 0x1.19eca0827b5a4p-19, 0x1.162d15ded974cp-19, 0x1.12582f2e89e4p-19, 0x1.0e6ebeb1adba2p-19, 0x1.0a7193490af2fp-19, 0x1.066177cc96525p-19, 0x1.023f331b45075p-19, 0x1.fc1710ef17e74p-20, 0x1.f38e6f1c21d1fp-20, 0x1.eae5f91bacc87p-20, 0x1.e21f201969ca9p-20, }}, 
      {{0x1.05e7e2e113e01p-11, 0x1.e4fdc0862374p-10, 0x1.e53f559d30357p-9, 0x1.71341859999a1p-8, 0x1.d9bed2166afeep-8, 0x1.0a28bf095c11ap-7, 0x1.06dff08cc85e6p-7, 0x1.b7fcc9ad98518p-8, 0x1.0a0aab43775b1p-8, -0x1.1d5b638bce43bp-17, -0x1.68507c56b450fp-8, -0x1.9543575b1e449p-7, -0x1.507c6579df7c9p-6, -0x1.e9ea8250ff3e6p-6, -0x1.4a54757764423p-5, -0x1.a73ebd03703ffp-5, -0x1.05389ee0531fep-4, -0x1.3957bc95295ccp-4, -0x1.6f5e6c4eb8a6ap-4, -0x1.a6b4ae045bf59p-4, -0x1.dec8a17362b33p-4, -0x1.0b89b2f91526dp-3, -0x1.278b69fe8be36p-3, -0x1.43304a2ca0056p-3, -0x1.5e449fcaccc62p-3, -0x1.789a602e93303p-3, -0x1.92089e127387bp-3, -0x1.aa6d6bb325f21p-3, -0x1.c1a939b333ad6p-3, -0x1.d7a17676862ebp-3, -0x1.ec41fea43d492p-3, -0x1.ff7a74449b93fp-3, -0x1.089e47a2ac29dp-2, -0x1.10bebfaff6bdep-2, -0x1.181b562939668p-2, -0x1.1eb2567a60d9fp-2, -0x1.248309e4d2b1p-2, -0x1.298d9b6d789fdp-2, -0x1.2dd34d9891088p-2, -0x1.31568a3f49227p-2, -0x1.341aa78798c9fp-2, -0x1.36239bc193822p-2, -0x1.3775da1ad6fccp-2, -0x1.3816577104b1p-2, -0x1.380a91c556084p-2, -0x1.3758817219c32p-2, -0x1.360679e33d68bp-2, -0x1.341b0cb580746p-2, -0x1.319cf9d0d4202p-2, -0x1.2e93292d5470ap-2, -0x1.2b04a4efbb3a6p-2, -0x1.26f88ea996272p-2, -0x1.227611a71a8c9p-2, -0x1.1d8456c2e97c7p-2, -0x1.1829a535ab1cbp-2, -0x1.126f4934b1e6cp-2, -0x1.0c5aea3ae7e8cp-2, -0x1.05f31450f73ep-2, -0x1.fe7ca02c7756ap-3, -0x1.f0866281a3b32p-3, -0x1.e2109dd52963ap-3, -0x1.d328548c9aa52p-3, -0x1.c3da1d9030e37p-3, -0x1.b431ef7242c99p-3, -0x1.a43b06debe42bp-3, -0x1.93ffec9219f8ep-3, -0x1.838a937bb3e8p-3, -0x1.72e480a9838bbp-3, -0x1.6216edbf87db2p-3, -0x1.512adb29d259cp-3, -0x1.40290e660bbf9p-3, -0x1.2f19ffca6f4dap-3, -0x1.1e05bfe0c402ep-3, -0x1.0cf3ddcf54a24p-3, -0x1.f7d6ad3eb289ap-4, -0x1.d5e523109834ap-4, -0x1.b41ed25242a4p-4, -0x1.928e7c22b476cp-4, -0x1.713e1a18fad94p-4, -0x1.50370719aa407p-4, -0x1.2f821c07c81e6p-4, -0x1.0f27bc7decb25p-4, -0x1.de5fa8dcce00cp-5, -0x1.9f43964b590eep-5, -0x1.6108e40ee8d02p-5, -0x1.23bbeac56e098p-5, -0x1.cecf50e1638e5p-6, -0x1.582b85964b406p-6, -0x1.c73a7024d931bp-7, -0x1.c4cbaaddc9361p-8, -0x1.f2603e9957c41p-15, 0x1.b414115f1a9d5p-8, 0x1.b17c374f042f7p-7, 0x1.4229acc6cf2dfp-6, 0x1.a940643f34978p-6, 0x1.06fdff48bb45dp-5, 0x1.382ba7b182fc7p-5, 0x1.68272724a36c8p-5, 0x1.96ef11338e6dep-5, 0x1.c48293c9410fep-5, 0x1.f0e174f79feddp-5, 0x1.0e0605d936433p-4, 0x1.23019a25f1d5fp-4, 0x1.3764212a7effep-4, 0x1.4b2e78ec5fa85p-4, 0x1.5e61acdfd2eeep-4, 0x1.70fef04c40d69p-4, 0x1.83079a21407e2p-4, 0x1.947d221daae1ep-4, 0x1.a5611eea25d96p-4, 0x1.b5bc58398ead1p-4, 0x1.c580a92bef616p-4, 0x1.d4b881148e662p-4, 0x1.e3661e437a13cp-4, 0x1.f18bd27c584d3p-4, 0x1.ff2bfbdfbb66bp-4, 0x1.06247f8eeb32fp-3, 0x1.0c72a1880e9f4p-3, 0x1.128196d8b766ap-3, 0x1.1852912872f62p-3, 0x1.1de6c06572469p-3, 0x1.233f52c6c135cp-3, 0x1.285d7517082f5p-3, 0x1.2d42532d6cd45p-3, 0x1.31ef187dcc766p-3, 0x1.3664f0ad11b47p-3, 0x1.3aa50819899e5p-3, 0x1.3eb08c4988e21p-3, 0x1.4288ac34eaa43p-3, 0x1.462e98601f6bdp-3, 0x1.49a382c23eb94p-3, 0x1.4ce89e72895d4p-3, 0x1.4fff1f1d8c0ffp-3, 0x1.52e83845be14ep-3, 0x1.55a51c575c52dp-3, 0x1.5836fb9a726c5p-3, 0x1.5a9f0310d20c6p-3, 0x1.5cde5b4f4d37ep-3, 0x1.5ef627623f6a4p-3, 0x1.60e783ccb6cap-3, 0x1.62b385afe3436p-3, 0x1.645b3a259d6e1p-3, 0x1.65dfa5d546175p-3, 0x1.6741c4c64bbffp-3, 0x1.68828a6f7864p-3, 0x1.69a2e1fe6331dp-3, 0x1.6aa3aecee6cc2p-3, 0x1.6b85cd07ffd99p-3, 0x1.6c4a1251a6578p-3, 0x1.6cf14e967eefep-3, 0x1.6d7c4cc467663p-3, 0x1.6debd3800c405p-3, 0x1.6e40a5c172e58p-3, 0x1.6e7b8351ec938p-3, 0x1.6e9d292685afcp-3, 0x1.6ea65194f7adep-3, 0x1.6e97b463bda1cp-3, 0x1.6e7206b8686b1p-3, 0x1.6e35fae928a19p-3, 0x1.6de44037ff868p-3, 0x1.6d7d827ec0f87p-3, 0x1.6d0269d37e57bp-3, 0x1.6c739a2c8a811p-3, 0x1.6bd1b30add75ap-3, 0x1.6b1d4f306b4a2p-3, 0x1.6a5704670ace1p-3, 0x1.697f635afd681p-3, 0x1.6896f78af3247p-3, 0x1.679e474e03784p-3, 0x1.6695d3eed690fp-3, 0x1.657e19da3cd4bp-3, 0x1.645790de859a9p-3, 0x1.6322ac785a441p-3, 0x1.61dfdc2959abdp-3, 0x1.608f8bd49ba0ap-3, 0x1.5f32241d2479cp-3, 0x1.5dc80ac2a2a04p-3, 0x1.5c51a2f91563bp-3, 0x1.5acf4db888504p-3, 0x1.59416a02b010ap-3, 0x1.57a8551cd35dap-3, 0x1.56046abd368c9p-3, 0x1.5456052be9303p-3, 0x1.529d7d576e4eep-3, 0x1.50db2ade4fdb4p-3, 0x1.4f0f640f1b2f9p-3, 0x1.4d3a7de092948p-3, 0x1.4b5ccbe3fea6ep-3, 0x1.4976a033b2e37p-3, 0x1.47884b5fabc71p-3, 0x1.45921c5a26c5cp-3, 0x1.43946065bc689p-3, 0x1.418f63066534ap-3, 0x1.3f836df6632b4p-3, 0x1.3d70c91fdb13fp-3, 0x1.3b57ba9b7f325p-3, 0x1.393886b472fdep-3, 0x1.37136ff144ac3p-3, 0x1.34e8b72194c22p-3, 0x1.32b89b6fd8c72p-3, 0x1.30835a7681442p-3, 0x1.2e4930579c985p-3, 0x1.2c0a57d617394p-3, 0x1.29c70a6fb0443p-3, 0x1.277f8076b7868p-3, 0x1.2533f12ad8c07p-3, 0x1.22e492d02b956p-3, 0x1.20919ac4124aap-3, 0x1.1e3b3d8f67cbp-3, 0x1.1be1aef5c3c18p-3, 0x1.19852201b8a56p-3, 0x1.1725c90e020b3p-3, 0x1.14c3d5cbd55d9p-3, 0x1.125f794681da1p-3, 0x1.0ff8e3e4b98abp-3, 0x1.0d904567dc126p-3, 0x1.0b25cce99fa9fp-3, 0x1.08b9a8d897d6ap-3, 0x1.064c06f3e2de2p-3, 0x1.03dd14467bbf2p-3, 0x1.016cfd2279b1ap-3, 0x1.fdf7da3913696p-4, 0x1.f9129e30f5556p-4, 0x1.f42d6f81785b8p-4, 0x1.ef4756fcaa69bp-4, 0x1.ea60a5cc3c6e1p-4, 0x1.e579ab3c0d59cp-4, 0x1.e092b4c069422p-4, 0x1.dbac0dff27dc9p-4, 0x1.d6c600db4ed9bp-4, 0x1.d1e0d582b26d8p-4, 0x1.ccfcd27d1aa06p-4, 0x1.c81a3cbc69793p-4, 0x1.c33957ad4a5f3p-4, 0x1.be5a6547ef8efp-4, 0x1.b97da620627cep-4, 0x1.b4a359761b802p-4, 0x1.afcbbd42702e3p-4, 0x1.aaf70e45a8e89p-4, 0x1.a62588127c841p-4, 0x1.a1576517c0c88p-4, 0x1.9c8cdea85c18dp-4, 0x1.97c62d013b381p-4, 0x1.9303874d9400ep-4, 0x1.8e4523a94b89cp-4, 0x1.898b3721c6703p-4, 0x1.84d5f5b53ccb1p-4, 0x1.80259250c0913p-4, 0x1.7b7a3ecd3054dp-4, 0x1.76d42beb49846p-4, 0x1.7233894f16b69p-4, 0x1.6d98857af359dp-4, 0x1.69034dca59e99p-4, 0x1.64740e6cb43f3p-4, 0x1.5feaf2605adc7p-4, 0x1.5b68236df144dp-4, 0x1.56ebca24415c3p-4, 0x1.52760dd4b518cp-4, 0x1.4e07149088663p-4, 0x1.499f0326c03e2p-4, 0x1.453dfd22f7ac5p-4, 0x1.40e424cd020a7p-4, 0x1.3c919b2964bdp-4, 0x1.38467ffaa3de6p-4, 0x1.3402f1c353c53p-4, 0x1.2fc70dc8e6c74p-4, 0x1.2b92f01721956p-4, 0x1.2766b384284acp-4, 0x1.234271b50c152p-4, 0x1.1f264322c5fp-4, 0x1.1b123f1f88473p-4, 0x1.17067bdc52bebp-4, 0x1.13030e6eb27d3p-4, 0x1.0f080ad69bf88p-4, 0x1.0b1584044d06ap-4, 0x1.072b8bde24baep-4, 0x1.034a334663dd6p-4, 0x1.fee3144195cdap-5, 0x1.f7433eb010a0dp-5, 0x1.efb501c5e438ap-5, 0x1.e838779306683p-5, 0x1.e0cdb85332301p-5, 0x1.d974da76e2b09p-5, 0x1.d22df2abc91d1p-5, 0x1.caf913e4c78a1p-5, 0x1.c3d64f617095bp-5, 0x1.bcc5b4b51b66cp-5, 0x1.b5c751cd8e1dbp-5, 0x1.aedb32f954e2dp-5, 0x1.a80162edcd4efp-5, 0x1.a139eaccf1cadp-5, 0x1.9a84d22afd2c7p-5, 0x1.93e21f13e5de8p-5, 0x1.8d51d610cf2dp-5, 0x1.86d3fa2d6c25dp-5, 0x1.80688cfd7199ap-5, 0x1.7a0f8ea211433p-5, 0x1.73c8fdcf94f3p-5, 0x1.6d94d7d319656p-5, 0x1.677318987242ep-5, 0x1.6163bab03dfbp-5, 0x1.5b66b75627019p-5, 0x1.557c06775ca3ap-5, 0x1.4fa39eb93cc4dp-5, 0x1.49dd758033cb4p-5, 0x1.44297ef6cbb15p-5, 0x1.3e87ae14eba56p-5, 0x1.38f7f4a743fe6p-5, 0x1.337a4356dd601p-5, 0x1.2e0e89b0ceecep-5, 0x1.28b4b62e0cbeap-5, 0x1.236cb63b51775p-5, 0x1.1e36764114d5ep-5, 0x1.1911e1ab9220ep-5, 0x1.13fee2f2d0ad2p-5, 0x1.0efd63a2ac649p-5, 0x1.0a0d4c62dce4cp-5, 0x1.052e84feecc7fp-5, 0x1.0060f46e24f85p-5, 0x1.f74901b6c7e89p-6, 0x1.edf21f59bc697p-6, 0x1.e4bd0b178642fp-6, 0x1.dba98cd78a575p-6, 0x1.d2b76b25025f5p-6, 0x1.c9e66b3d8dc12p-6, 0x1.c136511f744b2p-6, 0x1.b8a6df97a3f93p-6, 0x1.b037d84f66f29p-6, 0x1.a7e8fbd9ca03ep-6, 0x1.9fba09c0bcbacp-6, 0x1.97aac091e581ap-6, 0x1.8fbaddeb29083p-6, 0x1.87ea1e86f1a28p-6, 0x1.80383e4829404p-6, 0x1.78a4f845f4c38p-6, 0x1.713006d728f89p-6, 0x1.69d9239d8255ep-6, 0x1.62a007909f82bp-6, 0x1.5b846b08bf5a3p-6, 0x1.548605c948beep-6, 0x1.4da48f0b18ba6p-6, 0x1.46dfbd869f5b3p-6, 0x1.4037477dc7178p-6, 0x1.39aae2c5ae728p-6, 0x1.333a44d02b72ep-6, 0x1.2ce522b52d52p-6, 0x1.26ab313be3c3bp-6, 0x1.208c24e3c25a1p-6, 0x1.1a87b1ed562c8p-6, 0x1.149d8c62f2aep-6, 0x1.0ecd68212ea9bp-6, 0x1.0916f8df3ec4ap-6, 0x1.0379f2371f713p-6, 0x1.fbec0f5b2c253p-7, 0x1.f115d97418406p-7, 0x1.e670a99c6dd54p-7, 0x1.dbfbe6bb40d4dp-7, 0x1.d1b6f7c9ef864p-7, 0x1.c7a143e27e96dp-7, 0x1.bdba324d9c803p-7, 0x1.b4012a90426a5p-7, 0x1.aa759478ff335p-7, 0x1.a116d82cf24p-7, 0x1.97e45e3463c73p-7, 0x1.8edd8f87003a8p-7, 0x1.8601d597b99cbp-7, 0x1.7d509a605fa92p-7, 0x1.74c9486cbef22p-7, 0x1.6c6b4ae580aabp-7, 0x1.64360d9a9e11fp-7, 0x1.5c28fd0d83a6p-7, 0x1.5443867ad8dc7p-7, 0x1.4c8517e3ec5ffp-7, 0x1.44ed2017cfa9p-7, 0x1.3d7b0ebc110f9p-7, 0x1.362e5455294bfp-7, 0x1.2f06624e9072cp-7, 0x1.2802ab027c19dp-7, 0x1.2122a1c1527b2p-7, 0x1.1a65bad8c5345p-7, 0x1.13cb6b9a9e335p-7, 0x1.0d532a633f3a9p-7, 0x1.06fc6e9fd054ep-7, 0x1.00c6b0d4263a5p-7, 0x1.f562d540b69b9p-8, 0x1.e9782d8c4085dp-8, 0x1.ddcc625b7e2ap-8, 0x1.d25e6dd5c261dp-8, 0x1.c72d4c820de62p-8, 0x1.bc37fd4f7c403p-8, 0x1.b17d819d299fap-8, 0x1.a6fcdd419464ap-8, 0x1.9cb516917d308p-8, 0x1.92a53666484b9p-8, 0x1.88cc4823e0f1cp-8, 0x1.7f2959be27cf2p-8, 0x1.75bb7bbddb80fp-8, 0x1.6c81c14521f34p-8, 0x1.637b40138bc3p-8, 0x1.5aa71089aeeb4p-8, 0x1.52044dac52d2dp-8, 0x1.499215273164ep-8, 0x1.414f874f4e537p-8, 0x1.393bc724e8bd4p-8, 0x1.3155fa5506eebp-8, 0x1.299d493aa467bp-8, 0x1.2210dedf82265p-8, 0x1.1aafe8fc9394dp-8, 0x1.137997fa1ca84p-8, 0x1.0c6d1eef731b3p-8, 0x1.0589b3a271211p-8, 0x1.fd9d1d0d208eap-9, 0x1.f075d57787321p-9, 0x1.e39c0c19f352p-9, 0x1.d70e41dcba9c3p-9, 0x1.cacafcf6a7545p-9, 0x1.bed0c8e86d46p-9, 0x1.b31e3677994b6p-9, 0x1.a7b1dba9193efp-9, 0x1.9c8a53bb372fep-9, 0x1.91a63f1f53d9ep-9, 0x1.870443730d9e6p-9, 0x1.7ca30b791c0e2p-9, 0x1.72814711cfb0dp-9, 0x1.689dab333698fp-9, 0x1.5ef6f1e0f5895p-9, 0x1.558bda23c8276p-9, 0x1.4c5b2800ccd3dp-9, 0x1.4363a4707a608p-9, 0x1.3aa41d5565ed8p-9, 0x1.321b6572c6581p-9, 0x1.29c85462c73fbp-9, 0x1.21a9c68c97edap-9, 0x1.19be9d1a749a9p-9, 0x1.1205bdef55a2bp-9, 0x1.0a7e139c95273p-9, 0x1.03268d5760e53p-9, 0x1.f7fc3ddc2b112p-10, 0x1.ea07817ade6bp-10, 0x1.dc6cdf4b513d5p-10, 0x1.cf2a59fee9e77p-10, 0x1.c23dfd21d77a6p-10, 0x1.b5a5dd04a2815p-10, 0x1.a96016a5b1683p-10, 0x1.9d6acf9a9a378p-10, 0x1.91c435f93ae49p-10, 0x1.866b872da849bp-10, 0x1.7b5cf8776d1e7p-10, 0x1.7097d2f49699dp-10, 0x1.661a65d4cf6f2p-10, 0x1.5be30854e50f3p-10, 0x1.51f019a7545bap-10, 0x1.484000dcbeb5fp-10, 0x1.3ed12ccc42e85p-10, 0x1.35a213fbc64bap-10, 0x1.2cb134881b06p-10, 0x1.23fd140d3f0e8p-10, 0x1.1b843f8e6886ap-10, 0x1.13454b5e0fd34p-10, 0x1.0b3ed305dd8f8p-10, 0x1.036f792eab6a9p-10, 0x1.f7abcf10c0a11p-11, 0x1.e8e19d63ab647p-11, 0x1.da7dcc415185p-11, 0x1.cc7dd81221fc6p-11, 0x1.bedf4a8b583dap-11, 0x1.b19fba7e977a9p-11, 0x1.a4bccba97f28cp-11, 0x1.98342e854f48fp-11, 0x1.8c03a0168a34bp-11, 0x1.8028e9bcad2a8p-11, 0x1.74a1e101e7b91p-11, 0x1.696c676af037ap-11, 0x1.5e866a470a016p-11, 0x1.53ede28004f04p-11, 0x1.49a0d46a4852dp-11, 0x1.3f9d4f95797c6p-11, 0x1.35e16e9ceb296p-11, 0x1.2c6b56f82dc41p-11, 0x1.233938cc24f8p-11, 0x1.1a494ebc3c91ep-11, 0x1.1199ddbbc454dp-11, 0x1.092934dfb3d71p-11, 0x1.00f5ad30b514fp-11, 0x1.f1fb52fae3535p-12, 0x1.e27f2c5a9109fp-12, 0x1.d373d226a2a05p-12, 0x1.c4d64283b2d7ep-12, 0x1.b6a38dbc311aap-12, 0x1.a8d8d5e901734p-12, 0x1.9b734e9ab124dp-12, 0x1.8e703c83b6c54p-12, 0x1.81ccf523bcf5p-12, 0x1.7586de7319acdp-12, 0x1.699b6e90a42d7p-12, 0x1.5e082b6f372bep-12, 0x1.52caaa84dc93ep-12, 0x1.47e0907b32be6p-12, 0x1.3d4790dffdca3p-12, 0x1.32fd6dd7d88a7p-12, 0x1.28fff7d14bb05p-12, 0x1.1f4d0d3954e6bp-12, 0x1.15e29a30d0756p-12, 0x1.0cbe984306b9dp-12, 0x1.03df0e1d971abp-12, 0x1.f6841e923bc2bp-13, 0x1.e5cb77c6b9df4p-13, 0x1.d59080b4489f9p-13, 0x1.c5cfaa4f22fc2p-13, 0x1.b6857d1ed4d83p-13, 0x1.a7ae98bb00daep-13, 0x1.9947b34a77dbfp-13, 0x1.8b4d99041ac76p-13, 0x1.7dbd2bb2d7d7p-13, 0x1.7093623adbd86p-13, 0x1.63cd4821189f6p-13, 0x1.5767fd157f3a2p-13, 0x1.4b60b47e4dc38p-13, 0x1.3fb4b5067fc01p-13, 0x1.3461582d51337p-13, 0x1.296409d85b579p-13, 0x1.1eba47e7fbb2p-13, 0x1.1461a1cc56fcap-13, 0x1.0a57b81dc6a79p-13, 0x1.009a3c366949ap-13, 0x1.ee4ddf9b7e92fp-14, 0x1.dbf7492c038dcp-14, 0x1.ca2c77b73a4f4p-14, 0x1.b8e94c4be8cfdp-14, 0x1.a829c5b4aced8p-14, 0x1.97e9ffc1052fap-14, 0x1.88263291d487ep-14, 0x1.78dab1e97d87bp-14, 0x1.6a03ec7eeb86ep-14, 0x1.5b9e6b5374d4p-14, 0x1.4da6d10dc9408p-14, 0x1.4019d95641926p-14, 0x1.32f45836d2ab7p-14, 0x1.2633397e45d0cp-14, 0x1.19d3802675c3ep-14, 0x1.0dd245bd92d6dp-14, 0x1.022cb9d1ef844p-14, 0x1.edc042c434259p-15, 0x1.d7d3ac9aa6b36p-15, 0x1.c28e8d93e5c1ap-15, 0x1.adebe9b72931p-15, 0x1.99e6eb9cda16dp-15, 0x1.867ae3682cd88p-15, 0x1.73a345c6c5ff6p-15, 0x1.615baaf58c8b9p-15, 0x1.4f9fcdcb3253ep-15, 0x1.3e6b8ac72f442p-15, 0x1.2dbadf24ca3cep-15, 0x1.1d89e7f838da5p-15, 0x1.0dd4e14856411p-15, 0x1.fd304a6a2f366p-16, 0x1.dfa0563c66c2ep-16, 0x1.c2f30da012167p-16, 0x1.a721cf6aca5b7p-16, 0x1.8c263019bad74p-16, 0x1.71f9f8476fdb8p-16, 0x1.58972329cf63p-16, 0x1.3ff7dd186ff41p-16, 0x1.2816821c20ea1p-16, 0x1.10ed9c85fa48bp-16, 0x1.f4efc724e2d7ap-17, 0x1.c960741cc5076p-17, 0x1.9f235a139ffd1p-17, 0x1.762ee51d90255p-17, 0x1.4e79d0c4d6fdp-17, 0x1.27fb25a24d777p-17, 0x1.02aa36eec8c65p-17, 0x1.bcfd40741b44ep-18, 0x1.76e086518a2d6p-18, 0x1.32ee8a7a927dp-18, 0x1.e23036cbf1cb3p-19, 0x1.629d0d950c262p-19, 0x1.ce0e564c7da72p-20, 0x1.bd4c3e8c1426bp-21, -0x1.267785cd6f26fp-25, -0x1.d365604587468p-21, -0x1.c308810d444bap-20, -0x1.4ab2a9209d086p-19, -0x1.b07bd9c9644f8p-19, -0x1.097b2bc254d7cp-18, -0x1.391bf57fe3aaap-18, -0x1.672ad378b3f86p-18, -0x1.93b1f72efe1fbp-18, -0x1.bebb3d40cc368p-18, -0x1.e850306eb47edp-18, -0x1.083d06320ad0cp-17, -0x1.1ba0e0452b55cp-17, -0x1.2e57f94ccb6e3p-17, -0x1.406680afd7473p-17, -0x1.51d0839865f51p-17, -0x1.6299ee2ca5518p-17, -0x1.72c68cc3aa62fp-17, -0x1.825a0d0a86e66p-17, -0x1.9157ff27079d9p-17, -0x1.9fc3d6c32f335p-17, }}, 
      {{-0x1.28e47f4572836p-3, -0x1.142137df43fedp-2, -0x1.74c8b47187ep-2, -0x1.b380c2e6fb6bap-2, -0x1.d1b0d0d01c458p-2, -0x1.d3187ad102e51p-2, -0x1.bc8e1f5effcfp-2, -0x1.933891c16b31fp-2, -0x1.5c0fee7c47b1ep-2, -0x1.1b99a65f03d76p-2, -0x1.ab88e39879084p-3, -0x1.1bb7e011dd746p-3, -0x1.1a26aa11ff51fp-4, -0x1.e00661887dff7p-10, 0x1.f4984ce5090f4p-5, 0x1.e6d981ae9f5ap-4, 0x1.5da93b8c81dbdp-3, 0x1.bb0e73958859bp-3, 0x1.05aa3d8a75397p-2, 0x1.274c6e8bf2677p-2, 0x1.42a3a11fe21e6p-2, 0x1.58030da183636p-2, 0x1.67d1f246767adp-2, 0x1.728533efb2a61p-2, 0x1.78995f8b495d4p-2, 0x1.7a8e1e6a2fa55p-2, 0x1.78e23cd7e78eap-2, 0x1.741320e876628p-2, 0x1.6c97281e61411p-2, 0x1.62de647c132f1p-2, 0x1.5752bde46d8a2p-2, 0x1.4a561ecd7454p-2, 0x1.3c416adf6cce2p-2, 0x1.2d651f2c3bfadp-2, 0x1.1e0a0d44f3c59p-2, 0x1.0e7171b312e75p-2, 0x1.fda9ba1b952f1p-3, 0x1.deccfa21f4cdp-3, 0x1.c0a38347c6faep-3, 0x1.a378016a89e2fp-3, 0x1.8789d21991deep-3, 0x1.6d0db9ca69756p-3, 0x1.542eb1a84fe1ap-3, 0x1.3d0ed6b8aefp-3, 0x1.27c855a7e7c05p-3, 0x1.146e39e14a316p-3, 0x1.030d23da3791cp-3, 0x1.e757e8fcf8c46p-4, 0x1.cc98e927aee6ep-4, 0x1.b5d7ea88b8685p-4, 0x1.a307c755bfceap-4, 0x1.94149c720d7e3p-4, 0x1.88e4c00776e65p-4, 0x1.8159a7918bb8ep-4, 0x1.7d4cbed95f5d3p-4, 0x1.7c9fe9d167a55p-4, 0x1.7f285090a0b04p-4, 0x1.84ba8124ab8a9p-4, 0x1.8d29158be92e9p-4, 0x1.98459ac1be90ap-4, 0x1.a5e159746364cp-4, 0x1.b5cde3c4b9d62p-4, 0x1.c7dd6112774ap-4, 0x1.dbe2a4c917b82p-4, 0x1.f1b1295a8d1d9p-4, 0x1.048e8544c2edap-3, 0x1.10fd897904568p-3, 0x1.1e107239f6e4ep-3, 0x1.2bb29b791d0e8p-3, 0x1.39d0106a9397ep-3, 0x1.4855ad3cc63ebp-3, 0x1.57313837e7efap-3, 0x1.66516f08428b8p-3, 0x1.75a6082285821p-3, 0x1.851faad57d7afp-3, 0x1.94afe228a4657p-3, 0x1.a4490ee2c9863p-3, 0x1.b3de5c2787e94p-3, 0x1.c363b87b77313p-3, 0x1.d2cdd345628b5p-3, 0x1.e2121d8c21bd7p-3, 0x1.f126cbfe7527cp-3, 0x1.00016c2422155p-2, 0x1.074f001795446p-2, 0x1.0e7860d53fda8p-2, 0x1.157a29f6a8723p-2, 0x1.1c514efa6f40dp-2, 0x1.22fb15c6a81eep-2, 0x1.297510ed1c445p-2, 0x1.2fbd1a291897cp-2, 0x1.35d14d6a66bd7p-2, 0x1.3bb00493dc4p-2, 0x1.4157d3e9cc0abp-2, 0x1.46c7870ef5ba8p-2, 0x1.4bfe1e60c9b1cp-2, 0x1.50facc8405b68p-2, 0x1.55bcf3fb7cc54p-2, 0x1.5a4424af4f93ep-2, 0x1.5e901957abc28p-2, 0x1.62a0b4c9c378fp-2, 0x1.6675ff2f41c88p-2, 0x1.6a10233708bdp-2, 0x1.6d6f6b50c9ac2p-2, 0x1.70943f03e3dc1p-2, 0x1.737f206dc63bp-2, 0x1.7630a9ee7951ep-2, 0x1.78a98c04a56aep-2, 0x1.7aea8b563deb8p-2, 0x1.7cf47ee09a333p-2, 0x1.7ec84e499fd63p-2, 0x1.80672a252f712p-2, 0x1.81d125076eaf1p-2, 0x1.830817c264a21p-2, 0x1.840d25a99b32cp-2, 0x1.84e17816863d6p-2, 0x1.85863d097b9adp-2, 0x1.85fca6321d8f8p-2, 0x1.8645e84894c1bp-2, 0x1.86633a9d2e678p-2, 0x1.8655d6c471943p-2, 0x1.861ef84995137p-2, 0x1.85bfdc574768ap-2, 0x1.8539c14daa064p-2, 0x1.848de642dca2ap-2, 0x1.83bd8a70b60dap-2, 0x1.82c9ec95a0343p-2, 0x1.81b44a4ff7d8ep-2, 0x1.807ddf7b0efd7p-2, 0x1.7f27e5938a1a8p-2, 0x1.7db39326c472p-2, 0x1.7c221b4ed3309p-2, 0x1.7a74ad3b0ebaap-2, 0x1.78ac73c3d5a9bp-2, 0x1.76ca9507bc8dep-2, 0x1.74d0321067a6fp-2, 0x1.72be667dd09b8p-2, 0x1.7096483773cbcp-2, 0x1.6e58e723ad603p-2, 0x1.6c074ce64d16ap-2, 0x1.69a27ca7ec9efp-2, 0x1.672b72e7c4bc2p-2, 0x1.64a32559bf206p-2, 0x1.620a82d223f99p-2, 0x1.5f62733fbb925p-2, 0x1.5cabd7b484917p-2, 0x1.59e78a7c61d6bp-2, 0x1.57165f404e139p-2, 0x1.54392333fec3ep-2, 0x1.51509d4b471b9p-2, 0x1.4e5d8e74377f6p-2, 0x1.4b60b1d2d4b06p-2, 0x1.485abcfb6734dp-2, 0x1.454c6028b08p-2, 0x1.4236466bf3015p-2, 0x1.3f1915d548c14p-2, 0x1.3bf56f938d31p-2, 0x1.38cbf00bc824bp-2, 0x1.359d2ee8adbe4p-2, 0x1.3269bf23485cbp-2, 0x1.2f322f064b312p-2, 0x1.2bf7082dbf901p-2, 0x1.28b8cf84e4e75p-2, 0x1.257805441276ap-2, 0x1.223524f039168p-2, 0x1.1ef0a55d85707p-2, 0x1.1baaf8b63a608p-2, 0x1.18648c869fd78p-2, 0x1.151dc9ce7ac9cp-2, 0x1.11d715183008cp-2, 0x1.0e90ce955e213p-2, 0x1.0b4b524072379p-2, 0x1.0806f80281cecp-2, 0x1.04c413dc7724p-2, 0x1.0182f6128f46ap-2, 0x1.fc87d6b220064p-3, 0x1.f60e7a0233e5fp-3, 0x1.ef9a6249282ffp-3, 0x1.e92c15a084638p-3, 0x1.e2c41456818b2p-3, 0x1.dc62d936a542dp-3, 0x1.d608d9cb2d7abp-3, 0x1.cfb68696efb99p-3, 0x1.c96c4b479b28bp-3, 0x1.c32a8ee0bf0b1p-3, 0x1.bcf1b3e01d177p-3, 0x1.b6c2185c20f6fp-3, 0x1.b09c161d787bp-3, 0x1.aa8002b4cc80dp-3, 0x1.a46e2f8dbdaa6p-3, 0x1.9e66ea0027865p-3, 0x1.986a7b60a5b99p-3, 0x1.927929113fdc5p-3, 0x1.8c933492ee9afp-3, 0x1.86b8db988cff5p-3, 0x1.80ea581baadf5p-3, 0x1.7b27e07369c86p-3, 0x1.7571a76d86b64p-3, 0x1.6fc7dc697008bp-3, 0x1.6a2aab7540235p-3, 0x1.649a3d6c340b6p-3, 0x1.5f16b8164df8p-3, 0x1.59a03e489a9c5p-3, 0x1.5436f005b3238p-3, 0x1.4edaea9def21p-3, 0x1.498c48cee8578p-3, 0x1.444b22e1e424cp-3, 0x1.3f178ec8d287ap-3, 0x1.39f1a039a44bep-3, 0x1.34d968c7d0c74p-3, 0x1.2fcef7fbec5dcp-3, 0x1.2ad25b6955155p-3, 0x1.25e39ec1f99d8p-3, 0x1.2102cbe8544e7p-3, 0x1.1c2feaffc3761p-3, 0x1.176b027b6769dp-3, 0x1.12b4172bb9616p-3, 0x1.0e0b2c4b1609fp-3, 0x1.0970438965284p-3, 0x1.04e35d171e812p-3, 0x1.006477afd8e38p-3, 0x1.f7e721490ec94p-4, 0x1.ef2147cb2fa68p-4, 0x1.e676f4c37eccep-4, 0x1.dde8ca22d66b7p-4, 0x1.d5767000f72e7p-4, 0x1.cd1fd439fee48p-4, 0x1.c4e4e232e9347p-4, 0x1.bcc582f09c08cp-4, 0x1.b4c19d2fb57e6p-4, 0x1.acd9157cd336ap-4, 0x1.a50bce4d3a6a9p-4, 0x1.9d59a817a874ep-4, 0x1.95c2816d0de58p-4, 0x1.8e4637111dc6cp-4, 0x1.86e4a4125ddfp-4, 0x1.7f9da1e1afa98p-4, 0x1.787108691a422p-4, 0x1.715eae21bae05p-4, 0x1.6a666828c66bbp-4, 0x1.63880a5385ffp-4, 0x1.5cc36742458d9p-4, 0x1.561850722e83bp-4, 0x1.4f86964e0f6f8p-4, 0x1.490e083e15f9dp-4, 0x1.42ae74b68535dp-4, 0x1.3c67a945770e6p-4, 0x1.3639729fbac39p-4, 0x1.30239cace15a4p-4, 0x1.2a25f2928fbf7p-4, 0x1.24403ebf2b337p-4, 0x1.1e724af3f5cd3p-4, 0x1.18bbe04eb1144p-4, 0x1.131cc752da919p-4, 0x1.0d94c7f296654p-4, 0x1.0823a9975898cp-4, 0x1.02c9332a5d2e2p-4, 0x1.fb0a5639f6225p-5, 0x1.f0aeaee1bbc07p-5, 0x1.e67efb805f65ep-5, 0x1.dc7ac68b6f3cdp-5, 0x1.d2a199c9e5e4ep-5, 0x1.c8f2fe64563e4p-5, 0x1.bf6e7cf50ec2ep-5, 0x1.b6139d983a0f4p-5, 0x1.ace1e7fbedd3dp-5, 0x1.a3d8e37028e25p-5, 0x1.9af816f6b67e4p-5, 0x1.923f0952e8288p-5, 0x1.89ad4119247e7p-5, 0x1.814244be33f32p-5, 0x1.78fd9aa64d25cp-5, 0x1.70dec933cc6c8p-5, 0x1.68e556d59098bp-5, 0x1.6110ca14f5374p-5, 0x1.5960a9a35bdf8p-5, 0x1.51d47c6746adap-5, 0x1.4a6bc988f5d5ap-5, 0x1.4326187e87f43p-5, 0x1.3c02f1179a4ep-5, 0x1.3501db886577bp-5, 0x1.2e22607458293p-5, 0x1.276408f82cb83p-5, 0x1.20c65eb381508p-5, 0x1.1a48ebd1ef667p-5, 0x1.13eb3b13aa203p-5, 0x1.0dacd7d5a51edp-5, 0x1.078d4e194b0a6p-5, 0x1.018c2a8bc7658p-5, 0x1.f751f519ce5bap-6, 0x1.ebc6986b37ca2p-6, 0x1.e0755cbc3c64ap-6, 0x1.d55d61477d116p-6, 0x1.ca7dc6dcc2b95p-6, 0x1.bfd5afeb63a0ap-6, 0x1.b564408c19e5fp-6, 0x1.ab289e8a517ep-6, 0x1.a121f16d015eep-6, 0x1.974f627f06b5cp-6, 0x1.8db01cd71b7c5p-6, 0x1.84434d5f5a59dp-6, 0x1.7b0822dc69272p-6, 0x1.71fdcdf43c008p-6, 0x1.69238134849acp-6, 0x1.60787118c298dp-6, 0x1.57fbd41002f52p-6, 0x1.4face2824557dp-6, 0x1.478ad6d596224p-6, 0x1.3f94ed72cf1cp-6, 0x1.37ca64ca0d884p-6, 0x1.302a7d56d0f9ep-6, 0x1.28b479a3cf901p-6, 0x1.21679e4e750d3p-6, 0x1.1a43320a18bf4p-6, 0x1.13467da2dcda2p-6, 0x1.0c70cc00411e9p-6, 0x1.05c16a276819p-6, 0x1.fe6f4e7a1b207p-7, 0x1.f1a5a90e580fcp-7, 0x1.e5248adcb4f7dp-7, 0x1.d8ea9efdb3c75p-7, 0x1.ccf694d2b4749p-7, 0x1.c1472006e9df6p-7, 0x1.b5daf88fc4c73p-7, 0x1.aab0daaccdcb3p-7, 0x1.9fc786e6ee74cp-7, 0x1.951dc20f4c7bdp-7, 0x1.8ab2553d8ba34p-7, 0x1.80840dcd9efefp-7, 0x1.7691bd5d26d18p-7, 0x1.6cda39c84a1f6p-7, 0x1.635c5d263797cp-7, 0x1.5a1705c527d39p-7, 0x1.5109162602b11p-7, 0x1.483174f7aa9dcp-7, 0x1.3f8f0d11d91dp-7, 0x1.3720cd6fb70cfp-7, 0x1.2ee5a92a116afp-7, 0x1.26dc97714891fp-7, 0x1.1f049386eef84p-7, 0x1.175c9cb72122ep-7, 0x1.0fe3b6519cb79p-7, 0x1.0898e7a294d92p-7, 0x1.017b3beb4a6bcp-7, 0x1.f51384b4d8f31p-8, 0x1.e7871c0884cfdp-8, 0x1.da4f6bb5459e3p-8, 0x1.cd6aa9497896cp-8, 0x1.c0d711ed5c5a7p-8, 0x1.b492ea51f69a3p-8, 0x1.a89c7e9fa2c59p-8, 0x1.9cf222645a5a9p-8, 0x1.91923081b5ff1p-8, 0x1.867b0b1aaeb51p-8, 0x1.7bab1b8122426p-8, 0x1.7120d2231bec8p-8, 0x1.66daa677ee32ap-8, 0x1.5cd716ed170c8p-8, 0x1.5314a8d2fa392p-8, 0x1.4991e8497304bp-8, 0x1.404d682c3eef3p-8, 0x1.3745c1ff47638p-8, 0x1.2e7995dacfd96p-8, 0x1.25e78a5782784p-8, 0x1.1d8e4c7a6ea78p-8, 0x1.156c8fa0ebc0cp-8, 0x1.0d810d6c6e878p-8, 0x1.05ca85ae4fb5cp-8, 0x1.fc8f7ca70cdc6p-9, 0x1.edef06a0bfbb5p-9, 0x1.dfb14d1854f49p-9, 0x1.d1d3ff99ca669p-9, 0x1.c454d945d8309p-9, 0x1.b731a0a95152ap-9, 0x1.aa6827948f905p-9, 0x1.9df64af2f4273p-9, 0x1.91d9f2a27337ap-9, 0x1.8611114b46962p-9, 0x1.7a99a437b0ef3p-9, 0x1.6f71b32bf155dp-9, 0x1.6497503e4844fp-9, 0x1.5a0897af414fbp-9, 0x1.4fc3afc21986bp-9, 0x1.45c6c89552572p-9, 0x1.3c101bfb86d6dp-9, 0x1.329ded54756bcp-9, 0x1.296e896639dcap-9, 0x1.20804636cdc0bp-9, 0x1.17d182e5cebdp-9, 0x1.0f60a786764c8p-9, 0x1.072c24f9de17ap-9, 0x1.fe64e99333b9fp-10, 0x1.eee432050388bp-10, 0x1.dfd3381faea8ap-10, 0x1.d12f212d702eep-10, 0x1.c2f522a3b0a0cp-10, 0x1.b52281db2c203p-10, 0x1.a7b493c8a554ap-10, 0x1.9aa8bcb66bffep-10, 0x1.8dfc6ffe53092p-10, 0x1.81ad2fc492f87p-10, 0x1.75b88cb3380f6p-10, 0x1.6a1c25b63dc43p-10, 0x1.5ed5a7b87f098p-10, 0x1.53e2cd614675fp-10, 0x1.49415ed2a494bp-10, 0x1.3eef31687a5bp-10, 0x1.34ea27784f66ep-10, 0x1.2b303011da22ep-10, 0x1.21bf46c05292fp-10, 0x1.1895734c8d8a2p-10, 0x1.0fb0c97fd3e72p-10, 0x1.070f68e78359ep-10, 0x1.fd5ef9330a9d9p-11, 0x1.ed1e75f2f4e31p-11, 0x1.dd59cafd7a05ep-11, 0x1.ce0d90f66478p-11, 0x1.bf3675c5cb5b2p-11, 0x1.b0d13c28cf08fp-11, 0x1.a2dabb441a72bp-11, 0x1.954fde37d14ap-11, 0x1.882da3b541a78p-11, 0x1.7b711d964be37p-11, 0x1.6f177075eb90cp-11, 0x1.631dd34b01611p-11, 0x1.57818f04496c7p-11, 0x1.4c3ffe2619e9ep-11, 0x1.41568c69a3dd2p-11, 0x1.36c2b65de89ep-11, 0x1.2c82090a29acdp-11, 0x1.2292219205b8ap-11, 0x1.18f0acdb09de3p-11, 0x1.0f9b6733f7135p-11, 0x1.06901bfd55f6dp-11, 0x1.fb994aa7e3619p-12, 0x1.ea9dd779052f4p-12, 0x1.da29cba1f755p-12, 0x1.ca392fded63dp-12, 0x1.bac827d43232fp-12, 0x1.abd2f172b68d1p-12, 0x1.9d55e45d74d23p-12, 0x1.8f4d71530c9c5p-12, 0x1.81b62199ad83dp-12, 0x1.748c966ddb34ap-12, 0x1.67cd8873f0133p-12, 0x1.5b75c72c5dfdep-12, 0x1.4f82386a76acap-12, 0x1.43f0e3d81bfd8p-12, 0x1.38bcc2f3a415ap-12, 0x1.2de4061a6674p-12, 0x1.2363e74ccf3ccp-12, 0x1.1939b45784037p-12, 0x1.0f62ce5954eb2p-12, 0x1.05dca94b87014p-12, 0x1.f94997192699cp-13, 0x1.e7719ada3c6fbp-13, 0x1.d62cb17e0049cp-13, 0x1.c57650ce3fe55p-13, 0x1.b54a0fe1f2ad1p-13, 0x1.a5a3a648f9cb4p-13, 0x1.967eeb3beec33p-13, 0x1.87d7d4d0832dap-13, 0x1.79aa7731babe8p-13, 0x1.6bf303dc3dbb5p-13, 0x1.5eadc8debbc5dp-13, 0x1.51d7301e2389ap-13, 0x1.456bbe9dc5dp-13, 0x1.396813cb52de2p-13, 0x1.2dc8e8ce4fef5p-13, 0x1.228b0fdbb2a1ap-13, 0x1.17ab738cc68f9p-13, 0x1.0d271639bac25p-13, 0x1.02fb1157c97a8p-13, 0x1.f24929b4ebcfp-14, 0x1.df41cd31e33cdp-14, 0x1.ccdac36c3b011p-14, 0x1.bb0eec191919bp-14, 0x1.a9d94f39fe005p-14, 0x1.99351c010958dp-14, 0x1.891da7bc6bbccp-14, 0x1.798e6cc6819dcp-14, 0x1.6a83097d2b7afp-14, 0x1.5bf73f3e96f5bp-14, 0x1.4de6f16c7d428p-14, 0x1.404e2474fbe8ep-14, 0x1.3328fce1537a9p-14, 0x1.2673be6a52f8fp-14, 0x1.1a2acb1268e2ap-14, 0x1.0e4aa24539a95p-14, 0x1.02cfdffcaafe9p-14, 0x1.ef6e77d68b089p-15, 0x1.d9fb11583e49p-15, 0x1.c53f65ed728f4p-15, 0x1.b13581b59cb07p-15, 0x1.9dd7a1fae4418p-15, 0x1.8b2033bc09484p-15, 0x1.7909d23cbc67ep-15, 0x1.678f45a268b74p-15, 0x1.56ab8195c9741p-15, 0x1.4659a3f234eaap-15, 0x1.3694f37b4f65p-15, 0x1.2758de9c6ab97p-15, 0x1.18a0fa302bfa3p-15, 0x1.0a690051179bbp-15, 0x1.f9599e6103589p-16, 0x1.ded0cff28e30fp-16, 0x1.c52fdb6d9f4ecp-16, 0x1.ac6f488b0697fp-16, 0x1.9487de94cc2cdp-16, 0x1.7d72a264af92ep-16, 0x1.6728d4704f1ccp-16, 0x1.51a3eee4b143bp-16, 0x1.3cdda3cce513ap-16, 0x1.28cfdb48d580dp-16, 0x1.1574b1d22ee64p-16, 0x1.02c6768765364p-16, 0x1.e17f5316ed4b5p-17, 0x1.beb5f4e13009p-17, 0x1.9d268d4a333cdp-17, 0x1.7cc72ff13ea6cp-17, 0x1.5d8e464a95df2p-17, 0x1.3f728ccb4bdb5p-17, 0x1.226b102b09a4ep-17, 0x1.066f2ab96005ap-17, 0x1.d6ed038ffcf13p-18, 0x1.a2f20650e5cdfp-18, 0x1.70ddc57aa9deep-18, 0x1.40a1303b9ab3fp-18, 0x1.122db8967d433p-18, 0x1.caea9de5c5c2bp-19, 0x1.74d4bba276fbap-19, 0x1.21ff8b2071b4cp-19, 0x1.a4a361d94dc7cp-20, 0x1.0b655ad8af18ap-20, 0x1.e056aa61a99adp-22, -0x1.5796bcb8f066ep-24, -0x1.3ae8336268469p-21, -0x1.200512a8caad3p-20, -0x1.9d559a1e13925p-20, -0x1.0ac6c814c1671p-19, -0x1.4469bf16aa7dcp-19, -0x1.7ba65175316fbp-19, -0x1.b08e7f3fa7324p-19, -0x1.e333aecc77a2dp-19, -0x1.09d35926f0989p-18, -0x1.20fbe695e9a8p-18, -0x1.371b5c909abeep-18, -0x1.4c3955a3aaa3p-18, -0x1.605d2c747dbe1p-18, -0x1.738dfe170dd9dp-18, -0x1.85d2ac50eae73p-18, -0x1.9731dfc945ae9p-18, -0x1.a7b20a22a6e46p-18, -0x1.b759680b4343dp-18, -0x1.c62e03304c40ap-18, -0x1.d435b42824f1p-18, -0x1.e1762443eb424p-18, -0x1.edf4cf5c0eb24p-18, -0x1.f9b70583872f8p-18, -0x1.0260f658a55f7p-17, -0x1.078d412b2ee48p-17, -0x1.0c62ce7488e6ap-17, -0x1.10e3f6b04091cp-17, -0x1.1513005365779p-17, -0x1.18f220758e20fp-17, -0x1.1c837b87711cap-17, -0x1.1fc925e9afd5fp-17, -0x1.22c524962c245p-17, -0x1.25796db043535p-17, -0x1.27e7e91a5c7f3p-17, -0x1.2a12710200144p-17, -0x1.2bfad267c344p-17, -0x1.2da2cd9fd08bcp-17, -0x1.2f0c16d605f43p-17, -0x1.3038567cf8955p-17, -0x1.312929c78feaep-17, -0x1.31e02317722b5p-17, -0x1.325eca67cbe77p-17, -0x1.32a69db3644dep-17, -0x1.32b911587c111p-17, -0x1.329790777a687p-17, -0x1.32437d4cf3639p-17, -0x1.31be318812e45p-17, -0x1.3108fe9c62818p-17, -0x1.30252e18d57b3p-17, -0x1.2f1401ecd9368p-17, -0x1.2dd6b4b56d622p-17, -0x1.2c6e7a025a7e3p-17, -0x1.2adc7e9b4b226p-17, -0x1.2921e8bbcdce7p-17, -0x1.273fd855d416dp-17, -0x1.25376749ed031p-17, -0x1.2309a9a1c1c23p-17, -0x1.20b7adbc46219p-17, -0x1.1e427c92a603ap-17, -0x1.1bab19db8da6ap-17, -0x1.18f2843bcc2f9p-17, -0x1.1619b5758f12bp-17, -0x1.1321a2920a064p-17, -0x1.100b3c09cfbe8p-17, -0x1.0cd76dea6cf7dp-17, }}, 
      {{-0x1.a071847778601p+1, -0x1.8a1010c13b3aep+1, -0x1.6e470901a1001p+1, -0x1.517e7e2176b77p+1, -0x1.363ea0bcce7dp+1, -0x1.1dd7f071f523ep+1, -0x1.08d497ab17793p+1, -0x1.ee89a57755fc3p+0, -0x1.d1e107759b4b3p+0, -0x1.baf2f4806c009p+0, -0x1.a8e27502cd5c8p+0, -0x1.9acdc1289dcd5p+0, -0x1.8fdec19fba7d4p+0, -0x1.8754a4a5b8a9ep+0, -0x1.808835861db5ap+0, -0x1.7aedd184a27dap+0, -0x1.761278a1ddd8cp+0, -0x1.719c0b6ff98a7p+0, -0x1.6d44d72c1d383p+0, -0x1.68d9b6ef5be15p+0, -0x1.6436c478c2249p+0, -0x1.5f44c225c16fdp+0, -0x1.59f6bb448d5ccp+0, -0x1.5447c6f717e3ep+0, -0x1.4e3936517ed0ap+0, -0x1.47d0f886f2c2bp+0, -0x1.41185cb5241ap+0, -0x1.3a1aa07199371p+0, -0x1.32e4dea1513a5p+0, -0x1.2b84926d703aep+0, -0x1.24073370284b3p+0, -0x1.1c7a0e952839p+0, -0x1.14e9efb80957ep+0, -0x1.0d62cf74bf5f4p+0, -0x1.05ef9bc954d77p+0, -0x1.fd3460455a4f9p-1, -0x1.eed6c0ad0ea72p-1, -0x1.e0d5e6b5407a7p-1, -0x1.d33f2e9618a2dp-1, -0x1.c61dc870982c4p-1, -0x1.b97adf96298dfp-1, -0x1.ad5dc9bd2b51p-1, -0x1.a1cc2a1a7798dp-1, -0x1.96ca0a4162016p-1, -0x1.8c59f5481b8e2p-1, -0x1.827d1bc62c8aep-1, -0x1.79337c91fc777p-1, -0x1.707c0a674fep-1, -0x1.6854cba35ae45p-1, -0x1.60baf6a028f7p-1, -0x1.59ab0d204f546p-1, -0x1.5320f702f77a3p-1, -0x1.4d181bbe54141p-1, -0x1.478b7a04ae4d8p-1, -0x1.42760cfe1539ap-1, -0x1.3dd171e5793b9p-1, -0x1.3998520ec9deap-1, -0x1.35c4dcd07049dp-1, -0x1.325127230ff6bp-1, -0x1.2f3732d4578d1p-1, -0x1.2c70fa7046c7bp-1, -0x1.29f88093fe0ecp-1, -0x1.27c7dfcad18dap-1, -0x1.25d957fcd66d3p-1, -0x1.242757804eaap-1, -0x1.22ac7f69f7c54p-1, -0x1.2163a41e223ffp-1, -0x1.2047cbf2bc146p-1, -0x1.1f542dc0f14a2p-1, -0x1.1e8430b692b37p-1, -0x1.1dd36dddce011p-1, -0x1.1d3db30472678p-1, -0x1.1cbf0628503abp-1, -0x1.1c53a86bdefe5p-1, -0x1.1bf817ca21f4p-1, -0x1.1ba90f28099c2p-1, -0x1.1b6384d238cefp-1, -0x1.1b24a7ce69825p-1, -0x1.1ae9dc961fe01p-1, -0x1.1ab0b9d19d5a7p-1, -0x1.1a77058565012p-1, -0x1.1a3ab2e9807e9p-1, -0x1.19f9e0e3f96d1p-1, -0x1.19b2d8f1f6174p-1, -0x1.19640e362b656p-1, -0x1.190c1c676765ep-1, -0x1.18a9c66f03b4cp-1, -0x1.183bf4a355f93p-1, -0x1.17c1b2a56974ap-1, -0x1.173a2cfdce1b1p-1, -0x1.16a4ae9f59988p-1, -0x1.16009e781529ep-1, -0x1.154d7d31b2705p-1, -0x1.148ae3367aa85p-1, -0x1.13b87f0091972p-1, -0x1.12d613ab09d2cp-1, -0x1.11e377b1d3d51p-1, -0x1.10e093c9a3032p-1, -0x1.0fcd61bbf89d7p-1, -0x1.0ea9eb3bb713ap-1, -0x1.0d7648b03d244p-1, -0x1.0c329ffc2b5b9p-1, -0x1.0adf2347ca38dp-1, -0x1.097c0fd5e0cbfp-1, -0x1.0809ace6ca683p-1, -0x1.06884aab282efp-1, -0x1.04f84146a4f9dp-1, -0x1.0359efe3d2dd5p-1, -0x1.01adbbdada82bp-1, -0x1.ffe81fd8ef5b2p-2, -0x1.fc5b48e3c3a39p-2, -0x1.f8b4b62e6595dp-2, -0x1.f4f5de0fff2eep-2, -0x1.f11fb66741439p-2, -0x1.ed333a277aba6p-2, -0x1.e931681a42f16p-2, -0x1.e51b41bb0b12fp-2, -0x1.e0f1ca2bfc6bbp-2, -0x1.dcb60541fd8ecp-2, -0x1.d868f6a53a4e6p-2, -0x1.d40ba103ed81ep-2, -0x1.cf9f05562b1acp-2, -0x1.cb242232acba7p-2, -0x1.c69bf335a5986p-2, -0x1.c207707b503dap-2, -0x1.bd678e2fcb268p-2, -0x1.b8bd3c352c10ap-2, -0x1.b40965df7513fp-2, -0x1.af4cf1c4a290fp-2, -0x1.aa88c19d8fa5fp-2, -0x1.a5bdb233699dp-2, -0x1.a0ec9b54c4f64p-2, -0x1.9c164fcd799ccp-2, -0x1.973b9d5d06a22p-2, -0x1.925d4ca83579fp-2, -0x1.8d7c212429a34p-2, -0x1.8898d8fa51c4ap-2, -0x1.83b42ce62749ap-2, -0x1.7eced00eaad86p-2, -0x1.79e96fde6b622p-2, -0x1.7504b3dd3f4a9p-2, -0x1.70213d8ee451ap-2, -0x1.6b3fa85971ec7p-2, -0x1.66608975eb625p-2, -0x1.61846fec8d571p-2, -0x1.5cabe49d89c2cp-2, -0x1.57d76a5607acfp-2, -0x1.53077df074c7cp-2, -0x1.4e3c967e76d3cp-2, -0x1.4977257a570bap-2, -0x1.44b796fd6e461p-2, -0x1.3ffe51f8fb045p-2, -0x1.3b4bb86f004cbp-2, -0x1.36a027a8f6d8bp-2, -0x1.31fbf86aabb32p-2, -0x1.2d5f7f2006cfep-2, -0x1.28cb0c050fdb7p-2, -0x1.243eeb47f6c2ap-2, -0x1.1fbb65255fb83p-2, -0x1.1b40bdff867efp-2, -0x1.16cf367116a15p-2, -0x1.12670b5cb6cb7p-2, -0x1.0e0875fa6df3ap-2, -0x1.09b3abe3f6f34p-2, -0x1.0568df2117343p-2, -0x1.01283e34e7b36p-2, -0x1.f9e3e859befb7p-3, -0x1.f18c51646a633p-3, -0x1.e94a003c0a0bbp-3, -0x1.e11d3720c173ep-3, -0x1.d9063214949ffp-3, -0x1.d1052714b7199p-3, -0x1.c91a46575cfdbp-3, -0x1.c145ba8d16e98p-3, -0x1.b987a9245c75ep-3, -0x1.b1e0328e05119p-3, -0x1.aa4f7281558c3p-3, -0x1.a2d5803e6304ap-3, -0x1.9b726ecdc9815p-3, -0x1.94264d3cd17fep-3, -0x1.8cf126d56b6eap-3, -0x1.85d30351af42p-3, -0x1.7ecbe70aae031p-3, -0x1.77dbd322b5014p-3, -0x1.7102c5ab3cb57p-3, -0x1.6a40b9c6d604ep-3, -0x1.6395a7c79c794p-3, -0x1.5d01854aa188dp-3, -0x1.56844550df6e4p-3, -0x1.501dd8564e5fcp-3, -0x1.49ce2c678bdb4p-3, -0x1.43952d36aed79p-3, -0x1.3d72c42fb6cdbp-3, -0x1.3766d88cf499ep-3, -0x1.31714f6bc9906p-3, -0x1.2b920be1f5115p-3, -0x1.25c8ef139911fp-3, -0x1.2015d849f4ba7p-3, -0x1.1a78a50adc20ep-3, -0x1.14f13130bda2cp-3, -0x1.0f7f57030c65bp-3, -0x1.0a22ef4ed5f26p-3, -0x1.04dbd17f3c8acp-3, -0x1.ff53a76b26c3cp-4, -0x1.f51995c1ce1bp-4, -0x1.eb0915a965b9ap-4, -0x1.e121ccbd2ff39p-4, -0x1.d7635eb5f6223p-4, -0x1.cdcd6d90ddfc3p-4, -0x1.c45f99b3c3da3p-4, -0x1.bb19820f1f2ddp-4, -0x1.b1fac43d89cd3p-4, -0x1.a902fca0f9e81p-4, -0x1.a031c67dea762p-4, -0x1.9786bc148795ep-4, -0x1.8f0176b8350ecp-4, -0x1.86a18ee580619p-4, -0x1.7e669c56c8fefp-4, -0x1.76503617c5295p-4, -0x1.6e5df298170fbp-4, -0x1.668f67bd17f24p-4, -0x1.5ee42af30141cp-4, -0x1.575bcd8ab6755p-4, -0x1.4ff5de69eb703p-4, -0x1.48b1fc814f687p-4, -0x1.418fbc333dc03p-4, -0x1.3a8eb1acf7d7p-4, -0x1.33ae70f59d252p-4, -0x1.2cee8dfd2db76p-4, -0x1.264e9cab8c24dp-4, -0x1.1fce30ef70351p-4, -0x1.196cdecd370cep-4, -0x1.132a3a6d80af4p-4, -0x1.0d05d82b839c1p-4, -0x1.06ff4ca307106p-4, -0x1.01162cbdf033fp-4, -0x1.f6941b82a3573p-5, -0x1.eb350ab3e0bbfp-5, -0x1.e00e535061da8p-5, -0x1.d51f2296c9da3p-5, -0x1.ca66a6d8e4c1dp-5, -0x1.bfe40f8f9e59p-5, -0x1.b5968d6da528dp-5, -0x1.ab7d5270b66f6p-5, -0x1.a19791f19c883p-5, -0x1.97e480b2e9a1p-5, -0x1.8e6354ee7ab42p-5, -0x1.85134661d67a2p-5, -0x1.7bf38e5976674p-5, -0x1.730367bb0f83bp-5, -0x1.6a420f0ef096cp-5, -0x1.61aec288862cbp-5, -0x1.5948c20e1edb8p-5, -0x1.510f4f3ffe338p-5, -0x1.4901ad7ed2c4p-5, -0x1.411f21f1a44f9p-5, -0x1.3966f38b45195p-5, -0x1.31d86b0f56d3ep-5, -0x1.2a72d316f144fp-5, -0x1.23357814f2011p-5, -0x1.1c1fa85a01ea7p-5, -0x1.1530b4185450ep-5, -0x1.0e67ed6726639p-5, -0x1.07c4a84605fcp-5, -0x1.01463a9fda237p-5, -0x1.f5d7f89b74aaep-6, -0x1.e96a8e331330ep-6, -0x1.dd42ed80b8eabp-6, -0x1.d15fd1e94dfb7p-6, -0x1.c5bffac05b32fp-6, -0x1.ba622b4b7de27p-6, -0x1.af452ac55495fp-6, -0x1.a467c45ff2c46p-6, -0x1.99c8c746d306p-6, -0x1.8f6706a03b24dp-6, -0x1.8541598e1d4adp-6, -0x1.7b569b2e6bbf3p-6, -0x1.71a5aa9adf327p-6, -0x1.682d6ae8331e5p-6, -0x1.5eecc324d2988p-6, -0x1.55e29e56fca12p-6, -0x1.4d0deb7a6426ap-6, -0x1.446d9d7d412fep-6, -0x1.3c00ab3cec82ap-6, -0x1.33c60f81f64a8p-6, -0x1.2bbcc8fbcac0fp-6, -0x1.23e3da3be150dp-6, -0x1.1c3a49b0822cbp-6, -0x1.14bf219f2527cp-6, -0x1.0d71701e718fbp-6, -0x1.0650470fe3f3cp-6, -0x1.feb5783244971p-7, -0x1.f11fd13a06d32p-7, -0x1.e3ddd3689eb7cp-7, -0x1.d6edc04c7f85fp-7, -0x1.ca4de0c18ceadp-7, -0x1.bdfc84e134debp-7, -0x1.b1f803f237e36p-7, -0x1.a63ebc5807b55p-7, -0x1.9acf1381e53f3p-7, -0x1.8fa775d9b28dep-7, -0x1.84c656b27fce9p-7, -0x1.7a2a3036e9db3p-7, -0x1.6fd18357407b6p-7, -0x1.65bad7b77892bp-7, -0x1.5be4bb9d02296p-7, -0x1.524dc3dc70033p-7, -0x1.48f48bc704791p-7, -0x1.3fd7b5181853p-7, -0x1.36f5e7e2748afp-7, -0x1.2e4dd27d87c0ap-7, -0x1.25de29728e4ebp-7, -0x1.1da5a769a58bp-7, -0x1.15a30d16ce242p-7, -0x1.0dd52126e167ep-7, -0x1.063ab02c78bf1p-7, -0x1.fda5191998067p-8, -0x1.ef371cd90da57p-8, -0x1.e12927392e46ep-8, -0x1.d378ff0df0594p-8, -0x1.c6247636f3e03p-8, -0x1.b92969790fd67p-8, -0x1.ac85c057e3c8dp-8, -0x1.a0376cef707a9p-8, -0x1.943c6bcdb8fbap-8, -0x1.8892c3cc769a5p-8, -0x1.7d3885eadd709p-8, -0x1.722bcd277926cp-8, -0x1.676abe5a27436p-8, -0x1.5cf3880e302a5p-8, -0x1.52c4625c83da2p-8, -0x1.48db8ec621735p-8, -0x1.3f37580ea6fecp-8, -0x1.35d6121717883p-8, -0x1.2cb619b8cfa96p-8, -0x1.23d5d4a0b459dp-8, -0x1.1b33b12a9e427p-8, -0x1.12ce263d014dep-8, -0x1.0aa3b324d7366p-8, -0x1.02b2df71cf099p-8, -0x1.f5f475a58a972p-9, -0x1.e6f0b9e50b217p-9, -0x1.d857caa9af0dfp-9, -0x1.ca26f667bea07p-9, -0x1.bc5b9abb9688fp-9, -0x1.aef32425ad6bp-9, -0x1.a1eb0dc746c85p-9, -0x1.9540e11fcd1dap-9, -0x1.88f235cae1d4bp-9, -0x1.7cfcb13f1d6aap-9, -0x1.715e068d8a7c4p-9, -0x1.6613f621cf55ep-9, -0x1.5b1c4d831c8c3p-9, -0x1.5074e715cce8ap-9, -0x1.461ba9ddcaee8p-9, -0x1.3c0e8941ad55bp-9, -0x1.324b84ce988d6p-9, -0x1.28d0a7fcdbb59p-9, -0x1.1f9c09f553303p-9, -0x1.16abcd578a9aap-9, -0x1.0dfe20009d0cdp-9, -0x1.05913ad2e1233p-9, -0x1.fac6c2fc9b5b6p-10, -0x1.eae5c4934fd08p-10, -0x1.db7c2bb8dff49p-10, -0x1.cc86be13273d2p-10, -0x1.be025535c2a54p-10, -0x1.afebde3a7b7bap-10, -0x1.a240595b38e0dp-10, -0x1.94fcd98d6a727p-10, -0x1.881e841f04e8bp-10, -0x1.7ba29054eb7ebp-10, -0x1.6f86470ae7ebfp-10, -0x1.63c7025513a9fp-10, -0x1.58622d22c6c91p-10, -0x1.4d5542e2f9313p-10, -0x1.429dcf2a19af4p-10, -0x1.38396d5960701p-10, -0x1.2e25c84795075p-10, -0x1.246099eb35febp-10, -0x1.1ae7ab0625f51p-10, -0x1.11b8d2d2acc31p-10, -0x1.08d1f6b1ef8c1p-10, -0x1.003109dbc98e8p-10, -0x1.efa81a20083d1p-11, -0x1.df721c91e91aap-11, -0x1.cfbc50ded771ap-11, -0x1.c08306201bca6p-11, -0x1.b1c2a423de973p-11, -0x1.a377aadd142cfp-11, -0x1.959eb1d60f32cp-11, -0x1.883467a5949b6p-11, -0x1.7b3591668d145p-11, -0x1.6e9f0a3238728p-11, -0x1.626dc29ce0a0ep-11, -0x1.569ec03508b1bp-11, -0x1.4b2f1d050527ep-11, -0x1.401c07170e5b5p-11, -0x1.3562bffb9d755p-11, -0x1.2b009c523cc7p-11, -0x1.20f303549d16fp-11, -0x1.17376e63f5f97p-11, -0x1.0dcb6898b1e19p-11, -0x1.04ac8e54528dp-11, -0x1.f7b119ab169f5p-12, -0x1.e69a439d0f248p-12, -0x1.d61035fac06afp-12, -0x1.c60eab8d3b421p-12, -0x1.b6917da3c5babp-12, -0x1.a794a35140c88p-12, -0x1.991430ada079p-12, -0x1.8b0c561b5dfaep-12, -0x1.7d795f90f3388p-12, -0x1.7057b3e62506ep-12, -0x1.63a3d4251ff65p-12, -0x1.575a5adf713a7p-12, -0x1.4b77fb86abeb7p-12, -0x1.3ff981c8acac3p-12, -0x1.34dbd0ef90de5p-12, -0x1.2a1be34514627p-12, -0x1.1fb6c979a0334p-12, -0x1.15a9aa0ea15f8p-12, -0x1.0bf1c0c4374p-12, -0x1.028c5e0a63b27p-12, -0x1.f2edcceaa450dp-13, -0x1.e15da469cffa5p-13, -0x1.d063591ef4f87p-13, -0x1.bffa26bf29f83p-13, -0x1.b01d6d29a54d7p-13, -0x1.a0c8af6f63a24p-13, -0x1.91f792e0a0704p-13, -0x1.83a5de202b13ap-13, -0x1.75cf783c0940dp-13, -0x1.687067cc480a8p-13, -0x1.5b84d21685acp-13, -0x1.4f08fa3732ffp-13, -0x1.42f9404ffab24p-13, -0x1.375220bb25b89p-13, -0x1.2c1033441d5dap-13, -0x1.21302a64cdc08p-13, -0x1.16aed287c4acdp-13, -0x1.0c89114f0e9f4p-13, -0x1.02bbe4dfa7a08p-13, -0x1.f288c662bd453p-14, -0x1.e03f72c69ed09p-14, -0x1.ce9656289173bp-14, -0x1.bd8969d4b60fap-14, -0x1.ad1101768722dp-14, -0x1.9d296654e6dc5p-14, -0x1.8dcdc744ab8c1p-14, -0x1.7ef97a0b8d3bap-14, -0x1.70a7fa41063fcp-14, -0x1.62d4e83699a51p-14, -0x1.557c07e7233b7p-14, -0x1.48993fed5d066p-14, -0x1.3c289880b1536p-14, -0x1.30263a79bd3f8p-14, -0x1.248e6e5c40de6p-14, -0x1.195d9b6843834p-14, -0x1.0e9046b0c27e6p-14, -0x1.04231239088e6p-14, -0x1.f425782f54813p-15, -0x1.e0b83b3ed0efp-15, -0x1.cdf8551b5d601p-15, -0x1.bbdfe07d4ee24p-15, -0x1.aa6929cd6f642p-15, -0x1.998eada299012p-15, -0x1.894b17493cf9cp-15, -0x1.79993f55b66fdp-15, -0x1.6a742a40020f8p-15, -0x1.5bd70708f4f11p-15, -0x1.4dbd2de951195p-15, -0x1.40221f0984fd2p-15, -0x1.33018143076d8p-15, -0x1.265720e9c8493p-15, -0x1.1a1eee9e932c7p-15, -0x1.0e54fe29f410ep-15, -0x1.02f5855ed6a17p-15, -0x1.eff9b60b3db32p-16, -0x1.daceeb9d5e7b1p-16, -0x1.c663d69982645p-16, -0x1.b2b1dded3797bp-16, -0x1.9fb2a260304cep-16, -0x1.8d5ffcb46e363p-16, -0x1.7bb3fbd462895p-16, -0x1.6aa8e30e79bcep-16, -0x1.5a39285de64e3p-16, -0x1.4a5f72c086872p-16, -0x1.3b169898e9108p-16, -0x1.2c599e1d057abp-16, -0x1.1e23b3d0f26dp-16, -0x1.1070350c6ad81p-16, -0x1.033aa68daf032p-16, -0x1.ecfd6a29d41e5p-17, -0x1.d470681963855p-17, -0x1.bcc638772bbacp-17, -0x1.a5f71501d95e4p-17, -0x1.8ffb7d363aedp-17, -0x1.7acc33ee8a71ep-17, -0x1.66623d16e1f1p-17, -0x1.52b6db726f404p-17, -0x1.3fc38e733d8c8p-17, -0x1.2d821023f2fe5p-17, -0x1.1bec531fe6b63p-17, -0x1.0afc80a0e235fp-17, -0x1.f559ed30299d8p-18, -0x1.d5f08bb0d9e1bp-18, -0x1.b7b260a1e5ecep-18, -0x1.9a954ea927eccp-18, -0x1.7e8f93e1bd1e3p-18, -0x1.6397c6a54fd4ep-18, -0x1.49a4d2706a358p-18, -0x1.30adf4ddbed23p-18, -0x1.18aabac38dcafp-18, -0x1.0192fd5d83857p-18, -0x1.d6bdbf31c5c8fp-19, -0x1.ac0d96ead7186p-19, -0x1.8306deeadcb87p-19, -0x1.5b9b785b5cce7p-19, -0x1.35bdc3ca6d6f3p-19, -0x1.11609c93a990ep-19, -0x1.dceea8ed8d9f4p-20, -0x1.99eb5e94a310bp-20, -0x1.599fbdbab165ep-20, -0x1.1bf4fdf12950bp-20, -0x1.c1aa460d3a6d9p-21, -0x1.5055eb2a83868p-21, -0x1.c787ef43b9bd5p-22, -0x1.ef3394be82c97p-23, -0x1.84a8d80f6571bp-25, 0x1.1b9f8b3977ad8p-23, 0x1.43dbf12a6e2f7p-22, 0x1.f1d40c6ec0dcfp-22, 0x1.4bfd2f43cfd1cp-21, 0x1.9b4773ba950aep-21, 0x1.e6e7bac6d9b1p-21, 0x1.177dee984674ep-20, 0x1.39d057c235fcbp-20, 0x1.5a7905db6d296p-20, 0x1.79856d40e1f1ap-20, 0x1.97028e379320ap-20, 0x1.b2fcf9485018dp-20, 0x1.cd80d3652ce5ap-20, 0x1.e699da0339ca1p-20, 0x1.fe5366f449a0cp-20, 0x1.0a5c3a15e01dfp-19, 0x1.14e9cfac6bb68p-19, 0x1.1ed796b1e179fp-19, 0x1.282a86e28ca06p-19, 0x1.30e76ee04eb29p-19, 0x1.3912f5c07248ap-19, 0x1.40b19c87faa5fp-19, 0x1.47c7bfa1fcdd6p-19, 0x1.4e59983c217efp-19, 0x1.546b3d9b99f8fp-19, 0x1.5a00a66796845p-19, 0x1.5f1da9e3e2eecp-19, 0x1.63c6011fbd14fp-19, 0x1.67fd481a5a984p-19, 0x1.6bc6fed9d8cb3p-19, 0x1.6f268a798828ep-19, 0x1.721f362c52ee6p-19, 0x1.74b43436ff39ap-19, 0x1.76e89eda0e3fcp-19, 0x1.78bf793eeca47p-19, 0x1.7a3bb04dce1b4p-19, 0x1.7b601b8434d2p-19, 0x1.7c2f7dc0058dfp-19, 0x1.7cac860133e81p-19, 0x1.7cd9d0269f37ap-19, 0x1.7cb9e59d396b3p-19, 0x1.7c4f3e1113d5cp-19, 0x1.7b9c40128e0a1p-19, 0x1.7aa341b01167ap-19, 0x1.79668910d6fb7p-19, 0x1.77e84d061a43dp-19, 0x1.762ab596222eap-19, 0x1.742fdc819711ap-19, 0x1.71f9cdc526aa5p-19, 0x1.6f8a8813312c3p-19, 0x1.6ce3fd483a9d8p-19, 0x1.6a0812dc53b6p-19, 0x1.66f8a24b417c2p-19, 0x1.63b77984055f3p-19, 0x1.60465b433a029p-19, 0x1.5ca6ff750abddp-19, 0x1.58db138f3b17p-19, 0x1.54e43ae720086p-19, 0x1.50c40f047c9a5p-19, 0x1.4c7c1ff07d401p-19, 0x1.480df481db22p-19, 0x1.437b0aa603053p-19, 0x1.3ec4d79e7427dp-19, 0x1.39ecc850ce02cp-19, 0x1.34f4417dcce1fp-19, 0x1.2fdc9ffabedd8p-19, 0x1.2aa738f046631p-19, 0x1.25555a10accp-19, 0x1.1fe849cc4a1a2p-19, 0x1.1a614781f4879p-19, }}, 
      {{0x1.fe96c264d8069p-1, 0x1.fe302cc088f0bp-1, 0x1.fd856cb81590bp-1, 0x1.fc96d7c37cb5bp-1, 0x1.fb64e46848848p-1, 0x1.f9f0292b0d771p-1, 0x1.f8395b4af9796p-1, 0x1.f6414d53041e8p-1, 0x1.f408ed8b6b906p-1, 0x1.f1914454f3c84p-1, 0x1.eedb72762018ep-1, 0x1.ebe8af6165b22p-1, 0x1.e8ba477a37b2dp-1, 0x1.e5519a5dcabddp-1, 0x1.e1b0193381df3p-1, 0x1.ddd745082bca9p-1, 0x1.d9c8ad36797ecp-1, 0x1.d585edde80103p-1, 0x1.d110ae6d84046p-1, 0x1.cc6aa036e4decp-1, 0x1.c7957d1e95808p-1, 0x1.c2930655479f1p-1, 0x1.bd6503263106ap-1, 0x1.b80d3fd622508p-1, 0x1.b28d8c9383bccp-1, 0x1.ace7bc76b4762p-1, 0x1.a71da49231e2ap-1, 0x1.a1311b11e8016p-1, 0x1.9b23f668fb948p-1, 0x1.94f80c8d613e3p-1, 0x1.8eaf324092861p-1, 0x1.884b3a64aa7bp-1, 0x1.81cdf55d43413p-1, 0x1.7b39307b61fcdp-1, 0x1.748eb573cc9d9p-1, 0x1.6dd049df257dbp-1, 0x1.66ffaec32e49p-1, 0x1.601ea0249b184p-1, 0x1.592ed4a0e3858p-1, 0x1.5231fd0f86bebp-1, 0x1.4b29c42a41b9p-1, 0x1.4417ce3bbb802p-1, 0x1.3cfdb8d433f46p-1, 0x1.35dd1a83ceb7dp-1, 0x1.2eb7829a14b21p-1, 0x1.278e78ea562e6p-1, 0x1.20637d949e32bp-1, 0x1.193808d2eaf91p-1, 0x1.120d8aca72265p-1, 0x1.0ae56b60b1695p-1, 0x1.03c10a14214a3p-1, 0x1.f9437bb0b31fap-2, 0x1.eb11a9eb0c0f9p-2, 0x1.dcef29d619cdfp-2, 0x1.cede74aa90d45p-2, 0x1.c0e1f1ac835d8p-2, 0x1.b2fbf602ac394p-2, 0x1.a52ec493722dap-2, 0x1.977c8de786dd2p-2, 0x1.89e7701208926p-2, 0x1.7c71769e0b3a8p-2, 0x1.6f1c9a817f534p-2, 0x1.61eac215540d6p-2, 0x1.54ddc112ccb9p-2, 0x1.47f75895e960ep-2, 0x1.3b393724d39ffp-2, 0x1.2ea4f8bc34deap-2, 0x1.223c26e05a40bp-2, 0x1.160038b30d33cp-2, 0x1.09f2930dfec04p-2, 0x1.fc2911434cc58p-3, 0x1.e4ceb430e6e43p-3, 0x1.cdd86c7c4a2d9p-3, 0x1.b74874564faebp-3, 0x1.a120e2e79a5fbp-3, 0x1.8b63acb65c495p-3, 0x1.7612a41323595p-3, 0x1.612f798c46fa8p-3, 0x1.4cbbbc679af6ap-3, 0x1.38b8db220de95p-3, 0x1.252823f4c2accp-3, 0x1.120ac55f5131p-3, 0x1.fec39d6d889b3p-4, 0x1.da5c6171e4165p-4, 0x1.b6e17c47ab184p-4, 0x1.945458a0f8632p-4, 0x1.72b627a26b59bp-4, 0x1.5207e22549a7ep-4, 0x1.324a49feac5cdp-4, 0x1.137deb4b0d1d2p-4, 0x1.eb463b7b1c1e7p-5, 0x1.b1740be4a95bdp-5, 0x1.79852d86c0c6p-5, 0x1.4379253e8a3p-5, 0x1.0f4f19c27d84bp-5, 0x1.ba0baca8559c8p-6, 0x1.59379ae550a08p-6, 0x1.f83c6e32ce4dep-7, 0x1.457626c6a4206p-7, 0x1.34248203e9528p-8, -0x1.3f533606e7b71p-12, -0x1.4d79daa54c349p-8, -0x1.3c4260c37bba2p-7, -0x1.ca99b33cbb081p-7, -0x1.28e958f4fdbeep-6, -0x1.68ff16caabc08p-6, -0x1.a596f836be604p-6, -0x1.deba59f347b6dp-6, -0x1.0a3985add5cffp-5, -0x1.2365a4bd1146cp-5, -0x1.3ae6dd1257307p-5, -0x1.50c2b3950db19p-5, -0x1.64fedcc7cc59ep-5, -0x1.77a13a6fa0c5p-5, -0x1.88afd944006bap-5, -0x1.9830eea798337p-5, -0x1.a62ad66a17ff2p-5, -0x1.b2a410931e22fp-5, -0x1.bda33f365c11dp-5, -0x1.c72f24510d997p-5, -0x1.cf4e9fb0d38f5p-5, -0x1.d608ace40279ep-5, -0x1.db64613373a1p-5, -0x1.df68e9a5de827p-5, -0x1.e21d890cc6f94p-5, -0x1.e389961b0290fp-5, -0x1.e3b47984d7d1fp-5, -0x1.e2a5ac29bb0f4p-5, -0x1.e064b547a9c0fp-5, -0x1.dcf928b820e8p-5, -0x1.d86aa536af301p-5, -0x1.d2c0d2b11cd26p-5, -0x1.cc0360a129958p-5, -0x1.c43a046fd8774p-5, -0x1.bb6c77e246e47p-5, -0x1.b1a27790070d6p-5, -0x1.a6e3c162fa857p-5, -0x1.9b381320a3aedp-5, -0x1.8ea728fce7f69p-5, -0x1.8138bc363d9a5p-5, -0x1.72f481bb37f27p-5, -0x1.63e228d9707efp-5, -0x1.540959f5c00bcp-5, -0x1.4371b54dc08a2p-5, -0x1.3222d1c28d691p-5, -0x1.20243bacbb65ep-5, -0x1.0d7d73b979bf8p-5, -0x1.f46bdba1ada63p-6, -0x1.ccaa200a34d0ep-6, -0x1.a3c46316536f3p-6, -0x1.79c93377d96cfp-6, -0x1.4ec6fe3d46e0bp-6, -0x1.22cc0cf848bc7p-6, -0x1.ebcd07ebc02fdp-7, -0x1.9048c1103c86ap-7, -0x1.3326eec2b4abep-7, -0x1.a905cc02e18ddp-8, -0x1.d1de917f64d38p-9, -0x1.31fcd241f50bdp-11, 0x1.3da965e4d07ap-9, 0x1.6619d1d832735p-8, 0x1.17ae5cd29508fp-7, 0x1.7d359551479d9p-7, 0x1.e389d94f4fcd9p-7, 0x1.25496c48ee0fbp-6, 0x1.591c56dbded07p-6, 0x1.8d31f00aacd94p-6, 0x1.c17eb2b8b3377p-6, 0x1.f5f751d15d4b8p-6, 0x1.15485c83ec9f3p-5, 0x1.2fa006c3df3d8p-5, 0x1.49fd574b7365ep-5, 0x1.645b1b1453391p-5, 0x1.7eb43cb1568d9p-5, 0x1.9903c489da7e4p-5, 0x1.b344d90e26c08p-5, 0x1.cd72bee4f9647p-5, 0x1.e788d9125d94fp-5, 0x1.00c1548bf2d01p-4, 0x1.0dade78738b89p-4, 0x1.1a8804dccd96p-4, 0x1.274d9b4a77c7dp-4, 0x1.33fca8ed89122p-4, 0x1.40933b4379406p-4, 0x1.4d0f6f2797ed7p-4, 0x1.596f70cdeb14fp-4, 0x1.65b17bbb48da7p-4, 0x1.71d3dabac0eeep-4, 0x1.7dd4e7d0661d7p-4, 0x1.89b30c298bb3ep-4, 0x1.956cc00a888b7p-4, 0x1.a1008aba130b8p-4, 0x1.ac6d026a451aap-4, 0x1.b7b0cc1f65b8ep-4, 0x1.c2ca9b94797eep-4, 0x1.cdb9331dbef27p-4, 0x1.d87b63891aeafp-4, 0x1.e3100bfc93193p-4, 0x1.ed7619d2e4c6ap-4, 0x1.f7ac887645de3p-4, 0x1.00d9309cb7f5p-3, 0x1.05c35d9778bffp-3, 0x1.0a945d7f7f35p-3, 0x1.0f4bc95dd0511p-3, 0x1.13e940d9c3d8fp-3, 0x1.186c6a21b514dp-3, 0x1.1cd4f1d311b1ep-3, 0x1.21228ae1c6cbp-3, 0x1.2554ee7f18694p-3, 0x1.296bdbffeb65bp-3, 0x1.2d6718c28fc0ep-3, 0x1.314670140a8d6p-3, 0x1.3509b314ee629p-3, 0x1.38b0b89dcce4fp-3, 0x1.3c3b5d233fa2ap-3, 0x1.3fa982999b9cap-3, 0x1.42fb105854c59p-3, 0x1.462ff2fd11742p-3, 0x1.49481c4e7da04p-3, 0x1.4c43831ee958cp-3, 0x1.4f22232ea9a72p-3, 0x1.51e3fd0e58e6cp-3, 0x1.54891600e6bc3p-3, 0x1.571177dd94b1dp-3, 0x1.597d30f1d7901p-3, 0x1.5bcc53e3263dp-3, 0x1.5dfef790c354dp-3, 0x1.601536f58099ep-3, 0x1.620f3109888d2p-3, 0x1.63ed08a42b8b7p-3, 0x1.65aee45dc2e81p-3, 0x1.6754ee719f768p-3, 0x1.68df54a01ec8ep-3, 0x1.6a4e4810cf614p-3, 0x1.6ba1fd34c8c9dp-3, 0x1.6cdaaba92518ep-3, 0x1.6df88e19a751bp-3, 0x1.6efbe2239a108p-3, 0x1.6fe4e838e4bfcp-3, 0x1.70b3e38354b33p-3, 0x1.716919c831e8p-3, 0x1.7204d34c0f958p-3, 0x1.72875ab6e4de9p-3, 0x1.72f0fcf872eafp-3, 0x1.7342092cfb0b7p-3, 0x1.737ad0823de0ep-3, 0x1.739ba61cdd06ap-3, 0x1.73a4defe0862ap-3, 0x1.7396d1e98dfap-3, 0x1.7371d74c3ff8cp-3, 0x1.73364922c609cp-3, 0x1.72e482e0bf9b4p-3, 0x1.727ce1585dc3ep-3, 0x1.71ffc2a2543c5p-3, 0x1.716d8606376b6p-3, 0x1.70c68be34b095p-3, 0x1.700b3599b0a33p-3, 0x1.6f3be5740959cp-3, 0x1.6e58fe918ad9bp-3, 0x1.6d62e4d075f82p-3, 0x1.6c59fcb90dba4p-3, 0x1.6b3eab68f547ep-3, 0x1.6a11567f02da7p-3, 0x1.68d2640785e6ep-3, 0x1.67823a6904e78p-3, 0x1.6621405166769p-3, 0x1.64afdca3958d6p-3, 0x1.632e76659c83p-3, 0x1.619d74af2a79ap-3, 0x1.5ffd3e989afafp-3, 0x1.5e4e3b2a647dcp-3, 0x1.5c90d14d09fc7p-3, 0x1.5ac567b976f97p-3, 0x1.58ec64e9cebe7p-3, 0x1.57062f0ab964ap-3, 0x1.55132bed19892p-3, 0x1.5313c0f839a1dp-3, 0x1.5108531c6c8cdp-3, 0x1.4ef146c619702p-3, 0x1.4cceffd13e586p-3, 0x1.4aa1e17d60cafp-3, 0x1.486a4e61ea897p-3, 0x1.4628a862f448ap-3, 0x1.43dd50a68483p-3, 0x1.4188a78a2d4bp-3, 0x1.3f2b0c991c767p-3, 0x1.3cc4de8298dc6p-3, 0x1.3a567b10da2c5p-3, 0x1.37e03f2055c2ap-3, 0x1.3562869766f79p-3, 0x1.32ddac5e60fbbp-3, 0x1.30520a5801769p-3, 0x1.2dbff95a4061fp-3, 0x1.2b27d1278891dp-3, 0x1.2889e86843cc8p-3, 0x1.25e694a4cb28ep-3, 0x1.233e2a3faf633p-3, 0x1.2090fc7059274p-3, 0x1.1ddf5d3e06987p-3, 0x1.1b299d7b155f8p-3, 0x1.18700cc0ad7aep-3, 0x1.15b2f96ab34e5p-3, 0x1.12f2b094136aap-3, 0x1.102f7e1359fb8p-3, 0x1.0d69ac7794f8fp-3, 0x1.0aa1850589e93p-3, 0x1.07d74fb532012p-3, 0x1.050b532f7ae08p-3, 0x1.023dd4cc57597p-3, 0x1.fede3122164eep-4, 0x1.f93ec25d86591p-4, 0x1.f39de002d4c07p-4, 0x1.edfc0a1d7c266p-4, 0x1.e859be0b4f609p-4, 0x1.e2b7767b8bfa9p-4, 0x1.dd15ab6e7ebadp-4, 0x1.d774d2358c6edp-4, 0x1.d1d55d73a7c8ep-4, 0x1.cc37bd1e36132p-4, 0x1.c69c5e7e62b6dp-4, 0x1.c103ac32d0012p-4, 0x1.bb6e0e31a6e6fp-4, 0x1.b5dbe9cb1218ep-4, 0x1.b04da1ac0a03bp-4, 0x1.aac395e178c6fp-4, 0x1.a53e23dbbd2aep-4, 0x1.9fbda67273f4cp-4, 0x1.9a4275e895ac5p-4, 0x1.94cce7f0de71ep-4, 0x1.8f5d4fb283efcp-4, 0x1.89f3fdce2939p-4, 0x1.849140631ac83p-4, 0x1.7f356314c898dp-4, 0x1.79e0af107e867p-4, 0x1.74936b1356066p-4, 0x1.6f4ddb705fff7p-4, 0x1.6a1042170449cp-4, 0x1.64dade9992169p-4, 0x1.5fadee3400b91p-4, 0x1.5a89abd2de2c7p-4, 0x1.556e501a66f17p-4, 0x1.505c116dc6622p-4, 0x1.4b5323f67db9dp-4, 0x1.4653b9abece38p-4, 0x1.415e025afce29p-4, 0x1.3c722bade95e9p-4, 0x1.3790613425a1p-4, 0x1.32b8cc6a5d042p-4, 0x1.2deb94c28a9bp-4, 0x1.2928dfac267cep-4, 0x1.2470d09c68b3dp-4, 0x1.1fc389169d0f1p-4, 0x1.1b2128b4869d3p-4, 0x1.1689cd2ed21acp-4, 0x1.11fd9265950b7p-4, 0x1.0d7c9268d625bp-4, 0x1.0906e5811ff33p-4, 0x1.049ca2381911cp-4, 0x1.003ddd6123aafp-4, 0x1.f7d55443fe6b7p-5, 0x1.ef4633f6db775p-5, 0x1.e6ce79a3b1e48p-5, 0x1.de6e41ebef012p-5, 0x1.d625a65adff79p-5, 0x1.cdf4bd76efaf2p-5, 0x1.c5db9ad2ddfe5p-5, 0x1.bdda4f1ee7bb4p-5, 0x1.b5f0e839e32fep-5, 0x1.ae1f714248809p-5, 0x1.a665f2a72a3cbp-5, 0x1.9ec4723917111p-5, 0x1.973af33ae38d5p-5, 0x1.8fc976725a3ap-5, 0x1.886ffa38d259bp-5, 0x1.812e7a8ba7595p-5, 0x1.7a04f11c914a7p-5, 0x1.72f35561ddb3p-5, 0x1.6bf99ca6841fap-5, 0x1.6517ba1a183bp-5, 0x1.5e4d9ee096f36p-5, 0x1.579b3a2208b38p-5, 0x1.5100791a00c69p-5, 0x1.4a7d4726ef58ap-5, 0x1.44118dd94a4c8p-5, 0x1.3dbd350288af1p-5, 0x1.378022c3f33c8p-5, 0x1.315a3b9d461b7p-5, 0x1.2b4b627b22092p-5, 0x1.255378c54f6e8p-5, 0x1.1f725e6cd19b7p-5, 0x1.19a7f1f9c53b6p-5, 0x1.13f41099110c5p-5, 0x1.0e569629defe9p-5, 0x1.08cf5d4ae6e32p-5, 0x1.035e3f6780742p-5, 0x1.fc06298908eb1p-6, 0x1.f17b6919f16a1p-6, 0x1.e71be9bd055fep-6, 0x1.dce755ab56276p-6, 0x1.d2dd5533cadbdp-6, 0x1.c8fd8ed2cb187p-6, 0x1.bf47a7497a89dp-6, 0x1.b5bb41b48603fp-6, 0x1.ac57ffa285a2ap-6, 0x1.a31d8129ef074p-6, 0x1.9a0b64fe9ca08p-6, 0x1.91214886e7df9p-6, 0x1.885ec7f05005dp-6, 0x1.7fc37e43bb9e4p-6, 0x1.774f057945da5p-6, 0x1.6f00f68ba69abp-6, 0x1.66d8e98b243fap-6, 0x1.5ed675b02240dp-6, 0x1.56f9316d3f2e8p-6, 0x1.4f40b2810870ep-6, 0x1.47ac8e07425d2p-6, 0x1.403c5889ca41cp-6, 0x1.38efa61109448p-6, 0x1.31c60a34029fp-6, 0x1.2abf1827f9b69p-6, 0x1.23da62cfac8a2p-6, 0x1.1d177cca313c9p-6, 0x1.1675f88161a03p-6, 0x1.0ff56837ed64p-6, 0x1.09955e170366dp-6, 0x1.03556c3b97d32p-6, 0x1.fa6a498696751p-7, 0x1.ee6833b1de5b6p-7, 0x1.e2a3bb815d4a3p-7, 0x1.d71c05c7a4facp-7, 0x1.cbd037b8592b5p-7, 0x1.c0bf76fe51b5fp-7, 0x1.b5e8e9d0fa708p-7, 0x1.ab4bb7090cfa3p-7, 0x1.a0e706348c8a4p-7, 0x1.96b9ffaa241e9p-7, 0x1.8cc3cc9bc2727p-7, 0x1.83039728a4ffcp-7, 0x1.79788a6ea6695p-7, 0x1.7021d29af4e68p-7, 0x1.66fe9cfa29a6p-7, 0x1.5e0e1807b044fp-7, 0x1.554f737ca891fp-7, 0x1.4cc1e05e18653p-7, 0x1.4464910a9b25p-7, 0x1.3c36b94768684p-7, 0x1.34378e4cd9423p-7, 0x1.2c6646d255231p-7, 0x1.24c21b19b580cp-7, 0x1.1d4a44fa1f272p-7, 0x1.15fdffea53946p-7, 0x1.0edc890a7fdedp-7, 0x1.07e51f2d872b9p-7, 0x1.011702e1d0bbdp-7, 0x1.f4e2ecf32fc06p-8, 0x1.e7e77c2584ee8p-8, 0x1.db3a3f3c8147bp-8, 0x1.ced9c5cdeff7p-8, 0x1.c2c4a33078dadp-8, 0x1.b6f96e87b55dbp-8, 0x1.ab76c2cf6a0a6p-8, 0x1.a03b3ee5eeb51p-8, 0x1.95458595c4193p-8, 0x1.8a943d9e62bfp-8, 0x1.802611bc42e02p-8, 0x1.75f9b0b025bd4p-8, 0x1.6c0dcd45a335ap-8, 0x1.62611e5901409p-8, 0x1.58f25edc5aebep-8, 0x1.4fc04ddc19f5dp-8, 0x1.46c9ae82ca0ddp-8, 0x1.3e0d481c47fafp-8, 0x1.3589e6185292bp-8, 0x1.2d3e580c8367fp-8, 0x1.252971b5b09b7p-8, 0x1.1d4a0af8bfaf2p-8, 0x1.159effe2e95bap-8, 0x1.0e2730a979f3bp-8, 0x1.06e181a9098adp-8, 0x1.ff99b6c870873p-9, 0x1.f1d05503db46ap-9, 0x1.e464bf96450dp-9, 0x1.d754e0506a49ep-9, 0x1.ca9ea93ba4cf6p-9, 0x1.be401492e141fp-9, 0x1.b23724bacafd9p-9, 0x1.a681e4392d52fp-9, 0x1.9b1e65ab98bdp-9, 0x1.900ac3bd50015p-9, 0x1.8545211c82dcp-9, 0x1.7acba86ee1796p-9, 0x1.709c8c458a6d7p-9, 0x1.66b60710613cep-9, 0x1.5d165b10cbc66p-9, 0x1.53bbd24be25fp-9, 0x1.4aa4be7c19638p-9, 0x1.41cf790269de8p-9, 0x1.393a62d6f824cp-9, 0x1.30e3e4794eeb2p-9, 0x1.28ca6de021e3bp-9, 0x1.20ec7668ab96ep-9, 0x1.19487cc5a7073p-9, 0x1.11dd06ede6d19p-9, 0x1.0aa8a20a97dc3p-9, 0x1.03a9e2652d535p-9, 0x1.f9bec6a9ff0d6p-10, 0x1.ec8f8e593b4dfp-10, 0x1.dfc36e4dc20cep-10, 0x1.d357c6a771b6p-10, 0x1.c74a0509834b5p-10, 0x1.bb97a4733f9a9p-10, 0x1.b03e2d185940ap-10, 0x1.a53b3438e3984p-10, 0x1.9a8c5bf8fbf9p-10, 0x1.902f533823062p-10, 0x1.8621d568514eep-10, 0x1.7c61aa64d824cp-10, 0x1.72eca64903642p-10, 0x1.69c0a94699772p-10, 0x1.60db9f7c278c8p-10, 0x1.583b80cb3cec2p-10, 0x1.4fde50ae85a47p-10, 0x1.47c21e0fd4544p-10, 0x1.3fe5031e1f924p-10, 0x1.384525237f549p-10, 0x1.30e0b45b20361p-10, 0x1.29b5ebc7467edp-10, 0x1.22c3110757ee6p-10, 0x1.1c06742df4286p-10, 0x1.157e6f9724c6bp-10, 0x1.0f2967beaab12p-10, 0x1.0905cb16643a2p-10, 0x1.031211dcdd3aep-10, 0x1.fa997be80a40bp-11, 0x1.ef68b5701c959p-11, 0x1.e48ef9ad04758p-11, 0x1.da09844b10984p-11, 0x1.cfd5a2f6c7721p-11, 0x1.c5f0b50c5cd25p-11, 0x1.bc582b47a408ap-11, 0x1.b309877486e51p-11, 0x1.aa025c2007e1dp-11, 0x1.a1404c49d469dp-11, 0x1.98c10b166dff2p-11, 0x1.90825b81ef334p-11, 0x1.8882101370bb3p-11, 0x1.80be0a9115976p-11, 0x1.79343bb4c13fbp-11, 0x1.71e2a2e17b6bfp-11, 0x1.6ac74dd9883adp-11, 0x1.63e0587536be9p-11, 0x1.5d2bec5a69fc1p-11, 0x1.56a840b4de645p-11, 0x1.505399ef33357p-11, 0x1.4a2c496cb54ap-11, 0x1.4430ad43f1ddfp-11, 0x1.3e5f2ffa11f61p-11, 0x1.38b6483f0324ep-11, 0x1.333478aa6c8c7p-11, 0x1.2dd84f79749e1p-11, 0x1.28a0664d5797dp-11, 0x1.238b61ead37acp-11, 0x1.1e97f1fa66c5bp-11, 0x1.19c4d0c965c8ap-11, 0x1.1510c30be7eb2p-11, 0x1.107a979f8c37bp-11, 0x1.0c01274f1854bp-11, 0x1.07a35496eefbbp-11, 0x1.03600b6a62e5p-11, 0x1.fe6c81f3c4a47p-12, 0x1.f649e6f4005ap-12, 0x1.ee5653d6a862dp-12, 0x1.e68fe7c675661p-12, 0x1.def4d2aad5827p-12, 0x1.d78354bcd5177p-12, 0x1.d039be1db7e7bp-12, 0x1.c9166e6f4787dp-12, 0x1.c217d46dd37f4p-12, 0x1.bb3c6d8be402ap-12, 0x1.b482c58f996b8p-12, 0x1.ade97631be4ap-12, 0x1.a76f26be81b2bp-12, 0x1.a1128bb7dc0aap-12, 0x1.9ad266799d6abp-12, 0x1.94ad84df21185p-12, 0x1.8ea2c0eaa2079p-12, 0x1.88b1006e31bf6p-12, 0x1.82d734b64c382p-12, 0x1.7d145a36051bdp-12, 0x1.77677834ce65dp-12, 0x1.71cfa07dd12f3p-12, 0x1.6c4bef10da006p-12, 0x1.66db89d4d1011p-12, 0x1.617da04bbc382p-12, 0x1.5c316b4848426p-12, 0x1.56f62ca4d70c2p-12, 0x1.51cb2efc0864fp-12, 0x1.4cafc562c248p-12, 0x1.47a34b23ae0aep-12, 0x1.42a5237c29fe4p-12, }}, 
      {{0x1.fe9cfaad324edp-1, 0x1.fe490636f0424p-1, 0x1.fdbd395ae3063p-1, 0x1.fcf9c3b852fa5p-1, 0x1.fbfee781c69a8p-1, 0x1.faccf90a94de3p-1, 0x1.f9645e3bf94bbp-1, 0x1.f7c58df5f116p-1, 0x1.f5f10f5ff5243p-1, 0x1.f3e7792d4c44bp-1, 0x1.f1a970d84e11cp-1, 0x1.ef37a9d788209p-1, 0x1.ec92e4cf50d6ep-1, 0x1.e9bbeec1fd7bcp-1, 0x1.e6b3a0409568ep-1, 0x1.e37adc9d917aep-1, 0x1.e0129122f5c92p-1, 0x1.dc7bb44ccb538p-1, 0x1.d8b74508d2b27p-1, 0x1.d4c649fc0fdeep-1, 0x1.d0a9d0cea8754p-1, 0x1.cc62ed7e6adffp-1, 0x1.c7f2b9b831a58p-1, 0x1.c35a54384284ap-1, 0x1.be9ae031ae35fp-1, 0x1.b9b584bca957bp-1, 0x1.b4ab6c4bc7353p-1, 0x1.af7dc427f4fd4p-1, 0x1.aa2dbbf30b2e1p-1, 0x1.a4bc8530c7b2ap-1, 0x1.9f2b52d5f8651p-1, 0x1.997b58dda39b8p-1, 0x1.93adcbe3eef85p-1, 0x1.8dc3e0c68df6cp-1, 0x1.87becc4a7a9fp-1, 0x1.819fc2c6bb41ap-1, 0x1.7b67f7d3fabacp-1, 0x1.75189e00b8161p-1, 0x1.6eb2e689d233fp-1, 0x1.68380117375c6p-1, 0x1.61a91b7c84316p-1, 0x1.5b07617d56308p-1, 0x1.5453fc9524e73p-1, 0x1.4d9013c26dbc7p-1, 0x1.46bccb5501b5fp-1, 0x1.3fdb44bf4ba9ap-1, 0x1.38ec9e6a63c17p-1, 0x1.31f1f38cc650dp-1, 0x1.2aec5c038d385p-1, 0x1.23dcec2e0604ap-1, 0x1.1cc4b4cb851e2p-1, 0x1.15a4c2db5b351p-1, 0x1.0e7e1f7ecde98p-1, 0x1.0751cfdcfe58ep-1, 0x1.0020d508a562dp-1, 0x1.f1d857cf210d8p-2, 0x1.e3699a379cda5p-2, 0x1.d4f759dcf1b65p-2, 0x1.c68376781b1aep-2, 0x1.b80fc6c49190bp-2, 0x1.a99e185ee8675p-2, 0x1.9b302fa63c434p-2, 0x1.8cc7c7a064708p-2, 0x1.7e6691e0cec89p-2, 0x1.700e3671f2619p-2, 0x1.61c053c152deap-2, 0x1.537e7e8dfd819p-2, 0x1.454a41d9717c7p-2, 0x1.37251edaeb255p-2, 0x1.29108cf500774p-2, 0x1.1b0df9ad85311p-2, 0x1.0d1ec8a7a41adp-2, 0x1.fe88a74052175p-3, 0x1.e2ffd4d7c8c03p-3, 0x1.c7a5a5f04e014p-3, 0x1.ac7c929a75a41p-3, 0x1.9186ff25b1c31p-3, 0x1.76c73c2d0957bp-3, 0x1.5c3f86a786851p-3, 0x1.41f207fc388eep-3, 0x1.27e0d619b622ep-3, 0x1.0e0df390f5bc1p-3, 0x1.e8f69f66cc447p-4, 0x1.b6558d68496efp-4, 0x1.843c43985a26cp-4, 0x1.52ae2ec2d618fp-4, 0x1.21ae96611044cp-4, 0x1.e28139e555497p-5, 0x1.82ce80b6c86ffp-5, 0x1.244ab48b3abp-5, 0x1.8df6822551006p-6, 0x1.ab952cbabd0c2p-7, 0x1.00db1d0df0f7fp-9, -0x1.261bc47dff515p-7, -0x1.43a88fb170a06p-6, -0x1.f1ac7f76ed91ap-6, -0x1.4e89085996c1ap-5, -0x1.a2e91277653ap-5, -0x1.f5f30f07c601dp-5, -0x1.23d1f711d877fp-4, -0x1.4bfc6efeb8202p-4, -0x1.7377a4e804a6ap-4, -0x1.9a426c659b309p-4, -0x1.c05bb67e2c886p-4, -0x1.e5c2911a55bf1p-4, -0x1.053b133b50fbbp-3, -0x1.173ade4a3b1e2p-3, -0x1.28e05a55212adp-3, -0x1.3a2b45497ab0bp-3, -0x1.4b1b6a1e7ac1dp-3, -0x1.5bb0a08c5b6b8p-3, -0x1.6beaccc388a19p-3, -0x1.7bc9df23c25f3p-3, -0x1.8b4dd3f33a608p-3, -0x1.9a76b315c7dacp-3, -0x1.a9448fc439fd4p-3, -0x1.b7b78843d4aaep-3, -0x1.c5cfc59e0741cp-3, -0x1.d38d7b586f085p-3, -0x1.e0f0e72d1c74p-3, -0x1.edfa50c346635p-3, -0x1.faaa096852aacp-3, -0x1.038035e4ac02p-2, -0x1.097eedd687693p-2, -0x1.0f5162d72751ep-2, -0x1.14f7cf7b836b4p-2, -0x1.1a72727de5832p-2, -0x1.1fc18e9bfcb35p-2, -0x1.24e56a753ca51p-2, -0x1.29de50698d50bp-2, -0x1.2eac8e78500f8p-2, -0x1.3350761fbb51fp-2, -0x1.37ca5c3c8f2cdp-2, -0x1.3c1a98ea21ddp-2, -0x1.40418762cfafcp-2, -0x1.443f85e0c4335p-2, -0x1.4814f57f273d6p-2, -0x1.4bc23a1bab946p-2, -0x1.4f47ba3883312p-2, -0x1.52a5dedeb7566p-2, -0x1.55dd1380e8034p-2, -0x1.58edc5de73306p-2, -0x1.5bd865e707ce3p-2, -0x1.5e9d659e9d79dp-2, -0x1.613d3901de1b4p-2, -0x1.63b855eaf5fc9p-2, -0x1.660f33f6d3973p-2, -0x1.68424c6ad4031p-2, -0x1.6a521a1ade3a1p-2, -0x1.6c3f194fea8cep-2, -0x1.6e09c7aefd528p-2, -0x1.6fb2a4208d57fp-2, -0x1.713a2eb85d8bp-2, -0x1.72a0e89dc3b6dp-2, -0x1.73e753f4627b7p-2, -0x1.750df3c552fbp-2, -0x1.76154be8bf1ep-2, -0x1.76fde0efeea1ap-2, -0x1.77c8380fc2facp-2, -0x1.7874d70ba602dp-2, -0x1.79044420e93bdp-2, -0x1.797705f2961bcp-2, -0x1.79cda375aeefcp-2, -0x1.7a08a3dde3695p-2, -0x1.7a288e8aaf9b4p-2, -0x1.7a2deaf4f3074p-2, -0x1.7a19409cf058p-2, -0x1.79eb16f8c3da8p-2, -0x1.79a3f56342a3ep-2, -0x1.7944630b4dd2dp-2, -0x1.78cce6e392e3dp-2, -0x1.783e0792b7547p-2, -0x1.77984b63f7825p-2, -0x1.76dc38382b91ep-2, -0x1.760a53773eaf7p-2, -0x1.75232202104dfp-2, -0x1.74272824bcc05p-2, -0x1.7316e98955f9bp-2, -0x1.71f2e92b02c6ap-2, -0x1.70bba94986b31p-2, -0x1.6f71ab5d337dcp-2, -0x1.6e15700b4094ap-2, -0x1.6ca7771a8899cp-2, -0x1.6b283f68aeb43p-2, -0x1.699846dfa4314p-2, -0x1.67f80a6b96d2ep-2, -0x1.664805f13dac3p-2, -0x1.6488b44488126p-2, -0x1.62ba8f1faf111p-2, -0x1.60de0f1aa41cp-2, -0x1.5ef3aba2dec08p-2, -0x1.5cfbdaf387935p-2, -0x1.5af7120dff7bp-2, -0x1.58e5c4b2bef01p-2, -0x1.56c8655a93cbdp-2, -0x1.549f65303317fp-2, -0x1.526b340a23451p-2, -0x1.502c4064fd05p-2, -0x1.4de2f75dfe63ap-2, -0x1.4b8fc4adf5651p-2, -0x1.493312a476b9fp-2, -0x1.46cd4a2368749p-2, -0x1.445ed29adc587p-2, -0x1.41e8120536403p-2, -0x1.3f696ce39f0a2p-2, -0x1.3ce3463ac32a1p-2, -0x1.3a55ff8fdaadfp-2, -0x1.37c1f8e5f8113p-2, -0x1.352790bba083p-2, -0x1.32872408a7763p-2, -0x1.2fe10e3c4bb9cp-2, -0x1.2d35a93b9d92ep-2, -0x1.2a854d601ee4ep-2, -0x1.27d05176a551dp-2, -0x1.25170abe7c91p-2, -0x1.2259cce8c1115p-2, -0x1.1f98ea17f90f1p-2, -0x1.1cd4b2dfe5145p-2, -0x1.1a0d76458a165p-2, -0x1.174381bf713b5p-2, -0x1.147721361d47cp-2, -0x1.11a89f04b29fep-2, -0x1.0ed843f9d2be4p-2, -0x1.0c065758aa3d9p-2, -0x1.09331eda28ab7p-2, -0x1.065edeae6c4p-2, -0x1.0389d97e56ed7p-2, -0x1.00b4506d4e892p-2, -0x1.fbbd063651dfcp-3, -0x1.f6115f4c7a375p-3, -0x1.f066255b3a408p-3, -0x1.eabbcea6ecd64p-3, -0x1.e512ce7f28a33p-3, -0x1.df6b95440b9b9p-3, -0x1.d9c6906bcb14p-3, -0x1.d4242a88840dbp-3, -0x1.ce84cb4e47536p-3, -0x1.c8e8d79962479p-3, -0x1.c350b174dffe2p-3, -0x1.bdbcb8213e3b8p-3, -0x1.b82d481b5ba11p-3, -0x1.b2a2bb2390f2bp-3, -0x1.ad1d6844f81ap-3, -0x1.a79da3dcea94p-3, -0x1.a223bfa29a41ep-3, -0x1.9cb00aaedf00dp-3, -0x1.9742d1842148dp-3, -0x1.91dc5e166b7efp-3, -0x1.8c7cf7d39cb52p-3, -0x1.8724e3abb8704p-3, -0x1.81d4641955382p-3, -0x1.7c8bb92a22056p-3, -0x1.774b20878a79cp-3, -0x1.7212d57f6aec5p-3, -0x1.6ce3110ce09ccp-3, -0x1.67bc09e122b12p-3, -0x1.629df46c791d4p-3, -0x1.5d8902e7362c1p-3, -0x1.587d655ac5268p-3, -0x1.537b49aac1c5ap-3, -0x1.4e82db9e1b14p-3, -0x1.499444e83e3a5p-3, -0x1.44afad3243eebp-3, -0x1.3fd53a242b164p-3, -0x1.3b050f6e10c32p-3, -0x1.363f4ed16bb6dp-3, -0x1.3184182a47e53p-3, -0x1.2cd38978857b6p-3, -0x1.282dbee90ffcbp-3, -0x1.2392d2df1721ep-3, -0x1.1f02ddfd3c486p-3, -0x1.1a7df72ec529ap-3, -0x1.160433b0b8942p-3, -0x1.1195a71b030f4p-3, -0x1.0d32636984a0dp-3, -0x1.08da79051bee9p-3, -0x1.048df6cca42e4p-3, -0x1.004cea1de3406p-3, -0x1.f82ebdbce507ap-4, -0x1.efdabf091c4f3p-4, -0x1.e79dea3fbe69bp-4, -0x1.df784ec460fa8p-4, -0x1.d769f95025a4dp-4, -0x1.cf72f402e4937p-4, -0x1.c79346742941fp-4, -0x1.bfcaf5c416a61p-4, -0x1.b81a04ac0f87ep-4, -0x1.b080738f4f054p-4, -0x1.a8fe408b3c792p-4, -0x1.a1936787af8d6p-4, -0x1.9a3fe246ec2c5p-4, -0x1.9303a87589dccp-4, -0x1.8bdeafba18f83p-4, -0x1.84d0ebc4a7292p-4, -0x1.7dda4e5e0b42ep-4, -0x1.76fac77702a8ap-4, -0x1.703245371d71fp-4, -0x1.6980b40b77b7fp-4, -0x1.62e5feb53fb15p-4, -0x1.5c620e58086f5p-4, -0x1.55f4ca87e801ap-4, -0x1.4f9e1957620ddp-4, -0x1.495ddf651b57ap-4, -0x1.4333ffe959e99p-4, -0x1.3d205cc34e5b6p-4, -0x1.3722d68626346p-4, -0x1.313b4c85ea0ebp-4, -0x1.2b699ce422609p-4, -0x1.25ada49c47d8bp-4, -0x1.20073f8ffb6f9p-4, -0x1.1a764893073b2p-4, -0x1.14fa997729f47p-4, -0x1.0f940b17a8cap-4, -0x1.0a427564abe38p-4, -0x1.0505af6e63221p-4, -0x1.ffbb1edfe8527p-5, -0x1.f593d5b46257p-5, -0x1.eb952cbc31a66p-5, -0x1.e1becbee4052fp-5, -0x1.d81059ea8b33fp-5, -0x1.ce897c0ddadacp-5, -0x1.c529d68512fa4p-5, -0x1.bbf10c601353ep-5, -0x1.b2debfa430d93p-5, -0x1.a9f2915e42154p-5, -0x1.a12c21b4447efp-5, -0x1.988b0ff696d57p-5, -0x1.900efab0cd73dp-5, -0x1.87b77fba1e7f1p-5, -0x1.7f843c4566fd8p-5, -0x1.7774ccf0cd699p-5, -0x1.6f88cdd4fb6b6p-5, -0x1.67bfda93f8ed1p-5, -0x1.60198e67a017ap-5, -0x1.5895842fb250cp-5, -0x1.5133567f8c767p-5, -0x1.49f29fab7ab36p-5, -0x1.42d2f9d5aebbbp-5, -0x1.3bd3fefad872cp-5, -0x1.34f548fe62086p-5, -0x1.2e3671b65202cp-5, -0x1.279712f6d11a6p-5, -0x1.2116c69d5ba48p-5, -0x1.1ab5269b96ce1p-5, -0x1.1471cd01d2749p-5, -0x1.0e4c540934707p-5, -0x1.0844561d91e52p-5, -0x1.02596de6f36b7p-5, -0x1.f9166ca59424p-6, -0x1.edb29539a62d4p-6, -0x1.e2868caf5b086p-6, -0x1.d7918aea42b48p-6, -0x1.ccd2c89c36d23p-6, -0x1.c2497f54bbc57p-6, -0x1.b7f4e98fcca87p-6, -0x1.add442c41a82p-6, -0x1.a3e6c770b91dep-6, -0x1.9a2bb52a44154p-6, -0x1.90a24aa775b24p-6, -0x1.8749c7cd3c58dp-6, -0x1.7e216dba48d42p-6, -0x1.75287ed21f623p-6, -0x1.6c5e3ec7a30c3p-6, -0x1.63c1f2a72c2eep-6, -0x1.5b52e0e020595p-6, -0x1.5310514e155b1p-6, -0x1.4af98d417d66ep-6, -0x1.430ddf87e78aap-6, -0x1.3b4c9473c44e5p-6, -0x1.33b4f9e3ccbcp-6, -0x1.2c465f49eef63p-6, -0x1.250015b1e0bc5p-6, -0x1.1de16fc740a3cp-6, -0x1.16e9c1db5d3e7p-6, -0x1.101861ea92b42p-6, -0x1.096ca7a14fb1p-6, -0x1.02e5ec60bd71cp-6, -0x1.f90716861308bp-7, -0x1.ec89c23ebbcf1p-7, -0x1.e052991afb60fp-7, -0x1.d4605bd225bf2p-7, -0x1.c8b1cea95529ap-7, -0x1.bd45b978bc76cp-7, -0x1.b21ae7b06f7d3p-7, -0x1.a730285c883d8p-7, -0x1.9c844e28c0b6ap-7, -0x1.92162f6382ce3p-7, -0x1.87e4a6006a13fp-7, -0x1.7dee8f9a48436p-7, -0x1.7432cd74a1418p-7, -0x1.6ab0447cb0e27p-7, -0x1.6165dd49f204fp-7, -0x1.5852841e3c209p-7, -0x1.4f7528e55f594p-7, -0x1.46ccbf3460bb3p-7, -0x1.3e583e4847b4p-7, -0x1.3616a10484f34p-7, -0x1.2e06e5f0f7c2bp-7, -0x1.26280f37945f1p-7, -0x1.1e7922a1ad01fp-7, -0x1.16f92994e4a6p-7, -0x1.0fa7310fcb854p-7, -0x1.088249a6291f1p-7, -0x1.0189877cf91d8p-7, -0x1.f578048c35178p-8, -0x1.e831aa77715abp-8, -0x1.db3e3e36d81e3p-8, -0x1.ce9c0442344d5p-8, -0x1.c249480329d19p-8, -0x1.b6445bc9f9763p-8, -0x1.aa8b98c1d23c6p-8, -0x1.9f1d5ee4b067dp-8, -0x1.93f814eed5864p-8, -0x1.891a2851d8e2p-8, -0x1.7e820d275ac95p-8, -0x1.742e3e235a628p-8, -0x1.6a1d3c8635ee9p-8, -0x1.604d900e5a8bbp-8, -0x1.56bdc6e9a5ff6p-8, -0x1.4d6c75a6802ap-8, -0x1.44583724afcbfp-8, -0x1.3b7fac85f03ebp-8, -0x1.32e17d1e4b80bp-8, -0x1.2a7c56643a45ep-8, -0x1.224eebe0939e7p-8, -0x1.1a57f71e4962bp-8, -0x1.12963799f9d66p-8, -0x1.0b0872b1587bep-8, -0x1.03ad739271773p-8, -0x1.f90816559655p-9, -0x1.eb16202cd0984p-9, -0x1.dd82bd1d62fedp-9, -0x1.d04bb0b286bp-9, -0x1.c36ec96d54b2ep-9, -0x1.b6e9e0a214d54p-9, -0x1.aabada556ebc4p-9, -0x1.9edfa51987d11p-9, -0x1.935639eb02c77p-9, -0x1.881c9c0dfb33ap-9, -0x1.7d30d8eaf0ccbp-9, -0x1.729107ebb18e8p-9, -0x1.683b4a58407b8p-9, -0x1.5e2dcb33c55ffp-9, -0x1.5466bf1982c65p-9, -0x1.4ae46419d8dedp-9, -0x1.41a501975afa4p-9, -0x1.38a6e823f9d97p-9, -0x1.2fe8715e46315p-9, -0x1.2767ffced1059p-9, -0x1.1f23fec5aaf9p-9, -0x1.171ae2380715cp-9, -0x1.0f4b269e058d4p-9, -0x1.07b350d0a790fp-9, -0x1.0051ede7edf37p-9, -0x1.f24b263256088p-10, -0x1.e459bb2b064adp-10, -0x1.d6cce4d14a37cp-10, -0x1.c9a1fcaf6d766p-10, -0x1.bcd66b80fcbaap-10, -0x1.b067a8f18b8c9p-10, -0x1.a4533b5bfb8a3p-10, -0x1.9896b78a3c21fp-10, -0x1.8d2fc07593a91p-10, -0x1.821c070770ae2p-10, -0x1.775949dac5c7ep-10, -0x1.6ce554fded9fbp-10, -0x1.62be01b52c9c8p-10, -0x1.58e1363db8893p-10, -0x1.4f4ce591637c3p-10, -0x1.45ff0f2ad91d2p-10, -0x1.3cf5beca798aep-10, -0x1.342f0c3bd1e17p-10, -0x1.2ba91b1bb801cp-10, -0x1.23621a9f01b8fp-10, -0x1.1b584559e3aap-10, -0x1.1389e107fa3a4p-10, -0x1.0bf53e54ea7cep-10, -0x1.0498b8a5beeb7p-10, -0x1.fae56bc5b058bp-11, -0x1.ed034c8531f36p-11, -0x1.df88082966112p-11, -0x1.d270a71c46b5ep-11, -0x1.c5ba452bb369p-11, -0x1.b96211241aac3p-11, -0x1.ad654c6c7d52fp-11, -0x1.a1c14aa3cd4d9p-11, -0x1.9673713fa7755p-11, -0x1.8b79372c69ecp-11, -0x1.80d0246ea57cdp-11, -0x1.7675d1c5e98a2p-11, -0x1.6c67e850ee5cap-11, -0x1.62a42133157ecp-11, -0x1.5928453b48b36p-11, -0x1.4ff22c8c2e4bcp-11, -0x1.46ffbe45b7975p-11, -0x1.3e4ef0300646bp-11, -0x1.35ddc667a5d41p-11, -0x1.2daa530b1af87p-11, -0x1.25b2b5e9c4e54p-11, -0x1.1df51c340ee9dp-11, -0x1.166fc02cf2bd4p-11, -0x1.0f20e8dcc5597p-11, -0x1.0806e9c552accp-11, -0x1.012022973e028p-11, -0x1.f4d5fdd15adc8p-12, -0x1.e7cbebda6bbf1p-12, -0x1.db1f145e17d66p-12, -0x1.cecc9292e511fp-12, -0x1.c2d19748cf173p-12, -0x1.b72b686313189p-12, -0x1.abd760546bdfcp-12, -0x1.a0d2ed9db7489p-12, -0x1.961b924efd869p-12, -0x1.8baee38ad94ccp-12, -0x1.818a890c3355dp-12, -0x1.77ac3cae54009p-12, -0x1.6e11c9f73e63cp-12, -0x1.64b90da44f729p-12, -0x1.5b9ff5391e7d4p-12, -0x1.52c47e9093592p-12, -0x1.4a24b77032a28p-12, -0x1.41bebd1d8fe25p-12, -0x1.3990bbf5e8beep-12, -0x1.3198ef07dd0ep-12, -0x1.29d59faf3c94dp-12, -0x1.22452532e8a71p-12, -0x1.1ae5e464bc978p-12, -0x1.13b64f43795e3p-12, -0x1.0cb4e49eaff43p-12, -0x1.05e02fbc9eaefp-12, -0x1.fe6d9003f7812p-13, -0x1.f16ea137561f8p-13, -0x1.e4c0f054a1fcap-13, -0x1.d861f0df80a1cp-13, -0x1.cc4f2bfc746b3p-13, -0x1.c0863fd2f606bp-13, -0x1.b504def316436p-13, -0x1.a9c8cfbe99cbbp-13, -0x1.9ecfebd5887a2p-13, -0x1.94181f8617f78p-13, -0x1.899f693fea6e2p-13, -0x1.7f63d90a94b53p-13, -0x1.75638fff5ad84p-13, -0x1.6b9cbfc6148fdp-13, -0x1.620daa152fc4ep-13, -0x1.58b4a034c81b4p-13, -0x1.4f900284b3171p-13, -0x1.469e4005902d7p-13, -0x1.3dddd5e4b6ea8p-13, -0x1.354d4f0b007adp-13, -0x1.2ceb43ae6561cp-13, -0x1.24b658e654588p-13, -0x1.1cad4042bfa1cp-13, -0x1.14ceb765d7cfbp-13, -0x1.0d1987a0555cep-13, -0x1.058c85905db42p-13, -0x1.fc4d2185c2da8p-14, -0x1.edcd26aeece44p-14, -0x1.df97034d2b753p-14, -0x1.d1a8b3d47cd8bp-14, -0x1.c40047d1ca4c6p-14, -0x1.b69be1455eeep-14, -0x1.a979b401c2c28p-14, -0x1.9c98050f0b7d8p-14, -0x1.8ff52a126372cp-14, -0x1.838f88b9cb5f4p-14, -0x1.7765962bf5e5ep-14, -0x1.6b75d67c2807ap-14, -0x1.5fbedc220c36cp-14, -0x1.543f47755f2ap-14, -0x1.48f5c62d6328cp-14, -0x1.3de112e404bbfp-14, -0x1.32fff49c9d7e7p-14, -0x1.28513e4e3dce7p-14, -0x1.1dd3ce716cce8p-14, -0x1.13868e914a2bbp-14, -0x1.096872dffc0b9p-14, -0x1.fef0f39cb28edp-15, -0x1.eb6b574d78a42p-15, -0x1.d83e3455d421fp-15, -0x1.c567c069fab0ap-15, -0x1.b2e642b6889cbp-15, -0x1.a0b8132df882p-15, -0x1.8edb99dbbaad6p-15, -0x1.7d4f4e3cc602ep-15, -0x1.6c11b69d8258dp-15, -0x1.5b21677ceb218p-15, -0x1.4a7d02f4c99aap-15, -0x1.3a233826e5b8fp-15, -0x1.2a12c2af10a14p-15, -0x1.1a4a6a19e7e5dp-15, -0x1.0ac9016032e7cp-15, -0x1.f71acccd7df5dp-16, -0x1.d92d030530dd7p-16, -0x1.bbc68a031448dp-16, -0x1.9ee5596d82f33p-16, -0x1.82877b16fcc5dp-16, -0x1.66ab0a276456fp-16, -0x1.4b4e324cea246p-16, -0x1.306f2ef46b2afp-16, }}, 
      {{0x1.feafa4cdf84f9p-1, 0x1.fe93a70d4b93ap-1, 0x1.fe650684ead3bp-1, 0x1.fe23ccc0ff14bp-1, 0x1.fdd0070dd4153p-1, 0x1.fd69c66719f74p-1, 0x1.fcf11f635d95fp-1, 0x1.fc662a1c3863dp-1, 0x1.fbc90213c41d8p-1, 0x1.fb19c617cec83p-1, 0x1.fa58982343f94p-1, 0x1.f9859d3e3796cp-1, 0x1.f8a0fd5cec3bap-1, 0x1.f7aae33e30b87p-1, 0x1.f6a37c4955c9ap-1, 0x1.f58af86c045bp-1, 0x1.f46189f825633p-1, 0x1.f32765820e22dp-1, 0x1.f1dcc1bf193d6p-1, 0x1.f081d764c9ebep-1, 0x1.ef16e1089b964p-1, 0x1.ed9c1b008b769p-1, 0x1.ec11c344759p-1, 0x1.ea7819504c022p-1, 0x1.e8cf5e0737e5fp-1, 0x1.e717d397a5768p-1, 0x1.e551bd6043377p-1, 0x1.e37d5fd5f451ap-1, 0x1.e19b006ab6266p-1, 0x1.dfaae57579c17p-1, 0x1.ddad561aeaca3p-1, 0x1.dba29a37249b8p-1, 0x1.d98afa484c7f9p-1, 0x1.d766bf5a10663p-1, 0x1.d53632f1ffbf6p-1, 0x1.d2f99efcbdd21p-1, 0x1.d0b14dbc005c9p-1, 0x1.ce5d89b55b608p-1, 0x1.cbfe9da1cc3f4p-1, 0x1.c994d45e0346p-1, 0x1.c72078db60399p-1, 0x1.c4a1d6119db54p-1, 0x1.c21936f1248abp-1, 0x1.bf86e655fde6cp-1, 0x1.bceb2efb60465p-1, 0x1.ba465b6fd0d9ep-1, 0x1.b798b609d01c3p-1, 0x1.b4e288dd0fa0bp-1, 0x1.b2241db02734ep-1, 0x1.af5dbdf2c721bp-1, 0x1.ac8fb2b46082fp-1, 0x1.a9ba449b3d1c8p-1, 0x1.a6ddbbdc055bap-1, 0x1.a3fa6031ad417p-1, 0x1.a11078d5c2b93p-1, 0x1.9e204c791d201p-1, 0x1.9b2a213ce6f65p-1, 0x1.982e3cabfd536p-1, 0x1.952ce3b4a5557p-1, 0x1.92265aa2912b7p-1, 0x1.8f1ae51931a62p-1, 0x1.8c0ac60e54175p-1, 0x1.88f63fc507e17p-1, 0x1.85dd93c8c8321p-1, 0x1.82c102e8ea918p-1, 0x1.7fa0cd344e188p-1, 0x1.7c7d31f549c3p-1, 0x1.79566fadd73bcp-1, 0x1.762cc413fb3acp-1, 0x1.73006c0e64dd3p-1, 0x1.6fd1a3b147b47p-1, 0x1.6ca0a63b6b0c3p-1, 0x1.696dae13702a8p-1, 0x1.6638f4c54ab2ep-1, 0x1.6302b2ffecb7p-1, 0x1.5fcb209325cbcp-1, 0x1.5c92746daf328p-1, 0x1.5958e49b6a5e5p-1, 0x1.561ea643cb3bap-1, 0x1.52e3eda871bf5p-1, 0x1.4fa8ee23ec24ap-1, 0x1.4c6dda28a7206p-1, 0x1.4932e34006527p-1, 0x1.45f83a09a44cp-1, 0x1.42be0e3abd077p-1, 0x1.3f848e9dbbc69p-1, 0x1.3c4be911f0872p-1, 0x1.39144a8b6a301p-1, 0x1.35dddf12f1824p-1, 0x1.32a8d1c62a155p-1, 0x1.2f754cd7d21cdp-1, 0x1.2c437990232a2p-1, 0x1.2913804d5341cp-1, 0x1.25e58884324e6p-1, 0x1.22b9b8c0e7063p-1, 0x1.1f9036a7c634p-1, 0x1.1c6926f6465dcp-1, 0x1.1944ad840d96cp-1, 0x1.1622ed4417f26p-1, 0x1.13040845f6988p-1, 0x1.0fe81fb726d14p-1, 0x1.0ccf53e47df5ap-1, 0x1.09b9c43bab5cep-1, 0x1.06a78f4cd00fbp-1, 0x1.0398d2cc27da5p-1, 0x1.008dab93c5b8ap-1, 0x1.fb0c6b4ac5768p-2, 0x1.f50518587ad55p-2, 0x1.ef0592fe0eeabp-2, 0x1.e90e0e43cc1e7p-2, 0x1.e31ebb90f7fbbp-2, 0x1.dd37cab00b5a2p-2, 0x1.d75969d2fde0dp-2, 0x1.d183c597aa9afp-2, 0x1.cbb7090c4cbcap-2, 0x1.c5f35db40fc24p-2, 0x1.c038eb8bb43aep-2, 0x1.ba87d90e43877p-2, 0x1.b4e04b39da072p-2, 0x1.af4265947b626p-2, 0x1.a9ae4a30f71aep-2, 0x1.a42419b3db9f5p-2, 0x1.9ea3f358737cep-2, 0x1.992df4f5cbccbp-2, 0x1.93c23b03ca069p-2, 0x1.8e60e0a041d32p-2, 0x1.8909ff941ab38p-2, 0x1.83bdb058776b2p-2, 0x1.7e7c0a1be3924p-2, 0x1.794522c786dfbp-2, 0x1.74190f045d494p-2, 0x1.6ef7e2406dd25p-2, 0x1.69e1aeb409451p-2, 0x1.64d6856706b8dp-2, 0x1.5fd67635ff374p-2, 0x1.5ae18fd78e37cp-2, 0x1.55f7dfe18e25ep-2, 0x1.511972ce51d38p-2, 0x1.4c465401e01dfp-2, 0x1.477e8dcf29db5p-2, 0x1.42c2297d3bd2bp-2, 0x1.3e112f4c6fd33p-2, 0x1.396ba67b9813p-2, 0x1.34d1954d2233bp-2, 0x1.3043010c3c089p-2, 0x1.2bbfee11eababp-2, 0x1.27485fca217cbp-2, 0x1.22dc58b8cd3f5p-2, 0x1.1e7bda7edc71p-2, 0x1.1a26e5df3d108p-2, 0x1.15dd7ac3d2d4ap-2, 0x1.119f984266bb6p-2, 0x1.0d6d3ca18ab8fp-2, 0x1.0946655d78908p-2, 0x1.052b0f2ce299ep-2, 0x1.011b3605bf402p-2, 0x1.fa2daa440e9d5p-3, 0x1.f23bce08d6e48p-3, 0x1.ea60caf9ff397p-3, 0x1.e29c935bb42ffp-3, 0x1.daef181f52b9ap-3, 0x1.d35848ec7c12dp-3, 0x1.cbd8142a110fcp-3, 0x1.c46e67071aefcp-3, 0x1.bd1b2d8394869p-3, 0x1.b5de52792634p-3, 0x1.aeb7bfa3bf8d5p-3, 0x1.a7a75daa1ccb9p-3, 0x1.a0ad1426355b5p-3, 0x1.99c8c9ad8e468p-3, 0x1.92fa63d9723b3p-3, 0x1.8c41c74f13941p-3, 0x1.859ed7c78eb78p-3, 0x1.7f117817dbbf8p-3, 0x1.78998a38988c8p-3, 0x1.7236ef4dc84aap-3, 0x1.6be987ae661ap-3, 0x1.65b132ebeeebdp-3, 0x1.5f8dcfd9c207bp-3, 0x1.597f3c946f187p-3, 0x1.53855688e48ep-3, 0x1.4d9ffa7b88025p-3, 0x1.47cf048f29ac5p-3, 0x1.4212504be71c9p-3, 0x1.3c69b8a5ed6e7p-3, 0x1.36d518041bce9p-3, 0x1.315448469388ap-3, 0x1.2be722cd25c7p-3, 0x1.268d807da7d05p-3, 0x1.214739ca2ce1ep-3, 0x1.1c1426b71f7dap-3, 0x1.16f41ee1467dep-3, 0x1.11e6f983ab5f2p-3, 0x1.0cec8d7d61c0ep-3, 0x1.0804b1573807ap-3, 0x1.032f3b494cba6p-3, 0x1.fcd8028104e6ap-4, 0x1.f375b1c7c9b89p-4, 0x1.ea372f33c5232p-4, 0x1.e11c251af72aap-4, 0x1.d8243d6695a2dp-4, 0x1.cf4f219cec2e1p-4, 0x1.c69c7aeb13c6ap-4, 0x1.be0bf22e692ffp-4, 0x1.b59d2ffdcea1ap-4, 0x1.ad4fdcb2c1779p-4, 0x1.a523a07235d3ap-4, 0x1.9d18233542cp-4, 0x1.952d0cd193bc9p-4, 0x1.8d620501b14edp-4, 0x1.85b6b36d1091dp-4, 0x1.7e2abfaff2ed2p-4, 0x1.76bdd163137a9p-4, 0x1.6f6f902323b15p-4, 0x1.683fa39817b0cp-4, 0x1.612db37c4148p-4, 0x1.5a3967a33babep-4, 0x1.53626800a8339p-4, 0x1.4ca85caebb961p-4, 0x1.460aedf49c2e7p-4, 0x1.3f89c44c9472bp-4, 0x1.3924886a15635p-4, 0x1.32dae33f8d879p-4, 0x1.2cac7e0413edfp-4, 0x1.26990238e5cap-4, 0x1.20a019aeba336p-4, 0x1.1ac16e8aea44p-4, 0x1.14fcab4c6f2a6p-4, 0x1.0f517ad0b6e4dp-4, 0x1.09bf88584f1dfp-4, 0x1.04467f8b6846dp-4, 0x1.fdcc18fc5fc29p-5, 0x1.f33bb76a08dfap-5, 0x1.e8db345101df1p-5, 0x1.dea9ea92c71b3p-5, 0x1.d4a736089d136p-5, 0x1.cad2738ac3bb5p-5, 0x1.c12b00f7674acp-5, 0x1.b7b03d3943ffp-5, 0x1.ae61884e0540dp-5, 0x1.a53e434c5f202p-5, 0x1.9c45d069e2d9p-5, 0x1.93779300907f9p-5, 0x1.8ad2ef94262c6p-5, 0x1.82574bd730e14p-5, 0x1.7a040eafd7c4dp-5, 0x1.71d8a03c71886p-5, 0x1.69d469d7d3c9cp-5, 0x1.61f6d61d6becp-5, 0x1.5a3f50ed1c1f9p-5, 0x1.52ad476edcf49p-5, 0x1.4b40281626a19p-5, 0x1.43f762a525837p-5, 0x1.3cd2682fb3811p-5, 0x1.35d0ab1e21ef8p-5, 0x1.2ef19f2fca764p-5, 0x1.2834b97d6fcp-5, 0x1.2199707b6ce91p-5, 0x1.1b1f3bfbb18f3p-5, 0x1.14c5952f918c7p-5, 0x1.0e8bf6a963ca6p-5, 0x1.0871dc5df573ap-5, 0x1.0276c3a5d12b2p-5, 0x1.f934567cb1bf2p-6, 0x1.edb726956f06p-6, 0x1.e274faa95497fp-6, 0x1.d76cd89a3f7c3p-6, 0x1.cc9dc91964ea3p-6, 0x1.c206d7a7f6f38p-6, 0x1.b7a7129784eb5p-6, 0x1.ad7d8b0a0f1abp-6, 0x1.a38954f1d84efp-6, 0x1.99c98710f271fp-6, 0x1.903d3af88b19ap-6, 0x1.86e38d07f1b8cp-6, 0x1.7dbb9c6b6c8dap-6, 0x1.74c48b1ac2f9dp-6, 0x1.6bfd7dd79968p-6, 0x1.63659c2b8e917p-6, 0x1.5afc10662293dp-6, 0x1.52c0079a6d79cp-6, 0x1.4ab0b19c9edf9p-6, 0x1.42cd40ff4aedep-6, 0x1.3b14eb108fec6p-6, 0x1.3386e7d7016c1p-6, 0x1.2c22720e7313ap-6, 0x1.24e6c72492dd1p-6, 0x1.1dd327355a83ap-6, 0x1.16e6d50759897p-6, 0x1.10211607dcc1fp-6, 0x1.09813246eba3fp-6, 0x1.0306747328c17p-6, 0x1.f96053ab1718p-7, 0x1.ecfb4499fd4ep-7, 0x1.e0dc6093b4adfp-7, 0x1.d502519293a87p-7, 0x1.c96bc6a113d3fp-7, 0x1.be1773d03033bp-7, 0x1.b304122d7d215p-7, 0x1.a8305fb9213f1p-7, 0x1.9d9b1f5b961f7p-7, 0x1.934318db42ec8p-7, 0x1.892718d1ea061p-7, 0x1.7f45f0a1f4d91p-7, 0x1.759e766b99b6fp-7, 0x1.6c2f8501e14efp-7, 0x1.62f7fbdf88f77p-7, 0x1.59f6bf1bce735p-7, 0x1.512ab75f171f7p-7, 0x1.4892d1d7836c5p-7, 0x1.402e002d6eebcp-7, 0x1.37fb3877d023fp-7, 0x1.2ff975308ed03p-7, 0x1.2827b528c40ap-7, 0x1.2084fb7cea65dp-7, 0x1.19104f8901ae4p-7, 0x1.11c8bcdca48b7p-7, 0x1.0aad532f14bd7p-7, 0x1.03bd26533d33ap-7, 0x1.f9ee9c575a371p-8, 0x1.ecb5cd3d18eb2p-8, 0x1.dfce1f131853p-8, 0x1.d335d96ba723bp-8, 0x1.c6eb4b97d595fp-8, 0x1.baeccc8f4c8cdp-8, 0x1.af38bad8242bap-8, 0x1.a3cd7c6ebeedcp-8, 0x1.98a97eadac571p-8, 0x1.8dcb363595372p-8, 0x1.83311ed530a55p-8, 0x1.78d9bb7149995p-8, 0x1.6ec395ecd325ap-8, 0x1.64ed3f110dde7p-8, 0x1.5b554e75c2143p-8, 0x1.51fa62698f2abp-8, 0x1.48db1fda536d4p-8, 0x1.3ff6323dac17ap-8, 0x1.374a4b79913cep-8, 0x1.2ed623cd0eacp-8, 0x1.269879b91aaaap-8, 0x1.1e9011e98cc6ap-8, 0x1.16bbb71e3625ep-8, 0x1.0f1a3a141cbe1p-8, 0x1.07aa716eda03p-8, 0x1.006b39a21f952p-8, 0x1.f2b6e9b6c61f5p-9, 0x1.e4f415d75f1e3p-9, 0x1.d78bd263451fcp-9, 0x1.ca7c0507233b8p-9, 0x1.bdc29e33b507ap-9, 0x1.b15d98f2c19bcp-9, 0x1.a54afabc6cb4fp-9, 0x1.9988d34ce66d2p-9, 0x1.8e153c7a75058p-9, 0x1.82ee5a0be0141p-9, 0x1.7812598f3a451p-9, 0x1.6d7f72310a3f8p-9, 0x1.6333e493da8f5p-9, 0x1.592dfaa828224p-9, 0x1.4f6c0784ba9abp-9, 0x1.45ec673f5e068p-9, 0x1.3cad7ec604bbp-9, 0x1.33adbbb85396ep-9, 0x1.2aeb94418fa7dp-9, 0x1.226586f2fcf77p-9, 0x1.1a1a1a9ea0fccp-9, 0x1.1207de3270932p-9, 0x1.0a2d6893eb284p-9, 0x1.0289587c1cee9p-9, 0x1.f634a8a81ecdbp-10, 0x1.e7be14234ade7p-10, 0x1.d9ac5e29c0104p-10, 0x1.cbfd000b287ffp-10, 0x1.bead816314c98p-10, 0x1.b1bb77d610565p-10, 0x1.a52486cf991a8p-10, 0x1.98e65f40de9aep-10, 0x1.8cfebf606fa39p-10, 0x1.816b726aabe6ep-10, 0x1.762a506316ca3p-10, 0x1.6b393dd685bfep-10, 0x1.60962b9e1cab3p-10, 0x1.563f16a326f17p-10, 0x1.4c3207a3bfb5ap-10, 0x1.426d12f85b41dp-10, 0x1.38ee585a15797p-10, 0x1.2fb402a9df386p-10, 0x1.26bc47b8765c6p-10, 0x1.1e05680f383a7p-10, 0x1.158daeb9b6dc8p-10, 0x1.0d53711029cc2p-10, 0x1.05550e82a82c3p-10, 0x1.fb21e0ca5965cp-11, 0x1.ec0b1378d1d55p-11, 0x1.dd62ae16c29efp-11, 0x1.cf25bc43a16a1p-11, 0x1.c1515bd6a8d81p-11, 0x1.b3e2bc7ebae0ap-11, 0x1.a6d71f63cac39p-11, 0x1.9a2bd6c9ccfe3p-11, 0x1.8dde45b529e2ep-11, 0x1.81ebdf90abd8p-11, 0x1.765227d4edbeap-11, 0x1.6b0eb1b13bff8p-11, 0x1.601f1fb5ee50ep-11, 0x1.55812380304eep-11, 0x1.4b327d6737c4p-11, 0x1.4130fc2ae5432p-11, 0x1.377a7ca3caca2p-11, 0x1.2e0ce9749546fp-11, 0x1.24e63abcd3977p-11, 0x1.1c0475cd1a56fp-11, 0x1.1365acdc7df1ap-11, 0x1.0b07febf60844p-11, 0x1.02e9969f8f402p-11, 0x1.f611576b57736p-12, 0x1.e6c70207b9408p-12, 0x1.d7f0ca238897ap-12, 0x1.c98b63536997ap-12, 0x1.bb93972e43d3bp-12, 0x1.ae0644cc97e6ap-12, 0x1.a0e0604a39f5ap-12, 0x1.941ef24a6fcadp-12, 0x1.87bf177e69108p-12, 0x1.7bbe002e05127p-12, 0x1.7018efc2e6046p-12, 0x1.64cd3c55c1243p-12, 0x1.59d84e3ded115p-12, 0x1.4f379fa31e96fp-12, 0x1.44e8bc1150c0dp-12, 0x1.3ae9400ecf39dp-12, 0x1.3136d8b4597efp-12, 0x1.27cf43475ad84p-12, 0x1.1eb04cd62bd6cp-12, 0x1.15d7d1d65621bp-12, 0x1.0d43bdc4d6f9p-12, 0x1.04f20ac85190cp-12, 0x1.f9c182aa60bc7p-13, 0x1.ea1befa756de2p-13, 0x1.daefa48f51f5cp-13, 0x1.cc3903f4ee917p-13, 0x1.bdf48a4ca866dp-13, 0x1.b01ecd4771ad9p-13, 0x1.a2b47b30d3b39p-13, 0x1.95b25a50783d4p-13, 0x1.8915484f19e4cp-13, 0x1.7cda399ec88ep-13, 0x1.70fe38e671b91p-13, 0x1.657e6670a4971p-13, 0x1.5a57f79d7d2b5p-13, 0x1.4f883657ad758p-13, 0x1.450c808c98f07p-13, 0x1.3ae247a76a12bp-13, 0x1.3107100f22b89p-13, 0x1.277870a78d57ap-13, 0x1.1e34125511b07p-13, 0x1.1537af8346423p-13, 0x1.0c8113ae53391p-13, 0x1.040e1aeefe4dfp-13, 0x1.f7b96312b2934p-14, 0x1.e7d5a6fc368efp-14, 0x1.d86d183ce2be3p-14, 0x1.c97beb44ce45ep-14, 0x1.bafe7183639e1p-14, 0x1.acf1189deec05p-14, 0x1.9f5069aac06f5p-14, 0x1.921908711d5a8p-14, 0x1.8547b2ada07d5p-14, 0x1.78d93f5b21a81p-14, 0x1.6cca9dfffb45p-14, 0x1.6118d5ff9b886p-14, 0x1.55c105f04d0d4p-14, 0x1.4ac062f51e01bp-14, 0x1.4014381bd6096p-14, 0x1.35b9e5bee19d4p-14, 0x1.2baee0eb1fa27p-14, 0x1.21f0b2c97eaap-14, 0x1.187cf80c54694p-14, 0x1.0f5160605c259p-14, 0x1.066bade1489cfp-14, 0x1.fb936923adbe4p-15, 0x1.ead2b3ae9f10ep-15, 0x1.da9127f0c7a08p-15, 0x1.cacad33ea4d87p-15, 0x1.bb7be2be8d8b7p-15, 0x1.aca0a279b740ep-15, 0x1.9e357c736816fp-15, 0x1.9036f7c6307aep-15, 0x1.82a1b7c708aedp-15, 0x1.75727b2e3492ep-15, 0x1.68a61b45cdfcap-15, 0x1.5c398b1dcfc81p-15, 0x1.5029d6c58ba8ep-15, 0x1.4474228a6204p-15, 0x1.3915aa3ba57cbp-15, 0x1.2e0bc073890e3p-15, 0x1.2353cde4facb7p-15, 0x1.18eb50ae4ece3p-15, 0x1.0ecfdbb0a2318p-15, 0x1.04ff15ebd4f2cp-15, 0x1.f6ed73be018f2p-16, 0x1.e46929daaafccp-16, 0x1.d26d0d8e7b739p-16, 0x1.c0f501af642cdp-16, 0x1.affd0b6b48112p-16, 0x1.9f815132c7f6p-16, 0x1.8f7e19abddbbcp-16, 0x1.7fefcaac0e184p-16, 0x1.70d2e83a0a241p-16, 0x1.6224139688765p-16, 0x1.53e00a4c3338fp-16, 0x1.4603a5467d168p-16, 0x1.388bd7ef2c03p-16, 0x1.2b75af5270cbfp-16, 0x1.1ebe51496b035p-16, 0x1.1262fbaae4ab4p-16, 0x1.0661038223c4p-16, 0x1.f56ba8975718p-17, 0x1.debdde6f81898p-17, 0x1.c8b3d4e52b352p-17, 0x1.b348e0e3de239p-17, 0x1.9e787e904cdbcp-17, 0x1.8a3e4ff8b81dbp-17, 0x1.76961bcf868acp-17, 0x1.637bcc2fbaa4bp-17, 0x1.50eb6d6b0a9cp-17, 0x1.3ee12ce15b3d6p-17, 0x1.2d5957e15862bp-17, 0x1.1c505a91f7742p-17, 0x1.0bc2bee49ca38p-17, 0x1.f75a571f5a8a2p-18, 0x1.d818c622ac201p-18, 0x1.b9ba857491c5ap-18, 0x1.9c3983807ce99p-18, 0x1.7f8fe0b0078p-18, 0x1.63b7edadbcc85p-18, 0x1.48ac29b6296a3p-18, 0x1.2e6740f6cfc1cp-18, 0x1.14e40afa992bap-18, 0x1.f83b1246d02bep-19, 0x1.c81dca60d2d09p-19, 0x1.9966dfa19ab7cp-19, 0x1.6c0d3e8511dcap-19, 0x1.40081bf9981f3p-19, 0x1.154ef2cbaa6c3p-19, 0x1.d7b3024f39e03p-20, 0x1.873f8c61914fap-20, 0x1.3933ff5b112f6p-20, 0x1.db029f1dbd96ap-21, 0x1.4831cb7c638bdp-21, 0x1.73b26b98473bp-22, 0x1.7eeb43206bb82p-24, -0x1.5771076ad68e6p-23, -0x1.aedb4a2470b69p-22, -0x1.54efdbb1a3e18p-21, -0x1.ce7b457da0855p-21, -0x1.2213c72ca5514p-20, -0x1.5b05da68cdf05p-20, -0x1.921f0836a31b1p-20, -0x1.c76a2be15036fp-20, -0x1.faf1d32adc2ffp-20, -0x1.16602090021e8p-19, -0x1.2e6fb868e966ep-19, -0x1.45ac8bfae080fp-19, -0x1.5c1b54b69d207p-19, -0x1.71c0abda99c06p-19, -0x1.86a10b9f5caep-19, -0x1.9ac0d0588973bp-19, -0x1.ae24398b29059p-19, -0x1.c0cf6af974326p-19, -0x1.d2c66da481c5fp-19, -0x1.e40d30c429a3dp-19, -0x1.f4a78ab56eb6ep-19, -0x1.024c9cefe2cccp-18, -0x1.09f2f2c8bedb9p-18, -0x1.11488f69d0d28p-18, -0x1.184f309ac9a4fp-18, -0x1.1f0889c856868p-18, -0x1.257644621856p-18, -0x1.2b9a0034e020bp-18, -0x1.317553c157a61p-18, -0x1.3709cc8f2ef07p-18, -0x1.3c58ef7cf353p-18, -0x1.4164390cad33ap-18, -0x1.462d1dad5e48p-18, -0x1.4ab50a0181fe2p-18, -0x1.4efd6322a76a7p-18, -0x1.530786e242201p-18, -0x1.56d4cc07ca748p-18, -0x1.5a66828c45f7ep-18, -0x1.5dbdf3d354f44p-18, -0x1.60dc62e1d35ddp-18, -0x1.63c30c92305d9p-18, -0x1.667327c68720ep-18, -0x1.68ede598969ddp-18, -0x1.6b347187a903ep-18, -0x1.6d47f1a4810afp-18, -0x1.6f2986bb5effp-18, -0x1.70da4c7c32935p-18, -0x1.725b59a109ea6p-18, }}, 
      {{0x1.4238b61f461d6p-7, 0x1.426571450a811p-6, 0x1.e40620adcdaa2p-6, 0x1.4312dbafb21b3p-5, 0x1.947343218d444p-5, 0x1.e632628cbb38bp-5, 0x1.1c2d720352b7bp-4, 0x1.4579e0295f842p-4, 0x1.6f001030e32c5p-4, 0x1.98bfad5860b0dp-4, 0x1.c2b683be21cbcp-4, 0x1.ece0939112011p-4, 0x1.0b9c15a3693d5p-3, 0x1.20db03844450fp-3, 0x1.3628b9e42b223p-3, 0x1.4b803a56884ddp-3, 0x1.60dbf4dc0472cp-3, 0x1.7635db5ce6162p-3, 0x1.8b8774eb5d6c3p-3, 0x1.a0c9f081df221p-3, 0x1.b5f63702f1c8ap-3, 0x1.cb04fc4ee1b43p-3, 0x1.dfeecf50bfc2ap-3, 0x1.f4ac28eed349ep-3, 0x1.049abce9d8672p-2, 0x1.0ec19b8629711p-2, 0x1.18c6f2bea9f2cp-2, 0x1.22a7121ae23c4p-2, 0x1.2c5e5ad4b7d64p-2, 0x1.35e943ef52261p-2, 0x1.3f445dceaa814p-2, 0x1.486c555724428p-2, 0x1.515df69cd7b74p-2, 0x1.5a162f2a52f0ap-2, 0x1.62920fe6848d5p-2, 0x1.6acecea16a9dfp-2, 0x1.72c9c74ee3f83p-2, 0x1.7a807cf6bd3c8p-2, 0x1.81f09a60d543bp-2, 0x1.8917f283cf7dep-2, 0x1.8ff480bc86a4dp-2, 0x1.968468d40973dp-2, 0x1.9cc5f6d9a1a75p-2, 0x1.a2b79ed5f9c42p-2, 0x1.a857fc5c284edp-2, 0x1.ada5d1fd081c5p-2, 0x1.b2a008a0e7b5bp-2, 0x1.b745aecb544e6p-2, 0x1.bb95f7cc54a3p-2, 0x1.bf903ae23514fp-2, 0x1.c333f24ea2eedp-2, 0x1.c680ba618ed37p-2, 0x1.c976507c12145p-2, 0x1.cc14920d3d5e6p-2, 0x1.ce5b7b8a8f216p-2, 0x1.d04b276583947p-2, 0x1.d1e3ccff866e5p-2, 0x1.d325bf9d5f5acp-2, 0x1.d4116d5afc8e9p-2, 0x1.d4a75e20678b6p-2, 0x1.d4e832987f53cp-2, 0x1.d4d4a329fb902p-2, 0x1.d46d7ef32a1c5p-2, 0x1.d3b3aac8af8fbp-2, 0x1.d2a82037903c6p-2, 0x1.d14bec8ab5fcdp-2, 0x1.cfa02fd40e12ap-2, 0x1.cda61bf961d74p-2, 0x1.cb5ef3c4f308dp-2, 0x1.c8cc09f9f1b0fp-2, 0x1.c5eec06cc8924p-2, 0x1.c2c8871f4c6cp-2, 0x1.bf5adb60cda39p-2, 0x1.bba746f20fd8cp-2, 0x1.b7af5f2d28466p-2, 0x1.b374c4314986fp-2, 0x1.aef920127cbe3p-2, 0x1.aa3e260d50831p-2, 0x1.a54591be83b11p-2, 0x1.a011265eb7213p-2, 0x1.9aa2ae022ce2ap-2, 0x1.94fbf8dca0d26p-2, 0x1.8f1edc894f3fap-2, 0x1.890d3357299a7p-2, 0x1.82c8db9955541p-2, 0x1.7c53b6fbfbfa2p-2, 0x1.75afa9dd7e945p-2, 0x1.6ede9aac1c8acp-2, 0x1.67e271481ad69p-2, 0x1.60bd166a798e4p-2, 0x1.597073104b9a6p-2, 0x1.51fe6feab1011p-2, 0x1.4a68f4d38dbcap-2, 0x1.42b1e846f7d5cp-2, 0x1.3adb2ee1732ecp-2, 0x1.32e6aae2f3874p-2, 0x1.2ad63bb6b6beep-2, 0x1.22abbd7fecc9fp-2, 0x1.1a6908ab3937cp-2, 0x1.120ff185049d1p-2, 0x1.09a247d4a0873p-2, 0x1.0121d67c2fe3ep-2, 0x1.f120c63ab5cfep-3, 0x1.dfdf5b8561faep-3, 0x1.ce82e11b83084p-3, 0x1.bd0ebed39e7f2p-3, 0x1.ab864f862c2e1p-3, 0x1.99ece08524e2p-3, 0x1.8845b11c6a1b8p-3, 0x1.7693f21ae5561p-3, 0x1.64dac5642e7f9p-3, 0x1.531d3d8a96718p-3, 0x1.415e5d7156f82p-3, 0x1.2fa117f6cfc62p-3, 0x1.1de84fa67da5dp-3, 0x1.0c36d672988e9p-3, 0x1.f51edaea11252p-4, 0x1.d1e9896f1eadbp-4, 0x1.aed2f605bbea1p-4, 0x1.8be03b68d2b91p-4, 0x1.6916513589745p-4, 0x1.467a0bb07efb5p-4, 0x1.24101b9733058p-4, 0x1.01dd0dfd16f8cp-4, 0x1.bfca9867c0b15p-5, 0x1.7c5a377d4626ap-5, 0x1.39713c9e932b4p-5, 0x1.ee2f4737dfd08p-6, 0x1.6aaa41a7b5c1dp-6, 0x1.d0c4859bb772cp-7, 0x1.9d965be8831fep-8, -0x1.83e02c9adba31p-10, -0x1.2cf6afde198e3p-7, -0x1.1345c17a3bee7p-6, -0x1.8e9122fd7952ap-6, -0x1.0428f4bcbc6d7p-5, -0x1.403e85124b455p-5, -0x1.7b84008d144eap-5, -0x1.b5f467f9ae534p-5, -0x1.ef8afe257634ep-5, -0x1.1421a38b41dc4p-4, -0x1.300c839d2a47bp-4, -0x1.4b842145e78e1p-4, -0x1.66869dd898b7dp-4, -0x1.8112398941022p-4, -0x1.9b2552f48612cp-4, -0x1.b4be66a43cd6bp-4, -0x1.cddc0e90fc75ap-4, -0x1.e67d01a10c531p-4, -0x1.fea01324c861bp-4, -0x1.0b2219286ef94p-3, -0x1.16b434db3b7edp-3, -0x1.2205ef5cd269p-3, -0x1.2d16e88314ea7p-3, -0x1.37e6cd017296p-3, -0x1.42755621fffe9p-3, -0x1.4cc2497e0c08dp-3, -0x1.56cd78b649edap-3, -0x1.6096c12a9dfefp-3, -0x1.6a1e0bb1a8746p-3, -0x1.73634c501d337p-3, -0x1.7c6681f00052ep-3, -0x1.8527b617d56cbp-3, -0x1.8da6fca1cd2d8p-3, -0x1.95e4737310cc1p-3, -0x1.9de0423328c5ap-3, -0x1.a59a9a039a235p-3, -0x1.ad13b537c151bp-3, -0x1.b44bd70d016a6p-3, -0x1.bb434b6344699p-3, -0x1.c1fa6675e795p-3, -0x1.c87184951bfebp-3, -0x1.cea909dfbdc6ep-3, -0x1.d4a161fdb9dcfp-3, -0x1.da5affdafcf8fp-3, -0x1.dfd65d6307f24p-3, -0x1.e513fb3d1e059p-3, -0x1.ea1460892224cp-3, -0x1.eed81a9d2cff5p-3, -0x1.f35fbcc3d9ffdp-3, -0x1.f7abdffb540adp-3, -0x1.fbbd22b53477ap-3, -0x1.ff94289728d3bp-3, -0x1.0198cd1e39d61p-2, -0x1.034b127c242e7p-2, -0x1.04e13d4c8082p-2, -0x1.065ba89620fa8p-2, -0x1.07bab16200ee5p-2, -0x1.08feb69e3f427p-2, -0x1.0a28190195424p-2, -0x1.0b373aef42044p-2, -0x1.0c2c805b794f3p-2, -0x1.0d084eb0493e4p-2, -0x1.0dcb0cb30365cp-2, -0x1.0e75226a26644p-2, -0x1.0f06f903c45afp-2, -0x1.0f80fabc71bd4p-2, -0x1.0fe392c6b3ab4p-2, -0x1.102f2d32f07afp-2, -0x1.106436d7ebac6p-2, -0x1.10831d3bbd034p-2, -0x1.108c4e7d57005p-2, -0x1.1080393e8b241p-2, -0x1.105f4c8e984a9p-2, -0x1.1029f7d53cf81p-2, -0x1.0fe0aabe511b4p-2, -0x1.0f83d525e2ep-2, -0x1.0f13e704dcb93p-2, -0x1.0e91505e2cb9p-2, -0x1.0dfc812c73ce9p-2, -0x1.0d55e9503733p-2, -0x1.0c9df87e95c72p-2, -0x1.0bd51e3083951p-2, -0x1.0afbc99282aa2p-2, -0x1.0a126974e2149p-2, -0x1.09196c3c7aaa4p-2, -0x1.08113fd3ee6e1p-2, -0x1.06fa519d638bfp-2, -0x1.05d50e64c0a16p-2, -0x1.04a1e25262699p-2, -0x1.036138de5083ap-2, -0x1.02137cc3e968ep-2, -0x1.00b917f609883p-2, -0x1.fea4e727507f5p-3, -0x1.fbbfefb9db905p-3, -0x1.f8c4185178b81p-3, -0x1.f5b22db5584e4p-3, -0x1.f28afab2f6a65p-3, -0x1.ef4f480bd8ef7p-3, -0x1.ebffdc642c248p-3, -0x1.e89d7c3238d92p-3, -0x1.e528e9aeb20ccp-3, -0x1.e1a2e4c5d8db2p-3, -0x1.de0c2b096c3eep-3, -0x1.da6577a3686a1p-3, -0x1.d6af8349906e9p-3, -0x1.d2eb0431b7a75p-3, -0x1.cf18ae06d733cp-3, -0x1.cb3931deda686p-3, -0x1.c74d3e3124d83p-3, -0x1.c3557ecdd57c4p-3, -0x1.bf529cd5baa8p-3, -0x1.bb453eb2f0a2cp-3, -0x1.b72e08123492dp-3, -0x1.b30d99dcd69e9p-3, -0x1.aee4923356b25p-3, -0x1.aab38c689cf68p-3, -0x1.a67b20fdd17c9p-3, -0x1.a23be59eca544p-3, -0x1.9df66d1f0e49ap-3, -0x1.99ab47776b686p-3, -0x1.955b01c414f56p-3, -0x1.910626434fe6ep-3, -0x1.8cad3c54a0ab1p-3, -0x1.8850c8787b1c2p-3, -0x1.83f14c5073c29p-3, -0x1.7f8f469fe370cp-3, -0x1.7b2b334d08a71p-3, -0x1.76c58b6296eb7p-3, -0x1.725ec511b6b87p-3, -0x1.6df753b46b74ap-3, -0x1.698fa7d069202p-3, -0x1.65282f1a4901ap-3, -0x1.60c154791aafp-3, -0x1.5c5b800a587bap-3, -0x1.57f71726321a5p-3, -0x1.53947c642c913p-3, -0x1.4f340fa012399p-3, -0x1.4ad62dff38121p-3, -0x1.467b31f60428p-3, -0x1.4223734dc9532p-3, -0x1.3dcf472ada5bfp-3, -0x1.397f0012e9a88p-3, -0x1.3532edf39f72ap-3, -0x1.30eb5e2971f62p-3, -0x1.2ca89b86afc2cp-3, -0x1.286aee5ac7a0cp-3, -0x1.24329c79b6478p-3, -0x1.1fffe943b52c8p-3, -0x1.1bd315ad02d3ap-3, -0x1.17ac6045e44cbp-3, -0x1.138c0542c65b2p-3, -0x1.0f723e8486332p-3, -0x1.0b5f43a0d73d7p-3, -0x1.075349ead0702p-3, -0x1.034e847b9167dp-3, -0x1.fea24875fcbd8p-4, -0x1.f6b6afd13b231p-4, -0x1.eeda9849072eap-4, -0x1.e70e56f0a7eadp-4, -0x1.df523cc0aa199p-4, -0x1.d7a696a925f75p-4, -0x1.d00bada41695cp-4, -0x1.c881c6c7d7ea5p-4, -0x1.c1092359a4dd4p-4, -0x1.b9a200e02fbb1p-4, -0x1.b24c99363e2bep-4, -0x1.ab09229d533cdp-4, -0x1.a3d7cfd0509dcp-4, -0x1.9cb8d0162cfbep-4, -0x1.95ac4f5488ee8p-4, -0x1.8eb276225b1dcp-4, -0x1.87cb69da7f8e2p-4, -0x1.80f74cae42004p-4, -0x1.7a363db7d7123p-4, -0x1.7388590cc39c7p-4, -0x1.6cedb7d02fa71p-4, -0x1.666670452009p-4, -0x1.5ff295e098cf3p-4, -0x1.5992395ba2157p-4, -0x1.534568c52dbbbp-4, -0x1.4d0c2f93de257p-4, -0x1.46e696b7a9c9ap-4, -0x1.40d4a4ab58958p-4, -0x1.3ad65d85dd6cfp-4, -0x1.34ebc30b85cb1p-4, -0x1.2f14d4befed15p-4, -0x1.29518ff231584p-4, -0x1.23a1efd6ed45ep-4, -0x1.1e05ed8f69f6dp-4, -0x1.187d803e942a9p-4, -0x1.13089d182be8ap-4, -0x1.0da73770afe89p-4, -0x1.085940cd156dfp-4, -0x1.031ea8f24b5e4p-4, -0x1.fbeebbe910c51p-5, -0x1.f1c6988cc33d4p-5, -0x1.e7c4bd8f57815p-5, -0x1.dde8fda8456d6p-5, -0x1.d43328a3b1d7ap-5, -0x1.caa30b7edc195p-5, -0x1.c138708414abdp-5, -0x1.b7f31f6642d3bp-5, -0x1.aed2dd5bf1f88p-5, -0x1.a5d76d39e868ep-5, -0x1.9d008f8d489b9p-5, -0x1.944e02b539c19p-5, -0x1.8bbf82fc18b77p-5, -0x1.8354cab02f39fp-5, -0x1.7b0d923bf42eap-5, -0x1.72e9903dd17acp-5, -0x1.6ae8799f71e05p-5, -0x1.630a01ac95779p-5, -0x1.5b4dda296dd49p-5, -0x1.53b3b368806f5p-5, -0x1.4c3b3c60121fep-5, -0x1.44e422bf1991ap-5, -0x1.3dae1301bbd83p-5, -0x1.3698b8854ddfbp-5, -0x1.2fa3bd9be4eb2p-5, -0x1.28cecb9f6e0afp-5, -0x1.22198b044f5a6p-5, -0x1.1b83a36b97987p-5, -0x1.150cbbb4b8f07p-5, -0x1.0eb47a0ed05b1p-5, -0x1.087a84097cc2ap-5, -0x1.025e7ea54373bp-5, -0x1.f8c01cc70cd9fp-6, -0x1.ecfdaeac14e5bp-6, -0x1.e174fa5c22f07p-6, -0x1.d62546960bb1fp-6, -0x1.cb0dd9917a2a2p-6, -0x1.c02df91a9ba61p-6, -0x1.b584eaacfd97fp-6, -0x1.ab11f38d9b231p-6, -0x1.a0d458e41d2f3p-6, -0x1.96cb5fd352a1bp-6, -0x1.8cf64d90dea26p-6, -0x1.8354677c26103p-6, -0x1.79e4f3347685fp-6, -0x1.70a736ae75008p-6, -0x1.679a7848c77d9p-6, -0x1.5ebdfee0117e6p-6, -0x1.561111e22e52cp-6, -0x1.4d92f960c119dp-6, -0x1.4542fe2312054p-6, -0x1.3d2069b73a493p-6, -0x1.352a8682af9acp-6, -0x1.2d609fd21b89bp-6, -0x1.25c201e89c438p-6, -0x1.1e4dfa0e5a575p-6, -0x1.1703d69e85c6cp-6, -0x1.0fe2e714b6deap-6, -0x1.08ea7c19b5a86p-6, -0x1.0219e78fae494p-6, -0x1.f6e0f93bad11p-7, -0x1.e9db1f76fae56p-7, -0x1.dd20ed752a939p-7, -0x1.d0b111a365a99p-7, -0x1.c48a3d4b12312p-7, -0x1.b8ab24a3b9191p-7, -0x1.ad127ee3fd5e5p-7, -0x1.a1bf06518ed6ep-7, -0x1.96af78502c548p-7, -0x1.8be2956fbef72p-7, -0x1.815721797994bp-7, -0x1.770be37c35e86p-7, -0x1.6cffa5d7d5d7p-7, -0x1.63313647e27b5p-7, -0x1.599f65ed510dbp-7, -0x1.50490957815b2p-7, -0x1.472cf88c71271p-7, -0x1.3e4a0f10331a2p-7, -0x1.359f2beba8aecp-7, -0x1.2d2b31b2869p-7, -0x1.24ed0688a835p-7, -0x1.1ce39426b7c85p-7, -0x1.150dc7de311ebp-7, -0x1.0d6a929cc1233p-7, -0x1.05f8e8ef0a745p-7, -0x1.fd6f8605a4dccp-8, -0x1.ef4c395136458p-8, -0x1.e185eaa95e0e5p-8, -0x1.d41aa03f4960ap-8, -0x1.c708678cba439p-8, -0x1.ba4d555303ce8p-8, -0x1.ade785990f399p-8, -0x1.a1d51ba8747d4p-8, -0x1.96144209a952ep-8, -0x1.8aa32a7f569fcp-8, -0x1.7f800e00d5fdp-8, -0x1.74a92cb3e32cbp-8, -0x1.6a1ccde5895ffp-8, -0x1.5fd9400251ecep-8, -0x1.55dcd88dbe988p-8, -0x1.4c25f41914846p-8, -0x1.42b2f639834adp-8, -0x1.3982497da8497p-8, -0x1.30925f627f8ep-8, -0x1.27e1b047bc7bfp-8, -0x1.1f6ebb639eb7p-8, -0x1.173806b63cd97p-8, -0x1.0f3c1efc56b1ep-8, -0x1.077997a1ad0fdp-8, -0x1.ffde1565d2829p-9, -0x1.f136319e3575bp-9, -0x1.e2f8d2319a54ep-9, -0x1.d523524d858e9p-9, -0x1.c7b319e8a0ad9p-9, -0x1.baa59da2d040fp-9, -0x1.adf85ea4a9e3bp-9, -0x1.a1a8ea7e5485fp-9, -0x1.95b4db05e199ep-9, -0x1.8a19d63524c6ap-9, -0x1.7ed58e0714d2dp-9, -0x1.73e5c054c1992p-9, -0x1.694836b1e267bp-9, -0x1.5efac6490add2p-9, -0x1.54fb4fb78f453p-9, -0x1.4b47bee91905p-9, -0x1.41de0af2fada6p-9, -0x1.38bc35ef4ccfp-9, -0x1.2fe04cd7d0711p-9, -0x1.27486760a9b26p-9, -0x1.1ef2a7d2f570ap-9, -0x1.16dd3ae73ec71p-9, -0x1.0f06579fde6b6p-9, -0x1.076c3f2345c69p-9, -0x1.000d3c9642bc8p-9, -0x1.f1cf49ec7722fp-10, -0x1.e3f3ade6d7e05p-10, -0x1.d684759650423p-10, -0x1.c97e844453a77p-10, -0x1.bcdecfbde2579p-10, -0x1.b0a260086d645p-10, -0x1.a4c64f16ef765p-10, -0x1.9947c87f4fe86p-10, -0x1.8e24092ff40cfp-10, -0x1.83585f25b9289p-10, -0x1.78e229222c58dp-10, -0x1.6ebed66235539p-10, -0x1.64ebe65515965p-10, -0x1.5b66e853deef3p-10, -0x1.522d7b595a9cp-10, -0x1.493d4dba64619p-10, -0x1.40941cdeccbe7p-10, -0x1.382fb4fabc985p-10, -0x1.300df0c8a485ep-10, -0x1.282cb943b695p-10, -0x1.208a05630472bp-10, -0x1.1923d9d5202d6p-10, -0x1.11f848bc747d8p-10, -0x1.0b05716c26692p-10, -0x1.04498025b27c1p-10, -0x1.fb855bae47229p-11, -0x1.eede7fb400ebdp-11, -0x1.e29b0f65cb2adp-11, -0x1.d6b7c5a3a6087p-11, -0x1.cb3174a661331p-11, -0x1.c005058314033p-11, -0x1.b52f77b00dad9p-11, -0x1.aaade08b3c9b2p-11, -0x1.a07d6ae216231p-11, -0x1.969b567afee0ap-11, -0x1.8d04f7a036cbp-11, -0x1.83b7b6ac4e778p-11, -0x1.7ab10f9824658p-11, -0x1.71ee918a6fbbep-11, -0x1.696dde68d8775p-11, -0x1.612caa6a9e9e2p-11, -0x1.5928bbacd27fp-11, -0x1.515fe9c81dc26p-11, -0x1.49d01d68203aep-11, -0x1.42774fe45dfb2p-11, -0x1.3b538adabf5e1p-11, -0x1.3462e7cba6618p-11, -0x1.2da38fb794605p-11, -0x1.2713babe609e2p-11, -0x1.20b1afc003057p-11, -0x1.1a7bc3feeac46p-11, -0x1.14705ac3e7147p-11, -0x1.0e8de5039b33cp-11, -0x1.08d2e1057f95bp-11, -0x1.033dda0c6ae3cp-11, -0x1.fb9ad0014b77cp-12, -0x1.f1005e370549dp-12, -0x1.e6a9bf28f4713p-12, -0x1.dc946a9f8fd26p-12, -0x1.d2bdef1d0e51bp-12, -0x1.c923f14095bd3p-12, -0x1.bfc42b2c5f37ap-12, -0x1.b69c6beec655ep-12, -0x1.adaa96ee3e6e2p-12, -0x1.a4eca3582d317p-12, -0x1.9c609b9296bfep-12, -0x1.94049cb0a51e8p-12, -0x1.8bd6d5e9f90ccp-12, -0x1.83d58814bba99p-12, -0x1.7bff0522781dbp-12, -0x1.7451af9fa0eb1p-12, -0x1.6ccbfa35ce653p-12, -0x1.656c67309d188p-12, -0x1.5e31880531fd2p-12, -0x1.5719fcdc52e38p-12, -0x1.5024741f10db4p-12, -0x1.494faa05fb917p-12, -0x1.429a682ad2d86p-12, -0x1.3c03851caf96bp-12, -0x1.3589e3f6a083fp-12, -0x1.2f2c73f8aa085p-12, -0x1.28ea302325a5ap-12, -0x1.22c21ed479b4dp-12, -0x1.1cb351691e35ap-12, -0x1.16bce3dde5ae2p-12, -0x1.10ddfc7487dacp-12, -0x1.0b15cb5a59e98p-12, -0x1.05638a5139351p-12, -0x1.ff8cf8b52ddfdp-13, -0x1.f47bdac93778cp-13, -0x1.e99263f2c919dp-13, -0x1.decf4de0848d5p-13, -0x1.d4316241ff83ep-13, -0x1.c9b77a323afb2p-13, -0x1.bf607da5fed78p-13, -0x1.b52b62de04f84p-13, -0x1.ab172ddce1c31p-13, -0x1.a122efe099efap-13, -0x1.974dc6dfdac59p-13, -0x1.8d96dd0abaac6p-13, -0x1.83fd684ef5723p-13, -0x1.7a80a9df9a604p-13, -0x1.711fedc00e64ap-13, -0x1.67da8a526082cp-13, -0x1.5eafdfe8d586fp-13, -0x1.559f585a9d788p-13, -0x1.4ca8669bad63bp-13, -0x1.43ca865799749p-13, -0x1.3b053b8f75afap-13, -0x1.3258123a9a29p-13, -0x1.29c29dea51068p-13, -0x1.2144797043124p-13, -0x1.18dd4687b4e01p-13, -0x1.108cad81677dep-13, -0x1.08525cf223e23p-13, -0x1.002e0963d52ddp-13, -0x1.f03eda12517dp-14, -0x1.e04c8ee754542p-14, -0x1.d084ba988205ep-14, -0x1.c0e6f01c20cdp-14, -0x1.b172cb8743a08p-14, -0x1.a227f18c9f26ep-14, -0x1.93060effc5d2ap-14, -0x1.840cd85cb3eacp-14, -0x1.753c095387d46p-14, -0x1.6693645856389p-14, -0x1.5812b236fca9bp-14, -0x1.49b9c1aadb5c8p-14, -0x1.3b8866fa5ceb9p-14, -0x1.2d7e7b9635151p-14, -0x1.1f9bddbc3d0d8p-14, -0x1.11e0701dd7c89p-14, -0x1.044c1989c6cd3p-14, -0x1.edbd8932b0afbp-15, -0x1.d330bec1b3125p-15, -0x1.b8f1b6466cf0fp-15, -0x1.9f00581164606p-15, -0x1.855c91b145297p-15, -0x1.6c06556c33638p-15, -0x1.52fd99bed58c3p-15, -0x1.3a4258e0e85adp-15, }}, 
      {{0x1.1706d01bbc7a9p-7, 0x1.171a401fd1152p-6, 0x1.a2d76d6533229p-6, 0x1.176664710e414p-5, 0x1.5d855717613fbp-5, 0x1.a3cfced26bab1p-5, 0x1.ea4bf96f15282p-5, 0x1.187f6bb3e5415p-4, 0x1.3bf614f8b48cfp-4, 0x1.5f8b3480e480ap-4, 0x1.833f601ccde6bp-4, 0x1.a71288d09ec84p-4, 0x1.cb03fe9cd1a1cp-4, 0x1.ef12763cc21f4p-4, 0x1.099e0839c57e9p-3, 0x1.1bbf3145c614ep-3, 0x1.2deb3fdc274ecp-3, 0x1.4020818aac9e3p-3, 0x1.525d0d031c0d7p-3, 0x1.649ec762a01ap-3, 0x1.76e3697b4a0b1p-3, 0x1.8928850e3cd2p-3, 0x1.9b6b89e854142p-3, 0x1.ada9cad5f5ec5p-3, 0x1.bfe082656f954p-3, 0x1.d20cd771425ep-3, 0x1.e42be16dd7d4fp-3, 0x1.f63aac778d6d5p-3, 0x1.041b1e8fae96ap-2, 0x1.0d0dc9face686p-2, 0x1.15f3d869808fp-2, 0x1.1ecbcaf078694p-2, 0x1.279425315436bp-2, 0x1.304b6ea0952fbp-2, 0x1.38f033ae1ec4fp-2, 0x1.418106d17c50cp-2, 0x1.49fc817b4a713p-2, 0x1.526144ed1e998p-2, 0x1.5aadfaf956d23p-2, 0x1.62e156ac4072fp-2, 0x1.6afa14dff7e16p-2, 0x1.72f6fcbc6bbb1p-2, 0x1.7ad6e024d4bf3p-2, 0x1.82989c13fde9dp-2, 0x1.8a3b18e89b9ccp-2, 0x1.91bd4aa2ed9d8p-2, 0x1.991e3114d84b4p-2, 0x1.a05cd805927b9p-2, 0x1.a7785749f6799p-2, 0x1.ae6fd2d279a2p-2, 0x1.b5427aafb88d8p-2, 0x1.bbef8b0e7d5aep-2, 0x1.c2764c2c13a7p-2, 0x1.c8d61243b0fbep-2, 0x1.cf0e3d75a679bp-2, 0x1.d51e39a909027p-2, 0x1.db057e686b284p-2, 0x1.e0c38eba391ffp-2, 0x1.e657f8f53b8ap-2, 0x1.ebc25691b9231p-2, 0x1.f1024bf7a6305p-2, 0x1.f617884a42db3p-2, 0x1.fb01c53187097p-2, 0x1.ffc0c6a1aadd7p-2, 0x1.022a2d508ae0bp-1, 0x1.045e2c867a51bp-1, 0x1.067c51ae5c05p-1, 0x1.08849232536e8p-1, 0x1.0a76e80bdedfp-1, 0x1.0c5351a47f0f5p-1, 0x1.0e19d1b62d699p-1, 0x1.0fca6f2bad28cp-1, 0x1.11653500cb50cp-1, 0x1.12ea322297658p-1, 0x1.1459794fa281bp-1, 0x1.15b320f84f5cep-1, 0x1.16f7431f3e06cp-1, 0x1.1825fd39d947p-1, 0x1.193f70111183p-1, 0x1.1a43bfa2491dp-1, 0x1.1b3313007b1a7p-1, 0x1.1c0d9435a11e6p-1, 0x1.1cd370245ea97p-1, 0x1.1d84d669f674cp-1, 0x1.1e21f94090f21p-1, 0x1.1eab0d61d4997p-1, 0x1.1f2049e9d85fep-1, 0x1.1f81e83a71382p-1, 0x1.1fd023dee25p-1, 0x1.200b3a6fee7fep-1, 0x1.20336b7852d79p-1, 0x1.2048f859ac7a9p-1, 0x1.204c2431cb1ebp-1, 0x1.203d33c075734p-1, 0x1.201c6d4da051ep-1, 0x1.1fea18901e392p-1, 0x1.1fa67e94c4a54p-1, 0x1.1f51e9a60ec0dp-1, 0x1.1eeca5343d355p-1, 0x1.1e76fdbdf31b9p-1, 0x1.1df140b956a5p-1, 0x1.1d5bbc7db1882p-1, 0x1.1cb6c02d9801bp-1, 0x1.1c029ba192043p-1, 0x1.1b3f9f534d67cp-1, 0x1.1a6e1c4954eb8p-1, 0x1.198e640350e01p-1, 0x1.18a0c866ce2ep-1, 0x1.17a59bac8f3dap-1, 0x1.169d304e656d8p-1, 0x1.1587d8f592378p-1, 0x1.1465e869b34f8p-1, 0x1.1337b180335d1p-1, 0x1.11fd870c46576p-1, 0x1.10b7bbcf69d2fp-1, 0x1.0f66a26a6d35p-1, 0x1.0e0a8d4eff2a5p-1, 0x1.0ca3ceb1bdf5p-1, 0x1.0b32b87ccd6ddp-1, 0x1.09b79c42ec203p-1, 0x1.0832cb3309ebbp-1, 0x1.06a4960c5d4fap-1, 0x1.050d4d12f5d68p-1, 0x1.036d4004c96ep-1, 0x1.01c4be0f3c746p-1, 0x1.001415c51efap-1, 0x1.fcb72a2a46cd9p-2, 0x1.f93712818857ep-2, 0x1.f5a87da73e377p-2, 0x1.f20c03367c882p-2, 0x1.ee62393e9913cp-2, 0x1.eaabb4347150bp-2, 0x1.e6e906e47a3fp-2, 0x1.e31ac265a2f0cp-2, 0x1.df41760cf9e76p-2, 0x1.db5daf621a1cbp-2, 0x1.d76ffa145529ep-2, 0x1.d378dff094d4ap-2, 0x1.cf78e8d7f5c45p-2, 0x1.cb709ab70f7fep-2, 0x1.c760797de9436p-2, 0x1.c34907189747cp-2, 0x1.bf2ac36875ee2p-2, 0x1.bb062c3e07a5ap-2, 0x1.b6dbbd536859dp-2, 0x1.b2abf04755f8cp-2, 0x1.ae773c98c9abap-2, 0x1.aa3e17a31b991p-2, 0x1.a600f49aac5adp-2, 0x1.a1c0448a14267p-2, 0x1.9d7c764fcc3acp-2, 0x1.9935f69c5685fp-2, 0x1.94ed2ff0d501cp-2, 0x1.90a28a9e19918p-2, 0x1.8c566cc41d3a8p-2, 0x1.88093a51e5c09p-2, 0x1.83bb5505cce5dp-2, 0x1.7f6d1c6e2c613p-2, 0x1.7b1eedea65c07p-2, 0x1.76d124ac45546p-2, 0x1.728419b9bd837p-2, 0x1.6e3823eef1b76p-2, 0x1.69ed980093f96p-2, 0x1.65a4c87e8ce27p-2, 0x1.615e05d6efa1ap-2, 0x1.5d199e592ea89p-2, 0x1.58d7de39995afp-2, 0x1.54990f951278cp-2, 0x1.505d7a7509d44p-2, 0x1.4c2564d3aacd8p-2, 0x1.47f112a042a97p-2, 0x1.43c0c5c3dd018p-2, 0x1.3f94be260f426p-2, 0x1.3b6d39b1f41aap-2, 0x1.374a745b52748p-2, 0x1.332ca823ece54p-2, 0x1.2f140d20fbc63p-2, 0x1.2b00d980c8ba7p-2, 0x1.26f341906e44fp-2, 0x1.22eb77c1b779cp-2, 0x1.1ee9acb11d972p-2, 0x1.1aee0f2be2357p-2, 0x1.16f8cc3643698p-2, 0x1.130a0f11c6c5cp-2, 0x1.0f2201439c8b9p-2, 0x1.0b40ca9b14e5ap-2, 0x1.0766913829ccbp-2, 0x1.0393799217714p-2, 0x1.ff8f4cfc0ab4dp-3, 0x1.f806726b77ac4p-3, 0x1.f08ca2bcc9b08p-3, 0x1.e9221a1eb254ep-3, 0x1.e1c711b1e94aap-3, 0x1.da7bbf96df619p-3, 0x1.d34056fb88672p-3, 0x1.cc1508292343cp-3, 0x1.c4fa00920ca54p-3, 0x1.bdef6adf96f1bp-3, 0x1.b6f56effe31a2p-3, 0x1.b00c3233b6cacp-3, 0x1.a933d71c50d84p-3, 0x1.a26c7dc93784bp-3, 0x1.9bb643c6025f5p-3, 0x1.9511442816106p-3, 0x1.8e7d979c591c7p-3, 0x1.87fb5474d9b32p-3, 0x1.818a8eb661055p-3, 0x1.7b2b5825ff91ap-3, 0x1.74ddc0567b893p-3, 0x1.6ea1d4b5b2e39p-3, 0x1.6877a099e4d1cp-3, 0x1.625f2d4ee614cp-3, 0x1.5c5882233bd22p-3, 0x1.5663a4751ea8bp-3, 0x1.508097bf5d392p-3, 0x1.4aaf5da62b556p-3, 0x1.44eff603cd1edp-3, 0x1.3f425ef525ff5p-3, 0x1.39a694e62b7c6p-3, 0x1.341c929e2f93cp-3, 0x1.2ea4514c13586p-3, 0x1.293dc89251193p-3, 0x1.23e8ee92e5fcp-3, 0x1.1ea5b7fb18695p-3, 0x1.1974180f17c45p-3, 0x1.145400b578f34p-3, 0x1.0f4562828ed81p-3, 0x1.0a482cc395ec5p-3, 0x1.055c4d89c1f56p-3, 0x1.0081b1b51d197p-3, 0x1.f77089fe878cep-4, 0x1.edffe40be7773p-4, 0x1.e4b144aaf18b6p-4, 0x1.db847ce5d3f6ep-4, 0x1.d2795bcc89578p-4, 0x1.c98fae88a88f4p-4, 0x1.c0c74070f7058p-4, 0x1.b81fdb1c94df5p-4, 0x1.af994675e2d95p-4, 0x1.a73348cd09222p-4, 0x1.9eeda6ea2d485p-4, 0x1.96c8241f5768cp-4, 0x1.8ec28259fad4p-4, 0x1.86dc8234311f2p-4, 0x1.7f15e3059ac75p-4, 0x1.776e62f3eebcdp-4, 0x1.6fe5bf0331f73p-4, 0x1.687bb3259df03p-4, 0x1.612ffa4b3009cp-4, 0x1.5a024e70e6727p-4, 0x1.52f268afa94c5p-4, 0x1.4c00014adf62ap-4, 0x1.452acfbeb199p-4, 0x1.3e728acdf9e99p-4, 0x1.37d6e88fe2de3p-4, 0x1.31579e7d32c5dp-4, 0x1.2af4617d48a13p-4, 0x1.24ace5f2c632ep-4, 0x1.1e80dfc7eca7dp-4, 0x1.1870027aa8539p-4, 0x1.127a01284f5e2p-4, 0x1.0c9e8e9911cf7p-4, 0x1.06dd5d4b1d40bp-4, 0x1.01361f7d737ffp-4, 0x1.f7510e74eefc4p-5, 0x1.ec688cc45a03p-5, 0x1.e1b21d6862e69p-5, 0x1.d72d23b2d20eap-5, 0x1.ccd902dacccdbp-5, 0x1.c2b51e0f0fe1dp-5, 0x1.b8c0d887a5504p-5, 0x1.aefb9597072f2p-5, 0x1.a564b8bac0406p-5, 0x1.9bfba5ab80de2p-5, 0x1.92bfc06cb1046p-5, 0x1.89b06d5b7f77ap-5, 0x1.80cd113d6ca0ep-5, 0x1.7815114e59e9fp-5, 0x1.6f87d34e1961cp-5, 0x1.6724bd8d8187ap-5, 0x1.5eeb36fb0a83cp-5, 0x1.56daa72ef094fp-5, 0x1.4ef27676e3cacp-5, 0x1.47320de142959p-5, 0x1.3f98d747e41a2p-5, 0x1.38263d5a7409bp-5, 0x1.30d9aba85ef22p-5, 0x1.29b28eaa55b44p-5, 0x1.22b053cb66041p-5, 0x1.1bd26971ae48dp-5, 0x1.15183f06aa0b9p-5, 0x1.0e8144ff1c3bep-5, 0x1.080cece2990cap-5, 0x1.01baa952b0d17p-5, 0x1.f713dc237b3e6p-6, 0x1.eaf46012aa2ebp-6, 0x1.df15caa0c74c2p-6, 0x1.d3770a61dcc33p-6, 0x1.c817105b052a4p-6, 0x1.bcf4d00c9d7b6p-6, 0x1.b20f3f7bdda74p-6, 0x1.a765573bcbc9bp-6, 0x1.9cf6127598c8p-6, 0x1.92c06ef065a3ap-6, 0x1.88c36d1875074p-6, 0x1.7efe1005d0cadp-6, 0x1.756f5d825fea6p-6, 0x1.6c165e0f76c99p-6, 0x1.62f21ceae6b07p-6, 0x1.5a01a813862d4p-6, 0x1.5144104d43f18p-6, 0x1.48b86924b780ep-6, 0x1.405dc8f2479e5p-6, 0x1.383348dcd20fp-6, 0x1.303804dbebec1p-6, 0x1.286b1bb9b596ep-6, 0x1.20cbaf144031ap-6, 0x1.1958e35e98524p-6, 0x1.1211dfe1623a6p-6, 0x1.0af5cebb2251dp-6, 0x1.0403dce021b56p-6, 0x1.fa767433fb3f6p-7, 0x1.ed36320dc0888p-7, 0x1.e0455e30ceac3p-7, 0x1.d3a269247613bp-7, 0x1.c74bc910a585ep-7, 0x1.bb3ff9b9f09f3p-7, 0x1.af7d7c7cf8a92p-7, 0x1.a402d8494e562p-7, 0x1.98ce999bd4d39p-7, 0x1.8ddf5278a3616p-7, 0x1.83339a645fcdbp-7, 0x1.78ca0e5d3ede4p-7, 0x1.6ea150d37695p-7, 0x1.64b809a157c9fp-7, 0x1.5b0ce602fb676p-7, 0x1.519e988d8bb96p-7, 0x1.486bd92633abp-7, 0x1.3f7364f8afb8p-7, 0x1.36b3fe6d8f5a9p-7, 0x1.2e2c6d201f12cp-7, 0x1.25db7dd40b5bfp-7, 0x1.1dc0026ab7ea6p-7, 0x1.15d8d1d85282bp-7, 0x1.0e24c818a4cc7p-7, 0x1.06a2c623a87fcp-7, 0x1.fea363c3c5fefp-8, 0x1.f060ec41114fep-8, 0x1.e27c050adfaf3p-8, 0x1.d4f29705a4db7p-8, 0x1.c7c29495ca20cp-8, 0x1.bae9f98687e39p-8, 0x1.ae66caf07644p-8, 0x1.a237171fd6434p-8, 0x1.9658f57a9c239p-8, 0x1.8aca8666405cdp-8, 0x1.7f89f32d5a3ddp-8, 0x1.74956de50e5c8p-8, 0x1.69eb31524fb53p-8, 0x1.5f8980ceff026p-8, 0x1.556ea82ee9268p-8, 0x1.4b98fba4a9273p-8, 0x1.4206d7a6762ccp-8, 0x1.38b6a0d2dc1d9p-8, 0x1.2fa6c3d56aa6bp-8, 0x1.26d5b54b5632cp-8, 0x1.1e41f1a8169f3p-8, 0x1.15e9fd1a0249ap-8, 0x1.0dcc636eeba54p-8, 0x1.05e7b7f8c591fp-8, 0x1.fc752ae49e09p-9, 0x1.ed873bc79743dp-9, 0x1.df02f50f9b0bcp-9, 0x1.d0e5b7601fd9bp-9, 0x1.c32cf154d0c5ap-9, 0x1.b5d61f4ba0ddbp-9, 0x1.a8decb2f19099p-9, 0x1.9c448c40d9288p-9, 0x1.900506e465beap-9, 0x1.841dec6a31debp-9, 0x1.788cfadaf7e43p-9, 0x1.6d4ffcc362adbp-9, 0x1.6264c90007e7ep-9, 0x1.57c94289b90ap-9, 0x1.4d7b58422f85ep-9, 0x1.437904c11c0adp-9, 0x1.39c04e218fdc4p-9, 0x1.304f45cfd3ee4p-9, 0x1.27240857a316p-9, 0x1.1e3cbd32d0513p-9, 0x1.159796985ec3ep-9, 0x1.0d32d14c053cfp-9, 0x1.050cb46e2a32ep-9, 0x1.fa472298a2efep-10, 0x1.eaeb866404cd9p-10, 0x1.dc035e7453d1bp-10, 0x1.cd8b8841eb0a2p-10, 0x1.bf80f42c56d0dp-10, 0x1.b1e0a52007d1bp-10, 0x1.a4a7b03d0003ap-10, 0x1.97d33c7e8957ep-10, 0x1.8b608263ed1e3p-10, 0x1.7f4ccb9a32de9p-10, 0x1.739572a6ed6a6p-10, 0x1.6837e2940c02dp-10, 0x1.5d31969cc3d89p-10, 0x1.528019db7a4p-10, 0x1.482106f8c73fp-10, 0x1.3e1207db84114p-10, 0x1.3450d559efc5bp-10, 0x1.2adb36ebdd922p-10, 0x1.21af025dfb805p-10, 0x1.18ca1b862872ep-10, 0x1.102a73f8daa12p-10, 0x1.07ce0abf9c2cdp-10, 0x1.ff65d8212b2fep-11, 0x1.efae620e589a2p-11, 0x1.e071febb5e4a2p-11, 0x1.d1ad125029b6ap-11, 0x1.c35c191f921fcp-11, 0x1.b57ba721105b6p-11, 0x1.a808676c8e1bfp-11, 0x1.9aff1bb850f8fp-11, 0x1.8e5c9bd8f8377p-11, 0x1.821dd5438f58dp-11, 0x1.763fca91aee8ap-11, 0x1.6abf9307abfcbp-11, 0x1.5f9a5a1cce855p-11, 0x1.54cd5f059075bp-11, 0x1.4a55f43fdd343p-11, 0x1.40317f215033ep-11, 0x1.365d77676f1cp-11, 0x1.2cd766c9d8495p-11, 0x1.239ce88e66c8dp-11, 0x1.1aaba91f408a7p-11, 0x1.120165a2d2653p-11, 0x1.099beb95acdddp-11, 0x1.0179186645842p-11, 0x1.f32db22520202p-12, 0x1.e3e6538ee301bp-12, 0x1.d5182b04071a6p-12, 0x1.c6bf6b654a7f1p-12, 0x1.b8d863c3a791dp-12, 0x1.ab5f7ead8bd2ep-12, 0x1.9e51417f890efp-12, 0x1.91aa4bb87b0e7p-12, 0x1.856756510d837p-12, 0x1.79853316a38ep-12, 0x1.6e00cc098baep-12, 0x1.62d722be7c874p-12, 0x1.58054fc34b9b3p-12, 0x1.4d888206d4f71p-12, 0x1.435dfe4409064p-12, 0x1.39831e7012946p-12, 0x1.2ff5512b8eaf8p-12, 0x1.26b21936c875ap-12, 0x1.1db70ce8edfd5p-12, 0x1.1501d5aa338bbp-12, 0x1.0c902f70dba18p-12, 0x1.045fe84115037p-12, 0x1.f8ddbf5f51c5p-13, 0x1.e9760cced5767p-13, 0x1.da84bb62bc6bbp-13, 0x1.cc05edff188d7p-13, 0x1.bdf5e6f4eeaf8p-13, 0x1.b051072253f48p-13, 0x1.a313cd179b545p-13, 0x1.963ad4418c111p-13, 0x1.89c2d41884474p-13, 0x1.7da89f5472e18p-13, 0x1.71e923259439bp-13, 0x1.66816671e2fccp-13, 0x1.5b6e8917177d1p-13, 0x1.50adc3313827dp-13, 0x1.463c646591ad2p-13, 0x1.3c17d3320cf41p-13, 0x1.323d8c40d3896p-13, 0x1.28ab21c01d9b6p-13, 0x1.1f5e3abe25e95p-13, 0x1.165492892c39bp-13, 0x1.0d8bf8136a6cap-13, 0x1.05024d5af4f53p-13, 0x1.f96b0daad7674p-14, 0x1.e94755bed5f62p-14, 0x1.d995a25f51e17p-14, 0x1.ca52449b5c50dp-14, 0x1.bb79ae1836289p-14, 0x1.ad08700cb583ep-14, 0x1.9efb3a4384581p-14, 0x1.914eda2400c5p-14, 0x1.840039c19e78p-14, 0x1.770c5ef1ac7c1p-14, 0x1.6a706a675779bp-14, 0x1.5e2996d5cc1dfp-14, 0x1.5235381855178p-14, 0x1.4690ba605608ap-14, 0x1.3b39a16902d44p-14, 0x1.302d87b0b21ffp-14, 0x1.256a1db7b061ap-14, 0x1.1aed29446da41p-14, 0x1.10b484acef7edp-14, 0x1.06be1e2563669p-14, 0x1.fa0fee276e70fp-15, 0x1.e72046d0331bcp-15, 0x1.d4a991f48da66p-15, 0x1.c2a83dd70a75p-15, 0x1.b118da1a6ca2cp-15, 0x1.9ff81697c0a5ep-15, 0x1.8f42c23d2dc75p-15, 0x1.7ef5c9f550086p-15, 0x1.6f0e3796e7a74p-15, 0x1.5f8930dca8f29p-15, 0x1.5063f664fdee9p-15, 0x1.419be2b988cf8p-15, 0x1.332e695e32501p-15, 0x1.251915e79cfc2p-15, 0x1.17598b18c426cp-15, 0x1.09ed8207a6796p-15, 0x1.f9a592917f2ccp-16, 0x1.e00e88426ad8ep-16, 0x1.c711d37eff2acp-16, 0x1.aeab88f4d2181p-16, 0x1.96d7e22c77e41p-16, 0x1.7f933c1fe491dp-16, 0x1.68da15dc88b31p-16, 0x1.52a90f30d31b1p-16, 0x1.3cfce764d2495p-16, 0x1.27d27bfda9e19p-16, 0x1.1326c78b8da8p-16, 0x1.fdedc103fdf9dp-17, 0x1.d67ff034053f7p-17, 0x1.affeb27c1ea29p-17, 0x1.8a64cefec93f5p-17, 0x1.65ad3c29377d2p-17, 0x1.41d31dc238a02p-17, 0x1.1ed1c30a85356p-17, 0x1.f94949dbdde65p-18, 0x1.b68ec889e13f3p-18, 0x1.756b904c5dbffp-18, 0x1.35d7788ee9431p-18, 0x1.ef953db6d69ffp-19, 0x1.767ac7aeaefa4p-19, 0x1.0050d0ba7e50cp-19, 0x1.1a122ac79f49fp-20, 0x1.c95c7a826ac18p-23, -0x1.4459d8ce5fa35p-21, -0x1.78112d3afff38p-20, -0x1.244d258031f4ap-19, -0x1.89f04cdd2a9f3p-19, -0x1.ecfdd9393db62p-19, -0x1.26c09eee51ebbp-18, -0x1.55c2cc73fd7a5p-18, -0x1.838adb9fcacd1p-18, -0x1.b01e0c2731194p-18, -0x1.db8178d0da01ap-18, -0x1.02dd0c97cbe39p-17, -0x1.176661a582adp-17, -0x1.2b5f169b35f92p-17, -0x1.3ec9774b3eb68p-17, -0x1.51a7c10b3cf39p-17, -0x1.63fc2366a0453p-17, -0x1.75c8c0c9785c3p-17, -0x1.870faf23b3664p-17, -0x1.97d2f885390d2p-17, -0x1.a8149bb2eadefp-17, -0x1.b7d68cb4f7825p-17, -0x1.c71ab55e9aa5ap-17, -0x1.d5e2f5cf9d416p-17, -0x1.e43124efb5e0cp-17, -0x1.f20710e41b16fp-17, -0x1.ff667f7f6210dp-17, -0x1.06289755fcfc2p-16, -0x1.0c646a68aaba2p-16, -0x1.1267909a0d17p-16, -0x1.1832de28b3d38p-16, -0x1.1dc7241ab4a11p-16, -0x1.23253066bb9cfp-16, -0x1.284dce1ae4b44p-16, -0x1.2d41c5818cc5bp-16, -0x1.3201dc4414becp-16, -0x1.368ed58bc07e4p-16, -0x1.3ae97220b8b1dp-16, -0x1.3f127087454bdp-16, -0x1.430a8d1b54bebp-16, -0x1.46d2822a62baap-16, -0x1.4a6b080bc7caap-16, -0x1.4dd4d5378f5d2p-16, -0x1.51109e5bd7d15p-16, -0x1.541f1670d67b9p-16, -0x1.5700eecb85631p-16, -0x1.59b6d72f1057dp-16, -0x1.5c417ddd113afp-16, -0x1.5ea18fa49f134p-16, -0x1.60d7b7f046fdfp-16, -0x1.62e4a0d2f9c94p-16, -0x1.64c8f313f850dp-16, -0x1.66855639ca221p-16, -0x1.681a7094506d6p-16, -0x1.6988e745f6b43p-16, -0x1.6ad15e4c161a2p-16, }}, 
      {{0x1.fc4832615fc15p-1, 0x1.fb695236153bap-1, 0x1.f9fab003449ccp-1, 0x1.f8030e3f44734p-1, 0x1.f58b1c11e5828p-1, 0x1.f29cedda324fbp-1, 0x1.ef437d3920d76p-1, 0x1.eb8a377b588eep-1, 0x1.e77c9d5434d3dp-1, 0x1.e325f476c6834p-1, 0x1.de910a347c59cp-1, 0x1.d9c8058a6ab46p-1, 0x1.d4d446b10820ap-1, 0x1.cfbe522dd990bp-1, 0x1.ca8dc5783945ep-1, 0x1.c5495368c6b82p-1, 0x1.bff6c6db400b8p-1, 0x1.ba9b0a1dbfba8p-1, 0x1.b53a31fab1d03p-1, 0x1.afd78b5a09a79p-1, 0x1.aa75aaa13a35ep-1, 0x1.a5167c1fc83f1p-1, 0x1.9fbb54f7f3a1ep-1, 0x1.9a6504102729ap-1, 0x1.9513e2b2ea04cp-1, 0x1.8fc7e4985ab48p-1, 0x1.8a80a726324fcp-1, 0x1.853d7fc23d864p-1, 0x1.7ffd891fa347fp-1, 0x1.7abfaf7961c47p-1, 0x1.7582bbb493197p-1, 0x1.70455d6b80b12p-1, 0x1.6b0633e790c3cp-1, 0x1.65c3d613edfcdp-1, 0x1.607cd97590dbep-1, 0x1.5b2fd83748e76p-1, 0x1.55db7659a3478p-1, 0x1.507e66173f63fp-1, 0x1.4b176b8e56a9ep-1, 0x1.45a55fc027bf6p-1, 0x1.402732f681b9fp-1, 0x1.3a9bee9f1a5edp-1, 0x1.3502b6ab8ecfap-1, 0x1.2f5aca8415dd4p-1, 0x1.29a38599fcda8p-1, 0x1.23dc5fa60a74bp-1, 0x1.1e04ec9df723bp-1, 0x1.181cdc6b2827ap-1, 0x1.1223fa6bf395ep-1, 0x1.0c1a2cc7d0252p-1, 0x1.05ff739df0af8p-1, 0x1.ffa7d02a1cfc5p-2, 0x1.f32f76a4b0f86p-2, 0x1.e6966ab9b1083p-2, 0x1.d9dd67e3f2225p-2, 0x1.cd05529e89d9bp-2, 0x1.c00f35e9e2e23p-2, 0x1.b2fc40c89ed4ap-2, 0x1.a5cdc3b996663p-2, 0x1.98852e3397959p-2, 0x1.8b240c26c0bp-2, 0x1.7dac0386cc147p-2, 0x1.701ed1e10d46p-2, 0x1.627e4a006ca5p-2, 0x1.54cc51a145967p-2, 0x1.470adf36a940fp-2, 0x1.393bf7c23f02dp-2, 0x1.2b61acbfa9f75p-2, 0x1.1d7e1a243038dp-2, 0x1.0f93647312439p-2, 0x1.01a3b6e6f2cap-2, 0x1.e7628360d1dc7p-3, 0x1.cb7c7093a2362p-3, 0x1.af999fc07eebfp-3, 0x1.93be7ba2e4fa2p-3, 0x1.77ef6c7cf3762p-3, 0x1.5c30d5659e131p-3, 0x1.408711bef0c52p-3, 0x1.24f672d39cd9cp-3, 0x1.09833d9af2bbp-3, 0x1.dc6351448640ap-4, 0x1.a60bb435680bap-4, 0x1.7007cc15041e1p-4, 0x1.3a5f994129e43p-4, 0x1.051af152bef42p-4, 0x1.a082f88fa0f4cp-5, 0x1.37b563d7a4d2ep-5, 0x1.9fb75def436a8p-6, 0x1.a40fec23245a6p-7, 0x1.9dfdf7386df4ap-12, -0x1.85bc2c5065d89p-7, -0x1.89e094be7cd9cp-6, -0x1.273b689891222p-5, -0x1.884484ee39dd1p-5, -0x1.e8003900788f2p-5, -0x1.2331cd3aa8f3dp-4, -0x1.51b21e1d2f6a1p-4, -0x1.7f7c17bc57961p-4, -0x1.ac8b021f45213p-4, -0x1.d8da64f16affp-4, -0x1.023303c9735cp-3, -0x1.1794f884a32b2p-3, -0x1.2c9133e93ecc3p-3, -0x1.4125f8cddea71p-3, -0x1.5551a96ee7564p-3, -0x1.6912c7304721bp-3, -0x1.7c67f2538e7a8p-3, -0x1.8f4fe9a31c2f9p-3, -0x1.a1c98a1326c96p-3, -0x1.b3d3ce594cd04p-3, -0x1.c56dce7b5b08ap-3, -0x1.d696bf55feb8dp-3, -0x1.e74df21bffa9dp-3, -0x1.f792d3ce976b4p-3, -0x1.03b27657ca022p-2, -0x1.0b61efd6e10bep-2, -0x1.12d7b4e61d166p-2, -0x1.1a13b0c28a864p-2, -0x1.2115db1400bc4p-2, -0x1.27de379aa239cp-2, -0x1.2e6cd5dac906cp-2, -0x1.34c1d0c799d9bp-2, -0x1.3add4e6c74884p-2, -0x1.40bf7f9574c78p-2, -0x1.46689f7737901p-2, -0x1.4bd8f3560e7fp-2, -0x1.5110ca2cd436ap-2, -0x1.56107c5387932p-2, -0x1.5ad86b25db6f7p-2, -0x1.5f6900a9d6b07p-2, -0x1.63c2af36b485dp-2, -0x1.67e5f11c20968p-2, -0x1.6bd34849ec8fdp-2, -0x1.6f8b3df862b74p-2, -0x1.730e62514f71fp-2, -0x1.765d4c19d89fcp-2, -0x1.7978985d4042ap-2, -0x1.7c60ea18a71c9p-2, -0x1.7f16e9e7e29fdp-2, -0x1.819b45b37e602p-2, -0x1.83eeb05ff4755p-2, -0x1.8611e17e36517p-2, -0x1.880594fd88ad9p-2, -0x1.89ca8aded0e65p-2, -0x1.8b6186e94e80ap-2, -0x1.8ccb5060dbab8p-2, -0x1.8e08b1bdb2fb6p-2, -0x1.8f1a7865cb87p-2, -0x1.90017467ce797p-2, -0x1.90be7837b037p-2, -0x1.9152586cee66ep-2, -0x1.91bdeb827d6f2p-2, -0x1.920209986564p-2, -0x1.921f8c3711ee7p-2, -0x1.92174e145a00cp-2, -0x1.91ea2ada3d26p-2, -0x1.9198feef5ad2cp-2, -0x1.9124a74120a26p-2, -0x1.908e010fb305fp-2, -0x1.8fd5e9bb88ea8p-2, -0x1.8efd3e94c07f9p-2, -0x1.8e04dcac2450cp-2, -0x1.8ceda0a5e0b44p-2, -0x1.8bb8668de526dp-2, -0x1.8a6609adf2771p-2, -0x1.88f7646546cc3p-2, -0x1.876d5001f2865p-2, -0x1.85c8a49bbf1a5p-2, -0x1.840a38f0b51aap-2, -0x1.8232e2432c503p-2, -0x1.8043743969699p-2, -0x1.7e3cc0bebf91ap-2, -0x1.7c1f97e631896p-2, -0x1.79ecc7ce88264p-2, -0x1.77a51c87db91bp-2, -0x1.75495ffa876p-2, -0x1.72da59cf7f5ffp-2, -0x1.7058cf5a019ecp-2, -0x1.6dc583829d45bp-2, -0x1.6b2136b385143p-2, -0x1.686ca6c629111p-2, -0x1.65a88ef20c74p-2, -0x1.62d5a7bcd3615p-2, -0x1.5ff4a6eb7de96p-2, -0x1.5d063f74c9b47p-2, -0x1.5a0b2174b4303p-2, -0x1.5703fa2113945p-2, -0x1.53f173bf3d0fdp-2, -0x1.50d4359ab65cdp-2, -0x1.4dace3fce438p-2, -0x1.4a7c2025b3f8cp-2, -0x1.4742884532375p-2, -0x1.4400b7760f61ep-2, -0x1.40b745b8ffc8dp-2, -0x1.3d66c7f0fbf6ep-2, -0x1.3a0fcfe04ede2p-2, -0x1.36b2ec2671685p-2, -0x1.3350a83ea9bd8p-2, -0x1.2fe98c7f67a8bp-2, -0x1.2c7e1e1a54ddap-2, -0x1.290edf1d17ce5p-2, -0x1.259c4e72b8c9ep-2, -0x1.2226e7e5aeac6p-2, -0x1.1eaf242281883p-2, -0x1.1b3578bb0115p-2, -0x1.17ba582a0c41dp-2, -0x1.143e31d7daf5bp-2, -0x1.10c1721ecd839p-2, -0x1.0d448250b34e5p-2, -0x1.09c7c8bc889c4p-2, -0x1.064ba8b4a02bbp-2, -0x1.02d082953b2b2p-2, -0x1.fead67970305ap-3, -0x1.f7bd2db9acf5p-3, -0x1.f0d106dd16f9ep-3, -0x1.e9e99c9bc7908p-3, -0x1.e30792f0c7878p-3, -0x1.dc2b8848e365cp-3, -0x1.d5561594638f6p-3, -0x1.ce87ce5957506p-3, -0x1.c7c140c64892ap-3, -0x1.c102f5c565733p-3, -0x1.ba4d71100e1d7p-3, -0x1.b3a13142c1a5bp-3, -0x1.acfeaff15bd05p-3, -0x1.a66661bba3c62p-3, -0x1.9fd8b6622044bp-3, -0x1.995618db28816p-3, -0x1.92deef6830dbdp-3, -0x1.8c739bab4006fp-3, -0x1.86147abc9492bp-3, -0x1.7fc1e5406e86ap-3, -0x1.797c2f7cee183p-3, -0x1.7343a97012ed2p-3, -0x1.6d189ee5c50a9p-3, -0x1.66fb578df03d4p-3, -0x1.60ec1712a0626p-3, -0x1.5aeb1d2e2216fp-3, -0x1.54f8a5c11f01p-3, -0x1.4f14e8e8b06b7p-3, -0x1.49401b146ad94p-3, -0x1.437a6d1c4f347p-3, -0x1.3dc40c56ad09dp-3, -0x1.381d22aded03dp-3, -0x1.3285d6b637563p-3, -0x1.2cfe4bc30268dp-3, -0x1.2786a1fc7588p-3, -0x1.221ef674aa27dp-3, -0x1.1cc7633cc04b8p-3, -0x1.177fff79c6f13p-3, -0x1.1248df79725b7p-3, -0x1.0d2214c6a65e9p-3, -0x1.080bae3dbeb68p-3, -0x1.0305b820b34bap-3, -0x1.fc207855da9b8p-4, -0x1.f2568349ecf83p-4, -0x1.e8ad9aefb0c44p-4, -0x1.df25c4809666cp-4, -0x1.d5bf00c333c5dp-4, -0x1.cc794c309697ep-4, -0x1.c3549f1904b06p-4, -0x1.ba50edc83f65bp-4, -0x1.b16e28a926dfap-4, -0x1.a8ac3c68eccf2p-4, -0x1.a00b12199abefp-4, -0x1.978a8f541c8a9p-4, -0x1.8f2a9659a6dfep-4, -0x1.86eb063499cfap-4, -0x1.7ecbbad8c1df2p-4, -0x1.76cc8d43098c3p-4, -0x1.6eed539891971p-4, -0x1.672de145325b3p-4, -0x1.5f8e071965564p-4, -0x1.580d936796dcfp-4, -0x1.50ac5220de3b2p-4, -0x1.496a0cf11f6a7p-4, -0x1.42468b5a9307cp-4, -0x1.3b4192d0b675cp-4, -0x1.345ae6d2a61dbp-4, -0x1.2d924904ddc0fp-4, -0x1.26e7794a65322p-4, -0x1.205a35dd64b43p-4, -0x1.19ea3b6726a23p-4, -0x1.1397451782d9dp-4, -0x1.0d610cbbb8d6bp-4, -0x1.07474ad4b6bb1p-4, -0x1.0149b6accf091p-4, -0x1.f6d00cd9c121fp-5, -0x1.eb43de61da791p-5, -0x1.dfee4a384d28bp-5, -0x1.d4ceb6d8d899bp-5, -0x1.c9e4891a86078p-5, -0x1.bf2f24548005fp-5, -0x1.b4adea81dfae7p-5, -0x1.aa603c646ec0cp-5, -0x1.a04579a65fc54p-5, -0x1.965d00fb06bf2p-5, -0x1.8ca6303e8ccc8p-5, -0x1.83206494abbadp-5, -0x1.79cafa866ca05p-5, -0x1.70a54e1ef4651p-5, -0x1.67aebb075cd17p-5, -0x1.5ee69ca19fc42p-5, -0x1.564c4e229b992p-5, -0x1.4ddf2aab2d968p-5, -0x1.459e8d606da1dp-5, -0x1.3d89d18309d5dp-5, -0x1.35a05285ca0f7p-5, -0x1.2de16c233c274p-5, -0x1.264c7a728dc3bp-5, -0x1.1ee0d9fb9a736p-5, -0x1.179de7ca2e6a5p-5, -0x1.1083018082cdcp-5, -0x1.098f8568f8236p-5, -0x1.02c2d287169f7p-5, -0x1.f838914f9d644p-6, -0x1.eb3690e210817p-6, -0x1.de7e66e0fe442p-6, -0x1.d20ed853e0c5fp-6, -0x1.c5e6ac4940218p-6, -0x1.ba04abf06c41cp-6, -0x1.ae67a2b1f7ec6p-6, -0x1.a30e5e46f5bb2p-6, -0x1.97f7aecf0029cp-6, -0x1.8d2266e5130e2p-6, -0x1.828d5bb3448d5p-6, -0x1.783765055abd4p-6, -0x1.6e1f5d5a4ed5ep-6, -0x1.644421f4bdf25p-6, -0x1.5aa492ea56dd2p-6, -0x1.513f93323f467p-6, -0x1.481408b28a6cfp-6, -0x1.3f20dc4cb0572p-6, -0x1.3664f9e926ae9p-6, -0x1.2ddf5082083e3p-6, -0x1.258ed22ce8a0cp-6, -0x1.1d727423cbaedp-6, -0x1.15892ecd491cfp-6, -0x1.0dd1fdc3ec79ep-6, -0x1.064bdfdccebcap-6, -0x1.fdebae5ad8635p-7, -0x1.ef9dd2219391cp-7, -0x1.e1ac3c57cf4c9p-7, -0x1.d41504e308f6bp-7, -0x1.c6d64a4a786c4p-7, -0x1.b9ee31bc12218p-7, -0x1.ad5ae71049c77p-7, -0x1.a11a9cccb73e4p-7, -0x1.952b8c25912b3p-7, -0x1.898bf4fe1abe9p-7, -0x1.7e3a1de7f9693p-7, -0x1.73345421a3c23p-7, -0x1.6878eb93b9c41p-7, -0x1.5e063ecd8e271p-7, -0x1.53daaf00b3d04p-7, -0x1.49f4a3fbc7a0ap-7, -0x1.40528c2456b19p-7, -0x1.36f2dc70091abp-7, -0x1.2dd4105d09185p-7, -0x1.24f4a9e9b3efbp-7, -0x1.1c53318b9cbc9p-7, -0x1.13ee3625ea046p-7, -0x1.0bc44cff14651p-7, -0x1.03d411b60e65p-7, -0x1.f8384c6dbe341p-8, -0x1.e936655d64f0cp-8, -0x1.da9fcafed8773p-8, -0x1.cc71e6657decdp-8, -0x1.beaa2cd9a28e3p-8, -0x1.b1461fbcee7bfp-8, -0x1.a4434c6e0b75cp-8, -0x1.979f4c2b8b563p-8, -0x1.8b57c3f61d39ep-8, -0x1.7f6a64721bbd1p-8, -0x1.73d4e9c87d086p-8, -0x1.68951b873500bp-8, -0x1.5da8cc810f834p-8, -0x1.530ddaad0fa0ap-8, -0x1.48c22f055df86p-8, -0x1.3ec3bd65cd874p-8, -0x1.3510846a058b1p-8, -0x1.2ba68d4b51e38p-8, -0x1.2283ebbe2b1d3p-8, -0x1.19a6bdcf77d53p-8, -0x1.110d2bc195d1cp-8, -0x1.08b567e92b5f8p-8, -0x1.009dae89d1d68p-8, -0x1.f1888b652fbep-9, -0x1.e24efa34d0421p-9, -0x1.d38b5bf8b6cebp-9, -0x1.c53a75e7ed8c9p-9, -0x1.b7591fb2cc346p-9, -0x1.a9e4433b5d47dp-9, -0x1.9cd8dc4dd03dap-9, -0x1.9033f858f77fep-9, -0x1.83f2b626e7a11p-9, -0x1.78124595b858p-9, -0x1.6c8fe7507946bp-9, -0x1.6168ec885e7c2p-9, -0x1.569ab6ae33e5p-9, -0x1.4c22b72c183adp-9, -0x1.41fe6f1f8fc4dp-9, -0x1.382b6f13f1bcp-9, -0x1.2ea756bd3cb3bp-9, -0x1.256fd4b350e73p-9, -0x1.1c82a62da14f9p-9, -0x1.13dd96bf5d327p-9, -0x1.0b7e801414699p-9, -0x1.036349ace626bp-9, -0x1.f713d13c6a463p-10, -0x1.e7e0be9bdd79cp-10, -0x1.d9297a64c7c43p-10, -0x1.caea3d237bd8p-10, -0x1.bd1f58841932ap-10, -0x1.afc536d3f435dp-10, -0x1.a2d85a8447032p-10, -0x1.96555dae29fbbp-10, -0x1.8a38f197f4889p-10, -0x1.7e7fde3bed68cp-10, -0x1.732701d068e93p-10, -0x1.682b50514d26ap-10, -0x1.5d89d30afe991p-10, -0x1.533fa826c80cap-10, -0x1.494a0238b1a5cp-10, -0x1.3fa627ced353p-10, -0x1.3651730223cc9p-10, -0x1.2d495108c6626p-10, -0x1.248b41c9d8b8ap-10, -0x1.1c14d772c613bp-10, -0x1.13e3b60e1f144p-10, -0x1.0bf5931bf7028p-10, -0x1.0448352bc9b37p-10, -0x1.f9b2e6efcad53p-11, -0x1.eb4e6b04c8da2p-11, -0x1.dd5ee567514ecp-11, -0x1.cfe063f4c661p-11, -0x1.c2cf12da45e14p-11, -0x1.b6273bdad548ep-11, -0x1.a9e545989d27dp-11, -0x1.9e05b2e12cfep-11, -0x1.928521fcc9fa3p-11, -0x1.87604c00c370dp-11, -0x1.7c940424c7302p-11, -0x1.721d371b38652p-11, -0x1.67f8ea6c7d954p-11, -0x1.5e243bd546cd5p-11, -0x1.549c60a7c4d11p-11, -0x1.4b5ea52fcc1d4p-11, -0x1.42686c19e0952p-11, -0x1.39b72ddd1fb9ap-11, -0x1.314878280a8a4p-11, -0x1.2919ed5021532p-11, -0x1.212943c45168bp-11, -0x1.19744582291abp-11, -0x1.11f8cf8dd0befp-11, -0x1.0ab4d16cbbc41p-11, -0x1.03a64ca30f8bdp-11, -0x1.f996a8676da2bp-12, -0x1.ec44184631a6bp-12, -0x1.df5151f8e2a9fp-12, -0x1.d2badeb37616ap-12, -0x1.c67d66dc55571p-12, -0x1.ba95b12660792p-12, -0x1.af00a1afe9fd6p-12, -0x1.a3bb3926a4291p-12, -0x1.98c293f06461dp-12, -0x1.8e13e958b812fp-12, -0x1.83ac8ac33089cp-12, -0x1.7989e2e25af94p-12, -0x1.6fa974f34f7bdp-12, -0x1.6608dbfdcc429p-12, -0x1.5ca5ca18c2d41p-12, -0x1.537e07b352d9bp-12, -0x1.4a8f72e2120dcp-12, -0x1.41d7feb09ff1bp-12, -0x1.3955b27765c49p-12, -0x1.3106a9357ead9p-12, -0x1.28e910eeaca0bp-12, -0x1.20fb2a0d4dd4dp-12, -0x1.193b46c84308fp-12, -0x1.11a7ca8cb0f9p-12, -0x1.0a3f296b8ff44p-12, -0x1.02ffe78af7904p-12, -0x1.f7d1313628ec8p-13, -0x1.e9efbe9d7759dp-13, -0x1.dc58d9af05368p-13, -0x1.cf0a00caaa03fp-13, -0x1.c200cd52e3016p-13, -0x1.b53af2b97f2ecp-13, -0x1.a8b63d92d95a2p-13, -0x1.9c7092af86ff9p-13, -0x1.9067ee3c528bdp-13, -0x1.849a62e86a7e5p-13, -0x1.79061911a07b6p-13, -0x1.6da94df69d49ep-13, -0x1.628252eee133ep-13, -0x1.578f8ca88514bp-13, -0x1.4ccf726b86ef5p-13, -0x1.42408d629825fp-13, -0x1.37e177e942fc1p-13, -0x1.2db0dcdf51c56p-13, -0x1.23ad770152d44p-13, -0x1.19d61046246f1p-13, -0x1.102981416dc81p-13, -0x1.06a6b08ade3bep-13, -0x1.fa99245441a6ap-14, -0x1.e8344e0ed205bp-14, -0x1.d61cf8c0f2429p-14, -0x1.c45156840f204p-14, -0x1.b2cfb00ae68bdp-14, -0x1.a19663a53986p-14, -0x1.90a3e44bbad1cp-14, -0x1.7ff6b8b3e5bb4p-14, -0x1.6f8d7a6ba3edbp-14, -0x1.5f66d4fc879e2p-14, -0x1.4f8185166db9ep-14, -0x1.3fdc57c15775ap-14, -0x1.307629964f486p-14, -0x1.214de5ff2995p-14, -0x1.1262867cf81ebp-14, -0x1.03b311f50171p-14, -0x1.ea7d38082485cp-15, -0x1.ce0888affe129p-15, -0x1.b2066c1e57247p-15, -0x1.96754e3be3213p-15, -0x1.7b53af7375ba4p-15, -0x1.60a023935725ap-15, -0x1.465950b9675ap-15, -0x1.2c7dee49c4a46p-15, -0x1.130cc3efacd12p-15, -0x1.f40951509ece2p-16, -0x1.c2c903ae92879p-16, -0x1.925684c9081e1p-16, -0x1.62afd3c66adaep-16, -0x1.33d30783718abp-16, -0x1.05be4d040bf4bp-16, -0x1.b0dfcbe9f440cp-17, -0x1.57cc4e7b486cfp-17, -0x1.003eef4344bcbp-17, -0x1.546939c623c1bp-18, -0x1.56a99253fe4e6p-19, -0x1.4eb7e42cb55ccp-24, 0x1.3bd3f89bdcceep-19, 0x1.3e1f143bbdf87p-18, 0x1.db6986ab01da7p-18, 0x1.3ae72555581a5p-17, 0x1.86a919d4e945dp-17, 0x1.d0fcfa85cd7afp-17, 0x1.0cf289637101ap-16, 0x1.30b1d0a0a9815p-16, 0x1.53bd6cb822f0ap-16, 0x1.76167289ee344p-16, 0x1.97bdf2c81f55fp-16, 0x1.b8b4fa9cadc72p-16, 0x1.d8fc94460b759p-16, 0x1.f895c7aab66ep-16, 0x1.0bc0cd7217d8bp-15, 0x1.1ae08960c5339p-15, 0x1.29aa99a0fb116p-15, 0x1.381f8003c28c2p-15, 0x1.463fbe613c3bap-15, 0x1.540bd6cab0bb7p-15, 0x1.61844bb926334p-15, 0x1.6ea9a038a9b73p-15, 0x1.7b7c58105dcc2p-15, 0x1.87fcf7e77c2d2p-15, 0x1.942c056761299p-15, 0x1.a00a075ac2d4ap-15, 0x1.ab9785ca2f0d3p-15, 0x1.b6d50a15f182ap-15, 0x1.c1c31f0d76f8ep-15, 0x1.cc6251044e94dp-15, 0x1.d6b32de4e1b06p-15, 0x1.e0b64540fa5b5p-15, 0x1.ea6c286032d43p-15, 0x1.f3d56a4c65c21p-15, 0x1.fcf29fdc36f6p-15, 0x1.02e22fdde4427p-14, 0x1.0725a139dc587p-14, 0x1.0b43f1373accdp-14, 0x1.0f3d6dfe00afp-14, 0x1.131266aa1c59p-14, 0x1.16c32b4bd8392p-14, 0x1.1a500ce79bf37p-14, 0x1.1db95d750db9p-14, 0x1.20ff6fdd97708p-14, 0x1.242297fa5beebp-14, 0x1.27232a91a2605p-14, 0x1.2a017d53c0896p-14, 0x1.2cbde6d78cdd3p-14, 0x1.2f58be965b7e1p-14, 0x1.31d25ce793a7bp-14, 0x1.342b1afbdf52p-14, 0x1.366352d7fcf8cp-14, 0x1.387b5f4f3bffbp-14, 0x1.3a739bfda6c39p-14, 0x1.3c4c6541e3877p-14, 0x1.3e061836ce3a2p-14, 0x1.3fa112acd4fbap-14, 0x1.411db32318d3ep-14, }}, 
      {{0x1.fc7a0a4f7472p-1, 0x1.fc2f80036489ep-1, 0x1.fbb43ecff2257p-1, 0x1.fb09ac033186dp-1, 0x1.fa319cb356b73p-1, 0x1.f92e3f62ca6bep-1, 0x1.f80205e09be58p-1, 0x1.f6af909bb65eep-1, 0x1.f5399c1262684p-1, 0x1.f3a2f0aa19dc2p-1, 0x1.f1ee54ff6e8e4p-1, 0x1.f01e829863726p-1, 0x1.ee361ccdc4405p-1, 0x1.ec37a9b4b662fp-1, 0x1.ea258ccd32ba7p-1, 0x1.e8020339f4f6fp-1, 0x1.e5cf2148f2876p-1, 0x1.e38ed11771fa5p-1, 0x1.e142d221b2302p-1, 0x1.deecb99322d01p-1, 0x1.dc8df331434bdp-1, 0x1.da27c2c0131f9p-1, 0x1.d7bb45c37e0e6p-1, 0x1.d549758554236p-1, 0x1.d2d3294b128eep-1, 0x1.d05918aa1893fp-1, 0x1.cddbddebd4a9cp-1, 0x1.cb5bf8760820cp-1, 0x1.c8d9cf2d85e8ep-1, 0x1.c655b2cbbf6bep-1, 0x1.c3cfe02121025p-1, 0x1.c148823fb19fep-1, 0x1.bebfb48a99e73p-1, 0x1.bc3584a844a43p-1, 0x1.b9a9f4559e3a6p-1, 0x1.b71cfb19b45eap-1, 0x1.b48e87d983891p-1, 0x1.b1fe824c3e6cdp-1, 0x1.af6ccc50b3f37p-1, 0x1.acd94324c728dp-1, 0x1.aa43c08022a09p-1, 0x1.a7ac1b9375cc4p-1, 0x1.a51229edad7a3p-1, 0x1.a275c048a656cp-1, 0x1.9fd6b33ee114dp-1, 0x1.9d34d7ebc2169p-1, 0x1.9a900477e6a63p-1, 0x1.97e810930952ap-1, 0x1.953cd5dcec955p-1, 0x1.928e303eaeaf9p-1, 0x1.8fdbfe35da0cdp-1, 0x1.8d2621127999fp-1, 0x1.8a6c7d295c934p-1, 0x1.87aef9fbae091p-1, 0x1.84ed8254e78c9p-1, 0x1.822804601e1a9p-1, 0x1.7f5e71b58aab5p-1, 0x1.7c90bf612c80dp-1, 0x1.79bee5e344bc8p-1, 0x1.76e8e12b665f9p-1, 0x1.740eb08ebf6aep-1, 0x1.713056ba34643p-1, 0x1.6e4dd9a0db353p-1, 0x1.6b674267540f1p-1, 0x1.687c9d4c74358p-1, 0x1.658df98fac069p-1, 0x1.629b69558625cp-1, 0x1.5fa5018a99114p-1, 0x1.5caad9c53342fp-1, 0x1.59ad0c260d822p-1, 0x1.56abb5383d744p-1, 0x1.53a6f3d0a2093p-1, 0x1.509ee8ecfda9cp-1, 0x1.4d93b792e69dep-1, 0x1.4a8584aeb8fcdp-1, 0x1.477476f2ac04fp-1, 0x1.4460b6b62a152p-1, 0x1.414a6dd584c9p-1, 0x1.3e31c792200dep-1, 0x1.3b16f07326a74p-1, 0x1.37fa1626dc267p-1, 0x1.34db676498a6fp-1, 0x1.31bb13cf7fac7p-1, 0x1.2e994bd9f99f3p-1, 0x1.2b7640a9fb8cp-1, 0x1.285223fe23523p-1, 0x1.252d2813b0d13p-1, 0x1.22077f8d5b6e2p-1, 0x1.1ee15d5b0fd0fp-1, 0x1.1bbaf4a28f07dp-1, 0x1.189478a8f966ap-1, 0x1.156e1cbd3d387p-1, 0x1.124814237083ep-1, 0x1.0f229201109c5p-1, 0x1.0bfdc94a26652p-1, 0x1.08d9ecaf4f104p-1, 0x1.05b72e8ca4804p-1, 0x1.0295c0d9854e5p-1, 0x1.feebaa3267c26p-2, 0x1.f8af38989fc19p-2, 0x1.f2768dc63ef0dp-2, 0x1.ec4209614f7e8p-2, 0x1.e61209bd20a25p-2, 0x1.dfe6ebc39308ep-2, 0x1.d9c10adfea7a5p-2, 0x1.d3a0c0eb1392cp-2, 0x1.cd86661956f66p-2, 0x1.c77250e970518p-2, 0x1.c164d614fa331p-2, 0x1.bb5e48822a59bp-2, 0x1.b55ef936cff0ep-2, 0x1.af67374c8a111p-2, 0x1.a9774fe62b84p-2, 0x1.a38f8e264452dp-2, 0x1.9db03b26c1499p-2, 0x1.97d99df19c987p-2, 0x1.920bfb7a91811p-2, 0x1.8c479699c9d2ep-2, 0x1.868cb0077c6a5p-2, 0x1.80db86587225ap-2, 0x1.7b3455fb656ecp-2, 0x1.7597593737f4ep-2, 0x1.7004c829ed6d5p-2, 0x1.6a7cd8c86b5ep-2, 0x1.64ffbedeebe72p-2, 0x1.5f8dac12223bap-2, 0x1.5a26cfe101632p-2, 0x1.54cb57a723f42p-2, 0x1.4f7b6e9fc5d19p-2, 0x1.4a373de94b164p-2, 0x1.44feec894d94dp-2, 0x1.3fd29f71273ebp-2, 0x1.3ab27982f0a77p-2, 0x1.359e9b96f1e13p-2, 0x1.3097248176beap-2, 0x1.2b9c311908acdp-2, 0x1.26addc3cff31ep-2, 0x1.21cc3edc669ebp-2, 0x1.1cf76ffd350a4p-2, 0x1.182f84c3c3e84p-2, 0x1.1374907a90e03p-2, 0x1.0ec6a49a37d07p-2, 0x1.0a25d0d1a51dp-2, 0x1.0592230e7a21fp-2, 0x1.010ba7859ef1ep-2, 0x1.f924d177fbba6p-3, 0x1.f04cdf1ebf091p-3, 0x1.e78f867ed5f77p-3, 0x1.deecd2ed7996dp-3, 0x1.d664cca830ac4p-3, 0x1.cdf778e7592eap-3, 0x1.c5a4d9f0c9848p-3, 0x1.bd6cef2a94f11p-3, 0x1.b54fb52ddc51cp-3, 0x1.ad4d25d9a6c67p-3, 0x1.a5653865c4e7fp-3, 0x1.9d97e175b0798p-3, 0x1.95e5132b6895ap-3, 0x1.8e4cbd3a3c43bp-3, 0x1.86ceccf98c412p-3, 0x1.7f6b2d7770a56p-3, 0x1.7821c78b47a71p-3, 0x1.70f281e829fd7p-3, 0x1.69dd412f35097p-3, 0x1.62e1e801b7f82p-3, 0x1.5c0057132fa22p-3, 0x1.55386d3b1f3d2p-3, 0x1.4e8a0786afdf7p-3, 0x1.47f5014a24ea9p-3, 0x1.417934321748dp-3, 0x1.3b1678547be4p-3, 0x1.34cca4416ba8ap-3, 0x1.2e9b8d13b5e0cp-3, 0x1.288306813096ap-3, 0x1.2282e2eac9a25p-3, 0x1.1c9af36c58626p-3, 0x1.16cb07ec27539p-3, 0x1.1112ef2a42b9cp-3, 0x1.0b7276cf79e1p-3, 0x1.05e96b7c1bc25p-3, 0x1.007798d671b03p-3, 0x1.f6399331d22d1p-4, 0x1.ebb18f3ff683dp-4, 0x1.e156b7ef984a5p-4, 0x1.d7289dd2eea1fp-4, 0x1.cd26d0104236dp-4, 0x1.c350dc7b5514ap-4, 0x1.b9a64fae5f2b4p-4, 0x1.b026b5224e978p-4, 0x1.a6d1974693cf1p-4, 0x1.9da67f983de1ap-4, 0x1.94a4f6b898c34p-4, 0x1.8bcc848322b4ep-4, 0x1.831cb023008bep-4, 0x1.7a950027d2c4ap-4, 0x1.7234fa99fe048p-4, 0x1.69fc250e616bep-4, 0x1.61ea04b97d872p-4, 0x1.59fe1e820bdf6p-4, 0x1.5237f71309fcp-4, 0x1.4a9712ed382dbp-4, 0x1.431af6780d058p-4, 0x1.3bc3261221b04p-4, 0x1.348f262114925p-4, 0x1.2d7e7b20e84d3p-4, 0x1.2690a9b2dd3dfp-4, 0x1.1fc536abca35fp-4, 0x1.191ba721f35ecp-4, 0x1.1293807a64366p-4, 0x1.0c2c4875cb962p-4, 0x1.05e5853cddcfp-4, 0x1.ff7d7ad87fp-5, 0x1.f36ef03fedb94p-5, 0x1.e79e79fcd85e1p-5, 0x1.dc0b2885e952ap-5, 0x1.d0b40d8fdfeeep-5, 0x1.c5983c20ea19ap-5, 0x1.bab6c8a329bb6p-5, 0x1.b00ec8f6649e4p-5, 0x1.a59f5480e56c5p-5, 0x1.9b67843f925e6p-5, 0x1.916672d53c11fp-5, 0x1.879b3c992b354p-5, 0x1.7e04ffa4ee188p-5, 0x1.74a2dbe170578p-5, 0x1.6b73f3135809bp-5, 0x1.627768e6b7f22p-5, 0x1.59ac62fa0e404p-5, 0x1.511208e8a00dap-5, 0x1.48a784542ecb1p-5, 0x1.406c00ee0c2dep-5, 0x1.385eac7f93a7dp-5, 0x1.307eb6f20c3a1p-5, 0x1.28cb5255f6279p-5, 0x1.2143b2e9c7b23p-5, 0x1.19e70f2020f98p-5, 0x1.12b49fa575395p-5, 0x1.0bab9f6531d99p-5, 0x1.04cb4b8e672e7p-5, 0x1.fc25c72fdf7bcp-6, 0x1.ef0352884e905p-6, 0x1.e22dc14849d21p-6, 0x1.d5a3a0351539bp-6, 0x1.c96380bbc9c5cp-6, 0x1.bd6bf8f540f01p-6, 0x1.b1bba3a9362dcp-6, 0x1.a65120509fe23p-6, 0x1.9b2b13174c6f5p-6, 0x1.904824dcc6e8ap-6, 0x1.85a7033488557p-6, 0x1.7b46606580c4p-6, 0x1.7124f368f8e37p-6, 0x1.674177e8d5488p-6, 0x1.5d9aae3d45383p-6, 0x1.542f5b69d9737p-6, 0x1.4afe491a1116p-6, 0x1.4206459d61773p-6, 0x1.394623e2b6edbp-6, 0x1.30bcbb7381788p-6, 0x1.2868e86e4209cp-6, 0x1.20498b80acdb1p-6, 0x1.185d89e160188p-6, 0x1.10a3cd492c109p-6, 0x1.091b43ec02062p-6, 0x1.01c2e0717e617p-6, 0x1.f53333da3e493p-7, 0x1.e73cd7ac3dc8dp-7, 0x1.d9a0abfe17007p-7, 0x1.cc5cb91a02bcdp-7, 0x1.bf6f0fdd5cbb3p-7, 0x1.b2d5c9a60d53bp-7, 0x1.a68f083f7e53bp-7, 0x1.9a98f5cf1296dp-7, 0x1.8ef1c4c0357a6p-7, 0x1.8397afaff8518p-7, 0x1.7888f95855c71p-7, 0x1.6dc3ec7b158bep-7, 0x1.6346dbcc5fcc5p-7, 0x1.591021dcff059p-7, 0x1.4f1e21045e4cap-7, 0x1.456f434a4720ep-7, 0x1.3c01fa505b43ap-7, 0x1.32d4bf3b65302p-7, 0x1.29e6129c6f6fbp-7, 0x1.21347c59b4a95p-7, 0x1.18be8b97696a2p-7, 0x1.1082d6a064929p-7, 0x1.087ffacead4e2p-7, 0x1.00b49c73effe6p-7, 0x1.f23ecd83c3f46p-8, 0x1.e37e17652a3afp-8, 0x1.d52487e1853efp-8, 0x1.c72f9d801d2fp-8, 0x1.b99ce3ca9282p-8, 0x1.ac69f31d62bffp-8, 0x1.9f94707876951p-8, 0x1.931a0d4fc157bp-8, 0x1.86f8875bf51b3p-8, 0x1.7b2da86b5768dp-8, 0x1.6fb74632b4a78p-8, 0x1.6493421e80d47p-8, 0x1.59bf89242304cp-8, 0x1.4f3a139376a9dp-8, 0x1.4500e4e885218p-8, 0x1.3b120b9d7c5aap-8, 0x1.316ba0fce6c6ep-8, 0x1.280bc8f42ba35p-8, 0x1.1ef0b1e657983p-8, 0x1.1618947f34708p-8, 0x1.0d81b386b34a9p-8, 0x1.052a5bb4aca2p-8, 0x1.fa21c709ed877p-9, 0x1.ea675617b7eaap-9, 0x1.db223795d70ddp-9, 0x1.cc4f510c61043p-9, 0x1.bdeb9a3393793p-9, 0x1.aff41c9fd3003p-9, 0x1.a265f36e7c5f6p-9, 0x1.953e4af38c56bp-9, 0x1.887a606821d2ap-9, 0x1.7c178199da8ccp-9, 0x1.70130c9b15eacp-9, 0x1.646a6f7416cb1p-9, 0x1.591b27d51011dp-9, 0x1.4e22c2c915c47p-9, 0x1.437edc6a00c6cp-9, 0x1.392d1f9539f7dp-9, 0x1.2f2b45a175af3p-9, 0x1.25771615653dap-9, 0x1.1c0e665f532cbp-9, 0x1.12ef198dbb229p-9, 0x1.0a172008cda62p-9, 0x1.0184774cf2e69p-9, 0x1.f26a534c73e87p-10, 0x1.e24e9bd989792p-10, 0x1.d2b20e8452f12p-10, 0x1.c391099f8d797p-10, 0x1.b4e8030c2899cp-10, 0x1.a6b387b9c781ep-10, 0x1.98f03b293ababp-10, 0x1.8b9ad6f0dbb99p-10, 0x1.7eb02a42d3584p-10, 0x1.722d19754b313p-10, 0x1.660e9d8c855f4p-10, 0x1.5a51c3c6d07f3p-10, 0x1.4ef3ad2a69f62p-10, 0x1.43f18e1534978p-10, 0x1.3948adce548efp-10, 0x1.2ef666199c48dp-10, 0x1.24f822ccd8fd3p-10, 0x1.1b4b6166ebb8cp-10, 0x1.11edb0a8b9065p-10, 0x1.08dcb02fdf751p-10, 0x1.001610133ca46p-10, 0x1.ef2f2102637b1p-11, 0x1.debe02bf5e0a8p-11, 0x1.ced483dbf2e6cp-11, 0x1.bf6e80d055523p-11, 0x1.b087f358cad35p-11, 0x1.a21cf1c376312p-11, 0x1.9429ae417b055p-11, 0x1.86aa763b6f4edp-11, 0x1.799bb1a9147c9p-11, 0x1.6cf9e26c4d224p-11, 0x1.60c1a3af45a77p-11, 0x1.54efa945c67cdp-11, 0x1.4980bf11a6d4bp-11, 0x1.3e71c86a5630ep-11, 0x1.33bfbf8771bcep-11, 0x1.2967b4ee5b189p-11, 0x1.1f66cee2ca0cp-11, 0x1.15ba48da4a80ep-11, 0x1.0c5f72f29fc7p-11, 0x1.0353b16b01e19p-11, 0x1.f528f840548dfp-12, 0x1.e43ebc164e991p-12, 0x1.d3e3e985d3b3fp-12, 0x1.c413e0010b7b9p-12, 0x1.b4ca224c300b8p-12, 0x1.a602559095277p-12, 0x1.97b84074d4b24p-12, 0x1.89e7ca3a0c2e4p-12, 0x1.7c8cf9de1702dp-12, 0x1.6fa3f542af764p-12, 0x1.63290059653dbp-12, 0x1.57187c5453938p-12, 0x1.4b6ee6db845b7p-12, 0x1.4028d946e8772p-12, 0x1.354307dcd66e2p-12, 0x1.2aba4114fa3e8p-12, 0x1.208b6cdf9f5e2p-12, 0x1.16b38bf1476ap-12, 0x1.0d2fb71272f1bp-12, 0x1.03fd1e73935cp-12, 0x1.f632120a0a0c5p-13, 0x1.e501a7a61b1c2p-13, 0x1.d463e2cb8206cp-13, 0x1.c453d2497d5bbp-13, 0x1.b4ccad7d6c352p-13, 0x1.a5c9d3293aed7p-13, 0x1.9746c85113d26p-13, 0x1.893f37202ee63p-13, 0x1.7baeedd4a20fdp-13, 0x1.6e91ddb202e3ap-13, 0x1.61e419fac8002p-13, 0x1.55a1d6f038763p-13, 0x1.49c768d8d483ap-13, 0x1.3e51430d0a981p-13, 0x1.333bf70a24d2cp-13, 0x1.2884338b41f02p-13, 0x1.1e26c3a8406eep-13, 0x1.14208dfa7d4cfp-13, 0x1.0a6e93c747bb7p-13, 0x1.010df02fdf75fp-13, 0x1.eff7aecde5d8p-14, 0x1.de6b2bd6e5d25p-14, 0x1.cd711f9131336p-14, 0x1.bd047fb62f3cap-14, 0x1.ad206e3686dffp-14, 0x1.9dc037d848c4fp-14, 0x1.8edf52de982abp-14, 0x1.80795dbac3e12p-14, 0x1.728a1dc678859p-14, 0x1.650d7e06e93d3p-14, 0x1.57ff8df8b7444p-14, 0x1.4b5c806462ff2p-14, 0x1.3f20aa3b16fd9p-14, 0x1.3348817b9aaf7p-14, 0x1.27d09c1f3bf6ap-14, 0x1.1cb5af0e80667p-14, 0x1.11f48d1d6f857p-14, 0x1.078a260f476bbp-14, 0x1.fae70b42df8eap-15, 0x1.e75ba53af99cfp-15, 0x1.d46c9be4315d7p-15, 0x1.c214a3a551edep-15, 0x1.b04ea1bb04742p-15, 0x1.9f15aa910d92ep-15, 0x1.8e6500280476ap-15, 0x1.7e3810873b0ecp-15, 0x1.6e8a743a89fd8p-15, 0x1.5f57ecdbaf89fp-15, 0x1.509c63a6f9856p-15, 0x1.4253e81af2155p-15, 0x1.347aaea2c6f7p-15, 0x1.270d0f4b1f376p-15, 0x1.1a07848126729p-15, 0x1.0d66a9db7c8a2p-15, 0x1.01273aecd255ap-15, 0x1.ea8c243fd7f1bp-16, 0x1.d3804f3998ac4p-16, 0x1.bd25206d9523dp-16, 0x1.a774f8c6abaeap-16, 0x1.926a6e7254f6ap-16, 0x1.7e004aef814aap-16, 0x1.6a31892d6b9a7p-16, 0x1.56f953ba0528dp-16, 0x1.445302ff7d4acp-16, 0x1.323a1b907ee18p-16, 0x1.20aa4c82c01f4p-16, 0x1.0f9f6dd7787f6p-16, 0x1.fe2afde2bd1d1p-17, 0x1.de114a2f8fcep-17, 0x1.beea540d1e4dcp-17, 0x1.a0aef514bea13p-17, 0x1.83584a5227c39p-17, 0x1.66dfb1ab88d81p-17, 0x1.4b3ec7606d05ep-17, 0x1.306f639ea68e7p-17, 0x1.166b982cb42bbp-17, 0x1.fa5b5c51d8dafp-18, 0x1.c96047b9b99c3p-18, 0x1.99db554881209p-18, 0x1.6bc249cdf2bfcp-18, 0x1.3f0b484af0038p-18, 0x1.13acce2e0e3f4p-18, 0x1.d33b5f65b62ep-19, 0x1.81aa28c57f2a9p-19, 0x1.3294e76cfa824p-19, 0x1.cbd6475d072cep-20, 0x1.3739f1f9547b3p-20, 0x1.4e6c3f939e8a6p-21, 0x1.bad308785bb59p-24, -0x1.adf5e27b1525p-22, -0x1.dccaff82781fap-21, -0x1.6d259a93406ffp-20, -0x1.e7d79a52ba871p-20, -0x1.2f4a3aaad222ep-19, -0x1.68ba281c828cp-19, -0x1.a047435a3adbcp-19, -0x1.d5fcda0a8afdep-19, -0x1.04f2eed8c052dp-18, -0x1.1e0673cd003ddp-18, -0x1.363e1e4b8e151p-18, -0x1.4d9ee84f67effp-18, -0x1.642da51fae225p-18, -0x1.79ef02f84accep-18, -0x1.8ee78ca12da3p-18, -0x1.a31baaf4b3833p-18, -0x1.b68fa655d45f1p-18, -0x1.c947a816a2174p-18, -0x1.db47bbcfaa21fp-18, -0x1.ec93d0a8bd6d5p-18, -0x1.fd2fba93a8d4bp-18, -0x1.068f99bcace9p-17, -0x1.0e32ee2cf71d8p-17, -0x1.15839f3014eb2p-17, -0x1.1c8365f46263p-17, -0x1.2333f0bf030b4p-17, -0x1.2996e3640d468p-17, -0x1.2fadd7b9474f1p-17, -0x1.357a5e03ad669p-17, -0x1.3afdfd5fef0e5p-17, -0x1.403a342619536p-17, -0x1.4530784898681p-17, -0x1.49e237aec2d6cp-17, -0x1.4e50d88b17f46p-17, -0x1.527db9ad5dd09p-17, -0x1.566a32d0c6208p-17, -0x1.5a1794e648d5ep-17, -0x1.5d872a5b55194p-17, -0x1.60ba375cf9a71p-17, -0x1.63b1fa17bcea8p-17, -0x1.666faaf42fc8cp-17, -0x1.68f47cd06d8ddp-17, -0x1.6b419d36a73eap-17, -0x1.6d583490d15f3p-17, -0x1.6f3966599df84p-17, -0x1.70e6514ae2905p-17, -0x1.72600f89742f8p-17, -0x1.73a7b6cead4fp-17, -0x1.74be588fa4e9fp-17, -0x1.75a5022244cbdp-17, -0x1.765cbce0395acp-17, -0x1.76e68e47fd27p-17, -0x1.7743781beef59p-17, -0x1.7774787fa0631p-17, -0x1.777a8a136b88dp-17, -0x1.7756a40e6de7p-17, -0x1.7709ba56e4423p-17, -0x1.7694bd9918731p-17, -0x1.75f89b5ce2999p-17, -0x1.75363e19d4c28p-17, -0x1.744e8d4a16c3cp-17, -0x1.73426d7c206bdp-17, -0x1.7212c0633af71p-17, -0x1.70c064e6ff1c9p-17, -0x1.6f4c3731b732ap-17, -0x1.6db710bde081ap-17, -0x1.6c01c862ad814p-17, -0x1.6a2d325fb71e6p-17, -0x1.683a2067d4638p-17, -0x1.662961ab33e6p-17, -0x1.63fbc2e0b6f7fp-17, -0x1.61b20e4e9e78ap-17, -0x1.5f4d0bd2935abp-17, -0x1.5ccd80e91c2afp-17, -0x1.5a3430b474101p-17, -0x1.5781dc02ee7ffp-17, -0x1.54b74154c7f51p-17, -0x1.51d51ce193341p-17, -0x1.4edc289d2c363p-17, -0x1.4bcd1c3c51953p-17, -0x1.48a8ad38d42f4p-17, -0x1.456f8ed577ac6p-17, -0x1.422272218095p-17, -0x1.3ec205fbf7777p-17, -0x1.3b4ef716aaea1p-17, -0x1.37c9eff8f0fccp-17, -0x1.34339902327abp-17, -0x1.308c986c42008p-17, -0x1.2cd5924d85882p-17, -0x1.290f289af6e23p-17, -0x1.2539fb29fe91fp-17, -0x1.2156a7b22f19ap-17, -0x1.1d65c9cee3743p-17, -0x1.1967fb00c431bp-17, -0x1.155dd2af38b07p-17, -0x1.1147e629c62d7p-17, -0x1.0d26c8a95fb34p-17, -0x1.08fb0b51ab39ap-17, -0x1.04c53d323e447p-17, -0x1.0085eb47d4069p-17, -0x1.f87b40fb00684p-18, -0x1.efd9cb5bc0c77p-18, -0x1.e72883489ee88p-18, -0x1.de68723c347dap-18, -0x1.d59a9d9775899p-18, -0x1.ccc006a43242ep-18, -0x1.c3d9aa97a9afbp-18, -0x1.bae882953194dp-18, -0x1.b1ed83b0f0d78p-18, -0x1.a8e99ef2b7461p-18, -0x1.9fddc158ed4bbp-18, -0x1.96cad3dba19f3p-18, -0x1.8db1bb6fb6ef7p-18, -0x1.8493590a31d81p-18, -0x1.7b7089a3a88f8p-18, -0x1.724a263bd7c34p-18, -0x1.692103dd5b31dp-18, }}, 
      {{0x1.5374cdf05d92ap-15, 0x1.541ab125d9953p-13, 0x1.7fbd2f499fee2p-12, 0x1.56586d08a984bp-11, 0x1.0c8832849e7dp-10, 0x1.843fc4cdd6159p-10, 0x1.093699b595ea8p-9, 0x1.5b7da9a0cdf0bp-9, 0x1.b8ce0804c82b2p-9, 0x1.10709edf1e285p-8, 0x1.49a7fdeb929f9p-8, 0x1.87c8ff4ee7da1p-8, 0x1.ca7f7fb49c6cfp-8, 0x1.08b41eb87fd1p-7, 0x1.2e0906174702dp-7, 0x1.54ffa16d1e9a7p-7, 0x1.7d53a85e18117p-7, 0x1.a6bc34ca8e60bp-7, 0x1.d0ec9d9cc27p-7, 0x1.fb9550c13069bp-7, 0x1.133253e3f64b2p-6, 0x1.2883d9d20747bp-6, 0x1.3d957e6d8e211p-6, 0x1.523d9b1c53e72p-6, 0x1.6652f0615b9b8p-6, 0x1.79acf01d1141dp-6, 0x1.8c23fff3e5202p-6, 0x1.9d91b3eb389acp-6, 0x1.add101714e5ccp-6, 0x1.bcbe6b2080106p-6, 0x1.ca3825a174242p-6, 0x1.d61e361cf5338p-6, 0x1.e0528ab556d99p-6, 0x1.e8b90d82617eep-6, 0x1.ef37b28a85b46p-6, 0x1.f3b6813150f44p-6, 0x1.f61f998ead2c7p-6, 0x1.f65f361cef758p-6, 0x1.f463aa2548339p-6, 0x1.f01d5d4b9892fp-6, 0x1.e97ec493d6525p-6, 0x1.e07c59347554ap-6, 0x1.d50c8d82ae8dp-6, 0x1.c727c03f42b68p-6, 0x1.b6c82e8447a3ap-6, 0x1.a3e9e48eda18ap-6, 0x1.8e8aad9a313f3p-6, 0x1.76aa02fc857cp-6, 0x1.5c48fab1729d9p-6, 0x1.3f6a35790a164p-6, 0x1.2011ccaea414ep-6, 0x1.fc8a7fed44aeap-7, 0x1.b416c5bd36817p-7, 0x1.66d895105d152p-7, 0x1.14e276e718377p-7, 0x1.7c925def76229p-8, 0x1.8c8e60a9a0dcep-9, 0x1.c540d9167f7c4p-14, -0x1.819dcc9a3e909p-9, -0x1.912be8d880e89p-8, -0x1.34e3201c81352p-7, -0x1.a52fa3e115a07p-7, -0x1.0cad6df17ecc3p-6, -0x1.48a17857ac83p-6, -0x1.86627a150998fp-6, -0x1.c5de7ec5fb718p-6, -0x1.0381911ad9ccfp-5, -0x1.24deceb410097p-5, -0x1.46fd699519337p-5, -0x1.69d3ae14de27ap-5, -0x1.8d57c94b2e9a2p-5, -0x1.b17fcea6afde7p-5, -0x1.d641bd493e95p-5, -0x1.fb93852bdaf4dp-5, -0x1.10b5860599f29p-4, -0x1.23df190f02bb1p-4, -0x1.37416b4b2ffdep-4, -0x1.4ad76df787c29p-4, -0x1.5e9c16031e67ap-4, -0x1.728a5e0335deap-4, -0x1.869d480f79cefp-4, -0x1.9acfdf86809c8p-4, -0x1.af1d3abb18416p-4, -0x1.c3807c8ae8e5cp-4, -0x1.d7f4d5dedad05p-4, -0x1.ec758715dbe6dp-4, -0x1.007ef0ad338aep-3, -0x1.0ac4a3f1a1ebdp-3, -0x1.150998900c55ep-3, -0x1.1f4b93e90b6cbp-3, -0x1.29886608ae0a1p-3, -0x1.33bdea1fb5602p-3, -0x1.3dea06f3975bdp-3, -0x1.480aaf4585ba6p-3, -0x1.521de230b3e09p-3, -0x1.5c21ab8012ddbp-3, -0x1.661423fbc2ef1p-3, -0x1.6ff371ae71eebp-3, -0x1.79bdc822e8a57p-3, -0x1.8371689a02d11p-3, -0x1.8d0ca23946a4bp-3, -0x1.968dd23266884p-3, -0x1.9ff363e3e4812p-3, -0x1.a93bd0f313146p-3, -0x1.b265a15fb83e1p-3, -0x1.bb6f6b918f3p-3, -0x1.c457d45fe5887p-3, -0x1.cd1d8f13989d6p-3, -0x1.d5bf5d63acea1p-3, -0x1.de3c0f6cbef37p-3, -0x1.e69283a38cf93p-3, -0x1.eec1a6c2da89fp-3, -0x1.f6c873b4e3a33p-3, -0x1.fea5f378a3f85p-3, -0x1.032c9e819323bp-2, -0x1.06f0ba8e909bbp-2, -0x1.0a9ee71e874f1p-2, -0x1.0e36c42eff215p-2, -0x1.11b7f869af86dp-2, -0x1.1522310cf3ff1p-2, -0x1.187521d2f08bap-2, -0x1.1bb084d780183p-2, -0x1.1ed41a7cff4a9p-2, -0x1.21dfa9501528bp-2, -0x1.24d2fdea89da4p-2, -0x1.27adead545e9p-2, -0x1.2a7048698dcaap-2, -0x1.2d19f4b192c5ap-2, -0x1.2faad34864a0ep-2, -0x1.3222cd3964a8ep-2, -0x1.3481d0df40338p-2, -0x1.36c7d1c28ad2fp-2, -0x1.38f4c878095d8p-2, -0x1.3b08b27ebafe2p-2, -0x1.3d03921db101bp-2, -0x1.3ee56e41c6197p-2, -0x1.40ae525b3e4dcp-2, -0x1.425e4e3b60c8bp-2, -0x1.43f575f21525ap-2, -0x1.4573e1ab941a2p-2, -0x1.46d9ad8e2d3bep-2, -0x1.4826f998376f7p-2, -0x1.495be97e2ea3dp-2, -0x1.4a78a48907a6bp-2, -0x1.4b7d5574c5808p-2, -0x1.4c6a2a4f5680ap-2, -0x1.4d3f5457c0741p-2, -0x1.4dfd07dd9ffb2p-2, -0x1.4ea37c210830cp-2, -0x1.4f32eb32bead9p-2, -0x1.4fab91d4e1189p-2, -0x1.500daf5bf3d4dp-2, -0x1.5059859061b69p-2, -0x1.508f58906da1cp-2, -0x1.50af6eb29b578p-2, -0x1.50ba106891a77p-2, -0x1.50af88227987cp-2, -0x1.50902232dc484p-2, -0x1.505c2cb301504p-2, -0x1.5013f767d1903p-2, -0x1.4fb7d3a73d214p-2, -0x1.4f48143e2709ap-2, -0x1.4ec50d56d9c7cp-2, -0x1.4e2f146000bp-2, -0x1.4d867ff42c44ap-2, -0x1.4ccba7c1dee4dp-2, -0x1.4bfee47421d2ap-2, -0x1.4b208f9ba451bp-2, -0x1.4a310398638e4p-2, -0x1.49309b83dc9cbp-2, -0x1.481fb31bc741p-2, -0x1.46fea6ad56dap-2, -0x1.45cdd30106b7ap-2, -0x1.448d9546e9f1bp-2, -0x1.433e4b0386391p-2, -0x1.41e051fd2ea44p-2, -0x1.40740829e7b4cp-2, -0x1.3ef9cb9dcd8a2p-2, -0x1.3d71fa79fc447p-2, -0x1.3bdcf2dbf9b3fp-2, -0x1.3a3b12cda0c69p-2, -0x1.388cb835896ccp-2, -0x1.36d240c7f2acbp-2, -0x1.350c09f82374dp-2, -0x1.333a70ea49a7ep-2, -0x1.315dd265d44dfp-2, -0x1.2f768ac84170ap-2, -0x1.2d84f5f8663bbp-2, -0x1.2b896f5a2c19dp-2, -0x1.298451c2bd883p-2, -0x1.2775f76d2bdb7p-2, -0x1.255eb9ef7db19p-2, -0x1.233ef23031f03p-2, -0x1.2116f85c2e124p-2, -0x1.1ee723dd16e53p-2, -0x1.1cafcb5015e77p-2, -0x1.1a71447d03ce9p-2, -0x1.182be44dfc2aap-2, -0x1.15dffec755c0ap-2, -0x1.138de6fffba69p-2, -0x1.1135ef1a2aa64p-2, -0x1.0ed8683c8e0fep-2, -0x1.0c75a28bb8e8ep-2, -0x1.0a0ded23fe8a6p-2, -0x1.07a19613a2c54p-2, -0x1.0530ea55642f6p-2, -0x1.02bc35cb5fb82p-2, -0x1.0043c33a475cdp-2, -0x1.fb8fb889d717cp-3, -0x1.f69192d0381abp-3, -0x1.f18da3eda4bc7p-3, -0x1.ec84782d60f98p-3, -0x1.e7769979924eep-3, -0x1.e2648f5569451p-3, -0x1.dd4eded7dec1dp-3, -0x1.d8360aa6fe163p-3, -0x1.d31a92f3c02f6p-3, -0x1.cdfcf5766ab92p-3, -0x1.c8ddad6b74f26p-3, -0x1.c3bd3390f69c6p-3, -0x1.be9bfe2488612p-3, -0x1.b97a80e1a90c8p-3, -0x1.b4592d009d09p-3, -0x1.af387135b6897p-3, -0x1.aa18b9b11e1e5p-3, -0x1.a4fa701efb2c6p-3, -0x1.9fddfba815c57p-3, -0x1.9ac3c0f2d4dd8p-3, -0x1.95ac2224a36a1p-3, -0x1.90977ee3bf0e7p-3, -0x1.8b86345958964p-3, -0x1.86789d3417d58p-3, -0x1.816f11aaf85efp-3, -0x1.7c69e78071e0fp-3, -0x1.7769720601438p-3, -0x1.726e021ff03a3p-3, -0x1.6d77e649768eap-3, -0x1.68876a991d633p-3, -0x1.639cd8c56711fp-3, -0x1.5eb87829c3922p-3, -0x1.59da8dcbb7e23p-3, -0x1.55035c604f54dp-3, -0x1.50332451c2862p-3, -0x1.4b6a23c552363p-3, -0x1.46a896a15fb67p-3, -0x1.41eeb693b4d69p-3, -0x1.3d3cbb17f98fp-3, -0x1.3892d97e592afp-3, -0x1.33f144f25611p-3, -0x1.2f582e81be177p-3, -0x1.2ac7c523cf396p-3, -0x1.264035c076af6p-3, -0x1.21c1ab37b79d1p-3, -0x1.1d4c4e692fa72p-3, -0x1.18e0463bb6cd6p-3, -0x1.147db7a51a8a1p-3, -0x1.1024c5b1f5164p-3, -0x1.0bd5918d92c1bp-3, -0x1.07903a89f6f4ap-3, -0x1.0354de27eadf3p-3, -0x1.fe47303e3d41fp-4, -0x1.f5f904ccb64e9p-4, -0x1.edbf6a777b712p-4, -0x1.e59a8e5a0324cp-4, -0x1.dd8a9a3f9a187p-4, -0x1.d58fb4b41d1f7p-4, -0x1.cdaa0114a6d0ap-4, -0x1.c5d99fa05e932p-4, -0x1.be1ead8936132p-4, -0x1.b6794504b4c9ap-4, -0x1.aee97d5cc3844p-4, -0x1.a76f6b0062d09p-4, -0x1.a00b1f9472ff4p-4, -0x1.98bcaa045a33p-4, -0x1.91841692b03dep-4, -0x1.8a616ee9ce2cp-4, -0x1.8354ba2c53998p-4, -0x1.7c5dfd059584bp-4, -0x1.757d39b9f5b9cp-4, -0x1.6eb2703724149p-4, -0x1.67fd9e2442babp-4, -0x1.615ebef1eee4dp-4, -0x1.5ad5cbea2b0b1p-4, -0x1.5462bc402777dp-4, -0x1.4e05851fe9f4fp-4, -0x1.47be19bdd059dp-4, -0x1.418c6b65edfb9p-4, -0x1.3b70698b420ecp-4, -0x1.356a01d6c592fp-4, -0x1.2f7920364e247p-4, -0x1.299daeeb46ef7p-4, -0x1.23d796993cf45p-4, -0x1.1e26be543bf8bp-4, -0x1.188b0baeff7dcp-4, -0x1.130462c8f0dfap-4, -0x1.0d92a65bf7898p-4, -0x1.0835b7ca1517bp-4, -0x1.02ed772ad118bp-4, -0x1.fb7386b0e0c2fp-5, -0x1.f134f3f9f0f7ep-5, -0x1.e71eef3dfeba9p-5, -0x1.dd312f5c8ae7dp-5, -0x1.d36b6920341b4p-5, -0x1.c9cd4f5713d16p-5, -0x1.c05692eaaf2bdp-5, -0x1.b706e2f778866p-5, -0x1.adddece3e3fa4p-5, -0x1.a4db5c770d663p-5, -0x1.9bfedbeeee942p-5, -0x1.93481416262fcp-5, -0x1.8ab6ac594fe89p-5, -0x1.824a4adbeba31p-5, -0x1.7a02948cd5d4cp-5, -0x1.71df2d3a4f494p-5, -0x1.69dfb7a597217p-5, -0x1.6203d596132c9p-5, -0x1.5a4b27ec0b2fdp-5, -0x1.52b54eb2f3961p-5, -0x1.4b41e9334c1c4p-5, -0x1.43f096040ef46p-5, -0x1.3cc0f31bb2d68p-5, -0x1.35b29de0c167cp-5, -0x1.2ec5333a008eap-5, -0x1.27f84f9e32ee3p-5, -0x1.214b8f236a40fp-5, -0x1.1abe8d8df34fep-5, -0x1.1450e65ed802ep-5, -0x1.0e0234e1fa599p-5, -0x1.07d2143bc7989p-5, -0x1.01c01f768622dp-5, -0x1.f797e31e8033cp-6, -0x1.ebea4b049153cp-6, -0x1.e076acaebe56ap-6, -0x1.d53c3e5ae46e2p-6, -0x1.ca3a368c033d8p-6, -0x1.bf6fcc2042cafp-6, -0x1.b4dc366641138p-6, -0x1.aa7ead31a524dp-6, -0x1.a05668eefb415p-6, -0x1.9662a2b6dfb07p-6, -0x1.8ca29460783a5p-6, -0x1.8315789341fp-6, -0x1.79ba8ad82da06p-6, -0x1.709107aa1bdb1p-6, -0x1.67982c85adf56p-6, -0x1.5ecf37f8769d9p-6, -0x1.563569af8ab24p-6, -0x1.4dca028573105p-6, -0x1.458c448f89336p-6, -0x1.3d7b732ab4189p-6, -0x1.3596d3079c9e2p-6, -0x1.2dddaa3644f66p-6, -0x1.264f403117972p-6, -0x1.1eeadde76da4fp-6, -0x1.17afcdc783b4ap-6, -0x1.109d5bc7f14b1p-6, -0x1.09b2d5709941ap-6, -0x1.02ef89e31c347p-6, -0x1.f8a593c594557p-7, -0x1.ebb7cfb841ae1p-7, -0x1.df146fd7992cbp-7, -0x1.d2ba1fca6d76dp-7, -0x1.c6a78eb1424d1p-7, -0x1.badb6f31b0a06p-7, -0x1.af547780e1068p-7, -0x1.a411616d455f7p-7, -0x1.9910ea6776ee2p-7, -0x1.8e51d38a55099p-7, -0x1.83d2e1a26196bp-7, -0x1.7992dd3458793p-7, -0x1.6f9092831cba8p-7, -0x1.65cad194e4e05p-7, -0x1.5c406e37c56aap-7, -0x1.52f040058ccep-7, -0x1.49d92266fd947p-7, -0x1.40f9f4966ade3p-7, -0x1.385199a1bac71p-7, -0x1.2fdef86bd691dp-7, -0x1.27a0fbad88093p-7, -0x1.1f9691f5cdcdap-7, -0x1.17beada9a8864p-7, -0x1.10184503674ccp-7, -0x1.08a2521175263p-7, -0x1.015bd2b4af001p-7, -0x1.f487913c8a029p-8, -0x1.e6b2729a53ff7p-8, -0x1.d9365c1632d08p-8, -0x1.cc1167d266a2bp-8, -0x1.bf41b7786941bp-8, -0x1.b2c57430a13d6p-8, -0x1.a69ace995ab8cp-8, -0x1.9abffebd0f2cep-8, -0x1.8f3344080641cp-8, -0x1.83f2e53d53ad7p-8, -0x1.78fd306b3ad3ep-8, -0x1.6e507adefdc88p-8, -0x1.63eb2118221b3p-8, -0x1.59cb86bb2db1ap-8, -0x1.4ff01683e4f68p-8, -0x1.465742371090bp-8, -0x1.3cff8293cf69cp-8, -0x1.33e757447ce76p-8, -0x1.2b0d46cf31875p-8, -0x1.226fde85e13fcp-8, -0x1.1a0db2761eac7p-8, -0x1.11e55d588b338p-8, -0x1.09f5807ff540dp-8, -0x1.023cc3c82aca7p-8, -0x1.f573ab09135e8p-9, -0x1.e6d6d4dc963ebp-9, -0x1.d8a07b252e02dp-9, -0x1.cace2080bcf7fp-9, -0x1.bd5d53ec0688ep-9, -0x1.b04bb09da69a8p-9, -0x1.a396dde0b115ap-9, -0x1.973c8eef08427p-9, -0x1.8b3a82cb70b5ep-9, -0x1.7f8e841b6ab34p-9, -0x1.74366900d4f2dp-9, -0x1.693012f368903p-9, -0x1.5e796e9a0c706p-9, -0x1.541073a40c827p-9, -0x1.49f324a23a7b3p-9, -0x1.401f8edffaddp-9, -0x1.3693ca3c4d7ebp-9, -0x1.2d4df902ca3ffp-9, -0x1.244c47c4a74fbp-9, -0x1.1b8ced31bee28p-9, -0x1.130e29f1a9bdp-9, -0x1.0ace487ce1a03p-9, -0x1.02cb9cf604ec4p-9, -0x1.f6090a0659aecp-10, -0x1.e6eecf4ed4f94p-10, -0x1.d8456a38ca424p-10, -0x1.ca09cd5842045p-10, -0x1.bc38fd15ed196p-10, -0x1.aed00f6369dcp-10, -0x1.a1cc2b6ffe60bp-10, -0x1.952a895dba43dp-10, -0x1.88e871f713314p-10, -0x1.7d033e64fc25p-10, -0x1.717857e586079p-10, -0x1.6645378302e59p-10, -0x1.5b6765cbbca51p-10, -0x1.50dc7a8a3cf91p-10, -0x1.46a21c7e32f4cp-10, -0x1.3cb60115ed3d8p-10, -0x1.3315ec2887419p-10, -0x1.29bfafb0a7ac4p-10, -0x1.20b12b87f9c04p-10, -0x1.17e84d234f951p-10, -0x1.0f630f4f73f7cp-10, -0x1.071f79eeb070bp-10, -0x1.fe37436e1dba2p-11, -0x1.eeab4fe2a720bp-11, -0x1.df977471640cfp-11, -0x1.d0f8247687609p-11, -0x1.c2c9eaf67d6f6p-11, -0x1.b5096a21e0708p-11, -0x1.a7b35adaf61a3p-11, -0x1.9ac48c3cbb955p-11, -0x1.8e39e3237ea86p-11, -0x1.821059b70c35cp-11, -0x1.7644fef66f185p-11, -0x1.6ad4f64548278p-11, -0x1.5fbd76fabaa73p-11, -0x1.54fbcbf1f2fecp-11, -0x1.4a8d531c45b12p-11, -0x1.406f7d14e8d4bp-11, -0x1.369fccb645cc4p-11, -0x1.2d1bd6b0e7141p-11, -0x1.23e14123ff359p-11, -0x1.1aedc33788358p-11, -0x1.123f24b7fcd5ap-11, -0x1.09d33db3a8bcfp-11, -0x1.01a7f61990336p-11, -0x1.f3768ab3d9067p-12, -0x1.e41664107667dp-12, -0x1.d52ba2fdc52e4p-12, -0x1.c6b28f08c4dbbp-12, -0x1.b8a78be42a4aap-12, -0x1.ab0718b8fbb1ep-12, -0x1.9dcdcf7a3993cp-12, -0x1.90f8643b9bcf8p-12, -0x1.8483a48b56375p-12, -0x1.786c76cedc903p-12, -0x1.6cafd9a2a922dp-12, -0x1.614ae33cf9412p-12, -0x1.563ac0d377a51p-12, -0x1.4b7cb603d603p-12, -0x1.410e1c3f48bfbp-12, -0x1.36ec6238deef8p-12, -0x1.2d150b56af69cp-12, -0x1.2385af25d996bp-12, -0x1.1a3bf8d1469a7p-12, -0x1.1135a69b30446p-12, -0x1.087089595d8c2p-12, -0x1.ffd507e81bb73p-13, -0x1.ef4315cf21c9p-13, -0x1.df274790fa18ep-13, -0x1.cf7dc994f6d98p-13, -0x1.c042e893549acp-13, -0x1.b17310ad00f88p-13, -0x1.a30acc886f9f4p-13, -0x1.9506c4734d03p-13, -0x1.8763bd8921b22p-13, -0x1.7a1e98deae6c9p-13, -0x1.6d3452b215b6cp-13, -0x1.60a2019fa4115p-13, -0x1.5464d5db36d68p-13, -0x1.487a186e26b6ap-13, -0x1.3cdf2a79b407bp-13, -0x1.3191847dc610ap-13, -0x1.268eb5a413d55p-13, -0x1.1bd4630f7e8b5p-13, -0x1.1160472fa79f3p-13, -0x1.07303118a65f1p-13, -0x1.fa8407bd91241p-14, -0x1.e7276becabc46p-14, -0x1.d446a12e82c18p-14, -0x1.c1ddde495fda1p-14, -0x1.afe97d30ac626p-14, -0x1.9e65f9e30790dp-14, -0x1.8d4ff14fc6ca2p-14, -0x1.7ca420439a633p-14, -0x1.6c5f625c49e0cp-14, -0x1.5c7eb1035e746p-14, -0x1.4cff226f9da03p-14, -0x1.3ddde8ad32af4p-14, -0x1.2f1850ac67d6cp-14, -0x1.20abc156ce665p-14, -0x1.1295baaab5c76p-14, -0x1.04d3d4dcd336dp-14, -0x1.eec77efff61cep-15, -0x1.d486816596056p-15, -0x1.bae068a651be6p-15, -0x1.a1d1166ef00f7p-15, -0x1.895494dac9e9ep-15, -0x1.716714fc56f26p-15, -0x1.5a04ed7077099p-15, -0x1.432a98fc396b4p-15, -0x1.2cd4b534eb583p-15, -0x1.17000132389c5p-15, -0x1.01a95c4a1ff96p-15, -0x1.d99b89ad1885p-16, -0x1.b0d4ae08a580bp-16, -0x1.88f89756da252p-16, -0x1.6201ee6057157p-16, -0x1.3beb90da76829p-16, -0x1.16b08f4c7ca3fp-16, -0x1.e498560b3905cp-17, -0x1.9d73a846c441fp-17, -0x1.57ea4f5045b6cp-17, -0x1.13f3db422c98ap-17, -0x1.a3105d6eb6628p-18, -0x1.213ef6a770893p-18, -0x1.44c8f9a733ca6p-19, -0x1.3393dbcc6410ap-21, 0x1.4a93dd0ebcdafp-20, 0x1.91de816606e8ap-19, 0x1.3c79476f4648fp-18, 0x1.ad4f7905e3941p-18, 0x1.0dbee7b5c295ap-17, 0x1.4387eb20008ffp-17, 0x1.780857f16943dp-17, 0x1.ab458d2cabc42p-17, 0x1.dd44ba0404abdp-17, 0x1.0705700ffb3e2p-16, 0x1.1ece6ae8564c4p-16, 0x1.35ffa4154bfbcp-16, 0x1.4c9b5e877805dp-16, 0x1.62a3ca903e5fbp-16, 0x1.781b06d2abf51p-16, 0x1.8d03212b0d7bap-16, 0x1.a15e178d846edp-16, 0x1.b52dd8dbd773bp-16, 0x1.c87445b2befe6p-16, 0x1.db33312ef0853p-16, 0x1.ed6c61aa240eep-16, 0x1.ff2191704ae07p-16, 0x1.082a37b69e97fp-15, 0x1.10834fe98734dp-15, 0x1.189cde5ca35dep-15, 0x1.2077ab5a9a2ap-15, 0x1.28147ab5c9827p-15, 0x1.2f740c0dd8f8ep-15, 0x1.36971b122c0dfp-15, 0x1.3d7e5fc1492a6p-15, 0x1.442a8ea54f97ap-15, 0x1.4a9c590d943f8p-15, 0x1.50d46d457c417p-15, 0x1.56d376c8acc96p-15, 0x1.5c9a1e74a9035p-15, 0x1.62290ab7ef1bap-15, 0x1.6780dfbeaddf9p-15, 0x1.6ca23f9d2673bp-15, 0x1.718dca77cfbd9p-15, 0x1.76441ea94c13bp-15, 0x1.7ac5d8e64a6bdp-15, 0x1.7f13945f5e338p-15, }}, 
      {{-0x1.73e032a9cd33dp-8, -0x1.762ea12302a49p-7, -0x1.1b565aeb91b36p-6, -0x1.7e671093dcd98p-6, -0x1.e4aee2ba1523ap-6, -0x1.2725c80627702p-5, -0x1.5d8eacbc687a8p-5, -0x1.9569b90f56ca1p-5, -0x1.ce7c5aa905b81p-5, -0x1.043fe1002c51bp-4, -0x1.21930d7932e36p-4, -0x1.3f0f78b4c192bp-4, -0x1.5c8d5f7c04c3fp-4, -0x1.79e6d6db3c931p-4, -0x1.96f8d26468451p-4, -0x1.b3a3db3083361p-4, -0x1.cfcc83d856623p-4, -0x1.eb5ba517dde73p-4, -0x1.031f36eb5e62cp-3, -0x1.103328112465p-3, -0x1.1ce469b48ff65p-3, -0x1.292fa9892f9b2p-3, -0x1.351357b4cbd9dp-3, -0x1.408f7ae889fa7p-3, -0x1.4ba582211bfd1p-3, -0x1.565815ab2665p-3, -0x1.60aae8b06addap-3, -0x1.6aa28c466814dp-3, -0x1.744444b717a3p-3, -0x1.7d95e186d9d22p-3, -0x1.869d988e71f15p-3, -0x1.8f61e45bc0919p-3, -0x1.97e965eefffd9p-3, -0x1.a03ac9d33750dp-3, -0x1.a85cb07ee4d15p-3, -0x1.b05599dc7e1bep-3, -0x1.b82bd3d0a9a51p-3, -0x1.bfe56b8d5e4fcp-3, -0x1.c788217cf9d58p-3, -0x1.cf195f8e15ce5p-3, -0x1.d69e31a860f54p-3, -0x1.de1b40135ed95p-3, -0x1.e594cb998d962p-3, -0x1.ed0eab34cd78ap-3, -0x1.f48c4b139812bp-3, -0x1.fc10acc9d8c1cp-3, -0x1.01cf3441b78e1p-2, -0x1.059bd788ed9fep-2, -0x1.096f2658f9001p-2, -0x1.0d49d634e301fp-2, -0x1.112c6df119ee7p-2, -0x1.151747d13c733p-2, -0x1.190a93cb9ba91p-2, -0x1.1d0659e8611eep-2, -0x1.210a7cb3a8607p-2, -0x1.2516bbbad3eefp-2, -0x1.292ab60e92739p-2, -0x1.2d45ecc3ddd23p-2, -0x1.3167c56f289dcp-2, -0x1.358f8c95a251ap-2, -0x1.39bc781130c52p-2, -0x1.3deda9644e046p-2, -0x1.42222ffb8e5d2p-2, -0x1.46590b5af332ap-2, -0x1.4a912d35b3fdp-2, -0x1.4ec97b6f62a86p-2, -0x1.5300d205bb67bp-2, -0x1.573604e29cec4p-2, -0x1.5b67e195efd3fp-2, -0x1.5f9530f76f3cap-2, -0x1.63bcb8b06798p-2, -0x1.67dd3cadba097p-2, -0x1.6bf5807a7144fp-2, -0x1.70044883685b5p-2, -0x1.74085b448c3bdp-2, -0x1.780082604bbp-2, -0x1.7beb8ba1e23afp-2, -0x1.7fc849eb2c038p-2, -0x1.8395960ebaa23p-2, -0x1.87524f96e7eebp-2, -0x1.8afd5d7aa68f3p-2, -0x1.8e95aec0d38f7p-2, -0x1.921a3b12c8c03p-2, -0x1.958a033ef86cbp-2, -0x1.98e411ac49cc1p-2, -0x1.9c277abefcf91p-2, -0x1.9f535d2fca51bp-2, -0x1.a266e255fc8f2p-2, -0x1.a5613e65303b5p-2, -0x1.a841b09f71ac3p-2, -0x1.ab07837c5caf8p-2, -0x1.adb20cc5e6594p-2, -0x1.b040adab76c33p-2, -0x1.b2b2d2cbe3e02p-2, -0x1.b507f436f01d4p-2, -0x1.b73f9566d7cbcp-2, -0x1.b9594532784ddp-2, -0x1.bb549db89f145p-2, -0x1.bd314444fab2dp-2, -0x1.beeee92f2f561p-2, -0x1.c08d47b4847bap-2, -0x1.c20c25cca077p-2, -0x1.c36b53f9bd141p-2, -0x1.c4aaad14be73fp-2, -0x1.c5ca161590db5p-2, -0x1.c6c97dd82e34p-2, -0x1.c7a8dcdea338p-2, -0x1.c86835106ae9bp-2, -0x1.c9079177753bdp-2, -0x1.c98705fb233c7p-2, -0x1.c9e6af198386fp-2, -0x1.ca26b19f171ebp-2, -0x1.ca473a5d5a81dp-2, -0x1.ca487de05952bp-2, -0x1.ca2ab8237ddabp-2, -0x1.c9ee2c45dd0bep-2, -0x1.c993243e27e9cp-2, -0x1.c919f08e7e287p-2, -0x1.c882e7f844c14p-2, -0x1.c7ce673031be9p-2, -0x1.c6fcd092b14f7p-2, -0x1.c60e8bd8c9856p-2, -0x1.c50405cd9f7a5p-2, -0x1.c3ddb004ba75cp-2, -0x1.c29c0091244a9p-2, -0x1.c13f71bd8150ap-2, -0x1.bfc881c536dap-2, -0x1.be37b28eb701p-2, -0x1.bc8d896707cdap-2, -0x1.baca8ebe9191cp-2, -0x1.b8ef4de74f508p-2, -0x1.b6fc54d46282p-2, -0x1.b4f233db24271p-2, -0x1.b2d17d75b47dap-2, -0x1.b09ac607199cfp-2, -0x1.ae4ea3a0ef9c1p-2, -0x1.abedadcab703ep-2, -0x1.a9787d4ac582ep-2, -0x1.a6efabf0d8003p-2, -0x1.a453d46252cfep-2, -0x1.a1a591e82c83cp-2, -0x1.9ee5803e84392p-2, -0x1.9c143b65e83b4p-2, -0x1.99325f7647b1bp-2, -0x1.9640887392e14p-2, -0x1.933f522403d5bp-2, -0x1.902f57e80f74ep-2, -0x1.8d113493fa957p-2, -0x1.89e5824b11c7p-2, -0x1.86acda5c78cd9p-2, -0x1.8367d52195c4ep-2, -0x1.801709de0ced3p-2, -0x1.7cbb0ea145a8p-2, -0x1.7954782979143p-2, -0x1.75e3d9c83e6aap-2, -0x1.7269c5488ef2bp-2, -0x1.6ee6cad63d98fp-2, -0x1.6b5b78e6d486bp-2, -0x1.67c85c23d8b9p-2, -0x1.642dff5667b8cp-2, -0x1.608ceb5424036p-2, -0x1.5ce5a6ed71761p-2, -0x1.5938b6dcefb42p-2, -0x1.55869db82f739p-2, -0x1.51cfdbe19a546p-2, -0x1.4e14ef7b8245p-2, -0x1.4a56545c540d4p-2, -0x1.46948403dbd84p-2, -0x1.42cff591a1766p-2, -0x1.3f091dbc45067p-2, -0x1.3b406ec9dce8ap-2, -0x1.3776588949fb8p-2, -0x1.33ab484c78765p-2, -0x1.2fdfa8e385769p-2, -0x1.2c13e298c62bcp-2, -0x1.28485b2d9c66dp-2, -0x1.247d75d81f96bp-2, -0x1.20b3934185f69p-2, -0x1.1ceb11854bbadp-2, -0x1.19244c311215p-2, -0x1.155f9c45271a2p-2, -0x1.119d5835b92eep-2, -0x1.0dddd3eca462cp-2, -0x1.0a2160cbdbec3p-2, -0x1.06684db05f80ap-2, -0x1.02b2e6f5be4a9p-2, -0x1.fe02ecf432d4ep-3, -0x1.f6a887454b244p-3, -0x1.ef5726c13d131p-3, -0x1.e80f506d5774ap-3, -0x1.e0d1847d60f93p-3, -0x1.d99e3e5ff09d6p-3, -0x1.d275f4cb8f883p-3, -0x1.cb5919cc7da34p-3, -0x1.c4481ad31ff68p-3, -0x1.bd4360c307307p-3, -0x1.b64b50027e852p-3, -0x1.af60488aa82aep-3, -0x1.a882a5f807cafp-3, -0x1.a1b2bf9b8654bp-3, -0x1.9af0e88bd854fp-3, -0x1.943d6fb7442e3p-3, -0x1.8d989ff5ba1e2p-3, -0x1.8702c01b3e118p-3, -0x1.807c130a8feb1p-3, -0x1.7a04d7c814015p-3, -0x1.739d498cf143bp-3, -0x1.6d459fda5d1d8p-3, -0x1.66fe0e8d09a6ap-3, -0x1.60c6c5f0b8c5dp-3, -0x1.5a9ff2d3e8d57p-3, -0x1.5489be9b92df9p-3, -0x1.4e844f56f52a9p-3, -0x1.488fc7d368542p-3, -0x1.42ac47b0346c1p-3, -0x1.3cd9eb72660f1p-3, -0x1.3718cc9898124p-3, -0x1.316901aeb0de4p-3, -0x1.2bca9e61953c1p-3, -0x1.263db392b7f27p-3, -0x1.20c24f6ba1792p-3, -0x1.1b587d71490d5p-3, -0x1.160046975a6c1p-3, -0x1.10b9b1534c0d5p-3, -0x1.0b84c1af59388p-3, -0x1.0661795d420c2p-3, -0x1.014fd7c8ef5f1p-3, -0x1.f89fb455acd76p-4, -0x1.eec2f73462c2ap-4, -0x1.e5096a3e08208p-4, -0x1.db72fb87c0be7p-4, -0x1.d1ff954ef4c09p-4, -0x1.c8af1e1bf85eep-4, -0x1.bf8178e434f8dp-4, -0x1.b676852bdc4a2p-4, -0x1.ad8e1f2715ed2p-4, -0x1.a4c81fdaa8eb7p-4, -0x1.9c245d3c1a549p-4, -0x1.93a2aa515514dp-4, -0x1.8b42d74faad9bp-4, -0x1.8304b1ba626f1p-4, -0x1.7ae80480aa6c3p-4, -0x1.72ec981aff239p-4, -0x1.6b1232a8026d8p-4, -0x1.63589808c0075p-4, -0x1.5bbf89fc6074bp-4, -0x1.5446c83b4a652p-4, -0x1.4cee1091af449p-4, -0x1.45b51ef9859b2p-4, -0x1.3e9badb3f0e1ep-4, -0x1.37a1756214b02p-4, -0x1.30c62d1d55b83p-4, -0x1.2a098a8f08bf9p-4, -0x1.236b42078dfe8p-4, -0x1.1ceb0694dc3dep-4, -0x1.16888a187aff6p-4, -0x1.10437d5cec371p-4, -0x1.0a1b902a8758fp-4, -0x1.0410715bc6c86p-4, -0x1.fc439de20f53p-5, -0x1.f09eac477d70ep-5, -0x1.e53166f24559fp-5, -0x1.d9fb25a89bda7p-5, -0x1.cefb3f0faf792p-5, -0x1.c43108cdd18acp-5, -0x1.b99bd7ab9546ap-5, -0x1.af3affb3e9caap-5, -0x1.a50dd45330cf2p-5, -0x1.9b13a87557ae3p-5, -0x1.914bcea2f5e65p-5, -0x1.87b5991d73eb6p-5, -0x1.7e5059fa3bacdp-5, -0x1.751b633cfe139p-5, -0x1.6c1606f108315p-5, -0x1.633f9741b2ae6p-5, -0x1.5a976691ebd08p-5, -0x1.521cc792e2709p-5, -0x1.49cf0d59d2ec4p-5, -0x1.41ad8b74ff3a8p-5, -0x1.39b795ffcf52p-5, -0x1.31ec81b6257d6p-5, -0x1.2a4ba406e2654p-5, -0x1.22d45325a6e24p-5, -0x1.1b85e61bcd9c5p-5, -0x1.145fb4d8a86d7p-5, -0x1.0d61184101879p-5, -0x1.06896a3de5a57p-5, -0x1.ffb00b9576498p-6, -0x1.f2988e055538cp-6, -0x1.e5cb165ab99bap-6, -0x1.d946619625bdbp-6, -0x1.cd092f40331e5p-6, -0x1.c112417f41d4bp-6, -0x1.b5605d2bee1bbp-6, -0x1.a9f249e45acc2p-6, -0x1.9ec6d21e5937bp-6, -0x1.93dcc3386c487p-6, -0x1.8932ed89bcb43p-6, -0x1.7ec82470fe44cp-6, -0x1.749b3e624905bp-6, -0x1.6aab14f3fb72bp-6, -0x1.60f684ea9bce2p-6, -0x1.577c6e43d2a84p-6, -0x1.4e3bb44072a04p-6, -0x1.45333d6da6b58p-6, -0x1.3c61f3ad3c99bp-6, -0x1.33c6c43d2188fp-6, -0x1.2b609fbe0ed77p-6, -0x1.232e7a396df25p-6, -0x1.1b2f4b267dac9p-6, -0x1.13620d6ebfe3ap-6, -0x1.0bc5bf71abf4ap-6, -0x1.04596307bc889p-6, -0x1.fa37fb09a1f1fp-7, -0x1.ec192f73db1eep-7, -0x1.de547becc1ebfp-7, -0x1.d0e80010a7884p-7, -0x1.c3d1e27995371p-7, -0x1.b71050be2d351p-7, -0x1.aaa17f6f93eabp-7, -0x1.9e83aa1648175p-7, -0x1.92b5132e142c4p-7, -0x1.8734042105253p-7, -0x1.7bfecd41954ebp-7, -0x1.7113c5c3e392ap-7, -0x1.66714bb63ad93p-7, -0x1.5c15c3f8b9a35p-7, -0x1.51ff9a34522bap-7, -0x1.482d40d10c881p-7, -0x1.3e9d30eba0c11p-7, -0x1.354dea4a6f7cp-7, -0x1.2c3df351e1ce4p-7, -0x1.236bd8f8356ddp-7, -0x1.1ad62eb8bf866p-7, -0x1.127b8e86ad16fp-7, -0x1.0a5a98bf4776dp-7, -0x1.0271f41bc52a6p-7, -0x1.f5809b455b4bdp-8, -0x1.e688b131ac169p-8, -0x1.d7f99ce3fc1f7p-8, -0x1.c9d0dd82274f9p-8, -0x1.bc0bfe50455b7p-8, -0x1.aea8968feff11p-8, -0x1.a1a4495ef63f6p-8, -0x1.94fcc5958f93fp-8, -0x1.88afc5a413871p-8, -0x1.7cbb0f7041491p-8, -0x1.711c743225d3dp-8, -0x1.65d1d050a3d0ap-8, -0x1.5ad90b3dad865p-8, -0x1.503017523237fp-8, -0x1.45d4f1a9d0f7p-8, -0x1.3bc5a1fe51322p-8, -0x1.32003a82ee3a7p-8, -0x1.2882d7bf7ad09p-8, -0x1.1f4ba06b68d44p-8, -0x1.1658c548b485fp-8, -0x1.0da880fec3f5fp-8, -0x1.053917f539812p-8, -0x1.fa11b05d893a2p-9, -0x1.ea2c3247e9c95p-9, -0x1.dabe773c2e8e4p-9, -0x1.cbc553244292cp-9, -0x1.bd3dabf76087dp-9, -0x1.af24797046bbep-9, -0x1.a176c4c3a74dbp-9, -0x1.9431a856de2d1p-9, -0x1.87524f76fafd6p-9, -0x1.7ad5f6101f68cp-9, -0x1.6eb9e86542c86p-9, -0x1.62fb82c85df21p-9, -0x1.5798315305ec3p-9, -0x1.4c8d6f9f81eb6p-9, -0x1.41d8c8825db94p-9, -0x1.3777d5c484574p-9, -0x1.2d683fdde12cap-9, -0x1.23a7bdb098142p-9, -0x1.1a341444cea65p-9, -0x1.110b168515f59p-9, -0x1.082aa4fb7039bp-9, -0x1.ff215b1dfebbap-10, -0x1.ee765684b1016p-10, -0x1.de504be50f508p-10, -0x1.ceab642d80929p-10, -0x1.bf83e1018f29p-10, -0x1.b0d61c3c1bafcp-10, -0x1.a29e87730d6d7p-10, -0x1.94d9ab7c7ad11p-10, -0x1.878427f5469b3p-10, -0x1.7a9ab2c94b999p-10, -0x1.6e1a17bd006ecp-10, -0x1.61ff37f8a9ec5p-10, -0x1.56470995189dp-10, -0x1.4aee9729f4e0ep-10, -0x1.3ff2ff5d999bp-10, -0x1.355174767fb14p-10, -0x1.2b073bee3dbe6p-10, -0x1.2111ae061f57fp-10, -0x1.176e355d4d26p-10, -0x1.0e1a4e888b6e2p-10, -0x1.051387ab95993p-10, -0x1.f8af0028058cep-11, -0x1.e7c7cfab989b4p-11, -0x1.d76cfed2c4bfp-11, -0x1.c79a2e96ae32cp-11, -0x1.b84b1f3b37fcap-11, -0x1.a97baf94a3e52p-11, -0x1.9b27dc505124cp-11, -0x1.8d4bbf4098a83p-11, -0x1.7fe38eabc3c39p-11, -0x1.72eb9c9e15004p-11, -0x1.6660563ee3ebbp-11, -0x1.5a3e4328c1ffp-11, -0x1.4e8204c4a70b8p-11, -0x1.432855a81e313p-11, -0x1.382e08f66b7ddp-11, -0x1.2d9009c4a8675p-11, -0x1.234b5a80cdac2p-11, -0x1.195d145ba44bep-11, -0x1.0fc266b5970fep-11, -0x1.0678968e5f3d4p-11, -0x1.faf9fbef04993p-12, -0x1.e99a171336115p-12, -0x1.d8cc83b8cdb93p-12, -0x1.c88c6e031c314p-12, -0x1.b8d5280441476p-12, -0x1.a9a228bd7c32dp-12, -0x1.9aef0b24c43ep-12, -0x1.8cb78d2f98c17p-12, -0x1.7ef78ee2f5863p-12, -0x1.71ab11685fd8dp-12, -0x1.64ce3627f5ca1p-12, -0x1.585d3de770beap-12, -0x1.4c5487ee0ce6cp-12, -0x1.40b0912d3dbd2p-12, -0x1.356df36e24bfap-12, -0x1.2a896483b4c36p-12, -0x1.1fffb58170c67p-12, -0x1.15cdd1f6b7d69p-12, -0x1.0bf0bf2e8788ap-12, -0x1.02659b73a53bep-12, -0x1.f2533ab241514p-13, -0x1.e074260e2b32bp-13, -0x1.cf28c31749683p-13, -0x1.be6c0860109cap-13, -0x1.ae3917a37892cp-13, -0x1.9e8b3c7f42322p-13, -0x1.8f5deb3619c9ap-13, -0x1.80acbf796cff5p-13, -0x1.72737b3ad2325p-13, -0x1.64ae0584e7317p-13, -0x1.5758695b76a1bp-13, -0x1.4a6ed4a2d12acp-13, -0x1.3ded970e2c7a3p-13, -0x1.31d12114efca8p-13, -0x1.261602eec64dbp-13, -0x1.1ab8eb965b8dcp-13, -0x1.0fb6a7d29cd69p-13, -0x1.050c214661082p-13, -0x1.f56cbb0cb5cbp-14, -0x1.e164fa6a537cfp-14, -0x1.cdfb764af7accp-14, -0x1.bb2ad70421fe5p-14, -0x1.a8edf5f7132e7p-14, -0x1.973fdbf7c6f0dp-14, -0x1.861bbfbefb53cp-14, -0x1.757d0467225a7p-14, -0x1.655f37f3f0e1cp-14, -0x1.55be11e459d04p-14, -0x1.469571ceb9c21p-14, -0x1.37e15e06faa08p-14, -0x1.299e024e77a8bp-14, -0x1.1bc7ae8d6a948p-14, -0x1.0e5ad595ad781p-14, -0x1.01540bee97de8p-14, -0x1.e9600d538fe37p-15, -0x1.d0d734813c117p-15, -0x1.b90772f47843fp-15, -0x1.a1eae8b3a95fep-15, -0x1.8b7bee2a2ce98p-15, -0x1.75b512250efb4p-15, -0x1.609117df38296p-15, -0x1.4c0af51cb7168p-15, -0x1.381dd054cd17fp-15, -0x1.24c4feea5a1c3p-15, -0x1.11fc0372549abp-15, -0x1.ff7d180fe91d4p-16, -0x1.dc10e15c6f8c6p-16, -0x1.b9ab637cd9528p-16, -0x1.9844ecc6dab63p-16, -0x1.77d616427e647p-16, -0x1.5857c0d1799f2p-16, -0x1.39c3126e06469p-16, -0x1.1c1173809d017p-16, -0x1.fe79189806016p-17, -0x1.c67c84de0b47p-17, -0x1.90216cf6c6004p-17, -0x1.5b5c83427bd05p-17, -0x1.2822e6dd42cc6p-17, -0x1.ecd43e89f2f8cp-18, -0x1.8c50304a57cd7p-18, -0x1.2ea63a8fbcb31p-18, -0x1.a7875aa8d15bdp-19, -0x1.ee5a259fc961ep-20, -0x1.306bc910f476ap-21, 0x1.6741b542ae84fp-21, 0x1.f56a75c398f52p-20, 0x1.96b27b18766e9p-19, 0x1.16f30a7ab25fap-18, 0x1.60366efe34a77p-18, 0x1.a73152f712ccdp-18, 0x1.ebf121098e074p-18, 0x1.17416606da61ap-17, 0x1.37796a25932f6p-17, 0x1.56a6a64127204p-17, 0x1.74ceef6250df4p-17, 0x1.91f7e88ea0aabp-17, 0x1.ae270505d6e89p-17, 0x1.c9618a68d6cd9p-17, 0x1.e3ac92cafde05p-17, 0x1.fd0d0eae8a661p-17, 0x1.0ac3e37654064p-16, 0x1.1690af44eda3bp-16, 0x1.21ef2a3bb2cb1p-16, 0x1.2ce182a1173e3p-16, 0x1.3769d657f9254p-16, 0x1.418a33a588084p-16, 0x1.4b4499eee6babp-16, 0x1.549afa6eab894p-16, 0x1.5d8f38e2a2196p-16, 0x1.66232c31fba7dp-16, 0x1.6e589f0c3f134p-16, 0x1.763150812789p-16, 0x1.7daef491c340dp-16, 0x1.84d334bafd84p-16, 0x1.8b9fb079d873ap-16, 0x1.9215fdc98a70ap-16, 0x1.9837a99bbdd4ep-16, 0x1.9e06384b19e83p-16, 0x1.a383260860008p-16, 0x1.a8afe74237772p-16, 0x1.ad8de907efc99p-16, 0x1.b21e916756707p-16, 0x1.b6633fc5de657p-16, 0x1.ba5d4d3539c44p-16, 0x1.be0e0cc3a09e8p-16, 0x1.c176cbc7dcc85p-16, 0x1.c498d229594f3p-16, 0x1.c77562a446e6ap-16, 0x1.ca0dbb0a19053p-16, 0x1.cc63147e5e959p-16, 0x1.ce76a3b03e48fp-16, 0x1.d0499910a0a2p-16, 0x1.d1dd210535d61p-16, 0x1.d332641875103p-16, 0x1.d44a8726be27ep-16, 0x1.d526ab88aa0c4p-16, 0x1.d5c7ef3ac15efp-16, 0x1.d62f6d02a29dcp-16, 0x1.d65e3c91bb28bp-16, 0x1.d65572a5b5038p-16, 0x1.d6162126a9e4bp-16, 0x1.d5a1574338656p-16, 0x1.d4f8218a9c76fp-16, 0x1.d41b8a04d816bp-16, 0x1.d30c984905795p-16, 0x1.d1cc5191f0ef5p-16, 0x1.d05bb8d10b182p-16, 0x1.cebbcebfc1ca5p-16, 0x1.cced91ef64732p-16, 0x1.caf1fed7955ccp-16, 0x1.c8ca0fe366d85p-16, 0x1.c676bd7d32b42p-16, 0x1.c3f8fe193d4a6p-16, 0x1.c151c63f311fcp-16, 0x1.be820892909ep-16, 0x1.bb8ab5da1a4f3p-16, 0x1.b86cbd063dde3p-16, 0x1.b5290b36acaaap-16, 0x1.b1c08bbf0dde3p-16, 0x1.ae34282aed118p-16, 0x1.aa84c840e4398p-16, 0x1.a6b352051db01p-16, 0x1.a2c0a9bb2893bp-16, 0x1.9eadb1e737464p-16, 0x1.9a7b4b4ecdce1p-16, 0x1.962a54f8ec596p-16, 0x1.91bbac2dbe8a1p-16, 0x1.8d302c75d6be3p-16, 0x1.8888af990981fp-16, 0x1.83c60d9ce1f74p-16, 0x1.7ee91cc2c1ee3p-16, 0x1.79f2b185b7c5fp-16, 0x1.74e39e98067a6p-16, 0x1.6fbcb4e0740d1p-16, 0x1.6a7ec3775c1efp-16, 0x1.652a97a390d2p-16, 0x1.5fc0fcd71350dp-16, 0x1.5a42bcaba0613p-16, 0x1.54b09edf252ffp-16, }}, 
      {{0x1.fb7f1295a9346p-1, 0x1.faf1c152057aap-1, 0x1.fa11f4ba2d343p-1, 0x1.f8ec1adc85331p-1, 0x1.f78c868f952b3p-1, 0x1.f5fe3b9825d9ep-1, 0x1.f44a6630d4939p-1, 0x1.f2783b08cfd27p-1, 0x1.f08d13611e4ebp-1, 0x1.ee8ca873f79d3p-1, 0x1.ec795be11dfb5p-1, 0x1.ea5481f4f18f3p-1, 0x1.e81ea756c7e79p-1, 0x1.e5d7cebe13eb5p-1, 0x1.e37fa54377a68p-1, 0x1.e115ad18450e5p-1, 0x1.de995f248ece3p-1, 0x1.dc0a446ddd6e4p-1, 0x1.d9680854a5fdap-1, 0x1.d6b284c11795cp-1, 0x1.d3e9c94e0d776p-1, 0x1.d10e1e6bc6af5p-1, 0x1.ce200559482e8p-1, 0x1.cb2035b6939bfp-1, 0x1.c80f995566ec1p-1, 0x1.c4ef46d36d23ep-1, 0x1.c1c07b703cc27p-1, 0x1.be84947bad034p-1, 0x1.bb3d08a5dcc0ap-1, 0x1.b7eb6169cd1dap-1, 0x1.b49134bd659d4p-1, 0x1.b1301f25f0a8cp-1, 0x1.adc9be4666ad9p-1, 0x1.aa5fabf4dc7bep-1, 0x1.a6f379de0cf71p-1, 0x1.a386adb8dece3p-1, 0x1.a01abe07d98abp-1, 0x1.9cb10f639082ep-1, 0x1.994af246d77f8p-1, 0x1.95e9a1541f819p-1, 0x1.928e400a631fdp-1, 0x1.8f39d9df886f9p-1, 0x1.8bed61b5ed298p-1, 0x1.88a9b1a2f27ecp-1, 0x1.856f8afca1ce4p-1, 0x1.823f96a4fb0a9p-1, 0x1.7f1a658a07b91p-1, 0x1.7c0071526924cp-1, 0x1.78f21d2ec7a29p-1, 0x1.75efb6c929123p-1, 0x1.72f9774be91bcp-1, 0x1.700f847ab141ap-1, 0x1.6d31f1d86b035p-1, 0x1.6a60c1d5c7441p-1, 0x1.679be7047a513p-1, 0x1.64e3454bd5c5bp-1, 0x1.6236b31be0b8ap-1, 0x1.5f95fa9c7e20fp-1, 0x1.5d00dad69171ep-1, 0x1.5a7708d573c0ep-1, 0x1.57f830bf4ed52p-1, 0x1.5583f6e34b085p-1, 0x1.5319f8bcabb69p-1, 0x1.50b9cdea3a5efp-1, 0x1.4e630919889b7p-1, 0x1.4c1538e5bbf9bp-1, 0x1.49cfe8a9bfa3fp-1, 0x1.4792a145cff98p-1, 0x1.455ce9d87177cp-1, 0x1.432e486afb681p-1, 0x1.41064291ec6c9p-1, 0x1.3ee45e0154906p-1, 0x1.3cc82115a5c88p-1, 0x1.3ab113514b363p-1, 0x1.389ebdcf6a1fcp-1, 0x1.3690abac39ea1p-1, 0x1.34866a63605dep-1, 0x1.327f8a24c3b1p-1, 0x1.307b9e2047177p-1, 0x1.2e7a3cc8e2748p-1, 0x1.2c7b000f8c5b1p-1, 0x1.2a7d859662fedp-1, 0x1.28816edc89f4dp-1, 0x1.2686616325e04p-1, 0x1.248c06cbe5c13p-1, 0x1.22920cf1805efp-1, 0x1.209825fa8a145p-1, 0x1.1e9e086709e84p-1, 0x1.1ca36f1926912p-1, 0x1.1aa819594c5d6p-1, 0x1.18abcad62001cp-1, 0x1.16ae4ba092867p-1, 0x1.14af68246901ap-1, 0x1.12aef11d82e45p-1, 0x1.10acbb8a27dafp-1, 0x1.0ea8a09aa3a03p-1, 0x1.0ca27d9e71bacp-1, 0x1.0a9a33ef380a2p-1, 0x1.088fa8d9ca309p-1, 0x1.0682c5856f779p-1, 0x1.047376d99f843p-1, 0x1.0261ad6268388p-1, 0x1.004d5d33a92bep-1, 0x1.fc6cfb96ad4cap-2, 0x1.f83a13e5ca353p-2, 0x1.f401ff40193e4p-2, 0x1.efc4bfaa03493p-2, 0x1.eb825d0090287p-2, 0x1.e73ae4b8801fap-2, 0x1.e2ee699d0e4ebp-2, 0x1.de9d038e98b96p-2, 0x1.da46cf415c19ap-2, 0x1.d5ebedfc6db53p-2, 0x1.d18c855925c9ap-2, 0x1.cd28bf031c6ddp-2, 0x1.c8c0c878dac47p-2, 0x1.c454d2cd63bp-2, 0x1.bfe5126ab09e4p-2, 0x1.bb71bed53cce7p-2, 0x1.b6fb1270b50fcp-2, 0x1.b2814a45e2d7p-2, 0x1.ae04a5c9e3d26p-2, 0x1.a98566a6c0e43p-2, 0x1.a503d08570656p-2, 0x1.a08028d94eae2p-2, 0x1.9bfab6ad1cb96p-2, 0x1.9773c2718868cp-2, 0x1.92eb95cd441ffp-2, 0x1.8e627b6ebcac3p-2, 0x1.89d8bedf63ca7p-2, 0x1.854eac589c7d8p-2, 0x1.80c4909a48c4fp-2, 0x1.7c3ab8c2f28bp-2, 0x1.77b172299906cp-2, 0x1.73290a3918044p-2, 0x1.6ea1ce4d2bb5dp-2, 0x1.6a1c0b910c386p-2, 0x1.65980edf9c64ep-2, 0x1.611624a52474dp-2, 0x1.5c9698c29aac5p-2, 0x1.5819b6726a351p-2, 0x1.539fc82eb7b9ep-2, 0x1.4f2917991c475p-2, 0x1.4ab5ed63cd371p-2, 0x1.4646913c2939ap-2, 0x1.41db49b6a6198p-2, 0x1.3d745c3c0ef1dp-2, 0x1.39120cf8165cbp-2, 0x1.34b49ec9269c5p-2, 0x1.305c53316fbeep-2, 0x1.2c096a49292e7p-2, 0x1.27bc22b1fa5cep-2, 0x1.2374b98b8230ap-2, 0x1.1f336a68f8ccp-2, 0x1.1af86f47db698p-2, 0x1.16c400879d76ep-2, 0x1.129654e253ef6p-2, 0x1.0e6fa16651b98p-2, 0x1.0a501970af50cp-2, 0x1.0637eea8ad045p-2, 0x1.022750fbee78dp-2, 0x1.fc3cdd3707fe2p-3, 0x1.f43ae7f36d7edp-3, 0x1.ec4917912244p-3, 0x1.e467bdf238d3dp-3, 0x1.dc9729768e661p-3, 0x1.d4d7a4fce0d8dp-3, 0x1.cd2977e517a17p-3, 0x1.c58ce613b60bap-3, 0x1.be022ff6628d4p-3, 0x1.b68992897194fp-3, 0x1.af23475e7132bp-3, 0x1.a7cf84a39a531p-3, 0x1.a08e7d2c1b3eep-3, 0x1.99606079399b8p-3, 0x1.92455ac42e043p-3, 0x1.8b3d9508bbdfep-3, 0x1.84493510686cdp-3, 0x1.7d685d7e580b1p-3, 0x1.769b2ddbb6811p-3, 0x1.6fe1c2a4a4f47p-3, 0x1.693c3555a76cdp-3, 0x1.62aa9c7978608p-3, 0x1.5c2d0bb74db8bp-3, 0x1.55c393e17409bp-3, 0x1.4f6e430438f52p-3, 0x1.492d2475283b4p-3, 0x1.430040e280368p-3, 0x1.3ce79e62e5abep-3, 0x1.36e34085463a3p-3, 0x1.30f32860e17cdp-3, 0x1.2b1754a5747cfp-3, 0x1.254fc1ab830a7p-3, 0x1.1f9c6984ad65ap-3, 0x1.19fd440c1da8dp-3, 0x1.147246f6f28e1p-3, 0x1.0efb65e4ae9b3p-3, 0x1.0998926fa91p-3, 0x1.0449bc3d6b7a5p-3, 0x1.fe1da21e1406fp-4, 0x1.f3cf79a2c6387p-4, 0x1.e9a8d35a94192p-4, 0x1.dfa9802f2c7e3p-4, 0x1.d5d14dc2223e8p-4, 0x1.cc20068c889adp-4, 0x1.c29571fe3b33ep-4, 0x1.b931549cd514bp-4, 0x1.aff37022534b6p-4, 0x1.a6db839b4a6f1p-4, 0x1.9de94b84ccfcap-4, 0x1.951c81e9d0bf2p-4, 0x1.8c74de8036cedp-4, 0x1.83f216c55e0b7p-4, 0x1.7b93de1a3ce88p-4, 0x1.7359e5df04d3dp-4, 0x1.6b43dd8e4995fp-4, 0x1.635172d7a8cd6p-4, 0x1.5b8251b9f20bap-4, 0x1.53d6249cc9c64p-4, 0x1.4c4c9469c8565p-4, 0x1.44e548a5120a5p-4, 0x1.3d9fe78565a4ap-4, 0x1.367c160ba3ec8p-4, 0x1.2f797819ca278p-4, 0x1.2897b08963e24p-4, 0x1.21d6614170565p-4, 0x1.1b352b4bbbf47p-4, 0x1.14b3aee9adb98p-4, 0x1.0e518ba88a96bp-4, 0x1.080e60752a87dp-4, 0x1.01e9cbaf24f8cp-4, 0x1.f7c6d676e2f81p-5, 0x1.ebf5b92cfcd12p-5, 0x1.e05f79cb7e9a3p-5, 0x1.d503521164576p-5, 0x1.c9e07b52be047p-5, 0x1.bef62e98a17b8p-5, 0x1.b443a4c0125e4p-5, 0x1.a9c81697e5fb8p-5, 0x1.9f82bcfda2d7bp-5, 0x1.9572d0f95ea89p-5, 0x1.8b978bd8a1cdcp-5, 0x1.81f027484febbp-5, 0x1.787bdd6d99885p-5, 0x1.6f39e8fdfec0dp-5, 0x1.662985565e2b8p-5, 0x1.5d49ee911fbabp-5, 0x1.549a619b727bcp-5, 0x1.4c1a1c49ab43cp-5, 0x1.43c85d6ac4ff3p-5, 0x1.3ba464db05749p-5, 0x1.33ad7395cb66cp-5, 0x1.2be2cbc68bb95p-5, 0x1.2443b0d902286p-5, 0x1.1ccf678896fdp-5, 0x1.158535eeffb9dp-5, 0x1.0e6463922113bp-5, 0x1.076c39713346ap-5, 0x1.009c021130829p-5, 0x1.f3e613111b972p-6, 0x1.e6e13b148b609p-6, 0x1.da281ae07657ap-6, 0x1.cdb95489e311bp-6, 0x1.c1938d994eb16p-6, 0x1.b5b56f1ba13e5p-6, 0x1.aa1da5b1f14b4p-6, 0x1.9ecae1a020c34p-6, 0x1.93bbd6da56639p-6, 0x1.88ef3d115b9f6p-6, 0x1.7e63cfbdedb4cp-6, 0x1.74184e2b04c2cp-6, 0x1.6a0b7b7f1c23ep-6, 0x1.603c1ec47f90ep-6, 0x1.56a902f0ab1efp-6, 0x1.4d50f6eabe198p-6, 0x1.4432cd9113b7ap-6, 0x1.3b4d5dbdfcbf2p-6, 0x1.329f824babae7p-6, 0x1.2a281a17509b4p-6, 0x1.21e60803792ecp-6, 0x1.19d832f9afd2fp-6, 0x1.11fd85eb65524p-6, 0x1.0a54efd23194bp-6, 0x1.02dd63af65258p-6, 0x1.f72bb11601395p-7, 0x1.e8fa92e41730ap-7, 0x1.db256ae8bdf16p-7, 0x1.cdaa3f43b10b6p-7, 0x1.c0871e0e1a33ap-7, 0x1.b3ba1d52ee6c1p-7, 0x1.a7415b064f407p-7, 0x1.9b1afcfc00fa6p-7, 0x1.8f4530dd03e08p-7, 0x1.83be2c1c4db02p-7, 0x1.78842beabb3d8p-7, 0x1.6d95752a3fdc9p-7, 0x1.62f054605b03bp-7, 0x1.58931da7e3a3ap-7, 0x1.4e7c2ca2222bp-7, 0x1.44a9e4675d3d3p-7, 0x1.3b1aaf76cd257p-7, 0x1.31ccffa601fd5p-7, 0x1.28bf4e0fcc6dap-7, 0x1.1ff01b02ab91ep-7, 0x1.175dedeec8b89p-7, 0x1.0f0755538a26p-7, 0x1.06eae6acc27abp-7, 0x1.fe0e7cbf0c9f5p-8, 0x1.eeb5ff4d59114p-8, 0x1.dfc9a8fe042ebp-8, 0x1.d146db266fe05p-8, 0x1.c32b044f1d222p-8, 0x1.b573a00a94bb2p-8, 0x1.a81e36cbe2be7p-8, 0x1.9b285dbcb8426p-8, 0x1.8e8fb6933b2e5p-8, 0x1.8251ef678db23p-8, 0x1.766cc2891ae9cp-8, 0x1.6addf653afb53p-8, 0x1.5fa35d046b99ap-8, 0x1.54bad48e8f4acp-8, 0x1.4a22467036efdp-8, 0x1.3fd7a787045e1p-8, 0x1.35d8f7e4c2913p-8, 0x1.2c2442a40ad45p-8, 0x1.22b79dbcf25cep-8, 0x1.199129d9c7f09p-8, 0x1.10af122be8e7fp-8, 0x1.080f8c40b0ef3p-8, 0x1.ff61afad21cb9p-9, 0x1.ef227d64980e4p-9, 0x1.df5e28e8ca686p-9, 0x1.d0116cdd8250dp-9, 0x1.c13916f503145p-9, 0x1.b2d2079c3d7fdp-9, 0x1.a4d931a78745ep-9, 0x1.974b99ffe5e2bp-9, 0x1.8a265750ebdd7p-9, 0x1.7d6691b7370aep-9, 0x1.7109826f9451ap-9, 0x1.650c7386cfb24p-9, 0x1.596cbf8a3b43dp-9, 0x1.4e27d138e9361p-9, 0x1.433b2335adabep-9, 0x1.38a43fb9dc0c3p-9, 0x1.2e60c048d52dbp-9, 0x1.246e4d64602c5p-9, 0x1.1aca9e41d418bp-9, 0x1.117378801d356p-9, 0x1.0866afde94beap-9, 0x1.ff444be97961bp-10, 0x1.ee4793d5abf83p-10, 0x1.ddd33066b9eccp-10, 0x1.cde3348ad0387p-10, 0x1.be73ccafe202cp-10, 0x1.af813e3c07014p-10, 0x1.a107e707b2b73p-10, 0x1.93043cd9bef5fp-10, 0x1.8572cce5583fp-10, 0x1.78503b49bfa69p-10, 0x1.6b994293ea17ap-10, 0x1.5f4ab342071bfp-10, 0x1.53617348d782cp-10, 0x1.47da7d9af24cfp-10, 0x1.3cb2e1b1e2794p-10, 0x1.31e7c3191ff2ep-10, 0x1.277658faedc22p-10, 0x1.1d5bedaf147f5p-10, 0x1.1395de4b7005p-10, 0x1.0a219a3661455p-10, 0x1.00fca2bb16694p-10, 0x1.f049153f44095p-11, 0x1.df2deb79dc6b9p-11, 0x1.cea33130f72bbp-11, 0x1.bea46fffe217ap-11, 0x1.af2d514ce8935p-11, 0x1.a0399d8798617p-11, 0x1.91c53b6a8cf1bp-11, 0x1.83cc2f40bbcd6p-11, 0x1.764a9a2e3b99ap-11, 0x1.693cb97c7eeefp-11, 0x1.5c9ee5e9f5828p-11, 0x1.506d92fd12482p-11, 0x1.44a54e5aa97c3p-11, 0x1.3942bf1f9e08cp-11, 0x1.2e42a53dd7828p-11, 0x1.23a1d8dc75431p-11, 0x1.195d49bb3564dp-11, 0x1.0f71fe99086acp-11, 0x1.05dd149dc4867p-11, 0x1.f9377d8ddf641p-12, 0x1.e7568aaf334a5p-12, 0x1.d6120a966b4c7p-12, 0x1.c564df96dfe42p-12, 0x1.b54a1351dfb8ep-12, 0x1.a5bcd5ae00b7cp-12, 0x1.96b87bd421a19p-12, 0x1.88387f320a7fbp-12, 0x1.7a387c829ae1fp-12, 0x1.6cb432db665fep-12, 0x1.5fa782bfb89acp-12, 0x1.530e6d38dcba5p-12, 0x1.46e512f39f61bp-12, 0x1.3b27b362ecef9p-12, 0x1.2fd2abe77efb2p-12, 0x1.24e276fc7cadap-12, 0x1.1a53ab68fd4ebp-12, 0x1.1022fb7656f2fp-12, 0x1.064d342b257abp-12, 0x1.f99e7915e1536p-13, 0x1.e74c29b4c5dbcp-13, 0x1.d59dabcff5878p-13, 0x1.c48d60b2367ffp-13, 0x1.b415d7f6e3aabp-13, 0x1.a431ce352e711p-13, 0x1.94dc2bb3af213p-13, 0x1.861003241e13ap-13, 0x1.77c890670edb5p-13, 0x1.6a0137578977dp-13, 0x1.5cb5829e4b7fp-13, 0x1.4fe1228ca588bp-13, 0x1.437febfeb401cp-13, 0x1.378dd744debp-13, 0x1.2c06ff147490ap-13, 0x1.20e79f7f3f23cp-13, 0x1.162c14f1e6696p-13, 0x1.0bd0db3909a4cp-13, 0x1.01d28c8ce0c1ep-13, 0x1.f05bc1468be39p-14, 0x1.ddbf579011b92p-14, 0x1.cbc9bbf6c78fep-14, 0x1.ba75042cef595p-14, 0x1.a9bb79eb3efbfp-14, 0x1.9997995127c35p-14, 0x1.8a040f5042923p-14, 0x1.7afbb822ce49fp-14, 0x1.6c799dcceb30dp-14, 0x1.5e78f6a85c941p-14, 0x1.50f523fa92adap-14, 0x1.43e9b094c2418p-14, 0x1.37524f7dcd6bp-14, 0x1.2b2adaa5c36b8p-14, 0x1.1f6f51a2c1c9cp-14, 0x1.141bd876fa6adp-14, 0x1.092cb65faa36cp-14, 0x1.fd3ca959930e9p-15, 0x1.e8da7b42849d9p-15, 0x1.d52c36b6e7e61p-15, 0x1.c22b6d8badd51p-15, 0x1.afd1ed1f12576p-15, 0x1.9e19bc5927bd1p-15, 0x1.8cfd19bb76992p-15, 0x1.7c76797f47d4bp-15, 0x1.6c8083c24bdb7p-15, 0x1.5d1612c130fe3p-15, 0x1.4e32311fdf8bdp-15, 0x1.3fd0183ef606ap-15, 0x1.31eb2e9e37a3dp-15, 0x1.247f064b94734p-15, 0x1.17875b5e7799dp-15, 0x1.0b00127f0d6f2p-15, 0x1.fdca6ef258364p-16, 0x1.e665f7b52f751p-16, 0x1.cfcb6b389c2c9p-16, 0x1.b9f3bbad28131p-16, 0x1.a4d81efef4039p-16, 0x1.90720c671c31dp-16, 0x1.7cbb3a10edf24p-16, 0x1.69ad9ad265738p-16, 0x1.57435bf76bf27p-16, 0x1.4576e31f556bfp-16, 0x1.3442cc2c142c8p-16, 0x1.23a1e742b4b59p-16, 0x1.138f36dc9404cp-16, 0x1.0405ede8e650ep-16, 0x1.ea02dbfc2a5a1p-17, 0x1.ccfa8b34f6983p-17, 0x1.b0ea5ce82db14p-17, 0x1.95ca17ad82811p-17, 0x1.7b91d221022d7p-17, 0x1.6239efd71c8e2p-17, 0x1.49bb1e6b426c2p-17, 0x1.320e52a85529bp-17, 0x1.1b2cc5ca2ae4dp-17, 0x1.050ff2d75d74ep-17, 0x1.df6328256b32ep-18, 0x1.b6174106f253ep-18, 0x1.8e309327ddcdep-18, 0x1.67a3f18ad362dp-18, 0x1.42669af26d6fdp-18, 0x1.1e6e359b9378p-18, 0x1.f761963e255e1p-19, 0x1.b44988f283a29p-19, 0x1.7381cc6cfeafdp-19, 0x1.34f89986cefcbp-19, 0x1.f139a37e8f8fp-20, 0x1.7cbbf0c8ecb7fp-20, 0x1.0c5857f94c47fp-20, 0x1.3fe07fbaea471p-21, 0x1.bb316675a438cp-23, -0x1.6b1258709473p-23, -0x1.1d09162cd56e4p-21, -0x1.d835f614326e2p-21, -0x1.463f11804a042p-20, -0x1.9d095df5a2e6p-20, -0x1.f09192769ae83p-20, -0x1.20774674bb1e2p-19, -0x1.471b2ffd85871p-19, -0x1.6c3f2dd8c11b2p-19, -0x1.8fed8ad40995fp-19, -0x1.b230387b5aa6p-19, -0x1.d310d2e450214p-19, -0x1.f298a45238f59p-19, -0x1.0868545a262b2p-18, -0x1.16e0c87faf875p-18, -0x1.24b9e33229dd5p-18, -0x1.31f7b6b246a8dp-18, -0x1.3e9e3462c79a3p-18, -0x1.4ab12e327e211p-18, -0x1.563457f709281p-18, -0x1.612b48b8df63ap-18, -0x1.6b997bf12c854p-18, -0x1.758252ba067c5p-18, -0x1.7ee914f17d0c7p-18, -0x1.87d0f24ffb573p-18, -0x1.903d0372786fep-18, -0x1.98304ad8e8d44p-18, -0x1.9fadb5d9620fdp-18, -0x1.a6b81d8860158p-18, -0x1.ad524796937f2p-18, -0x1.b37ee724a1e7cp-18, -0x1.b9409d8d39cbcp-18, -0x1.be99fb25dac7dp-18, -0x1.c38d7ff6b1e7fp-18, -0x1.c81d9c69dde6cp-18, -0x1.cc4cb1f279e64p-18, -0x1.d01d13abbd097p-18, -0x1.d39106f08565fp-18, -0x1.d6aac3eb96a66p-18, -0x1.d96c7620e03dbp-18, -0x1.dbd83cf00e53cp-18, -0x1.ddf02c10b0efp-18, -0x1.dfb64c083a7fep-18, -0x1.e12c9a9a1af9bp-18, -0x1.e2550b3235bc7p-18, -0x1.e3318749f16cep-18, -0x1.e3c3eec81cd3fp-18, -0x1.e40e185be0acep-18, -0x1.e411d1d2fa0f5p-18, -0x1.e3d0e06b6e28bp-18, -0x1.e34d0120ee538p-18, -0x1.e287e8f61dd64p-18, -0x1.e1834539e6d36p-18, -0x1.e040bbc910487p-18, -0x1.dec1eb4c3ee6bp-18, -0x1.dd086b728c957p-18, -0x1.db15cd28df8b9p-18, -0x1.d8eb9ace2a814p-18, -0x1.d68b5864b924fp-18, -0x1.d3f683c0af27cp-18, -0x1.d12e94b3de33bp-18, -0x1.ce34fd3713f0cp-18, -0x1.cb0b2990ff39cp-18, -0x1.c7b2807acecddp-18, -0x1.c42c6342a44c3p-18, -0x1.c07a2debfceaep-18, -0x1.bc9d374e26f51p-18, -0x1.b896d130e052ep-18, -0x1.b46848673a0d9p-18, -0x1.b012e4e8d625fp-18, -0x1.ab97e9e997f21p-18, -0x1.a6f895efdf398p-18, -0x1.a23622e9615e6p-18, -0x1.9d51c63eb6c65p-18, -0x1.984cb0e5af3e4p-18, -0x1.93280f728186bp-18, -0x1.8de50a27e505fp-18, -0x1.8884c5062cad9p-18, -0x1.83085fd96c4e9p-18, -0x1.7d70f646be41cp-18, -0x1.77bf9fd8b4a3fp-18, -0x1.71f5700b05b53p-18, -0x1.6c13765581c51p-18, -0x1.661abe365e7cep-18, -0x1.600c4f3be436dp-18, -0x1.59e92d0d897cep-18, -0x1.53b2577487597p-18, -0x1.4d68ca63f2952p-18, -0x1.470d7e0060828p-18, -0x1.40a166a7269ecp-18, -0x1.3a2574f5387c5p-18, -0x1.339a95cdaeebcp-18, -0x1.2d01b260022fbp-18, -0x1.265bb02dfb8e1p-18, -0x1.1fa9711168e9ap-18, -0x1.18ebd34196ff3p-18, -0x1.1223b1589933p-18, -0x1.0b51e2586543ep-18, -0x1.047739afcaadcp-18, -0x1.fb290e7e8c9cep-19, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      66, 0x1.acccccccccccdp+2, 0x1.986e370109861p+1, 0x1.02916c17fab7fp+3, 0x1.e194380949a2ap-7, 
      {{
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.3d32eb41acd48p-4, -0x1.9a07452a0599ap-3, 0x1.47160eb9f50fdp-2, -0x1.3be848cdfdeb5p-2}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.174f18accc293p-4, -0x1.5d598afdae27ep-3, 0x1.17b33701755f7p-2, -0x1.166e3799c884p-2}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.ee10453034d29p-5, -0x1.299612be6a547p-3, 0x1.dbdef6ee61cafp-3, -0x1.ed247252c69fbp-3}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.b70ef68a29656p-5, -0x1.fb65386050e1bp-4, 0x1.91e64c2ec3ffep-3, -0x1.aa63986a3ad44p-3}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.881fed1b9192dp-5, -0x1.b1694b6d09482p-4, 0x1.51f0f55207f96p-3, -0x1.688a0d190f4e4p-3}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.5ffb93c9aa30ap-5, -0x1.733b2c7a72286p-4, 0x1.1bdc4027df476p-3, -0x1.261c247229b88p-3}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.3d8d18aad15e9p-5, -0x1.3edee7dfb434ep-4, 0x1.df7cdbc718709p-4, -0x1.ca30c5159033p-4}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.1ff26d06868a2p-5, -0x1.125bbee4ea865p-4, 0x1.9ac257d0a9362p-4, -0x1.3e00c5f61d7ddp-4}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.067c45556a6cp-5, -0x1.d755c11d644a7p-5, 0x1.6b0f06ebbe634p-4, -0x1.eada72d7de26fp-5}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.e15861c3aaef1p-6, -0x1.9267965a1a1e3p-5, 0x1.463ea4b527535p-4, -0x1.e0e6d9ba5c1e3p-5}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.bc3f3b5c9d4dp-6, -0x1.54c330a4b5813p-5, 0x1.222d5460c6d13p-4, -0x1.c2b2799706febp-5}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.9cf5b8b8047f1p-6, -0x1.1e1b767090fe1p-5, 0x1.005ff1a8a64abp-4, -0x1.a9eb5b3705b79p-5}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.82ce6f96b08ep-6, -0x1.dc0dad9589cbap-6, 0x1.c0dc95a2a553bp-5, -0x1.8faffccf7b596p-5}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.6d25ea37e8fd4p-6, -0x1.8846c2cf294d4p-6, 0x1.84e8961d1fa02p-5, -0x1.75d85cc2cc35bp-5}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.5b62a7596ccabp-6, -0x1.401a3589b2d73p-6, 0x1.4cd4ee9980febp-5, -0x1.5be60352352c2p-5}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.4cf51a37726ebp-6, -0x1.02c12725d4b74p-6, 0x1.18a5a14d2c374p-5, -0x1.41fad1166358dp-5}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.4157aa8ca7dd7p-6, -0x1.9ee8dbba43afbp-7, 0x1.d0b33713a1077p-6, -0x1.280dbb6b61e6dp-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.380eb4923284fp-6, -0x1.4ad9e8413d759p-7, 0x1.77e24ba69d429p-6, -0x1.0e210c485c7f7p-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.30a888ffaf4e1p-6, -0x1.07c73d5549be3p-7, 0x1.26d86190e7e97p-6, -0x1.e8694ce931149p-6}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.2abd6d0b329c6p-6, -0x1.a84553632127bp-8, 0x1.bb2ac5a8a780bp-7, -0x1.b48d69b79ae4dp-6}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.25ef9a69484e6p-6, -0x1.5cbbe4c9777f6p-8, 0x1.38338c57f906ap-7, -0x1.80bd520fc227ap-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.21eb3f4cf3bd4p-6, -0x1.29d5fbd1f1eafp-8, 0x1.898f1aa67d8ffp-8, -0x1.4cc123cb002f3p-6}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.1e667e67afbdp-6, -0x1.0c766d6dc9351p-8, 0x1.83d00a59614f5p-9, -0x1.19698470222f6p-6}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.1b216ee96e9bfp-6, -0x1.0183abc3b8914p-8, 0x1.90f1c1c9c257fp-12, -0x1.c75780156f61ep-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.17e61c809a23p-6, -0x1.05d6ac2794ddp-8, -0x1.be2c8fa748439p-10, -0x1.7be35389ad8d9p-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.14884d81ba849p-6, -0x1.16b0f4d6c9ea2p-8, -0x1.c305138ca5e0ap-9, -0x1.5076834d5ad99p-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.10e3069ba28b5p-6, -0x1.324a072561a69p-8, -0x1.4672e45d87cadp-8, -0x1.203d68c979f3p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.0cd60e8b9bcebp-6, -0x1.5741f5507a04cp-8, -0x1.9cebb7005f935p-8, -0x1.e29ad9a724989p-8}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.0845b4450d9efp-6, -0x1.842b54c453d99p-8, -0x1.e54fbe0ca5107p-8, -0x1.840a81dade1e6p-8}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.031acef17d05fp-6, -0x1.b79c581b12d24p-8, -0x1.0fc2425d2330cp-7, -0x1.25a96c74289a7p-8}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.fa857be1198c6p-7, -0x1.f02a3a082c166p-8, -0x1.25c890e5d96fep-7, -0x1.8e775aafe9264p-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.ed5ed1affab8p-7, -0x1.16353bd5f5fbfp-7, -0x1.34b9d77fa5615p-7, -0x1.a3454aafeddcfp-10}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.deae7ee759f9ap-7, -0x1.35793e2cf86cbp-7, -0x1.3c96574c8b709p-7, -0x1.4cc1fe9523069p-13}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.ce6a738b2f2dfp-7, -0x1.552bdc15dcc33p-7, -0x1.3d5dfee54b526p-7, 0x1.5013dc1612bbep-10}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.bc91b00bada44p-7, -0x1.7497ccf7f898ep-7, -0x1.3710d2c4e15eep-7, 0x1.64e009d1d18cdp-9}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.a92c4545441ep-7, -0x1.9307c86d5880ap-7, -0x1.29aed2669cb62p-7, 0x1.10db32e49581cp-8}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.944b54809cd08p-7, -0x1.afc685ea96f8fp-7, -0x1.1537fb6244b2fp-7, 0x1.6f45d995f6663p-8}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.7e090f729d61ap-7, -0x1.ca1ebd475fcc6p-7, -0x1.f358afbad7a39p-8, 0x1.cdb27d582f8ep-8}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.6688b83c66eafp-7, -0x1.e15b24f48bae4p-7, -0x1.ae17835403b4fp-8, 0x1.160bda10ad02dp-7}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.4df6a16b55f75p-7, -0x1.f4c6789b2e688p-7, -0x1.5aad8eb569679p-8, 0x1.454c50def5f16p-7}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.34882df902851p-7, -0x1.01d5b035213cep-6, -0x1.f22d534b726ebp-9, 0x1.74591082ef42dp-7}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.1a7bd14b4004cp-7, -0x1.06aa66a076403p-6, -0x1.12c4afc9afadfp-9, 0x1.a426d166808c2p-7}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.00190f341d592p-7, -0x1.0886505be0ecbp-6, -0x1.6ad6558fc27bbp-13, 0x1.d1244475ecbacp-7}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.cb60f7e3c9ae2p-8, -0x1.07105868b56dep-6, 0x1.00685d542b7a8p-9, 0x1.0450f6cb39107p-6}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.9737785e388cdp-8, -0x1.01e808976993fp-6, 0x1.1c64c2bd9e6p-8, 0x1.fa06a1aa219f5p-7}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.64790fa001c9bp-8, -0x1.f1cc4264b5392p-7, 0x1.b4338cd70edfp-8, 0x1.a5525f26be65bp-7}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.33e3918db72cdp-8, -0x1.d8d3f1ad8121cp-7, 0x1.194c87e48a64fp-7, 0x1.5b1e57531c6cp-7}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.061973d0aa213p-8, -0x1.ba1839318c0a4p-7, 0x1.4d5de1ca9b74dp-7, 0x1.0e19f0bb1018cp-7}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.b73fa6e3c782ep-9, -0x1.96bb70cf15559p-7, 0x1.75e1c5e6aaabdp-7, 0x1.83ad9509ca107p-8}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.69bce9b449acbp-9, -0x1.6fe3e475bd6dep-7, 0x1.92f53114336cap-7, 0x1.d57c062e98b15p-9}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.243f87a3cbadap-9, -0x1.46b6d219b665ep-7, 0x1.a4903e1c5926dp-7, 0x1.47c419e673715p-10}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.ce434e055ba7p-10, -0x1.1c59bb8b8aa7dp-7, 0x1.aab584ff11b78p-7, -0x1.1bf417c46361cp-10}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.650579c17f8abp-10, -0x1.e3e4424ba33c2p-8, 0x1.a5628af3630ddp-7, -0x1.bf12d0f9152bcp-9}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.0c8f1a1a81104p-10, -0x1.914a8a7d2ca01p-8, 0x1.949ea31d3f0f3p-7, -0x1.797b62b801816p-8}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.8868a85b79f7cp-11, -0x1.4332c76810aa7p-8, 0x1.784efbb5d88c3p-7, -0x1.071c5409554ap-7}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.15a7d52edd942p-11, -0x1.f7c4412145954p-9, 0x1.50d788b47226dp-7, -0x1.5b3194a042906p-7}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.7b5cf5cac2d0fp-12, -0x1.7b72169638a42p-9, 0x1.1cc34c02ce915p-7, -0x1.6e6fc31bfd671p-7}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.f1cce004fe83ap-13, -0x1.14889a3219234p-9, 0x1.cb9843e39dea9p-8, -0x1.40d716417f161p-7}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.36c636b74e165p-13, -0x1.847acdc566417p-10, 0x1.6b57bd365e312p-8, -0x1.1cf46301b4b1bp-7}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.6c5720e5a66ccp-14, -0x1.043d694e7980ap-10, 0x1.15db391c4195cp-8, -0x1.ecf35f9035942p-8}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.8952dd3ffed0cp-15, -0x1.47c5910eff2e9p-11, 0x1.97d3d58d3fe32p-9, -0x1.a15205b6162d8p-8}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.7b5cf5cac2ce9p-16, -0x1.7b5c260a863d4p-12, 0x1.1aa1a0a36c6f9p-9, -0x1.5590796b44311p-8}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.36c636b74e13fp-17, -0x1.847c35005adfp-13, 0x1.6852f86ce328dp-10, -0x1.08fbaa4a28c41p-8}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.8952dd3ffec21p-19, -0x1.47a4c7dc7c944p-14, 0x1.92ab2480c89afp-11, -0x1.7fa831e5c919cp-9}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.36c636b74d5p-21, -0x1.86589d18d548ep-16, 0x1.58f2d9edd318ep-12, -0x1.a72b4d2a340cep-10}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.36c636b73dp-25, -0x1.4c656909b0d6p-19, 0x1.6c30481ecf68p-14, -0x1.1b29ced5bc64fp-9}, 
      }}, 
      0x1.0a7353966188ap-5, -0x1.9aae731e6c614p-3
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_o_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.006e1e55d7912p-5, -0x1.fec0b933605abp-5, -0x1.7c5d132eec726p-4, -0x1.f695171cb3e13p-4, -0x1.36b6ceab767c1p-3, -0x1.703d1225ef4e6p-3, -0x1.a7a167621495fp-3, -0x1.dcc40e5b1c135p-3, -0x1.07ca0e3782789p-2, -0x1.1ffb5c3d5eb1cp-2, -0x1.36fa1d4fce546p-2, -0x1.4cb17c60f61e6p-2, -0x1.613e211cc02edp-2, -0x1.748d25c28852fp-2, -0x1.86ac67666da29p-2, -0x1.979d7d485a952p-2, -0x1.a766e854ce8ecp-2, -0x1.b615fd0c54a73p-2, -0x1.c3b120c815159p-2, -0x1.d03b6f59e9554p-2, -0x1.dbbf42619e421p-2, -0x1.e64bf92088c2ap-2, -0x1.efed4a792f05ap-2, -0x1.f8a8fb5b9056p-2, -0x1.0041ebb834176p-1, -0x1.03c353d28c251p-1, -0x1.06e1454530bedp-1, -0x1.09a0b664e5c88p-1, -0x1.0c05d78173c98p-1, -0x1.0e14e09bf16bap-1, -0x1.0fd1d1571146fp-1, -0x1.1140e50fcbf1ep-1, -0x1.1266b13280d3cp-1, -0x1.1347ea5e43bc2p-1, -0x1.13e90891f3b1p-1, -0x1.144e06ae0bcaap-1, -0x1.147a5b571aa56p-1, -0x1.1471211784fddp-1, -0x1.14355009912b1p-1, -0x1.13c9eb5150855p-1, -0x1.1332143251323p-1, -0x1.12710139fc637p-1, -0x1.1189e340f4371p-1, -0x1.107fc471ea38ep-1, -0x1.0f556d9b6b601p-1, -0x1.0e0d591d386b9p-1, -0x1.0ca9b4b58a5a6p-1, -0x1.0b2c6e19e1227p-1, -0x1.0997445aca441p-1, -0x1.07ebd96204d49p-1, -0x1.062bc080a247dp-1, -0x1.0458893374c58p-1, -0x1.0273c44d331a2p-1, -0x1.007f03f2b552bp-1, -0x1.fcf55a6b1d719p-2, -0x1.f8d832364a8ddp-2, -0x1.f4a414c10108bp-2, -0x1.f05b400d84dfdp-2, -0x1.ebffca9947d49p-2, -0x1.e793aa4e8c16ep-2, -0x1.e318b916e5bc1p-2, -0x1.de90b98f51127p-2, -0x1.d9fd57f6c106p-2, -0x1.d56029dd2f0cep-2, -0x1.d0baac9563131p-2, -0x1.cc0e437048ab8p-2, -0x1.c75c3668dc9cap-2, -0x1.c2a5b1e0d418p-2, -0x1.bdebc75c0fd07p-2, -0x1.b92f6f320f213p-2, -0x1.b4718aeae162fp-2, -0x1.afb2e7d4b818ep-2, -0x1.aaf442063e064p-2, -0x1.a63646d542269p-2, -0x1.a17996d18f48ep-2, -0x1.9cbec8bc76898p-2, -0x1.98066a29a01d1p-2, -0x1.9351012829daep-2, -0x1.8e9f0cf62ca03p-2, -0x1.89f106506d87dp-2, -0x1.85475f7b1267dp-2, -0x1.80a28423323d3p-2, -0x1.7c02d80f79fbfp-2, -0x1.7768b7e026877p-2, -0x1.72d47768cc8c2p-2, -0x1.6e4661da57f67p-2, -0x1.69beb9a669489p-2, -0x1.653db8baaf18ap-2, -0x1.60c391282890dp-2, -0x1.5c506dfadadep-2, -0x1.57e4744755bd8p-2, -0x1.537fc45e857ccp-2, -0x1.4f227aec58612p-2, -0x1.4accb1fbaedbep-2, -0x1.467e81e0c8345p-2, -0x1.423801f1a966ep-2, -0x1.3df948b8c306bp-2, -0x1.39c26c707964ep-2, -0x1.359382cc3bf7cp-2, -0x1.316ca0e6c46a2p-2, -0x1.2d4ddb6deae6cp-2, -0x1.2937458d950a9p-2, -0x1.2528f180a27e4p-2, -0x1.2122eff169fafp-2, -0x1.1d254fe661877p-2, -0x1.19301ea018237p-2, -0x1.15436791a15c8p-2, -0x1.115f3498f1896p-2, -0x1.0d838d5b66d0ep-2, -0x1.09b078b5637cp-2, -0x1.05e6ad54eac04p-2, -0x1.0224ddc58e843p-2, -0x1.fcd74c3de5752p-3, -0x1.f5761254c747fp-3, -0x1.ee261255616ebp-3, -0x1.e6e74fd7c2a77p-3, -0x1.dfb9cdbb7b11p-3, -0x1.d89d8e277abe4p-3, -0x1.d19292d4a3df7p-3, -0x1.ca98dcd4ad02fp-3, -0x1.c3b06d04260a3p-3, -0x1.bcd94362403fdp-3, -0x1.b613627ddcc68p-3, -0x1.af5ebed8e63c8p-3, -0x1.a8bb661dd6e83p-3, -0x1.a2294c732f669p-3, -0x1.9ba8714c25b9dp-3, -0x1.9538d0ea6d16ep-3, -0x1.8eda66baee7e4p-3, -0x1.888d2d44980cep-3, -0x1.82511e50297fap-3, -0x1.7c26326e00e58p-3, -0x1.760c61a5e612dp-3, -0x1.7003a2d503c5fp-3, -0x1.6a0bec334d9b4p-3, -0x1.642532ff2aeb4p-3, -0x1.5e4f6bae3872dp-3, -0x1.588a8a6c7efa9p-3, -0x1.52d681bf0afdap-3, -0x1.4d3344e3b963fp-3, -0x1.47a0c52375534p-3, -0x1.421ef46e1f09cp-3, -0x1.3cadc332f74e8p-3, -0x1.374d221fc2853p-3, -0x1.31fd012f8ed45p-3, -0x1.2cbd4fb8e791fp-3, -0x1.278dfd018907ep-3, -0x1.226ef7c00d9d3p-3, -0x1.1d602e46ccb95p-3, -0x1.18618e920b8dp-3, -0x1.1373063a2c29ep-3, -0x1.0e948271eb261p-3, -0x1.09c5f027e7b7dp-3, -0x1.05073bf25e038p-3, -0x1.0058515cddf0dp-3, -0x1.f7723862c6886p-4, -0x1.ee531230d6fe6p-4, -0x1.e55302d58e7ep-4, -0x1.dc71e0a102d49p-4, -0x1.d3af7f5f1ca8ap-4, -0x1.cb0bb39f893f3p-4, -0x1.c2864f0ce57d7p-4, -0x1.ba1f23b8676abp-4, -0x1.b1d60319be5a4p-4, -0x1.a9aabd14f4a41p-4, -0x1.a19d29158f0e3p-4, -0x1.99acfba2e4c01p-4, -0x1.91da288880f8p-4, -0x1.8a245649ebfadp-4, -0x1.828b6fb37b084p-4, -0x1.7b0f3200ffc5cp-4, -0x1.73af6a437a6c5p-4, -0x1.6c6be2591be98p-4, -0x1.654463629aefdp-4, -0x1.5e38b5c56ba9bp-4, -0x1.5748a0e36165p-4, -0x1.5073ebb3a5053p-4, -0x1.49ba5c7c558f3p-4, -0x1.431bb895b76dep-4, -0x1.3c97c52020974p-4, -0x1.362e48dadd98bp-4, -0x1.2fdefd0390b92p-4, -0x1.29a9af47a7fd7p-4, -0x1.238e1e1c63011p-4, -0x1.1d8c0b1574471p-4, -0x1.17a33511d099p-4, -0x1.11d362e243229p-4, -0x1.0c1c4e1622bf9p-4, -0x1.067db840c5c44p-4, -0x1.00f7605cc7045p-4, -0x1.f71206eb2badap-5, -0x1.ec64c73e10bcp-5, -0x1.e1e67527c00d9p-5, -0x1.d7968e017ca2fp-5, -0x1.cd748beb5ca0ep-5, -0x1.c37fe7ca6368p-5, -0x1.b9b8181c1ef87p-5, -0x1.b01c9804afp-5, -0x1.a6ace15577c55p-5, -0x1.9d686abc70463p-5, -0x1.944e9b2f58bc5p-5, -0x1.8b5eff5ed5122p-5, -0x1.8299055d235d5p-5, -0x1.79fc242726e1dp-5, -0x1.7187d1a3c916dp-5, -0x1.693b84cd235c5p-5, -0x1.6116b40336b46p-5, -0x1.5918d665ff117p-5, -0x1.514162ee95aefp-5, -0x1.498fd28c3bde3p-5, -0x1.4203999fdcf7ep-5, -0x1.3a9c338674704p-5, -0x1.3359191750b8p-5, -0x1.2c39c3a8dd384p-5, -0x1.253dadda64a0ep-5, -0x1.1e6452d986375p-5, -0x1.17ad2fdaf37a9p-5, -0x1.1117bf42a9664p-5, -0x1.0aa380ac4bf74p-5, -0x1.044ff3d1138bfp-5, -0x1.fc3930a621ffap-6, -0x1.f011ded8c50d8p-6, -0x1.e396bc61f6c4cp-6, -0x1.d7ee1183ff134p-6, -0x1.cc824c7e1eaaap-6, -0x1.c152980fccf5ap-6, -0x1.b65ddd4644aefp-6, -0x1.aba3320add84p-6, -0x1.a12199a7c813dp-6, -0x1.96d82a6aa8319p-6, -0x1.8cc5f2ac21e36p-6, -0x1.82ea030c9e1a2p-6, -0x1.79436f8785824p-6, -0x1.6fd153032fdc6p-6, -0x1.6692c6612469ap-6, -0x1.5d86e6866056fp-6, -0x1.54acd3c3ff1dcp-6, -0x1.4c03b0548b48bp-6, -0x1.438a9ea303486p-6, -0x1.3b40cafaa20a4p-6, -0x1.33255fce5634p-6, -0x1.2b3788f3b42c6p-6, -0x1.2376701622a15p-6, -0x1.1be165973766fp-6, -0x1.1477823bfe226p-6, -0x1.0d3807933ffe6p-6, -0x1.062244368a3f6p-6, -0x1.fe6a9cb5c22d8p-7, -0x1.f0e1193660306p-7, -0x1.e3a66e8eb459ep-7, -0x1.d6b92e957c7a5p-7, -0x1.ca17f2d0bb0a9p-7, -0x1.bdc147e2cbe2cp-7, -0x1.b1b3d4b9c65d3p-7, -0x1.a5ee3b5f3459ap-7, -0x1.9a6f1612da1bp-7, -0x1.8f353cca9b9d7p-7, -0x1.843f371425ad5p-7, -0x1.798bd0faa9368p-7, -0x1.6f19c8f3c8756p-7, -0x1.64e77dae19265p-7, -0x1.5af47e6061bb5p-7, -0x1.513ef2835c007p-7, -0x1.47c5d2d119f2ep-7, -0x1.3e87f381ece38p-7, -0x1.358427924f9b5p-7, -0x1.2cb9513ab338dp-7, -0x1.24263612a608ep-7, -0x1.1bc9d05bd4956p-7, -0x1.13a32a6d009b5p-7, -0x1.0bb0a41bfea06p-7, -0x1.03f1b4eb227c6p-7, -0x1.f8ca40d71c188p-8, -0x1.ea13b748b53bp-8, -0x1.dbbdc147aa764p-8, -0x1.cdc650d8fcf0cp-8, -0x1.c02b706ffc1aep-8, -0x1.b2eafc522ef2ap-8, -0x1.a6037a8b4a22ep-8, -0x1.99728cd12b843p-8, -0x1.8d367bf71ec1ap-8, -0x1.814d6f005c6c1p-8, -0x1.75b58dd99411dp-8, -0x1.6a6d12edd8133p-8, -0x1.5f7234c170125p-8, -0x1.54c343db2bb9p-8, -0x1.4a5e7e2e08cc4p-8, -0x1.404239851d168p-8, -0x1.366cd195dd87p-8, -0x1.2cdca3266a081p-8, -0x1.2390095ce0c4cp-8, -0x1.1a85915522c2ap-8, -0x1.11bb95ee5c48bp-8, -0x1.09309b3167f11p-8, -0x1.00e309081845fp-8, -0x1.f1a3658926177p-9, -0x1.e1f5e23d2e695p-9, -0x1.d2baa0b2d9397p-9, -0x1.c3ef0eac996d5p-9, -0x1.b59066bf09c4ap-9, -0x1.a79c0231067a2p-9, -0x1.9a0f395ce4e2fp-9, -0x1.8ce78cb3c6809p-9, -0x1.8022673ad2b9cp-9, -0x1.73bd3fc123b9dp-9, -0x1.67b5ce9f0cebcp-9, -0x1.5c09a3b2372edp-9, -0x1.50b66ef15cd88p-9, -0x1.45b9d74db9ef7p-9, -0x1.3b11cf3bfd4c4p-9, -0x1.30bbf8c8bb05ap-9, -0x1.26b63cdf34568p-9, -0x1.1cfe840a34acfp-9, -0x1.1392bfc04480dp-9, -0x1.0a70eee1fd835p-9, -0x1.0196da150f9e3p-9, -0x1.f2068b4be1f63p-10, -0x1.e16743c5a8565p-10, -0x1.d14cab3603e1dp-10, -0x1.c1b310a6e4a36p-10, -0x1.b296d8ef82298p-10, -0x1.a3f4c10805f2p-10, -0x1.95c9561e7610ap-10, -0x1.88114a4171298p-10, -0x1.7ac966bad1455p-10, -0x1.6dee615a7878ap-10, -0x1.617d8b0d5decp-10, -0x1.55737bb4c2d01p-10, -0x1.49cd6bafc7e03p-10, -0x1.3e8877fb1b85fp-10, -0x1.33a1d5308bd78p-10, -0x1.2916c7d2f3536p-10, -0x1.1ee4a51884e4fp-10, -0x1.1508d2d438a5dp-10, -0x1.0b80cd320149p-10, -0x1.024a14966f644p-10, -0x1.f2c5f616e568dp-11, -0x1.e18d9a2984ca3p-11, -0x1.d0eb5298e13d2p-11, -0x1.c0d905eb7ecb9p-11, -0x1.b1525165949fap-11, -0x1.a252f2e21c37ep-11, -0x1.93d6c4fc04e1ep-11, -0x1.85d9c5adf27a8p-11, -0x1.785810c172384p-11, -0x1.6b4d6e902b8f5p-11, -0x1.5eb6909fb69a5p-11, -0x1.528fb5b8706b4p-11, -0x1.46d54dcec235bp-11, -0x1.3b8401ce0a784p-11, -0x1.30982ac9e6a93p-11, -0x1.260e83206d6fbp-11, -0x1.1be4a8c1c9486p-11, -0x1.1216bc6160233p-11, -0x1.08a1a5ab8b353p-11, -0x1.ff05cc5da5984p-12, -0x1.ed6eff8aecf29p-12, -0x1.dc791a31b4fd3p-12, -0x1.cc1f7dd5fd325p-12, -0x1.bc5c3376e020dp-12, -0x1.ad2a674793698p-12, -0x1.9e85eb96f09b8p-12, -0x1.9067b3af79c06p-12, -0x1.82cd67a6bb051p-12, -0x1.75b1b74f465d6p-12, -0x1.690d5ab148feap-12, -0x1.5ce46b6236e78p-12, -0x1.512a7818055abp-12, -0x1.45de571e063a4p-12, -0x1.3afdbdc8e8ad6p-12, -0x1.30800b309c074p-12, -0x1.26668d635d1b3p-12, -0x1.1cabe2ffb5617p-12, -0x1.134cb749bd56ep-12, -0x1.0a45bc035d005p-12, -0x1.0193beb36185fp-12, -0x1.f26758a0e98d2p-13, -0x1.e2477ec692481p-13, -0x1.d2bac9a43bdcap-13, -0x1.c3c315afe01cfp-13, -0x1.b5589cb065b8cp-13, -0x1.a7762f946636cp-13, -0x1.9a16d10440eb5p-13, -0x1.8d35a8daeb6edp-13, -0x1.80cdb643ad8b7p-13, -0x1.74ddc8e0e9082p-13, -0x1.6959bfa798c45p-13, -0x1.5e3d3a4b1d1f9p-13, -0x1.53957d55c0608p-13, -0x1.494d90cb8e1ccp-13, -0x1.3f6621a3c688ap-13, -0x1.35d6a7d9034cfp-13, -0x1.2ca1a7ae36611p-13, -0x1.23c145dd6338fp-13, -0x1.1b31dec5cbe38p-13, -0x1.12eff3ef2954fp-13, -0x1.0af825f65d8f5p-13, -0x1.03472525656c6p-13, -0x1.f7c8abd654864p-14, -0x1.e95ad55cead5fp-14, -0x1.db7f1388edef8p-14, -0x1.ce1970eb6e86fp-14, -0x1.c126f18f6368cp-14, -0x1.b49c90ad4acebp-14, -0x1.a87e78abe197ep-14, -0x1.9cc2aae51900ap-14, -0x1.9166b0d3fc6c3p-14, -0x1.86666807d063ap-14, -0x1.7bbde60ae0d7ep-14, -0x1.716a34b4da046p-14, -0x1.6755312b6874ap-14, -0x1.5dafbd5ee3bd6p-14, -0x1.54431d823c66fp-14, -0x1.4b1f73e162fb6p-14, -0x1.423f57238b6e5p-14, -0x1.39b7d7a084277p-14, -0x1.313dd80ecb28cp-14, -0x1.29173c08615bfp-14, -0x1.21308d1a02ef2p-14, -0x1.1975493beadd4p-14, -0x1.11f3f17262ef1p-14, -0x1.0aa475fc7f641p-14, -0x1.0386e6079a1ep-14, -0x1.f924eec683db1p-15, -0x1.eb98fb4fd1ecbp-15, -0x1.de60602588f65p-15, -0x1.d177c2dabcc73p-15, -0x1.c4dbae3e31228p-15, -0x1.b888ddfef309cp-15, -0x1.ac7c0970858ecp-15, -0x1.a0b25430b9af8p-15, -0x1.9528cc1956bb3p-15, -0x1.89da4efe76752p-15, -0x1.7ee5adec91361p-15, -0x1.73f19d4ef8369p-15, -0x1.694e8ec249d9ap-15, -0x1.5edf3907384fap-15, -0x1.54a1b01a05772p-15, -0x1.4a948db644b4ap-15, -0x1.409a80af0a215p-15, -0x1.36ff7fbabf55ap-15, -0x1.2d752302e74ccp-15, -0x1.2413e123101d6p-15, -0x1.1ad99635d804dp-15, -0x1.11befc7ecde4ep-15, -0x1.08d5fbef820e4p-15, -0x1.0003641fcb8b3p-15, -0x1.eeb2a4264a65p-16, -0x1.dda05174ac1aap-16, -0x1.ccce5c7d590d4p-16, -0x1.bc437dd24579ap-16, -0x1.abde47329ce87p-16, -0x1.9bc5d89eab84cp-16, -0x1.8be2c8c415174p-16, -0x1.7c35463105768p-16, -0x1.6cbd22af2ab14p-16, -0x1.5d7b684c91d8ap-16, -0x1.4e6c87b974998p-16, -0x1.3f921d202cf1fp-16, -0x1.30ea8e17fecfp-16, -0x1.226ed64cb2dfcp-16, -0x1.1448a04ce0243p-16, -0x1.060bfef43d539p-16, -0x1.f04449ba76293p-17, -0x1.d4cb15d94a107p-17, -0x1.b9ab6a1233ee6p-17, -0x1.9ee51b8591d24p-17, -0x1.847750eca5854p-17, -0x1.6a6135a2b3cf4p-17, -0x1.50a2096564e95p-17, -0x1.3739268d97762p-17, -0x1.1e2671c877dc4p-17, -0x1.0542f092d561cp-17, -0x1.da03ad2fb4361p-18, -0x1.aaca103c705fp-18, -0x1.7a5a1f700a81bp-18, -0x1.4b7569d3170dap-18, -0x1.1d402841f88d9p-18, -0x1.df6243ac5c617p-19, -0x1.857e556a1d10ap-19, -0x1.2b1c300ff00f7p-19, -0x1.ab6e03ec2145bp-20, -0x1.01c81c7d29a21p-20, -0x1.60c328cc2312bp-22, 0x1.3ff30abfcdf7ap-22, 0x1.e7ead2ea70fffp-21, 0x1.96a31f67a22b9p-20, 0x1.1a30a94e91483p-19, 0x1.686afb021358dp-19, 0x1.b559c7d066d39p-19, 0x1.006c9ca9c485bp-18, 0x1.258dc741ee511p-18, 0x1.4a089287c5cd6p-18, 0x1.6ddca22d078cap-18, 0x1.9109ff34021e9p-18, 0x1.b39061d9a673ap-18, 0x1.d56f4d52fce5dp-18, 0x1.f6a7579e97e3dp-18, 0x1.0b9b6d40daecap-17, 0x1.1b796af510cbep-17, 0x1.2b33f28f5f421p-17, 0x1.3a7ecf4707914p-17, 0x1.4977b05de2d28p-17, 0x1.581da6578f9ddp-17, 0x1.666e646d6170dp-17, 0x1.746e02b04707ep-17, 0x1.82176d6edc13bp-17, 0x1.8f6e4f54a0882p-17, 0x1.9c7226d1f6eb6p-17, 0x1.a92712f3ce428p-17, 0x1.b4a6aec423892p-17, 0x1.c1971aae9d558p-17, 0x1.cd406edeb387p-17, 0x1.d8a59115124d5p-17, 0x1.e3a9431f47506p-17, 0x1.ee71a2efe28a8p-17, 0x1.f8ddc42375638p-17, 0x1.017d5d6597caap-16, 0x1.0660a49f24571p-16, 0x1.0b1cbec647e54p-16, 0x1.0fb030b43e1b8p-16, 0x1.141b57c0fbbadp-16, 0x1.185e59d9afcfp-16, 0x1.1c7917b2590bfp-16, 0x1.207e2ccd1dd3bp-16, 0x1.24378f40a6608p-16, 0x1.27f4ffec3d2a6p-16, 0x1.2b5d50c8bd7ap-16, 0x1.2ea02c60039acp-16, 0x1.31e35e9e87e11p-16, 0x1.34ea648b6be46p-16, 0x1.37cf39a13d697p-16, 0x1.3a8d5f3186edbp-16, 0x1.3d25f850d860bp-16, 0x1.3f9943c8e05bbp-16, 0x1.41e8f1833d7c7p-16, 0x1.440a26ba0d38cp-16, 0x1.4618072d89a01p-16, 0x1.47fa5328e580fp-16, 0x1.49c0a394cbb3ap-16, 0x1.4b819eed9f209p-16, 0x1.4cce054e6f25p-16, 0x1.4e22a876abdefp-16, 0x1.4f565486aa26cp-16, 0x1.5068256174d87p-16, 0x1.515b01b373525p-16, 0x1.52290e6685b4bp-16, 0x1.52d946820827cp-16, 0x1.5366f96d8eea6p-16, 0x1.540ac76832a3ep-16, 0x1.542a6a056f18ap-16, 0x1.5458ed93c0916p-16, 0x1.546b4422b0204p-16, 0x1.545fc6bb4774fp-16, 0x1.5436aab066893p-16, 0x1.53f0492c3360ep-16, 0x1.538d1a7111e7ep-16, 0x1.530e6873f16b6p-16, 0x1.527eb944123f2p-16, 0x1.51c80d2c4c879p-16, 0x1.50e971fca69d8p-16, 0x1.4ffd7cf4fc87ap-16, 0x1.4efb9ea198f39p-16, 0x1.4dd75b54dcc02p-16, 0x1.4c9ee85455556p-16, 0x1.4b4d64384c8a6p-16, 0x1.49e3c048ec45ap-16, 0x1.485fc7208f8edp-16, 0x1.46b710c2df8bap-16, 0x1.4519cb682913p-16, 0x1.4355d2a3ffb32p-16, 0x1.41bdfb3dc7d74p-16, 0x1.3f7ac49a10f2p-16, 0x1.3d823fe140162p-16, 0x1.3b8a4a93596a2p-16, 0x1.3936aad9a07dap-16, 0x1.36f2c3d283b7cp-16, 0x1.349c643203e0ep-16, 0x1.323280515d659p-16, 0x1.2fb9ba7c0f1b5p-16, 0x1.2d2fa6c63f423p-16, 0x1.2a917f519e4ccp-16, 0x1.27e2ca76359ccp-16, 0x1.25256d324f0f5p-16, 0x1.22595df0d4c8dp-16, 0x1.1f7aabb3fc031p-16, 0x1.1c939f0734fd2p-16, 0x1.19940a016a44p-16, 0x1.1681c5e84b3ecp-16, 0x1.133c40f1be7adp-16, 0x1.105253990f09bp-16, 0x1.0d20fcb8de92fp-16, 0x1.09e9b17b979e7p-16, 0x1.069be4de6f76ap-16, 0x1.0348e400b9d17p-16, 0x1.ffd4b340d2151p-17, 0x1.f901bcb4e31a5p-17, 0x1.f23938752535ep-17, 0x1.eb24fb030ea7bp-17, 0x1.e41753770df59p-17, }}, 
      {{0x1.c2d9671d23c65p-1, 0x1.c523233a84e55p-1, 0x1.c8970972609c2p-1, 0x1.ccdce9c035955p-1, 0x1.d1bd5e3d08b25p-1, 0x1.d704553b4ff96p-1, 0x1.dc89928084cbfp-1, 0x1.e22981ec83f95p-1, 0x1.e7c5e1ec46591p-1, 0x1.ed489bf3f1234p-1, 0x1.f29b199fe1886p-1, 0x1.f7b33f6637b53p-1, 0x1.fc7d33a18b9bp-1, 0x1.007a4eb83857fp+0, 0x1.0287d28df4226p+0, 0x1.0464dd63f536dp+0, 0x1.060fbdf1d31f6p+0, 0x1.078685c3b54dap+0, 0x1.08c8aaec3a1dcp+0, 0x1.09d6cf7e37853p+0, 0x1.0ab14605ad569p+0, 0x1.0b57fd9d2c019p+0, 0x1.0bcb7d67f2115p+0, 0x1.0c0d4f3327757p+0, 0x1.0c1f7682dcff2p+0, 0x1.0c03bdcdc4729p+0, 0x1.0bbb30322532ap+0, 0x1.0b471880c3749p+0, 0x1.0aa9847ce6287p+0, 0x1.09e462d19e487p+0, 0x1.08f9b79f1acbep+0, 0x1.07eb78e7dadeap+0, 0x1.06bb7c5c8cac4p+0, 0x1.056b7d374201p+0, 0x1.03fd2ea11b42fp+0, 0x1.02724bc2c538cp+0, 0x1.00cc9c667c2dap+0, 0x1.fe1bda697b129p-1, 0x1.fa7003268aa65p-1, 0x1.f6990d16f8e8bp-1, 0x1.f29a17916f29ap-1, 0x1.ee76068a3a6a1p-1, 0x1.ea2f8c47df389p-1, 0x1.e5c937fb397c7p-1, 0x1.e145837d73383p-1, 0x1.dca6dca50aaf7p-1, 0x1.d7efa8bf8bf43p-1, 0x1.d322429c0536p-1, 0x1.ce40f4ac52e86p-1, 0x1.c94df1560503ep-1, 0x1.c44b4bd0bdc11p-1, 0x1.bf3af3cefa3aap-1, 0x1.ba1eb4471a7cbp-1, 0x1.b4f8350b31778p-1, 0x1.afc9e9c635966p-1, 0x1.aa92bd48c704bp-1, 0x1.a55580f590878p-1, 0x1.a0138bfaef64fp-1, 0x1.9ace222f62414p-1, 0x1.958673c9a4d5cp-1, 0x1.903d9d96a9484p-1, 0x1.8af4a9b446e1ep-1, 0x1.85ac908e882cfp-1, 0x1.806639fb28e19p-1, 0x1.7b227e5731713p-1, 0x1.75e227a72a038p-1, 0x1.70a5f2c3040adp-1, 0x1.6b6e9083c89ecp-1, 0x1.663ca6ea314f3p-1, 0x1.6110d21811001p-1, 0x1.5beba50217d1bp-1, 0x1.56cda9cdf4afp-1, 0x1.51b761ef505e9p-1, 0x1.4ca94604c3e96p-1, 0x1.47a3c5f8fae66p-1, 0x1.42a748a2286f1p-1, 0x1.3db42c64d8bb1p-1, 0x1.38cac76e7a5e7p-1, 0x1.33eb68606d327p-1, 0x1.2f1656fe6feb9p-1, 0x1.2a4bd4e3dbf9p-1, 0x1.258c1e1d54e6fp-1, 0x1.20d769b65dfd9p-1, 0x1.1c2dea057052ap-1, 0x1.178fccfddebbfp-1, 0x1.12fd3c5b1e401p-1, 0x1.0e765dabbe04cp-1, 0x1.09fb52a9bb6cdp-1, 0x1.058c392611144p-1, 0x1.01292b5bb4041p-1, 0x1.f9a4804e9debdp-2, 0x1.f10f16a089693p-2, 0x1.e8923ba724a19p-2, 0x1.e02e0c6383e41p-2, 0x1.d7e2a162793c5p-2, 0x1.cfb00f11af0cfp-2, 0x1.c796663de0f29p-2, 0x1.bf95b3e4bda68p-2, 0x1.b7ae019b84865p-2, 0x1.afdf551a77e9ap-2, 0x1.a829b0f88a459p-2, 0x1.a08d1312fc363p-2, 0x1.990975ecb5d2ap-2, 0x1.919ecff3ee62ap-2, 0x1.8a4d13b454e7cp-2, 0x1.83142ffccdbe9p-2, 0x1.7bf4101b4f9c9p-2, 0x1.74ec9bf6e634dp-2, 0x1.6dfdb92a558f9p-2, 0x1.672749f826963p-2, 0x1.60691ad6a9acp-2, 0x1.59c2f94125175p-2, 0x1.5334ec871366fp-2, 0x1.4cbed32a81bb5p-2, 0x1.46608a1239b0dp-2, 0x1.4019ecaa8f719p-2, 0x1.39ead4f1c6e62p-2, 0x1.33d31bb7f72a6p-2, 0x1.2dd2986c1976ep-2, 0x1.27e92167c184ap-2, 0x1.22168befb001cp-2, 0x1.1c5aac4ad7f36p-2, 0x1.16b5570e0ee9ap-2, 0x1.112659e5b8be2p-2, 0x1.0bad8ca91eb87p-2, 0x1.064abc29e772bp-2, 0x1.00fdb91824e8cp-2, 0x1.f78ca4f706876p-3, 0x1.ed48ad431f1dfp-3, 0x1.e32f264cb45afp-3, 0x1.d93fa9e0ea734p-3, 0x1.cf79d0d8a06cbp-3, 0x1.c5dd328ac8768p-3, 0x1.bc69659f6d1e6p-3, 0x1.b31dffbfa42cfp-3, 0x1.a9fa941c39b6bp-3, 0x1.a0febac3e16c6p-3, 0x1.982a03b40450cp-3, 0x1.8f7c024d0c188p-3, 0x1.86f449ed062d9p-3, 0x1.7e926c16bc6bp-3, 0x1.7655fb0a8dfe6p-3, 0x1.6e3e881dd9348p-3, 0x1.664ba4ebc537ap-3, 0x1.5e7ce2cb4330fp-3, 0x1.56d1d2ef41fb9p-3, 0x1.4f4a06a8dd2dp-3, 0x1.47e50f35721edp-3, 0x1.40a27df091ee6p-3, 0x1.3981e44580a8ap-3, 0x1.3282d3cddb671p-3, 0x1.2ba4dfb7abeabp-3, 0x1.24e79569c7c08p-3, 0x1.1e4a8c40eec0fp-3, 0x1.17cd53752e0ddp-3, 0x1.116f7ec657784p-3, 0x1.0b30a2f92ebf4p-3, 0x1.0510514c854f4p-3, 0x1.fe1c3d17784d4p-4, 0x1.f2533dd9d0b8dp-4, 0x1.e6c4cf6d46f6cp-4, 0x1.db701be4c30eep-4, 0x1.d0544f48376c2p-4, 0x1.c57096fa37387p-4, 0x1.bac420f6f8776p-4, 0x1.b04e1f651d835p-4, 0x1.a60dbe85f3379p-4, 0x1.9c022ff6c9775p-4, 0x1.922aa8df1c637p-4, 0x1.8886618c626b5p-4, 0x1.7f148ccb39e6bp-4, 0x1.75d462c71deeep-4, 0x1.6cc51ca639e87p-4, 0x1.63e5f5027a321p-4, 0x1.5b36280704602p-4, 0x1.52b4f2c51d28p-4, 0x1.4a6194b7c5471p-4, 0x1.423b4eb8ef8a9p-4, 0x1.3a4162e7de663p-4, 0x1.32731572a8828p-4, 0x1.2acfae17f3707p-4, 0x1.23566b971ffb3p-4, 0x1.1c069fbb21b4bp-4, 0x1.14df91fc9f214p-4, 0x1.0de08e95dc34bp-4, 0x1.0708e28610445p-4, 0x1.0057e0746f6c2p-4, 0x1.f399adae28058p-5, 0x1.e6ce34247bc6ap-5, 0x1.da4bfe62cefd8p-5, 0x1.ce11b98462ec1p-5, 0x1.c21e18fbb6c81p-5, 0x1.b66fcfee8910ep-5, 0x1.ab0598118bdbdp-5, 0x1.9fde2e0172362p-5, 0x1.94f856e9a09aep-5, 0x1.8a52c81f5ebebp-5, 0x1.7fec58b84033bp-5, 0x1.75c3cf54987dcp-5, 0x1.6bd806a1d3bddp-5, 0x1.6227b1eb6b439p-5, 0x1.58b1c884f16d9p-5, 0x1.4f751ad34111p-5, 0x1.4670887fa7474p-5, 0x1.3da2f3f695aefp-5, 0x1.350b4489f9edfp-5, 0x1.2ca864d6d0b6fp-5, 0x1.247943b384272p-5, 0x1.1c7cd3cf03469p-5, 0x1.14b20c512360ap-5, 0x1.0d17e5f0c4692p-5, 0x1.05ad60946850ap-5, 0x1.fce2fcd9609afp-6, 0x1.eec68b5254d9p-6, 0x1.e103806a41f69p-6, 0x1.d397f8a3ef03fp-6, 0x1.c682186e35ff2p-6, 0x1.b9c00a2f8e44ap-6, 0x1.ad50022341f7fp-6, 0x1.a1303bbc98c9p-6, 0x1.955ef9ae135b1p-6, 0x1.89da85b86669p-6, 0x1.7e5fdfb2c465fp-6, 0x1.73718ca343976p-6, 0x1.68cb4065467dep-6, 0x1.5e6b6e58c4626p-6, 0x1.5450788fea772p-6, 0x1.4a78d10672d4bp-6, 0x1.40e2fe643be62p-6, 0x1.378d75706c7fp-6, 0x1.2e76c28895fc5p-6, 0x1.259d740f1fdb7p-6, 0x1.1d0020d656906p-6, 0x1.149d650729e19p-6, 0x1.0c73e2e7144a8p-6, 0x1.04824621dd303p-6, 0x1.f98e7d7f4b777p-7, 0x1.ea8307da8cc21p-7, 0x1.dbdfa78b5fcbbp-7, 0x1.cda1e3174e94ap-7, 0x1.bfc75249a0cedp-7, 0x1.b24d911af6e1fp-7, 0x1.a5325c3b9ed81p-7, 0x1.98734fac38d3ep-7, 0x1.8c0e4bb16c2c5p-7, 0x1.800114bd80dfcp-7, 0x1.744981f06101bp-7, 0x1.68e5a89cc4396p-7, 0x1.5dd34694b571dp-7, 0x1.531071957ce06p-7, 0x1.489b24a7e9e9ep-7, 0x1.3e71897aca0e5p-7, 0x1.3491af39af488p-7, 0x1.2af9c36d2863cp-7, 0x1.21a7f863ce039p-7, 0x1.189a83a94f483p-7, 0x1.0fcfc019790cp-7, 0x1.0745e8d95c69fp-7, 0x1.fdf68d2ff998fp-8, 0x1.eddd133461293p-8, 0x1.de3b71bf1dd85p-8, 0x1.cf0f0d3a70413p-8, 0x1.c054b3abb862p-8, 0x1.b20975f6949fbp-8, 0x1.a42a71c5d9ee3p-8, 0x1.96b4cc2a2b29dp-8, 0x1.89a609bb7c8c4p-8, 0x1.7cfaa197798c3p-8, 0x1.70b0bff58df94p-8, 0x1.64c57097cc7aep-8, 0x1.59367017aa568p-8, 0x1.4e00ff63b6a5ap-8, 0x1.4322c9daa9b4cp-8, 0x1.38997259cdbf4p-8, 0x1.2e62ab8fb553dp-8, 0x1.247c2b05e3e92p-8, 0x1.1ae3c52b406fp-8, 0x1.11975efcf41bdp-8, 0x1.0894ab19054b6p-8, 0x1.ffb39d7394d54p-9, 0x1.eec96d081bdffp-9, 0x1.de66dbee1accbp-9, 0x1.ce880e63696dfp-9, 0x1.bf294f0cf0ebdp-9, 0x1.b0475a87176dap-9, 0x1.a1dd76541a12ep-9, 0x1.93e956ae94bb6p-9, 0x1.86672fd64a086p-9, 0x1.7953bcabd3d25p-9, 0x1.6cabb900bb8e5p-9, 0x1.606c2d6689081p-9, 0x1.54919506fe161p-9, 0x1.4919674d9953bp-9, 0x1.3e0092f91bd29p-9, 0x1.3343fda6394dcp-9, 0x1.28e1b06f24b02p-9, 0x1.1ed63d1a812e3p-9, 0x1.151f19fcae268p-9, 0x1.0bb9e4c12e1cap-9, 0x1.02a41103b8c35p-9, 0x1.f3b6667f0c5b4p-10, 0x1.e2b9db55e07dp-10, 0x1.d24de0b902fb9p-10, 0x1.c26e16ccef6e3p-10, 0x1.b3160d143ed1dp-10, 0x1.a4418d13e9bfep-10, 0x1.95ec6c3732e2ep-10, 0x1.8812bb05b1f34p-10, 0x1.7ab08b8bc8369p-10, 0x1.6dc21453667f2p-10, 0x1.6143a48056e1ep-10, 0x1.5531a73eeb20ep-10, 0x1.4988a0d87015dp-10, 0x1.3e452e998531bp-10, 0x1.336402de4f557p-10, 0x1.28e3170d3058p-10, 0x1.1ebbe52a68a9p-10, 0x1.14eecfd2ac5b4p-10, 0x1.0b77c9b71bf5p-10, 0x1.0253f5c646161p-10, 0x1.f301196799083p-11, 0x1.e1f5ddc46efdcp-11, 0x1.d180faf390434p-11, 0x1.c19d6923fec0dp-11, 0x1.b24644fafe401p-11, 0x1.a3767b9ef5cdep-11, 0x1.952a4097bebd1p-11, 0x1.875c5abd96109p-11, 0x1.7a08c869a7831p-11, 0x1.6d2b445bd743ap-11, 0x1.60bfc2bfa50a8p-11, 0x1.54c25365cf0c9p-11, 0x1.492f25541f531p-11, 0x1.3e0286193ba02p-11, 0x1.3338e2e350edap-11, 0x1.28ceaf8dd4edfp-11, 0x1.1ec21e29d520bp-11, 0x1.150bb9cd7e2e1p-11, 0x1.0bac5ef2779a2p-11, 0x1.029fc47080484p-11, 0x1.f3c5de0941cf6p-12, 0x1.e2e60aefcb2a7p-12, 0x1.d29a8dbccc14p-12, 0x1.c2de0f981852cp-12, 0x1.b3abae19b2d57p-12, 0x1.a4fdad5bf6b35p-12, 0x1.96cff158e5303p-12, 0x1.891da2ab8b98dp-12, 0x1.7be23d8473d39p-12, 0x1.6f198ed286f28p-12, 0x1.62bf0be01febdp-12, 0x1.56ceef82c2fc2p-12, 0x1.4b44ea793b14ep-12, 0x1.401e7d4223798p-12, 0x1.3556215fa18f9p-12, 0x1.2ae9a237cbbf2p-12, 0x1.20d5399d3abd6p-12, 0x1.1715c01a96219p-12, 0x1.0da7c7bfd300ep-12, 0x1.04888cbd76a6fp-12, 0x1.f76a128bd9919p-13, 0x1.e653d67b99fb4p-13, 0x1.d5cbf406f3aa8p-13, 0x1.c5ca3d56e9cfap-13, 0x1.b649fcfb90bdep-13, 0x1.a747b3c75f05cp-13, 0x1.98bdb663620bep-13, 0x1.8aa78f23783bap-13, 0x1.7d0146b4483bap-13, 0x1.6fca9233101e9p-13, 0x1.62f225005519fp-13, 0x1.56826d26b62ecp-13, 0x1.4a725047d9207p-13, 0x1.3ebe7faa5c46dp-13, 0x1.3363932de4113p-13, 0x1.285e43a1604dep-13, 0x1.1dab6daac1d68p-13, 0x1.1348a98fdb5e4p-13, 0x1.09313549cbc1p-13, 0x1.fec85de6eec51p-14, 0x1.ebbca1a0b1fd5p-14, 0x1.d93a1d7021012p-14, 0x1.c73bf4a2e2f84p-14, 0x1.b5bd76e925963p-14, 0x1.a4ba05c1c5bb2p-14, 0x1.94313ad5d2c37p-14, 0x1.84143262db01cp-14, 0x1.747b1eaa6a5p-14, 0x1.652828c91805ap-14, 0x1.56518185f47dbp-14, 0x1.47dc7c2067a8bp-14, 0x1.39c7e2b8bb9dcp-14, 0x1.2c1025b38f303p-14, 0x1.1eb219e286892p-14, 0x1.11aaaadc4d589p-14, 0x1.04f6e4165ccd3p-14, 0x1.f127e1125806dp-15, 0x1.d8fe18b774f4dp-15, 0x1.c17db52a4505cp-15, 0x1.aa6a81d77759ap-15, 0x1.93f8dbf67846bp-15, 0x1.7e0f99f36847cp-15, 0x1.68a7c97b6fb6cp-15, 0x1.53c6010ed9b75p-15, 0x1.3f626651fcc5cp-15, 0x1.2b75ef830ff5bp-15, 0x1.18005164d6fa4p-15, 0x1.04fe1817f4484p-15, 0x1.e4d82e2553f2bp-16, 0x1.c08e8fe550278p-16, 0x1.9cb6aa0151928p-16, 0x1.7a75df33c491cp-16, 0x1.58a8157d81425p-16, 0x1.378e24d457eafp-16, 0x1.173d2f564a217p-16, 0x1.ef140ed5ac8eep-17, 0x1.b1a262572f58cp-17, 0x1.755ae8fbc60cfp-17, 0x1.3ab51907aabcbp-17, 0x1.00eb19878d0c9p-17, 0x1.9166264e66212p-18, 0x1.23953078ef584p-18, 0x1.70adab6cc660dp-19, 0x1.3e3ad7bb04002p-20, -0x1.6bda589304104p-22, -0x1.ea804efe2e9cfp-20, -0x1.b846c92627a5p-19, -0x1.3b51bb26301bcp-18, -0x1.983408ebf88c4p-18, -0x1.f2d5fdd678422p-18, -0x1.259f4de95465ep-17, -0x1.50bd12376478p-17, -0x1.7accbfd7bf58ep-17, -0x1.a383278f40f11p-17, -0x1.cbb15aabf5d81p-17, -0x1.f297c7dbbdc8cp-17, -0x1.0c3d70ca4ac59p-16, -0x1.1eaec98b304bfp-16, -0x1.30a0d19cdc8a9p-16, -0x1.421a97413921bp-16, -0x1.5312a900075d7p-16, -0x1.639467d9d123fp-16, -0x1.739da2a9b6bf3p-16, -0x1.83326082507ccp-16, -0x1.92788e7811619p-16, -0x1.a0f74f616b63bp-16, -0x1.af25b150aa35cp-16, -0x1.bceaadafb3a87p-16, -0x1.ca4018e35883fp-16, -0x1.d726e63358cd1p-16, -0x1.e364897c00be1p-16, -0x1.efb1940327b26p-16, -0x1.fb4b94b2fea71p-16, -0x1.03415ddb8cdb1p-15, -0x1.08a8ec7cd177p-15, -0x1.0ddbc91a2e0d9p-15, -0x1.12dbbda4f82c5p-15, -0x1.17a981bd10de5p-15, -0x1.1c43f191a2ae2p-15, -0x1.20aea13bde457p-15, -0x1.24e5ac916844bp-15, -0x1.28e764b0b0b98p-15, -0x1.2cc57522deb4p-15, -0x1.306d744ac75dcp-15, -0x1.33e6989aba0f9p-15, -0x1.3731645535f1ep-15, -0x1.3a4e4b058d50bp-15, -0x1.3d3dd1a9bac6p-15, -0x1.40007ee1f2fa6p-15, -0x1.4296d9b30d569p-15, -0x1.45016a1249a78p-15, -0x1.4740ced460e2ap-15, -0x1.494dc6b4883dbp-15, -0x1.4b40444490a9cp-15, -0x1.4d2434126b5e7p-15, -0x1.4e991480ee723p-15, -0x1.5006bf8417d23p-15, -0x1.514d71b545245p-15, -0x1.526cc9c1102e5p-15, -0x1.5365fa557d8e3p-15, -0x1.544de898d2978p-15, -0x1.54e3e77f1e0c8p-15, -0x1.5566a5e2561c3p-15, -0x1.55ad8897b42d9p-15, -0x1.56074f2f0b4d5p-15, -0x1.56218168bac76p-15, -0x1.56172d8763663p-15, -0x1.55eae44088fd5p-15, -0x1.559c7da8f142ep-15, -0x1.5535775a32c1ep-15, -0x1.549b37931d6c6p-15, -0x1.53e97d840343ap-15, -0x1.5317f11c9b3e3p-15, -0x1.522704f4a441cp-15, -0x1.51175259dd612p-15, -0x1.4fe95d205d949p-15, -0x1.4e9d9e20786b6p-15, -0x1.4d34cbc6696e6p-15, -0x1.4baf52e2b3996p-15, -0x1.4a11297503827p-15, -0x1.4850ef269fcdcp-15, -0x1.467935c3fff62p-15, -0x1.44871071f259cp-15, -0x1.427b54762fe44p-15, -0x1.4055bb411d18dp-15, -0x1.3e186a0abc415p-15, -0x1.3bc2104886ed5p-15, -0x1.39547f886536cp-15, -0x1.36cffbc179524p-15, -0x1.343590ffdcfffp-15, -0x1.316ea2e58a68cp-15, -0x1.2ebf372d2b7b5p-15, -0x1.2be2b4f16acc3p-15, -0x1.28f2f5e384062p-15, -0x1.25f101297bdep-15, -0x1.22d953d4a6b08p-15, -0x1.1fb0798fb28c1p-15, -0x1.1c7619d457ea3p-15, -0x1.1928c276db8a1p-15, -0x1.15cb2e3ee58abp-15, -0x1.125d0a2b71cfcp-15, -0x1.0edeed040a518p-15, -0x1.0b515c7d076b6p-15, -0x1.07b4f668729f7p-15, -0x1.0404e5889bdd5p-15, -0x1.0051e462f965ep-15, -0x1.f8e04e0584e64p-16, -0x1.f1720080f8615p-16, -0x1.e9a51e9132314p-16, -0x1.e1db545a5ef3ep-16, -0x1.d9f0cf70d44a1p-16, -0x1.d1e9f70587faep-16, -0x1.c9d23a8ad6276p-16, -0x1.c1a693d031897p-16, -0x1.b967f565f0b2fp-16, -0x1.b11843ef0841ap-16, -0x1.a8b10e4b26c9bp-16, -0x1.a044e71e61631p-16, -0x1.97c453697a1d3p-16, -0x1.8f3ddd84a5a84p-16, -0x1.8697533bcd0b7p-16, -0x1.7df1bc969bf9ep-16, -0x1.753e0bb56931bp-16, -0x1.6c7fa13467738p-16, -0x1.63b75d2638baep-16, -0x1.5ae6e3abd6f4bp-16, -0x1.520d3c2b5697p-16, -0x1.492d5173853ebp-16, -0x1.403390d9455f3p-16, -0x1.376f90f28c17ap-16, -0x1.2e69cc3132e3ep-16, -0x1.25737b0985daep-16, -0x1.1c7ae5adee4d9p-16, -0x1.137ff11cb4768p-16, -0x1.0a8345133e131p-16, -0x1.01859188ca534p-16, -0x1.f10f60707358ap-17, -0x1.df17bbd1748cep-17, -0x1.cd0fd2ed108b6p-17, -0x1.bb1a929ff4ecdp-17, -0x1.a938d41ca74a2p-17, -0x1.974df52004bf9p-17, -0x1.856192aac0744p-17, -0x1.7394fc5769162p-17, -0x1.61c86e6c32e09p-17, -0x1.50067b87b2dbdp-17, -0x1.3e50fb257f2d1p-17, -0x1.2cad6521b7c41p-17, -0x1.1b2f5d356626bp-17, -0x1.098ad405a20dp-17, -0x1.f03218684cb46p-18, -0x1.ce1b9bc0bd4dp-18, -0x1.aaedc9fb913a4p-18, -0x1.885deef83fa17p-18, -0x1.670d9dc8a7c68p-18, -0x1.43f4e8b0086bdp-18, -0x1.21ff8fc618d6dp-18, -0x1.00451d4bbbed3p-18, -0x1.bd8553b88420cp-19, -0x1.7ad60b0801396p-19, -0x1.38a75a22a7c95p-19, -0x1.edb98e91013f8p-20, -0x1.6b182efa6f2bdp-20, -0x1.d2e6016bd2547p-21, -0x1.a322fdb3bf8b2p-22, 0x1.706b2b8b07d9cp-24, 0x1.2bee88ad85574p-21, 0x1.1343b6aeba674p-20, 0x1.8fdd2ef63befdp-20, 0x1.05af7abeff41dp-19, 0x1.42e099bf39131p-19, 0x1.7f8610fbc9495p-19, 0x1.baee3a68a20bp-19, 0x1.f706504bbf4ebp-19, 0x1.18f83bc199006p-18, 0x1.361c094a2797fp-18, 0x1.52f2260de8714p-18, 0x1.6fac4092daa0ap-18, 0x1.8bbbc9f5603cp-18, 0x1.a796ee4662a03p-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.c7131c7482249p-7, 0x1.c6c630fd36954p-6, 0x1.54b4d841ed483p-5, 0x1.c5949081bee85p-5, 0x1.1aeed78327c34p-4, 0x1.52b65b45136f6p-4, 0x1.8a0fb2b67046fp-4, 0x1.c0ea69b9e7c83p-4, 0x1.f736c400e87dap-4, 0x1.1672e27f6f575p-3, 0x1.30f49a9c9808cp-3, 0x1.4b19d2b2bcdfdp-3, 0x1.64dc37db39423p-3, 0x1.7e35dbd45fdc7p-3, 0x1.9721344a2551bp-3, 0x1.af99199dc83a9p-3, 0x1.c798c544aa6b6p-3, 0x1.df1bcfd28dd8cp-3, 0x1.f61e2ec032c7p-3, 0x1.064e18fe4638fp-2, 0x1.114940aa3a035p-2, 0x1.1bff0cdd7132bp-2, 0x1.266e253d0822ap-2, 0x1.3095592a4b719p-2, 0x1.3a739e4e43ac3p-2, 0x1.44080f22bae6fp-2, 0x1.4d51e97ae58a8p-2, 0x1.56508d0d6cba9p-2, 0x1.5f037a016b00fp-2, 0x1.676a4f7f945ffp-2, 0x1.6f84ca48a96fp-2, 0x1.7752c3520e53ep-2, 0x1.7ed42e694e95dp-2, 0x1.860918df2434dp-2, 0x1.8cf1a83a8585cp-2, 0x1.938e18f41e898p-2, 0x1.99debd3a8408fp-2, 0x1.9fe3fbbf5e08p-2, 0x1.a59e4e8db4a9ap-2, 0x1.ab0e41e97430cp-2, 0x1.b0347338412f3p-2, 0x1.b5118ff38e5fbp-2, 0x1.b9a654a3fac3bp-2, 0x1.bdf38be5dcc02p-2, 0x1.c1fa0d76e2796p-2, 0x1.c5babd4ca7c47p-2, 0x1.c9368ab41e7d5p-2, 0x1.cc6e6f79963ecp-2, 0x1.cf636f193fdb1p-2, 0x1.d21695f7f2187p-2, 0x1.d488f8a3fc3a9p-2, 0x1.d6bbb31dd97e5p-2, 0x1.d8afe8287d65ep-2, 0x1.da66c0a11222dp-2, 0x1.dbe16adde0fb2p-2, 0x1.dd211a1436eeap-2, 0x1.de2705c50796bp-2, 0x1.def4693012728p-2, 0x1.df8a82cd5dc2p-2, 0x1.dfea93ccc416cp-2, 0x1.e015df9b689f2p-2, 0x1.e00dab6ed5ebdp-2, 0x1.dfd33dd59cf5bp-2, 0x1.df67de4d3824ep-2, 0x1.deccd4dd0d65ep-2, 0x1.de0369b657e36p-2, 0x1.dd0ce4d8cf9ccp-2, 0x1.dbea8dbbe34dbp-2, 0x1.da9daafc5c32bp-2, 0x1.d927820e3c98dp-2, 0x1.d78956f2bc346p-2, 0x1.d5c46bf230894p-2, 0x1.d3da0159c8c63p-2, 0x1.d1cb553cf0a5ep-2, 0x1.cf99a33a3f11ep-2, 0x1.cd462443cab4bp-2, 0x1.cad20e6accbaap-2, 0x1.c83e94ae686aap-2, 0x1.c58ce6cd88a2dp-2, 0x1.c2be311ba88f2p-2, 0x1.bfd39c587a68ep-2, 0x1.bcce4d8a458aep-2, 0x1.b9af65daef198p-2, 0x1.b67802778af04p-2, 0x1.b3293c72617aep-2, 0x1.afc428a755cecp-2, 0x1.ac49d7a2912fdp-2, 0x1.a8bb5589649d5p-2, 0x1.a519aa0546023p-2, 0x1.a165d830d852dp-2, 0x1.9da0de86ec906p-2, 0x1.99cbb6d36462p-2, 0x1.95e75625e7c0cp-2, 0x1.91f4acc6597acp-2, 0x1.8df4a62afe3d8p-2, 0x1.89e828f03c34p-2, 0x1.85d016d1eb4e9p-2, 0x1.81ad4ca6249c8p-2, 0x1.7d80a2597b2a9p-2, 0x1.794aeaec975d7p-2, 0x1.750cf47321ddap-2, 0x1.70c78813f074p-2, 0x1.6c7b6a0a641f1p-2, 0x1.682959a8f159p-2, 0x1.63d2115cbdp-2, 0x1.5f7646b2489b8p-2, 0x1.5b16aa5b1b83dp-2, 0x1.56b3e8345ecffp-2, 0x1.524ea74e610a4p-2, 0x1.4de789f4f47a5p-2, 0x1.497f2db89c24p-2, 0x1.45162b787dcf1p-2, 0x1.40ad176d0f699p-2, 0x1.3c4481336f80bp-2, 0x1.37dcf3d9669b3p-2, 0x1.3376f5e9ffdf7p-2, 0x1.2f13097ab5effp-2, 0x1.2ab1ac39273dbp-2, 0x1.26535779442ep-2, 0x1.21f88043fa27fp-2, 0x1.1da1976646dd4p-2, 0x1.194f0980b19cbp-2, 0x1.15013f17201e6p-2, 0x1.10b89ca103473p-2, 0x1.0c758299cdcep-2, 0x1.08384d91b2921p-2, 0x1.0401563e9f31ep-2, 0x1.ffa1e31ae8694p-3, 0x1.f74ee166cc34fp-3, 0x1.ef0a427f25863p-3, 0x1.e6d49a596350ep-3, 0x1.deae75e5dae0fp-3, 0x1.d6985b3399c7dp-3, 0x1.ce92c9946c90dp-3, 0x1.c69e39c0fc538p-3, 0x1.bebb1dfd0081dp-3, 0x1.b6e9e23b7a631p-3, 0x1.af2aec42eecc5p-3, 0x1.a77e9bd1954acp-3, 0x1.9fe54ac17e828p-3, 0x1.985f4d2c92f7cp-3, 0x1.90ecf1907d9d8p-3, 0x1.898e80f264405p-3, 0x1.82443f02785c7p-3, 0x1.7b0e6a3f49802p-3, 0x1.73ed3c18e2059p-3, 0x1.6ce0e9139bacbp-3, 0x1.65e9a0eab23bep-3, 0x1.5f078eb284537p-3, 0x1.583ad8fa7fcf6p-3, 0x1.5183a1eebfe05p-3, 0x1.4ae2077943596p-3, 0x1.44562362ce8c7p-3, 0x1.3de00b73663c8p-3, 0x1.377fd1925bbb9p-3, 0x1.313583e5fbcb1p-3, 0x1.2b012cf2c6bd1p-3, 0x1.24e2d3ba3c64cp-3, 0x1.1eda7bd932285p-3, 0x1.18e825a5b87bep-3, 0x1.130bce4c83752p-3, 0x1.0d456feddf42ep-3, 0x1.079501ba27bd6p-3, 0x1.01fa780dc14c5p-3, 0x1.f8eb89192b8ddp-4, 0x1.ee0dac7a2e1f3p-4, 0x1.e35b334570ef9p-4, 0x1.d8d3f1afd83a9p-4, 0x1.ce77b74f4882ap-4, 0x1.c4464f4c8e03p-4, 0x1.ba3f809456a32p-4, 0x1.b0630e0717b7cp-4, 0x1.a6b0b6a7f9f4bp-4, 0x1.9d2835cab12cp-4, 0x1.93c9434063374p-4, 0x1.8a9393837ee6cp-4, 0x1.8186d7e28e66ap-4, 0x1.78a2beaa0f4dap-4, 0x1.6fe6f34d459acp-4, 0x1.67531e8e0f6f5p-4, 0x1.5ee6e6a3bd0a8p-4, 0x1.56a1ef60ea905p-4, 0x1.4e83da5862a48p-4, 0x1.468c470106827p-4, 0x1.3ebad2d8c3224p-4, 0x1.370f1986909abp-4, 0x1.2f88b4fb84046p-4, 0x1.28273d92f086bp-4, 0x1.20ea4a319e3dep-4, 0x1.19d1706419cafp-4, 0x1.12dc447c1c5f9p-4, 0x1.0c0a59ad12f71p-4, 0x1.055b4227c5414p-4, 0x1.fd9d1e6a4202ap-5, 0x1.f0c7a2a05851cp-5, 0x1.e435307e415a1p-5, 0x1.d7e4e6576f6e4p-5, 0x1.cbd5e17547acbp-5, 0x1.c0073e448386dp-5, 0x1.b4781880fe033p-5, 0x1.a9278b5ffc36ep-5, 0x1.9e14b1b8f1a86p-5, 0x1.933ea62cc8b59p-5, 0x1.88a4834bba981p-5, 0x1.7e4563b9b9246p-5, 0x1.74206251714dfp-5, 0x1.6a349a45f4dc8p-5, 0x1.6081274307cdfp-5, 0x1.5705258c20864p-5, 0x1.4dbfb21a21227p-5, 0x1.44afeab7cd199p-5, 0x1.3bd4ee1d04aadp-5, 0x1.332ddc08cff3ep-5, 0x1.2ab9d55a3bcb5p-5, 0x1.2277fc281239p-5, 0x1.1a6773d7764a8p-5, 0x1.1287613167d5ep-5, 0x1.0ad6ea7737433p-5, 0x1.03553775f1cdep-5, 0x1.f802e33193855p-6, 0x1.e9b587f507c1dp-6, 0x1.dbc0b6ebde49bp-6, 0x1.ce22cd6ae0f8p-6, 0x1.c0da2c8346e2ep-6, 0x1.b3e5391e35743p-6, 0x1.a7425c168ea16p-6, 0x1.9af00251107adp-6, 0x1.8eec9cd2d9c7bp-6, 0x1.8336a0d65e3b5p-6, 0x1.77cc87ded36abp-6, 0x1.6caccfca25fd6p-6, 0x1.61d5fae1825b6p-6, 0x1.57468fe8772dep-6, 0x1.4cfd1a2ac567p-6, 0x1.42f82988e0a06p-6, 0x1.393652833385bp-6, 0x1.2fb62e4426e16p-6, 0x1.26765aa9033a9p-6, 0x1.1d757a49adb5ap-6, 0x1.14b2347f4e4d4p-6, 0x1.0c2b3569e9ef2p-6, 0x1.03df2df4f34fcp-6, 0x1.f799a7b5d7903p-7, 0x1.e7e5c35010906p-7, 0x1.d8a02d77ed07fp-7, 0x1.c9c66e957ada4p-7, 0x1.bb5618b997f43p-7, 0x1.ad4cc79c7215ap-7, 0x1.9fa8209a79b99p-7, 0x1.9265d2afda68cp-7, 0x1.858396728efbdp-7, 0x1.78ff2e0b176d1p-7, 0x1.6cd6652bdce5cp-7, 0x1.6107110765ccep-7, 0x1.558f104552ce6p-7, 0x1.4a6c4af63b5f3p-7, 0x1.3f9cb28680f74p-7, 0x1.351e41b010235p-7, 0x1.2aeefc6b3496p-7, 0x1.210cefde7bdc2p-7, 0x1.1776324dbbaaep-7, 0x1.0e28e30844a82p-7, 0x1.05232a564c5c1p-7, 0x1.f8c672cb3b949p-8, 0x1.e7ce946b2c5a8p-8, 0x1.d75b3f04fc092p-8, 0x1.c7690960867d2p-8, 0x1.b7f49b6947f19p-8, 0x1.a8faae019f384p-8, 0x1.9a780ad512e65p-8, 0x1.8c698c29ab78cp-8, 0x1.7ecc1cb0730c2p-8, 0x1.719cb7552ea4p-8, 0x1.64d8670d5cd3cp-8, 0x1.587c46a68f2dfp-8, 0x1.4c85809428e3cp-8, 0x1.40f14ebc97215p-8, 0x1.35bcfa4609e74p-8, 0x1.2ae5db62c5e02p-8, 0x1.2069591d1098p-8, 0x1.1644e922cf4d2p-8, 0x1.0c760f90db28fp-8, 0x1.02fa5ebe1fb5bp-8, 0x1.f39eee0d0e757p-9, 0x1.e1e60d2b8c523p-9, 0x1.d0c592641826ep-9, 0x1.c039100d4f658p-9, 0x1.b03c32dd49748p-9, 0x1.a0cac17ee168bp-9, 0x1.91e09c2716d48p-9, 0x1.8379bc2aa0211p-9, 0x1.75923393b532cp-9, 0x1.68262cb82d5efp-9, 0x1.5b31e9cff7741p-9, 0x1.4eb1c48bfb97bp-9, 0x1.42a22dad76bcbp-9, 0x1.36ffac9ddf767p-9, 0x1.2bc6df0758184p-9, 0x1.20f4786dc0b5cp-9, 0x1.168541c876872p-9, 0x1.0c76191cc13ffp-9, 0x1.02c3f119020edp-9, 0x1.f2d7a161572a9p-10, 0x1.e0d5a5720eb48p-10, 0x1.cf7c4b0dad921p-10, 0x1.bec61519a63c6p-10, 0x1.aeadabf633897p-10, 0x1.9f2ddcbf05c65p-10, 0x1.9041988de9589p-10, 0x1.81e3f3bf54e3ep-10, 0x1.741025390d1c8p-10, 0x1.66c185b2c8e29p-10, 0x1.59f38f00f52cep-10, 0x1.4da1db619321ap-10, 0x1.41c824cb46e1fp-10, 0x1.3662443e8f267p-10, 0x1.2b6c311937b0bp-10, 0x1.20e2006c05713p-10, 0x1.16bfe452a9e4ap-10, 0x1.0d022b4df6e78p-10, 0x1.03a53fa0638bcp-10, 0x1.f54b4d59b6622p-11, 0x1.e40000afbdf27p-11, 0x1.d3620cd5f9babp-11, 0x1.c36b17f534f4p-11, 0x1.b414f99c305fp-11, 0x1.a559b9949880bp-11, 0x1.97338ebcac149p-11, 0x1.899cdde59481fp-11, 0x1.7c9038b66ecp-11, 0x1.70085c94034fcp-11, 0x1.6400318d29e9fp-11, 0x1.5872c94bd7154p-11, 0x1.4d5b5e0acfcf5p-11, 0x1.42b5518ffda89p-11, 0x1.387c2c2b5fb7dp-11, 0x1.2eab9bba90845p-11, 0x1.253f72b0ddf91p-11, 0x1.1c33a723e9783p-11, 0x1.138451dcc94ep-11, 0x1.0b2dad6da56eap-11, 0x1.032c154bc5cf7p-11, 0x1.f6f809dc11cf8p-12, 0x1.e8342ddf755fdp-12, 0x1.da06086f83879p-12, 0x1.cc67464833c09p-12, 0x1.bf51cd731c71bp-12, 0x1.b2bfbbaf5ceeep-12, 0x1.a6ab64e1db79dp-12, 0x1.9b0f518dc94e3p-12, 0x1.8fe63d55537fbp-12, 0x1.852b15826532ep-12, 0x1.7ad8f7976bdeep-12, 0x1.70eb2fe7fcb95p-12, 0x1.675d383948615p-12, 0x1.5e2ab66a42aaep-12, 0x1.554f7b236384bp-12, 0x1.4cc7808dea74ep-12, 0x1.448ee91288befp-12, 0x1.3ca1fe1f56bbbp-12, 0x1.34fd2ef501eb2p-12, 0x1.2d9d0f7b0e5f5p-12, 0x1.267e571b1c304p-12, 0x1.1f9ddfa30a3e6p-12, 0x1.18f8a42deaffap-12, 0x1.128bc013a1772p-12, 0x1.0c546ddf15abcp-12, 0x1.0650064ae1fefp-12, 0x1.007bff445f445p-12, 0x1.f5abd5e9e9288p-13, 0x1.eab6eda3242b2p-13, 0x1.e014d56071202p-13, 0x1.d5c14fc6eda2ap-13, 0x1.cbb850b77f3a7p-13, 0x1.c1f5fb9d034b6p-13, 0x1.b876a1c5c1529p-13, 0x1.af36c0c7fe1dcp-13, 0x1.a63300f1636d1p-13, 0x1.9d6833c126617p-13, 0x1.94d3526c9ba6cp-13, 0x1.8c717c6e1ba08p-13, 0x1.843ff61dfb268p-13, 0x1.7c3c2755657a8p-13, 0x1.74639a1aea6d4p-13, 0x1.6cb3f9588e42p-13, 0x1.652b0f9b262cdp-13, 0x1.5dc6c5dad62eap-13, 0x1.5685224c7ddf9p-13, 0x1.4f64473be6361p-13, 0x1.486271ee7cf54p-13, 0x1.417df98e7539p-13, 0x1.3ab54e1e20173p-13, 0x1.3406f77343bp-13, 0x1.2d71943a53dbfp-13, 0x1.26f3d90157513p-13, 0x1.208c8f4a4d1f7p-13, 0x1.1a3a94a4ecac9p-13, 0x1.13fcd9cf9075dp-13, 0x1.0dd261df2225bp-13, 0x1.07ba416de144fp-13, 0x1.01b39dd0ddcap-13, 0x1.f77b58a7e82e3p-14, 0x1.ebaf62f8578dp-14, 0x1.e00200a0ac4a4p-14, 0x1.d471f34f6736fp-14, 0x1.c8fe16fd28a02p-14, 0x1.bda560a160eb1p-14, 0x1.b266dcf26b205p-14, 0x1.a741af3084e37p-14, 0x1.9c350ffb9372ap-14, 0x1.91404c334ed0bp-14, 0x1.8662c3e1a0a9ep-14, 0x1.7b9be92ee6f6ap-14, 0x1.70eb3f5fe142p-14, 0x1.665059dd0337fp-14, 0x1.5bcadb42ec5adp-14, 0x1.515a747bc9f6fp-14, 0x1.46fee3e1607fcp-14, 0x1.3cb7f46784d99p-14, 0x1.32857ccec6843p-14, 0x1.28675edf13b38p-14, 0x1.1e5d86aa1bb6cp-14, 0x1.1467e9d539d01p-14, 0x1.0a8686eab0a5p-14, 0x1.00b964b200f5cp-14, 0x1.ee01231e4f6fdp-15, 0x1.dab845d11ce44p-15, 0x1.c7986926fb204p-15, 0x1.b4a1d08dbb68ap-15, 0x1.a1d4ca283261bp-15, 0x1.8f31adcbd726ap-15, 0x1.7cb8dc09eba8fp-15, 0x1.6a6abd43ca2e7p-15, 0x1.5847c0ca0510cp-15, 0x1.46505c0600d43p-15, 0x1.348509adb3903p-15, 0x1.22e649013897dp-15, 0x1.11749d11e5285p-15, 0x1.00308c1292756p-15, 0x1.de353d619a2c8p-16, 0x1.bc66beed3ff17p-16, 0x1.9af6b46964242p-16, 0x1.79e636e8dcc68p-16, 0x1.59365fe3dead1p-16, 0x1.38e8483ad9f05p-16, 0x1.18fd0747cbf79p-16, 0x1.f2eb63fb1d8eep-17, 0x1.b4a6b4294c0fcp-17, 0x1.772e1a8a0d3ccp-17, 0x1.3a83a918d332ap-17, 0x1.fd52ce02d0249p-18, 0x1.87429eb7ef7e2p-18, 0x1.12da9fff05f87p-18, 0x1.403d21a77876cp-19, 0x1.78908bc67cb9bp-21, -0x1.011d799a884aap-20, -0x1.5bd4c2df0c377p-19, -0x1.19d3be2a76881p-18, -0x1.840060740cd8bp-18, -0x1.ec6d5acb51ad7p-18, -0x1.298bf3bfd79d5p-17, -0x1.5bfeb4dfe0179p-17, -0x1.8d8db74528dc6p-17, -0x1.be37d6c160309p-17, -0x1.edfc04d511a44p-17, -0x1.0e6ca47f934c9p-16, -0x1.2567607ff2b42p-16, -0x1.3bedd088094adp-16, -0x1.51ff9a065ae24p-16, -0x1.679c6dcbff2f2p-16, -0x1.7cc40817f2803p-16, -0x1.9176309d7c555p-16, -0x1.a5b2ba85e915ep-16, -0x1.b979846dd8799p-16, -0x1.ccca785e553d4p-16, -0x1.dfa58bc1f4d4dp-16, -0x1.f20abf562c7f2p-16, -0x1.01fd0f8c8bc5ep-15, -0x1.0ab9e119efe86p-15, -0x1.133be570fd053p-15, -0x1.1b83332aaf3f1p-15, -0x1.238fe64bfea4dp-15, -0x1.2b62203541fe5p-15, -0x1.32fa0790576ddp-15, -0x1.3a57c83da826cp-15, -0x1.417b934012665p-15, -0x1.48659ea7d9056p-15, -0x1.4f16257ca1494p-15, -0x1.558d67a693d9fp-15, -0x1.5bcba9d6b78f1p-15, -0x1.61d1356e89af2p-15, -0x1.679e5866f3b12p-15, -0x1.6d3365369ff17p-15, -0x1.7290b2b7c2f91p-15, -0x1.77b69c0d67bedp-15, -0x1.7ca580884789bp-15, -0x1.815dc38b41fcap-15, -0x1.85dfcc6f79433p-15, -0x1.8a2c066823a92p-15, -0x1.8e42e0661f3a8p-15, -0x1.9224ccfb4c768p-15, -0x1.95d2423dc1041p-15, -0x1.994bb9aad65fdp-15, -0x1.9c91b00a2514cp-15, -0x1.9fa4a5506d954p-15, -0x1.a2851c827fa33p-15, -0x1.a5339b9820a36p-15, -0x1.a7b0ab5f005a1p-15, -0x1.a9fcd75dbbb4fp-15, -0x1.ac18adb6fe34ep-15, -0x1.ae04bf0cbda46p-15, -0x1.afc19e63a10adp-15, -0x1.b14fe10691c63p-15, -0x1.b2b01e6a80e36p-15, -0x1.b3e2f01262815p-15, -0x1.b4e8f17366736p-15, -0x1.b5c2bfd975b58p-15, -0x1.b670fa4bf1719p-15, -0x1.b6f44172c201dp-15, -0x1.b74d377bafce2p-15, -0x1.b77c800012fecp-15, -0x1.b782bfead5531p-15, -0x1.b7609d5ed14a3p-15, -0x1.b716bf9d89ebep-15, -0x1.b6a5ceee437d3p-15, -0x1.b60e74857e906p-15, -0x1.b5515a6cd5cd4p-15, -0x1.b46f2b6b43206p-15, -0x1.b36892edcae06p-15, -0x1.b23e3cf0958efp-15, -0x1.b0f0d5e871018p-15, -0x1.af810aacbf0ffp-15, -0x1.adef8861d732dp-15, -0x1.ac3cfc63d0f9p-15, -0x1.aa6a1431c4aa5p-15, -0x1.a8777d597a858p-15, -0x1.a665e5638b7c6p-15, -0x1.a435f9bff81c6p-15, -0x1.a1e867b32d5ap-15, -0x1.9f7ddc438157p-15, -0x1.9cf7042720906p-15, -0x1.9a548bb2713a1p-15, -0x1.97971ec6e702cp-15, -0x1.94bf68c24d614p-15, -0x1.91ce146e83027p-15, -0x1.8ec3cbf1a8df4p-15, -0x1.8ba138bec4405p-15, -0x1.88670386d0cecp-15, -0x1.8515d42a464cp-15, -0x1.81ae51ab0d9d9p-15, -0x1.7e31221ee5899p-15, -0x1.7a9eeaa238f0ap-15, -0x1.76f84f4b5e988p-15, -0x1.733df31e4cf9cp-15, -0x1.6f707800b34b1p-15, -0x1.6b907eae83522p-15, -0x1.679ea6aee3537p-15, -0x1.639b8e4988da9p-15, -0x1.5f87d27c7cb6bp-15, -0x1.5b640ef244347p-15, -0x1.5730ddf86ff1ep-15, -0x1.52eed8769105p-15, -0x1.4e9e95e58f692p-15, -0x1.4a40ac4760427p-15, -0x1.45d5b01f1f35fp-15, -0x1.415e3469856e2p-15, -0x1.3cdaca95bcdb8p-15, -0x1.384c027e90c57p-15, -0x1.33b26a63f7b56p-15, -0x1.2f0e8ee4f6035p-15, -0x1.2a60faf9d95fdp-15, -0x1.25aa37eec850cp-15, -0x1.20eacd5ea5fcfp-15, -0x1.1c23412e4afe2p-15, -0x1.175417880cbf1p-15, -0x1.127dd2d795309p-15, -0x1.0da0f3c60a7b5p-15, -0x1.08bdf9367f789p-15, -0x1.03d56042b311ap-15, -0x1.fdcf48702c7c5p-16, -0x1.f3ea7d2a3590ep-16, -0x1.e9fd4e0d92198p-16, -0x1.e008a6cd30063p-16, -0x1.d60d6f7117ce2p-16, -0x1.cc0c8c5325af5p-16, -0x1.c206de1c4a66ap-16, -0x1.b7fd41c23fea9p-16, -0x1.adf09085bfdadp-16, -0x1.a3e19ff12eaaap-16, -0x1.99d141d7b67ccp-16, -0x1.8fc04454da545p-16, -0x1.85af71cc6ee09p-16, -0x1.7b9f90eb0521cp-16, -0x1.719164a6b87f1p-16, -0x1.6785ac4063e6fp-16, -0x1.5d7d234538ef6p-16, -0x1.53788190b4a29p-16, -0x1.49787b4ef5932p-16, -0x1.3f7dc0ff62a44p-16, -0x1.3588ff77b542ap-16, }}, 
      {{-0x1.db7abe4d366f5p-1, -0x1.db650564a7909p-1, -0x1.db407dfdb3b72p-1, -0x1.db0cbae5aa8ap-1, -0x1.dac935f231f8ap-1, -0x1.da755851a4c75p-1, -0x1.da108160039bep-1, -0x1.d99a0c3cbfc1p-1, -0x1.d9115453eea15p-1, -0x1.d875b9057e47ap-1, -0x1.d7c6a08e408d4p-1, -0x1.d7037a5111726p-1, -0x1.d62bc099a5d61p-1, -0x1.d53ef9eea228bp-1, -0x1.d43cba054af3cp-1, -0x1.d324a2665387ep-1, -0x1.d1f662d0f8ffbp-1, -0x1.d0b1b9679bcc6p-1, -0x1.cf5672af5546ap-1, -0x1.cde4696aa3635p-1, -0x1.cc5b865603d2cp-1, -0x1.cabbbfcc599ecp-1, -0x1.c90519580d45dp-1, -0x1.c737a335213fdp-1, -0x1.c55379c7c7c71p-1, -0x1.c358c50a83083p-1, -0x1.c147b7f656747p-1, -0x1.bf208fe7327cep-1, -0x1.bce393fe6767ep-1, -0x1.ba9114849d726p-1, -0x1.b8296a4c95b65p-1, -0x1.b5acf617b9f6p-1, -0x1.b31c1ffd53e72p-1, -0x1.b07756d51e1c2p-1, -0x1.adbf0fa5b6e31p-1, -0x1.aaf3c5176691fp-1, -0x1.a815f6eb8db22p-1, -0x1.a5262978f8d53p-1, -0x1.a224e52d48098p-1, -0x1.9f12b61386141p-1, -0x1.9bf02b5ffdf27p-1, -0x1.98bdd701562p-1, -0x1.957c4d36e9424p-1, -0x1.922c242c50cd8p-1, -0x1.8ecdf39a10427p-1, -0x1.8b62546b45bf6p-1, -0x1.87e9e06845f3bp-1, -0x1.846531e60320fp-1, -0x1.80d4e37a1ae16p-1, -0x1.7d398fb3690ecp-1, -0x1.7993d0d6f8dd7p-1, -0x1.75e440a12d3eep-1, -0x1.722b780af84e5p-1, -0x1.6e6a0f12fdef2p-1, -0x1.6aa09c8a74f91p-1, -0x1.66cfb5e5a4a44p-1, -0x1.62f7ef0fd2e35p-1, -0x1.5f19da4282059p-1, -0x1.5b3607dfd5642p-1, -0x1.574d064ff8285p-1, -0x1.535f61e1652e9p-1, -0x1.4f6da4abeb852p-1, -0x1.4b7856764da98p-1, -0x1.477ffc9e5bd9bp-1, -0x1.43851a036a3f5p-1, -0x1.3f882ef303bb5p-1, -0x1.3b89b917bbd9dp-1, -0x1.378a336a05c3dp-1, -0x1.338a1622f0f4bp-1, -0x1.2f89d6b0b7e82p-1, -0x1.2b89e7ad00a6fp-1, -0x1.278ab8d4bb9eep-1, -0x1.238cb7018a91p-1, -0x1.1f904c249418fp-1, -0x1.1b95df42b5f28p-1, -0x1.179dd471faf1bp-1, -0x1.13a88cd846d28p-1, -0x1.0fb666ab21014p-1, -0x1.0bc7bd309082p-1, -0x1.07dce8c0f52aep-1, -0x1.03f63ec9cf06dp-1, -0x1.001411d165234p-1, -0x1.f86d62f6793bcp-2, -0x1.f0bcd51aa26a6p-2, -0x1.e9170dec06fafp-2, -0x1.e17c9ba55dbccp-2, -0x1.d9ee06edb5315p-2, -0x1.d26bd2e7f92efp-2, -0x1.caf67d4381b7p-2, -0x1.c38e7e4d95e3cp-2, -0x1.bc344903d3f97p-2, -0x1.b4e84b2764378p-2, -0x1.adaaed50eb6b2p-2, -0x1.a67c930525f31p-2, -0x1.9f5d9aca1f56ap-2, -0x1.984e5e3cf4659p-2, -0x1.914f3228123ffp-2, -0x1.8a606699e3c2p-2, -0x1.838246fbe0227p-2, -0x1.7cb51a29eb5e8p-2, -0x1.75f9228a04eedp-2, -0x1.6f4e9e242d764p-2, -0x1.68b5c6ba81a83p-2, -0x1.622ed1e17e155p-2, -0x1.5bb9f1185d5c6p-2, -0x1.555751e1919edp-2, -0x1.4f071ddb448edp-2, -0x1.48c97ad7df67fp-2, -0x1.429e8af68f628p-2, -0x1.3c866cbbbf998p-2, -0x1.36813b297e447p-2, -0x1.308f0dd7d13a7p-2, -0x1.2aaff90ce4a38p-2, -0x1.24e40dd51ca1dp-2, -0x1.1f2b5a1afb00dp-2, -0x1.1985e8bed6b5bp-2, -0x1.13f3c1ae63e0ep-2, -0x1.0e74e9fc00dfdp-2, -0x1.090963f5cc656p-2, -0x1.03b12f3c7c3d2p-2, -0x1.fcd891b3dfc67p-3, -0x1.f27556aefd00cp-3, -0x1.e8389da801742p-3, -0x1.de22523310899p-3, -0x1.d4325b65a3f17p-3, -0x1.ca689c00bfe1ap-3, -0x1.c0c4f29a938cap-3, -0x1.b74739c765475p-3, -0x1.adef4841de97bp-3, -0x1.a4bcf1129ce8ap-3, -0x1.9bb003b723073p-3, -0x1.92c84c48083c7p-3, -0x1.8a05939e7a1dbp-3, -0x1.81679f790686ap-3, -0x1.78ee329faf7f5p-3, -0x1.70990d073e7f5p-3, -0x1.6867ebf3e6e4p-3, -0x1.605a8a1b2986fp-3, -0x1.58709fc4f6dp-3, -0x1.50a9e2ec237fdp-3, -0x1.4906075e11681p-3, -0x1.4184bed9abbc7p-3, -0x1.3a25b92d9d7a4p-3, -0x1.32e8a455d1bbfp-3, -0x1.2bcd2c983d16ap-3, -0x1.24d2fca0e655dp-3, -0x1.1df9bd9d42cf8p-3, -0x1.17411756cf729p-3, -0x1.10a8b04d0010ep-3, -0x1.0a302dce6fca4p-3, -0x1.03d734116cf9ep-3, -0x1.fb3acc978903ap-4, -0x1.ef04cd93d83cbp-4, -0x1.e30bae0aed4a9p-4, -0x1.d74eaf75cb159p-4, -0x1.cbcd11fd88a3ep-4, -0x1.c08614a45ce9cp-4, -0x1.b578f56d40335p-4, -0x1.aaa4f182627d4p-4, -0x1.a009455a51cafp-4, -0x1.95a52cdbe676fp-4, -0x1.8b77e3810580fp-4, -0x1.8180a4781f28ep-4, -0x1.77beaac48d07fp-4, -0x1.6e31315dc4093p-4, -0x1.64d7734d644a6p-4, -0x1.5bb0abcc2bfe6p-4, -0x1.52bc165dd04eep-4, -0x1.49f8eeebc6172p-4, -0x1.416671def9f19p-4, -0x1.3903dc388170ep-4, -0x1.30d06ba9490a7p-4, -0x1.28cb5ea8c3f8dp-4, -0x1.20f3f48aa3301p-4, -0x1.19496d939a9aep-4, -0x1.11cb0b0d36353p-4, -0x1.0a780f58c9935p-4, -0x1.034fbe01797aap-4, -0x1.f8a2b79ad272ep-5, -0x1.eaf85d9c1d764p-5, -0x1.dd9efcdf67b7p-5, -0x1.d09527104fecbp-5, -0x1.c3d970c954a4ep-5, -0x1.b76a71ae1f624p-5, -0x1.ab46c4844f857p-5, -0x1.9f6d074ad7a4bp-5, -0x1.93dbdb4feadcbp-5, -0x1.8891e5458dcdbp-5, -0x1.7d8dcd54d19adp-5, -0x1.72ce3f2fbf40ep-5, -0x1.6851ea22058fcp-5, -0x1.5e17812068053p-5, -0x1.541dbad6ffc52p-5, -0x1.4a6351b65830bp-5, -0x1.40e703ff67752p-5, -0x1.37a793ce78e39p-5, -0x1.2ea3c7250532fp-5, -0x1.25da67f289348p-5, -0x1.1d4a441c636e7p-5, -0x1.14f22d84bb6aep-5, -0x1.0cd0fa107f682p-5, -0x1.04e583ac81347p-5, -0x1.fa5d50a36b74bp-6, -0x1.eb5694114500ap-6, -0x1.dcb49dd80265fp-6, -0x1.ce7542553b9a1p-6, -0x1.c0965e10f050dp-6, -0x1.b315d5be616cfp-6, -0x1.a5f1963b8f85dp-6, -0x1.9927948f67a7bp-6, -0x1.8cb5cde6adca1p-6, -0x1.809a478fb964ap-6, -0x1.74d30ef5036dap-6, -0x1.695e39969adf8p-6, -0x1.5e39e50292c4p-6, -0x1.536436cc5e83dp-6, -0x1.48db5c8349831p-6, -0x1.3e9d8ba7f386dp-6, -0x1.34a901a0f67a3p-6, -0x1.2afc03aeb647fp-6, -0x1.2194dede6069bp-6, -0x1.1871e7fc30483p-6, -0x1.0f917b84fca6cp-6, -0x1.06f1fd97173fp-6, -0x1.fd23b3c512358p-7, -0x1.ecdf07316ddf2p-7, -0x1.dd12eab6e6376p-7, -0x1.cdbc62570fa71p-7, -0x1.bed880ad86b2cp-7, -0x1.b06466cb17c08p-7, -0x1.a25d441002df6p-7, -0x1.94c056057beecp-7, -0x1.878ae8365eb42p-7, -0x1.7aba54073a0dbp-7, -0x1.6e4c008db513ep-7, -0x1.623d62675ad2cp-7, -0x1.568bfb8fdee7fp-7, -0x1.4b355b36eeb95p-7, -0x1.40371d95819cep-7, -0x1.358eebc2d8ec3p-7, -0x1.2b3a7b8917ceep-7, -0x1.21378f39969efp-7, -0x1.1783f580f1c2cp-7, -0x1.0e1d893adfabep-7, -0x1.05023145d9605p-7, -0x1.f85fc0ad3b70ap-8, -0x1.e749299732e48p-8, -0x1.d6bcb100788e4p-8, -0x1.c6b6814088495p-8, -0x1.b732daf60b2dfp-8, -0x1.a82e14ad75e73p-8, -0x1.99a49a87bef5fp-8, -0x1.8b92ede13ee48p-8, -0x1.7df5a4f8c75d4p-8, -0x1.70c96a96fb8eep-8, -0x1.640afdb5fb516p-8, -0x1.57b7312967cd8p-8, -0x1.4bcaeb46d0016p-8, -0x1.4043258e8fd47p-8, -0x1.351cec552b953p-8, -0x1.2a555e6d3099ep-8, -0x1.1fe9acd1a5fecp-8, -0x1.15d71a5115ab6p-8, -0x1.0c1afb3935c92p-8, -0x1.02b2b50339b37p-8, -0x1.f3377c01a99ap-9, -0x1.e1a73a13e1d24p-9, -0x1.d0afd2564cba9p-9, -0x1.c04c92a9e4b24p-9, -0x1.b078e81777223p-9, -0x1.a1305e3143b49p-9, -0x1.926e9e7645b4p-9, -0x1.842f6fb72e535p-9, -0x1.766eb57d169f2p-9, -0x1.69286f71f33bbp-9, -0x1.5c58b8cad2602p-9, -0x1.4ffbc7b3e2ef9p-9, -0x1.440decbe56236p-9, -0x1.388b92501bc6p-9, -0x1.2d713c1577df6p-9, -0x1.22bb867482b53p-9, -0x1.186726028bce1p-9, -0x1.0e70e6fb6b3a1p-9, -0x1.04d5acbabaeedp-9, -0x1.f724e26e0ed5ap-10, -0x1.e54888fdd79a6p-10, -0x1.d41098704ca9p-10, -0x1.c377864136466p-10, -0x1.b377f122a596ap-10, -0x1.a40ca006d6214p-10, -0x1.9530812df3c11p-10, -0x1.86dea937d943ap-10, -0x1.79125239a5f2bp-10, -0x1.6bc6dad7462bap-10, -0x1.5ef7c560d9a2p-10, -0x1.52a0b6f3f98cdp-10, -0x1.46bd76a0db5dfp-10, -0x1.3b49ec934ca35p-10, -0x1.3042213f7a8f2p-10, -0x1.25a23c9292a8fp-10, -0x1.1b66852720837p-10, -0x1.118b5f7d2bd5fp-10, -0x1.080d4d361c9c4p-10, -0x1.fdd1d8a8846f6p-11, -0x1.ec35ecfc29fa7p-11, -0x1.db40808a20265p-11, -0x1.caeb70e05ca0cp-11, -0x1.bb30ce93ee667p-11, -0x1.ac0adbe42edd2p-11, -0x1.9d740b64f64abp-11, -0x1.8f66feafc0f7p-11, -0x1.81de851bb1d6p-11, -0x1.74d59a7c60eefp-11, -0x1.684765e7601cfp-11, -0x1.5c2f388063ebcp-11, -0x1.50888c4bf9249p-11, -0x1.454f0308b748bp-11, -0x1.3a7e650ed4f45p-11, -0x1.3012a0360f859p-11, -0x1.2607c6c1c9a9cp-11, -0x1.1c5a0e5352a01p-11, -0x1.1305cee23925bp-11, -0x1.0a0781ba9a825p-11, -0x1.015bc0815394ep-11, -0x1.f1fe887bfc145p-12, -0x1.e1ddc8d54da42p-12, -0x1.d24f2c124529ep-12, -0x1.c34cd57bde172p-12, -0x1.b4d11fe10c687p-12, -0x1.a6d69be220f5cp-12, -0x1.99580e46bb04ep-12, -0x1.8c506e5e1b6f1p-12, -0x1.7fbae469b05dep-12, -0x1.7392c811a407cp-12, -0x1.67d39ee34fcc3p-12, -0x1.5c791ad957ca4p-12, -0x1.517f18ed51aa5p-12, -0x1.46e19fb2bfaadp-12, -0x1.3c9cddfb3c5abp-12, -0x1.32ad2983a5eb3p-12, -0x1.290efdaa225e5p-12, -0x1.1fbefa2ccdba9p-12, -0x1.16b9e1f0ee3dbp-12, -0x1.0dfc99d27d035p-12, -0x1.0584277bde321p-12, -0x1.fa9b608b3cb3fp-13, -0x1.eaacf03c19dc3p-13, -0x1.db37c0f10e89bp-13, -0x1.cc36ce88a3c73p-13, -0x1.bda54bd5a7e77p-13, -0x1.af7ea0aa1efecp-13, -0x1.a1be67f05e8fdp-13, -0x1.94606dd200a6fp-13, -0x1.8760adec77727p-13, -0x1.7abb5192d45b2p-13, -0x1.6e6cae1c9be24p-13, -0x1.6271434144fd6p-13, -0x1.56c5b98023fc9p-13, -0x1.4b66e09479d3bp-13, -0x1.4051adf56350cp-13, -0x1.35833b615acb1p-13, -0x1.2af8c575138a8p-13, -0x1.20afaa4d6171ep-13, -0x1.16a56833f1799p-13, -0x1.0cd79c568aeb1p-13, -0x1.03440188a1864p-13, -0x1.f3d0de1ddf345p-14, -0x1.e185aee9c9747p-14, -0x1.cfa28ed73c9bfp-14, -0x1.be23c9647647dp-14, -0x1.ad05da0e908f6p-14, -0x1.9c456a4608e8p-14, -0x1.8bdf4f74ae5afp-14, -0x1.7bd08914548fdp-14, -0x1.6c163ed5fd21ap-14, -0x1.5cadbed8ffcd1p-14, -0x1.4d947bf1c6a6ap-14, -0x1.3ec80bffb77afp-14, -0x1.30462651e2c4p-14, -0x1.220ca21a13804p-14, -0x1.141974eddd059p-14, -0x1.066ab15545e4cp-14, -0x1.f1fd0acd61243p-15, -0x1.d7a672df4a756p-15, -0x1.bdce5d54405dcp-15, -0x1.a471bbfc18dbap-15, -0x1.8b8dad9d25e8p-15, -0x1.731f7ba5cdc7p-15, -0x1.5b2497f47b46ep-15, -0x1.439a9ab539b5bp-15, -0x1.2c7f405464275p-15, -0x1.15d06785c025ep-15, -0x1.ff181ebeebb42p-16, -0x1.d360ab107fdbap-16, -0x1.a876e8f0a0c5p-16, -0x1.7e578398940a8p-16, -0x1.54ff59539d365p-16, -0x1.2c6b786a1efbdp-16, -0x1.04991c2db8df8p-16, -0x1.bb0b544ac46ddp-17, -0x1.6e5d5eb0e722ap-17, -0x1.2323bb6f5f54fp-17, -0x1.b2b4268d4086ap-18, -0x1.21f89e34aa327p-18, -0x1.281a4db01ac93p-19, -0x1.1d4f0295aa6fap-23, 0x1.fdd9406770e77p-20, 0x1.051bb53320c8dp-18, 0x1.880be3ac6279dp-18, 0x1.04265c07a26b9p-17, 0x1.42f1e2dfe9507p-17, 0x1.806b2eb6727d6p-17, 0x1.bc94c996ee0e3p-17, 0x1.f771222851f2p-17, 0x1.18814736ae4d1p-16, 0x1.34a5a7300189cp-16, 0x1.5026c7348e2ep-16, 0x1.6b05b4dac8d3bp-16, 0x1.85437635304p-16, 0x1.9ee10adc524cap-16, 0x1.b7df6ce96bfccp-16, 0x1.d03f91e23e38ep-16, 0x1.e8026b96a18c4p-16, 0x1.ff28e8f06e0adp-16, 0x1.0ad9fb5b194cfp-15, 0x1.15d24020a9199p-15, 0x1.207db813fbc66p-15, 0x1.2adcd86db1dd6p-15, 0x1.34f0169d89817p-15, 0x1.3eb7e88e9425fp-15, 0x1.4834c4e649393p-15, 0x1.5167233eb1ecbp-15, 0x1.5a4f7c5bda6c3p-15, 0x1.62ee4a5cc50acp-15, 0x1.6b4408e80fad2p-15, 0x1.73513554798f2p-15, 0x1.7b164ecd7a644p-15, 0x1.8293d6741bd2fp-15, 0x1.89ca4f7c3c8fep-15, 0x1.90ba3f466a7f9p-15, 0x1.97642d767e045p-15, 0x1.9dc8a4071ed3cp-15, 0x1.a3e82f5a55feap-15, 0x1.a9c35e4758674p-15, 0x1.af5ac225a78d2p-15, 0x1.b4aeeed5b1c1ep-15, 0x1.b9c07ac70f50fp-15, 0x1.be8ffefc80469p-15, 0x1.c31e170dc6373p-15, 0x1.c76b61277fdbdp-15, 0x1.cb787e091b69p-15, 0x1.cf4611010293p-15, 0x1.d2d4bfe718071p-15, 0x1.d6253315a1021p-15, 0x1.d9381560b60b4p-15, 0x1.dc0e140c523d7p-15, 0x1.dea7dec117192p-15, 0x1.e106277fded0ap-15, 0x1.e329a2942eb55p-15, 0x1.e5130685a2fe7p-15, 0x1.e6c30c08647c6p-15, 0x1.e83a6decbb50ep-15, 0x1.e979e90dd5ba7p-15, 0x1.ea823c3fcf34p-15, 0x1.eb54283d0a47ep-15, 0x1.ebf06f92f19f4p-15, 0x1.ec57d68e29517p-15, 0x1.ec8b2326432cep-15, 0x1.ec8b1ce9051d8p-15, 0x1.ec588ce54b6a3p-15, 0x1.ebf43d9598cc9p-15, 0x1.eb5efaca5b984p-15, 0x1.ea999193f8e0fp-15, 0x1.e9a4d02ca4767p-15, 0x1.e88185e2130d5p-15, 0x1.e73082ff12192p-15, 0x1.e5b298b50a662p-15, 0x1.e40899057bd9ap-15, 0x1.e23356ab76ad7p-15, 0x1.e033a5051fd5ap-15, 0x1.de0a57fd42039p-15, 0x1.dbb843f4f7e08p-15, 0x1.d93e3dad7544ap-15, 0x1.d69d1a31f3044p-15, 0x1.d3d5aec1c937bp-15, 0x1.d0e8d0bab859p-15, 0x1.cdd755836b4edp-15, 0x1.caa2127632c07p-15, 0x1.c749dccc04de2p-15, 0x1.c3cf8987bfd1p-15, 0x1.c033ed61b6beep-15, 0x1.bc77dcb38db5ap-15, 0x1.b89c2b6464d9ap-15, 0x1.b4a1acd55a0cdp-15, 0x1.b08933ce6221fp-15, 0x1.ac53926b7c229p-15, 0x1.a8019a0a4242p-15, 0x1.a3941b37db023p-15, 0x1.9f0be59f4d112p-15, 0x1.9a69c7f8346cdp-15, 0x1.95ae8ff5e0039p-15, 0x1.90db0a36d602cp-15, 0x1.8bf00234be779p-15, 0x1.86ee4234bc2fap-15, 0x1.81d693382a7b6p-15, 0x1.7ca9bcedcd259p-15, 0x1.776885a36662p-15, 0x1.7213b237c0065p-15, 0x1.6cac060d1b156p-15, 0x1.673242fc12f1dp-15, 0x1.61a72946ea7d1p-15, 0x1.5c0b778d488aep-15, 0x1.565feac0606aap-15, 0x1.50a53e178968cp-15, 0x1.4adc2b0540f5bp-15, 0x1.4505692c9cd8dp-15, 0x1.3f21ae572412bp-15, 0x1.3931ae6b1884p-15, 0x1.33361b6227fbcp-15, 0x1.2d2fa5408679cp-15, 0x1.271efa0c742acp-15, 0x1.2104c5c628a2dp-15, 0x1.1ae1b26026927p-15, 0x1.14b667b7f45e6p-15, 0x1.0e838b8f3a507p-15, 0x1.0849c18543245p-15, 0x1.0209ab10e0055p-15, 0x1.f787cef55a342p-16, 0x1.eaf227af6b15ap-16, 0x1.de539608e9af7p-16, 0x1.d1ad4b406d299p-16, 0x1.c5007411a351bp-16, 0x1.b84e38ad76334p-16, 0x1.ab97bcb2e8b5cp-16, 0x1.9ede1f289a681p-16, 0x1.92227a76fa64bp-16, 0x1.8565e46322d43p-16, 0x1.78a96e0a523d1p-16, 0x1.6bee23de0a9p-16, 0x1.5f350da0ce01dp-16, 0x1.527f2e6374a92p-16, 0x1.45cd8483196d7p-16, 0x1.392109a799f66p-16, 0x1.2c7ab2c2aa521p-16, 0x1.1fdb700f7184dp-16, 0x1.13442d12b1e34p-16, 0x1.06b5d09b782bfp-16, 0x1.f46279889738fp-17, 0x1.db6e9de9c3c8fp-17, 0x1.c291bfc8956bdp-17, 0x1.a9cd87372ffcap-17, 0x1.912392f1eff4p-17, 0x1.789578668dc98p-17, 0x1.6024c3bc18103p-17, 0x1.47d2f7dbc77a8p-17, 0x1.2fa18e7aa5217p-17, 0x1.1791f823fb474p-17, 0x1.ff4b388915a32p-18, 0x1.cfbbb26cfe484p-18, 0x1.a078089c349bcp-18, 0x1.7182d3ce253cap-18, 0x1.42de9ae53a55ap-18, 0x1.148dd30c39d0dp-18, 0x1.cd25bfa9ca6a6p-19, 0x1.71e026af973cap-19, 0x1.174f5caa8928ep-19, 0x1.7aef815e2344dp-20, 0x1.91763eaed266ep-21, 0x1.809c962cd1fabp-24, -0x1.2e391b087bd88p-21, -0x1.44b034f0529ebp-20, -0x1.f0a9be6618665p-20, -0x1.4d80fe5e6d602p-19, -0x1.a1d901bdee0d4p-19, -0x1.f559931a465b2p-19, -0x1.23ffbdf675d7ap-18, -0x1.4ce3d28525a82p-18, -0x1.75578b255e802p-18, -0x1.9d597b1915edbp-18, -0x1.c4e844cb4d78ep-18, -0x1.ec0299a2c6d82p-18, -0x1.09539cea197d4p-17, -0x1.1c6a7a19f427p-17, -0x1.2f45530391472p-17, -0x1.41e39d6a6e46p-17, -0x1.5444d61b21d0ap-17, -0x1.666880d36c8p-17, -0x1.784e282a177f1p-17, -0x1.89f55d76ba8b1p-17, -0x1.9b5db8b957babp-17, -0x1.ac86d881db995p-17, -0x1.bd7061d77effp-17, -0x1.ce1a002020428p-17, -0x1.de83650772a02p-17, -0x1.eeac486634d5fp-17, -0x1.fe946829497b5p-17, -0x1.071dc41c68652p-16, -0x1.0ed0b92f99471p-16, -0x1.1662fb1816eb1p-16, -0x1.1dd47477f000ep-16, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      40, 0x1.d99999999999ap+1, 0x1.bb07213b9780dp+1, 0x1.9c81d48b8a861p+1, -0x1.1cda990ce89c8p-6, 
      {{
        {0x1.b333333333333p+0, 0x1.cp+0, 0x1.addf47385bc24p-5, -0x1.ef343a0729d3dp-3, 0x1.ac7e95907e947p-2, -0x1.50910abe687f9p-2}, 
        {0x1.cp+0, 0x1.ccccccccccccdp+0, 0x1.531090425448cp-5, -0x1.9e8db9b75c516p-3, 0x1.7a026d8d88814p-2, -0x1.36bb430f36de1p-2}, 
        {0x1.ccccccccccccdp+0, 0x1.d99999999999ap+0, 0x1.0767479b9bcaap-5, -0x1.579cd94aa4665p-3, 0x1.4b6656b1a6acbp-2, -0x1.20c444d33e6e9p-2}, 
        {0x1.d99999999999ap+0, 0x1.e666666666666p+0, 0x1.920a4e0fa8e89p-6, -0x1.19aa0b8b8f857p-3, 0x1.2015b2c52a1cp-2, -0x1.09c3b74bb0f3bp-2}, 
        {0x1.e666666666666p+0, 0x1.f333333333333p+0, 0x1.2c5dcdaad5b22p-6, -0x1.c8114847f7593p-4, 0x1.f070ae8d38bc3p-3, -0x1.e6153afe7890bp-3}, 
        {0x1.f333333333333p+0, 0x1p+1, 0x1.b530f77657cabp-7, -0x1.6c121abc56c52p-4, 0x1.a78718e70d0cbp-3, -0x1.b87a8823f8bfap-3}, 
        {0x1p+1, 0x1.0666666666666p+1, 0x1.339f86115c884p-7, -0x1.1df8ec46fd02dp-4, 0x1.6574b7ae74897p-3, -0x1.8af2ead99a307p-3}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.9d7c2dc3d17ap-8, -0x1.b8cf9101ec31dp-5, 0x1.2a36ae0dd09c1p-3, -0x1.5d47769055c3p-3}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.039ee79caa40ep-8, -0x1.4c00f557c448p-5, 0x1.eba4b889ede36p-4, -0x1.301848b27da85p-3}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.228983a0902aap-9, -0x1.e5988683123aap-6, 0x1.906a3c5461cafp-4, -0x1.011bd825e1deap-3}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.f919c6c016b06p-11, -0x1.54db38c9fdc8p-6, 0x1.43484849046e2p-4, -0x1.bc4a81853a272p-4}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.c093f730d5da7p-14, -0x1.c1be87337b82bp-7, 0x1.00a381a83bb55p-4, -0x1.8e68d986e5becp-4}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, -0x1.c7f2573556a95p-12, -0x1.0c567e726e02ep-7, 0x1.89c12874cc184p-5, -0x1.5ced2eca94515p-4}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, -0x1.8139c87a39073p-11, -0x1.078b15580d197p-8, 0x1.21139a6b39327p-5, -0x1.2c6831f16575p-4}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, -0x1.c13281cfa3488p-11, -0x1.1152d120cccbfp-10, 0x1.8de8b078cf1f6p-6, -0x1.f745009353d1ep-5}, 
        {0x1.399999999999ap+1, 0x1.4p+1, -0x1.c0b91c1116748p-11, 0x1.e5179c6ae976ap-11, 0x1.eddb2d66058bfp-7, -0x1.95d1e7f1fbbbp-5}, 
        {0x1.4p+1, 0x1.4666666666666p+1, -0x1.97f5f613d64d8p-11, 0x1.0e1dfc267fa7cp-9, 0x1.f4ba77a9a9d2cp-8, -0x1.347f0e3542552p-5}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, -0x1.5a64090c3e00cp-11, 0x1.4d3e4593f5d1dp-9, 0x1.0510cd39e7a8ep-9, -0x1.a525dc6fda9bep-6}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, -0x1.16d0e88dc021ap-11, 0x1.4e14b864f5a0cp-9, -0x1.e89fa9cbd6f6ep-10, -0x1.cbaea161ace4ep-7}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, -0x1.aeb98515cd65fp-12, 0x1.27dbfa6c5136dp-9, -0x1.040f814376684p-8, -0x1.594808463aa6ap-10}, 
        {0x1.599999999999ap+1, 0x1.6p+1, -0x1.42f4beaaa628p-12, 0x1.e51ad070529f5p-10, -0x1.110234c6189b6p-8, 0x1.25fb5432a9682p-8}, 
        {0x1.6p+1, 0x1.6666666666666p+1, -0x1.d888f16d4315dp-13, 0x1.80b882f9a4e76p-10, -0x1.c9d29d1697fe5p-9, 0x1.bb1481869a5d5p-9}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, -0x1.5012c93488f19p-13, 0x1.2bcd6a9ed30fep-10, -0x1.875c56759a709p-9, 0x1.b1d779b5a3accp-9}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, -0x1.cde0da126f9d8p-14, 0x1.c81366f2c6dacp-11, -0x1.4648d100c1e3p-9, 0x1.8441e00b5fda3p-9}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, -0x1.2fff6bb9884a8p-14, 0x1.5135b11bc66acp-11, -0x1.0c0bbc32404f5p-9, 0x1.60696eb88dd4ep-9}, 
        {0x1.799999999999ap+1, 0x1.8p+1, -0x1.7a4bb4cff3d4bp-15, 0x1.e120a4392473dp-12, -0x1.ae5e3d9389449p-10, 0x1.39f4ede1425fbp-9}, 
        {0x1.8p+1, 0x1.8666666666666p+1, -0x1.b38669385e618p-16, 0x1.47d1522f7bc51p-12, -0x1.502e5c9cc2286p-10, 0x1.143382c46a723p-9}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, -0x1.bd4806174c155p-17, 0x1.a3d5a769c5264p-13, -0x1.faa4379077a63p-11, 0x1.dc83a0847c37cp-10}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, -0x1.6db44442cee78p-18, 0x1.eb89a646e78f7p-14, -0x1.6bafedcf1f2e4p-11, 0x1.90bc4b35df5d9p-10}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, -0x1.301f1d950dfe2p-20, 0x1.f15a3407a9e22p-15, -0x1.e6eee1b11ebefp-12, 0x1.44e545dafb7d1p-10}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.bb2eedbc979p-21, 0x1.738fc452ce7a2p-16, -0x1.23feeafa87d94p-12, 0x1.f261e1f6f484bp-11}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.6bdc2fd7afdp-20, 0x1.7fae8fd3a0bf6p-20, -0x1.1cf64e60e3642p-13, 0x1.5a031475625fcp-11}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.3a004732b6682p-20, -0x1.e3c96c2c9b42dp-18, -0x1.356b6ed03b143p-15, 0x1.8a6eea0eabe63p-12}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.9a395a3b658p-21, -0x1.0eff4e1427865p-17, 0x1.47ccedb5f338fp-16, 0x1.18aa086da53fbp-14}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.c0482066c85a5p-22, -0x1.7931d5a9694b2p-18, 0x1.f032f2c48991cp-16, -0x1.3024caf50d3cdp-14}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.b05ed9b877c17p-23, -0x1.ae6cb36b48fbap-19, 0x1.39b678fe4e6c3p-16, -0x1.61bf9899f77ddp-15}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.6232aafbe0adap-24, -0x1.bbcef2d545a6ep-20, 0x1.9f2d3006a1f42p-17, -0x1.378505c55afdep-15}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.c0482066c862bp-26, -0x1.74dd20b6fb8a6p-21, 0x1.c8878c53a385dp-18, -0x1.b0422be1f3e51p-16}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.6232aafbe0bdp-28, -0x1.bd8766d2292c5p-23, 0x1.8a594a64ef28ep-19, -0x1.e44cbe8091e4bp-17}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.6232aafbe12p-32, -0x1.784726a63cb5cp-26, 0x1.9f13605f2b5p-21, -0x1.48bc6bd54b39cp-16}, 
      }}, 
      0x1.39b1531f91edfp-12, -0x1.e6d640d3f5a85p-10
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_c_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.c2b6a297fece3p+0, -0x1.c0d6839e2e16dp+0, -0x1.bdc1a7049e42dp+0, -0x1.b983bf6198eddp+0, -0x1.b42d5db327132p+0, -0x1.add06e1c0cfe2p+0, -0x1.a6805c1899a6dp+0, -0x1.9e512b149a973p+0, -0x1.9557447cdee41p+0, -0x1.8ba6c1e7d13ep+0, -0x1.8153f5f8fdd08p+0, -0x1.76729ef993859p+0, -0x1.6b15352f67e02p+0, -0x1.5f4e4550b8eb9p+0, -0x1.532f595e5f36ep+0, -0x1.46c8acc3e215cp+0, -0x1.3a2a1573459c6p+0, -0x1.2d6257f50e97bp+0, -0x1.207ea9a441e58p+0, -0x1.138c15b484279p+0, -0x1.0696cb7e4326fp+0, -0x1.f35240d702e1cp-1, -0x1.d99907899a11fp-1, -0x1.c014e5dd4d8adp-1, -0x1.a6d77419eb84ap-1, -0x1.8deef9f91afdp-1, -0x1.7565afcb24517p-1, -0x1.5d49e2436734bp-1, -0x1.45a538c9ef46dp-1, -0x1.2e8072301360fp-1, -0x1.17e2d3062d59p-1, -0x1.01d28fcfd76d1p-1, -0x1.d8aa3cc6a83f9p-2, -0x1.aede5ceeffdecp-2, -0x1.8648dd7526108p-2, -0x1.5eeecea72aa4bp-2, -0x1.38d31e72760fap-2, -0x1.13f725484cdafp-2, -0x1.e0b6979bb4017p-3, -0x1.9bfef4f30dcd7p-3, -0x1.59c652e110ff3p-3, -0x1.1a0a3f48d88bep-3, -0x1.b98c62962298cp-4, -0x1.43e63055b28dp-4, -0x1.a61db7d8689ap-5, -0x1.9bbe39768b80bp-6, 0x1.216fa465d5636p-13, 0x1.8e2e3f8dfe522p-6, 0x1.8434475779048p-5, 0x1.1c54d1f6a1a4ap-4, 0x1.725365fc8bc76p-4, 0x1.c42da705a07b3p-4, 0x1.08fe02993874ep-3, 0x1.2dec1ac0c0db6p-3, 0x1.50e23831b188ap-3, 0x1.720d36d9c32f7p-3, 0x1.916c5c98cad48p-3, 0x1.af0e23ceb9dep-3, 0x1.cb01292460188p-3, 0x1.e5540c73f1549p-3, 0x1.fe154f3d24273p-3, 0x1.0aa99c1adfb3bp-2, 0x1.158de08524278p-2, 0x1.1fbe481c89b4dp-2, 0x1.29417ee185431p-2, 0x1.321e0f6db2068p-2, 0x1.3a5a69b675506p-2, 0x1.41fce84737121p-2, 0x1.490bd24f29e11p-2, 0x1.4f8d5a010ce4ep-2, 0x1.558797cf4bb5ep-2, 0x1.5b0083bb8cf64p-2, 0x1.5ffdee295f85p-2, 0x1.6485797cda385p-2, 0x1.689c956cf57cap-2, 0x1.6c487c7b0d64p-2, 0x1.6f8e33911fe24p-2, 0x1.72728b71678fbp-2, 0x1.74fa236d2d5fdp-2, 0x1.77296cc6f7fa4p-2, 0x1.7904ae2fdce9ap-2, 0x1.7a9006eeeaad8p-2, 0x1.7bcf7169d62b3p-2, 0x1.7cc6c4eea0eb8p-2, 0x1.7d79b6c105782p-2, 0x1.7debda892f729p-2, 0x1.7e20a25265697p-2, 0x1.7e1b5e4fe6c4cp-2, 0x1.7ddf3c9cee5e8p-2, 0x1.7d6f4923f00cp-2, 0x1.7cce6dcafe7cap-2, 0x1.7bff72f295b0bp-2, 0x1.7b050043c073dp-2, 0x1.79e19dbd6a573p-2, 0x1.7897b4e88bd9dp-2, 0x1.77299218a1cf4p-2, 0x1.759965a1380e1p-2, 0x1.73e944f0e21a1p-2, 0x1.721b2b8b79f76p-2, 0x1.7030fbe6e4622p-2, 0x1.6e2c8034867f8p-2, 0x1.6c0f6b25530ep-2, 0x1.69db58b6582cfp-2, 0x1.6791cf10d93d7p-2, 0x1.65343f842b318p-2, 0x1.62c4079a14ccdp-2, 0x1.604272415c55fp-2, 0x1.5db0b90620e95p-2, 0x1.5b10054d244d5p-2, 0x1.58617186410f5p-2, 0x1.55a41ce298948p-2, 0x1.52dc62e87089cp-2, 0x1.5009ecb19595bp-2, 0x1.4d2da8046a265p-2, 0x1.4a4874ff6d2c3p-2, 0x1.475b268f6d1a8p-2, 0x1.44668302b4a5dp-2, 0x1.416b44b4872fep-2, 0x1.3e6a1aca77a65p-2, 0x1.3b63a9fc596a7p-2, 0x1.38588d5f91e0dp-2, 0x1.3549572f44482p-2, 0x1.3236918be76afp-2, 0x1.2f20bf2e1721cp-2, 0x1.2c085c09ba5f6p-2, 0x1.28eddddfaffc8p-2, 0x1.25d1b4bd412fap-2, 0x1.22b44b6950042p-2, 0x1.1f9607bff936cp-2, 0x1.1c774afddab05p-2, 0x1.195871fcbd06bp-2, 0x1.1639d563a2243p-2, 0x1.131bc9cc9723fp-2, 0x1.0ffe9fe2b8258p-2, 0x1.0ce2a47ad2382p-2, 0x1.09c820a8e5b58p-2, 0x1.06af59d48a4c3p-2, 0x1.039891cdbc983p-2, 0x1.008406e34ae79p-2, 0x1.fae3e7f72e828p-3, 0x1.f4c5216019956p-3, 0x1.eeac22d6ac5edp-3, 0x1.e8994f145e6f2p-3, 0x1.e28d02fcf8768p-3, 0x1.dc8795e8954b2p-3, 0x1.d68959f09e7p-3, 0x1.d0929c3ee12b5p-3, 0x1.caa3a55de4abbp-3, 0x1.c4bcb98993bd5p-3, 0x1.bede18ff52b92p-3, 0x1.b908004c81b5fp-3, 0x1.b33aa89a76745p-3, 0x1.ad7647f6e29e2p-3, 0x1.a7bb1197bf03p-3, 0x1.a2093619dc66ap-3, 0x1.9c60e3b9701d2p-3, 0x1.96c2468416c15p-3, 0x1.912d8884183f6p-3, 0x1.8ba2d1e4d2cf4p-3, 0x1.862249109f8e9p-3, 0x1.80ac12c878da7p-3, 0x1.7b40523614179p-3, 0x1.75df28f90633ep-3, 0x1.7088b72fc3588p-3, 0x1.6b3d1b7d32854p-3, 0x1.65fc730b9da15p-3, 0x1.60c6d98da8a6ep-3, 0x1.5b9c693df7eadp-3, 0x1.567d3ade131e3p-3, 0x1.516965b4fbc99p-3, 0x1.4c60ff8de7d84p-3, 0x1.47641cb76cbaap-3, 0x1.4272d0036a4a2p-3, 0x1.3d8d2ac7ebf7p-3, 0x1.38b33ce126f5p-3, 0x1.33e514b4bddcp-3, 0x1.2f22bf365289dp-3, 0x1.2a6c47ed71b2ep-3, 0x1.25c1b8fcd2dc5p-3, 0x1.21231b2adb26ap-3, 0x1.1c9075eb4eae6p-3, 0x1.1809cf6a0487ep-3, 0x1.138f2c9678645p-3, 0x1.0f209130089ddp-3, 0x1.0abdffd2b4b01p-3, 0x1.06677a0415bedp-3, 0x1.021d004075045p-3, 0x1.fbbd240f71d12p-4, 0x1.f3585bd42201cp-4, 0x1.eb0ba32846cbbp-4, 0x1.e2d6f3b557144p-4, 0x1.daba458adb15cp-4, 0x1.d2b58f32b5964p-4, 0x1.cac8c5c3ed9bdp-4, 0x1.c2f3dcf3b401dp-4, 0x1.bb36c724d0eb8p-4, 0x1.b39175755cec7p-4, 0x1.ac03d7cb01b89p-4, 0x1.a48ddcddad3e8p-4, 0x1.9d2f7240fbc8ep-4, 0x1.95e8846c6765fp-4, 0x1.8eb8fec258349p-4, 0x1.87a0cb9654eb7p-4, 0x1.809fd43259c31p-4, 0x1.79b600db894cfp-4, 0x1.72e338d653057p-4, 0x1.6c27626a2cd2bp-4, 0x1.658262e4fcd27p-4, 0x1.5ef41e9e4ff64p-4, 0x1.587c78fa6d9dfp-4, 0x1.521b546d66175p-4, 0x1.4bd0927e260b8p-4, 0x1.459c13c9a55ddp-4, 0x1.3f7db8063d9f4p-4, 0x1.39755e0733b42p-4, 0x1.3382e3c07e2a8p-4, 0x1.2da6264ad3b21p-4, 0x1.27df01e80295p-4, 0x1.222d52079bef3p-4, 0x1.1c90f14bed874p-4, 0x1.1709b98f501ap-4, 0x1.119783e9c6648p-4, 0x1.0c3a91ad67556p-4, 0x1.06f21d61069ap-4, 0x1.01be2def690dep-4, 0x1.f93d32a737245p-5, 0x1.ef2669fb8621bp-5, 0x1.e537abb240a9fp-5, 0x1.db70a0a3e3831p-5, 0x1.d1d0f0b66d8d4p-5, 0x1.c85842e8ac9e5p-5, 0x1.bf063d5d64b83p-5, 0x1.b5da85664e6edp-5, 0x1.acd4bf8efa906p-5, 0x1.a3f48fa79f493p-5, 0x1.9b3998cfd3affp-5, 0x1.92a37d813f5b5p-5, 0x1.8a31df9a3f0f9p-5, 0x1.81e460688424fp-5, 0x1.79baa0b3ad3edp-5, 0x1.71b440c7dbd7ep-5, 0x1.69d0e08040a8fp-5, 0x1.62101f51a53edp-5, 0x1.5a719c54eb5c2p-5, 0x1.52f4f65181cdp-5, 0x1.4b99cbc7cb282p-5, 0x1.445fbafb73abfp-5, 0x1.3d4661fdb259cp-5, 0x1.364d5eb772242p-5, 0x1.2f744ef35bccbp-5, 0x1.28bad067c4501p-5, 0x1.222080c073ea9p-5, 0x1.1ba4fda842e33p-5, 0x1.1547e4d290b1bp-5, 0x1.0f08d404887a1p-5, 0x1.08e7691e36083p-5, 0x1.02e342236334p-5, 0x1.f9f7fa888c414p-6, 0x1.ee6271cbdcc6bp-6, 0x1.e3052754ffb5ep-6, 0x1.d7df58f25dcbap-6, 0x1.ccf0450c04611p-6, 0x1.c2372ab2abc61p-6, 0x1.b7b349ae4b9d9p-6, 0x1.ad63e28c335f6p-6, 0x1.a34836aca4e53p-6, 0x1.995f884fffc82p-6, 0x1.8fa91aa36f7d2p-6, 0x1.862431cd26096p-6, 0x1.7cd012f826d42p-6, 0x1.73ac045f94eaep-6, 0x1.6ab74d59a1921p-6, 0x1.61f13661fe47fp-6, 0x1.59590923e8bf3p-6, 0x1.50ee1083d2ec9p-6, 0x1.48af98a89a7dap-6, 0x1.409cef045fe7fp-6, 0x1.38b5625cf8d78p-6, 0x1.30f842d40505ep-6, 0x1.2964e1eea08dap-6, 0x1.21fa929cb46d5p-6, 0x1.1ab8a93ff9a2cp-6, 0x1.139e7bb294d55p-6, 0x1.0cab614d5b723p-6, 0x1.05deb2edce31bp-6, 0x1.fe6f95f75f5fbp-7, 0x1.f16c0adc9b3adp-7, 0x1.e4b17fa2f7a95p-7, 0x1.d83eb2946ef0cp-7, 0x1.cc12653601c77p-7, 0x1.c02b5c4fc0e97p-7, 0x1.b4885ff447207p-7, 0x1.a9283b879e1c8p-7, 0x1.9e09bdc5800c1p-7, 0x1.932bb8c717b9p-7, 0x1.888d0208273eap-7, 0x1.7e2c726b9990bp-7, 0x1.7408e63fa4d44p-7, 0x1.6a213d413f9c9p-7, 0x1.60745a9f33a44p-7, 0x1.570124fc971eep-7, 0x1.4dc68672d13a6p-7, 0x1.44c36c931fafp-7, 0x1.3bf6c867a7c75p-7, 0x1.335f8e740c1e5p-7, 0x1.2afcb6b58e1fp-7, 0x1.22cd3ca2cef6dp-7, 0x1.1ad01f2b1563ep-7, 0x1.130460b53633ep-7, 0x1.0b69071e0be38p-7, 0x1.03fd1bb6a5c39p-7, 0x1.f97f568402132p-8, 0x1.eb5f8be4f8b48p-8, 0x1.dd98fecdbd13ep-8, 0x1.d029dd4e5e665p-8, 0x1.c3105c42454e9p-8, 0x1.b64ab74895ce1p-8, 0x1.a9d730bbebb41p-8, 0x1.9db411a9c83c9p-8, 0x1.91dfa9c93475cp-8, 0x1.86584f713413dp-8, 0x1.7b1c5f8e8a98cp-8, 0x1.702a3d99517b5p-8, 0x1.65805389f8469p-8, 0x1.5b1d11ce0f3eep-8, 0x1.50feef3c87424p-8, 0x1.47246909e73efp-8, 0x1.3d8c02bbf60d1p-8, 0x1.3434461d38efap-8, 0x1.2b1bc3303a5ap-8, 0x1.2241102276a2fp-8, 0x1.19a2c93f2c921p-8, 0x1.113f90e1e30dbp-8, 0x1.09160f68d0f31p-8, 0x1.0124f32707012p-8, 0x1.f2d5e0ad0bp-9, 0x1.e3cd82142495cp-9, 0x1.d52e4a3df9acep-9, 0x1.c6f5c45d8200fp-9, 0x1.b92187010e80bp-9, 0x1.abaf33f51163ap-9, 0x1.9e9c7826a461cp-9, 0x1.91e70b86124cdp-9, 0x1.858cb0e8f372p-9, 0x1.798b35ec418b2p-9, 0x1.6de072d65139ap-9, 0x1.628a4a7866bd2p-9, 0x1.5786aa1087768p-9, 0x1.4cd3892acd515p-9, 0x1.426ee982d0212p-9, 0x1.3856d6e4d503fp-9, 0x1.2e89670ef3a16p-9, 0x1.2504b991ed2b1p-9, 0x1.1bc6f7b238d6dp-9, 0x1.12ce5448a3237p-9, 0x1.0a190ba2f85f2p-9, 0x1.01a563648c474p-9, 0x1.f2e354cd1f1acp-10, 0x1.e2f8713118699p-10, 0x1.d386ddc0f3945p-10, 0x1.c48b6df5db82ep-10, 0x1.b60306b63eb4bp-10, 0x1.a7ea9e15c867p-10, 0x1.9a3f3b14eec51p-10, 0x1.8cfdf560e42ccp-10, 0x1.8023f5130b799p-10, 0x1.73ae72702440fp-10, 0x1.679ab5a80f0d9p-10, 0x1.5be61694ae2c1p-10, 0x1.508dfc79b408cp-10, 0x1.458fddc3aec4ep-10, 0x1.3ae93fc786a3ep-10, 0x1.3097b681f5b7p-10, 0x1.2698e4572a51cp-10, 0x1.1cea79d2a40a6p-10, 0x1.138a356712fabp-10, 0x1.0a75e32ebcfc7p-10, 0x1.01ab5cabee7e4p-10, 0x1.f2511113fc1a8p-11, 0x1.e1d6b4bcf5883p-11, 0x1.d1e3a4d5c7b8ep-11, 0x1.c273fabdb1ac1p-11, 0x1.b383e83582991p-11, 0x1.a50fb6e61b9ffp-11, 0x1.9713c7e7f51c1p-11, 0x1.898c934c2986bp-11, 0x1.7c76a7a694decp-11, 0x1.6fcea9996be3ep-11, 0x1.6391536263035p-11, 0x1.57bb7468ef31cp-11, 0x1.4c49f0ced6517p-11, 0x1.4139c1019a3e5p-11, 0x1.3687f14de0fc5p-11, 0x1.2c31a1749a13cp-11, 0x1.223404418983bp-11, 0x1.188c5f240e362p-11, 0x1.0f3809c87363ap-11, 0x1.06346db51fa1ep-11, 0x1.fafe0bcef1043p-12, 0x1.ea2abce6a838ep-12, 0x1.d9ea284889aafp-12, 0x1.ca37a840f6477p-12, 0x1.bb0eb71ac56ccp-12, 0x1.ac6aee6b12feep-12, 0x1.9e48066279f17p-12, 0x1.90a1d51f5a555p-12, 0x1.83744e0497c36p-12, 0x1.76bb811309bb2p-12, 0x1.6a739a466adebp-12, 0x1.5e98e0f58c805p-12, 0x1.5327b73423904p-12, 0x1.481c99391436ap-12, 0x1.3d741cc754cep-12, 0x1.332af098fdf6dp-12, 0x1.293ddbcd4068cp-12, 0x1.1fa9bd595f22p-12, 0x1.166b8b7ba0313p-12, 0x1.0d805331ec18fp-12, 0x1.04e537b0b5b6p-12, 0x1.f92ee3be7f7dp-13, 0x1.e9289fa7adfcdp-13, 0x1.d9b268a6369cap-13, 0x1.cac72ca2eb444p-13, 0x1.bc6200eea16b1p-13, 0x1.ae7e214d285acp-13, 0x1.a116ef04b75c7p-13, 0x1.9427eff372246p-13, 0x1.87accda58cab6p-13, 0x1.7ba1547395ffdp-13, 0x1.7001729fa8436p-13, 0x1.64c9377be45c2p-13, 0x1.59f4d290e83ecp-13, 0x1.4f8092c8fc2fp-13, 0x1.4568e5a0326a4p-13, 0x1.3baa565723275p-13, 0x1.32418d299062dp-13, 0x1.292b4e89b31ffp-13, 0x1.20647a5e0491cp-13, 0x1.17ea0b442fb89p-13, 0x1.0fb915d6308bcp-13, 0x1.07cec7f5a0cd2p-13, 0x1.00286817cb04bp-13, 0x1.f186a931e2868p-14, 0x1.e33a0621b7814p-14, 0x1.d565ff5908739p-14, 0x1.c805d9176439bp-14, 0x1.bae5639444b52p-14, 0x1.ae6126fc21837p-14, 0x1.a2438c6952c64p-14, 0x1.96887bc497cf4p-14, 0x1.8b2c02f65fdecp-14, 0x1.802a54cd32a41p-14, 0x1.757fc7ec811a9p-14, 0x1.6b28d5bfcb8b9p-14, 0x1.6122197c1ffb6p-14, 0x1.57684f1f14eddp-14, 0x1.4df8527990773p-14, 0x1.44cf1e3e84f78p-14, 0x1.3be9cb18da0c1p-14, 0x1.33458ec5995aap-14, 0x1.2adfbb339be85p-14, 0x1.22b5bda897ebfp-14, 0x1.1ac51de945a2dp-14, 0x1.130b7d68a787ap-14, 0x1.0b8696793ce2dp-14, 0x1.04343b82d97cfp-14, 0x1.fa24ac773fb61p-15, 0x1.ec3dcdcee3d97p-15, 0x1.deb00730be60ep-15, 0x1.d177aee4a355ap-15, 0x1.c49143edf730fp-15, 0x1.b7f96c9c29faap-15, 0x1.abacf5310f7afp-15, 0x1.9fa8ce86e5ff2p-15, 0x1.93ea0cc0952b1p-15, 0x1.886de5fd3c314p-15, 0x1.7d31b11d0edc2p-15, 0x1.7232e48506798p-15, 0x1.676f14f04688fp-15, 0x1.5ce3f446209a2p-15, 0x1.528f507d751a1p-15, 0x1.486f1284ffb18p-15, 0x1.3e813d35b57fap-15, 0x1.34c3ec4624effp-15, 0x1.2b3553588442fp-15, 0x1.21d3bcfc4a19fp-15, 0x1.189d89c43e09ap-15, 0x1.0f912f60d9d17p-15, 0x1.06ad37c3d0ce7p-15, 0x1.fbe0808de3fe1p-16, 0x1.eab1f1c532049p-16, 0x1.d9cc46c677805p-16, 0x1.c92d2553c715cp-16, 0x1.b8d253e4deca8p-16, 0x1.a8b9b84135195p-16, 0x1.98e15625e9041p-16, 0x1.89474df3c6ec1p-16, 0x1.79e9db757a70ap-16, 0x1.6ac754a34bf67p-16, 0x1.5bde286ad297fp-16, 0x1.4d2cdda02a93ap-16, 0x1.3eb211daa774p-16, 0x1.306c7865b7a09p-16, 0x1.225ad93b0e3adp-16, 0x1.147c10060e3dp-16, 0x1.06cf0b2fc2b3ep-16, 0x1.f2a595e2d1988p-17, 0x1.d80cc0e356b01p-17, 0x1.bdd1d9c7ac043p-17, 0x1.a3f3416f702a4p-17, 0x1.8a6f759caee39p-17, 0x1.71450f5cdc647p-17, 0x1.5872c19173e15p-17, 0x1.3ff7577f4a858p-17, 0x1.27d1b36f3895bp-17, 0x1.1000cd4fd9dddp-17, 0x1.f10762f195eabp-18, 0x1.c2b2fedf247ep-18, 0x1.9502d16ac842ap-18, 0x1.67f55f33dcad3p-18, 0x1.3b894c7ec44b1p-18, 0x1.0fbd5b01cea9p-18, 0x1.c920cf9b91d23p-19, 0x1.7402d32c2e8adp-19, 0x1.201eddabce488p-19, 0x1.9ae66fb756f86p-20, 0x1.eff94d1259bc9p-21, 0x1.5df6372ded3c5p-22, -0x1.1a659dc131b27p-22, -0x1.c4950f145aa28p-21, -0x1.7b97e6cdeb291p-20, -0x1.0941b2c6b1637p-19, -0x1.53875a84dd5b5p-19, -0x1.9c9dae348021cp-19, -0x1.e4855eb02fa8ap-19, -0x1.159f86462aa57p-18, -0x1.3865a5134c37bp-18, -0x1.5a954ee2ad66p-18, -0x1.7c2ec1ecd038p-18, -0x1.9d32386a92477p-18, -0x1.bd9fe99085035p-18, -0x1.dd780a72a3fdbp-18, -0x1.fcbacedcb552dp-18, -0x1.0db4351549a56p-17, -0x1.1cc087f506e99p-17, -0x1.2b827a549f5d7p-17, -0x1.39fa2735ae18bp-17, -0x1.4827aac18e8ddp-17, -0x1.560b225822694p-17, -0x1.63a4acda19b5fp-17, -0x1.70f46aec35bf4p-17, -0x1.7dfa7f10432b5p-17, -0x1.8ab70dd66bc4bp-17, -0x1.972a3e038584p-17, -0x1.a35438ad08c3dp-17, -0x1.af35296316734p-17, -0x1.bacd3e4dd6936p-17, -0x1.c61ca8425c54bp-17, -0x1.d1239af3a2fe2p-17, -0x1.dbe24cf552f95p-17, -0x1.e658f7e275bdcp-17, -0x1.f087d87a104fp-17, -0x1.fa6f2ea2b37c6p-17, -0x1.02079eca48f72p-16, -0x1.06b425ea3564fp-16, -0x1.0b3d51a76dccfp-16, -0x1.0fa348b0748c4p-16, -0x1.13e63370b012p-16, -0x1.18063c13e0764p-16, -0x1.1c038e87cf19dp-16, -0x1.1fde58804e968p-16, -0x1.2396c972973cap-16, -0x1.272d1298a2b9p-16, -0x1.2aa166e9ebe09p-16, -0x1.2df3fb25663f9p-16, -0x1.312505c205184p-16, -0x1.3434bee9cfd19p-16, -0x1.3723607c703fbp-16, -0x1.39f1260b336c4p-16, -0x1.3c9e4cc7e31e3p-16, -0x1.3f2b138a3ea69p-16, -0x1.4197bac32cfa1p-16, -0x1.43e48475f86d3p-16, -0x1.4611b432e2e04p-16, -0x1.481f8f0afab25p-16, -0x1.4a0e5b8bef952p-16, -0x1.4bde61b37ab1bp-16, -0x1.4d8feae929c99p-16, -0x1.4f2341f2e4b4bp-16, -0x1.5098b2ed484bbp-16, -0x1.51f08b3fd3447p-16, -0x1.532b1994d5be7p-16, -0x1.5448adcbc9bfbp-16, -0x1.554998f3be4d5p-16, -0x1.562e2d3d7fa12p-16, -0x1.56f6bdf1cc471p-16, -0x1.57a39f61d4e74p-16, -0x1.583526ef6e96dp-16, -0x1.58abaae3d3869p-16, -0x1.5907827ea7483p-16, }}, 
      {{-0x1.c32163edd5925p+0, -0x1.c27ee9de98455p+0, -0x1.c17385f809f58p+0, -0x1.c000adca57976p+0, -0x1.be2a782f81b34p+0, -0x1.bbf4ff5eace67p+0, -0x1.b964cd996b2eep+0, -0x1.b67ea9524e1d7p+0, -0x1.b3479480afb77p+0, -0x1.afc493e989e8ep+0, -0x1.abfa65dbe2e01p+0, -0x1.a7ef3b8c37c76p+0, -0x1.a3a67d94898a8p+0, -0x1.9f263c7ec7511p+0, -0x1.9a72e05e45abap+0, -0x1.9591390d98287p+0, -0x1.9085a4c4acc67p+0, -0x1.8b54a39fb95aep+0, -0x1.860246d8abe0ap+0, -0x1.80929abd54359p+0, -0x1.7b098ddfb1574p+0, -0x1.756a89dc2f9bap+0, -0x1.6fb91e5de36d8p+0, -0x1.69f8b453156ffp+0, -0x1.642c3937c0355p+0, -0x1.5e5681cd002fp+0, -0x1.587a654e427abp+0, -0x1.529a6c0bb9615p+0, -0x1.4cb8f5585f08dp+0, -0x1.46d833117a973p+0, -0x1.40fa3299256f9p+0, -0x1.3b20deee72885p+0, -0x1.354dfbeaed788p+0, -0x1.2f8326d256b99p+0, -0x1.29c1da4d41546p+0, -0x1.240b70af4a79bp+0, -0x1.1e6125af36aa7p+0, -0x1.18c4193b9bb74p+0, -0x1.133551f8019b4p+0, -0x1.0db5bdea5aa8dp+0, -0x1.0846323028262p+0, -0x1.02e76b771496ap+0, -0x1.fb341f824d297p-1, -0x1.f0bd617a4ae21p-1, -0x1.e66b9bdef0c27p-1, -0x1.dc3face7a4234p-1, -0x1.d23a54e305c7fp-1, -0x1.c85c38afaeccep-1, -0x1.bea5e3a892a5dp-1, -0x1.b517c8b83e6b1p-1, -0x1.abb2426edd9bp-1, -0x1.a27592891ac68p-1, -0x1.9961e1ef6863p-1, -0x1.9077423a39dep-1, -0x1.87b59785c31bfp-1, -0x1.7f1cf5b148309p-1, -0x1.76ad3bd01fa29p-1, -0x1.6e66412c21636p-1, -0x1.6647cfdf451dap-1, -0x1.5e51a592f0a8p-1, -0x1.568374be640d3p-1, -0x1.4edce636fec0ep-1, -0x1.475d9aa96314ap-1, -0x1.40052ba16253ep-1, -0x1.38d32c086b4f3p-1, -0x1.31c7284855106p-1, -0x1.2ae0a664ea877p-1, -0x1.241f265587a1bp-1, -0x1.1d8222bea5828p-1, -0x1.170911fa60c62p-1, -0x1.10b3673d31d7ap-1, -0x1.0a80939bb151p-1, -0x1.047006c54364ep-1, -0x1.fd025ec75cc38p-2, -0x1.f166f659b7b5bp-2, -0x1.e60cad9158071p-2, -0x1.daf25b683dcebp-2, -0x1.d016d48a44b94p-2, -0x1.c578ebc59c492p-2, -0x1.bb1772e51fee4p-2, -0x1.b0f13bd394e82p-2, -0x1.a70519d27dee3p-2, -0x1.9d51e28cd307p-2, -0x1.93d66edb92a9ap-2, -0x1.8a919b29b5227p-2, -0x1.8182477e9478fp-2, -0x1.78a75749d27acp-2, -0x1.6fffb1160c2ap-2, -0x1.678a3e473229dp-2, -0x1.5f45eb0069134p-2, -0x1.5731a63f6e952p-2, -0x1.4f4c622cf5c18p-2, -0x1.479514950b3e6p-2, -0x1.400ab772cd43fp-2, -0x1.38ac4977e5495p-2, -0x1.3178ce7a49d1ap-2, -0x1.2a6f4fb889f96p-2, -0x1.238edbed01297p-2, -0x1.1cd68730eb6a7p-2, -0x1.16456ab825b76p-2, -0x1.0fdaa473d6156p-2, -0x1.099556acf7cafp-2, -0x1.0374a7a74732fp-2, -0x1.faef82b4472abp-3, -0x1.ef3ba29038c92p-3, -0x1.e3cc10f0a395ap-3, -0x1.d89f371ec2b3cp-3, -0x1.cdb38602573f7p-3, -0x1.c30776a39c00dp-3, -0x1.b8998ab5d73p-3, -0x1.ae67967e780cep-3, -0x1.a471857fe5753p-3, -0x1.9ab566cc13dep-3, -0x1.9131e28ea92dbp-3, -0x1.87e5a8e4b2513p-3, -0x1.7ecf71c440a5dp-3, -0x1.75edfce104d92p-3, -0x1.6d40118cdd9afp-3, -0x1.64c47e94263bcp-3, -0x1.5c7a1a163790dp-3, -0x1.545fc15b438bap-3, -0x1.4c7458a8f88ebp-3, -0x1.44b6cb1757c66p-3, -0x1.3d260a66e531fp-3, -0x1.35c10ed907fbdp-3, -0x1.2e86d70abf323p-3, -0x1.277667d18891ap-3, -0x1.208ecc19c50f4p-3, -0x1.19cf14c5ec193p-3, -0x1.1336588da7161p-3, -0x1.0cc3b3dc3893ap-3, -0x1.067648adc8389p-3, -0x1.004d3e6b73d08p-3, -0x1.f48f838cad668p-4, -0x1.e8ca0923fe51p-4, -0x1.dd487b3db43c5p-4, -0x1.d209512a719bp-4, -0x1.c70b0ba30baebp-4, -0x1.bc4c3484369ecp-4, -0x1.b1cb5e8e10001p-4, -0x1.a7872527c7222p-4, -0x1.9d7e2c273e303p-4, -0x1.93af1f9c63965p-4, -0x1.8a18b39f900cdp-4, -0x1.80b9a42258adap-4, -0x1.7790b4c211a1ap-4, -0x1.6e9cb09b633dep-4, -0x1.65dc6a1e5201bp-4, -0x1.5d4ebae25f355p-4, -0x1.54f2837a60b4p-4, -0x1.4cc6ab4803eaap-4, -0x1.44ca204ee8b12p-4, -0x1.3cfbd70781e8ap-4, -0x1.355aca31e7ad4p-4, -0x1.2de5faa8e9637p-4, -0x1.269c6f35a9debp-4, -0x1.1f7d34641c028p-4, -0x1.18875c58a71c6p-4, -0x1.11b9fea736858p-4, -0x1.0b14382be8442p-4, -0x1.04952ae582c95p-4, -0x1.fc77fba3660b6p-5, -0x1.f00fb9965a72dp-5, -0x1.e3eff0d303cp-5, -0x1.d8170bc5509bdp-5, -0x1.cc837ddbfc2acp-5, -0x1.c133c3513114dp-5, -0x1.b62660f57ba66p-5, -0x1.ab59e3fc86651p-5, -0x1.a0cce1cb5fa6ep-5, -0x1.967df7c7f7995p-5, -0x1.8c6bcb298517ap-5, -0x1.829508c9b638dp-5, -0x1.78f864f67fe65p-5, -0x1.6f949b44867fcp-5, -0x1.66686e622310bp-5, -0x1.5d72a7eb0a06p-5, -0x1.54b2183cb1fdbp-5, -0x1.4c25964b8db28p-5, -0x1.43cbff793bd7dp-5, -0x1.3ba4376bc8b13p-5, -0x1.33ad27e61249dp-5, -0x1.2be5c0a1624bp-5, -0x1.244cf7285c688p-5, -0x1.1ce1c6b32b37ep-5, -0x1.15a33004f8d2p-5, -0x1.0e90394ab8853p-5, -0x1.07a7edfb1ec37p-5, -0x1.00e95eb7bedabp-5, -0x1.f4a7425e9f0a7p-6, -0x1.e7cba001c8055p-6, -0x1.db3e15402bb2dp-6, -0x1.cefcea741e257p-6, -0x1.c3067136aa8bcp-6, -0x1.b759042c95c96p-6, -0x1.abf306d4a847p-6, -0x1.a0d2e5572f7e7p-6, -0x1.95f714569ea0ep-6, -0x1.8b5e10c1209afp-6, -0x1.81065fa34176p-6, -0x1.76ee8dfb777ecp-6, -0x1.6d15308ea36acp-6, -0x1.6378e3bd6d734p-6, -0x1.5a184b5a839dbp-6, -0x1.50f21281d287bp-6, -0x1.4804eb708e7dfp-6, -0x1.3f4f8f5e176b3p-6, -0x1.36d0be55e8e2ap-6, -0x1.2e873f1248294p-6, -0x1.2671ded7e0cb4p-6, -0x1.1e8f71525f3a9p-6, -0x1.16ded071cb879p-6, -0x1.0f5edc48d8486p-6, -0x1.080e7aec0f29bp-6, -0x1.00ec9851c8dc7p-6, -0x1.f3f04c6627221p-7, -0x1.e66037daa238p-7, -0x1.d926ecc95d155p-7, -0x1.cc426fcea122dp-7, -0x1.bfb0d022a8fa7p-7, -0x1.b3702762e1c37p-7, -0x1.a77e995c99119p-7, -0x1.9bdab0634a16p-7, -0x1.9081ed01e0512p-7, -0x1.8572e9f4509f4p-7, -0x1.7aabf1dd02cd9p-7, -0x1.702b5898fd47p-7, -0x1.65ef7b10c7dfep-7, -0x1.5bf6bf0a89e2dp-7, -0x1.523f92fcdc41fp-7, -0x1.48c86de2d8718p-7, -0x1.3f8fcf10e3002p-7, -0x1.36943e0a6648fp-7, -0x1.2dd44a5893c2ep-7, -0x1.254e8b61d343fp-7, -0x1.1d01a04227929p-7, -0x1.14ec2fa440ea5p-7, -0x1.0d0ce79b9275fp-7, -0x1.05627d7ef31dcp-7, -0x1.fbd75b8838472p-8, -0x1.ed4e77b7b2fdp-8, -0x1.df27e41decc4p-8, -0x1.d16142b77f95fp-8, -0x1.c3f842a8c57c8p-8, -0x1.b6ea9ffb8ac7dp-8, -0x1.aa36235e225e3p-8, -0x1.9dd8a1e3cf30ep-8, -0x1.91cffcc627a4cp-8, -0x1.861a21280112ap-8, -0x1.7ab507d927e9ap-8, -0x1.6f9eb51b70105p-8, -0x1.64d53868c719dp-8, -0x1.5a56ac3a6b37dp-8, -0x1.502135d10af37p-8, -0x1.463304fe2f5ap-8, -0x1.3c8a53ee60c7dp-8, -0x1.332566f47d622p-8, -0x1.2a028c55c63d5p-8, -0x1.21201c17498bbp-8, -0x1.187c77cbd1a6dp-8, -0x1.10160a62f2a36p-8, -0x1.07eb47f8f132p-8, -0x1.fff55b4f236e4p-9, -0x1.f08582af21abfp-9, -0x1.e1842326bf5a5p-9, -0x1.d2ee6ab485c09p-9, -0x1.c4c197e8f58e2p-9, -0x1.b6faf99059f8ep-9, -0x1.a997ee5e31be5p-9, -0x1.9c95e499d0947p-9, -0x1.8ff259cd3a4f3p-9, -0x1.83aada74a5388p-9, -0x1.77bd01affd40bp-9, -0x1.6c2678f57b982p-9, -0x1.60e4f7c5ee105p-9, -0x1.55f643623d1f3p-9, -0x1.4b582e81ff88dp-9, -0x1.4108990c13f39p-9, -0x1.37056fcfcc499p-9, -0x1.2d4cac3fdf67dp-9, -0x1.23dc542e62d2cp-9, -0x1.1ab27989de74ep-9, -0x1.11cd3a1c11459p-9, -0x1.092abf497677cp-9, -0x1.00c93dd217ecap-9, -0x1.f14deb276cb7cp-10, -0x1.e18462991d196p-10, -0x1.d2328cc03c8e3p-10, -0x1.c35529385e273p-10, -0x1.b4e90bfec1d2dp-10, -0x1.a6eb1d01537dfp-10, -0x1.995857afd8a66p-10, -0x1.8c2dca8f5322p-10, -0x1.7f6896ce8780cp-10, -0x1.7305efde4df58p-10, -0x1.67031b0a182ap-10, -0x1.5b5d6f134b068p-10, -0x1.501253ce48d22p-10, -0x1.451f41c1783b4p-10, -0x1.3a81c1c605dabp-10, -0x1.30376caaa29e8p-10, -0x1.263dead78e596p-10, -0x1.1c92f3f571c47p-10, -0x1.13344e94c41ecp-10, -0x1.0a1fcfd7ae0dfp-10, -0x1.01535b1d75535p-10, -0x1.f199c35e2b22ep-11, -0x1.e114c4dcca618p-11, -0x1.d113d30c026d2p-11, -0x1.c19320367015dp-11, -0x1.b28ef8029c3dap-11, -0x1.a403bedd46e3cp-11, -0x1.95edf165f14b2p-11, -0x1.884a23de48055p-11, -0x1.7b15019db2b5cp-11, -0x1.6e4b4c8651135p-11, -0x1.61e9dc7d8d86p-11, -0x1.55ed9ee75f03bp-11, -0x1.4a53962459ed5p-11, -0x1.3f18d9112a56p-11, -0x1.343a928ba7c8dp-11, -0x1.29b600f780ccbp-11, -0x1.1f8875c6bd512p-11, -0x1.15af5504c605cp-11, -0x1.0c2814e392088p-11, -0x1.02f03d4bbbe56p-11, -0x1.f40acedd2771p-12, -0x1.e2ca7ab2f0185p-12, -0x1.d21af31d10117p-12, -0x1.c1f7cd387d4acp-12, -0x1.b25cbd7244026p-12, -0x1.a34596c1d679fp-12, -0x1.94ae49e831cccp-12, -0x1.8692e4b32c544p-12, -0x1.78ef91445d7b3p-12, -0x1.6bc0955ccfe65p-12, -0x1.5f0251ab3d078p-12, -0x1.52b14120dc236p-12, -0x1.46c9f845b1701p-12, -0x1.3b4924956e012p-12, -0x1.302b8bdc71072p-12, -0x1.256e0b9a4dd7p-12, -0x1.1b0d9865d69a2p-12, -0x1.11073d57438bbp-12, -0x1.07581b72f3c87p-12, -0x1.fbfad233a3f25p-13, -0x1.e9e8e2f805d09p-13, -0x1.d875281c7f799p-13, -0x1.c79a880343846p-13, -0x1.b7540f841f30dp-13, -0x1.a79cf0e78402p-13, -0x1.987082ea5e0bfp-13, -0x1.89ca3fc8f2cb8p-13, -0x1.7ba5c44c70244p-13, -0x1.6dfecee0ce798p-13, -0x1.60d13eb014e07p-13, -0x1.541912bc4372dp-13, -0x1.47d2690cc1ebfp-13, -0x1.3bf97dd1bc69dp-13, -0x1.308aaa95995dap-13, -0x1.2582656f70309p-13, -0x1.1add403c5434fp-13, -0x1.1097e7dc5df4ap-13, -0x1.06af2374cf71fp-13, -0x1.fa3fa76c1e2efp-14, -0x1.e7cde44f54fafp-14, -0x1.d60320e6b9f82p-14, -0x1.c4d9af7d88153p-14, -0x1.b44c0fffa77f1p-14, -0x1.a454eeaf5a707p-14, -0x1.94ef22e78266fp-14, -0x1.8615ade29ade4p-14, -0x1.77c3b988c2b56p-14, -0x1.69f49747a1ef6p-14, -0x1.5ca3beef83cc8p-14, -0x1.4fcccd9b31aacp-14, -0x1.436b8496a4aa2p-14, -0x1.377bc858625a9p-14, -0x1.2bf99f7860076p-14, -0x1.20e131b50d6cfp-14, -0x1.162ec6f07f70dp-14, -0x1.0bdec64c08ff2p-14, -0x1.01edb53143e3ap-14, -0x1.f0b06ce494eb2p-15, -0x1.de3612d0e714cp-15, -0x1.cc661231f952p-15, -0x1.bb3a56c8696a8p-15, -0x1.aaad005d43ab6p-15, -0x1.9ab861465ae6ap-15, -0x1.8b56fcd445fdcp-15, -0x1.7c8385d153fa1p-15, -0x1.6e38dd14571fp-15, -0x1.60721016a348ep-15, -0x1.532a5794b96f9p-15, -0x1.465d163a66d3cp-15, -0x1.3a05d758d9ee2p-15, -0x1.2e204d9538d59p-15, -0x1.22a851c6e7a51p-15, -0x1.1799e1b36800bp-15, -0x1.0cf11eedc0127p-15, -0x1.02aa4db34af5bp-15, -0x1.f183a7a81fc9p-16, -0x1.de686f42742d5p-16, -0x1.cbfc3dce26203p-16, -0x1.ba389bcf10bbbp-16, -0x1.a9174cc53e2fdp-16, -0x1.98924d42b0412p-16, -0x1.88a3d11f06cf3p-16, -0x1.7946419c2891dp-16, -0x1.6a743bb7e75bap-16, -0x1.5c288e5eac971p-16, -0x1.4e5e38f74a661p-16, -0x1.411069a028969p-16, -0x1.343a7bbb34becp-16, -0x1.27d7f6604fc53p-16, -0x1.1be48af0c9d9dp-16, -0x1.105c13a0e1d57p-16, -0x1.053a92232e182p-16, -0x1.f4f85cb31378ap-17, -0x1.e03a69ef66336p-17, -0x1.cc342c8d500acp-17, -0x1.b8dec9f5443e2p-17, -0x1.a633a9df186e9p-17, -0x1.942c743512e48p-17, -0x1.82c30eb521203p-17, -0x1.71f19adc468efp-17, -0x1.61b273ca2c856p-17, -0x1.52002c3b453fp-17, -0x1.42d58c9b04fa4p-17, -0x1.342d90f40d8d5p-17, -0x1.2603675b41c94p-17, -0x1.18526df304b0bp-17, -0x1.0b1631469ef5p-17, -0x1.fc94d520f7c4bp-18, -0x1.e3d5fc40c790dp-18, -0x1.cbe7f39678c62p-18, -0x1.b4c326c4d984p-18, -0x1.9e604e6fc8938p-18, -0x1.88b86d645cdc6p-18, -0x1.73c4cde894545p-18, -0x1.5f7eff17e809p-18, -0x1.4be0d1c097b86p-18, -0x1.38e456d249201p-18, -0x1.2683dc46e1b2p-18, -0x1.14b9eb1829849p-18, -0x1.038144c2677f2p-18, -0x1.e594639a53f9bp-19, -0x1.c54b82ee335f1p-19, -0x1.a608379135e35p-19, -0x1.87c19f877384bp-19, -0x1.6a6f35629a56bp-19, -0x1.4e08ccf702394p-19, -0x1.32868ffbea92ep-19, -0x1.17e0f9956986bp-19, -0x1.fc21a92cea1d3p-20, -0x1.ca1e6e72863cep-20, -0x1.99ab00a960416p-20, -0x1.6abaa8e4a6e94p-20, -0x1.3d4135b464e1bp-20, -0x1.1132f59592aa6p-20, -0x1.cd0963b3c28e7p-21, -0x1.7a57523129f65p-21, -0x1.2a3b16679fa43p-21, -0x1.b941ccec46a6p-22, -0x1.22eb8e849a0b8p-22, -0x1.229e0ee7f7df6p-23, -0x1.12516ad991d8p-28, 0x1.088e7a4e594a2p-23, 0x1.0882ae31e88b3p-22, 0x1.8887ef8e4bb3p-22, 0x1.023a531e2571ap-21, 0x1.3e32a663805fap-21, 0x1.783a9d338c3d8p-21, 0x1.b05f596cb600cp-21, 0x1.e6ad795556631p-21, 0x1.0d988f6988911p-20, 0x1.26faf93bedb4ep-20, 0x1.3f8395c4bc987p-20, 0x1.5737ca221938ep-20, 0x1.6e1cc7913df09p-20, 0x1.84378d4c677edp-20, 0x1.998cec09418c2p-20, 0x1.ae2187015a375p-20, 0x1.c1f9d79d26d45p-20, 0x1.d51a2da90380ap-20, 0x1.e786b26713f0ap-20, 0x1.f9436a419cf3cp-20, 0x1.052a1b3c7570dp-19, 0x1.0d5e6b9c4499fp-19, 0x1.1540764af5cfep-19, 0x1.1cd1fc5935af9p-19, 0x1.2414b07f05623p-19, 0x1.2b0a37d72a0ep-19, 0x1.31b42a91851afp-19, 0x1.38141493050d2p-19, 0x1.3e2b76312addbp-19, 0x1.43fbc4683c3c5p-19, 0x1.49866a03b60abp-19, 0x1.4eccc782b3423p-19, 0x1.53d03492e74bfp-19, 0x1.5891ff482977bp-19, 0x1.5d136d6f6fa7fp-19, 0x1.6155bcc35fcbap-19, 0x1.655a23592f2b9p-19, 0x1.6921d00b04b9ep-19, 0x1.6cadeaba5a8eap-19, 0x1.6fff94f24b77ep-19, 0x1.7317e9dcf33b5p-19, 0x1.75f7ff0eb56e1p-19, 0x1.78a0e437266cbp-19, 0x1.7b13a3fcad9bap-19, 0x1.7d5143f444192p-19, 0x1.7f5ac4f716f74p-19, 0x1.8131235e9a0dbp-19, 0x1.82d55731f29cbp-19, 0x1.8448549536314p-19, 0x1.858b0bb992aabp-19, 0x1.869e68ebd7485p-19, 0x1.878355414d36fp-19, 0x1.883ab682932c9p-19, 0x1.88c56f2a5a971p-19, 0x1.89245ea9833e5p-19, 0x1.895861d7a06e6p-19, 0x1.89625293c4c92p-19, 0x1.8943080cd9a65p-19, 0x1.88fb5700cdfdbp-19, 0x1.888c11cc67761p-19, 0x1.87f608748b24ep-19, 0x1.873a089caa71dp-19, 0x1.8658de3514116p-19, 0x1.855352adf274fp-19, 0x1.842a2d978fa8p-19, 0x1.82de34948c385p-19, 0x1.81702b652183fp-19, 0x1.7fe0d40157b9bp-19, 0x1.7e30ee83a582p-19, 0x1.7c61395e5192ap-19, 0x1.7a72714e4f091p-19, 0x1.78655166c733p-19, 0x1.763a933a4ac13p-19, 0x1.73f2ee673117fp-19, 0x1.718f1952832a7p-19, 0x1.6f0fc8beb30dfp-19, 0x1.6c75afdd2cf2ap-19, 0x1.69c180604f4bbp-19, 0x1.66f3ea788bd24p-19, 0x1.640d9caa3cb7ep-19, 0x1.610f448f77826p-19, 0x1.5df98db6816abp-19, 0x1.5acd22524b797p-19, 0x1.578aab4e0ae38p-19, 0x1.5432cff55effcp-19, 0x1.50c6362818fe1p-19, 0x1.4d45824e049aep-19, 0x1.49b15754374p-19, 0x1.460a56b4eebfap-19, 0x1.4251206817e48p-19, 0x1.3e8652e0f1bc4p-19, 0x1.3aaa8b34ac78dp-19, 0x1.36be64d849174p-19, 0x1.32c279dd2fa0fp-19, 0x1.2eb7629462a52p-19, 0x1.2a9db5f7173fap-19, 0x1.2676098807f8ap-19, 0x1.2240f117fab65p-19, 0x1.1dfefef613955p-19, 0x1.19b0c3e0923cap-19, 0x1.1556cf022c85bp-19, 0x1.10f1adef5f589p-19, 0x1.0c81eca4128a6p-19, 0x1.0808157e94827p-19, 0x1.0384b1433dc9ep-19, 0x1.fdf08e140b312p-20, 0x1.f4c6b88e82c44p-20, 0x1.eb8ce9cf8881dp-20, 0x1.e24426531e37bp-20, 0x1.d8ed6eff4b681p-20, 0x1.cf89c1919c444p-20, 0x1.c61a1875b3f35p-20, 0x1.bc9f6a2a074b7p-20, 0x1.b31aaa75056c9p-20, 0x1.a98cc97202cffp-20, 0x1.9ff6b3ba16e42p-20, 0x1.965952b124c63p-20, 0x1.8cb58c08e3fd9p-20, 0x1.830c420fa19f5p-20, 0x1.795e539f9c42bp-20, 0x1.6fac9c04d6126p-20, 0x1.65f7f31d4a7e8p-20, 0x1.5c412d2ae075cp-20, 0x1.52891b2f21a4cp-20, 0x1.48d08a6eb9f23p-20, 0x1.3f1844a747c12p-20, 0x1.3561102a527b7p-20, 0x1.2babafbb1abep-20, 0x1.21f8e29736bbdp-20, 0x1.1849642b468bep-20, 0x1.0e9ded41c44bfp-20, 0x1.04f73231e0521p-20, 0x1.f6abc87a6498fp-21, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.0b5c03bc305f6p-4, -0x1.07b1ee3af0e83p-3, -0x1.834a3cc83d4fp-3, -0x1.f67bad6334434p-3, -0x1.2ff79701f75bap-2, -0x1.5f6546535de8cp-2, -0x1.894b3c2a35263p-2, -0x1.ad937876be761p-2, -0x1.cc4567f64ea7fp-2, -0x1.e57dd681c1926p-2, -0x1.f96be3f3bf6d6p-2, -0x1.0424f099059fep-1, -0x1.092d4217f0eefp-1, -0x1.0bf3c01bf4142p-1, -0x1.0c9f38d2fd3d5p-1, -0x1.0b56ec68bp-1, -0x1.084313405e56bp-1, -0x1.038b8dea9b1p-1, -0x1.faadc1050cbf1p-2, -0x1.eb96be19bcd7cp-2, -0x1.da1cac0874e1cp-2, -0x1.c6854ac44ee8ep-2, -0x1.b1129b335f2fep-2, -0x1.9a054008b75f8p-2, -0x1.819b338b3aae3p-2, -0x1.680d0b9ba23a5p-2, -0x1.4d8c7d5eac274p-2, -0x1.324d49233bdd5p-2, -0x1.167cc982f06d2p-2, -0x1.f48a14415f182p-3, -0x1.bb98ce785a28bp-3, -0x1.826c041f145d3p-3, -0x1.4944479613fbap-3, -0x1.105c8ce79220dp-3, -0x1.afd3bd44195c9p-4, -0x1.40369b1708afap-4, -0x1.a469332813f9ep-5, -0x1.985a91e4e32d3p-6, 0x1.f17fb99502b69p-11, 0x1.adfe9aa14e9c5p-6, 0x1.a11b42ca4bd49p-5, 0x1.32e2017018ef5p-4, 0x1.92588c2ad7392p-4, 0x1.eed39c53ce94bp-4, 0x1.241de7f3216c4p-3, 0x1.4f3fbff0af36bp-3, 0x1.78c90b7387435p-3, 0x1.a0b5b0a7083c2p-3, 0x1.c703743bc4627p-3, 0x1.ebb1af62556e4p-3, 0x1.0760871e4a5dep-2, 0x1.1819ac9a7377bp-2, 0x1.2805a76c56c08p-2, 0x1.37264978f660bp-2, 0x1.457a58c471f0ep-2, 0x1.530af35210087p-2, 0x1.5fd93321dfcc3p-2, 0x1.6be8db2781311p-2, 0x1.773df6451f4a5p-2, 0x1.81dcca3ada64dp-2, 0x1.8bc9cd6b60133p-2, 0x1.95099f2686f82p-2, 0x1.9da10166425fdp-2, 0x1.a594d2e061ba5p-2, 0x1.acea08c71b66p-2, 0x1.b3a5a829e4992p-2, 0x1.b9ccbf530144fp-2, 0x1.bf645f9f33ec6p-2, 0x1.c471982f44b5cp-2, 0x1.c8f97196fc6d6p-2, 0x1.cd00ea72aaad2p-2, 0x1.d08cf4a6b61efp-2, 0x1.d3a273010cdbep-2, 0x1.d64636fe13285p-2, 0x1.d87cfe8a24c6dp-2, 0x1.da4b71b5ed644p-2, 0x1.dbb6206f78b76p-2, 0x1.dcc180647df0bp-2, 0x1.dd71eb3699023p-2, 0x1.ddcb9d1e5f9e1p-2, 0x1.ddd2b4037e23dp-2, 0x1.dd8b2ef7c5583p-2, 0x1.dcf8edf3955c1p-2, 0x1.dc1fb1b12002bp-2, 0x1.db031b908cf28p-2, 0x1.d9a6ad82a659dp-2, 0x1.d80dca097e4c3p-2, 0x1.d63bb467d4f8cp-2, 0x1.d43391166caeap-2, 0x1.d1f8668b90c6cp-2, 0x1.cf8d1e51666edp-2, 0x1.ccf48657f9e6dp-2, 0x1.ca31526405b82p-2, 0x1.c7461d754e003p-2, 0x1.c4356aff96554p-2, 0x1.c101a7d71aafep-2, 0x1.bdad2abc6efdcp-2, 0x1.ba3a34820558dp-2, 0x1.b6aaefd564378p-2, 0x1.b30170c50fb52p-2, 0x1.af3fb42771422p-2, 0x1.ab679f0cc7c12p-2, 0x1.a77afe651653fp-2, 0x1.a37b86fb8e148p-2, 0x1.9f6ad5dc6c4c4p-2, 0x1.9b4a712b2e2d5p-2, 0x1.971bc95fe9192p-2, 0x1.92e03ad5f0a82p-2, 0x1.8e990f8d4551ap-2, 0x1.8a4780fc77165p-2, 0x1.85eb7d1bad615p-2, 0x1.8187f1743ee92p-2, 0x1.7d1d7f298e8bcp-2, 0x1.78ad33fd134c3p-2, 0x1.74380ff22289ep-2, 0x1.6fbf05c8facf4p-2, 0x1.6b42fb808e2eap-2, 0x1.66c4cadd0c3dbp-2, 0x1.624541f14fd0dp-2, 0x1.5dc523a99cb9ep-2, 0x1.5945285683c9fp-2, 0x1.54c5fe3716e6ep-2, 0x1.50484a01b6b0cp-2, 0x1.4bcca76aae84fp-2, 0x1.4753a9a79e07dp-2, 0x1.42dddbee513dcp-2, 0x1.3e6bc1ed73e5dp-2, 0x1.39fdd83d6767dp-2, 0x1.359494c7aa3b7p-2, 0x1.313067239b992p-2, 0x1.2cd1b8e7fa0d1p-2, 0x1.2878edf12cc0fp-2, 0x1.2426649d1dd64p-2, 0x1.1fda75fe0f576p-2, 0x1.1b95760640742p-2, 0x1.1757b3ae7eae5p-2, 0x1.13217919b5ceep-2, 0x1.0ef30bb767b28p-2, 0x1.0accac6696704p-2, 0x1.06ae979a39e23p-2, 0x1.0299057fe65f3p-2, 0x1.fd185451b2d7dp-3, 0x1.f5106b6a72befp-3, 0x1.ed1aa9024302fp-3, 0x1.e5375ea59c753p-3, 0x1.dd66d712757abp-3, 0x1.d5a95694e36f9p-3, 0x1.cdff1b61d0563p-3, 0x1.c6685dee98e11p-3, 0x1.bee55144b44b6p-3, 0x1.b7762350ab87ep-3, 0x1.b01afd2c0d152p-3, 0x1.a8d4036221a8bp-3, 0x1.a1a1562f76cc6p-3, 0x1.9a8311bc61bc6p-3, 0x1.93794e52dd099p-3, 0x1.8c8420901490ep-3, 0x1.85a399921bcdfp-3, 0x1.7ed7c7223d5d3p-3, 0x1.7820b3dc5607ap-3, 0x1.717e67539f9dap-3, 0x1.6af0e63540f4ep-3, 0x1.64783268f312ep-3, 0x1.5e144b2fee8a7p-3, 0x1.57c52d423ef28p-3, 0x1.518ad2eaa4edbp-3, 0x1.4b6534210ead2p-3, 0x1.455446a3a52b6p-3, 0x1.3f57fe0e841e3p-3, 0x1.39704bf214b31p-3, 0x1.339d1fe81d90ep-3, 0x1.2dde67a797117p-3, 0x1.28340f175fd93p-3, 0x1.229e005ff096ap-3, 0x1.1d1c23fc41ed7p-3, 0x1.17ae60c9fef0dp-3, 0x1.12549c1950b3fp-3, 0x1.0d0eb9bc5b916p-3, 0x1.07dc9c169f6b5p-3, 0x1.02be242c6b461p-3, 0x1.fb666364e8233p-4, 0x1.f177463b493ffp-4, 0x1.e7aeab666b782p-4, 0x1.de0c4b32009d8p-4, 0x1.d48fdbcc16a7ep-4, 0x1.cb39116664e18p-4, 0x1.c2079e57c189dp-4, 0x1.b8fb333d44c9p-4, 0x1.b0137f1b2708p-4, 0x1.a7502f7cc8a8p-4, 0x1.9eb0f093ebe64p-4, 0x1.96356d56b78b1p-4, 0x1.8ddd4f9c6e55fp-4, 0x1.85a84038b0c17p-4, 0x1.7d95e7152973ep-4, 0x1.75a5eb4997dfbp-4, 0x1.6dd7f3323c10fp-4, 0x1.662ba4849adc3p-4, 0x1.5ea0a462b25b2p-4, 0x1.5736976caee77p-4, 0x1.4fed21d139e8p-4, 0x1.48c3e75c7f4a6p-4, 0x1.41ba8b860f4f8p-4, 0x1.3ad0b17db469ap-4, 0x1.3405fc3765762p-4, 0x1.2d5a0e76712cdp-4, 0x1.26cc8ad801e78p-4, 0x1.205d13dd12909p-4, 0x1.1a0b4bf3f2467p-4, 0x1.13d6d581662edp-4, 0x1.0dbf52e982cf6p-4, 0x1.07c4669845e4p-4, 0x1.01e5b30a013dp-4, 0x1.f845b5a74048ap-5, 0x1.ecf701559813ap-5, 0x1.e1de8edbef5bfp-5, 0x1.d6fba458a5184p-5, 0x1.cc4d885b4c8efp-5, 0x1.c1d381f43b273p-5, 0x1.b78cd8c3e226ap-5, 0x1.ad78d509f7e1bp-5, 0x1.a396bfb45fd48p-5, 0x1.99e6205707bf5p-5, 0x1.9065f1dbb61b8p-5, 0x1.87158dc574643p-5, 0x1.7df440128892dp-5, 0x1.750155c83375dp-5, 0x1.6c3c1cfdfd33p-5, 0x1.63a3e4e86c9a8p-5, 0x1.5b37fde32b682p-5, 0x1.52f7b97aa3c31p-5, 0x1.4ae26a751dab3p-5, 0x1.42f764db64123p-5, 0x1.3b35fe00f6325p-5, 0x1.339d8c8bd174dp-5, 0x1.2c2d687bd16fdp-5, 0x1.24e4eb31b08b6p-5, 0x1.1dc36f75addfap-5, 0x1.16c8517dd8a6ap-5, 0x1.0ff2eef408feep-5, 0x1.0942a6fb8659ap-5, 0x1.02b6da365d563p-5, 0x1.f89dd594dc617p-6, 0x1.ec1478cc51b8dp-6, 0x1.dfd0688a10c02p-6, 0x1.d3d0726779d8ep-6, 0x1.c8136728387ccp-6, 0x1.bc981ac17c885p-6, 0x1.b15d6460c4568p-6, 0x1.a6621e720887dp-6, 0x1.9ba526a5767e8p-6, 0x1.91255df494f8p-6, 0x1.86e1a8a6f0519p-6, 0x1.7cd8ee563fb15p-6, 0x1.730a19f208b54p-6, 0x1.697419c2cce95p-6, 0x1.6015df6cabe98p-6, 0x1.56ee5ff197bd5p-6, 0x1.4dfc93b306507p-6, 0x1.453f767335251p-6, 0x1.3cb60755ee5c1p-6, 0x1.345f48e0e37bap-6, 0x1.2c3a40fb96368p-6, 0x1.2445f8eed421p-6, 0x1.1c817d63cc5cep-6, 0x1.14ebde62b99b9p-6, 0x1.0d842f512f3d2p-6, 0x1.064986f0011a6p-6, 0x1.fe75feb1a9833p-7, 0x1.f0af6bf6aa381p-7, 0x1.e33d973421db7p-7, 0x1.d61ec88e16735p-7, 0x1.c9514ebfee68dp-7, 0x1.bcd37f1458e08p-7, 0x1.b0a3b55ca7ed6p-7, 0x1.a4c053e79c9ebp-7, 0x1.9927c377ad5abp-7, 0x1.8dd87338d3304p-7, 0x1.82d0d8b5e691ep-7, 0x1.780f6fcd83078p-7, 0x1.6d92baa67bb1fp-7, 0x1.635941a3f723cp-7, 0x1.59619359247dbp-7, 0x1.4faa447c90d6dp-7, 0x1.4631efdb35b6fp-7, 0x1.3cf7364b23a3dp-7, 0x1.33f8be9dea895p-7, 0x1.2b353592bf23cp-7, 0x1.22ab4dc85175fp-7, 0x1.1a59bfae6a1bep-7, 0x1.123f49774bccbp-7, 0x1.0a5aaf08db295p-7, 0x1.02aab9ed94dcap-7, 0x1.f65c728aa0ba4p-8, 0x1.e7c8036bb0143p-8, 0x1.d995dab6b1c8ap-8, 0x1.cbc3b7714d93bp-8, 0x1.be4f634ecb59p-8, 0x1.b136b290159f9p-8, 0x1.a47783e38f958p-8, 0x1.980fc044bb38fp-8, 0x1.8bfd5adb93ca6p-8, 0x1.803e50dbfc827p-8, 0x1.74d0a964c211ap-8, 0x1.69b2755ed423cp-8, 0x1.5ee1cf5c21ffbp-8, 0x1.545cdb7692bdbp-8, 0x1.4a21c72ee8187p-8, 0x1.402ec94b90131p-8, 0x1.368221b78a0b1p-8, 0x1.2d1a19614e0aep-8, 0x1.23f50219b26b7p-8, 0x1.1b113672f7768p-8, 0x1.126d199fbe33cp-8, 0x1.0a07175255a02p-8, 0x1.01dda39bf0887p-8, 0x1.f3de75982abecp-9, 0x1.e474c2a05503dp-9, 0x1.d57b4726761d7p-9, 0x1.c6ef2bbba1b4cp-9, 0x1.b8cda86c34358p-9, 0x1.ab14048051efbp-9, 0x1.9dbf963d04699p-9, 0x1.90cdc2a5a681bp-9, 0x1.843bfd3dead0bp-9, 0x1.7807c7cc2fba8p-9, 0x1.6c2eb21c95b82p-9, 0x1.60ae59c46fb3p-9, 0x1.558469e64e306p-9, 0x1.4aae9af69c4aep-9, 0x1.402ab280cb189p-9, 0x1.35f682ed13601p-9, 0x1.2c0feb46d57e5p-9, 0x1.2274d70388493p-9, 0x1.19233dca5a66ap-9, 0x1.1019233c52de2p-9, 0x1.075496bd2d205p-9, 0x1.fda76679af7fcp-10, 0x1.ed293e031893fp-10, 0x1.dd2b16e4d131ap-10, 0x1.cda969c61516ep-10, 0x1.bea0c4bec2708p-10, 0x1.b00dcaf0e182ap-10, 0x1.a1ed34233847cp-10, 0x1.943bcc5d17106p-10, 0x1.86f67383b4d3dp-10, 0x1.7a1a1cf84f69bp-10, 0x1.6da3cf383c48bp-10, 0x1.6190a37da347fp-10, 0x1.55ddc561c5b1ep-10, 0x1.4a88728070d43p-10, 0x1.3f8dfa1cb4d22p-10, 0x1.34ebbcc6a2eccp-10, 0x1.2a9f2c02a23e3p-10, 0x1.20a5c9f1927f5p-10, 0x1.16fd28fa4cf4ep-10, 0x1.0da2eb74543abp-10, 0x1.0494c3538a0e1p-10, 0x1.f7a0e3aa760fp-11, 0x1.e6a78e5c36196p-11, 0x1.d63944731663bp-11, 0x1.c651e053ba193p-11, 0x1.b6ed587379cb5p-11, 0x1.a807bebd5b05fp-11, 0x1.999d3ff9444b8p-11, 0x1.8baa233578bc2p-11, 0x1.7e2ac931ad1ccp-11, 0x1.711babccf46d7p-11, 0x1.64795d753128p-11, 0x1.584088992588dp-11, 0x1.4c6def1c34dc4p-11, 0x1.40fe69cca7b03p-11, 0x1.35eee7daf3e0bp-11, 0x1.2b3c6e55560ddp-11, 0x1.20e417a319c66p-11, 0x1.16e31303625e3p-11, 0x1.0d36a40d7fa1bp-11, 0x1.03dc223407a12p-11, 0x1.f5a1f0928000dp-12, 0x1.e425480b9c891p-12, 0x1.d33d6b24b4841p-12, 0x1.c2e59e246532dp-12, 0x1.b31948614f50dp-12, 0x1.a3d3f3614c151p-12, 0x1.951149fc00a35p-12, 0x1.86cd17829d8ccp-12, 0x1.790346eb3ae7p-12, 0x1.6bafe200f1a86p-12, 0x1.5ecf1097e3924p-12, 0x1.525d17c522591p-12, 0x1.4656591c1f2e8p-12, 0x1.3ab751eecfd96p-12, 0x1.2f7c9a92b2664p-12, 0x1.24a2e5aa05a7bp-12, 0x1.1a26ff709ab2ap-12, 0x1.1005cd0d62b9bp-12, 0x1.063c4be6efb5cp-12, 0x1.f98f21fa95ffbp-13, 0x1.e749908de9872p-13, 0x1.d5a2682227e48p-13, 0x1.c49458c936a72p-13, 0x1.b41a3cdd073b4p-13, 0x1.a42f17d798f38p-13, 0x1.94ce1531cd909p-13, 0x1.85f2874a14975p-13, 0x1.7797e651157a5p-13, 0x1.69b9cf3d9f8d2p-13, 0x1.5c5402c6a7345p-13, 0x1.4f6264644e53fp-13, 0x1.42e0f957af05bp-13, 0x1.36cbe7b67cff1p-13, 0x1.2b1f757fac695p-13, 0x1.1fd807b3173cfp-13, 0x1.14f22170ee9bdp-13, 0x1.0a6a631ec369bp-13, 0x1.003d899058f84p-13, 0x1.ecd0da6b6b8bp-14, 0x1.d9d002a2ec6fap-14, 0x1.c772a65f869p-14, 0x1.b5b312caeeb01p-14, 0x1.a48bc6254cddp-14, 0x1.93f76e538f398p-14, 0x1.83f0e7771e787p-14, 0x1.74733a8db5583p-14, 0x1.65799c1cbbffp-14, 0x1.56ff6ae119a19p-14, 0x1.49002e890b0e4p-14, 0x1.3b77967599701p-14, 0x1.2e617886572c2p-14, 0x1.21b9cfe610d79p-14, 0x1.157cbbe7ad4ecp-14, 0x1.09a67ee579acfp-14, 0x1.fc66fa4c4c2dap-15, 0x1.e640779a2cf4cp-15, 0x1.d0d2bf9df9d95p-15, 0x1.bc1759dc10003p-15, 0x1.a8080977745dap-15, 0x1.949ecb48a72dp-15, 0x1.81d5d3f9d2aa1p-15, 0x1.6fa78e345e3a7p-15, 0x1.5e0e98da590dep-15, 0x1.4d05c54f1554ap-15, 0x1.3c8815c461ed7p-15, 0x1.2c90bb9c571fcp-15, 0x1.1d1b15d2d1118p-15, 0x1.0e22af74c03a7p-15, 0x1.fef725c979b2p-16, 0x1.e2e5348a8daa6p-16, 0x1.c7b4ed5b66331p-16, 0x1.ad5ea98ff969cp-16, 0x1.93db0c97be517p-16, 0x1.7b23016536105p-16, 0x1.632fb7f8cc021p-16, 0x1.4bfaa2f16bd68p-16, 0x1.357d7545be3f5p-16, 0x1.1fb21ff9c91dap-16, 0x1.0a92cff3eae74p-16, 0x1.ec33d7bba8d71p-17, 0x1.c484242cadd61p-17, 0x1.9e0c2d73d106p-17, 0x1.78c203540c68ep-17, 0x1.549c1967a44dp-17, 0x1.3191437e294bfp-17, 0x1.0f98b1f592787p-17, 0x1.dd53dcec6bd71p-18, 0x1.9d79b103b0c58p-18, 0x1.5f9344450371ep-18, 0x1.239199c436a38p-18, 0x1.d2cc9a80f3c83p-19, 0x1.62071a7d2311cp-19, 0x1.e97054b596369p-20, 0x1.158c9f199ae96p-20, 0x1.20c8980e68ebbp-22, -0x1.fb384a4276d84p-22, -0x1.3fa129490085bp-20, -0x1.fa7273821f70bp-20, -0x1.57b5c88c1592ep-19, -0x1.af5a3f03fe9c7p-19, -0x1.021ce9585bd82p-18, -0x1.2b337c96b9bfcp-18, -0x1.52f9b8547057fp-18, -0x1.797823f2269f7p-18, -0x1.9eb6f2ffcee91p-18, -0x1.c2be091ea4bep-18, -0x1.e594fd58c24c3p-18, -0x1.03a18ee83f009p-17, -0x1.13e7b97cbf0a3p-17, -0x1.23a06169489cdp-17, -0x1.32cec9ec39cf9p-17, -0x1.4176180c7ab7ap-17, -0x1.4f9953f44b22bp-17, -0x1.5d3b6a4b31159p-17, -0x1.6a5f2d80d4c0ep-17, -0x1.770757014bbebp-17, -0x1.8336886c51b6ap-17, -0x1.8eef4caf83132p-17, -0x1.9a34191fc26c8p-17, -0x1.a5074e767f663p-17, -0x1.af6b39d8b2178p-17, -0x1.b96215d18255bp-17, -0x1.c2ee0b20ed813p-17, -0x1.cc1131ae079c8p-17, -0x1.d4cd9153f5143p-17, -0x1.dd2522ae5b9dep-17, -0x1.e519cfd35206dp-17, -0x1.ecad752d0774bp-17, -0x1.f3e1e1f46402ap-17, -0x1.fab8d90390f39p-17, -0x1.009a08bdd5c7ep-16, -0x1.03aa9ba1e5a5ap-16, -0x1.068ef5d37e68ep-16, -0x1.0947e2f66a0fap-16, -0x1.0bd629ea7586bp-16, -0x1.0e3a8d0cbe05cp-16, -0x1.1075ca734b421p-16, -0x1.12889c2c34d48p-16, -0x1.1473b86d8b261p-16, -0x1.1637d1ccbc5f2p-16, -0x1.17d5977065e0cp-16, -0x1.194db5438b259p-16, -0x1.1aa0d418484cp-16, -0x1.1bcf99d8949fdp-16, -0x1.1cdaa9ae8b7c1p-16, -0x1.1dc2a42219536p-16, -0x1.1e88274c0ba7bp-16, -0x1.1f2bcee51bcc5p-16, -0x1.1fae346f138e9p-16, -0x1.200fef500d1bp-16, -0x1.205194ecbc72cp-16, -0x1.2073b8c77090bp-16, -0x1.2076ec8fb29b6p-16, -0x1.205bc04080e18p-16, -0x1.2022c2333a903p-16, -0x1.1fcc7f34f88bbp-16, -0x1.1f598298d7bd5p-16, -0x1.1eca564c69e58p-16, -0x1.1e1f82e9499b4p-16, -0x1.1d598fc32487bp-16, -0x1.1c7902fc7f166p-16, -0x1.1b7e6192ea511p-16, -0x1.1a6a2f6e84ce3p-16, -0x1.193cef6f98d6ap-16, -0x1.17f72378bfe95p-16, -0x1.16994c7e9c96cp-16, -0x1.1523ea8c35f49p-16, -0x1.13977cd0d5e4fp-16, -0x1.11f481a32c875p-16, -0x1.103b768ce1117p-16, -0x1.0e6cd8473f87cp-16, -0x1.0c8922c304bc1p-16, -0x1.0a90d1326728p-16, -0x1.08845dfc674a8p-16, -0x1.066442c80a081p-16, -0x1.0430f87b21611p-16, -0x1.01eaf7398c0cdp-16, -0x1.ff256ccbaf35dp-17, -0x1.fa5159471a51bp-17, -0x1.f55a9fa589471p-17, -0x1.f0422a2fe18bcp-17, -0x1.eb08e1a49bb7fp-17, -0x1.e5afad42ed546p-17, -0x1.e03772cc49a39p-17, -0x1.daa11675ce7d9p-17, -0x1.d4ed7afc6d13ep-17, -0x1.cf1d818e9d8a4p-17, -0x1.c93209d521656p-17, -0x1.c32bf1eddb728p-17, -0x1.bd0c166891ad2p-17, -0x1.b6d352433ebb5p-17, -0x1.b0827ee51ad56p-17, -0x1.aa1a741dcdb01p-17, -0x1.a39c08193e647p-17, -0x1.9d080f6439d46p-17, -0x1.965f5ccfbfac4p-17, -0x1.8fa2c19f0aaf9p-17, -0x1.88d30d40b380ep-17, -0x1.81f10d6f30667p-17, -0x1.7afd8e24d4c15p-17, -0x1.73f95994e2feap-17, -0x1.6ce5381d066b4p-17, -0x1.65c1f049a4912p-17, -0x1.5e9046c98edbap-17, -0x1.5750fe6c6abeap-17, -0x1.5004d80e1b6c2p-17, -0x1.48ac92a514432p-17, -0x1.4148eb304fa64p-17, -0x1.39da9cb16352ep-17, -0x1.326260287027ep-17, -0x1.2ae0ec8df3e8p-17, -0x1.2356f6ca5bf78p-17, -0x1.1bc531bc17c8fp-17, -0x1.142c4e1b2b312p-17, -0x1.0c8cfa91d7f2p-17, -0x1.04e7e39ad09ecp-17, -0x1.fa7b671a56e84p-18, -0x1.eb1e2526e2babp-18, -0x1.dbb94d4ad710ep-18, -0x1.cc4e2715186cap-18, -0x1.bcddf592b0c08p-18, -0x1.ad69f766ad0e5p-18, }}, 
      {{-0x1.653d945223e59p+1, -0x1.5f83d40634ed2p+1, -0x1.5725ca0ad2b4ep+1, -0x1.4ce37bc0c4496p+1, -0x1.4156ab85498cap+1, -0x1.34f9353716a08p+1, -0x1.282bc5c862093p+1, -0x1.1b39afac84321p+1, -0x1.0e5d6b62cbbb8p+1, -0x1.01c396ec58082p+1, -0x1.eb1baf71c349fp+0, -0x1.d3a9cc75ac503p+0, -0x1.bd53a5a6af69ep+0, -0x1.a830c97b2489bp+0, -0x1.944ee3e845537p+0, -0x1.81b44df84794cp+0, -0x1.7061778ef46p+0, -0x1.605267033a3e1p+0, -0x1.517f37d35854p+0, -0x1.43dd7fd3a3ddbp+0, -0x1.3761166d75e19p+0, -0x1.2bfbda5a78f07p+0, -0x1.219eb7edb9036p+0, -0x1.183a61c074ee6p+0, -0x1.0fbf33b46062fp+0, -0x1.081d495685caep+0, -0x1.0144979f7db14p+0, -0x1.f64bfc041ab9bp-1, -0x1.eb65091955e46p-1, -0x1.e1b771f83a9b9p-1, -0x1.d9276de31c493p-1, -0x1.d19a85bb2f60ap-1, -0x1.caf7b6345243fp-1, -0x1.c52777a3dd0b9p-1, -0x1.c013afb9e6938p-1, -0x1.bba79a8929a32p-1, -0x1.b7cfbe022c4dcp-1, -0x1.b479efb610e33p-1, -0x1.b19562a39616ap-1, -0x1.af12ac63da4cp-1, -0x1.ace3b8e506c4ep-1, -0x1.aafbaf7fdb723p-1, -0x1.a94ed25e59538p-1, -0x1.a7d260f91b357p-1, -0x1.a67c832669cb8p-1, -0x1.a5443e0a7fd66p-1, -0x1.a421706454112p-1, -0x1.a30cd16e1af61p-1, -0x1.a1ffed606f9c4p-1, -0x1.a0f51c23045bp-1, -0x1.9fe771135a833p-1, -0x1.9ed2a56868c8ap-1, -0x1.9db300d3740ccp-1, -0x1.9c8544a243606p-1, -0x1.9b4797af75787p-1, -0x1.99f54267096dfp-1, -0x1.988d583628e4cp-1, -0x1.970e2de3076d1p-1, -0x1.957668cd8ecfcp-1, -0x1.93c4f806bc4dfp-1, -0x1.91f90f3e73f6p-1, -0x1.901222b2f0ae5p-1, -0x1.8e0fe3099b7efp-1, -0x1.8bf2383b549e3p-1, -0x1.89b93b5895a48p-1, -0x1.87652f88d3c87p-1, -0x1.84f67b05f8abap-1, -0x1.826da0d6ba1c1p-1, -0x1.7fcb3bc50d739p-1, -0x1.7d0ffaacfa777p-1, -0x1.7a3c9ded2ecafp-1, -0x1.7751f59513222p-1, -0x1.7450dfe6002fp-1, -0x1.713a47d3e0718p-1, -0x1.6e0f2355d7625p-1, -0x1.6ad0717c7b851p-1, -0x1.677f385f96059p-1, -0x1.641c8304b3119p-1, -0x1.60a95f60eb8fcp-1, -0x1.5d26dc8e2a3f2p-1, -0x1.5996093c372d6p-1, -0x1.55f7f2570ad79p-1, -0x1.524da1d3c0195p-1, -0x1.4e981d965de76p-1, -0x1.4ad8666ad0573p-1, -0x1.470f771656449p-1, -0x1.433e438f65c09p-1, -0x1.3f65b86ce3f8dp-1, -0x1.3b86ba99c81edp-1, -0x1.37a227514e1dep-1, -0x1.33b8d45cc423ep-1, -0x1.2fcb9081f2acep-1, -0x1.2bdb240a5fdfp-1, -0x1.27e851495adcp-1, -0x1.23f3d508cfd74p-1, -0x1.1ffe66ca7d16dp-1, -0x1.1c08b8d314019p-1, -0x1.181377fdc4847p-1, -0x1.141f4b5f4380ap-1, -0x1.102cd3c68021bp-1, -0x1.0c3cab2de640fp-1, -0x1.084f6431ca9f3p-1, -0x1.0465899f6262ap-1, -0x1.007f9e2bc07dfp-1, -0x1.f93c38b95485fp-2, -0x1.f182ed4cfa9ddp-2, -0x1.e9d42f77e6044p-2, -0x1.e230c60e59d61p-2, -0x1.da996a7f24104p-2, -0x1.d30eca1c54779p-2, -0x1.cb91a066d86fcp-2, -0x1.c421cf9c9ff76p-2, -0x1.bcc095a578257p-2, -0x1.b56e818fbca3dp-2, -0x1.ae2c18acd3a94p-2, -0x1.a6f9d6d81e63p-2, -0x1.9fd82ec384e47p-2, -0x1.98c78a489b019p-2, -0x1.91c84abd87745p-2, -0x1.8adac94d046a5p-2, -0x1.83ff575109c4ep-2, -0x1.7d363eafc4bp-2, -0x1.767fc23a64ef1p-2, -0x1.6fdc1e0d13787p-2, -0x1.694b87ef0a0ddp-2, -0x1.62ce2fb16bf7ep-2, -0x1.5c643f8b3fd93p-2, -0x1.560ddc70d48a8p-2, -0x1.4fcb2664f71c9p-2, -0x1.499c38c2b1757p-2, -0x1.43812a7ecabedp-2, -0x1.3d7a0e60ca513p-2, -0x1.3786f333e9bc7p-2, -0x1.31a7e3f0d78d8p-2, -0x1.2bdce7e19bb44p-2, -0x1.262602c128ecdp-2, -0x1.208334d83582p-2, -0x1.1af47b18dcae1p-2, -0x1.1579cf3a4fd0cp-2, -0x1.101327d591ba7p-2, -0x1.0ac07883dec66p-2, -0x1.0581b1ff0dda1p-2, -0x1.0056c243e9d9ap-2, -0x1.f67f296c8cdddp-3, -0x1.ec78248cb72d3p-3, -0x1.e298432dd6192p-3, -0x1.d8df4e471fp-3, -0x1.cf4d0acd49bb1p-3, -0x1.c5e139fc8a9bap-3, -0x1.bc9b999fc1486p-3, -0x1.b37be4542d714p-3, -0x1.aa81d1c9280b5p-3, -0x1.a1ad16fb8ae16p-3, -0x1.98fd666cb5c2ep-3, -0x1.9072705534d66p-3, -0x1.880be2d34844ap-3, -0x1.7fc96a1591d91p-3, -0x1.77aab08244f39p-3, -0x1.6faf5edb506bdp-3, -0x1.67d71c5fd7b8cp-3, -0x1.60218eeb72fc2p-3, -0x1.588e5b13843c8p-3, -0x1.511d2442f8e0cp-3, -0x1.49cd8cd4adf7bp-3, -0x1.429f362cadd42p-3, -0x1.3b91c0d060802p-3, -0x1.34a4cc7dcb2c7p-3, -0x1.2dd7f841ddbc1p-3, -0x1.272ae28de1c4bp-3, -0x1.209d294bfcf25p-3, -0x1.1a2e69f2cc13fp-3, -0x1.13de41981cfacp-3, -0x1.0dac4d02c1026p-3, -0x1.079828bb88f9cp-3, -0x1.01a1711d73379p-3, -0x1.f78f84ca3ca6cp-4, -0x1.ec15717f1eefap-4, -0x1.e0d3e0b0d0e55p-4, -0x1.d5ca0acf291abp-4, -0x1.caf7287d23ffcp-4, -0x1.c05a72aab381fp-4, -0x1.b5f322adf219ap-4, -0x1.abc0725bcca08p-4, -0x1.a1c19c202bbadp-4, -0x1.97f5db15aa8dep-4, -0x1.8e5c6b1cb70c4p-4, -0x1.84f488f239ed7p-4, -0x1.7bbd7245964a7p-4, -0x1.72b665cdf899bp-4, -0x1.69dea35ee2386p-4, -0x1.61356bfbd2b74p-4, -0x1.58ba01eb04302p-4, -0x1.506ba8c71f321p-4, -0x1.4849a58fde5ap-4, -0x1.40533eb9902d1p-4, -0x1.3887bc3b74911p-4, -0x1.30e6679cf1231p-4, -0x1.296e8c019d207p-4, -0x1.221f76342bbeap-4, -0x1.1af874b03b472p-4, -0x1.13f8d7ab1763ep-4, -0x1.0d1ff11b7ba24p-4, -0x1.066d14c0646abp-4, -0x1.ffbf304e011a5p-5, -0x1.f2eda55fafee6p-5, -0x1.e6643b266820cp-5, -0x1.da21a7c9bf1e3p-5, -0x1.ce24a52e9da96p-5, -0x1.c26bf0fc7af96p-5, -0x1.b6f64ca1ac1adp-5, -0x1.abc27d56d81f8p-5, -0x1.a0cf4c21b449p-5, -0x1.961b85d71a7c7p-5, -0x1.8ba5fb1c8a874p-5, -0x1.816d806930f2ep-5, -0x1.7770ee0679bcdp-5, -0x1.6daf20103fd64p-5, -0x1.6426f6749eb2ep-5, -0x1.5ad754f376c92p-5, -0x1.51bf231d9ceep-5, -0x1.48dd4c53c5c81p-5, -0x1.4030bfc5275ffp-5, -0x1.37b89af460e5bp-5, -0x1.2f739781fcfefp-5, -0x1.2760c09aa3d4ep-5, -0x1.1f7f147323301p-5, -0x1.17cd950f9cfbfp-5, -0x1.104b483faa3f1p-5, -0x1.08f7379a09f66p-5, -0x1.01d07077ecb93p-5, -0x1.f5ac07dfc36e3p-6, -0x1.e80e0da0cda71p-6, -0x1.dac5233451c47p-6, -0x1.cdcf80f3f1e5ep-6, -0x1.c12b6684eb3aep-6, -0x1.b4d71acaed75bp-6, -0x1.a8d0ebda6df2dp-6, -0x1.9d172eea958c1p-6, -0x1.91a84046b99bap-6, -0x1.8682833f73e32p-6, -0x1.7ba4621b627dp-6, -0x1.710c4e078f234p-6, -0x1.66b8bf0786f26p-6, -0x1.5ca833e522a7dp-6, -0x1.52d932201695p-6, -0x1.494a45dd2a9c1p-6, -0x1.3ffa01d54b795p-6, -0x1.36e6ff4454454p-6, -0x1.2e0fddd7aa39ap-6, -0x1.2573439ca0df3p-6, -0x1.1d0fdceeb402cp-6, -0x1.14e45c6596bdp-6, -0x1.0cef7ac31a5fp-6, -0x1.052ff6e0edf5dp-6, -0x1.fb492b3c8d2b9p-7, -0x1.ec98439ab971dp-7, -0x1.de4ad841b5ac9p-7, -0x1.d05e9632589dep-7, -0x1.c2d135e37b279p-7, -0x1.b5a07b1c512e9p-7, -0x1.a8ca34ce9f501p-7, -0x1.9c4c3cf0edc4bp-7, -0x1.902478588e3bbp-7, -0x1.8450d693acf7dp-7, -0x1.78cf51c35541ap-7, -0x1.6d9dee7573098p-7, -0x1.62babb7ed8c24p-7, -0x1.5823d1d55a581p-7, -0x1.4dd75469e3eedp-7, -0x1.43d37002bc1d2p-7, -0x1.3a165b15cf951p-7, -0x1.309e55a31a5b9p-7, -0x1.2769a90f3e749p-7, -0x1.1e76a7fe366dp-7, -0x1.15c3ae2e36e6ap-7, -0x1.0d4f2052bf25p-7, -0x1.05176befd463ep-7, -0x1.fa360e6afdccep-8, -0x1.eab0e1b6e6ffcp-8, -0x1.db9c5ffa02741p-8, -0x1.ccf5a7ea7ee21p-8, -0x1.beb9e876dd328p-8, -0x1.b0e6607f6b891p-8, -0x1.a3785e90228a6p-8, -0x1.966d409b2f2d9p-8, -0x1.89c273b40a6abp-8, -0x1.7d7573cb265ffp-8, -0x1.7183cb6a4baadp-8, -0x1.65eb137191d8dp-8, -0x1.5aa8f2d4f0f8p-8, -0x1.4fbb1e5a8e0d4p-8, -0x1.451f5859ac7c6p-8, -0x1.3ad3707a573e4p-8, -0x1.30d54375a1cd6p-8, -0x1.2722bad6c5c02p-8, -0x1.1db9ccbcd2309p-8, -0x1.14987b9d24ad5p-8, -0x1.0bbcd60698d87p-8, -0x1.0324f66576949p-8, -0x1.f59e0590266e4p-9, -0x1.e572594888da8p-9, -0x1.d5c3613aee752p-9, -0x1.c68dac974fbb2p-9, -0x1.b7cde005ee19p-9, -0x1.a980b5385624ep-9, -0x1.9ba2fa7ba97bbp-9, -0x1.8e31924c7bb0ap-9, -0x1.812972ec5182ap-9, -0x1.7487a5f8885b2p-9, -0x1.68494802e3732p-9, -0x1.5c6b882b97c73p-9, -0x1.50eba7bcd0a78p-9, -0x1.45c6f9c7e260dp-9, -0x1.3afae2c3d95c5p-9, -0x1.3084d82dbc685p-9, -0x1.2662602a37db6p-9, -0x1.1c911128daa91p-9, -0x1.130e9188d5a64p-9, -0x1.09d8973f501fcp-9, -0x1.00ece77efcc32p-9, -0x1.f092acc317d16p-10, -0x1.dfd78d24b8fe3p-10, -0x1.cfa451f555495p-10, -0x1.bff4f8de9ac53p-10, -0x1.b0c59abfb3c2bp-10, -0x1.a2126b0e8ad62p-10, -0x1.93d7b73bca0cp-10, -0x1.8611e619b8334p-10, -0x1.78bd77462026fp-10, -0x1.6bd70296b43a6p-10, -0x1.5f5b37887f04ap-10, -0x1.5346dcb1b9ca1p-10, -0x1.4796cf36ba678p-10, -0x1.3c4802414019ap-10, -0x1.31577e7a8fb7bp-10, -0x1.26c261881ab37p-10, -0x1.1c85dd8aad7d3p-10, -0x1.129f38a072fcbp-10, -0x1.090bcc6916b8ap-10, -0x1.ff920b18f71e4p-11, -0x1.eda8c68875ccfp-11, -0x1.dc56edce2d475p-11, -0x1.cb97c6edea393p-11, -0x1.bb66ba62b3ebfp-11, -0x1.abbf5243d024dp-11, -0x1.9c9d396ec1fb1p-11, -0x1.8dfc3ab5884c6p-11, -0x1.7fd84011162fp-11, -0x1.722d51d83b32ep-11, -0x1.64f795fb1d37ep-11, -0x1.58334f4216c98p-11, -0x1.4bdcdc9148d6fp-11, -0x1.3ff0b83017253p-11, -0x1.346b771438c93p-11, -0x1.2949c8310b2e8p-11, -0x1.1e8873ca83811p-11, -0x1.14245acbb9fadp-11, -0x1.0a1a76217802cp-11, -0x1.0067d617dcae3p-11, -0x1.ee1343782dfcbp-12, -0x1.dbfa2c81c7b5fp-12, -0x1.ca7f0cce1123dp-12, -0x1.b99cb3d1d6bf1p-12, -0x1.a94e19d29f452p-12, -0x1.998e5ecac1065p-12, -0x1.8a58c9540c004p-12, -0x1.7ba8c597cd107p-12, -0x1.6d79e445c8204p-12, -0x1.5fc7d9914ad06p-12, -0x1.528e7c32866adp-12, -0x1.45c9c46f923f9p-12, -0x1.3975cb2a53ce7p-12, -0x1.2d8ec8f313193p-12, -0x1.22111522e0cf1p-12, -0x1.16f924f8d032ep-12, -0x1.0c438abe5e78cp-12, -0x1.01ecf4ef63d14p-12, -0x1.efe45ad2e3bd7p-13, -0x1.dca0313bc758p-13, -0x1.ca076994ef3fp-13, -0x1.b814326c968e5p-13, -0x1.a6c0eae789335p-13, -0x1.9608214dd272ep-13, -0x1.85e491a22a3b8p-13, -0x1.76512441a7289p-13, -0x1.6748ec8c3d395p-13, -0x1.58c727970908bp-13, -0x1.4ac73ae683d6ap-13, -0x1.3d44b3320c477p-13, -0x1.303b432fe2aa4p-13, -0x1.23a6c2683fcd2p-13, -0x1.17832c1218cc3p-13, -0x1.0bcc9df70bd7ep-13, -0x1.007f575f0b76fp-13, -0x1.eb2f700a11d9fp-14, -0x1.d6247e21397e8p-14, -0x1.c1d7143199fd1p-14, -0x1.ae40a85d27b29p-14, -0x1.9b5ae9d9f2ec2p-14, -0x1.891fbf206cde1p-14, -0x1.77894428b5337p-14, -0x1.6691c8b414495p-14, -0x1.5633cea2bac3bp-14, -0x1.466a08570b77ap-14, -0x1.372f5723f55fdp-14, -0x1.287ec9c77e61fp-14, -0x1.1a539af086a7cp-14, -0x1.0ca92fd219002p-14, -0x1.fef62d77b7ebep-15, -0x1.e58a0b895c13ap-15, -0x1.cd05b2f07895cp-15, -0x1.b5612729c0694p-15, -0x1.9e94b39b3da0fp-15, -0x1.8898e934aebadp-15, -0x1.73669c1da6d41p-15, -0x1.5ef6e1759f89ap-15, -0x1.4b430d2249adep-15, -0x1.3844afb9200d8p-15, -0x1.25f5946e47c4ap-15, -0x1.144fbf164426dp-15, -0x1.034d6a39d5f8p-15, -0x1.e5d20a70c81fep-16, -0x1.c63a64e95c1bep-16, -0x1.a7c98b2c39d18p-16, -0x1.8a7583a4b1cf8p-16, -0x1.6e34b08cd824fp-16, -0x1.52fdccb7f928bp-16, -0x1.38c7e87f6a533p-16, -0x1.1f8a66b8e5d8bp-16, -0x1.073cf9c5bcap-16, -0x1.dfaf419d33a6ap-17, -0x1.b2a549f805245p-17, -0x1.874d2da83873fp-17, -0x1.5d98974c9381ep-17, -0x1.3579b61fc16d3p-17, -0x1.0ee3392761a85p-17, -0x1.d390951cf623cp-18, -0x1.8c391633bfc29p-18, -0x1.47a81ba6152f5p-18, -0x1.05c6a7a016edbp-18, -0x1.8cfd207046cbdp-19, -0x1.1374ef071ea01p-19, -0x1.3d97103b43bddp-20, -0x1.76c9966dbc725p-22, 0x1.e442ed649e727p-22, 0x1.46fc30607bea9p-20, 0x1.0738aedbe98e7p-19, 0x1.65b620d8db0cdp-19, 0x1.c02edd06d0ef4p-19, 0x1.0b616d802c901p-18, 0x1.34c87903d950cp-18, 0x1.5c5b71ea0649ap-18, 0x1.8228b39e57abep-18, 0x1.a63e194da1b4bp-18, 0x1.c8a902ae8a8d3p-18, 0x1.e97658de69aeap-18, 0x1.0459497551765p-17, 0x1.1334dd1b0d58ap-17, 0x1.2153b75eb282ap-17, 0x1.2ebb75933ed0cp-17, 0x1.3b71845c378a4p-17, 0x1.477b219726b06p-17, 0x1.52dd5e18f0ea4p-17, 0x1.5d9d1f9d43f73p-17, 0x1.67bf2253bceb5p-17, 0x1.7147fa92f160dp-17, 0x1.7a3c1675a80dp-17, 0x1.829fbf5023887p-17, 0x1.8a771b3a65618p-17, 0x1.91c62e658378ap-17, 0x1.9890dc97ec5f1p-17, 0x1.9edaea65de794p-17, 0x1.a4a7fe8715447p-17, 0x1.a9fba3015310bp-17, 0x1.aed9465ffa332p-17, 0x1.b3443cd2d59fep-17, 0x1.b73fc13f6bb86p-17, 0x1.bacef651e9565p-17, 0x1.bdf4e77977fcdp-17, 0x1.c0b489e328de3p-17, 0x1.c310bd551ce67p-17, 0x1.c50c4d262901p-17, 0x1.c6a9f103fa51ep-17, 0x1.c7ec4dd064c54p-17, 0x1.c8d5f650cbe9ep-17, 0x1.c9696bfa03b2bp-17, 0x1.c9a91f9e273b9p-17, 0x1.c997721a8f43bp-17, 0x1.c936b4ee5640cp-17, 0x1.c8892ae9cb502p-17, 0x1.c79108b1e7fdap-17, 0x1.c65075531d2fp-17, 0x1.c4c98aca6b829p-17, 0x1.c2fe56752f256p-17, 0x1.c0f0d9a1a3a27p-17, 0x1.bea309f691945p-17, 0x1.bc16d1d9f32b1p-17, 0x1.b94e10e84e089p-17, 0x1.b64a9c4f883c9p-17, 0x1.b30e3f2cc3278p-17, 0x1.af9abaed44e82p-17, 0x1.abf1c79c5d939p-17, 0x1.a81514392c993p-17, 0x1.a406470405b77p-17, 0x1.9fc6fdc4369e9p-17, 0x1.9b58ce1b52393p-17, 0x1.96bd45b14aa85p-17, 0x1.91f5ea84c7f0fp-17, 0x1.8d043b2cd5e73p-17, 0x1.87e9aefaadf99p-17, 0x1.82a7b6487eabdp-17, 0x1.7d3fba9e4f75p-17, 0x1.77b31ee9671fcp-17, 0x1.72033fa9c84c2p-17, 0x1.6c31731cdd5ep-17, 0x1.663f096ec618bp-17, 0x1.602d4cdb6a63ap-17, 0x1.59fd81caab93dp-17, 0x1.53b0e70b5c7d1p-17, 0x1.4d48b5e856fddp-17, 0x1.46c622485e3f5p-17, 0x1.402a5acb79e2bp-17, 0x1.397688ec0f8b2p-17, 0x1.32abd11020aeep-17, 0x1.2bcb52b2b6275p-17, 0x1.24d6286eabbe9p-17, 0x1.1dcd681947c15p-17, 0x1.16b222d65bd51p-17, 0x1.0f856527d4759p-17, 0x1.08483710cdeccp-17, 0x1.00fb9c0cfe916p-17, 0x1.f3412665b7e0fp-18, 0x1.e4702e7c2be0bp-18, 0x1.d5863d3d55e18p-18, 0x1.c685370d307b4p-18, 0x1.b76ef7f25368ep-18, 0x1.a84553ab86e3dp-18, 0x1.990a15da2253ap-18, 0x1.89bf02097978fp-18, 0x1.7a65d3de15f67p-18, 0x1.6b003f1619503p-18, 0x1.5b8fefca14f93p-18, 0x1.4c168a6f60674p-18, 0x1.3c95abf8b5611p-18, 0x1.2d0ee9f4e2e1cp-18, 0x1.1d83d29e61eafp-18, 0x1.0df5ecf2feae1p-18, 0x1.fccd71a998f33p-19, 0x1.ddaf5e2164b78p-19, 0x1.be948290de4c6p-19, 0x1.9f7fb4b3035efp-19, 0x1.8073bc25a0cb4p-19, 0x1.6173529ea7817p-19, 0x1.4281243509a3dp-19, 0x1.239fcf402241fp-19, 0x1.04d1e46b7299ep-19, 0x1.cc33cd89c62e9p-20, 0x1.8ef49797cb6fdp-20, 0x1.51eaf728de1d8p-20, 0x1.151ba1746efedp-20, 0x1.b1166236e9f08p-21, 0x1.387c4c6be38a2p-21, 0x1.80e39abeaa2dbp-22, 0x1.23fdf36723c61p-23, -0x1.6e920a6a5195p-24, -0x1.47f678da61c13p-22, -0x1.197376b6fff1cp-21, -0x1.8e3324c742d1ap-21, -0x1.0119569c33fecp-20, -0x1.3ab55420260fbp-20, -0x1.73e9ef940a0b1p-20, -0x1.acb3a5fac0b8ep-20, -0x1.e50f0c8497c2fp-20, -0x1.0e7c683b3e927p-19, -0x1.2a36db4713bdp-19, -0x1.45b54dc1ab6b5p-19, -0x1.60f6398a49703p-19, -0x1.7bf8242ee351fp-19, -0x1.96b99ea370236p-19, -0x1.b1394574a271fp-19, -0x1.cb75c0497b75fp-19, -0x1.e56dc20c1514fp-19, -0x1.ff2008b38d063p-19, -0x1.0c45aead82f93p-18, -0x1.18d749f02863fp-18, -0x1.2544457a2c6e2p-18, -0x1.318c15fe98c8cp-18, -0x1.3dae357c4ba3bp-18, -0x1.49aa232adeb7p-18, -0x1.557f637d45f91p-18, -0x1.612d7ff0a69ep-18, -0x1.6cb4072fd4fa5p-18, -0x1.78128cdaaa744p-18, -0x1.8348a991510a7p-18, -0x1.8e55fad9f2852p-18, -0x1.993a23151ed2dp-18, -0x1.a3f4c971c72c5p-18, -0x1.ae8599d38b82fp-18, -0x1.b8ec44d7d07p-18, -0x1.c3287fad8a366p-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.f982218fbe73dp-1, 0x1.f8ca47631a208p-1, 0x1.f7988d93f2a48p-1, 0x1.f5edfb3447a3ap-1, 0x1.f3cbf9de34bbbp-1, 0x1.f1344ff9dc52ap-1, 0x1.ee291a3f4d9p-1, 0x1.eaacc4bce5ec1p-1, 0x1.e6c2039cd49a1p-1, 0x1.e26bcbd85b439p-1, 0x1.ddad4bfd1b5a2p-1, 0x1.d889e5200cfa6p-1, 0x1.d305241279be1p-1, 0x1.cd22bae766545p-1, 0x1.c6e67ad2f6a68p-1, 0x1.c0544e6987f19p-1, 0x1.b9703441296dfp-1, 0x1.b23e39f5cc241p-1, 0x1.aac2778ebb925p-1, 0x1.a3010b42a67dap-1, 0x1.9afe159696d71p-1, 0x1.92bdb5d39c96fp-1, 0x1.8a4406ce918a8p-1, 0x1.81951bfd2d37ep-1, 0x1.78b4fed3941ddp-1, 0x1.6fa7ac65a0b62p-1, 0x1.6671134745643p-1, 0x1.5d1511a7915d8p-1, 0x1.539773a22537bp-1, 0x1.49fbf1c313831p-1, 0x1.40462fb96ffcap-1, 0x1.3679bb350bb3p-1, 0x1.2c9a0aec17a26p-1, 0x1.22aa7dc5a0e77p-1, 0x1.18ae5a2612d5ep-1, 0x1.0ea8cd5b1bda7p-1, 0x1.049ceb2481fd4p-1, 0x1.f51b5aaf41e2p-2, 0x1.e0fbe736e5ec9p-2, 0x1.cce1067658adcp-2, 0x1.b8d00e1b24012p-2, 0x1.a4ce1edea914ep-2, 0x1.90e0249dad42p-2, 0x1.7d0ad68fb730dp-2, 0x1.6952b79b7c9bfp-2, 0x1.55bc16c5af12cp-2, 0x1.424b0fb7c549fp-2, 0x1.2f038b5c64ae8p-2, 0x1.1be9408f4dd59p-2, 0x1.08ffb4debdc69p-2, 0x1.ec947ab8d166ap-3, 0x1.c797fef88507ap-3, 0x1.a30fe3fee0a59p-3, 0x1.7f01bbd3b0b0bp-3, 0x1.5b72bf01b31a2p-3, 0x1.3867cea3b6e5ap-3, 0x1.15e5767edcb82p-3, 0x1.e7dfde4f5d216p-4, 0x1.a516405fc201cp-4, 0x1.637544b590d87p-4, 0x1.230383ad4091cp-4, 0x1.c78e01e3f0edfp-5, 0x1.4b8a5ff337a13p-5, 0x1.a40be204a2fb4p-6, 0x1.6c25d8366f9fbp-7, -0x1.963558156d2d4p-9, -0x1.167365ed21f07p-6, -0x1.f4e7af103c782p-6, -0x1.670ce39f87a6ap-5, -0x1.d100da3b8fc32p-5, -0x1.1c264c3684a73p-4, -0x1.4e76e678a1983p-4, -0x1.7f7177f625a32p-4, -0x1.af159d627afc5p-4, -0x1.dd6350123352fp-4, -0x1.052d71069f25dp-3, -0x1.1afe7d1a20785p-3, -0x1.3025483cc2dc7p-3, -0x1.44a2751706bdep-3, -0x1.5876cb3179342p-3, -0x1.6ba3352fcdd3ep-3, -0x1.7e28bf165ff56p-3, -0x1.9008949a476afp-3, -0x1.a143ff7bf5382p-3, -0x1.b1dc65ec70092p-3, -0x1.c1d348fd279f3p-3, -0x1.d12a431a53c25p-3, -0x1.dfe3068fe07a7p-3, -0x1.edff5c18cd2d6p-3, -0x1.fb812178eecb8p-3, -0x1.0435241080d8cp-2, -0x1.0a5e69ee78deap-2, -0x1.103d6cc618f11p-2, -0x1.15d33ef20cc6fp-2, -0x1.1b20fa1e07cacp-2, -0x1.2027beb1bb2bdp-2, -0x1.24e8b3409226dp-2, -0x1.296503fe29f7dp-2, -0x1.2d9de23768dfep-2, -0x1.319483d02c527p-2, -0x1.354a22c570d3dp-2, -0x1.38bffcb3e5762p-2, -0x1.3bf75262d333fp-2, -0x1.3ef1675345b08p-2, -0x1.41af815361226p-2, -0x1.4432e815ce894p-2, -0x1.467ce4cd2c27dp-2, -0x1.488ec1cb6a0fdp-2, -0x1.4a69ca25035d1p-2, -0x1.4c0f4957f8691p-2, -0x1.4d808af67d372p-2, -0x1.4ebeda554062fp-2, -0x1.4fcb823d3abd1p-2, -0x1.50a7cca0f2786p-2, -0x1.515502551a99dp-2, -0x1.51d46acc8107dp-2, -0x1.52274bd72f13ap-2, -0x1.524ee964b09ccp-2, -0x1.524c854968bcbp-2, -0x1.52215f06e263bp-2, -0x1.51ceb3970bbfp-2, -0x1.5155bd3a458aap-2, -0x1.50b7b34834b65p-2, -0x1.4ff5ca0346f98p-2, -0x1.4f11326ed2965p-2, -0x1.4e0b1a27c338dp-2, -0x1.4ce4ab3fbd83dp-2, -0x1.4b9f0c1aaf2fp-2, -0x1.4a3b5f4eaead9p-2, -0x1.48bac38623c68p-2, -0x1.471e536421cdcp-2, -0x1.4567256ae41a2p-2, -0x1.43964be45a3f8p-2, -0x1.41acd4ccb6db1p-2, -0x1.3fabc9beef5a6p-2, -0x1.3d942fe317302p-2, -0x1.3b6707de92f21p-2, -0x1.39254dc603b54p-2, -0x1.36cff910eaa94p-2, -0x1.3467fc8ee9ad4p-2, -0x1.31ee465e9964ap-2, -0x1.2f63bfe5e3a57p-2, -0x1.2cc94dcbd1f91p-2, -0x1.2a1fcff3c531ep-2, -0x1.2768217a063fep-2, -0x1.24a318b1a312bp-2, -0x1.21d1872389761p-2, -0x1.1ef4398ed398ep-2, -0x1.1c0bf7ea390b9p-2, -0x1.191985669695ep-2, -0x1.161da07281e2ap-2, -0x1.131902bedc42bp-2, -0x1.100c614457539p-2, -0x1.0cf86c49e4119p-2, -0x1.09ddcf6bf9da7p-2, -0x1.06bd31a4b0fc7p-2, -0x1.03973554a32f3p-2, -0x1.006c784c87d7bp-2, -0x1.fa7b27aefdce1p-3, -0x1.f416398c0bdb1p-3, -0x1.edab46f3129dep-3, -0x1.e73b67e110b81p-3, -0x1.e0c7aba687ebbp-3, -0x1.da511901e244p-3, -0x1.d3d8ae3abf75cp-3, -0x1.cd5f613e29953p-3, -0x1.c6e61fbb94fdbp-3, -0x1.c06dcf42a621ep-3, -0x1.b9f74d619bd8fp-3, -0x1.b3836fc467d57p-3, -0x1.ad1304544e92p-3, -0x1.a6a6d15812382p-3, -0x1.a03f959490c1dp-3, -0x1.99de086dcd6bp-3, -0x1.9382da0852fa9p-3, -0x1.8d2eb36aed1f7p-3, -0x1.86e236a0a0422p-3, -0x1.809dfedae0abp-3, -0x1.7a62a093ecd78p-3, -0x1.7430a9b15d77fp-3, -0x1.6e08a1a6bd573p-3, -0x1.67eb09983e4a1p-3, -0x1.61d85c7d6d3cap-3, -0x1.5bd10f43e8e4p-3, -0x1.55d590f20d003p-3, -0x1.4fe64ac98a442p-3, -0x1.4a03a069e4bb8p-3, -0x1.442deff2d0c3cp-3, -0x1.3e659226678efp-3, -0x1.38aada8b2de8ep-3, -0x1.32fe178de4735p-3, -0x1.2d5f92a3188d7p-3, -0x1.27cf90687eb1cp-3, -0x1.224e50c5fdaap-3, -0x1.1cdc0f0e6e1d9p-3, -0x1.17790220111ddp-3, -0x1.12255c84aebcep-3, -0x1.0ce14c915848p-3, -0x1.07acfc85d44e5p-3, -0x1.028892aba823fp-3, -0x1.fae862e976b77p-4, -0x1.f0dfef3334feap-4, -0x1.e6f8006e9422ep-4, -0x1.dd30c5d96a934p-4, -0x1.d38a67ef489c7p-4, -0x1.ca0508a298cb3p-4, -0x1.c0a0c394cd892p-4, -0x1.b75dae4daa067p-4, -0x1.ae3bd871a4aedp-4, -0x1.a53b4bf74e0cap-4, -0x1.9c5c0d5bd8405p-4, -0x1.939e1bd69c378p-4, -0x1.8b01718bb48f6p-4, -0x1.828603bd9b7dfp-4, -0x1.7a2bc2fdd541p-4, -0x1.71f29b5ca307ep-4, -0x1.69da7497ba4b6p-4, -0x1.61e3324806e9cp-4, -0x1.5a0cb40e7183ep-4, -0x1.5256d5bfaf367p-4, -0x1.4ac16f8f1864ap-4, -0x1.434c56388857dp-4, -0x1.3bf75b29471b7p-4, -0x1.34c24ca7fc2d9p-4, -0x1.2dacf5fbafd24p-4, -0x1.26b71f91d6fd2p-4, -0x1.1fe08f237081dp-4, -0x1.192907d93221bp-4, -0x1.12904a6ec8485p-4, -0x1.0c1615552b73ep-4, -0x1.05ba24d40c2bp-4, -0x1.fef86654b2082p-5, -0x1.f2b7f15bbff4cp-5, -0x1.e6b257d41ccf8p-5, -0x1.dae7037ba75ddp-5, -0x1.cf555af14b11p-5, -0x1.c3fcc1ed5aac1p-5, -0x1.b8dc99783cf59p-5, -0x1.adf4401f7116fp-5, -0x1.a3431228f7ad4p-5, -0x1.98c869c51cad6p-5, -0x1.8e839f3eb195fp-5, -0x1.84740929b7f02p-5, -0x1.7a98fc9088c89p-5, -0x1.70f1cd1f786d9p-5, -0x1.677dcd4f02c1ep-5, -0x1.5e3c4e8c867a8p-5, -0x1.552ca161937f8p-5, -0x1.4c4e1599d379dp-5, -0x1.439ffa6796c1bp-5, -0x1.3b219e870932ep-5, -0x1.32d250601649dp-5, -0x1.2ab15e2705b03p-5, -0x1.22be15fbd416ap-5, -0x1.1af7c60851283p-5, -0x1.135dbc9d08391p-5, -0x1.0bef484cfd2f3p-5, -0x1.04abb80840768p-5, -0x1.fb24b66ac700ep-6, -0x1.ed450393a8fb8p-6, -0x1.dfb6f8c24b179p-6, -0x1.d27938a698p-6, -0x1.c58a6793a7e4dp-6, -0x1.b8e92ba8382aep-6, -0x1.ac942cf524ef6p-6, -0x1.a08a15a208f62p-6, -0x1.94c9920fff166p-6, -0x1.895150fa9e7a4p-6, -0x1.7e2003973536fp-6, -0x1.73345db250b77p-6, -0x1.688d15cba20dap-6, -0x1.5e28e53048036p-6, -0x1.540688138979cp-6, -0x1.4a24bda60f91ep-6, -0x1.4082482ba6a82p-6, -0x1.371ded0f92195p-6, -0x1.2df674f785d01p-6, -0x1.250aabd54217dp-6, -0x1.1c5960f6e7839p-6, -0x1.13e167160cc45p-6, -0x1.0ba1946599f2fp-6, -0x1.0398c29e7b992p-6, -0x1.f78b9e165dc54p-7, -0x1.e84f3524798cp-7, -0x1.d97a137f3a38dp-7, -0x1.cb0a099a3d03ep-7, -0x1.bcfcef5393b13p-7, -0x1.af50a400b14dcp-7, -0x1.a2030e7977024p-7, -0x1.95121d218f6d1p-7, -0x1.887bc5f001ff8p-7, -0x1.7c3e06753ae14p-7, -0x1.7056e3df6f6ecp-7, -0x1.64c46afd8af24p-7, -0x1.5984b040ac09fp-7, -0x1.4e95cfbc358b4p-7, -0x1.43f5ed2491023p-7, -0x1.39a333ccb1269p-7, -0x1.2f9bd6a24feb6p-7, -0x1.25de10290cbefp-7, -0x1.1c6822746a6c4p-7, -0x1.13385720be58fp-7, -0x1.0a4cff4b1ad5bp-7, -0x1.01a4738845acep-7, -0x1.f27a27b582896p-8, -0x1.e22a8f4ff197cp-8, -0x1.d256fb592d85fp-8, -0x1.c2fc57e028312p-8, -0x1.b4179f6f11fd7p-8, -0x1.a5a5daef92eedp-8, -0x1.97a4218db124ep-8, -0x1.8a0f9899786d7p-8, -0x1.7ce5736774a91p-8, -0x1.7022f33010762p-8, -0x1.63c566ededcdfp-8, -0x1.57ca2b3b44f69p-8, -0x1.4c2eaa2e5f2eap-8, -0x1.40f05b3538e3ep-8, -0x1.360cc2f05ee28p-8, -0x1.2b81730d124d7p-8, -0x1.214c0a1ec48d5p-8, -0x1.176a3377f8b7p-8, -0x1.0dd9a70296cdap-8, -0x1.04982917bea9ep-8, -0x1.f74714ae52549p-9, -0x1.e5f34efc3fac3p-9, -0x1.d530d27c37aaep-9, -0x1.c4fb882623323p-9, -0x1.b54f7032f5487p-9, -0x1.a628a1c845141p-9, -0x1.97834aa388233p-9, -0x1.895baec4ff02ep-9, -0x1.7bae281a66bb2p-9, -0x1.6e7726298251cp-9, -0x1.61b32dba8a68ap-9, -0x1.555ed882958a4p-9, -0x1.4976d4ce09781p-9, -0x1.3df7e52b241dbp-9, -0x1.32dee014a88b7p-9, -0x1.2828af9cc04bbp-9, -0x1.1dd251181aa4fp-9, -0x1.13d8d4c95e9c7p-9, -0x1.0a395d8cee9a2p-9, -0x1.00f1208514315p-9, -0x1.effac98d34809p-10, -0x1.deb7060bc030fp-10, -0x1.ce11ca88db225p-10, -0x1.be060cfe2c2eep-10, -0x1.ae8ee4b957b6bp-10, -0x1.9fa789baad9e3p-10, -0x1.914b54150f2b3p-10, -0x1.8375bb4f378b7p-10, -0x1.762255c667035p-10, -0x1.694cd81280882p-10, -0x1.5cf1146ba0884p-10, -0x1.510afa114244p-10, -0x1.459694b2f839bp-10, -0x1.3a900bdabc24ap-10, -0x1.2ff3a258ed144p-10, -0x1.25bdb5b1f5fa4p-10, -0x1.1beabd8da911cp-10, -0x1.12774b286103dp-10, -0x1.096008c5d8052p-10, -0x1.00a1b925d70abp-10, -0x1.f0726df543744p-11, -0x1.e046e8c2895dcp-11, -0x1.d0baf4b76283dp-11, -0x1.c1c8d0996c0b8p-11, -0x1.b36ae6eba90ecp-11, -0x1.a59bcceded9c8p-11, -0x1.985641a00be9fp-11, -0x1.8b952cc8cb246p-11, -0x1.7f539e00a40e7p-11, -0x1.738ccbc04cdfp-11, -0x1.683c12730e12ep-11, -0x1.5d5cf38ce4b2ap-11, -0x1.52eb14a470057p-11, -0x1.48e23e90aa041p-11, -0x1.3f3e5c8a6765bp-11, -0x1.35fb7b519f7e8p-11, -0x1.2d15c85674f6fp-11, -0x1.248990e5ffcddp-11, -0x1.1c53415ad1e41p-11, -0x1.146f64513191p-11, -0x1.0cdaa1df06a5ep-11, -0x1.0591becf731d7p-11, -0x1.fd2337c420fd1p-12, -0x1.efae6a1b9e784p-12, -0x1.e2bf418ed6f04p-12, -0x1.d6501e96ec82bp-12, -0x1.ca5b93d7cebb8p-12, -0x1.bedc64c2614cap-12, -0x1.b3cd843d9a319p-12, -0x1.a92a13567f626p-12, -0x1.9eed5ff6fb129p-12, -0x1.9512e3a36b041p-12, -0x1.8b96423ee1ec3p-12, -0x1.827348d60058p-12, -0x1.79a5ec705a416p-12, -0x1.712a48e84cf5fp-12, -0x1.68fc9fc937cbap-12, -0x1.6119573402ecep-12, -0x1.597cf8c9dcd08p-12, -0x1.5224309d1c59dp-12, -0x1.4b0bcc283203p-12, -0x1.4430b94a95272p-12, -0x1.3d90054b93c0bp-12, -0x1.3726dbe2f465ap-12, -0x1.30f286474f7bcp-12, -0x1.2af06a4212229p-12, -0x1.251e09490ca5bp-12, -0x1.1f78ff9d7c421p-12, -0x1.19ff037079452p-12, -0x1.14ade40cb1a87p-12, -0x1.0f8389055f7efp-12, -0x1.0a7df16a5deeep-12, -0x1.059b33015175p-12, -0x1.00d97983c0c4dp-12, -0x1.f86e0bc42a856p-13, -0x1.ef645b16c80bbp-13, -0x1.e692b373e1efdp-13, -0x1.ddf60d88a21a8p-13, -0x1.d58b86e6340abp-13, -0x1.cd5060b6125d3p-13, -0x1.c541fe771ab95p-13, -0x1.bd5de4c332fe9p-13, -0x1.b5a1b81d6e964p-13, -0x1.ae0b3bc86e8cfp-13, -0x1.a69850a4e50a8p-13, -0x1.9f46f41811d12p-13, -0x1.98153efa08082p-13, -0x1.9101648b9b177p-13, -0x1.8a09b173ce8c2p-13, -0x1.832c8ac49a30fp-13, -0x1.7c686d06db9dbp-13, -0x1.75bbeb4d5a3a2p-13, -0x1.6f25ae4ea974bp-13, -0x1.68a47385cff5ap-13, -0x1.62370c5980773p-13, -0x1.5bdc5d49d3256p-13, -0x1.55935d244a612p-13, -0x1.4f5b143e01932p-13, -0x1.49329bb3f23dbp-13, -0x1.43191cb11774ap-13, -0x1.3d0dcfba56844p-13, -0x1.370ffc0016418p-13, -0x1.311ef6b54b5ep-13, -0x1.2b3a226befd9p-13, -0x1.2560ee76b79bp-13, -0x1.1f92d64fe9ecep-13, -0x1.19cf610536595p-13, -0x1.141620a8785e5p-13, -0x1.0e66b1c5312e7p-13, -0x1.08c0badab5b58p-13, -0x1.0323ebdae03d4p-13, -0x1.fb1ffb5a53897p-14, -0x1.f009636c3945bp-14, -0x1.e503a2c5efd46p-14, -0x1.da0e5b72c9dep-14, -0x1.cf293dd666738p-14, -0x1.c45407dbea231p-14, -0x1.b98e842cba2fap-14, -0x1.aed8896eb2b6ap-14, -0x1.a431f9896d7bbp-14, -0x1.999ac0f293385p-14, -0x1.8f12d600f3885p-14, -0x1.849a384638343p-14, -0x1.7a30efef02ad9p-14, -0x1.6fd70d294bbecp-14, -0x1.658ca790d2445p-14, -0x1.5b51dda172c06p-14, -0x1.5126d42f37dbdp-14, -0x1.470bb5e3fda57p-14, -0x1.3d00b2c27bc7ep-14, -0x1.3305ffae9029fp-14, -0x1.291bd5faa0b83p-14, -0x1.1f4272f9ef69dp-14, -0x1.157a1797b8b13p-14, -0x1.0bc307f2f9659p-14, -0x1.021d8afeb67efp-14, -0x1.f113d44d47635p-15, -0x1.de10e1f00d607p-15, -0x1.cb32d99d66715p-15, -0x1.b87a590c05801p-15, -0x1.a5e8005b453d9p-15, -0x1.937c71843b163p-15, -0x1.81384fd1fd62p-15, -0x1.6f1c3f60e101fp-15, -0x1.5d28e4a476eddp-15, -0x1.4b5ee3f40ef94p-15, -0x1.39bee11d82ebfp-15, -0x1.28497efe1c2bbp-15, -0x1.16ff5f21565b8p-15, -0x1.05e12165518bfp-15, -0x1.e9dec74974aaap-16, -0x1.c85582cbfab3bp-16, -0x1.a727a71f2499fp-16, -0x1.865660425d2acp-16, -0x1.65e2d3e36c356p-16, -0x1.45ce20e36ee38p-16, -0x1.26195ee49e08p-16, -0x1.06c59de083465p-16, -0x1.cfa7cb8c9d0dfp-17, -0x1.928a6c41fbcf2p-17, -0x1.56350b8a0c003p-17, -0x1.1aa9850a64268p-17, -0x1.bfd343b9c6546p-18, -0x1.4bee30292fa3dp-18, -0x1.b34e293d95b81p-19, -0x1.a4043a9f26d97p-20, 0x1.803b2283b9191p-24, 0x1.cd7042db32ce6p-20, 0x1.be1b76228c842p-19, 0x1.491372ab89457p-18, 0x1.b16ae8cfaf19bp-18, 0x1.0c08fca2fd2edp-17, 0x1.3e83554489d79p-17, 0x1.702396f4a17a7p-17, 0x1.a0e8efcfb756fp-17, 0x1.d0d2a3685311ep-17, 0x1.ffe00ac17ffc8p-17, 0x1.17084a2120603p-16, 0x1.2db1e1d13501fp-16, 0x1.43ec98e89552bp-16, 0x1.59b8466ad8f9ep-16, 0x1.6f14cbd51555ep-16, 0x1.84021508b2c08p-16, 0x1.98801833c9e21p-16, 0x1.ac8ed5b716c3p-16, 0x1.c02e5809c277p-16, 0x1.d35eb39b0c065p-16, 0x1.e62006b205e86p-16, 0x1.f872794b7dadcp-16, 0x1.052b1e7b166abp-15, 0x1.0de5c656ac22bp-15, 0x1.16695658fabb3p-15, 0x1.1eb5f5313a27p-15, 0x1.26cbce08a1ffp-15, 0x1.2eab106d1abf7p-15, 0x1.3653f03b644fcp-15, 0x1.3dc6a588c4ec4p-15, 0x1.45036c8c46ee9p-15, 0x1.4c0a85878fe7dp-15, 0x1.52dc34af6256ep-15, 0x1.5978c213cb102p-15, 0x1.5fe079880bfe7p-15, 0x1.6613aa8a49ffcp-15, 0x1.6c12a82b0684ap-15, 0x1.71ddc8f46f642p-15, 0x1.777566d18b611p-15, 0x1.7cd9def54ee7bp-15, 0x1.820b91c19ad16p-15, 0x1.870ae2ae30b5p-15, 0x1.8bd8382fa56adp-15, 0x1.9073fb9e4f993p-15, 0x1.94de991d45bfcp-15, 0x1.99187f81642f7p-15, 0x1.9d2220386b82ep-15, 0x1.a0fbef303624ep-15, 0x1.a4a662be0de8ap-15, 0x1.a821f38623234p-15, 0x1.ab6f1c632ea4fp-15, 0x1.ae8e5a4e3d7dap-15, 0x1.b1802c46af8e5p-15, 0x1.b445133a69a01p-15, 0x1.b6dd91ee3f52dp-15, 0x1.b94a2ce69937cp-15, 0x1.bb8b6a505b0dp-15, 0x1.bda1d1ea0a1acp-15, 0x1.bf8deced39d25p-15, 0x1.c15045f83df61p-15, 0x1.c2e968f82a94p-15, 0x1.c459e3131c0edp-15, 0x1.c5a24292d14c8p-15, 0x1.c6c316cf92a2cp-15, 0x1.c7bcf01b6f3b3p-15, 0x1.c8905fadcb2c2p-15, 0x1.c93df78f43ad4p-15, 0x1.c9c64a85eb354p-15, 0x1.ca29ec01dddcbp-15, 0x1.ca69700a2bdc9p-15, 0x1.ca856b2a2272cp-15, 0x1.ca7e725eecae8p-15, 0x1.ca551b0591eaap-15, 0x1.ca09fac94f11fp-15, 0x1.c99da7924d347p-15, 0x1.c910b774b84f5p-15, 0x1.c863c0a02da0bp-15, 0x1.c797594f8e82p-15, 0x1.c6ac17b92cf72p-15, 0x1.c5a291ff5814dp-15, 0x1.c47b5e21466f9p-15, 0x1.c33711ec5d229p-15, 0x1.c1d642edd6acfp-15, 0x1.c0598664c6674p-15, 0x1.bec1713478346p-15, 0x1.bd0e97d72f505p-15, 0x1.bb418e513e793p-15, 0x1.b95ae8247f359p-15, 0x1.b75b38442274fp-15, }}, 
      {{0x1.f9ab080ac158cp-1, 0x1.f96db6608e29cp-1, 0x1.f907a7436763ap-1, 0x1.f8790fa80c8ddp-1, 0x1.f7c238b3d0569p-1, 0x1.f6e37ede95f02p-1, 0x1.f5dd50f2b5a0cp-1, 0x1.f4b02ef4cbeb4p-1, 0x1.f35ca8fbd6e26p-1, 0x1.f1e35e008cf62p-1, 0x1.f044faa994307p-1, 0x1.ee8238191fe33p-1, 0x1.ec9bdabf8bf76p-1, 0x1.ea92b135ba654p-1, 0x1.e867932145749p-1, 0x1.e61b6024102ccp-1, 0x1.e3aefed83a6bap-1, 0x1.e1235bd9281e9p-1, 0x1.de7968d9ef65ep-1, 0x1.dbb21bc94f0ffp-1, 0x1.d8ce6e03109c7p-1, 0x1.d5cf5b8ea0c9fp-1, 0x1.d2b5e26a7db24p-1, 0x1.cf8301e415f82p-1, 0x1.cc37b9fb94dc3p-1, 0x1.c8d50ad31e516p-1, 0x1.c55bf428ea276p-1, 0x1.c1cd74dbb6d46p-1, 0x1.be2a8a7905983p-1, 0x1.ba7430d497d8fp-1, 0x1.b6ab61a8a6edep-1, 0x1.b2d1143e53f06p-1, 0x1.aee63d1dd5c02p-1, 0x1.aaebcdc5eb66ep-1, 0x1.a6e2b46a235e4p-1, 0x1.a2cbdbb78bbf3p-1, 0x1.9ea82a9f6518dp-1, 0x1.9a788427779efp-1, 0x1.963dc73fb1d7ap-1, 0x1.91f8ce9cb6d82p-1, 0x1.8daa70970ea8ep-1, 0x1.89537f0eaac04p-1, 0x1.84f4c75277fc8p-1, 0x1.808f120bb5fd9p-1, 0x1.7c23232cdb91cp-1, 0x1.77b1b9e3c2481p-1, 0x1.733b908ee73ep-1, 0x1.6ec15cb588a36p-1, 0x1.6a43cf026c102p-1, 0x1.65c393411e9bep-1, 0x1.6141505d81dbcp-1, 0x1.5cbda86578b19p-1, 0x1.5839388c8e19dp-1, 0x1.53b499316c308p-1, 0x1.4f305de502707p-1, 0x1.4aad157336e42p-1, 0x1.462b49ed0184dp-1, 0x1.41ab80b3d4c05p-1, 0x1.3d2e3a86361ebp-1, 0x1.38b3f38d6a016p-1, 0x1.343d236c19d9bp-1, 0x1.2fca3d4ddeda8p-1, 0x1.2b5baff7956eap-1, 0x1.26f1e5d869d83p-1, 0x1.228d451b83cc9p-1, 0x1.1e2e2fba452eap-1, 0x1.19d5038f022adp-1, 0x1.15821a682909cp-1, 0x1.1135ca1bc73fap-1, 0x1.0cf0649b5b731p-1, 0x1.08b23807ea959p-1, 0x1.047b8ec649c35p-1, 0x1.004caf938f0eap-1, 0x1.f84bbb33445d3p-2, 0x1.f00eb107bfbd1p-2, 0x1.e7e2b9278f97ap-2, 0x1.dfc8456b596cdp-2, 0x1.d7bfc12ab6aa8p-2, 0x1.cfc991656ffc4p-2, 0x1.c7e614ec83d43p-2, 0x1.c015a48affa75p-2, 0x1.b858932e9108fp-2, 0x1.b0af2e0fcdc42p-2, 0x1.a919bcda238ecp-2, 0x1.a19881d36a0e9p-2, 0x1.9a2bba030bc1ap-2, 0x1.92d39d58c2b55p-2, 0x1.8b905ed2df5f5p-2, 0x1.84622ca4121e8p-2, 0x1.7d493058ba073p-2, 0x1.76458efba8445p-2, 0x1.6f57693a6068dp-2, 0x1.687edb88c79e4p-2, 0x1.61bbfe444635dp-2, 0x1.5b0ee5d656c44p-2, 0x1.5477a2d67e63ep-2, 0x1.4df6422bb04f2p-2, 0x1.478acd2d163aap-2, 0x1.413549c24326dp-2, 0x1.3af5ba82c4c92p-2, 0x1.34cc1ed5204dap-2, 0x1.2eb8730d2ccedp-2, 0x1.28bab089d6f35p-2, 0x1.22d2cdd24241fp-2, 0x1.1d00beb2540b7p-2, 0x1.174474569cec5p-2, 0x1.119ddd67ac553p-2, 0x1.0c0ce624c38bep-2, 0x1.0691787df404ep-2, 0x1.012b7c2da049dp-2, 0x1.f7b5ada2d1526p-3, 0x1.ed3ed804fbeeap-3, 0x1.e2f23adabf5p-3, 0x1.d8cf95d20fc8dp-3, 0x1.ced6a51b034f2p-3, 0x1.c5072193dd334p-3, 0x1.bb60c0f3fe997p-3, 0x1.b1e335f5b2ecep-3, 0x1.a88e307ee9e1ep-3, 0x1.9f615dc8daa1dp-3, 0x1.965c68869568dp-3, 0x1.8d7ef90a82b2dp-3, 0x1.84c8b56ae2711p-3, 0x1.7c3941a5362c8p-3, 0x1.73d03fc0b8622p-3, 0x1.6b8d4fefc5d4dp-3, 0x1.637010b0588p-3, 0x1.5b781eeb84551p-3, 0x1.53a516140213ep-3, 0x1.4bf69043cca55p-3, 0x1.446c2658d63dfp-3, 0x1.3d057010ce3fcp-3, 0x1.35c204240cf76p-3, 0x1.2ea1785f9b879p-3, 0x1.27a361be66162p-3, 0x1.20c75481904f2p-3, 0x1.1a0ce447feb81p-3, 0x1.1373a4250c061p-3, 0x1.0cfb26b676c8dp-3, 0x1.06a2fe398aedep-3, 0x1.006abc9f82b72p-3, 0x1.f4a3e7425df33p-4, 0x1.e8b069a3c8015p-4, 0x1.dcfa23635b737p-4, 0x1.d180377da4627p-4, 0x1.c641c90d54988p-4, 0x1.bb3dfb6b8fe4ap-4, 0x1.b073f24ef67efp-4, 0x1.a5e2d1e962ee4p-4, 0x1.9b89bf0475d3ap-4, 0x1.9167df1cd5919p-4, 0x1.877c587c5500dp-4, 0x1.7dc65252e2c39p-4, 0x1.7444f4ce5f1fp-4, 0x1.6af7693156c5ep-4, 0x1.61dcd9e8ab05ep-4, 0x1.58f472a02e616p-4, 0x1.503d60563e341p-4, 0x1.47b6d16e5d149p-4, 0x1.3f5ff5c2d8539p-4, 0x1.3737feb57c1dcp-4, 0x1.2f3e1f3f5f399p-4, 0x1.27718bffcb4cap-4, 0x1.1fd17b4a490dep-4, 0x1.185d2533d6319p-4, 0x1.1113c39f4bbe8p-4, 0x1.09f49248fa9b9p-4, 0x1.02feced1836eap-4, 0x1.f863718fe4238p-5, 0x1.eb19236641569p-5, 0x1.de1d3a34d06b9p-5, 0x1.d16e411b48e7dp-5, 0x1.c50ac75922968p-5, 0x1.b8f1605b0c8bcp-5, 0x1.ad20a3c72a502p-5, 0x1.a1972d8827086p-5, 0x1.96539dd71f4edp-5, 0x1.8b5499447409ap-5, 0x1.8098c8bf8fbddp-5, 0x1.761ed99da07b7p-5, 0x1.6be57d9f58af4p-5, 0x1.61eb6af5bb6bdp-5, 0x1.582f5c45fe5eep-5, 0x1.4eb010ac898a8p-5, 0x1.456c4bbf1f502p-5, 0x1.3c62d58e326e4p-5, 0x1.33927aa574da1p-5, 0x1.2afa0c0ba67d2p-5, 0x1.22985f41abef8p-5, 0x1.1a6c4e40f3841p-5, 0x1.1274b779327fap-5, 0x1.0ab07dcd80d1fp-5, 0x1.031e8890d8efdp-5, 0x1.f77b87040b54bp-6, 0x1.e91a3d8e06911p-6, 0x1.db171dcfb1a35p-6, 0x1.cd701991e6c33p-6, 0x1.c0232b4a0e186p-6, 0x1.b32e560cfb827p-6, 0x1.a68fa580ed4f6p-6, 0x1.9a452dcec0486p-6, 0x1.8e4d0b925b31dp-6, 0x1.82a563ca66266p-6, 0x1.774c63c74bb08p-6, 0x1.6c4041199fc8fp-6, 0x1.617f397fe0c2bp-6, 0x1.570792d3b11bdp-6, 0x1.4cd79af68274ap-6, 0x1.42eda7bdc77e6p-6, 0x1.394816dea95c3p-6, 0x1.2fe54dd95a804p-6, 0x1.26c3b9e3f4b8bp-6, 0x1.1de1cfd50920cp-6, 0x1.153e0c0dd1124p-6, 0x1.0cd6f26414802p-6, 0x1.04ab0e0bc5b94p-6, 0x1.f971e300c41fbp-7, 0x1.e9fe6cdc27bebp-7, 0x1.daf8fb3548098p-7, 0x1.cc5edd9c79cacp-7, 0x1.be2d71780eebdp-7, 0x1.b06221d54a23fp-7, 0x1.a2fa67391e95ap-7, 0x1.95f3c770bb589p-7, 0x1.894bd561fc467p-7, 0x1.7d0030dbb900fp-7, 0x1.710e86660ceep-7, 0x1.65748f1287477p-7, 0x1.5a30104c71afp-7, 0x1.4f3edba90b806p-7, 0x1.449eceb7ea023p-7, 0x1.3a4dd2d35bf88p-7, 0x1.3049dcf0fee4cp-7, 0x1.2690ed72708ffp-7, 0x1.1d210ff6316a8p-7, 0x1.13f85b28b8526p-7, 0x1.0b14f095c0795p-7, 0x1.0274fc79d55b5p-7, 0x1.f42d6b2845167p-8, 0x1.e3f0b9f1183cbp-8, 0x1.d4307bc42aaf9p-8, 0x1.c4e95b0b31a13p-8, 0x1.b61815c9ad832p-8, 0x1.a7b97d43bcff2p-8, 0x1.99ca75a5a9b64p-8, 0x1.8c47f5ac39778p-8, 0x1.7f2f064dc8706p-8, 0x1.727cc26433a78p-8, 0x1.662e565797b2ap-8, 0x1.5a40ffc9ec629p-8, 0x1.4eb20d437e839p-8, 0x1.437edde04de54p-8, 0x1.38a4e0fe5549bp-8, 0x1.2e2195ecbc852p-8, 0x1.23f28b9bfd3eep-8, 0x1.1a15604ef8a35p-8, 0x1.1087c14d03611p-8, 0x1.07476a94eb507p-8, 0x1.fca44d21ecfcep-9, 0x1.eb4b9b97c036ap-9, 0x1.da808d4da60bp-9, 0x1.ca3f0a20cbc15p-9, 0x1.ba8314792cf3p-9, 0x1.ab48c8bb91ecfp-9, 0x1.9c8c5cbd936acp-9, 0x1.8e4a1f3ba4cc5p-9, 0x1.807e77512825fp-9, 0x1.7325e3f2871a7p-9, 0x1.663cfb6957402p-9, 0x1.59c06ad285901p-9, 0x1.4dacf59e869f5p-9, 0x1.41ff75138f023p-9, 0x1.36b4d7d1cf595p-9, 0x1.2bca2159b2e7fp-9, 0x1.213c69941e73p-9, 0x1.1708dc5cad287p-9, 0x1.0d2cb90dea6fp-9, 0x1.03a5520f84ad2p-9, 0x1.f4e018cce7eb9p-10, 0x1.e314be8e2db9cp-10, 0x1.d1e3a752757f1p-10, 0x1.c14807bc24a33p-10, 0x1.b13d3650251e1p-10, 0x1.a1beaaa96c20fp-10, 0x1.92c7fcb035e1fp-10, 0x1.8454e3d5064d2p-10, 0x1.7661364f48531p-10, 0x1.68e8e85f9b986p-10, 0x1.5be80b95bfa22p-10, 0x1.4f5ace1a071c3p-10, 0x1.433d79fa56981p-10, 0x1.378c747aab65ep-10, 0x1.2c443d69055dfp-10, 0x1.21616e74c35f3p-10, 0x1.16e0ba89619efp-10, 0x1.0cbeed2c85857p-10, 0x1.02f8e9df53439p-10, 0x1.f317570613819p-11, 0x1.e0e8878191b1p-11, 0x1.cf5fb4e90ccfbp-11, 0x1.be775a363e0fbp-11, 0x1.ae2a1c86f390fp-11, 0x1.9e72ca05654e8p-11, 0x1.8f4c58d684d15p-11, 0x1.80b1e60e2cdd4p-11, 0x1.729eb4a91d818p-11, 0x1.650e2c8cace68p-11, 0x1.57fbd98c17af6p-11, 0x1.4b636a7357098p-11, 0x1.3f40b0176b13bp-11, 0x1.338f9c6bfe231p-11, 0x1.284c419e4f1d4p-11, 0x1.1d72d135488dcp-11, 0x1.12ff9b36b1c74p-11, 0x1.08ef0d5160d6fp-11, 0x1.fe7b6418b68fcp-12, 0x1.ebd05ff5972bfp-12, 0x1.d9d691e970ceap-12, 0x1.c887b2a8cf671p-12, 0x1.b7ddae70af90fp-12, 0x1.a7d2a39372019p-12, 0x1.9860e10ea677fp-12, 0x1.8982e52987e6dp-12, 0x1.7b335c1bf84ffp-12, 0x1.6d6d1ebddd3b7p-12, 0x1.602b313eabb69p-12, 0x1.5368c1e500b79p-12, 0x1.472127d61e455p-12, 0x1.3b4fe1e522272p-12, 0x1.2ff09569d1a18p-12, 0x1.24ff0d1ed638ap-12, 0x1.1a77380740b06p-12, 0x1.1055285b2dcdcp-12, 0x1.0695127b6f22bp-12, 0x1.fa6697d80914dp-13, 0x1.e85894aaa08e1p-13, 0x1.d6f94517bb55p-13, 0x1.c6420f3d1feadp-13, 0x1.b62c93d644e7bp-13, 0x1.a6b2ac719fedp-13, 0x1.97ce69b2018e6p-13, 0x1.897a119bc0f22p-13, 0x1.7bb01ded71ce6p-13, 0x1.6e6b3a83e3022p-13, 0x1.61a643c92b3dep-13, 0x1.555c452e81155p-13, 0x1.498877b09f6c5p-13, 0x1.3e26406682021p-13, 0x1.33312f1a303e1p-13, 0x1.28a4fceb6e9d3p-13, 0x1.1e7d8afc0a2f9p-13, 0x1.14b6e1258e69cp-13, 0x1.0b4d2cb834a65p-13, 0x1.023cbf42c37b3p-13, 0x1.f3041ac67cb9ap-14, 0x1.e2335b403b00dp-14, 0x1.d200ae93ce837p-14, 0x1.c265c2c9e49bep-14, 0x1.b35c83363c45dp-14, 0x1.a4df166aa6186p-14, 0x1.96e7dc392f9d8p-14, 0x1.89716bc51e829p-14, 0x1.7c7691a25c582p-14, 0x1.6ff24e02f6a26p-14, 0x1.63dfd2f25cc4fp-14, 0x1.583a829e04692p-14, 0x1.4cfdedab1b341p-14, 0x1.4225d198f431cp-14, 0x1.37ae172fdf86ep-14, 0x1.2d92d0fc17c0dp-14, 0x1.23d039d47a5bp-14, 0x1.1a62b36cb8fa1p-14, 0x1.1146c4f2bc9p-14, 0x1.087919b6ec3a6p-14, 0x1.ffecffbe1f3d2p-15, 0x1.ef77ce470fe54p-15, 0x1.df8cbf2d2e33fp-15, 0x1.d02630eae4018p-15, 0x1.c13ebe05b7787p-15, 0x1.b2d13ad60c221p-15, 0x1.a4d8b360f667fp-15, 0x1.975069439be01p-15, 0x1.8a33d1afacbc3p-15, 0x1.7d7e93787e07p-15, 0x1.712c85304a8b2p-15, 0x1.6539ab552f62cp-15, 0x1.59a2368d70e61p-15, 0x1.4e6281f29be04p-15, 0x1.4377116b163efp-15, 0x1.38dc9011bc261p-15, 0x1.2e8fceab20345p-15, 0x1.248dc2280acffp-15, 0x1.1ad38234dbe2ep-15, 0x1.115e47d56d06fp-15, 0x1.082b6c0d1842dp-15, 0x1.fe70cd25156bdp-16, 0x1.ed05991e1523cp-16, 0x1.dc109ed1b5fc6p-16, 0x1.cb8d7730ce235p-16, 0x1.bb77ef0fd57c7p-16, 0x1.abcc04fa7a2e1p-16, 0x1.9c85e71af9c86p-16, 0x1.8da1f1348f354p-16, 0x1.7f1caab071934p-16, 0x1.70f2c4bcce1b2p-16, 0x1.6321187d2da9bp-16, 0x1.55a4a54bc7d55p-16, 0x1.487a8f0b34299p-16, 0x1.3ba01c87fb6efp-16, 0x1.2f12b5e98f381p-16, 0x1.22cfe332248f9p-16, 0x1.16d54acd00a42p-16, 0x1.0b20b02ac1479p-16, 0x1.ff5fe4d65a78ap-17, 0x1.e9021628435ap-17, 0x1.d32419aa616f2p-17, 0x1.bdc244af02b79p-17, 0x1.a8d91a333338bp-17, 0x1.946548ad44d37p-17, 0x1.8063a7f19235dp-17, 0x1.6cd1372cc8c38p-17, 0x1.59ab1af2ff8ccp-17, 0x1.46ee9b62e1218p-17, 0x1.3499225c49947p-17, 0x1.22a839c9ad9dfp-17, 0x1.111989fba2d4cp-17, 0x1.ffd5b02bdf4cfp-18, 0x1.de34091b15bd5p-18, 0x1.bd4a136de319ep-18, 0x1.9d13f4c88e1e2p-18, 0x1.7d8e01255c899p-18, 0x1.5eb4b84caf8c5p-18, 0x1.4084c3697a6b5p-18, 0x1.22faf2b915242p-18, 0x1.06143b5574568p-18, 0x1.d39b6a319ad7bp-19, 0x1.9c49313383b04p-19, 0x1.662c7a7e57778p-19, 0x1.31402ed55ecebp-19, 0x1.fafedae4e52eep-20, 0x1.95cb11626b4ecp-20, 0x1.32dc05c5f3e14p-20, 0x1.a4522d2718133p-21, 0x1.cea7d9c829c99p-22, 0x1.756a6b4dfbe5dp-24, -0x1.0b6237519c267p-22, -0x1.35d62f974b5fbp-21, -0x1.e1d04fe26d77dp-21, -0x1.44d6b393407d8p-20, -0x1.96bd78c17d02cp-20, -0x1.e6a3024802942p-20, -0x1.1a46d5b99bf93p-19, -0x1.4041d1cf9d73fp-19, -0x1.654578ca6d9a8p-19, -0x1.8954bb5b19d3p-19, -0x1.ac7278fe737e2p-19, -0x1.cea18165f554bp-19, -0x1.efe495cb65d37p-19, -0x1.081f35180975cp-18, -0x1.17d8d3444880bp-18, -0x1.272073eae6aa9p-18, -0x1.35f7609623fbcp-18, -0x1.445ede551f86cp-18, -0x1.52582e2ec4cffp-18, -0x1.5fe48d8cf13eap-18, -0x1.6d0536a02b871p-18, -0x1.79bb60bc400dbp-18, -0x1.860840ae1fa84p-18, -0x1.91ed090b475a7p-18, -0x1.9d6aea7b06f1ap-18, -0x1.a88313f9edb1ep-18, -0x1.b336b317a8989p-18, -0x1.bd86f42f96832p-18, -0x1.c775029c54868p-18, -0x1.d10208e6867bp-18, -0x1.da2f30ef17fc2p-18, -0x1.e2fda4153184dp-18, -0x1.eb6e8b581f0d3p-18, -0x1.f3830f7558e02p-18, -0x1.fb3c5902ec565p-18, -0x1.014dc843394adp-17, -0x1.04d0ef44632ap-17, -0x1.082835d355f5ep-17, -0x1.0b54304f4aeb5p-17, -0x1.0e55732dd9436p-17, -0x1.112c92ff36b3bp-17, -0x1.13da247145b05p-17, -0x1.165ebc518499cp-17, -0x1.18baef8defffbp-17, -0x1.1aef5334eab4fp-17, -0x1.1cfc7c743afa5p-17, -0x1.1ee300972ec59p-17, -0x1.20a37503f542ap-17, -0x1.223e6f383d20bp-17, -0x1.23b484c5257fcp-17, -0x1.25064b4a8fe97p-17, -0x1.26345871ddd9p-17, -0x1.273f41e82a1bfp-17, -0x1.28279d5805f91p-17, -0x1.28ee0062c783ap-17, -0x1.2993009972e88p-17, -0x1.2a1733754a3dp-17, -0x1.2a7b2e500b4c5p-17, -0x1.2abf865be67ep-17, -0x1.2ae4d09b36785p-17, -0x1.2aeba1d80200bp-17, -0x1.2ad48e9b4e97ep-17, -0x1.2aa02b244c074p-17, -0x1.2a4f0b5f60154p-17, -0x1.29e1c2dd1900fp-17, -0x1.2958e4c90c64bp-17, -0x1.28b503e0a9fcep-17, -0x1.27f6b26a06a78p-17, -0x1.271e822aa4cabp-17, -0x1.262d045e409fcp-17, -0x1.2522c9ada3d81p-17, -0x1.24006225855c7p-17, -0x1.22c65d2d78e74p-17, -0x1.2175497ef43c6p-17, -0x1.200db51c69906p-17, -0x1.1e902d488033bp-17, -0x1.1cfd3e7d690dcp-17, -0x1.1b55746455654p-17, -0x1.199959cd118a8p-17, -0x1.17c978a5c5fcap-17, -0x1.15e659f2e10d9p-17, -0x1.13f085c72b2fp-17, -0x1.11e8833c08a3fp-17, -0x1.0fced869e9bfdp-17, -0x1.0da40a60e9d69p-17, -0x1.0b689d21a20e3p-17, -0x1.091d13962d30ap-17, -0x1.06c1ef8b60612p-17, -0x1.0457b1aa38b5dp-17, -0x1.01ded9717dfe8p-17, -0x1.feafca5f3b814p-18, -0x1.f986a3f9787b5p-18, -0x1.f4433769f9ebbp-18, -0x1.eee679e60a7d8p-18, -0x1.e9715e156a144p-18, -0x1.e3e4d40834a82p-18, -0x1.de41c92d39d58p-18, -0x1.d8892848c4416p-18, -0x1.d2bbd96bd6974p-18, -0x1.ccdac1ebd77f1p-18, -0x1.c6e6c45aaf6c6p-18, -0x1.c0e0c07f56d73p-18, -0x1.bac9934ed6981p-18, -0x1.b4a216e5b45a2p-18, -0x1.ae6b2281d1318p-18, -0x1.a8258a7cb2d5ep-18, -0x1.a1d2204639d16p-18, -0x1.9b71b25fc65d2p-18, -0x1.95050c57c1d61p-18, -0x1.8e8cf6c5956e2p-18, -0x1.880a3746069d1p-18, -0x1.817d9077f905fp-18, -0x1.7ae7c1f996aefp-18, -0x1.74498865d7a0ap-18, -0x1.6da39d526eb0dp-18, -0x1.66f6b74e131c5p-18, -0x1.604389df28f51p-18, -0x1.598ac582c582p-18, -0x1.52cd17ac0cf9p-18, -0x1.4c0b2ac3ea265p-18, -0x1.4545a6291b65p-18, -0x1.3e7d2e3094e86p-18, -0x1.37b26426344d3p-18, -0x1.30e5e64dc7777p-18, -0x1.2a184fe460aecp-18, -0x1.234a3921f63fbp-18, -0x1.1c7c373b515f8p-18, -0x1.15aedc6440cc8p-18, -0x1.0ee2b7d2165fp-18, -0x1.081855be67c21p-18, -0x1.01503f6a137cbp-18, -0x1.f515f641090bdp-19, -0x1.e79218767296dp-19, -0x1.da15e64b066d1p-19, -0x1.cca25ac10a0d1p-19, -0x1.bf386b0ed070cp-19, -0x1.b1d906a797008p-19, -0x1.a4851744c9b6p-19, -0x1.973d80efb39edp-19, -0x1.8a03220b8cc24p-19, -0x1.7cd6d35fece88p-19, -0x1.6fb968239600dp-19, -0x1.62abae079b579p-19, -0x1.55ae6d42db3aep-19, -0x1.48c2689dc7995p-19, -0x1.3be85d7e82368p-19, -0x1.2f2103f53bbe5p-19, -0x1.226d0ec8e2659p-19, -0x1.15cd2b840a2fep-19, -0x1.094202821dd7bp-19, -0x1.f9986df992b84p-20, -0x1.e0d8ce3336a43p-20, -0x1.c84657efc578fp-20, -0x1.afe2337d73b7p-20, -0x1.97ad7f5691cd1p-20, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.80d538066c99fp-9, -0x1.83049265c769fp-8, -0x1.24f5ed3e946cdp-7, -0x1.8b8fba3af340bp-7, -0x1.f63adab567e98p-7, -0x1.32e5700157eb5p-6, -0x1.6d7ce2e52b17fp-6, -0x1.ab337cc1fa471p-6, -0x1.ec4b96989024fp-6, -0x1.187d31802819bp-5, -0x1.3cb42fef32945p-5, -0x1.62d8f9402197p-5, -0x1.8af4109096e04p-5, -0x1.b508afbb037d6p-5, -0x1.e11533026e3d7p-5, -0x1.0789c376cafb3p-4, -0x1.1f7ccaecc815p-4, -0x1.385cd9b3f928ap-4, -0x1.522182359a13dp-4, -0x1.6cc0f12cd6b11p-4, -0x1.88301cd03e33bp-4, -0x1.a462f137a4ecep-4, -0x1.c14c79e3ab633p-4, -0x1.dedf085efa7ebp-4, -0x1.fd0c57ff97728p-4, -0x1.0de2d76c7fea7p-3, -0x1.1d7dfdfb95f02p-3, -0x1.2d4ff97fedf55p-3, -0x1.3d5112ad3dd36p-3, -0x1.4d798c8073b84p-3, -0x1.5dc1ae8e17be8p-3, -0x1.6e21ce481d5d8p-3, -0x1.7e92574c50fadp-3, -0x1.8f0bd2cc11e05p-3, -0x1.9f86ee1d629aap-3, -0x1.affc8084894cep-3, -0x1.c0659044e15ap-3, -0x1.d0bb57067b66dp-3, -0x1.e0f7459da0608p-3, -0x1.f113074046f5dp-3, -0x1.0084421a7f8a9p-2, -0x1.0868f20304967p-2, -0x1.1034c7a150d22p-2, -0x1.17e5186bfc601p-2, -0x1.1f775b854ac7cp-2, -0x1.26e92a0c3ce6bp-2, -0x1.2e383f45dac3ap-2, -0x1.356278a2514bap-2, -0x1.3c65d5a14baa3p-2, -0x1.43407798aae12p-2, -0x1.49f0a160955e3p-2, -0x1.5074b6e79f1fbp-2, -0x1.56cb3cb19dac1p-2, -0x1.5cf2d743923adp-2, -0x1.62ea4a7ee4eb4p-2, -0x1.68b078ee06863p-2, -0x1.6e4463046c67fp-2, -0x1.73a52653aff8p-2, -0x1.78d1fcb77eef4p-2, -0x1.7dca3b79e67c5p-2, -0x1.828d527163acap-2, -0x1.871acb1a0fb5fp-2, -0x1.8b7247ab16458p-2, -0x1.8f93822993b4p-2, -0x1.937e4b79de2a9p-2, -0x1.97328a7029da1p-2, -0x1.9ab03ae153764p-2, -0x1.9df76cb4a2bd6p-2, -0x1.a10842f727c6ap-2, -0x1.a3e2f2f155d25p-2, -0x1.a687c33f68c8cp-2, -0x1.a8f70aed124f3p-2, -0x1.ab313094d9526p-2, -0x1.ad36a98392103p-2, -0x1.af07f8e03f8b9p-2, -0x1.b0a5aed8a9a14p-2, -0x1.b21067d2e3fcbp-2, -0x1.b348cba3f7a09p-2, -0x1.b44f8ccbe1972p-2, -0x1.b52567b6fe891p-2, -0x1.b5cb220507bcbp-2, -0x1.b64189d5ae3f1p-2, -0x1.b689751ae55c4p-2, -0x1.b6a3c0f0e4537p-2, -0x1.b69150fbdadf8p-2, -0x1.b6530ecb61d17p-2, -0x1.b5e9e94397e64p-2, -0x1.b556d40be0bc4p-2, -0x1.b49ac7033e6c2p-2, -0x1.b3b6bdba303a4p-2, -0x1.b2abb6f203056p-2, -0x1.b17ab4217ec74p-2, -0x1.b024b8fedc0bp-2, -0x1.aeaacb0ee3e19p-2, -0x1.ad0df1391ff0dp-2, -0x1.ab4f336105813p-2, -0x1.a96f9a03f3132p-2, -0x1.a7702ddbed937p-2, -0x1.a551f786f83d1p-2, -0x1.a315ff32ec539p-2, -0x1.a0bd4c4dadf86p-2, -0x1.9e48e539a184ap-2, -0x1.9bb9cf0641bcp-2, -0x1.99110d2cb4fccp-2, -0x1.964fa15047788p-2, -0x1.93768b02a2712p-2, -0x1.9086c78bae00ep-2, -0x1.8d8151b4f3a56p-2, -0x1.8a67219866b96p-2, -0x1.87392c727bff1p-2, -0x1.83f864776753ep-2, -0x1.80a5b8ab6c33ap-2, -0x1.7d4214be1ebd4p-2, -0x1.79ce60e8808d4p-2, -0x1.764b81cdd39b2p-2, -0x1.72ba585f1506dp-2, -0x1.6f1bc1c0f9934p-2, -0x1.6b7097345d49ep-2, -0x1.67b9ae01062ccp-2, -0x1.63f7d762a469bp-2, -0x1.602be077f7deap-2, -0x1.5c569234040fep-2, -0x1.5878b1513f36cp-2, -0x1.5492fe469e809p-2, -0x1.50a6353e756p-2, -0x1.4cb30e0f07653p-2, -0x1.48ba3c34c441ep-2, -0x1.44bc6ece10f22p-2, -0x1.40ba50989148cp-2, -0x1.3cb487efdb713p-2, -0x1.38abb6cd87c4fp-2, -0x1.34a07aca85a49p-2, -0x1.30936d21ae4bap-2, -0x1.2c8522b376653p-2, -0x1.28762c0ac2564p-2, -0x1.24671562b92dcp-2, -0x1.205866ad994e8p-2, -0x1.1c4aa39c72accp-2, -0x1.183e4ba7c54e8p-2, -0x1.1433da18e9396p-2, -0x1.102bc614403fcp-2, -0x1.0c2682a41baf3p-2, -0x1.08247ec44df53p-2, -0x1.0426256e5b097p-2, -0x1.002bdda63def9p-2, -0x1.f86c150f71865p-3, -0x1.f08a16a83fd15p-3, -0x1.e8b277013fe64p-3, -0x1.e0e5e589d162ep-3, -0x1.d9250a547f2dp-3, -0x1.d1708635cee6dp-3, -0x1.c9c8f2e3b4e0fp-3, -0x1.c22ee31594c88p-3, -0x1.baa2e2a4c8eap-3, -0x1.b32576ad9220cp-3, -0x1.abb71db07235p-3, -0x1.a4584fb3d3a1ap-3, -0x1.9d097e65fc1e7p-3, -0x1.95cb153f3a19ap-3, -0x1.8e9d79a43b883p-3, -0x1.87810b0889a8ap-3, -0x1.807623111ba37p-3, -0x1.797d15b6f49bcp-3, -0x1.72963169c1bfbp-3, -0x1.6bc1bf32706dcp-3, -0x1.650002d5b80a4p-3, -0x1.5e513af685ec4p-3, -0x1.57b5a13841b5bp-3, -0x1.512d6a60f5854p-3, -0x1.4ab8c67b334f2p-3, -0x1.4457e0f7d1bf4p-3, -0x1.3e0ae0cf59f14p-3, -0x1.37d1e8a34142ep-3, -0x1.31ad16dec427p-3, -0x1.2b9c85d780c29p-3, -0x1.25a04bedb0c76p-3, -0x1.1fb87bac0c3a9p-3, -0x1.19e523e74d3b4p-3, -0x1.14264fdd4cdf7p-3, -0x1.0e7c0753bcab3p-3, -0x1.08e64eb670523p-3, -0x1.036527353d0abp-3, -0x1.fbf11dc2c7c66p-4, -0x1.f14101951a872p-4, -0x1.e6b9ea368803fp-4, -0x1.dc5bc26a03463p-4, -0x1.d2266f97745bep-4, -0x1.c819d201d9b53p-4, -0x1.be35c4fc6a6bcp-4, -0x1.b47a1f1eb973cp-4, -0x1.aae6b277defd8p-4, -0x1.a17b4cc08da55p-4, -0x1.9837b78c35911p-4, -0x1.8f1bb879113f3p-4, -0x1.8627115f37d29p-4, -0x1.7d59807e9f641p-4, -0x1.74b2c0ac1a70cp-4, -0x1.6c32897d4ea06p-4, -0x1.63d88f73a160fp-4, -0x1.5ba48426207f1p-4, -0x1.5396166a63bd1p-4, -0x1.4bacf27c68d25p-4, -0x1.43e8c2256dafep-4, -0x1.3c492ce1c7fe3p-4, -0x1.34cdd805bc489p-4, -0x1.2d7666e158022p-4, -0x1.26427ae34e913p-4, -0x1.1f31b3badd3f4p-4, -0x1.1843af78b7d0ep-4, -0x1.11780aaeffe0fp-4, -0x1.0ace60904becfp-4, -0x1.04464b0dbd8b1p-4, -0x1.fbbec5e858d5cp-5, -0x1.ef328010d0d58p-5, -0x1.e2e6f2452c31ep-5, -0x1.d6db48914f7a8p-5, -0x1.cb0ead8ff118fp-5, -0x1.bf804a9c178efp-5, -0x1.b42f4800e5885p-5, -0x1.a91acd27bf5c3p-5, -0x1.9e4200c4cd823p-5, -0x1.93a40901e3ba1p-5, -0x1.89400ba7d718fp-5, -0x1.7f152e464626ep-5, -0x1.75229659de4fdp-5, -0x1.6b67697124483p-5, -0x1.61e2cd4fc88bbp-5, -0x1.5893e8108d96cp-5, -0x1.4f79e045c9016p-5, -0x1.4693dd1886de3p-5, -0x1.3de106665883ap-5, -0x1.356084ddd1365p-5, -0x1.2d118219c1978p-5, -0x1.24f328bb2f07p-5, -0x1.1d04a482161a9p-5, -0x1.15452264fd703p-5, -0x1.0db3d0a75ed88p-5, -0x1.064fdeeef1bfbp-5, -0x1.fe30fcafb2992p-6, -0x1.f019c30f88911p-6, -0x1.e258797ffcebdp-6, -0x1.d4eb8bdd0383cp-6, -0x1.c7d1697c12dd1p-6, -0x1.bb08854a5e995p-6, -0x1.ae8f55e93bda9p-6, -0x1.a26455c8af964p-6, -0x1.96860340402d9p-6, -0x1.8af2e0a614d85p-6, -0x1.7fa974646b556p-6, -0x1.74a8490d7576dp-6, -0x1.69eded6dac9e5p-6, -0x1.5f78f49ca2e5cp-6, -0x1.5547f60c64f51p-6, -0x1.4b598d9770bd9p-6, -0x1.41ac5b8d53673p-6, -0x1.383f04bdf9b0ap-6, -0x1.2f103283bc9e3p-6, -0x1.261e92cc32e75p-6, -0x1.1d68d81fda244p-6, -0x1.14edb9a89ca76p-6, -0x1.0cabf3373ffa2p-6, -0x1.04a24547c73ep-6, -0x1.f99eea09a804bp-7, -0x1.ea649894192aap-7, -0x1.db93334b316c8p-7, -0x1.cd2860b1694fp-7, -0x1.bf21d0aedb419p-7, -0x1.b17d3c8f10aaep-7, -0x1.a43866fd4214bp-7, -0x1.97511bff15b86p-7, -0x1.8ac530edf020fp-7, -0x1.7e92846ee0bbcp-7, -0x1.72b6fe69467eap-7, -0x1.67308ffc3243ap-7, -0x1.5bfd33729bf76p-7, -0x1.511aec3675dc3p-7, -0x1.4687c6c2adecep-7, -0x1.3c41d8942bde8p-7, -0x1.32474019dda12p-7, -0x1.289624a3d50b3p-7, -0x1.1f2cb6518ec14p-7, -0x1.16092dff681ebp-7, -0x1.0d29cd3354737p-7, -0x1.048cde08da4fap-7, -0x1.f8616638cd992p-8, -0x1.e8274eebffa9ep-8, -0x1.d8683ce6c5957p-8, -0x1.c92107632e488p-8, -0x1.ba4e95ec02c6ep-8, -0x1.abede02dfe892p-8, -0x1.9dfbedc82c4d3p-8, -0x1.9075d61b7b9e5p-8, -0x1.8358c0199f1f6p-8, -0x1.76a1e21345e3bp-8, -0x1.6a4e8185be78ep-8, -0x1.5e5bf2e8155d8p-8, -0x1.52c79977bd3fdp-8, -0x1.478ee704cf171p-8, -0x1.3caf5bbdf1024p-8, -0x1.322685fbf3206p-8, -0x1.27f2020d29b26p-8, -0x1.1e0f7a0099a43p-8, -0x1.147ca570fadccp-8, -0x1.0b37494fa2a1dp-8, -0x1.023d37af5c3f4p-8, -0x1.f3189f1e7dbccp-9, -0x1.e244f94b0b3b3p-9, -0x1.d1fb6e54f237p-9, -0x1.c2380746de7d7p-9, -0x1.b2f6e55bd7d8ap-9, -0x1.a4344195d6cd7p-9, -0x1.95ec6c54bc6e2p-9, -0x1.881bccedb9a31p-9, -0x1.7abee14337ee7p-9, -0x1.6dd23d5d500dp-9, -0x1.61528b02db661p-9, -0x1.553c89532c1ep-9, -0x1.498d0c607a6ddp-9, -0x1.3e40fccb0c508p-9, -0x1.3355575d27da6p-9, -0x1.28c72ca7d9cb6p-9, -0x1.1e93a0a090ed1p-9, -0x1.14b7ea3fa7016p-9, -0x1.0b31531fcc8fap-9, -0x1.01fd371e6e149p-9, -0x1.f23207fa22eabp-10, -0x1.e1047207702f3p-10, -0x1.d06ccd487ffbep-10, -0x1.c0665c3dbcbbep-10, -0x1.b0ec824f3db6cp-10, -0x1.a1fac31a04ddp-10, -0x1.938cc1bf6f878p-10, -0x1.859e4036d90a3p-10, -0x1.782b1ea19440ep-10, -0x1.6b2f5aa11ff12p-10, -0x1.5ea70eafb3475p-10, -0x1.528e717b1decbp-10, -0x1.46e1d5420038dp-10, -0x1.3b9da7335ffedp-10, -0x1.30be6ed09e76bp-10, -0x1.2640cd51cd038p-10, -0x1.1c217d0c6af74p-10, -0x1.125d50dc7db23p-10, -0x1.08f133901ac25p-10, -0x1.ffb44eaa9afccp-11, -0x1.ee2a8a54cd7dfp-11, -0x1.dd3f78a1610afp-11, -0x1.cceda38307117p-11, -0x1.bd2fbf4b7f91bp-11, -0x1.ae00a99f48712p-11, -0x1.9f5b686e08b88p-11, -0x1.913b28efb0153p-11, -0x1.839b3ea646c99p-11, -0x1.76772264669e5p-11, -0x1.69ca715853d31p-11, -0x1.5d90ec1bb2ad1p-11, -0x1.51c675c7ca1acp-11, -0x1.4667130e53dfbp-11, -0x1.3b6ee956c75dcp-11, -0x1.30da3de01c82ap-11, -0x1.26a574e6f955bp-11, -0x1.1ccd10d03fcbcp-11, -0x1.134db157f0635p-11, -0x1.0a2412c45935dp-11, -0x1.014d0d1d8266fp-11, -0x1.f18b26d199d14p-12, -0x1.e11565d172e7p-12, -0x1.d13324c190c3bp-12, -0x1.c1dee2bad10bfp-12, -0x1.b3134effc9fd8p-12, -0x1.a4cb479c919d1p-12, -0x1.9701d80e4ea2bp-12, -0x1.89b237f27e6d8p-12, -0x1.7cd7c9bdd0ea7p-12, -0x1.706e197a80c3ap-12, -0x1.6470db8e0cd22p-12, -0x1.58dbeb8637cccp-12, -0x1.4dab4aed2ead9p-12, -0x1.42db2024c1165p-12, -0x1.3867b54887acdp-12, -0x1.2e4d7716e1041p-12, -0x1.2488f3e0abd9p-12, -0x1.1b16da7f9a29cp-12, -0x1.11f3f9530a3b5p-12, -0x1.091d3d4341fabp-12, -0x1.008fb0caf71bdp-12, -0x1.f090f60e07f5cp-13, -0x1.e089bd985e46p-13, -0x1.d1047385d14cdp-13, -0x1.c1fc0711c485ap-13, -0x1.b36b99b0d31a4p-13, -0x1.a54e7d6ac93bcp-13, -0x1.97a0333faaa49p-13, -0x1.8a5c6997a3233p-13, -0x1.7d7efabd91e9dp-13, -0x1.7103eb640c82ap-13, -0x1.64e769349c27ep-13, -0x1.5925c9690c12cp-13, -0x1.4dbb876e844a7p-13, -0x1.42a54392486d1p-13, -0x1.37dfc1b7ef34ep-13, -0x1.2d67e818c8decp-13, -0x1.233abe0c5fba9p-13, -0x1.19556ad9cad5cp-13, -0x1.0fb53491aa39p-13, -0x1.06577ef0a6e3dp-13, -0x1.fa73949460886p-14, -0x1.e8b364f6c31a4p-14, -0x1.d769dbcb9c225p-14, -0x1.c69298e421345p-14, -0x1.b6296d33ddceep-14, -0x1.a62a58f3bbf69p-14, -0x1.969189d398eecp-14, -0x1.875b5939e76c1p-14, -0x1.78844a9125f79p-14, -0x1.6a0909a2cb4b6p-14, -0x1.5be668ff5964ep-14, -0x1.4e19607342746p-14, -0x1.409f0b8855cd9p-14, -0x1.3374a8135fa3dp-14, -0x1.269794cdb522ap-14, -0x1.1a054ffa5abc7p-14, -0x1.0dbb76167ecbap-14, -0x1.01b7c094fcad2p-14, -0x1.ebf0094942b72p-15, -0x1.d4f46401d3affp-15, -0x1.be78a399ecc32p-15, -0x1.a8790af0dfa9ep-15, -0x1.92f20b5c30cfp-15, -0x1.7de0429794447p-15, -0x1.694078c73fd6p-15, -0x1.550f9e8c175c5p-15, -0x1.414acb29330d9p-15, -0x1.2def3aba4b6c3p-15, -0x1.1afa4c7a8ee36p-15, -0x1.0869811b704bdp-15, -0x1.ec74f255f1c98p-16, -0x1.c8d5e7125e4c4p-16, -0x1.a5f197d84b378p-16, -0x1.83c3f2e484ee2p-16, -0x1.62491a84bc65ap-16, -0x1.417d627291089p-16, -0x1.215d4d48b2557p-16, -0x1.01e58a1142807p-16, -0x1.c625e3d98d537p-17, -0x1.89c50ba1be73bp-17, -0x1.4ea2d8bc36085p-17, -0x1.14b9df9845fc6p-17, -0x1.b809efae694cep-18, -0x1.48fe70f410a64p-18, -0x1.b88fd0e02b382p-19, -0x1.c775afe602f0cp-20, -0x1.36cf6304e4269p-23, 0x1.70d41da429aa9p-20, 0x1.7fd9b7445523bp-19, 0x1.21786a6f2d414p-18, 0x1.80decb0dba46cp-18, 0x1.de26c87a39b81p-18, 0x1.1cab73471e78bp-17, 0x1.493ab3712cd76p-17, 0x1.74c426bac2342p-17, 0x1.9f4ab28dfa40dp-17, 0x1.c8d121dbac20ep-17, 0x1.f15a271d480dcp-17, 0x1.0c742f1e95d01p-16, 0x1.1fbf273345689p-16, 0x1.328f35ded16c7p-16, 0x1.44e58c809313bp-16, 0x1.56c3548ad6553p-16, 0x1.6829b03dff8dcp-16, 0x1.7919bb5978be1p-16, 0x1.89948bc2d60ffp-16, 0x1.999b32237f74fp-16, 0x1.a92eba7d4e56bp-16, 0x1.b8502cb663153p-16, 0x1.c7008d1c9cf72p-16, 0x1.d540dce0fb2bcp-16, 0x1.e3121a8b3e0cbp-16, 0x1.f07542661a0fp-16, 0x1.fd6b4ee440d58p-16, 0x1.04fa9c7f4c279p-15, 0x1.0b09fc45ec0a8p-15, 0x1.10e44248f2d4ep-15, 0x1.1689e9c890a94p-15, 0x1.1bfb6de4fa7b1p-15, 0x1.213949be6d2bp-15, 0x1.2643f8928e89bp-15, 0x1.2b1bf5d747ff8p-15, 0x1.2fc1bd533a312p-15, 0x1.3435cb33e4a6cp-15, 0x1.38789c2199f5fp-15, 0x1.3c8aad5161ef4p-15, 0x1.406c7c94da634p-15, 0x1.441e886835d6ap-15, 0x1.47a14ffe6ed84p-15, 0x1.4af5534bc0e83p-15, 0x1.4e1b130e8871ep-15, 0x1.511310d6944b1p-15, 0x1.53ddcf0b02a9bp-15, 0x1.567bd0eebed1ep-15, 0x1.58ed9aa3afb1ep-15, 0x1.5b33b12caae24p-15, 0x1.5d4e9a6e3e689p-15, 0x1.5f3edd2e63411p-15, 0x1.61050113282d8p-15, 0x1.62a18ea063ea6p-15, 0x1.64150f3481875p-15, 0x1.65600d04720d7p-15, 0x1.66831316d406ep-15, 0x1.677ead3e5e3b4p-15, 0x1.6853681399e22p-15, 0x1.6901d0edfa581p-15, 0x1.698a75dc5d812p-15, 0x1.69ede59d00bd5p-15, 0x1.6a2caf94f70aap-15, 0x1.6a4763c727893p-15, 0x1.6a3e92cae2cbep-15, 0x1.6a12cdc21684cp-15, 0x1.69c4a64f2a5ddp-15, 0x1.6954ae8a8bc0cp-15, 0x1.68c378f7f63f8p-15, 0x1.6811987b7c92ep-15, 0x1.673fa04e5c475p-15, 0x1.664e23f3a34b7p-15, 0x1.653db72caef1ap-15, 0x1.640eeded86ea4p-15, 0x1.62c25c5124c9p-15, 0x1.6158968da19a1p-15, 0x1.5fd230e858a76p-15, 0x1.5e2fbfaa03667p-15, 0x1.5c71d712cfa15p-15, 0x1.5a990b4e7882ap-15, 0x1.58a5f06868461p-15, 0x1.56991a3fe3a42p-15, 0x1.54731c7c445f2p-15, 0x1.52348a8149121p-15, 0x1.4fddf7637cc73p-15, 0x1.4d6ff5dcb59d2p-15, 0x1.4aeb1840b717ap-15, 0x1.484ff071f2572p-15, 0x1.459f0fd66b10bp-15, 0x1.42d9074cc53cp-15, 0x1.3ffe672179aadp-15, 0x1.3d0fbf0439d2fp-15, 0x1.3a0d9dfd7f307p-15, 0x1.36f892644c03dp-15, 0x1.33d129d41d6cbp-15, 0x1.3097f12312d63p-15, 0x1.2d4d745848312p-15, 0x1.29f23ea2691adp-15, 0x1.2686da4e7b7f9p-15, 0x1.230bd0bee3e31p-15, 0x1.1f81aa62a180bp-15, 0x1.1be8eeacc8c04p-15, 0x1.1842240c38c17p-15, 0x1.148dcfe38b446p-15, 0x1.10cc7681456d3p-15, 0x1.0cfe9b1844559p-15, 0x1.0924bfb8673aap-15, 0x1.053f6547785bap-15, 0x1.014f0b7a576afp-15, 0x1.faa8619cb9d7cp-16, 0x1.f29ea50606ec7p-16, 0x1.ea81d92790eacp-16, 0x1.e252f364a70b5p-16, 0x1.da12e681a7b8bp-16, 0x1.d1c2a2994a0c6p-16, 0x1.c963151252a98p-16, 0x1.c0f52895d00fp-16, 0x1.b879c505cdcf6p-16, 0x1.aff1cf747df5p-16, 0x1.a75e2a1be1f0dp-16, 0x1.9ebfb455e6d48p-16, 0x1.96174a94f7b87p-16, 0x1.8d65c65d0aa1fp-16, 0x1.84abfe3d1af02p-16, 0x1.7beac5c91aadep-16, 0x1.7322ed9453947p-16, 0x1.6a55432c39e7bp-16, 0x1.61829113a9f8p-16, 0x1.58ab9ebe960c5p-16, 0x1.4fd1308e1a9f4p-16, 0x1.46f407cd024c6p-16, 0x1.3e14e2acab049p-16, 0x1.35347c42524d6p-16, 0x1.2c538c84cb6ccp-16, 0x1.2372c84a8cc5fp-16, 0x1.1a92e14827dadp-16, 0x1.11b4860f1936ep-16, 0x1.08d8620cf6bf3p-16, 0x1.fffe3b15f19a6p-17, 0x1.ee52bb5bb3834p-17, 0x1.dcaf88ec20c4fp-17, 0x1.cb15e180b187ap-17, 0x1.b986fc8d2e85fp-17, 0x1.a8040b4205b02p-17, 0x1.968e388f4ea12p-17, 0x1.8526a9285ade5p-17, 0x1.73ce7b87e32d6p-17, 0x1.6286c7f4c3963p-17, }}, 
      {{0x1.f5549fc06f366p-1, 0x1.f4dedc6d6d382p-1, 0x1.f41db82545817p-1, 0x1.f3153c5e7161dp-1, 0x1.f1ca4b0ae704dp-1, 0x1.f0424c718ef26p-1, 0x1.ee82eeeb003d2p-1, 0x1.ec91f536dc06cp-1, 0x1.ea7510afa24c1p-1, 0x1.e831c51b688d4p-1, 0x1.e5cd543c5a5ddp-1, 0x1.e34caf97a5cadp-1, 0x1.e0b46f2f1cbdbp-1, 0x1.de08cc23c4416p-1, 0x1.db4d9e67a5fa9p-1, 0x1.d8865ccd24171p-1, 0x1.d5b61ee31c817p-1, 0x1.d2dfa02890feep-1, 0x1.d00544391965p-1, 0x1.cd291ba615b4dp-1, 0x1.ca4ce93febd4bp-1, 0x1.c772279f3b6f8p-1, 0x1.c49a0ec8477d5p-1, 0x1.c1c599cb4e4d9p-1, 0x1.bef58c4b62a62p-1, 0x1.bc2a77dafe63ep-1, 0x1.b964c121fc1d6p-1, 0x1.b6a4a4c45b42ap-1, 0x1.b3ea3c040e419p-1, 0x1.b135811a6b37fp-1, 0x1.ae865347ab734p-1, 0x1.abdc7a984d1bbp-1, 0x1.a937ab614b223p-1, 0x1.a6978974f1c0fp-1, 0x1.a3fbab12b0ea9p-1, 0x1.a1639b94c52eep-1, 0x1.9eceddded9f3ep-1, 0x1.9c3cee90f8b04p-1, 0x1.99ad4602341bap-1, 0x1.971f5a068b083p-1, 0x1.94929f836fddbp-1, 0x1.92068bd65e9b1p-1, 0x1.8f7a9610c9655p-1, 0x1.8cee380c8be9ap-1, 0x1.8a60ef5bf31cfp-1, 0x1.87d23e18434p-1, 0x1.8541ab917d2a7p-1, 0x1.82aec4e202e27p-1, 0x1.80191d689034p-1, 0x1.7d804f2ad5f03p-1, 0x1.7ae3fb22e2dd5p-1, 0x1.7843c979606ebp-1, 0x1.759f69ae84a21p-1, 0x1.72f692b378babp-1, 0x1.704902f5d71bdp-1, 0x1.6d96805ebe02ap-1, 0x1.6aded846dfc29p-1, 0x1.6821df60d5c1cp-1, 0x1.655f719ae6c5p-1, 0x1.629771f95566ep-1, 0x1.5fc9ca6a383bfp-1, 0x1.5cf66b93c60dfp-1, 0x1.5a1d4c9de8301p-1, 0x1.573e6af7ddac2p-1, 0x1.5459ca1a99ed7p-1, 0x1.516f7348867a6p-1, 0x1.4e7f754b38369p-1, 0x1.4b89e42f9d37bp-1, 0x1.488ed9011c903p-1, 0x1.458e7184127e8p-1, 0x1.4288cff00a334p-1, 0x1.3f7e1aaa0f1ebp-1, 0x1.3c6e7bff5d766p-1, 0x1.395a21e0bb9dp-1, 0x1.36413d9eb60a4p-1, 0x1.332403a6f4037p-1, 0x1.3002ab42d46bdp-1, 0x1.2cdd6e5777d7bp-1, 0x1.29b489275e94bp-1, 0x1.26883a15b462ap-1, 0x1.2358c16b64087p-1, 0x1.2026611e07e01p-1, 0x1.1cf15c98c4544p-1, 0x1.19b9f8871daedp-1, 0x1.16807aa1cf26fp-1, 0x1.1345297da9592p-1, 0x1.10084c5c7fd95p-1, 0x1.0cca2b00233d3p-1, 0x1.098b0d7f687fp-1, 0x1.064b3c1d3d106p-1, 0x1.030aff21be28p-1, 0x1.ff953d6aaa8bp-2, 0x1.f914c57b93bbp-2, 0x1.f295257a8feaep-2, 0x1.ec16eb669a58ap-2, 0x1.e59aa3fee7384p-2, 0x1.df20da8c215e7p-2, 0x1.d8aa18ad36509p-2, 0x1.d236e6279737bp-2, 0x1.cbc7c8bad9298p-2, 0x1.c55d43f79b458p-2, 0x1.bef7d91991394p-2, 0x1.b89806e4a1e5bp-2, 0x1.b23e4984f6f68p-2, 0x1.abeb1a71e76e7p-2, 0x1.a59ef0539deddp-2, 0x1.9f5a3eeb6364bp-2, 0x1.991d76fe6f673p-2, 0x1.92e9064329e8ap-2, 0x1.8cbd5750b96c2p-2, 0x1.869ad190ce45ep-2, 0x1.8081d9338d059p-2, 0x1.7a72cf2579af9p-2, 0x1.746e110755443p-2, 0x1.6e73f927cc25p-2, 0x1.6884de7ee433dp-2, 0x1.62a114ab0cc1ap-2, 0x1.5cc8ebefc23bbp-2, 0x1.56fcb135a5eacp-2, 0x1.513cae0bff389p-2, 0x1.4b8928ab86ceap-2, 0x1.45e263fa71026p-2, 0x1.40489f919b66fp-2, 0x1.3abc17c2d368bp-2, 0x1.353d05a01e318p-2, 0x1.2fcb9f03ef5d7p-2, 0x1.2a68169a414e7p-2, 0x1.25129bea8029ep-2, 0x1.1fcb5b623113ap-2, 0x1.1a927e604a353p-2, 0x1.15682b4132c75p-2, 0x1.104c856b51296p-2, 0x1.0b3fad5c25453p-2, 0x1.0641c0b5dbe55p-2, 0x1.0152da4d50dfcp-2, 0x1.f8e62470e7894p-3, 0x1.ef44fbba09e89p-3, 0x1.e5c25fff41fa8p-3, 0x1.dc5e71a61862bp-3, 0x1.d3194c0f795bcp-3, 0x1.c9f305b71b778p-3, 0x1.c0ebb05348016p-3, 0x1.b80358f4d11f3p-3, 0x1.af3a082743c0fp-3, 0x1.a68fc21135b78p-3, 0x1.9e048694a562p-3, 0x1.9598516f63ea2p-3, 0x1.8d4b1a5b732f4p-3, 0x1.851cd52f56806p-3, 0x1.7d0d71fe41e8ep-3, 0x1.751cdd3828109p-3, 0x1.6d4affc98d2cdp-3, 0x1.6597bf3b2c34p-3, 0x1.5e02fdd14ea96p-3, 0x1.568c9aaae2707p-3, 0x1.4f3471e035e7ap-3, 0x1.47fa5ca163f84p-3, 0x1.40de31545da19p-3, 0x1.39dfc3b28c9a2p-3, 0x1.32fee4e6128bfp-3, 0x1.2c3b63a697b99p-3, 0x1.25950c55a120ep-3, 0x1.1f0ba91a7a6dep-3, 0x1.189f01fd9e9efp-3, 0x1.124edd03a2e11p-3, 0x1.0c1afe47a808dp-3, 0x1.060328153d8c6p-3, 0x1.00071b01ce9fap-3, 0x1.f44d2c0af1cb7p-4, 0x1.e8c2ad26ce3abp-4, 0x1.dd6e3163300bbp-4, 0x1.d24f2e204d35dp-4, 0x1.c765163feb7cp-4, 0x1.bcaf5a51c6bccp-4, 0x1.b22d68beb714p-4, 0x1.a7deadf2def0cp-4, 0x1.9dc29486a54d8p-4, 0x1.93d88566ae02p-4, 0x1.8a1fe7faa324dp-4, 0x1.8098224afa0fep-4, 0x1.77409925991cfp-4, 0x1.6e18b0416c2dbp-4, 0x1.651fca60e74ap-4, 0x1.5c55497379454p-4, 0x1.53b88eb5f1c17p-4, 0x1.4b48fad1dc7f7p-4, 0x1.4305edfbd554fp-4, 0x1.3aeec810d7c49p-4, 0x1.3302e8b28d369p-4, 0x1.2b41af629db0dp-4, 0x1.23aa7b9d06bf5p-4, 0x1.1c3cacf17b047p-4, 0x1.14f7a31bcf5d4p-4, 0x1.0ddabe1b7a2d9p-4, 0x1.06e55e4a26ef5p-4, 0x1.0016e471637ap-4, 0x1.f2dd63bed459fp-5, 0x1.e5d850f61ea1dp-5, 0x1.d91d55ada7421p-5, 0x1.ccab3886400e6p-5, 0x1.c080c1bf66539p-5, 0x1.b49cbb587e12p-5, 0x1.a8fdf1307ffd5p-5, 0x1.9da331241ed34p-5, 0x1.928b4b2a6de4bp-5, 0x1.87b5117011419p-5, 0x1.7d1f587101bcap-5, 0x1.72c8f710ec2a1p-5, 0x1.68b0c6b234a5p-5, 0x1.5ed5a34baa863p-5, 0x1.55366b7cef28dp-5, 0x1.4bd200a19e43ep-5, 0x1.42a746e33e2ep-5, 0x1.39b5254a0022bp-5, 0x1.30fa85cc5a099p-5, 0x1.2876555d81d73p-5, 0x1.202783fad4068p-5, 0x1.180d04b82b81fp-5, 0x1.1025cdcb34202p-5, 0x1.0870d895c18f9p-5, 0x1.00ed21af2f9dfp-5, 0x1.f33351d9aab4bp-6, 0x1.e4eae2d327bf5p-6, 0x1.d6ff03190b64bp-6, 0x1.c96dc61db3eabp-6, 0x1.bc354601bea88p-6, 0x1.af53a39c8d74dp-6, 0x1.a2c7068352e71p-6, 0x1.968d9d0ea07e9p-6, 0x1.8aa59c5e9b468p-6, 0x1.7f0d405dd20acp-6, 0x1.73c2cbc2cf261p-6, 0x1.68c4881065eap-6, 0x1.5e10c594d92e1p-6, 0x1.53a5db67d782ap-6, 0x1.4982276762d68p-6, 0x1.3fa40e33ac021p-6, 0x1.3609fb29f04a4p-6, 0x1.2cb2605e5e7cep-6, 0x1.239bb695180dfp-6, 0x1.1ac47d3a4f9f4p-6, 0x1.122b3a5998a4bp-6, 0x1.09ce7a9463ee7p-6, 0x1.01acd117cc467p-6, 0x1.f389af2337d25p-7, 0x1.e42a5c496b8d8p-7, 0x1.d538f6b9a1e8fp-7, 0x1.c6b2d8433ddebp-7, 0x1.b8956752c60c1p-7, 0x1.aade16d5f5d23p-7, 0x1.9d8a661edc654p-7, 0x1.9097e0c5fe885p-7, 0x1.84041e8ba6958p-7, 0x1.77ccc33853589p-7, 0x1.6bef7e7c6e8bcp-7, 0x1.606a0bcf498e7p-7, 0x1.553a324d75724p-7, 0x1.4a5dc4968308cp-7, 0x1.3fd2a0aa2bef1p-7, 0x1.3596afc50b253p-7, 0x1.2ba7e63cd30bep-7, 0x1.2204435c2149ap-7, 0x1.18a9d13df3446p-7, 0x1.0f96a4a8c74a6p-7, 0x1.06c8dce97467ap-7, 0x1.fc7d475b8b265p-8, 0x1.ebec59bdb9b22p-8, 0x1.dbdb6cf6d926ep-8, 0x1.cc4710e398f0ap-8, 0x1.bd2be8f3e9cc5p-8, 0x1.ae86abdece194p-8, 0x1.a0542356162dcp-8, 0x1.92912bba14cb6p-8, 0x1.853ab3cd5f1c4p-8, 0x1.784dbc689eb4ep-8, 0x1.6bc7582e894dap-8, 0x1.5fa4ab400855ap-8, 0x1.53e2eaf09b59ep-8, 0x1.487f5d7b003aep-8, 0x1.3d7759b630f36p-8, 0x1.32c846caba098p-8, 0x1.286f9be8796d4p-8, 0x1.1e6adffccbf59p-8, 0x1.14b7a96931edcp-8, 0x1.0b539dba7715cp-8, 0x1.023c716060e6p-8, 0x1.f2dfcecbd8315p-9, 0x1.e1d7a25448543p-9, 0x1.d15c1c332a325p-9, 0x1.c16916d0c311cp-9, 0x1.b1fa879a0a4b8p-9, 0x1.a30c7e77821aep-9, 0x1.949b254580989p-9, 0x1.86a2bf4de4607p-9, 0x1.791fa8c345344p-9, 0x1.6c0e563da51dfp-9, 0x1.5f6b5438ac323p-9, 0x1.5333469372544p-9, 0x1.4762e811dd2dp-9, 0x1.3bf709df9eb6fp-9, 0x1.30ec9314ce2dfp-9, 0x1.2640803c28564p-9, 0x1.1befe2daf7a96p-9, 0x1.11f7e0faaa9bep-9, 0x1.0855b4b41499cp-9, 0x1.fe0d5778c5789p-10, 0x1.ec104de78cf35p-10, 0x1.daaf33eb9df89p-10, 0x1.c9e51556fd4adp-10, 0x1.b9ad21be2ad1ap-10, 0x1.aa02aba32244ep-10, 0x1.9ae127a3cfabfp-10, 0x1.8c442babefd14p-10, 0x1.7e276e2a6128ep-10, 0x1.7086c549db0a2p-10, 0x1.635e262d155cbp-10, 0x1.56a9a42e52172p-10, 0x1.4a657022488ecp-10, 0x1.3e8dd79e78396p-10, 0x1.331f4442ca1c8p-10, 0x1.28163b06940e2p-10, 0x1.1d6f5b88e3e06p-10, 0x1.13275f641c9c2p-10, 0x1.093b1984d0649p-10, 0x1.ff4eeb07bd59p-11, 0x1.ecd2ee079768ep-11, 0x1.dafc722283567p-11, 0x1.c9c5db0d81eabp-11, 0x1.b929b8e6de55fp-11, 0x1.a922c70a00243p-11, 0x1.99abeae960b9p-11, 0x1.8ac032ee912f9p-11, 0x1.7c5ad560426f7p-11, 0x1.6e772f4e3a841p-11, 0x1.6110c3832941ep-11, 0x1.5423397c44202p-11, 0x1.47aa5c669e79p-11, 0x1.3ba21a22227d6p-11, 0x1.3006824a2166bp-11, 0x1.24d3c5435d682p-11, 0x1.1a06334f82559p-11, 0x1.0f9a3ba5f608bp-11, 0x1.058c6b91ea73dp-11, 0x1.f7b2db2b42544p-12, 0x1.e4fc1125991c2p-12, 0x1.d2ee3defeb4d5p-12, 0x1.c1835be5af7d6p-12, 0x1.b0b5994f3860bp-12, 0x1.a07f56d9c0975p-12, 0x1.90db2618e71b7p-12, 0x1.81c3c8116f489p-12, 0x1.73342bcd2240ap-12, 0x1.65276cf7a3bfcp-12, 0x1.5798d284148a4p-12, 0x1.4a83cd5b5ad1ep-12, 0x1.3de3f712e9662p-12, 0x1.31b510abdae47p-12, 0x1.25f3015a3bfc7p-12, 0x1.1a99d55460bf1p-12, 0x1.0fa5bcaa153d1p-12, 0x1.05130a238bba9p-12, 0x1.f5bc644fbc45ep-13, 0x1.e2079355f6353p-13, 0x1.cf010a45bb9e4p-13, 0x1.bca26f07c9abbp-13, 0x1.aae5a28853d8dp-13, 0x1.99c4becb5fa58p-13, 0x1.893a150e8abc1p-13, 0x1.79402bf7f460ep-13, 0x1.69d1bdd1fcb55p-13, 0x1.5ae9b6d39ac1cp-13, 0x1.4c833374fd9ccp-13, 0x1.3e997ed03e23fp-13, 0x1.3128110dcc9b7p-13, 0x1.242a8ddc6b5dfp-13, 0x1.179cc2f463be9p-13, 0x1.0b7aa6a5be2c4p-13, 0x1.ff80ace27977bp-14, 0x1.e8d42b57a3ad9p-14, 0x1.d2e89858b66f7p-14, 0x1.bdb70a06cb819p-14, 0x1.a938da7966091p-14, 0x1.9567a554a9a37p-14, 0x1.823d457227749p-14, 0x1.6fb3d29be6bc7p-14, 0x1.5dc59f592aad4p-14, 0x1.4c6d36cc8b0ap-14, 0x1.3ba55aa2f095dp-14, 0x1.2b69011308b41p-14, 0x1.1bb352ecc875bp-14, 0x1.0c7fa9b895543p-14, 0x1.fb931bcb5d196p-15, 0x1.df196a0ee413p-15, 0x1.c38a004237e15p-15, 0x1.a8dcf3ff3c3d9p-15, 0x1.8f0aab42641fbp-15, 0x1.760bd95493c0bp-15, 0x1.5dd97bcf034bap-15, 0x1.466cd7b875a89p-15, 0x1.2fbf76bb1333cp-15, 0x1.19cb24723946ep-15, 0x1.0489ebcf9c178p-15, 0x1.dfec292e21b8ap-16, 0x1.b81441e0cb50cp-16, 0x1.9181961d3e307p-16, 0x1.6c2a05d81c70bp-16, 0x1.4803d83536df5p-16, 0x1.2505b74f75459p-16, 0x1.0326ac26e9b1bp-16, 0x1.c4bc3567e8969p-17, 0x1.85477c3cc7709p-17, 0x1.47df4a2f03d15p-17, 0x1.0c745cac15c5ap-17, 0x1.a5f014cc0e693p-18, 0x1.36b87999e9ca3p-18, 0x1.964da719c6aa1p-19, 0x1.8c846d075c32dp-20, -0x1.71b57d85f1047p-26, -0x1.8aa6bbbaea96cp-20, -0x1.813bec3abb102p-19, -0x1.1b64cf400352dp-18, -0x1.7313a7aeab96dp-18, -0x1.c7bf1f75d7e4bp-18, -0x1.0cbd8944c220ap-17, -0x1.342d50cd8786fp-17, -0x1.5a381d4a8a924p-17, -0x1.7ee6d06012df6p-17, -0x1.a241fa49a0607p-17, -0x1.c451dd996181fp-17, -0x1.e51e72d044211p-17, -0x1.0257b5e7ff552p-16, -0x1.11861b941c1d5p-16, -0x1.201e01a01cc02p-16, -0x1.2e22e0af19eb7p-16, -0x1.3b981446b67dbp-16, -0x1.4880dc323374fp-16, -0x1.54e05dd60d05ep-16, -0x1.60b9a574b99ep-16, -0x1.6c0fa764fe1b6p-16, -0x1.76e5413a6e8c5p-16, -0x1.813d3ae08c988p-16, -0x1.8b1a47a905478p-16, -0x1.947f074d88a43p-16, -0x1.9d6e06e5a97cap-16, -0x1.a5e9c1d13d948p-16, -0x1.adf4a297a6c5ap-16, -0x1.b59103bc74bf9p-16, -0x1.bcc13089c4473p-16, -0x1.c38765d0bf66dp-16, -0x1.c9e5d2a0a1ffcp-16, -0x1.cfde98f4a34b9p-16, -0x1.d573ce591ac55p-16, -0x1.daa77c883bfe3p-16, -0x1.df7ba1fec1fe7p-16, -0x1.e3f23288d5247p-16, -0x1.e80d17c78a9e4p-16, -0x1.ebce31af3894ep-16, -0x1.ef3756fefd6e2p-16, -0x1.f24a55b1b6ac9p-16, -0x1.f508f368b0ec8p-16, -0x1.f774edd0590e6p-16, -0x1.f98ffaff2f664p-16, -0x1.fb5bc9cf38c1dp-16, -0x1.fcda02322ed52p-16, -0x1.fe0c4580aec05p-16, -0x1.fef42ec494842p-16, -0x1.ff9352fecc2bfp-16, -0x1.ffeb4168ba8cap-16, -0x1.fffd83b182c37p-16, -0x1.ffcb9e374ea71p-16, -0x1.ff57103cd5405p-16, -0x1.fea1541b3e475p-16, -0x1.fdabdf70a436ep-16, -0x1.fc78234b4b4d1p-16, -0x1.fb078c51c4f4ep-16, -0x1.f95b82e826827p-16, -0x1.f7756b52723d8p-16, -0x1.f556a5d45df61p-16, -0x1.f3008ece9a72fp-16, -0x1.f0747ed9bf085p-16, -0x1.edb3cadef4001p-16, -0x1.eabfc42e859e5p-16, -0x1.e799b89473f05p-16, -0x1.e442f26b28778p-16, -0x1.e0bcb8ac5d387p-16, -0x1.dd084f0064bc9p-16, -0x1.d926f5cbdbac5p-16, -0x1.d519ea3be5df8p-16, -0x1.d0e266510b113p-16, -0x1.cc81a0e8cc6f6p-16, -0x1.c7f8cdc607ebfp-16, -0x1.c3491d9839e1ap-16, -0x1.be73be01bcc1ep-16, -0x1.b979d99d0b1e1p-16, -0x1.b45c980120de7p-16, -0x1.af1d1dc508a0bp-16, -0x1.a9bc8c82a5161p-16, -0x1.a43c02d8cd726p-16, -0x1.9e9c9c6cbda2cp-16, -0x1.98df71eafd9b8p-16, -0x1.93059907b2c55p-16, -0x1.8d10247e849b1p-16, -0x1.870024120c8cap-16, -0x1.80d6a48ae1b85p-16, -0x1.7a94afb656d1fp-16, -0x1.743b4c64e191dp-16, -0x1.6dcb7e6844e3dp-16, -0x1.6746469184536p-16, -0x1.60aca2aea16bdp-16, -0x1.59ff8d88373b3p-16, -0x1.533ffedef568p-16, -0x1.4c6eeb69009d7p-16, -0x1.458d44cf448e3p-16, -0x1.3e9bf9aabe0adp-16, -0x1.379bf581ba47fp-16, -0x1.308e20c522659p-16, -0x1.297360cdc35b4p-16, -0x1.224c97d9ab82cp-16, -0x1.1b1aa50994623p-16, -0x1.13de645e6667bp-16, -0x1.0c98aeb6d189cp-16, -0x1.054a59cd06557p-16, -0x1.fbe870692777bp-17, -0x1.ed2e32b0c646fp-17, -0x1.de6792f1bdfa7p-17, -0x1.cf9623548a9b3p-17, -0x1.c0bb6fa64973ep-17, -0x1.b1d8fd560f661p-17, -0x1.a2f04b72a9e5bp-17, -0x1.9402d2a8b7dcep-17, -0x1.851205413a2d8p-17, -0x1.761f4f20806ebp-17, -0x1.672c15c5975e6p-17, -0x1.5839b84a0dcbp-17, -0x1.49498f6247713p-17, -0x1.3a5ced5e287b1p-17, -0x1.2b751e2a4a322p-17, -0x1.1c9367519953fp-17, -0x1.0db907ff6e53p-17, -0x1.fdce720434ef5p-18, -0x1.e03e599bd8f5p-18, -0x1.c2c41f015490fp-18, -0x1.a5620dcb01e84p-18, -0x1.881a64f2d30e4p-18, -0x1.6aef56e00646cp-18, -0x1.4de30971c049cp-18, -0x1.30f7960a8a3b2p-18, -0x1.142f099cb6384p-18, -0x1.ef16c96f3cbe4p-19, -0x1.b61d372b8b9f8p-19, -0x1.7d752c579d5a3p-19, -0x1.4522607091bccp-19, -0x1.0d2872a8a4b6dp-19, -0x1.ab15d41415124p-20, -0x1.3c9a6b36c394ep-20, -0x1.9dcab216bc92ap-21, -0x1.87f471deeb78p-22, 0x1.42ff5711f8d61p-25, 0x1.d54f2dfd5ad6p-22, 0x1.bf60c6887223dp-21, 0x1.4927fd8245954p-20, 0x1.b1b5036af78p-20, 0x1.0ca905c3523a3p-19, 0x1.3ffceca937959p-19, 0x1.72d3ae6de4775p-19, 0x1.a52ad92cd5642p-19, 0x1.d70010e1c5618p-19, 0x1.04288799895dfp-18, 0x1.1c8dd19d8f0b9p-18, 0x1.34aed8a852c0ep-18, 0x1.4c8a996716b66p-18, 0x1.64201aec405f3p-18, 0x1.7b6e6e9226e28p-18, 0x1.9274afdd79d1dp-18, 0x1.a932045f40659p-18, 0x1.bfa59b967a798p-18, 0x1.d5ceaed1662a6p-18, 0x1.ebac810e71008p-18, 0x1.009f2f6e6b306p-17, 0x1.0b41cf1e7b668p-17, 0x1.15bdcf40323e7p-17, 0x1.2012e414d9931p-17, 0x1.2a40c666039a5p-17, 0x1.3447337538d9fp-17, 0x1.3e25eceb8adf9p-17, 0x1.47dcb8c911c96p-17, 0x1.516b61545430bp-17, 0x1.5ad1b5099b566p-17, 0x1.640f868a3e15dp-17, 0x1.6d24ac8bcf29fp-17, 0x1.761101c753602p-17, 0x1.7ed464e85e23p-17, 0x1.876eb87c2f773p-17, 0x1.8fdfe2e0c66fdp-17, 0x1.9827ce33f6855p-17, 0x1.a046684274467p-17, 0x1.a83ba276ed91p-17, 0x1.b00771c91642ap-17, 0x1.b7a9ceacc1e29p-17, 0x1.bf22b501019dbp-17, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      44, 0x1.0cccccccccccdp+2, 0x1.058d371857f3ep+1, 0x1.b1b9a4b2ddf31p+1, -0x1.dffe1948de154p-4, 
      {{
        {0x1p+1, 0x1.0666666666666p+1, 0x1.85633a8986f94p-2, -0x1.043755d274f92p+0, 0x1.09dbf4fa78334p+0, -0x1.812680b488cfdp-2}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.53f46fb5e2d01p-2, -0x1.d4b46c6941c76p-1, 0x1.f6d506b432f09p-1, -0x1.8413d3dcd777cp-2}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.278cccf8f00bbp-2, -0x1.a3e079a7bec59p-1, 0x1.d9b9f06a092dep-1, -0x1.8690d68989817p-2}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.ffc3a644ae27dp-3, -0x1.75f80642232b9p-1, 0x1.bc6f13861eddep-1, -0x1.892c2c494a482p-2}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.b9510845d4e9fp-3, -0x1.4afff6645c338p-1, 0x1.9ef229cd6c7ebp-1, -0x1.8bbe863868da7p-2}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.7b2ac6194dc6p-3, -0x1.22fd42b711bedp-1, 0x1.8143dfbc64a1ap-1, -0x1.8e567c5707005p-2}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.44b8e825666dfp-3, -0x1.fbe9c14bac37ep-2, 0x1.6363c99c441b5p-1, -0x1.90e0fd88441d2p-2}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.15627912c0e1p-3, -0x1.b7d77c27ae775p-2, 0x1.4552e9cba565cp-1, -0x1.939bb63f8c2c7p-2}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.d91b0b98a6d6fp-4, -0x1.79cdd485d432fp-2, 0x1.270da286e148fp-1, -0x1.952325ff5f255p-2}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.933e4b5cfff5ep-4, -0x1.41d4f7809bb1dp-2, 0x1.08aaffad53bf9p-1, -0x1.95c8e44c5dfe2p-2}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.57f7a91a299e5p-4, -0x1.0ff112e113549p-2, 0x1.d477dd1bffcc7p-2, -0x1.95aa1391674ecp-2}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.260f99729a4ebp-4, -0x1.c846536e179c9p-3, 0x1.979e5a2c96b42p-2, -0x1.98ff509c7f2c9p-2}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.f89c3cc3a264cp-5, -0x1.7ce2ce1fd7899p-3, 0x1.5a44dae1ea06ap-2, -0x1.84fc871ce2d49p-2}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.b2f83161c15f7p-5, -0x1.3d778ac64adadp-3, 0x1.1febc69d94cd5p-2, -0x1.599dbabeee56ap-2}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.78e38ff0c5029p-5, -0x1.09112721f5ca1p-3, 0x1.d8283b9b7bb37p-3, -0x1.31bef12201babp-2}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.484a9544d7a6p-5, -0x1.bcdffcc71fb0ap-4, 0x1.7c6ef3447b2eep-3, -0x1.08efc0e4d5356p-2}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.1f57debe2f9c5p-5, -0x1.78bc828d17b0ep-4, 0x1.2cf3d2ffd4d26p-3, -0x1.c0c450cf45955p-3}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.f8e8d4921e698p-6, -0x1.43470285fecf3p-4, 0x1.d3465a8e47f78p-4, -0x1.6f7d2f158a202p-3}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.bc8f2cbb89791p-6, -0x1.1a0feea77349p-4, 0x1.650732d49e87bp-4, -0x1.1e62a0d939f66p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.876e440154f74p-6, -0x1.f54f76b0037b6p-5, 0x1.0f1ccf604056ep-4, -0x1.99836acd22678p-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.57ce59844d6fep-6, -0x1.c53b086a14922p-5, 0x1.a35efeb6298f3p-5, -0x1.f436ad3f70e72p-5}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.2c746d7d57665p-6, -0x1.9f0b8b1f6143p-5, 0x1.5856cb1fd8ap-5, -0x1.3163c7fdbd033p-6}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.04a2413d6f572p-6, -0x1.7dc1a3666d449p-5, 0x1.416f4f53373fbp-5, 0x1.9c1c3630c02c4p-12}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.c021de036e4b3p-7, -0x1.5d96b9c3b1407p-5, 0x1.41eaf1637912ep-5, -0x1.03c0d1a9c6e28p-8}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.7d6ae02013939p-7, -0x1.3da3f8dcb44a5p-5, 0x1.3d0c20a84a251p-5, -0x1.3ba42a5448f5ep-8}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.410a45a71e04p-7, -0x1.1e3b503231bebp-5, 0x1.37210ca9e8c6dp-5, -0x1.b10e719304f9p-8}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.0ae0c561917bap-7, -0x1.ff0caf08484dep-6, 0x1.2f0260ef27156p-5, -0x1.0afe1d7176e12p-7}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.b58a20164c7cap-8, -0x1.c372ebc18473cp-6, 0x1.24ff3fd47f6cep-5, -0x1.3faa86ad1d139p-7}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.6107a0a491ea3p-8, -0x1.8a0c59bc25a31p-6, 0x1.1902746134bc3p-5, -0x1.73bf1c914523ap-7}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.17bf55b03557ep-8, -0x1.533d89494025fp-6, 0x1.0b11b01bc2246p-5, -0x1.a7fd7b3fc3efbp-7}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.b244f8c1c3523p-9, -0x1.1f6aa1162d933p-6, 0x1.f656c3c5ef309p-6, -0x1.dc2c8a1c578d5p-7}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.491c8b8755107p-9, -0x1.ddefc274577d8p-7, 0x1.d2a0396a356c7p-6, -0x1.083787bb2b8cap-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.e52f5b2c31a07p-10, -0x1.84931b91447f6p-7, 0x1.aafe4b74887d9p-6, -0x1.223985563fe6ep-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.5a41213bb216dp-10, -0x1.338782f4dacc9p-7, 0x1.7f75aaa798816p-6, -0x1.3caedbfa4fcd2p-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.dbe53864c7293p-11, -0x1.d72ce1d9b34e6p-8, 0x1.4ff509a872ef3p-6, -0x1.5576138c5ebe8p-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.38ef9d36429fcp-11, -0x1.5b094a17f8d0fp-8, 0x1.1cbced203186p-6, -0x1.74826e5d6a631p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.86d22a59a68cfp-12, -0x1.e8a1fbd41d334p-9, 0x1.c9b91f8ac322p-7, -0x1.69b476072d337p-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.ca2f23e65a607p-13, -0x1.473eec0dae043p-9, 0x1.5d362f5568c52p-7, -0x1.350fcd6b6b78ap-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.eea1fd9976c9cp-14, -0x1.9c35ac2b9a3c6p-10, 0x1.007e3e81fbbadp-7, -0x1.06a55f697291fp-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.dd138cb26fcc2p-15, -0x1.dd10b94e9e798p-11, 0x1.636610917f838p-8, -0x1.ad69a410dcc09p-7}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.86d22a59a68bdp-16, -0x1.e88d420a68792p-12, 0x1.c526584c142e2p-9, -0x1.4d450f139d1ffp-7}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.eea1fd9976d47p-18, -0x1.9c088d6710906p-13, 0x1.fa60381a389e3p-10, -0x1.e2754382a2edp-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.86d22a59a6a81p-20, -0x1.eae400551f41dp-15, 0x1.b1cd52647a88cp-11, -0x1.0a161ffcd844ap-8}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.86d22a59a9p-24, -0x1.a200b0bdd159p-18, 0x1.c9fe49a10f2c2p-13, -0x1.641eb8838c97dp-8}, 
      }}, 
      0x1.4f1df1fa990e2p-4, -0x1.0243c85e06bdep-1
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_n_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, -0x1.0afc468d02319p-2, -0x1.51eb851eb851fp-1, -0x1.d614742b4b076p-4, 0x1.b93dd97f62b6bp-2, 0x1.b93dd97f62b6bp-2, 0x1.b93dd97f62b6bp-2, 0, 3, 2}, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.18db3bb1656d3p+1, -0x1.177b032148881p+1, -0x1.153832ed9f516p+1, -0x1.121ddfc8fca39p+1, -0x1.0e395699c88c9p+1, -0x1.0998e8e10f698p+1, -0x1.044c9a6001556p+1, -0x1.fcc8d942b5283p+0, -0x1.efe14581caa27p+0, -0x1.e202e2257b9bfp+0, -0x1.d34c54f3a0cb9p+0, -0x1.c3ddcdcd743f6p+0, -0x1.b3d28acb1dfd5p+0, -0x1.a347b68399456p+0, -0x1.925761dad30ap+0, -0x1.811a182481bd4p+0, -0x1.6fa71b04c5b9fp+0, -0x1.5e13cb9fe13c6p+0, -0x1.4c7387ecca051p+0, -0x1.3ad8b9dbeba1bp+0, -0x1.29540643f224cp+0, -0x1.17f3d6c1db5eep+0, -0x1.06c5479677171p+0, -0x1.eba92e3cf2b49p-1, -0x1.ca597a3fdbbb3p-1, -0x1.a9ade04fe5f2dp-1, -0x1.89b3fbc20121ap-1, -0x1.6a7b9cb6b1a06p-1, -0x1.4c0fad20a3512p-1, -0x1.2e79b05d19d8bp-1, -0x1.11c17ca67be9dp-1, -0x1.ebdaa65b1fd5cp-2, -0x1.b603acb458d5ep-2, -0x1.820428d19c853p-2, -0x1.4fdf8367ca932p-2, -0x1.1f9713a4fe859p-2, -0x1.e2553684b92f5p-3, -0x1.8930df2dd590ap-3, -0x1.33babe67f38dfp-3, -0x1.c3d22d6d2908ap-4, -0x1.275dad693fe2cp-4, -0x1.23f069ce2d812p-5, -0x1.bf0192e2c113dp-11, 0x1.086dbf46d5c1ap-5, 0x1.054d4db56bc9fp-4, 0x1.7fec656867c5dp-4, 0x1.f43baa6cd62cdp-4, 0x1.3131d9cb317a9p-3, 0x1.65478014e39e8p-3, 0x1.96753ffe894f8p-3, 0x1.c4d2bfb96455bp-3, 0x1.f0787aab713f3p-3, 0x1.0cbf9e11dbc19p-2, 0x1.1fffceca7c142p-2, 0x1.3210008be9e92p-2, 0x1.42ec8c791f4eap-2, 0x1.52a78ae102843p-2, 0x1.614c53a4964fep-2, 0x1.6ee62071eddb5p-2, 0x1.7b8001fd84624p-2, 0x1.8724d321fe86fp-2, 0x1.91df2d08f8b65p-2, 0x1.9bb95f6c52534p-2, 0x1.a4bd6e89f9e12p-2, 0x1.acf516405d9d2p-2, 0x1.b469cfeeea7fdp-2, 0x1.bb24d7e97c724p-2, 0x1.c12f2fcc1886dp-2, 0x1.c6919c6e197d1p-2, 0x1.cb549feb63a5fp-2, 0x1.cf80718ebf4d9p-2, 0x1.d31cf5fa2edc3p-2, 0x1.d631b9b195208p-2, 0x1.d8c5ef61fd57bp-2, 0x1.dae07237be01cp-2, 0x1.dc87cb9ec11bep-2, 0x1.ddc23b1ba6086p-2, 0x1.de95bea6b2393p-2, 0x1.df081a11302cdp-2, 0x1.df1edc6a2e6dap-2, 0x1.dedf62e98b58ap-2, 0x1.de4ed977b4474p-2, 0x1.dd723956762fp-2, 0x1.dc4e46ac480a4p-2, 0x1.dae78dbf7bcdp-2, 0x1.d94260951405ep-2, 0x1.d762d577273e3p-2, 0x1.d54cc6af834e4p-2, 0x1.d303d38f49de5p-2, 0x1.d08b62b16e806p-2, 0x1.cde6a5465a0a9p-2, 0x1.cb189b2292cdfp-2, 0x1.c824173ffe6a6p-2, 0x1.c50bc46000a76p-2, 0x1.c1d22982ecad1p-2, 0x1.be79adf57c726p-2, 0x1.bb049cc5b0b9p-2, 0x1.b7752783596b8p-2, 0x1.b3cd6843a2275p-2, 0x1.b00f62f021c6fp-2, 0x1.ac3d05f79fa4bp-2, 0x1.a8582a8015e08p-2, 0x1.a462943e3aa84p-2, 0x1.a05df117956a2p-2, 0x1.9c4bd8b1be744p-2, 0x1.982dcc0ce02cbp-2, 0x1.94053541d48f7p-2, 0x1.8fd367761945ap-2, 0x1.8b999f118d9d3p-2, 0x1.8759023c04bcfp-2, 0x1.8317c7de8e1c7p-2, 0x1.7ecc334a95a47p-2, 0x1.7a7c861fe22b7p-2, 0x1.7629a11244b1cp-2, 0x1.71d45689bd727p-2, 0x1.6d7d6b988845ap-2, 0x1.692598f1cc2cfp-2, 0x1.64cd8bdb5ca31p-2, 0x1.6075e715855f3p-2, 0x1.5c1f43b47fecbp-2, 0x1.57ca31e83583ep-2, 0x1.537739afd7563p-2, 0x1.4f26db7806888p-2, 0x1.4ad990a33ee2fp-2, 0x1.468fcbfd4be38p-2, 0x1.4249fa1b50f12p-2, 0x1.3e0881aab125bp-2, 0x1.39cbc3b17c6afp-2, 0x1.35941bc34bd41p-2, 0x1.3161e02d72b5fp-2, 0x1.2d35621d4742ap-2, 0x1.290eedc2f40e9p-2, 0x1.24eeca72fc36bp-2, 0x1.20d53ac82670ep-2, 0x1.1cc27cc72d8c1p-2, 0x1.18b6ca052a789p-2, 0x1.14b257d152a7ep-2, 0x1.10b557624d2c7p-2, 0x1.0cbff60711d94p-2, 0x1.08d25d5afc9dbp-2, 0x1.04ecb37c81c8p-2, 0x1.010f1b45bf77dp-2, 0x1.fa73690c18c96p-3, 0x1.f2d9387701d9ep-3, 0x1.eb4fd997102f1p-3, 0x1.e3d77c7308e42p-3, 0x1.dc704cb56454cp-3, 0x1.d51a720d2505ep-3, 0x1.cdd61086ac2fap-3, 0x1.c6a348dbc1998p-3, 0x1.bf8238ba7c198p-3, 0x1.b872fb02d8939p-3, 0x1.b175a7fb44f5bp-3, 0x1.aa8a557c88bedp-3, 0x1.a3b117159c338p-3, 0x1.9ce9fe284e8c4p-3, 0x1.963519ff7051dp-3, 0x1.8f9277df9537ep-3, 0x1.89022313479b4p-3, 0x1.828424f3ad9a9p-3, 0x1.7c1884ee89c3dp-3, 0x1.75bf488a76c21p-3, 0x1.6f78736a38302p-3, 0x1.6944074fc5edfp-3, 0x1.6322041fce358p-3, 0x1.5d1267e611d42p-3, 0x1.57152edb22df8p-3, 0x1.512a536bae5c4p-3, 0x1.4b51ce4191edep-3, 0x1.458b964ebbcdap-3, 0x1.3fd7a0d9d6c9dp-3, 0x1.3a35e18c9491cp-3, 0x1.34a64a83723c8p-3, 0x1.2f28cc5eb512dp-3, 0x1.29bd565455b89p-3, 0x1.2463d64299803p-3, 0x1.1f1c38c30f231p-3, 0x1.19e6693da096ap-3, 0x1.14c251fb8a7dap-3, 0x1.0fafdc39ebceap-3, 0x1.0aaef03bd42c8p-3, 0x1.05bf755b8d375p-3, 0x1.00e1521b16e98p-3, 0x1.f828d86764229p-4, 0x1.eeb15148c790fp-4, 0x1.e55bd77ef1eb7p-4, 0x1.dc28326de0a74p-4, 0x1.d316284fbe733p-4, 0x1.ca257e4989ab2p-4, 0x1.c155f87dbe623p-4, 0x1.b8a75a1d1ae06p-4, 0x1.b019657589245p-4, 0x1.a7abdbff622dap-4, 0x1.9f5e7e6919242p-4, 0x1.97310ca18c487p-4, 0x1.8f2345e103c4fp-4, 0x1.8734e8b124be6p-4, 0x1.7f65b2f3ebd04p-4, 0x1.77b561e9e145dp-4, 0x1.7023b237ace25p-4, 0x1.68b05feb2c3a6p-4, 0x1.615b26803306ep-4, 0x1.5a23c0e5162a1p-4, 0x1.5309e97f1d5f1p-4, 0x1.4c0d5a2ef7608p-4, 0x1.452dcc554b429p-4, 0x1.3e6af8d771084p-4, 0x1.37c498246d3fap-4, 0x1.313a623a2a8a3p-4, 0x1.2acc0eab0ac1bp-4, 0x1.247954a3c259fp-4, 0x1.1e41eaf189c9p-4, 0x1.182588089e743p-4, 0x1.1223e20b0f9bep-4, 0x1.0c3caecfced5ep-4, 0x1.066fa3e9fd92fp-4, 0x1.00bc76b06ee3bp-4, 0x1.f645b88aa477p-5, 0x1.eb45133bfd7dbp-5, 0x1.e0766715a16p-5, 0x1.d5d91d7e2a922p-5, 0x1.cb6c9fb1ea5b8p-5, 0x1.c1328b565318bp-5, 0x1.b725fa4bb764cp-5, 0x1.ad486863c1a81p-5, 0x1.a3993f1fe703cp-5, 0x1.9a17e836d01d9p-5, 0x1.90c3cd9fd3b93p-5, 0x1.879c599e1e48cp-5, 0x1.7ea0f6cb915c5p-5, 0x1.75d110235879ep-5, 0x1.6d2c110c3797bp-5, 0x1.64b165629a9adp-5, 0x1.5c607982630aep-5, 0x1.5438ba5077d8ep-5, 0x1.4c3995441a64p-5, 0x1.4462787004414p-5, 0x1.3cb2d28b48d88p-5, 0x1.352a12fa05bf9p-5, 0x1.2dc7a9d5d6375p-5, 0x1.268b07f617822p-5, 0x1.1f739ef7f16b3p-5, 0x1.1880e1462d8adp-5, 0x1.11b24220d8026p-5, 0x1.0b0735a4a2fefp-5, 0x1.047f30d221124p-5, 0x1.fc33532969e7ap-6, 0x1.efac2d92b6853p-6, 0x1.e367e08a5decbp-6, 0x1.d7655db7661e3p-6, 0x1.cba398c9d76cap-6, 0x1.c02187865baf4p-6, 0x1.b4de21d1808eep-6, 0x1.a9d861ba63f14p-6, 0x1.9f0f43850218cp-6, 0x1.9481c5b3ee95bp-6, 0x1.8a2ee911a896fp-6, 0x1.8015b0b9627dfp-6, 0x1.7635221f5a43cp-6, 0x1.6c8c4518b1cbfp-6, 0x1.631a23e2d0ff7p-6, 0x1.59ddcb2a4e2a6p-6, 0x1.50d64a1160d5bp-6, 0x1.4802b235dc4c9p-6, 0x1.3f6217b6be776p-6, 0x1.36f3913946623p-6, 0x1.2eb637ed9f196p-6, 0x1.26a927931c0b8p-6, 0x1.1ecb7e7c1232bp-6, 0x1.171c5d913e8bp-6, 0x1.0f9ae854cd89p-6, 0x1.084644e50444fp-6, 0x1.011d9bfe82e98p-6, 0x1.f44031fc4d743p-7, 0x1.e699d3c540343p-7, 0x1.d9467e9b47e6ap-7, 0x1.cc44990983438p-7, 0x1.bf928ee3fceecp-7, 0x1.b32ed1480b2bfp-7, 0x1.a717d69c3520fp-7, 0x1.9b4c1a8f655b7p-7, 0x1.8fca1e17b2c9dp-7, 0x1.849067706fed1p-7, 0x1.799d8217b890fp-7, 0x1.6eeffecb9b973p-7, 0x1.64867386963f7p-7, 0x1.5a5f7b7bae52cp-7, 0x1.5079b7120ad52p-7, 0x1.46d3cbe00b3c6p-7, 0x1.3d6c64a60b55ep-7, 0x1.34423148970efp-7, 0x1.2b53e6ca4d985p-7, 0x1.22a03f454ebe5p-7, 0x1.1a25f9e454833p-7, 0x1.11e3dadb5d42ep-7, 0x1.09d8ab6008daep-7, 0x1.020339a198efbp-7, 0x1.f4c4b1812e85bp-8, 0x1.e5e9c18c7338dp-8, 0x1.d7735d36daa33p-8, 0x1.c95f47ff2b101p-8, 0x1.bbab4efe2f4d3p-8, 0x1.ae5548d31cd05p-8, 0x1.a15b158f98302p-8, 0x1.94ba9ea31fa67p-8, 0x1.8871d6c63eae6p-8, 0x1.7c7eb9e519e0dp-8, 0x1.70df4d09b4724p-8, 0x1.65919e45d8cd6p-8, 0x1.5a93c49c82844p-8, 0x1.4fe3dfeb3e1eep-8, 0x1.458018d2f493fp-8, 0x1.3b66a0a09ae36p-8, 0x1.3195b1356c995p-8, 0x1.280b8cef46af8p-8, 0x1.1ec67e90616dbp-8, 0x1.15c4d9272bc91p-8, 0x1.0d04f7f5ad72ep-8, 0x1.04853e5912474p-8, 0x1.f8882f61b0024p-9, 0x1.e87fee8bcd133p-9, 0x1.d8eeb0632024ep-9, 0x1.c9d17a892b633p-9, 0x1.bb2561dbd28dbp-9, 0x1.ace78a430d7cbp-9, 0x1.9f15267e1f5d1p-9, 0x1.91ab77f163aaep-9, 0x1.84a7ce7373f9ap-9, 0x1.7807881a75b49p-9, 0x1.6bc81109aa4cdp-9, 0x1.5fe6e33e97d26p-9, 0x1.5461865ec1aa3p-9, 0x1.49358f84f6defp-9, 0x1.3e60a10f0f582p-9, 0x1.33e06a6b943d5p-9, 0x1.29b2a7e7afd76p-9, 0x1.1fd5227d2ca5cp-9, 0x1.1645afa08d37cp-9, 0x1.0d02310f8b9bdp-9, 0x1.0408949f905cdp-9, 0x1.f6ada81915c61p-10, 0x1.e5d5e98f904acp-10, 0x1.d5860f8ed2752p-10, 0x1.c5ba52ab7829ap-10, 0x1.b66f01c2118a5p-10, 0x1.a7a081974c7a8p-10, 0x1.994b4c78434a6p-10, 0x1.8b6bf1dc5b144p-10, 0x1.7dff1606abe1cp-10, 0x1.710171a8e1fdcp-10, 0x1.646fd1862a893p-10, 0x1.58471617993cdp-10, 0x1.4c8433302f974p-10, 0x1.41242fa2ec363p-10, 0x1.362424e88ebf9p-10, 0x1.2b813ec6a12d7p-10, 0x1.2138baf75ee77p-10, 0x1.1747e8d1a17d6p-10, 0x1.0dac28f34502bp-10, 0x1.0462eceaa3eabp-10, 0x1.f6d36dc420f4p-11, 0x1.e57c329770c74p-11, 0x1.d4bb6d1d5c4b8p-11, 0x1.c48c8168d5f7bp-11, 0x1.b4eaf2302e3b6p-11, 0x1.a5d2602bdc48ap-11, 0x1.973e89780a9b3p-11, 0x1.892b48f83b6d7p-11, 0x1.7b9495bb69ed5p-11, 0x1.6e768265250f6p-11, 0x1.61cd3c95b5d65p-11, 0x1.55950c55ce268p-11, 0x1.49ca538414152p-11, 0x1.3e698d4459818p-11, 0x1.336f4d7174bf4p-11, 0x1.28d8401117f4fp-11, 0x1.1ea128c9756d1p-11, 0x1.14c6e2590428ep-11, 0x1.0b465e110303bp-11, 0x1.021ca3514ebabp-11, 0x1.f28d9e0d7698ep-12, 0x1.e1842657b9bb4p-12, 0x1.d1176c96bbac2p-12, 0x1.c1422609a40c2p-12, 0x1.b1ff2f26b9308p-12, 0x1.a3498aae4585dp-12, 0x1.951c60bfa8b0ep-12, 0x1.8772fdf4af1efp-12, 0x1.7a48d2801d3d9p-12, 0x1.6d99714e5cfbfp-12, 0x1.61608f2f959f9p-12, 0x1.559a020069b9p-12, 0x1.4a41bfd97dae9p-12, 0x1.3f53de42798a9p-12, 0x1.34cc9168ed2ecp-12, 0x1.2aa82b5ba6234p-12, 0x1.20e31b4835a56p-12, 0x1.1779ecbfb5bebp-12, 0x1.0e6946fad9c39p-12, 0x1.05adec263bdb8p-12, 0x1.fa89715e2d3e5p-13, 0x1.ea55452a42a03p-13, 0x1.dab9718016b6ep-13, 0x1.cbb044ae112a7p-13, 0x1.bd343c3da3a52p-13, 0x1.af4003b080e18p-13, 0x1.a1ce734667ac4p-13, 0x1.94da8ecb5fa0fp-13, 0x1.885f846a2cf64p-13, 0x1.7c58ab866c422p-13, 0x1.70c1839d8456dp-13, 0x1.6595b32a2358ap-13, 0x1.5ad1069568066p-13, 0x1.506f6f267f96dp-13, 0x1.466d01fc02951p-13, 0x1.3cc5f70a69147p-13, 0x1.3376a82034c27p-13, 0x1.2a7b8ff06e777p-13, 0x1.21d1491f3c9b8p-13, 0x1.19748d5ad05e9p-13, 0x1.11623472ba02fp-13, 0x1.09973377f7d83p-13, 0x1.02109be173369p-13, 0x1.f597356b29a65p-14, 0x1.e78aef71e63c5p-14, 0x1.d9f7294220209p-14, 0x1.ccd6d89ba5e3cp-14, 0x1.c0252409ea449p-14, 0x1.b3dd6168250ecp-14, 0x1.a7fb146f0d248p-14, 0x1.9c79ed492d5cbp-14, 0x1.9155c72c3246cp-14, 0x1.868aa705fe56bp-14, 0x1.7c14ba28103e1p-14, 0x1.71f054febd7d9p-14, 0x1.6819f1cfb3a6ep-14, 0x1.5e8e2f8272145p-14, 0x1.5549d06ecabd9p-14, 0x1.4c49b93383e41p-14, 0x1.438aef92d6e36p-14, 0x1.3b0a995af88c9p-14, 0x1.32c5fb52f8743p-14, 0x1.2aba78288d802p-14, 0x1.22e58f740a791p-14, 0x1.1b44dcb46c5p-14, 0x1.13d6165ac268fp-14, 0x1.0c98a52bb9b97p-14, 0x1.05877450139e9p-14, 0x1.fd43df43ebb44p-15, 0x1.efcc5fe26ce66p-15, 0x1.e2a4c90bedf9dp-15, 0x1.d5c9a49aac19bp-15, 0x1.c937a61cdfab8p-15, 0x1.bceba94d4c559p-15, 0x1.b0e2b086485eap-15, 0x1.a519e35fee15ep-15, 0x1.998e8d39b8bcfp-15, 0x1.8e3e1bdc8aa43p-15, 0x1.83261e278d74bp-15, 0x1.784442c4d06c9p-15, 0x1.6d9656e6517c6p-15, 0x1.631a45113fd3ap-15, 0x1.58ce13eb13e11p-15, 0x1.4eafe51a8864cp-15, 0x1.44bdf42777f5fp-15, 0x1.3af6956b1e72fp-15, 0x1.31583502010f2p-15, 0x1.27e155cc412b5p-15, 0x1.1e90907441f4p-15, 0x1.15649277a8668p-15, 0x1.0c5c1d46dff1bp-15, 0x1.03760559e3884p-15, 0x1.f56262b422028p-16, 0x1.e419329349e6dp-16, 0x1.d30e8b7e0a846p-16, 0x1.c2409e2e84c72p-16, 0x1.b1adb97442f35p-16, 0x1.a15448c697feap-16, 0x1.9132d2db669c2p-16, 0x1.8147f84af7c21p-16, 0x1.719272535a84p-16, 0x1.62111184ae7c3p-16, 0x1.52c2bc9eae1f2p-16, 0x1.43a66f5cc636p-16, 0x1.34bb395a2c41ap-16, 0x1.26003d03f0affp-16, 0x1.1774ae76fdeb7p-16, 0x1.0917d2a4cfe36p-16, 0x1.f5d1fc8c64f1ap-17, 0x1.d9cf29e01f38p-17, 0x1.be26106e22d18p-17, 0x1.a2d5ada07cb89p-17, 0x1.87dd1780825f2p-17, 0x1.6d3b7b20ea4f1p-17, 0x1.52f01b261ce4ap-17, 0x1.38fa4e46508ecp-17, 0x1.1f597de20adbap-17, 0x1.060d24c2be8d4p-17, 0x1.da299b8b42f22p-18, 0x1.a8e0254dc3341p-18, 0x1.783d35c4696eap-18, 0x1.484034d00218ap-18, 0x1.18e8a1a04348bp-18, 0x1.d46c209f7cb4ap-19, 0x1.785050126d3a1p-19, 0x1.1d7d425a867cdp-19, 0x1.87e50e393cbf1p-20, 0x1.aebf2611d177ap-21, 0x1.4b4cd1d393cd1p-23, -0x1.03fa559b29393p-21, -0x1.2ad4e5acc0ef7p-20, -0x1.d11da08c1647bp-20, -0x1.3a6ba5d7507fbp-19, -0x1.8b00e10883f1cp-19, -0x1.da4e6711eb02bp-19, -0x1.142a0b89d6f6fp-18, -0x1.3a88e6237831cp-18, -0x1.6043afd69dac5p-18, -0x1.855a551b42878p-18, -0x1.a9ccc3261b5afp-18, -0x1.cd9ae8cd8b956p-18, -0x1.f0c4b71e83988p-18, -0x1.09a5112489697p-17, -0x1.1a95911b9170cp-17, -0x1.2b33d98607a23p-17, -0x1.3b7feafd5be22p-17, -0x1.4b79c8c3c0afcp-17, -0x1.5b217912a3a6bp-17, -0x1.6a77055a8a10cp-17, -0x1.797a7a613fc79p-17, -0x1.882be884481c7p-17, -0x1.968b6405c7955p-17, -0x1.a49904e8fcd0bp-17, -0x1.b254e74be6ddbp-17, -0x1.bfbf2b79ca9fbp-17, -0x1.ccd7f605d7c74p-17, -0x1.d99f6ff078c66p-17, -0x1.e615c69bce37ep-17, -0x1.f23b2c06af95cp-17, -0x1.fe0fd6c2f53c9p-17, -0x1.04ca010510b94p-16, -0x1.0a63f6e15b4ecp-16, -0x1.0fd5ef44f023ep-16, -0x1.15200ede48e4fp-16, -0x1.1a427cb1e7b0bp-16, -0x1.1f3d622a74644p-16, -0x1.2410eb0cbaa1p-16, -0x1.28bd4577f575dp-16, -0x1.2d42a1e04d342p-16, -0x1.31a13318a8ce9p-16, -0x1.35d92e31bac8dp-16, -0x1.39eaca8f589ffp-16, -0x1.3dd641d540893p-16, -0x1.419bcfe418976p-16, -0x1.453bb2ca36936p-16, -0x1.48b62ac62e447p-16, -0x1.4c0b7a379fc51p-16, -0x1.4f3be5929367cp-16, -0x1.5247b35d34ee2p-16, -0x1.552f2c1e3ed17p-16, -0x1.57f29a5566781p-16, -0x1.5a924a72bba4fp-16, -0x1.5d0e8ac1c45a2p-16, -0x1.5f67ab66cb419p-16, -0x1.619dfe4de8c39p-16, -0x1.63b1d71f34365p-16, -0x1.65a38b31d6427p-16, -0x1.6773717ee0eabp-16, -0x1.6921e29062b8bp-16, -0x1.6aaf3882386d7p-16, -0x1.6c1bcedede867p-16, -0x1.6d6802a002cc4p-16, -0x1.6e94321d098bbp-16, -0x1.6fa0bcfd14a58p-16, -0x1.708e0428fcecfp-16, -0x1.715c69b832901p-16, -0x1.720c50f6fd7e1p-16, -0x1.729e1e3b1d53cp-16, -0x1.731236e44a576p-16, -0x1.7369015211f4ep-16, -0x1.73a2e4cfb52ecp-16, -0x1.73c04987b6f38p-16, -0x1.73c19875f025bp-16, -0x1.73a73b59bc23bp-16, -0x1.73719ca83dcffp-16, -0x1.7321277ebaeebp-16, -0x1.72b647951a1b4p-16, -0x1.7231693043e9dp-16, -0x1.7192f915d2625p-16, -0x1.70db64808c67fp-16, -0x1.700b19085cb95p-16, -0x1.6f2284a72449ap-16, -0x1.6e2215a0c1d37p-16, -0x1.6d0a3a78a9e0fp-16, -0x1.6bdb61e64336ep-16, -0x1.6a95fac8b0408p-16, -0x1.693a741ae7be9p-16, -0x1.67c93ce80b6ecp-16, -0x1.6642c43a71228p-16, -0x1.64a7792643a41p-16, }}, 
      {{-0x1.1929c2cefc0cep+1, -0x1.18b2f65f14b99p+1, -0x1.17ee717833c62p+1, -0x1.16deeca4f7189p+1, -0x1.158768a268f07p+1, -0x1.13eaf0e369a21p+1, -0x1.120d7f41f0955p+1, -0x1.0ff2dbdd7d737p+1, -0x1.0d9ef55c26314p+1, -0x1.0b15f139c89b1p+1, -0x1.085bea5873456p+1, -0x1.057460241c87dp+1, -0x1.026404541786bp+1, -0x1.fe5c399a53198p+0, -0x1.f7ad2f7d210b1p+0, -0x1.f0c1e4f6b3deap+0, -0x1.e9a1798d67221p+0, -0x1.e2524390901acp+0, -0x1.dadabf486c35dp+0, -0x1.d340d65adf7cap+0, -0x1.cb8a0ea143befp+0, -0x1.c3bbe3f97b468p+0, -0x1.bbdb42ef1aa52p+0, -0x1.b3ecd001d6bdcp+0, -0x1.abf507110e5a2p+0, -0x1.a3f7f15585aa1p+0, -0x1.9bf936bf6404ep+0, -0x1.93fc7d949ab89p+0, -0x1.8c04f1fc381dap+0, -0x1.84158accb7e6bp+0, -0x1.7c31010426734p+0, -0x1.7459cf8c6b663p+0, -0x1.6c92364772705p+0, -0x1.64dc3f6bbdf0ep+0, -0x1.5d39c353bcdafp+0, -0x1.55ac6b1f5ceb3p+0, -0x1.4e35b3486a10ep+0, -0x1.46d6ee0b6aafep+0, -0x1.3f9145a7472cp+0, -0x1.3865bee0d9d4bp+0, -0x1.31553c0389ffap+0, -0x1.2a60803a5095bp+0, -0x1.238832d11c35cp+0, -0x1.1ccce1bb35b4bp+0, -0x1.162f02ea77309p+0, -0x1.0faef4b715c2fp+0, -0x1.094cfe5169c47p+0, -0x1.030951375bd64p+0, -0x1.f9c81792c4261p-1, -0x1.edba7838be4f6p-1, -0x1.e1e9c3e38f8aap-1, -0x1.d655defef24afp-1, -0x1.cafe9355763d5p-1, -0x1.bfe39160e403dp-1, -0x1.b50469a256bbfp-1, -0x1.aa60c7ae1ebd6p-1, -0x1.9ff80ffcd257ep-1, -0x1.95c9a90eef4cap-1, -0x1.8bd4eb4ec11d9p-1, -0x1.82192328474c2p-1, -0x1.789592a22b15ep-1, -0x1.6f49726cb7dd4p-1, -0x1.6633f29d6b0e1p-1, -0x1.5d543b6691562p-1, -0x1.54a96e0515b9bp-1, -0x1.4c32a5ef4d5d8p-1, -0x1.43eefa239bf9ap-1, -0x1.3bdd7e62c1e41p-1, -0x1.33fd442b7c0d7p-1, -0x1.2c4d5b6913ad2p-1, -0x1.24ccd2e3c35f9p-1, -0x1.1d7ab89371109p-1, -0x1.165619f6b91f3p-1, -0x1.0f5e04848a6dfp-1, -0x1.0891863cb3544p-1, -0x1.01efae4b3f85cp-1, -0x1.f6ef1b5164063p-2, -0x1.ea506f40e4fe7p-2, -0x1.de01845c22f92p-2, -0x1.d2008c5c2ac8dp-2, -0x1.c64bbed649f08p-2, -0x1.bae1593133f3fp-2, -0x1.afbf9e9b4d02p-2, -0x1.a4e4d820b82a8p-2, -0x1.9a4f54f0266cbp-2, -0x1.8ffd6acbd66d7p-2, -0x1.85ed76961e3ebp-2, -0x1.7c1ddce174983p-2, -0x1.728d0a6c0863cp-2, -0x1.69397474fb01ap-2, -0x1.602198e283119p-2, -0x1.5743fe39f2dfdp-2, -0x1.4e9f33726496ep-2, -0x1.4631cfafa1becp-2, -0x1.3dfa71f46f501p-2, -0x1.35f7c0da00505p-2, -0x1.2e286a56f90f4p-2, -0x1.268b239bebf35p-2, -0x1.1f1ea9067d892p-2, -0x1.17e1be2823307p-2, -0x1.10d32dda32444p-2, -0x1.09f1ca5729975p-2, -0x1.033c6d50ba631p-2, -0x1.f963eff6577dcp-3, -0x1.eca2a611a77aap-3, -0x1.e032dd2658db7p-3, -0x1.d41283e3e80e4p-3, -0x1.c83f97069500dp-3, -0x1.bcb820d3291f9p-3, -0x1.b17a38897f2e1p-3, -0x1.a6841e7a00bc1p-3, -0x1.9bd3cdc1c8aeap-3, -0x1.9167944bfd5e6p-3, -0x1.873db82dc4ffdp-3, -0x1.7d548b07751c6p-3, -0x1.73aa69bb9b305p-3, -0x1.6a3dbc26c2664p-3, -0x1.610cf4d8d5dc8p-3, -0x1.581690d07cb04p-3, -0x1.4f5917388870bp-3, -0x1.46d31927307c8p-3, -0x1.3e83315ea7effp-3, -0x1.3668040e81675p-3, -0x1.2e803e958a61ep-3, -0x1.26ca9743bf45ap-3, -0x1.1f45cd1c6b5e3p-3, -0x1.17f0a79889f33p-3, -0x1.10c9f669c8563p-3, -0x1.09d0913e78f46p-3, -0x1.0303578705093p-3, -0x1.f8c2607a2a7bap-4, -0x1.ebd21359a773dp-4, -0x1.df33b280b0b6bp-4, -0x1.d2e5369a9c138p-4, -0x1.c6e4a5c9748d2p-4, -0x1.bb3013495815ap-4, -0x1.afc59f174db2p-4, -0x1.a4a3759af069dp-4, -0x1.99c7cf52802ebp-4, -0x1.8f30f080dd961p-4, -0x1.84dd28dd1e6adp-4, -0x1.7acad3436e357p-4, -0x1.70f8556725f98p-4, -0x1.67641f8617758p-4, -0x1.5e0cac1d0e5c1p-4, -0x1.54f07f9db6acfp-4, -0x1.4c0e282615358p-4, -0x1.43643d39b2c59p-4, -0x1.3af15f7cc7dap-4, -0x1.32b4387176fd3p-4, -0x1.2aab7a37406fbp-4, -0x1.22d5df4cc67fbp-4, -0x1.1b322a53d8b43p-4, -0x1.13bf25d7c707ep-4, -0x1.0c7ba415e3847p-4, -0x1.05667ec8101cep-4, -0x1.fcfd2de26cf29p-5, -0x1.ef85a956fc7f6p-5, -0x1.e2644df02f9e1p-5, -0x1.d5970720e1b1fp-5, -0x1.c91bcd7174734p-5, -0x1.bcf0a62731c16p-5, -0x1.b113a2edef2f1p-5, -0x1.a582e183c09e9p-5, -0x1.9a3c8b66bc641p-5, -0x1.8f3ed584e0c3fp-5, -0x1.8487ffedf0ed7p-5, -0x1.7a1655878d5b1p-5, -0x1.6fe82bc3640ep-5, -0x1.65fbe2579c2ecp-5, -0x1.5c4fe2f986929p-5, -0x1.52e2a11a818e1p-5, -0x1.49b299a72206cp-5, -0x1.40be52c8859e3p-5, -0x1.38045ba7c6ebep-5, -0x1.2f834c337bdb4p-5, -0x1.2739c4e726f2ap-5, -0x1.1f266e9477a1cp-5, -0x1.1747fa2e4d9fep-5, -0x1.0f9d20954498ep-5, -0x1.0824a265d52ccp-5, -0x1.00dd47c7d7e3bp-5, -0x1.f38bc07e80706p-6, -0x1.e5ba84fc73de8p-6, -0x1.d8449870a5cc3p-6, -0x1.cb27c3ed8ac4ap-6, -0x1.be61dddbd1c15p-6, -0x1.b1f0c9a72ed79p-6, -0x1.a5d2776d2dec4p-6, -0x1.9a04e3ae282b6p-6, -0x1.8e8617000399ep-6, -0x1.835425c2fcc98p-6, -0x1.786d2fd84f0f3p-6, -0x1.6dcf605ad4908p-6, -0x1.6378ed597a445p-6, -0x1.59681793997f7p-6, -0x1.4f9b2a372b16p-6, -0x1.46107aa0c766cp-6, -0x1.3cc6681d7789ep-6, -0x1.33bb5bae3ac95p-6, -0x1.2aedc7cd4fddp-6, -0x1.225c283523a9ap-6, -0x1.1a0501a8c522fp-6, -0x1.11e6e1be12649p-6, -0x1.0a005ea959568p-6, -0x1.0250170a5bae7p-6, -0x1.f5a96375723d1p-7, -0x1.e719bb3ba8331p-7, -0x1.d8eea2e3af9bep-7, -0x1.cb259744175b4p-7, -0x1.bdbc24347ca55p-7, -0x1.b0afe436feb09p-7, -0x1.a3fe80236c534p-7, -0x1.97a5aed4c92abp-7, -0x1.8ba334d89957fp-7, -0x1.7ff4e42050b47p-7, -0x1.74989bb45e62fp-7, -0x1.698c476911415p-7, -0x1.5ecddf9530a38p-7, -0x1.545b68ca3f7ep-7, -0x1.4a32f38e50a9ep-7, -0x1.40529c176f382p-7, -0x1.36b8b49bcfcf8p-7, -0x1.2d6317405905cp-7, -0x1.24502fe05c7p-7, -0x1.1b7e46e5fbc48p-7, -0x1.12ebaf2907d7ap-7, -0x1.0a96c5b353699p-7, -0x1.027df1865da31p-7, -0x1.f53f46c4ad01p-8, -0x1.e5f4ab1cbe1aep-8, -0x1.d71917441a5dcp-8, -0x1.c8a9a4a0a7441p-8, -0x1.baa37e6678345p-8, -0x1.ad03e13288b06p-8, -0x1.9fc81aa6f2826p-8, -0x1.92ed8909c9245p-8, -0x1.86719ae5b85bbp-8, -0x1.7a51cead5592cp-8, -0x1.6e8bb25feaa71p-8, -0x1.631ce330743bp-8, -0x1.58030d2ea1289p-8, -0x1.4d3beaf19f4a6p-8, -0x1.42c54544a22f5p-8, -0x1.389cf2d59eb98p-8, -0x1.2ec0d7e549079p-8, -0x1.252ee5f91a87cp-8, -0x1.1be51b8ee2acap-8, -0x1.12e183d1f51dap-8, -0x1.0a2236521893ap-8, -0x1.01a556bbcd643p-8, -0x1.f2d229247d877p-9, -0x1.e2d755d53a53p-9, -0x1.d356c051f4a5ep-9, -0x1.c44d0b7d33e5cp-9, -0x1.b5b6efd2916d2p-9, -0x1.a7913ae9a6c4p-9, -0x1.99d8cefa47fc9p-9, -0x1.8c8aa26351469p-9, -0x1.7fa3bf3552bdap-9, -0x1.732142be60634p-9, -0x1.67005d18db342p-9, -0x1.5b3e50bccb348p-9, -0x1.4fd87212cb6e8p-9, -0x1.44cc270a9b4f4p-9, -0x1.3a16e6b28f822p-9, -0x1.2fb638d1eef4bp-9, -0x1.25a7b5855b661p-9, -0x1.1be904dd2b0bdp-9, -0x1.1277de7e0def3p-9, -0x1.0952094361628p-9, -0x1.00755ae404a93p-9, -0x1.efbf6f312513p-10, -0x1.df1e2387c78b8p-10, -0x1.cf02d33a4cafcp-10, -0x1.bf6999b7f8904p-10, -0x1.b04eacccc5008p-10, -0x1.a1ae5c00381ddp-10, -0x1.93850ff85d2d6p-10, -0x1.85cf49df898dcp-10, -0x1.7889a2cdcdc84p-10, -0x1.6bb0cb356d413p-10, -0x1.5f418a526e89cp-10, -0x1.5338bd9d56585p-10, -0x1.479358419d441p-10, -0x1.3c4e629600a12p-10, -0x1.3166f998ab673p-10, -0x1.26da4e6cce221p-10, -0x1.1ca5a5ddeb2e3p-10, -0x1.12c657e2b13cbp-10, -0x1.0939cf246c28ap-10, -0x1.fffb11111e9a7p-11, -0x1.ee1e257a28f96p-11, -0x1.dcd81b8e7e3d1p-11, -0x1.cc2455286fe93p-11, -0x1.bbfe551c1e73dp-11, -0x1.ac61be61dde38p-11, -0x1.9d4a53480ccd2p-11, -0x1.8eb3f4a84eb67p-11, -0x1.809aa121eb8c7p-11, -0x1.72fa7458bf558p-11, -0x1.65cfa637e7215p-11, -0x1.59168a388835bp-11, -0x1.4ccb8eae64becp-11, -0x1.40eb3c16eb813p-11, -0x1.3572346c7680dp-11, -0x1.2a5d327e32e22p-11, -0x1.1fa9094b6ca3ap-11, -0x1.1552a362a4ddbp-11, -0x1.0b570244c974ap-11, -0x1.01b33dcb3c3dap-11, -0x1.f0c907246ef76p-12, -0x1.ded02cccd664cp-12, -0x1.cd769b6ada97ep-12, -0x1.bcb72a0694327p-12, -0x1.ac8cd6bfbc32dp-12, -0x1.9cf2c5c89be2ap-12, -0x1.8de4405ea557cp-12, -0x1.7f5cb3cdd7d13p-12, -0x1.7157b078c32c5p-12, -0x1.63d0e8e33d4dbp-12, -0x1.56c430cc636b6p-12, -0x1.4a2d7c438e5b1p-12, -0x1.3e08dec89964ep-12, -0x1.32528a6ff0e8dp-12, -0x1.2706cf0d9549fp-12, -0x1.1c2219622844ep-12, -0x1.11a0f25031e7ap-12, -0x1.077ffe15a9a8ap-12, -0x1.fb77f70ceac7fp-13, -0x1.e8a386a949826p-13, -0x1.d67c8ea6b652p-13, -0x1.c4fd23887bf78p-13, -0x1.b41f894fc62fdp-13, -0x1.a3de32249cb7ap-13, -0x1.9433bd07b884cp-13, -0x1.851af48cfd2acp-13, -0x1.768ecd9f14842p-13, -0x1.688a6648a7e82p-13, -0x1.5b090485f1e2dp-13, -0x1.4e0615212289ep-13, -0x1.417d2a9353276p-13, -0x1.3569fbeb89d49p-13, -0x1.29c863c0393a9p-13, -0x1.1e945f25cf8eap-13, -0x1.13ca0cac1ba84p-13, -0x1.0965ab644525p-13, -0x1.fec733d496232p-14, -0x1.eb80aae8c3c11p-14, -0x1.d8f0f1e3fa5e6p-14, -0x1.c711783b44dffp-14, -0x1.b5dbe558a8dfap-14, -0x1.a54a16e2b2f33p-14, -0x1.95561f1a58002p-14, -0x1.85fa4346e20d5p-14, -0x1.7730fa29a0f8bp-14, -0x1.68f4ea802e7f1p-14, -0x1.5b40e9801f2ebp-14, -0x1.4e0ff97d5ac6bp-14, -0x1.415d487f948e7p-14, -0x1.35242ee3e474ep-14, -0x1.29602e12ebd9cp-14, -0x1.1e0cef38ac7cdp-14, -0x1.132642082ec7bp-14, -0x1.08a81b85271a4p-14, -0x1.fd1d29b1e718ep-15, -0x1.e9abd45d24641p-15, -0x1.d6f4f330075afp-15, -0x1.c4f183ed26768p-15, -0x1.b39ac3ea71878p-15, -0x1.a2ea2e000ca42p-15, -0x1.92d97890adaa7p-15, -0x1.8362939e1045cp-15, -0x1.747fa6ea7577p-15, -0x1.662b102f3895ap-15, -0x1.585f61508216bp-15, -0x1.4b175eaef3bc7p-15, -0x1.3e4dfd7da457p-15, -0x1.31fe6224dc161p-15, -0x1.2623deb54abedp-15, -0x1.1ab9f15eff21cp-15, -0x1.0fbc42fc18b82p-15, -0x1.0526a5a1d33ccp-15, -0x1.f5ea267978dc2p-16, -0x1.e247587a6f81cp-16, -0x1.cf5d6c8adece5p-16, -0x1.bd2535bcb1bdp-16, -0x1.ab97cc9c87c13p-16, -0x1.9aae8cc24f37cp-16, -0x1.8a63126257767p-16, -0x1.7aaf384a2d4f6p-16, -0x1.6b8d158f31163p-16, -0x1.5cf6fb7e2fc8dp-16, -0x1.4ee7738c72ec2p-16, -0x1.41593d747c247p-16, -0x1.34474d2954cf3p-16, -0x1.27acc91bf6a6cp-16, -0x1.1b85086918ed7p-16, -0x1.0fcb90ef287bp-16, -0x1.047c15f00d5aep-16, -0x1.f324ec7077412p-17, -0x1.de15753168036p-17, -0x1.c9c228bc32658p-17, -0x1.b623b7bb25b23p-17, -0x1.a3331df696ad5p-17, -0x1.90e99f9084e0bp-17, -0x1.7f40c68bd1ee9p-17, -0x1.6e325fdf7b666p-17, -0x1.5db8792d3b78ap-17, -0x1.4dcd5e469809dp-17, -0x1.3e6b96e1d2559p-17, -0x1.2f8de41fd237p-17, -0x1.212f3eac47a23p-17, -0x1.134ad4688cd08p-17, -0x1.05dc066d4b755p-17, -0x1.f1bcce1ffb236p-18, -0x1.d89b6ff32c626p-18, -0x1.c04bd0828c186p-18, -0x1.a8c625ac3e8f5p-18, -0x1.9202f8f5e49f4p-18, -0x1.7bfb249db1e03p-18, -0x1.66a7d04b8a189p-18, -0x1.52026df7d8bdcp-18, -0x1.3e04b6ee279a2p-18, -0x1.2aa8a8e9e2847p-18, -0x1.17e88350fcba2p-18, -0x1.05bec46c0d20cp-18, -0x1.e84c4e70b10bep-19, -0x1.c633403582d36p-19, -0x1.a528b69252092p-19, -0x1.85237476e5f99p-19, -0x1.661aa1944152dp-19, -0x1.4805c85db863p-19, -0x1.2adcd034a9abep-19, -0x1.0e97f9e9b0864p-19, -0x1.e65fb7f5f2628p-20, -0x1.b13abd5ee26bap-20, -0x1.7db3714f28ac4p-20, -0x1.4bbcd6b3e3c36p-20, -0x1.1b4a800b9bf5fp-20, -0x1.d8a110a496902p-21, -0x1.7d871c4dfff85p-21, -0x1.2531559a140eap-21, -0x1.9f15c288c6bfp-22, -0x1.f1ff23c7cdfacp-23, -0x1.5fe7654a8b5a7p-24, 0x1.10a21beb9d5d8p-24, 0x1.b6f45220b325fp-23, 0x1.6e249433b2123p-22, 0x1.fc47f840dd97ep-22, 0x1.4301986e3c2ecp-21, 0x1.85b9e959ddb5ep-21, 0x1.c65b1de5ddc32p-21, 0x1.0279680230efp-20, 0x1.20c7085583df7p-20, 0x1.3e1cb39f57379p-20, 0x1.5a806e9d316ccp-20, 0x1.75f8016443173p-20, 0x1.9088fab5b1ff4p-20, 0x1.aa38b2abcd828p-20, 0x1.c30c4df495a65p-20, 0x1.db08bec3b4697p-20, 0x1.f232c99f5ed87p-20, 0x1.0447834b66006p-19, 0x1.0f10f1cb24828p-19, 0x1.1977d35b751f7p-19, 0x1.237e3825b946fp-19, 0x1.2d261e71cb1f1p-19, 0x1.367173a4f3dcdp-19, 0x1.3f6214f46f445p-19, 0x1.47f9d09299dd1p-19, 0x1.503a66486a33fp-19, 0x1.5825882d34aa4p-19, 0x1.5fbcdbe254e1fp-19, 0x1.6701fa8784d35p-19, 0x1.6df671e6d28fbp-19, 0x1.749bc4f73cb5ap-19, 0x1.7af36c773d84ap-19, 0x1.80fed7bf9715bp-19, 0x1.86bf6c4888602p-19, 0x1.8c3687910f42bp-19, 0x1.91657f29871a6p-19, 0x1.964da08baeda6p-19, 0x1.9af0321e88132p-19, 0x1.9f4e737a06349p-19, 0x1.a3699d7e5a0a8p-19, 0x1.a742e3e08b76ap-19, 0x1.aadb73bad6ba5p-19, 0x1.ae34751370948p-19, 0x1.b14f0ace853f2p-19, 0x1.b42c530f45512p-19, 0x1.b6cd676c55355p-19, 0x1.b9335d343bcfp-19, 0x1.bb5f45cd62268p-19, 0x1.bd522e60c5eccp-19, 0x1.bf0d2105fda79p-19, 0x1.c09123d511a05p-19, 0x1.c1df3a157b4c5p-19, 0x1.c2f863d3d4dbap-19, 0x1.c3dd9e2e721c8p-19, 0x1.c48fe33166f22p-19, 0x1.c5102b1ca2606p-19, 0x1.c55f6aca932b4p-19, 0x1.c57e94f3cc3cfp-19, 0x1.c56e99ff6762bp-19, 0x1.c530681b32c2p-19, 0x1.c4c4eb51beb45p-19, 0x1.c42d0d9e7589p-19, 0x1.c369b71239ed6p-19, 0x1.c27bcd99fa98fp-19, 0x1.c164357a52934p-19, 0x1.c023d11b5ee99p-19, 0x1.bebb8119e595ep-19, 0x1.bd2c245a53f0cp-19, 0x1.bb76980fa6b32p-19, 0x1.b99bb7c9a1bbfp-19, 0x1.b79c5da0fda5ap-19, 0x1.b5796167017bfp-19, 0x1.b3339a0ab4f96p-19, 0x1.b0cbdcabaaffbp-19, 0x1.ae42fcc6a6814p-19, 0x1.ab99cc5e38b4p-19, 0x1.a8d11bca7c0ep-19, 0x1.a5e9ba04b8bdfp-19, 0x1.a2e474287bea9p-19, 0x1.9fc2163b78156p-19, 0x1.9c836a3aaf003p-19, 0x1.992938c82deddp-19, 0x1.95b448e7deecfp-19, 0x1.9225600e50bcp-19, 0x1.8e7d41cd76743p-19, 0x1.8abcb0e2d87cbp-19, 0x1.86e46da5959d7p-19, 0x1.82f5370b208a1p-19, 0x1.7eefca611e971p-19, 0x1.7ad4e34eaa8aep-19, 0x1.76a53bb893bd5p-19, 0x1.72618be506ec1p-19, 0x1.6e0a8a562fddap-19, 0x1.69a0ec0574069p-19, 0x1.6525639087c3bp-19, 0x1.6098a267c4476p-19, 0x1.5bfb57fcb5418p-19, 0x1.574e31ef84a98p-19, 0x1.5291dc0ed41f1p-19, 0x1.4dc7004c71632p-19, 0x1.48ee46bd42be3p-19, 0x1.440855949e4e4p-19, 0x1.3f15d10fbf8cbp-19, 0x1.3a175baa1e8fap-19, 0x1.350d95c7ca5a5p-19, 0x1.2ff91de5f7aa4p-19, 0x1.2ada908b2f53bp-19, 0x1.25b28842bae3cp-19, 0x1.20819d99f6a32p-19, 0x1.1b48671b718cdp-19, 0x1.1607794c819bbp-19, 0x1.10bf66aa296e1p-19, 0x1.0b70bfa5c2883p-19, 0x1.061c12a27f306p-19, 0x1.00c1ec0e2b76fp-19, 0x1.f6c5abdb044fp-20, 0x1.ebfeb1188b7cdp-20, 0x1.e12ff3f37abeap-20, 0x1.d65a7c5e028ep-20, 0x1.cb7f4e14a8ce4p-20, 0x1.c09f689b72756p-20, 0x1.b5bbc73b7be2dp-20, 0x1.aad560c9b57a2p-20, 0x1.9fed28826acb7p-20, 0x1.95040cbc23475p-20, 0x1.8a1af7c4372fep-20, 0x1.7f32cfa708aa2p-20, 0x1.744c76300296cp-20, 0x1.6968c8e9f8435p-20, 0x1.5e88a0a6c4fap-20, 0x1.53acd367e9129p-20, 0x1.48d6320fefd19p-20, 0x1.3e0588142505ep-20, 0x1.333b9e5f1e52cp-20, 0x1.28793915c0575p-20, 0x1.1dbf1829b974p-20, 0x1.130df75cd81b5p-20, 0x1.08668e44c3b55p-20, 0x1.fb93209e1c594p-21, 0x1.e66f598b25381p-21, 0x1.d1631da65b999p-21, 0x1.bc6fbb1cb5af1p-21, 0x1.a79677cffe6c9p-21, 0x1.92d8918fe8828p-21, 0x1.7e373e5193cfdp-21, 0x1.69b3abc85a6bp-21, 0x1.554effb0b2073p-21, 0x1.410a57f0b1a91p-21, 0x1.2ce6ca8a61b1bp-21, 0x1.18e565b14ff9dp-21, 0x1.05072fd9a1442p-21, 0x1.e29a4f8f2fa3ap-22, 0x1.bb7087e292626p-22, 0x1.9492eaa27c85bp-22, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.10d2ac2321e36p-4, -0x1.0be7f841560ep-3, -0x1.86dc0b3b3b89cp-3, -0x1.f6c98a645efddp-3, -0x1.2d0a74ad0db8cp-2, -0x1.57e867175efacp-2, -0x1.7bca0c1954f6p-2, -0x1.98acfd0a47ecdp-2, -0x1.aeb461e1f588cp-2, -0x1.be1eecc73ba8dp-2, -0x1.c73edcc81382fp-2, -0x1.ca75efab91138p-2, -0x1.c82be1445da0dp-2, -0x1.c0d1201ecf926p-2, -0x1.b4d6a7c7f181dp-2, -0x1.a4ae69fabe9d4p-2, -0x1.90c874e784d9ep-2, -0x1.799264dc45fd8p-2, -0x1.5f7574f092635p-2, -0x1.42d6cd96de603p-2, -0x1.241640abfec73p-2, -0x1.038d85825803bp-2, -0x1.c32295f81c5f2p-3, -0x1.7ce102ba8453p-3, -0x1.34e76ef4bd4acp-3, -0x1.d776ba798030ep-4, -0x1.43ad9f86e2b8bp-4, -0x1.5ea8ad367f583p-5, -0x1.b33a7894ff097p-8, 0x1.dffc320d810d8p-6, 0x1.09a1af6f772a6p-4, 0x1.99246c5a0d744p-4, 0x1.13045817a0dd3p-3, 0x1.57f007e8b16fap-3, 0x1.9b257fc26d222p-3, 0x1.dc7bcaa1e9af1p-3, 0x1.0de820a0d9aap-2, 0x1.2c830df9d9438p-2, 0x1.4a03040ca99dfp-2, 0x1.665edaa152efcp-2, 0x1.818fabfcb1c5fp-2, 0x1.9b90953ad5406p-2, 0x1.b45e7bb489c55p-2, 0x1.cbf7da7c79635p-2, 0x1.e25c9677dedb6p-2, 0x1.f78dd69bfd9bdp-2, 0x1.05c6f04f136a5p-1, 0x1.0f2ffe114b646p-1, 0x1.18042dd8d7da1p-1, 0x1.204602ffce9f2p-1, 0x1.27f85c9f0a746p-1, 0x1.2f1e63bf09f05p-1, 0x1.35bb792bcb626p-1, 0x1.3bd3275c16ebfp-1, 0x1.41693c66ee9f3p-1, 0x1.46811b22979bap-1, 0x1.4b1efb76d9574p-1, 0x1.4f46e5dd1f39bp-1, 0x1.52fcf2499fd81p-1, 0x1.5645429f9cdb3p-1, 0x1.5923fcf82fa43p-1, 0x1.5b9d45fea42c5p-1, 0x1.5db53bf591499p-1, 0x1.5f6ff2ebfc79ep-1, 0x1.60d1724a2a673p-1, 0x1.61ddb3615ccc9p-1, 0x1.6298a0547dbep-1, 0x1.630612aba6392p-1, 0x1.6329d12e29dbbp-1, 0x1.63078d0d3902bp-1, 0x1.62a2dec8c7ad9p-1, 0x1.61ff436560b8bp-1, 0x1.61201a7bacb25p-1, 0x1.6008a5707e179p-1, 0x1.5ebc07d7a0b11p-1, 0x1.5d3d48bdede75p-1, 0x1.5b8f546a7f9a1p-1, 0x1.59b4fe1ba9edep-1, 0x1.57b1015974bafp-1, 0x1.558602a2b0c51p-1, 0x1.53368f6d3b3e7p-1, 0x1.50c51d9eb3d28p-1, 0x1.4e340abe7c8d8p-1, 0x1.4b859b284e32fp-1, 0x1.48bbf97b0d686p-1, 0x1.45d93668fb9abp-1, 0x1.42df48f54dc5p-1, 0x1.3fd00f165c32ep-1, 0x1.3cad4ea66b19fp-1, 0x1.3978b687eb175p-1, 0x1.3633dfe32eb2bp-1, 0x1.32e04f685c38fp-1, 0x1.2f7f76867316cp-1, 0x1.2c12b48df77e8p-1, 0x1.289b57ba758e9p-1, 0x1.251a9e216497fp-1, 0x1.2191b6872651dp-1, 0x1.1e01c11c16082p-1, 0x1.1a6bd024242b7p-1, 0x1.16d0e88b5c86ep-1, 0x1.133202693dc1ep-1, 0x1.0f90097429d4p-1, 0x1.0bebdd65cc342p-1, 0x1.084652514396ap-1, 0x1.04a030ec64842p-1, 0x1.00fa36ce641acp-1, 0x1.faaa2d4ed4d51p-2, 0x1.f362f0eb6fa18p-2, 0x1.ec1ff37b53ccp-2, 0x1.e4e25b93f1c73p-2, 0x1.ddada2bbc5095p-2, 0x1.d67dbed0e3b74p-2, 0x1.cf562462bcaffp-2, 0x1.c837b430e4bbdp-2, 0x1.c1233fe7910a3p-2, 0x1.ba198aec353eep-2, 0x1.b31b4b2b14b61p-2, 0x1.ac2929e34551cp-2, 0x1.a543c46e41622p-2, 0x1.9e6bad001664ap-2, 0x1.97a16b5d5e013p-2, 0x1.90e57d848e1b6p-2, 0x1.8a385848d0db2p-2, 0x1.839a67dd50eap-2, 0x1.7d0c1050cdeb4p-2, 0x1.768dadfa15bfbp-2, 0x1.701f95d6bc45ep-2, 0x1.69c215ddf1695p-2, 0x1.63757549ac6aap-2, 0x1.5d39f4d8812f7p-2, 0x1.570fcf0a4d483p-2, 0x1.50f73859c8e95p-2, 0x1.4af05f74969fcp-2, 0x1.44fb6d7316c4cp-2, 0x1.3f188610d783ep-2, 0x1.3947c7e61d78bp-2, 0x1.33894ca2a7a49p-2, 0x1.2ddd294992243p-2, 0x1.28436e6e03a58p-2, 0x1.22bc28703181fp-2, 0x1.1d475fba31b54p-2, 0x1.17e518fc06eabp-2, 0x1.129555665cf86p-2, 0x1.0d5812e3778fp-2, 0x1.082d4c4de0c48p-2, 0x1.0314f9a484cb4p-2, 0x1.fc1e2077f8c28p-3, 0x1.f23705d9b075ap-3, 0x1.e874847dc7762p-3, 0x1.ded67922b60a8p-3, 0x1.d55cbc8046b5ap-3, 0x1.cc07238c4bc32p-3, 0x1.c2d57fb9dc7ccp-3, 0x1.b9c79f336af6p-3, 0x1.b0dd4d1015d32p-3, 0x1.a81651847d4bp-3, 0x1.9f72720f9689p-3, 0x1.96f171a3b5bbp-3, 0x1.8e9310cc4d747p-3, 0x1.86570dd0a640ep-3, 0x1.7e3d24d3fc594p-3, 0x1.76450ff35c535p-3, 0x1.6e6e87618fb7p-3, 0x1.66b941818930cp-3, 0x1.5f24f2ff95dd2p-3, 0x1.57b14ee9a57b6p-3, 0x1.505e06c6fc374p-3, 0x1.492acaaf83afap-3, 0x1.42174962e818dp-3, 0x1.3b23305fb47cbp-3, 0x1.344e2bfa78a8bp-3, 0x1.2d97e7750b40ap-3, 0x1.27000d15e00d6p-3, 0x1.2086463f6f01cp-3, 0x1.1a2a3b8788c67p-3, 0x1.13eb94ce9001bp-3, 0x1.0dc9f95666f9p-3, 0x1.07c50fd8f9ce4p-3, 0x1.01dc7e9e3ea2bp-3, 0x1.f81fd723243e5p-4, 0x1.ecbdf8ac96ddep-4, 0x1.e192acb6e8a72p-4, 0x1.d69d3ddd2936dp-4, 0x1.cbdcf69aeef11p-4, 0x1.c151216ddc795p-4, 0x1.b6f908f50a159p-4, 0x1.acd3f80e4f78dp-4, 0x1.a2e139f186949p-4, 0x1.99201a49c0f0ep-4, 0x1.8f8fe54c974afp-4, 0x1.862fe7cfa45f7p-4, 0x1.7cff6f5c47056p-4, 0x1.73fdca41ca095p-4, 0x1.6b2a47a61713fp-4, 0x1.628437950ed2bp-4, 0x1.5a0aeb0ea6c19p-4, 0x1.51bdb413f2eebp-4, 0x1.499be5b32f4p-4, 0x1.41a4d412eb698p-4, 0x1.39d7d47c7180cp-4, 0x1.32343d657e947p-4, 0x1.2ab966796154ep-4, 0x1.2366a8a19552ep-4, 0x1.1c3b5e0de6cb1p-4, 0x1.1536e23c300e7p-4, 0x1.0e5891ffb9539p-4, 0x1.079fcb8843e97p-4, 0x1.010bee68cbb49p-4, 0x1.f538b73bfa669p-5, 0x1.e8a0eb28d25f3p-5, 0x1.dc4f405ce3cb5p-5, 0x1.d0428193f25ecp-5, 0x1.c4797c8b8f3a9p-5, 0x1.b8f3020d63886p-5, 0x1.adade5f8e9117p-5, 0x1.a2a8ff4c988fap-5, 0x1.97e3282e80592p-5, 0x1.8d5b3df445de1p-5, 0x1.8310212a8bfc1p-5, 0x1.7900b59bc1acbp-5, 0x1.6f2be25650f74p-5, 0x1.659091b232b95p-5, 0x1.5c2e7710dc6a5p-5, 0x1.53030516a92fdp-5, 0x1.4a0de5b5e75e1p-5, 0x1.414e10aa7af7fp-5, 0x1.38c28113b42f3p-5, 0x1.306a35757fbcdp-5, 0x1.28442fb918e94p-5, 0x1.204f752d37a4p-5, 0x1.188b0e85c7aebp-5, 0x1.10f607db2d6ebp-5, 0x1.098f70a91ebafp-5, 0x1.02565bcd10592p-5, 0x1.f693bf088f4e2p-6, 0x1.e8d22ad310ad9p-6, 0x1.db6634e4de442p-6, 0x1.ce4e1dd8e4229p-6, 0x1.c1882cf32c561p-6, 0x1.b512b019a59e2p-6, 0x1.a8ebfbcc5e196p-6, 0x1.9d126b1d28c3dp-6, 0x1.91845fa6c8847p-6, 0x1.864041838a44fp-6, 0x1.7b447f436f267p-6, 0x1.708f8de1da28bp-6, 0x1.661fe8bacbd26p-6, 0x1.5bf4117fb17aep-6, 0x1.520a902bca522p-6, 0x1.4861f2f82a98fp-6, 0x1.3ef8ce4f5ba0dp-6, 0x1.35cdbcc0a050dp-6, 0x1.2cdf5ef2e755cp-6, 0x1.242c5b976123dp-6, 0x1.1bb35f5bd1b5dp-6, 0x1.13731cdc8b0a9p-6, 0x1.0b6a4c962c868p-6, 0x1.0397acd71b429p-6, 0x1.f7f4036169618p-7, 0x1.e92029d0a86f4p-7, 0x1.dab16bd02eb8ap-7, 0x1.cca5735ee58dcp-7, 0x1.bef9f5872d719p-7, 0x1.b1acb23f56ce5p-7, 0x1.a4bb7449c638cp-7, 0x1.98241114d3bd5p-7, 0x1.8be4689a63cebp-7, 0x1.7ffa653f505adp-7, 0x1.7463fbb293f31p-7, 0x1.691f2acc51c58p-7, 0x1.5e29fb6caaeb2p-7, 0x1.5382805a8874bp-7, 0x1.4926d62239d5fp-7, 0x1.3f1522f401054p-7, 0x1.354b96829beefp-7, 0x1.2bc869e1b9381p-7, 0x1.2289df64713a6p-7, 0x1.198e427bb982ap-7, 0x1.10d3e794e812fp-7, 0x1.08592bf83950ep-7, 0x1.001c75a76c549p-7, 0x1.f0386678dbfd7p-8, 0x1.e0adb79040b12p-8, 0x1.d195dd627408fp-8, 0x1.c2ede7269d463p-8, 0x1.b4b2f43be4341p-8, 0x1.a6e233e80cb67p-8, 0x1.9978e5165e9fdp-8, 0x1.8c74561706909p-8, 0x1.7fd1e45eb2ca2p-8, 0x1.738efc46b134fp-8, 0x1.67a918cd6da97p-8, 0x1.5c1dc35768facp-8, 0x1.50ea9370a3f81p-8, 0x1.460d2e8e7cfe3p-8, 0x1.3b8347d226602p-8, 0x1.314a9fcb8464bp-8, 0x1.2761043ca26b7p-8, 0x1.1dc44fddae9cap-8, 0x1.14726a21868f6p-8, 0x1.0b6946fad49cep-8, 0x1.02a6e6a1c1d2bp-8, 0x1.f452aab473f43p-9, 0x1.e3dd5675b2b5bp-9, 0x1.d3ea17e8cf955p-9, 0x1.c4754d33ea0b1p-9, 0x1.b57b6ad337e0bp-9, 0x1.a6f8fb2bc5d76p-9, 0x1.98ea9e1f8470fp-9, 0x1.8b4d08a2a79e9p-9, 0x1.7e1d04523edfcp-9, 0x1.71576f0c390b2p-9, 0x1.64f93a88aa199p-9, 0x1.58ff6bf466a73p-9, 0x1.4d671b8d04ed4p-9, 0x1.422d743e0ae9dp-9, 0x1.374fb33fb6ebap-9, 0x1.2ccb27b6ecd96p-9, 0x1.229d32568591fp-9, 0x1.18c345020c372p-9, 0x1.0f3ae271a9363p-9, 0x1.06019dd7b5376p-9, 0x1.fa2a350e93e2ap-10, 0x1.e8e61738c67bap-10, 0x1.d832674a8582dp-10, 0x1.c80ac89a70f6fp-10, 0x1.b86afc113fab4p-10, 0x1.a94edf84a07e1p-10, 0x1.9ab26d14abf6p-10, 0x1.8c91ba8ba978dp-10, 0x1.7ee8f8c10b8acp-10, 0x1.71b472fe4df0bp-10, 0x1.64f08e66def11p-10, 0x1.5899c9625c2f9p-10, 0x1.4cacbb09646f6p-10, 0x1.41261294e8d87p-10, 0x1.360296cfecdc5p-10, 0x1.2b3f258bdb02p-10, 0x1.20d8b3171d888p-10, 0x1.16cc49b637acdp-10, 0x1.0d17091f4b4e2p-10, 0x1.03b625f7f29fap-10, 0x1.f54dd2aab8afp-11, 0x1.e3cd607db1b32p-11, 0x1.d2e5d6654388bp-11, 0x1.c2923b59c6616p-11, 0x1.b2cdbb62396bdp-11, 0x1.a393a6ab1c2b5p-11, 0x1.94df70a1ce5d2p-11, 0x1.86acaf14bce5dp-11, 0x1.78f71956c0d29p-11, 0x1.6bba876817a03p-11, 0x1.5ef2f1229f601p-11, 0x1.529c6d6a503b8p-11, 0x1.46b331622384ap-11, 0x1.3b338fa4cf712p-11, 0x1.3019f7819b7ddp-11, 0x1.2562f43cdcab9p-11, 0x1.1b0b2c54e9336p-11, 0x1.110f60ca7c3a8p-11, 0x1.076c6c6cd2f11p-11, 0x1.fc3e8653c18bfp-12, 0x1.ea49e2c3f6156p-12, 0x1.d8f5367ee3222p-12, 0x1.c83af822a5abcp-12, 0x1.b815cb5465fa8p-12, 0x1.a8807f847f5e7p-12, 0x1.99760eb99fc92p-12, 0x1.8af19c630267cp-12, 0x1.7cee7430ed85ap-12, 0x1.6f6808f44d3cdp-12, 0x1.6259f384a6999p-12, 0x1.55bff1ac75a77p-12, 0x1.4995e51c390f6p-12, 0x1.3dd7d26354017p-12, 0x1.3281dfef34cp-12, 0x1.27905510c20ddp-12, 0x1.1cff9907d5654p-12, 0x1.12cc3213f8aa7p-12, 0x1.08f2c48ba1b07p-12, 0x1.fee023f1bb9edp-13, 0x1.ec81f07656ac3p-13, 0x1.dac4e15ec071cp-13, 0x1.c9a31eb97a856p-13, 0x1.b917044e7a309p-13, 0x1.a91b200e334bep-13, 0x1.99aa308a23f32p-13, 0x1.8abf23794a0f5p-13, 0x1.7c551444901cp-13, 0x1.6e674a9c811f1p-13, 0x1.60f1391aedacp-13, 0x1.53ee7beb0b20ap-13, 0x1.475ad77bf14dap-13, 0x1.3b32373b7ff13p-13, 0x1.2f70ac5aef5f9p-13, 0x1.24126c9991889p-13, 0x1.1913d11aebd09p-13, 0x1.0e7155425709ap-13, 0x1.04279596ab604p-13, 0x1.f4669d61ac9edp-14, 0x1.e122b85c093aep-14, 0x1.ce7d6f56b1cddp-14, 0x1.bc70ef906ed01p-14, 0x1.aaf79e615a121p-14, 0x1.9a0c17596f9b1p-14, 0x1.89a92a701d305p-14, 0x1.79c9da41c704ap-14, 0x1.6a695a54f883bp-14, 0x1.5b830d71c51d9p-14, 0x1.4d1284029e358p-14, 0x1.3f137a819ce3dp-14, 0x1.3181d7f1df884p-14, 0x1.2459ac639aa09p-14, 0x1.17972f83eb4a4p-14, 0x1.0b36bf373ec5p-14, 0x1.fe69bc7cb558dp-15, 0x1.e71c65cb75efdp-15, 0x1.d07f0b7c4cd95p-15, 0x1.ba8b80c6c06acp-15, 0x1.a53bd8879e62bp-15, 0x1.908a62f44153ep-15, 0x1.7c71ab575bc57p-15, 0x1.68ec75e1414fbp-15, 0x1.55f5bd8974193p-15, 0x1.4388b2007235dp-15, 0x1.31a0b5b50837cp-15, 0x1.20395be20544p-15, 0x1.0f4e66b984686p-15, 0x1.fdb78b1414277p-16, 0x1.ddbb2613bde25p-16, 0x1.bea0274511556p-16, 0x1.a05f678cb9a24p-16, 0x1.82f20cd29fdf9p-16, 0x1.665186d870441p-16, 0x1.4a778c4cd0603p-16, 0x1.2f5e17ee094efp-16, 0x1.14ff65c129347p-16, 0x1.f6abe0d42e28fp-17, 0x1.c4b8dd1da8228p-17, 0x1.941ba0bee081ap-17, 0x1.64ca7a4942601p-17, 0x1.36bc21eab4903p-17, 0x1.09e7b4cb00296p-17, 0x1.bc8961b5855cp-18, 0x1.6795e13c774cdp-18, 0x1.14e54e1199179p-18, 0x1.88c70975049b7p-19, 0x1.d8369e435019cp-20, 0x1.4e7eba2233548p-21, -0x1.031868bda7478p-21, -0x1.a25e6741729d1p-20, -0x1.5db3b9f549c89p-19, -0x1.e66ac945fe423p-19, -0x1.35b544d9fdf4fp-18, -0x1.76641d8d5c335p-18, -0x1.b54c1fdddbdb5p-18, -0x1.f277139b745a1p-18, -0x1.16f72e29658e1p-17, -0x1.33dd7f231627dp-17, -0x1.4ff2d188c54e6p-17, -0x1.6b3b4f2a340a7p-17, -0x1.85baf8e8690bfp-17, -0x1.9f75a8e9f02ecp-17, -0x1.b86f148d63248p-17, -0x1.d0aace539f854p-17, -0x1.e82c47b1bc644p-17, -0x1.fef6d2dac9415p-17, -0x1.0a86d23447314p-16, -0x1.1539ea7d61369p-16, -0x1.1f96315bfd76p-16, -0x1.299d1967d0d7bp-16, -0x1.3350096eeb0c5p-16, -0x1.3cb05d204a2cbp-16, -0x1.45bf65afadafcp-16, -0x1.4e7e6a70873d5p-16, -0x1.56eea96caab65p-16, -0x1.5f1157f0723e3p-16, -0x1.66e7a310a2958p-16, -0x1.6e72b0309c8fap-16, -0x1.75b39d6972b9dp-16, -0x1.7cab82165b364p-16, -0x1.835b6f38156f4p-16, -0x1.89c46fd67cdabp-16, -0x1.8fe7896a8a96bp-16, -0x1.95c5bc39ecf3cp-16, -0x1.9b6003abe419ep-16, -0x1.a0b756ab0ad75p-16, -0x1.a5cca7dec1a81p-16, -0x1.aaa0e60530911p-16, -0x1.af34fc3159fcbp-16, -0x1.b389d213e1388p-16, -0x1.b7a04c34ab879p-16, -0x1.bb794c2e564d2p-16, -0x1.bf15b0e7d484cp-16, -0x1.c27656bc255d5p-16, -0x1.c59c17bda4139p-16, -0x1.c887cbcebf527p-16, -0x1.cb3a48db7867bp-16, -0x1.cdb462f7844f7p-16, -0x1.cff6ec8572e9fp-16, -0x1.d202b651e9d61p-16, -0x1.d3d88fc1c3cc6p-16, -0x1.d57946dc0f633p-16, -0x1.d6e5a86f0cddcp-16, -0x1.d81e802594b5fp-16, -0x1.d924989cef47fp-16, -0x1.d9f8bb78ac29p-16, -0x1.da9bb1749bc08p-16, -0x1.db0e42762f65bp-16, -0x1.db513595f7ep-16, -0x1.db655134c0486p-16, -0x1.db4b5afebe726p-16, -0x1.db0417fb4d80ap-16, -0x1.da904c9251cbfp-16, -0x1.d9f0bc9429a19p-16, -0x1.d9262b401d38dp-16, -0x1.d8315b4aeda3cp-16, -0x1.d7130ed6653e7p-16, -0x1.d5cc0788c450fp-16, -0x1.d45d06801cf43p-16, -0x1.d2c6cc560758fp-16, -0x1.d10a191f68dadp-16, -0x1.cf27ac6ee9c93p-16, -0x1.cd20454cc7685p-16, -0x1.caf4a239dee32p-16, -0x1.c8a58130e82f2p-16, -0x1.c6339f9565326p-16, -0x1.c39fba3bd4cd6p-16, -0x1.c0ea8d60aa86dp-16, -0x1.be14d4a216cafp-16, -0x1.bb1f4af9f4a39p-16, -0x1.b80aaac421e57p-16, -0x1.b4d7ada36f926p-16, -0x1.b1870c89722aep-16, -0x1.ae197fac161b9p-16, -0x1.aa8fbe7f63aap-16, -0x1.a6ea7fab42f0cp-16, -0x1.a32a79078a58fp-16, -0x1.9f505f9332cdp-16, -0x1.9b5ce76efc779p-16, -0x1.9750c3c998dd2p-16, -0x1.932ca6ea33f9ep-16, -0x1.8ef1421bf9587p-16, -0x1.8a9f45a95980ap-16, -0x1.863760d2c2f2cp-16, -0x1.81ba41c82c6fp-16, -0x1.7d28959fcbc7p-16, -0x1.7883084efd4bcp-16, -0x1.73ca44a12dc89p-16, -0x1.6efef42caffccp-16, -0x1.6a21bf5281853p-16, -0x1.65334d30d73abp-16, -0x1.6034439c60db2p-16, -0x1.5b254718f3efep-16, -0x1.5606fad16e623p-16, -0x1.50da009128fb1p-16, -0x1.4b9ef8bc31e08p-16, -0x1.46568247fb161p-16, -0x1.41013ab4ef939p-16, -0x1.3b9fbe072617fp-16, -0x1.3632a6c1eb0cep-16, -0x1.30ba8dda4720cp-16, -0x1.2b380ab9b75a7p-16, -0x1.25abb33401a86p-16, -0x1.20161b80edfe3p-16, -0x1.1a77d6372ca5ap-16, -0x1.14d17446dc00fp-16, -0x1.0f2384f44681dp-16, -0x1.096e95d0eed6ap-16, -0x1.03b332be5e549p-16, -0x1.fbe3cbbbf5666p-17, -0x1.f0566f28babe1p-17, -0x1.e4bf5d06613dfp-17, -0x1.d91f9f0a6db08p-17, -0x1.cd783b551cb5p-17, -0x1.c1ca346897aafp-17, -0x1.b6168929a5f5p-17, -0x1.aa5e34d810893p-17, -0x1.9ea22ee8aadp-17, -0x1.92e36b3a95613p-17, -0x1.8722d9e9d2cd4p-17, -0x1.7b6167550ccbdp-17, -0x1.6f9ffc199ac76p-17, -0x1.63df7d0ffd251p-17, -0x1.5820cb48b4c84p-17, -0x1.4c64c4099e987p-17, -0x1.40ac40cba0bdfp-17, -0x1.34f817396f73bp-17, -0x1.2949192b9e625p-17, -0x1.1da014abd230cp-17, -0x1.11fdd3ef7ec52p-17, -0x1.06631d5bd2741p-17, -0x1.f5a16703ed41cp-18, -0x1.de8eaa458775dp-18, -0x1.c78f7a5b962ecp-18, -0x1.b0a5458607157p-18, -0x1.99d17268b8ff4p-18, -0x1.8315600f5281fp-18, -0x1.6c7265ecdb0d7p-18, -0x1.55e9d3f695817p-18, }}, 
      {{-0x1.b3e5c856caa3p+1, -0x1.ac1c5e4c66d15p+1, -0x1.a0d44a9ff759dp+1, -0x1.931e4178f421fp+1, -0x1.83d1310f4f098p+1, -0x1.73948cfe5302dp+1, -0x1.62eae31ac311bp+1, -0x1.5237e427d7adcp+1, -0x1.41c72991777fap+1, -0x1.31d10d4e508e5p+1, -0x1.227e309b66b91p+1, -0x1.13eb36cece941p+1, -0x1.062ae2e633cbap+1, -0x1.f290708ba548fp+0, -0x1.da909047c84e3p+0, -0x1.c45682720138bp+0, -0x1.afdbb552366bbp+0, -0x1.9d13c12d54a75p+0, -0x1.8bee2580efa25p+0, -0x1.7c578af3fc994p+0, -0x1.6e3a7254cdb7p+0, -0x1.618005c6df8a5p+0, -0x1.561090c93a7c8p+0, -0x1.4bd449d7e4cdp+0, -0x1.42b3c8f57721cp+0, -0x1.3a97e9b17ec7cp+0, -0x1.3369af4ba0dcdp+0, -0x1.2d13b18a58067p+0, -0x1.278121306db82p+0, -0x1.229e4a42e0f2cp+0, -0x1.1e589da5f56d3p+0, -0x1.1a9eb67ae760ep+0, -0x1.1760548df82ep+0, -0x1.148e55f6538abp+0, -0x1.121ab43268372p+0, -0x1.0ff883cbe1dadp+0, -0x1.0e1bf195efdd6p+0, -0x1.0c7a38969bc4ep+0, -0x1.0b09904a30835p+0, -0x1.09c117a277584p+0, -0x1.0898c23540333p+0, -0x1.07894ac300d2bp+0, -0x1.068c2ac767367p+0, -0x1.059b941c71f0ap+0, -0x1.04b26906af07fp+0, -0x1.03cc307006e48p+0, -0x1.02e506a493fcap+0, -0x1.01f98cdaf549ep+0, -0x1.0106d9f936d79p+0, -0x1.000a6db3e2f31p+0, -0x1.fe044b96b0939p-1, -0x1.fbd869ced761p-1, -0x1.f98e364856c0ap-1, -0x1.f723417305b18p-1, -0x1.f4947fd3b337cp-1, -0x1.f1e2e7f6896e9p-1, -0x1.ef0ca69094e1p-1, -0x1.ec1137e58ccdp-1, -0x1.e8f06e11076dp-1, -0x1.e5aa680be7f9fp-1, -0x1.e23f8902952aep-1, -0x1.deb06fb379534p-1, -0x1.dafdee03b8523p-1, -0x1.d7290136fc613p-1, -0x1.d332cb24a45b9p-1, -0x1.cf1c8c796d27p-1, -0x1.cae79fc594a94p-1, -0x1.c69574f27664ap-1, -0x1.c2278cce28a95p-1, -0x1.bd9f749523bcbp-1, -0x1.b8fec19e95ccap-1, -0x1.b4470d730b0eap-1, -0x1.af79f2935b5ddp-1, -0x1.aa990a165af26p-1, -0x1.a5a5ea167e275p-1, -0x1.a0a224beed51dp-1, -0x1.9b8f47ae0e3d8p-1, -0x1.966edb604b9f2p-1, -0x1.91426267d02bep-1, -0x1.8c0b5855e633cp-1, -0x1.86cb305e02badp-1, -0x1.818353d6b4409p-1, -0x1.7c3520ca64207p-1, -0x1.76e1e8c746dd8p-1, -0x1.718af00e7291bp-1, -0x1.6c316d2c9ce8fp-1, -0x1.66d688f28d4f2p-1, -0x1.617b5eb54538ep-1, -0x1.5c20fcb834a48p-1, -0x1.56c864a5d9724p-1, -0x1.51728c024d586p-1, -0x1.4c205c8c6362bp-1, -0x1.46d2b48a7569cp-1, -0x1.418a670658d16p-1, -0x1.3c483bff86d94p-1, -0x1.370cf09b8811bp-1, -0x1.31d9375bc5e5ap-1, -0x1.2cadb85dad645p-1, -0x1.278b11a739a6dp-1, -0x1.2271d77f10838p-1, -0x1.1d6294ccdb759p-1, -0x1.185dcb7cbd396p-1, -0x1.1363f4e01441ap-1, -0x1.0e7582061e37cp-1, -0x1.0992dc088a4bbp-1, -0x1.04bc644a38d9ap-1, -0x1.ffe4e951ca21p-2, -0x1.f66abf4984ce3p-2, -0x1.ed0ae105880fcp-2, -0x1.e3c5d6de1c7afp-2, -0x1.da9d3e69538e6p-2, -0x1.d18f23c4d52efp-2, -0x1.c89d166ab9c46p-2, -0x1.bfc76bf28c781p-2, -0x1.b70e6ef996998p-2, -0x1.ae725fb039dd8p-2, -0x1.a5f374697bce6p-2, -0x1.9d91da2b7821ap-2, -0x1.954db53ee9849p-2, -0x1.8d2721bbbaddfp-2, -0x1.851e341071259p-2, -0x1.7d32f98272492p-2, -0x1.756578a585fc1p-2, -0x1.6db5b1c976f86p-2, -0x1.66239f5d648bp-2, -0x1.5eaf3648f2983p-2, -0x1.5758663c1d218p-2, -0x1.501f19f6d90c8p-2, -0x1.49033789faa2bp-2, -0x1.4204a092ef608p-2, -0x1.3b233273c3fcdp-2, -0x1.345ec688cd452p-2, -0x1.2db7325cfd00bp-2, -0x1.272c47dda7e4ep-2, -0x1.20bdd58e32776p-2, -0x1.1a6ba6bbda166p-2, -0x1.143583b1923bap-2, -0x1.0e1b31ebc83d7p-2, -0x1.081c744bbed43p-2, -0x1.02390b4a2d629p-2, -0x1.f8e16a5180fbap-3, -0x1.ed865c44512bp-3, -0x1.e2606130d9b01p-3, -0x1.d76eea828b44bp-3, -0x1.ccb166a0b3f45p-3, -0x1.c227413e8291cp-3, -0x1.b7cfe3a690edbp-3, -0x1.adaab501edc22p-3, -0x1.a3b71a9ad2505p-3, -0x1.99f4781b1e124p-3, -0x1.90622fc6cc671p-3, -0x1.86ffa2b2a7f48p-3, -0x1.7dcc30f7529bcp-3, -0x1.74c739e0f2eedp-3, -0x1.6bf01c1b961abp-3, -0x1.634635dc84b8fp-3, -0x1.5ac8e508acd84p-3, -0x1.527787583575ap-3, -0x1.4a517a777f228p-3, -0x1.42561c2599c0cp-3, -0x1.3a84ca5072304p-3, -0x1.32dce32ed4f31p-3, -0x1.2b5dc55880b85p-3, -0x1.2406cfdc7f57p-3, -0x1.1cd76255f051fp-3, -0x1.15cedcff843a4p-3, -0x1.0eeca0c5de986p-3, -0x1.08300f59042dfp-3, -0x1.01988b3d0510cp-3, -0x1.f64aefb41d336p-4, -0x1.e9ac7317d157bp-4, -0x1.dd546b621d6b2p-4, -0x1.d141a572aaedp-4, -0x1.c572f06860089p-4, -0x1.b9e71dbd113b6p-4, -0x1.ae9d016053906p-4, -0x1.a39371d153494p-4, -0x1.98c948379358p-4, -0x1.8e3d607a71975p-4, -0x1.83ee99575d4abp-4, -0x1.79dbd4769efe7p-4, -0x1.7003f67e9c262p-4, -0x1.6665e725861bbp-4, -0x1.5d0091416e84bp-4, -0x1.53d2e2d6b770cp-4, -0x1.4adbcd24e396ap-4, -0x1.421a44b1d0304p-4, -0x1.398d415360064p-4, -0x1.3133be37ada82p-4, -0x1.290cb9ebd1a92p-4, -0x1.2117366158267p-4, -0x1.195238f2791dp-4, -0x1.11bcca652e4dp-4, -0x1.0a55f6ed397e6p-4, -0x1.031cce2d3885ep-4, -0x1.f820c66dba6d5p-5, -0x1.ea5f9914ac88cp-5, -0x1.dcf4482a15059p-5, -0x1.cfdd0e5f61135p-5, -0x1.c3182d37a4174p-5, -0x1.b6a3ed01a48acp-5, -0x1.aa7e9cd100a2p-5, -0x1.9ea6927679dc6p-5, -0x1.931a2a778ff4fp-5, -0x1.87d7c805723bap-5, -0x1.7cddd4f34ebc1p-5, -0x1.722ac1ac1d72ap-5, -0x1.67bd0527e249fp-5, -0x1.5d931ce07b566p-5, -0x1.53ab8cc5f3926p-5, -0x1.4a04df326fec2p-5, -0x1.409da4ddae8ccp-5, -0x1.377474d020ca3p-5, -0x1.2e87ec55a5c09p-5, -0x1.25d6aeefe374dp-5, -0x1.1d5f6648447cdp-5, -0x1.1520c2219e65fp-5, -0x1.0d1978497ebcfp-5, -0x1.054844892c706p-5, -0x1.fb57d12ca32f7p-6, -0x1.ec865806ca609p-6, -0x1.de19b85f8f9adp-6, -0x1.d010275bb6cf8p-6, -0x1.c26644b552802p-6, -0x1.b51a4dcd84f57p-6, -0x1.a82a0a8a8ab0dp-6, -0x1.9b934dccab6dcp-6, -0x1.8f53f54b7530dp-6, -0x1.8369e972b3144p-6, -0x1.77d31d3f1c4e2p-6, -0x1.6c8d8e1adc829p-6, -0x1.619743b9f3455p-6, -0x1.56ee4ff66ce7fp-6, -0x1.4c90ceac8bcc5p-6, -0x1.427ce596e23c4p-6, -0x1.38b0c42a604acp-6, -0x1.2f2aa372680a1p-6, -0x1.25e8c5ece4931p-6, -0x1.1ce977666b9a2p-6, -0x1.142b0cd679c1dp-6, -0x1.0babe43bb75f3p-6, -0x1.036a64786d18p-6, -0x1.f6c9fa5e04b5ap-7, -0x1.e7344d3d6f4e9p-7, -0x1.d810c300f2ef9p-7, -0x1.c95c6dc7ca41bp-7, -0x1.bb14701903874p-7, -0x1.ad35fc9e4c92ap-7, -0x1.9fbe55df34f56p-7, -0x1.92aacdfce22f5p-7, -0x1.85f8c66e34736p-7, -0x1.79a5afbc7992fp-7, -0x1.6daf09408dae6p-7, -0x1.621260e0a4c95p-7, -0x1.56cd52ce6fd89p-7, -0x1.4bdd894602a04p-7, -0x1.4140bc4d3131fp-7, -0x1.36f4b17397fe3p-7, -0x1.2cf73b93265c2p-7, -0x1.23463a9165cc4p-7, -0x1.19df9b2155012p-7, -0x1.10c15685e280cp-7, -0x1.07e972551e3b9p-7, -0x1.feac00781697fp-8, -0x1.ee0a3b8649bdbp-8, -0x1.dde9e827191c7p-8, -0x1.ce476f79de8bdp-8, -0x1.bf1f50f84089bp-8, -0x1.b06e2204bbb33p-8, -0x1.a2308d7aaac36p-8, -0x1.9463533fd1997p-8, -0x1.870347d720aeep-8, -0x1.7a0d53f5265d1p-8, -0x1.6d7e7415e3a47p-8, -0x1.6153b81408ac9p-8, -0x1.558a42c1bd056p-8, -0x1.4a1f4982de8d7p-8, -0x1.3f1013e8bc9d5p-8, -0x1.3459fb4f36b48p-8, -0x1.29fa6a7b7661cp-8, -0x1.1feedd3c17a6dp-8, -0x1.1634e00ac0af5p-8, -0x1.0cca0faf38e6p-8, -0x1.03ac18e410039p-8, -0x1.f5b16ff917d23p-9, -0x1.e49b711874defp-9, -0x1.d411ea1fbd1d3p-9, -0x1.c410ad2f9acfp-9, -0x1.b493a8e7c5c43p-9, -0x1.a596e7c145405p-9, -0x1.97168f6bfeddbp-9, -0x1.890ee02eded8bp-9, -0x1.7b7c344aef54bp-9, -0x1.6e5aff6106c86p-9, -0x1.61a7cdda7c79p-9, -0x1.555f445463396p-9, -0x1.497e1f0d90cbap-9, -0x1.3e0131576853ep-9, -0x1.32e56509271e2p-9, -0x1.2827b9f5f3e4ap-9, -0x1.1dc545659350ep-9, -0x1.13bb318f7e29bp-9, -0x1.0a06bd18de98ep-9, -0x1.00a53a94a79f3p-9, -0x1.ef28200d37042p-10, -0x1.dda16cd0e1d03p-10, -0x1.ccb172634fc56p-10, -0x1.bc536bc34e9ep-10, -0x1.ac82b7188d2bap-10, -0x1.9d3ad4d16daf7p-10, -0x1.8e7766c5994cp-10, -0x1.80342f5ca4ebap-10, -0x1.726d10b9ec583p-10, -0x1.651e0bec79263p-10, -0x1.58434023780f8p-10, -0x1.4bd8e9e6c9e44p-10, -0x1.3fdb62543f10fp-10, -0x1.34471e60a10b8p-10, -0x1.2918ae1d5450cp-10, -0x1.1e4cbc0158d32p-10, -0x1.13e00c36fbbe8p-10, -0x1.09cf7bed52a2bp-10, -0x1.001800ad5b89ap-10, -0x1.ed6d4f66572a6p-11, -0x1.db512a956c85cp-11, -0x1.c9d6086141b48p-11, -0x1.b8f689ec184c4p-11, -0x1.a8ad7ad13464cp-11, -0x1.98f5cffb31355p-11, -0x1.89caa6818a267p-11, -0x1.7b27428cbefc9p-11, -0x1.6d070e40e11fbp-11, -0x1.5f6598af172ffp-11, -0x1.523e94cd5b533p-11, -0x1.458dd87457a38p-11, -0x1.394f5b63819e4p-11, -0x1.2d7f364b49916p-11, -0x1.2219a1dd58d99p-11, -0x1.171af5e20410bp-11, -0x1.0c7fa854ac1aap-11, -0x1.02444c83e5ab6p-11, -0x1.f0cb2471e0fd5p-12, -0x1.ddc089c671a13p-12, -0x1.cb629593a81fp-12, -0x1.b9ab4883b765dp-12, -0x1.a894d5d3abeap-12, -0x1.9819a1d4a0ec1p-12, -0x1.88344075be643p-12, -0x1.78df73d7e69d4p-12, -0x1.6a162aed1de92p-12, -0x1.5bd3801baf582p-12, -0x1.4e12b7f003c04p-12, -0x1.40cf3fd3f32fp-12, -0x1.3404accf21a92p-12, -0x1.27aeba504909fp-12, -0x1.1bc948fe58573p-12, -0x1.10505d91b17dep-12, -0x1.05401fb520239p-12, -0x1.f529b1dceb77ap-13, -0x1.e095e72003407p-13, -0x1.ccbdf35c73d5fp-13, -0x1.b99b283fd2098p-13, -0x1.a727130764fbfp-13, -0x1.955b7a99b0938p-13, -0x1.84325dad5694p-13, -0x1.73a5f0fd3f077p-13, -0x1.63b09d8994ad1p-13, -0x1.544cfee48ad22p-13, -0x1.4575e18f37747p-13, -0x1.3726415ae29bcp-13, -0x1.295947dd9bd79p-13, -0x1.1c0a4aee7b4ecp-13, -0x1.0f34cb2de15d6p-13, -0x1.02d472981bd2ap-13, -0x1.edca26491347ep-14, -0x1.d6c54ad7f168bp-14, -0x1.c0928eb856cc5p-14, -0x1.ab2a75e71e1a9p-14, -0x1.9685ca0ecaadp-14, -0x1.829d982503753p-14, -0x1.6f6b2e2041094p-14, -0x1.5ce818b2e0226p-14, -0x1.4b0e21252acd1p-14, -0x1.39d74b389e59bp-14, -0x1.293dd31f99a7dp-14, -0x1.193c2b818cf6ap-14, -0x1.09ccfb90e1e9ep-14, -0x1.f5d63a63c2a0ep-15, -0x1.d923365b1ebbbp-15, -0x1.bd775ee6bb01ep-15, -0x1.a2c982d785db1p-15, -0x1.8910c8aab2707p-15, -0x1.7044ab61f450cp-15, -0x1.585cf771fdbffp-15, -0x1.4151c7d9be2b4p-15, -0x1.2b1b8332d3571p-15, -0x1.15b2d8fabec4p-15, -0x1.0110bee08776ep-15, -0x1.da5cdc5c8fbaap-16, -0x1.b40ac29322bd1p-16, -0x1.8f1ea28d59019p-16, -0x1.6b8c672419eb1p-16, -0x1.49486f5b01c52p-16, -0x1.28478a0265a67p-16, -0x1.087ef17dff621p-16, -0x1.d3c88f59a36cp-17, -0x1.98db2419da92fp-17, -0x1.60226b9fec9dap-17, -0x1.298be8875dabap-17, -0x1.ea0b9d072be64p-18, -0x1.84fdf7067b1a3p-18, -0x1.23cde25bf5a02p-18, -0x1.8cb7398f49d48p-19, -0x1.b22249806977bp-20, -0x1.63751ae6c979bp-22, 0x1.e5a3fdeed1181p-21, 0x1.18ac60a367135p-19, 0x1.b1901a38bf0f6p-19, 0x1.22236be718218p-18, 0x1.6880b5452626p-18, 0x1.abf76dee86b36p-18, 0x1.ec9e3fee030ecp-18, 0x1.154581b7bf107p-17, 0x1.32e9639d2c36dp-17, 0x1.4f44ec6b654a8p-17, 0x1.6a61e63bfdd58p-17, 0x1.8449c248b52a6p-17, 0x1.9d059c571a5c8p-17, 0x1.b49e3e9aa5f22p-17, 0x1.cb1c24c4f01d3p-17, 0x1.e0877f56cf6f2p-17, 0x1.f4e836c95b57fp-17, 0x1.0422f739fccaap-16, 0x1.0d5403bb3e12ap-16, 0x1.160ad1bd5e589p-16, 0x1.1e4ad3ab4b118p-16, 0x1.26175ecc2f3cfp-16, 0x1.2d73ac7e09d7dp-16, 0x1.3462db5c93e19p-16, 0x1.3ae7f062853adp-16, 0x1.4105d7fe8f7aep-16, 0x1.46bf671cf9a4cp-16, 0x1.4c175c2120015p-16, 0x1.51105fe13f3ddp-16, 0x1.55ad067621f51p-16, 0x1.59efd041483ecp-16, 0x1.5de0553d54ab5p-16, 0x1.617680b37dfbep-16, 0x1.64b9dae96798ep-16, 0x1.67ac9d09c5b45p-16, 0x1.6a50f056c67b4p-16, 0x1.6ca8eed04817ep-16, 0x1.6eb6a3dcc838ap-16, 0x1.707c0ce01641fp-16, 0x1.71fb19d32a0dbp-16, 0x1.7335add4190e4p-16, 0x1.742d9facdcec6p-16, 0x1.74e4ba54ba90fp-16, 0x1.755cbd6c328b1p-16, 0x1.75975db647cc8p-16, 0x1.759645888242dp-16, 0x1.755b1524212c4p-16, 0x1.74e7633bb81c9p-16, 0x1.743cbd3f0bf39p-16, 0x1.735ca7bb3c9ebp-16, 0x1.72489eb68ceadp-16, 0x1.710215fe3da5fp-16, 0x1.6f8a7979a2dc3p-16, 0x1.6de32d747af9bp-16, 0x1.6c0d8ee604efep-16, 0x1.6a0af3b7abb52p-16, 0x1.67dcab00e93e8p-16, 0x1.6583fd4b89e7bp-16, 0x1.63022cbc477aap-16, 0x1.6058756421d47p-16, 0x1.5d880d6095e34p-16, 0x1.5a92251301dcfp-16, 0x1.5777e75086f6cp-16, 0x1.543a798dd9e1dp-16, 0x1.50dafc0080cafp-16, 0x1.4d5a89d455818p-16, 0x1.49ba394b70cb6p-16, 0x1.45fb1bdc0fa26p-16, 0x1.421e3e574e53bp-16, 0x1.3e24a90733ed9p-16, 0x1.3a0f5fcaa2af5p-16, 0x1.35df62386c928p-16, 0x1.3195abaef1c57p-16, 0x1.2d3333734f34ep-16, 0x1.28b8eccb22b36p-16, 0x1.2427c70c7dc1ap-16, 0x1.1f80adb6e1639p-16, 0x1.1ac48885e2802p-16, 0x1.15f43b898e642p-16, 0x1.1110a7203d185p-16, 0x1.0c1aa82c04658p-16, 0x1.07131804b4151p-16, 0x1.01facc94ff1c1p-16, 0x1.f9a530c4de764p-17, 0x1.ef369534fbac2p-17, 0x1.e4ab5e4970204p-17, 0x1.da051d4778e16p-17, 0x1.cf455d124fb08p-17, 0x1.c46da23821f9ep-17, 0x1.b97f6b068d2f2p-17, 0x1.ae7c2f9ce7a39p-17, 0x1.a36561fd8a536p-17, 0x1.983c6e1e2158fp-17, 0x1.8d02b9f7bfdaap-17, 0x1.81b9a59346e68p-17, 0x1.76628b181287ap-17, 0x1.6afebee20c879p-17, 0x1.5f8f8f7e166bp-17, 0x1.541645c15f04ap-17, 0x1.489424d21acd9p-17, 0x1.3d0a6a3289abap-17, 0x1.317a4dd5449ap-17, 0x1.25e50200eeaf2p-17, 0x1.1a4bb394102e7p-17, 0x1.0eaf89e7a0b22p-17, 0x1.0311a6dff6027p-17, 0x1.eee64dff6f284p-18, 0x1.d7aa42d376881p-18, 0x1.c0714fa260337p-18, 0x1.a93d8d63e49a3p-18, 0x1.92110a7b88ap-18, 0x1.7aedcac510933p-18, 0x1.63d5c7aed7e68p-18, 0x1.4ccaf045949f9p-18, 0x1.35cf2956b5921p-18, 0x1.1ee44d5c631d9p-18, 0x1.080c2cba0ac41p-18, 0x1.e2911b42d265ep-19, 0x1.b5365877f495ep-19, 0x1.880b7568d2253p-19, 0x1.5b13c286cba73p-19, 0x1.2e527c90773a7p-19, 0x1.01caccadfe364p-19, 0x1.aaff90f09a74fp-20, 0x1.52e8e4901705bp-20, 0x1.f6aee41692c4dp-21, 0x1.48a1e2e728ff2p-21, 0x1.376bd32b1ee97p-22, -0x1.00a2f3e8be366p-25, -0x1.7527b2bca1798p-22, -0x1.63dcd111efe64p-21, -0x1.05ed8e1044be6p-20, -0x1.594284c071cf2p-20, -0x1.abe897a55d964p-20, -0x1.fddb374361d29p-20, -0x1.278afb22fd25ap-19, -0x1.4fca459b845fp-19, -0x1.77a967cc46442p-19, -0x1.9f265fd34dbc2p-19, -0x1.c63f3cf3be27bp-19, -0x1.ecf21f838b185p-19, -0x1.099e9c5a54574p-18, -0x1.1c8f653281d8fp-18, -0x1.2f4a938182a48p-18, -0x1.41cf58aa41272p-18, -0x1.541cee2859bbfp-18, -0x1.663295837fee8p-18, -0x1.780f981827618p-18, -0x1.89b3472c393abp-18, -0x1.9b1cfbbd85631p-18, -0x1.ac4c1670ea066p-18, -0x1.bd3fff7af7152p-18, -0x1.cdf826885d9afp-18, -0x1.de7402aa302f6p-18, -0x1.eeb3122db249bp-18, -0x1.feb4da9cd1994p-18, -0x1.073c744aa2c3dp-17, -0x1.0eff67da23f3ap-17, -0x1.16a3153efcfb9p-17, -0x1.1e274d2250cfap-17, -0x1.258be384af78ap-17, -0x1.2cd0afbe4bfa3p-17, -0x1.33f58c58e57dbp-17, -0x1.3afa572a7ddfap-17, -0x1.41def11cf765fp-17, -0x1.48a33e3cbfd09p-17, -0x1.4f4725a530ed3p-17, -0x1.55ca9173d3d75p-17, -0x1.5c2d6ebb97ae2p-17, -0x1.626fad7812868p-17, -0x1.68914080a7447p-17, -0x1.6e921d7bc5af6p-17, -0x1.74723cd2b6079p-17, -0x1.7a3199a24635p-17, -0x1.7fd031b4e9379p-17, -0x1.854e0566e0a83p-17, -0x1.8aab17ad93fbap-17, -0x1.8fe76dfbd112bp-17, -0x1.9503103bced76p-17, -0x1.99fe08c0283ebp-17, -0x1.9ed86437ca744p-17, -0x1.a39231a15b8dfp-17, -0x1.a82b823eafa92p-17, -0x1.aca469857bdd7p-17, -0x1.b0fcfd1f8b8fbp-17, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.ffb71360faa7ep-1, 0x1.fedc99dedbadbp-1, 0x1.fd7176af979cfp-1, 0x1.fb771ec6957bp-1, 0x1.f8ef914553d81p-1, 0x1.f5dd4e339fcb6p-1, 0x1.f2434c175618dp-1, 0x1.ee24ece5faa6ap-1, 0x1.e985f2b0c0b2ep-1, 0x1.e46a7455a7c27p-1, 0x1.ded6d26df9adep-1, 0x1.d8cfaca3417e6p-1, 0x1.d259d787777dp-1, 0x1.cb7a5303461ccp-1, 0x1.c436416571b6p-1, 0x1.bc92df187c31ep-1, 0x1.b4957afefb64dp-1, 0x1.ac436f73cd84ep-1, 0x1.a3a21be8ec20ap-1, 0x1.9ab6df1df8a7fp-1, 0x1.918711e6a009ap-1, 0x1.8818027858c46p-1, 0x1.7e6ef036c5d42p-1, 0x1.749107f611afcp-1, 0x1.6a8360aac4ed8p-1, 0x1.604af87ef024dp-1, 0x1.55ecb244e6e4bp-1, 0x1.4b6d534037f9ep-1, 0x1.40d1813e0986p-1, 0x1.361dc0f66dc9fp-1, 0x1.2b5674b0bd60ap-1, 0x1.207fdb256cfcap-1, 0x1.159e0e983c848p-1, 0x1.0ab50425fca3dp-1, 0x1.ff911682fdf3fp-2, 0x1.e9b89ab72bfa2p-2, 0x1.d3e79b64b0c15p-2, 0x1.be24d2882deffp-2, 0x1.a876adc57bd9fp-2, 0x1.92e34ec915114p-2, 0x1.7d708bde71387p-2, 0x1.6823f0b5f89f2p-2, 0x1.5302bf558bfcep-2, 0x1.3e11f12f00564p-2, 0x1.295638582edccp-2, 0x1.14d400e08e5fp-2, 0x1.008f7240931c8p-2, 0x1.d918e1be989dap-3, 0x1.b19d3f56013e7p-3, 0x1.8ab2c38380c9p-3, 0x1.645fb84e42729p-3, 0x1.3ea9ef09202c1p-3, 0x1.1996c3e3a70ebp-3, 0x1.ea56430e4a1a5p-4, 0x1.a2d7097773cafp-4, 0x1.5cb800238ebf3p-4, 0x1.18007f18daf46p-4, 0x1.a96e312856731p-5, 0x1.25c340a14889dp-5, 0x1.4a14cb054af91p-6, 0x1.3a63c3843f2b6p-8, -0x1.4dbc0045bde18p-7, -0x1.96438363f193cp-6, -0x1.3fc6c09d52bfp-5, -0x1.b15a1a06cfa95p-5, -0x1.0fec837a92fd4p-4, -0x1.45a0e7aa963edp-4, -0x1.79c9deab09a69p-4, -0x1.ac678888cb869p-4, -0x1.dd7a7a41153e4p-4, -0x1.0681dbf22074p-3, -0x1.1d8257706c226p-3, -0x1.33bf983b9b4dfp-3, -0x1.493ab62afa66dp-3, -0x1.5df4f5af89e5ep-3, -0x1.71efc54aebb4fp-3, -0x1.852cbb1a8591ap-3, -0x1.97ad9276ad522p-3, -0x1.a97429a5a8825p-3, -0x1.ba827fa2381a1p-3, -0x1.cadab1f56e53cp-3, -0x1.da7efaa374ebp-3, -0x1.e971ae2af2d67p-3, -0x1.f7b53996afdacp-3, -0x1.02a610508bebbp-2, -0x1.091c7df49be26p-2, -0x1.0f3f3b9c6c043p-2, -0x1.150fa7ed9e3e9p-2, -0x1.1a8f2982183c9p-2, -0x1.1fbf2e2379bfdp-2, -0x1.24a12a0e4a93ep-2, -0x1.2936973cb25e6p-2, -0x1.2d80f4b884338p-2, -0x1.3181c5f46765dp-2, -0x1.353a922bf3c8bp-2, -0x1.38ace3ca8606bp-2, -0x1.3bda47d8a2b3dp-2, -0x1.3ec44d6fb6d98p-2, -0x1.416c85340287dp-2, -0x1.43d480d488e9fp-2, -0x1.45fdd290cd93fp-2, -0x1.47ea0cc43e7cap-2, -0x1.499ac17719d2fp-2, -0x1.4b1181f4a505p-2, -0x1.4c4fde66915a1p-2, -0x1.4d57657563e56p-2, -0x1.4e29a3edb8cd6p-2, -0x1.4ec8246a3dd62p-2, -0x1.4f346f0241e1ap-2, -0x1.4f7008fcb15f7p-2, -0x1.4f7c74875e3fdp-2, -0x1.4f5b30727510ap-2, -0x1.4f0db7eff65e1p-2, -0x1.4e9582571e58fp-2, -0x1.4df402eb90fb1p-2, -0x1.4d2aa8a831274p-2, -0x1.4c3ade0d87f09p-2, -0x1.4b2608f39474ep-2, -0x1.49ed8a5ef3929p-2, -0x1.4892be5939381p-2, -0x1.4716fbcc669f8p-2, -0x1.457b946160712p-2, -0x1.43c1d4614672ep-2, -0x1.41eb02999e41fp-2, -0x1.3ff86043282f8p-2, -0x1.3deb28eb52d0cp-2, -0x1.3bc49260311dcp-2, -0x1.3985cc9ed7684p-2, -0x1.373001c40c423p-2, -0x1.34c455ff3837dp-2, -0x1.3243e78778a6fp-2, -0x1.2fafce92c48ddp-2, -0x1.2d091d4f0dc39p-2, -0x1.2a50dfdd45f9ep-2, -0x1.27881c4e37b27p-2, -0x1.24afd2a11e7c3p-2, -0x1.21c8fcc3e80adp-2, -0x1.1ed48e950e528p-2, -0x1.1bd375e6f51cp-2, -0x1.18c69a84bd6ddp-2, -0x1.15aede3878cd5p-2, -0x1.128d1cd2aa501p-2, -0x1.0f622c330aee7p-2, -0x1.0c2edc5278e77p-2, -0x1.08f3f74e06561p-2, -0x1.05b2417316b1dp-2, -0x1.026a794c7cb73p-2, -0x1.fe3aaf6109dbfp-3, -0x1.f7971f9fcf0a5p-3, -0x1.f0eb9e8b12abp-3, -0x1.ea397c4e0a001p-3, -0x1.e381fe2bdc2c8p-3, -0x1.dcc65ea37968dp-3, -0x1.d607cd94b6cacp-3, -0x1.cf4770668e14cp-3, -0x1.c886622e6c712p-3, -0x1.c1c5b3d877775p-3, -0x1.bb066c50b9877p-3, -0x1.b44988ad124dap-3, -0x1.ad8ffc57e5434p-3, -0x1.a6dab13b6cad8p-3, -0x1.a02a87ed96b52p-3, -0x1.998057dc6ad4fp-3, -0x1.92dcef7ad0eb2p-3, -0x1.8c41146dbf35p-3, -0x1.85ad83b9a962p-3, -0x1.7f22f1f02e1a2p-3, -0x1.78a20b5df7893p-3, -0x1.722b7438ad817p-3, -0x1.6bbfc8cd0120ap-3, -0x1.655f9dacb5d14p-3, -0x1.5f0b7fdca505p-3, -0x1.58c3f502a5c92p-3, -0x1.52897b9356732p-3, -0x1.4c5c8affbc144p-3, -0x1.463d93e2a53c1p-3, -0x1.402d002dd0eaap-3, -0x1.3a2b3356cabe3p-3, -0x1.34388a8372afcp-3, -0x1.2e555cb62954fp-3, -0x1.2881faf99ee4ep-3, -0x1.22beb08c31a5dp-3, -0x1.1d0bc30ade675p-3, -0x1.1769729bbbff9p-3, -0x1.11d7fa17f1155p-3, -0x1.0c578f35332a9p-3, -0x1.06e862aeb4849p-3, -0x1.018aa06d87fa4p-3, -0x1.f87cdf60e57e6p-4, -0x1.ee07e6665f5ecp-4, -0x1.e3b692aa16f4cp-4, -0x1.d989187deba93p-4, -0x1.cf7fa411ce444p-4, -0x1.c59a59bd4dd7fp-4, -0x1.bbd95647e8026p-4, -0x1.b23caf300060bp-4, -0x1.a8c472f087fffp-4, -0x1.9f70a9455f592p-4, -0x1.9641536e4f21ep-4, -0x1.8d366c70bdc5dp-4, -0x1.844fe957fb2d4p-4, -0x1.7b8db9743cae7p-4, -0x1.72efc6983b164p-4, -0x1.6a75f55574e46p-4, -0x1.622025371840cp-4, -0x1.59ee30fb8fe8ap-4, -0x1.51dfeeccb8e35p-4, -0x1.49f53076bf3adp-4, -0x1.422dc39da42f5p-4, -0x1.3a8971f1705cbp-4, -0x1.3308016111d0bp-4, -0x1.2ba9344bebe11p-4, -0x1.246cc9b217e06p-4, -0x1.1d527d635c51ep-4, -0x1.165a082cdaf75p-4, -0x1.0f8320057d491p-4, -0x1.08cd78391d3bdp-4, -0x1.0238c19272c59p-4, -0x1.f7895507907eap-5, -0x1.eae1be9cf08a3p-5, -0x1.de7a14527731cp-5, -0x1.d251a6ca94626p-5, -0x1.c667c324a5987p-5, -0x1.babbb342a07acp-5, -0x1.af4cbe0c7c15ep-5, -0x1.a41a27b165616p-5, -0x1.992331e6c8ea1p-5, -0x1.8e671c253903ep-5, -0x1.83e523e33c7a5p-5, -0x1.799c84ce0d22dp-5, -0x1.6f8c790055721p-5, -0x1.65b43936ed6e9p-5, -0x1.5c12fd03ad2aep-5, -0x1.52a7fafe54c73p-5, -0x1.497268f399d01p-5, -0x1.40717c1260a98p-5, -0x1.37a469173072ep-5, -0x1.2f0a6475e6ab4p-5, -0x1.26a2a281b79b1p-5, -0x1.1e6c579385b62p-5, -0x1.1666b82e975afp-5, -0x1.0e90f923b95aap-5, -0x1.06ea4fb2d2de3p-5, -0x1.fee3e355f174fp-6, -0x1.f04e2b121096fp-6, -0x1.e211e529aa30dp-6, -0x1.d42d81f9da412p-6, -0x1.c69f73e20e53p-6, -0x1.b9662f76383bfp-6, -0x1.ac802bae6cc9ep-6, -0x1.9febe2140b3cdp-6, -0x1.93a7ceec6ef2cp-6, -0x1.87b271614dc2cp-6, -0x1.7c0a4ba6c7f24p-6, -0x1.70ade31f404adp-6, -0x1.659bc07d12203p-6, -0x1.5ad26fe22c4f5p-6, -0x1.505080fda9d92p-6, -0x1.4614872772a57p-6, -0x1.3c1d1979fc5c3p-6, -0x1.3268d2ea3040fp-6, -0x1.28f6525d92ebbp-6, -0x1.1fc43abeab0d4p-6, -0x1.16d1330fcd402p-6, -0x1.0e1be67c44731p-6, -0x1.05a30467f6986p-6, -0x1.faca80fb13a69p-7, -0x1.eac2a57637732p-7, -0x1.db2beefb2eab1p-7, -0x1.cc03df156ff4fp-7, -0x1.bd480033858b2p-7, -0x1.aef5e5b614ff4p-7, -0x1.a10b2bfc78eep-7, -0x1.9385786f2a90cp-7, -0x1.86627987ee81ap-7, -0x1.799fe6d7f48c8p-7, -0x1.6d3b810bf1958p-7, -0x1.613311ee555d3p-7, -0x1.55846c67a492ap-7, -0x1.4a2d6c7d17933p-7, -0x1.3f2bf74d8c56cp-7, -0x1.347dfb0cdadecp-7, -0x1.2a216efdabd3ap-7, -0x1.20145369d588bp-7, -0x1.1654b1995a489p-7, -0x1.0ce09bc816d45p-7, -0x1.03b62d1a31b1fp-7, -0x1.f5a7131eb8e97p-8, -0x1.e46dbbe9ecadep-8, -0x1.d3bcbfae41809p-8, -0x1.c3909ae1a59fap-8, -0x1.b3e5db35f9998p-8, -0x1.a4b91f7590996p-8, -0x1.9607175e03bbfp-8, -0x1.87cc837976d29p-8, -0x1.7a0634f666ca1p-8, -0x1.6cb10d7e1839p-8, -0x1.5fc9ff09bfb3cp-8, -0x1.534e0bb67d82cp-8, -0x1.473a45983c7ebp-8, -0x1.3b8bce8b91a01p-8, -0x1.303fd806aa0ddp-8, -0x1.2553a2e95fdf3p-8, -0x1.1ac47f4c874cdp-8, -0x1.108fcc50884dp-8, -0x1.06b2f7eb52666p-8, -0x1.fa56fd6b86fa7p-9, -0x1.e7edd77110bb8p-9, -0x1.d625b07121dp-9, -0x1.c4f9d7063c1dap-9, -0x1.b465b573017d7p-9, -0x1.a464d139204bdp-9, -0x1.94f2caafd3e26p-9, -0x1.860b5c9a0e6p-9, -0x1.77aa5bbc6634ap-9, -0x1.69cbb672de858p-9, -0x1.5c6b74469e1dap-9, -0x1.4f85b583b110fp-9, -0x1.4316b2cee293bp-9, -0x1.371abcbbc7cc3p-9, -0x1.2b8e3b630ad22p-9, -0x1.206dadf9098e5p-9, -0x1.15b5aa64db0fcp-9, -0x1.0b62dcd7c2a73p-9, -0x1.017207652e9f4p-9, -0x1.efc0033689a2cp-10, -0x1.dd53703819b67p-10, -0x1.cb98586e98711p-10, -0x1.ba88e70a2ac2bp-10, -0x1.aa1f6f023c626p-10, -0x1.9a566a4dc790ap-10, -0x1.8b28791d5092fp-10, -0x1.7c906116a6ecp-10, -0x1.6e890c9276736p-10, -0x1.610d89dbca122p-10, -0x1.54190a7178449p-10, -0x1.47a6e249a3083p-10, -0x1.3bb287173a53p-10, -0x1.30378f91a99c7p-10, -0x1.2531b2bea655ep-10, -0x1.1a9cc73e3817bp-10, -0x1.1074c298f721fp-10, -0x1.06b5b89094554p-10, -0x1.fab7b4e5633c9p-11, -0x1.e8c6ecdc073e8p-11, -0x1.d791edd3b1b4ep-11, -0x1.c711c3bff1eedp-11, -0x1.b73fb071d1b7bp-11, -0x1.a8152a552e9f3p-11, -0x1.998bdb32e7446p-11, -0x1.8b9d9ef7e2b89p-11, -0x1.7e448280f6b4dp-11, -0x1.717ac26bae6e2p-11, -0x1.653ac9ebf4bdfp-11, -0x1.597f31a6a0f01p-11, -0x1.4e42be90e6376p-11, -0x1.438060d4a5556p-11, -0x1.393332b99d13fp-11, -0x1.2f56779376a45p-11, -0x1.25e59ab4a961ep-11, -0x1.1cdc2e6633b85p-11, -0x1.1435eae41ff25p-11, -0x1.0beead5ed0a88p-11, -0x1.040277010fdd2p-11, -0x1.f8dad7f5a6f6fp-12, -0x1.ea57a5216e745p-12, -0x1.dc74246035fc1p-12, -0x1.cf29650fc684cp-12, -0x1.c270b54b99c8dp-12, -0x1.b643a0309b204p-12, -0x1.aa9bec29e94b7p-12, -0x1.9f73994682aabp-12, -0x1.94c4df97c6449p-12, -0x1.8a8a2d98b5c97p-12, -0x1.80be269dd65b6p-12, -0x1.775ba14da3092p-12, -0x1.6e5da62171eafp-12, -0x1.65bf6deeaff37p-12, -0x1.5d7c607860183p-12, -0x1.55901308bc0a9p-12, -0x1.4df64712e0e26p-12, -0x1.46aae8dc68354p-12, -0x1.3faa0e2ed7146p-12, -0x1.38eff510c12b1p-12, -0x1.3279028686c53p-12, -0x1.2c41c15a94854p-12, -0x1.2646e0ed004f4p-12, -0x1.2085340a6f246p-12, -0x1.1af9afca230f6p-12, -0x1.15a16a731367fp-12, -0x1.10799a67f4dafp-12, -0x1.0b7f951a14d88p-12, -0x1.06b0ce02e86d8p-12, -0x1.020ad5a4329d3p-12, -0x1.fb16b11d54b71p-13, -0x1.f2603cddf2dc5p-13, -0x1.e9ee1242045e6p-13, -0x1.e1bc2792930abp-13, -0x1.d9c6a3e8cce1cp-13, -0x1.d209dd78c8869p-13, -0x1.ca8257e7ded9dp-13, -0x1.c32cc2ae769fap-13, -0x1.bc05f784fb07dp-13, -0x1.b50af8dbd0f62p-13, -0x1.ae38f05e0bfdap-13, -0x1.a78d2d7eb09e3p-13, -0x1.a10524104ea05p-13, -0x1.9a9e6ae6be698p-13, -0x1.9456ba82c4f1bp-13, -0x1.8e2bebc774e96p-13, -0x1.881bf6b91285dp-13, -0x1.8224f14544cd2p-13, -0x1.7c450e146af56p-13, -0x1.767a9b63d6c85p-13, -0x1.70c401e8c383ep-13, -0x1.6b1fc3bbd6c6fp-13, -0x1.658c7b4cfap-13, -0x1.6008da5f59ed4p-13, -0x1.5a93a90d600abp-13, -0x1.552bc4d479cd2p-13, -0x1.4fd01fa87c1e3p-13, -0x1.4a7fbf0e70a9ep-13, -0x1.4539bb3eb02a9p-13, -0x1.3ffd3e4e0c735p-13, -0x1.3ac9835de7ff6p-13, -0x1.359dd5d310afdp-13, -0x1.30799093327dp-13, -0x1.2b5c1d48b25d7p-13, -0x1.2644f3acd576dp-13, -0x1.213398d802284p-13, -0x1.1c279e97f7ccdp-13, -0x1.1720a2cbd67b4p-13, -0x1.121e4ec5d0082p-13, -0x1.0d2056b25c753p-13, -0x1.08267904d161dp-13, -0x1.03307de92f71fp-13, -0x1.fc7c6d76171d4p-14, -0x1.f29efb02de1fbp-14, -0x1.e8c868df13c7p-14, -0x1.def88ad428ed5p-14, -0x1.d52f43228e83ap-14, -0x1.cb6c819e84487p-14, -0x1.c1b042d589dc4p-14, -0x1.b7fa8f3c36c13p-14, -0x1.ae4b7a643c064p-14, -0x1.a4a3223a542bbp-14, -0x1.9b01ae4be90bdp-14, -0x1.91674f1433f99p-14, -0x1.87d43d509f846p-14, -0x1.7e48b95c3a0edp-14, -0x1.74c50a91fff08p-14, -0x1.6b497eb5c7a05p-14, -0x1.61d66963a112cp-14, -0x1.586c2385729cp-14, -0x1.4f0b0acea4dc9p-14, -0x1.45b3813dadfa9p-14, -0x1.3c65eca34b295p-14, -0x1.3322b62f3e27dp-14, -0x1.29ea4a02600fcp-14, -0x1.20bd16c5dfd6bp-14, -0x1.179b8d477eeecp-14, -0x1.0e86201aa65fbp-14, -0x1.057d433e29d53p-14, -0x1.f902d78d20906p-15, -0x1.e7261f197efd2p-15, -0x1.d56549c1bea62p-15, -0x1.c3c14482ab37fp-15, -0x1.b23afc2b66777p-15, -0x1.a0d35cdae0fdep-15, -0x1.8f8b5184b16bap-15, -0x1.7e63c37d02046p-15, -0x1.6d5d9a0b582d1p-15, -0x1.5c79ba03f5aap-15, -0x1.4bb9056796b97p-15, -0x1.3b1c5b0953095p-15, -0x1.2aa4963a64485p-15, -0x1.1a528e7b9c472p-15, -0x1.0a27173455574p-15, -0x1.f445fedd43a21p-16, -0x1.d48e2331207bep-16, -0x1.b52826948dcc7p-16, -0x1.96158a219b605p-16, -0x1.7757c47aa9313p-16, -0x1.58f041718ad07p-16, -0x1.3ae061b6f2c18p-16, -0x1.1d297a91c3c37p-16, -0x1.ff99ab3bf01cfp-17, -0x1.c597612598c01p-17, -0x1.8c4e7a1fbf235p-17, -0x1.53c140e1ea9c9p-17, -0x1.1bf1e7502afe9p-17, -0x1.c9c50c76f601ep-18, -0x1.5d2a3a5b6873bp-18, -0x1.e42e490257593p-19, -0x1.111ec7fd4357p-19, -0x1.04b2f521d1c93p-21, 0x1.1742e465307a8p-20, 0x1.5545c848fb0b6p-19, 0x1.0ddd56b98b818p-18, 0x1.6f7d784850a7ap-18, 0x1.cf80e346cd731p-18, 0x1.16f2b27a7f56dp-17, 0x1.45547e8965613p-17, 0x1.72e4eec46c318p-17, 0x1.9fa33502812d4p-17, 0x1.cb8e9bc596d9fp-17, 0x1.f6a685fd8ce8p-17, 0x1.10753762ffed8p-16, 0x1.252cf48f9ed9ap-16, 0x1.397a4fd15cd62p-16, 0x1.4d5d2a19a6703p-16, 0x1.60d56fd4c762bp-16, 0x1.73e318be3f91ep-16, 0x1.868627b36e2bap-16, 0x1.98beaa84aab23p-16, 0x1.aa8cb9c4f2dbep-16, 0x1.bbf0789840bb5p-16, 0x1.ccea1480b8cp-16, 0x1.dd79c52ab833fp-16, 0x1.ed9fcc37eb208p-16, 0x1.fd5c750984fb3p-16, 0x1.06580a44d489fp-15, 0x1.0dcd847a14d66p-15, 0x1.150edccf54a21p-15, 0x1.1c1c4b601c5cdp-15, 0x1.22f60c9c44addp-15, 0x1.299c612b60a52p-15, 0x1.300f8dd00555fp-15, 0x1.364fdb4af723cp-15, 0x1.3c5d963e439b7p-15, 0x1.42390f10552c2p-15, 0x1.47e299cf02309p-15, 0x1.4d5a8e12a49fp-15, 0x1.52a146e13ce36p-15, 0x1.57b72291abc95p-15, 0x1.5c9c82af06562p-15, 0x1.6151cbdc06d28p-15, 0x1.65d765b6abf19p-15, 0x1.6a2dbabbfe29p-15, 0x1.6e55382c08eadp-15, 0x1.724e4dee0afe8p-15, 0x1.76196e74e194fp-15, 0x1.79b70ea3b268bp-15, 0x1.7d27a5b2db0b3p-15, 0x1.806bad152617cp-15, 0x1.8383a05d4d238p-15, 0x1.866ffd23c824cp-15, 0x1.893142ecefb6cp-15, 0x1.8bc7f30f7465ep-15, 0x1.8e34909b2a499p-15, 0x1.9077a0403474ep-15, 0x1.9291a8368682fp-15, 0x1.94833025c822bp-15, 0x1.964cc10d998dep-15, 0x1.97eee52e371d3p-15, 0x1.996a27f1832f6p-15, 0x1.9abf15d4754dcp-15, 0x1.9bee3c50ed79bp-15, 0x1.9cf829c7f1c2dp-15, 0x1.9ddd6d6c53a14p-15, 0x1.9e9e972dbd6e6p-15, 0x1.9f3c37a42c511p-15, 0x1.9fb6dffbd35d1p-15, 0x1.a00f21e16a10dp-15, 0x1.a0458f6ee85ap-15, 0x1.a05abb18ab723p-15, 0x1.a04f379b08fafp-15, 0x1.a02397e84d1b6p-15, 0x1.9fd86f1725c87p-15, 0x1.9f6e505177fa2p-15, 0x1.9ee5cec3a2c3cp-15, 0x1.9e3f7d8c2c591p-15, 0x1.9d7befabd8a3dp-15, 0x1.9c9bb7f62ed14p-15, 0x1.9b9f69026308cp-15, 0x1.9a87951cada92p-15, 0x1.9954ce3808d8ep-15, 0x1.9807a5e057a67p-15, 0x1.96a0ad2cf20a3p-15, 0x1.952074b39907bp-15, 0x1.93878c7bcef82p-15, 0x1.91d683f295caep-15, 0x1.900de9de8dd4cp-15, 0x1.8e2e4c5479805p-15, 0x1.8c3838ac21316p-15, 0x1.8a2c3b7598126p-15, 0x1.880ae06edd7a9p-15, 0x1.85d4b279dff76p-15, 0x1.838a3b92da67fp-15, 0x1.812c04c70b2b7p-15, 0x1.7eba962bca6ccp-15, 0x1.7c3676d5f34c2p-15, 0x1.79a02cd1a9a11p-15, 0x1.76f83d1a723d2p-15, 0x1.743f2b93a1a79p-15, 0x1.71757b011fdf7p-15, 0x1.6e9bad007b61ep-15, 0x1.6bb242024f0d6p-15, 0x1.68b9b943f6343p-15, 0x1.65b290c9904e7p-15, }}, 
      {{0x1.ffe7b0467918dp-1, 0x1.ff9ed06405e12p-1, 0x1.ff258df1ec9a5p-1, 0x1.fe7c3417ec69ep-1, 0x1.fda32a6ae6547p-1, 0x1.fc9af383447a5p-1, 0x1.fb642b5fb206ap-1, 0x1.f9ff85a53c878p-1, 0x1.f86dcbcae5eabp-1, 0x1.f6afdb3bfc481p-1, 0x1.f4c6a37a3dc79p-1, 0x1.f2b32446d1a0cp-1, 0x1.f0766bd777e5ap-1, 0x1.ee11951bedc1cp-1, 0x1.eb85c61661945p-1, 0x1.e8d42e48ddf95p-1, 0x1.e5fe0538de15cp-1, 0x1.e30489099c48ep-1, 0x1.dfe8fd2d39d39p-1, 0x1.dcaca92c86822p-1, 0x1.d950d784e5478p-1, 0x1.d5d6d49ba011fp-1, 0x1.d23fedc5d38fbp-1, 0x1.ce8d70640d888p-1, 0x1.cac0a910a31acp-1, 0x1.c6dae2dfc3848p-1, 0x1.c2dd66b04b044p-1, 0x1.bec97a8c58b6cp-1, 0x1.baa06118b6df5p-1, 0x1.b663591227e2cp-1, 0x1.b2139cd7b9337p-1, 0x1.adb26201407e5p-1, 0x1.a940d9013bdf3p-1, 0x1.a4c02cd150832p-1, 0x1.a03182a8b053cp-1, 0x1.9b95f9bbbce7bp-1, 0x1.96eeab044302cp-1, 0x1.923ca911b5286p-1, 0x1.8d80ffe0d812fp-1, 0x1.88bcb4ba5533bp-1, 0x1.83f0c617b7a6bp-1, 0x1.7f1e2b8e56ea2p-1, 0x1.7a45d5bfc247ep-1, 0x1.7568ae4f3fa61p-1, 0x1.708797dbf978p-1, 0x1.6ba36dff7db1ap-1, 0x1.66bd0550335c5p-1, 0x1.61d52b6775a78p-1, 0x1.5ceca6eb00048p-1, 0x1.5804379965d04p-1, 0x1.531c96594cf91p-1, 0x1.4e36754b28ffap-1, 0x1.49527fdd39a1ep-1, 0x1.44715ae19321p-1, 0x1.3f93a4a5f7679p-1, 0x1.3ab9f50d4f056p-1, 0x1.35e4ddaa91ap-1, 0x1.3114e9dcef01dp-1, 0x1.2c4a9eed12bbcp-1, 0x1.27867c2b57408p-1, 0x1.22c8fb0ec6d3dp-1, 0x1.1e128f54c8381p-1, 0x1.1963a72156ff6p-1, 0x1.14bcab1fab21cp-1, 0x1.101dfea335753p-1, 0x1.0b87ffc8d6a47p-1, 0x1.06fb07983dba6p-1, 0x1.02776a2554503p-1, 0x1.fbfaed6355e78p-2, 0x1.f31aef9b9dce6p-2, 0x1.ea4f66f4fd59p-2, 0x1.e198d69354e5ap-2, 0x1.d8f7b8fe6e535p-2, 0x1.d06c8062ec4d6p-2, 0x1.c7f796d28fd4p-2, 0x1.bf995e83c117p-2, 0x1.b75232104bce9p-2, 0x1.af2264b33e5b1p-2, 0x1.a70a4285e1ff9p-2, 0x1.9f0a10bbbd41dp-2, 0x1.97220ddd9ab96p-2, 0x1.8f52720387fc7p-2, 0x1.879b6f0dcbc9bp-2, 0x1.7ffd30dcc5cc7p-2, 0x1.7877dd87b8dc7p-2, 0x1.710b95927d169p-2, 0x1.69b8742211e1fp-2, 0x1.627e8f3011a6p-2, 0x1.5b5df7bd056d7p-2, 0x1.5456ba0199584p-2, 0x1.4d68dd9eade6fp-2, 0x1.469465cc4b669p-2, 0x1.3fd95187777cfp-2, 0x1.39379bbeeaa2cp-2, 0x1.32af3b7eaec73p-2, 0x1.2c40241aa1d6bp-2, 0x1.25ea4557e6b2fp-2, 0x1.1fad8b953f546p-2, 0x1.1989dff25870fp-2, 0x1.137f28760cd0cp-2, 0x1.0d8d483399b67p-2, 0x1.07b41f6ed2e07p-2, 0x1.01f38bbf56922p-2, 0x1.f896d0657ee6fp-3, 0x1.ed771adbc672bp-3, 0x1.e287a39a31a33p-3, 0x1.d7c8130723e1ep-3, 0x1.cd380d7383b7p-3, 0x1.c2d73355c7c0cp-3, 0x1.b8a5218331792p-3, 0x1.aea171674d8a1p-3, 0x1.a4cbb939bb728p-3, 0x1.9b238c324c51bp-3, 0x1.91a87abb74723p-3, 0x1.885a12a32917ep-3, 0x1.7f37df4a21c41p-3, 0x1.764169d19753dp-3, 0x1.6d7639477588ep-3, 0x1.64d5d2d116bcfp-3, 0x1.5c5fb9d48e25dp-3, 0x1.54137020834cfp-3, 0x1.4bf07612accep-3, 0x1.43f64abcefa3ap-3, 0x1.3c246c092bcd8p-3, 0x1.347a56dbbb976p-3, 0x1.2cf78734b1d16p-3, 0x1.259b784fdc40bp-3, 0x1.1e65a4c38dcd8p-3, 0x1.1755869e3cbe5p-3, 0x1.106a9782ff8f5p-3, 0x1.09a450c4e23cdp-3, 0x1.03022b81291e3p-3, 0x1.f907417106254p-4, 0x1.ec5052ce62505p-4, 0x1.dfde7d384cc25p-4, 0x1.d3b0b31e609c1p-4, 0x1.c7c5e76c52b8cp-4, 0x1.bc1d0db267f5bp-4, 0x1.b0b51a4c31e96p-4, 0x1.a58d02856993ep-4, 0x1.9aa3bcbd259b5p-4, 0x1.8ff8408753a04p-4, 0x1.858986cc9e88dp-4, 0x1.7b5689e8acffbp-4, 0x1.715e45c6e2e77p-4, 0x1.679fb7fd9be7fp-4, 0x1.5e19dfe7f5131p-4, 0x1.54cbbebe2a8dep-4, 0x1.4bb457ac97abcp-4, 0x1.42d2afe962461p-4, 0x1.3a25cec8dc942p-4, 0x1.31acbdd0a6a83p-4, 0x1.296688c999f31p-4, 0x1.21523dd08a10cp-4, 0x1.196eed65e0ac2p-4, 0x1.11bbaa7c239a6p-4, 0x1.0a378a85674cp-4, 0x1.02e1a57fbea18p-4, 0x1.f7722c015269cp-5, 0x1.e979f27f1d042p-5, 0x1.dbd8de3e977dap-5, 0x1.ce8d346dbb0c4p-5, 0x1.c1953fb2591e2p-5, 0x1.b4ef50380e9p-5, 0x1.a899bbbc9b3bap-5, 0x1.9c92dd9ab1ec7p-5, 0x1.90d916d34bfbdp-5, 0x1.856ace1592879p-5, 0x1.7a466fc566c22p-5, 0x1.6f6a6e009d6abp-5, 0x1.64d540a2f41c6p-5, 0x1.5a856548d4833p-5, 0x1.50795f50ebcbp-5, 0x1.46afb7dca9fep-5, 0x1.3d26fdcfad302p-5, 0x1.33ddc5ce2c2cp-5, 0x1.2ad2aa3a69136p-5, 0x1.22044b3133562p-5, 0x1.19714e858d0e4p-5, 0x1.11185fbb74cecp-5, 0x1.08f83001e68bbp-5, 0x1.010f762c16116p-5, 0x1.f2b9dd53e7dd1p-6, 0x1.e3beb7000430cp-6, 0x1.d52b087d0228cp-6, 0x1.c6fc6bf00775bp-6, 0x1.b930866ed48bcp-6, 0x1.abc507eaac8ap-6, 0x1.9eb7ab1a30529p-6, 0x1.9206356241efcp-6, 0x1.85ae76be04aeep-6, 0x1.79ae49a5ff922p-6, 0x1.6e0392f67a054p-6, 0x1.62ac41d5170f4p-6, 0x1.57a64f95c638dp-6, 0x1.4cefbf9f0c44bp-6, 0x1.42869f4dbdc2bp-6, 0x1.386905d82b7dap-6, 0x1.2e951430cf8b8p-6, 0x1.2508f4e88d4b1p-6, 0x1.1bc2dc1085b75p-6, 0x1.12c1071b8ed85p-6, 0x1.0a01bcbf58debp-6, 0x1.01834cd54ac5p-6, 0x1.f2882076328bcp-7, 0x1.e284d1666193ep-7, 0x1.d2f98189c871dp-7, 0x1.c3e31738fb11ep-7, 0x1.b53e89d65bde1p-7, 0x1.a708e18dc9753p-7, 0x1.993f3714303b7p-7, 0x1.8bdeb3670837bp-7, 0x1.7ee48f8bceb77p-7, 0x1.724e144f86fc5p-7, 0x1.66189a0648fc8p-7, 0x1.5a41884afffd2p-7, 0x1.4ec655bf3b77ep-7, 0x1.43a487cb487c2p-7, 0x1.38d9b25e7d95dp-7, 0x1.2e6377afd14bcp-7, 0x1.243f87fec1d31p-7, 0x1.1a6ba154946f9p-7, 0x1.10e58f45f5f0fp-7, 0x1.07ab2ab502107p-7, 0x1.fd74b32777a3ep-8, 0x1.ec221d4df329p-8, 0x1.db5a92939e79ep-8, 0x1.cb1a2a62f09cbp-8, 0x1.bb5d146395e59p-8, 0x1.ac1f98046d411p-8, 0x1.9d5e1406a7b1ep-8, 0x1.8f14fe0a161cap-8, 0x1.8140e21aa6396p-8, 0x1.73de623f1eb6ep-8, 0x1.66ea36091baedp-8, 0x1.5a612a265395ep-8, 0x1.4e401ff32bf81p-8, 0x1.42840d0ea1629p-8, 0x1.3729faef86fc1p-8, 0x1.2c2f067b248c7p-8, 0x1.21905f9d357dp-8, 0x1.174b48e149f12p-8, 0x1.0d5d170d9100cp-8, 0x1.03c330bf0c146p-8, 0x1.f4f61c0e5a287p-9, 0x1.e3047015c7431p-9, 0x1.d1ac91462fe65p-9, 0x1.c0e9d3fd2b2bp-9, 0x1.b0b7ac8aceeb7p-9, 0x1.a111ae7b4710bp-9, 0x1.91f38be352478p-9, 0x1.835914af9bab1p-9, 0x1.753e35f6f8b73p-9, 0x1.679ef94f83a0dp-9, 0x1.5a77842691837p-9, 0x1.4dc4171b86159p-9, 0x1.41810d5d79a01p-9, 0x1.35aadc0bb88bbp-9, 0x1.2a3e11990b9f9p-9, 0x1.1f375531d1f3fp-9, 0x1.14936624de859p-9, 0x1.0a4f1b4f1969ap-9, 0x1.00676289dba15p-9, 0x1.edb280380e77p-10, 0x1.db439c5b9386ep-10, 0x1.c97c787e2096ep-10, 0x1.b8579d413aa3ep-10, 0x1.a7cfbbdf7ec07p-10, 0x1.97dfad293b60cp-10, 0x1.888270862b93fp-10, 0x1.79b32afc4a07ap-10, 0x1.6b6d263ba5521p-10, 0x1.5dabcfaf27ff5p-10, 0x1.506ab7925101bp-10, 0x1.43a5900bb75cbp-10, 0x1.37582c4c60ecep-10, 0x1.2b7e7fb3c7252p-10, 0x1.20149cf890821p-10, 0x1.1516b555d2cb4p-10, 0x1.0a8117bcea84p-10, 0x1.0050300bc2821p-10, 0x1.ed010c8f01ee3p-11, 0x1.da1d7bb722834p-11, 0x1.c7ef29b9db66ep-11, 0x1.b66fc6a33fe8dp-11, 0x1.a59934f8cb4fep-11, 0x1.95658858d06fcp-11, 0x1.85cf0421ef563p-11, 0x1.76d01a226c953p-11, 0x1.6863694f4e3dfp-11, 0x1.5a83bc8316ea4p-11, 0x1.4d2c09440396cp-11, 0x1.40576e91a51d8p-11, 0x1.340133b9bac0bp-11, 0x1.2824c73427b58p-11, 0x1.1cbdbd85e6a46p-11, 0x1.11c7d02ad7fcbp-11, 0x1.073edc864d295p-11, 0x1.fa3dc5b46072ep-12, 0x1.e6c80a894bf92p-12, 0x1.d4150d881f8b8p-12, 0x1.c21d948290b7dp-12, 0x1.b0daa340037cbp-12, 0x1.a04579aa4292dp-12, 0x1.9057920601203p-12, 0x1.810a9f36dcdefp-12, 0x1.72588b0eb6d69p-12, 0x1.643b74a813633p-12, 0x1.56adaecb5c2a5p-12, 0x1.49a9be5ebbee3p-12, 0x1.3d2a58e06074ap-12, 0x1.312a62eaed5ddp-12, 0x1.25a4eec3e6b82p-12, 0x1.1a953af3db05ap-12, 0x1.0ff6b0e8178f4p-12, 0x1.05c4e39db9153p-12, 0x1.f7f71cabb0062p-13, 0x1.e52d26a5510bp-13, 0x1.d323f53aa9b8dp-13, 0x1.c1d3e1a8c70c5p-13, 0x1.b1358c04ee8ddp-13, 0x1.a141d8fa6c4f6p-13, 0x1.91f1ef985b161p-13, 0x1.833f372efa986p-13, 0x1.7523553c4742cp-13, 0x1.67982b676db8bp-13, 0x1.5a97d58ac0e89p-13, 0x1.4e1ca7cbe7edap-13, 0x1.42212cc1dc2c7p-13, 0x1.36a023a86f9adp-13, 0x1.2b947ea105a0cp-13, 0x1.20f961002acf8p-13, 0x1.16ca1da7bd106p-13, 0x1.0d02356d533c6p-13, 0x1.039d558ca08d4p-13, 0x1.f52eac4aec78bp-14, 0x1.e3d8718a5c53ep-14, 0x1.d3304df651f8ep-14, 0x1.c32ee1f02d826p-14, 0x1.b3cd186f9f078p-14, 0x1.a504246ad92edp-14, 0x1.96cd7e52cb607p-14, 0x1.8922e1a2d8b1cp-14, 0x1.7bfe4a838f6d4p-14, 0x1.6f59f37fe2639p-14, 0x1.6330534c65ec2p-14, 0x1.577c1aa01b4f5p-14, 0x1.4c38321e50d3ap-14, 0x1.415fb85124efp-14, 0x1.36edffb439dd3p-14, 0x1.2cde8ccf2b5afp-14, 0x1.232d145f5a9e1p-14, 0x1.19d57990a3ea3p-14, 0x1.10d3cc4499c71p-14, 0x1.08244767dd003p-14, 0x1.ff869eaa5e25ep-15, 0x1.ef5ae08bc2ba6p-15, 0x1.dfbeb99e77fb1p-15, 0x1.d0abd8d90bda4p-15, 0x1.c21c342aa14cp-15, 0x1.b40a05bf5f363p-15, 0x1.a66fc95c0a704p-15, 0x1.994839d02572fp-15, 0x1.8c8e4e7dea397p-15, 0x1.803d38f785ebfp-15, 0x1.745062b0f4903p-15, 0x1.68c36ac5e3fb7p-15, 0x1.5d9223d30bbfep-15, 0x1.52b891e266b9dp-15, 0x1.4832e869bdc25p-15, 0x1.3dfd885affaa6p-15, 0x1.3414fe45d719bp-15, 0x1.2a76008a03748p-15, 0x1.211d6d99eb847p-15, 0x1.18084a4cf527fp-15, 0x1.0f33c04120546p-15, 0x1.069d1c4b772bap-15, 0x1.fc8399edac3efp-16, 0x1.ec3ec221474e8p-16, 0x1.dc670c8605989p-16, 0x1.ccf80f783756dp-16, 0x1.bded99c41d1bap-16, 0x1.af43b026523b7p-16, 0x1.a0f68ae409721p-16, 0x1.9302937a4397dp-16, 0x1.8564626356578p-16, 0x1.7818bcf2078dp-16, 0x1.6b1c93418d795p-16, 0x1.5e6cfe39c1d0dp-16, 0x1.52073da6e7ac6p-16, 0x1.45e8b66461833p-16, 0x1.3a0ef099b0b9fp-16, 0x1.2e7796092bc7p-16, 0x1.2320706fd50b7p-16, 0x1.180767f5bf60fp-16, 0x1.0d2a81ae6d5d9p-16, 0x1.0287de28b0cd1p-16, 0x1.f03b701ae33c2p-17, 0x1.dbd4c599dc052p-17, 0x1.c7d892b3c8bd6p-17, 0x1.b443d9e472febp-17, 0x1.a113c7e94131ap-17, 0x1.8e45b18593aa9p-17, 0x1.7bd7115f721dp-17, 0x1.69c585f388dep-17, 0x1.580ecf9fc1d0cp-17, 0x1.46b0cec39a312p-17, 0x1.35a981f5776dep-17, 0x1.24f7044c38856p-17, 0x1.14978bbc49437p-17, 0x1.0489678782834p-17, 0x1.e995fd7e4eb17p-18, 0x1.cab59daeae7abp-18, 0x1.ac6ed4969cbacp-18, 0x1.8ebeeea3a9d5fp-18, 0x1.71a35d42871ap-18, 0x1.5519b4850ce9ep-18, 0x1.391fa8e51b644p-18, 0x1.1db30d233cc85p-18, 0x1.02d1d03ffbd09p-18, 0x1.d0f3f71dc355ep-19, 0x1.9d5361c43fe01p-19, 0x1.6abe519be0e26p-19, 0x1.3931620572ab4p-19, 0x1.08a9557a1d4d6p-19, 0x1.b246252ad8f2bp-20, 0x1.5537428f3ab02p-20, 0x1.f440a0ba741d5p-21, 0x1.41f7a8507d6acp-21, 0x1.27121c7a12f8ap-22, -0x1.7155cdec8268p-25, -0x1.7bdae517195eep-22, -0x1.6108be6cbcfbap-21, -0x1.003842dd0668bp-20, -0x1.4e16e7230196ep-20, -0x1.9a24b28b6bf4bp-20, -0x1.e465f24b2231cp-20, -0x1.166f6e974517fp-19, -0x1.39c9cb27aa586p-19, -0x1.5c4417ce3e254p-19, -0x1.7de0561b41ddep-19, -0x1.9ea08150fca3p-19, -0x1.be868f6911119p-19, -0x1.dd947206de579p-19, -0x1.fbcc1757c68afp-19, -0x1.0c97b5711d899p-18, -0x1.1ae02b2235adap-18, -0x1.28c060f1a7b62p-18, -0x1.36394ac5759b2p-18, -0x1.434bdc80376a7p-18, -0x1.4ff90a438161p-18, -0x1.5c41c8abec5c7p-18, -0x1.68270d071c4d1p-18, -0x1.73a9cd8414cap-18, -0x1.7ecb015e241e9p-18, -0x1.898ba102b81edp-18, -0x1.93eca6325c74cp-18, -0x1.9def0c1d2d0e6p-18, -0x1.a793cf7afc147p-18, -0x1.b0dbee9f6b1e2p-18, -0x1.b9c8698a362cp-18, -0x1.c25a41f3e7c2dp-18, -0x1.ca927b5732189p-18, -0x1.d2721af71f31ap-18, -0x1.d9fa27e24dd47p-18, -0x1.e12baaf36a97bp-18, -0x1.e807aecf16e95p-18, -0x1.ee8f3fdf66b1bp-18, -0x1.f4c36c4d24b58p-18, -0x1.faa543f703c22p-18, -0x1.001aec33710eap-17, -0x1.02bb1e62a5cd1p-17, -0x1.0533c2e5aab6ap-17, -0x1.078564d97e9fap-17, -0x1.09b090131395ap-17, -0x1.0bb5d1162e9ebp-17, -0x1.0d95b50bb5eb1p-17, -0x1.0f50c9b77adeep-17, -0x1.10e79d6d9018ap-17, -0x1.125abf0734d31p-17, -0x1.13aabdd764543p-17, -0x1.14d8299f1312fp-17, -0x1.15e3928125acdp-17, -0x1.16cd88f62b9eep-17, -0x1.17969dbfe6d52p-17, -0x1.183f61dcaabadp-17, -0x1.18c8667a9a94p-17, -0x1.19323ceace55p-17, -0x1.197d7694695a6p-17, -0x1.19aaa4e7a52a4p-17, -0x1.19ba5950dc803p-17, -0x1.19ad252b98a6bp-17, -0x1.198399b5aa0eep-17, -0x1.193e4802510bcp-17, -0x1.18ddc0ed7b4ecp-17, -0x1.1862950f1c56bp-17, -0x1.17cd54aea4db4p-17, -0x1.171e8fb69dd14p-17, -0x1.1656d5a869c41p-17, -0x1.1576b59033703p-17, -0x1.147ebdf908c08p-17, -0x1.136f7ce129d28p-17, -0x1.12497fae8afe8p-17, -0x1.110d53238fa81p-17, -0x1.0fbb8353fdb17p-17, -0x1.0e549b9a2f562p-17, -0x1.0cd9268c80652p-17, -0x1.0b49adf2fdc6cp-17, -0x1.09a6babd55dbdp-17, -0x1.07f0d4f90bbc2p-17, -0x1.062883c7eee91p-17, -0x1.044e4d56d92efp-17, -0x1.0262b6d4b1fdap-17, -0x1.00664469b8f25p-17, -0x1.fcb2f25e32e43p-18, -0x1.f879ae4d89c53p-18, -0x1.f421be672deb7p-18, -0x1.efac222384e6p-18, -0x1.eb19d69f0d45fp-18, -0x1.e66bd68c5de5fp-18, -0x1.e1a31a26b4bb7p-18, -0x1.dcc097251af5cp-18, -0x1.d7c540ae16588p-18, -0x1.d2b2074beebcbp-18, -0x1.cd87d8e18160fp-18, -0x1.c847a09fa37ap-18, -0x1.c2f246fb136f9p-18, -0x1.bd88b1a2f473p-18, -0x1.b80bc377d751dp-18, -0x1.b27c5c834b9cdp-18, -0x1.acdb59eff891bp-18, -0x1.a72996023d322p-18, -0x1.a167e81152ecdp-18, -0x1.9b972480f5b95p-18, -0x1.95b81cbb8995dp-18, -0x1.8fcb9f2cc1251p-18, -0x1.89d2773cbe824p-18, -0x1.83cd6d4bb04eep-18, -0x1.7dbd46ade5cabp-18, -0x1.77a2c5a858ce9p-18, -0x1.717ea96daac84p-18, -0x1.6b51ae1b95015p-18, -0x1.651c8cb8c4b19p-18, -0x1.5edffb3326545p-18, -0x1.589cac5e98cp-18, -0x1.52534ff40a065p-18, -0x1.4c049290f653ap-18, -0x1.45b11db74dfdfp-18, -0x1.3f5997cdb6a92p-18, -0x1.38fea4202e2p-18, -0x1.32a0e2e106889p-18, -0x1.2c40f12a3c84cp-18, -0x1.25df68ff20e9cp-18, -0x1.1f7ce14e5af45p-18, -0x1.1919edf436942p-18, -0x1.12b71fbd46042p-18, -0x1.0c5504694ce28p-18, -0x1.05f426ae77162p-18, -0x1.ff2a1c79adcc2p-19, -0x1.f2707f844e2cfp-19, -0x1.e5bc79dba58bcp-19, -0x1.d90f08ea74372p-19, -0x1.cc69243071eedp-19, -0x1.bfcbbd4bcdf9fp-19, -0x1.b337c0032443p-19, -0x1.a6ae124fe08eep-19, -0x1.9a2f946910f4cp-19, -0x1.8dbd20ce95b9ep-19, -0x1.81578c54b983ap-19, -0x1.74ffa63028a7ap-19, -0x1.68b6380239302p-19, -0x1.5c7c05e592917p-19, -0x1.5051ce7b20504p-19, -0x1.44384af7527a6p-19, -0x1.38302f2faa372p-19, -0x1.2c3a29a88af15p-19, -0x1.2056e3a34ae9ep-19, -0x1.1487012c86a98p-19, -0x1.08cb212aaa0e7p-19, -0x1.fa47bad965ffcp-20, -0x1.e323957254a21p-20, -0x1.cc2af1ba89fd2p-20, -0x1.b55ee57879863p-20, -0x1.9ec07cbd8f995p-20, -0x1.8850ba057f6e7p-20, -0x1.72109655c98dp-20, -0x1.5c01015d8f7dap-20, -0x1.4622e19597e93p-20, -0x1.307714608d836p-20, -0x1.1afe6e2b6c13ep-20, -0x1.05b9ba8e14ed2p-20, -0x1.e15378d819c99p-21, -0x1.b79e5c2aa965dp-21, -0x1.8e5582cebd33bp-21, -0x1.657a3fdc30767p-21, -0x1.3d0dd60a0a496p-21, -0x1.151177f0cc168p-21, -0x1.db0c90999b4f6p-22, -0x1.8cdab4813df7fp-22, -0x1.3f8f632ed439p-22, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.95667baa891e4p-8, -0x1.9687c687cc609p-7, -0x1.3249acccc8345p-6, -0x1.9aebafb63071bp-6, -0x1.02ceb7c6e01p-5, -0x1.3961aac49f6dcp-5, -0x1.7158d32814863p-5, -0x1.aad6129a88ab5p-5, -0x1.e5f31db73c0ffp-5, -0x1.1160e05586acap-4, -0x1.30a62386fff5p-4, -0x1.50cafdf228c29p-4, -0x1.71cddc7e9a476p-4, -0x1.93aa3f660ee59p-4, -0x1.b65907b5ebee3p-4, -0x1.d9d0c461e5a28p-4, -0x1.fe05fd69a2395p-4, -0x1.1175bdff594adp-3, -0x1.24394776cf31ep-3, -0x1.3745a56825499p-3, -0x1.4a9262e20f59dp-3, -0x1.5e16a7433d3c9p-3, -0x1.71c94f7c23bc1p-3, -0x1.85a1050fc90cdp-3, -0x1.999452e6fcebdp-3, -0x1.ad99b80ee82fp-3, -0x1.c1a7b87f3cba7p-3, -0x1.d5b4ec0680dcap-3, -0x1.e9b80b7bab90ep-3, -0x1.fda7fc546c167p-3, -0x1.08bded5f6c7bap-2, -0x1.1295812e2a1dp-2, -0x1.1c568add12fe2p-2, -0x1.25fd025164f3ep-2, -0x1.2f8508b0c52eap-2, -0x1.38eaea881c121p-2, -0x1.422b2182b3b77p-2, -0x1.4b4255bbf9f63p-2, -0x1.542d5eb58d367p-2, -0x1.5ce943fa868dfp-2, -0x1.65733d784ac57p-2, -0x1.6dc8b3948301cp-2, -0x1.75e73f0754951p-2, -0x1.7dcca8805911p-2, -0x1.8576e81c55f57p-2, -0x1.8ce424b145651p-2, -0x1.9412b2f5c29c5p-2, -0x1.9b0114888c997p-2, -0x1.a1adf6dc72623p-2, -0x1.a818320c9d554p-2, -0x1.ae3ec79cd8a44p-2, -0x1.b420e12935bb7p-2, -0x1.b9bdcf080bbc7p-2, -0x1.bf1506e129eafp-2, -0x1.c426223cbdd8ap-2, -0x1.c8f0dd0c3e29cp-2, -0x1.cd75142f79fe2p-2, -0x1.d1b2c3f7aa2d4p-2, -0x1.d5aa06aa40fa5p-2, -0x1.d95b1304fe5c3p-2, -0x1.dcc63ac4aed8bp-2, -0x1.dfebe92fca224p-2, -0x1.e2cca1a60a815p-2, -0x1.e568fe35f190ep-2, -0x1.e7c1ae3915549p-2, -0x1.e9d774f7e593ep-2, -0x1.ebab285596526p-2, -0x1.ed3daf84ab6bep-2, -0x1.ee9001c49c132p-2, -0x1.efa32528ea8f1p-2, -0x1.f0782d69f8581p-2, -0x1.f1103abfd0a1ep-2, -0x1.f16c78c70dd4ap-2, -0x1.f18e1d6ffd22ap-2, -0x1.f17667f805f3cp-2, -0x1.f1269fed59fcdp-2, -0x1.f0a0143cec3f6p-2, -0x1.efe41a4a917c4p-2, -0x1.eef40d133ce5bp-2, -0x1.edd14c59325dap-2, -0x1.ec7d3bda08de3p-2, -0x1.eaf9428e5182p-2, -0x1.e946c9f2afb65p-2, -0x1.e7673d5a33191p-2, -0x1.e55c0949b48dp-2, -0x1.e3269adc014e6p-2, -0x1.e0c85f2e912d1p-2, -0x1.de42c2d68fa15p-2, -0x1.db97315df00b4p-2, -0x1.d8c714c8537ecp-2, -0x1.d5d3d51f78dd4p-2, -0x1.d2bed806f8c94p-2, -0x1.cf8980570a28ep-2, -0x1.cc352dbe0c5ebp-2, -0x1.c8c33c689cb93p-2, -0x1.c53504afed371p-2, -0x1.c18bdace2534dp-2, -0x1.bdc90e988aed2p-2, -0x1.b9edeb3f37c89p-2, -0x1.b5fbb7121cfdap-2, -0x1.b1f3b34b1f55ep-2, -0x1.add71bdd0cf42p-2, -0x1.a9a7274739382p-2, -0x1.a565066d87539p-2, -0x1.a111e474afac6p-2, -0x1.9caee6a289f28p-2, -0x1.983d2c423140ap-2, -0x1.93bdce8bca6ccp-2, -0x1.8f31e08fc24fep-2, -0x1.8a9a6f2559cc6p-2, -0x1.85f880dc4cfeep-2, -0x1.814d15f1749ddp-2, -0x1.7c99284632782p-2, -0x1.77ddab5a85737p-2, -0x1.731b8c499f379p-2, -0x1.6e53b1c8d7e6p-2, -0x1.6986fc28dd91bp-2, -0x1.64b64558fb642p-2, -0x1.5fe260ec5e7f4p-2, -0x1.5b0c1c2132c7fp-2, -0x1.56343de97fd99p-2, -0x1.515b86f5a98cdp-2, -0x1.4c82b1c070e1fp-2, -0x1.47aa729c6a4fep-2, -0x1.42d377c2c1e32p-2, -0x1.3dfe69633e38ap-2, -0x1.392be9b5670f9p-2, -0x1.345c950abe4b7p-2, -0x1.2f9101e1f0219p-2, -0x1.2ac9c0faed409p-2, -0x1.26075d6bd5e06p-2, -0x1.214a5cb6a6552p-2, -0x1.1c933edf95c1bp-2, -0x1.17e27e84115cp-2, -0x1.133890f248d3fp-2, -0x1.0e95e64138831p-2, -0x1.09fae96926d71p-2, -0x1.0568005c86026p-2, -0x1.00dd8c212b707p-2, -0x1.f8b7d1d39eb3bp-3, -0x1.efc6dc5f9f476p-3, -0x1.e6e8dd9a4015fp-3, -0x1.de1e722cc9f32p-3, -0x1.d5682dea5c0b9p-3, -0x1.ccc69c0484121p-3, -0x1.c43a3f3fe9c84p-3, -0x1.bbc39229097ap-3, -0x1.b3630748d87c6p-3, -0x1.ab19095952cd2p-3, -0x1.a2e5fb79e03c5p-3, -0x1.9aca39637a40fp-3, -0x1.92c6179c96de8p-3, -0x1.8ad9e3acb9d21p-3, -0x1.8305e44face82p-3, -0x1.7b4a59a84de43p-3, -0x1.73a77d72f0367p-3, -0x1.6c1d833738febp-3, -0x1.64ac98798530dp-3, -0x1.5d54e4ebb1653p-3, -0x1.56168a9d613c4p-3, -0x1.4ef1a62b9a5b7p-3, -0x1.47e64eefc81eep-3, -0x1.40f4972e16684p-3, -0x1.3a1c8c431abfdp-3, -0x1.335e36d0cf4b6p-3, -0x1.2cb99aead5efp-3, -0x1.262eb84202b58p-3, -0x1.1fbd8a4f23d4ap-3, -0x1.1966087d09ef8p-3, -0x1.13282651cfb74p-3, -0x1.0d03d39751135p-3, -0x1.06f8fc82e52cap-3, -0x1.010789dc41d8ap-3, -0x1.f65ec2473b00cp-4, -0x1.eae0c96df30eep-4, -0x1.df94e7ed48496p-4, -0x1.d47ad6d1d8cfap-4, -0x1.c99249ba00ff3p-4, -0x1.bedaef1a06e6dp-4, -0x1.b454707e9f82bp-4, -0x1.a9fe72cdd68eap-4, -0x1.9fd8968661b8cp-4, -0x1.95e277fd4dcb7p-4, -0x1.8c1baf9a1b16ep-4, -0x1.8283d21142989p-4, -0x1.791a709d25fcbp-4, -0x1.6fdf19357075p-4, -0x1.66d156c4eb626p-4, -0x1.5df0b15dc867p-4, -0x1.553cae6c6763p-4, -0x1.4cb4d0e89bb2fp-4, -0x1.445899857327fp-4, -0x1.3c2786df880aap-4, -0x1.342115a9dd1c3p-4, -0x1.2c44c0d94d416p-4, -0x1.249201ce928a5p-4, -0x1.1d08507ee8fbbp-4, -0x1.15a7239b52e8dp-4, -0x1.0e6df0b6877c9p-4, -0x1.075c2c698b174p-4, -0x1.00714a76fd77fp-4, -0x1.f3597bda3ff56p-5, -0x1.e61bf28d3752cp-5, -0x1.d928dd1415a12p-5, -0x1.cc7f1ed09f8b8p-5, -0x1.c01d9ab37813p-5, -0x1.b40333741e518p-5, -0x1.a82ecbc6a6b1ep-5, -0x1.9c9f468f3d567p-5, -0x1.915387137b2c6p-5, -0x1.864a71299f463p-5, -0x1.7b82e965b0b31p-5, -0x1.70fbd544a11dp-5, -0x1.66b41b556f1cdp-5, -0x1.5caaa36060e7cp-5, -0x1.52de568c5a248p-5, -0x1.494e1f8261524p-5, -0x1.3ff8ea8f5736cp-5, -0x1.36dda5c3f8409p-5, -0x1.2dfb411328ec7p-5, -0x1.2550ae6e9f1e9p-5, -0x1.1cdce1e1f40c6p-5, -0x1.149ed1ac27291p-5, -0x1.0c9576579f72fp-5, -0x1.04bfcad0b8dabp-5, -0x1.fa3998f5c6cbdp-6, -0x1.eb56f688c8775p-6, -0x1.dcd5b371821afp-6, -0x1.ceb3da23c188fp-6, -0x1.c0ef7a8fd96a4p-6, -0x1.b386aa3ff8679p-6, -0x1.a67784732ae3dp-6, -0x1.99c02a36160fbp-6, -0x1.8d5ec2798a982p-6, -0x1.81517a26f8155p-6, -0x1.75968432d873ep-6, -0x1.6a2c19ad270bp-6, -0x1.5f1079cff4443p-6, -0x1.5441ea0c26034p-6, -0x1.49beb6147b531p-6, -0x1.3f852fe6e0025p-6, -0x1.3593afd4205ecp-6, -0x1.2be8948612e01p-6, -0x1.2282430443b8cp-6, -0x1.195f26b72ef6bp-6, -0x1.107db16a24a6bp-6, -0x1.07dc5b4bd3748p-6, -0x1.fef345db317dcp-7, -0x1.eea81a833ff3p-7, -0x1.ded44b2fab29bp-7, -0x1.cf74fb339054dp-7, -0x1.c0875a8b04f66p-7, -0x1.b208a5cebde83p-7, -0x1.a3f62625e325dp-7, -0x1.964d313618c81p-7, -0x1.890b2911d0e71p-7, -0x1.7c2d7c25011f9p-7, -0x1.6fb1a5205c1aep-7, -0x1.63952ae311e97p-7, -0x1.57d5a06338f72p-7, -0x1.4c70a494f4b58p-7, -0x1.4163e2505ea16p-7, -0x1.36ad10365eac3p-7, -0x1.2c49f0946683ap-7, -0x1.223851473b0fp-7, -0x1.18760b9cd0149p-7, -0x1.0f01043549ba2p-7, -0x1.05d72ae3347bep-7, -0x1.f9ecf516059c1p-8, -0x1.e8b9f203bcf49p-8, -0x1.d8116dd7bcac2p-8, -0x1.c7ef9f335695bp-8, -0x1.b850d1cb48585p-8, -0x1.a93166211a9b7p-8, -0x1.9a8dd13bae38bp-8, -0x1.8c629c5f0f16ap-8, -0x1.7eac64c3a76bep-8, -0x1.7167db4ce5b49p-8, -0x1.6491c43f6c27dp-8, -0x1.5826f6f6dbf9p-8, -0x1.4c245d9b5528dp-8, -0x1.4086f4d6b59a2p-8, -0x1.354bcb89b075ap-8, -0x1.2a700280ca40cp-8, -0x1.1ff0cc294da2dp-8, -0x1.15cb6c46438a6p-8, -0x1.0bfd37a582f86p-8, -0x1.028393d4e2915p-8, -0x1.f2b7edaf38928p-9, -0x1.e107cdb7d856fp-9, -0x1.cff1f3e1f6444p-9, -0x1.bf71ab7a3d7dep-9, -0x1.af825e68ee9e9p-9, -0x1.a01f949ff49d4p-9, -0x1.9144f389e1a0cp-9, -0x1.82ee3d79e5c72p-9, -0x1.7517511cd4244p-9, -0x1.67bc28eb437a1p-9, -0x1.5ad8da9cdc1eep-9, -0x1.4e69969ce003fp-9, -0x1.426aa77ffd2f3p-9, -0x1.36d8717b71faap-9, -0x1.2baf71dd95ac4p-9, -0x1.20ec3e87cb987p-9, -0x1.168b8569e9401p-9, -0x1.0c8a0bff21fe3p-9, -0x1.02e4aecc74552p-9, -0x1.f330c1c155bb3p-10, -0x1.e14456abe6328p-10, -0x1.cffe59aa20b2bp-10, -0x1.bf5932346ad7dp-10, -0x1.af4f70f707dfp-10, -0x1.9fdbcee2713c6p-10, -0x1.90f92c3f1a051p-10, -0x1.82a28fc49309ap-10, -0x1.74d325b422c56p-10, -0x1.67863ef6d5a35p-10, -0x1.5ab7503f00f84p-10, -0x1.4e61f12d4874p-10, -0x1.4281db791d092p-10, -0x1.3712ea1cc2cd6p-10, -0x1.2c111884ce0f3p-10, -0x1.217881c32ac58p-10, -0x1.17455fc59fb52p-10, -0x1.0d740a8fcf8d8p-10, -0x1.0400f778b7162p-10, -0x1.f5d170d747615p-11, -0x1.e44ff6594a058p-11, -0x1.d3771140d403ap-11, -0x1.c340882f21685p-11, -0x1.b3a6553ab887ap-11, -0x1.a4a2a4939f2dp-11, -0x1.962fd32e4a6b4p-11, -0x1.88486d753bc44p-11, -0x1.7ae72e0141127p-11, -0x1.6e06fc5844f71p-11, -0x1.61a2ebb2a5716p-11, -0x1.55b639c6fccddp-11, -0x1.4a3c4d9c5137ap-11, -0x1.3f30b66295c2ap-11, -0x1.348f2a516ebc8p-11, -0x1.2a53858d27b62p-11, -0x1.2079c911c6c6ap-11, -0x1.16fe19a42c5e5p-11, -0x1.0ddcbec92cf9bp-11, -0x1.051221c28f4ebp-11, -0x1.f9359923bd7dfp-12, -0x1.e8e6d201f714p-12, -0x1.d9317f60a882cp-12, -0x1.ca0f6e556f374p-12, -0x1.bb7aa5fd4bc19p-12, -0x1.ad6d65ba245aep-12, -0x1.9fe2237aef3f8p-12, -0x1.92d38a0e6d731p-12, -0x1.863c77803b614p-12, -0x1.7a17fb8015229p-12, -0x1.6e6155d325db6p-12, -0x1.6313f4cf3278ep-12, -0x1.582b73df789e1p-12, -0x1.4da39a1316109p-12, -0x1.437858b4d176cp-12, -0x1.39a5c9ec151efp-12, -0x1.30282f66f6dfcp-12, -0x1.26fbf10d1eb02p-12, -0x1.1e1d9bbb653aap-12, -0x1.1589e008008b7p-12, -0x1.0d3d910f14817p-12, -0x1.0535a3477d959p-12, -0x1.fade56bf59109p-13, -0x1.ebceba44e25d7p-13, -0x1.dd3714c6fca9p-13, -0x1.cf1243e7205a7p-13, -0x1.c15b5d37f7615p-13, -0x1.b40dac4321a07p-13, -0x1.a724b09d33db8p-13, -0x1.9a9c1c07bdd05p-13, -0x1.8e6fd0a0f0cd4p-13, -0x1.829bdf20b8d49p-13, -0x1.771c8522e36bep-13, -0x1.6bee2b7e1e0bfp-13, -0x1.610d64a7721fp-13, -0x1.5676eb220de98p-13, -0x1.4c279ffaf916ep-13, -0x1.421c89507fc54p-13, -0x1.3852d0e5124f7p-13, -0x1.2ec7c2bd435d8p-13, -0x1.2578cbc8b3987p-13, -0x1.1c637895a4be6p-13, -0x1.1385740ee4d5ap-13, -0x1.0adc8643ec8eap-13, -0x1.0266933ad4f6dp-13, -0x1.f4433397f6199p-14, -0x1.e417650e17b58p-14, -0x1.d4461d4275e23p-14, -0x1.c4cbedd8e1a0fp-14, -0x1.b5a595ae5268ep-14, -0x1.a6cffee9bc3bdp-14, -0x1.98483d1d52791p-14, -0x1.8a0b8b780dfeap-14, -0x1.7c174b06cd157p-14, -0x1.6e690104cd06ep-14, -0x1.60fe553b010e7p-14, -0x1.53d5106de72e6p-14, -0x1.46eb1ad974c2cp-14, -0x1.3a3e7abab8a4cp-14, -0x1.2dcd52e6d5322p-14, -0x1.2195e16eef24bp-14, -0x1.15967e50b97d9p-14, -0x1.09cd9a334107ap-14, -0x1.fc737a5f3d3edp-15, -0x1.e5b30b4a789f5p-15, -0x1.cf574e32a82bap-15, -0x1.b95dd242b049p-15, -0x1.a3c44cafe4463p-15, -0x1.8e8896b893ef9p-15, -0x1.79a8abb689575p-15, -0x1.6522a744e59e3p-15, -0x1.50f4c378bddap-15, -0x1.3d1d572bf0461p-15, -0x1.299ad4599cf0fp-15, -0x1.166bc68bb845bp-15, -0x1.038ed15931c6dp-15, -0x1.e2055de85075dp-16, -0x1.bd8c5d8f53e5bp-16, -0x1.99b0684909bbap-16, -0x1.766f69f951593p-16, -0x1.53c77159455d9p-16, -0x1.31b6ada584905p-16, -0x1.103b6c66d7b5ep-16, -0x1.dea82ea8cc721p-17, -0x1.9dfe649d2796p-17, -0x1.5e76b2e36d786p-17, -0x1.200e7e7fbbbbp-17, -0x1.c586ab833e782p-18, -0x1.4d25d9de386bfp-18, -0x1.adec6c64aa573p-19, -0x1.8bceb8c1fd6fcp-20, 0x1.dcb2d422fad5cp-23, 0x1.fa64f1589b245p-20, 0x1.d8556f8757ae1p-19, 0x1.579d536213af2p-18, 0x1.c0f433ecb134fp-18, 0x1.14192e607b829p-17, 0x1.46ad59fff03f2p-17, 0x1.78380339e9726p-17, 0x1.a8ba859e9f4b7p-17, 0x1.d83633a418c02p-17, 0x1.03562c233f3f7p-16, 0x1.1a0f1c477f97fp-16, 0x1.30468a81202dcp-16, 0x1.45fd157bb4f19p-16, 0x1.5b335aec4dc99p-16, 0x1.6fe9f826ee979p-16, 0x1.84218aa9aa15cp-16, 0x1.97dab09dcd11dp-16, 0x1.ab16094f90323p-16, 0x1.bdd4359cad3a7p-16, 0x1.d015d85a3caffp-16, 0x1.e1db96b2473cbp-16, 0x1.f32618795c3c7p-16, 0x1.01fb043e4702p-15, 0x1.0a260a64197f9p-15, 0x1.12147773d8694p-15, 0x1.19c6a60f5b31ap-15, 0x1.213cf2ce1216bp-15, 0x1.2877bc537e7d5p-15, 0x1.2f776362d1b7bp-15, 0x1.363c4aefd528bp-15, 0x1.3cc6d82d40e17p-15, 0x1.43177298a34ep-15, 0x1.492e8403f43fbp-15, 0x1.4f0c789cfb519p-15, 0x1.54b1bef29fff4p-15, 0x1.5a1ec7f847737p-15, 0x1.5f54070754999p-15, 0x1.6451f1deebf23p-15, 0x1.691900a212f3ep-15, 0x1.6da9add442616p-15, 0x1.7204765485879p-15, 0x1.7629d9573ee2ep-15, 0x1.7a1a585ea48b3p-15, 0x1.7dd677320d432p-15, 0x1.815ebbd421fbcp-15, 0x1.84b3ae78079cdp-15, 0x1.87d5d975925d2p-15, 0x1.8ac5c93c98497p-15, 0x1.8d840c4771061p-15, 0x1.9011330cb755bp-15, 0x1.926dcff058a43p-15, 0x1.949a773403858p-15, 0x1.9697bee7072bp-15, 0x1.98663ed5aaa96p-15, 0x1.9a06907810f32p-15, 0x1.9b794ee0b2e65p-15, 0x1.9cbf16aa7c0a6p-15, 0x1.9dd885e694cbbp-15, 0x1.9ec63c09e8fb9p-15, 0x1.9f88d9da7110cp-15, 0x1.a021015c4a677p-15, 0x1.a08f55bea8f4fp-15, 0x1.a0d47b48ab13dp-15, 0x1.a0f1174614cfcp-15, 0x1.a0e5cff4028c4p-15, 0x1.a0b34c6d93058p-15, 0x1.a05a349894331p-15, 0x1.9fdb31123af9fp-15, 0x1.9f36eb1be8eb3p-15, 0x1.9e6e0c880a82ep-15, 0x1.9d813fa70de6ep-15, 0x1.9c712f3481a33p-15, 0x1.9b3e8644531b8p-15, 0x1.99e9f03040819p-15, 0x1.9874188574f35p-15, 0x1.96ddaaf25f53p-15, 0x1.95275334becddp-15, 0x1.9351bd07ecff1p-15, 0x1.915d941369491p-15, 0x1.8f4b83d9a846bp-15, 0x1.8d1c37a727b11p-15, 0x1.8ad05a81cf5f4p-15, 0x1.886897189a54dp-15, 0x1.85e597b391996p-15, 0x1.83480624170c2p-15, 0x1.80908bb57fd6cp-15, 0x1.7dbfd11e06c9bp-15, 0x1.7ad67e70124e9p-15, 0x1.77d53b0bd29f9p-15, 0x1.74bcad9136775p-15, 0x1.718d7bd23cb4ep-15, 0x1.6e484ac59b06dp-15, 0x1.6aedbe79c639dp-15, 0x1.677e7a084ed5bp-15, 0x1.63fb1f89a016cp-15, 0x1.6064500917e4p-15, 0x1.5cbaab797c731p-15, 0x1.58fed0a9ce277p-15, 0x1.55315d3a77d6cp-15, 0x1.5152ed92d97c7p-15, 0x1.4d641cd72fe0dp-15, 0x1.496584dedb5ecp-15, 0x1.4557be2afd20ap-15, 0x1.413b5fdd75a4ep-15, 0x1.3d10ffb03849bp-15, 0x1.38d931ecfe525p-15, 0x1.349489654e97bp-15, 0x1.3043976ae1d0dp-15, 0x1.2be6ebc85cf74p-15, 0x1.277f14ba62237p-15, 0x1.230c9ee8f8f6p-15, 0x1.1e9015614a975p-15, 0x1.1a0a018fb3d2cp-15, 0x1.157aeb3a289ebp-15, 0x1.10e3587ae96e3p-15, 0x1.0c43cdbb89ee7p-15, 0x1.079ccdb047c12p-15, 0x1.02eed953af089p-15, 0x1.fc74dfc516abcp-16, 0x1.f3001db04aa9p-16, 0x1.e98063d59785dp-16, 0x1.dff6a6114782cp-16, 0x1.d663d4a985415p-16, 0x1.ccc8dc4919ba7p-16, 0x1.c326a5fab829ap-16, 0x1.b97e1724ce8ddp-16, 0x1.afd01185db78dp-16, 0x1.a61d733147bc2p-16, 0x1.9c67168cbb4dcp-16, 0x1.92add24df60aep-16, 0x1.88f279791772p-16, 0x1.7f35db5f6982ap-16, 0x1.7578c39e91366p-16, 0x1.6bbbfa203ff64p-16, 0x1.6200431a44e5cp-16, 0x1.58465f0f12317p-16, 0x1.4e8f0aceaa20ap-16, 0x1.44daff77ed6e4p-16, 0x1.3b2af27a521dcp-16, 0x1.317f9597f743dp-16, 0x1.27d996e817348p-16, 0x1.1e39a0d9d30bfp-16, 0x1.14a05a375a719p-16, 0x1.0b0e66296358bp-16, 0x1.0184643af8f08p-16, 0x1.f005e0bb2b0abp-17, 0x1.dd1545db1ffp-17, 0x1.ca38216d9cc36p-17, 0x1.b76f95f38ba4dp-17, 0x1.a4bcbee177432p-17, 0x1.9220b0aa94f54p-17, 0x1.7f9c78cc5a9e5p-17, 0x1.6d311dda80a7bp-17, 0x1.5adf9f8b88912p-17, 0x1.48a8f6c5b2e77p-17, 0x1.368e15ac5fbbcp-17, 0x1.248fe7addea5dp-17, 0x1.12af5191a07cep-17, 0x1.00ed3186cac56p-17, 0x1.de94be664fddfp-18, 0x1.bb8f5784dd84dp-18, 0x1.98cbc3ebbc86cp-18, }}, 
      {{0x1.ffd0ce88f87fdp-1, 0x1.ff44a25e28b31p-1, 0x1.fe5f3da0d6374p-1, 0x1.fd2604acbb546p-1, 0x1.fb9f6af2acbbep-1, 0x1.f9d280ef054cbp-1, 0x1.f7c69ccef6a69p-1, 0x1.f5831884075bep-1, 0x1.f30f20fbe7eddp-1, 0x1.f07192fdc2019p-1, 0x1.edb0e2d4e3245p-1, 0x1.ead30c797b545p-1, 0x1.e7dd8a585e057p-1, 0x1.e4d55136a6e99p-1, 0x1.e1becff953cfcp-1, 0x1.de9df2566c8a4p-1, 0x1.db7625a7750b4p-1, 0x1.d84a5f3dd12f3p-1, 0x1.d51d23bb0adfdp-1, 0x1.d1f08f09e891fp-1, 0x1.cec65cab311c4p-1, 0x1.cb9ff01aa34c9p-1, 0x1.c87e5d1ef2d16p-1, 0x1.c5626fe30a7fcp-1, 0x1.c24cb4c003323p-1, 0x1.bf3d7fa68903cp-1, 0x1.bc34f31c310d1p-1, 0x1.b93306c5cdb9fp-1, 0x1.b6378d7b5ab01p-1, 0x1.b3423ae4d9957p-1, 0x1.b052a8a18824p-1, 0x1.ad685afc72831p-1, 0x1.aa82c53278dc5p-1, 0x1.a7a14d4ec04dep-1, 0x1.a4c34fa2fe544p-1, 0x1.a1e821e172edep-1, 0x1.9f0f15de82888p-1, 0x1.9c377bfff260ap-1, 0x1.9960a55fb9b56p-1, 0x1.9689e5a834605p-1, 0x1.93b294af580e1p-1, 0x1.90da0fd64ffc1p-1, 0x1.8dffbb32a4a8fp-1, 0x1.8b230285d0f59p-1, 0x1.88435a07d972dp-1, 0x1.85603f093b0c2p-1, 0x1.82793870374dap-1, 0x1.7f8dd7154170ap-1, 0x1.7c9db6020c11cp-1, 0x1.79a87a967031fp-1, 0x1.76add4962f633p-1, 0x1.73ad7e224d148p-1, 0x1.70a73ba088943p-1, 0x1.6d9adb934b471p-1, 0x1.6a883664236c8p-1, 0x1.676f2e22c302bp-1, 0x1.644fae3a3ccbfp-1, 0x1.6129ab1e1e31cp-1, 0x1.5dfd21f0d579ep-1, 0x1.5aca1824b2ff5p-1, 0x1.57909b18b160cp-1, 0x1.5450bfb214a9ep-1, 0x1.510aa1f3d0996p-1, 0x1.4dbe64948dbd9p-1, 0x1.4a6c30940c46dp-1, 0x1.471434d08f358p-1, 0x1.43b6a59ce3a94p-1, 0x1.4053bc5786808p-1, 0x1.3cebb7035aa11p-1, 0x1.397ed7e2511d3p-1, 0x1.360d6512584e4p-1, 0x1.3297a82cd762bp-1, 0x1.2f1dede8f2d86p-1, 0x1.2ba085c0cb964p-1, 0x1.281fc199e0019p-1, 0x1.249bf570ad2f4p-1, 0x1.21157707a89abp-1, 0x1.1d8c9d99a3f8ep-1, 0x1.1a01c18fa50d4p-1, 0x1.16753c3a34cd7p-1, 0x1.12e7678e2ae15p-1, 0x1.0f589de4eb9b7p-1, 0x1.0bc939c0174fcp-1, 0x1.083995909afadp-1, 0x1.04aa0b81173b7p-1, 0x1.011af5438ce79p-1, 0x1.fb1957c47d0ddp-2, 0x1.f3ff0f275de4cp-2, 0x1.ece7bf235a177p-2, 0x1.e5d413e6a3e23p-2, 0x1.dec4b713b75ebp-2, 0x1.d7ba4f809a474p-2, 0x1.d0b580fb70006p-2, 0x1.c9b6ec1433497p-2, 0x1.c2bf2deb6301dp-2, 0x1.bbcee0056a96cp-2, 0x1.b4e69822993f3p-2, 0x1.ae06e81b710a6p-2, 0x1.a7305dc11b2e8p-2, 0x1.a06382c1d52bbp-2, 0x1.99a0dc911ee73p-2, 0x1.92e8ec537ce4ap-2, 0x1.8c3c2ecda381bp-2, 0x1.859b1c56d51c7p-2, 0x1.7f0628ce4aae3p-2, 0x1.787dc3937ed4ap-2, 0x1.7202578128457p-2, 0x1.6b944aeac1ce8p-2, 0x1.6533ff9c7376fp-2, 0x1.5ee1d2dd3b551p-2, 0x1.589e1d7327ea4p-2, 0x1.526933a98bd4ap-2, 0x1.4c436558fe6b8p-2, 0x1.462cfdf10b5d8p-2, 0x1.40264483759c4p-2, 0x1.3a2f7bd0e5ff5p-2, 0x1.3448e256f3978p-2, 0x1.2e72b25f5b79p-2, 0x1.28ad22105fa14p-2, 0x1.22f8637e1de9ep-2, 0x1.1d54a4bcdb835p-2, 0x1.17c20ff41cf23p-2, 0x1.1240cb727f1f6p-2, 0x1.0cd0f9c238d9fp-2, 0x1.0772b9be2d7c7p-2, 0x1.022626a786964p-2, 0x1.f9d6b07771cc1p-3, 0x1.ef84c595d3493p-3, 0x1.e556ae9d45132p-3, 0x1.db4c87018eb05p-3, 0x1.d16663e571712p-3, 0x1.c7a454494293dp-3, 0x1.be066139a7b6dp-3, 0x1.b48c8dfe783c3p-3, 0x1.ab36d849941f5p-3, 0x1.a2053865af5b1p-3, 0x1.98f7a164f93f6p-3, 0x1.900e014f84725p-3, 0x1.8748415168926p-3, 0x1.7ea645e8912a1p-3, 0x1.7627ef1221536p-3, 0x1.6dcd1877609c3p-3, 0x1.6595999a2f689p-3, 0x1.5d814600edb7dp-3, 0x1.558fed61c637dp-3, 0x1.4dc15bcd6592fp-3, 0x1.461559d902b27p-3, 0x1.3e8bacc7bb7b2p-3, 0x1.372416b338d29p-3, 0x1.2fde56b39d702p-3, 0x1.28ba2906aa601p-3, 0x1.21b7473626679p-3, 0x1.1ad5683d732fcp-3, 0x1.141440ae5c86dp-3, 0x1.0d7382d50e5d6p-3, 0x1.06f2dedb3f94p-3, 0x1.009202ea82a36p-3, 0x1.f4a1369b7d87fp-4, 0x1.e85ca523aa316p-4, 0x1.dc55a34ace9f3p-4, 0x1.d08b7fef9d57bp-4, 0x1.c4fd872e5af75p-4, 0x1.b9ab029b63b24p-4, 0x1.ae93397bfac9fp-4, 0x1.a3b570fd6cc37p-4, 0x1.9910ec6a7ebc2p-4, 0x1.8ea4ed5f4243bp-4, 0x1.8470b3fb3b14bp-4, 0x1.7a737f11e7bd2p-4, 0x1.70ac8c59ab198p-4, 0x1.671b1899207d7p-4, 0x1.5dbe5fd2db3d1p-4, 0x1.54959d6f98745p-4, 0x1.4ba00c66e9611p-4, 0x1.42dce7665b973p-4, 0x1.3a4b68f724affp-4, 0x1.31eacba257f66p-4, 0x1.29ba4a13ad485p-4, 0x1.21b91f3ade9edp-4, 0x1.19e6866ba3fcfp-4, 0x1.1241bb7c54459p-4, 0x1.0ac9fae331a99p-4, 0x1.037e81d2691p-4, 0x1.f8bd1ca598c91p-5, 0x1.ead2beba9ad79p-5, 0x1.dd3c69e68212ap-5, 0x1.cff8a06ae6d16p-5, 0x1.c305e6f425aecp-5, 0x1.b662c4c2f10cfp-5, 0x1.aa0dc3d3b1682p-5, 0x1.9e057103bacd7p-5, 0x1.92485c3471d9fp-5, 0x1.86d5186c60f57p-5, 0x1.7baa3bf65886fp-5, 0x1.70c6607e9fc3ep-5, 0x1.6628232e49cd8p-5, 0x1.5bce24c4b7e97p-5, 0x1.51b709af5ce22p-5, 0x1.47e17a1fcb6a4p-5, 0x1.3e4c22201a6bp-5, 0x1.34f5b1a5b5c18p-5, 0x1.2bdcdca29d886p-5, 0x1.23005b152a718p-5, 0x1.1a5ee9165cd1ap-5, 0x1.11f746e6c79bp-5, 0x1.09c838fa244bfp-5, 0x1.01d088019463dp-5, 0x1.f41e01e950983p-6, 0x1.e504ea325d0a8p-6, 0x1.d6537413ae1d5p-6, 0x1.c807537779f51p-6, 0x1.ba1e4505b636bp-6, 0x1.ac960e2aed659p-6, 0x1.9f6c7d1d220bbp-6, 0x1.929f68dec3304p-6, 0x1.862cb13fd3301p-6, 0x1.7a123edd53433p-6, 0x1.6e4e031efd89bp-6, 0x1.62ddf83371839p-6, 0x1.57c0210ad0d64p-6, 0x1.4cf2894ff47ccp-6, 0x1.4273456036ddfp-6, 0x1.38407241f3da9p-6, 0x1.2e583599c8ae6p-6, 0x1.24b8bd9ea31e7p-6, 0x1.1b60410cb0d8fp-6, 0x1.124cff174205ep-6, 0x1.097d3f59a82e4p-6, 0x1.00ef51c7225e4p-6, 0x1.f1431d33c657ap-7, 0x1.e124ac828a15p-7, 0x1.d180229e60e27p-7, 0x1.c25260c986996p-7, 0x1.b398583c96adap-7, 0x1.a54f09fd3a58fp-7, 0x1.977386b391abep-7, 0x1.8a02ee7e9de31p-7, 0x1.7cfa70c7842f8p-7, 0x1.70574c1400349p-7, 0x1.6416cdd7d7c9ap-7, 0x1.58365245a5d96p-7, 0x1.4cb3441ed225ep-7, 0x1.418b1c82f371bp-7, 0x1.36bb62be9beaep-7, 0x1.2c41ac199d59ep-7, 0x1.221b9ba4def9ap-7, 0x1.1846e207ce676p-7, 0x1.0ec13d4d7a94bp-7, 0x1.058878b16a9b9p-7, 0x1.f934d8d872eccp-8, 0x1.e7e9fb000d96bp-8, 0x1.d72c3b0992a2cp-8, 0x1.c6f794e918318p-8, 0x1.b7481cef4b8d6p-8, 0x1.a819ff61e22a1p-8, 0x1.99698014290a3p-8, 0x1.8b32f9ffc0e5fp-8, 0x1.7d72dedd9b9f9p-8, 0x1.7025b6bf4fd92p-8, 0x1.63481fa8ce7e1p-8, 0x1.56d6cd2a9036p-8, 0x1.4ace87fc44513p-8, 0x1.3f2c2d9815bc9p-8, 0x1.33ecafd68ddd3p-8, 0x1.290d148b2878bp-8, 0x1.1e8a75219dba7p-8, 0x1.1461fe3bf6527p-8, 0x1.0a90ef516b159p-8, 0x1.01149a4e2463dp-8, 0x1.efd4c667b1882p-9, 0x1.de1f7f76b8e2ap-9, 0x1.cd046dee46828p-9, 0x1.bc7ec1ed828e9p-9, 0x1.ac89ccd6dc484p-9, 0x1.9d21009b29294p-9, 0x1.8e3fef06e18f4p-9, 0x1.7fe249118ababp-9, 0x1.7203de2f58d07p-9, 0x1.64a09ba50e824p-9, 0x1.57b48bde250d8p-9, 0x1.4b3bd5c54233cp-9, 0x1.3f32bc1f037cap-9, 0x1.33959ce728547p-9, 0x1.2860f0b01685fp-9, 0x1.1d914a04c691bp-9, 0x1.132354cd17543p-9, 0x1.0913d5b48bc97p-9, 0x1.febf5326e8206p-10, 0x1.ec0789b511f8fp-10, 0x1.d9fa6601e0324p-10, 0x1.c8922be96c536p-10, 0x1.b7c94b1b69d6cp-10, 0x1.a79a5e05d00abp-10, 0x1.980028c462513p-10, 0x1.88f598150c9c9p-10, 0x1.7a75c0511669cp-10, 0x1.6c7bdc6b20f54p-10, 0x1.5f034cf1f64ccp-10, 0x1.5207971811982p-10, 0x1.458463bfe75afp-10, 0x1.39757e8ce5cd5p-10, 0x1.2dd6d4f91367p-10, 0x1.22a4756f5ebfcp-10, 0x1.17da8e6a7f1f3p-10, 0x1.0d756d98601a6p-10, 0x1.03717f0217cc5p-10, 0x1.f3969870a7b04p-11, 0x1.e0fef7085e44ep-11, 0x1.cf159e38dc74bp-11, 0x1.bdd448be1b777p-11, 0x1.ad34e61e33c34p-11, 0x1.9d31992d82335p-11, 0x1.8dc4b69b2aa4bp-11, 0x1.7ee8c385dc56dp-11, 0x1.70987418ba1ccp-11, 0x1.62ceaa30516e7p-11, 0x1.558674077ba4dp-11, 0x1.48bb0aec13c39p-11, 0x1.3c67d1fb5f7cep-11, 0x1.308854e612e2fp-11, 0x1.251846bbcc547p-11, 0x1.1a1380bdef6adp-11, 0x1.0f760139bef12p-11, 0x1.053bea699a30bp-11, 0x1.f6c302ba7c1ap-12, 0x1.e3c659d1d8ep-12, 0x1.d17ae936b90bep-12, 0x1.bfd9ff74afbb4p-12, 0x1.aedd288bc2978p-12, 0x1.9e7e2c039da73p-12, 0x1.8eb70b0b64333p-12, 0x1.7f81fea5f05e6p-12, 0x1.70d975e23878fp-12, 0x1.62b8141faf47ap-12, 0x1.5518af5e56bc8p-12, 0x1.47f64e9a52bp-12, 0x1.3b4c2832c10f8p-12, 0x1.2f15a05b9d67ap-12, 0x1.234e479a770bcp-12, 0x1.17f1d94dbedbdp-12, 0x1.0cfc3a3e7f2b8p-12, 0x1.0269773c33ef2p-12, 0x1.f06b8785474f6p-13, 0x1.dcbaf152d5624p-13, 0x1.c9ba25ba32d91p-13, 0x1.b76264433ef03p-13, 0x1.a5ad2fbbb2577p-13, 0x1.94944be00d377p-13, 0x1.8411bb15fc63ap-13, 0x1.741fbc37bfb9dp-13, 0x1.64b8c8704520bp-13, 0x1.55d791277bd7p-13, 0x1.4776fdfe98ed4p-13, 0x1.39922adbd51c4p-13, 0x1.2c2466055cd1bp-13, 0x1.1f292e4b00f4ep-13, 0x1.129c313e5bd34p-13, 0x1.0679497908ee9p-13, 0x1.f578f9e13267cp-14, 0x1.dec3f6afdfaf4p-14, 0x1.c8cc391b4b50dp-14, 0x1.b38abe2e6dp-14, 0x1.9ef8cd510ea9p-14, 0x1.8b0ff56f24963p-14, 0x1.77ca0a37a0cefp-14, 0x1.65212172430bdp-14, 0x1.530f906bbf84bp-14, 0x1.418fe977a6898p-14, 0x1.309cf9877b568p-14, 0x1.2031c5d665e36p-14, 0x1.104989a8f3282p-14, 0x1.00dfb4205727ep-14, 0x1.e3dfcc4152ef9p-15, 0x1.c6ebe09323cep-15, 0x1.aadba201d088dp-15, 0x1.8fa7651d804ap-15, 0x1.7547d294cd6d6p-15, 0x1.5bb5e3afaca4bp-15, 0x1.42eadeea4b549p-15, 0x1.2ae054aefef09p-15, 0x1.13901c2e55625p-15, 0x1.f9e8a0a8e03b9p-16, 0x1.ce0e99b582449p-16, 0x1.a38756eab4c56p-16, 0x1.7a488235f3233p-16, 0x1.524836ce024dep-16, 0x1.2b7cfc293317p-16, 0x1.05ddc1245b8aep-16, 0x1.c2c3aeb2383fp-17, 0x1.7c01dd43d007cp-17, 0x1.37662194da0c9p-17, 0x1.e9c275abd5817p-18, 0x1.68c917b582af9p-18, 0x1.d7884dd34e127p-19, 0x1.ca6328de84caap-20, -0x1.695e1e641cbap-25, -0x1.d25c7285b9af4p-20, -0x1.c5980cdd34a3ap-19, -0x1.4d8834d73fb41p-18, -0x1.b4e17ab538d65p-18, -0x1.0c7666faf18c6p-17, -0x1.3cdf2945b8bc8p-17, -0x1.6bb4b273914e3p-17, -0x1.990052003b109p-17, -0x1.c4cafd769d7d1p-17, -0x1.ef1d550747d8p-17, -0x1.0bffd3f591b41p-16, -0x1.1fbcfc4a240dp-16, -0x1.32ca0057585d3p-16, -0x1.452a9a794101ep-16, -0x1.56e26464cbdb7p-16, -0x1.67f4d8e4fb673p-16, -0x1.786555835ab76p-16, -0x1.88371c1c71ba2p-16, -0x1.976d5460fba54p-16, -0x1.a60b0d4490c94p-16, -0x1.b4133e5a7cfc5p-16, -0x1.c188c92173275p-16, -0x1.ce6e7a3eb99a1p-16, -0x1.dac70aa986e61p-16, -0x1.e69520c71b0a3p-16, -0x1.f1db517838818p-16, -0x1.fc9c21189487cp-16, -0x1.036d0238607fap-15, -0x1.084bb0cd9854cp-15, -0x1.0ceb486e6536bp-15, -0x1.114ceeb8cb5ecp-15, -0x1.1571c327029c5p-15, -0x1.195adf6aa4ab4p-15, -0x1.1d0957c29cbedp-15, -0x1.207e3b4c163a4p-15, -0x1.23ba944ea3df3p-15, -0x1.26bf6883cbc39p-15, -0x1.298db95a39443p-15, -0x1.2c268434bacap-15, -0x1.2e8ac2a5416bcp-15, -0x1.30bb6aa41424bp-15, -0x1.32b96ec35993ep-15, -0x1.3485be5f3077p-15, -0x1.362145ca75de2p-15, -0x1.378cee7867edfp-15, -0x1.38c99f2349387p-15, -0x1.39d83bf02d61fp-15, -0x1.3ab9a6900cfa8p-15, -0x1.3b6ebe5e4c22fp-15, -0x1.3bf8607ccd933p-15, -0x1.3c5767edb77a1p-15, -0x1.3c8cadab0597p-15, -0x1.3c9908bc09b57p-15, -0x1.3c7d4e48f6459p-15, -0x1.3c3a51ac8c4c9p-15, -0x1.3bd0e4840aef1p-15, -0x1.3b41d6bd77488p-15, -0x1.3a8df6a456ddp-15, -0x1.39b610ecf2435p-15, -0x1.38baf0be38872p-15, -0x1.379d5fba57702p-15, -0x1.365e26061e4ccp-15, -0x1.34fe0a4f3f10bp-15, -0x1.337dd1d17dfe7p-15, -0x1.31de405ae8b6dp-15, -0x1.3020184f1db1fp-15, -0x1.2e441aa9bb2f5p-15, -0x1.2c4b070002958p-15, -0x1.2a359b81c0791p-15, -0x1.280494f98641dp-15, -0x1.25b8aecc47166p-15, -0x1.2352a2f85e2e8p-15, -0x1.20d32a1414292p-15, -0x1.1e3afb4ba872bp-15, -0x1.1b8acc5eeafa5p-15, -0x1.18c3519e76c9cp-15, -0x1.15e53de88e37fp-15, -0x1.12f142a5ac2bp-15, -0x1.0fe80fc4cda7bp-15, -0x1.0cca53b77c53ap-15, -0x1.0998bb6da7404p-15, -0x1.0653f2514d968p-15, -0x1.02fca2420145ap-15, -0x1.ff26e7209e10bp-16, -0x1.f83219f218f1dp-16, -0x1.f11c2741261a8p-16, -0x1.e9e6561be874bp-16, -0x1.e291ea4c413ebp-16, -0x1.db20244e29302p-16, -0x1.d392414608e6fp-16, -0x1.cbe97af726393p-16, -0x1.c42707ba294f2p-16, -0x1.bc4c1a73c50b8p-16, -0x1.b459e28b837bap-16, -0x1.ac518be2c9c31p-16, -0x1.a4343ecc08b5p-16, -0x1.9c03200231e12p-16, -0x1.93bf50a066ffp-16, -0x1.8b69ee19f5025p-16, -0x1.8304123292ebp-16, -0x1.7a8ed2f6f9372p-16, -0x1.720b42b5c21b9p-16, -0x1.697a6ff8a5f8dp-16, -0x1.60dd657e0e48p-16, -0x1.58352a3303526p-16, -0x1.4f82c12d7b303p-16, -0x1.46c729a706747p-16, -0x1.3e035ef7dd67p-16, -0x1.353858925449ap-16, -0x1.2c6709feaebbp-16, -0x1.239062d75fe7dp-16, -0x1.1ab54ec5aa926p-16, -0x1.11d6b57eabbf9p-16, -0x1.08f57ac0c98c3p-16, -0x1.00127e518b371p-16, -0x1.ee5d37f7b34dep-17, -0x1.dc95571d48318p-17, -0x1.cacf01b7d9242p-17, -0x1.b90bd770754a5p-17, -0x1.a74d6ff4e79eep-17, -0x1.95955af82d1fbp-17, -0x1.83e52033b62dcp-17, -0x1.723e3f696bed3p-17, -0x1.60a2306673e01p-17, -0x1.4f126306ba3dbp-17, -0x1.3d903f39350b1p-17, -0x1.2c1d2504e0ad8p-17, -0x1.1aba6c8e7665bp-17, -0x1.0969661ed40dcp-17, -0x1.f056b4542befep-18, -0x1.ce0312aeb6dd6p-18, -0x1.abda59126db28p-18, -0x1.89dee9cd8173cp-18, -0x1.681317ca9b54bp-18, -0x1.467926a58249dp-18, -0x1.25134ac0f5959p-18, -0x1.03e3a95daec54p-18, -0x1.c5d8b16513ecdp-19, -0x1.845ec00b8db16p-19, -0x1.435d6f8eb547fp-19, -0x1.02d8935899ea9p-19, -0x1.85a7c32c5716dp-20, -0x1.06a5e6e3c61cap-20, -0x1.1165154141a4dp-21, -0x1.7a8dc39c5a7b6p-25, 0x1.bfb79df1b71c1p-22, 0x1.d51c4e1777fc5p-21, 0x1.640638f6293a5p-20, 0x1.dc503c9bbcdd6p-20, 0x1.29b343e553309p-19, 0x1.64a1d317d4019p-19, 0x1.9ef12c61ece56p-19, 0x1.d89eca9beb9fbp-19, 0x1.08d4215722842p-18, 0x1.2505a1a266278p-18, 0x1.40e2ca406ecf4p-18, 0x1.5c6a8bd53c538p-18, 0x1.779be37036d4bp-18, 0x1.9275da63ce376p-18, 0x1.acf7861caf43cp-18, 0x1.c72007f8939bp-18, 0x1.e0ee8d1cb64d4p-18, 0x1.fa624e4bf03d7p-18, 0x1.09bd47de43a2ep-17, 0x1.161b5076db841p-17, 0x1.224aee3e7adcep-17, 0x1.2e4bd3fd815e8p-17, 0x1.3a1db9e05ff55p-17, 0x1.45c05d61ef605p-17, 0x1.51338135b2765p-17, 0x1.5c76ed320de67p-17, 0x1.678a6e3a6496ap-17, 0x1.726dd62940d59p-17, 0x1.7d20fbba5dfd3p-17, 0x1.87a3ba74c3ceap-17, 0x1.91f5f294c94edp-17, 0x1.9c1788f63022cp-17, 0x1.a60866fe34641p-17, 0x1.afc87a85a7fd7p-17, 0x1.b957b5c31259ap-17, 0x1.c2b60f34e5b07p-17, 0x1.cbe3818bb453dp-17, 0x1.d4e00b948440cp-17, 0x1.ddabb02327028p-17, 0x1.e64675fcaa164p-17, 0x1.eeb067c1e9e4dp-17, 0x1.f6e993da279e4p-17, 0x1.fef20c5dc77p-17, 0x1.0364f38097379p-16, 0x1.07389e7fd4945p-16, 0x1.0af4158346a3cp-16, 0x1.0e97689034d24p-16, 0x1.1222a9502e9fdp-16, 0x1.1595eb06cb497p-16, 0x1.18f142877b764p-16, 0x1.1c34c62b6ce8dp-16, 0x1.1f608dc783cddp-16, 0x1.2274b2a26a61ap-16, 0x1.25714f6ab40a8p-16, 0x1.2856802d16c8ep-16, 0x1.2b24624abde0ap-16, 0x1.2ddb146faf3dfp-16, 0x1.307ab6894dad4p-16, 0x1.330369bcf0b0ep-16, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      56, 0x1.3333333333333p+2, 0x1.3c4f9745b3355p+1, 0x1.07e10db0bb6e5p+2, -0x1.160a4a2577e9p-6, 
      {{
        {0x1p+1, 0x1.0666666666666p+1, 0x1.b1f6e1daf5e3cp-2, -0x1.16d62e5c5787bp+0, 0x1.588712168acf8p+0, -0x1.9693749921b09p-1}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.7d8a6a7680d6p-2, -0x1.ebd12c89cdcbp-1, 0x1.3a08cfbe41e25p+0, -0x1.814703ee51c89p-1}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.4f672b38b5b9dp-2, -0x1.afe658239eabp-1, 0x1.1d237c3f95599p+0, -0x1.6f2b5e36ad2cap-1}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.26f8fd8be9ff8p-2, -0x1.79a0366564a86p-1, 0x1.0199d52eaec34p+0, -0x1.5c34dc99fd1cap-1}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.03b2f1393e395p-2, -0x1.48b79a36cfc33p-1, 0x1.cef88946445b4p-1, -0x1.4978ff9e585eap-1}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.ca1e98d13c3d5p-3, -0x1.1ce422e240a15p-1, 0x1.9d8cc954ea4d4p-1, -0x1.36ad6c03863e6p-1}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.951f174181141p-3, -0x1.ebbb843dd0932p-2, 0x1.6ef2c5edfc90ep-1, -0x1.23e60e4468b2dp-1}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.6778c38e4ef3p-3, -0x1.a6b8a71c0b268p-2, 0x1.4329dd63b9a9p-1, -0x1.111d8fb59e0bap-1}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.404b7040401fcp-3, -0x1.6a2f71779f6e3p-2, 0x1.1a323b087b8ddp-1, -0x1.fcaabd13af942p-2}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.1ec55c9d8525dp-3, -0x1.358fa33d1d27bp-2, 0x1.e817a681365e9p-2, -0x1.d71a3143576f7p-2}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.022334a9e4d9fp-3, -0x1.0848fd329e227p-2, 0x1.a16d5250b60e1p-2, -0x1.b189b0902965fp-2}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.d360224d78acdp-4, -0x1.c3967fc7e547cp-3, 0x1.606577d4afd8cp-2, -0x1.8bf92ce112cd8p-2}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.a98aef25fdfddp-4, -0x1.830c57d90de97p-3, 0x1.2500177fb9d31p-2, -0x1.6668aa048b2f8p-2}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.8596b4566cfb3p-4, -0x1.4dd303c741ep-3, 0x1.de7a62647d188p-3, -0x1.40d826d9878cp-2}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.66702fd3058bp-4, -0x1.22ca04c30809dp-3, 0x1.7e3989f007a1p-3, -0x1.1b47a4161a631p-2}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.4b20f90b341fep-4, -0x1.00d0dbfd47abdp-3, 0x1.293da582ffb6fp-3, -0x1.eb6e400551d64p-3}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.32cf80e991bc6p-4, -0x1.cd8e1546d7076p-4, 0x1.bf0d6b0466e12p-4, -0x1.a04d418f4d96ep-3}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.1cbf11d3e3f53p-4, -0x1.a71823e0de8afp-4, 0x1.422970f302ccep-4, -0x1.552c1ef667d5bp-3}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.084fcfab1ce87p-4, -0x1.8bfee5d91076p-4, 0x1.b79ecf522db3fp-5, -0x1.0a0b833765b99p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.e9fd6f96b6918p-5, -0x1.7a015ebae8056p-4, 0x1.17fe4d6423dd4p-5, -0x1.7dd1e0688a122p-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.c4cb4217d4ab8p-5, -0x1.6ede8c8b29d2ep-4, 0x1.4ae514232817p-6, -0x1.cf36cd9e07432p-5}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.a076777e83bcdp-5, -0x1.685581ee65a62p-4, 0x1.7fdc79b44bd3ap-7, -0x1.44b8a82af5c45p-6}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.7ca623660c83fp-5, -0x1.64250490b433ap-4, 0x1.1e71e0da9bb1ap-7, 0x1.11cac9eac6949p-6}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.593b0c6010d88p-5, -0x1.600cf96040488p-4, 0x1.70951d6dd7441p-7, 0x1.ba1c99a3bb945p-5}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.364fabf48bbap-5, -0x1.59c9153b62543p-4, 0x1.3cecbcce70b5dp-6, 0x1.6a8b501f756c6p-4}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.14382ea1d13b8p-5, -0x1.4f24adfdaaca7p-4, 0x1.0b39c33d752e3p-5, 0x1.10c3f8e177c72p-3}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.e704e7b91d2c6p-6, -0x1.3db0c59d9cbc4p-4, 0x1.aee28bc4bd0b6p-5, 0x1.bcdcb1cb8e76ap-4}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.a9dba0383eb69p-6, -0x1.24cf4f36ba88bp-4, 0x1.1a2bfa274d7e5p-4, 0x1.4b961a53e06eap-8}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.7220c6c46e4f3p-6, -0x1.086febddb8147p-4, 0x1.1d47c8cce398fp-4, -0x1.2c1bf0db09771p-5}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.4004b3f9502e9p-6, -0x1.da11b204be3aep-5, 0x1.06c5b0560fafep-4, -0x1.ebcd57531b5f9p-6}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.132d7e21e9c2ep-6, -0x1.a75be33d1f5b1p-5, 0x1.e8a8c6ec4a1f2p-5, -0x1.f06b5f9b20e7ep-6}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.d672346e36c0ep-7, -0x1.785ac5c8f48c4p-5, 0x1.c36d86270e0dep-5, -0x1.d6bfdfdcdda58p-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.8f9260a7b3c02p-7, -0x1.4cfa23c4eb034p-5, 0x1.a01f2229b0a15p-5, -0x1.c531ed8cca8b2p-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.5106376a5d3fdp-7, -0x1.25107e5d1df32p-5, 0x1.7e21c9f254a3bp-5, -0x1.b1774d8a3b3a1p-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.1a1fd5746f006p-7, -0x1.007a0ac7a46d6p-5, 0x1.5d9f3dbb29ccp-5, -0x1.9e51d6e369f4cp-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.d4717b909b9bcp-8, -0x1.be22ee067002bp-6, 0x1.3e8c4d9d4ea69p-5, -0x1.8b0468802a9f7p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.8163b3590ef38p-8, -0x1.8163b3c418ebbp-6, 0x1.20ebf8fa18412p-5, -0x1.77c1afb2ce8f5p-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.39e6f157a5bd4p-8, -0x1.4a6c5c3f94569p-6, 0x1.04bd7233158fcp-5, -0x1.647c184a672fdp-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.f9b542543f7f1p-9, -0x1.18f2ebfd99c2bp-6, 0x1.d401e0c168725p-6, -0x1.513745b840b03p-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.9259f5ed1d9d4p-9, -0x1.d95ac6f4b932fp-7, 0x1.a16cc97f5ebdfp-6, -0x1.3df23e682be0ep-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.3bb606d6ada06p-9, -0x1.8aa3888d73b5ep-7, 0x1.71bba68958294p-6, -0x1.2aad4539750cap-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.e7c22efcb6eb2p-10, -0x1.452c1f52d850bp-7, 0x1.44ee75c0b9cdep-6, -0x1.1768484356a9cp-6}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.7220c6c46e4f4p-10, -0x1.08608dfa1c22ap-7, 0x1.1b0537b6a0017p-6, -0x1.04234c496a819p-6}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.132d7e21e9bffp-10, -0x1.a759ae5b73c7p-8, 0x1.e7ffd88a6cdaap-7, -0x1.e1bca04c12dap-7}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.8f9260a7b3bfp-11, -0x1.4cf9fb36ab173p-8, 0x1.9fbd26e56a071p-7, -0x1.bb32a758e91f5p-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.1a1fd5746efd8p-11, -0x1.007a07dd51b4p-8, 0x1.5d425a9813dc1p-7, -0x1.94a8b169e6843p-7}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.8163b3590ef39p-12, -0x1.8163b35fb44cap-9, 0x1.208f732e97af1p-7, -0x1.6e1eb016fda67p-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.f9b542543f8dep-13, -0x1.18f2ebdd1df4fp-9, 0x1.d348e4bcb0131p-8, -0x1.4794d94f6833fp-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.3bb606d6adaap-13, -0x1.8aa38945717c8p-10, 0x1.7102a38b4401fp-8, -0x1.210a63be4fb2fp-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.7220c6c46e8p-14, -0x1.08608b473c58cp-10, 0x1.1a4c526bc5b3p-8, -0x1.f5047d9062049p-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.8f9260a7b4p-15, -0x1.4cfa0f5a84424p-11, 0x1.9e4a7f2c3acbbp-9, -0x1.a7e2ec5e99d1p-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.8163b35910e01p-16, -0x1.81631d0366d2ap-12, 0x1.1f20050fd973ep-9, -0x1.5b01d70e58e81p-8}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.3bb606d6aecp-17, -0x1.8aa7eaa93524ep-13, 0x1.6e0bbc4a4a5d5p-10, -0x1.0d30197b8b962p-8}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.8f9260a7bd001p-19, -0x1.4cd943a636495p-14, 0x1.9910f399ed346p-11, -0x1.85c10226e1c66p-9}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.3bb606d6dp-21, -0x1.8c8bf0a8a65ccp-16, 0x1.5e6d7e3865162p-12, -0x1.ade3f1072aebdp-10}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.3bb606d880001p-25, -0x1.51ad7709bf969p-19, 0x1.71f9500393cp-14, -0x1.1fa89a6324405p-9}, 
      }}, 
      0x1.0eadaad57560ap-5, -0x1.a1324247e1e0bp-3
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_c_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.470253900a7efp-6, -0x1.45b5ef515753ep-5, -0x1.e6c92f3ea33f8p-5, -0x1.428b3da5c8a4fp-4, -0x1.903bf0fe8c747p-4, -0x1.dbf3fb6810b2cp-4, -0x1.12e88c90feaaep-3, -0x1.36c7d0f4759ep-3, -0x1.597b91c16ba61p-3, -0x1.7b172cbd14031p-3, -0x1.9b5987ec41ed8p-3, -0x1.ba87505e88027p-3, -0x1.d8548e0f03011p-3, -0x1.f4e357518de02p-3, -0x1.081858101ae79p-2, -0x1.151ce7103fca3p-2, -0x1.217cb64c7df92p-2, -0x1.2d40fa8d04ee8p-2, -0x1.386b12631b591p-2, -0x1.42f50e6127adfp-2, -0x1.4ce3dca8842d3p-2, -0x1.5643c4da18cdp-2, -0x1.5f1905e7a2376p-2, -0x1.675eb85fcbd28p-2, -0x1.6f1243776fbdep-2, -0x1.763a5b90346efp-2, -0x1.7cedcba85c862p-2, -0x1.831e43533b5a8p-2, -0x1.88d2f1ee50412p-2, -0x1.8e100c85f5d63p-2, -0x1.92db04866ea4p-2, -0x1.9739099033ebcp-2, -0x1.9b2dee67190a8p-2, -0x1.9ebc6f6b84299p-2, -0x1.a1e7640ced2fp-2, -0x1.a4b2b5fe1d73fp-2, -0x1.a7236725d24cdp-2, -0x1.a93ed24c7f18ap-2, -0x1.ab09c7f5dbb43p-2, -0x1.ac88098a3e4ebp-2, -0x1.adbc5137f324cp-2, -0x1.aea8d10960d47p-2, -0x1.af4fdb7ce961p-2, -0x1.afb45f82b90fdp-2, -0x1.afda00f04da5fp-2, -0x1.afc4d9321ead9p-2, -0x1.af790db6f93c4p-2, -0x1.aefa71ec777fbp-2, -0x1.ae4c4bae5a8e4p-2, -0x1.ad714077bf1f7p-2, -0x1.ac6b66d23718cp-2, -0x1.ab3c6e3b58bfcp-2, -0x1.a9e5dfdd2e52ap-2, -0x1.a869501ec799ep-2, -0x1.a6bf03502c48ep-2, -0x1.a4fc3a1a6d92cp-2, -0x1.a31b72d162bd7p-2, -0x1.a11ec17305e48p-2, -0x1.9f07fc7f100ap-2, -0x1.9cd8bc25ce6e8p-2, -0x1.9a926a43eb60fp-2, -0x1.983653d5fa023p-2, -0x1.95c5baff9855p-2, -0x1.9341e58c728ffp-2, -0x1.90ac1fc10733p-2, -0x1.8e05c407d2c5fp-2, -0x1.8b502e74f4bc5p-2, -0x1.888cb8d6beef2p-2, -0x1.85bcb1f7cbcdp-2, -0x1.82e156a47037bp-2, -0x1.7ffbcc27954b9p-2, -0x1.7d0d1cdcce7adp-2, -0x1.7a1635f723b72p-2, -0x1.7717e71f23b35p-2, -0x1.7412e7ce95feap-2, -0x1.7107d2cbeef78p-2, -0x1.6df734215a67bp-2, -0x1.6ae18acbdf928p-2, -0x1.67c74fe3f14f1p-2, -0x1.64a8fbe78f93cp-2, -0x1.61870a47e582dp-2, -0x1.5e61faceb6c5ep-2, -0x1.5b3a50e8a504dp-2, -0x1.581091bd75fecp-2, -0x1.54e53eba42a4bp-2, -0x1.51b8d69f0e905p-2, -0x1.4e8bce3bf11a1p-2, -0x1.4b5e90dedcdd2p-2, -0x1.48317f30a0ba1p-2, -0x1.4504ef9729253p-2, -0x1.41d92f5971094p-2, -0x1.3eae84441c82ep-2, -0x1.3b852db1e9cf5p-2, -0x1.385d66dd4f701p-2, -0x1.353766acfad36p-2, -0x1.321360a146913p-2, -0x1.2ef184c4c9e4bp-2, -0x1.2bd1ff0cee524p-2, -0x1.28b4f7c24b259p-2, -0x1.259a927ac676p-2, -0x1.2282ee951c6cep-2, -0x1.1f6e272a513ebp-2, -0x1.1c5c53b46a73dp-2, -0x1.194d88bb352e5p-2, -0x1.1641d8ce64e25p-2, -0x1.133954fb5e1ap-2, -0x1.10340eaeee5d5p-2, -0x1.0d321786ae891p-2, -0x1.0a338261a3d93p-2, -0x1.0738638f89f8fp-2, -0x1.043d2086ebc9ep-2, -0x1.01497590e557cp-2, -0x1.fcb354a4a3db1p-3, -0x1.f6dba5e7fa145p-3, -0x1.f10c042358662p-3, -0x1.eb449331b902dp-3, -0x1.e585733664ceap-3, -0x1.dfcec19144dfap-3, -0x1.da20989014a68p-3, -0x1.d47b0f8fbc4d1p-3, -0x1.cede3b2335e35p-3, -0x1.c94a306f41c71p-3, -0x1.c3bef65b196c3p-3, -0x1.be3ca47d55a04p-3, -0x1.b8c3451918245p-3, -0x1.b352e4dd67ad6p-3, -0x1.adeb9046bb7d1p-3, -0x1.a88d53f12c83dp-3, -0x1.a3383cf3294e3p-3, -0x1.9dec59101efa8p-3, -0x1.98a9b6c67fc95p-3, -0x1.937065309124ap-3, -0x1.8e407471baa28p-3, -0x1.8919f4c971db9p-3, -0x1.83fcf7161b9dap-3, -0x1.7ee98c6dc2dd7p-3, -0x1.79dfc508bc034p-3, -0x1.74dfb1c1c151dp-3, -0x1.6fe96242ac6eep-3, -0x1.6afce57b4909ap-3, -0x1.661a4965ee2abp-3, -0x1.61419ae1805d7p-3, -0x1.5c72e595a7682p-3, -0x1.57ae33d3ffb84p-3, -0x1.52f38ef3dfde9p-3, -0x1.4e42fec6aaaebp-3, -0x1.499c8a1391e49p-3, -0x1.45003699b1582p-3, -0x1.406e092ac5123p-3, -0x1.3be605b2f6e44p-3, -0x1.37682f994ae27p-3, -0x1.32f48972d884cp-3, -0x1.2e8b15774e341p-3, -0x1.2a2bd596b219p-3, -0x1.25d6cb39c5053p-3, -0x1.218bf78f83ccbp-3, -0x1.1d4b5c5b2a01ap-3, -0x1.1914fc3027235p-3, -0x1.14e8d17726967p-3, -0x1.10c6e359be952p-3, -0x1.0caf3095324ccp-3, -0x1.08a1b9464877cp-3, -0x1.049e7dc3daf87p-3, -0x1.00a57e1d2fabfp-3, -0x1.f96d75ef1950fp-4, -0x1.f1a462a108d3dp-4, -0x1.e9efc5eb0c23ap-4, -0x1.e24f9bf6ab495p-4, -0x1.dac3e1c7474adp-4, -0x1.d34c93ba13c1ap-4, -0x1.cbe9ad3f8028fp-4, -0x1.c49b28c14189fp-4, -0x1.bd60ffd71785ep-4, -0x1.b63b2b1803934p-4, -0x1.af29a1e3bfd5bp-4, -0x1.a82c5aa282e74p-4, -0x1.a1434ae7f179bp-4, -0x1.9a6e66e3afec8p-4, -0x1.93ada1d01a4e4p-4, -0x1.8d00ed2ffbbb2p-4, -0x1.86683aaac2efbp-4, -0x1.7fe37f2222006p-4, -0x1.79729abf3d5c3p-4, -0x1.73158a4c7d68fp-4, -0x1.6ccc34f2b166dp-4, -0x1.6696884086af2p-4, -0x1.60746e3dbba8ep-4, -0x1.5a65d1ca601e6p-4, -0x1.546a9c5f2746p-4, -0x1.4e82b6b3d1e02p-4, -0x1.48ae08d05594p-4, -0x1.42ec7a1298a6dp-4, -0x1.3d3df123468c9p-4, -0x1.37a2542d85b79p-4, -0x1.321988933fa4cp-4, -0x1.2ca3726549ae8p-4, -0x1.273ff86dae0cfp-4, -0x1.21eefcbc741bfp-4, -0x1.1cb062f8654cfp-4, -0x1.17840e584557ap-4, -0x1.1269da040e27bp-4, -0x1.0d61be42aa097p-4, -0x1.086b8685acc08p-4, -0x1.03871c57d3a31p-4, -0x1.fd68bfe97f334p-5, -0x1.f3e665a39e0d6p-5, -0x1.ea86e756d6f09p-5, -0x1.e14a077f5a6f4p-5, -0x1.d82f85643db54p-5, -0x1.cf371efa603a3p-5, -0x1.c660925cc73c4p-5, -0x1.bdab9b71690edp-5, -0x1.b517f856f81e7p-5, -0x1.aca572da59becp-5, -0x1.a4539a7fa5b3dp-5, -0x1.9c2251852fe89p-5, -0x1.94114eaae9d6ep-5, -0x1.8c203faee817cp-5, -0x1.844ee0e22a958p-5, -0x1.7c9cea31f6c3bp-5, -0x1.750a12f413c2bp-5, -0x1.6d961081643ap-5, -0x1.6685795b4c21ap-5, -0x1.5f4c3f129cbe6p-5, -0x1.5830b41effd05p-5, -0x1.51328cb3a4c09p-5, -0x1.4a5182bcadac9p-5, -0x1.438d20ecb81afp-5, -0x1.3ce576b3a8cbbp-5, -0x1.3659e7e87ef48p-5, -0x1.2fea418c71b49p-5, -0x1.299637e95244ap-5, -0x1.235d7ed78f762p-5, -0x1.1d3fc83a2916cp-5, -0x1.173ccac78ab35p-5, -0x1.11543a2a55ec2p-5, -0x1.0b85c820d7faap-5, -0x1.05d12a1a960a2p-5, -0x1.00361e2cfb954p-5, -0x1.f56874916fbc4p-6, -0x1.ea96a0e0666d5p-6, -0x1.dff6144d7cea6p-6, -0x1.d5862df4b99cap-6, -0x1.cb4675f559259p-6, -0x1.c1362ae5030aep-6, -0x1.b754dedaa392ep-6, -0x1.ada1dc731fb69p-6, -0x1.a41c99b96cbb2p-6, -0x1.9ac478b08045ep-6, -0x1.9198e9952ac5cp-6, -0x1.889958c0c38d6p-6, -0x1.7fc5217e1595p-6, -0x1.771bcaf1c51fap-6, -0x1.6e9ca75ca193bp-6, -0x1.66472990d7fb4p-6, -0x1.5e1abf40488c3p-6, -0x1.5616d2b12e38bp-6, -0x1.4e3ad12a6979ep-6, -0x1.468627fcd693bp-6, -0x1.3ef84b042ac53p-6, -0x1.379094e2bad67p-6, -0x1.304e8732fe483p-6, -0x1.29318bcc7dda5p-6, -0x1.223912066d905p-6, -0x1.1b648a5de377ep-6, -0x1.14b36607ea7e7p-6, -0x1.0e2517cd9895ep-6, -0x1.07b90e1faeb69p-6, -0x1.016ec31353665p-6, -0x1.f68b4e9dc95a4p-7, -0x1.ea7a5f31a7c36p-7, -0x1.dea9a5bf62076p-7, -0x1.d318105d8e073p-7, -0x1.c7c46dd2bd492p-7, -0x1.bcae141de70d6p-7, -0x1.b1d39044bd078p-7, -0x1.a73404f13c0fdp-7, -0x1.9cce6152a1ec9p-7, -0x1.92a1a6011c18ep-7, -0x1.88acced586bbbp-7, -0x1.7eeea5c795f8ep-7, -0x1.7566d185960d4p-7, -0x1.6c13ae1c83492p-7, -0x1.62f49557cfb08p-7, -0x1.5a08782398a0dp-7, -0x1.514e734a3c108p-7, -0x1.48c5943668811p-7, -0x1.406cef73ae3e1p-7, -0x1.3843a10057182p-7, -0x1.3048c3c5012eep-7, -0x1.287b774c20c6p-7, -0x1.20dadfe4b25a7p-7, -0x1.19661bad2a34ep-7, -0x1.121c595bfb5a7p-7, -0x1.0afcd18d1e7dap-7, -0x1.0406936201564p-7, -0x1.fa71e13f49033p-8, -0x1.ed262b9a8c393p-8, -0x1.e02879bb1f211p-8, -0x1.d37746363f2dfp-8, -0x1.c7111243d0bdp-8, -0x1.baf465bcdedeap-8, -0x1.af1fd095ba95p-8, -0x1.a3924f94e5bf7p-8, -0x1.98493c8e7fa84p-8, -0x1.8d447cceb2784p-8, -0x1.82823aa3570a7p-8, -0x1.780154a2f2eaep-8, -0x1.6dc04e005eb1ap-8, -0x1.63bdf1b8fe661p-8, -0x1.59f8fe5c8a42ep-8, -0x1.507038fbda688p-8, -0x1.47226d38eb64p-8, -0x1.3e0e5e3f35552p-8, -0x1.353303299b953p-8, -0x1.2c8f140012157p-8, -0x1.24217ed83c5d3p-8, -0x1.1be926fb07183p-8, -0x1.13e4f6010820dp-8, -0x1.0c13da5e5d4b7p-8, -0x1.0474c7a7d7fd9p-8, -0x1.fa0d15e1888adp-9, -0x1.eb914f178127p-9, -0x1.dd730694d495bp-9, -0x1.cfb0d093b4d3fp-9, -0x1.c248b07fbb7adp-9, -0x1.b538b8f17a8f8p-9, -0x1.a87f207f891b6p-9, -0x1.9c19f81f2ee8ap-9, -0x1.9006f2ef4ee95p-9, -0x1.8445e437d2f9dp-9, -0x1.78d36a2fdaf6ap-9, -0x1.6dae5e3971f6cp-9, -0x1.62d50b2e7eaa5p-9, -0x1.5845c5fcba108p-9, -0x1.4dfec05098f3ap-9, -0x1.43ff452ea8362p-9, -0x1.3a42e1817e273p-9, -0x1.30ccc7705909cp-9, -0x1.2797ca202bc9dp-9, -0x1.1ea353f9d2d3bp-9, -0x1.15edfe8ffb379p-9, -0x1.0d764fd9066b4p-9, -0x1.053ad77cfd8d6p-9, -0x1.fa746470cf86dp-10, -0x1.eae5fa15e8412p-10, -0x1.dbc7939fe248cp-10, -0x1.cd168f399e86ep-10, -0x1.bed06316b5955p-10, -0x1.b0f264eebaf85p-10, -0x1.a37a0f1e1a4aap-10, -0x1.96651c3ee48e3p-10, -0x1.89b01dc19c77fp-10, -0x1.7d5a354bbc727p-10, -0x1.715fdd7cb1662p-10, -0x1.65bf2c7baf6c9p-10, -0x1.5a75cdb1a0602p-10, -0x1.4f81964271832p-10, -0x1.44e03294f2e38p-10, -0x1.3a8f8a975844ep-10, -0x1.308db4e8c74bcp-10, -0x1.26d85a74b703fp-10, -0x1.1d6d9d5116325p-10, -0x1.144b8081afd23p-10, -0x1.0b701938b9bc1p-10, -0x1.02da8be2505c1p-10, -0x1.f50b6011adc63p-11, -0x1.e4e5fd7017053p-11, -0x1.d53f6f9be90a6p-11, -0x1.c61414876500cp-11, -0x1.b7608ab69efa5p-11, -0x1.a921800f60ccep-11, -0x1.9b53c6c0a9249p-11, -0x1.8df402eae70dp-11, -0x1.80ff4eabdbe8ep-11, -0x1.74729318ffe4bp-11, -0x1.684838e370993p-11, -0x1.5c8535b645abfp-11, -0x1.511ed6ccf99bp-11, -0x1.4616c2aade138p-11, -0x1.3b654163dd1e8p-11, -0x1.310cb15d58d9dp-11, -0x1.2704d6781a173p-11, -0x1.1d573490d6dcp-11, -0x1.13f51b881ff07p-11, -0x1.0adecc08369b3p-11, -0x1.0216e9bc09812p-11, -0x1.f32bdafab9e06p-12, -0x1.e2b93bf317123p-12, -0x1.d2c9cba5e7386p-12, -0x1.c3687bf8c69c2p-12, -0x1.b4836939d9fc7p-12, -0x1.a61b28bf193a9p-12, -0x1.982becf3a9a84p-12, -0x1.8ab1f23743b7dp-12, -0x1.7da9943c71946p-12, -0x1.711207bbcce4cp-12, -0x1.64df9aabe2bf8p-12, -0x1.591747c01bbfbp-12, -0x1.4db2e2a9e3f0fp-12, -0x1.42af4e8cd9ee2p-12, -0x1.38096efb2796ep-12, -0x1.2dbe548306f41p-12, -0x1.23cad06166bd6p-12, -0x1.1a2d6e2f7fdc8p-12, -0x1.10e0e03a1ce41p-12, -0x1.07e30f140ee69p-12, -0x1.fe5a492267ddep-13, -0x1.ed9d740a0a2d1p-13, -0x1.dd629eb56f427p-13, -0x1.cdb1e1a8e7cd2p-13, -0x1.be894f056c19bp-13, -0x1.afe2860aab0aep-13, -0x1.a1ac7586899f8p-13, -0x1.9407a379a6685p-13, -0x1.86cc408145cfp-13, -0x1.7a023effd4ae4p-13, -0x1.6da5a48914d64p-13, -0x1.61b2af910f57dp-13, -0x1.5625bf34c7bf9p-13, -0x1.4afb61403d8dbp-13, -0x1.402daa4950368p-13, -0x1.35c0a206a331ep-13, -0x1.2bb147c7f9de5p-13, -0x1.21dcbd08eb1e2p-13, -0x1.18785823939adp-13, -0x1.0f58e808cb636p-13, -0x1.06861a67c9503p-13, -0x1.fbfa6e5caae4ep-14, -0x1.eb77936db2161p-14, -0x1.db7e57698831cp-14, -0x1.cc0a51e478478p-14, -0x1.bd0f75e728ab4p-14, -0x1.ae9bebdb219cdp-14, -0x1.a099495022a22p-14, -0x1.93095d4e7bfe7p-14, -0x1.85e7cf0fa1694p-14, -0x1.7930a2c7af538p-14, -0x1.6cdffcafdf6efp-14, -0x1.60f327e6de44cp-14, -0x1.555ef429b95b5p-14, -0x1.4a34ef0f13ef9p-14, -0x1.3f55a541d54ccp-14, -0x1.34cf29134a53ep-14, -0x1.2a9ad52ee82d1p-14, -0x1.20b536f06b417p-14, -0x1.1724dfdfcdc8cp-14, -0x1.0dd42ee3a735fp-14, -0x1.04c858648945cp-14, -0x1.f806fdff5b20fp-15, -0x1.e6fc04c25667ep-15, -0x1.d66f270d616f5p-15, -0x1.c65b63c9fc256p-15, -0x1.b6bcb7b1fca69p-15, -0x1.a7997b82ecaebp-15, -0x1.98d162d03ada5p-15, -0x1.8a6f28208444fp-15, -0x1.7c76ff230411cp-15, -0x1.6f0194947edb8p-15, -0x1.61a9ed14596cap-15, -0x1.54cb881cab238p-15, -0x1.483e40f174c39p-15, -0x1.3c0e00c6aafffp-15, -0x1.3028d525e1695p-15, -0x1.2484cea32d3bap-15, -0x1.193b936fa021cp-15, -0x1.0e3ea5efd13a8p-15, -0x1.037f95dc05ec9p-15, -0x1.f1e72212d46fp-16, -0x1.dd88adc866014p-16, -0x1.c99b3de1d7a68p-16, -0x1.b60ec736090c3p-16, -0x1.a2f19ae865c7dp-16, -0x1.906637288ef4bp-16, -0x1.7e335e242e76p-16, -0x1.6c6c18a3d18b9p-16, -0x1.5b0b21452a49ap-16, -0x1.4a0a6ed60132dp-16, -0x1.396d78de77754p-16, -0x1.293361e47df21p-16, -0x1.194327e45206ap-16, -0x1.09acf75585614p-16, -0x1.f4e201fef04ecp-17, -0x1.d70a791f9d307p-17, -0x1.b9ddc99acd87p-17, -0x1.9d34068dc0991p-17, -0x1.81308f2492f03p-17, -0x1.65bc196e3bfe3p-17, -0x1.4ad1913326238p-17, -0x1.30c884f455ba3p-17, -0x1.16a6ca63383cdp-17, -0x1.fba31b3748246p-18, -0x1.c8f22fdff86b4p-18, -0x1.969b29215a69cp-18, -0x1.6894ac58326p-18, -0x1.39d71a848d925p-18, -0x1.0b2e68f0e2248p-18, -0x1.bdd19a207e93ap-19, -0x1.6619ac7d6f088p-19, -0x1.0fbcf065dd321p-19, -0x1.761a30b8f590cp-20, -0x1.a02a48bd69737p-21, -0x1.6a88c8eb1e4bp-23, 0x1.c87f1aaa3d70dp-22, 0x1.0e9b886c001ebp-20, 0x1.a7d34021c5516p-20, 0x1.1f11b18746331p-19, 0x1.68ab237bfd15p-19, 0x1.b0c920d5393d3p-19, 0x1.f77916c802c11p-19, 0x1.1eda18de019e5p-18, 0x1.4037d8a0f90cep-18, 0x1.616e0e6229e54p-18, 0x1.81ec4736c8bf6p-18, 0x1.a1b963155064bp-18, 0x1.c0dada1cec061p-18, 0x1.e0313a1053652p-18, 0x1.fd0799420cfaap-18, 0x1.0d15c88413eefp-17, 0x1.1b518144a6b34p-17, 0x1.293990ba9c933p-17, 0x1.36cf94fa1c8dfp-17, 0x1.441006e201fadp-17, 0x1.510772af01effp-17, 0x1.5da906b638dbcp-17, 0x1.69fc1a3db0363p-17, 0x1.760095e5862a3p-17, 0x1.81c4ef2eb593fp-17, 0x1.8de04dc4f6fafp-17, 0x1.98408fcb70aa6p-17, 0x1.a3043b0eed2a1p-17, 0x1.ad8d453d3bf8bp-17, 0x1.b808514140f8bp-17, 0x1.c19aa1cb8a484p-17, 0x1.cb3e2cf4424dcp-17, 0x1.d49c9179f1e71p-17, 0x1.dd5c1d5df76e5p-17, 0x1.e664d01fef6c9p-17, 0x1.eee5ff0433eabp-17, 0x1.f7186f3365a3ap-17, 0x1.fefd355a8c00bp-17, 0x1.0327bca91134cp-16, 0x1.0700f0cb7d98p-16, 0x1.0a8ae1cb618p-16, 0x1.0df2959914e44p-16, 0x1.112842b519458p-16, 0x1.146b251de7ecp-16, 0x1.178ceaceb990dp-16, 0x1.1a387ed05eff7p-16, 0x1.1cf745072f104p-16, 0x1.1f934571ac8e8p-16, 0x1.220e2fd60f68fp-16, 0x1.245ffab1461dbp-16, 0x1.26ad32024613dp-16, 0x1.28baa4257f0e6p-16, 0x1.2ab2dd9bf486ep-16, 0x1.2c89dd166c559p-16, 0x1.2e445f8ca6f4dp-16, 0x1.2fdea15f7cb5bp-16, 0x1.315cce1742337p-16, 0x1.32fd4dd2b5298p-16, 0x1.33e7e9f3c3b72p-16, 0x1.34e9d417e7f6cp-16, 0x1.36155a50580c7p-16, 0x1.36f8ed1394368p-16, 0x1.37beca97f0a7ap-16, 0x1.386c71597a8c3p-16, 0x1.38fa7925d43bep-16, 0x1.396ce258d7ef9p-16, 0x1.39deee2651626p-16, 0x1.39fbbcd0d17dp-16, 0x1.3a1ba2ea834ap-16, 0x1.3a1f4e5c346f4p-16, 0x1.39f84ef4f86edp-16, 0x1.39d98331bfbdcp-16, 0x1.398e78b4ca91bp-16, 0x1.3928f4450813fp-16, 0x1.38adc5e0954bbp-16, 0x1.380089e00f92bp-16, 0x1.379b75ba5813bp-16, 0x1.36978eb292be8p-16, 0x1.35a9ec8893951p-16, 0x1.34c4175c408b5p-16, 0x1.33bf22283de1cp-16, 0x1.329b1d546e3c3p-16, 0x1.31618414d3996p-16, 0x1.301177bf23671p-16, 0x1.2ea6f419fdac3p-16, 0x1.2d30e05dc52eep-16, 0x1.2ba58d0561e96p-16, 0x1.2a26fc3eb2d26p-16, 0x1.2846b83d2c871p-16, 0x1.2679e86aa3e69p-16, 0x1.249a34bd889c8p-16, 0x1.22a4cf77046a9p-16, 0x1.2081e93fb4d76p-16, 0x1.1e88963c27259p-16, 0x1.1c66b022063d5p-16, 0x1.1a4c8a04d34e3p-16, 0x1.17e268f6c8961p-16, }}, 
      {{0x1.7371cf626f902p-2, 0x1.7694d65916ea3p-2, 0x1.7b65dd72a4d0cp-2, 0x1.819135a52071dp-2, 0x1.88d5e1362e5a8p-2, 0x1.90fe7e8004933p-2, 0x1.99cffb4a1d6b3p-2, 0x1.a320b89bcf617p-2, 0x1.accd2e1525419p-2, 0x1.b6ab7702ff008p-2, 0x1.c0ad30e9fc8e5p-2, 0x1.caa6e235cc611p-2, 0x1.d494033699e38p-2, 0x1.de5a7381a3071p-2, 0x1.e7eb339750ed1p-2, 0x1.f139c3a714e0ep-2, 0x1.fa3db937e2bd6p-2, 0x1.017532ffd6716p-1, 0x1.059c18cfc3bfap-1, 0x1.0992d5d7b4ec9p-1, 0x1.0d56f0845e986p-1, 0x1.10e456d68cac6p-1, 0x1.143932efff639p-1, 0x1.17569bdc8cacdp-1, 0x1.1a3dd0484ad76p-1, 0x1.1cee255adc76ap-1, 0x1.1f631f4a4b995p-1, 0x1.21a0d612e5a6bp-1, 0x1.23a75a9bd8253p-1, 0x1.25776ead03e34p-1, 0x1.2711abbc0a3f5p-1, 0x1.2876d4bbdefbcp-1, 0x1.29a82021e8474p-1, 0x1.2aa72d68301d9p-1, 0x1.2b75b7ef9be0ap-1, 0x1.2c154d9f5c8b1p-1, 0x1.2c873aa6c5ffap-1, 0x1.2cccac266f088p-1, 0x1.2ce6e8f5d02b8p-1, 0x1.2cd77820ed811p-1, 0x1.2ca01f9f5ac0dp-1, 0x1.2c42c3cf515d5p-1, 0x1.2bc13f3ef849cp-1, 0x1.2b1d456f117a8p-1, 0x1.2a5856c7200d5p-1, 0x1.2973c675344b7p-1, 0x1.2870ccfcddd1cp-1, 0x1.2750a0cbe9c5ep-1, 0x1.261489c71d606p-1, 0x1.24bde96ef797bp-1, 0x1.234e377dec35dp-1, 0x1.21c6f57807033p-1, 0x1.2029a1fedb832p-1, 0x1.1e77aaa96ad77p-1, 0x1.1cb4958a0ccf1p-1, 0x1.1add53451f2dbp-1, 0x1.18f4972f81afap-1, 0x1.16fb6c65a0ba8p-1, 0x1.14f2de7be38fbp-1, 0x1.12dbf8139b7fep-1, 0x1.10b7c061837e8p-1, 0x1.0e8737848de5cp-1, 0x1.0c4b534bb0e8cp-1, 0x1.0a04fccefa32cp-1, 0x1.07b50dfd61cdfp-1, 0x1.055c524b3b05ap-1, 0x1.02fb85bb3af6bp-1, 0x1.0093572b4d67bp-1, 0x1.fc48d5a4be5ddp-2, 0x1.f75eba8e21b1fp-2, 0x1.f2698c1ffe3a6p-2, 0x1.ed6a72e92e1a7p-2, 0x1.e86291b63538fp-2, 0x1.e35304cde3fc4p-2, 0x1.de3ce0ad517eap-2, 0x1.d9212e8a85f97p-2, 0x1.d400ecd1178f9p-2, 0x1.cedd0dc7ccd8ep-2, 0x1.c9b678017502fp-2, 0x1.c48e06d767358p-2, 0x1.bf648ac1a0975p-2, 0x1.ba3ac940ed11fp-2, 0x1.b5117c55d9765p-2, 0x1.afe951cb92011p-2, 0x1.aac2e9ff2fbffp-2, 0x1.a59ed8773295dp-2, 0x1.a07da33fef6d9p-2, 0x1.9b5fc47d81cddp-2, 0x1.9645ac24e8169p-2, 0x1.912fc251300acp-2, 0x1.8c1e69ca6ff7ap-2, 0x1.87120272dff64p-2, 0x1.820aeac973293p-2, 0x1.7d0981a98245fp-2, 0x1.780e25e18c44cp-2, 0x1.731935fa4cf84p-2, 0x1.6e2b0ef7ebdd1p-2, 0x1.69440ac5a6517p-2, 0x1.64647eb2ef17dp-2, 0x1.5f8cb9f87a3abp-2, 0x1.5abd04c7758c9p-2, 0x1.55f59fcbd96dp-2, 0x1.5136c43c5d4p-2, 0x1.4c80a45ca3de6p-2, 0x1.47d36c68356cdp-2, 0x1.432f43608d87bp-2, 0x1.3e944cba6686dp-2, 0x1.3a02a8e380a3ap-2, 0x1.357a766dc451cp-2, 0x1.30fbd2aa47238p-2, 0x1.2c878c8fb89fp-2, 0x1.281c4a7a66e98p-2, 0x1.23baec23522c3p-2, 0x1.1f6389c7538a8p-2, 0x1.1b163a49931adp-2, 0x1.16d31303dbc26p-2, 0x1.129a27e204bb4p-2, 0x1.0e6b8b3c96075p-2, 0x1.0a474dad112adp-2, 0x1.062d7dfa70f3dp-2, 0x1.021e28fc31ee4p-2, 0x1.fc32b37ebe6f3p-3, 0x1.f43e3129ed23p-3, 0x1.ec5eda1273e6fp-3, 0x1.e494b8340f154p-3, 0x1.dcdfd2a5b80fep-3, 0x1.d5402d980b5aep-3, 0x1.cdb5cabaad003p-3, 0x1.c640a99bce947p-3, 0x1.bee0c8037ed5p-3, 0x1.b796224155396p-3, 0x1.b060b34050bbp-3, 0x1.a94074e043aa8p-3, 0x1.a2356007a637ep-3, 0x1.9b3f6be5c46ebp-3, 0x1.945e8f9610d9cp-3, 0x1.8d92c0ec342afp-3, 0x1.86dbf2ec64533p-3, 0x1.803a18a8cb5b7p-3, 0x1.79ad2343d3829p-3, 0x1.7335024e0b718p-3, 0x1.6cd1a3b9dcbfcp-3, 0x1.6682f3d683528p-3, 0x1.6048dd5ce4766p-3, 0x1.5a234964812b9p-3, 0x1.54121f96c7fdap-3, 0x1.4e15463cbf38ap-3, 0x1.482ca244c6418p-3, 0x1.425817852aa7bp-3, 0x1.3c9788cd8cba5p-3, 0x1.36ead7cc3b0a6p-3, 0x1.3151e5a8bbb9ep-3, 0x1.2bcc92a6b4593p-3, 0x1.265abe7891c8ep-3, 0x1.20fc47ef51beep-3, 0x1.1bb10d8d877f8p-3, 0x1.1678ede641cb8p-3, 0x1.1153c745372eap-3, 0x1.0c41727a12936p-3, 0x1.0741d0648b277p-3, 0x1.0254bb9f47cdap-3, 0x1.faf41f5499b2dp-4, 0x1.f1634f16bfc19p-4, 0x1.e7f6bb90c351p-4, 0x1.deae17fcc143bp-4, 0x1.d58919fce86ebp-4, 0x1.cc87713528fd1p-4, 0x1.c3a8cfb7a0feap-4, 0x1.baece62dda8d9p-4, 0x1.b25363797ef67p-4, 0x1.a9dbf72c38a14p-4, 0x1.a1864f541c45cp-4, 0x1.99521983cf85fp-4, 0x1.913f02ebfb243p-4, 0x1.894cb7dbfb604p-4, 0x1.817ae4a0a86d4p-4, 0x1.79c9353b2cbfp-4, 0x1.7237552679e7cp-4, 0x1.6ac4efb557319p-4, 0x1.6371af98bfa09p-4, 0x1.5c3d403ccd0a6p-4, 0x1.55274e8b1fda8p-4, 0x1.4e2f7e4b60302p-4, 0x1.4755811d48273p-4, 0x1.4098fef73b105p-4, 0x1.39f9a299458cdp-4, 0x1.3377166e5770cp-4, 0x1.2d1105190b771p-4, 0x1.26c7190a42a61p-4, 0x1.2098fcde326abp-4, 0x1.1a865b3bc189fp-4, 0x1.148edee2b2c21p-4, 0x1.0eb23290f8082p-4, 0x1.08f0017861269p-4, 0x1.0347f6869193bp-4, 0x1.fb7377ccc98ep-5, 0x1.f089ffec994d7p-5, 0x1.e5d2d8864208ap-5, 0x1.db4d5a547af39p-5, 0x1.d0f8de4d7f25ep-5, 0x1.c6d4b3985d5e2p-5, 0x1.bce0525ba1141p-5, 0x1.b31af725e8b97p-5, 0x1.a98407dff3913p-5, 0x1.a01ae0b0f01fep-5, 0x1.96dedf819ec15p-5, 0x1.8dcf614cad18bp-5, 0x1.84ebc6989460dp-5, 0x1.7c336f71f73c6p-5, 0x1.73a5bd4523f73p-5, 0x1.6b42129991775p-5, 0x1.6307d2a2544e3p-5, 0x1.5af662a63f46fp-5, 0x1.530d2bbb56207p-5, 0x1.4b4b8a68a7497p-5, 0x1.43b0f0c5b5162p-5, 0x1.3c3cc6e85e824p-5, 0x1.34ee7520ac363p-5, 0x1.2dc567f572d78p-5, 0x1.26c10c55026ap-5, 0x1.1fe0d09c2341ep-5, 0x1.1924231207febp-5, 0x1.12ad643dc35cbp-5, 0x1.0c34f1710a2d7p-5, 0x1.05de412486651p-5, 0x1.ff518f4ed0734p-6, 0x1.f327f0605cf8p-6, 0x1.e73e93fc8629dp-6, 0x1.db948b4b7e6e4p-6, 0x1.d028a02fa5ffep-6, 0x1.c4f9d9b1ea85ep-6, 0x1.ba0732526914dp-6, 0x1.af4fa5d2390acp-6, 0x1.a4d233d628ce9p-6, 0x1.9a8ddfb766e8ap-6, 0x1.9081af1385f6dp-6, 0x1.86aca97beae49p-6, 0x1.7d0dd9f49651ap-6, 0x1.73a451430809ap-6, 0x1.6a6f194a08ca8p-6, 0x1.616d4c8dee5b4p-6, 0x1.589dfe8ff76dp-6, 0x1.50003eb5856f1p-6, 0x1.479347989657ap-6, 0x1.3f5613cb07a54p-6, 0x1.3747dfc39de46p-6, 0x1.2f67bf0e973a7p-6, 0x1.27b4de9392e0ep-6, 0x1.202e66ea62a26p-6, 0x1.18d3852278be5p-6, 0x1.11a369e407868p-6, 0x1.0a9d404bedb24p-6, 0x1.03c049ae5e079p-6, 0x1.fa176364b1e29p-7, 0x1.ecfd6bdae917ap-7, 0x1.e0312411e4655p-7, 0x1.d3b10afd0107bp-7, 0x1.c77ba337094a2p-7, 0x1.bb8f74f0e1868p-7, 0x1.afeb10e55a44cp-7, 0x1.a48cfe6b5d74ep-7, 0x1.9973dffcc8726p-7, 0x1.8e9e4dfa98a15p-7, 0x1.840aea373dc31p-7, 0x1.79b85b47508ap-7, 0x1.6fa54c762071fp-7, 0x1.65d06e8757b77p-7, 0x1.5c3875f8ebc25p-7, 0x1.52dc1b4e9e08ap-7, 0x1.49ba251b27279p-7, 0x1.40d14f8b4bf36p-7, 0x1.382066c08863ap-7, 0x1.2fa6385a061cep-7, 0x1.2761960e8539dp-7, 0x1.1f515a46ad253p-7, 0x1.17745cb800a6bp-7, 0x1.0fc985544a062p-7, 0x1.084fb4216d3acp-7, 0x1.0105d5c4d0072p-7, 0x1.f3d5b5d2bcdb4p-8, 0x1.e5fb345f8d6a8p-8, 0x1.d87ac228793e8p-8, 0x1.cb51b61c0ae46p-8, 0x1.be7e41c4edfcdp-8, 0x1.b1fe807a88be4p-8, 0x1.a5d083f391273p-8, 0x1.99f26e29c2274p-8, 0x1.8e626604d0ae1p-8, 0x1.831ea0dffcbf1p-8, 0x1.782559c7564b6p-8, 0x1.6d74d58bdae6bp-8, 0x1.630b623cdd948p-8, 0x1.58e752b314b41p-8, 0x1.4f070a4a95308p-8, 0x1.4568f09a89225p-8, 0x1.3c0b6b22bbae9p-8, 0x1.32ecff97b0d0ep-8, 0x1.2a0c294d1e2d9p-8, 0x1.216770dcdfb1p-8, 0x1.18fd66e3daf3ep-8, 0x1.10cca3e0ca1ffp-8, 0x1.08d3c81551fc7p-8, 0x1.01117bb0094fcp-8, 0x1.f308cc6f34186p-9, 0x1.e456a8a61520dp-9, 0x1.d609df5ae5ac6p-9, 0x1.c81feb5494612p-9, 0x1.ba96afdfae287p-9, 0x1.ad6b89ebbbc57p-9, 0x1.a09c468d600c4p-9, 0x1.9426a4bb24711p-9, 0x1.8808716a7ff74p-9, 0x1.7c3f8713c61e5p-9, 0x1.70c9cb0d95326p-9, 0x1.65a528cd8c91ap-9, 0x1.5acfa99c1cddp-9, 0x1.50474f35e28dbp-9, 0x1.460a2f58bcffdp-9, 0x1.3c166956f24c2p-9, 0x1.326a273859828p-9, 0x1.29039dd0f1496p-9, 0x1.1fe0e5c4e6effp-9, 0x1.1700c3ba4e862p-9, 0x1.0e60f4ea96ccfp-9, 0x1.0600246b18bd8p-9, 0x1.fbb94e1d13p-10, 0x1.ebe9c7deca13dp-10, 0x1.dc8ed138ddb57p-10, 0x1.cda53af061dp-10, 0x1.bf29d69024841p-10, 0x1.b11ad75cd3831p-10, 0x1.a3743a4681a54p-10, 0x1.9633c998824a7p-10, 0x1.8956c647f38bcp-10, 0x1.7cda90e4b9a1p-10, 0x1.70bc3f7bae775p-10, 0x1.64fa929d60b09p-10, 0x1.59913bc91593cp-10, 0x1.4e7f256b30a1ep-10, 0x1.43c202a9c2d5p-10, 0x1.3956d51613f03p-10, 0x1.2f3bb413777c1p-10, 0x1.256e6f14eafe9p-10, 0x1.1bece49aaeacdp-10, 0x1.12b5029dbde93p-10, 0x1.09c4c08b8d59cp-10, 0x1.011a150798f14p-10, 0x1.f166275c38599p-11, 0x1.e11bc4d2c76e5p-11, 0x1.d15141e53d68cp-11, 0x1.c20302fbb99bfp-11, 0x1.b32dd5f55ea98p-11, 0x1.a4cd6ead2df41p-11, 0x1.96def34625ab3p-11, 0x1.895f5d010e18ep-11, 0x1.7c4b35d3394b5p-11, 0x1.6f9f686c3bcc5p-11, 0x1.6358ec975243dp-11, 0x1.5774cdbfd87ccp-11, 0x1.4befff1cb952ap-11, 0x1.40c82e551eb2ep-11, 0x1.35fa06df125f5p-11, 0x1.2b832c87fd8edp-11, 0x1.2160fbd53bfdfp-11, 0x1.1790ea31f816cp-11, 0x1.0e10e0df58778p-11, 0x1.04dd562c933e9p-11, 0x1.f7e9c957ddebbp-12, 0x1.e6aaa0d3927cp-12, 0x1.d5f8327fd55b3p-12, 0x1.c5ce4f32cb2a2p-12, 0x1.b628c898f6404p-12, 0x1.a703597875f92p-12, 0x1.985aa8d740d45p-12, 0x1.8a2a37a9f6046p-12, 0x1.7c6e8c11091dap-12, 0x1.6f228d999deefp-12, 0x1.6246f8d003ff2p-12, 0x1.55d40abb07c2cp-12, 0x1.49ca6a19f94bbp-12, 0x1.3e1f9bbcf4b65p-12, 0x1.32d7a0a4a1f43p-12, 0x1.27ea3672aa6f4p-12, 0x1.1d5cd20e5e5edp-12, 0x1.1323fc307440ep-12, 0x1.0940e292eaeap-12, 0x1.ff5b0b810f363p-13, 0x1.ecd6e53a2031cp-13, 0x1.daebd7fda48fap-13, 0x1.c990ed66856e1p-13, 0x1.b8ceaf831d562p-13, 0x1.a8937c21ebc93p-13, 0x1.98df10ee7683ep-13, 0x1.89ad109fb6ad8p-13, 0x1.7af953f05b95dp-13, 0x1.6cbfa69a710f6p-13, 0x1.5efe23359defdp-13, 0x1.51aacad6adc85p-13, 0x1.44c829a5af9d3p-13, 0x1.3850603ba834fp-13, 0x1.2c400346c2ba8p-13, 0x1.2093ac53c69f6p-13, 0x1.154833ff3461bp-13, 0x1.0a59a6f483bd9p-13, 0x1.ff8cc20f49ee6p-14, 0x1.eb18715448824p-14, 0x1.d74424ae8dac5p-14, 0x1.c41b083919c28p-14, 0x1.b18ebd4cec248p-14, 0x1.9f9b414abe99cp-14, 0x1.8e3a85c4c0c84p-14, 0x1.7d6b33d3cbf26p-14, 0x1.6d2585ab9d1c7p-14, 0x1.5d5f33fd77fd9p-14, 0x1.4e2688f138ba2p-14, 0x1.3f65116b70d8ap-14, 0x1.311cc16893ff8p-14, 0x1.23498f46c25c2p-14, 0x1.15e7a14d7452dp-14, 0x1.08f3419f1a7p-14, 0x1.f8d1dc7264eebp-15, 0x1.e08508666226dp-15, 0x1.c9093dba787bdp-15, 0x1.b24f317ffe7ep-15, 0x1.9c25d32ce9a3ap-15, 0x1.86e914f8cb268p-15, 0x1.72426c33e10b8p-15, 0x1.5e4396b5b840ep-15, 0x1.4ae752a327928p-15, 0x1.38288fe14b976p-15, 0x1.2602251e3976cp-15, 0x1.146f0dd8f5ab1p-15, 0x1.03687984dbe61p-15, 0x1.e5e19b08a0e68p-16, 0x1.c5fabea96512p-16, 0x1.a71666d5e48d2p-16, 0x1.892ce15df6781p-16, 0x1.6c36d400601afp-16, 0x1.502c976780e01p-16, 0x1.35075cc2ec53dp-16, 0x1.1abc25f10566bp-16, 0x1.0160744df5addp-16, 0x1.d156816394009p-17, 0x1.a1a7be069d404p-17, 0x1.737f38ba64bc7p-17, 0x1.46d16d9e4c5cdp-17, 0x1.1b693213fbec9p-17, 0x1.e321226d2bd17p-18, 0x1.92264c4fe77a7p-18, 0x1.43cd712c158d2p-18, 0x1.f006db3b44347p-19, 0x1.5d6a96d382ad6p-19, 0x1.9f448a2214208p-20, 0x1.1a3b490209af6p-21, -0x1.ed0a2d00719d1p-22, -0x1.7ca6e87d33aa5p-20, -0x1.39e1b5e21a1b4p-19, -0x1.b188cddca80afp-19, -0x1.123f36bade176p-18, -0x1.4a4bda6aae43fp-18, -0x1.80231ddb1ba1cp-18, -0x1.b40a4933101b4p-18, -0x1.e63d154258e0cp-18, -0x1.0b4cbb42aad34p-17, -0x1.228b3a3649c1ep-17, -0x1.39209cf0df993p-17, -0x1.4eb373b150295p-17, -0x1.6389162112369p-17, -0x1.77f8f5cd6756dp-17, -0x1.8adf9e6f76b12p-17, -0x1.9d5f5bc80b3cep-17, -0x1.af3058bcf4153p-17, -0x1.c0505c13a9f3ep-17, -0x1.d0abd7f9b059bp-17, -0x1.e064e745ebe63p-17, -0x1.ef72a829124c6p-17, -0x1.fdd9c03254a85p-17, -0x1.05d22b61e97d9p-16, -0x1.0c638517aa79dp-16, -0x1.12ab1d762424cp-16, -0x1.18a477494a7dep-16, -0x1.1e58b49d0f728p-16, -0x1.23bdb3e94f093p-16, -0x1.28deb97ee3cecp-16, -0x1.2db9d8050a411p-16, -0x1.32524847bb532p-16, -0x1.36a7505eee544p-16, -0x1.3abbc172d00cbp-16, -0x1.3e90ba5e07ed5p-16, -0x1.4223cb32e425ep-16, -0x1.457edc4bb13e4p-16, -0x1.4885f2eecd864p-16, -0x1.4b8066a243a6p-16, -0x1.4e4f5a5fc56e9p-16, -0x1.509b418803706p-16, -0x1.52d6054f1f927p-16, -0x1.550c19682274fp-16, -0x1.56a84923fb12ep-16, -0x1.5841c66707099p-16, -0x1.59a9d219f7b3p-16, -0x1.5ae01d035ba62p-16, -0x1.5be55d82cc1dap-16, -0x1.5cbba99642f39p-16, -0x1.5d68686f1863ap-16, -0x1.5ddbb2f126bc4p-16, -0x1.5e25942fb8159p-16, -0x1.5e43c5faf2633p-16, -0x1.5e3aeff071968p-16, -0x1.5e0582d7b6549p-16, -0x1.5da6055bc083cp-16, -0x1.5d1d9587c5229p-16, -0x1.5c6e52c3fb4bap-16, -0x1.5b97880f97ddep-16, -0x1.5a9a9861b3026p-16, -0x1.5978492767f54p-16, -0x1.5831626ee4f2fp-16, -0x1.56d7517ecf62dp-16, -0x1.55382ea205db6p-16, -0x1.5388e3ebe196p-16, -0x1.51b781b6004fp-16, -0x1.4fc53a23f9cc6p-16, -0x1.4db2e4beb10a6p-16, -0x1.4b811afb1f0e1p-16, -0x1.4930f235e2f1p-16, -0x1.46c2bb9bab0fbp-16, -0x1.4437601f0362ap-16, -0x1.418fb59adc5d7p-16, -0x1.3ec3489c6e59ap-16, -0x1.3c092c82cda76p-16, -0x1.38f56cdae05afp-16, -0x1.35dffdd4412f9p-16, -0x1.32b74f669288dp-16, -0x1.2f6997f9fe2b6p-16, -0x1.2c11d46c62c7ap-16, -0x1.289e5b10d38bap-16, -0x1.25149e0f2acb4p-16, -0x1.2174d0bdb6d6ep-16, -0x1.1db9808876aa7p-16, -0x1.19f525f33e72dp-16, -0x1.1617bae02adf5p-16, -0x1.1224b8ca38122p-16, -0x1.0e0a6b40bb703p-16, -0x1.0a0b789bb943dp-16, -0x1.05e2d89665ef7p-16, -0x1.01a9a77f1d58ep-16, -0x1.fa9ed89ca855cp-17, -0x1.f214f720bd184p-17, -0x1.e95133741806fp-17, -0x1.e04bf2a822edcp-17, -0x1.d74189318cf94p-17, -0x1.ce1b702b47e25p-17, -0x1.c4dba551008cfp-17, -0x1.bb6a4c8596571p-17, -0x1.b201729941fa3p-17, -0x1.a888b9dd277afp-17, -0x1.9eebae3dc978bp-17, -0x1.9539b763f88f1p-17, -0x1.8b741e5c6270ep-17, -0x1.819c313848f0cp-17, -0x1.77b3da4f52838p-17, -0x1.6dd3cb7e963edp-17, -0x1.63a1be4e73831p-17, -0x1.59ae861e48465p-17, -0x1.4f759e69dedc8p-17, -0x1.453ea8ef4b03dp-17, -0x1.3b057f7e6a8cp-17, -0x1.30ba989d610e3p-17, -0x1.266975d4660a5p-17, -0x1.1c101fb616fbbp-17, -0x1.11c1dfef2a608p-17, -0x1.0744c25d40395p-17, -0x1.f9aced0e67416p-18, -0x1.e4ca7208643e1p-18, -0x1.cfb35f2caca6fp-18, -0x1.bae2759b9e02dp-18, -0x1.a5e654baa2987p-18, -0x1.90e89e7bb7206p-18, -0x1.7beb30c4d6edap-18, -0x1.669c3309016fdp-18, -0x1.52214920f0c49p-18, -0x1.3ce5a59b603a1p-18, -0x1.27ef656556de2p-18, -0x1.1303298f1ed35p-18, -0x1.fc4ec5d2f4986p-19, -0x1.d293d08b7b32p-19, -0x1.a8ef3de93efa9p-19, -0x1.7f64010662a5fp-19, -0x1.55e2e419e64f1p-19, -0x1.2c9ffe70782bp-19, -0x1.037da46471c0bp-19, -0x1.b3939b0093153p-20, -0x1.630638ac08ac2p-20, -0x1.118baa9fe543fp-20, -0x1.80d0a79a51facp-21, -0x1.be30fba43577ap-22, -0x1.e5054f369aa49p-24, 0x1.8635c2c8ad226p-23, 0x1.00558dd8f2db6p-21, 0x1.99e05491b5173p-21, 0x1.1dee2143cd711p-20, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.cfa2e32f35e8fp-7, 0x1.cf6b914ef3824p-6, 0x1.5b4baedd3be3cp-5, 0x1.ce8f367ee6bf5p-5, 0x1.20b2ca6bfea33p-4, 0x1.59da41a4909b5p-4, 0x1.92b12a86b4cb2p-4, 0x1.cb2b04b059a78p-4, 0x1.019dd69d0707ep-3, 0x1.1d6bb264f34c4p-3, 0x1.38f96a35effccp-3, 0x1.544188abd712cp-3, 0x1.6f3ecfe3f03e6p-3, 0x1.89ec3a80ec89ep-3, 0x1.a444fc554f73fp-3, 0x1.be4482c093628p-3, 0x1.d7e674c9bd6a3p-3, 0x1.f126b300d2753p-3, 0x1.0500ab97ad30ep-2, 0x1.113959ef86807p-2, 0x1.1d3ba9de6bb06p-2, 0x1.2905fc6ec907p-2, 0x1.3496cdf4825e3p-2, 0x1.3fecb5979f8f3p-2, 0x1.4b0664d5dbb47p-2, 0x1.55e2a6fc933f2p-2, 0x1.6080609c6235bp-2, 0x1.6ade8ef78a50fp-2, 0x1.74fc476c1e4dep-2, 0x1.7ed8b6dac7bfbp-2, 0x1.8873210ae24f9p-2, 0x1.91cae00c94d96p-2, 0x1.9adf63996fddap-2, 0x1.a3b03074192cbp-2, 0x1.ac3cdfc76913cp-2, 0x1.b4851e856378ap-2, 0x1.bc88acc661575p-2, 0x1.c4475d28b1defp-2, 0x1.cbc11431041cep-2, 0x1.d2f5c7abca056p-2, 0x1.d9e57e0fd5f32p-2, 0x1.e0904de25f07p-2, 0x1.e6f65d1c99467p-2, 0x1.ed17e0930c203p-2, 0x1.f2f51b5ecaf7cp-2, 0x1.f88e5e48abdd5p-2, 0x1.fde40736a2449p-2, 0x1.017b404da61f5p-1, 0x1.03e32073ec74dp-1, 0x1.0629e50024ed1p-1, 0x1.084fd4591ae01p-1, 0x1.0a553a1706244p-1, 0x1.0c3a66c178d45p-1, 0x1.0dffaf8e9ff3bp-1, 0x1.0fa56e23d6489p-1, 0x1.112c0057962dp-1, 0x1.1293c7f4c5b84p-1, 0x1.13dd2a7f65d4ep-1, 0x1.150890faa2f03p-1, 0x1.161667b04a595p-1, 0x1.17071df9a3dd4p-1, 0x1.17db2609b20cbp-1, 0x1.1892f4b8d48c5p-1, 0x1.192f0151d17fp-1, 0x1.19afc5603f38dp-1, 0x1.1a15bc804fc44p-1, 0x1.1a61642ffbcf5p-1, 0x1.1a933ba188d1fp-1, 0x1.1aabc38f69551p-1, 0x1.1aab7e117445fp-1, 0x1.1a92ee736e7ebp-1, 0x1.1a62990ce48a7p-1, 0x1.1a1b031a4f959p-1, 0x1.19bcb297823d8p-1, 0x1.19482e1b57f9ap-1, 0x1.18bdfcb4a592dp-1, 0x1.181ea5c8608bep-1, 0x1.176ab0f1001edp-1, 0x1.16a2a5df0bb6bp-1, 0x1.15c70c3ad7c6ep-1, 0x1.14d86b87686c4p-1, 0x1.13d74b0675e3ep-1, 0x1.12c4319d8f189p-1, 0x1.119fa5bc5226p-1, 0x1.106a2d43b7bc7p-1, 0x1.0f244d6e6cc6cp-1, 0x1.0dce8aba32689p-1, 0x1.0c6968d241405p-1, 0x1.0af56a7aa953fp-1, 0x1.0973117caa7b2p-1, 0x1.07e2de93ffffep-1, 0x1.0645515d16a97p-1, 0x1.049ae8442ef3fp-1, 0x1.02e420755d623p-1, 0x1.012175cd6cdecp-1, 0x1.fea6c59728e07p-2, 0x1.faf4c10808dd9p-2, 0x1.f72dcd267c12dp-2, 0x1.f352d6246a33ap-2, 0x1.ef64c5166a7e5p-2, 0x1.eb647fdf097d2p-2, 0x1.e752e91b826b2p-2, 0x1.e330e011e28dcp-2, 0x1.deff40a088e1fp-2, 0x1.dabee32efcd59p-2, 0x1.d6709ca00fbc8p-2, 0x1.d2153e453ee38p-2, 0x1.cdad95d350198p-2, 0x1.c93a6d581d3eap-2, 0x1.c4bc8b3180571p-2, 0x1.c034b20564f6fp-2, 0x1.bba3a0bae433cp-2, 0x1.b70a12747062dp-2, 0x1.b268be8b02202p-2, 0x1.adc0588a3b301p-2, 0x1.a911902d7ec92p-2, 0x1.a45d115debedep-2, 0x1.9fa384313ce9ep-2, 0x1.9ae58ce97acadp-2, 0x1.9623cbf582a39p-2, 0x1.915eddf24fd7p-2, 0x1.8c975bad0938ap-2, 0x1.87cdda25c2ef7p-2, 0x1.8302ea92f3591p-2, 0x1.7e371a6591b06p-2, 0x1.796af34dd3798p-2, 0x1.749efb408841dp-2, 0x1.6fd3b47d06f3ap-2, 0x1.6b099d93aa191p-2, 0x1.6641316cd0f1dp-2, 0x1.617ae7506084p-2, 0x1.5cb732edc0431p-2, 0x1.57f68464474dcp-2, 0x1.5339484c164dap-2, 0x1.4e7fe7bf5d881p-2, 0x1.49cac863fca71p-2, 0x1.451a4c7583446p-2, 0x1.406ed2cf87a81p-2, 0x1.3bc8b6f8484b5p-2, 0x1.3728512ba15cp-2, 0x1.328df6663ef1ap-2, 0x1.2df9f87119257p-2, 0x1.296ca5ed24f17p-2, 0x1.24e64a5f3ffep-2, 0x1.20672e3c51a78p-2, 0x1.1bef96f592b7ap-2, 0x1.177fc70508933p-2, 0x1.1317fdfa1de0ap-2, 0x1.0eb8788662c24p-2, 0x1.0a61708a6693ep-2, 0x1.06131d22aeae8p-2, 0x1.01cdb2b4c0f75p-2, 0x1.fb22c5f8838fdp-3, 0x1.f2bcba304439cp-3, 0x1.ea699b2fb0a4fp-3, 0x1.e229bd113e126p-3, 0x1.d9fd6f0580b6ap-3, 0x1.d1e4fb6db4f2bp-3, 0x1.c9e0a7f65780fp-3, 0x1.c1f0b5b1adcd4p-3, 0x1.ba156132449f7p-3, 0x1.b24ee2a55e101p-3, 0x1.aa9d6ded4d03cp-3, 0x1.a30132bbb01b6p-3, 0x1.9b7a5cab92409p-3, 0x1.9409135b655f8p-3, 0x1.8cad7a86d9f19p-3, 0x1.8567b2208464fp-3, 0x1.7e37d66b5aee7p-3, 0x1.771e0013fbf1fp-3, 0x1.701a4449c1659p-3, 0x1.692cb4d79a276p-3, 0x1.6255603ca864p-3, 0x1.5b9451c49ee5fp-3, 0x1.54e9919fdff0cp-3, 0x1.4e5524fb59434p-3, 0x1.47d70e1813925p-3, 0x1.416f4c62800b9p-3, 0x1.3b1ddc897b13fp-3, 0x1.34e2b894fefa6p-3, 0x1.2ebdd7fc8861cp-3, 0x1.28af2fbd328a6p-3, 0x1.22b6b26f79e28p-3, 0x1.1cd4505cacc97p-3, 0x1.1707f79410ad5p-3, 0x1.115193ffa8293p-3, 0x1.0bb10f78a917ap-3, 0x1.062651db9b912p-3, 0x1.00b1411c1c8dap-3, 0x1.f6a382b09d72cp-4, 0x1.ec0f69d7ddd9fp-4, 0x1.e1a5f90621601p-4, 0x1.d766ee58f93a7p-4, 0x1.cd5204d779f1bp-4, 0x1.c366f4958f86p-4, 0x1.b9a572d6a6ef1p-4, 0x1.b00d322fa0a5ep-4, 0x1.a69de2a808b55p-4, 0x1.9d5731daa7a9ap-4, 0x1.9438cb154a122p-4, 0x1.8b425777ede79p-4, 0x1.82737e1326b0bp-4, 0x1.79cbe405db0e6p-4, 0x1.714b2c9a4e228p-4, 0x1.68f0f96276ee9p-4, 0x1.60bcea53aa96ap-4, 0x1.58ae9de1957d7p-4, 0x1.50c5b1188a429p-4, 0x1.4901bfb722968p-4, 0x1.416264473759fp-4, 0x1.39e738362f7fdp-4, 0x1.328fd3eca7a28p-4, 0x1.2b5bcee574ef4p-4, 0x1.244abfc4033aap-4, 0x1.1d5c3c6a12d18p-4, 0x1.168fda0cd470dp-4, 0x1.0fe52d4969325p-4, 0x1.095bca38c5331p-4, 0x1.02f34482f81edp-4, 0x1.f9565ee3bdeep-5, 0x1.ed063c067cc44p-5, 0x1.e0f545f496a25p-5, 0x1.d522a1e140cbbp-5, 0x1.c98d74cd4a67ep-5, 0x1.be34e3a6d023p-5, 0x1.b3181367da8dap-5, 0x1.a8362933ec29p-5, 0x1.9d8e4a748249fp-5, 0x1.931f9cf48f824p-5, 0x1.88e946faf206fp-5, 0x1.7eea6f63ed1c7p-5, 0x1.75223db9a7a5dp-5, 0x1.6b8fda4bb8482p-5, 0x1.62326e45bdbap-5, 0x1.590923c511ac5p-5, 0x1.501325ed8ddap-5, 0x1.474fa0fd76997p-5, 0x1.3ebdc26082d75p-5, 0x1.365cb8c20f8dep-5, 0x1.2e2bb41e7cf6ap-5, 0x1.2629e5d3be41ep-5, 0x1.1e5680b11ea4bp-5, 0x1.16b0b90641046p-5, 0x1.0f37c4b15ed32p-5, 0x1.07eadb2cc892fp-5, 0x1.00c9359bb071ap-5, 0x1.f3a41dac85051p-6, 0x1.e60946ea130ebp-6, 0x1.d8c063b75e1e2p-6, 0x1.cbc7f4861f0ffp-6, 0x1.bf1e7d85637f6p-6, 0x1.b2c286b33be3fp-6, 0x1.a6b29bed3578cp-6, 0x1.9aed4cffb1844p-6, 0x1.8f712db412426p-6, 0x1.843cd5ddd55f3p-6, 0x1.794ee166965fep-6, 0x1.6ea5f0590d62bp-6, 0x1.6440a6eb05fcfp-6, 0x1.5a1dad8664bb6p-6, 0x1.503bb0d12f4f3p-6, 0x1.469961b4b4409p-6, 0x1.3d357563c6e57p-6, 0x1.340ea56026204p-6, 0x1.2b23af7f08fa4p-6, 0x1.227355ecdfe07p-6, 0x1.19fc5f304ebb2p-6, 0x1.11bd962c6636cp-6, 0x1.09b5ca222291ep-6, 0x1.01e3ceb139cbbp-6, 0x1.f48cf7b07c3dep-7, 0x1.e5b95be826c3p-7, 0x1.d74a8b7d9d02dp-7, 0x1.c93e509be380ep-7, 0x1.bb927e2039cdep-7, 0x1.ae44ef9451f8fp-7, 0x1.a15389277e01fp-7, 0x1.94bc37a6d1e5bp-7, 0x1.887cf0745668ep-7, 0x1.7c93b17d3e8fp-7, 0x1.70fe812f3a7b5p-7, 0x1.65bb6e6cf7363p-7, 0x1.5ac89081c2e61p-7, 0x1.502407146bff8p-7, 0x1.45cbfa196667ap-7, 0x1.3bbe99c43543dp-7, 0x1.31fa1e782cbfap-7, 0x1.287cc8b890006p-7, 0x1.1f44e11812e18p-7, 0x1.1650b827cb4b2p-7, 0x1.0d9ea66596ebap-7, 0x1.052d0c2a002bbp-7, 0x1.f9f4a32b4e006p-8, 0x1.ea09ccfc70e2dp-8, 0x1.da9684b5f21f1p-8, 0x1.cb97c861d73e6p-8, 0x1.bd0aa4fd3414ap-8, 0x1.aeec364f0dd7p-8, 0x1.a139a6be9d318p-8, 0x1.93f02f28fc961p-8, 0x1.870d16b64ee04p-8, 0x1.7a8db2ae6706ap-8, 0x1.6e6f664d0296p-8, 0x1.62afa2959a9fp-8, 0x1.574be626dc419p-8, 0x1.4c41bd0dcfdfdp-8, 0x1.418ec098b91a6p-8, 0x1.37309729bad85p-8, 0x1.2d24f40946f47p-8, 0x1.2369973863b2p-8, 0x1.19fc4d42d162fp-8, 0x1.10daef11127fcp-8, 0x1.080361ba67a56p-8, 0x1.fee72cad7f80bp-9, 0x1.ee5313a149ae4p-9, 0x1.de46896e64cdap-9, 0x1.cebdb6202982cp-9, 0x1.bfb4d8533a807p-9, 0x1.b12844d9dde7cp-9, 0x1.a314666099146p-9, 0x1.9575bd131478bp-9, 0x1.8848de41574aep-9, 0x1.7b8a740565268p-9, 0x1.6f373ce946141p-9, 0x1.634c0b8d85e88p-9, 0x1.57c5c6502f7e3p-9, 0x1.4ca166f4526aap-9, 0x1.41dbfa4a18411p-9, 0x1.37729fd771444p-9, 0x1.2d62898164599p-9, 0x1.23a8fb36011d9p-9, 0x1.1a434a9704fccp-9, 0x1.112edea53591ap-9, 0x1.08692f6c6fb8p-9, 0x1.ffdf8b60fe114p-10, 0x1.ef8075356cda6p-10, 0x1.dfb06ed0ad7b6p-10, 0x1.d06aea338a31bp-10, 0x1.c1ab7845266e7p-10, 0x1.b36dc834c9f74p-10, 0x1.a5ada6dd5d804p-10, 0x1.9866fe2aaac16p-10, 0x1.8b95d48061299p-10, 0x1.7f364c22f1318p-10, 0x1.7344a2a225899p-10, 0x1.67bd3045accdbp-10, 0x1.5c9c677b6a162p-10, 0x1.51ded447af4c6p-10, 0x1.47811bb75cc3bp-10, 0x1.3d7ffb53de32dp-10, 0x1.33d848991dd4ep-10, 0x1.2a86f06d518afp-10, 0x1.2188f69ac966fp-10, 0x1.18db754b9a77bp-10, 0x1.107b9c87455d5p-10, 0x1.0866b1b24a01ep-10, 0x1.009a0f0fa790fp-10, 0x1.f2264688af872p-11, 0x1.e39ee1b95f8bbp-11, 0x1.d5991ba7701a8p-11, 0x1.c8104638e2e0fp-11, 0x1.baffd85a11efcp-11, 0x1.ae636d17efd84p-11, 0x1.a236c2be1eeccp-11, 0x1.9675b9f8daaedp-11, 0x1.8b1c54faaf98ep-11, 0x1.8026b6a5fc4dep-11, 0x1.759121ba37e79p-11, 0x1.6b57f804f5bcep-11, 0x1.6177b996a33dap-11, 0x1.57ed03faf8b0cp-11, 0x1.4eb49175147f3p-11, 0x1.45cb383f3cfddp-11, 0x1.3d2de9ce3f7bp-11, 0x1.34d9b21865221p-11, 0x1.2ccbb6dff6b8dp-11, 0x1.2501370146a89p-11, 0x1.1d7789c4376b3p-11, 0x1.162c1e313a13ep-11, 0x1.0f1c7a69b6512p-11, 0x1.08463b03d7da5p-11, 0x1.01a71269b4ac6p-11, 0x1.f67990778c765p-12, 0x1.ea0a716d4de8ep-12, 0x1.ddfca83821d9fp-12, 0x1.d24c3c3e19aa3p-12, 0x1.c6f55aa69c8dp-12, 0x1.bbf4553f59f7ap-12, 0x1.b145a1676b872p-12, 0x1.a6e5d7008b582p-12, 0x1.9cd1af664e99bp-12, 0x1.9306046b4b965p-12, 0x1.897fcf5c1a895p-12, 0x1.803c28081807cp-12, 0x1.773843cfd6137p-12, 0x1.6e7174b929d39p-12, 0x1.65e52888b5f9fp-12, 0x1.5d90e7e0ecdfdp-12, 0x1.5572556666538p-12, 0x1.4d872ce97aad5p-12, 0x1.45cd42950d8ddp-12, 0x1.3e428222738dcp-12, 0x1.36e4ee12584dbp-12, 0x1.2fb29eea9a894p-12, 0x1.28a9c278fa9acp-12, 0x1.21c89b1a94ac5p-12, 0x1.1b0d7f080711fp-12, 0x1.1476d7a636d4bp-12, 0x1.0e0320db98511p-12, 0x1.07b0e869ea584p-12, 0x1.017ecd4c515c9p-12, 0x1.f6d6fe336f47ep-13, 0x1.eaeb7ad6c9fbep-13, 0x1.df38ae8f6c3dp-13, 0x1.d3bc5521bf98fp-13, 0x1.c87446ef57c11p-13, 0x1.bd5e77e437a08p-13, 0x1.b278f66bb734fp-13, 0x1.a7c1ea6ce7effp-13, 0x1.9d37944e4b7e4p-13, 0x1.92d84c00c3bcbp-13, 0x1.88a2801184e8dp-13, 0x1.7e94b4c2efeedp-13, 0x1.74ad832c30cccp-13, 0x1.6aeb985f796a2p-13, 0x1.614db496af73dp-13, 0x1.57d2aa6678862p-13, 0x1.4e795df77233bp-13, 0x1.4540c4457cb06p-13, 0x1.3c27e264f24cep-13, 0x1.332dcccdaa6ep-13, 0x1.2a51a6aba87a4p-13, 0x1.2192a13555699p-13, 0x1.18effb071c557p-13, 0x1.1068ff8459d38p-13, 0x1.07fd063d6c8fbp-13, 0x1.ff56e4b5b3471p-14, 0x1.eee7641aa2a7p-14, 0x1.deaa7c051d951p-14, 0x1.ce9f31bdb991dp-14, 0x1.bec49d76758aep-14, 0x1.af19e94fce1d1p-14, 0x1.9f9e5066ac0c4p-14, 0x1.90511deab2441p-14, 0x1.8131ac3ce178bp-14, 0x1.723f641647e7fp-14, 0x1.6379bbb68b829p-14, 0x1.54e0361a1dabdp-14, 0x1.46726237e19e6p-14, 0x1.382fda4615b8cp-14, 0x1.2a1843064d40cp-14, 0x1.1c2b4b184bc83p-14, 0x1.0e68aa53901d5p-14, 0x1.00d0212762779p-14, 0x1.e6c2f0026c436p-15, 0x1.cc38fd726a0dbp-15, 0x1.b202180988f95p-15, 0x1.981df9ddb7b07p-15, 0x1.7e8c68ac020dcp-15, 0x1.654d34df83792p-15, 0x1.4c6038a300a46p-15, 0x1.33c556fcdb907p-15, 0x1.1b7c7af50fb3ap-15, 0x1.038596c4ed1fp-15, 0x1.d7c146208ea9fp-16, 0x1.a91b3c4f990ap-16, 0x1.7b1916a87f45fp-16, 0x1.4dbae4549e311p-16, 0x1.2100bbcd86803p-16, 0x1.e9d5734af6bd4p-17, 0x1.92f1febf401e5p-17, 0x1.3d5764ae8bb6ep-17, 0x1.d20bead77c178p-18, 0x1.2bfc09dc90fccp-18, 0x1.10ffa3d75e43cp-19, -0x1.868116ef6e963p-22, -0x1.6d75efd577fd3p-19, -0x1.52783fa171289p-18, -0x1.eb9f4ffe81ab6p-18, -0x1.4117ce3ffcc8p-17, -0x1.8b1453a585478p-17, -0x1.d3c501cad31f2p-17, -0x1.0d94d5f9adccfp-16, -0x1.30a1180b9f449p-16, -0x1.53073bee1f412p-16, -0x1.74c73cbe1c17bp-16, -0x1.95e11c4ce9f4ap-16, -0x1.b654e3820a39ap-16, -0x1.d622a2b4b7e49p-16, -0x1.f54a71fd8bde1p-16, -0x1.09e638c0454d8p-15, -0x1.18d464d7f07bfp-15, -0x1.276fd5c3d58bbp-15, -0x1.35b8a8617ebd4p-15, -0x1.43aefe0542ab9p-15, -0x1.5152fc8e80288p-15, -0x1.5ea4ce78e8039p-15, -0x1.6ba4a2eaf4145p-15, -0x1.7852adc1afeb3p-15, -0x1.84af2799ed1a1p-15, -0x1.90ba4dd70439fp-15, -0x1.9c7462a73e6bap-15, -0x1.a7ddad0607c06p-15, -0x1.b2f678bbfc8eep-15, -0x1.bdbf165cfa0dap-15, -0x1.c837db443e177p-15, -0x1.d261218eba7cfp-15, -0x1.dc3b4813ade75p-15, -0x1.e5c6b25b9a6f7p-15, -0x1.ef03c895b37e9p-15, -0x1.f7f2f78bd7817p-15, -0x1.004a584a9414ep-14, -0x1.0474b4c3ad3bep-14, -0x1.0878ce53692d1p-14, -0x1.0c56e44acab79p-14, -0x1.100f382099efep-14, -0x1.13a20d67d7742p-14, -0x1.170fa9c5ba3bep-14, -0x1.1a5854e73efa6p-14, -0x1.1d7c5876518acp-14, -0x1.207c000e9825p-14, -0x1.23579931e9016p-14, -0x1.260f733c6f75ep-14, -0x1.28a3df5889328p-14, -0x1.2b15307262d26p-14, -0x1.2d63bb2b56fe3p-14, -0x1.2f8fd5cd1bd7p-14, -0x1.3199d83cbf32dp-14, -0x1.33821bed7a22fp-14, -0x1.3548fbd36211cp-14, -0x1.36eed455fa5a6p-14, -0x1.38740342ac799p-14, -0x1.39d8e7bf2db0ap-14, -0x1.3b1de23bd32f7p-14, -0x1.3c435465db6e7p-14, -0x1.3d49a119b1981p-14, -0x1.3e312c552c9e4p-14, -0x1.3efa5b29d1045p-14, -0x1.3fa593af15e6ep-14, -0x1.40333cf4b3054p-14, -0x1.40a3bef4fb399p-14, -0x1.40f782874416ap-14, -0x1.412ef15261b3ap-14, -0x1.414a75bf35053p-14, -0x1.414a7aeb53cb9p-14, -0x1.412f6c9bc9e72p-14, -0x1.40f9b72ff7514p-14, -0x1.40a9c7948ce37p-14, -0x1.40400b36ab868p-14, -0x1.3fbceff725122p-14, -0x1.3f20e41de3e6cp-14, -0x1.3e6c564d782e9p-14, -0x1.3d9fb576cfcfep-14, -0x1.3cbb70cd168bcp-14, -0x1.3bbff7b9c3afcp-14, -0x1.3aadb9d0d4755p-14, -0x1.398526c534dadp-14, -0x1.3846ae5d5839bp-14, -0x1.36f2c0680366dp-14, -0x1.3589ccb147764p-14, -0x1.340c42f7b060fp-14, -0x1.327a92e1a648dp-14, -0x1.30d52bf3049a5p-14, -0x1.2f1c7d82e484cp-14, -0x1.2d50f6b19d7e3p-14, -0x1.2b73065efd712p-14, -0x1.29831b20b527ep-14, -0x1.2781a338fd1b5p-14, -0x1.256f0c8d7218ep-14, -0x1.234bc49e27c63p-14, -0x1.2118387cf43f8p-14, -0x1.1ed4d4c4f38e1p-14, -0x1.1c820592426d3p-14, -0x1.1a203679f142dp-14, -0x1.17afd28230be1p-14, -0x1.1531441ab36c1p-14, -0x1.12a4f515497c4p-14, -0x1.100b4e9eb48b6p-14, -0x1.0d64b937b064dp-14, -0x1.0ab19cae3596ep-14, -0x1.07f26016f29d7p-14, -0x1.052769c6fa301p-14, -0x1.02511f4daa21ap-14, -0x1.fedfcadd8cfadp-15, -0x1.f908403996cf6p-15, -0x1.f31c64e6e78dap-15, -0x1.ed1cfd64e968ap-15, -0x1.e70acc70d88afp-15, -0x1.e0e692fc0d19bp-15, -0x1.dab11022a50e6p-15, -0x1.d46b012298592p-15, -0x1.ce1521532ea69p-15, -0x1.c7b02a1cda631p-15, -0x1.c13cd2f1716b5p-15, -0x1.babbd144cafa1p-15, -0x1.b42dd885b9d1cp-15, -0x1.ad939a1763b6ep-15, -0x1.a6edc54af9d53p-15, -0x1.a03d0759c5738p-15, -0x1.99820b5f94d9bp-15, }}, 
      {{-0x1.c3b1657e6206ap-1, -0x1.c3a950f2058a9p-1, -0x1.c39ba04851bd7p-1, -0x1.c38805ed3378ep-1, -0x1.c36e1f2a52bdp-1, -0x1.c34d78db7438ep-1, -0x1.c325937cc363bp-1, -0x1.c2f5e6a7daa96p-1, -0x1.c2bde411d0c03p-1, -0x1.c27cfa1a4b0d5p-1, -0x1.c23295f99548cp-1, -0x1.c1de259a0619fp-1, -0x1.c17f192771a1ep-1, -0x1.c114e45e101eap-1, -0x1.c09effa11d702p-1, -0x1.c01ce8e066e98p-1, -0x1.bf8e24531bacap-1, -0x1.bef23d0d6ec55p-1, -0x1.be48c575e262p-1, -0x1.bd91579e81be2p-1, -0x1.bccb9585c222cp-1, -0x1.bbf7294253ad7p-1, -0x1.bb13c51cbc623p-1, -0x1.ba21239944b31p-1, -0x1.b91f077466075p-1, -0x1.b80d3b93ae353p-1, -0x1.b6eb92ecc763ap-1, -0x1.b5b9e86420878p-1, -0x1.b4781ea486813p-1, -0x1.b3261ff0d0c73p-1, -0x1.b1c3ddf0a3c94p-1, -0x1.b0515179275dap-1, -0x1.aece7a527adecp-1, -0x1.ad3b5efa8de25p-1, -0x1.ab980c65fba48p-1, -0x1.a9e495bf66486p-1, -0x1.a8211425cbf7fp-1, -0x1.a64da66a37501p-1, -0x1.a46a70cd230cfp-1, -0x1.a2779cbbdfb15p-1, -0x1.a075588e3ce89p-1, -0x1.9e63d744af982p-1, -0x1.9c4350472733fp-1, -0x1.9a13ff24be894p-1, -0x1.97d6235468fc5p-1, -0x1.9589fff6c1624p-1, -0x1.932fdb990f94p-1, -0x1.90c7fff99f1d8p-1, -0x1.8e52b9cd75fcfp-1, -0x1.8bd058877fadbp-1, -0x1.89412e21326e5p-1, -0x1.86a58ee4bf408p-1, -0x1.83fdd138cd837p-1, -0x1.814a4d6dccb7p-1, -0x1.7e8b5d8cdd493p-1, -0x1.7bc15d2852a03p-1, -0x1.78eca92dce9a4p-1, -0x1.760d9fb9f79bfp-1, -0x1.73249fedc4c71p-1, -0x1.703209c55e98cp-1, -0x1.6d363df091ba8p-1, -0x1.6a319daccc1c3p-1, -0x1.67248aa0a33ep-1, -0x1.640f66b8daa54p-1, -0x1.60f29406e7303p-1, -0x1.5dce74a0e59bep-1, -0x1.5aa36a830198bp-1, -0x1.5771d77240e3fp-1, -0x1.543a1ce0b06cbp-1, -0x1.50fc9bd2e68a3p-1, -0x1.4db9b4c6d810dp-1, -0x1.4a71c79bf34c1p-1, -0x1.4725337c7a7d8p-1, -0x1.43d456c81898cp-1, -0x1.407f8effa37c9p-1, -0x1.3d2738b205b7dp-1, -0x1.39cbaf6a48d1bp-1, -0x1.366d4d9eb54ebp-1, -0x1.330c6ca10281fp-1, -0x1.2fa9648f8d273p-1, -0x1.2c448c478b88dp-1, -0x1.28de39583acc3p-1, -0x1.2576bff6f9846p-1, -0x1.220e72f44a43dp-1, -0x1.1ea5a3b1b5294p-1, -0x1.1b3ca21882781p-1, -0x1.17d3bc91456f9p-1, -0x1.146b3ffc2f772p-1, -0x1.110377aa2690bp-1, -0x1.0d9cad56975e4p-1, -0x1.0a372921f90e7p-1, -0x1.06d3318d00c46p-1, -0x1.03710b747acep-1, -0x1.0010fa0dc3b8cp-1, -0x1.f9667dc7b78aap-2, -0x1.f2b033aa1bd35p-2, -0x1.ebff9222463d9p-2, -0x1.e55512303dcdep-2, -0x1.deb12972f72dfp-2, -0x1.d8144a27c8d1p-2, -0x1.d17ee32ac9127p-2, -0x1.caf15ff810254p-2, -0x1.c46c28adcf524p-2, -0x1.bdefa20f391e7p-2, -0x1.b77c2d882a83fp-2, -0x1.b11229318ab0ap-2, -0x1.aab1efd6630adp-2, -0x1.a45bd8f99439ep-2, -0x1.9e1038dc31dd3p-2, -0x1.97cf60846e15p-2, -0x1.91999dc5146b4p-2, -0x1.8b6f3b45883c9p-2, -0x1.8550808a41cb7p-2, -0x1.7f3db1fdbe1dbp-2, -0x1.793710f9df703p-2, -0x1.733cdbd1b0a01p-2, -0x1.6d4f4ddb8c697p-2, -0x1.676e9f7b98a7p-2, -0x1.619b062e9916fp-2, -0x1.5bd4b49508eeep-2, -0x1.561bda7e7de23p-2, -0x1.5070a4f54a0d2p-2, -0x1.4ad33e4a577cap-2, -0x1.4543ce2138ee1p-2, -0x1.3fc2797c6a7efp-2, -0x1.3a4f62c9bd05dp-2, -0x1.34eaa9eee49adp-2, -0x1.2f946c562abf7p-2, -0x1.2a4cc4fb3b5abp-2, -0x1.2513cc7809046p-2, -0x1.1fe99911c5fc1p-2, -0x1.1ace3ec5ed65ep-2, -0x1.15c1cf5754e2bp-2, -0x1.10c45a5b4a083p-2, -0x1.0bd5ed46b2ecap-2, -0x1.06f6937b2eb35p-2, -0x1.0226565435a81p-2, -0x1.faca7a6865835p-3, -0x1.f1669b2329933p-3, -0x1.e8211607ad6f5p-3, -0x1.def9eea0eeaep-3, -0x1.d5f124efc4d08p-3, -0x1.cd06b5848cd22p-3, -0x1.c43a9998a99e3p-3, -0x1.bb8cc727db2e8p-3, -0x1.b2fd310959d98p-3, -0x1.aa8bc708c5a52p-3, -0x1.a23875fed1df5p-3, -0x1.9a0327e9bb0e5p-3, -0x1.91ebc40574bffp-3, -0x1.89f22ee399c6ep-3, -0x1.82164a8311b3p-3, -0x1.7a57f6676d483p-3, -0x1.72b70faff66e8p-3, -0x1.6b33712e755d9p-3, -0x1.63ccf37da0763p-3, -0x1.5c836d173c103p-3, -0x1.5556b269e6b8p-3, -0x1.4e4695ee8d76ap-3, -0x1.4752e83d89e6p-3, -0x1.407b7823668c5p-3, -0x1.39c012b54b424p-3, -0x1.332083650c5bap-3, -0x1.2c9c9414dc92dp-3, -0x1.26340d2aa61d8p-3, -0x1.1fe6b5a305a2cp-3, -0x1.19b45323e009ap-3, -0x1.139caa0ea214p-3, -0x1.0d9f7d921c94p-3, -0x1.07bc8fbc06083p-3, -0x1.01f3a18a10e7ap-3, -0x1.f888e5f563c4bp-4, -0x1.ed5d863af9292p-4, -0x1.e264a04645f95p-4, -0x1.d79daeda285ebp-4, -0x1.cd082b3982a72p-4, -0x1.c2a38d44faecfp-4, -0x1.b86f4b98074edp-4, -0x1.ae6adba538a3ap-4, -0x1.a495b1d1ce38dp-4, -0x1.9aef41908d54ap-4, -0x1.9176fd7be7bddp-4, -0x1.882c576f5f2a8p-4, -0x1.7f0ec0a03f9f9p-4, -0x1.761da9b59fafcp-4, -0x1.6d5882dfb2371p-4, -0x1.64bebbee65871p-4, -0x1.5c4fc46756df6p-4, -0x1.540b0b9b19527p-4, -0x1.4bf000b9d1d7cp-4, -0x1.43fe12e72be49p-4, -0x1.3c34b14da95a4p-4, -0x1.34934b314dcb2p-4, -0x1.2d195001a921dp-4, -0x1.25c62f6b42b86p-4, -0x1.1e9959686973p-4, -0x1.17923e5168b12p-4, -0x1.10b04eec253f2p-4, -0x1.09f2fc7b26afp-4, -0x1.0359b8cc0cbdap-4, -0x1.f9c7ec8ae9a1bp-5, -0x1.ed224fe8a6254p-5, -0x1.e0c183317e52cp-5, -0x1.d4a46f6471e79p-5, -0x1.c8c9ff16d0e43p-5, -0x1.bd311e8ab37d8p-5, -0x1.b1d8bbc47026bp-5, -0x1.a6bfc69f18809p-5, -0x1.9be530dffcd3bp-5, -0x1.9147ee494157cp-5, -0x1.86e6f4ab83e01p-5, -0x1.7cc13bf69d89p-5, -0x1.72d5be4982de1p-5, -0x1.6923780144934p-5, -0x1.5fa967c73c7p-5, -0x1.56668e9e671e3p-5, -0x1.4d59efefef717p-5, -0x1.44829196f44bdp-5, -0x1.3bdf7beb88c5cp-5, -0x1.336fb9ccfa36ap-5, -0x1.2b3258ab5b0e4p-5, -0x1.2326689057c7cp-5, -0x1.1b4afc27629f5p-5, -0x1.139f28c52ea85p-5, -0x1.0c22066e8a18p-5, -0x1.04d2afde949b2p-5, -0x1.fb608518b93bfp-6, -0x1.ed73bd5fc43d5p-6, -0x1.dfdd4e8d127cdp-6, -0x1.d29b842df9218p-6, -0x1.c5acaf690a49bp-6, -0x1.b90f2703bea36p-6, -0x1.acc14767188b2p-6, -0x1.a0c172a34a8b8p-6, -0x1.950e107274f05p-6, -0x1.89a58e3a6c5bfp-6, -0x1.7e865f0dad40ep-6, -0x1.73aefbab6aa8ep-6, -0x1.691de27ececddp-6, -0x1.5ed1979d73259p-6, -0x1.54c8a4c514196p-6, -0x1.4b01995888272p-6, -0x1.417b0a5c05adfp-6, -0x1.38339270b8cf3p-6, -0x1.2f29d1cfb5597p-6, -0x1.265c6e4446da8p-6, -0x1.1dca1325ac379p-6, -0x1.157171503d61cp-6, -0x1.0d513f1e066b1p-6, -0x1.0568385edd9bep-6, -0x1.fb6a3c9ff4545p-7, -0x1.ec6d6f261e2f5p-7, -0x1.ddd7a049ef2aep-7, -0x1.cfa672a7e1674p-7, -0x1.c1d7936ada119p-7, -0x1.b468ba3707709p-7, -0x1.a757a91409648p-7, -0x1.9aa22c5661898p-7, -0x1.8e461a8842e8bp-7, -0x1.82415451c138dp-7, -0x1.7691c4606c588p-7, -0x1.6b355f4e6074p-7, -0x1.602a2388dbba1p-7, -0x1.556e19364e5cfp-7, -0x1.4aff521c081p-7, -0x1.40dbe983733d4p-7, -0x1.3702041ef7911p-7, -0x1.2d6fcfee807b2p-7, -0x1.24238423b3e2ep-7, -0x1.1b1b6105e0cd4p-7, -0x1.1255afd5a9e49p-7, -0x1.09d0c2b076dcap-7, -0x1.018af473b037fp-7, -0x1.f305513f997e8p-8, -0x1.e36c96766edadp-8, -0x1.d448a16a26df8p-8, -0x1.c5966b8fc892bp-8, -0x1.b752feb83ca19p-8, -0x1.a97b74d550871p-8, -0x1.9c0cf7be9cb3ep-8, -0x1.8f04c0f66244cp-8, -0x1.8260196e5fff8p-8, -0x1.761c594cb1719p-8, -0x1.6a36e7b0b710ap-8, -0x1.5ead3a781ac91p-8, -0x1.537cd603ef01fp-8, -0x1.48a34cfdf8214p-8, -0x1.3e1e401e21b19p-8, -0x1.33eb5df02d836p-8, -0x1.2a0862999bf2p-8, -0x1.2073179fd8d6ep-8, -0x1.172953aeb4c3fp-8, -0x1.0e28fa5f2b163p-8, -0x1.056ffbfe7eb9dp-8, -0x1.f9f8aaab68c3p-9, -0x1.e9981ee2d4f1ap-9, -0x1.d9ba7ed43157bp-9, -0x1.ca5c0c596fb88p-9, -0x1.bb792087b4ca5p-9, -0x1.ad0e2b426d4d3p-9, -0x1.9f17b2cf51d29p-9, -0x1.9192536b5db6ap-9, -0x1.847abee0c48d7p-9, -0x1.77cdbc1de9659p-9, -0x1.6b8826cd61708p-9, -0x1.5fa6eeef01826p-9, -0x1.54271872050bp-9, -0x1.4905bad04a079p-9, -0x1.3e4000aaac0f1p-9, -0x1.33d32766841adp-9, -0x1.29bc7ecc4d0abp-9, -0x1.1ff968a76e055p-9, -0x1.1687586739581p-9, -0x1.0d63d2c11522fp-9, -0x1.048c6d53d7646p-9, -0x1.f7fd9c98b3c8cp-10, -0x1.e7715816865d2p-10, -0x1.d76f99980a58bp-10, -0x1.c7f40c9a35df9p-10, -0x1.b8fa7af2fddd6p-10, -0x1.aa7ecc26b6bb9p-10, -0x1.9c7d04bffa3c3p-10, -0x1.8ef145a9fe344p-10, -0x1.81d7cb8d68888p-10, -0x1.752cee2fa3cd6p-10, -0x1.68ed1fd4a947ap-10, -0x1.5d14eca345eefp-10, -0x1.51a0fa0bddd35p-10, -0x1.468e0631a3c29p-10, -0x1.3bd8e756440eap-10, -0x1.317e8b480a559p-10, -0x1.277bf6d274c8cp-10, -0x1.1dce45313853fp-10, -0x1.1472a785aa61ep-10, -0x1.0b66644ea001bp-10, -0x1.02a6d6e2a60dbp-10, -0x1.f462ddd93fe61p-11, -0x1.e4075fd5862a8p-11, -0x1.d436615fd6662p-11, -0x1.c4eb35ce86972p-11, -0x1.b62155347bac7p-11, -0x1.a7d45b71b12c3p-11, -0x1.9a0007484bae9p-11, -0x1.8ca039762e12p-11, -0x1.7fb0f3d302fedp-11, -0x1.732e5872b5197p-11, -0x1.6714a8cc44c68p-11, -0x1.5b6044e4f3d7ap-11, -0x1.500daa7fba4cep-11, -0x1.45197450f8003p-11, -0x1.3a805936550c4p-11, -0x1.303f2b72c946cp-11, -0x1.2652d7eeb903p-11, -0x1.1cb8657c1e1c7p-11, -0x1.136cf41ead11bp-11, -0x1.0a6dbc57ed2e6p-11, -0x1.01b80e7731f9ap-11, -0x1.f292a3dadc10fp-12, -0x1.e23e094996503p-12, -0x1.d26d74b8040d3p-12, -0x1.c31c380ab9b77p-12, -0x1.b445ce52b9ecfp-12, -0x1.a5e5da99e424dp-12, -0x1.97f826b66e981p-12, -0x1.8a78a22550d55p-12, -0x1.7d6360eb83149p-12, -0x1.70b49a7df41d5p-12, -0x1.6468a8b01f3b6p-12, -0x1.587c06a925e1ep-12, -0x1.4ceb4fdf4d042p-12, -0x1.41b33f19ca521p-12, -0x1.36d0ad78c0ec7p-12, -0x1.2c4091835697cp-12, -0x1.21fffe3bc1753p-12, -0x1.180c223939898p-12, -0x1.0e6246c7ae8bap-12, -0x1.04ffcf0d2be99p-12, -0x1.f7c46e6999adep-13, -0x1.e60e273e4f415p-13, -0x1.d4d8203030ccdp-13, -0x1.c41dde239f83ap-13, -0x1.b3db11ca1590ep-13, -0x1.a40b962cb82f5p-13, -0x1.94ab6f40e17d7p-13, -0x1.85b6c8865d9b5p-13, -0x1.7729f3af3e3ep-13, -0x1.6901675108604p-13, -0x1.5b39bd9f0f078p-13, -0x1.4dcfb32dc510ep-13, -0x1.40c025bee84e5p-13, -0x1.340813163fb18p-13, -0x1.27a497d6cecb2p-13, -0x1.1b92ee684dfbep-13, -0x1.0fd06de4b6b25p-13, -0x1.045a890db6adap-13, -0x1.f25d9a93c7126p-14, -0x1.dc95c352fda98p-14, -0x1.c7590be544608p-14, -0x1.b2a323694af7dp-14, -0x1.9e6fe6c5379b5p-14, -0x1.8abb5ee96ce24p-14, -0x1.7781bf20d65b3p-14, -0x1.64bf636e68c6dp-14, -0x1.5270cef78409bp-14, -0x1.4092aa7aeccb1p-14, -0x1.2f21c2d41131cp-14, -0x1.1e1b078a4abd7p-14, -0x1.0d7b896bd7b42p-14, -0x1.fa80f2687f271p-15, -0x1.dace4c7bb8e6ep-15, -0x1.bbd9fa7c88578p-15, -0x1.9d9f0e1a94e5p-15, -0x1.8018ceecade5cp-15, -0x1.6342b8279fe94p-15, -0x1.47187668aa3d3p-15, -0x1.2b95e59314676p-15, -0x1.10b70ec067a2ep-15, -0x1.ecf04c859611cp-16, -0x1.b9ab13721eedep-16, -0x1.87977c67d5258p-16, -0x1.56aedcd7e9ab2p-16, -0x1.26ead20fdbecdp-16, -0x1.f08a7bcb7b6cp-17, -0x1.9570870688a9p-17, -0x1.3c7c889dbff6p-17, -0x1.cb4773c7c5b1ap-18, -0x1.21b789ed68a3cp-18, -0x1.f0d5f9d94fddcp-20, 0x1.2a8dbf0e07c04p-21, 0x1.85e0c143ede2ap-19, 0x1.5cb80b63fc71ep-18, 0x1.f2b99941bb9e9p-18, 0x1.4282a2f1f589ep-17, 0x1.89d5581a261c7p-17, 0x1.cf5c715b2b374p-17, 0x1.098f96e240e1ep-16, 0x1.2a92450518a75p-16, 0x1.4ab9a219603d7p-16, 0x1.6a08ef8ec8577p-16, 0x1.888352f1755bcp-16, 0x1.a62bd7876e4e8p-16, 0x1.c3056fdc144b9p-16, 0x1.df12f73a2b7a9p-16, 0x1.fa5733150ef7p-16, 0x1.0a6a6a30c8b0cp-15, 0x1.17473c6f8c06fp-15, 0x1.23c35628bd37cp-15, 0x1.2fdff4d60c875p-15, 0x1.3b9e4e175e6e4p-15, 0x1.46ff903a56ef7p-15, 0x1.5204e2bb3cc41p-15, 0x1.5caf66bf75f09p-15, 0x1.67003789cc999p-15, 0x1.70f86ae8bc958p-15, 0x1.7a99119efc2c7p-15, 0x1.83e337c6749ffp-15, 0x1.8cd7e52ddf71bp-15, 0x1.95781db138af5p-15, 0x1.9dc4e18d3b973p-15, 0x1.a5bf2dae0fc5fp-15, 0x1.ad67fbf96203bp-15, 0x1.b4c043940808dp-15, 0x1.bbc8f923665adp-15, 0x1.c2830f0abb32cp-15, 0x1.c8ef75a47a06ap-15, 0x1.cf0f1b77e295p-15, 0x1.d4e2ed6af4f4ap-15, 0x1.da6bd6f0ec174p-15, 0x1.dfaac23564371p-15, 0x1.e4a098444d412p-15, 0x1.e94e412ecf0f7p-15, 0x1.edb4a42d3f28fp-15, 0x1.f1d4a7be4a405p-15, 0x1.f5af31c36efddp-15, 0x1.f945279ae8b2dp-15, 0x1.fc976e372b7a7p-15, 0x1.ffa6ea3409306p-15, 0x1.013a3ff4ce65bp-14, 0x1.028089be8d2e6p-14, 0x1.03a6c477cd06bp-14, 0x1.04ad62157aef3p-14, 0x1.0594d4866c94cp-14, 0x1.065d8db8090c9p-14, 0x1.0707ff9a20f44p-14, 0x1.07949c21fe129p-14, 0x1.0803d54cb8566p-14, 0x1.08561d20d8504p-14, 0x1.088be5af50561p-14, 0x1.08a5a113d9773p-14, 0x1.08a3c174b9a94p-14, 0x1.0886b901fe57cp-14, 0x1.084ef9f432e88p-14, 0x1.07fcf68a9c07fp-14, 0x1.079121090035p-14, 0x1.070bebb503221p-14, 0x1.066dc8d31eba8p-14, 0x1.05b72aa33d09fp-14, 0x1.04e8835cfda75p-14, 0x1.0402452ba9e09p-14, 0x1.0304e229e07c1p-14, 0x1.01f0cc5cfdbdap-14, 0x1.00c675b045fdbp-14, 0x1.ff0c9fdfb0d0dp-15, 0x1.fc619986dd83cp-15, 0x1.f98cbb51e1b2p-15, 0x1.f68ee7ddbc5ffp-15, 0x1.f369015d29bf1p-15, 0x1.f01be98cf01bap-15, 0x1.eca881a7f9fc6p-15, 0x1.e90faa5b3ffb7p-15, 0x1.e55243b98d833p-15, 0x1.e1712d2f27475p-15, 0x1.dd6d457559f65p-15, 0x1.d9476a85f96d7p-15, 0x1.d500798ed4c0cp-15, 0x1.d0994ee52761dp-15, 0x1.cc12c5f90a464p-15, 0x1.c76db948efdd3p-15, 0x1.c2ab0255284ep-15, 0x1.bdcb79937bb1ep-15, 0x1.b8cff662d764fp-15, 0x1.b3b94eff17725p-15, 0x1.ae885874eefbcp-15, 0x1.a93de695f2239p-15, 0x1.a3dacbecc8ac4p-15, 0x1.9e5fd9b18725fp-15, 0x1.98cddfbe3a2f8p-15, 0x1.9325ac839b839p-15, 0x1.8d680cfdfff1bp-15, 0x1.8795ccaa77108p-15, 0x1.81afb57c24f1p-15, 0x1.7bb68fd1d462ap-15, 0x1.75ab226bc78bep-15, 0x1.6f8e3261c4adfp-15, 0x1.69608319641eap-15, 0x1.6322d63c9e63cp-15, 0x1.5cd5ebb09fd7cp-15, 0x1.567a818cdccc5p-15, 0x1.501154126e17bp-15, 0x1.499b1da3b2164p-15, 0x1.431896bc3617fp-15, 0x1.3c8a75e8e5558p-15, 0x1.35f16fc084486p-15, 0x1.2f4e36dc712efp-15, 0x1.28a17bd1b0961p-15, 0x1.21ebed2a41f1ap-15, 0x1.1b2e375ec03a4p-15, 0x1.146904d04984dp-15, 0x1.0d9cfdc2b46d2p-15, 0x1.06cac8570c1d7p-15, 0x1.ffe6110cb229bp-16, 0x1.f22cc0396285dp-16, 0x1.e46add6924p-16, 0x1.d6a1a3650b5c6p-16, 0x1.c8d248821ae56p-16, 0x1.bafdfe99aea13p-16, 0x1.ad25f3026fff4p-16, 0x1.9f4b4e89e01fap-16, 0x1.916f356e63ce4p-16, 0x1.8392c759e55f9p-16, 0x1.75b71f5cf9b22p-16, 0x1.67dd53ea8ed1bp-16, 0x1.5a0676d420a0ep-16, 0x1.4c339546738a5p-16, 0x1.3e65b7c6d0e54p-16, 0x1.309de230c50efp-16, 0x1.22dd13b458bbap-16, 0x1.152446d4ce251p-16, 0x1.07747167d3ad5p-16, 0x1.f39d092a6202p-17, 0x1.d866d9add35bap-17, 0x1.bd4823f3ad3bfp-17, 0x1.a242ae3d5ff9ap-17, 0x1.875835770d972p-17, 0x1.6c8a6d3b5c4dep-17, 0x1.51daffd8172e8p-17, 0x1.374b8e53acd62p-17, 0x1.1cddb07373008p-17, 0x1.0292f4c2b26b6p-17, 0x1.d0d9c134f6acep-18, 0x1.9cd9e0546b01fp-18, 0x1.69292d01d6b92p-18, 0x1.35ca7b2e95ab2p-18, 0x1.02c08cb4ac6e7p-18, 0x1.a01c22db03f74p-19, 0x1.3b6b4e93cec2p-19, 0x1.aee769ad8ee0ep-20, 0x1.d0e929f5cc05ap-21, 0x1.1c3e12f3f8e45p-23, -0x1.3fab619301dbep-21, -0x1.619aac97b3dap-20, -0x1.10df2f11954a6p-19, -0x1.701c1b7f7e6a3p-19, -0x1.ce7ff65ae170ep-19, -0x1.16035e104fa0cp-18, -0x1.4456455f8d03fp-18, -0x1.7236d0a72d2e4p-18, -0x1.9fa32fe33b1c4p-18, -0x1.cc99a35a273fp-18, -0x1.f9187b765b9f3p-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      30, 0x1.cp+1, 0x1.bfb7a0756786cp+1, 0x1.c69223a4009b5p+1, -0x1.507c9b5d07048p-5, 
      {{
        {0x1p+1, 0x1.0666666666666p+1, -0x1.2bb4837750841p-7, -0x1.c97124664bb1ap-4, 0x1.9002569411df1p-3, -0x1.81772d1df2889p-5}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, -0x1.d2dfd1046fdc7p-7, -0x1.7ae2b8b16f1c4p-4, 0x1.818dde7c8bf9ep-3, -0x1.cf30ee4180555p-5}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, -0x1.2d9e7599e300cp-6, -0x1.2f8302d96908ep-4, 0x1.702f3bf3b0c38p-3, -0x1.08a2ce8a74d13p-4}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, -0x1.631707c361551p-6, -0x1.cfb82174b384ap-5, 0x1.5c563942e800cp-3, -0x1.2b3d20b5a0817p-4}, 
        {0x1.199999999999ap+1, 0x1.2p+1, -0x1.8aa50fbd6b44cp-6, -0x1.48df84a457d78p-5, 0x1.45e4d6cee25d4p-3, -0x1.4d6a11030d595p-4}, 
        {0x1.2p+1, 0x1.2666666666666p+1, -0x1.a52e5044b9a4ep-6, -0x1.970896448cea8p-6, 0x1.2ce348bb74902p-3, -0x1.6fbc8e05f3567p-4}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, -0x1.b3b2de1405c6ap-6, -0x1.62b5f3e2a6423p-7, 0x1.114ebe149be9dp-3, -0x1.91e63a10ba071p-4}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, -0x1.b74d1fe40977ap-6, 0x1.d3bd4b324067dp-10, 0x1.e6548d0d1bec1p-4, -0x1.b48d9d4683593p-4}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, -0x1.b131ce6b7f012p-6, 0x1.a556a548b2a98p-7, 0x1.a4d8e8a8ee9e9p-4, -0x1.d566f4c85f6b1p-4}, 
        {0x1.399999999999ap+1, 0x1.4p+1, -0x1.a2aff45f2128dp-6, 0x1.6ced13e1e91eap-6, 0x1.5e6fdd8ae04e5p-4, -0x1.fcfac3eef5508p-4}, 
        {0x1.4p+1, 0x1.4666666666666p+1, -0x1.8d30ee71ab30fp-6, 0x1.e9d4dc61a7005p-6, 0x1.12170cf3d51c2p-4, -0x1.f7a5513c7bad2p-4}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, -0x1.7235e270a6678p-6, 0x1.242dd73e201b4p-5, 0x1.8d161b2251eb4p-5, -0x1.c566a98b49f27p-4}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, -0x1.533bdd813f5d4p-6, 0x1.451631034edecp-5, 0x1.0510e8455554fp-5, -0x1.99e252efb193bp-4}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, -0x1.319ff25d1b1bap-6, 0x1.590b86fef74c9p-5, 0x1.14339ec7a6857p-6, -0x1.6c907e026a16dp-4}, 
        {0x1.599999999999ap+1, 0x1.6p+1, -0x1.0e9cb06f24b3bp-6, 0x1.6162fb1ff3cb5p-5, 0x1.cbb432fe6a19cp-9, -0x1.3fba5146417b5p-4}, 
        {0x1.6p+1, 0x1.6666666666666p+1, -0x1.d69447a71a807p-7, 0x1.5f76c09fd93c2p-5, -0x1.0cbf54c7e73f4p-7, -0x1.12c302174f7ccp-4}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, -0x1.913baaaf97c6cp-7, 0x1.549faf1d0fb3bp-5, -0x1.2b3b120b89b6bp-6, -0x1.cba92904c79aep-5}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, -0x1.4ed594f53b912p-7, 0x1.4236fb57f7f57p-5, -0x1.b52104c02bff8p-6, -0x1.71c785f04ed04p-5}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, -0x1.10c30ad80c48bp-7, 0x1.2995c1243cd92p-5, -0x1.120809aa88385p-5, -0x1.17e73f524e397p-5}, 
        {0x1.799999999999ap+1, 0x1.8p+1, -0x1.b040143538c9fp-8, 0x1.0c1522e6683d1p-5, -0x1.3c04532a13f47p-5, -0x1.7c0c9d8a251edp-6}, 
        {0x1.8p+1, 0x1.8666666666666p+1, -0x1.4b8713c414e37p-8, 0x1.d61c83587b919p-6, -0x1.588545613d237p-5, -0x1.909aa5f9183p-7}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, -0x1.e8fdead804274p-9, 0x1.8fb47a9b75f8dp-6, -0x1.678b1200fad86p-5, -0x1.4850219f7d839p-10}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, -0x1.57831a02db674p-9, 0x1.47a477a17857ap-6, -0x1.69150bc2ed6fp-5, 0x1.3e439803231cp-7}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, -0x1.c57a84777503fp-10, 0x1.009e9772d0fdp-6, -0x1.5d25b60f9c1ep-5, 0x1.53459ee45405dp-6}, 
        {0x1.999999999999ap+1, 0x1.ap+1, -0x1.136fac7fb96p-10, 0x1.7aab4d9374259p-7, -0x1.43b3b08b4903dp-5, 0x1.02cb70b890626p-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, -0x1.29a8b95ab5dep-11, 0x1.00f3c5385108bp-7, -0x1.1ce1f93c668edp-5, 0x1.5f5ab04755c83p-5}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, -0x1.0dbc428e44ec1p-12, 0x1.33145cfce9a6bp-8, -0x1.d05bf0c9ccfb9p-6, 0x1.af38bedf9aa33p-5}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, -0x1.6de0f19f452p-14, 0x1.266b1a7d7510fp-9, -0x1.4efe1ded1e96bp-6, 0x1.173a7984b6b62p-4}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, -0x1.25da771f36c2fp-16, 0x1.75c19d92ee982p-11, -0x1.4ee943a161edbp-7, 0x1.9eb3c48d65785p-5}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, -0x1.25da771f36bbep-20, 0x1.27a4cf9a7b4bp-14, -0x1.585c039894299p-9, 0x1.37776e959f27ep-4}, 
      }}, 
      -0x1.44cf94802afe1p+0, 0x1.06795fc7c8388p+3
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_p_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.4efd238c82318p-5, 0x1.a27067f018507p-5, 0x1.1454dfc8e6255p-4, 0x1.6de63d187074cp-4, 0x1.da987c1073bb6p-4, 0x1.2b7adcc5645f3p-3, 0x1.6fc9b839e5321p-3, 0x1.b898858efdc29p-3, 0x1.023288e320cc4p-2, 0x1.28e89c8c2a77fp-2, 0x1.4fd23cca88567p-2, 0x1.76674911a750ep-2, 0x1.9c31fa462d141p-2, 0x1.c0ce996091805p-2, 0x1.e3ea28b7b67e2p-2, 0x1.02a05c9baa917p-1, 0x1.124dfb3b588e4p-1, 0x1.20e8c39d48bdcp-1, 0x1.2e610ddbdecf6p-1, 0x1.3aabefa2d593ap-1, 0x1.45c26febf5bebp-1, 0x1.4fa0f06f6e3a9p-1, 0x1.5847438c179bfp-1, 0x1.5fb784eeab424p-1, 0x1.65f679b496838p-1, 0x1.6b0ae8bd3bcefp-1, 0x1.6efb8d6dbeb86p-1, 0x1.71d275fde09cbp-1, 0x1.739996b8acef3p-1, 0x1.745bfed4d27e7p-1, 0x1.742589dd503e5p-1, 0x1.73027e490973ap-1, 0x1.70ff5c0b725b2p-1, 0x1.6e28ddad94c48p-1, 0x1.6a8bebab8d1f6p-1, 0x1.663574cbfb6dbp-1, 0x1.613250a81972bp-1, 0x1.5b8f38f41f4fep-1, 0x1.5558c009b9a0bp-1, 0x1.4e9b3722aed4cp-1, 0x1.4762942b5cb8fp-1, 0x1.3fba677bb7d4fp-1, 0x1.37addecb1e988p-1, 0x1.2f47c9230722dp-1, 0x1.269294578261fp-1, 0x1.1d984472f596dp-1, 0x1.146269732b601p-1, 0x1.0afa17e736639p-1, 0x1.0167e750afe2fp-1, 0x1.ef67ecef27006p-2, 0x1.dbcbe5cfa06fap-2, 0x1.c80a3e54fcea4p-2, 0x1.b430a8c86632dp-2, 0x1.a04bfeb466b87p-2, 0x1.8c6b38caac6b8p-2, 0x1.78930c511e56cp-2, 0x1.64d11936ce72bp-2, 0x1.512ee859d8651p-2, 0x1.3db51b3911bccp-2, 0x1.2a6b84f3ae558p-2, 0x1.17594aa08fd6ep-2, 0x1.0484fe6bfe186p-2, 0x1.e3e95c75312f3p-3, 0x1.bf5bcb6e63ac6p-3, 0x1.9b6b5215d7806p-3, 0x1.7820de629fee7p-3, 0x1.5584424c1ca8ep-3, 0x1.339c3f6d4f0afp-3, 0x1.126e9cfc951dp-3, 0x1.e400832ed9d73p-4, 0x1.a4aa94f0d665ep-4, 0x1.66e238ce733edp-4, 0x1.2aacdc817244bp-4, 0x1.e01d3ea4636cap-5, 0x1.6e14bda8c6274p-5, 0x1.fe8721ea4380fp-6, 0x1.2755c85022b3ap-6, 0x1.5a4f7db744e4ap-8, -0x1.cf0e35e1af6bfp-8, -0x1.37b85ef5bd2f9p-6, -0x1.f554f9e5c85b6p-6, -0x1.5652fb8f16f94p-5, -0x1.aedcf4ab860ecp-5, -0x1.02284d12b84d1p-4, -0x1.2b5b7baa5fc8ep-4, -0x1.530cf24be3983p-4, -0x1.7941fdc4f10f7p-4, -0x1.9e004582ef9cfp-4, -0x1.c14dc56e7685ep-4, -0x1.e330c7c5d3626p-4, -0x1.01d7ef8e69e4dp-3, -0x1.1168f045d04a8p-3, -0x1.204eeef83e872p-3, -0x1.2e8d900478f72p-3, -0x1.3c28900c2541bp-3, -0x1.4923c06bf43dfp-3, -0x1.55830344bfbfbp-3, -0x1.614a47170793bp-3, -0x1.6c7d820a50c54p-3, -0x1.7720ad0f14aa2p-3, -0x1.8137bf173ccf2p-3, -0x1.8ac6a8a4770d5p-3, -0x1.93d14fe542d4ep-3, -0x1.9c5b8d8bea213p-3, -0x1.a4692a78ae401p-3, -0x1.abfdde3dd905p-3, -0x1.b31d4e72dd00fp-3, -0x1.b9cb0ebd22303p-3, -0x1.c00aa169fe269p-3, -0x1.c5df786d8cae8p-3, -0x1.cb45f0d99ededp-3, -0x1.d04e6603ed913p-3, -0x1.d4f67f3e23aabp-3, -0x1.d9418518ace51p-3, -0x1.dd32af3115b3bp-3, -0x1.e0cd23b9ede18p-3, -0x1.e413f6d2bae03p-3, -0x1.e70a29c194059p-3, -0x1.e9b2aa26a65adp-3, -0x1.ec105143e1f8cp-3, -0x1.ee25e3707749ap-3, -0x1.eff60fc947ae8p-3, -0x1.f1837026af4c7p-3, -0x1.f2d08956d5c75p-3, -0x1.f3dfcb93d5617p-3, -0x1.f4b3932795caep-3, -0x1.f54e292ccd8b3p-3, -0x1.f5b1c45d0bc71p-3, -0x1.f5e089de30e33p-3, -0x1.f5dc8e0568d37p-3, -0x1.f5a7d509b0161p-3, -0x1.f54453a3256d1p-3, -0x1.f4b3ef96d84a4p-3, -0x1.f3f8802fe628cp-3, -0x1.f313cea71aafcp-3, -0x1.f2079679ff3d2p-3, -0x1.f0d585b2039aap-3, -0x1.ef7f3d1c26c88p-3, -0x1.ee065071cfc93p-3, -0x1.ec6c46742833p-3, -0x1.eab298fc3c31ep-3, -0x1.e8dab5033b59bp-3, -0x1.e6e5faa717b92p-3, -0x1.e4d5bd306fa8fp-3, -0x1.e2ab431ecf5c4p-3, -0x1.e067c63ffadf2p-3, -0x1.de0c73d63955p-3, -0x1.db9a6cd05a1f3p-3, -0x1.d912c614f7d38p-3, -0x1.d67688e0da38cp-3, -0x1.d3c6b3373fe8bp-3, -0x1.d1043861777bfp-3, -0x1.ce30017a7a107p-3, -0x1.cb4aee028bb37p-3, -0x1.c855d476cbd3ap-3, -0x1.c55182e899b84p-3, -0x1.c23ebf9145a1bp-3, -0x1.bf1e495ee7174p-3, -0x1.bbf0d878159b5p-3, -0x1.b8b71eb4f006fp-3, -0x1.b571c80c8b36ep-3, -0x1.b2217af68dfcbp-3, -0x1.aec6d8c1264e6p-3, -0x1.ab627ddbea998p-3, -0x1.a7f5021850fe2p-3, -0x1.a47ef8e0a9efdp-3, -0x1.a100f166777fbp-3, -0x1.9d7b76c9187c5p-3, -0x1.99ef1035b7886p-3, -0x1.965c41017fe21p-3, -0x1.92c388bf0f07dp-3, -0x1.8f2563502dbe4p-3, -0x1.8b8248f4c41fep-3, -0x1.87daae57f8d6ep-3, -0x1.842f049c584b5p-3, -0x1.807fb967b652fp-3, -0x1.7ccd36ef699a8p-3, -0x1.7917e40546cf2p-3, -0x1.75602425b9a84p-3, -0x1.71a6578712afp-3, -0x1.6deadb2a3943dp-3, -0x1.6a2e08eca3f9cp-3, -0x1.6670379b95852p-3, -0x1.62b1bb088bc4fp-3, -0x1.5ef2e41eade26p-3, -0x1.5b3400f92a92ap-3, -0x1.57755cfa4e2efp-3, -0x1.53b740e33f0cp-3, -0x1.4ff9f2ec20bb8p-3, -0x1.4c3db6dc83d3fp-3, -0x1.4882ce23ee59dp-3, -0x1.44c977f250ce9p-3, -0x1.4111f1503a28bp-3, -0x1.3d5c7536a946fp-3, -0x1.39a93ca6400fep-3, -0x1.35f87ebdc4e2cp-3, -0x1.324a70cfd00bdp-3, -0x1.2e9f467778605p-3, -0x1.2af731abff021p-3, -0x1.275262d35d431p-3, -0x1.23b108d39cea4p-3, -0x1.201351230c706p-3, -0x1.1c7967d725dd4p-3, -0x1.18e377b249b33p-3, -0x1.1551aa302f1e9p-3, -0x1.11c427911f671p-3, -0x1.0e3b16e3fca2ep-3, -0x1.0ab69e0f1b967p-3, -0x1.0736e1d7fed34p-3, -0x1.03bc05e9fb00dp-3, -0x1.00462cdbe318fp-3, -0x1.f9aaf0697cb27p-4, -0x1.f2d410df5d3d2p-4, -0x1.ec07f9fe21ad9p-4, -0x1.e546e89e03837p-4, -0x1.de91178e8fc4ap-4, -0x1.d7e6bf99bea36p-4, -0x1.d148178630ffap-4, -0x1.cab5541915f25p-4, -0x1.c42ea817add4ap-4, -0x1.bdb44448abda4p-4, -0x1.b7465775a5becp-4, -0x1.b0e056944ebd9p-4, -0x1.aa8c44e872acbp-4, -0x1.a44532d3e9f51p-4, -0x1.9e0b458abcab7p-4, -0x1.97dea04bfce9ap-4, -0x1.91bf646c48799p-4, -0x1.8badb1609436fp-4, -0x1.85a9a4c909e98p-4, -0x1.7fb35a7be5c4dp-4, -0x1.79caec9031c7ep-4, -0x1.73f07368470ep-4, -0x1.6e2405bbfd25ap-4, -0x1.6865b8a2765b4p-4, -0x1.62b59f9b7b9bp-4, -0x1.5d13cc985d866p-4, -0x1.57805004581c2p-4, -0x1.51fb38cc76a7p-4, -0x1.4c849466fc5b7p-4, -0x1.471c6eda59e6ap-4, -0x1.41c2d2c3b4ddbp-4, -0x1.3c77c95d140c1p-4, -0x1.373b5a83385ecp-4, -0x1.320d8cbb35126p-4, -0x1.2cee6537d3a19p-4, -0x1.27dde7ded6735p-4, -0x1.22dc174e266d9p-4, -0x1.1de8f4e0fb6d1p-4, -0x1.190480b50b6d3p-4, -0x1.142eb9afcd363p-4, -0x1.0f679d83d75eep-4, -0x1.0aaf28b663e54p-4, -0x1.060556a4fdd2ep-4, -0x1.016a218b5ee85p-4, -0x1.f9bb0512f8281p-5, -0x1.f0bee35389daap-5, -0x1.e7dfcbcf24511p-5, -0x1.df1daa6b83365p-5, -0x1.d678690af7e32p-5, -0x1.cdefef9a3d9e7p-5, -0x1.c584241e8c247p-5, -0x1.bd34eac3dabbdp-5, -0x1.b50225eb494a5p-5, -0x1.acebb6399f946p-5, -0x1.a4f17aa5d5482p-5, -0x1.9d13508796de3p-5, -0x1.955113a5baa49p-5, -0x1.8daa9e449ab2ap-5, -0x1.861fc93445586p-5, -0x1.7eb06bde82a0fp-5, -0x1.775c5c549d508p-5, -0x1.70236f5cece78p-5, -0x1.690578801f9dp-5, -0x1.62024a16336bep-5, -0x1.5b19b55329d07p-5, -0x1.544b8a5368228p-5, -0x1.4d979827cb3c4p-5, -0x1.46fdace16a341p-5, -0x1.407d959d0c62dp-5, -0x1.3a171e8e51a89p-5, -0x1.33ca130a90cdap-5, -0x1.2d963d936fdfdp-5, -0x1.277b67e1368adp-5, -0x1.21795aece2de6p-5, -0x1.1b8fdef9ff73bp-5, -0x1.15bebba041a0fp-5, -0x1.1005b7d4f39adp-5, -0x1.0a6499f42cf9p-5, -0x1.04db27c9de8c8p-5, -0x1.fed24d35603b9p-6, -0x1.f41cb6597db61p-6, -0x1.e99513a059f49p-6, -0x1.df3aeccf300ddp-6, -0x1.d50dc8e0d3124p-6, -0x1.cb0d2e1614f32p-6, -0x1.c138a205f0e54p-6, -0x1.b78fa9ad7cc42p-6, -0x1.ae11c97fa446p-6, -0x1.a4be8574a2be9p-6, -0x1.9b9561194f241p-6, -0x1.9295df9e2a28p-6, -0x1.89bf83e62a2a4p-6, -0x1.8111d0955ad7p-6, -0x1.788c481f2df49p-6, -0x1.702e6cd499872p-6, -0x1.67f7c0f1eb5cbp-6, -0x1.5fe7c6ac5c905p-6, -0x1.57fe003f59c21p-6, -0x1.5039eff98cad9p-6, -0x1.489b18498f339p-6, -0x1.4120fbca58b8ap-6, -0x1.39cb1d4f57c71p-6, -0x1.3298fff046babp-6, -0x1.2b8a2714a004bp-6, -0x1.249e167ec940ep-6, -0x1.1dd45256ea8d2p-6, -0x1.172c5f356a66fp-6, -0x1.10a5c22d1c20cp-6, -0x1.0a4000d51660dp-6, -0x1.03faa152325f5p-6, -0x1.fbaa54c06ecc5p-7, -0x1.ef9e46b562585p-7, -0x1.e3d0288ae4e58p-7, -0x1.d83f0ba97b22bp-7, -0x1.ccea02ea463b3p-7, -0x1.c1d022a60b99dp-7, -0x1.b6f080c3a1dcdp-7, -0x1.ac4a34c5b4e71p-7, -0x1.a1dc57d7f1f18p-7, -0x1.97a604db94952p-7, -0x1.8da65873579c2p-7, -0x1.83dc710ec2923p-7, -0x1.7a476ef5011c2p-7, -0x1.70e6744f01f24p-7, -0x1.67b8a5311e39ep-7, -0x1.5ebd27a42a485p-7, -0x1.55f323adfde1bp-7, -0x1.4d59c35971238p-7, -0x1.44f032bdd2e36p-7, -0x1.3cb5a005e7b59p-7, -0x1.34a93b765d56fp-7, -0x1.2cca3773c339bp-7, -0x1.2517c8880a094p-7, -0x1.1d9125678df29p-7, -0x1.163586f5ac63ep-7, -0x1.0f042848e370fp-7, -0x1.07fc46ae8a56p-7, -0x1.011d21ae103d6p-7, -0x1.f4cbf617cc09p-8, -0x1.e7ac2d97dccefp-8, -0x1.dad9766735b72p-8, -0x1.ce52619732bedp-8, -0x1.c21584c273ap-8, -0x1.b6217a0ebd23ep-8, -0x1.aa74e02e562a4p-8, -0x1.9f0e5a60b0d45p-8, -0x1.93ec90726acc8p-8, -0x1.890e2ebcb0c68p-8, -0x1.7e71e6241f64bp-8, -0x1.74166c16f5094p-8, -0x1.69fa7a8ad1a8ap-8, -0x1.601ccff9ee5f9p-8, -0x1.567c2f5fc9249p-8, -0x1.4d1760356ecdfp-8, -0x1.43ed2e6d3198bp-8, -0x1.3afc6a6e16397p-8, -0x1.3243e90ebfba2p-8, -0x1.29c2839007befp-8, -0x1.217717971e9a7p-8, -0x1.19608727851a5p-8, -0x1.117db89c80582p-8, -0x1.09cd96a25a501p-8, -0x1.024f102f51f6dp-8, -0x1.f60230f891c45p-9, -0x1.e7c54dfa51c59p-9, -0x1.d9e56eb22cc6bp-9, -0x1.cc6092c4c1d4dp-9, -0x1.bf34c21c8b75ap-9, -0x1.b2600cd90f565p-9, -0x1.a5e08b3d8d10fp-9, -0x1.99b45d9f77762p-9, -0x1.8dd9ac549e76cp-9, -0x1.824ea7a0f0585p-9, -0x1.771187a4423acp-9, -0x1.6c208c47848fbp-9, -0x1.6179fd29fd337p-9, -0x1.571c298e3f17dp-9, -0x1.4d056846e2e25p-9, -0x1.433417a333b7dp-9, -0x1.39a69d5bb2fp-9, -0x1.305b667e5c2b9p-9, -0x1.2750e75afc8e8p-9, -0x1.1e859b6f442cp-9, -0x1.15f80552c71efp-9, -0x1.0da6aea319182p-9, -0x1.059027ef9fbd4p-9, -0x1.fb66114ad671dp-10, -0x1.ec1bddf615b52p-10, -0x1.dd3effb8a0843p-10, -0x1.cecccdac3b9c9p-10, -0x1.c0c2ac03c2534p-10, -0x1.b31e0be31d84p-10, -0x1.a5dc6b364aafp-10, -0x1.98fb5488d5eep-10, -0x1.8c785edd29212p-10, -0x1.80512d83dc3b8p-10, -0x1.74836ff35c42p-10, -0x1.690ce19f058cbp-10, -0x1.5deb49cecbe5ap-10, -0x1.531c7b769a994p-10, -0x1.489e550e1afaep-10, -0x1.3e6ec067fbafdp-10, -0x1.348bb289ef801p-10, -0x1.2af32b8450f3fp-10, -0x1.21a33649fd1d2p-10, -0x1.1899e8881e9cep-10, -0x1.0fd5627e7482ep-10, -0x1.0753ced7403acp-10, -0x1.fe26c4ff45a53p-11, -0x1.ee24b8ffbb19p-11, -0x1.de9e0ba7c412dp-11, -0x1.cf8f628785db7p-11, -0x1.c0f57679b0357p-11, -0x1.b2cd135482e72p-11, -0x1.a513179c47b79p-11, -0x1.97c47435e5dd2p-11, -0x1.8ade2c199900bp-11, -0x1.7e5d540631292p-11, -0x1.723f1234c8df3p-11, -0x1.66809e0ca97b1p-11, -0x1.5b1f3fd7eacbp-11, -0x1.50185078506d5p-11, -0x1.4569391cf0ed4p-11, -0x1.3b0f72f7c6ce6p-11, -0x1.310886f4c02cap-11, -0x1.27520d7034c9fp-11, -0x1.1de9adee93153p-11, -0x1.14cd1ed4f2a5ep-11, -0x1.0bfa252172eep-11, -0x1.036e9424e8897p-11, -0x1.f6509a79a36bbp-12, -0x1.e64a7f1c3950cp-12, -0x1.d6c6cf811eafbp-12, -0x1.c7c19f759ec29p-12, -0x1.b9371cbead9fep-12, -0x1.ac6805b72f1f3p-12, -0x1.9eb9da9798c44p-12, -0x1.917bc9f81074fp-12, -0x1.84aa6813db735p-12, -0x1.7842600efd787p-12, -0x1.6c40737f6f8p-12, -0x1.60a179f92ecf2p-12, -0x1.5562609ad5ca6p-12, -0x1.4a80299c1cfdp-12, -0x1.3ff7ebdd65d5cp-12, -0x1.35c6d279c31a7p-12, -0x1.2bea1c5957d29p-12, -0x1.225f1bc584441p-12, -0x1.192335fe92324p-12, -0x1.1033e2d29db6p-12, -0x1.078eac35a1791p-12, -0x1.fe625bb7b1228p-13, -0x1.ee3229a89649cp-13, -0x1.de883e4a0eb3cp-13, -0x1.cf6036d39c24p-13, -0x1.c0b5d0e47db3ap-13, -0x1.b284e9c5c040dp-13, -0x1.a4c97dae0e87p-13, -0x1.977fa707edcf7p-13, -0x1.8aa39dbb52512p-13, -0x1.7e31b6798c581p-13, -0x1.7226620c58de1p-13, -0x1.667e2ca84d6cep-13, -0x1.5b35bd3f05d9ep-13, -0x1.5049d4d978133p-13, -0x1.45b74df11b155p-13, -0x1.3b7b1bcc2850cp-13, -0x1.319249de8bea9p-13, -0x1.27f9fb2c43955p-13, -0x1.1eaf69af68dd1p-13, -0x1.15afe5c0c6ac3p-13, -0x1.0cf8d58200887p-13, -0x1.0487b44e07e74p-13, -0x1.f8b424514ea4p-14, -0x1.e8db2665e6affp-14, -0x1.d97fde43d049dp-14, -0x1.ca9de170c1287p-14, -0x1.bc30ea85ca7c2p-14, -0x1.ae34d82edfdbp-14, -0x1.a0a5ac2c3964fp-14, -0x1.937f8a5e26b3ep-14, -0x1.86beb7d29cc53p-14, -0x1.7a5f99d6799b4p-14, -0x1.6e5eb511b49b3p-14, -0x1.62b8aca4542ccp-14, -0x1.576a4148c517ap-14, -0x1.4c70507cc1b9p-14, -0x1.41c7d3ad1d407p-14, -0x1.376ddf69d0326p-14, -0x1.2d5fa29982abcp-14, -0x1.239a65b77f844p-14, -0x1.1a1b8a0fd596cp-14, -0x1.10e0890815093p-14, -0x1.07e6f36556ab1p-14, -0x1.fe58e13275242p-15, -0x1.ed5d7c279a796p-15, -0x1.dcd75d3170489p-15, -0x1.ccc2532f76143p-15, -0x1.bd1a5517b5291p-15, -0x1.addb80b76bffep-15, -0x1.9f02197cf4bf2p-15, -0x1.908a874cbed8ep-15, -0x1.827155559e3d6p-15, -0x1.74b330f5176d3p-15, -0x1.674ce8a041005p-15, -0x1.5a3b6ace080f7p-15, -0x1.4d7bc4f16c154p-15, -0x1.410b226e34ad8p-15, -0x1.34e6cba58a802p-15, -0x1.290c24f817a06p-15, -0x1.1d78addb1b9p-15, -0x1.1229ffe3f7bfap-15, -0x1.071dcdeee88p-15, -0x1.f8a3c67812154p-16, -0x1.e388452a79d99p-16, -0x1.cee50afcf74bfp-16, -0x1.bab636cae247fp-16, -0x1.a6f811b9909f4p-16, -0x1.93a70daf2cc63p-16, -0x1.80bfc3da674edp-16, -0x1.6e3ef34152facp-16, -0x1.5c217f5aea573p-16, -0x1.4a646eb96a644p-16, -0x1.3904e9b056d45p-16, -0x1.280039130ec22p-16, -0x1.1753c4ebad307p-16, -0x1.06fd1351434edp-16, -0x1.edf38e67e9ff7p-17, -0x1.ce8f3e739b2c1p-17, -0x1.afc8e94237931p-17, -0x1.919c746817d4ep-17, -0x1.7405f66db0d42p-17, -0x1.5701b4d0efb4ep-17, -0x1.3a8c220da5591p-17, -0x1.1ea1dbbf40da3p-17, -0x1.033fa8ad8e1dfp-17, -0x1.d0c4ee58d635ep-18, -0x1.9c0eb69ac62dbp-18, -0x1.68571a6216936p-18, -0x1.3598cee28843cp-18, -0x1.03cecb19f32eap-18, -0x1.a5e88986561d3p-19, -0x1.46095b020bb54p-19, -0x1.cfeebfcd0d6a6p-20, -0x1.1754b427b1545p-20, -0x1.88d3963b16ec9p-22, 0x1.3dfe548772538p-22, 0x1.fbadd4b14742bp-21, 0x1.a8de974fbf03ep-20, 0x1.2851b89704003p-19, 0x1.7a98d6e9a1031p-19, 0x1.cb4a761ded581p-19, 0x1.0d360f322682p-18, 0x1.34018a5f91396p-18, 0x1.5a0a2f2484b41p-18, 0x1.7f5262281bb3ep-18, 0x1.a3dc6bbda364p-18, 0x1.c7aa79b8e2656p-18, 0x1.eabea0fba6f4p-18, 0x1.068d6f801520dp-17, 0x1.17608da74c512p-17, 0x1.27d994785ea37p-17, 0x1.37f963f15fff5p-17, 0x1.47c0d31cb7009p-17, 0x1.5730b0be03105p-17, 0x1.6649c3ea046fep-17, 0x1.750ccc99ca8f9p-17, 0x1.837a842b27af4p-17, 0x1.91939dfc6643ep-17, 0x1.9f58c7d877953p-17, 0x1.accaaa7774e9ep-17, 0x1.b9e9e9f0c2e2dp-17, 0x1.c6b7262ce873ep-17, 0x1.d332fb43d74d7p-17, 0x1.df5e01ef06918p-17, 0x1.eb38cfdd66b9ap-17, 0x1.f6c3f8103bf2ap-17, 0x1.010005979488fp-16, 0x1.0676cbeb8fb4dp-16, 0x1.0bc6957242197p-16, 0x1.10efa7e724a2bp-16, 0x1.15f248626b3a7p-16, 0x1.1acebb85a7ad8p-16, 0x1.1f8545975d26dp-16, 0x1.24162a9df18a1p-16, 0x1.2881ae7740fecp-16, 0x1.2cc814f785248p-16, 0x1.30e9a1f640844p-16, 0x1.34e6996ff14ccp-16, }}, 
      {{0x1.3c1c479d979f6p-5, 0x1.58413056a6539p-5, 0x1.8620d8ed73df8p-5, 0x1.c46ef61586f62p-5, 0x1.08d240a6107edp-4, 0x1.360d1dfa3d353p-4, 0x1.690ec358fac06p-4, 0x1.a0ff6c4d98776p-4, 0x1.dd0ddec98409cp-4, 0x1.0e3976d8391a6p-3, 0x1.2f39c2fd42305p-3, 0x1.513136ccd8e62p-3, 0x1.73d02669ba90fp-3, 0x1.96ce570227c47p-3, 0x1.b9ea8df716179p-3, 0x1.dcea807b851f7p-3, 0x1.ff9a65ea14524p-3, 0x1.10e652f25c82ap-2, 0x1.21acb5a7a3dbbp-2, 0x1.320f137d35a2bp-2, 0x1.41fe95c528eb9p-2, 0x1.516e9e2dbba7cp-2, 0x1.6054adbdce0fep-2, 0x1.6ea7f5f3674b8p-2, 0x1.7c617d11a83f3p-2, 0x1.897bc7d033b55p-2, 0x1.95f2621f01401p-2, 0x1.a1c29480fe587p-2, 0x1.acea61e1c6485p-2, 0x1.b768e20f1d29p-2, 0x1.c13e076521fe4p-2, 0x1.ca6a83a07a45dp-2, 0x1.d2efb4220d5fp-2, 0x1.dacf8e6b3bd77p-2, 0x1.e20c8e8285614p-2, 0x1.e8a9a151cede9p-2, 0x1.eeaa13391e8abp-2, 0x1.f411875f09a7dp-2, 0x1.f8e3e9e1a1f11p-2, 0x1.fd255dd02becdp-2, 0x1.006d19df403fep-1, 0x1.020372bfca5efp-1, 0x1.03580678689f8p-1, 0x1.046d2c26d524cp-1, 0x1.054541634cafp-1, 0x1.05e2a80869e43p-1, 0x1.0647c35393a6bp-1, 0x1.0676f4a3110c4p-1, 0x1.0672993a6d57ep-1, 0x1.063d08ffef454p-1, 0x1.05d89516f6ae2p-1, 0x1.054785f362793p-1, 0x1.048c197caa592p-1, 0x1.03a881c920112p-1, 0x1.029ed7e14da12p-1, 0x1.017146a0f433bp-1, 0x1.0021d2c9ab46ep-1, 0x1.fd64ee644c8eep-2, 0x1.fa4a3f227c26p-2, 0x1.f6f75161a00c7p-2, 0x1.f36fc11f2c474p-2, 0x1.efb70c98df628p-2, 0x1.ebd09399a9afep-2, 0x1.e7bf967e73c32p-2, 0x1.e387357db0895p-2, 0x1.df2a70ad2fc89p-2, 0x1.daac28de020a7p-2, 0x1.d60f20f7020bcp-2, 0x1.d155ff46bc97fp-2, 0x1.cc834e69ac138p-2, 0x1.c7997db439c06p-2, 0x1.c29ae1579cd41p-2, 0x1.bd89b2906aeedp-2, 0x1.b868101581045p-2, 0x1.b337fecfcb75fp-2, 0x1.adfb6abd2c647p-2, 0x1.a8b427d3a8608p-2, 0x1.a363f2c5456c6p-2, 0x1.9e0c719cba0c6p-2, 0x1.98af34415509fp-2, 0x1.934db4fbfdcebp-2, 0x1.8de9591566ec9p-2, 0x1.888371998f727p-2, 0x1.831d3c3cd2134p-2, 0x1.7db7e451e1424p-2, 0x1.785483bac53c5p-2, 0x1.72f423c253628p-2, 0x1.6d97bdd4c5ea8p-2, 0x1.68403c18d50fbp-2, 0x1.62ee79f29e6e2p-2, 0x1.5da3447d0e014p-2, 0x1.585f5b055442cp-2, 0x1.53236f8ff7ad3p-2, 0x1.4df0276a23691p-2, 0x1.48c61bc5503ddp-2, 0x1.43a5da581d47ap-2, 0x1.3e8fe5fd9803ap-2, 0x1.3984b74c40058p-2, 0x1.3484bd1fa2e1p-2, 0x1.2f905d12331c3p-2, 0x1.2aa7f3e7fd54dp-2, 0x1.25cbd5edad683p-2, 0x1.20fc4f50e0cecp-2, 0x1.1c39a4773544dp-2, 0x1.17841258714d4p-2, 0x1.12dbcede7acccp-2, 0x1.0e41094b9e5eap-2, 0x1.09b3eaa5ad96fp-2, 0x1.0534962301efcp-2, 0x1.00c3299586cfep-2, 0x1.f8bf54379ec98p-3, 0x1.f014a944184c6p-3, 0x1.e7864cccfc6a7p-3, 0x1.df1455cd9e65ep-3, 0x1.d6bed3125eea9p-3, 0x1.ce85cbbe780a4p-3, 0x1.c6693fcd6ec25p-3, 0x1.be69288fbcf79p-3, 0x1.b68579225b11fp-3, 0x1.aebe1ee114fc8p-3, 0x1.a71301d375c28p-3, 0x1.9f8405142235ap-3, 0x1.981107327daa5p-3, 0x1.90b9e28e534e8p-3, 0x1.897e6dad5c843p-3, 0x1.825e7b8aa27eep-3, 0x1.7b59dbdfbf887p-3, 0x1.74705b6865166p-3, 0x1.6da1c4209907fp-3, 0x1.66eddd7e6d536p-3, 0x1.60546ca7ebbb5p-3, 0x1.59d534a61173bp-3, 0x1.536ff6957d6f3p-3, 0x1.4d2471d543b08p-3, 0x1.46f2643424f2bp-3, 0x1.40d98a1c174f6p-3, 0x1.3ad99ebc03bd9p-3, 0x1.34f25c2f6f65cp-3, 0x1.2f237ba3d9628p-3, 0x1.296cb57bc09bdp-3, 0x1.23cdc16f391d1p-3, 0x1.1e4656aa3cdfdp-3, 0x1.18d62be8d0ad4p-3, 0x1.137cf79139c6bp-3, 0x1.0e3a6fcc6dae2p-3, 0x1.090e4a9ce5647p-3, 0x1.03f83df3fd764p-3, 0x1.fdefff8bec61p-4, 0x1.f41a8c396ad41p-4, 0x1.ea6f8e529c8fbp-4, 0x1.e0ee72a8d643cp-4, 0x1.d796a69b1365fp-4, 0x1.ce67983239dc7p-4, 0x1.c560b63b05c3cp-4, 0x1.bc81705d8d7a3p-4, 0x1.b3c9373264fb7p-4, 0x1.ab377c554d312p-4, 0x1.a2cbb275942acp-4, 0x1.9a854d643edd7p-4, 0x1.9263c22038964p-4, 0x1.8a6686e0d6efp-4, 0x1.828d131ef4983p-4, 0x1.7ad6df9ce3885p-4, 0x1.7343666d7b866p-4, 0x1.6bd222fa60278p-4, 0x1.648292099c54bp-4, 0x1.5d5431c29cabbp-4, 0x1.564681b27b2eep-4, 0x1.4f5902cfaa577p-4, 0x1.488b377ceb4e8p-4, 0x1.41dca38ba13efp-4, 0x1.3b4ccc3d83af5p-4, 0x1.34db3845bfe6p-4, 0x1.2e876fc9a2ad1p-4, 0x1.2850fc60d3f55p-4, 0x1.223769153a295p-4, 0x1.1c3a426290734p-4, 0x1.16591635aa52dp-4, 0x1.109373eb791a4p-4, 0x1.0ae8ec4fbf9d4p-4, 0x1.0559119b7ea08p-4, 0x1.ffc6eee63034p-5, 0x1.f50f65c85c5f2p-5, 0x1.ea8ab4c682f05p-5, 0x1.e0380b9248465p-5, 0x1.d6169ca07db7p-5, 0x1.cc259d238c5e9p-5, 0x1.c2644505bafdbp-5, 0x1.b8d1cee36b0bcp-5, 0x1.af6d78055cd27p-5, 0x1.a636805af2214p-5, 0x1.9d2c2a746cc7bp-5, 0x1.944dbb7d26babp-5, 0x1.8b9a7b35a764cp-5, 0x1.8311b3ed9cdp-5, 0x1.7ab2b27d92512p-5, 0x1.727cc6407d537p-5, 0x1.6a6f410cf71bfp-5, 0x1.6289772e454a7p-5, 0x1.5acabf5d20e96p-5, 0x1.533272b84a78fp-5, 0x1.4bbfecbcfe4fap-5, 0x1.44728b3f40852p-5, 0x1.3d49ae622b532p-5, 0x1.3644b8902da0dp-5, 0x1.2f630e734fe47p-5, 0x1.28a416ed95299p-5, 0x1.22073b115ff71p-5, 0x1.1b8be61a01c74p-5, 0x1.153185645dda2p-5, 0x1.0ef78867ae28cp-5, 0x1.08dd60ae70747p-5, 0x1.02e281cf70e4ap-5, 0x1.fa0cc2cdfb9d3p-6, 0x1.ee90ee207bf0bp-6, 0x1.e35078bd5f583p-6, 0x1.d84a59afa083dp-6, 0x1.cd7d8bd9cf18fp-6, 0x1.c2e90de9efbb8p-6, 0x1.b88be24db13cp-6, 0x1.ae650f26d5d87p-6, 0x1.a4739e3feb4dcp-6, 0x1.9ab67e0f5fa96p-6, 0x1.912d00d858744p-6, 0x1.87d6187143797p-6, 0x1.7eb0dcdb9ea2cp-6, 0x1.75bc698cc7f4ap-6, 0x1.6cf7dd6366f37p-6, 0x1.64625a9cda422p-6, 0x1.5bfb06cad3b17p-6, 0x1.53c10ac8fd75ep-6, 0x1.4bb392b2c28c6p-6, 0x1.43d1cdd92fc02p-6, 0x1.3c1aeeb8e3779p-6, 0x1.348e2af022188p-6, 0x1.2d2abb3505de8p-6, 0x1.25efdb4bb2e93p-6, 0x1.1edcc9fcc0125p-6, 0x1.17f0c90bae8a3p-6, 0x1.112b1d2d7745p-6, 0x1.0a8b0dff3db35p-6, 0x1.040fe5fd1a67fp-6, 0x1.fb71e4f1f5b37p-7, 0x1.ef0b07235c5dcp-7, 0x1.e2e9d853f2232p-7, 0x1.d70d03bfae83cp-7, 0x1.cb733a0790d43p-7, 0x1.c01b3120929p-7, 0x1.b503a442b199cp-7, 0x1.aa2b53d83b377p-7, 0x1.9f91056d54fc3p-7, 0x1.9533839f97fd9p-7, 0x1.8b119e0dfad9p-7, 0x1.812a2948ea2a9p-7, 0x1.777bfec26f16cp-7, 0x1.6e05fcbe9f037p-7, 0x1.64c7064421d5p-7, 0x1.5bbe030cfa517p-7, 0x1.52e9df7752bbep-7, 0x1.4a498c768a2ddp-7, 0x1.41dbff844628ep-7, 0x1.39a03291d4a93p-7, 0x1.319523f97fdccp-7, 0x1.29b9d67023044p-7, 0x1.220d50f6bf53cp-7, 0x1.1a8e9ecc580a1p-7, 0x1.133ccf5fc6ca3p-7, 0x1.0c16f641c137bp-7, 0x1.051c2b16f7571p-7, 0x1.fc9713147941ep-8, 0x1.ef48627df8794p-8, 0x1.e24a8b872f644p-8, 0x1.d59bdd07e2c1ep-8, 0x1.c93aad784e7a7p-8, 0x1.bd255ad6a65b3p-8, 0x1.b15a4a8cb6a0ep-8, 0x1.a5d7e95624634p-8, 0x1.9a9cab2674046p-8, 0x1.8fa70b0f7f16ap-8, 0x1.84f58b28231eep-8, 0x1.7a86b4732198p-8, 0x1.705916c6263f2p-8, 0x1.666b48b12921ap-8, 0x1.5cbbe765f3db5p-8, 0x1.5349969fe1fp-8, 0x1.4a13008bdfa21p-8, 0x1.4116d5b080261p-8, 0x1.3853ccd6a002ap-8, 0x1.2fc8a2f1df306p-8, 0x1.27741b098c60dp-8, 0x1.1f54fe21befefp-8, 0x1.176a1b24a229ep-8, 0x1.0fb246cbec285p-8, 0x1.082c5b8ab307ap-8, 0x1.00d73977584eep-8, 0x1.f3638c6b77423p-9, 0x1.e575d9c30d68dp-9, 0x1.d7e33bf1ceafp-9, 0x1.caa99e8e98002p-9, 0x1.bdc6f7a0ebd49p-9, 0x1.b13947772ea66p-9, 0x1.a4fe987de89adp-9, 0x1.9914ff16d2d18p-9, 0x1.8d7a9970a9bbfp-9, 0x1.822d8f5f333f6p-9, 0x1.772c1233f7db9p-9, 0x1.6c745c971f486p-9, 0x1.6204b260a966ep-9, 0x1.57db6072810eap-9, 0x1.4df6bc9278e63p-9, 0x1.44552544e6fd2p-9, 0x1.3af501a7c02edp-9, 0x1.31d4c14db5c6dp-9, 0x1.28f2dc1a5e8b6p-9, 0x1.204dd21e319edp-9, 0x1.17e42b7332249p-9, 0x1.0fb47819e6567p-9, 0x1.07bd4fd6d1c3fp-9, 0x1.fffaa4205f7e7p-10, 0x1.f0e64b588dd26p-10, 0x1.e23af1df49115p-10, 0x1.d3f602b95e8f8p-10, 0x1.c614f7253541bp-10, 0x1.b895565abde15p-10, 0x1.ab74b54b6f734p-10, 0x1.9eb0b664170ebp-10, 0x1.9247094e1ae66p-10, 0x1.86356ab290924p-10, 0x1.7a79a3fd72deep-10, 0x1.6f118b22109dap-10, 0x1.63fb02602c382p-10, 0x1.5933f80971f67p-10, 0x1.4eba66488036bp-10, 0x1.448c52e7b6395p-10, 0x1.3aa7cf19afe53p-10, 0x1.310af7420cfadp-10, 0x1.27b3f2beb0c06p-10, 0x1.1ea0f3b2aea5cp-10, 0x1.15d036d0fa1bcp-10, 0x1.0d4003288b17bp-10, 0x1.04eea9f0a8c23p-10, 0x1.f9b50cacd2dd6p-11, 0x1.ea03fa95d05cap-11, 0x1.dac6faa2f5003p-11, 0x1.cbfafca02aeccp-11, 0x1.bd9d02bdd2dffp-11, 0x1.afaa21331cd3ap-11, 0x1.a21f7de155d97p-11, 0x1.94fa4ff8c3a15p-11, 0x1.8837df9ea616p-11, 0x1.7bd58595224a7p-11, 0x1.6fd0aae410288p-11, 0x1.6426c882c3a6cp-11, 0x1.58d56705138ep-11, 0x1.4dda1e470d59dp-11, 0x1.4332951cb766ep-11, 0x1.38dc8100d26dp-11, 0x1.2ed5a5c672fabp-11, 0x1.251bd54b8e95cp-11, 0x1.1bacef2be2eedp-11, 0x1.1286e07791161p-11, 0x1.09a7a367f56dep-11, 0x1.010d3f1804557p-11, 0x1.f16b8e79a65f8p-12, 0x1.e13eb7bfd4296p-12, 0x1.d1905234b7c94p-12, 0x1.c25ccda38f596p-12, 0x1.b3a0b0eb4f028p-12, 0x1.a558997d29a4dp-12, 0x1.97813adbeb5ecp-12, 0x1.8a175e1fce3e8p-12, 0x1.7d17e17ad2e81p-12, 0x1.707fb7bfbc521p-12, 0x1.644be7ebd7956p-12, 0x1.58798cb25adcep-12, 0x1.4d05d40a818a7p-12, 0x1.41edfebf7e89fp-12, 0x1.372f60033c831p-12, 0x1.2cc75d0050ae6p-12, 0x1.22b36c736ca63p-12, 0x1.18f11641d467cp-12, 0x1.0f7df3142ef89p-12, 0x1.0657abf2cf8c4p-12, 0x1.faf7f3c8efbdap-13, 0x1.e9d14b1afee0bp-13, 0x1.d9370da6f2d8dp-13, 0x1.c92508ffda74dp-13, 0x1.b99727ce0a875p-13, 0x1.aa89711cc636p-13, 0x1.9bf807ae3d7acp-13, 0x1.8ddf295255ea5p-13, 0x1.803b2e3fa3ba5p-13, 0x1.7308887046f99p-13, 0x1.6643c30482413p-13, 0x1.59e981a297569p-13, 0x1.4df67fe203d48p-13, 0x1.426790b357bc2p-13, 0x1.37399dce8ac02p-13, 0x1.2c69a721f8322p-13, 0x1.21f4c24729208p-13, 0x1.17d819f8ebb7dp-13, 0x1.0e10ed8c57244p-13, 0x1.049c906cbcd94p-13, 0x1.f6f0d3347390cp-14, 0x1.e543e658ff1f3p-14, 0x1.d42d73ae41ec9p-14, 0x1.c3a8b8dbbb079p-14, 0x1.b3b116e4c9d8cp-14, 0x1.a442113c56f9dp-14, 0x1.95574ce29accep-14, 0x1.86ec8f888f232p-14, 0x1.78fdbeb4e06a8p-14, 0x1.6b86def4dc25ap-14, 0x1.5e8413075e95fp-14, 0x1.51f19b15fb15fp-14, 0x1.45cbd3eefb011p-14, 0x1.3a0f363cd921fp-14, 0x1.2eb855d34588dp-14, 0x1.23c3e0f1124fep-14, 0x1.192e9f8979705p-14, 0x1.0ef57295e797bp-14, 0x1.05155367c0255p-14, 0x1.f716a6048a7aap-15, 0x1.e4a932e2d941fp-15, 0x1.d2dcca5a315e6p-15, 0x1.c1ac14f0df702p-15, 0x1.b111e595645acp-15, 0x1.a109386ffd42ep-15, 0x1.918d31be415e8p-15, 0x1.82991cb7bf73ap-15, 0x1.74286a6c00deap-15, 0x1.6636b0c5d7253p-15, 0x1.58bfa96b9050ap-15, 0x1.4bbf30ca8312p-15, 0x1.3f3145190b1a6p-15, 0x1.33120557c67f7p-15, 0x1.275db064b8e7cp-15, 0x1.1c10a40f898b4p-15, 0x1.11275c389e9f6p-15, 0x1.069e71e97b586p-15, 0x1.f8e535075938cp-16, 0x1.e5414dce0cc0fp-16, 0x1.d24b0547b56c4p-16, 0x1.bffc66628370ap-16, 0x1.ae4fae51c2f2fp-16, 0x1.9d3f4b1288554p-16, 0x1.8d5eb17ab96abp-16, 0x1.7d6fd9cacb5b6p-16, 0x1.6e0df086a9274p-16, 0x1.5f34189e6b192p-16, 0x1.50dd9ebe03cd6p-16, 0x1.4305f7ee24fdfp-16, 0x1.35a8c06963a3ap-16, 0x1.28c1ba6e26a22p-16, 0x1.1c4cccf72fb27p-16, 0x1.104602bd41431p-16, 0x1.04a9890411b8bp-16, 0x1.f2e75d1feff45p-17, 0x1.dd41c53171fddp-17, 0x1.c85b6781d65f9p-17, 0x1.b42d9e5dedca7p-17, 0x1.a0b1fecc12f22p-17, 0x1.8de257157d3e6p-17, 0x1.7bb8acbaa17ebp-17, 0x1.6a2f3ac0f6a9ap-17, 0x1.59406feca042bp-17, 0x1.48e6ed21b4fb1p-17, 0x1.391d83bcc3093p-17, 0x1.29df340203e8cp-17, 0x1.1b272b914cb0cp-17, 0x1.0cf0c3e97b73ep-17, 0x1.fe6f01ef889dcp-18, 0x1.e3ee1f5a747f4p-18, 0x1.ca5689579a896p-18, 0x1.b1a03585dcddap-18, 0x1.99c363e8e84a7p-18, 0x1.82b89bde54dcap-18, 0x1.6c78aa36c182ep-18, 0x1.56fc9e42a0163p-18, 0x1.423dc7efad04bp-18, 0x1.2e35b57143357p-18, 0x1.1ade3133480cep-18, 0x1.08313f833cae9p-18, 0x1.ec5239c2f2184p-19, 0x1.c98077aef47fap-19, 0x1.a7e28636d53f9p-19, 0x1.876e1775940e8p-19, 0x1.68193e81add5fp-19, 0x1.49da6c77bde34p-19, 0x1.2ca86c6f487c9p-19, 0x1.107a6084df8d3p-19, 0x1.ea8f7de3df1ddp-20, 0x1.b6109d916539bp-20, 0x1.83684a014dc36p-20, 0x1.52874320571b3p-20, 0x1.235ed9e5cc13ep-20, 0x1.ebc1d4a7381f3p-21, 0x1.93ffad71e3b73p-21, 0x1.3f5d04dc7d1e4p-21, 0x1.db8135a3c4fd6p-22, 0x1.3e243c017b436p-22, 0x1.4ce890c749de7p-23, 0x1.4443def0ce44p-26, -0x1.e25d49578c444p-24, -0x1.00483ea40168fp-22, -0x1.82f6d2e5dbafcp-22, -0x1.0064f00251bd4p-21, -0x1.3cf36564e47b6p-21, -0x1.7738cc89a5d4bp-21, -0x1.af46810534325p-21, -0x1.e52d3b1dbcb87p-21, -0x1.0c7e8ca4d13a9p-20, -0x1.2562d23c9c628p-20, -0x1.3d4aeb46aac52p-20, -0x1.543e0fd6d6665p-20, -0x1.6a43360f341c6p-20, -0x1.7f6114c0d796ep-20, -0x1.939e25a401197p-20, -0x1.a700a924f25d2p-20, -0x1.b98ea6c84c928p-20, -0x1.cb4df0de203edp-20, -0x1.dc4425a6c3a5fp-20, -0x1.ec76b32d1c99fp-20, -0x1.fbead769de174p-20, -0x1.0552d19ed4dbap-19, -0x1.0c55fe0a4647fp-19, -0x1.13014eea1fdcep-19, -0x1.19570e38a4426p-19, -0x1.1f5972d688671p-19, -0x1.250aa16d1443dp-19, -0x1.2a6cacff2533cp-19, -0x1.2f81981a370e9p-19, -0x1.344b54c5b80aep-19, -0x1.38cbc6014d4c4p-19, -0x1.3d04bffe0f5dap-19, -0x1.40f808c83d6dbp-19, -0x1.44a75920ff5e4p-19, -0x1.48145cb0fdb02p-19, -0x1.4b40b2e17aab1p-19, -0x1.4e2def2fc1642p-19, -0x1.50dd9a2a2690ap-19, -0x1.535130ed2497p-19, -0x1.558a26ba6125p-19, -0x1.5789e4c5c898cp-19, -0x1.5951cacaff65bp-19, -0x1.5ae32f528b7f4p-19, -0x1.5c3f609fe4edcp-19, -0x1.5d67a44df6e3bp-19, -0x1.5e5d3800067f6p-19, -0x1.5f2151e438c37p-19, -0x1.5fb520d2fd5eap-19, -0x1.6019ccca03bc1p-19, -0x1.605076db78fdbp-19, -0x1.605a39dcda17bp-19, -0x1.60382a819c88bp-19, -0x1.5feb5792eb7b9p-19, -0x1.5f74ca3dca644p-19, -0x1.5ed58644ee1c2p-19, -0x1.5e0e8a3d6bec9p-19, -0x1.5d20cfc2da0c6p-19, -0x1.5c0d4ba9f030ep-19, -0x1.5ad4ee3099d6cp-19, -0x1.5978a30e8fed5p-19, -0x1.57f951efcb0b1p-19, -0x1.5657de8211256p-19, -0x1.549528346fa8bp-19, -0x1.52b20b0216836p-19, -0x1.50af5ebd4f025p-19, -0x1.4e8df80fd3881p-19, -0x1.4c4ea841f3571p-19, -0x1.49f23d41653eap-19, -0x1.477981c849a27p-19, -0x1.44e53d73a670bp-19, -0x1.4236350da50b2p-19, -0x1.3f6d2a46ef47ep-19, -0x1.3c8adc2e6de55p-19, -0x1.399006f895422p-19, -0x1.367d643bd873fp-19, -0x1.3353aaeb99654p-19, -0x1.30138fa6361d9p-19, -0x1.2cbdc45c81c71p-19, -0x1.2952f8bb7b358p-19, -0x1.25d3da06c59acp-19, -0x1.2241133acc3f2p-19, -0x1.1e9b4d1708524p-19, -0x1.1ae32e231ce8p-19, -0x1.17195abecf3b3p-19, -0x1.133e75282bd6bp-19, -0x1.0f531d8629c9p-19, -0x1.0b57f1f0f80d3p-19, -0x1.074d8e500353bp-19, -0x1.03348d0510f4bp-19, -0x1.fe1b0bfc3ebbp-20, -0x1.f5b21ed350a6ep-20, -0x1.ed2f7acdfa871p-20, -0x1.e4944499715d6p-20, -0x1.dbe19d094f9abp-20, -0x1.d318a1778380dp-20, -0x1.ca3a6abbd5d17p-20, -0x1.c1480ec4dcd81p-20, }}, 
      std::vector<double>(600, 0.0), 
      {{0x1.e553308029eb3p-8, 0x1.1004035a63c46p-6, 0x1.d488a10ae75d5p-6, 0x1.66ab5918c5987p-5, 0x1.fd15ec86ff3cp-5, 0x1.559efa0579a03p-4, 0x1.b6c9ed602e0d5p-4, 0x1.0ff6b6d9dfab6p-3, 0x1.4765833cfff2bp-3, 0x1.8094883600aa8p-3, 0x1.ba763caf4af5dp-3, 0x1.f412fd6f464fp-3, 0x1.16471138820e6p-2, 0x1.3193e74ad3c49p-2, 0x1.4b9e55ebdb27p-2, 0x1.64228734927edp-2, 0x1.7ae9b0002ad57p-2, 0x1.8fc936616177fp-2, 0x1.a2a129213a5fap-2, 0x1.b35b23b54f29ep-2, 0x1.c1e978306add9p-2, 0x1.ce45f4ae02ac1p-2, 0x1.d87120bcd1b99p-2, 0x1.e0700e027b7dp-2, 0x1.e64cff6218006p-2, 0x1.ea168a7bfda1cp-2, 0x1.ebdd18bc44ff1p-2, 0x1.ebb54c81b43eap-2, 0x1.e9b4ff24cba96p-2, 0x1.e5f3bcc0fdab7p-2, 0x1.e08a08f12489ep-2, 0x1.d991558908f16p-2, 0x1.d123bdcd4a2e9p-2, 0x1.c75b93388628p-2, 0x1.bc5315d48eb0ap-2, 0x1.b02452fb2db9bp-2, 0x1.a2e9001b0154ap-2, 0x1.94ba51766f6a8p-2, 0x1.85b0d91824727p-2, 0x1.75e46bc1b22b9p-2, 0x1.656c09f6f7f31p-2, 0x1.545dd22bc9f1bp-2, 0x1.42cefc9b439c7p-2, 0x1.30d3d8b39f7d9p-2, 0x1.1e7fc4ab423dep-2, 0x1.0be51fe5a5e58p-2, 0x1.f22a7c847a761p-3, 0x1.cc40c39fc6916p-3, 0x1.a62b79ffbb017p-3, 0x1.8006f898ceff5p-3, 0x1.59eda8051d971p-3, 0x1.33f81bdce7b8bp-3, 0x1.0e3d2741fd61cp-3, 0x1.d1a3d1210b433p-4, 0x1.879829e73d6ccp-4, 0x1.3e74827b99cccp-4, 0x1.ecb3812d1d2dap-5, 0x1.5ec97a890367ap-5, 0x1.a6bf60b46da7p-6, 0x1.2a9738b2749e8p-7, -0x1.d9ce8c2bfb2f3p-8, -0x1.7c347852c6afbp-6, -0x1.3ddbb554bbec1p-5, -0x1.ba6342d886724p-5, -0x1.19cd0cc9b8558p-4, -0x1.54b68a3eb0dfcp-4, -0x1.8de6292f25e62p-4, -0x1.c555806a66d03p-4, -0x1.faffa4429c3cbp-4, -0x1.1770915b0c39cp-3, -0x1.307bfdfcd6b16p-3, -0x1.48a1c8eeee40ap-3, -0x1.5fe246bc503dfp-3, -0x1.763e5f13397e1p-3, -0x1.8bb77b340debfp-3, -0x1.a04f75490b6bap-3, -0x1.b40889c757603p-3, -0x1.c6e54b114ef44p-3, -0x1.d8e896f568514p-3, -0x1.ea158d73ebca6p-3, -0x1.fa6f885b72c5ap-3, -0x1.04fd09cb118d7p-2, -0x1.0c5c731f5f623p-2, -0x1.1357ee541b317p-2, -0x1.19f179b6ce348p-2, -0x1.202b21bbcfb3ep-2, -0x1.2606ff609410fp-2, -0x1.2b8736cabed34p-2, -0x1.30adf60484377p-2, -0x1.357d73c078e58p-2, -0x1.39f7ee197361fp-2, -0x1.3e1fa94a50bc2p-2, -0x1.41f6ee5c5d2edp-2, -0x1.458009cae595fp-2, -0x1.48bd4a193e59ep-2, -0x1.4bb0fe583cd62p-2, -0x1.4e5d749a0bf4ep-2, -0x1.50c4f85730cbcp-2, -0x1.52e9d0cca4209p-2, -0x1.54ce3f5f99ec8p-2, -0x1.56747e1679dd1p-2, -0x1.57debe36ef368p-2, -0x1.590f2716d3cffp-2, -0x1.5a07d529b135p-2, -0x1.5acad950011b8p-2, -0x1.5b5a3868cdb28p-2, -0x1.5bb7eb22a1a06p-2, -0x1.5be5de05865aap-2, -0x1.5be5f1ad1b434p-2, -0x1.5bb9fb2733e6bp-2, -0x1.5b62c8c54989fp-2, -0x1.5ae383611c56ep-2, -0x1.5a3d83cc4c29fp-2, -0x1.597280bfa6589p-2, -0x1.5884250d98efcp-2, -0x1.57740f117df51p-2, -0x1.5643d046258d9p-2, -0x1.54f4ed08c19ddp-2, -0x1.5388dc8a494p-2, -0x1.520108ee69a5dp-2, -0x1.505ecf9421ff9p-2, -0x1.4ea381815488cp-2, -0x1.4cd063e851de1p-2, -0x1.4ae6b0bcdb013p-2, -0x1.48e7974db9343p-2, -0x1.46d43cd8cf6abp-2, -0x1.44adbd1160fb4p-2, -0x1.42752a92fd794p-2, -0x1.402b8f3e80a75p-2, -0x1.3dd1ec8181fb4p-2, -0x1.3b693b8afd82dp-2, -0x1.38f26d7192614p-2, -0x1.366e6b5052c62p-2, -0x1.33de165ef3efep-2, -0x1.314248094819dp-2, -0x1.2e9bd208ba8c5p-2, -0x1.2beb7e8144f58p-2, -0x1.2932102239f67p-2, -0x1.2670424a83b25p-2, -0x1.23a6c92f86c89p-2, -0x1.20d65205b9287p-2, -0x1.1dff832a249fep-2, -0x1.1b22fc4c4a9dap-2, -0x1.184156982f175p-2, -0x1.155b24e09bbb2p-2, -0x1.1270f3c9ee1c4p-2, -0x1.0f8349f5decdp-2, -0x1.0c92a830bc1b4p-2, -0x1.099f89a085119p-2, -0x1.06aa63f61912cp-2, -0x1.03b3a7a0919c5p-2, -0x1.00bbc00278c94p-2, -0x1.fb862750efb94p-3, -0x1.f59409018411cp-3, -0x1.efa1e024fcac4p-3, -0x1.e9b05f68aa613p-3, -0x1.e3c03182c6606p-3, -0x1.ddd1f997c7a0fp-3, -0x1.d7e6539a39d2ap-3, -0x1.d1fdd4a484ad7p-3, -0x1.cc190b4c58dbbp-3, -0x1.c6387fefd87b8p-3, -0x1.c05cb4fca48fep-3, -0x1.ba86273126753p-3, -0x1.b4b54dd869cbcp-3, -0x1.aeea9b00ce163p-3, -0x1.a9267badf0cfap-3, -0x1.a36958060e6b2p-3, -0x1.9db3937b3da3ep-3, -0x1.98058cf0e0975p-3, -0x1.925f9eddd400dp-3, -0x1.8cc21f6bda5f3p-3, -0x1.872d6094cfc1cp-3, -0x1.81a1b03e4c7a9p-3, -0x1.7c1f585423c98p-3, -0x1.76a69ee24513bp-3, -0x1.7137c62e4a6c5p-3, -0x1.6bd30cd0fd706p-3, -0x1.6678adcfecd8bp-3, -0x1.6128e0b723791p-3, -0x1.5be3d9b30977dp-3, -0x1.56a9c9aa54794p-3, -0x1.517ade580b25ap-3, -0x1.4c5742658a713p-3, -0x1.473f1d847a2d4p-3, -0x1.42329488b70c2p-3, -0x1.3d31c98217b2ep-3, -0x1.383cdbd612208p-3, -0x1.3353e85926267p-3, -0x1.2e77096805e84p-3, -0x1.29a657006828p-3, -0x1.24e1e6d963d3p-3, -0x1.2029cc7b41756p-3, -0x1.1b7e1956b2bf7p-3, -0x1.16dedcdb4dce2p-3, -0x1.124c248d41a8fp-3, -0x1.0dc5fc1a3a484p-3, -0x1.094c6d6d644ecp-3, -0x1.04df80c29860ap-3, -0x1.007f3cb8a54c4p-3, -0x1.f8574cc585655p-4, -0x1.efc982b264ac7p-4, -0x1.e7551f921e5fep-4, -0x1.defa2506b0bacp-4, -0x1.d6b892166e0c7p-4, -0x1.ce906347073f6p-4, -0x1.c68192b728743p-4, -0x1.be8c1836a26bbp-4, -0x1.b6afe95d34184p-4, -0x1.aeecf99ff457dp-4, -0x1.a7433a65844b3p-4, -0x1.9fb29b18f6f32p-4, -0x1.983b093baa677p-4, -0x1.90dc7076181f5p-4, -0x1.8996baa7bfd1fp-4, -0x1.8269cff647808p-4, -0x1.7b5596dbf37f8p-4, -0x1.7459f43590b47p-4, -0x1.6d76cb4fedb57p-4, -0x1.66abfdf4fa03dp-4, -0x1.5ff96c789f9c3p-4, -0x1.595ef5c568a0bp-4, -0x1.52da8761a2ae7p-4, -0x1.4c6fffcd60c29p-4, -0x1.461d2c1dd225fp-4, -0x1.3fe1e575a5d3bp-4, -0x1.39be03c09fa29p-4, -0x1.33b15dc30a771p-4, -0x1.2dbbc9292a1b7p-4, -0x1.27dd1a9696661p-4, -0x1.221525b55f4f7p-4, -0x1.1c63bd44e6444p-4, -0x1.16c8b32854989p-4, -0x1.1143d8749c4aap-4, -0x1.0bd4fd7df4204p-4, -0x1.067bf1e4c3556p-4, -0x1.013884a1f579p-4, -0x1.f81508255f367p-5, -0x1.ede37c06d4a44p-5, -0x1.e3dbff74db2d4p-5, -0x1.d9fe2c036c15dp-5, -0x1.d0499a6097294p-5, -0x1.c6bde266204e8p-5, -0x1.bd5a9b2a245bcp-5, -0x1.b41f5b0edf332p-5, -0x1.ab0bb7d1a7e93p-5, -0x1.a21f46993c4cp-5, -0x1.99599c0378499p-5, -0x1.90ba4c328acd6p-5, -0x1.8840ead9c2d36p-5, -0x1.7fed0b4a0862ep-5, -0x1.77be407e0e1dap-5, -0x1.6fb41d2653a8ap-5, -0x1.67ce33b4f9fdcp-5, -0x1.600c16697d5a3p-5, -0x1.586d575c54c95p-5, -0x1.50f1888a7eaf5p-5, -0x1.49983be0f9fa8p-5, -0x1.426103482d626p-5, -0x1.3b4b70af3af35p-5, -0x1.3457161736bf6p-5, -0x1.2d83859e44ef4p-5, -0x1.26d0518a8f5bfp-5, -0x1.203d0c5514cf1p-5, -0x1.19c948b443224p-5, -0x1.137499a65da5fp-5, -0x1.0d3e927ba1bc9p-5, -0x1.0726c6e027341p-5, -0x1.012ccae576bbfp-5, -0x1.f6a066179b591p-6, -0x1.eb21289623e08p-6, -0x1.dfdb0836d0aa3p-6, -0x1.d4cd30fae6855p-6, -0x1.c9f6d00466fd8p-6, -0x1.bf5713a511c9p-6, -0x1.b4ed2b6cadd8cp-6, -0x1.aab84836924d7p-6, -0x1.a0b79c36765acp-6, -0x1.96ea5b048547dp-6, -0x1.8d4fb9a8c608bp-6, -0x1.83e6eea5d237dp-6, -0x1.7aaf3202e0a7ap-6, -0x1.71a7bd5535d95p-6, -0x1.68cfcbc8fa577p-6, -0x1.60269a29785dfp-6, -0x1.57ab66e8d5eabp-6, -0x1.4f5d722746fe4p-6, -0x1.473bfdb9c788cp-6, -0x1.3f464d305db52p-6, -0x1.377ba5dbf08b5p-6, -0x1.2fdb4ed3b720dp-6, -0x1.286490fa46adap-6, -0x1.2116b7024471cp-6, -0x1.19f10d72c32a6p-6, -0x1.12f2e2ab4cc9p-6, -0x1.0c1b86e79e0f2p-6, -0x1.056a4c431bcb6p-6, -0x1.fdbd0d77f82e3p-7, -0x1.f0ef186c580c1p-7, -0x1.e46968fbeed3p-7, -0x1.d82ab294d46a1p-7, -0x1.cc31ac7eeef66p-7, -0x1.c07d11dfbf59ep-7, -0x1.b50ba1bdba4aep-7, -0x1.a9dc1f032592p-7, -0x1.9eed50807da7dp-7, -0x1.943e00ee732dp-7, -0x1.89ccfeef5fdebp-7, -0x1.7f991d105ea7dp-7, -0x1.75a131c9e237dp-7, -0x1.6be4177fe4dc9p-7, -0x1.6260ac81a7c5p-7, -0x1.5915d308fd742p-7, -0x1.5002713935e86p-7, -0x1.4725711d9346dp-7, -0x1.3e7dc0a75f86ep-7, -0x1.360a51ab93eb7p-7, -0x1.2dca19e0232cdp-7, -0x1.25bc12d8dd99ep-7, -0x1.1ddf3a03f89e7p-7, -0x1.163290a6352d6p-7, -0x1.0eb51bd6b38e4p-7, -0x1.0765e47a68bb2p-7, -0x1.0043f73f445edp-7, -0x1.f29cc92e06bacp-8, -0x1.e50881636d935p-8, -0x1.d7c946effa54fp-8, -0x1.cadd5109ea339p-8, -0x1.be42de3fd7d36p-8, -0x1.b1f8346b9327bp-8, -0x1.a5fba0a48001p-8, -0x1.9a4b77317560cp-8, -0x1.8ee6137a38e13p-8, -0x1.83c9d7f87db32p-8, -0x1.78f52e288f2aep-8, -0x1.6e668679900f3p-8, -0x1.641c583d6185ep-8, -0x1.5a1521983aa04p-8, -0x1.504f676fe7cep-8, -0x1.46c9b55ac7519p-8, -0x1.3d829d8e760cdp-8, -0x1.3478b8ce45b25p-8, -0x1.2baaa6596f69p-8, -0x1.23170bd90c738p-8, -0x1.1abc954de8001p-8, -0x1.1299f4fe0f62ap-8, -0x1.0aade36244794p-8, -0x1.02f71f13446f1p-8, -0x1.f6e8d96dd3d06p-9, -0x1.e8492dda621e6p-9, -0x1.da0cdc7a45bb6p-9, -0x1.cc319203463dep-9, -0x1.beb506ac560c4p-9, -0x1.b194fe06f4669p-9, -0x1.a4cf46d85f056p-9, -0x1.9861baf2c5699p-9, -0x1.8c4a3f0e59d4dp-9, -0x1.8086c2a26c647p-9, -0x1.75153fbe7ffabp-9, -0x1.69f3bae35b373p-9, -0x1.5f2042dc3e078p-9, -0x1.5498f09808938p-9, -0x1.4a5be70290e4dp-9, -0x1.406752de0c40cp-9, -0x1.36b96a9c992a4p-9, -0x1.2d506e39f5dc1p-9, -0x1.242aa7155beacp-9, -0x1.1b4667cb8e915p-9, -0x1.12a20c112149p-9, -0x1.0a3bf88cf07bbp-9, -0x1.02129ab2dc133p-9, -0x1.f448d13d86ad8p-10, -0x1.e4dfc1df81e9cp-10, -0x1.d5e71547661a8p-10, -0x1.c75be9e61d537p-10, -0x1.b93b6e59f32c2p-10, -0x1.ab82e1278354ep-10, -0x1.9e2f9073426c2p-10, -0x1.913ed9bb9810bp-10, -0x1.84ae2993e444ap-10, -0x1.787afb60052a9p-10, -0x1.6ca2d910aacc7p-10, -0x1.61235ae05f081p-10, -0x1.55fa271155e3ap-10, -0x1.4b24f1abf0e8p-10, -0x1.40a17c3e0f63fp-10, -0x1.366d959b20576p-10, -0x1.2c87199cfa876p-10, -0x1.22ebf0e584dcap-10, -0x1.199a10a118877p-10, -0x1.108f7a49c3328p-10, -0x1.07ca3b6b3e7a1p-10, -0x1.fe90dacf8e6eep-11, -0x1.ee106a7b628cbp-11, -0x1.de0f869b94e96p-11, -0x1.ce8aa64529e34p-11, -0x1.bf7e56707b127p-11, -0x1.b0e7398ad5acfp-11, -0x1.a2c2070986618p-11, -0x1.950b8afea7c9p-11, -0x1.87c0a5af57c72p-11, -0x1.7ade4b2ba8bfcp-11, -0x1.6e6182e7d661bp-11, -0x1.62476757438ebp-11, -0x1.568d2588ed63ap-11, -0x1.4b2ffcc55ea1cp-11, -0x1.402d3e2df757dp-11, -0x1.35824c5e0d32p-11, -0x1.2b2c9b0d274a3p-11, -0x1.2129aeb2de9b3p-11, -0x1.17771c2c26845p-11, -0x1.0e128861f45aap-11, -0x1.04f9a7f17a0d3p-11, -0x1.f8547daaedc3ep-12, -0x1.e744402283198p-12, -0x1.d6be5ab9fc6f3p-12, -0x1.c6beada63198cp-12, -0x1.b741353ed3ed3p-12, -0x1.a842095ecc298p-12, -0x1.99bd5cc73af75p-12, -0x1.8baf7c8557168p-12, -0x1.7e14cf5aa5a84p-12, -0x1.70e9d527fda62p-12, -0x1.642b265aa6e14p-12, -0x1.57d5735c4a7b1p-12, -0x1.4be584053157bp-12, -0x1.40583711132f1p-12, -0x1.352a81962a962p-12, -0x1.2a596e7ebf88p-12, -0x1.1fe21e051b61bp-12, -0x1.15c1c5317e45bp-12, -0x1.0bf5ad5b3624fp-12, -0x1.027b33aae22a6p-12, -0x1.f29f913fcf1d3p-13, -0x1.e0e1df2fd8aa7p-13, -0x1.cfb87cb0459f4p-13, -0x1.bf1eb93288bf9p-13, -0x1.af10072b26169p-13, -0x1.9f87fb32169c6p-13, -0x1.90824b272f94p-13, -0x1.81facd5b584b7p-13, -0x1.73ed77bd641a8p-13, -0x1.66565f0b532fp-13, -0x1.5931b607ad95cp-13, -0x1.4c7bccb2fd02p-13, -0x1.40310f892c944p-13, -0x1.351383980d136p-13, -0x1.298bf069921d2p-13, -0x1.1e65abc150178p-13, -0x1.139d8e813bb6ep-13, -0x1.09308a21413a1p-13, -0x1.fe375010f1c59p-14, -0x1.eab811d610fa8p-14, -0x1.d7ddc855fc056p-14, -0x1.c5a30e79003cap-14, -0x1.b402aa1c62827p-14, -0x1.a2f78ae764f41p-14, -0x1.927cc928c0d8cp-14, -0x1.828da4b98a6a6p-14, -0x1.732583e651c58p-14, -0x1.643ff25ff4a4dp-14, -0x1.55d8a02e975a7p-14, -0x1.47eb60af636dap-14, -0x1.3a7429949f8aep-14, -0x1.2d6f11ed23c29p-14, -0x1.20d8513073449p-14, -0x1.14ac3e510b85bp-14, -0x1.08e74ed3eddcdp-14, -0x1.fb0c2bdafbcb6p-15, -0x1.e50a874755dd2p-15, -0x1.cfc347ea84c9dp-15, -0x1.bb303c0d19295p-15, -0x1.a74b66a540bc5p-15, -0x1.940efdc4bdd7ep-15, -0x1.8175690cba54ap-15, -0x1.6f7940326f8a3p-15, -0x1.5e154985a305fp-15, -0x1.4d4478873057fp-15, -0x1.3d01ec814daa9p-15, -0x1.2d48ef2ffa42fp-15, -0x1.1e14f36e825d4p-15, -0x1.0f6193eef0ddfp-15, -0x1.012a91f8a6318p-15, -0x1.e6d7a86487b4fp-16, -0x1.cc42cae1d47c2p-16, -0x1.b28ee722576c7p-16, -0x1.99b49caf284adp-16, -0x1.81acccb1b781ap-16, -0x1.6a7097d6e67cfp-16, -0x1.53f95c3a03ce2p-16, -0x1.3e40b3643c73ep-16, -0x1.2940705ad6524p-16, -0x1.14f29db7ebdb5p-16, -0x1.01517bd401cdbp-16, -0x1.dcaefdf331abap-17, -0x1.b7fe9b55f4b51p-17, -0x1.94877de0bfe9cp-17, -0x1.723fb16a0063dp-17, -0x1.511d9c5e211p-17, -0x1.3117fcabfe496p-17, -0x1.1225e4c1ddcbbp-17, -0x1.e87d7152502fep-18, -0x1.aeb456586b04bp-18, -0x1.76e07649c3508p-18, -0x1.40f2619a1946dp-18, -0x1.0cdb365ce8483p-18, -0x1.b519368cde05p-19, -0x1.53f175a658281p-19, -0x1.ec48fa79ae4d8p-20, -0x1.37312b1c51bc7p-20, -0x1.10d3cd0a5b26dp-21, 0x1.01e515758a8e1p-23, 0x1.85e1119b69f3ap-21, 0x1.5fde3d3e6e835p-20, 0x1.f73099f11b824p-20, 0x1.448878306fb14p-19, 0x1.8ad38c1a02e7dp-19, 0x1.ce8cbe97a5cbep-19, 0x1.07e34b4859691p-18, 0x1.27497929d355bp-18, 0x1.4581870dbe47fp-18, 0x1.6293c512b0cb3p-18, 0x1.7e8838654b432p-18, 0x1.99669e0d959e8p-18, 0x1.b3366dc67ac8ap-18, 0x1.cbfedcaa7fadep-18, 0x1.e3c6dfcf6ddc9p-18, 0x1.fa952ecb23f08p-18, 0x1.0838231180601p-17, 0x1.12af34d045a6bp-17, 0x1.1cb2d34c10e33p-17, 0x1.2645eb11597ebp-17, 0x1.2f6b4f8f00bbdp-17, 0x1.3825bc2bd7e83p-17, 0x1.4077d537d1cafp-17, 0x1.486428e0dd1cdp-17, 0x1.4fed301ee761fp-17, 0x1.57154f90fba16p-17, 0x1.5dded858ff4f2p-17, 0x1.644c08eb49593p-17, 0x1.6a5f0dddec64fp-17, 0x1.701a029b9d2c8p-17, 0x1.757ef22f766dfp-17, 0x1.7a8fd7eee4a57p-17, 0x1.7f4ea027b2256p-17, 0x1.83bd28c45a4f3p-17, 0x1.87dd41f2e5519p-17, 0x1.8bb0aeb2eefa4p-17, 0x1.8f39256ed4746p-17, 0x1.927850899b661p-17, 0x1.956fcee39aaeap-17, 0x1.9821345f444bp-17, 0x1.9a8e0a5853f5ap-17, 0x1.9cb7d0220b8aap-17, 0x1.9e9ffb75a4fcfp-17, 0x1.a047f8dfa5821p-17, 0x1.a1b12c2a54a22p-17, 0x1.a2dcf0c03d7ecp-17, 0x1.a3cc9a0d0866bp-17, 0x1.a48173d8d468p-17, 0x1.a4fcc29fafee8p-17, 0x1.a53fc3e51db17p-17, 0x1.a54bae82464dp-17, 0x1.a521b2f5c043ap-17, 0x1.a4c2fbabcb696p-17, 0x1.a430ad3c34e9ep-17, 0x1.a36be6b66820cp-17, 0x1.a275c1d216799p-17, 0x1.a14f533959f74p-17, 0x1.9ff9aabb1d474p-17, 0x1.9e75d37f5c86ep-17, 0x1.9cc4d43b49365p-17, 0x1.9ae7af6081296p-17, 0x1.98df634e33c92p-17, 0x1.96acea776ccaep-17, 0x1.94513b8f1e51bp-17, 0x1.91cd49ae490f4p-17, 0x1.8f220477ec93ep-17, 0x1.8c50583c6d452p-17, 0x1.89592e1a7a756p-17, 0x1.863d6c1b2fd34p-17, 0x1.82fdf5512b744p-17, 0x1.7f9ba9f2ab556p-17, 0x1.7c176772dcc6ap-17, 0x1.7872089b28f43p-17, 0x1.74ac659f07324p-17, 0x1.70c75432ab638p-17, 0x1.6cc3a79dbdcdfp-17, 0x1.68a230cdb6b2fp-17, 0x1.6463be669adb6p-17, 0x1.60091cd0392dep-17, 0x1.5b93164fab1a1p-17, 0x1.57027303c458ep-17, 0x1.5257f8febbb18p-17, 0x1.4d946c483214p-17, 0x1.48b88ef1195bbp-17, 0x1.43c52118388bbp-17, 0x1.3ebae0f5aa355p-17, 0x1.399a8ad8f83dcp-17, 0x1.3464d940749d2p-17, }}, 
      {{0x1.08bc3a810216dp-1, 0x1.25ef28e7b682dp-1, 0x1.4c8ac97b1bef2p-1, 0x1.7713b80af310fp-1, 0x1.a1c9e900ed7ffp-1, 0x1.ca31fe51c6a99p-1, 0x1.eebcb6842f1eep-1, 0x1.0742bdcf58098p+0, 0x1.14910a73f0c16p+0, 0x1.1f3f3764ef2edp+0, 0x1.2760acd4efb23p+0, 0x1.2d1c1f9568ffcp+0, 0x1.30a42f11d143ap+0, 0x1.3231d656a8cc2p+0, 0x1.3200a891140c8p+0, 0x1.304c00082dbecp+0, 0x1.2d4d250047d5p+0, 0x1.293a1459e7813p+0, 0x1.2444c6b1eea92p+0, 0x1.1e9ad0332ac51p+0, 0x1.18653982514f9p+0, 0x1.11c87d2874318p+0, 0x1.0ae4d1f92b0fp+0, 0x1.03d639e4ecedfp+0, 0x1.f96a00f85350ep-1, 0x1.eb2c060d437dcp-1, 0x1.dd1528126de4p-1, 0x1.cf42ef8fb6f31p-1, 0x1.c1cd5b8db0221p-1, 0x1.b4c7e565c3823p-1, 0x1.a841fed95e76ep-1, 0x1.9c477744ac595p-1, 0x1.90e0ebd7ff2f6p-1, 0x1.86143d8b2637ep-1, 0x1.7be4f49f24739p-1, 0x1.72548d2208921p-1, 0x1.6962c03e55f53p-1, 0x1.610dd164f0c13p-1, 0x1.5952ceb8a8e63p-1, 0x1.522dc0269c612p-1, 0x1.4b99d26cf7872p-1, 0x1.4591838d417a3p-1, 0x1.400ecb6d98efep-1, 0x1.3b0b3e5a93175p-1, 0x1.36802af65ec1dp-1, 0x1.3266b33ac69bap-1, 0x1.2eb7dfc71c3c2p-1, 0x1.2b6cafbaf5513p-1, 0x1.287e28565687bp-1, 0x1.25e564dff9903p-1, 0x1.239ba4d3ec824p-1, 0x1.219a569596966p-1, 0x1.1fdb1e78cdb5bp-1, 0x1.1e57db04e01e3p-1, 0x1.1d0ac79c7ef9fp-1, 0x1.1bedd7411c8dap-1, 0x1.1afbeb3ff1f55p-1, 0x1.1a2fe56105191p-1, 0x1.1984e5dba9876p-1, 0x1.18f64fa9c16ap-1, 0x1.187fcd3ac2bafp-1, 0x1.181d531d50e7ap-1, 0x1.17cb1f5fd0432p-1, 0x1.1785b5ffdbde4p-1, 0x1.1749dbee70152p-1, 0x1.1714926bfc27cp-1, 0x1.16e313db1ff11p-1, 0x1.16b2d227b6d2dp-1, 0x1.1681761851ef2p-1, 0x1.164cdea20f555p-1, 0x1.16131f94e37a2p-1, 0x1.15d27f6c31585p-1, 0x1.1589747552bf5p-1, 0x1.1536a1abaecbdp-1, 0x1.14d8d39fcdce8p-1, 0x1.146efd955e979p-1, 0x1.13f836d9b9da7p-1, 0x1.1373b83cbb492p-1, 0x1.12e0d99566625p-1, 0x1.123f0f4b2d2e9p-1, 0x1.118de7ef9d952p-1, 0x1.10cd0a00106d3p-1, 0x1.0ffc31e65faa9p-1, 0x1.0f1b304446ad1p-1, 0x1.0e29e884c9e02p-1, 0x1.0d284fa1730a8p-1, 0x1.0c166b0342c96p-1, 0x1.0af44f69ff857p-1, 0x1.09c21fcd2a3a1p-1, 0x1.08800c3413352p-1, 0x1.072e508a775p-1, 0x1.05cd337ab91eap-1, 0x1.045d055642fddp-1, 0x1.02de1f1123dc9p-1, 0x1.0150e15163e22p-1, 0x1.ff6b671d2bc61p-2, 0x1.fc1a0677c7bcbp-2, 0x1.f8ae85ed96176p-2, 0x1.f529d36d4e8f5p-2, 0x1.f18ce3f88479ep-2, 0x1.edd8b207c47ffp-2, 0x1.ea0e3bfd9932p-2, 0x1.e62e82b4b486fp-2, 0x1.e23a8834d13a7p-2, 0x1.de334e9707943p-2, 0x1.da19d71e0ae03p-2, 0x1.d5ef2182457d9p-2, 0x1.d1b42b6d8b124p-2, 0x1.cd69f01eb2f84p-2, 0x1.c911682af87bap-2, 0x1.c4ab4f6d9d7d1p-2, 0x1.c038c9c509bedp-2, 0x1.bbbad499582cap-2, 0x1.b7326116fe454p-2, 0x1.b2a05bcfc5ac3p-2, 0x1.ae05ac2e20f5ap-2, 0x1.a96333fdf053bp-2, 0x1.a4b9cf0d4dd03p-2, 0x1.a00a52e7228d4p-2, 0x1.9b558ea84702p-2, 0x1.969c4aee5f0bbp-2, 0x1.91df49ddf17ap-2, 0x1.8d1f473b8eccbp-2, 0x1.885cf8928ecbap-2, 0x1.83990d6343c0fp-2, 0x1.7ed42f52bad7dp-2, 0x1.7a0f02570bfe1p-2, 0x1.754a24dcc0e0cp-2, 0x1.70862fe3b60a4p-2, 0x1.6bc3b7139b82dp-2, 0x1.670348c9a0575p-2, 0x1.62456e21cc03fp-2, 0x1.5d8aaafeb2fa7p-2, 0x1.58d37e11ff94dp-2, 0x1.542060e795c75p-2, 0x1.4f71c7f435d24p-2, 0x1.4ac822a7bfd23p-2, 0x1.4623db82877c3p-2, 0x1.4185582cd2e2ap-2, 0x1.3cecf98f7b7efp-2, 0x1.385b1becd1a55p-2, 0x1.33d016f91fa63p-2, 0x1.2f4c3df28873ep-2, 0x1.2acfdfb84f6d8p-2, 0x1.265b46e1d8ea5p-2, 0x1.21eeb9d5e7e72p-2, 0x1.1d8a7ae2a27e5p-2, 0x1.192ec856e5f22p-2, 0x1.14dbdc9d50c29p-2, 0x1.1091ee5934f21p-2, 0x1.0c5130857d074p-2, 0x1.0819d29549be3p-2, 0x1.03ec0095eb2bp-2, 0x1.ff8fc6a370cffp-3, 0x1.f75b40e65de5ap-3, 0x1.ef3ab54faf18dp-3, 0x1.e72e6384c515ap-3, 0x1.df3685b756452p-3, 0x1.d75350e496058p-3, 0x1.cf84f51156b4ep-3, 0x1.c7cb9d8300bc2p-3, 0x1.c02770f580e82p-3, 0x1.b89891ce55a58p-3, 0x1.b11f1e4cef05fp-3, 0x1.a9bb30b8859e3p-3, 0x1.a26cdf8b94387p-3, 0x1.9b343d9cf61cep-3, 0x1.94115a46c6f87p-3, 0x1.8d04418b07e5p-3, 0x1.860cfc3615e4bp-3, 0x1.7f2b8fff1f8d1p-3, 0x1.785fffa6a552p-3, 0x1.71aa4b1351d78p-3, 0x1.6b0a6f6d43cd1p-3, 0x1.648067381dc42p-3, 0x1.5e0c2a6bf11cdp-3, 0x1.57adae8d5253bp-3, 0x1.5164e6c4a21e4p-3, 0x1.4b31c3f4c1e04p-3, 0x1.451434d139a22p-3, 0x1.3f0c25f3f7fddp-3, 0x1.391981f2a4fa2p-3, 0x1.333c3173b9154p-3, 0x1.2d741b434363p-3, 0x1.27c1246788f72p-3, 0x1.222330357a16cp-3, 0x1.1c9a206506de7p-3, 0x1.1725d525551edp-3, 0x1.11c62d30daf4bp-3, 0x1.0c7b05e149e16p-3, 0x1.07443b4347bfbp-3, 0x1.0221a829e079ap-3, 0x1.fa264c83333efp-4, 0x1.f0311c463aa58p-4, 0x1.e6636ecab9b45p-4, 0x1.dcbcf15e42631p-4, 0x1.d33d4f8ffe0ffp-4, 0x1.c9e43351305c8p-4, 0x1.c0b1451458708p-4, 0x1.b7a42beaf2645p-4, 0x1.aebc8da1be705p-4, 0x1.a5fa0edbaa068p-4, 0x1.9d5c532b601d7p-4, 0x1.94e2fd2b807fcp-4, 0x1.8c8dae959b813p-4, 0x1.845c0857f651bp-4, 0x1.7c4daaaa2a948p-4, 0x1.74623520b0e41p-4, 0x1.6c9946bf6535ep-4, 0x1.64f27e0b16e34p-4, 0x1.5d6d791a31b65p-4, 0x1.5609d5a493db5p-4, 0x1.4ec731129d617p-4, 0x1.47a5288b8c1e5p-4, 0x1.40a35903309d9p-4, 0x1.39c15f470cd45p-4, 0x1.32fed80ae833ep-4, 0x1.2c5b5ff4e513p-4, 0x1.25d693a92146ap-4, 0x1.1f700fd4eb3e2p-4, 0x1.1927713990e95p-4, 0x1.12fc54b6ceeb4p-4, 0x1.0ced5084f038dp-4, 0x1.06fc1c3757febp-4, 0x1.0127443f5440ap-4, 0x1.f6dccc1eef784p-5, 0x1.eba23ec156fap-5, 0x1.e09e1c78ad46dp-5, 0x1.d5cfa20c8a7efp-5, 0x1.cb360d0c8f80cp-5, 0x1.c0d09be2f5e92p-5, 0x1.b69e8de6637cep-5, 0x1.ac9f236aef64cp-5, 0x1.a2d19dd24ce9ep-5, 0x1.99353f9b0da17p-5, 0x1.8fc94c6efc6e1p-5, 0x1.868d093086cb1p-5, 0x1.7d7fbc073d2a8p-5, 0x1.74a0ac6b66303p-5, 0x1.6bef2330b3341p-5, 0x1.636a6a9016c17p-5, 0x1.5b11ce30d22f9p-5, 0x1.52e49b30baac8p-5, 0x1.4ae2202bcf10ap-5, 0x1.4309ad432367p-5, 0x1.3b5a94233585p-5, 0x1.33d42809b869ep-5, 0x1.2c75bdcae25cap-5, 0x1.253eabd64ce96p-5, 0x1.1e2e4a3b725a7p-5, 0x1.1743f2add1d37p-5, 0x1.107f0088c8d4dp-5, 0x1.09ded0d323909p-5, 0x1.0362c2427222dp-5, 0x1.fa146a7c43f44p-6, 0x1.eda917c4c876fp-6, 0x1.e1825405ca00cp-6, 0x1.d59eea5a9b9d1p-6, 0x1.c9fda957414e1p-6, 0x1.be9d630cbe068p-6, 0x1.b37ced0d0b154p-6, 0x1.a89b206eb2ae3p-6, 0x1.9df6d9d00301dp-6, 0x1.938ef959e1a12p-6, 0x1.896262c237709p-6, 0x1.7f6ffd4decb81p-6, 0x1.75b6b3d281fa9p-6, 0x1.6c3574b728075p-6, 0x1.62eb31f579bffp-6, 0x1.59d6e119ae0ecp-6, 0x1.50f77b4265f05p-6, 0x1.484bfd1ff57e2p-6, 0x1.3fd366f3463c5p-6, 0x1.378cbc8c3abdp-6, 0x1.2f770547a699fp-6, 0x1.27914c0cd5231p-6, 0x1.1fda9f4aa1923p-6, 0x1.185210f42882p-6, 0x1.10f6b67d140fap-6, 0x1.09c7a8d58410dp-6, 0x1.02c404659e534p-6, 0x1.f7d5d211882afp-7, 0x1.ea76f410ed273p-7, 0x1.dd69bc2ddaef8p-7, 0x1.d0ac7e92c837p-7, 0x1.c43d962450513p-7, 0x1.b81b6474c24e5p-7, 0x1.ac4451b750643p-7, 0x1.a0b6ccb2ca86ap-7, 0x1.95714ab3f67ccp-7, 0x1.8a72477f9a8d5p-7, 0x1.7fb84544270fep-7, 0x1.7541cc8b2beb3p-7, 0x1.6b0d6c2a76d18p-7, 0x1.6119b9350473fp-7, 0x1.57654eebaf903p-7, 0x1.4deeceadbcceep-7, 0x1.44b4dfe92c165p-7, 0x1.3bb6300aec971p-7, 0x1.32f1726ee4a71p-7, 0x1.2a65604fdde3fp-7, 0x1.2210b8b753a29p-7, 0x1.19f2406d24f0cp-7, 0x1.1208c1e72f83p-7, 0x1.0a530d38d518cp-7, 0x1.02cff8026d75ap-7, 0x1.f6fcbac150e5bp-8, 0x1.e8ba3bb7bb89fp-8, 0x1.dad63eaea8e87p-8, 0x1.cd4e9a00f20a2p-8, 0x1.c0212e7c1c8f1p-8, 0x1.b34be73ea899dp-8, 0x1.a6ccb99651c79p-8, 0x1.9aa1a4de4a3f5p-8, 0x1.8ec8b25d6a7e9p-8, 0x1.833ff52465ef6p-8, 0x1.780589ebf6c4p-8, 0x1.6d1796f319de8p-8, 0x1.62744bdd47572p-8, 0x1.5819e190bac64p-8, 0x1.4e069a14cbe19p-8, 0x1.4438c070552bep-8, 0x1.3aaea8883322ap-8, 0x1.3166aefdd71e6p-8, 0x1.285f390df5cap-8, 0x1.1f96b46f5c294p-8, 0x1.170b9731da4b7p-8, 0x1.0ebc5f9d5c708p-8, 0x1.06a79411224b7p-8, 0x1.fd9785c659c04p-9, 0x1.ee4f047f9aa05p-9, 0x1.df72e012d364ep-9, 0x1.d1006370eb6afp-9, 0x1.c2f4e8773125dp-9, 0x1.b54dd7b026f09p-9, 0x1.a808a814b805p-9, 0x1.9b22decddf299p-9, 0x1.8e9a0ef6d98cp-9, 0x1.826bd95fc9135p-9, 0x1.7695ec50e1bd6p-9, 0x1.6b16034e1997cp-9, 0x1.5fe9e6db65757p-9, 0x1.550f6c417e703p-9, 0x1.4a8475533817bp-9, 0x1.4046f03371706p-9, 0x1.3654d71b8e2e1p-9, 0x1.2cac30228fcf8p-9, 0x1.234b0d04c748cp-9, 0x1.1a2f8aec20ed8p-9, 0x1.1157d239130c9p-9, 0x1.08c2164c20095p-9, 0x1.006c955012cbdp-9, 0x1.f0ab300986d7fp-10, 0x1.e0f6e3152a271p-10, 0x1.d1b8fe5d133bep-10, 0x1.c2ee506e185c7p-10, 0x1.b493bb62bbcafp-10, 0x1.a6a6347f55d8bp-10, 0x1.9922c3cf965ebp-10, 0x1.8c0683c5591b8p-10, 0x1.7f4ea0d8e7fc6p-10, 0x1.72f8592a77869p-10, 0x1.6700fc25124b6p-10, 0x1.5b65ea22d8625p-10, 0x1.50249412a3cbdp-10, 0x1.453a7b1ef357p-10, 0x1.3aa530564a33ep-10, 0x1.30625454d9689p-10, 0x1.266f96ef8e2fep-10, 0x1.1ccab6e0757dcp-10, 0x1.13718174792a3p-10, 0x1.0a61d23a79038p-10, 0x1.019992b3b8ccbp-10, 0x1.f22d740b40e8ap-11, 0x1.e1ae9959b3c56p-11, 0x1.d1b2b86361ce1p-11, 0x1.c2360dbbb428ap-11, 0x1.b334eee6df9b3p-11, 0x1.a4abc9ca7de7ap-11, 0x1.96972420e50a4p-11, 0x1.88f39aeed418cp-11, 0x1.7bbde1fbc0847p-11, 0x1.6ef2c34c9f7f2p-11, 0x1.628f1ea1339cbp-11, 0x1.568fe8f3acb5p-11, 0x1.4af22bfadb19dp-11, 0x1.3fb305aec8dcfp-11, 0x1.34cfa7cf96ed5p-11, 0x1.2a45576ea5062p-11, 0x1.20116c7a66d64p-11, 0x1.1631514c003eep-11, 0x1.0ca2823780d5p-11, 0x1.03628d1e3fa55p-11, 0x1.f4de22069d59p-12, 0x1.e38b7b4475681p-12, 0x1.d2c8a60fd4a44p-12, 0x1.c291425afa63ep-12, 0x1.b2e10f2aa6199p-12, 0x1.a3b3e9d4127b1p-12, 0x1.9505cd3f312dp-12, 0x1.86d2d12c821eap-12, 0x1.7917297f26035p-12, 0x1.6bcf258a6467bp-12, 0x1.5ef72f6359f95p-12, 0x1.528bcb35e7864p-12, 0x1.4689969d9e66dp-12, 0x1.3aed4801e7c3dp-12, 0x1.2fb3adf61b51ap-12, 0x1.24d9ae9c877e7p-12, 0x1.1a5c470d32973p-12, 0x1.10388abfbc367p-12, 0x1.066ba2f8a1a4ep-12, 0x1.f9e59c7340862p-13, 0x1.e796bf6a5742fp-13, 0x1.d5e57d8a2cb37p-13, 0x1.c4ccccc87af0fp-13, 0x1.b447c95604749p-13, 0x1.a451b49dc90c6p-13, 0x1.94e5f449e6c5fp-13, 0x1.8600114d7babap-13, 0x1.779bb6f4e6b6ep-13, 0x1.69b4b1fa6dc14p-13, 0x1.5c46efa18c863p-13, 0x1.4f4e7cd638f42p-13, 0x1.42c78551dd5b9p-13, 0x1.36ae52c4852d6p-13, 0x1.2aff4c04ceb59p-13, 0x1.1fb6f442a380ap-13, 0x1.14d1ea3fc3721p-13, 0x1.0a4ce78cacbfcp-13, 0x1.0024bfca30fb5p-13, 0x1.ecacbfdee39eep-14, 0x1.d9bd9b27e5258p-14, 0x1.c7764c7d63c4bp-14, 0x1.b5d13d723ea6ep-14, 0x1.a4c904cb1f1dcp-14, 0x1.9458653610567p-14, 0x1.847a4c07d4203p-14, 0x1.7529d002a31bep-14, 0x1.6662302361613p-14, 0x1.581ed27770a42p-14, 0x1.4a5b42f91f2b8p-14, 0x1.3d133273b674cp-14, 0x1.3042756e94015p-14, 0x1.23e5031f37f16p-14, 0x1.17f6f462588eep-14, 0x1.0d2196e3372a5p-14, 0x1.01ff287d916b4p-14, 0x1.ee82bc07c8415p-15, 0x1.d9c99d39249ap-15, 0x1.c5cc5c114405p-15, 0x1.b284978f9aefp-15, 0x1.9fec24861adacp-15, 0x1.8dfd0bf68564cp-15, 0x1.7cb1897e9b8e2p-15, 0x1.6c0409cc8d65ep-15, 0x1.5bef291e5e2ddp-15, 0x1.4c6db1cc1da2p-15, 0x1.3d7a9adb9b6e3p-15, 0x1.2f11069e0310fp-15, 0x1.212c41584ce13p-15, 0x1.13c7bff17c2f9p-15, 0x1.06df1eae2065dp-15, 0x1.f4dc3fe460432p-16, 0x1.dce156185e92ap-16, 0x1.c5c5961208f1ap-16, 0x1.af815b1f46225p-16, 0x1.9a0d4389e9dddp-16, 0x1.85622e71bac6bp-16, 0x1.717939b05822dp-16, 0x1.5e4bbfd1f5498p-16, 0x1.4bd35619b50c4p-16, 0x1.3a09ca958f6bbp-16, 0x1.28e92241ba659p-16, 0x1.186b9731bd468p-16, 0x1.088b96d67663ep-16, 0x1.f2878086fd685p-17, 0x1.d51dc50959b93p-17, 0x1.b8cff60b25216p-17, 0x1.9d9467fdcaa14p-17, 0x1.8361c5e6c8f82p-17, 0x1.6a2f0e6f7ecefp-17, 0x1.51f391055b86p-17, 0x1.3aa6eb20386cbp-17, 0x1.2441058d60942p-17, 0x1.0eba11d905324p-17, 0x1.f4150f9454015p-18, 0x1.cc5645e2c3973p-18, 0x1.a629c0a46727bp-18, 0x1.8181f826039c3p-18, 0x1.5e51de90be247p-18, 0x1.3c8cdba822672p-18, 0x1.1c26c89dfbc18p-18, 0x1.fa27d82d6834ap-19, 0x1.be91ec77a6447p-19, 0x1.8575fa0a8f76dp-19, 0x1.4ebef12a07821p-19, 0x1.1a587f62d1ebcp-19, 0x1.d05e1187f22fbp-20, 0x1.705f428c5381fp-20, 0x1.14900d01a2b85p-20, 0x1.799a6600ad974p-21, 0x1.a3d2c6672b8c6p-22, 0x1.8e5b58d76f3dfp-24, -0x1.9bfb7f4ead952p-23, -0x1.f1654edcf4bddp-22, -0x1.838af68a1c47dp-21, -0x1.03e0667469bcap-20, -0x1.42c5993f2d66dp-20, -0x1.7e8fa508d93cdp-20, -0x1.b758317dcf8dap-20, -0x1.ed38056752c76p-20, -0x1.10238769e7519p-19, -0x1.284e35bcaba45p-19, -0x1.3f273812ec54ap-19, -0x1.54b958258562p-19, -0x1.690f02bdbedf6p-19, -0x1.7c324b1763485p-19, -0x1.8e2cee4a9c5c1p-19, -0x1.9f085680a08a9p-19, -0x1.aecd9e18a412ep-19, -0x1.bd8592b78cf48p-19, -0x1.cb38b823dcdafp-19, -0x1.d7ef4b07d323p-19, -0x1.e3b143b6e49dbp-19, -0x1.ee8658bd1c287p-19, -0x1.f876015ff2382p-19, -0x1.00c3bc045e973p-18, -0x1.04e0de4b24384p-18, -0x1.0895cb4961203p-18, -0x1.0be5cbae551fap-18, -0x1.0ed40e2069deep-18, -0x1.1163a8300008bp-18, -0x1.139797571779bp-18, -0x1.1572c1df2bc97p-18, -0x1.16f7f7c340e16p-18, -0x1.1829f38d1b11ap-18, -0x1.190b5b2034ea4p-18, -0x1.199ec085f2b58p-18, -0x1.19e6a2af5025ap-18, -0x1.19e56e2a18bd5p-18, -0x1.199d7dd14155ap-18, -0x1.19111b80727c9p-18, -0x1.184280b0c954ep-18, -0x1.1733d715e6482p-18, -0x1.15e739346670ap-18, -0x1.145eb2f830e9fp-18, -0x1.129c42344344bp-18, -0x1.10a1d732bfbd3p-18, -0x1.0e71552c3d947p-18, -0x1.0c0c92c440118p-18, -0x1.09755a7c622a8p-18, -0x1.06ad6b286a34ap-18, -0x1.03b67851c0bd7p-18, -0x1.00922aad64b51p-18, -0x1.fa8440d002ee5p-19, -0x1.f38fdb275dd2ap-19, -0x1.ec4a38f6e3993p-19, -0x1.e4b65bf573178p-19, -0x1.dcd7339dd60ebp-19, -0x1.d4af9dcb7230ap-19, -0x1.cc426750069d1p-19, -0x1.c3924c7d100e4p-19, -0x1.baa1f9c21b3a9p-19, -0x1.b1740c111c7eep-19, -0x1.a80b116bde37bp-19, -0x1.9e69895676d4ap-19, -0x1.9491e557fe306p-19, -0x1.8a868940f52ffp-19, -0x1.8049cbbe0b78ep-19, -0x1.75ddf6a03c992p-19, -0x1.6b4547480d64dp-19, -0x1.6081eef15d657p-19, -0x1.55961319b1281p-19, -0x1.4a83cdc404a96p-19, -0x1.3f4d2dc82e752p-19, -0x1.33f43725d34fap-19, -0x1.287ae342d401fp-19, -0x1.1ce321328f73ap-19, -0x1.112ed5f6003bcp-19, -0x1.055fdcb6d6feap-19, -0x1.f2f00dfee3917p-20, -0x1.daf239f3cc27p-20, -0x1.c2c9bb3e0a8afp-20, -0x1.aa79fdda7a172p-20, -0x1.92065c263a77p-20, -0x1.79721f4a2583ep-20, -0x1.60c07f8346edep-20, -0x1.47f4a47fefa9cp-20, -0x1.2f11a5ace82b1p-20, -0x1.161a8a843d0efp-20, -0x1.fa2495a61d8e5p-21, -0x1.c7f79e021f894p-21, -0x1.95b3e0acb1081p-21, -0x1.635ef244d065fp-21, -0x1.30fe4a7aacdd2p-21, -0x1.fd2e87b2505a5p-22, -0x1.985e396b86b09p-22, -0x1.3395ee51c8739p-22, -0x1.9dbf67e4c030dp-23, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.9a99d8d98b8bcp-1, -0x1.9a8ff26eca26ep-1, -0x1.9a7e8b7cb82b7p-1, -0x1.9a6456b40347cp-1, -0x1.9a3f982265d4cp-1, -0x1.9a0e36bd55e39p-1, -0x1.99cdcec4e7122p-1, -0x1.997bc3fe34fe8p-1, -0x1.99155317b06f4p-1, -0x1.9897a1c797cb3p-1, -0x1.97ffcd62b34f1p-1, -0x1.974af7cad9d76p-1, -0x1.967652acb93fbp-1, -0x1.957f291531adfp-1, -0x1.9462e771ef547p-1, -0x1.931f221841894p-1, -0x1.91b19a717a3e3p-1, -0x1.901842ee2f55fp-1, -0x1.8e5141e236a5cp-1, -0x1.8c5af36a7e466p-1, -0x1.8a33ea7c7db68p-1, -0x1.87daf13cff06ep-1, -0x1.854f08b9c2366p-1, -0x1.828f681f11a75p-1, -0x1.7f9b7b7ff193dp-1, -0x1.7c72e2451fee7p-1, -0x1.79156d54d5c8p-1, -0x1.75831d02ff95ap-1, -0x1.71bc1ed79f1eap-1, -0x1.6dc0cb372ab05p-1, -0x1.6991a2f70648ap-1, -0x1.652f4ce6b0982p-1, -0x1.609a9354dec83p-1, -0x1.5bd461968902bp-1, -0x1.56ddc194dd3bcp-1, -0x1.51b7d96621568p-1, -0x1.4c63e8f4b98a3p-1, -0x1.46e347b6ddb93p-1, -0x1.41376278eb2ecp-1, -0x1.3b61b93bc4ddp-1, -0x1.3563dd28439c5p-1, -0x1.2f3f6e985dc4p-1, -0x1.28f61b36666e9p-1, -0x1.22899c3282f96p-1, -0x1.1bfbb48e43d77p-1, -0x1.154e2f7e2913cp-1, -0x1.0e82dee0b57f4p-1, -0x1.079b99caa306dp-1, -0x1.009a3b27ae88dp-1, -0x1.f30140ded5619p-2, -0x1.e4a150dafd30bp-2, -0x1.d6186439552f8p-2, -0x1.c76a3727e035ap-2, -0x1.b89a820a62c9ep-2, -0x1.a9acf79946ebbp-2, -0x1.9aa54320d79f3p-2, -0x1.8b8706df851b7p-2, -0x1.7c55da81faa8dp-2, -0x1.6d1549bbc12bfp-2, -0x1.5dc8d2fb3f569p-2, -0x1.4e73e637f376ap-2, -0x1.3f19e3d9b7dd5p-2, -0x1.2fbe1bb80838cp-2, -0x1.2063cc302c356p-2, -0x1.110e215146fd8p-2, -0x1.01c0341d4a4efp-2, -0x1.e4fa13bbb13c1p-3, -0x1.c68f27184a86ap-3, -0x1.a8455a95df859p-3, -0x1.8a223be372dfbp-3, -0x1.6c2b2d50b8543p-3, -0x1.4e6565246d23cp-3, -0x1.30d5ed104265p-3, -0x1.1381a1c0d1d62p-3, -0x1.ecda651055b87p-4, -0x1.b33a42430abd1p-4, -0x1.7a2b83197984ep-4, -0x1.41b6740088db8p-4, -0x1.09e305e082467p-4, -0x1.a5719ca65b27ep-5, -0x1.387e0ffec2c74p-5, -0x1.99f24c5efc0afp-6, -0x1.8bbfafd2fa321p-7, 0x1.64510859d995ap-11, 0x1.b1faffe25b1e5p-7, 0x1.a39b180089be9p-6, 0x1.357359142c4dfp-5, 0x1.97668230c76c1p-5, 0x1.f79e09fd56364p-5, 0x1.2b08cc176c9c6p-4, 0x1.595cbb639fa71p-4, 0x1.86c74799f2c9ep-4, 0x1.b34533a732e48p-4, 0x1.ded38f214858ap-4, 0x1.04b7da571429p-3, 0x1.198ba43001353p-3, 0x1.2de41b03fcb8cp-3, 0x1.41c057c03eea4p-3, 0x1.551f957843daep-3, 0x1.680130845704ep-3, 0x1.7a64a59d97757p-3, 0x1.8c4990f7e98f3p-3, 0x1.9dafad5a58933p-3, 0x1.ae96d3364b577p-3, 0x1.befef7bdfafd6p-3, 0x1.cee82bfa90d22p-3, 0x1.de529be24cf9ep-3, 0x1.ed3e8d6f00abcp-3, 0x1.fbac5fb5482edp-3, 0x1.04ce44fe5d2p-2, 0x1.0b87cd6cb26c1p-2, 0x1.12031ba3710a1p-2, 0x1.18408ce2982ddp-2, 0x1.1e4088bbd2dd5p-2, 0x1.240380a310cecp-2, 0x1.2989ef805f035p-2, 0x1.2ed45943145aap-2, 0x1.33e34a766b2f1p-2, 0x1.38b757d79edb2p-2, 0x1.3d511ded98258p-2, 0x1.41b140a2460c2p-2, 0x1.45d86adda6019p-2, 0x1.49c74e229671bp-2, 0x1.4d7ea22d7711ap-2, 0x1.50ff2494a65f8p-2, 0x1.5449986ae984ap-2, 0x1.575ec5e3c4c17p-2, 0x1.5a3f79f9c93ap-2, 0x1.5cec8616e7f87p-2, 0x1.5f66bfbec8d39p-2, 0x1.61af003b2b617p-2, 0x1.63c6244a5970bp-2, 0x1.65ad0bcfa8d5p-2, 0x1.676499861400fp-2, 0x1.68edb2b4e7ab4p-2, 0x1.6a493ee6857edp-2, 0x1.6b7827a13e08ep-2, 0x1.6c7b58224103cp-2, 0x1.6d53bd1aa07a3p-2, 0x1.6e02446e65e15p-2, 0x1.6e87dcf5b7673p-2, 0x1.6ee5764007be6p-2, 0x1.6f1c005950663p-2, 0x1.6f2c6b914e152p-2, 0x1.6f17a844bd821p-2, 0x1.6edea6a893b68p-2, 0x1.6e82569729ff9p-2, 0x1.6e03a75f58a5ap-2, 0x1.6d6387957b25cp-2, 0x1.6ca2e4e658a4p-2, 0x1.6bc2abebe4b7ap-2, 0x1.6ac3c803d7afbp-2, 0x1.69a7232812e0dp-2, 0x1.686da5c8ca635p-2, 0x1.671836a86da8ap-2, 0x1.65a7bab9461c5p-2, 0x1.641d14fcc3053p-2, 0x1.627926646cee3p-2, 0x1.60bccdb47528ap-2, 0x1.5ee8e767d90b5p-2, 0x1.5cfe4d9614facp-2, 0x1.5afdd7da57d46p-2, 0x1.58e85b3c341a3p-2, 0x1.56beaa19c0cbdp-2, 0x1.548194132515cp-2, 0x1.5231e5f78449ap-2, 0x1.4fd069b342a52p-2, 0x1.4d5de63f94638p-2, 0x1.4adb1f9359bdfp-2, 0x1.4848d69531dd8p-2, 0x1.45a7c90ec4bd5p-2, 0x1.42f8b1a1381edp-2, 0x1.403c47bac6c29p-2, 0x1.3d733f8d71fccp-2, 0x1.3a9e4a06c3f6ap-2, 0x1.37be14c89b245p-2, 0x1.34d34a22f5b1ap-2, 0x1.31de910eb4fbdp-2, 0x1.2ee08d294fdbap-2, 0x1.2bd9deb16cb66p-2, 0x1.28cb22845a8a2p-2, 0x1.25b4f21c60996p-2, 0x1.2297e38fdc5c3p-2, 0x1.1f74899128df2p-2, 0x1.1c4b736f44915p-2, 0x1.191d2d172cb7p-2, 0x1.15ea3f15ee7efp-2, 0x1.12b32e9b5a622p-2, 0x1.0f787d7d6065ap-2, 0x1.0c3aaa3c0093ap-2, 0x1.08fa3005d5d33p-2, 0x1.05b786bd2754ap-2, 0x1.027322fd864a9p-2, 0x1.fe5aec43cbcccp-3, 0x1.f7cddc966159ep-3, 0x1.f13feccea04a4p-3, 0x1.eab1ec713fab9p-3, 0x1.e424a4bb92c25p-3, 0x1.dd98d8b3ff3e8p-3, 0x1.d70f453b31708p-3, 0x1.d088a11df174ap-3, 0x1.ca059d27a5a7cp-3, 0x1.c386e43561d91p-3, 0x1.bd0d1b49887ecp-3, 0x1.b698e19fea959p-3, 0x1.b02ad0c261c3ep-3, 0x1.a9c37c9ddcd61p-3, 0x1.a3637397c8973p-3, 0x1.9d0b3ea3e2371p-3, 0x1.96bb615a53935p-3, 0x1.90745a0e222f6p-3, 0x1.8a36a1e3df445p-3, 0x1.8402ace895626p-3, 0x1.7dd8ea28ebbb5p-3, 0x1.77b9c3c872c3bp-3, 0x1.71a59f191bee1p-3, 0x1.6b9cdcb2d02fdp-3, 0x1.659fd88b1e457p-3, 0x1.5faeea0cfa8e8p-3, 0x1.59ca643090815p-3, 0x1.53f2959316c23p-3, 0x1.4e27c88ea5de3p-3, 0x1.486a43520c621p-3, 0x1.42ba47f897823p-3, 0x1.3d1814a1d1348p-3, 0x1.3783e38925a8ap-3, 0x1.31fdeb1d7b8f3p-3, 0x1.2c865e18a5acdp-3, 0x1.271d6b96ba099p-3, 0x1.21c33f2d4b387p-3, 0x1.1c7801026e9abp-3, 0x1.173bd5e3a135ap-3, 0x1.120edf5c7c286p-3, 0x1.0cf13bcd361c7p-3, 0x1.07e30680f536fp-3, 0x1.02e457c3e2961p-3, 0x1.fbea89f21593fp-4, 0x1.f22bc160087f9p-4, 0x1.e88c7574940e7p-4, 0x1.df0cc080d53aap-4, 0x1.d5acb7adc1064p-4, 0x1.cc6c6b25618dfp-4, 0x1.c34be63b8d677p-4, 0x1.ba4b2f95f61dfp-4, 0x1.b16a4953bf0dfp-4, 0x1.a8a93134699bbp-4, 0x1.a007e0be3f3bcp-4, 0x1.97864d640adbp-4, 0x1.8f2468aa493b5p-4, 0x1.86e2204bb06e9p-4, 0x1.7ebf5e5d1d351p-4, 0x1.76bc0970deb08p-4, 0x1.6ed804b960981p-4, 0x1.6713302b31d06p-4, 0x1.5f6d689e69b1fp-4, 0x1.57e687ef67979p-4, 0x1.507e651eeefe6p-4, 0x1.4934d4719ea1cp-4, 0x1.4209a78ec2c14p-4, 0x1.3afcad9e83431p-4, 0x1.340db3676d007p-4, 0x1.2d3c836b5667ep-4, 0x1.2688e603a10b9p-4, 0x1.1ff2a17cd7eddp-4, 0x1.19797a31aa8c8p-4, 0x1.131d32a548028p-4, 0x1.0cdd8b9d16badp-4, 0x1.06ba4439cf64dp-4, 0x1.00b31a0ff71d2p-4, 0x1.f58f927f78fbbp-5, 0x1.e9f0191874179p-5, 0x1.de873ae437159p-5, 0x1.d354687b591bfp-5, 0x1.c857104099d96p-5, 0x1.bd8e9e8aa06bbp-5, 0x1.b2fa7dcc9205dp-5, 0x1.a89a16bd81097p-5, 0x1.9e6cd07ebae98p-5, 0x1.947210c0f74bfp-5, 0x1.8aa93be86d57bp-5, 0x1.8111b52fd03d6p-5, 0x1.77aadeca3b6c4p-5, 0x1.6e741a040c571p-5, 0x1.656cc762b50abp-5, 0x1.5c9446c38412dp-5, 0x1.53e9f7796d47dp-5, 0x1.4b6d3869d0b65p-5, 0x1.431d682849d3bp-5, 0x1.3af9e511864c3p-5, 0x1.33020d652e43ep-5, 0x1.2b353f5edbee6p-5, 0x1.2392d94e2cb19p-5, 0x1.1c1a39adea6aep-5, 0x1.14cabf3a5981ap-5, 0x1.0da3c906a5713p-5, 0x1.06a4b69179dep-5, 0x1.ff99cfb18d99cp-6, 0x1.f2377ad96ca4ap-6, 0x1.e5213103afe4p-6, 0x1.d855b6050f553p-6, 0x1.cbd3cf3f1dd56p-6, 0x1.bf9a43c01bb86p-6, 0x1.b3a7dc614eca6p-6, 0x1.a7fb63e3f6403p-6, 0x1.9c93a70cd92fp-6, 0x1.916f74be7f05cp-6, 0x1.868d9e121912p-6, 0x1.7becf66f22b1ap-6, 0x1.718c53a1c0a27p-6, 0x1.676a8defeab31p-6, 0x1.5d86802d66293p-6, 0x1.53df07ce994fep-6, 0x1.4a7304fa3d1a4p-6, 0x1.41415a99f8d19p-6, 0x1.3848ee69eed7ap-6, 0x1.2f88a907401f3p-6, 0x1.26ff75fd8d632p-6, 0x1.1eac43d380ab6p-6, 0x1.168e04166790ap-6, 0x1.0ea3ab64db6e6p-6, 0x1.06ec31788ca05p-6, 0x1.fecd225e5d5a8p-7, 0x1.f02391251d0e5p-7, 0x1.e1d9b1bfb0ffap-7, 0x1.d3ed8d1c31031p-7, 0x1.c65d32a7ea7e8p-7, 0x1.b926b8596baf6p-7, 0x1.ac483ab9118aap-7, 0x1.9fbfdce84db1cp-7, 0x1.938bc8a78856ep-7, 0x1.87aa2e5ac848cp-7, 0x1.7c19450d1b853p-7, 0x1.70d74a72d4067p-7, 0x1.65e282eaa13c8p-7, 0x1.5b39397d8bd49p-7, 0x1.50d9bfddf15b7p-7, 0x1.46c26e656a57ep-7, 0x1.3cf1a411c904cp-7, 0x1.3365c68120c56p-7, 0x1.2a1d41eceabacp-7, 0x1.21168924507dp-7, 0x1.18501585a424ep-7, 0x1.0fc866f711552p-7, 0x1.077e03de8eb88p-7, 0x1.fedef23230cc3p-8, 0x1.ef36b3e27a552p-8, 0x1.e000802a0bc68p-8, 0x1.d13997168022ap-8, 0x1.c2df455063f3ap-8, 0x1.b4eee4038382cp-8, 0x1.a765d8c62bf7dp-8, 0x1.9a41957f6edd3p-8, 0x1.8d7f984c7542bp-8, 0x1.811d6b64f28a1p-8, 0x1.7518a4fec0b83p-8, 0x1.696ee730b6e56p-8, 0x1.5e1ddfd4c47f9p-8, 0x1.532348695ee0dp-8, 0x1.487ce5f249f43p-8, 0x1.3e2888d8cdeccp-8, 0x1.34240ccb5d6eap-8, 0x1.2a6d589cbd9eep-8, 0x1.21025e22b6927p-8, 0x1.17e11a1457a75p-8, 0x1.0f0793e7db09bp-8, 0x1.0673ddb02e96ap-8, 0x1.fc4827f45ead7p-9, 0x1.ec2cbb5337045p-9, 0x1.dc91d7ab96312p-9, 0x1.cd73f34c5bda3p-9, 0x1.becf985d3ef3dp-9, 0x1.b0a164972727p-9, 0x1.a2e608fc496bfp-9, 0x1.959a499015eadp-9, 0x1.88bafd0f0535fp-9, 0x1.7c450ca652f01p-9, 0x1.703573abb1212p-9, 0x1.64893f54feec2p-9, 0x1.593d8e7013888p-9, 0x1.4e4f911aa3b14p-9, 0x1.43bc887a50bcbp-9, 0x1.3981c674e42d3p-9, 0x1.2f9cad68ce3f5p-9, 0x1.260aafe5e1452p-9, 0x1.1cc950666171fp-9, 0x1.13d621086767bp-9, 0x1.0b2ec347a2775p-9, 0x1.02d0e7b783974p-9, 0x1.f5749b7ba21cep-10, 0x1.e5d1869b69b2bp-10, 0x1.d6b44946870e4p-10, 0x1.c818b7ff0b62fp-10, 0x1.b9fac2ca13617p-10, 0x1.ac5674aa06592p-10, 0x1.9f27f319fa161p-10, 0x1.926b7d8a48fd1p-10, 0x1.861d6cde5dc7dp-10, 0x1.7a3a32ebc5c2fp-10, 0x1.6ebe59fa8bd02p-10, 0x1.63a68446e52cdp-10, 0x1.58ef6b8437e02p-10, 0x1.4e95e06181904p-10, 0x1.4496ca0f2581ep-10, 0x1.3aef25c621c0dp-10, 0x1.319c0650be964p-10, 0x1.289a9394aac97p-10, 0x1.1fe80a1e922ddp-10, 0x1.1781baaf3d21ap-10, 0x1.0f6509ca1f17bp-10, 0x1.078f6f457b942p-10, 0x1.fffcebb80a79dp-11, 0x1.f15f75801db9ep-11, 0x1.e341da607ebefp-11, 0x1.d59f9c1bb3166p-11, 0x1.c8745ee91c48cp-11, 0x1.bbbbe8a7bc2ecp-11, 0x1.af72201416dc2p-11, 0x1.a3930c01362fp-11, 0x1.981ad294cc4f8p-11, 0x1.8d05b88674e59p-11, 0x1.8250206216265p-11, 0x1.77f689cd5eca1p-11, 0x1.6df590d05d526p-11, 0x1.6449ed21338b9p-11, 0x1.5af07172dc9d2p-11, 0x1.51e60ac707ad9p-11, 0x1.4927bfc301b45p-11, 0x1.40b2b007a9f6ep-11, 0x1.3884138c6d5ecp-11, 0x1.309939fd44d35p-11, 0x1.28ef8a1baf9ccp-11, 0x1.21848122a6e2cp-11, 0x1.1a55b22d82656p-11, 0x1.1360c5a1ca9c3p-11, 0x1.0ca3789bf0933p-11, 0x1.061b9c5ee61eep-11, 0x1.ff8e2b8d1ed6fp-12, 0x1.f347b97a0ec11p-12, 0x1.e75ff7655c931p-12, 0x1.dbd31e31ff39bp-12, 0x1.d09d89c0448a1p-12, 0x1.c5bbb7ee5fa35p-12, 0x1.bb2a479e52a94p-12, 0x1.b0e5f7c122ba2p-12, 0x1.a6eba6674cab4p-12, 0x1.9d384fd660df9p-12, 0x1.93c90da3bdab8p-12, 0x1.8a9b15d4563ffp-12, 0x1.81abba016eb3dp-12, 0x1.78f866824ae96p-12, 0x1.707ea19aabd65p-12, 0x1.683c0aae1d6e8p-12, 0x1.602e5977f5aa4p-12, 0x1.58535d47fa4dep-12, 0x1.50a8fc439be0bp-12, 0x1.492d32abb0a99p-12, 0x1.41de1226a1bacp-12, 0x1.3ab9c10ef8094p-12, 0x1.33be79c63718cp-12, 0x1.2cea8a0bf41fp-12, 0x1.263c525916b4cp-12, 0x1.1fb2453f36ea9p-12, 0x1.194ae6cbfcd63p-12, 0x1.1304cbf07e70ep-12, 0x1.0cde99ec7e0dep-12, 0x1.06d705bd7aff5p-12, 0x1.00ecd3918cc18p-12, 0x1.f63dac7bca323p-13, 0x1.ead7dd71fb48ep-13, 0x1.dfa6173098cb7p-13, 0x1.d4a65122f6709p-13, 0x1.c9d69bfe1da6fp-13, 0x1.bf3520d0ca12dp-13, 0x1.b4c0201a0f1bp-13, 0x1.aa75f0e66ce16p-13, 0x1.a054fff33f076p-13, 0x1.965bced865b9p-13, 0x1.8c88f3380977bp-13, 0x1.82db15f45035fp-13, 0x1.7950f26af7275p-13, 0x1.6fe955b69c217p-13, 0x1.66a31df5aad6ep-13, 0x1.5d7d3996c64b5p-13, 0x1.5476a6aa8fe0dp-13, 0x1.4b8e723ab1dfp-13, 0x1.42c3b7a60dee2p-13, 0x1.3a15a001f9e77p-13, 0x1.318361805df28p-13, 0x1.290c3edaa91f6p-13, 0x1.20af86c1795dcp-13, 0x1.186c9350d74a5p-13, 0x1.1042c988f2e79p-13, 0x1.083198cb42a36p-13, 0x1.00387a5be6ee9p-13, 0x1.f0ade1ce8462ap-14, 0x1.e11910173af3ap-14, 0x1.d1b1a7cd9e2cep-14, 0x1.c276e14f855cfp-14, 0x1.b36804478fa76p-14, 0x1.a48466df3147ap-14, 0x1.95cb6cf7ebc59p-14, 0x1.873c876b9530bp-14, 0x1.78d7335373d57p-14, 0x1.6a9af95608c67p-14, 0x1.5c876cfb58c3ep-14, 0x1.4e9c2c078cc69p-14, 0x1.40d8dddbb9b83p-14, 0x1.333d32dcaa6c5p-14, 0x1.25c8e3df80f86p-14, 0x1.187bb19c06884p-14, 0x1.0b55642481afap-14, 0x1.fcab94c5de641p-15, 0x1.e2f97336e68f6p-15, 0x1.c99419e7c24a2p-15, 0x1.b07b4a00635c1p-15, 0x1.97aecea78dd85p-15, 0x1.7f2e7c2eb1f19p-15, 0x1.66fa2f46d21a1p-15, 0x1.4f11cc3e30f8bp-15, 0x1.37753e4688e07p-15, 0x1.202476c388b13p-15, 0x1.091f6ca155482p-15, 0x1.e4cc3765abb43p-16, 0x1.b7f1082f134bap-16, 0x1.8bad535160738p-16, 0x1.600126db0406ep-16, 0x1.34ec962c98f5p-16, 0x1.0a6fb8fc58057p-16, 0x1.c11554cce574bp-17, 0x1.6e7b1013b2c3p-17, 0x1.1d10e26220e81p-17, 0x1.99ae181a90d72p-18, 0x1.f73736a717ab4p-19, 0x1.7fab35073b675p-20, -0x1.cb1ec252183a3p-21, -0x1.a09fc60b116b3p-19, -0x1.64d8ea8601247p-18, -0x1.f6fe9278df80bp-18, -0x1.4360465a15861p-17, -0x1.8a0f4d929e06bp-17, -0x1.cf8c48ceaa6b9p-17, -0x1.09eb95df69b77p-16, -0x1.2b77fa50f7382p-16, -0x1.4c6b567e1f34cp-16, -0x1.6cc5b520067edp-16, -0x1.8c8727342b0fp-16, -0x1.abafc442fcc98p-16, -0x1.ca3faaa002b21p-16, -0x1.e836ffa3d106p-16, -0x1.02caf7f00493bp-15, -0x1.112e57a6d443ap-15, -0x1.1f45bcbaefbe1p-15, -0x1.2d1148cad6fep-15, -0x1.3a91215e3f372p-15, -0x1.47c56ff2f93c7p-15, -0x1.54ae6207903bdp-15, -0x1.614c2923b5b48p-15, -0x1.6d9efade9ab97p-15, -0x1.79a710e3493b8p-15, -0x1.8564a8f317a8cp-15, -0x1.90d804e64fbc7p-15, -0x1.9c016aab1dc23p-15, -0x1.a6e12442dc78fp-15, -0x1.b1777fbdd83f6p-15, -0x1.bbc4cf359510dp-15, -0x1.c5c968c5b7077p-15, -0x1.cf85a68395512p-15, -0x1.d8f9e674929c1p-15, -0x1.e2268a83473b4p-15, -0x1.eb0bf8739359bp-15, -0x1.f3aa99d5a748cp-15, -0x1.fc02dbf811684p-15, -0x1.020a97ec728e5p-14, -0x1.05f1050b0389dp-14, -0x1.09b4f16e5671cp-14, -0x1.0d569aec1104ep-14, -0x1.10d6410feeba1p-14, -0x1.14342512795f4p-14, -0x1.177089cf7894fp-14, -0x1.1a8bb3bc1b92fp-14, -0x1.1d85e8dce5acep-14, -0x1.205f70bb60d53p-14, -0x1.2318945b9cc8fp-14, -0x1.25b19e3181bcap-14, -0x1.282ada15f771p-14, -0x1.2a84953bea695p-14, -0x1.2cbf1e25302bp-14, -0x1.2edac49751016p-14, -0x1.30d7d9903b3d5p-14, -0x1.32b6af3ae32e3p-14, -0x1.347798e3d597ep-14, -0x1.361aeaedbd8d1p-14, -0x1.37a0fac5e50f9p-14, -0x1.390a1ed8afed8p-14, -0x1.3a56ae86180edp-14, -0x1.3b8702162a1f8p-14, -0x1.3c9b72ad8a26fp-14, -0x1.3d945a41fef71p-14, -0x1.3e72138f0a0a9p-14, -0x1.3f34fa0a8ba24p-14, }}, 
      {{-0x1.9a9bfd2bd8751p-1, -0x1.9a98bc184e01cp-1, -0x1.9a9321169dbcap-1, -0x1.9a8ae8477c7a3p-1, -0x1.9a7fb616cb3bap-1, -0x1.9a7119fd72dc6p-1, -0x1.9a5e917ad6f2bp-1, -0x1.9a478b1f3a43p-1, -0x1.9a2b698b1779fp-1, -0x1.9a09864fba469p-1, -0x1.99e134a3bf8cfp-1, -0x1.99b1c3e30474p-1, -0x1.997a81d53d6e9p-1, -0x1.993abcb92c13dp-1, -0x1.98f1c5147c943p-1, -0x1.989eef49c2d1ap-1, -0x1.984194f71d672p-1, -0x1.97d91620b0003p-1, -0x1.9764da2a964e3p-1, -0x1.96e450a62a4f8p-1, -0x1.9656f1f68c9f7p-1, -0x1.95bc3fd0567b8p-1, -0x1.9513c5983d8p-1, -0x1.945d18a44cd79p-1, -0x1.9397d86318b13p-1, -0x1.92c3ae6c242ffp-1, -0x1.91e04e7c67086p-1, -0x1.90ed7661ac8c5p-1, -0x1.8feaedd74180dp-1, -0x1.8ed886562dcf9p-1, -0x1.8db61adafea02p-1, -0x1.8c838fa2e87c9p-1, -0x1.8b40d1e1e46bap-1, -0x1.89edd7732ab39p-1, -0x1.888a9e85527dap-1, -0x1.87172d432c863p-1, -0x1.8593917a4eb47p-1, -0x1.83ffe04025765p-1, -0x1.825c359644b2bp-1, -0x1.80a8b40e9277bp-1, -0x1.7ee5846fd6991p-1, -0x1.7d12d55b1d30fp-1, -0x1.7b30daf24f69p-1, -0x1.793fce804fbb9p-1, -0x1.773fee22dd9f4p-1, -0x1.75317c767331fp-1, -0x1.7314c0444c61ep-1, -0x1.70ea0432b3bafp-1, -0x1.6eb19677b2501p-1, -0x1.6c6bc88e341fap-1, -0x1.6a18eeedad7b6p-1, -0x1.67b960c448b6cp-1, -0x1.654d77b3a0f0ap-1, -0x1.62d58f9009c14p-1, -0x1.605206225d331p-1, -0x1.5dc33aec50afap-1, -0x1.5b298eef425c9p-1, -0x1.588564757969cp-1, -0x1.55d71eddce51fp-1, -0x1.531f2269ab705p-1, -0x1.505dd40d5e398p-1, -0x1.4d939942a7477p-1, -0x1.4ac0d7dd7bce6p-1, -0x1.47e5f5e2ebbap-1, -0x1.450359621b4b7p-1, -0x1.4219684f43775p-1, -0x1.3f288860a7a42p-1, -0x1.3c311eed72ef1p-1, -0x1.393390ce6e3a8p-1, -0x1.363042407fdafp-1, -0x1.332796c8e49b9p-1, -0x1.3019f11b163b3p-1, -0x1.2d07b3004e3a5p-1, -0x1.29f13d40998a9p-1, -0x1.26d6ef8d6b188p-1, -0x1.23b9286da57bcp-1, -0x1.2098452b075bep-1, -0x1.1d74a1c0f30e3p-1, -0x1.1a4e98cc8241cp-1, -0x1.1726837dd76d2p-1, -0x1.13fcb98aa514p-1, -0x1.10d19121d94dp-1, -0x1.0da55ee06797p-1, -0x1.0a7875c71fa02p-1, -0x1.074b27318ad46p-1, -0x1.041dc2cdc34b5p-1, -0x1.00f0969539159p-1, -0x1.fb87dd8cba3b6p-2, -0x1.f5302bbe4e901p-2, -0x1.eedaa930d6fedp-2, -0x1.e887e3c3f293ep-2, -0x1.e23865beeec3dp-2, -0x1.dbecb5cbeac5fp-2, -0x1.d5a556f4534c8p-2, -0x1.cf62c89ea9693p-2, -0x1.c925868d7ea09p-2, -0x1.c2ee08df98fa9p-2, -0x1.bcbcc411324e6p-2, -0x1.b69228fe41a43p-2, -0x1.b06ea4e5bb515p-2, -0x1.aa52a16dc59c6p-2, -0x1.a43e84a8c948ap-2, -0x1.9e32b11b568e6p-2, -0x1.982f85c2d14e5p-2, -0x1.92355e1cd7bf3p-2, -0x1.8c44922f56d4dp-2, -0x1.865d769144e57p-2, -0x1.80805c73f32a1p-2, -0x1.7aad91acee9efp-2, -0x1.74e560c065456p-2, -0x1.6f2810ec05aa1p-2, -0x1.6975e63250c45p-2, -0x1.63cf216651de7p-2, -0x1.5e340037bba5dp-2, -0x1.58a4bd3f55465p-2, -0x1.5321900bbfec4p-2, -0x1.4daaad2e7c0bdp-2, -0x1.484046493577cp-2, -0x1.42e28a1b46e25p-2, -0x1.3d91a48f72249p-2, -0x1.384dbec9c16d5p-2, -0x1.3316ff35962ccp-2, -0x1.2ded8993d030fp-2, -0x1.28d17f091942fp-2, -0x1.23c2fe2c3f47fp-2, -0x1.1ec22314a37dfp-2, -0x1.19cf0768b5287p-2, -0x1.14e9c26c72652p-2, -0x1.1012690fef28cp-2, -0x1.0b490dfdd846ep-2, -0x1.068dc1a9f3655p-2, -0x1.01e0925f96947p-2, -0x1.fa8318a022c87p-3, -0x1.f161734215f3ep-3, -0x1.e85c44f593712p-3, -0x1.df739a2cce3bfp-3, -0x1.d6a77b97d27a3p-3, -0x1.cdf7ee408e375p-3, -0x1.c564f3a68bd6cp-3, -0x1.bcee89da832efp-3, -0x1.b494ab99938f5p-3, -0x1.ac57506841f6bp-3, -0x1.a4366cad265c1p-3, -0x1.9c31f1cb4c71dp-3, -0x1.9449ce3c3f15bp-3, -0x1.8c7deda9c1122p-3, -0x1.84ce39072b466p-3, -0x1.7d3a96aa71158p-3, -0x1.75c2ea64c6b7ep-3, -0x1.6e67159aeb306p-3, -0x1.6726f75d0edc5p-3, -0x1.60026c7e54dbcp-3, -0x1.58f94fabf1f57p-3, -0x1.520b7983e9d83p-3, -0x1.4b38c0ab5d872p-3, -0x1.4480f9e4757f9p-3, -0x1.3de3f823e6b78p-3, -0x1.37618ca6029e8p-3, -0x1.30f987036ba4ap-3, -0x1.2aabb5455301ap-3, -0x1.2477e3f94f91dp-3, -0x1.1e5dde44cc078p-3, -0x1.185d6df802c1cp-3, -0x1.12765ba0972p-3, -0x1.0ca86e9bbb9aap-3, -0x1.06f36d27f1d2cp-3, -0x1.01571c765d8f8p-3, -0x1.f7a6817757158p-4, -0x1.eccf3a8129af7p-4, -0x1.e227e8e3e3664p-4, -0x1.d7b00fe0d1db8p-4, -0x1.cd67313f680e3p-4, -0x1.c34ccd6af8bc1p-4, -0x1.b960638fad7c9p-4, -0x1.afa171b6a57a3p-4, -0x1.a60f74e1562c4p-4, -0x1.9ca9e9241fff6p-4, -0x1.937049c01f30dp-4, -0x1.8a62113c3dc99p-4, -0x1.817eb97d7f28ep-4, -0x1.78c5bbde946ccp-4, -0x1.70369146b1f9ap-4, -0x1.67d0b23faeee8p-4, -0x1.5f93970b6bb3bp-4, -0x1.577eb7b88843fp-4, -0x1.4f918c36683fdp-4, -0x1.47cb8c68895eap-4, -0x1.402c30392f3a8p-4, -0x1.38b2efab6693dp-4, -0x1.315f42ec64454p-4, -0x1.2a30a2643fbaep-4, -0x1.232686c610aa8p-4, -0x1.1c40691f6d3c2p-4, -0x1.157dc2e75141bp-4, -0x1.0ede0e0c6d154p-4, -0x1.0860c502e1bfep-4, -0x1.020562d16aeeep-4, -0x1.f796c63bfacfbp-5, -0x1.eb648473b126p-5, -0x1.df72fa5a22e15p-5, -0x1.d3c1238330c52p-5, -0x1.c84dfd1b7af5ep-5, -0x1.bd1885fc6864p-5, -0x1.b21fbebf3c7f6p-5, -0x1.a762a9cf33766p-5, -0x1.9ce04b7ab74adp-5, -0x1.9297aa03ad0a3p-5, -0x1.8887cdaedebadp-5, -0x1.7eafc0d28d414p-5, -0x1.750e8fe42bff5p-5, -0x1.6ba349854958bp-5, -0x1.626cfe8fb0c62p-5, -0x1.596ac220c61e7p-5, -0x1.509ba9a41fb5bp-5, -0x1.47feccdd681f4p-5, -0x1.3f9345f18a61dp-5, -0x1.3758316f2de61p-5, -0x1.2f4cae568765ep-5, -0x1.276fde20837p-5, -0x1.1fc0e4c5534bp-5, -0x1.183ee8c259c17p-5, -0x1.10e9131f84286p-5, -0x1.09be8f740f9f1p-5, -0x1.02be8beac0299p-5, -0x1.f7d0728b22c8cp-6, -0x1.ea7595c1c0ec1p-6, -0x1.dd6aed6c2bdd1p-6, -0x1.d0aeeabbac884p-6, -0x1.c44004237072p-6, -0x1.b81cb55b1553dp-6, -0x1.ac437f60538bbp-6, -0x1.a0b2e877d5701p-6, -0x1.95697c2d3ad4bp-6, -0x1.8a65cb525ff8ap-6, -0x1.7fa66bfdde03cp-6, -0x1.7529f988d813bp-6, -0x1.6aef148c16f45p-6, -0x1.60f462dc7ec63p-6, -0x1.57388f86e0afap-6, -0x1.4dba4acb31be3p-6, -0x1.44784a1731862p-6, -0x1.3b7148007cfc5p-6, -0x1.32a4043e1f20dp-6, -0x1.2a0f43a19ec78p-6, -0x1.21b1d00f91eeap-6, -0x1.198a7877bc467p-6, -0x1.119810ccbbb8ep-6, -0x1.09d971fb4f9c9p-6, -0x1.024d79e13a939p-6, -0x1.f5e6168782623p-7, -0x1.e7921b8ba85d5p-7, -0x1.d99cdbbbcaf69p-7, -0x1.cc043996cee2bp-7, -0x1.bec6211815363p-7, -0x1.b1e087a15c1e7p-7, -0x1.a5516be4187f3p-7, -0x1.9916d5ca6a3b8p-7, -0x1.8d2ed65f7cb84p-7, -0x1.819787b79e2fdp-7, -0x1.764f0cd7ddfcep-7, -0x1.6b53919d53a38p-7, -0x1.60a34aa41f7bap-7, -0x1.563c752e0a3fdp-7, -0x1.4c1d5708f1f1bp-7, -0x1.42443e74eed39p-7, -0x1.38af820a3ed22p-7, -0x1.2f5d809f0626p-7, -0x1.264ca12cde6a2p-7, -0x1.1d7b52b642cc2p-7, -0x1.14e80c2bdae0fp-7, -0x1.0c914c51ab28cp-7, -0x1.047599a430be2p-7, -0x1.f927047ad693cp-8, -0x1.e9d33773ba817p-8, -0x1.daed063b06ce9p-8, -0x1.cc71b9719744p-8, -0x1.be5ea81b1a122p-8, -0x1.b0b137680c5bcp-8, -0x1.a366da7fcbdcep-8, -0x1.967d124ac34f8p-8, -0x1.89f16d3cbad72p-8, -0x1.7dc1871f52edap-8, -0x1.71eb08dcaee16p-8, -0x1.666ba84a58771p-8, -0x1.5b4127f45ea84p-8, -0x1.506956e8b9e71p-8, -0x1.45e21082f7519p-8, -0x1.3ba93c3832241p-8, -0x1.31bccd6360357p-8, -0x1.281ac311f68c8p-8, -0x1.1ec127d0e928ep-8, -0x1.15ae117a0be71p-8, -0x1.0cdfa101d6c17p-8, -0x1.04540245939e4p-8, -0x1.f812d7b3eac7ap-9, -0x1.e7fc3db44336dp-9, -0x1.d860cd6e50d6bp-9, -0x1.c93d320fe862ap-9, -0x1.ba8e2ab35e199p-9, -0x1.ac508a014b563p-9, -0x1.9e8135d344888p-9, -0x1.911d26d796a4dp-9, -0x1.84216835fcd5fp-9, -0x1.778b17356587p-9, -0x1.6b5762e2b701p-9, -0x1.5f838bb8a5a0fp-9, -0x1.540ce34897b4bp-9, -0x1.48f0cbe4981fbp-9, -0x1.3e2cb84a5f182p-9, -0x1.33be2b4f6f4cdp-9, -0x1.29a2b78e4803fp-9, -0x1.1fd7ff14b1d38p-9, -0x1.165bb31324d3p-9, -0x1.0d2b938d47b77p-9, -0x1.04456f0b8b387p-9, -0x1.f74e449bbf005p-10, -0x1.e69d2fff1169bp-10, -0x1.d67390d818d9ep-10, -0x1.c6cd726a7a399p-10, -0x1.b7a6fa14c15dfp-10, -0x1.a8fc66c0e24bep-10, -0x1.9aca1056f5504p-10, -0x1.8d0c673223cb2p-10, -0x1.7fbff397c6cdcp-10, -0x1.72e15530b66b2p-10, -0x1.666d4284c77b4p-10, -0x1.5a608878758fbp-10, -0x1.4eb809ccb258ep-10, -0x1.4370bea0db9c1p-10, -0x1.3887b3f6d338ep-10, -0x1.2dfa0b3935ddfp-10, -0x1.23c4f9c3ad0c1p-10, -0x1.19e5c86d5485ap-10, -0x1.1059d315344bap-10, -0x1.071e8830cce6cp-10, -0x1.fc62d0b94bc6cp-11, -0x1.eb200bddd1f23p-11, -0x1.da700917ef064p-11, -0x1.ca4e317a01309p-11, -0x1.bab60f1118192p-11, -0x1.aba34c19edbdcp-11, -0x1.9d11b239b9d0dp-11, -0x1.8efd29bad3acep-11, -0x1.8161b8cd175fcp-11, -0x1.743b82ca03ac2p-11, -0x1.6786c77c87195p-11, -0x1.5b3fe26c6e8d2p-11, -0x1.4f634a2d6ca97p-11, -0x1.43ed8fb1aa9c2p-11, -0x1.38db5d9fdd6dbp-11, -0x1.2e2977accc714p-11, -0x1.23d4b9f8436dcp-11, -0x1.19da186d61de1p-11, -0x1.10369e263aab3p-11, -0x1.06e76cd2bb992p-11, -0x1.fbd378459cdf2p-12, -0x1.ea75b2674d9e3p-12, -0x1.d9b04c006a178p-12, -0x1.c97e31a95a503p-12, -0x1.b9da778a33adep-12, -0x1.aac0584ddaa5cp-12, -0x1.9c2b341b0b616p-12, -0x1.8e168f932e531p-12, -0x1.807e12d6e80fdp-12, -0x1.735d88904067dp-12, -0x1.66b0dd0257bbfp-12, -0x1.5a741d1e8a956p-12, -0x1.4ea3759eeb2f1p-12, -0x1.433b3225ffd2ap-12, -0x1.3837bc63ad449p-12, -0x1.2d959b3f2ff91p-12, -0x1.23517206185c8p-12, -0x1.1967ffa029c1dp-12, -0x1.0fd61dc80e019p-12, -0x1.0698c048bc758p-12, -0x1.fb59e87f1eb81p-13, -0x1.ea1fbec5bb85bp-13, -0x1.d97d7e9a291fp-13, -0x1.c96dd19863a9p-13, -0x1.b9eb8e6b1b755p-13, -0x1.aaf1b77bbb438p-13, -0x1.9c7b79aab5e6ep-13, -0x1.8e842b0ff74a4p-13, -0x1.810749c34ae0bp-13, -0x1.74007aac91affp-13, -0x1.676b885ba3ecdp-13, -0x1.5b4461e7abb7bp-13, -0x1.4f8719d5e35d3p-13, -0x1.442fe507810e3p-13, -0x1.393b19aeaebc1p-13, -0x1.2ea52e4a75c82p-13, -0x1.246ab8a95f77ep-13, -0x1.1a886cf2c0479p-13, -0x1.10fb1cb67c8eep-13, -0x1.07bfb60323586p-13, -0x1.fda6850483648p-14, -0x1.ec65cd3593135p-14, -0x1.dbb7c132d1e14p-14, -0x1.cb970fbd62c25p-14, -0x1.bbfe9825e9bd7p-14, -0x1.ace968bf560c7p-14, -0x1.9e52bd5c952f9p-14, -0x1.9035fdd8e460fp-14, -0x1.828ebcaa89a35p-14, -0x1.7558b57fb10d7p-14, -0x1.688fcbe5361d2p-14, -0x1.5c3009f720dd4p-14, -0x1.50359f1a9a582p-14, -0x1.449cdec11ff35p-14, -0x1.39623f34bfd76p-14, -0x1.2e82586d27a16p-14, -0x1.23f9e2ed4d284p-14, -0x1.19c5b6a980574p-14, -0x1.0fe2c9f5b06e1p-14, -0x1.064e307bb2364p-14, -0x1.fa0a3472aa326p-15, -0x1.e809a50c2c8a9p-15, -0x1.d6957e40889cdp-15, -0x1.c5a8be82bca71p-15, -0x1.b53e957310f13p-15, -0x1.a5526223c1d9p-15, -0x1.95dfb16b1d803p-15, -0x1.86e23c42b5a23p-15, -0x1.7855e63357bf6p-15, -0x1.6a36bbcd718b7p-15, -0x1.5c80f12d94e14p-15, -0x1.4f30e08cc57bfp-15, -0x1.424308dc48c34p-15, -0x1.35b40c6ca3b8ep-15, -0x1.2980af9f817cep-15, -0x1.1da5d7a432ca6p-15, -0x1.1220893e8535ap-15, -0x1.06ede797a344ep-15, -0x1.f816663182701p-16, -0x1.e2eb909e90a32p-16, -0x1.ce563db49470dp-16, -0x1.ba5190c1e0dcap-16, -0x1.a6d8df2362e53p-16, -0x1.93e7ae540cc9ep-16, -0x1.8179b20cd6f2ep-16, -0x1.6f8aca74cfbb7p-16, -0x1.5e170260dc72ap-16, -0x1.4d1a8da2a137fp-16, -0x1.3c91c76633789p-16, -0x1.2c79309e275c8p-16, -0x1.1ccd6e7d8873p-16, -0x1.0d8b48ff5ae6ep-16, -0x1.fd5f52f68da94p-17, -0x1.e06f328df6613p-17, -0x1.c44080c7f7b72p-17, -0x1.a8cdc872dd9f2p-17, -0x1.8e11ccb32defep-17, -0x1.740786a52cc54p-17, -0x1.5aaa23146de08p-17, -0x1.41f5004894834p-17, -0x1.29e3abe6c8b5bp-17, -0x1.1271e0e72835cp-17, -0x1.f7370b3b3c5d5p-18, -0x1.cab953ab0be0dp-18, -0x1.9f6309ff0ec2ep-18, -0x1.752ce8e22c8ffp-18, -0x1.4c0ff36a1547cp-18, -0x1.240571d98e599p-18, -0x1.fa0ddd059832ep-19, -0x1.ae1c6591a9b8cp-19, -0x1.642a887dd93dbp-19, -0x1.1c2cc3ca24fc7p-19, -0x1.ac300602754b6p-20, -0x1.23c3344029fc2p-20, -0x1.3dfd02c8ebb36p-21, -0x1.dce1a41bd81d2p-24, 0x1.7f847e66c0c99p-22, 0x1.b4433d07d9b86p-21, 0x1.510530fbf44b8p-20, 0x1.c49d09955e7ap-20, 0x1.1a7ce3472dbddp-19, 0x1.5115bc89781d4p-19, 0x1.8620d61822fa8p-19, 0x1.b9a5b5bd6958p-19, 0x1.ebaba4b50db33p-19, 0x1.0e1cd95b276a4p-18, 0x1.25ab5c6d9fa29p-18, 0x1.3c84ae33599f1p-18, 0x1.52ac08b501a3p-18, 0x1.68248ea5e2b95p-18, 0x1.7cf14c984f0f2p-18, 0x1.91153a23a673p-18, 0x1.a4933afc7b3cep-18, 0x1.b76e1fff61b2fp-18, 0x1.c9a8a82ee420bp-18, 0x1.db4581a51b9a1p-18, 0x1.ec474a7964be7p-18, 0x1.fcb0919aa6146p-18, 0x1.0641ebcf4c339p-17, 0x1.0de1c7c33fa02p-17, 0x1.15390fbcdeef1p-17, 0x1.1c48f0bb559c9p-17, 0x1.231291fd06b8p-17, 0x1.2997154ecd91bp-17, 0x1.2fd79756efa4ap-17, 0x1.35d52fdbee6b9p-17, 0x1.3b90f20762eeep-17, 0x1.410beca50fdb1p-17, 0x1.46472a5e50084p-17, 0x1.4b43b1f20cf7ep-17, 0x1.500286695edc9p-17, 0x1.5484a749001d3p-17, 0x1.58cb10bfb1497p-17, 0x1.5cd6bbd1bc7bfp-17, 0x1.60a89e81a906ap-17, 0x1.6441abf649a22p-17, 0x1.67a2d49e4abedp-17, 0x1.6acd0651482bp-17, 0x1.6dc12c6ea525p-17, 0x1.70802ffa2568bp-17, 0x1.730af7b67c89cp-17, 0x1.7562683ddad13p-17, 0x1.77876418901c5p-17, 0x1.797acbd1f44cdp-17, 0x1.7b3d7e0b8ca44p-17, 0x1.7cd0578e9ab82p-17, 0x1.7e34335c21f68p-17, 0x1.7f69eabb79597p-17, 0x1.80725547833a1p-17, 0x1.814e48fa8e253p-17, 0x1.81fe9a3902b8dp-17, 0x1.82841bdaecf3ep-17, 0x1.82df9f34682cbp-17, 0x1.8311f41d04bd8p-17, 0x1.831be8f63e759p-17, 0x1.82fe4ab0fc9aep-17, 0x1.82b9e4d24b0ap-17, 0x1.824f817736d7fp-17, 0x1.81bfe957f6ce4p-17, 0x1.810be3ca5fc2dp-17, 0x1.803436c3b052p-17, 0x1.7f39a6d9c9998p-17, 0x1.7e1cf743d3831p-17, 0x1.7cdee9da5c78ep-17, 0x1.7b803f1705cf6p-17, 0x1.7a01b613bce47p-17, 0x1.78640c8986b7p-17, 0x1.76a7fecefacadp-17, 0x1.74ce47d6605f6p-17, 0x1.72d7a12b7af21p-17, 0x1.70c4c2f11a39bp-17, 0x1.6e9663de6ab85p-17, 0x1.6c4d393c04027p-17, 0x1.69e9f6e0d18d9p-17, 0x1.676d4f2ed1b43p-17, 0x1.64d7f30fa52a2p-17, 0x1.622a91f108d3cp-17, 0x1.5f65d9c135abap-17, 0x1.5c8a76eb26b78p-17, 0x1.59991452d6585p-17, 0x1.56925b51676c2p-17, 0x1.5376f3b154345p-17, 0x1.504783aa890efp-17, 0x1.4d04afde91a1fp-17, 0x1.49af1b54c0d67p-17, 0x1.464767765f2b4p-17, 0x1.42ce340ae99a6p-17, 0x1.3f441f345a4aep-17, 0x1.3ba9c56b83221p-17, 0x1.37ffc17c7ac65p-17, 0x1.3446ac831f65ap-17, 0x1.307f1de7b0659p-17, 0x1.2ca9ab5b82049p-17, 0x1.28c6e8d5cbc8fp-17, 0x1.24d768909558cp-17, 0x1.20dbbb05bfda8p-17, 0x1.1cd46eec3158bp-17, 0x1.18c211351ffebp-17, 0x1.14a52d0980eebp-17, 0x1.107e4bc79a411p-17, 0x1.0c4df500b8c2p-17, 0x1.0814ae770c4ep-17, 0x1.03d2fc1ba9385p-17, 0x1.ff12c019617f3p-18, 0x1.f670b5273ff96p-18, 0x1.edc0d4478f35ap-18, 0x1.e50416b1d4f15p-18, 0x1.dc3b71ec09472p-18, 0x1.d367d7c875ee3p-18, 0x1.ca8a3663e62cap-18, 0x1.c1a3782427355p-18, 0x1.b8b483b6db3e3p-18, 0x1.afbe3c109afccp-18, 0x1.a6c1806c6a251p-18, 0x1.9dbf2c4b7971cp-18, 0x1.94b817753b1aap-18, 0x1.8bad15f7c48acp-18, 0x1.829ef8287e7bfp-18, 0x1.798e8aa52379p-18, 0x1.707c96550ac1p-18, 0x1.6769e06abe1b6p-18, 0x1.5e572a65dca0fp-18, 0x1.5545321544b6ep-18, 0x1.4c34b19988afbp-18, 0x1.43265f67a92d5p-18, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.d1917bdc4805p-11, -0x1.d05097b5e01eep-10, -0x1.5a8b459feb13p-9, -0x1.ca999bf9bd44dp-9, -0x1.1b92747ac99d1p-8, -0x1.4f623faf040cdp-8, -0x1.7fed85b2b2317p-8, -0x1.ac4faea05183ap-8, -0x1.d39371d087ebap-8, -0x1.f4b8641a2c385p-8, -0x1.075c3c8f157a3p-7, -0x1.10469c3ab8d27p-7, -0x1.149a3f49522b8p-7, -0x1.13da59112d64bp-7, -0x1.0d903188f88cbp-7, -0x1.014ca89e3763p-7, -0x1.dd52dee641a72p-8, -0x1.aa93f751fe718p-8, -0x1.69b874534b2eep-8, -0x1.1a320f3d63c12p-8, -0x1.7711d45b0d2fap-9, -0x1.356efaea1c042p-10, 0x1.85020a8330c81p-11, 0x1.7d3f9a67a5632p-9, 0x1.5cc21d5841205p-8, 0x1.0588d80e47a94p-7, 0x1.64c29916f268ep-7, 0x1.cc004120f8eadp-7, 0x1.1d957241c5dbcp-6, 0x1.5911a7c30f713p-6, 0x1.98614ed03f1a3p-6, 0x1.db6d695ecc9a7p-6, 0x1.110ddd25316eap-5, 0x1.362788a02c362p-5, 0x1.5cf3caa16211fp-5, 0x1.8561869e5b95bp-5, 0x1.af5e931edbaa2p-5, 0x1.dad7db85a15d9p-5, 0x1.03dcc0331e88ap-4, 0x1.1af77b2982399p-4, 0x1.32b1918ae6c89p-4, 0x1.4b003ca63b01dp-4, 0x1.63d88933bb23ep-4, 0x1.7d2f638686faep-4, 0x1.96f9a2f37bde4p-4, 0x1.b12c1471b38a9p-4, 0x1.cbbb847a03261p-4, 0x1.e69cc82bc967dp-4, 0x1.00e262ded1a8dp-3, 0x1.0e943e20b9cf6p-3, 0x1.1c5e85617c3dfp-3, 0x1.2a3bdb644dac1p-3, 0x1.3826f91f06bc5p-3, 0x1.461ab0681af24p-3, 0x1.5411ee60f476fp-3, 0x1.6207bda0574c4p-3, 0x1.6ff7482056d0cp-3, 0x1.7ddbd8f350b2cp-3, 0x1.8bb0ddc3363cfp-3, 0x1.9971e81e65d92p-3, 0x1.a71aae9513cfbp-3, 0x1.b4a70daa4309dp-3, 0x1.c213089b13afbp-3, 0x1.cf5ac9ff1f673p-3, 0x1.dc7aa4446e1d3p-3, 0x1.e96f12097bc8bp-3, 0x1.f634b6579b9e8p-3, 0x1.01642e5ffb8bap-2, 0x1.07937caea18cap-2, 0x1.0da6d45e12f81p-2, 0x1.139cd7d62147p-2, 0x1.19743d7dd3888p-2, 0x1.1f2bcf8f32a55p-2, 0x1.24c26be1f7289p-2, 0x1.2a3703addd243p-2, 0x1.2f889b455c306p-2, 0x1.34b649c972204p-2, 0x1.39bf38d72b811p-2, 0x1.3ea2a42f83d28p-2, 0x1.435fd95a38484p-2, 0x1.47f6374415db5p-2, 0x1.4c652dd9504a2p-2, 0x1.50ac3d9c537ecp-2, 0x1.54caf73992dc4p-2, 0x1.58c0fb18c000dp-2, 0x1.5c8df8ebce941p-2, 0x1.6031af3c32a5ap-2, 0x1.63abeaf6a8c58p-2, 0x1.66fc86f5e9088p-2, 0x1.6a236b8c8fbdap-2, 0x1.6d208e0e8cc07p-2, 0x1.6ff3f05a57dc4p-2, 0x1.729da06235e6p-2, 0x1.751db7b5c4a5p-2, 0x1.77745b0c06469p-2, 0x1.79a1b9ce266b2p-2, 0x1.7ba60da320d17p-2, 0x1.7d8199fc7f48ep-2, 0x1.7f34aba44e947p-2, 0x1.80bf984c75c9cp-2, 0x1.8222be1f935aap-2, 0x1.835e83537788dp-2, 0x1.847355bd5e227p-2, 0x1.8561aa68041c6p-2, 0x1.8629fd2ba47a5p-2, 0x1.86ccd047fb4e3p-2, 0x1.874aac005d51dp-2, 0x1.87a41e39f1bd2p-2, 0x1.87d9ba1c1d4dbp-2, 0x1.87ec17b32d72cp-2, 0x1.87dbd395439e7p-2, 0x1.87a98e89995c8p-2, 0x1.8755ed320e3b5p-2, 0x1.86e197b71b3bcp-2, 0x1.864d39761a309p-2, 0x1.859980b1f5b8bp-2, 0x1.84c71e463351ap-2, 0x1.83d6c55c619ecp-2, 0x1.82c92b23e6f0ep-2, 0x1.819f068c2ba7ap-2, 0x1.805910011e39ep-2, 0x1.7ef8012a10049p-2, 0x1.7d7c94aae2132p-2, 0x1.7be785e77c2aap-2, 0x1.7a3990c98f68fp-2, 0x1.78737188918f3p-2, 0x1.7695e473f47b5p-2, 0x1.74a1a5bf8b4dfp-2, 0x1.729771521a285p-2, 0x1.7078029602dfcp-2, 0x1.6e44144c08ef2p-2, 0x1.6bfc606020c6bp-2, 0x1.69a19fc045a32p-2, 0x1.67348a3544c56p-2, 0x1.64b5d63d7af72p-2, 0x1.622638e974f6ap-2, 0x1.5f8665ba69ffp-2, 0x1.5cd70e828881bp-2, 0x1.5a18e347061d1p-2, 0x1.574c9223e7d24p-2, 0x1.5472c7317cc11p-2, 0x1.518c2c6b7c774p-2, 0x1.4e996999bba1p-2, 0x1.4b9b243a7325p-2, 0x1.4891ff6e06c2dp-2, 0x1.457e9be446ce7p-2, 0x1.426197cb1d32cp-2, 0x1.3f3b8ebea003ap-2, 0x1.3c0d19ba75d54p-2, 0x1.38d6cf0c8f5d3p-2, 0x1.359942491b191p-2, 0x1.3255043fb6ef3p-2, 0x1.2f0aa2f1cbffdp-2, 0x1.2bbaa98a0d2bdp-2, 0x1.2865a05511b9p-2, 0x1.250c0cbafaec4p-2, 0x1.21ae713a2033ep-2, 0x1.1e4d4d62b6e3ap-2, 0x1.1ae91dd36af4p-2, 0x1.17825c36de366p-2, 0x1.14197f4209284p-2, 0x1.10aefab36ee1ap-2, 0x1.0d433f531ed6ep-2, 0x1.09d6baf379007p-2, 0x1.0669d872aeaebp-2, 0x1.02fcffbcf65e7p-2, 0x1.ff212b9ecb98ep-3, 0x1.f849f976eab73p-3, 0x1.f17527562cc1bp-3, 0x1.eaa36dcac416dp-3, 0x1.e3d57fa79f856p-3, 0x1.dd0c0a0fdeeafp-3, 0x1.d647b4834606cp-3, 0x1.cf8920eb94e0bp-3, 0x1.c8d0ebaac07d6p-3, 0x1.c21faba9f885p-3, 0x1.bb75f2697496p-3, 0x1.b4d44c10f4277p-3, 0x1.ae3b3f80ec94cp-3, 0x1.a7ab4e6451f99p-3, 0x1.a124f542f5959p-3, 0x1.9aa8ab946ac58p-3, 0x1.9436e3d36c681p-3, 0x1.8dd00b91b1178p-3, 0x1.87748b8c280fep-3, 0x1.8124c7bf9c1dcp-3, 0x1.7ae11f7d9eae3p-3, 0x1.74a9ed81d01b8p-3, 0x1.6e7f88075afe7p-3, 0x1.686240deb7a02p-3, 0x1.625265839c486p-3, 0x1.5c503f3317c47p-3, 0x1.565c1301d382fp-3, 0x1.507621f271d59p-3, 0x1.4a9ea90bfdca5p-3, 0x1.44d5e1706adap-3, 0x1.3f1c0073238afp-3, 0x1.397137af91eb3p-3, 0x1.33d5b51fa6486p-3, 0x1.2e49a3325b446p-3, 0x1.28cd28e223ec1p-3, 0x1.236069cb4917ep-3, 0x1.1e0386422fed8p-3, 0x1.18b69b6980b78p-3, 0x1.1379c34830b55p-3, 0x1.0e4d14df61b37p-3, 0x1.0930a4401bd01p-3, 0x1.042482a0d8a1fp-3, 0x1.fe517ce5bdbd9p-4, 0x1.f47ac6eed7bep-4, 0x1.eac4f5a940df6p-4, 0x1.e13016547c4a3p-4, 0x1.d7bc314c3755dp-4, 0x1.ce694a30d167dp-4, 0x1.c537600f41f9cp-4, 0x1.bc266d8896d3ep-4, 0x1.b33668f8d06eep-4, 0x1.aa67449d3c269p-4, 0x1.a1b8eeba3aa6fp-4, 0x1.992b51c0688b4p-4, 0x1.90be54714393cp-4, 0x1.8871da031f954p-4, 0x1.8045c2448cbc1p-4, 0x1.7839e9bf1b9c6p-4, 0x1.704e29d9812b9p-4, 0x1.688258f918e04p-4, 0x1.60d64aa2c5269p-4, 0x1.5949cf9b2b578p-4, 0x1.51dcb6064a52ep-4, 0x1.4a8ec9866d22ep-4, 0x1.435fd35a76808p-4, 0x1.3c4f9a7b87806p-4, 0x1.355de3b9fef2ep-4, 0x1.2e8a71d9d366p-4, 0x1.27d505ae476fep-4, 0x1.213d5e34f7e6dp-4, 0x1.1ac338b04623dp-4, 0x1.146650c11d14bp-4, 0x1.0e26608013c07p-4, 0x1.08032095ed11ep-4, 0x1.01fc485376227p-4, 0x1.f8231b918829fp-5, 0x1.ec854bb7a7eb5p-5, 0x1.e11e88bd188bap-5, 0x1.d5ee3848449f3p-5, 0x1.caf3be2bcabc7p-5, 0x1.c02e7c8ee177bp-5, 0x1.b59dd4148e31p-5, 0x1.ab412401af692p-5, 0x1.a117ca61e14bcp-5, 0x1.9721242b3dd86p-5, 0x1.8d5c8d60fdfp-5, 0x1.83c9613500e9bp-5, 0x1.7a66fa2839f8ep-5, 0x1.7134b22a0b7e4p-5, 0x1.6831e2b69588fp-5, 0x1.5f5de4f3f83d4p-5, 0x1.56b811ce8fc1dp-5, 0x1.4e3fc21430bbep-5, 0x1.45f44e8e65b63p-5, 0x1.3dd5101bb696cp-5, 0x1.35e15fc7fa253p-5, 0x1.2e1896e3b95d3p-5, 0x1.267a0f1aa8c84p-5, 0x1.1f0522893aad7p-5, 0x1.17b92bd15289bp-5, 0x1.1095862e191c5p-5, 0x1.09998d86fae26p-5, 0x1.02c49e81d267cp-5, 0x1.f82c2d288ba5fp-6, 0x1.eb1aa828b0be4p-6, 0x1.de536c90706b2p-6, 0x1.d1d53aea98592p-6, 0x1.c59ed5dd08762p-6, 0x1.b9af0243e8be9p-6, 0x1.ae04874b77757p-6, 0x1.a29e2e887b087p-6, 0x1.977ac40f60132p-6, 0x1.8c99168a10deep-6, 0x1.81f7f74c82db8p-6, 0x1.77963a6813658p-6, 0x1.6d72b6bdaeed1p-6, 0x1.638c460ed2ac8p-6, 0x1.59e1c50d6bc01p-6, 0x1.5072136aa264cp-6, 0x1.473c13e494e34p-6, 0x1.3e3eac5307c8ep-6, 0x1.3578c5b31db96p-6, 0x1.2ce94c3211389p-6, 0x1.248f2f37063cbp-6, 0x1.1c69616bea639p-6, 0x1.1476d8c57dd31p-6, 0x1.0cb68e8a7d08dp-6, 0x1.05277f59fd2eep-6, 0x1.fb915661eee55p-7, 0x1.ed322ade30f0ep-7, 0x1.df2f89b5985f5p-7, 0x1.d18787492f3c6p-7, 0x1.c4383ed381475p-7, 0x1.b73fd26c9b1bbp-7, 0x1.aa9c6b0cc7117p-7, 0x1.9e4c388e07d1ap-7, 0x1.924d71ac6cc85p-7, 0x1.869e540548e33p-7, 0x1.7b3d24154a355p-7, 0x1.70282d358905bp-7, 0x1.655dc197a4cb1p-7, 0x1.5adc3a40d72a6p-7, 0x1.50a1f7042fa03p-7, 0x1.46ad5e7bea305p-7, 0x1.3cfcde01e98b5p-7, 0x1.338ee9a771195p-7, 0x1.2a61fc2c15e78p-7, 0x1.217496f3f9c04p-7, 0x1.18c541fd5657cp-7, 0x1.10528bd5621dcp-7, 0x1.081b098c9697cp-7, 0x1.001d56aa62647p-7, 0x1.f0b02a40995bap-8, 0x1.e193da7928a0fp-8, 0x1.d2e31b38a1d24p-8, 0x1.c49b563a3a7b4p-8, 0x1.b6ba019ca69f4p-8, 0x1.a93c9fc3c1b3dp-8, 0x1.9c20bf39736b5p-8, 0x1.8f63fa8de1c34p-8, 0x1.8303f836fb076p-8, 0x1.76fe6a6f61edbp-8, 0x1.6b510f14ce149p-8, 0x1.5ff9af85e4d65p-8, 0x1.54f6207f9d03ep-8, 0x1.4a4441fa32e13p-8, 0x1.3fe1ff05b8c4ep-8, 0x1.35cd4da650bebp-8, 0x1.2c042eb016049p-8, 0x1.2284ada2bfba6p-8, 0x1.194ce085089cbp-8, 0x1.105ae7bfe371ap-8, 0x1.07acedf9814fbp-8, 0x1.fe824fe0702dap-9, 0x1.ee2ba8aa98f5ep-9, 0x1.de52774f4c35p-9, 0x1.cef3601cf4959p-9, 0x1.c00b1a67dfb61p-9, 0x1.b196703f85aecp-9, 0x1.a3923e23e32bbp-9, 0x1.95fb72baebbb3p-9, 0x1.88cf0e862264fp-9, 0x1.7c0a239868db2p-9, 0x1.6fa9d54c0397bp-9, 0x1.63ab57f8eba86p-9, 0x1.580bf0ab6beaep-9, 0x1.4cc8f4db1a0b9p-9, 0x1.41dfca2233287p-9, 0x1.374de5f55ee99p-9, 0x1.2d10cd5bea812p-9, 0x1.232614a878c47p-9, 0x1.198b5f3237afcp-9, 0x1.103e5f0e9be55p-9, 0x1.073cd4cba8e99p-9, 0x1.fd091e55a3dd3p-10, 0x1.ec26d5b8df9b6p-10, 0x1.dbcea477b124dp-10, 0x1.cbfc7a1837ee1p-10, 0x1.bcac606acd07p-10, 0x1.adda7b0621de8p-10, 0x1.9f8306c4cbd0fp-10, 0x1.91a25944271d4p-10, 0x1.8434e064bd28fp-10, 0x1.773721cc130dep-10, 0x1.6aa5ba67f816ap-10, 0x1.5e7d5df35d2b5p-10, 0x1.52bad67ca56bbp-10, 0x1.475b03ed8c1bbp-10, 0x1.3c5adb949260cp-10, 0x1.31b767b00371fp-10, 0x1.276dc6fa899a5p-10, 0x1.1d7b2c39588dfp-10, 0x1.13dcddcbf9748p-10, 0x1.0a90353da7c63p-10, 0x1.01929ed8550b8p-10, 0x1.f1c332727984bp-11, 0x1.e0f569ce48a8cp-11, 0x1.d0b727d4616cep-11, 0x1.c103d2cabbef3p-11, 0x1.b1d6f263299c1p-11, 0x1.a32c2ef4bcf1fp-11, 0x1.94ff50b8696dcp-11, 0x1.874c3f08df73dp-11, 0x1.7a0effa59b33ap-11, 0x1.6d43b5f929006p-11, 0x1.60e6a26297037p-11, 0x1.54f4218214f4ep-11, 0x1.4968ab88b8d95p-11, 0x1.3e40d38b6a911p-11, 0x1.337946d8e8438p-11, 0x1.290ecc52e89a8p-11, 0x1.1efe43ca4bb74p-11, 0x1.1544a55e5cae5p-11, 0x1.0bdf00df16ee8p-11, 0x1.02ca7d326eab9p-11, 0x1.f408af7920bc3p-12, 0x1.e313c7962b164p-12, 0x1.d2b114064387bp-12, 0x1.c2db8fa4cd7b3p-12, 0x1.b38e5dc605cb3p-12, 0x1.a4c4c9246845p-12, 0x1.967a42d3b39ecp-12, 0x1.88aa61396f0e7p-12, 0x1.7b50df0aede62p-12, 0x1.6e699a50b8e59p-12, 0x1.61f0936f4def2p-12, 0x1.55e1ec3525eb5p-12, 0x1.4a39e6edeed63p-12, 0x1.3ef4e57ae70cdp-12, 0x1.340f68704b711p-12, 0x1.29860e37c2c64p-12, 0x1.1f559237b7697p-12, 0x1.157acbff8a3aep-12, 0x1.0bf2ae7891363p-12, 0x1.02ba471bcb33ep-12, 0x1.f39d7a586bd59p-13, 0x1.e25aa1eb74f63p-13, 0x1.d1a6b6212f7d3p-13, 0x1.c17c975273673p-13, 0x1.b1d75398db996p-13, 0x1.a2b2256fbdf45p-13, 0x1.9408725d96ee4p-13, 0x1.85d5c9a5b6445p-13, 0x1.7815e3021ba56p-13, 0x1.6ac49d654f189p-13, 0x1.5dddfdc413ccp-13, 0x1.515e2de6e17bp-13, 0x1.45417b42e477bp-13, 0x1.398455da7e0aep-13, 0x1.2e234f2512b87p-13, 0x1.231b18fdfc13bp-13, 0x1.1868849a9607ap-13, 0x1.0e08818727a05p-13, 0x1.03f81caa99d22p-13, 0x1.f468fea1a038fp-14, 0x1.e175dc770c6a3p-14, 0x1.cf119173249e9p-14, 0x1.bd370f88c8b9bp-14, 0x1.abe17a4759563p-14, 0x1.9b0c252e01c08p-14, 0x1.8ab2920ac4825p-14, 0x1.7ad06f6514a27p-14, 0x1.6b6196f3abcabp-14, 0x1.5c620c1d72743p-14, 0x1.4dcdfa8531dd7p-14, 0x1.3fa1b49fd84dep-14, 0x1.31d9b25514bebp-14, 0x1.24728faa0e487p-14, 0x1.17690b760036p-14, 0x1.0aba062080014p-14, 0x1.fcc500d26b805p-15, 0x1.e4bf3471a46ddp-15, 0x1.cd5d22f612edbp-15, 0x1.b6998202bd05ap-15, 0x1.a06f3edd154e8p-15, 0x1.8ad97c549b15cp-15, 0x1.75d390bae42c3p-15, 0x1.615903ebae06ap-15, 0x1.4d658d6490969p-15, 0x1.39f5126bf7573p-15, 0x1.2703a446faf58p-15, 0x1.148d7e7dc123ep-15, 0x1.028f052e0773p-15, 0x1.e20986d6f92e2p-16, 0x1.bfd6d35b1c0ffp-16, 0x1.9e7f9894ac11dp-16, 0x1.7dfdc3fca7f85p-16, 0x1.5e4b85012cc2fp-16, 0x1.3f634a460f3p-16, 0x1.213fbefd1cf7fp-16, 0x1.03dbc8555bb39p-16, 0x1.ce65060157e1p-17, 0x1.967e819e821ddp-17, 0x1.5ffb0cc09be24p-17, 0x1.2ad211cea2839p-17, 0x1.edf6b015fd49ap-18, 0x1.88ddfedaa94d5p-18, 0x1.264af944b3d1dp-18, 0x1.8c5e54c23fbb2p-19, 0x1.a1f2de0707dc4p-20, 0x1.a4cb2286ab1dap-23, -0x1.2f82b10dc4ba5p-20, -0x1.45491c9c4e6c3p-19, -0x1.ee62074b0b224p-19, -0x1.499149d95f037p-18, -0x1.99d02b591cefp-18, -0x1.e7f80522ab8eap-18, -0x1.1a09661c5c30bp-17, -0x1.3f150970f6d3bp-17, -0x1.632386d96eef7p-17, -0x1.86394c3219addp-17, -0x1.a85a9d3b62852p-17, -0x1.c98b95d39081fp-17, -0x1.e9d02c18f8053p-17, -0x1.0496193ab6b24p-16, -0x1.13d1acc9cf825p-16, -0x1.229c991f8a952p-16, -0x1.30f89797c2389p-16, -0x1.3ee7536007ff3p-16, -0x1.4c6a6a49a2996p-16, -0x1.59836d9226661p-16, -0x1.6633e2a3072p-16, -0x1.727d43c861593p-16, -0x1.7e6100df5e7b8p-16, -0x1.89e07ffc5ba92p-16, -0x1.94fd1e093f934p-16, -0x1.9fb82f5c25772p-16, -0x1.aa130046b7547p-16, -0x1.b40ed59e6d679p-16, -0x1.bdaced3df5ecp-16, -0x1.c6ee7e800a52bp-16, -0x1.cfd4bab3e17c5p-16, -0x1.d860cd8b88764p-16, -0x1.e093dd845201fp-16, -0x1.e86f0c499a26bp-16, -0x1.eff377120ca37p-16, -0x1.f72236f7b36e7p-16, -0x1.fdfc614aea148p-16, -0x1.024183f03d369p-15, -0x1.055b9cad86933p-15, -0x1.084d00b80cb28p-15, -0x1.0b16349444c1fp-15, -0x1.0db7bb8e9b0bbp-15, -0x1.103217d7b6fd1p-15, -0x1.1285ca9ed6fb9p-15, -0x1.14b3542a5b18cp-15, -0x1.16bb33ee8c54dp-15, -0x1.189de8a2bce6ep-15, -0x1.1a5bf054cae97p-15, -0x1.1bf5c87b1e45dp-15, -0x1.1d6bee052caf2p-15, -0x1.1ebedd6a9c87fp-15, -0x1.1fef12b90d8b2p-15, -0x1.20fd09a0a0cd2p-15, -0x1.21e93d7f457c7p-15, -0x1.22b4296ae1708p-15, -0x1.235e483a5f9ddp-15, -0x1.23e8148db1674p-15, -0x1.245208d4d4184p-15, -0x1.249c9f55e15fbp-15, -0x1.24c85232406a3p-15, -0x1.24d59b6af6e2fp-15, -0x1.24c4f4e432b75p-15, -0x1.2496d8680d55ap-15, -0x1.244bbfa89a6aap-15, -0x1.23e4244147e25p-15, -0x1.23607fb79b0e4p-15, -0x1.22c14b7b53983p-15, -0x1.220700e602aa7p-15, -0x1.2132193a130ecp-15, -0x1.20430da15b7d3p-15, -0x1.1f3a572b3442p-15, -0x1.1e186eca223e7p-15, -0x1.1cddcd5119116p-15, -0x1.1b8aeb705fef7p-15, -0x1.1a2041b21e363p-15, -0x1.189e487694686p-15, -0x1.170577f00dd4ep-15, -0x1.1556481e8ae67p-15, -0x1.139130cb2e342p-15, -0x1.11b6a98371b9dp-15, -0x1.0fc72994254c7p-15, -0x1.0dc3280444589p-15, -0x1.0bab1b8f9d828p-15, -0x1.097f7aa159214p-15, -0x1.0740bb4e5fa87p-15, -0x1.04ef534fa4b0bp-15, -0x1.028bb7fc5a387p-15, -0x1.00165e44123d3p-15, -0x1.fb1f7551a266bp-16, -0x1.f5f0827225992p-16, -0x1.f0a0cb1392ae6p-16, -0x1.eb313560abd17p-16, -0x1.e5a2a67901c8fp-16, -0x1.dff60264e44c3p-16, -0x1.da2c2c095afe1p-16, -0x1.d446051c2c18p-16, -0x1.ce446e17f5d25p-16, -0x1.c828463059cefp-16, -0x1.c1f26b464dfd6p-16, -0x1.bba3b9dc81ab9p-16, -0x1.b53d0d0beaf07p-16, -0x1.aebf3e787f534p-16, -0x1.a82b26460c26cp-16, -0x1.a1819b0d4942fp-16, -0x1.9ac371d1107e1p-16, -0x1.93f17df3d1ad4p-16, -0x1.8d0c912d37a4ap-16, -0x1.86157b800624bp-16, -0x1.7f0d0b3035074p-16, -0x1.77f40cb9422fbp-16, -0x1.70cb4ac4ca19ap-16, -0x1.69938e215ac4bp-16, -0x1.624d9db985517p-16, }}, 
      {{-0x1.c6a89fb13f48dp-1, -0x1.c6a44a15d513fp-1, -0x1.c6992cb0a8164p-1, -0x1.c682d29b52991p-1, -0x1.c65c787dcbae4p-1, -0x1.c62186256b895p-1, -0x1.c5cddac1e461dp-1, -0x1.c55df8a4f427bp-1, -0x1.c4cf1a1383a11p-1, -0x1.c41f363a0bba9p-1, -0x1.c34cfb77eb7ap-1, -0x1.c257c2cef1315p-1, -0x1.c13f7f3853d94p-1, -0x1.c004aad8603a7p-1, -0x1.bea8337543c3ap-1, -0x1.bd2b6726f7fadp-1, -0x1.bb8fe1e4cba18p-1, -0x1.b9d77c5924986p-1, -0x1.b8043c3871312p-1, -0x1.b6184638d248p-1, -0x1.b415d1b1aa8a5p-1, -0x1.b1ff1ddabda5ep-1, -0x1.afd66898125fap-1, -0x1.ad9de6b91673cp-1, -0x1.ab57bd8d9cc48p-1, -0x1.a905fdb15b689p-1, -0x1.a6aa9eee22c0bp-1, -0x1.a4477d159572bp-1, -0x1.a1de55b471e9bp-1, -0x1.9f70c68333264p-1, -0x1.9d004c79dea3ap-1, -0x1.9a8e436ef0f67p-1, -0x1.981be62b9a09ap-1, -0x1.95aa4ee1a63b9p-1, -0x1.933a77f18a9b3p-1, -0x1.90cd3cf11147ap-1, -0x1.8e635be503361p-1, -0x1.8bfd76a1e1ceap-1, -0x1.899c144965108p-1, -0x1.873fa2dbdd8cap-1, -0x1.84e878d5e6752p-1, -0x1.8296d6d404c77p-1, -0x1.804ae936d3a47p-1, -0x1.7e04c9c3488a3p-1, -0x1.7bc4813b708d7p-1, -0x1.798a08ecadb4dp-1, -0x1.77554c3128393p-1, -0x1.752629e29df5cp-1, -0x1.72fc75bd3e795p-1, -0x1.70d7f9b197805p-1, -0x1.6eb87724f4631p-1, -0x1.6c9da81fcf7eap-1, -0x1.6a87406a3ba5ap-1, -0x1.6874ee9650cf9p-1, -0x1.66665cf8d4fb6p-1, -0x1.645b32907e123p-1, -0x1.625313dc38fa1p-1, -0x1.604da3a1025ebp-1, -0x1.5e4a839fe2faep-1, -0x1.5c49553cb1038p-1, -0x1.5a49ba1642e39p-1, -0x1.584b5490bbbabp-1, -0x1.564dc852a5b7dp-1, -0x1.5450bab58a044p-1, -0x1.5253d32ab467dp-1, -0x1.5056bb94d179bp-1, -0x1.4e5920971159p-1, -0x1.4c5ab1da701dep-1, -0x1.4a5b2249cb94p-1, -0x1.485a284559231p-1, -0x1.46577dce1877bp-1, -0x1.4452e0a9cbb3ep-1, -0x1.424c128002fe1p-1, -0x1.4042d8f0bc82ap-1, -0x1.3e36fda513d6p-1, -0x1.3c284e5a7c84fp-1, -0x1.3a169ce8f1282p-1, -0x1.3801bf44891c6p-1, -0x1.35e98f7ad3364p-1, -0x1.33cdebac5a98p-1, -0x1.31aeb602ab35cp-1, -0x1.2f8bd4a32cabp-1, -0x1.2d65319f23de1p-1, -0x1.2b3abae124e41p-1, -0x1.290c62183bbb9p-1, -0x1.26da1ca10f998p-1, -0x1.24a3e36d3b0d9p-1, -0x1.2269b2e91659bp-1, -0x1.202b8ae02889dp-1, -0x1.1de96e606fad8p-1, -0x1.1ba3639cb21ecp-1, -0x1.195973ce02647p-1, -0x1.170bab149ed12p-1, -0x1.14ba185852071p-1, -0x1.1264cd287758dp-1, -0x1.100bdd9bc277cp-1, -0x1.0daf602fe973dp-1, -0x1.0b4f6da949abcp-1, -0x1.08ec20f2a39bep-1, -0x1.068596fd01c78p-1, -0x1.041bee9fe0f13p-1, -0x1.01af4879ad6d4p-1, -0x1.fe7f8da147b49p-2, -0x1.f99b1ae84efcep-2, -0x1.f4b1833d384c4p-2, -0x1.efc313af9c91dp-2, -0x1.ead01bafeb8bfp-2, -0x1.e5d8ecd6baab8p-2, -0x1.e0dddaad6e16bp-2, -0x1.dbdf3a78488e1p-2, -0x1.d6dd6301f51b9p-2, -0x1.d1d8ac688e11ep-2, -0x1.ccd16fec304ecp-2, -0x1.c7c807bf1f97dp-2, -0x1.c2bcced78076fp-2, -0x1.bdb020c2b3067p-2, -0x1.b8a2597a45e02p-2, -0x1.b393d53a8ed31p-2, -0x1.ae84f05ae102cp-2, -0x1.a9760727677b7p-2, -0x1.a46775bc9afd8p-2, -0x1.9f5997e455a4p-2, -0x1.9a4cc8f48233bp-2, -0x1.954163af5cf48p-2, -0x1.9037c2254848dp-2, -0x1.8b303d982ae49p-2, -0x1.862b2e60533ecp-2, -0x1.8128ebd2db664p-2, -0x1.7c29cc2983fe3p-2, -0x1.772e246bfe066p-2, -0x1.7236485aa2fecp-2, -0x1.6d428a5a879c9p-2, -0x1.68533b62ec23cp-2, -0x1.6368aaebfb71ap-2, -0x1.5e8326ded2203p-2, -0x1.59a2fb86c2c1bp-2, -0x1.54c87383d4936p-2, -0x1.4ff3d7be68da7p-2, -0x1.4b256f5c08af2p-2, -0x1.465d7fb54b606p-2, -0x1.419c4c4cced69p-2, -0x1.3ce216c737d8ap-2, -0x1.382f1ee42f347p-2, -0x1.3383a27858454p-2, -0x1.2edfdd6831043p-2, -0x1.2a4409a3d6cacp-2, -0x1.25b05f23a5aafp-2, -0x1.212513e5a8afbp-2, -0x1.1ca25bebd38b9p-2, -0x1.1828693afc78ap-2, -0x1.13b76bda8e609p-2, -0x1.0f4f91d4e99ep-2, -0x1.0af107386b6e6p-2, -0x1.069bf61914988p-2, -0x1.02508692c991bp-2, -0x1.fc1dbd983cfcap-3, -0x1.f3ae45f359b55p-3, -0x1.eb52eac3d4029p-3, -0x1.e30becc2e8e09p-3, -0x1.dad988dfacf82p-3, -0x1.d2bbf849643e7p-3, -0x1.cab3707aa05fbp-3, -0x1.c2c0234523509p-3, -0x1.bae23ede68ffcp-3, -0x1.b319edecd7471p-3, -0x1.ab67579586e95p-3, -0x1.a3ca9f8a978adp-3, -0x1.9c43e61a0091ap-3, -0x1.94d3483cdc498p-3, -0x1.8d78dfa71f393p-3, -0x1.8634c2d7aaf26p-3, -0x1.7f070528be1eap-3, -0x1.77efb6e0b1135p-3, -0x1.70eee542f7011p-3, -0x1.6a049aa15e78ap-3, -0x1.6330de6d816f2p-3, -0x1.5c73b54a6684ep-3, -0x1.55cd211e465bcp-3, -0x1.4f3d2124698f8p-3, -0x1.48c3b1ff2657fp-3, -0x1.4260cdc9e2913p-3, -0x1.3c146c2b2ae09p-3, -0x1.35de8266c2cf5p-3, -0x1.2fbf036fbb0e7p-3, -0x1.29b5dffa78c5bp-3, -0x1.23c3068eb3365p-3, -0x1.1de6639960a6bp-3, -0x1.181fe17e880a1p-3, -0x1.126f68aafa067p-3, -0x1.0cd4dfa5ec133p-3, -0x1.07502b226c021p-3, -0x1.01e12e10adb59p-3, -0x1.f90f935e64468p-4, -0x1.ee87bb3774e1fp-4, -0x1.e42a8fc818e59p-4, -0x1.d9f7ca2d0bcecp-4, -0x1.cfef20a4e605cp-4, -0x1.c61046b0676f1p-4, -0x1.bc5aed323fce5p-4, -0x1.b2cec28e5c03ep-4, -0x1.a96b72c8c2b37p-4, -0x1.a030a7a3d99fbp-4, -0x1.971e08be3ac8fp-4, -0x1.8e333baff3d63p-4, -0x1.856fe4273f9dcp-4, -0x1.7cd3a404b2c42p-4, -0x1.745e1b76d9817p-4, -0x1.6c0ee91544718p-4, -0x1.63e5a9fb03e6fp-4, -0x1.5be1f9e08f1ep-4, -0x1.5403733518b75p-4, -0x1.4c49af374cf64p-4, -0x1.44b4460d7adp-4, -0x1.3d42cedd27cd2p-4, -0x1.35f4dfe20c723p-4, -0x1.2eca0e847c2ebp-4, -0x1.27c1ef6f36b4bp-4, -0x1.20dc16a4a3414p-4, -0x1.1a18179378d21p-4, -0x1.1375852acf98p-4, -0x1.0cf3f1eda1738p-4, -0x1.0692f005b59cdp-4, -0x1.00521155fc916p-4, -0x1.f461cf18b5bep-5, -0x1.e85e0865c9773p-5, -0x1.dc97f1811a19dp-5, -0x1.d10ead528cf13p-5, -0x1.c5c15edb38941p-5, -0x1.baaf29537faddp-5, -0x1.afd73048227dp-5, -0x1.a53897b640b28p-5, -0x1.9ad28426585b6p-5, -0x1.90a41ac63fb9dp-5, -0x1.86ac81821ef94p-5, -0x1.7ceadf1c7289dp-5, -0x1.735e5b4510dcbp-5, -0x1.6a061eaf43af6p-5, -0x1.60e15326ed835p-5, -0x1.57ef23a4c8facp-5, -0x1.4f2ebc61c057cp-5, -0x1.469f4ae964816p-5, -0x1.3e3ffe2b88d61p-5, -0x1.3610068d03cb4p-5, -0x1.2e0e95f79f422p-5, -0x1.263adfe938ecp-5, -0x1.1e94198218056p-5, -0x1.171979927d542p-5, -0x1.0fca38a77256ap-5, -0x1.08a59116dd9e6p-5, -0x1.01aabf0adbfc8p-5, -0x1.f5b20118d438dp-6, -0x1.e85f2b1aba47ap-6, -0x1.db5b7fe36379p-6, -0x1.cea587306b806p-6, -0x1.c23bccc522e67p-6, -0x1.b61ce07966f33p-6, -0x1.aa47564746142p-6, -0x1.9eb9c65784743p-6, -0x1.9372cd0cfb234p-6, -0x1.88710b0ee094fp-6, -0x1.7db325520aa58p-6, -0x1.7337c521204b1p-6, -0x1.68fd9823d881p-6, -0x1.5f0350653c94p-6, -0x1.5547a45902ea8p-6, -0x1.4bc94edffec5p-6, -0x1.42870f4bbb7bp-6, -0x1.397fa961373e2p-6, -0x1.30b1e55ada3cep-6, -0x1.281c8fe9a0ff9p-6, -0x1.1fbe7a358ae37p-6, -0x1.179679dd4bfe2p-6, -0x1.0fa368f5556b4p-6, -0x1.07e426062c458p-6, -0x1.0057940a2196ep-6, -0x1.f1f934d4dc22ep-7, -0x1.e3a449f767588p-7, -0x1.d5ae47f3e7d7bp-7, -0x1.c8151807f5ac5p-7, -0x1.bad6ac2c8c9f5p-7, -0x1.adf0ff0ae1d5dp-7, -0x1.a16213f0475e8p-7, -0x1.9527f6c12ff9cp-7, -0x1.8940bbeb55ec1p-7, -0x1.7daa805717274p-7, -0x1.726369580dd36p-7, -0x1.6769a49cef123p-7, -0x1.5cbb681eb7056p-7, -0x1.5256f20f3734cp-7, -0x1.483a88c705ec7p-7, -0x1.3e647ab2d49ecp-7, -0x1.34d31e404a259p-7, -0x1.2b84d1ca4eba2p-7, -0x1.2277fb84e8764p-7, -0x1.19ab0968a3717p-7, -0x1.111c711d938d5p-7, -0x1.08caafe5f54a4p-7, -0x1.00b44a88753d7p-7, -0x1.f1af9a744ee5ap-8, -0x1.e267971063a66p-8, -0x1.d38dc0826b51fp-8, -0x1.c51f5abcf237cp-8, -0x1.b719b7d9b783dp-8, -0x1.a97a37eb346c8p-8, -0x1.9c3e48cdcafdbp-8, -0x1.8f6365f8afa6fp-8, -0x1.82e7184e8f3a8p-8, -0x1.76c6f5ee03ab8p-8, -0x1.6b00a201dc99fp-8, -0x1.5f91cc9148591p-8, -0x1.5478324fe700ep-8, -0x1.49b19c6dce4cbp-8, -0x1.3f3be0678940bp-8, -0x1.3514dfd61b302p-8, -0x1.2b3a883f0e4e4p-8, -0x1.21aad2e4951abp-8, -0x1.1863c495c68b4p-8, -0x1.0f636d7efc8d6p-8, -0x1.06a7e8fa5916bp-8, -0x1.fc5ebac0f6b01p-9, -0x1.ebeff7b2d565ep-9, -0x1.dc00005b72462p-9, -0x1.cc8b612fd53a3p-9, -0x1.bd8ebb2c3b773p-9, -0x1.af06c37802867p-9, -0x1.a0f0430a329e7p-9, -0x1.9348164eadee3p-9, -0x1.860b2ccc10acp-9, -0x1.793688ca4dbb9p-9, -0x1.6cc73efa02d8ep-9, -0x1.60ba761c9acddp-9, -0x1.550d66ad3c91ap-9, -0x1.49bd5a8a87e21p-9, -0x1.3ec7aca1339b3p-9, -0x1.3429c897870bbp-9, -0x1.29e12a79b4776p-9, -0x1.1feb5e67251bp-9, -0x1.16460040a77ebp-9, -0x1.0ceebb57972aep-9, -0x1.03e34a1df4becp-9, -0x1.f642ebaeedb3cp-10, -0x1.e54e2c972d513p-10, -0x1.d4e422f12f091p-10, -0x1.c500b68f2674p-10, -0x1.b59fea8303e1dp-10, -0x1.a6bddc8a99d92p-10, -0x1.9856c47dbe5e3p-10, -0x1.8a66f3be86682p-10, -0x1.7cead4ab8980ep-10, -0x1.6fdeea1439f16p-10, -0x1.633fceaf4e1aep-10, -0x1.570a34933afcp-10, -0x1.4b3ae4b0c6a38p-10, -0x1.3fcebe4fa86edp-10, -0x1.34c2b68d4496cp-10, -0x1.2a13d7dd7106fp-10, -0x1.1fbf418d53436p-10, -0x1.15c227484677ep-10, -0x1.0c19d09ed7354p-10, -0x1.02c3988fcb2cbp-10, -0x1.f379da264f071p-11, -0x1.e2069d4e9be94p-11, -0x1.d1289fc028f8cp-11, -0x1.c0db29efc27d5p-11, -0x1.b119a6c588b01p-11, -0x1.a1dfa2c7195a4p-11, -0x1.9328cb45a5c1ep-11, -0x1.84f0ed8feecefp-11, -0x1.7733f6281ffbcp-11, -0x1.69edeffd7d93cp-11, -0x1.5d1b03a9e0a01p-11, -0x1.50b776b2f5792p-11, -0x1.44bfaacf33c1bp-11, -0x1.39301d2e868fdp-11, -0x1.2e0565c69adb7p-11, -0x1.233c36a2c929fp-11, -0x1.18d15b3791e7fp-11, -0x1.0ec1b7b99eeebp-11, -0x1.050a4878433a2p-11, -0x1.f7504276d4cc7p-12, -0x1.e530d949dde2ap-12, -0x1.d3b0d72a9804p-12, -0x1.c2cae9273d811p-12, -0x1.b279e671d7905p-12, -0x1.a2b8cf3d3c363p-12, -0x1.9382cba06839ep-12, -0x1.84d32a8018547p-12, -0x1.76a5607e94fecp-12, -0x1.68f506f18e2f8p-12, -0x1.5bbddaddf7ba5p-12, -0x1.4efbbbf9c9f08p-12, -0x1.42aaabb391583p-12, -0x1.36c6cc3fb768dp-12, -0x1.2b4c5fab6693ep-12, -0x1.2037c6f4fa49dp-12, -0x1.15858129dd418p-12, -0x1.0b322a89c2323p-12, -0x1.013a7baf1dc6ap-12, -0x1.ef369179993f1p-13, -0x1.dca30121920a9p-13, -0x1.cab457f7c75a2p-13, -0x1.b964d9fcb8e12p-13, -0x1.a8aefc12991dap-13, -0x1.988d6289927c1p-13, -0x1.88fadfb551dfep-13, -0x1.79f2728ba5ef1p-13, -0x1.6b6f454c09b06p-13, -0x1.5d6cac2ff3c1cp-13, -0x1.4fe62423b3353p-13, -0x1.42d75187bb743p-13, -0x1.363bfefa2aebfp-13, -0x1.2a101c286a47cp-13, -0x1.1e4fbca8affc6p-13, -0x1.12f716db50b89p-13, -0x1.080282d398469p-13, -0x1.fadcf29050563p-14, -0x1.e66f25151413bp-14, -0x1.d2b50b0be0d2cp-14, -0x1.bfa84d89e32dap-14, -0x1.ad42cefc19dbbp-14, -0x1.9b7ea94dd863dp-14, -0x1.8a562c1c44ec5p-14, -0x1.79c3daf6aa3fcp-14, -0x1.69c26bab464aep-14, -0x1.5a4cc4a050a05p-14, -0x1.4b5dfb38f2ed3p-14, -0x1.3cf15245ed7acp-14, -0x1.2f023881a2bd6p-14, -0x1.218c47174778p-14, -0x1.148b4034f5b34p-14, -0x1.07fb0da85e148p-14, -0x1.f7af7f0bb9572p-15, -0x1.e03b15b35815fp-15, -0x1.c99190c5fb1f5p-15, -0x1.b3abe6b16f958p-15, -0x1.9e83506f3a87ap-15, -0x1.8a1147334b11p-15, -0x1.764f822c912b2p-15, -0x1.6337f4570ffffp-15, -0x1.50c4ca5efc0a1p-15, -0x1.3ef0689470488p-15, -0x1.2db568ef565ccp-15, -0x1.1d0e9923152p-15, -0x1.0cf6f8c19d912p-15, -0x1.fad36edae3e3bp-16, -0x1.dcc466348180bp-16, -0x1.bfb7ecb770ce9p-16, -0x1.a3a56d8454dd8p-16, -0x1.8884a6894eb55p-16, -0x1.6e4da57070d6dp-16, -0x1.54f8c4a7a8591p-16, -0x1.3c7ea8818508ap-16, -0x1.24d83c6e1c8a9p-16, -0x1.0dfeb04b6c24ep-16, -0x1.efd6eb992852ep-17, -0x1.c5307bee8e90ap-17, -0x1.9bfded6d92fdcp-17, -0x1.74339107ee563p-17, -0x1.4dc6284348757p-17, -0x1.28aae0d9a2eeep-17, -0x1.04d75080423f4p-17, -0x1.c482e1a7ebdebp-18, -0x1.81bf36d362e15p-18, -0x1.41510c04ca5d5p-18, -0x1.03267dc2210f8p-18, -0x1.8e5ca5082640ep-19, -0x1.1aafe7c9fedb8p-19, -0x1.564da03a1ef0bp-20, -0x1.fd14b63c7d37ep-22, 0x1.3fd35999b3597p-22, 0x1.179990ad647b2p-20, 0x1.d7e014047b0ccp-20, 0x1.487ebb5b1522ap-19, 0x1.a19273ce6d296p-19, 0x1.f743e12edbb3cp-19, 0x1.24d568b81fa8dp-18, 0x1.4c6f1e0298ecap-18, 0x1.727a25708696dp-18, 0x1.97013190b2369p-18, 0x1.ba0e96b0e5abap-18, 0x1.dbac4ede58c2fp-18, 0x1.fbe3fdbe02554p-18, 0x1.0d5f7a1f0d55dp-17, 0x1.1c231a110bbb2p-17, 0x1.2a4139b52fe98p-17, 0x1.37be0fcc7667p-17, 0x1.449db06a0259bp-17, 0x1.50e40e741b069p-17, 0x1.5c94fd1557ad2p-17, 0x1.67b4311e82cdep-17, 0x1.72454259c080dp-17, 0x1.7c4baccf75f6ep-17, 0x1.85cad1fd699ep-17, 0x1.8ec5fa00b6f96p-17, 0x1.974054b2de3d3p-17, 0x1.9f3cfaba8e342p-17, 0x1.a6beee9088fdap-17, 0x1.adc91d7907151p-17, 0x1.b45e60721ea9p-17, 0x1.ba817d177d14fp-17, 0x1.c035267bde941p-17, 0x1.c57bfdf8aed14p-17, 0x1.ca5893f42baf7p-17, 0x1.cecd689e5afd8p-17, 0x1.d2dceca53dbc2p-17, 0x1.d68981e08a743p-17, 0x1.d9d57bf5520fp-17, 0x1.dcc320f1bbdc9p-17, 0x1.df54a9e16322dp-17, 0x1.e18c435a5d68dp-17, 0x1.e36c0e036f86ep-17, 0x1.e4f61f1389f95p-17, 0x1.e62c80caf88e2p-17, 0x1.e71132e660cdap-17, 0x1.e7a62b0bf9c41p-17, 0x1.e7ed553311591p-17, 0x1.e7e894063fc3fp-17, 0x1.e799c1406bb2ap-17, 0x1.e702ae04de8cbp-17, 0x1.e6252332a83bfp-17, 0x1.e502e1b379634p-17, 0x1.e39da2c629567p-17, 0x1.e1f71845245abp-17, 0x1.e010ece8e4c59p-17, 0x1.ddecc486aadc8p-17, 0x1.db8c3c4b9bcfp-17, 0x1.d8f0eaf478cb1p-17, 0x1.d61c61020afefp-17, 0x1.d31028ea83f0dp-17, 0x1.cfcdc747d22dp-17, 0x1.cc56bb033afe8p-17, 0x1.c8ac7d7e36508p-17, 0x1.c4d082b8c93fap-17, 0x1.c0c43975766a4p-17, 0x1.bc890b5ad82cdp-17, 0x1.b8205d131a1cbp-17, 0x1.b38b8e695eba2p-17, 0x1.aecbfa65327efp-17, 0x1.a9e2f76421e74p-17, 0x1.a4d1d7319acf8p-17, 0x1.9f99e71d1a97ap-17, 0x1.9a3c700ed72a6p-17, 0x1.94bab69af432ep-17, 0x1.8f15fb134a452p-17, 0x1.894f7997eca5ep-17, 0x1.83686a2674e68p-17, 0x1.7d6200a82b648p-17, 0x1.773d6cff0f8dcp-17, 0x1.70fbdb11f6acep-17, 0x1.6a9e72d7aba13p-17, 0x1.642658612dc3bp-17, 0x1.5d94abe32bcdap-17, 0x1.56ea89beaf383p-17, 0x1.50290a891efeep-17, 0x1.49514313999f6p-17, 0x1.42644471b272cp-17, 0x1.3b631bffa5d33p-17, 0x1.344ed3680b8eap-17, 0x1.2d2870a912737p-17, 0x1.25f0f619507fap-17, 0x1.1ea9626c3135cp-17, 0x1.1752b0b60be3ap-17, 0x1.0fedd86feb142p-17, 0x1.087bcd7b0bf28p-17, 0x1.00fd80242092ep-17, 0x1.f2e7ba4cb57dp-18, 0x1.e3bf9b5c8c149p-18, 0x1.d4846eb8f497p-18, 0x1.c537f89055312p-18, 0x1.b5dbf6033015fp-18, 0x1.a6721d28db779p-18, 0x1.96fc1d1415c3p-18, 0x1.877b9dd782ccep-18, 0x1.77f2408a168b9p-18, 0x1.68619f4b7ca5fp-18, 0x1.58cb4d487dfd9p-18, 0x1.4930d6bf712c9p-18, 0x1.3993c104bc057p-18, 0x1.29f58a876a1c9p-18, 0x1.1a57aad5e06fp-18, 0x1.0abb92a2b5a39p-18, 0x1.f64557935ef59p-19, 0x1.d71cb2a9dc262p-19, 0x1.b7ffef04917fbp-19, 0x1.98f1b791b97c6p-19, 0x1.79f4a9bdb2087p-19, 0x1.5b0b557f0080ap-19, 0x1.3c383d62dc952p-19, 0x1.1d7dd69a35625p-19, 0x1.fdbd120e853b7p-20, 0x1.c0b95e973a75ep-20, 0x1.83f52dadcbbfbp-20, 0x1.4774ffebfdd74p-20, 0x1.0b3d3bc5a8418p-20, 0x1.9ea45b52f71e7p-21, 0x1.27701045cfbb6p-21, 0x1.61cb8ff4e0d36p-22, 0x1.d86c067dbd917p-24, -0x1.d087ce420d289p-24, -0x1.5cdc1df5b0535p-22, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      48, 0x1.4p+2, 0x1.06c536c228acfp+1, 0x1.0a0474b095d1bp+2, -0x1.576d408a7b312p-4, 
      {{
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.c8f6ba5a285a1p-3, -0x1.42a6dd4f9faffp-1, 0x1.4b2f55ebb41a9p-1, -0x1.003d572013538p-2}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.8bae63997225cp-3, -0x1.227e855d9d1c1p-1, 0x1.37f788fc7f746p-1, -0x1.003443c7af58bp-2}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.54a352ba287fep-3, -0x1.04421f99e9a94p-1, 0x1.24c06a4d8580dp-1, -0x1.002c222877058p-2}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.237325c80b74fp-3, -0x1.cfe336ff8131ep-2, 0x1.1189e7bdafc6ep-1, -0x1.002542e5a637cp-2}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.ef76fbd21353p-4, -0x1.9b19d54fc50c2p-2, 0x1.fca7d23f536bfp-2, -0x1.00186877ff134p-2}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.a233feba80b73p-4, -0x1.6a27f4453793bp-2, 0x1.d63dc293b9f5ap-2, -0x1.00223859535c3p-2}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.5e58a2fdf6c78p-4, -0x1.3d0d8e0908ceap-2, 0x1.afd23a1fed74bp-2, -0x1.ffaeb453198aep-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.23203d856a649p-4, -0x1.13ca25b2f4095p-2, 0x1.8971ec99b1f07p-2, -0x1.00c889ef36437p-2}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.df8c52dc5b49p-5, -0x1.dcbdf52fe02dfp-3, 0x1.62ed71829d002p-2, -0x1.f2f7d6a4474fcp-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.870c7e39eb692p-5, -0x1.997fb01843e01p-3, 0x1.3d8141697e0d8p-2, -0x1.d3e30aff3bc75p-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.3b43e41e377e5p-5, -0x1.5d81c7932931p-3, 0x1.1a69d3c98cc4bp-2, -0x1.b746303557a46p-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.f595baaf77415p-6, -0x1.28519edbe4189p-3, 0x1.f2ef86be4c645p-3, -0x1.9a00972d90297p-3}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.88a0455d92e6ep-6, -0x1.f3002509721d2p-4, 0x1.b56f7011105ddp-3, -0x1.7ce606422d208p-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.2d3199cb1054cp-6, -0x1.a13a1b847732ep-4, 0x1.7c4cef20bccc3p-3, -0x1.5fc813231dc5ep-3}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.c20152dfd2139p-7, -0x1.5a718fd1a5163p-4, 0x1.478885db78553p-3, -0x1.428ca0b6596cp-3}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.43e24b6f83441p-7, -0x1.1dc6725690eb9p-4, 0x1.1726a0f351518p-3, -0x1.25ca8db41a0a5p-3}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.b84e0007a756p-8, -0x1.d4b4288c16934p-5, 0x1.d62a1763ce06ep-4, -0x1.05d89777abba7p-3}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.0e95170d7ff7fp-8, -0x1.7e86b7c5f5148p-5, 0x1.879c505980e8p-4, -0x1.c56bf26435d07p-4}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.08a8afe7bece5p-9, -0x1.370164f070965p-5, 0x1.4398ebfdac09p-4, -0x1.801e11879f77dp-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.41a5ac6053862p-12, -0x1.f8187120c26cep-6, 0x1.09facfc2edb74p-4, -0x1.3a8448479ebc1p-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, -0x1.1ad2ef8341223p-10, -0x1.97239b12606b6p-6, 0x1.b59abd09f89bfp-5, -0x1.ea4589cd78c8ep-5}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, -0x1.1fbe75aac82e9p-9, -0x1.46f8e6b0e78ccp-6, 0x1.6c104ec4c017bp-5, -0x1.5e5824d993937p-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, -0x1.94abc8b8f4f7cp-9, -0x1.036a2968fa624p-6, 0x1.3783160a838ep-5, -0x1.ad4759dfec85bp-6}, 
        {0x1.ep+1, 0x1.e666666666666p+1, -0x1.f067dc55b20bdp-9, -0x1.90a9eb5a11c69p-7, 0x1.1750ef4ceb6a9p-5, -0x1.f9aef87ac03eap-8}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, -0x1.1abf016546906p-8, -0x1.22d566cdae924p-7, 0x1.0dd5a771049cap-5, -0x1.0bac29b542492p-9}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, -0x1.3273134613264p-8, -0x1.6ecda5400774fp-8, 0x1.0b533d7351971p-5, -0x1.2cccfc4d8c9adp-7}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, -0x1.3f84b439eeeaep-8, -0x1.3ae90e77f46efp-9, 0x1.000b8d96cf849p-5, -0x1.d7bebc5829cb8p-7}, 
        {0x1.f99999999999ap+1, 0x1p+2, -0x1.42635efcc1043p-8, 0x1.42701af9825cep-11, 0x1.dcb599da358p-6, -0x1.49ddfd3a3568ep-6}, 
        {0x1p+2, 0x1.0333333333333p+2, -0x1.3bc5513f2f806p-8, 0x1.ba2f59082c056p-9, 0x1.ab3ab3de4717p-6, -0x1.a53db90fdd27dp-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, -0x1.2ca78ba69f564p-8, 0x1.7b58d2c05c73p-8, 0x1.6c0b0b4f191ep-6, -0x1.0149a15f4a9f9p-5}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, -0x1.164dd1cd3465p-8, 0x1.fd86e73152a83p-8, 0x1.1edb5ae5b5ee8p-6, -0x1.2d583c20c3ff8p-5}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, -0x1.f4855483a2e7ap-9, 0x1.2f18320d4cf51p-7, 0x1.88e82b515ca75p-7, -0x1.62dc984d3b247p-5}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, -0x1.b4aebd103066ep-9, 0x1.4bbd464b709b9p-7, 0x1.67fad312d8bdfp-8, -0x1.595e2e51d7f52p-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, -0x1.7139bce3bb059p-9, 0x1.5360972386e2dp-7, -0x1.b3b18a7aecce8p-11, -0x1.10de0746d603ep-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, -0x1.2e2b09ee50d03p-9, 0x1.4877dc228db4bp-7, -0x1.7de706d7919d3p-8, -0x1.a3a10cbc712bfp-6}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, -0x1.dd9b7438c43a8p-10, 0x1.2f14220077edcp-7, -0x1.3cd7073deac1bp-7, -0x1.20647ed3a715ap-6}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, -0x1.6b4a14135429p-10, 0x1.0b119a41578b4p-7, -0x1.935b93b09ce31p-7, -0x1.3d91aa08a3207p-7}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, -0x1.08d8ba025d678p-10, 0x1.c0b3d3245a10bp-8, -0x1.c2fe39feb55afp-7, -0x1.bcb26e6b93ac6p-10}, 
        {0x1.2p+2, 0x1.2333333333333p+2, -0x1.705cf3f50321cp-11, 0x1.65ab86603f995p-8, -0x1.cb54c5aa53531p-7, 0x1.8d2d685d2517ep-8}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, -0x1.e68ad53bdf9cap-12, 0x1.0cc859dd9a17ep-8, -0x1.ad8af77023bep-7, 0x1.e139168abefdep-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, -0x1.2ff46ac635487p-12, 0x1.7c2f4edf4f761p-9, -0x1.655c00db53e51p-7, 0x1.1f1c79d8671f8p-6}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, -0x1.64586bad9f348p-13, 0x1.fcef787b0c023p-10, -0x1.0f39dc4d9b5a5p-7, 0x1.dda07bcbf5619p-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, -0x1.80b15722db6d6p-14, 0x1.409cbb2f9954bp-10, -0x1.8f29f9de06b18p-8, 0x1.995ed3c5987e6p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, -0x1.7309dc56f40ap-15, 0x1.73048a735e54ap-11, -0x1.145a53ef8c25bp-8, 0x1.4dbee35b8cdddp-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, -0x1.2ff46ac63549fp-16, 0x1.7bf84a4a3bad8p-12, -0x1.607552a82a2d6p-9, 0x1.034144a1c04aap-7}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, -0x1.80b15722db778p-18, 0x1.4072e9979a6a9p-13, -0x1.89cf8627d4029p-10, 0x1.77314f154c442p-8}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, -0x1.2ff46ac6354bfp-20, 0x1.7dc94f3b16a7ap-15, -0x1.5163e09c7fac6p-11, 0x1.9de6c8e20cc93p-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, -0x1.2ff46ac636001p-24, 0x1.45142dbb79e54p-18, -0x1.64326d20466cp-13, 0x1.15011dc413455p-8}, 
      }}, 
      -0x1.04b1da425c20cp-4, 0x1.91d729980bc34p-2
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_n_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.3fb2becfbad58p+1, -0x1.3ddbd2cd6cfep+1, -0x1.3ad80b5dfeb5dp+1, -0x1.36b7c99a0dcabp+1, -0x1.318ef09e60e87p+1, -0x1.2b73adab35934p+1, -0x1.247d097b4a743p+1, -0x1.1cc2b6187dfe5p+1, -0x1.145c486e43922p+1, -0x1.0b60fe9eda3cbp+1, -0x1.01e70ed695d6dp+1, -0x1.f008458c84bbcp+0, -0x1.db98a912b841fp+0, -0x1.c6a5af4edd11dp+0, -0x1.b1530aed5f1c3p+0, -0x1.9bc186e21c618p+0, -0x1.860f609260a2ep+0, -0x1.7058862cc451ep+0, -0x1.5ab5b02eab856p+0, -0x1.453d22a45fb37p+0, -0x1.30035a7673314p+0, -0x1.1b1a3b8a82845p+0, -0x1.0690dbae8bed2p+0, -0x1.e4e8c1e00c169p-1, -0x1.bda1188668d88p-1, -0x1.975f104e7df4ap-1, -0x1.72332f742b7d5p-1, -0x1.4e28ca9da997fp-1, -0x1.2b4b064a31031p-1, -0x1.09a180bdf13fcp-1, -0x1.d263266a57cf6p-2, -0x1.93fd6b2fa5518p-2, -0x1.58156566b1f1cp-2, -0x1.1eab647539026p-2, -0x1.cf790c339d295p-3, -0x1.66861a8c8ab9ep-3, -0x1.026decfd3cfccp-3, -0x1.463a50a30ed1cp-4, -0x1.21f7f20fccb71p-5, 0x1.b0ef8111d0a4p-8, 0x1.7c34fd28ca64dp-5, 0x1.585f099f20448p-4, 0x1.ea1971c935ad3p-4, 0x1.39c5293621a44p-3, 0x1.7a7a689f17ccdp-3, 0x1.b74e99ad6049ap-3, 0x1.f063dbdabbef8p-3, 0x1.12edffea640ep-2, 0x1.2bec3fbc726c9p-2, 0x1.433d4d4f88401p-2, 0x1.58f1bb98e4988p-2, 0x1.6d1a18ba0c50bp-2, 0x1.7fc6ec81731fdp-2, 0x1.9108af433a495p-2, 0x1.a0ef1a303cf17p-2, 0x1.af8d651a9bfc7p-2, 0x1.bcf0d1ba8b931p-2, 0x1.c9287fb6919d8p-2, 0x1.d44327505bef7p-2, 0x1.de4f100cfd861p-2, 0x1.e75a0a5821757p-2, 0x1.ef716d353f5e3p-2, 0x1.f6a21781c94fep-2, 0x1.fcf8731ff6126p-2, 0x1.01403c08d6b32p-1, 0x1.03a2d7092440fp-1, 0x1.05a9961c5726ap-1, 0x1.0759cb8e151b6p-1, 0x1.08b88f4245924p-1, 0x1.09cabde1c707fp-1, 0x1.0a94f8c84aacfp-1, 0x1.0b1ba6e8b9586p-1, 0x1.0b62f6a63e34p-1, 0x1.0b6ee073ef713p-1, 0x1.0b4329f076fdep-1, 0x1.0ae3692735c8ap-1, 0x1.0a5307a490c6dp-1, 0x1.0995451d4ff1ep-1, 0x1.08ad39848b3p-1, 0x1.079dd68a503d2p-1, 0x1.0669e898364e9p-1, 0x1.0514177384d11p-1, 0x1.039ee6b450d37p-1, 0x1.020cb63edd715p-1, 0x1.005fc2e35fadfp-1, 0x1.fd344e775a9cap-2, 0x1.f97bb9a26815cp-2, 0x1.f5997b1423888p-2, 0x1.f1910aa6a0f8cp-2, 0x1.ed65a7f085c3p-2, 0x1.e91a5e27a8a22p-2, 0x1.e4b2080f7ba5ep-2, 0x1.e02f53cd44054p-2, 0x1.db94c6815f5ccp-2, 0x1.d6e4bf8c1cedp-2, 0x1.d2217b6d819f1p-2, 0x1.cd4d16387d383p-2, 0x1.c8698d9af56aap-2, 0x1.c378c283be36fp-2, 0x1.be7c7a756051dp-2, 0x1.b9766098209fp-2, 0x1.b468069eed0b1p-2, 0x1.af52e591f5d3ap-2, 0x1.aa385e8f29ae7p-2, 0x1.a519bb8d66315p-2, 0x1.9ff8302b4d38ep-2, 0x1.9ad4da8f0d6bfp-2, 0x1.95b0c45956169p-2, 0x1.908ce3ab2ab62p-2, 0x1.8b6a1c3c7cc69p-2, 0x1.864ae6ec3c152p-2, 0x1.812c47363503ap-2, 0x1.7c10f944abed7p-2, 0x1.76f9a9d58765cp-2, 0x1.71e6f929c150dp-2, 0x1.6cd97bcda9287p-2, 0x1.67d1bb5da49cfp-2, 0x1.62d03745b10bfp-2, 0x1.5dd56579fa4fdp-2, 0x1.58e1b326f4ecep-2, 0x1.53f58557ae3c5p-2, 0x1.4f1139913f44ap-2, 0x1.4a352662aecdcp-2, 0x1.45619be8dca8ap-2, 0x1.4096e44670e36p-2, 0x1.3bd544100d5cap-2, 0x1.371cfaad5dd94p-2, 0x1.326e42afcac2p-2, 0x1.2dc9521fce10ep-2, 0x1.292e5ac1f563ep-2, 0x1.249d8a54aaaeap-2, 0x1.20170ac7d195dp-2, 0x1.1b9b026f3c7f3p-2, 0x1.17299430deea3p-2, 0x1.12c2dfaf836cp-2, 0x1.0e670172c2dc4p-2, 0x1.0a16130cc7adbp-2, 0x1.05d02b3e5f30ap-2, 0x1.01955e19c722ap-2, 0x1.facb7a48f2291p-3, 0x1.f282aef0786ddp-3, 0x1.ea5073c738aedp-3, 0x1.e234de13aa03dp-3, 0x1.da2fff046ebecp-3, 0x1.d241e3ede705p-3, 0x1.ca6a968651177p-3, 0x1.c2aa1d202c869p-3, 0x1.bb007ae2893b7p-3, 0x1.b36daffeede64p-3, 0x1.abf1b9e47f9e1p-3, 0x1.a48c93702d1e9p-3, 0x1.9d3e3519a7fd6p-3, 0x1.9606951d0c2a7p-3, 0x1.8ee5a7a12c108p-3, 0x1.87db5eda83f79p-3, 0x1.80e7ab2af5364p-3, 0x1.7a0a7b3e68dbap-3, 0x1.7343bc24878f8p-3, 0x1.6c935967d5d2cp-3, 0x1.65f93d225a736p-3, 0x1.5f75501025667p-3, 0x1.5907799ff3bb3p-3, 0x1.52afa0023541ep-3, 0x1.4c6da836adf45p-3, 0x1.46417618f89ebp-3, 0x1.402aec6c1965ap-3, 0x1.3a29ece54fa9cp-3, 0x1.343e583656c8dp-3, 0x1.2e680e173100ep-3, 0x1.28a6ed4fa4eb2p-3, 0x1.22fad3c072d65p-3, 0x1.1d639e6c636d6p-3, 0x1.17e12981308acp-3, 0x1.12735060564cap-3, 0x1.0d19eda7cb875p-3, 0x1.07d4db3aa43b1p-3, 0x1.02a3f249a4337p-3, 0x1.fb0e16b765bd8p-4, 0x1.f0fbfcac7794cp-4, 0x1.e711450adeeabp-4, 0x1.dd4d9d48c72d9p-4, 0x1.d3b0b1ca25b25p-4, 0x1.ca3a2df0667b1p-4, 0x1.c0e9bc29cf1b9p-4, 0x1.b7bf060086223p-4, 0x1.aeb9b429461p-4, 0x1.a5d96e91ac0a1p-4, 0x1.9d1ddc6e278b9p-4, 0x1.9486a4478aeb4p-4, 0x1.8c136c082cdf7p-4, 0x1.83c3d908ab893p-4, 0x1.7b97901c40ab7p-4, 0x1.738e359cae436p-4, 0x1.6ba76d75c355fp-4, 0x1.63e2db3078c4cp-4, 0x1.5c4021fda8cecp-4, 0x1.54bee4c064664p-4, 0x1.4d5ec617e987dp-4, 0x1.461f68693e708p-4, 0x1.3f006de878e9ep-4, 0x1.380178a1b1d8dp-4, 0x1.31222a81b2412p-4, 0x1.2a62255e55de9p-4, 0x1.23c10afeb2a23p-4, 0x1.1d3e7d23026fap-4, 0x1.16da1d8c5a035p-4, 0x1.10938e042de27p-4, 0x1.0a6a7063a98d4p-4, 0x1.045e669ae2a14p-4, 0x1.fcde256fbe3ecp-5, 0x1.f1382ddafc46fp-5, 0x1.e5ca2b34780a6p-5, 0x1.da93629dac32cp-5, 0x1.cf9319a9a064p-5, 0x1.c4c89669b5401p-5, 0x1.ba331f7a3116bp-5, 0x1.afd1fc0e90c47p-5, 0x1.a5a473fd98887p-5, 0x1.9ba9cfcd26942p-5, 0x1.91e158bdc428bp-5, 0x1.884a58d5f7065p-5, 0x1.7ee41aed4d8a9p-5, 0x1.75adbd40079cep-5, 0x1.6ca6e9c0ddd34p-5, 0x1.63cebe41db01dp-5, 0x1.5b2489337a47bp-5, 0x1.52a79a0cc8657p-5, 0x1.4a574154cap-5, 0x1.4232d0ab95e32p-5, 0x1.3a399ad311ad1p-5, 0x1.326af3b765a57p-5, 0x1.2ac630771a606p-5, 0x1.234aa76ae7373p-5, 0x1.1bf7b02d36846p-5, 0x1.14cca3a1594cdp-5, 0x1.0dc8dbfa726ep-5, 0x1.06ebb4c216db5p-5, 0x1.00348adea6c86p-5, 0x1.f3457932b7c5p-6, 0x1.e66b53482b7c4p-6, 0x1.d9d9663dbb93fp-6, 0x1.cd8e773a51846p-6, 0x1.c1894e55a2d68p-6, 0x1.b5c8b6a1aac05p-6, 0x1.aa4b7e33964fep-6, 0x1.9f10762c3409bp-6, 0x1.941672bfe3741p-6, 0x1.895c4b3dfb6adp-6, 0x1.7ee0da17c08fep-6, 0x1.74a2fce6d067cp-6, 0x1.6aa19473217fap-6, 0x1.60db84b87622bp-6, 0x1.574fb4eb6852dp-6, 0x1.4dfd0f7df6627p-6, 0x1.44e2822398a2dp-6, 0x1.3bfefdd4ee388p-6, 0x1.335176d2eb45bp-6, 0x1.2ad8e4a99fa41p-6, 0x1.229442328f232p-6, 0x1.1a828d969d696p-6, 0x1.12a2c84f8b59ep-6, 0x1.0af3f729162f3p-6, 0x1.03752241a5ff3p-6, 0x1.f84aaa154728fp-7, 0x1.ea073c90c6a43p-7, 0x1.dc1e20236eda3p-7, 0x1.ce8d7f9e437ccp-7, 0x1.c1538c7354335p-7, 0x1.b46e7eb2c066fp-7, 0x1.a7dc950706e8cp-7, 0x1.9b9c14b0a5adp-7, 0x1.8fab49812cc8cp-7, 0x1.840885d597aa1p-7, 0x1.78b22290155a4p-7, 0x1.6da67f113fca8p-7, 0x1.62e40130b9b93p-7, 0x1.586915353a39p-7, 0x1.4e342dcc0fb49p-7, 0x1.4443c4002b753p-7, 0x1.3a96573095defp-7, 0x1.312a6d066e00ap-7, 0x1.27fe916a7af18p-7, 0x1.1f11567a331e7p-7, 0x1.1661547c615b1p-7, 0x1.0ded29d56089bp-7, 0x1.05b37afae61b6p-7, 0x1.fb65e4cec0f53p-8, 0x1.ebd4811a2ec9bp-8, 0x1.dcb037918f1ap-8, 0x1.cdf680a80eb57p-8, 0x1.bfa4e06e9052dp-8, 0x1.b1b8e6772491ap-8, 0x1.a4302db7de2a1p-8, 0x1.97085c6d2ec4fp-8, 0x1.8a3f23fbbd475p-8, 0x1.7dd240d1b1122p-8, 0x1.71bf7a47ad518p-8, 0x1.6604a2815193p-8, 0x1.5a9f964d51a5fp-8, 0x1.4f8e3d0560732p-8, 0x1.44ce886da01b1p-8, 0x1.3a5e7493ebccbp-8, 0x1.303c07aede55cp-8, 0x1.266551fca3c93p-8, 0x1.1cd86da1a3749p-8, 0x1.13937e86fd14fp-8, 0x1.0a94b2390382dp-8, 0x1.01da3fc58393fp-8, 0x1.f2c4cf343a908p-9, 0x1.e256e6c4ee7f7p-9, 0x1.d2676bcd3d51cp-9, 0x1.c2f315d292b2bp-9, 0x1.b3f6ae0c6f69fp-9, 0x1.a56f0f21455ebp-9, 0x1.975924e3a41b2p-9, 0x1.89b1ec0f8ef87p-9, 0x1.7c76720805f57p-9, 0x1.6fa3d4951a298p-9, 0x1.633741a206b85p-9, 0x1.572df6fc065ccp-9, 0x1.4b85421143f8ap-9, 0x1.403a7fb05991ep-9, 0x1.354b1bc84a993p-9, 0x1.2ab49128d842bp-9, 0x1.207469436b9d8p-9, 0x1.16883bec44e94p-9, 0x1.0cedaf1c9d8dap-9, 0x1.03a276b4d8b46p-9, 0x1.f548a87ee0f4dp-10, 0x1.e3e22d68f09e5p-10, 0x1.d30d347ad6a6ep-10, 0x1.c2c58ff3b22bfp-10, 0x1.b3072b88bc9efp-10, 0x1.a3ce0bf08ac19p-10, 0x1.95164e6f4d373p-10, 0x1.86dc28642f0fep-10, 0x1.791be6d814bc6p-10, 0x1.6bd1ee0d05044p-10, 0x1.5efab90f1e4d7p-10, 0x1.5292d9464eab7p-10, 0x1.4696f609ac842p-10, 0x1.3b03cc333fcb1p-10, 0x1.2fd62db5c4c4ap-10, 0x1.250b0132f5e4fp-10, 0x1.1a9f41934819ep-10, 0x1.108ffd9f053d8p-10, 0x1.06da5797efe45p-10, 0x1.faf709aa38843p-11, 0x1.e8e19abe5afa9p-11, 0x1.d76f171c5731bp-11, 0x1.c69a57513a94bp-11, 0x1.b65e5707da53ap-11, 0x1.a6b6344ba3adfp-11, 0x1.979d2ecf0b13ap-11, 0x1.890ea7336be57p-11, 0x1.7b061e54a6cc2p-11, 0x1.6d7f349672356p-11, 0x1.6075a93539e5p-11, 0x1.53e55998b88dp-11, 0x1.47ca40aa647bp-11, 0x1.3c20762d2d244p-11, 0x1.30e42e1959032p-11, 0x1.2611b7f9fdbc4p-11, 0x1.1ba57e4d52beap-11, 0x1.119c05e830919p-11, 0x1.07f1ed5b8c966p-11, 0x1.fd47d8b9ac84p-12, 0x1.eb5da661704bdp-12, 0x1.da1f1430f8954p-12, 0x1.c98621846326cp-12, 0x1.b98cfb755886bp-12, 0x1.aa2dfbc4b0e03p-12, 0x1.9b63a7c8b37f9p-12, 0x1.8d28af5fe8cb2p-12, 0x1.7f77ebe84839fp-12, 0x1.724c5f3bb660bp-12, 0x1.65a132b05c623p-12, 0x1.5971b61d662c2p-12, 0x1.4db95ee3f7c4dp-12, 0x1.4273c6fcd50dfp-12, 0x1.379cac0abf987p-12, 0x1.2d2fee6f29a55p-12, 0x1.232990656206ap-12, 0x1.1985b5208ec69p-12, 0x1.10409fed271f4p-12, 0x1.0756b358ed13ep-12, 0x1.fd88e0b90e574p-13, 0x1.ed0ceb13fff4bp-13, 0x1.dd32fc7fb3e43p-13, 0x1.cdf4c3beb4ee9p-13, 0x1.bf4c260fbd922p-13, 0x1.b1333daa30eb2p-13, 0x1.a3a458443a47ep-13, 0x1.9699f59f5d0f2p-13, 0x1.8a0ec61f6144ap-13, 0x1.7dfda96738933p-13, 0x1.7261acfcd2a8ep-13, 0x1.67360af923782p-13, 0x1.5c7628ba6bbb9p-13, 0x1.521d95a210583p-13, 0x1.482809d8a86aap-13, 0x1.3e91651978c02p-13, 0x1.3555ad8589c43p-13, 0x1.2c710e7dbb296p-13, 0x1.23dfd7856451dp-13, 0x1.1b9e7b2a2f2fdp-13, 0x1.13a98df3ad22p-13, 0x1.0bfdc55a207bbp-13, 0x1.0497f6c3e7027p-13, 0x1.faea2d118cd88p-14, 0x1.ed246df870cc8p-14, 0x1.dfd90efb21016p-14, 0x1.d302a71e928a8p-14, 0x1.c69c03e6a43f8p-14, 0x1.baa027996022fp-14, 0x1.af0a4792734c4p-14, 0x1.a3d5ca9ce1e5dp-14, 0x1.98fe475a53308p-14, 0x1.8e7f82b4e309fp-14, 0x1.84556e57f6f26p-14, 0x1.7a7c2739d3094p-14, 0x1.70eff42b4b3b6p-14, 0x1.67ad447060aa3p-14, 0x1.5eb0ae6152c8dp-14, 0x1.55f6ee1c2a8bbp-14, 0x1.4d7ce435c2fd2p-14, 0x1.453f947b4c9ccp-14, 0x1.3d3c24b76ff26p-14, 0x1.356fdb83ee39ap-14, 0x1.2dd81f1f2e2cdp-14, 0x1.2672744d8beb1p-14, 0x1.1f3c7d42e90efp-14, 0x1.1833f890ccd25p-14, 0x1.1156c01c8ba4p-14, 0x1.0aa2c820e1528p-14, 0x1.04161e326abd7p-14, 0x1.fb5dd09a55d7p-15, 0x1.eed6c7d234362p-15, 0x1.e293ca290b6d5p-15, 0x1.d691ab2acd9ffp-15, 0x1.cacd68261540dp-15, 0x1.bf442684d2c5cp-15, 0x1.b3f3323b1ace1p-15, 0x1.a8d7fc35ee84fp-15, 0x1.9df018e3b1d4ap-15, 0x1.93393ebe09e2ep-15, 0x1.88b00a47d1435p-15, 0x1.7e55117dec10bp-15, 0x1.742505ac141efp-15, 0x1.6a1e17d739756p-15, 0x1.603e9474165c4p-15, 0x1.5684e2317eb71p-15, 0x1.4cef80d4b2b24p-15, 0x1.437d0811d8c64p-15, 0x1.3a2c26818582ep-15, 0x1.30fba08d21734p-15, 0x1.27ea4f6ec9bf8p-15, 0x1.1ef72035a7a44p-15, 0x1.162112d416671p-15, 0x1.0d67393832b34p-15, 0x1.04c8b667c3175p-15, 0x1.f8897b52ec78cp-16, 0x1.e7b5235d37f39p-16, 0x1.d713079f1c9f2p-16, 0x1.c6a1e6887b802p-16, 0x1.b66098d701716p-16, 0x1.a64e102806f1ep-16, 0x1.966955a0a8e58p-16, 0x1.86b188a01f82ap-16, 0x1.7725dd79269d3p-16, 0x1.67c59c48f627cp-16, 0x1.58901fc956581p-16, 0x1.4984d420ccaf1p-16, 0x1.3aa335f888e1p-16, 0x1.2bead15f9331bp-16, 0x1.1d5b40cd8ccc1p-16, 0x1.0ef42c3d9199p-16, 0x1.00b548442808ep-16, 0x1.e53caa5e67e6ep-17, 0x1.c95e3c7688f5cp-17, 0x1.adcef188d9138p-17, 0x1.928e871376bcfp-17, 0x1.779ccbe43ac04p-17, 0x1.5cf99ec07e202p-17, 0x1.42a4ecfef38fbp-17, 0x1.289eb16693ddcp-17, 0x1.0ee6f2e2fbb2ep-17, 0x1.eafb86b50277fp-18, 0x1.b8c67d51233edp-18, 0x1.872f12f99a37ap-18, 0x1.5635a0bc61bb4p-18, 0x1.25da8d6205fd3p-18, 0x1.ec3c971c88aaap-19, 0x1.8e02aff3c1c32p-19, 0x1.31086f89ccdb5p-19, 0x1.aa9ddb0d62117p-20, 0x1.eb5d2fa484c56p-21, 0x1.0d15a0558098ep-22, -0x1.b26d5fec21926p-22, -0x1.19f148d767177p-20, -0x1.c4ba0b95beca9p-20, -0x1.3679a3994b9a7p-19, -0x1.894d564019f2dp-19, -0x1.dad6fd19be579p-19, -0x1.158ac016e6292p-18, -0x1.3d03e8e18a8ddp-18, -0x1.63d677ef87a2bp-18, -0x1.8a01f2c3d589ep-18, -0x1.af85e5f0e9157p-18, -0x1.d461e5b317f2p-18, -0x1.f8958e56a0606p-18, -0x1.0e104250a8a98p-17, -0x1.1f813b2972a28p-17, -0x1.309d8d33a3031p-17, -0x1.416518d7393cp-17, -0x1.51d7c35e372f6p-17, -0x1.61f5775c54814p-17, -0x1.71be2498ef954p-17, -0x1.8131c05d5cfccp-17, -0x1.90504583a972p-17, -0x1.9f19b490dfb31p-17, -0x1.ad8e13e7312bbp-17, -0x1.bbad6fc26b79p-17, -0x1.c977da58e1634p-17, -0x1.d6ed6be7ed1adp-17, -0x1.e40e42c31c1fcp-17, -0x1.f0da8358935b1p-17, -0x1.fd5258363737p-17, -0x1.04baf9054b43cp-16, -0x1.0aa2c3d47146bp-16, -0x1.1060aafce5dap-16, -0x1.15f4cffd4701ep-16, -0x1.1b5f575869e31p-16, -0x1.20a0688ebf91bp-16, -0x1.25b82e17a894ep-16, -0x1.2aa6d55641bb1p-16, -0x1.2f6c8e99f4375p-16, -0x1.34098d01cc015p-16, -0x1.387e0683cac5cp-16, -0x1.3cca33d80f509p-16, -0x1.40ee506eccb24p-16, -0x1.44ea9a63f3f74p-16, -0x1.48bf52710ba89p-16, -0x1.4c6cbbe170d58p-16, -0x1.4ff31c7e7434ap-16, -0x1.5352bc892bc1ep-16, -0x1.568be6a3ef936p-16, -0x1.599ee7cc5d2fcp-16, -0x1.5c8c0f3f8f781p-16, -0x1.5f53ae75d98afp-16, -0x1.61f61904d6003p-16, -0x1.6473a4a0528a1p-16, -0x1.66cca8fdefd47p-16, -0x1.69017fc947e56p-16, -0x1.6b12848ed78eap-16, -0x1.6d0014b17d3dap-16, -0x1.6eca8f4f787efp-16, -0x1.707255452b6ffp-16, -0x1.71f7c9037f316p-16, -0x1.735b4e8d41718p-16, -0x1.749d4b5fc1285p-16, -0x1.75be2670a8cadp-16, -0x1.76be4807f2fd2p-16, -0x1.779e19b9c2ac4p-16, -0x1.785e0654a543ap-16, -0x1.78fe79d32cee5p-16, -0x1.797fe14620204p-16, -0x1.79e2aac76ad5dp-16, -0x1.7a274568d9d83p-16, -0x1.7a4e2123dada9p-16, -0x1.7a57aec90b981p-16, -0x1.7a445ff1ac731p-16, -0x1.7a14a6edcb9bbp-16, -0x1.79c8f6b6ff8c3p-16, -0x1.7961c2da2d5dcp-16, -0x1.78df7f7bafa23p-16, -0x1.7842a12a3e0adp-16, -0x1.778b9cea6fd82p-16, -0x1.76bae81d66aa8p-16, -0x1.75d0f86ff5247p-16, -0x1.74ce43d47874ep-16, -0x1.73b3406d3debep-16, -0x1.728064850920cp-16, -0x1.7136267e7d97fp-16, -0x1.6fd4fcc7ebc89p-16, -0x1.6e5d5dce8f765p-16, -0x1.6ccfbff1fb709p-16, -0x1.6b2c99784a089p-16, -0x1.6974608162a01p-16, -0x1.67a78afd7f7b5p-16, -0x1.65c68e9bbe81bp-16, -0x1.63d1e0c65476ap-16, -0x1.61c9f694bbab1p-16, -0x1.5faf44c0b3424p-16, -0x1.5d823f9b20eb2p-16, -0x1.5b435b04177c5p-16, -0x1.58f30a5e62677p-16, -0x1.5691c08c669b1p-16, -0x1.541fefd9833d8p-16, -0x1.519e0a070a173p-16, }}, 
      {{-0x1.401be61d5a14p+1, -0x1.3f7d0a1aa488cp+1, -0x1.3e77290a0a3f7p+1, -0x1.3d0dbf7a23f36p+1, -0x1.3b454a3fb7c6cp+1, -0x1.3922f0cc59417p+1, -0x1.36ac1bd659b3bp+1, -0x1.33e6883196573p+1, -0x1.30d808997b6c8p+1, -0x1.2d868020576cfp+1, -0x1.29f7dffb99259p+1, -0x1.263196d618b2ep+1, -0x1.223993d43823ep+1, -0x1.1e150619f30cdp+1, -0x1.19c9290bad063p+1, -0x1.155af6959587p+1, -0x1.10cf235e4cdf5p+1, -0x1.0c2a32e849098p+1, -0x1.07704c3234303p+1, -0x1.02a575dafd12bp+1, -0x1.fb9ac86ec5f75p+0, -0x1.f1d70456da4e5p+0, -0x1.e8061a4eb57f4p+0, -0x1.de2dff6ca84aap+0, -0x1.d4542b1da827ap+0, -0x1.ca7dae0c7c46dp+0, -0x1.c0af1d183e0b4p+0, -0x1.b6ecafb9755e2p+0, -0x1.ad3a37acc70ebp+0, -0x1.a39b28f935896p+0, -0x1.9a12a08ffde8bp+0, -0x1.90a369a2bfea9p+0, -0x1.875001acf26cep+0, -0x1.7e1a9d159ce7p+0, -0x1.75052cb3520f1p+0, -0x1.6c11636bb4918p+0, -0x1.6340bb7b7da0cp+0, -0x1.5a947b0954a04p+0, -0x1.520db7abea5d6p+0, -0x1.49ad591b4e7a5p+0, -0x1.41741beb76e6ap+0, -0x1.39629516a11c5p+0, -0x1.3179362ce3ad6p+0, -0x1.29b851249ebc9p+0, -0x1.22201b02f1d0cp+0, -0x1.1ab0ada412f15p+0, -0x1.136a0998aac51p+0, -0x1.0c4c18a673538p+0, -0x1.0556b08ec1b9fp+0, -0x1.fd132aa19c594p-1, -0x1.efc8f509c782dp-1, -0x1.e2ce084ef32fbp-1, -0x1.d6218f147d422p-1, -0x1.c9c299d67d6aep-1, -0x1.bdb0095077209p-1, -0x1.b1e8faa05d3ep-1, -0x1.a66c39e03773dp-1, -0x1.9b389681aa754p-1, -0x1.904cd3fd73f17p-1, -0x1.85a7abe8566bp-1, -0x1.7b47cfef9904fp-1, -0x1.712beb9762093p-1, -0x1.6752a5a6cc826p-1, -0x1.5dbaa1492f6bdp-1, -0x1.54627f00f1386p-1, -0x1.4b48dd8cd56e6p-1, -0x1.426c5ad5e68f6p-1, -0x1.39cb94e9da156p-1, -0x1.31652af615a03p-1, -0x1.2937be309c8dap-1, -0x1.2141f29f3eecbp-1, -0x1.19826fb6b8dbcp-1, -0x1.11f7e0d59b41ep-1, -0x1.0aa0f5a567c3ep-1, -0x1.037c626d97ddep-1, -0x1.f911c0c1f3056p-2, -0x1.eb8a5bd0d4585p-2, -0x1.de601dd22888fp-2, -0x1.d1909a036a01cp-2, -0x1.c5196f753586dp-2, -0x1.b8f8494ccaa49p-2, -0x1.ad2adee9592a3p-2, -0x1.a1aef3f4b8e6fp-2, -0x1.9682586983d9bp-2, -0x1.8ba2e897d55fp-2, -0x1.810e8d2e764f5p-2, -0x1.76c33b49db2b7p-2, -0x1.6cbef4862afbep-2, -0x1.62ffc70ed99e7p-2, -0x1.5983cda5911c5p-2, -0x1.50492f9b1008dp-2, -0x1.474e20b6c4478p-2, -0x1.3e90e10c9349cp-2, -0x1.360fbcc2bb06ep-2, -0x1.2dc90bcb9b9b9p-2, -0x1.25bb319841d14p-2, -0x1.1de49cc8aedccp-2, -0x1.1643c6de43ab2p-2, -0x1.0ed733f3846acp-2, -0x1.079d727af0f3bp-2, -0x1.00951b0536ac7p-2, -0x1.f379a01b5678ep-3, -0x1.e6267b9634785p-3, -0x1.d92e340505fc3p-3, -0x1.cc8e47b2bc8e9p-3, -0x1.c044474b0a32p-3, -0x1.b44dd57300942p-3, -0x1.a8a8a6599b67bp-3, -0x1.9d527f40f305bp-3, -0x1.92493601dfd93p-3, -0x1.878a9a6442a5bp-3, -0x1.7d14ce0168ffap-3, -0x1.72e5c0593ff38p-3, -0x1.68fb846b153fp-3, -0x1.5f543b70b69a5p-3, -0x1.55ee1473700bdp-3, -0x1.4cc74be37499fp-3, -0x1.43de2b32121b3p-3, -0x1.3b31086ef6851p-3, -0x1.32be45e891463p-3, -0x1.2a8451cf7486bp-3, -0x1.2281a5dc7a7e9p-3, -0x1.1ab4c6f953671p-3, -0x1.131c44eb3bd16p-3, -0x1.0bb6b9ff86f0bp-3, -0x1.0482cab9e193cp-3, -0x1.fafe4b0871623p-4, -0x1.ed5504c0af826p-4, -0x1.e0074536b457p-4, -0x1.d312a1063e8afp-4, -0x1.c674be3beb557p-4, -0x1.ba2b53c949449p-4, -0x1.ae3428fdd6a1ap-4, -0x1.a28d150523ba4p-4, -0x1.9733fe69eea98p-4, -0x1.8c26da9e28cb6p-4, -0x1.8163ad879c242p-4, -0x1.76e88910dca52p-4, -0x1.6cb38cbe2c4a4p-4, -0x1.62c2e545f9c03p-4, -0x1.5914cc2c93306p-4, -0x1.4fa78762ea30bp-4, -0x1.467968e803dc7p-4, -0x1.3d88ce6d06219p-4, -0x1.34d420fbbf415p-4, -0x1.2c59d49f9e8abp-4, -0x1.241868111b7d9p-4, -0x1.1c0e64638c0c8p-4, -0x1.143a5cb57bbfcp-4, -0x1.0c9aede3846eep-4, -0x1.052ebe3db5952p-4, -0x1.fbe8fa7f0f95cp-5, -0x1.edd5c694b9791p-5, -0x1.e02162c4f8a5bp-5, -0x1.d2c961dd07eb3p-5, -0x1.c5cb66f25c752p-5, -0x1.b92524eaa7b99p-5, -0x1.acd45e08259efp-5, -0x1.a0d6e379ecf59p-5, -0x1.952a94effc414p-5, -0x1.89cd6032ca2ccp-5, -0x1.7ebd40be2f14ap-5, -0x1.73f83f5f6bd95p-5, -0x1.697c71d619315p-5, -0x1.5f47fa77f8cccp-5, -0x1.555907d76ffddp-5, -0x1.4badd46ca20d6p-5, -0x1.4244a64120ba4p-5, -0x1.391bce9e13ee5p-5, -0x1.3031a9bcdc875p-5, -0x1.27849e7a214fdp-5, -0x1.1f131e0b3f201p-5, -0x1.16dba3b6124aep-5, -0x1.0edcb48b0b9f7p-5, -0x1.0714df218616fp-5, -0x1.ff0576aca106fp-6, -0x1.f049d4188d51ep-6, -0x1.e1f429de28fafp-6, -0x1.d401dc6fc65bap-6, -0x1.c67060e7c7df5p-6, -0x1.b93d3c997901p-6, -0x1.ac6604a551f7ep-6, -0x1.9fe85d907a71fp-6, -0x1.93c1fadf9537p-6, -0x1.87f09eb472e33p-6, -0x1.7c72196e9fc3bp-6, -0x1.7144494ecb6cp-6, -0x1.66651a1cac6e6p-6, -0x1.5bd284cf7ba71p-6, -0x1.518a8f38d1a0fp-6, -0x1.478b4bb1d74bcp-6, -0x1.3dd2d8cab2cbap-6, -0x1.345f60fc25d34p-6, -0x1.2b2f1a5b3e92bp-6, -0x1.2240464f1ebf7p-6, -0x1.19913148b8575p-6, -0x1.1120327c7f69cp-6, -0x1.08ebab9e0929ep-6, -0x1.00f2089d5bc58p-6, -0x1.f2637ecca741dp-7, -0x1.e3529f431b6cbp-7, -0x1.d4ae84ee23029p-7, -0x1.c67454a593e05p-7, -0x1.b8a14554d4498p-7, -0x1.ab329f8a1404dp-7, -0x1.9e25bd0883156p-7, -0x1.9178085d6011p-7, -0x1.8526fc7814f62p-7, -0x1.79302444f1eb5p-7, -0x1.6d911a4aa375bp-7, -0x1.6247884a4da1bp-7, -0x1.575126e20cc9bp-7, -0x1.4cabbd31f1169p-7, -0x1.4255208349a8bp-7, -0x1.384b33f22248cp-7, -0x1.2e8be81903ceap-7, -0x1.25153abeb4d13p-7, -0x1.1be536860ca29p-7, -0x1.12f9f29fb6d1dp-7, -0x1.0a51927dde55p-7, -0x1.01ea4589aa89bp-7, -0x1.f3848db513615p-8, -0x1.e3afed7efddecp-8, -0x1.d452e4d93bc2ep-8, -0x1.c56a620387517p-8, -0x1.b6f333380c1e2p-8, -0x1.a8ea3b66c4c92p-8, -0x1.9b4c71b7cc6ffp-8, -0x1.8e16e11056c07p-8, -0x1.8146a79aa5a96p-8, -0x1.74d8f650acfeap-8, -0x1.68cb1089b32a5p-8, -0x1.5d1a4b8a661e4p-8, -0x1.51c40e17c361ap-8, -0x1.46c5d00c5688dp-8, -0x1.3c1d19f001e26p-8, -0x1.31c784922d99fp-8, -0x1.27c2b8a66da4p-8, -0x1.1e0c6e633e2edp-8, -0x1.14a26d231dcfep-8, -0x1.0b828b07cb28ep-8, -0x1.02aaac9fa214p-8, -0x1.f431891a0e584p-9, -0x1.e395a65fc6c19p-9, -0x1.d37dcca222f07p-9, -0x1.c3e6319f6359bp-9, -0x1.b4cb24a0d4df2p-9, -0x1.a6290ddcf2a23p-9, -0x1.97fc6ddd43ba1p-9, -0x1.8a41dce6f9ba9p-9, -0x1.7cf60a68814dp-9, -0x1.7015bc68d0a58p-9, -0x1.639dcefaa124ap-9, -0x1.578b33b3683ep-9, -0x1.4bdaf12438721p-9, -0x1.408a2256c260ap-9, -0x1.3595f64cbff98p-9, -0x1.2afbaf8246c53p-9, -0x1.20b8a37338712p-9, -0x1.16ca3a2356e5fp-9, -0x1.0d2deda902195p-9, -0x1.03e149baa6eccp-9, -0x1.f5c3d67d5e7f2p-10, -0x1.e45affbc86493p-10, -0x1.d3838b347b35ep-10, -0x1.c33914c55db94p-10, -0x1.b37757615dccdp-10, -0x1.a43a2c45355c2p-10, -0x1.957d8a350ad89p-10, -0x1.873d84bdab105p-10, -0x1.79764b7a9aa2cp-10, -0x1.6c24295fc071cp-10, -0x1.5f438407b7466p-10, -0x1.52d0db060e03cp-10, -0x1.46c8c73d71e6bp-10, -0x1.3b27fa3a02ffbp-10, -0x1.2feb3d8eeaf7bp-10, -0x1.250f72386cdf2p-10, -0x1.1a9190013085dp-10, -0x1.106ea4eb54f9bp-10, -0x1.06a3d49cbfaep-10, -0x1.fa5caf9ebe85p-11, -0x1.e816f787161dep-11, -0x1.d671436ff2ba7p-11, -0x1.c5667cc5099c2p-11, -0x1.b4f1b2db2cedep-11, -0x1.a50e19ef8f22bp-11, -0x1.95b70a2efdc7ep-11, -0x1.86e7fec1923b5p-11, -0x1.789c94dbe8bcp-11, -0x1.6ad08ad794b67p-11, -0x1.5d7fbf4fb648fp-11, -0x1.50a63043c29fep-11, -0x1.443ffa3ee3fc3p-11, -0x1.38495785b63a5p-11, -0x1.2cbe9f47f4279p-11, -0x1.219c44d7d6e17p-11, -0x1.16ded6e5efd39p-11, -0x1.0c82fec237ff1p-11, -0x1.02857fa147762p-11, -0x1.f1c66bcd307eap-12, -0x1.df322ce60994p-12, -0x1.cd485bef6a95cp-12, -0x1.bc03409aaf0c5p-12, -0x1.ab5d4f9f1bc6dp-12, -0x1.9b51297917c4ep-12, -0x1.8bd9993171131p-12, -0x1.7cf1932aba999p-12, -0x1.6e9433f9f77b9p-12, -0x1.60bcbf435e727p-12, -0x1.53669ea12fecfp-12, -0x1.468d608eb139cp-12, -0x1.3a2cb75d421d6p-12, -0x1.2e40782e7ef09p-12, -0x1.22c499f40698dp-12, -0x1.17b5347a0bea4p-12, -0x1.0d0e7f72a7c9ep-12, -0x1.02ccd18c6428ep-12, -0x1.f1d93f1991d6bp-13, -0x1.ded4f6dc595a4p-13, -0x1.cc862713464fbp-13, -0x1.bae66381ce2fcp-13, -0x1.a9ef7560ebd0ap-13, -0x1.999b59cd465f8p-13, -0x1.89e4403fab111p-13, -0x1.7ac48910afe6dp-13, -0x1.6c36c4057605bp-13, -0x1.5e35aee52a571p-13, -0x1.50bc341cab0dcp-13, -0x1.43c5696649368p-13, -0x1.374c8e7dacddp-13, -0x1.2b4d0bdc56277p-13, -0x1.1fc2717d84a9p-13, -0x1.14a875ac4e49fp-13, -0x1.09faf3d95c59bp-13, -0x1.ff6bd6f158efep-14, -0x1.ebaafdcd9c737p-14, -0x1.d8abe4ae65b7fp-14, -0x1.c66755913c095p-14, -0x1.b4d65a031448p-14, -0x1.a3f239295931fp-14, -0x1.93b475d14cbffp-14, -0x1.8416cc96b5b7bp-14, -0x1.7513321a57acbp-14, -0x1.66a3d12d53362p-14, -0x1.58c3092e80835p-14, -0x1.4b6b6c53aff1ap-14, -0x1.3e97be107b623p-14, -0x1.3242f1830a236p-14, -0x1.266827eaaeb02p-14, -0x1.1b02af3164cc8p-14, -0x1.100e00767a4f3p-14, -0x1.0585beaaee814p-14, -0x1.f6cb6a695df3cp-15, -0x1.e353ad33ef525p-15, -0x1.d09c7680914f7p-15, -0x1.be9e404814552p-15, -0x1.ad51cb5a5481cp-15, -0x1.9cb01cfb51a7dp-15, -0x1.8cb27c9b27b96p-15, -0x1.7d5271ab816e5p-15, -0x1.6e89c16c92b45p-15, -0x1.60526ce1e3aacp-15, -0x1.52a6aecc6a43fp-15, -0x1.4580f9b4d6744p-15, -0x1.38dbf605c9f52p-15, -0x1.2cb28031472a8p-15, -0x1.20ffa6eee6e7p-15, -0x1.15bea97e5cab4p-15, -0x1.0aeaf5f427c6ep-15, -0x1.0080279eb98f9p-15, -0x1.ecf40ae273b8bp-16, -0x1.d9a900f873fe7p-16, -0x1.c71764e3b8f9ap-16, -0x1.b537b8714ea7cp-16, -0x1.a402c90c8bdd5p-16, -0x1.9371ad0961c5bp-16, -0x1.837dc1161aa86p-16, -0x1.7420a5973caffp-16, -0x1.65543c4e8b6bap-16, -0x1.5712a6020951ap-16, -0x1.4956402166735p-16, -0x1.3c19a28546158p-16, -0x1.2f579d6c3e828p-16, -0x1.230b372da228fp-16, -0x1.172faa74a9597p-16, -0x1.0bc06428f506fp-16, -0x1.00b9019c32df6p-16, -0x1.ec2a9d3cef79p-17, -0x1.d7a287cd82489p-17, -0x1.c3d20a76d2b78p-17, -0x1.b0b1bfb7af174p-17, -0x1.9e3a91cd5205ep-17, -0x1.8c65b79e8fe7cp-17, -0x1.7b2cb1d9c73f2p-17, -0x1.6a8947fae870fp-17, -0x1.5a75857bfccb5p-17, -0x1.4aebb75e94fp-17, -0x1.3be66957bae6fp-17, -0x1.2d60638912427p-17, -0x1.1f54a7f407654p-17, -0x1.11be7035311f3p-17, -0x1.04992b4403f0dp-17, -0x1.efc0f69dea4ap-18, -0x1.d720673b5ca5p-18, -0x1.bf48ad23e7841p-18, -0x1.a832276e938f6p-18, -0x1.91d58bec24c1ep-18, -0x1.7c2be342aff7bp-18, -0x1.672e85b410596p-18, -0x1.52d7179b5c34fp-18, -0x1.3f1f8661ee801p-18, -0x1.2c0205404f495p-18, -0x1.19790a4a0f14ap-18, -0x1.077f4b9c7eb22p-18, -0x1.ec1f79009cc54p-19, -0x1.ca4b159f89b0dp-19, -0x1.a97838c27a68cp-19, -0x1.899e1948c1592p-19, -0x1.6ab4541666a0cp-19, -0x1.4cb2e7acc81bcp-19, -0x1.2f92303c79899p-19, -0x1.134ae31b7a8aep-19, -0x1.efac14b1d8852p-20, -0x1.ba5a02f678724p-20, -0x1.8692e24d729e1p-20, -0x1.544a97deee8a1p-20, -0x1.23759624ef265p-20, -0x1.e811aab0821a8p-21, -0x1.8bf399c70c17cp-21, -0x1.327cdc122307fp-21, -0x1.b7347996ee9f4p-22, -0x1.0e72c5a1643fdp-22, -0x1.aa463679578e8p-24, 0x1.a485702cf800cp-25, 0x1.9e27e561cdb2fp-23, 0x1.6516ddac73ca6p-22, 0x1.f6b6b647fb498p-22, 0x1.4207bfb733ff3p-21, 0x1.869e03b9ddaa1p-21, 0x1.c92afc0739b3cp-21, 0x1.04dd7a4557af5p-20, 0x1.242cda3a998a1p-20, 0x1.42894353c7b3p-20, 0x1.5ff8209253605p-20, 0x1.7c7ea4c7095f4p-20, 0x1.9820078b3f867p-20, 0x1.b2e48e59734edp-20, 0x1.cccf26cbda387p-20, 0x1.e5e441d2c8f79p-20, 0x1.fe2826b783accp-20, 0x1.0acf7a5b85f7ep-19, 0x1.162652e3a5f3p-19, 0x1.211a8894e8e4bp-19, 0x1.2badf6242ef6cp-19, 0x1.35e266b3fbdafp-19, 0x1.3fb996bcf9d2ap-19, 0x1.493534c72f94bp-19, 0x1.5256e27fc59e3p-19, 0x1.5b2035335c284p-19, 0x1.6392b6ba7531bp-19, 0x1.6bafe654eef92p-19, 0x1.73793890bc1p-19, 0x1.7af0190f24d55p-19, 0x1.8215ea5a1408fp-19, 0x1.88ec06a67d3a4p-19, 0x1.8f73c058a58b9p-19, 0x1.95ae62860e061p-19, 0x1.9b9d3175aab2ap-19, 0x1.a1416aeed1dbap-19, 0x1.a69c46d653ae4p-19, 0x1.abaef7200150cp-19, 0x1.b07aa9800391ap-19, 0x1.b50085c9d4adcp-19, 0x1.b941af906ca35p-19, 0x1.bd3f4636b0c7bp-19, 0x1.c0fa65140bd84p-19, 0x1.c47423ac9c18bp-19, 0x1.c7ad964fd4ad9p-19, 0x1.caa7cde411074p-19, 0x1.cd63d80c65635p-19, 0x1.cfe2bfdef7702p-19, 0x1.d2258da9484ap-19, 0x1.d42d4714bbd47p-19, 0x1.d5faefcfb20b9p-19, 0x1.d78f88f2706f9p-19, 0x1.d8ec116a07c35p-19, 0x1.da11869c50cd6p-19, 0x1.db00e3a4e889ap-19, 0x1.dbbb21f597306p-19, 0x1.dc41394e3460dp-19, 0x1.dc941fded8af3p-19, 0x1.dcb4ca147acf7p-19, 0x1.dca42b29bd77bp-19, 0x1.dc633486457a7p-19, 0x1.dbf2d6881296dp-19, 0x1.db53ffea332d7p-19, 0x1.da879e33122ep-19, 0x1.d98e9d7f6c8f5p-19, 0x1.d869e8e7a16e3p-19, 0x1.d71a69f425a0cp-19, 0x1.d5a10900b9feep-19, 0x1.d3fead2855ee8p-19, 0x1.d2343c4457dcbp-19, 0x1.d0429aec6ab96p-19, 0x1.ce2aac7554711p-19, 0x1.cbed52eeb44ffp-19, 0x1.c98b6f1e39736p-19, 0x1.c705e08f6c5b3p-19, 0x1.c45d85662ae9p-19, 0x1.c1933a68a8707p-19, 0x1.bea7db27f28cfp-19, 0x1.bb9c41c3e00ap-19, 0x1.b87146d66b525p-19, 0x1.b527c1f7aba58p-19, 0x1.b1c088bea3f37p-19, 0x1.ae3c6fe167ee3p-19, 0x1.aa9c4a333b2dap-19, 0x1.a6e0e8f5e4107p-19, 0x1.a30b1c0edce46p-19, 0x1.9f1bb1aeb421fp-19, 0x1.9b13769ce8cf5p-19, 0x1.96f335bd43d67p-19, 0x1.92bbb86733d05p-19, 0x1.8e6dc640f7467p-19, 0x1.8a0a251fe384fp-19, 0x1.85919926b8f41p-19, 0x1.8104e4acd9fdcp-19, 0x1.7c64c827b1b17p-19, 0x1.77b2025c32f31p-19, 0x1.72ed5004a8a6bp-19, 0x1.6e176c01b982ep-19, 0x1.69310f4534afdp-19, 0x1.643af0ce36e08p-19, 0x1.5f35c59807756p-19, 0x1.5a224088d4c29p-19, 0x1.550112c4ae108p-19, 0x1.4fd2eb1d33648p-19, 0x1.4a98765df6799p-19, 0x1.45525f3f84a4cp-19, 0x1.40014e6f29e4cp-19, 0x1.3aa5ea31e2a4p-19, 0x1.3540d6e6d62ap-19, 0x1.2fd2b6a7c7577p-19, 0x1.2a5c2960d08bbp-19, 0x1.24ddccbc30ca4p-19, 0x1.1f583c20b398cp-19, 0x1.19cc10eccdaa8p-19, 0x1.1439e205c5da2p-19, 0x1.0ea2443a61ac6p-19, 0x1.0905c9bd0ac1ap-19, 0x1.036502dd699cbp-19, 0x1.fb80fa9d9b7bcp-20, 0x1.f0318953d5ffcp-20, 0x1.e4dcc44df77cfp-20, 0x1.d983b957b545cp-20, 0x1.ce27716841649p-20, 0x1.c2c8f1680c8b8p-20, 0x1.b76938fc08b2cp-20, 0x1.ac09435403f5dp-20, 0x1.a0aa06d20029bp-20, 0x1.954c757b07014p-20, 0x1.89f17c9d4dcf7p-20, 0x1.7e9a04a3ac493p-20, 0x1.7346f156fa069p-20, 0x1.67f9222ca999fp-20, 0x1.5cb171a6128f1p-20, 0x1.5170b5c0050ccp-20, 0x1.4637bfdad4497p-20, 0x1.3b075cbdf8f43p-20, 0x1.2fe0549fb5b61p-20, 0x1.24c36b1b20ef8p-20, 0x1.19b15f4ace039p-20, 0x1.0eaaebbe79b1fp-20, 0x1.03b0c65a23c45p-20, 0x1.f187423969da1p-21, 0x1.dbc851ea68665p-21, 0x1.c6260cf907eeap-21, 0x1.b0a1bc8637c25p-21, 0x1.9b3c9f92689dcp-21, 0x1.85f7edbd1873ap-21, 0x1.70d4d595548dbp-21, 0x1.5bd47d17e0b9dp-21, 0x1.46f801c4cab4dp-21, 0x1.324078afddc98p-21, 0x1.1daeee92bca36p-21, 0x1.094467eb4872dp-21, 0x1.ea03c1c4533cp-22, 0x1.c1d09b3a65adp-22, 0x1.99f134404690ap-22, 0x1.7267553374c82p-22, 0x1.4b34b6662f8e9p-22, 0x1.245b009d083a6p-22, 0x1.fbb79a63fead9p-23, 0x1.af714c6d738ap-23, 0x1.63e60d9ca4486p-23, 0x1.1918b48897cb3p-23, 0x1.9e17fb8d1a7c1p-24, 0x1.0b8508ea0c292p-24, 0x1.e9f6621447abfp-26, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.9f2c1451dd14dp-4, -0x1.978ac1387420ap-3, -0x1.292b3182e34ebp-2, -0x1.7e223de11bc2fp-2, -0x1.c981a177bc1b5p-2, -0x1.055407689e626p-1, -0x1.20acb849bf81bp-1, -0x1.36d2ac7d44c45p-1, -0x1.47e96fe6f374p-1, -0x1.5428e9d17ebbap-1, -0x1.5bd6310ead49p-1, -0x1.5f41166f0144p-1, -0x1.5ebd95c83fc1fp-1, -0x1.5aa3f17c11d61p-1, -0x1.534cc5c879efcp-1, -0x1.490f9c0683628p-1, -0x1.3c41ec8e6fbb4p-1, -0x1.2d369bf62e1eep-1, -0x1.1c3c2070be6b4p-1, -0x1.099c81bb9cf2cp-1, -0x1.eb3c36bc0f081p-2, -0x1.c104d31f8f52fp-2, -0x1.950a613d32c1ap-2, -0x1.67ba95662328fp-2, -0x1.397ad40bc9269p-2, -0x1.0aa812eb7078ep-2, -0x1.b72dde2e329e8p-3, -0x1.591cf867ec9a7p-3, -0x1.f7490312da17p-4, -0x1.3e72750406484p-4, -0x1.1105d56b711bcp-5, 0x1.4e9a4d2d85127p-7, 0x1.afec2d65fe67bp-5, 0x1.816227c3c6ea9p-4, 0x1.12d4c32500c0dp-3, 0x1.6238ff5f03ed3p-3, 0x1.aeb99ce8db9ebp-3, 0x1.f83a5bbd72b05p-3, 0x1.1f52f8a905edbp-2, 0x1.40f6993273b71p-2, 0x1.610333b52bf61p-2, 0x1.7f76658f545afp-2, 0x1.9c50120a63b65p-2, 0x1.b79230468cefbp-2, 0x1.d14090fae656ap-2, 0x1.e9609c03c9204p-2, 0x1.fff90d40eb2dep-2, 0x1.0a88dc261a7b5p-1, 0x1.1459aaa21b1d9p-1, 0x1.1d73aa5610746p-1, 0x1.25dbdc5687eddp-1, 0x1.2d977a6e53b47p-1, 0x1.34abeb906c9b7p-1, 0x1.3b1ebd4098105p-1, 0x1.40f42e3190061p-1, 0x1.46351920f44c4p-1, 0x1.4ae61eb8b30c5p-1, 0x1.4f0d2c857df0ap-1, 0x1.52b0298c9ae49p-1, 0x1.55d4ef1898bcap-1, 0x1.588142f4b66a3p-1, 0x1.5abad31775035p-1, 0x1.5c873275d5752p-1, 0x1.5debd68d0ac93p-1, 0x1.5eee152e0eb4cp-1, 0x1.5f932239a0afcp-1, 0x1.5fe00d32206b8p-1, 0x1.5fd9bebd80cb9p-1, 0x1.5f84f6540298ap-1, 0x1.5ee6486277d84p-1, 0x1.5e021d1afb1b3p-1, 0x1.5cdcb014b445bp-1, 0x1.5b7a10ba9e812p-1, 0x1.59de236996c99p-1, 0x1.580ca3055ec6bp-1, 0x1.560922bf0b80ep-1, 0x1.53d70fc7c1f22p-1, 0x1.5179b2b892446p-1, 0x1.4ef430904579ep-1, 0x1.4c498b44b94cfp-1, 0x1.497ca2000c173p-1, 0x1.469031345de98p-1, 0x1.4386d2b7a3674p-1, 0x1.4062fe1394204p-1, 0x1.3d2709270c7edp-1, 0x1.39d52923197c6p-1, 0x1.366f73db915bbp-1, 0x1.32f7e15579b29p-1, 0x1.2f704d76a70e4p-1, 0x1.2bda79b9bb039p-1, 0x1.28380ece86c1cp-1, 0x1.248a9e1677375p-1, 0x1.20d3a2f503cb7p-1, 0x1.1d1483f366843p-1, 0x1.194e93bc59b35p-1, 0x1.158311f7e6541p-1, 0x1.11b32c1099e1p-1, 0x1.0ddffdeb2d724p-1, 0x1.0a0a92982676p-1, 0x1.0633e504bcefap-1, 0x1.025ce0adc60bp-1, 0x1.fd0cc4a9d487cp-2, 0x1.f562716ce1bc7p-2, 0x1.edbc4a7943526p-2, 0x1.e61bb95abbdffp-2, 0x1.de820f9e0888bp-2, 0x1.d6f088059ac3bp-2, 0x1.cf6847a87a041p-2, 0x1.c7ea5efd60fddp-2, 0x1.c077cad661273p-2, 0x1.b912272ba7235p-2, 0x1.b1b8a9e552cf7p-2, 0x1.aa6d041914b7ap-2, 0x1.a32ff0b7cfb51p-2, 0x1.9c021beee2e8dp-2, 0x1.94e423eeb18f5p-2, 0x1.8dd699acf007p-2, 0x1.86da01a2d706fp-2, 0x1.7feed486f7f8p-2, 0x1.7915800200c3ap-2, 0x1.724e675d88307p-2, 0x1.6b99e42bb205ep-2, 0x1.64f846e682f8ap-2, 0x1.5e69d785c7615p-2, 0x1.57eed60abf5afp-2, 0x1.51877b0117563p-2, 0x1.4b33f7f51a37ep-2, 0x1.44f477df779d2p-2, 0x1.3ec91f874aabbp-2, 0x1.38b20ddb597bp-2, 0x1.32af5c43a37c8p-2, 0x1.2cc11eec6eca1p-2, 0x1.26e7650bf4dd6p-2, 0x1.21223923b5414p-2, 0x1.1b71a13e520e2p-2, 0x1.15d59f2aa8508p-2, 0x1.104e30b4aee36p-2, 0x1.0adb4fdc74254p-2, 0x1.057cf30b7d615p-2, 0x1.00330d489ad67p-2, 0x1.f5fb1cd47795ep-3, 0x1.ebb8c68e72e16p-3, 0x1.e19eebcc17b23p-3, 0x1.d7ad5b549b676p-3, 0x1.cde3df010a55p-3, 0x1.c4423c1036dd1p-3, 0x1.bac83376f7d4ap-3, 0x1.b175822cae4afp-3, 0x1.a849e1741394ap-3, 0x1.9f4507205dabdp-3, 0x1.9666a5d6c6382p-3, 0x1.8dae6d4ca3bcp-3, 0x1.851c0a821a305p-3, 0x1.7caf27f9944fp-3, 0x1.74676dec1e2e8p-3, 0x1.6c44827ac1b94p-3, 0x1.644609dd0208bp-3, 0x1.5c6ba68c8c81ap-3, 0x1.54b4f96e490a7p-3, 0x1.4d21a1f8d4c99p-3, 0x1.45b13e588c5e7p-3, 0x1.3e636b91453edp-3, 0x1.3737c59dcfbb4p-3, 0x1.302de78d6e86ep-3, 0x1.29456b9f628afp-3, 0x1.227deb5cb6214p-3, 0x1.1bd6ffb06a022p-3, 0x1.155040fe3ed69p-3, 0x1.0ee9473827bd3p-3, 0x1.08a1a9f2ab411p-3, 0x1.027900783d4f2p-3, 0x1.f8ddc3b77e0ebp-4, 0x1.ed05ca1474cd1p-4, 0x1.e16941b7ea1b7p-4, 0x1.d6075849c5e56p-4, 0x1.cadf3b8924f7fp-4, 0x1.bff0196b17c06p-4, 0x1.b53920386acp-4, 0x1.aab97eaa6e27fp-4, 0x1.a0706406c1e2ep-4, 0x1.965d003a0f5c4p-4, 0x1.8c7e83f1d64f8p-4, 0x1.82d420b5085e3p-4, 0x1.795d08fb9f67ap-4, 0x1.701870450d8edp-4, 0x1.67058b2d88b25p-4, 0x1.5e238f8231aebp-4, 0x1.5571b454119e5p-4, 0x1.4cef3209f5008p-4, 0x1.449b427124148p-4, 0x1.3c7520cd037d1p-4, 0x1.347c09e59e68p-4, 0x1.2caf3c152ecf1p-4, 0x1.250df754a3d21p-4, 0x1.1d977d47381bap-4, 0x1.164b114524a1ep-4, 0x1.0f27f8657a7d3p-4, 0x1.082d79873107cp-4, 0x1.015add597657dp-4, 0x1.f55edcc69568dp-5, 0x1.e854f214eebfep-5, 0x1.db969733ce1dap-5, 0x1.cf226c8ed90d6p-5, 0x1.c2f71671fe4a1p-5, 0x1.b7133d12ed97dp-5, 0x1.ab758c999cd89p-5, 0x1.a01cb527e271fp-5, 0x1.95076ae03da6ep-5, 0x1.8a3465ebc4181p-5, 0x1.7fa2627f4f28ep-5, 0x1.755020dfe679p-5, 0x1.6b3c656672b41p-5, 0x1.6165f882bb2e3p-5, 0x1.57cba6bdb9ea1p-5, 0x1.4e6c40bb41cf7p-5, 0x1.45469b3b08a92p-5, 0x1.3c598f190d2e8p-5, 0x1.33a3f94d64b29p-5, 0x1.2b24baeb76764p-5, 0x1.22dab920a2d98p-5, 0x1.1ac4dd3264d99p-5, 0x1.12e2147be9a2bp-5, 0x1.0b313ef2fb76fp-5, 0x1.03b177334232ap-5, 0x1.f8c3463b28684p-6, 0x1.ea81806b26e31p-6, 0x1.dc9ba00583689p-6, 0x1.cf0fb0170bbd6p-6, 0x1.c1dbc39f9bf15p-6, 0x1.b4fdf586a1a9ap-6, 0x1.a874688ee7c1ep-6, 0x1.9c3d4749c17b9p-6, 0x1.9056c40983a5fp-6, 0x1.84bf18d375f54p-6, 0x1.7974875126065p-6, 0x1.6e7558c13d201p-6, 0x1.63bfdde7ccbdp-6, 0x1.59526efe2eb6dp-6, 0x1.4f2b6ba26bb48p-6, 0x1.45493ac63f151p-6, 0x1.3baa4a9db639p-6, 0x1.324d108d75058p-6, 0x1.29300918ab977p-6, 0x1.2051b7ceb568dp-6, 0x1.17b0a73877b8dp-6, 0x1.0f4b68c576c4bp-6, 0x1.072094b8b4d1fp-6, 0x1.fe5d942aaad03p-7, 0x1.eee95d1611e63p-7, 0x1.dfe1dcc4a9049p-7, 0x1.d14478d151f3p-7, 0x1.c30ea3b89d42ep-7, 0x1.b53ddcb083e12p-7, 0x1.a7cfaf7fb883cp-7, 0x1.9ac1b454e99b4p-7, 0x1.8e118f9dc5582p-7, 0x1.81bcf1ddda80ap-7, 0x1.75c1978569cbcp-7, 0x1.6a1d48c807621p-7, 0x1.5ecdd9734d427p-7, 0x1.53d128c5636dbp-7, 0x1.492521439bc68p-7, 0x1.3ec7b89100928p-7, 0x1.34b6ef44fb78bp-7, 0x1.2af0d0c1fc5b2p-7, 0x1.2173730c39cebp-7, 0x1.183cf6a086667p-7, 0x1.0f4b864b48e67p-7, 0x1.069d56ff90545p-7, 0x1.fc614f5ca167bp-8, 0x1.ec07823ba0a4p-8, 0x1.dc29eb827395bp-8, 0x1.ccc54320cfcfap-8, 0x1.bdd653bfdb2cp-8, 0x1.af59fa72902a8p-8, 0x1.a14d2666c4ff7p-8, 0x1.93acd89692e6cp-8, 0x1.8676237a6b22cp-8, 0x1.79a62abb91df5p-8, 0x1.6d3a22e74558ap-8, 0x1.612f51228722fp-8, 0x1.55830ade692d5p-8, 0x1.4a32b58d0286dp-8, 0x1.3f3bc6573275cp-8, 0x1.349bc1d2cf5cfp-8, 0x1.2a503bb9b8c7ep-8, 0x1.2056d6a17a6bdp-8, 0x1.16ad43b3c31cfp-8, 0x1.0d51426788de9p-8, 0x1.0440a03ad10dp-8, 0x1.f6f270dad2f18p-9, 0x1.e5f1e7787f64p-9, 0x1.d57b903b0e6d3p-9, 0x1.c58b70fb5c742p-9, 0x1.b61da8fa35adbp-9, 0x1.a72e705d560e9p-9, 0x1.98ba17ae30aa7p-9, 0x1.8abd075a2cdfap-9, 0x1.7d33bf34aca06p-9, 0x1.701ad5faaa4fap-9, 0x1.636ef8d7fd63bp-9, 0x1.572ceaee775a8p-9, 0x1.4b5184de7b8aap-9, 0x1.3fd9b45176069p-9, 0x1.34c27b85efb4fp-9, 0x1.2a08f0dd832a3p-9, 0x1.1faa3e6c4e112p-9, 0x1.15a3a18a51681p-9, 0x1.0bf26a667ac54p-9, 0x1.0293fb9b7748bp-9, 0x1.f30b938c53e81p-10, 0x1.e18ab63be181fp-10, 0x1.d0a08e1d38a17p-10, 0x1.c0486ba887b98p-10, 0x1.b07dc03106439p-10, 0x1.a13c1d23a4f17p-10, 0x1.927f33487fcffp-10, 0x1.8442d20818af6p-10, 0x1.7682e6b405613p-10, 0x1.693b7bd24ba18p-10, 0x1.5c68b86ce3da9p-10, 0x1.5006df642c01bp-10, 0x1.44124ec46a14dp-10, 0x1.38877f1eda11bp-10, 0x1.2d6302e5bbca2p-10, 0x1.22a185cbaf656p-10, 0x1.183fcc25fd7adp-10, 0x1.0e3ab251fe8fep-10, 0x1.048f2c1dcd8c3p-10, 0x1.f67488672fba5p-11, 0x1.e472371017b9bp-11, 0x1.d311d197b09fcp-11, 0x1.c24defbf4f24bp-11, 0x1.b221529694bd3p-11, 0x1.a286e36f0fd72p-11, 0x1.9379b2d51c693p-11, 0x1.84f4f78e77e6bp-11, 0x1.76f40d9e2bd18p-11, 0x1.6972754d2c8f2p-11, 0x1.5c6bd238c4671p-11, 0x1.4fdbea65ab8fdp-11, 0x1.43bea55848e9cp-11, 0x1.38100b3182833p-11, 0x1.2ccc43d0e52d2p-11, 0x1.21ef95fb292e9p-11, 0x1.17766685a6006p-11, 0x1.0d5d378641c7bp-11, 0x1.03a0a787d605ep-11, 0x1.f47ae186a0dc3p-12, 0x1.e260d0ba29d8ap-12, 0x1.d0ecfb4d57cfp-12, 0x1.c01972c9c765ep-12, 0x1.afe07a3473e6ap-12, 0x1.a03c84a9fea73p-12, 0x1.91283403ff0d9p-12, 0x1.829e5786804bep-12, 0x1.7499ea943e3e7p-12, 0x1.6716136c6b3cdp-12, 0x1.5a0e21eefd348p-12, 0x1.4d7d8e68450dcp-12, 0x1.415ff8653e0cep-12, 0x1.35b1258da4a1ap-12, 0x1.2a6d00863c4a3p-12, 0x1.1f8f97d9f6d1ap-12, 0x1.15151ce954edep-12, 0x1.0af9e2e14d0e1p-12, 0x1.013a5db81d2c4p-12, 0x1.efa64261ed8abp-13, 0x1.dd81bfcd7fefdp-13, 0x1.cc00d4b570c29p-13, 0x1.bb1d5c17149cp-13, 0x1.aad1692233449p-13, 0x1.9b17457c95a9dp-13, 0x1.8be96f9156ef7p-13, 0x1.7d4298e987823p-13, 0x1.6f1da49318302p-13, 0x1.6175a58df3d2p-13, 0x1.5445dd46f4e3ap-13, 0x1.4789ba1a90974p-13, 0x1.3b3cd5e2fa40ap-13, 0x1.2f5af48fb1fb8p-13, 0x1.23e002c573ee5p-13, 0x1.18c81488379c6p-13, 0x1.0e0f63ee701d2p-13, 0x1.03b24fdd30715p-13, 0x1.f35ab598d6353p-14, 0x1.dffa5328c6906p-14, 0x1.cd3d0486f60c3p-14, 0x1.bb1c95f6091ddp-14, 0x1.a99311ae8d372p-14, 0x1.989abdb72fc08p-14, 0x1.882e19d1c9e05p-14, 0x1.7847dd75e37e6p-14, 0x1.68e2f5d99332fp-14, 0x1.59fa840cfcd1bp-14, 0x1.4b89db1cf0d02p-14, 0x1.3d8c7e4a0dcaap-14, 0x1.2ffe1f4be34a2p-14, 0x1.22da9ca12121cp-14, 0x1.161dffebe3cb4p-14, 0x1.09c47c5d994c4p-14, 0x1.fb94da5aa9d65p-15, 0x1.e458a83695032p-15, 0x1.cdcdb0024b831p-15, 0x1.b7ed86d6d9be1p-15, 0x1.a2b206837b0c3p-15, 0x1.8e154aec923c9p-15, 0x1.7a11af8df2756p-15, 0x1.66a1ccfd51de7p-15, 0x1.53c076949bf9ep-15, 0x1.4168b8243f2dep-15, 0x1.2f95d3c1a9cbfp-15, 0x1.1e433f9f72449p-15, 0x1.0d6ca3feb9e2p-15, 0x1.fa1bb25c42ce4p-16, 0x1.da45cb3ae30b6p-16, 0x1.bb4ff7fdc0c86p-16, 0x1.9d32f2f3cb789p-16, 0x1.7fe7c7db9de83p-16, 0x1.6367d08b46f68p-16, 0x1.47acb1a4431ffp-16, 0x1.2cb05780cab8bp-16, 0x1.126cf3249fd54p-16, 0x1.f1b9eea15b706p-17, 0x1.bff62b722cad1p-17, 0x1.8f847889517c6p-17, 0x1.605b24e341e9cp-17, 0x1.3270edaf4fd76p-17, 0x1.05bcf94abdb24p-17, 0x1.b46da559fa9fcp-18, 0x1.5facc990374fbp-18, 0x1.0d27ec8c134dap-18, 0x1.79a0951000cd6p-19, 0x1.ba5f1a836cd79p-20, 0x1.13871798acdbap-21, -0x1.3d8a361a48f51p-21, -0x1.bf6c31bc138bp-20, -0x1.6c30752057022p-19, -0x1.f4e835c6722cap-19, -0x1.3cf97abcf29d8p-18, -0x1.7db2b13eab28fp-18, -0x1.bca9a5587f6e6p-18, -0x1.f9e7d3394cbcap-18, -0x1.1abb28f6cb8edp-17, -0x1.37aeec4c61fd7p-17, -0x1.53d361a13f5p-17, -0x1.6f2e62d279fcdp-17, -0x1.89c007bca12ecp-17, -0x1.a38dec2132f13p-17, -0x1.bc9b9f1a17edbp-17, -0x1.d4ec8d57d9505p-17, -0x1.ec840306e6f3fp-17, -0x1.01b296d0e9123p-16, -0x1.0cc98ee33dc51p-16, -0x1.1788646609852p-16, -0x1.21f085352c639p-16, -0x1.2c035322348dfp-16, -0x1.35c224abd79b5p-16, -0x1.3f2e45af49b6fp-16, -0x1.4848f81601a95p-16, -0x1.51137471de12cp-16, -0x1.598eea9c42db9p-16, -0x1.61bc823784907p-16, -0x1.699d5b505d576p-16, -0x1.71328ed0a4ba8p-16, -0x1.787d2f00dc2a5p-16, -0x1.7f7e47fb05c49p-16, -0x1.8636e01b3b5dfp-16, -0x1.8ca7f868bb1f8p-16, -0x1.92d28cf593e7p-16, -0x1.98b79541f4a2fp-16, -0x1.9e58048a86ffp-16, -0x1.a3b4ca2a8f633p-16, -0x1.a8ced1d58842bp-16, -0x1.ada703ece6c74p-16, -0x1.b23e45c0e226cp-16, -0x1.b69579cd4e7d5p-16, -0x1.baad7ff79729fp-16, -0x1.be8735c721624p-16, -0x1.c2237693a028p-16, -0x1.c5831bb11ad07p-16, -0x1.c8a6fca9decbp-16, -0x1.cb8fef5aec01ap-16, -0x1.ce3ec81a76531p-16, -0x1.d0b459e2dbb9cp-16, -0x1.d2f17665283e7p-16, -0x1.d4f6ee2d8dc06p-16, -0x1.d6c590bc15926p-16, -0x1.d85e2c9dee74ap-16, -0x1.d9c18f8163a0dp-16, -0x1.daf0864b26811p-16, -0x1.dbebdd27e085ap-16, -0x1.dcb45f9dfd2f6p-16, -0x1.dd4ad89c45d9bp-16, -0x1.ddb012823196bp-16, -0x1.dde4d73a57b78p-16, -0x1.dde9f034a64b1p-16, -0x1.ddc0268017dbfp-16, -0x1.dd6842c72f701p-16, -0x1.dce30d64c7089p-16, -0x1.dc314e5d8c37cp-16, -0x1.db53cd6c85f8fp-16, -0x1.da4b5203e09cbp-16, -0x1.d918a3514c1e2p-16, -0x1.d7bc883cd84dfp-16, -0x1.d637c7669d4d3p-16, -0x1.d48b2725a9bbcp-16, -0x1.d2b76d8362d08p-16, -0x1.d0bd6031789cbp-16, -0x1.ce9dc4852cebdp-16, -0x1.cc595f71eea4p-16, -0x1.c9f0f57ce6aa5p-16, -0x1.c7654ab23a2b5p-16, -0x1.c4b7229b4b3ffp-16, -0x1.c1e7403b46393p-16, -0x1.bef665f9cf433p-16, -0x1.bbe555a33083p-16, -0x1.b8b4d05b7dc71p-16, -0x1.b565968eb8cd6p-16, -0x1.b1f867f5327b3p-16, -0x1.ae6e038249bb2p-16, -0x1.aac72760cc1c1p-16, -0x1.a70490e2bf4c8p-16, -0x1.a326fc8228b3cp-16, -0x1.9f2f25d448ea2p-16, -0x1.9b1dc78325ffdp-16, -0x1.96f39b42bdeafp-16, -0x1.92b159cb75f37p-16, -0x1.8e57bacd70d42p-16, -0x1.89e774f16f8c4p-16, -0x1.85613dc1ee5f3p-16, -0x1.80c5c9ab8e084p-16, -0x1.7c15cbf1a6e99p-16, -0x1.7751f6a5cbca5p-16, -0x1.727afa9c7d725p-16, -0x1.6d918767a70e4p-16, -0x1.68964b48651dep-16, -0x1.6389f32dd3355p-16, -0x1.5e6d2aa4b8a5ap-16, -0x1.59409bd27ea89p-16, -0x1.5404ef6eb4e3bp-16, -0x1.4ebaccafd4fdfp-16, -0x1.4962d9537661ep-16, -0x1.43fdb98ab36dfp-16, -0x1.3e8c0ff87b454p-16, -0x1.390e7da339c1ap-16, -0x1.3385a1f2c1813p-16, -0x1.2df21aac68109p-16, -0x1.285483e328076p-16, -0x1.22ad77f95fcacp-16, -0x1.1cfd8f9002fdcp-16, -0x1.1745618e7e47ap-16, -0x1.1185831314878p-16, -0x1.0bbe876fd835ap-16, -0x1.05f100268319p-16, -0x1.001d7ce1ddf81p-16, -0x1.f48916db11085p-17, -0x1.e8cd6f7a7a4eep-17, -0x1.dd0917b3ac5acp-17, -0x1.d13d1fcc5181ap-17, -0x1.c56a943579da6p-17, -0x1.b9927d712b968p-17, -0x1.adb5e031b9e6dp-17, -0x1.a1d5bd2fb904fp-17, -0x1.95f31134b0632p-17, -0x1.8a0ed51538abep-17, -0x1.7e29fda8ab2ccp-17, -0x1.72457bc77d055p-17, -0x1.66623c46ff15bp-17, -0x1.5a8127f61e72ep-17, -0x1.4ea3239b4d96ep-17, -0x1.42c90fefebf77p-17, -0x1.36f3c9a1ebfe2p-17, -0x1.2b2429518df5ap-17, -0x1.1f5b0387872cfp-17, -0x1.139928cd6df8bp-17, -0x1.07df658e4d0bdp-17, -0x1.f85d0457a3e3ap-18, -0x1.e10e85f7f573ep-18, -0x1.c9d4d06d08a79p-18, -0x1.b2b15c37070e4p-18, -0x1.9ba599adf60eap-18, -0x1.84b2f121a0c98p-18, -0x1.6ddac2d60c2dap-18, -0x1.571e670bf6874p-18, -0x1.407f2e07ca758p-18, -0x1.29fe6025ead84p-18, -0x1.139d3db0b3882p-18, -0x1.fab9fe69305d5p-19, -0x1.ce7daaa7a95bap-19, -0x1.a287d1ddc27ccp-19, -0x1.76dab622cf315p-19, -0x1.4b788a2b080cap-19, -0x1.20637150ad783p-19, -0x1.eb3aff4edaab9p-20, -0x1.96517443bd87p-20, -0x1.420e2d31f6c32p-20, -0x1.dce9f0617e34bp-21, -0x1.37130aad1ddc8p-21, -0x1.253d9edbf3b47p-22, }}, 
      {{-0x1.ea0fdbd0a61ep+1, -0x1.e00bf4d3e2317p+1, -0x1.d1ad1a4732852p+1, -0x1.c061f395b335fp+1, -0x1.ad464dffe7a07p+1, -0x1.99343df38b2afp+1, -0x1.84d142de93dcap+1, -0x1.70997b75c666bp+1, -0x1.5ce8509e80d63p+1, -0x1.49ff7aa56dc78p+1, -0x1.380c5b3b86c3bp+1, -0x1.272c84b8e2d4ap+1, -0x1.17713e4f7f5e4p+1, -0x1.08e228b48f8fbp+1, -0x1.f6ff2c92b17b4p+0, -0x1.de888e5cf15e2p+0, -0x1.c84d8f0c07b71p+0, -0x1.b43589fe2b49ap+0, -0x1.a22353076f949p+0, -0x1.91f70fccd4b06p+0, -0x1.838f7b3d528edp+0, -0x1.76ca85cd771e7p+0, -0x1.6b8602bfe7a5ep+0, -0x1.61a045e6f14d3p+0, -0x1.58f8b966c0f45p+0, -0x1.51703624eee69p+0, -0x1.4ae9188360ebap+0, -0x1.4546d8deb9c36p+0, -0x1.406f359c7ec8ap+0, -0x1.3c4987863a5e9p+0, -0x1.38bef252b67e4p+0, -0x1.35ba686bc54bcp+0, -0x1.3328a1d71a805p+0, -0x1.30f8073cc3e03p+0, -0x1.2f189889da77fp+0, -0x1.2d7bd63945406p+0, -0x1.2c14af9103d1p+0, -0x1.2ad773120db3bp+0, -0x1.29b9bc6cbfe04p+0, -0x1.28b25d5092bd8p+0, -0x1.27b9423934441p+0, -0x1.26c756e8d0401p+0, -0x1.25d66dec46b66p+0, -0x1.24e12c350b97bp+0, -0x1.23e2f7df31e5ep+0, -0x1.22d7e8ef0b7dap+0, -0x1.21bcbb67f2068p+0, -0x1.208ec240c6e07p+0, -0x1.1f4bda4ddbac7p+0, -0x1.1df25c273ff2cp+0, -0x1.1c810ce6c1ae7p+0, -0x1.1af70ecbbad2dp+0, -0x1.1953d37007672p+0, -0x1.179710d208969p+0, -0x1.15c0ce0249225p+0, -0x1.13d0eabb4ba35p+0, -0x1.11c7fb9db0441p+0, -0x1.0fa68cbf1e75ep+0, -0x1.0d6d4cee7a961p+0, -0x1.0b1d07ed3491cp+0, -0x1.08b6a19f42c9ep+0, -0x1.063b12056b42dp+0, -0x1.03ab61bd8fcaap+0, -0x1.0108a6c6bd1dap+0, -0x1.fca802b9e2a7ap-1, -0x1.f71d31be926c6p-1, -0x1.f173319ba8bdap-1, -0x1.ebac5bf67c817p-1, -0x1.e5cb081fcd2c7p-1, -0x1.dfd186e81b4c9p-1, -0x1.d9c21f5570055p-1, -0x1.d39f0c3693da1p-1, -0x1.cd6a7a7d16149p-1, -0x1.c726883a22424p-1, -0x1.c0d544117e235p-1, -0x1.ba78acf26b12dp-1, -0x1.b412b1e840ea6p-1, -0x1.ada531dcf328cp-1, -0x1.a731fb3579075p-1, -0x1.a0bacb40e5466p-1, -0x1.9a414d8372a6fp-1, -0x1.93c71af373d5fp-1, -0x1.8d4db94483158p-1, -0x1.86d69a5cde715p-1, -0x1.80631c0a86db9p-1, -0x1.79f48803c1427p-1, -0x1.738c1433a360dp-1, -0x1.6d2ae349c144p-1, -0x1.66d2057d5d0aap-1, -0x1.60827971488fdp-1, -0x1.5a3d2d25ad536p-1, -0x1.5402fee774225p-1, -0x1.4dd4be310f1bdp-1, -0x1.47b32c74f8257p-1, -0x1.419efdce9b58p-1, -0x1.3b98d99a1ce0dp-1, -0x1.35a15af623973p-1, -0x1.2fb9113479b27p-1, -0x1.29e0803eff7ep-1, -0x1.241820f6304cep-1, -0x1.1e60618d92d31p-1, -0x1.18b9a5e934e5ap-1, -0x1.132447fdefb6ap-1, -0x1.0da09834ff4ebp-1, -0x1.082eddd28c126p-1, -0x1.02cf575e45959p-1, -0x1.fb047619fbadcp-2, -0x1.f08f6e54a74e2p-2, -0x1.e63fe5036ef5ap-2, -0x1.dc16198cb48e9p-2, -0x1.d2130a5d2c8bfp-2, -0x1.c8351b730f57ep-2, -0x1.be7d5451930dap-2, -0x1.b4ebc61a66bfep-2, -0x1.ab8077acdc57ep-2, -0x1.a23b663d3b048p-2, -0x1.991c85e9316dbp-2, -0x1.9023c2497be73p-2, -0x1.8750ff006a318p-2, -0x1.7ea41844b72b6p-2, -0x1.761ce367da10ep-2, -0x1.6dbb2f56f956dp-2, -0x1.657ec515960a4p-2, -0x1.5d6768314822p-2, -0x1.5574d72e0761cp-2, -0x1.4da6cbead5b4ep-2, -0x1.45fcfbfee2cp-2, -0x1.3e77190f86c83p-2, -0x1.3714d11f9f79bp-2, -0x1.2fd5ced90babap-2, -0x1.28b9b9d0ffb98p-2, -0x1.21c036c7fa1f1p-2, -0x1.1ae8e7e5fe949p-2, -0x1.14336cf3b600ap-2, -0x1.0d9f6390dfe12p-2, -0x1.072c67687034ep-2, -0x1.00da126290704p-2, -0x1.f54ff9a93d803p-3, -0x1.e92b7b5e7debdp-3, -0x1.dd45d554f4f1fp-3, -0x1.d19e30dfcf864p-3, -0x1.c633b585b02d7p-3, -0x1.bb05894d01c09p-3, -0x1.b012d10446cd6p-3, -0x1.a55ab086772c9p-3, -0x1.9adc4afb757a3p-3, -0x1.9096c314c94cbp-3, -0x1.86893b46bf973p-3, -0x1.7cb2d5fe22797p-3, -0x1.7312b5d2bc62ap-3, -0x1.69a7fdb6c2ad3p-3, -0x1.6071d12371965p-3, -0x1.576f5442e09b6p-3, -0x1.4e9fac17494a1p-3, -0x1.4601fe9fce96fp-3, -0x1.3d9572fae8ca8p-3, -0x1.355931867ed09p-3, -0x1.2d4c63fdcc948p-3, -0x1.256e359519eeep-3, -0x1.1dbdd3136391bp-3, -0x1.163a6ae9f4307p-3, -0x1.0ee32d4a19df2p-3, -0x1.07b74c38f3428p-3, -0x1.00b5fba18b1aep-3, -0x1.f3bce2ca72b95p-4, -0x1.e65fcad5141c6p-4, -0x1.d95323554945bp-4, -0x1.cc95647adbc2dp-4, -0x1.c0250ac8cfb5cp-4, -0x1.b400972902665p-4, -0x1.a8268efdacbfbp-4, -0x1.9c957c3121aeap-4, -0x1.914bed43d61afp-4, -0x1.86487558e0ebdp-4, -0x1.7b89ac41104cbp-4, -0x1.710e2e84aa01cp-4, -0x1.66d49d6bedd91p-4, -0x1.5cdb9f066b1a5p-4, -0x1.5321de3132768p-4, -0x1.49a60a9bf14eap-4, -0x1.4066d8ccfa026p-4, -0x1.37630224437cep-4, -0x1.2e9944dd648fep-4, -0x1.260864108b4cbp-4, -0x1.1daf27b27d043p-4, -0x1.158c5c939fa24p-4, -0x1.0d9ed45e1151dp-4, -0x1.05e56592dc227p-4, -0x1.fcbdd70c8c11fp-5, -0x1.ee148cb697abep-5, -0x1.dfccb5fc9aecdp-5, -0x1.d1e4263df5f5cp-5, -0x1.c458ba530b1d4p-5, -0x1.b728587e53abep-5, -0x1.aa50f05c32a8ep-5, -0x1.9dd07ad1a236dp-5, -0x1.91a4f9f9d1509p-5, -0x1.85cc7912d029p-5, -0x1.7a450c69577dbp-5, -0x1.6f0cd143cdb2p-5, -0x1.6421edcc916ffp-5, -0x1.598290fba3d83p-5, -0x1.4f2cf27fc4e74p-5, -0x1.451f52a70972dp-5, -0x1.3b57fa4706e5bp-5, -0x1.31d53aa49135p-5, -0x1.28956d5b22a2p-5, -0x1.1f96f443f451ap-5, -0x1.16d8395ccae43p-5, -0x1.0e57aeae862f1p-5, -0x1.0613ce3375da3p-5, -0x1.fc16337afa2ap-6, -0x1.ec7835b80b7dp-6, -0x1.dd4ac58399b09p-6, -0x1.ce8b14551deb9p-6, -0x1.c036628117b5cp-6, -0x1.b249ff03f5f28p-6, -0x1.a4c3474cc9ad7p-6, -0x1.979fa707d7d2ep-6, -0x1.8adc97e910e06p-6, -0x1.7e77a1767c9dcp-6, -0x1.726e58d29e193p-6, -0x1.66be62d5de49cp-6, -0x1.5b6568486b8f2p-6, -0x1.50612ac20edb5p-6, -0x1.45af73bef80fep-6, -0x1.3b4e194bc4d7bp-6, -0x1.313afdd0a1edap-6, -0x1.27740fdc9ad46p-6, -0x1.1df749f136f69p-6, -0x1.14c2b24e5dd94p-6, -0x1.0bd45abe896a3p-6, -0x1.032a60634edc3p-6, -0x1.f585d7048b9d3p-7, -0x1.e5385ea494765p-7, -0x1.d568d392541c6p-7, -0x1.c613c6d36d563p-7, -0x1.b735de2493b0ep-7, -0x1.a8cbd397751e1p-7, -0x1.9ad27531970b9p-7, -0x1.8d46a48c1611bp-7, -0x1.802556747db2dp-7, -0x1.736b928e8148fp-7, -0x1.671672f6d13d5p-7, -0x1.5b2323e6ed946p-7, -0x1.4f8ee35a11f29p-7, -0x1.445700b32f91p-7, -0x1.3978dc6400ab7p-7, -0x1.2ef1e795361c1p-7, -0x1.24bfa3cfba38p-7, -0x1.1adfa2a727be9p-7, -0x1.114f8565508cfp-7, -0x1.080cfcb6e87cap-7, -0x1.fe2b90b2d2cdp-8, -0x1.eccf6d93fc5fep-8, -0x1.dc0149eb5f224p-8, -0x1.cbbcfbd55f5cfp-8, -0x1.bbfe7515971c7p-8, -0x1.acc1c27e132eap-8, -0x1.9e030b58d43fcp-8, -0x1.8fbe90d3baeep-8, -0x1.81f0ad6e9ea65p-8, -0x1.7495d46bd9e24p-8, -0x1.67aa91430a312p-8, -0x1.5b2b871618e09p-8, -0x1.4f157028a3eap-8, -0x1.43651d5991a93p-8, -0x1.3817759f05679p-8, -0x1.2d2975846b8d4p-8, -0x1.22982eaaefa84p-8, -0x1.1860c74c0c11bp-8, -0x1.0e8079be4fe75p-8, -0x1.04f493fc6b1b9p-8, -0x1.f774ee5c9c756p-9, -0x1.e59f2e690588cp-9, -0x1.d462f46b2ba2ep-9, -0x1.c3bb705b760c9p-9, -0x1.b3a3f500c375fp-9, -0x1.a417f717fd8dep-9, -0x1.95130c7fbaaddp-9, -0x1.8690eb67cfc3fp-9, -0x1.788d698507f69p-9, -0x1.6b047b48d106cp-9, -0x1.5df2331cdbe1cp-9, -0x1.5152c0a27d97cp-9, -0x1.45226ff613b3ap-9, -0x1.395da8f631fa7p-9, -0x1.2e00ee8e5f03fp-9, -0x1.2308de05c743ep-9, -0x1.18722e51743a8p-9, -0x1.0e39af6a0c4ebp-9, -0x1.045c49a54facp-9, -0x1.f5adfa260226ep-10, -0x1.e34dc1baa489ap-10, -0x1.d192455920e42p-10, -0x1.c0760c1d114acp-10, -0x1.aff3c7c1ab002p-10, -0x1.a006537d84094p-10, -0x1.90a8b2e4a62cdp-10, -0x1.81d610d0c7f39p-10, -0x1.7389be502c05ep-10, -0x1.65bf319a6bfeep-10, -0x1.5872050b3e78ep-10, -0x1.4b9df62382a2bp-10, -0x1.3f3ee49020c61p-10, -0x1.3350d1368413bp-10, -0x1.27cfdd4701051p-10, -0x1.1cb84954ac7bfp-10, -0x1.12067472d5285p-10, -0x1.07b6db57eecc3p-10, -0x1.fb8c2f0b96e2ap-11, -0x1.e861bced8c7e8p-11, -0x1.d5e801a15247dp-11, -0x1.c418d3381cacfp-11, -0x1.b2ee3b0203027p-11, -0x1.a2627410da8bep-11, -0x1.926fe9c4e00dcp-11, -0x1.83113661e2dcap-11, -0x1.744121aee228ep-11, -0x1.65fa9f9d52ef4p-11, -0x1.5838cefa5f737p-11, -0x1.4af6f827dca87p-11, -0x1.3e308bde4f2d1p-11, -0x1.31e121f6ef9eap-11, -0x1.2604783da70dp-11, -0x1.1a96714be2f0ep-11, -0x1.0f9313693da0ap-11, -0x1.04f68775ee51cp-11, -0x1.f57a2fb605208p-12, -0x1.e1c65f0565efdp-12, -0x1.cecab1af1b9adp-12, -0x1.bc807994c33eep-12, -0x1.aae143bec1b76p-12, -0x1.99e6d6822ecfbp-12, -0x1.898b2fb54aaeep-12, -0x1.79c882efd331cp-12, -0x1.6a9937d74d768p-12, -0x1.5bf7e877ba0ccp-12, -0x1.4ddf5fa92dd59p-12, -0x1.404a977da8604p-12, -0x1.3334b7bd7f4f2p-12, -0x1.2699146ccaae2p-12, -0x1.1a732c5bff52dp-12, -0x1.0ebea7c3bfd4ap-12, -0x1.037756e87d1dep-12, -0x1.f132619574c07p-13, -0x1.dc40a3bed414fp-13, -0x1.c811f5a3eaf18p-13, -0x1.b49f1e9ee28aep-13, -0x1.a1e129b763d81p-13, -0x1.8fd1635b48d19p-13, -0x1.7e69572a53e1dp-13, -0x1.6da2cdd2b6f91p-13, -0x1.5d77cafca2822p-13, -0x1.4de28b483eb4ap-13, -0x1.3edd8256da995p-13, -0x1.306358e7b32ap-13, -0x1.226eeb008bf68p-13, -0x1.14fb4625eb7cap-13, -0x1.0803a7a05b435p-13, -0x1.f706f5a3ff9cbp-14, -0x1.deecaf283d94dp-14, -0x1.c7b0014ddc88dp-14, -0x1.b148c45643f0ap-14, -0x1.9baf2050360aap-14, -0x1.86db8a3ebaa7dp-14, -0x1.72c6c152552ccp-14, -0x1.5f69cc3bb4807p-14, -0x1.4cbdf694ad679p-14, -0x1.3abcce5c5ac54p-14, -0x1.2960218a05d77p-14, -0x1.18a1fbb2ccf1bp-14, -0x1.087ca3c334a7cp-14, -0x1.f1d533941780cp-15, -0x1.d3cd29b7f0f8ep-15, -0x1.b6d701fbaeeb4p-15, -0x1.9ae8fa542957ep-15, -0x1.7ff9b2c6833e1p-15, -0x1.660029abb06cp-15, -0x1.4cf3b817daafbp-15, -0x1.34cc0e64dc49ap-15, -0x1.1d8130cbbbc3dp-15, -0x1.070b74273f788p-15, -0x1.e2c6f5add0bd8p-16, -0x1.b9046358bae7ep-16, -0x1.90c19a09b596ep-16, -0x1.69f18be6682cap-16, -0x1.4487af0c1c72ap-16, -0x1.2077f8476aee9p-16, -0x1.fb6dac15de272p-17, -0x1.b87256f6211f6p-17, -0x1.77e8977b1f7e8p-17, -0x1.39bbead235daap-17, -0x1.fbb13885fecbbp-18, -0x1.88577995f41cbp-18, -0x1.194635b55a26ap-18, -0x1.5cb4ea5b0decp-19, -0x1.1dca71d43462ap-20, 0x1.b91a22fcb28f8p-22, 0x1.eb45532e0b19p-20, 0x1.acd4ae4d60ed4p-19, 0x1.2e795faab798dp-18, 0x1.831a0bd839b7p-18, 0x1.d466ec396f6a4p-18, 0x1.113cc7ed98ee2p-17, 0x1.36b547b05f44ep-17, 0x1.5aa8cbc551909p-17, 0x1.7d22b9b2e73dp-17, 0x1.9e2e0b161416ap-17, 0x1.bdd5525215f72p-17, 0x1.dc22bedf4c7a5p-17, 0x1.f92021ee187c2p-17, 0x1.0a6b7928c31bbp-16, 0x1.17a82845471c3p-16, 0x1.244a8546d6079p-16, 0x1.3056cfbabbffbp-16, 0x1.3bd1217cd2e3p-16, 0x1.46bd7064dc126p-16, 0x1.511f8fe30c5fep-16, 0x1.5afb328742bfp-16, 0x1.6453eb7d62f95p-16, 0x1.6d2d2ff351f8dp-16, 0x1.758a5868635fap-16, 0x1.7d6ea20b904f7p-16, 0x1.84dd2fe7bb928p-16, 0x1.8bd90c18f6e37p-16, 0x1.926528eaaad69p-16, 0x1.988461df6b28p-16, 0x1.9e397ccf44d57p-16, 0x1.a3872ad1fd2b3p-16, 0x1.a87009344bc8bp-16, 0x1.acf6a25d170d2p-16, 0x1.b11d6ea566adap-16, 0x1.b4e6d52ca938bp-16, 0x1.b8552c9526a59p-16, 0x1.bb6abbcfad341p-16, 0x1.be29bac51e098p-16, 0x1.c094530649553p-16, 0x1.c2aca06bc4387p-16, 0x1.c474b1b3018efp-16, 0x1.c5ee89121def7p-16, 0x1.c71c1cc0e7782p-16, 0x1.c7ff578340ec3p-16, 0x1.c89a19200ec1dp-16, 0x1.c8ee36e5f3555p-16, 0x1.c8fd7c02b4126p-16, 0x1.c8cb76e9f6a8p-16, 0x1.c85620ebd3cfbp-16, 0x1.c7a11bdd8caep-16, 0x1.c6ae0ed3e5087p-16, 0x1.c57e98b9a9679p-16, 0x1.c414509630131p-16, 0x1.c270c5ec6caf6p-16, 0x1.c09580f20530dp-16, 0x1.be8402df90c2p-16, 0x1.bc3dc62c1804cp-16, 0x1.b9c43ecb72272p-16, 0x1.b718da6a52601p-16, 0x1.b43d00987c402p-16, 0x1.b132130eecc51p-16, 0x1.adf96dd0b14f6p-16, 0x1.aa9467604b84ap-16, 0x1.a70450dbb47bdp-16, 0x1.a34a763821726p-16, 0x1.9f681e58b5154p-16, 0x1.9b5e8b36a0c0fp-16, 0x1.972ef9fe416c3p-16, 0x1.92daa32f6f26p-16, 0x1.8e62bab943018p-16, 0x1.89c8701343329p-16, 0x1.850cee5aeef07p-16, 0x1.80315c5b67de2p-16, 0x1.7b36dcbc458aap-16, 0x1.761e8dfc54207p-16, 0x1.70e98a94c67a4p-16, 0x1.6b98e8f83b605p-16, 0x1.662dbbb7cbea6p-16, 0x1.60a91182a474cp-16, 0x1.5b0bf5382dc85p-16, 0x1.55576df793146p-16, 0x1.4f8c7f1ff45f6p-16, 0x1.49ac2867a8a58p-16, 0x1.43b765ded40e1p-16, 0x1.3daf2ff9ba45ep-16, 0x1.37947b9971134p-16, 0x1.31683a1220041p-16, 0x1.2b2b59345f39bp-16, 0x1.24dec34eb4987p-16, 0x1.1e835f38bf062p-16, 0x1.181a105805e12p-16, 0x1.11a3b6a1c6e3ep-16, 0x1.0b212ea5cc5c9p-16, 0x1.0493518590cdcp-16, 0x1.fbf5ea213b3bp-17, 0x1.eeb1d759d6948p-17, 0x1.e15c08e7373b1p-17, 0x1.d3f6164daf323p-17, 0x1.c6819075b83bcp-17, 0x1.b90001b845153p-17, 0x1.ab72edd62a452p-17, 0x1.9ddbd21a9083dp-17, 0x1.903c254d81d1ap-17, 0x1.829557c817fedp-17, 0x1.74e8d37632c77p-17, 0x1.6737fbe0590c6p-17, 0x1.59842e342ee03p-17, 0x1.4bcec14789d6ap-17, 0x1.3e1905a6b77ddp-17, 0x1.3064457fd5593p-17, 0x1.22b1c4d4076e9p-17, 0x1.1502c14e09aeep-17, 0x1.0758726be472dp-17, 0x1.f36812d543b17p-18, 0x1.d82d62a429074p-18, 0x1.bd031e036990cp-18, 0x1.a1eb8247bc537p-18, 0x1.86e8c08ef897p-18, 0x1.6bfcfdadd96d7p-18, 0x1.512a5238c95b5p-18, 0x1.3672caaee5e5p-18, 0x1.1bd8677c6781ap-18, 0x1.015d1d0ac767ep-18, 0x1.ce05a768deef5p-19, 0x1.9996d01d4511p-19, 0x1.657155b42bfeap-19, 0x1.3198c227d52e9p-19, 0x1.fc21107df7575p-20, 0x1.95b8072428c6ap-20, 0x1.2ffcf1bb06004p-20, 0x1.95ec573404b13p-21, 0x1.9aa78da98fbf2p-22, 0x1.8f0d6326a8789p-27, -0x1.7e9d64f19d53bp-22, -0x1.83419f72181cp-21, -0x1.22c8cb7e428cbp-20, -0x1.8319fab036257p-20, -0x1.e28f36d5a462bp-20, -0x1.2091c1da99accp-19, -0x1.4f6907c57483fp-19, -0x1.7dcb1930b9aa9p-19, -0x1.abb5b6d81ce4bp-19, -0x1.d926b60dafd93p-19, -0x1.030e0032c231dp-18, -0x1.1949c9cc9423dp-18, -0x1.2f45c0a231bb5p-18, -0x1.4500f75518121p-18, -0x1.5a7a8a44c1f51p-18, -0x1.6fb19f81e687fp-18, -0x1.84a56686304d8p-18, -0x1.99551837b1287p-18, -0x1.adbff6e0843a6p-18, -0x1.c1e54dd00a679p-18, -0x1.d5c4718c632e8p-18, -0x1.e95cbf7009a54p-18, -0x1.fcad9dafe0d8bp-18, -0x1.07db3d9df53a3p-17, -0x1.113b67cb12da1p-17, -0x1.1a770d57df5d9p-17, -0x1.238df27135276p-17, -0x1.2c7fdf5d72da5p-17, -0x1.354ca06c0a526p-17, -0x1.3df405fabdec1p-17, -0x1.4675e43f8d88ep-17, -0x1.4ed2135b40b41p-17, -0x1.57086f3c7bba5p-17, -0x1.5f18d78a65f3p-17, -0x1.67032fa10a83cp-17, -0x1.6ec75e793b0ecp-17, -0x1.76654e9aac3bdp-17, -0x1.7ddcee0c0d05fp-17, -0x1.852e2e443fb5dp-17, -0x1.8c590415b0da5p-17, -0x1.935d67a576965p-17, -0x1.9a3b5457f1a02p-17, -0x1.a0f2c8bd1efc9p-17, -0x1.a783c68474dfcp-17, -0x1.adee5275321p-17, -0x1.b432745174242p-17, -0x1.ba5036c45c2e2p-17, -0x1.c047a766336b5p-17, -0x1.c618d697917c5p-17, -0x1.cbc3d77a10a9dp-17, -0x1.d148bfe3e597bp-17, -0x1.d6a7a84c64e2cp-17, -0x1.dbe0abbda54eap-17, -0x1.e0f3e7c53429bp-17, -0x1.e5e17c5ddff52p-17, -0x1.eaa98bfc9b30bp-17, -0x1.ef4c3b5764315p-17, -0x1.f3c9b1741079ep-17, -0x1.f822178c67d2cp-17, -0x1.fc559907857ecp-17, -0x1.003231b3258dfp-16, -0x1.0227531b91c98p-16, -0x1.040a498292b39p-16, -0x1.05db2ea623bf6p-16, -0x1.079a1d33865fep-16, -0x1.094730c636b25p-16, -0x1.0ae285d9abf01p-16, -0x1.0c6c39c26eb2ap-16, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.fb8d503ecb869p-1, 0x1.fa95ffabb930cp-1, 0x1.f8fb1d5dbc327p-1, 0x1.f6be961cdd633p-1, 0x1.f3e30b3087f42p-1, 0x1.f06bc48d6b1c2p-1, 0x1.ec5ca1811c76ep-1, 0x1.e7ba089705442p-1, 0x1.e288d746f6df1p-1, 0x1.dcce51d9d918dp-1, 0x1.d69013d373fafp-1, 0x1.cfd40118a4e4cp-1, 0x1.c8a037f676f75p-1, 0x1.c0fb041fefacep-1, 0x1.b8ead2ad2180cp-1, 0x1.b076271da836ep-1, 0x1.a7a3915a95ee8p-1, 0x1.9e79a4af7bbaep-1, 0x1.94feefaf508d2p-1, 0x1.8b39f4f826d3ap-1, 0x1.813124c7a1704p-1, 0x1.76ead751b34b1p-1, 0x1.6c6d47cb47747p-1, 0x1.61be901ac4e6bp-1, 0x1.56e4a520fb1bbp-1, 0x1.4be5538da80f9p-1, 0x1.40c63d339af48p-1, 0x1.358cd6d12e782p-1, 0x1.2a3e6642acfep-1, 0x1.1ee00114e3f9bp-1, 0x1.13768b6ef61abp-1, 0x1.0806b74b15ea9p-1, 0x1.f92a07ed0fd4fp-2, 0x1.e24b7ba3a4f02p-2, 0x1.cb79fc9530ce3p-2, 0x1.b4bd581223827p-2, 0x1.9e1cf69728404p-2, 0x1.879fdcd60751p-2, 0x1.714cad06dbd08p-2, 0x1.5b29a878d558dp-2, 0x1.453cb15a6db1ep-2, 0x1.2f8b4cb19b201p-2, 0x1.1a1aa47d20fcap-2, 0x1.04ef89f8a6634p-2, 0x1.e01ceffb8c5c5p-3, 0x1.b6f72af98713bp-3, 0x1.8e7570100a50ep-3, 0x1.669eccdbc7197p-3, 0x1.3f79b6b97d5d9p-3, 0x1.190c101b6fd3cp-3, 0x1.e6b65bcada51dp-4, 0x1.9cd7b9932c9cbp-4, 0x1.5484cd40f3a9ap-4, 0x1.0dc52f6fa96fcp-4, 0x1.913f104f151ddp-5, 0x1.0a33327b08243p-5, 0x1.0ce12228fa317p-6, 0x1.7fd4f95e63586p-11, -0x1.dc67b611669ecp-7, -0x1.e1ac31361f7ddp-6, -0x1.67317d08c2ce7p-5, -0x1.da29c2622a9a9p-5, -0x1.24deeb2be1731p-4, -0x1.5af6edb45c558p-4, -0x1.8f5d8c0cf99fap-4, -0x1.c213f35954e33p-4, -0x1.f31bd2bfaa445p-4, -0x1.113ba9e6bda9bp-3, -0x1.2814898f99876p-3, -0x1.3e1a0ca52015ep-3, -0x1.534dea047255ep-3, -0x1.67b207d376a1fp-3, -0x1.7b4878571646fp-3, -0x1.8e1376e8c5b6cp-3, -0x1.a015650ab034dp-3, -0x1.b150c799d62fbp-3, -0x1.c1c8441d5e857p-3, -0x1.d17e9e325bd45p-3, -0x1.e076b513339cp-3, -0x1.eeb38139ea132p-3, -0x1.fc38121c7a4e3p-3, -0x1.0483c6013833fp-2, -0x1.0a9292f97b7bcp-2, -0x1.104a13dd47a2bp-2, -0x1.15abf403d3a6ap-2, -0x1.1ab9e54ea4b33p-2, -0x1.1f759f4d9043fp-2, -0x1.23e0de6d0caa8p-2, -0x1.27fd632e6de41p-2, -0x1.2bccf169babe2p-2, -0x1.2f514f98bb4b2p-2, -0x1.328c462af17cp-2, -0x1.357f9ee227dfp-2, -0x1.382d24374130bp-2, -0x1.3a96a0c70341fp-2, -0x1.3cbddec68f5abp-2, -0x1.3ea4a77f3c73bp-2, -0x1.404cc2d193827p-2, -0x1.41b7f6bf2858bp-2, -0x1.42e806fb0c3f9p-2, -0x1.43deb4809fce7p-2, -0x1.449dbd30866b7p-2, -0x1.4526db737fa5ep-2, -0x1.457bc5e2f3d5bp-2, -0x1.459e2ef6f6decp-2, -0x1.458fc4b992e9fp-2, -0x1.4552307f29611p-2, -0x1.44e716a3b3338p-2, -0x1.4450164cbb739p-2, -0x1.438ec92fdea27p-2, -0x1.42a4c35da6a6ep-2, -0x1.419393109bd85p-2, -0x1.405cc0805dd27p-2, -0x1.3f01cdb89cec2p-2, -0x1.3d843673d436fp-2, -0x1.3be56ff99568dp-2, -0x1.3a26e90049381p-2, -0x1.384a099241dbdp-2, -0x1.365032f5f88c7p-2, -0x1.343abf99588c7p-2, -0x1.320b02fff961p-2, -0x1.2fc249b42348bp-2, -0x1.2d61d93a87821p-2, -0x1.2aeaf008868ffp-2, -0x1.285ec57cef5e6p-2, -0x1.25be89db16bcep-2, -0x1.230b66482c5a7p-2, -0x1.20467ccab582bp-2, -0x1.1d70e84c12c88p-2, -0x1.1a8bbc9bf326cp-2, -0x1.17980675a613bp-2, -0x1.1496cb8729572p-2, -0x1.11890a79e420fp-2, -0x1.0e6fbafcf79f9p-2, -0x1.0b4bcdd106bd3p-2, -0x1.081e2cd5702e4p-2, -0x1.04e7bb16d3ac4p-2, -0x1.01a954dede66fp-2, -0x1.fcc79f8a7c42cp-3, -0x1.f62ff58367e14p-3, -0x1.ef8d3c7e51686p-3, -0x1.e8e0f85f76bafp-3, -0x1.e22ca043628d6p-3, -0x1.db719eaa76ce6p-3, -0x1.d4b151a5fd9b7p-3, -0x1.cded0b069f54ep-3, -0x1.c726108c27d2ap-3, -0x1.c05d9c1671641p-3, -0x1.b994dbd76401dp-3, -0x1.b2ccf285e8264p-3, -0x1.ac06f791b4ac9p-3, -0x1.a543f757dc701p-3, -0x1.9e84f35806914p-3, -0x1.97cae26a38be4p-3, -0x1.9116b0f5183adp-3, -0x1.8a69412498dbcp-3, -0x1.83c36b20f5042p-3, -0x1.7d25fd45e3356p-3, -0x1.7691bc59ff84bp-3, -0x1.700763c63f9edp-3, -0x1.6987a5cd77824p-3, -0x1.63132bc3ce642p-3, -0x1.5caa964623bfcp-3, -0x1.564e7d713ebe7p-3, -0x1.4fff7118d3668p-3, -0x1.49bdf8fe3fa95p-3, -0x1.438a9506f4e2p-3, -0x1.3d65bd728ce1dp-3, -0x1.374fe3107109fp-3, -0x1.31496f7514524p-3, -0x1.2b52c52eab221p-3, -0x1.256c3ff9647e8p-3, -0x1.1f9634f312165p-3, -0x1.19d0f2ce39e42p-3, -0x1.141cc2048b3e4p-3, -0x1.0e79e508b04b6p-3, -0x1.08e89877722e8p-3, -0x1.036913482b84ep-3, -0x1.fbf70df9126acp-4, -0x1.f1403f9f153a6p-4, -0x1.e6ae09c78cc39p-4, -0x1.dc40b0e1cd6a8p-4, -0x1.d1f86fe0c2e7ep-4, -0x1.c7d57892ca228p-4, -0x1.bdd7f3f7f2e58p-4, -0x1.b400029697dbap-4, -0x1.aa4dbcce5ca44p-4, -0x1.a0c13329822dfp-4, -0x1.975a6eac94d9dp-4, -0x1.8e19712460e21p-4, -0x1.84fe35724b9f7p-4, -0x1.7c08afd6f36acp-4, -0x1.7338ce3b234dbp-4, -0x1.6a8e7877199fep-4, -0x1.620990981fa2ap-4, -0x1.59a9f324759e8p-4, -0x1.516f775d93b0fp-4, -0x1.4959ef80c1bfcp-4, -0x1.4169290609092p-4, -0x1.399cecdd82d4fp-4, -0x1.31f4ffab05afep-4, -0x1.2a712200361cdp-4, -0x1.23111094fe6efp-4, -0x1.1bd4847e72049p-4, -0x1.14bb33641dd2ep-4, -0x1.0dc4cfb3cfc27p-4, -0x1.06f108d3d4279p-4, -0x1.003f8b53b2234p-4, -0x1.f3600236d6a45p-5, -0x1.e6842332876d7p-5, -0x1.d9eac3dc2c2e5p-5, -0x1.cd932a307dacep-5, -0x1.c17c983a3a914p-5, -0x1.b5a64c626de25p-5, -0x1.aa0f81bdfe9e8p-5, -0x1.9eb7705894c11p-5, -0x1.939d4d7ce70d2p-5, -0x1.88c04bfa73624p-5, -0x1.7e1f9c68b92b6p-5, -0x1.73ba6d67fb314p-5, -0x1.698febdf98fe5p-5, -0x1.5f9f433a0bcaep-5, -0x1.55e79d9e94aa9p-5, -0x1.4c682428a73dp-5, -0x1.431fff1d2111bp-5, -0x1.3a0e561d55d58p-5, -0x1.3132505802f15p-5, -0x1.288b14b83363cp-5, -0x1.2017ca1220282p-5, -0x1.17d7974e1db3p-5, -0x1.0fc9a391a1c71p-5, -0x1.07ed166669059p-5, -0x1.004117dfd3cdbp-5, -0x1.f189a17cf09aep-6, -0x1.e2eed5240b21dp-6, -0x1.d4b01fb2ea317p-6, -0x1.c6cbd84344605p-6, -0x1.b94058449896p-6, -0x1.ac0bfbb323915p-6, -0x1.9f2d214be0f91p-6, -0x1.92a22abda76fdp-6, -0x1.86697cd77bd2ep-6, -0x1.7a817fb432278p-6, -0x1.6ee89ee36a4ap-6, -0x1.639d499006a04p-6, -0x1.589df2a42cffcp-6, -0x1.4de910eae62efp-6, -0x1.437d1f2f73ee8p-6, -0x1.39589c5a6b9dfp-6, -0x1.2f7a0b8caa978p-6, -0x1.25dff438411d5p-6, -0x1.1c88e23750534p-6, -0x1.137365e10902dp-6, -0x1.0a9e141cc63b9p-6, -0x1.020786735ff6cp-6, -0x1.f35cb63d917a7p-7, -0x1.e3226a2ffab2bp-7, -0x1.d35d7846c6de3p-7, -0x1.c40b39b737cd9p-7, -0x1.b5291175bc8e7p-7, -0x1.a6b46c45da5cep-7, -0x1.98aac0c7574d2p-7, -0x1.8b098f80def8fp-7, -0x1.7dce62e817571p-7, -0x1.70f6cf6766798p-7, -0x1.6480736167cadp-7, -0x1.5868f7323c6a9p-7, -0x1.4cae0d2eca5e6p-7, -0x1.414d71a1fcbdap-7, -0x1.3644eac822f6ep-7, -0x1.2b9248c88c516p-7, -0x1.213365ad67d36p-7, -0x1.1726255a09a02p-7, -0x1.0d68757fa5da2p-7, -0x1.03f84d9098886p-7, -0x1.f5a75d6494cf6p-8, -0x1.e3f1475b96909p-8, -0x1.d2ca81be5e644p-8, -0x1.c22f4847891a8p-8, -0x1.b21be98e63994p-8, -0x1.a28cc6df1c9f1p-8, -0x1.937e54110841p-8, -0x1.84ed175b18529p-8, -0x1.76d5a926a5dd1p-8, -0x1.6934b3e0ad266p-8, -0x1.5c06f3c991f23p-8, -0x1.4f4936c38e559p-8, -0x1.42f85c1fe181p-8, -0x1.3711546adb376p-8, -0x1.2b912136da2cdp-8, -0x1.2074d4e656eccp-8, -0x1.15b992750e695p-8, -0x1.0b5c8d4067831p-8, -0x1.015b08cf23db3p-8, -0x1.ef64b130dfda9p-9, -0x1.dcbfbf94d669ap-9, -0x1.cac222206622dp-9, -0x1.b966dcaf10ac4p-9, -0x1.a8a9112c3cde7p-9, -0x1.9883ff1d43d2p-9, -0x1.88f3032b1657bp-9, -0x1.79f196ab8e906p-9, -0x1.6b7b4f2a8db91p-9, -0x1.5d8bddf30523dp-9, -0x1.501f0f97fc5f7p-9, -0x1.4330cb7db385p-9, -0x1.36bd1362f67fdp-9, -0x1.2ac002eab8635p-9, -0x1.1f35cf2609f4ap-9, -0x1.141ac61e81ea9p-9, -0x1.096b4e612a094p-9, -0x1.fe47cd140097ap-10, -0x1.ea8249a03c40bp-10, -0x1.d77f6d2532d2fp-10, -0x1.c538bfcc53f11p-10, -0x1.b3a7f64740e4bp-10, -0x1.a2c6f0ee8b67p-10, -0x1.928fbae23ea7dp-10, -0x1.82fc892c6bfd3p-10, -0x1.7407b9e5bd7dep-10, -0x1.65abd35c1e485p-10, -0x1.57e3833ba0ff8p-10, -0x1.4aa99db99edc4p-10, -0x1.3df91cc236ba6p-10, -0x1.31cd1f2820e09p-10, -0x1.2620e7d6fdc9dp-10, -0x1.1aefdd081ff0ep-10, -0x1.10358779dbdffp-10, -0x1.05ed91a96c7aep-10, -0x1.f8278e1ef6531p-11, -0x1.e54826be842fbp-11, -0x1.d3350390c7cd2p-11, -0x1.c1e67876e61e7p-11, -0x1.b155156266e7ep-11, -0x1.a179a4e9332fep-11, -0x1.924d2adf183f4p-11, -0x1.83c8e2f4d2c84p-11, -0x1.75e63f5cac58bp-11, -0x1.689ee774a90f2p-11, -0x1.5becb6764ba83p-11, -0x1.4fc9ba2bef702p-11, -0x1.443031abb7df8p-11, -0x1.391a8c181415bp-11, -0x1.2e836765d54a9p-11, -0x1.24658f27d13cp-11, -0x1.1abbfb60117eap-11, -0x1.1181cf5683881p-11, -0x1.08b2587528194p-11, -0x1.00490d29b97a1p-11, -0x1.f08317997daffp-12, -0x1.e12f331c0c0a8p-12, -0x1.d28e42ccf1235p-12, -0x1.c498661e86e56p-12, -0x1.b74603fc8a27dp-12, -0x1.aa8fc8cf6fcc3p-12, -0x1.9e6ea48a1522p-12, -0x1.92dbc8c1be7f4p-12, -0x1.87d0a6d0385f4p-12, -0x1.7d46ee0014b9dp-12, -0x1.733889c2d62e7p-12, -0x1.699f9ff0fb82ap-12, -0x1.60768f13c35c7p-12, -0x1.57b7ecb8946a4p-12, -0x1.4f5e83cde1e0dp-12, -0x1.4765530976b36p-12, -0x1.3fc78b57ff6f9p-12, -0x1.38808e55be798p-12, -0x1.318becd03cb85p-12, -0x1.2ae56550e1fb7p-12, -0x1.2488e2b04fb7bp-12, -0x1.1e727ab25b6dfp-12, -0x1.189e6caa8beap-12, -0x1.13092028f46a4p-12, -0x1.0daf23af4f84bp-12, -0x1.088d2b6e3380dp-12, -0x1.03a0100a443a3p-12, -0x1.fdc99ad27ed7cp-13, -0x1.f4b1030d73e8ep-13, -0x1.ebf0d6a0f9064p-13, -0x1.e383d31498ad6p-13, -0x1.db64f3721a471p-13, -0x1.d38f6e2a1f16p-13, -0x1.cbfeb306e4f16p-13, -0x1.c4ae692cea563p-13, -0x1.bd9a6d2923a6p-13, -0x1.b6becf0c973ccp-13, -0x1.b017d0950d81p-13, -0x1.a9a1e36294fa1p-13, -0x1.a359a739a7fc2p-13, -0x1.9d3be851a58cfp-13, -0x1.97459daf61284p-13, -0x1.9173e78b918bcp-13, -0x1.8bc40dc4dafc6p-13, -0x1.86337e5d36df7p-13, -0x1.80bfcc027a7fep-13, -0x1.7b66aca1c9aap-13, -0x1.7625f805aedafp-13, -0x1.70fba67e9e784p-13, -0x1.6be5cf95b71fep-13, -0x1.66e2a8c977e8p-13, -0x1.61f08454359e3p-13, -0x1.5d0dcffc202d9p-13, -0x1.583913ec93b99p-13, -0x1.5370f1988ce3cp-13, -0x1.4eb422a5fae26p-13, -0x1.4a0177e1c7c4ep-13, -0x1.4557d83c5b75ap-13, -0x1.40b63fce6452cp-13, -0x1.3c1bbee5bb091p-13, -0x1.3787791a25587p-13, -0x1.32f8a469ce524p-13, -0x1.2e6e885d3e06dp-13, -0x1.29e87d32a5665p-13, -0x1.2565eb104be39p-13, -0x1.20e6493df737fp-13, -0x1.1c691d651007fp-13, -0x1.17edfad7707e6p-13, -0x1.137481dc9783dp-13, -0x1.0efc5f0523bdfp-13, -0x1.0a854a846b1cfp-13, -0x1.060f079001055p-13, -0x1.019963c508dcep-13, -0x1.fa486d264346dp-14, -0x1.f15ec159a6572p-14, -0x1.e87596fa933a2p-14, -0x1.df8cd1467da6p-14, -0x1.d6a462e1e084cp-14, -0x1.cdbc4ce1e6f35p-14, -0x1.c4d49ddfa5685p-14, -0x1.bbed71147a871p-14, -0x1.b306ed7f89364p-14, -0x1.aa214513c4dd2p-14, -0x1.a13cb3ee924e6p-14, -0x1.98597f968b859p-14, -0x1.8f77f64242bb6p-14, -0x1.86986e26be033p-14, -0x1.7dbb44cd73c99p-14, -0x1.74e0de718a964p-14, -0x1.6c09a564254f2p-14, -0x1.63360977847f7p-14, -0x1.5a667f70c46f8p-14, -0x1.519b808005116p-14, -0x1.48d589bec6138p-14, -0x1.40151bb445ebfp-14, -0x1.375ab9dfb0b2ep-14, -0x1.2ea6ea47f10a4p-14, -0x1.25fa3510f12cap-14, -0x1.1d5524161fd2ap-14, -0x1.14b8428a0b5abp-14, -0x1.0c241c9ae9c54p-14, -0x1.03993f1bdd3d2p-14, -0x1.f6306e65a6f9ap-15, -0x1.e5432415a0a6cp-15, -0x1.d46bb9150166p-15, -0x1.c3ab461dd9b34p-15, -0x1.b302e2544c2e4p-15, -0x1.a273a2cb95ce1p-15, -0x1.91fe9a127b073p-15, -0x1.81a4d7c6d62b2p-15, -0x1.7167683003fb9p-15, -0x1.614753dfe9fdep-15, -0x1.51459f5a5b1cap-15, -0x1.41634ac29a747p-15, -0x1.31a1518ec07eap-15, -0x1.2200aa40c6115p-15, -0x1.1282462501541p-15, -0x1.03271115d87d9p-15, -0x1.e7dfe288efd42p-16, -0x1.c9bb8e0ca8d4ap-16, -0x1.abe2d94e93c0ap-16, -0x1.8e576c804b0c5p-16, -0x1.711ae322d16bap-16, -0x1.542ecbc432a3dp-16, -0x1.3794a7c4e2ab5p-16, -0x1.1b4deb2486c89p-16, -0x1.feb7f8ab9d3bap-17, -0x1.c780683228b4ap-17, -0x1.90f7babadca36p-17, -0x1.5b206a4fc6dcap-17, -0x1.25fcd50101d7ep-17, -0x1.e31e7994049fdp-18, -0x1.7bb38f03098aap-18, -0x1.15bcfda72082p-18, -0x1.627d411434d34p-19, -0x1.38f06a0398cf7p-20, 0x1.34729a9da9ed9p-22, 0x1.cd1fe3ebd001p-20, 0x1.a386aff8a6973p-19, 0x1.2eb682642f96cp-18, 0x1.8a1eeaae752bfp-18, 0x1.e3fa39a945e9fp-18, 0x1.1e2326faa96ep-17, 0x1.49809dbd646dbp-17, 0x1.7414a569c8623p-17, 0x1.9dde7c55c612fp-17, 0x1.c6dd7a8bc16d3p-17, 0x1.ef111171a6aa6p-17, 0x1.0b3c65b60313cp-16, 0x1.1e8a25beb024cp-16, 0x1.3171a671062f5p-16, 0x1.43f2d15475bd7p-16, 0x1.560d9ba49920fp-16, 0x1.67c2061ac259ap-16, 0x1.79101cb65a575p-16, 0x1.89f7f684222a4p-16, 0x1.9a79b5647e7c4p-16, 0x1.aa9585d0dde4ap-16, 0x1.ba4b9ea0660cfp-16, 0x1.c99c40cbe85d1p-16, 0x1.d887b7314b95ep-16, 0x1.e70e5656780a2p-16, 0x1.f5307c2bde3d8p-16, 0x1.017747e7560b8p-15, 0x1.082480a5620d7p-15, 0x1.0ea024ae484ecp-15, 0x1.14ea74995cb54p-15, 0x1.1b03b517ecb69p-15, 0x1.20ec2ed61f36cp-15, 0x1.26a42e5bdfeeep-15, 0x1.2c2c03ede353bp-15, 0x1.3184036ec3b44p-15, 0x1.36ac844043749p-15, 0x1.3ba5e124b579ap-15, 0x1.407078209a8bp-15, 0x1.450caa5c6c76dp-15, 0x1.497adc06aac78p-15, 0x1.4dbb74362234cp-15, 0x1.51cedccc7a54bp-15, 0x1.55b582590ccdfp-15, 0x1.596fd3fc06c11p-15, 0x1.5cfe4349dff1fp-15, 0x1.6061442f207cp-15, 0x1.63994cd485481p-15, 0x1.66a6d58379892p-15, 0x1.698a588af2951p-15, 0x1.6c445224ab378p-15, 0x1.6ed5405ac274ap-15, 0x1.713da2edbfe65p-15, 0x1.737dfb3b00f18p-15, 0x1.7596cc238d05bp-15, 0x1.778899f35878dp-15, 0x1.7953ea48f379p-15, 0x1.7af943fda4b86p-15, 0x1.7c792f0df7bf5p-15, 0x1.7dd43482b86a6p-15, 0x1.7f0ade5a620edp-15, 0x1.801db772ff63fp-15, 0x1.810d4b747e141p-15, 0x1.81da26bb7598p-15, 0x1.8284d644615d3p-15, 0x1.830de7974eef9p-15, 0x1.8375e8b40025ep-15, 0x1.83bd67fe8266ep-15, 0x1.83e4f42c36b32p-15, 0x1.83ed1c3152bd5p-15, 0x1.83d66f2ecfe61p-15, 0x1.83a17c60d11cep-15, 0x1.834ed30d7a3e7p-15, 0x1.82df027438387p-15, 0x1.825299bd7d306p-15, 0x1.81aa27eaeba26p-15, 0x1.80e63bc7f1e92p-15, 0x1.800763dad5d24p-15, 0x1.7f0e2e562ca53p-15, 0x1.7dfb290ac2daap-15, 0x1.7ccee159eed4dp-15, 0x1.7b89e4284ef65p-15, 0x1.7a2cbdd0f148dp-15, 0x1.78b7fa18e7f22p-15, 0x1.772c24234006p-15, 0x1.7589c66562fcp-15, 0x1.73d16a9bdbf31p-15, 0x1.720399bf83a2fp-15, 0x1.7020dbfb099ecp-15, 0x1.6e29b8a0e5b68p-15, 0x1.6c1eb621a5953p-15, 0x1.6a005a02997bbp-15, 0x1.67cf28d4ddf0cp-15, 0x1.658ba62cc546dp-15, 0x1.63365499945b9p-15, 0x1.60cfb59d9fe6dp-15, 0x1.5e5849a6bb91ap-15, 0x1.5bd0900702c45p-15, 0x1.593906edf33d1p-15, 0x1.56922b61dd0a1p-15, 0x1.53dc7939a223ap-15, 0x1.51186b16c6b9dp-15, 0x1.4e467a5fd122dp-15, 0x1.4b671f3af4008p-15, 0x1.487ad0890580ap-15, 0x1.458203e0c18d5p-15, 0x1.427d2d8a529bbp-15, 0x1.3f6cc07b20bb7p-15, 0x1.3c512e51e9123p-15, 0x1.392ae753151b9p-15, 0x1.35fa5a6558877p-15, 0x1.32bff50e8b433p-15, 0x1.2f7c2370c79abp-15, 0x1.2c2f5047c25bdp-15, 0x1.28d9e4e6614d5p-15, }}, 
      {{0x1.fbc45b13ad2a6p-1, 0x1.fb71da06f5d7cp-1, 0x1.fae89b750d9b2p-1, 0x1.fa2902c8376fcp-1, 0x1.f93398b439ef2p-1, 0x1.f80909190aa17p-1, 0x1.f6aa209ded32fp-1, 0x1.f517ca1f8b29bp-1, 0x1.f3530c065cadep-1, 0x1.f15d059634bd9p-1, 0x1.ef36ec440691ap-1, 0x1.ece2091bcec1ep-1, 0x1.ea5fb63dec394p-1, 0x1.e7b15c7921fc8p-1, 0x1.e4d87104b6de5p-1, 0x1.e1d6735cd9536p-1, 0x1.deaceb425304ep-1, 0x1.db5d66ddcda96p-1, 0x1.d7e97906446ddp-1, 0x1.d452b7a9cc66ep-1, 0x1.d09aba5788c21p-1, 0x1.ccc318e966409p-1, 0x1.c8cd6a4c13415p-1, 0x1.c4bb436396b84p-1, 0x1.c08e360ae12e4p-1, 0x1.bc47d02cadd57p-1, 0x1.b7e99af41a3d7p-1, 0x1.b3751a135d9d1p-1, 0x1.aeebcb1f1ff76p-1, 0x1.aa4f24fcfde89p-1, 0x1.a5a09763d82b7p-1, 0x1.a0e18a6ca4c2cp-1, 0x1.9c135e3286e0fp-1, 0x1.97376a810477bp-1, 0x1.924efe8f46c69p-1, 0x1.8d5b60c75d96p-1, 0x1.885dce98948cfp-1, 0x1.83577c53f2d88p-1, 0x1.7e4995120f68bp-1, 0x1.79353aa171a46p-1, 0x1.741b857cc177ap-1, 0x1.6efd84c817e9ap-1, 0x1.69dc3e54cbbd4p-1, 0x1.64b8aeab1ea47p-1, 0x1.5f93c9193d9fbp-1, 0x1.5a6e77c70d4d7p-1, 0x1.55499bce45085p-1, 0x1.50260d5662865p-1, 0x1.4b049bb40d4c2p-1, 0x1.45e60d8b7f867p-1, 0x1.40cb20f59a573p-1, 0x1.3bb48ba74c50dp-1, 0x1.36a2fb1af8503p-1, 0x1.319714bb945d5p-1, 0x1.2c9176113a6bap-1, 0x1.2792b4eee7b11p-1, 0x1.229b5fa136ac6p-1, 0x1.1dabfd1dd79cp-1, 0x1.18c50d33996dcp-1, 0x1.13e708bad4522p-1, 0x1.0f1261c60f3e7p-1, 0x1.0a4783d2b73f2p-1, 0x1.0586d3f9cb21bp-1, 0x1.00d0b1205848dp-1, 0x1.f84ae84f64755p-2, 0x1.ef0ae03a8d94fp-2, 0x1.e5e1e4d3fd2d4p-2, 0x1.dcd086022518ap-2, 0x1.d3d7491c89423p-2, 0x1.caf6a946e50aep-2, 0x1.c22f17cadb4a2p-2, 0x1.b980fc702498cp-2, 0x1.b0ecb5d327ab9p-2, 0x1.a87299b9e6304p-2, 0x1.a012f5673723ap-2, 0x1.97ce0dec40fe4p-2, 0x1.8fa420782c3e9p-2, 0x1.879562a6035p-2, 0x1.7fa202c8c5184p-2, 0x1.77ca28359e492p-2, 0x1.700df38c4baa4p-2, 0x1.686d7efda5cc7p-2, 0x1.60e8de905938ep-2, 0x1.59802063c7992p-2, 0x1.52334cf11cd58p-2, 0x1.4b02674a982aep-2, 0x1.43ed6d590c4adp-2, 0x1.3cf45817a1861p-2, 0x1.36171bcddd14ap-2, 0x1.2f55a847f4f5bp-2, 0x1.28afe90d737bcp-2, 0x1.2225c5963b3b2p-2, 0x1.1bb7217de7d64p-2, 0x1.1563dcb59c5e1p-2, 0x1.0f2bd3b4425acp-2, 0x1.090edfa5440acp-2, 0x1.030cd695c71fcp-2, 0x1.fa4b1740ec16cp-3, 0x1.eeb19e2faed8fp-3, 0x1.e34cdd5e8deb2p-3, 0x1.d81c6b4515edfp-3, 0x1.cd1fd9b83ad52p-3, 0x1.c256b63445947p-3, 0x1.b7c08a243fae7p-3, 0x1.ad5cdb26e815bp-3, 0x1.a32b2b513e915p-3, 0x1.992af96eb57aep-3, 0x1.8f5bc13f1b6c1p-3, 0x1.85bcfbb24cb2dp-3, 0x1.7c4e1f21b3942p-3, 0x1.730e9f87b627ap-3, 0x1.69fdeeb509e0ep-3, 0x1.611b7c840d523p-3, 0x1.5866b70a30136p-3, 0x1.4fdf0ac76d332p-3, 0x1.4783e2d3fa7fcp-3, 0x1.3f54a90c1cd2fp-3, 0x1.3750c63a4ab84p-3, 0x1.2f77a23f92defp-3, 0x1.27c8a43a6521fp-3, 0x1.204332abb558bp-3, 0x1.18e6b39a9c02dp-3, 0x1.11b28cb6687c6p-3, 0x1.0aa623773d5d8p-3, 0x1.03c0dd3d44356p-3, 0x1.fa043edcef826p-4, 0x1.ecd29f26255fbp-4, 0x1.dfeba6e173a6fp-4, 0x1.d34e2248a919dp-4, 0x1.c6f8de7569becp-4, 0x1.baeaa9900afd7p-4, 0x1.af2252fc24274p-4, 0x1.a39eab82e502fp-4, 0x1.985e857b2d6ecp-4, 0x1.8d60b4efa2432p-4, 0x1.82a40fc29d283p-4, 0x1.78276dd030e4bp-4, 0x1.6de9a90e3d93p-4, 0x1.63e99daaa97fbp-4, 0x1.5a262a27d047ap-4, 0x1.509e2f77326acp-4, 0x1.475091127a15ep-4, 0x1.3e3c3512de1b7p-4, 0x1.35600446f42cdp-4, 0x1.2cbaea4700ecfp-4, 0x1.244bd587cf03bp-4, 0x1.1c11b76c1fa8dp-4, 0x1.140b8454bdce8p-4, 0x1.0c3833af41cf6p-4, 0x1.0496c0039110cp-4, 0x1.fa4c4e004ea26p-5, 0x1.ebcad30a6592fp-5, 0x1.dda7175d21572p-5, 0x1.cfdf29b966fffp-5, 0x1.c2711f78fdfa8p-5, 0x1.b55b149c48df3p-5, 0x1.a89b2bd60eda9p-5, 0x1.9c2f8e9571d78p-5, 0x1.90166d0e1cab9p-5, 0x1.844dfe3ec1e77p-5, 0x1.78d47ff5fb1fbp-5, 0x1.6da836d59a473p-5, 0x1.62c76e548181p-5, 0x1.583078bf0f251p-5, 0x1.4de1af36309b3p-5, 0x1.43d971ad2912fp-5, 0x1.3a1626e6218d6p-5, 0x1.30963c6d8b054p-5, 0x1.27582694644d1p-5, 0x1.1e5a606973783p-5, 0x1.159b6bb17d5d2p-5, 0x1.0d19d0de899ddp-5, 0x1.04d41f06441ap-5, 0x1.f991d7aefe9fap-6, 0x1.e9eda71de1fecp-6, 0x1.dab8f1d64bd01p-6, 0x1.cbf10a3f8c9adp-6, 0x1.bd934f9055d4bp-6, 0x1.af9d2db2a887fp-6, 0x1.a20c1d26977fap-6, 0x1.94dda2e3f2cabp-6, 0x1.880f503aeaa94p-6, 0x1.7b9ec2b3c6bd9p-6, 0x1.6f89a3edbc0e8p-6, 0x1.63cda97cee876p-6, 0x1.586894c7bf062p-6, 0x1.4d5832e36274bp-6, 0x1.429a5c6fe0e34p-6, 0x1.382cf5738027ap-6, 0x1.2e0ded35b1ef9p-6, 0x1.243b3e198ae6dp-6, 0x1.1ab2ed77d6a4ap-6, 0x1.11730b78cd4dcp-6, 0x1.0879b2ed80bc8p-6, 0x1.ff8a12520acb1p-7, 0x1.eea67bb2c5e4cp-7, 0x1.de4515c0b8159p-7, 0x1.ce62685821a5ap-7, 0x1.befb0f1f15c84p-7, 0x1.b00bb93676694p-7, 0x1.a19128ead974fp-7, 0x1.9388336584a59p-7, 0x1.85edc05d667f5p-7, 0x1.78bec9c84900fp-7, 0x1.6bf85b8c2bbbcp-7, 0x1.5f979330d9084p-7, 0x1.53999f91d54cbp-7, 0x1.47fbc0909d145p-7, 0x1.3cbb46c74fcc6p-7, 0x1.31d5933bc11a3p-7, 0x1.274817130fc0fp-7, 0x1.1d105345b9147p-7, 0x1.132bd8543d3dep-7, 0x1.099845fc58f6dp-7, 0x1.00534aeede052p-7, 0x1.eeb5490c62b8dp-8, 0x1.dd583cfaecb65p-8, 0x1.cc8b2550da606p-8, 0x1.bc49d158184d6p-8, 0x1.ac902b6fae721p-8, 0x1.9d5a387ff957cp-8, 0x1.8ea4177076654p-8, 0x1.806a009f2b63cp-8, 0x1.72a84559b1b18p-8, 0x1.655b4f57ed044p-8, 0x1.587fa03872cbdp-8, 0x1.4c11d0fea93f1p-8, 0x1.400e9192a3b3ep-8, 0x1.3472a842beca3p-8, 0x1.293af14703751p-8, 0x1.1e645e4650501p-8, 0x1.13ebf5dd50932p-8, 0x1.09ced327405d1p-8, 0x1.000a25487dc44p-8, 0x1.ed365df5dfeeap-9, 0x1.dafe8c387498ep-9, 0x1.c967a67b8d008p-9, 0x1.b86ca26d3d191p-9, 0x1.a808996e2f8a9p-9, 0x1.9836c7bca38c3p-9, 0x1.88f28ba3071b9p-9, 0x1.7a3764aa2d915p-9, 0x1.6c00f2cf23232p-9, 0x1.5e4af5bc93c0ap-9, 0x1.51114c07c42bbp-9, 0x1.444ff27115fa3p-9, 0x1.3803032813b0cp-9, 0x1.2c26b512f8041p-9, 0x1.20b75b19b6712p-9, 0x1.15b163746d892p-9, 0x1.0b1156fd4ad14p-9, 0x1.00d3d885cda3p-9, 0x1.edeb485ecfda1p-10, 0x1.dae71d8edc63p-10, 0x1.c8950a4cad82bp-10, 0x1.b6ef172466c1fp-10, 0x1.a5ef7a48cf2d1p-10, 0x1.9590966517bcbp-10, 0x1.85ccf974e627p-10, 0x1.769f5ba29d582p-10, 0x1.68029e2bc0a9fp-10, 0x1.59f1ca4b64594p-10, 0x1.4c68102a9c947p-10, 0x1.3f60c5d6ccbe7p-10, 0x1.32d7663dbcffep-10, 0x1.26c7902f78676p-10, 0x1.1b2d0565c32e8p-10, 0x1.1003a99124a36p-10, 0x1.0547816b67c66p-10, 0x1.f5e9639efceb5p-11, 0x1.e20efdad6aefep-11, 0x1.cef895f637978p-11, 0x1.bc9f2c7e1c0d4p-11, 0x1.aafbfab39a72ep-11, 0x1.9a0871d2173e4p-11, 0x1.89be394eb4f5ep-11, 0x1.7a172d4ec45c7p-11, 0x1.6b0d5d27a04a6p-11, 0x1.5c9b09e7c8651p-11, 0x1.4ebaa4e91098p-11, 0x1.4166ce6bbb6ep-11, 0x1.349a543a552edp-11, 0x1.2850305622f07p-11, 0x1.1c8387ac00e9ap-11, 0x1.112fa8d181a0bp-11, 0x1.06500aca297d7p-11, 0x1.f7c097a9344e6p-12, 0x1.e3b8607f0fb59p-12, 0x1.d07f428ca22e9p-12, 0x1.be0d57ea2030ap-12, 0x1.ac5b0027fc12ep-12, 0x1.9b60de340a171p-12, 0x1.8b17d64caddfep-12, 0x1.7b790c01cd531p-12, 0x1.6c7de04334adcp-12, 0x1.5e1fef7c2f00ap-12, 0x1.50590fbbffc17p-12, 0x1.43234eeafbb1ap-12, 0x1.3678f10bf8255p-12, 0x1.2a546e89cd8fp-12, 0x1.1eb07290a45bbp-12, 0x1.1387d972cfc59p-12, 0x1.08d5af18eaf4ap-12, 0x1.fd2a5afa01299p-13, 0x1.e9837660e6f1fp-13, 0x1.d6add3d8dd4bp-13, 0x1.c4a0ea593d382p-13, 0x1.b35481a7e2824p-13, 0x1.a2c0afb64ca1bp-13, 0x1.92ddd611dff74p-13, 0x1.83a49f66dc26dp-13, 0x1.750dfd1586c44p-13, 0x1.671324d93041fp-13, 0x1.59ad8e808b1d8p-13, 0x1.4cd6f1b6fc1ebp-13, 0x1.408943de705f1p-13, 0x1.34beb5f94ecfbp-13, 0x1.2971b2a42a459p-13, 0x1.1e9cdc1ec0c0ap-13, 0x1.143b0a63eb27dp-13, 0x1.0a474950244e5p-13, 0x1.00bcd6d63cf9p-13, 0x1.ef2e4283c7701p-14, 0x1.dda38b0f56067p-14, 0x1.ccd11b445e0c4p-14, 0x1.bcaeddf802118p-14, 0x1.ad3511cc1431ap-14, 0x1.9e5c463420ec2p-14, 0x1.901d58920ad53p-14, 0x1.82717169a985bp-14, 0x1.755201aac7aecp-14, 0x1.68b8c010e3c46p-14, 0x1.5c9fa69822f4fp-14, 0x1.5100f006de8f9p-14, 0x1.45d7158b3efafp-14, 0x1.3b1ccc6c56d29p-14, 0x1.30cd03ce35139p-14, 0x1.26e2e28867c76p-14, 0x1.1d59c50e6cc08p-14, 0x1.142d3b6990255p-14, 0x1.0b590743ba252p-14, 0x1.02d91a02b5ab2p-14, 0x1.f55325e6e4a1fp-15, 0x1.e58d7b09a8151p-15, 0x1.d65a1f2334035p-15, 0x1.c7b24f71dd213p-15, 0x1.b98f978a6c247p-15, 0x1.abebce415fceap-15, 0x1.9ec112af08e74p-15, 0x1.9209c94db7d3p-15, 0x1.85c0993131a8dp-15, 0x1.79e06956b44d9p-15, 0x1.6e645e0ccd28p-15, 0x1.6347d67247133p-15, 0x1.58866a0b874ebp-15, 0x1.4e1be66da5ff6p-15, 0x1.44044cfe9b155p-15, 0x1.3a3bd0c9df427p-15, 0x1.30bed468da8d4p-15, 0x1.2789e7fe8cc94p-15, 0x1.1e99c745d0b41p-15, 0x1.15eb57b1ac7d2p-15, 0x1.0d7ba69f1aea6p-15, 0x1.0547e797c5a2cp-15, 0x1.fa9ae54a4d415p-16, 0x1.eb1385670fc6ap-16, 0x1.dbf4e808d7d73p-16, 0x1.cd3a855fa5b8fp-16, 0x1.bee01267e053fp-16, 0x1.b0e17e259e429p-16, 0x1.a33aeefaf46aap-16, 0x1.95e8c01862164p-16, 0x1.88e77f06848b6p-16, 0x1.7c33e948393c9p-16, 0x1.6fcaea1466f9bp-16, 0x1.63a99826a00aep-16, 0x1.57cd33a5de41ap-16, 0x1.4c332420989bbp-16, 0x1.40d8f69d7e52ap-16, 0x1.35bc5bc0227a7p-16, 0x1.2adb2600ee218p-16, 0x1.203347f7a91f6p-16, 0x1.15c2d2b801882p-16, 0x1.0b87f43f686dbp-16, 0x1.0180f5f3b261fp-16, 0x1.ef587663c308ap-17, 0x1.dc107fd9136d6p-17, 0x1.c9272eb2837b3p-17, 0x1.b699d5593236fp-17, 0x1.a465efc82a8bap-17, 0x1.9289213b4668cp-17, 0x1.810131f83978bp-17, 0x1.6fcc0d3097acp-17, 0x1.5ee7befc1db11p-17, 0x1.4e52726a404b5p-17, 0x1.3e0a6faa252eep-17, 0x1.2e0e1a4844668p-17, 0x1.1e5bef80cf93ap-17, 0x1.0ef284a6231b1p-17, 0x1.ffa10b34fac7fp-18, 0x1.e1e966b88232bp-18, 0x1.c4bbc5481b21cp-18, 0x1.a815f527fcc4ep-18, 0x1.8bf5e6eecfbp-18, 0x1.7059ab24dc297p-18, 0x1.553f7001aba98p-18, 0x1.3aa57f46ef2fap-18, 0x1.208a3c377cf0fp-18, 0x1.06ec21a94c0fep-18, 0x1.db938062a60fcp-19, 0x1.aa4378d081919p-19, 0x1.79e59a8e13dbap-19, 0x1.4a777534a6ac8p-19, 0x1.1bf6b7178a42fp-19, 0x1.dcc2550175cdap-20, 0x1.8369662b80b01p-20, 0x1.2bde96c63356cp-20, 0x1.ac3c0a321fcc2p-21, 0x1.0447e882a0d94p-21, 0x1.7f6640e514425p-23, -0x1.0457f45c24cfbp-23, -0x1.bd1b16636934bp-22, -0x1.7893b9e861e5dp-21, -0x1.079781b11641ep-20, -0x1.5132e0fba70dcp-20, -0x1.991f1ad30fca4p-20, -0x1.df5f44931dfc7p-20, -0x1.11fb35a78ee15p-19, -0x1.3373cb0026826p-19, -0x1.541ae3c4f4a2cp-19, -0x1.73f2004a7c96fp-19, -0x1.92faa0a2d9dfap-19, -0x1.b13645663fa6ap-19, -0x1.cea6706a2055dp-19, -0x1.eb4ca567e7e57p-19, -0x1.0395354a0d5bfp-18, -0x1.1120a49351f5fp-18, -0x1.1e4966ea91a04p-18, -0x1.2b10449ff936fp-18, -0x1.377608294d356p-18, -0x1.437b7e4c3482ep-18, -0x1.4f217642e7916p-18, -0x1.5a68c1db96893p-18, -0x1.65523592d203cp-18, -0x1.6fdea8a93f43cp-18, -0x1.7a0ef534e64e7p-18, -0x1.83e3f82e55485p-18, -0x1.8d5e9179e1ff6p-18, -0x1.967fa3ed43007p-18, -0x1.9f481551c0c5fp-18, -0x1.a7b8ce633532p-18, -0x1.afd2bacc11d03p-18, -0x1.b796c91ea10bep-18, -0x1.bf05eacbb3a44p-18, -0x1.c6211416edabbp-18, -0x1.cce93c08db6dp-18, -0x1.d35f5c5eff80bp-18, -0x1.d9847179fef58p-18, -0x1.df597a4a17a78p-18, -0x1.e4df783a0232fp-18, -0x1.ea176f1867023p-18, -0x1.ef0265000876ap-18, -0x1.f3a1623ebf4c2p-18, -0x1.f7f5713b6c5e4p-18, -0x1.fbff9e5afc10ap-18, -0x1.ffc0f7e49549dp-18, -0x1.019d46f289473p-17, -0x1.0336b908ec21ap-17, -0x1.04ad5bd593e4ep-17, -0x1.0601b9aefecb9p-17, -0x1.07345d92cbd63p-17, -0x1.0845d316588ecp-17, -0x1.0936a65745b8ep-17, -0x1.0a0763ebea486p-17, -0x1.0ab898d3bcf91p-17, -0x1.0b4ad267be7acp-17, -0x1.0bbe9e4ae7a62p-17, -0x1.0c148a5aa7b08p-17, -0x1.0c4d249f74889p-17, -0x1.0c68fb3d764acp-17, -0x1.0c689c655245ap-17, -0x1.0c4c96451abdcp-17, -0x1.0c1576f968ebbp-17, -0x1.0bc3cc7ea6ad7p-17, -0x1.0b5824a2895cbp-17, -0x1.0ad30cf5c4901p-17, -0x1.0a3512bdf7a8p-17, -0x1.097ec2e7d82dfp-17, -0x1.08b0a9f99d316p-17, -0x1.07cb5405af888p-17, -0x1.06cf4c9d9df1dp-17, -0x1.05bd1ec55bb75p-17, -0x1.049554e6c8191p-17, -0x1.035878c5831b8p-17, -0x1.020713730f4b1p-17, -0x1.00a1ad4342e7ep-17, -0x1.fe519b8214695p-18, -0x1.fb39f746f382bp-18, -0x1.f7fd798668e1fp-18, -0x1.f49d2c2046ffdp-18, -0x1.f11a170f051dfp-18, -0x1.ed7540547dac3p-18, -0x1.e9afabe757e36p-18, -0x1.e5ca5ba116885p-18, -0x1.e1c64f2cd1065p-18, -0x1.dda483f69527ap-18, -0x1.d965f51b6f1cbp-18, -0x1.d50b9b5a19d7p-18, -0x1.d0966d04551f9p-18, -0x1.cc075df0e1b2bp-18, -0x1.c75f5f6e20c8dp-18, -0x1.c29f6035559bdp-18, -0x1.bdc84c5e8a595p-18, -0x1.b8db0d55114ddp-18, -0x1.b3d889cca7c2p-18, -0x1.aec1a5b73151bp-18, -0x1.a997423b0f7adp-18, -0x1.a45a3daa0ec4cp-18, -0x1.9f0b7378eb827p-18, -0x1.99abbc3769014p-18, -0x1.943bed88f9b23p-18, -0x1.8ebcda1df5b5fp-18, -0x1.892f51ad5ceap-18, -0x1.839420ef24c06p-18, -0x1.7dec1197093c3p-18, -0x1.7837ea4fe5667p-18, -0x1.72786eb78c4fap-18, -0x1.6cae5f5b20063p-18, -0x1.66da79b3e5114p-18, -0x1.60fd782490209p-18, -0x1.5b1811f709e96p-18, -0x1.552afb5aa4939p-18, -0x1.4f36e562c675cp-18, -0x1.493c7e05fe059p-18, -0x1.433c701d842cep-18, -0x1.3d37636526ab8p-18, -0x1.372dfc7b9710ep-18, -0x1.3120dce31c92ep-18, -0x1.2b10a302a7063p-18, -0x1.24fdea273e132p-18, -0x1.1ee94a85caa1bp-18, -0x1.18d3593d38781p-18, -0x1.12bca858ed745p-18, -0x1.0ca5c6d38fbf3p-18, -0x1.068f409a20733p-18, -0x1.00799e8f5e9b9p-18, -0x1.f4cacd1eeb6fap-19, -0x1.e8a636e7ec10fp-19, -0x1.dc867a301b6c5p-19, -0x1.d06c90ba1098ep-19, -0x1.c4596e5e14e4ep-19, -0x1.b84e01141cfa5p-19, -0x1.ac4b30fe31d9bp-19, -0x1.a051e0734ed9ap-19, -0x1.9462ec0aa9b8ap-19, -0x1.887f2aa763051p-19, -0x1.7ca76d8499accp-19, -0x1.70dc8041db5b4p-19, -0x1.651f28eff0808p-19, -0x1.5970281dfe3c7p-19, -0x1.4dd038e6f4f53p-19, -0x1.424010ff55664p-19, -0x1.36c060c332c9cp-19, -0x1.2b51d34482d49p-19, -0x1.1ff50e59abf46p-19, -0x1.14aab2ac4dc6bp-19, -0x1.09735bc8473e2p-19, -0x1.fc9f4055df051p-20, -0x1.e68022a4ffa0ep-20, -0x1.d08a779b614e3p-20, -0x1.babf4e96f1f2p-20, -0x1.a51fad56002ep-20, -0x1.8fac90175318ep-20, -0x1.7a66e9ba91833p-20, -0x1.654fa3e0dad01p-20, -0x1.50679f0d9f36ep-20, -0x1.3bafb2c7a186p-20, -0x1.2728adba22679p-20, -0x1.12d355d633ffap-20, -0x1.fd60d0e84d59dp-21, -0x1.d58134ea29d55p-21, -0x1.ae0930c8ff5dep-21, -0x1.86fa0d33f68afp-21, -0x1.605502b5cd511p-21, -0x1.3a1b39f85089ep-21, -0x1.144dcc07d8403p-21, -0x1.dddb852d78c18p-22, -0x1.93f830817814fp-22, -0x1.4af3719c98665p-22, -0x1.02cf02ef8ddfbp-22, -0x1.771904a1d49e1p-23, -0x1.d4b5c60b39427p-24, -0x1.7d99b5c1a9421p-25, 0x1.4e0e2e63d342fp-26, 0x1.6236aad7c9e4ap-24, 0x1.36a4142d58478p-23, 0x1.ba5a07cedac76p-23, 0x1.1e1db404107bap-22, 0x1.5e234ec392276p-22, 0x1.9d3d20772130ap-22, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.018e5dbd61668p-8, -0x1.033f0e1213c4fp-7, -0x1.89065f510c47ep-7, -0x1.09ce48d504f1p-6, -0x1.522c6cad9326ap-6, -0x1.9e32674b894ffp-6, -0x1.ee5ce24042284p-6, -0x1.21880bcd696d6p-5, -0x1.4e4c23fc76bf8p-5, -0x1.7d955e61057b8p-5, -0x1.af73958731704p-5, -0x1.e3ecaa943126cp-5, -0x1.0d7eb41486c52p-4, -0x1.2a4d36aff30b3p-4, -0x1.48588cb19ec72p-4, -0x1.6794391160cc3p-4, -0x1.87f101202b883p-4, -0x1.a95d55c7521d9p-4, -0x1.cbc5b63820216p-4, -0x1.ef150b913e2dep-4, -0x1.099a7ea2e390ap-3, -0x1.1c071f230ca58p-3, -0x1.2ec46987ed65cp-3, -0x1.41c628728450ep-3, -0x1.55000b3db180dp-3, -0x1.6865bf404dd13p-3, -0x1.7beb062adeefp-3, -0x1.8f83c9b3421c6p-3, -0x1.a3242cc0b1209p-3, -0x1.b6c09a4946717p-3, -0x1.ca4dd210a7027p-3, -0x1.ddc0f3753800cp-3, -0x1.f10f867704dbp-3, -0x1.0217c1907fe1dp-2, -0x1.0b8babbd5bc52p-2, -0x1.14def6131a877p-2, -0x1.1e0d53e596e98p-2, -0x1.2712b8b740e71p-2, -0x1.2feb58e95328ap-2, -0x1.3893a9fdc4798p-2, -0x1.4108627742433p-2, -0x1.49467962865d6p-2, -0x1.514b25937a364p-2, -0x1.5913dc9fcdb51p-2, -0x1.609e519fd046ap-2, -0x1.67e873bdb0c1bp-2, -0x1.6ef06c9a8c20ap-2, -0x1.75b49e9018422p-2, -0x1.7c33a2d5191a9p-2, -0x1.826c478a4193cp-2, -0x1.885d8db49a536p-2, -0x1.8e06a72a0fadfp-2, -0x1.9366f474464efp-2, -0x1.987e02ad7e976p-2, -0x1.9d4b895ad472bp-2, -0x1.a1cf6846d802dp-2, -0x1.a609a55f1f289p-2, -0x1.a9fa6a97259aep-2, -0x1.ada203d27a297p-2, -0x1.b100dcd8021f6p-2, -0x1.b4177f4fd47c8p-2, -0x1.b6e690ccf2e92p-2, -0x1.b96ed0e3f81c7p-2, -0x1.bbb1174fa0d81p-2, -0x1.bdae5223e43cdp-2, -0x1.bf67841031e04p-2, -0x1.c0ddc2b13fa2fp-2, -0x1.c21234f2b5904p-2, -0x1.c3061180ebabcp-2, -0x1.c3ba9d4acc27ap-2, -0x1.c4312a13e10adp-2, -0x1.c46b151675892p-2, -0x1.c469c5b5a8be1p-2, -0x1.c42eac3f41da6p-2, -0x1.c3bb40bcfe14ep-2, -0x1.c31101d515834p-2, -0x1.c23173b99cb3ap-2, -0x1.c11e1f26686c6p-2, -0x1.bfd8906d109dbp-2, -0x1.be62568eac7bdp-2, -0x1.bcbd0262da3f5p-2, -0x1.baea25cba2653p-2, -0x1.b8eb52f5cd50cp-2, -0x1.b6c21ba52f4a3p-2, -0x1.b470108c81bc3p-2, -0x1.b1f6c0b052f1p-2, -0x1.af57b8d49d0a5p-2, -0x1.ac9482f4947ddp-2, -0x1.a9aea5c43d7f2p-2, -0x1.a6a7a43b601c2p-2, -0x1.a380fd296a732p-2, -0x1.a03c2ad1e2056p-2, -0x1.9cdaa290f54f8p-2, -0x1.995dd487d38p-2, -0x1.95c72b5064428p-2, -0x1.92180bb8081a3p-2, -0x1.8e51d481040f4p-2, -0x1.8a75de2a451dap-2, -0x1.86857abd25333p-2, -0x1.8281f5a0e292p-2, -0x1.7e6c93737e61ep-2, -0x1.7a4691e7b114ap-2, -0x1.761127a7b629p-2, -0x1.71cd843ca649ep-2, -0x1.6d7ccffa18fb4p-2, -0x1.69202bedd9efcp-2, -0x1.64b8b1d36c882p-2, -0x1.6047740b2532bp-2, -0x1.5bcd7d94a686ep-2, -0x1.574bd20c84fa2p-2, -0x1.52c36dace8b96p-2, -0x1.4e354550f246p-2, -0x1.49a2467abc757p-2, -0x1.450b575bce147p-2, -0x1.407156dfcc20cp-2, -0x1.3bd51cb94a49cp-2, -0x1.3737797094c72p-2, -0x1.3299367446386p-2, -0x1.2dfb162b915dcp-2, -0x1.295dd40a18d62p-2, -0x1.24c224a53295dp-2, -0x1.2028b5ca7fc5p-2, -0x1.1b922e97b95d5p-2, -0x1.16ff2f93932c6p-2, -0x1.127052c7a1711p-2, -0x1.0de62bdb26b0cp-2, -0x1.0961482ead9e1p-2, -0x1.04e22ef8616f2p-2, -0x1.006961610b211p-2, -0x1.f7eeb54336f0ap-3, -0x1.ef19204271e3dp-3, -0x1.e652e32770471p-3, -0x1.dd9cd230df2ccp-3, -0x1.d4f7b6b2accc4p-3, -0x1.cc644f54c3892p-3, -0x1.c3e3505220748p-3, -0x1.bb7563b823dcbp-3, -0x1.b31b29a615c26p-3, -0x1.aad5388cadd26p-3, -0x1.a2a41d6d9d22p-3, -0x1.9a885c1af8408p-3, -0x1.92826f766c828p-3, -0x1.8a92c9b03b3e6p-3, -0x1.82b9d485d6ebcp-3, -0x1.7af7f1801e9eep-3, -0x1.734d7a312568cp-3, -0x1.6bbac07171606p-3, -0x1.64400e9cb174p-3, -0x1.5cdda7cdcc19ap-3, -0x1.5593c81a4b46p-3, -0x1.4e62a4cd1410ep-3, -0x1.474a6ca05cd6bp-3, -0x1.404b47f6e0f46p-3, -0x1.39655914432b3p-3, -0x1.3298bc5495df5p-3, -0x1.2be588630e797p-3, -0x1.254bce6fcc2a5p-3, -0x1.1ecb9a64b758cp-3, -0x1.1864f31977f5ep-3, -0x1.1217da8670414p-3, -0x1.0be44df6c84aap-3, -0x1.05ca46397c20ep-3, -0x1.ff936fa2d5d4cp-4, -0x1.f3c52648dbe14p-4, -0x1.e8298952cc0f1p-4, -0x1.dcc06a2a9ac65p-4, -0x1.d189930e83174p-4, -0x1.c684c767172e7p-4, -0x1.bbb1c41b44898p-4, -0x1.b1103fe252f65p-4, -0x1.a69feb93dad79p-4, -0x1.9c607275b0ec4p-4, -0x1.92517a87d1476p-4, -0x1.8872a4ce4a2c1p-4, -0x1.7ec38d99220d8p-4, -0x1.7543ccca47a74p-4, -0x1.6bf2f61988229p-4, -0x1.62d09956935f4p-4, -0x1.59dc42a911042p-4, -0x1.51157acecde88p-4, -0x1.487bc758060dbp-4, -0x1.400eaae1cf906p-4, -0x1.37cda54eb0f19p-4, -0x1.2fb833fd636cp-4, -0x1.27cdd1fdcdd33p-4, -0x1.200df84439ebfp-4, -0x1.18781ddace721p-4, -0x1.110bb81153c66p-4, -0x1.09c83aab4b301p-4, -0x1.02ad180c6014cp-4, -0x1.f77382c673ac6p-5, -0x1.e9db4da570613p-5, -0x1.dc906f3340db6p-5, -0x1.cf91c47188cccp-5, -0x1.c2de292f5240ep-5, -0x1.b674784f71a43p-5, -0x1.aa538c0c0a16ep-5, -0x1.9e7a3e3746732p-5, -0x1.92e768795519ap-5, -0x1.8799e48bb70e9p-5, -0x1.7c908c71f4b1ep-5, -0x1.71ca3aafc6803p-5, -0x1.6745ca7cc0fd6p-5, -0x1.5d0217f59722dp-5, -0x1.52fe004b010a8p-5, -0x1.493861ee56aaep-5, -0x1.3fb01cbbf0973p-5, -0x1.366412235b13p-5, -0x1.2d53254d6e799p-5, -0x1.247c3b4058efbp-5, -0x1.1bde3b01ad6ddp-5, -0x1.13780db680eep-5, -0x1.0b489ec1a8be5p-5, -0x1.034edbe029723p-5, -0x1.f7136a87bfe5bp-6, -0x1.e7f03b58f0c5dp-6, -0x1.d93214fd7b7b8p-6, -0x1.cad6e7b4a13d3p-6, -0x1.bcdca95ba3b61p-6, -0x1.af41559323a76p-6, -0x1.a202ede19709cp-6, -0x1.951f79d2fbf98p-6, -0x1.88950715db6e2p-6, -0x1.7c61a995b67aep-6, -0x1.70837b92f27fap-6, -0x1.64f89db863f56p-6, -0x1.59bf372e83cc8p-6, -0x1.4ed575ac755c2p-6, -0x1.44398d86df003p-6, -0x1.39e9b9bcc051ap-6, -0x1.2fe43c024a329p-6, -0x1.26275cc9d5878p-6, -0x1.1cb16b4b0f237p-6, -0x1.1380bd886156fp-6, -0x1.0a93b052bfbb6p-6, -0x1.01e8a74bd2684p-6, -0x1.f2fc19cd4ff75p-7, -0x1.e2a4a4cddfbbep-7, -0x1.d2c7dfbdb063ep-7, -0x1.c362c85739a13p-7, -0x1.b47269e1a3bcep-7, -0x1.a5f3dd250ad84p-7, -0x1.97e4485c7fbfcp-7, -0x1.8a40df25dcd3dp-7, -0x1.7d06e26fa5ebdp-7, -0x1.7033a064f1c98p-7, -0x1.63c474578b8fap-7, -0x1.57b6c6a85d1e8p-7, -0x1.4c080cae48567p-7, -0x1.40b5c89b71c8ep-7, -0x1.35bd896129e11p-7, -0x1.2b1cea928296fp-7, -0x1.20d19445a6edap-7, -0x1.16d93af40c28fp-7, -0x1.0d319f5990ff8p-7, -0x1.03d88e529ec43p-7, -0x1.f597c172bdf01p-8, -0x1.e412f68431ef4p-8, -0x1.d31e9cad938fdp-8, -0x1.c2b6abe40c642p-8, -0x1.b2d732f26f4aep-8, -0x1.a37c572c8bc6ep-8, -0x1.94a2542174cf8p-8, -0x1.86457b4cda114p-8, -0x1.786233c792934p-8, -0x1.6af4f9f76ddf3p-8, -0x1.5dfa5f3e6c523p-8, -0x1.516f09a972d9fp-8, -0x1.454fb39e92e48p-8, -0x1.39992b8afeb65p-8, -0x1.2e485390be23cp-8, -0x1.235a213439e9dp-8, -0x1.18cb9d09ae8a3p-8, -0x1.0e99e2629edeap-8, -0x1.04c21efb51ef9p-8, -0x1.f6832550e4912p-9, -0x1.e42b1e09b6edfp-9, -0x1.d276ee3f523b8p-9, -0x1.c1617e552140bp-9, -0x1.b0e5d8512f61ep-9, -0x1.a0ff273a6c38bp-9, -0x1.91a8b677ce1ap-9, -0x1.82ddf13081b22p-9, -0x1.749a61ad2a19dp-9, -0x1.66d9b0ba4e17ep-9, -0x1.5997a50c06d55p-9, -0x1.4cd022a2ff362p-9, -0x1.407f2a32d4bap-9, -0x1.34a0d889efdacp-9, -0x1.293165fad596dp-9, -0x1.1e2d25c712d0dp-9, -0x1.1390858bb9a02p-9, -0x1.09580caf8ddadp-9, -0x1.ff00b7a5be4d2p-10, -0x1.ec0c588249ac9p-10, -0x1.d9cc9ec8b2a5bp-10, -0x1.c83b5c7453c8p-10, -0x1.b7529195e82ebp-10, -0x1.a70c6b4550d63p-10, -0x1.976342970851bp-10, -0x1.88519b9579cc8p-10, -0x1.79d2243e1f31cp-10, -0x1.6bdfb38283bf7p-10, -0x1.5e75484d32e73p-10, -0x1.518e088a8299p-10, -0x1.452540355cffap-10, -0x1.39366067eea88p-10, -0x1.2dbcfe70577ddp-10, -0x1.22b4d2e9402cep-10, -0x1.1819b8d6725e3p-10, -0x1.0de7acc563fc5p-10, -0x1.041acbf1adc52p-10, -0x1.f55ea6dafc847p-11, -0x1.e3433e9be307p-11, -0x1.d1dc53b6b1bd2p-11, -0x1.c123158acca02p-11, -0x1.b110ecb67123fp-11, -0x1.a19f798e85715p-11, -0x1.92c8929e10b73p-11, -0x1.8486432d4e9e8p-11, -0x1.76d2c9d050cf7p-11, -0x1.69a896fd1da59p-11, -0x1.5d024ba93b694p-11, -0x1.50dab7ee98838p-11, -0x1.452cd9b7bbbcfp-11, -0x1.39f3db732da9ep-11, -0x1.2f2b12ce032bap-11, -0x1.24cdff7578d18p-11, -0x1.1ad849df89066p-11, -0x1.1145c21a66c1ep-11, -0x1.08125ea2ca0adp-11, -0x1.fe747681e9413p-12, -0x1.ed732fd8b7c0dp-12, -0x1.dd19af6bbb1bcp-12, -0x1.cd60ff70d99d7p-12, -0x1.be426c20350d6p-12, -0x1.afb781aece92ap-12, -0x1.a1ba0a5582c55p-12, -0x1.94440c643817ap-12, -0x1.874fc861074c4p-12, -0x1.7ad7b73333315p-12, -0x1.6ed68859b9206p-12, -0x1.6347202d51bcbp-12, -0x1.5824962da67c6p-12, -0x1.4d6a335993006p-12, -0x1.431370923ee56p-12, -0x1.391bf508df68fp-12, -0x1.2f7f94b6ec31ap-12, -0x1.263a4ee09ce59p-12, -0x1.1d484ca17b50fp-12, -0x1.14a5df82d978cp-12, -0x1.0c4f801bfc506p-12, -0x1.0441ccbbcd228p-12, -0x1.f8f31037b8295p-13, -0x1.e9e730391be45p-13, -0x1.db5a09147815dp-13, -0x1.cd45ebd640a5bp-13, -0x1.bfa568abb21ffp-13, -0x1.b2734ca0b3837p-13, -0x1.a5aa9f6e3cf25p-13, -0x1.9946a158d813cp-13, -0x1.8d42c91ef4cd2p-13, -0x1.819ac1f6af3ccp-13, -0x1.764a699ab333bp-13, -0x1.6b4dce65e6b52p-13, -0x1.60a12d7d8b51ap-13, -0x1.5640f10974318p-13, -0x1.4c29ae7a1640ep-13, -0x1.425824dc049adp-13, -0x1.38c93b38a5dd3p-13, -0x1.2f79ff03b81a2p-13, -0x1.2667a29568dd4p-13, -0x1.1d8f7bb0a8fe2p-13, -0x1.14ef021577cc2p-13, -0x1.0c83ce1ed64ffp-13, -0x1.044b976c16133p-13, -0x1.f888672a91c4bp-14, -0x1.e8d729d4e984cp-14, -0x1.d97f927abc55ap-14, -0x1.ca7df16b177b4p-14, -0x1.bbcec95cb5e99p-14, -0x1.ad6ecd3d81c86p-14, -0x1.9f5ade153b246p-14, -0x1.919008fa7eb9bp-14, -0x1.840b8519d6eaap-14, -0x1.76cab1ce4f6ap-14, -0x1.69cb14cb13156p-14, -0x1.5d0a58559cebcp-14, -0x1.5086499009bccp-14, -0x1.443cd6d3165eap-14, -0x1.382c0e175c59ap-14, -0x1.2c521b6d5e3f9p-14, -0x1.20ad4783f9092p-14, -0x1.153bf63cd0e9fp-14, -0x1.09fca54e542e6p-14, -0x1.fddbd5e5da8e3p-15, -0x1.e81ce94a0518fp-15, -0x1.d2ba0bcec8de6p-15, -0x1.bdb0ee3394207p-15, -0x1.a8ff68b20067ap-15, -0x1.94a378d4e4369p-15, -0x1.809b3f6566905p-15, -0x1.6ce4fe6d63c7p-15, -0x1.597f174e850bdp-15, -0x1.466808ed5ba66p-15, -0x1.339e6defe996ep-15, -0x1.2120fb0ef1e6ap-15, -0x1.0eee7d797f754p-15, -0x1.fa0bb2940d3bp-16, -0x1.d6cc10192c872p-16, -0x1.b41c2eab0a98cp-16, -0x1.91fa4ed02cf16p-16, -0x1.7064d3d90c3e8p-16, -0x1.4f5a416a09838p-16, -0x1.2ed9392233ccfp-16, -0x1.0ee0785de7447p-16, -0x1.deddac289fdc9p-17, -0x1.a106819dd747bp-17, -0x1.64397974325dap-17, -0x1.2874c39bb02f6p-17, -0x1.db6d68379584p-18, -0x1.67fb7f8157cc8p-18, -0x1.ed21e3cf36ad9p-19, -0x1.0e5632f9b927p-19, -0x1.9c77fe8a575b4p-22, 0x1.46709bd52d712p-20, 0x1.7604042e3a578p-19, 0x1.226c181b04778p-18, 0x1.87dc53c836257p-18, 0x1.eb54885147fcdp-18, 0x1.266b3aab4906ep-17, 0x1.5631e55589a14p-17, 0x1.84ff15ef1c0f1p-17, 0x1.b2d399c67d956p-17, 0x1.dfb03b3e4183p-17, 0x1.05cae1a01fe9ap-16, 0x1.1b427d4be3211p-16, 0x1.303f5599dac84p-16, 0x1.44c1d0a8d70cp-16, 0x1.58ca564999211p-16, 0x1.6c59507ed7c7cp-16, 0x1.7f6f2bf334792p-16, 0x1.920c5865878f9p-16, 0x1.a431490bfd328p-16, 0x1.b5de74ee63932p-16, 0x1.c7145738123e2p-16, 0x1.d7d36f81d8c17p-16, 0x1.e81c421444a21p-16, 0x1.f7ef5822a71e1p-16, 0x1.03a69fff97844p-15, 0x1.0b1b46a43a36cp-15, 0x1.1255ec885d95p-15, 0x1.1956e0ffa8503p-15, 0x1.201e763620896p-15, 0x1.26ad013b5e449p-15, 0x1.2d02da0b36103p-15, 0x1.33205b9401586p-15, 0x1.3905e3baa24ddp-15, 0x1.3eb3d35c6aa55p-15, 0x1.442a8e4efdb0ap-15, 0x1.496a7b5e4ef56p-15, 0x1.4e740448db29ap-15, 0x1.534795ba34162p-15, 0x1.57e59f43ffcbcp-15, 0x1.5c4e93557f57cp-15, 0x1.6082e731b7a2p-15, 0x1.648312e456c09p-15, 0x1.684f913568da9p-15, 0x1.6be8df9bf5d11p-15, 0x1.6f4f7e2f98fadp-15, 0x1.7283ef992c29fp-15, 0x1.7586b90293ad3p-15, 0x1.78586205c3701p-15, 0x1.7af9749b09d61p-15, 0x1.7d6a7d06b4dabp-15, 0x1.7fac09c620f3bp-15, 0x1.81beab7c3fc31p-15, 0x1.83a2f4dda5ba8p-15, 0x1.85597a9c30b43p-15, 0x1.86e2d3524e58ep-15, 0x1.883f976df39fp-15, 0x1.8970611b525afp-15, 0x1.8a75cc2f54718p-15, 0x1.8b507611ec2a5p-15, 0x1.8c00fda8401f2p-15, 0x1.8c88033ec1305p-15, 0x1.8ce6287330434p-15, 0x1.8d1c101e9d27ep-15, 0x1.8d2a5e3f6b9edp-15, 0x1.8d11b7e35e226p-15, 0x1.8cd2c311b8781p-15, 0x1.8c6e26b576ca4p-15, 0x1.8be48a87a9267p-15, 0x1.8b3696f9f249cp-15, 0x1.8a64f52135a07p-15, 0x1.89704ea0758cap-15, 0x1.88594d93ea99bp-15, 0x1.87209c7c56db2p-15, 0x1.85c6e62a99109p-15, 0x1.844cd5ab8552bp-15, 0x1.82b316340969ap-15, 0x1.80fa530d9aa2ep-15, 0x1.7f233782f4b78p-15, 0x1.7d2e6ecd2e72bp-15, 0x1.7b1ca40120d8cp-15, 0x1.78ee81fd291a5p-15, 0x1.76a4b3574665dp-15, 0x1.743fe24b93f5fp-15, 0x1.71c0b8ab21285p-15, 0x1.6f27dfcb2c4c7p-15, 0x1.6c760074c0e38p-15, 0x1.69abc2d4b5597p-15, 0x1.66c9ce6c12ab5p-15, 0x1.63d0ca00de0cdp-15, 0x1.60c15b8f4b0a3p-15, 0x1.5d9c283b55c8bp-15, 0x1.5a61d442c171p-15, 0x1.571302ef8367dp-15, 0x1.53b0568a9367bp-15, 0x1.503a704f24cf7p-15, 0x1.4cb1f05e4980ep-15, 0x1.491775b2fbca8p-15, 0x1.456b9e168fb81p-15, 0x1.41af06158df3dp-15, 0x1.3de248f4f32cdp-15, 0x1.3a0600a7d79dp-15, 0x1.361ac5c57d99dp-15, 0x1.32212f7fc0576p-15, 0x1.2e19d399ee095p-15, 0x1.2a05465fff543p-15, 0x1.25e41a9e33a05p-15, 0x1.21b6e1990fc81p-15, 0x1.1d7e2b05bb886p-15, 0x1.193a8502be6a6p-15, 0x1.14ec7c111b12ep-15, 0x1.10949b0dc785ap-15, 0x1.0c336b2b7fd8p-15, 0x1.07c973ecf51e6p-15, 0x1.03573b1f521a7p-15, 0x1.fdba89aa333d3p-16, 0x1.f4b826c2b78c9p-16, 0x1.eba84ea6770cbp-16, 0x1.e28bfee399051p-16, 0x1.d96431707cb2ap-16, 0x1.d031dca4b59aep-16, 0x1.c6f5f3329f316p-16, 0x1.bdb1642191e54p-16, 0x1.b4651ac8a56b9p-16, 0x1.ab11feca10d68p-16, 0x1.a1b8f40f116d8p-16, 0x1.985adac4681dep-16, 0x1.8ef88f57572f4p-16, 0x1.8592ea7330156p-16, 0x1.7c2ac0ff5c7ap-16, 0x1.72c0e41df0e7ap-16, 0x1.6956212ab206ep-16, 0x1.5feb41ba9db99p-16, 0x1.56810b9be556cp-16, 0x1.4d1840d65ca2fp-16, 0x1.43b19fac5aa19p-16, 0x1.3a4de29c067d5p-16, 0x1.30edc0610e5ccp-16, 0x1.2791ebf6c9944p-16, 0x1.1e3b149ab7cd4p-16, 0x1.14e9e5cf65c62p-16, 0x1.0b9f075fb2a1fp-16, 0x1.025b1d626985ep-16, 0x1.f23d907c70571p-17, 0x1.dfd5495bf7d68p-17, 0x1.cd7e978ab36dep-17, 0x1.bb3aa5eb5edd9p-17, 0x1.a90a982690736p-17, 0x1.96ef8ab5ca588p-17, 0x1.84ea92ef009bp-17, 0x1.72fcbf10c2117p-17, 0x1.6127164ecec5p-17, 0x1.4f6a98df3b4dep-17, 0x1.3dc84008097edp-17, 0x1.2c40fe2d2ddf3p-17, 0x1.1ad5bedf0d0c6p-17, 0x1.098766e95f241p-17, 0x1.f0ada8c4efd54p-18, 0x1.ce89bd75e0bcp-18, 0x1.aca4ad9b566fdp-18, 0x1.8b000de062fc9p-18, 0x1.699d6606bf9p-18, 0x1.487e3108c7d81p-18, 0x1.27a3dd3c05c8cp-18, 0x1.070fcc744976ap-18, 0x1.cd86a84e88bf2p-19, 0x1.8d7f7b213efabp-19, 0x1.4e0c8bad05d02p-19, 0x1.0f303c5d13b11p-19, 0x1.a1d9b00c64f69p-20, 0x1.268924644ffaep-20, 0x1.58e61daf0cf0ep-21, 0x1.9cdbd8b8896dp-23, -0x1.0fe6dfd8a6c7p-22, -0x1.7491af2fec6a6p-21, -0x1.2f4e5ca879492p-20, }}, 
      {{0x1.f86a151e7db0fp-1, 0x1.f7cd988b917d6p-1, 0x1.f6ce330fc5ac1p-1, 0x1.f572b7f05851fp-1, 0x1.f3c339773297bp-1, 0x1.f1c8733c832f6p-1, 0x1.ef8b59fcec2e5p-1, 0x1.ed14c91bb58dfp-1, 0x1.ea6d477bbaf5dp-1, 0x1.e79cde9991995p-1, 0x1.e4aaffd3e5adcp-1, 0x1.e19e749ff14c2p-1, 0x1.de7d5710a5261p-1, 0x1.db4d109f30609p-1, 0x1.d8125d9158b1ep-1, 0x1.d4d153b26c27cp-1, 0x1.d18d6b5ab5ae9p-1, 0x1.ce4989fa6b943p-1, 0x1.cb080d8ae10eep-1, 0x1.c7cad86d5c519p-1, 0x1.c4935d5c353fap-1, 0x1.c162ab2a2273p-1, 0x1.be39781e0ee4ap-1, 0x1.bb182cc860c22p-1, 0x1.b7feee3a0dbbfp-1, 0x1.b4eda78ec13fap-1, 0x1.b1e412c246cecp-1, 0x1.aee1c0ceabc65p-1, 0x1.abe6211495059p-1, 0x1.a8f0881231a72p-1, 0x1.a600356f60586p-1, 0x1.a314596719f54p-1, 0x1.a02c199732406p-1, 0x1.9d469540166bfp-1, 0x1.9a62e8fe7beb4p-1, 0x1.97803208fd03fp-1, 0x1.949d90fb7f282p-1, 0x1.91ba2c39fe456p-1, 0x1.8ed531f3f9338p-1, 0x1.8bedd9d152896p-1, 0x1.89036650fbc81p-1, 0x1.861525e148b7ap-1, 0x1.832273b94197ep-1, 0x1.802ab879ca8fbp-1, 0x1.7d2d6a9cf7047p-1, 0x1.7a2a0eb963b3ep-1, 0x1.7720379ef3fa1p-1, 0x1.740f8651e5c6cp-1, 0x1.70f7a9e8b583ap-1, 0x1.6dd85f50f0914p-1, 0x1.6ab170feaa233p-1, 0x1.6782b689ef9d3p-1, 0x1.644c143d471f4p-1, 0x1.610d7a97edd26p-1, 0x1.5dc6e5c64a71p-1, 0x1.5a785d12bff52p-1, 0x1.5721f250d0f67p-1, 0x1.53c3c1444c66ep-1, 0x1.505def0605d48p-1, 0x1.4cf0a96770acap-1, 0x1.497c265643a27p-1, 0x1.4600a3412cc2dp-1, 0x1.427e647e6f092p-1, 0x1.3ef5b4b52cf32p-1, 0x1.3b66e449ff80fp-1, 0x1.37d248cf642cap-1, 0x1.34383c7a6ee9cp-1, 0x1.30991d9c1ef5fp-1, 0x1.2cf54e1f9e611p-1, 0x1.294d330da3105p-1, 0x1.25a134151e16cp-1, 0x1.21f1bb1952ae8p-1, 0x1.1e3f33c5674a6p-1, 0x1.1a8a0b2576e92p-1, 0x1.16d2af4522009p-1, 0x1.13198ed39472fp-1, 0x1.0f5f18cceebe8p-1, 0x1.0ba3bc290026fp-1, 0x1.07e7e78f3499p-1, 0x1.042c090f96d6dp-1, 0x1.00708de0c822cp-1, 0x1.f96bc44589e73p-2, 0x1.f1f8e14ca30ddp-2, 0x1.ea894571cc9a6p-2, 0x1.e31dbfe9de34dp-2, 0x1.dbb71c2c6cceep-2, 0x1.d45621a49a491p-2, 0x1.ccfb93698bfb6p-2, 0x1.c5a82ffe2fbb7p-2, 0x1.be5cb117f3743p-2, 0x1.b719cb6c21e85p-2, 0x1.afe02e8387d18p-2, 0x1.a8b084940f902p-2, 0x1.a18b726004b0ep-2, 0x1.9a71971aaad78p-2, 0x1.93638c51dbf86p-2, 0x1.8c61e5dc623bap-2, 0x1.856d31ccc335bp-2, 0x1.7e85f86836178p-2, 0x1.77acbc217d25cp-2, 0x1.70e1f99767177p-2, 0x1.6a262796ae088p-2, 0x1.6379b71f00fb9p-2, 0x1.5cdd136af6d3fp-2, 0x1.5650a1fab35d1p-2, 0x1.4fd4c2a10bcc3p-2, 0x1.4969cf92f18eap-2, 0x1.43101d78f92d1p-2, 0x1.3cc7fb82c79bp-2, 0x1.3691b37c3fafep-2, 0x1.306d89e43f67bp-2, 0x1.2a5bbe04cbf0bp-2, 0x1.245c8a0c8018cp-2, 0x1.1e7023291bae9p-2, 0x1.1896b9a3157dep-2, 0x1.12d078fa06ffep-2, 0x1.0d1d8801ded5dp-2, 0x1.077e0900b2ea3p-2, 0x1.01f219cd202fdp-2, 0x1.f8f3a7da2ee64p-3, 0x1.ee2a996a1255fp-3, 0x1.e3892ace9870fp-3, 0x1.d90f76a778226p-3, 0x1.cebd8feedaaefp-3, 0x1.c4938238d83f4p-3, 0x1.ba9151f2eabd8p-3, 0x1.b0b6fca3367a2p-3, 0x1.a70479277d7ecp-3, 0x1.9d79b7f3c1123p-3, 0x1.9416a35057624p-3, 0x1.8adb1f9778d55p-3, 0x1.81c70b72255b9p-3, 0x1.78da40144f456p-3, 0x1.701491783a085p-3, 0x1.6775ce9905e9p-3, 0x1.5efdc1ac4d44bp-3, 0x1.56ac305ad45cep-3, 0x1.4e80dbf83302fp-3, 0x1.467b81b97c89fp-3, 0x1.3e9bdaead1c41p-3, 0x1.36e19d23db48p-3, 0x1.2f4c7a7b2172p-3, 0x1.27dc21b843e09p-3, 0x1.20903e85033dep-3, 0x1.1968799d1d534p-3, 0x1.126478fcfb689p-3, 0x1.0b83e00f2860ap-3, 0x1.04c64fd89a01dp-3, 0x1.fc56ce4775e55p-4, 0x1.ef6585549891p-4, 0x1.e2b7fa7c06c86p-4, 0x1.d64d5fdffcff8p-4, 0x1.ca24e46e05771p-4, 0x1.be3db4290c9cfp-4, 0x1.b296f871210c9p-4, 0x1.a72fd848d4a0fp-4, 0x1.9c0778984ae96p-4, 0x1.911cfc6e01aabp-4, 0x1.866f853d4c0a4p-4, 0x1.7bfe331a94f79p-4, 0x1.71c824f56bd19p-4, 0x1.67cc78d0649bdp-4, 0x1.5e0a4bf6d3531p-4, 0x1.5480bb306e57cp-4, 0x1.4b2ee2f2def85p-4, 0x1.4213df914be4ap-4, 0x1.392ecd69e6afdp-4, 0x1.307ec911863bap-4, 0x1.2802ef7d5ae3ap-4, 0x1.1fba5e2ac345bp-4, 0x1.17a433454fe76p-4, 0x1.0fbf8dcafeb0ap-4, 0x1.080b8daeb97eep-4, 0x1.008753f922b7dp-4, 0x1.f26405cf75e49p-5, 0x1.e4157c14d5926p-5, 0x1.d62154bef50d8p-5, 0x1.c885dcdc0abf8p-5, 0x1.bb4164bddf46ap-5, 0x1.ae524028d8b7cp-5, 0x1.a1b6c6803d0abp-5, 0x1.956d52efb969bp-5, 0x1.897444924c4bfp-5, 0x1.7dc9fe969e51p-5, 0x1.726ce860e5508p-5, 0x1.675b6daa649bbp-5, 0x1.5c93fe9e97d17p-5, 0x1.52150ff628489p-5, 0x1.47dd1b0fb30b1p-5, 0x1.3dea9e067eb44p-5, 0x1.343c1bc728393p-5, 0x1.2ad01c226539dp-5, 0x1.21a52bdde2e25p-5, 0x1.18b9dcc35ab34p-5, 0x1.100cc5adeb42ap-5, 0x1.079c8295c5d99p-5, 0x1.fecf693488915p-6, 0x1.eeda0414e9578p-6, 0x1.df562cd8552f8p-6, 0x1.d04145035437ep-6, 0x1.c198b89be5d52p-6, 0x1.b359fe2f8eeb5p-6, 0x1.a58296d6df4a3p-6, 0x1.98100e36a3c81p-6, 0x1.8afffa7ecf98ap-6, 0x1.7e4ffc674718fp-6, 0x1.71fdbf2a91b1dp-6, 0x1.6606f87ea35d7p-6, 0x1.5a69688bc4dbbp-6, 0x1.4f22d9e1baf18p-6, 0x1.4431216b41d16p-6, 0x1.39921e5ff330dp-6, 0x1.2f43ba34b113cp-6, 0x1.2543e88a9fdd4p-6, 0x1.1b90a71cd2d34p-6, 0x1.1227fdacb2d42p-6, 0x1.0907fded39469p-6, 0x1.002ec36d12445p-6, 0x1.ef34e6ff5e4aap-7, 0x1.de927a4ad22a8p-7, 0x1.ce72b1e576e49p-7, 0x1.bed211ed4975bp-7, 0x1.afad3140891f6p-7, 0x1.a100b94782b06p-7, 0x1.92c965bd0cd8ap-7, 0x1.85040475cc0dbp-7, 0x1.77ad75265cf52p-7, 0x1.6ac2a928871c4p-7, 0x1.5e40a33f7ace4p-7, 0x1.5224775b4e1a1p-7, 0x1.466b4a5bbd1e7p-7, 0x1.3b1251d245abbp-7, 0x1.3016d3c3bd7a9p-7, 0x1.257626696d85bp-7, 0x1.1b2daff1ca2bp-7, 0x1.113ae640daa83p-7, 0x1.079b4eb0608ecp-7, 0x1.fc98fb9fa3cc3p-8, 0x1.ea982e4868af4p-8, 0x1.d92f99cfd6d08p-8, 0x1.c85abf950bb33p-8, 0x1.b8153d6134346p-8, 0x1.a85acce77d273p-8, 0x1.992743455621bp-8, 0x1.8a7690831b968p-8, 0x1.7c44bf1543d21p-8, 0x1.6e8df35e1f2d2p-8, 0x1.614e6b3045a34p-8, 0x1.54827d51c027bp-8, 0x1.4826990001fc7p-8, 0x1.3c374574c5787p-8, 0x1.30b1216bd615cp-8, 0x1.2590e2a9df255p-8, 0x1.1ad355844631dp-8, 0x1.10755c6a223cp-8, 0x1.0673ef6e5b146p-8, 0x1.f99837a5f706cp-9, 0x1.e6f6072b85d5bp-9, 0x1.d4fbb9fbf9246p-9, 0x1.c3a3e45755f09p-9, 0x1.b2e9415015a6bp-9, 0x1.a2c6b1eeeb424p-9, 0x1.93373c595cf1dp-9, 0x1.84360afb38712p-9, 0x1.75be6bb2eb19fp-9, 0x1.67cbcf00cfb06p-9, 0x1.5a59c739754acp-9, 0x1.4d6407bae4f69p-9, 0x1.40e66424f30cbp-9, 0x1.34dccf949d557p-9, 0x1.29435be27d4e2p-9, 0x1.1e1638e44cdf4p-9, 0x1.1351b3b18a766p-9, 0x1.08f235eb31d14p-9, 0x1.fde88a0d2cdabp-10, 0x1.eaa90336b1b3p-10, 0x1.d81f4d68ecb5p-10, 0x1.c6451248f226bp-10, 0x1.b5142db97bfdfp-10, 0x1.a486ac8fa3b81p-10, 0x1.9496cb4dcfb6p-10, 0x1.853ef4e4b917dp-10, 0x1.7679c17a8d781p-10, 0x1.6841f5382a472p-10, 0x1.5a927f1c547f8p-10, 0x1.4d6677d4f5b5ep-10, 0x1.40b9209e45bf6p-10, 0x1.3485e227dd8d9p-10, 0x1.28c84b7fa13c1p-10, 0x1.1d7c11026d0c9p-10, 0x1.129d0b528af0fp-10, 0x1.08273653c81cdp-10, 0x1.fc2d605a6d191p-11, 0x1.e8cf70a0d1f06p-11, 0x1.d62d5d0c7c0c9p-11, 0x1.c440240218f15p-11, 0x1.b30100e85b3dcp-11, 0x1.a2696a61a0e2p-11, 0x1.927310900749ep-11, 0x1.8317db63c9af7p-11, 0x1.7451e8f3c3fa5p-11, 0x1.661b8bdff5049p-11, 0x1.586f49bdd9fccp-11, 0x1.4b47d98e7df7bp-11, 0x1.3ea0223e159cbp-11, 0x1.3273392d01c49p-11, 0x1.26bc60c211302p-11, 0x1.1b770705da9b8p-11, 0x1.109ec447078bcp-11, 0x1.062f59c76aafbp-11, 0x1.f84960e36fe38p-12, 0x1.e4f5af2f70cc4p-12, 0x1.d25c0771a6b4ap-12, 0x1.c0751aa18aae9p-12, 0x1.af39df5cb91d1p-12, 0x1.9ea38fa42bfa2p-12, 0x1.8eaba6a8e9137p-12, 0x1.7f4bdea7d32c7p-12, 0x1.707e2ed457c4bp-12, 0x1.623cc951a9582p-12, 0x1.5482193a39166p-12, 0x1.4748c0b52ec45p-12, 0x1.3a8b971987682p-12, 0x1.2e45a71e9df45p-12, 0x1.22722d19c9b9cp-12, 0x1.170c9548d407p-12, 0x1.0c107a28faa5dp-12, 0x1.0179a2da331adp-12, 0x1.ee88031ce5813p-13, 0x1.dad764095e5fp-13, 0x1.c7d9f01ead15dp-13, 0x1.b5887c4bf765bp-13, 0x1.a3dc2803e4b1ap-13, 0x1.92ce5a8b3d3e1p-13, 0x1.8258c05c6065bp-13, 0x1.7275489f2214ap-13, 0x1.631e22b486a1bp-13, 0x1.544dbbd5e7ec9p-13, 0x1.45febcc709429p-13, 0x1.382c079a9f89cp-13, 0x1.2ad0b588dee92p-13, 0x1.1de814d78fd3bp-13, 0x1.116da6d3412d3p-13, 0x1.055d1dd92e277p-13, 0x1.f364b6e2a3426p-14, 0x1.dcd2dcf0bdf31p-14, 0x1.c6fd22b220733p-14, 0x1.b1dc50a906a5dp-14, 0x1.9d697fb24d458p-14, 0x1.899e15cfc4438p-14, 0x1.7673c30e1f9fdp-14, 0x1.63e47e85d294dp-14, 0x1.51ea8376125a8p-14, 0x1.40804e794a32dp-14, 0x1.2fa09ad24a14ap-14, 0x1.1f465fd17f6b4p-14, 0x1.0f6cce5187e95p-14, 0x1.000f4e4a77721p-14, 0x1.e252f8f64d5a8p-15, 0x1.c56e504fd6c65p-15, 0x1.a968a1dc2ed62p-15, 0x1.8e3a495748a7ap-15, 0x1.73dbfaf4e5ab5p-15, 0x1.5a46bf7d12255p-15, 0x1.4173f08d7b75fp-15, 0x1.295d34fe832cap-15, 0x1.11fc7d6afc003p-15, 0x1.f69801b2fa18ap-16, 0x1.ca8c730c867aep-16, 0x1.9fcbc39945d51p-16, 0x1.764be25e09865p-16, 0x1.4e0332f9008f7p-16, 0x1.26e888263d9a1p-16, 0x1.00f31e7bb9b65p-16, 0x1.b8352eb61a402p-17, 0x1.70ade82e4e6f2p-17, 0x1.2b4122988aaa3p-17, 0x1.cfc089a2325b5p-18, 0x1.4cfab58eb0dd3p-18, 0x1.9c2c351f7765cp-19, 0x1.4be4d0f3c2eeap-20, -0x1.23a3372eb88c5p-21, -0x1.309427ad7fa9p-19, -0x1.089e30e5c3e28p-18, -0x1.75862aeba32c7p-18, -0x1.df1689ed404a9p-18, -0x1.22b17e9846fb9p-17, -0x1.543f33640e1c8p-17, -0x1.843d734d13e16p-17, -0x1.b2b4f273eb1d5p-17, -0x1.dfae0e2cba67bp-17, -0x1.059868e4f445ap-16, -0x1.1aa27d96df9aep-16, -0x1.2ef8ff9276f27p-16, -0x1.429f86c607a1ap-16, -0x1.55998aa11a722p-16, -0x1.67ea63f52d5bp-16, -0x1.79954ebecbfe3p-16, -0x1.8a9d6bd801abdp-16, -0x1.9b05c294edf6dp-16, -0x1.aad1424b6833bp-16, -0x1.ba02c3c67ff74p-16, -0x1.c89d0aa6a0054p-16, -0x1.d6a2c6af29b1fp-16, -0x1.e416950235a6cp-16, -0x1.f0fb014b45f5fp-16, -0x1.fd5286d9921b8p-16, -0x1.048fc8d54f72cp-15, -0x1.0a323fb2e5151p-15, -0x1.0f91d024b6ee3p-15, -0x1.14af9c051ab68p-15, -0x1.198cbf52a2b73p-15, -0x1.1e2a5092df327p-15, -0x1.2289612f1628dp-15, -0x1.26aafdcb3a439p-15, -0x1.2a902e975b40cp-15, -0x1.2e39f79bd905fp-15, -0x1.31a959008eaabp-15, -0x1.34df4f4f376a9p-15, -0x1.37dcd3b14274ep-15, -0x1.3aa2dc2950b01p-15, -0x1.3d325bc88ff66p-15, -0x1.3f8c42e025e0ep-15, -0x1.41b17f2edfce2p-15, -0x1.43a2fc0b52aa3p-15, -0x1.4561a28a9dfb8p-15, -0x1.46ee59a3faec2p-15, -0x1.484a065140bdep-15, -0x1.49758bac8bb26p-15, -0x1.4a71cb0b2b27bp-15, -0x1.4b3fa415fdd16p-15, -0x1.4bdff4df5ded7p-15, -0x1.4c5399f6c45d5p-15, -0x1.4c9b6e7a408acp-15, -0x1.4cb84c25e8c3cp-15, -0x1.4cab0b615e134p-15, -0x1.4c74834b834a1p-15, -0x1.4c1589c485217p-15, -0x1.4b8ef3764ae03p-15, -0x1.4ae193db6d6bbp-15, -0x1.4a0e3d44c9a91p-15, -0x1.4915c0ddcb01dp-15, -0x1.47f8eeaf7efabp-15, -0x1.46b895a28df72p-15, -0x1.455583802792bp-15, -0x1.43d084f1fc80fp-15, -0x1.422a658154017p-15, -0x1.4063ef95533dcp-15, -0x1.3e7dec7082199p-15, -0x1.3c79242da53b9p-15, -0x1.3a565dbbf7c31p-15, -0x1.38165edad3121p-15, -0x1.35b9ec14d821ep-15, -0x1.3341c8baa24eep-15, -0x1.30aeb6dd12bccp-15, -0x1.2e0177473f22fp-15, -0x1.2b3ac97813db9p-15, -0x1.285b6b9bac15dp-15, -0x1.25641a8473fdep-15, -0x1.225591a414d96p-15, -0x1.1f308b043cc08p-15, -0x1.1bf5bf3f458ddp-15, -0x1.18a5e578c34dep-15, -0x1.1541b35606131p-15, -0x1.11c9dcf69041fp-15, -0x1.0e3f14ec8e4ep-15, -0x1.0aa20c354ed34p-15, -0x1.06f37231ca8ap-15, -0x1.0333f49f39329p-15, -0x1.fec87f1f7786bp-16, -0x1.f709fac643389p-16, -0x1.ef2dad7f9a24cp-16, -0x1.e734e51771898p-16, -0x1.df20ebcb49df2p-16, -0x1.d6f3083cdc5bap-16, -0x1.ceac7d652288dp-16, -0x1.c64e8a87bfd9cp-16, -0x1.bdda6b26d021fp-16, -0x1.b55156f71f406p-16, -0x1.acb481d4d07bcp-16, -0x1.a4051bb87c0a5p-16, -0x1.9b4450acbe748p-16, -0x1.927348c441be3p-16, -0x1.89932810478b5p-16, -0x1.80a50e97ab9b5p-16, -0x1.77aa184e6a214p-16, -0x1.6ea35d0da941bp-16, -0x1.6591f08c41628p-16, -0x1.5c76e257cfd46p-16, -0x1.53533dce484efp-16, -0x1.4a280a18117ecp-16, -0x1.40f64a22a4b86p-16, -0x1.37befc9bb1895p-16, -0x1.2e831beccd136p-16, -0x1.25439e379d586p-16, -0x1.1c01755291c1bp-16, -0x1.12bd8ec618507p-16, -0x1.0978d3ca598d5p-16, -0x1.0034294571d98p-16, -0x1.ede0df94618dep-17, -0x1.db5d072e9d39p-17, -0x1.c8de792e4b714p-17, -0x1.b666dcbfc43fep-17, -0x1.a3f7d06859f93p-17, -0x1.9192ea089e053p-17, -0x1.7f39b6df8acdp-17, -0x1.6cedbb8e9890cp-17, -0x1.5ab0741eb5f11p-17, -0x1.48835406170ecp-17, -0x1.3667c62edc1ebp-17, -0x1.245f2cfe947cap-17, -0x1.126ae25e872d9p-17, -0x1.008c37c4c8519p-17, -0x1.dd88ec7c23b6cp-18, -0x1.ba29bcf0b7566p-18, -0x1.96fd519c5b237p-18, -0x1.74060aa54af07p-18, -0x1.514637bc5866dp-18, -0x1.2ec01837aace1p-18, -0x1.0c75db2ec3f21p-18, -0x1.d4d33f2f8e904p-19, -0x1.913ae8cbdf6ebp-19, -0x1.4e26b1526496bp-19, -0x1.0b9a775df6286p-19, -0x1.9333f48ff9bf6p-20, -0x1.1051b4dc4a8a6p-20, -0x1.1d2a65e834ee3p-21, -0x1.c0a6aab6395b6p-25, 0x1.c55ee6fb4d30fp-22, 0x1.def6975a7fb3ep-21, 0x1.6c5f6cdfb3d68p-20, 0x1.e7fe4425ec3ebp-20, 0x1.31291908c5102p-19, 0x1.6daae827c3085p-19, 0x1.a981f87f781dfp-19, 0x1.e4abcf0297b66p-19, 0x1.0f930617f5d13p-18, 0x1.2c7735dd10f09p-18, 0x1.4901621748082p-18, 0x1.6530834d7e0c7p-18, 0x1.81039f193f6d4p-18, 0x1.9c79c7f8c79fp-18, 0x1.b7921d20a581ap-18, 0x1.d24bca4d04fcdp-18, 0x1.eca60792a7e7ep-18, 0x1.03500c97cab8dp-17, 0x1.101ca7adc40d8p-17, 0x1.1cb8830c112bp-17, 0x1.2923528078a39p-17, 0x1.355ccf8da2b94p-17, 0x1.4164b952f38bap-17, 0x1.4d3ad47458286p-17, 0x1.58deeb0208393p-17, 0x1.6450cc60400e5p-17, 0x1.6f904d2efb61ap-17, 0x1.7a9d4731a46d7p-17, 0x1.85779936d5754p-17, 0x1.901f27000cc32p-17, 0x1.9a93d9297c062p-17, 0x1.a4d59d11d7b1ap-17, 0x1.aee464c231e3p-17, 0x1.b8c026d5ef396p-17, 0x1.c268de62ca159p-17, 0x1.cbde8ae0ea08p-17, 0x1.d5213013152eep-17, 0x1.de30d5eefe676p-17, 0x1.e70d8885aa8dbp-17, 0x1.efb757ebfca64p-17, 0x1.f82e58235915fp-17, 0x1.003950813a0b4p-16, 0x1.0442270f20a83p-16, 0x1.0831bf59869fbp-16, 0x1.0c082ac6dec06p-16, 0x1.0fc57c7a9a94bp-16, 0x1.1369c949f95fep-16, 0x1.16f527b0e91f8p-16, 0x1.1a67afc6fe9b5p-16, 0x1.1dc17b3487664p-16, 0x1.2102a527b7415p-16, 0x1.242b4a49e9aafp-16, 0x1.273b88b50041ep-16, 0x1.2a337fe8deb29p-16, 0x1.2d1350c0fb8a7p-16, 0x1.2fdb1d6a13a1bp-16, 0x1.328b0957f6bcep-16, 0x1.3523393b6ed8bp-16, 0x1.37a3d2f8489a6p-16, 0x1.3a0cfd9b78937p-16, 0x1.3c5ee1515b2e6p-16, 0x1.3e99a75c17ea3p-16, 0x1.40bd7a0a1e874p-16, 0x1.42ca84acc8f36p-16, 0x1.44c0f38f14453p-16, 0x1.46a0f3ec8211dp-16, 0x1.486ab3e812fa6p-16, 0x1.4a1e628363d0ap-16, 0x1.4bbc2f95ec991p-16, 0x1.4d444bc458c56p-16, 0x1.4eb6e8780aab8p-16, 0x1.501437d6b5527p-16, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      40, 0x1.f333333333333p+1, 0x1.74876948918b6p+2, 0x1.5622de256fbacp+3, 0x1.245fe5da7c45p-5, 
      {{
        {0x1.e666666666666p+0, 0x1.f333333333333p+0, 0x1.74bead97f954cp-1, -0x1.01e96f0690cf3p+2, 0x1.774fa180f1b61p+3, -0x1.fefc2faa40178p+3}, 
        {0x1.f333333333333p+0, 0x1p+1, 0x1.1b9210c3a30f3p-1, -0x1.7d07617094c6bp+1, 0x1.2aa9cd8dce7f4p+3, -0x1.bd7d5335ce00bp+3}, 
        {0x1p+1, 0x1.0666666666666p+1, 0x1.b4d738be75707p-2, -0x1.12ed9e83b66ffp+1, 0x1.cfae02251264ap+2, -0x1.85ce5894fd18fp+3}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.57db7e308c71ep-2, -0x1.83c5db160410cp+0, 0x1.5abce791f9aa6p+2, -0x1.4b7dc0840b6edp+3}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.16d8abc2dd407p-2, -0x1.0cf7995e6daeap+0, 0x1.ee94c207ec777p+1, -0x1.11e3bc5ffb6e1p+3}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.d3b2afca00933p-3, -0x1.74f7fbbaf71ccp-1, 0x1.4a3f510188cfbp+1, -0x1.b0220bf10b833p+2}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.9495eb21a88b9p-3, -0x1.0acc3834558e8p-1, 0x1.9137013f3de8cp+0, -0x1.3cd509638a7bep+2}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.65fba894fc78bp-3, -0x1.9b211f1de068bp-2, 0x1.a63b2a6d6f3e5p-1, -0x1.912f84ae56695p+1}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.404a4040d3007p-3, -0x1.5ec11978d995ep-2, 0x1.6b0a1c09aa003p-2, -0x1.5f0c8c1365772p+0}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.1eadc3568f664p-3, -0x1.44fb584f81639p-2, 0x1.30d1f66273d57p-3, 0x1.2e1eb5b6757e3p-1}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.fe2ff838430fp-4, -0x1.31358195ed091p-2, 0x1.e617969cba538p-3, 0x1.39fe87163b984p+0}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.c4343b3ad94f1p-4, -0x1.0f7c0d0adccf7p-2, 0x1.af714f8ee753p-2, 0x1.1119066837b6ap-1}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.927ea09764c3dp-4, -0x1.c07cd9574c3fp-3, 0x1.00af9bf0af37fp-1, 0x1.b0292675d7f7p-5}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.6ace7d39fb1b4p-4, -0x1.5900c4a71f83dp-3, 0x1.04bccb8030717p-1, -0x1.10db367990284p-1}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.4d3f897b121f8p-4, -0x1.f1c992bbc9e1ap-4, 0x1.b79e39dbe8d65p-2, -0x1.8453024511672p-1}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.385dde9fd7e88p-4, -0x1.593d57e2d9501p-4, 0x1.431eec60ca049p-2, -0x1.48a6cab7bb0c5p-1}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.2a01db5dfd362p-4, -0x1.d76bb9136f22p-5, 0x1.c10cf8b9bd671p-3, -0x1.26fbfad4e0932p-1}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.202c085f7fc38p-4, -0x1.4732da15e2299p-5, 0x1.100f623a0375fp-3, -0x1.fcb2a490ac7dbp-2}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.191915c3027d2p-4, -0x1.f1cafe751defbp-6, 0x1.ddcd903a72102p-5, -0x1.af2949701d548p-2}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.1341db1bcd81ap-4, -0x1.c5f8c176e1aefp-6, -0x1.3cb97260bc5c4p-8, -0x1.609fc7c0dca93p-2}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.0d5b5771ce213p-4, -0x1.f83467d07182bp-6, -0x1.cebd513386bb3p-5, -0x1.125aea53d5778p-2}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.0656b14196de1p-4, -0x1.3ad66ded48cc6p-5, -0x1.8bfb9b98dd0cbp-4, -0x1.880744d944074p-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.fac26cf8bed8p-5, -0x1.95cb876e88f7bp-5, -0x1.00cbb1b9d2541p-3, -0x1.d6c580af7b9acp-4}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.e3c8b9100961cp-5, -0x1.01c995aa8c468p-4, -0x1.241a81c6fb99p-3, -0x1.3aeb8e5c54972p-5}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.c70b807e1188p-5, -0x1.3d639bfed9cb3p-4, -0x1.2fe9bd840b91ep-3, 0x1.37a68de7b36aap-5}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.a44e4be125ddfp-5, -0x1.7900c5d8b5fe8p-4, -0x1.2439e4fe8e715p-3, 0x1.d5305214cbfaep-4}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.7bccf2c0df596p-5, -0x1.afede8ca2fac5p-4, -0x1.010978703257dp-3, 0x1.87220a4caa03ep-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.4e3b9b8e2155p-5, -0x1.dd7840b9135a2p-4, -0x1.8cbbedc964e22p-4, 0x1.121a3f2424f7fp-2}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.1cc6bba3198dep-5, -0x1.fceb89ceb0cf7p-4, -0x1.d08b8fcdd09c1p-5, 0x1.5fa4a5d658a12p-2}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.d2262e8680495p-6, -0x1.04cc8c694688p-3, -0x1.54964664cb8fp-8, 0x1.b0e6105a4e1d5p-2}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.6a7b8336af3d9p-6, -0x1.febd5fcfd4f3bp-4, 0x1.dce7b1395de24p-5, 0x1.f44a3ee2dfeadp-2}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.07b83982d9c9fp-6, -0x1.d7e2c324e0944p-4, 0x1.0d50325f343fdp-3, 0x1.35b62cc397c38p-1}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.5fef66d35d0dap-7, -0x1.8f70c09fb36c9p-4, 0x1.c723e6d48f4e2p-3, 0x1.7d2cd6a3f504bp-2}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.a7c751f9cb739p-8, -0x1.28fa259e59a78p-4, 0x1.1cbf139c79344p-2, -0x1.1e58e618d7a75p-2}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.caee59f8cc937p-9, -0x1.7f5686cb408f5p-5, 0x1.e396aefe4b4f8p-3, -0x1.03cf5fefe19b6p-1}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.baa44faad51f2p-10, -0x1.ba28d60ee16bdp-6, 0x1.47b3dbd4c3f2ep-3, -0x1.85c79feb800b2p-2}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.6a9cb8ddddafdp-11, -0x1.c58ac4afefba3p-7, 0x1.a5898ae907ddap-4, -0x1.3786d50cbb82ep-2}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.caee59f8cc937p-13, -0x1.7e284494f9adcp-8, 0x1.d53e16292eb98p-5, -0x1.be6b1b5e21b14p-3}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.6a9cb8ddddcefp-15, -0x1.c79d6090e230ap-10, 0x1.92c871e1683a2p-6, -0x1.ee3f8cde031e4p-4}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.6a9cb8ddde401p-19, -0x1.8335844476b76p-13, 0x1.a8efa8a3ffccp-8, -0x1.4be03ddddf2edp-3}, 
      }}, 
      0x1.395cbbf540accp+1, -0x1.e3cf5dbfcf7bep+3
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_n_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.cf28637748973p-6, 0x1.cd718b71072e5p-5, 0x1.57fa85dc91f82p-4, 0x1.c6ce7ab29a29p-4, 0x1.19441c5484bc5p-3, 0x1.4d48cb2acdf6ep-3, 0x1.7f3586396587ap-3, 0x1.aed59b8255808p-3, 0x1.dbfecf2a25214p-3, 0x1.0348460f7bebfp-2, 0x1.17398a15d2768p-2, 0x1.29cb317034df2p-2, 0x1.3af8c07ed164bp-2, 0x1.4ac0bc07e552ap-2, 0x1.5924431901f62p-2, 0x1.6626bd6d5325dp-2, 0x1.71cd797092d38p-2, 0x1.7c1f5e8c1e162p-2, 0x1.8524ab82eba2dp-2, 0x1.8ce6cea7ebd3dp-2, 0x1.937018de14255p-2, 0x1.98cb8dd580809p-2, 0x1.9d04e3490d236p-2, 0x1.a027fe1f3d657p-2, 0x1.a2415f5894dc2p-2, 0x1.a35e26cb22872p-2, 0x1.a38a93136d85fp-2, 0x1.a2d3a1f7eae4dp-2, 0x1.a14632ea994ap-2, 0x1.9eef27f484345p-2, 0x1.9bdb13a18bffbp-2, 0x1.98164cb44287p-2, 0x1.93ad11acd14c5p-2, 0x1.8eab6c2acfcbep-2, 0x1.891cfcad40488p-2, 0x1.830cf0ba4cf87p-2, 0x1.7c861cea9e549p-2, 0x1.75930f59c3f2bp-2, 0x1.6e3e077c1b0fap-2, 0x1.6690dd76eaf4p-2, 0x1.5e94ebf168f0cp-2, 0x1.56530b8be3017p-2, 0x1.4dd3a2e9e9565p-2, 0x1.451ebece5e3bdp-2, 0x1.3c3c20247e597p-2, 0x1.3333372671038p-2, 0x1.2a0b113d9b8fbp-2, 0x1.20ca468b0f5f6p-2, 0x1.1776f173a9722p-2, 0x1.0e16b3370fc01p-2, 0x1.04aec25ddd359p-2, 0x1.f687fa3a5fde3p-3, 0x1.e3b5f420c065p-3, 0x1.d0f02664e3a2fp-3, 0x1.be5a7301c8536p-3, 0x1.abc6f23cf6044p-3, 0x1.99562c65c64edp-3, 0x1.870e1e6904942p-3, 0x1.74f44bffb4f48p-3, 0x1.630de18c636bdp-3, 0x1.515fbe81b257ep-3, 0x1.3fee6c497a52cp-3, 0x1.2ebe0e36faf4dp-3, 0x1.1dd25717055c2p-3, 0x1.0d2e8ac06f1e9p-3, 0x1.f9ab14a014cbdp-4, 0x1.d993c9490b688p-4, 0x1.ba1bc7f2a94f5p-4, 0x1.9b4728ac8ade8p-4, 0x1.7d1985465fcfp-4, 0x1.5f95eeb13d51p-4, 0x1.42bee1c66a8bdp-4, 0x1.269641fee737bp-4, 0x1.0b1d5cf026d3fp-4, 0x1.e0a9eb485e753p-5, 0x1.ac7aa91057bd1p-5, 0x1.79acb0468dfefp-5, 0x1.483f0754f9b19p-5, 0x1.183014177ee22p-5, 0x1.d2fb55e61c418p-6, 0x1.784a31aefaa79p-6, 0x1.2046556d53578p-6, 0x1.95d0d29398ef1p-7, 0x1.e0a0cfae331f5p-8, 0x1.3fe56a90be20dp-9, -0x1.2d1f65003d7d4p-9, -0x1.c31006bd7d2e6p-8, -0x1.72dd195baa28fp-7, -0x1.ff5e17c218714p-7, -0x1.439174990f8abp-6, -0x1.85222940f0f78p-6, -0x1.c46df0a18bb66p-6, -0x1.00c0f6774cadbp-5, -0x1.1e35c8bce5973p-5, -0x1.3a9c4b320c88cp-5, -0x1.55fb7517558d4p-5, -0x1.705a50c0bb099p-5, -0x1.89bff2e6d8f9fp-5, -0x1.a23371cd9b1bfp-5, -0x1.b9bbdcac112fdp-5, -0x1.d06033b8baf57p-5, -0x1.e627612ed2fc2p-5, -0x1.fb18338f735adp-5, -0x1.079caca78ea9bp-4, -0x1.1148af060611ep-4, -0x1.1a9354a8bcca3p-4, -0x1.237fbf66e81cbp-4, -0x1.2c10ffdfb2a2ep-4, -0x1.344a169d03d8ep-4, -0x1.3c2df567752ffp-4, -0x1.43b7ad533c4a2p-4, -0x1.4af94f960b544p-4, -0x1.51eed251f0f81p-4, -0x1.589b05310061bp-4, -0x1.5f009ef411837p-4, -0x1.65223bede5c4p-4, -0x1.6b025d52831a9p-4, -0x1.70a36962d880bp-4, -0x1.7607ac647e2d3p-4, -0x1.7b315a3f28c9fp-4, -0x1.80229088a936fp-4, -0x1.84dd58bf9294ap-4, -0x1.8963aa748dd7fp-4, -0x1.8db76d2a9ec39p-4, -0x1.91da79c54c59cp-4, -0x1.95ce9b6e15589p-4, -0x1.99958fedddfe6p-4, -0x1.9d3107884f3a2p-4, -0x1.a0a2a47460f3bp-4, -0x1.a3ebfa14ffa49p-4, -0x1.a70e8c173aa92p-4, -0x1.aa0bcd98486e6p-4, -0x1.ace5206fb88e8p-4, -0x1.af9bd4b12c6a8p-4, -0x1.b23128701f21dp-4, -0x1.b4a647c79622dp-4, -0x1.b6fc4d20d5c4dp-4, -0x1.b93441af7b029p-4, -0x1.bb4f1e16b29c4p-4, -0x1.bd4dcb2aedf25p-4, -0x1.bf3122c46fb86p-4, -0x1.c0f9f0993d937p-4, -0x1.c2a8f317cdf47p-4, -0x1.c43edc3e546a2p-4, -0x1.c5bc526cddbccp-4, -0x1.c721f13218a52p-4, -0x1.c8704a135ee48p-4, -0x1.c9a7e5509447p-4, -0x1.cac942a44a63bp-4, -0x1.cbd4d9ff7cb4dp-4, -0x1.cccb1c3fabe28p-4, -0x1.cdac73dd5d999p-4, -0x1.ce79459093ec5p-4, -0x1.cf31f0e8eee77p-4, -0x1.cfd6d0d74aaebp-4, -0x1.d0683c275c611p-4, -0x1.d0e685e87e2e4p-4, -0x1.d151fdc59580ep-4, -0x1.d1aaf04cc329dp-4, -0x1.d1f1a728462fcp-4, -0x1.d226694a144aep-4, -0x1.d2497b0c658dbp-4, -0x1.d25b1e492516dp-4, -0x1.d25b926a80c85p-4, -0x1.d24b14767a0cp-4, -0x1.d229df1760b32p-4, -0x1.d1f82aa2b7759p-4, -0x1.d1b62d201bf5cp-4, -0x1.d1641a5128938p-4, -0x1.d10223bb8931cp-4, -0x1.d09078b60d3fcp-4, -0x1.d00f467958dcep-4, -0x1.cf7eb834b5858p-4, -0x1.cedef7276f591p-4, -0x1.ce302abec2802p-4, -0x1.cd7278b87da25p-4, -0x1.cca6054a0880dp-4, -0x1.cbcaf34b982b2p-4, -0x1.cae164670b1bfp-4, -0x1.c9e97949d5f23p-4, -0x1.c8e351d95621ap-4, -0x1.c7cf0d68c3d0ep-4, -0x1.c6accaeff50f9p-4, -0x1.c57ca9420f75bp-4, -0x1.c43ec743615fep-4, -0x1.c2f3441d8a67dp-4, -0x1.c19a3f712705fp-4, -0x1.c033d98451335p-4, -0x1.bec0336d759f2p-4, -0x1.bd3f6f39c8458p-4, -0x1.bbb1b00f201a5p-4, -0x1.ba171a48ec62ep-4, -0x1.b86fd39007eb4p-4, -0x1.b6bc02ed71233p-4, -0x1.b4fbd0d7efecep-4, -0x1.b32f673cd1948p-4, -0x1.b156f183f4fe3p-4, -0x1.af729c8f69e45p-4, -0x1.ad8296b71038p-4, -0x1.ab870fc0834a3p-4, -0x1.a98038d3c85c4p-4, -0x1.a76e446d2f6eep-4, -0x1.a551664cc8d1p-4, -0x1.a329d363f19fep-4, -0x1.a0f7c1c150ee7p-4, -0x1.9ebb687bbd362p-4, -0x1.9c74ff9c6ad1dp-4, -0x1.9a24c008b632ap-4, -0x1.97cae36bf6862p-4, -0x1.9567a42184151p-4, -0x1.92fb3d1f53a42p-4, -0x1.9085e9e1489cap-4, -0x1.8e07e65574869p-4, -0x1.8b816ec96081ep-4, -0x1.88f2bfd87cb6p-4, -0x1.865c165bb910ep-4, -0x1.83bdaf5a58ecp-4, -0x1.8117c7fbf1c2ep-4, -0x1.7e6a9d7b9473ap-4, -0x1.7bb66d1c09497p-4, -0x1.78fb741d166p-4, -0x1.7639efb1b4934p-4, -0x1.7376b6ef0a6a2p-4, -0x1.70a92c56c5061p-4, -0x1.6dd5bfa9f9038p-4, -0x1.6afcad7e75901p-4, -0x1.681e32478e9e4p-4, -0x1.653a8a4f3b90fp-4, -0x1.6251f1b003bb2p-4, -0x1.5f64a44fa099fp-4, -0x1.5c72ddda2e336p-4, -0x1.597cd9bdc800ep-4, -0x1.5682d32678e23p-4, -0x1.538504fa59af3p-4, -0x1.5083a9d5cc499p-4, -0x1.4d7efc07b8439p-4, -0x1.4a77358dbbbd8p-4, -0x1.476c90103ad65p-4, -0x1.445f44de491cap-4, -0x1.414f8ce962cbap-4, -0x1.3e3da0c0eecabp-4, -0x1.3b29b88d8cc78p-4, -0x1.38140c0c2be5ep-4, -0x1.34fcd288ee10ep-4, -0x1.31e442d9e0b95p-4, -0x1.2eca93598c97p-4, -0x1.2baff9e166196p-4, -0x1.2894abc4297p-4, -0x1.2578ddc827452p-4, -0x1.225cc4218ea76p-4, -0x1.1f40926cbceecp-4, -0x1.1c247ba898e46p-4, -0x1.1908b231092dep-4, -0x1.15ed67b986587p-4, -0x1.12d2cd47d2b5fp-4, -0x1.0fb9132ee07ecp-4, -0x1.0ca06909e7fa6p-4, -0x1.0988fdb7b4e56p-4, -0x1.0672ff562db84p-4, -0x1.035e9b3e18269p-4, -0x1.004bfdff1cc64p-4, -0x1.fa76a6b81ce37p-5, -0x1.f4598c8ede1eep-5, -0x1.ee4101c075ca3p-5, -0x1.e82d58dde78d4p-5, -0x1.e21ee2c5e3855p-5, -0x1.dc15ee9fdee43p-5, -0x1.d612c9d7b789bp-5, -0x1.d015c019d0a5fp-5, -0x1.ca1f1b4fabe96p-5, -0x1.c42f239cf61bfp-5, -0x1.be461f5d1312cp-5, -0x1.b864532110089p-5, -0x1.b28a01ae0c885p-5, -0x1.acb76bfc0b232p-5, -0x1.a6ecd1352a4bcp-5, -0x1.a12a6eb5400fap-5, -0x1.9b708009dd421p-5, -0x1.95bf3ef2a7341p-5, -0x1.9016e362122fp-5, -0x1.8a77a37e6ef75p-5, -0x1.84e1b3a351541p-5, -0x1.7f5546634674cp-5, -0x1.79d28c89d6a24p-5, -0x1.7459b51dd8368p-5, -0x1.6eeaed6405142p-5, -0x1.698660e1d8984p-5, -0x1.642c3960aefe7p-5, -0x1.5edc9ef121a27p-5, -0x1.5997b7eea3ff8p-5, -0x1.545da903513dcp-5, -0x1.4f2e952bf86p-5, -0x1.4a0a9dbc56e36p-5, -0x1.44f1e2637f59bp-5, -0x1.3fe4813076e79p-5, -0x1.3ae29696f04fcp-5, -0x1.35ec3d743b12p-5, -0x1.31018f144967cp-5, -0x1.2c22a336e50d6p-5, -0x1.274f9014f8189p-5, -0x1.22886a65fb1afp-5, -0x1.1dcd45657860cp-5, -0x1.191e32d8abaf8p-5, -0x1.147b431432e83p-5, -0x1.0fe48501d7a41p-5, -0x1.0b5a062669b59p-5, -0x1.06dbd2a7a97ep-5, -0x1.0269f5524327p-5, -0x1.fc08ef3faa3c4p-6, -0x1.f356c37a09fa7p-6, -0x1.eabd751f3d4ebp-6, -0x1.e23d0f797be6ep-6, -0x1.d9d59b5dff753p-6, -0x1.d1871f3975485p-6, -0x1.c9519f1c8884p-6, -0x1.c1351cc8676cfp-6, -0x1.b93197bb5c68ep-6, -0x1.b1470d3d75c52p-6, -0x1.a975786d29f92p-6, -0x1.a1bcd24c03a6p-6, -0x1.9a1d11cb5fe23p-6, -0x1.92962bd91d09cp-6, -0x1.8b28136c5a721p-6, -0x1.83d2b9922a0afp-6, -0x1.7c960d7a5aa06p-6, -0x1.7571fc841ab4dp-6, -0x1.6e66724abbb91p-6, -0x1.677358b259d3ep-6, -0x1.609897f4845c8p-6, -0x1.59d616acd9ab6p-6, -0x1.532bb9e5a01a1p-6, -0x1.4c99652449e68p-6, -0x1.461efa75edd4bp-6, -0x1.3fbc5a7bb325p-6, -0x1.397164772435fp-6, -0x1.333df65673c69p-6, -0x1.2d21ecc0aa4cdp-6, -0x1.271d2321b3a05p-6, -0x1.212f73b65f479p-6, -0x1.1b58b79838a7fp-6, -0x1.1598c6c945e13p-6, -0x1.0fef783fa649fp-6, -0x1.0a5ca1f10a38ap-6, -0x1.04e018de0c898p-6, -0x1.fef3623abe393p-7, -0x1.f4527bcd9fd4dp-7, -0x1.e9dd233c5a0d5p-7, -0x1.df92fbbbddddbp-7, -0x1.d573a70380bbfp-7, -0x1.cb7ec561a582fp-7, -0x1.c1b3f5cffa66fp-7, -0x1.b812d607735bfp-7, -0x1.ae9b0293c301fp-7, -0x1.a54c16e673dcfp-7, -0x1.9c25ad699c39p-7, -0x1.93275f922f899p-7, -0x1.8a50c5f1d8285p-7, -0x1.81a178486bcp-7, -0x1.79190d94e274ap-7, -0x1.70b71c26101fap-7, -0x1.687b39aab8e24p-7, -0x1.6064fb4156e7ap-7, -0x1.5873f5876e27cp-7, -0x1.50a7bca87da6p-7, -0x1.48ffe46c709dep-7, -0x1.417c0045bcca4p-7, -0x1.3a1ba35f0954ep-7, -0x1.32de60a8755d5p-7, -0x1.2bc3cae47b6c7p-7, -0x1.24cb74b46720ep-7, -0x1.1df4f0a470ed4p-7, -0x1.173fd1377e5bfp-7, -0x1.10aba8f276cc6p-7, -0x1.0a380a674d515p-7, -0x1.03e4883fa366p-7, -0x1.fb616a8e35256p-8, -0x1.ef3848eab2bacp-8, -0x1.e34cd1ef4f9adp-8, -0x1.d79e2c74ad2fcp-8, -0x1.cc2b7fe371e3bp-8, -0x1.c0f3f445fff8cp-8, -0x1.b5f6b2593c8f9p-8, -0x1.ab32e39cfce4p-8, -0x1.a0a7b263deebp-8, -0x1.965449e294a4p-8, -0x1.8c37d63ebf62ep-8, -0x1.8251849d1f66fp-8, -0x1.78a0832f92787p-8, -0x1.6f24014269eabp-8, -0x1.65db2f493e041p-8, -0x1.5cc53eeb73fdfp-8, -0x1.53e16310509d5p-8, -0x1.4b2ecfea971b1p-8, -0x1.42acbb03a0195p-8, -0x1.3a5a5b4659cb5p-8, -0x1.3236e90990e07p-8, -0x1.2a419e19fe0a8p-8, -0x1.2279b5c3f388fp-8, -0x1.1ade6cdc80374p-8, -0x1.136f01ca80982p-8, -0x1.0c2ab48f1a216p-8, -0x1.0510c6cdd133dp-8, -0x1.fc40f7a8dde1cp-9, -0x1.eeb23144b7774p-9, -0x1.e173c7dfb6a7fp-9, -0x1.d4844c696304fp-9, -0x1.c7e2535d3646fp-9, -0x1.bb8c74ce74eacp-9, -0x1.af814c73e6271p-9, -0x1.a3bf79b270283p-9, -0x1.98459fa71d6d1p-9, -0x1.8d1265305d1bdp-9, -0x1.822474f70178fp-9, -0x1.777a7d75e1e6fp-9, -0x1.6d13310169326p-9, -0x1.62ed45ce376dp-9, -0x1.590775f716f6p-9, -0x1.4f607f824adfdp-9, -0x1.45f7246652d9fp-9, -0x1.3cca2a8de861ap-9, -0x1.33d85bdb62439p-9, -0x1.2b20862b795ccp-9, -0x1.22a17b57755cbp-9, -0x1.1a5a1136a1714p-9, -0x1.1249219f47eaap-9, -0x1.0a6d8a6703db8p-9, -0x1.02c62d6287adcp-9, -0x1.f6a3e0c9ba56p-10, -0x1.e81f7a7bb4976p-10, -0x1.d9fd037132cdfp-10, -0x1.cc3a5f31dbbbp-10, -0x1.bed5793117489p-10, -0x1.b1cc44c77d915p-10, -0x1.a51cbd2bbdad3p-10, -0x1.98c4e569ba3f5p-10, -0x1.8cc2c859e9928p-10, -0x1.81147897a2fd4p-10, -0x1.75b8107628035p-10, -0x1.6aabb1f68122fp-10, -0x1.5fed86bb5a589p-10, -0x1.557bbffd3e36ep-10, -0x1.4b54967e12b6ep-10, -0x1.41764a7c623e5p-10, -0x1.37df23a648527p-10, -0x1.2e8d710c3c847p-10, -0x1.257f891314f46p-10, -0x1.1d7e3ab4f1e7fp-10, -0x1.14f1d73a1d49cp-10, -0x1.0ca3cb803830bp-10, -0x1.049295c831a34p-10, -0x1.f97976b0d5e1ap-11, -0x1.ea4190ce509dap-11, -0x1.db7aa00b21592p-11, -0x1.cd21d815224f6p-11, -0x1.bf3479fc2c984p-11, -0x1.b1afd409e68e6p-11, -0x1.a4914198073e8p-11, -0x1.97d62ae9d4b39p-11, -0x1.8b7c0503c3c06p-11, -0x1.7f8051854a496p-11, -0x1.73e09e812048fp-11, -0x1.689a8657cde63p-11, -0x1.5dabaf91b476dp-11, -0x1.5311ccb92d91ap-11, -0x1.48ca9c35d565ep-11, -0x1.3ed3e82696706p-11, -0x1.352b863dea9e5p-11, -0x1.2bcf579c7e8ecp-11, -0x1.22bd48ad39f67p-11, -0x1.19f351006bca1p-11, -0x1.116f7327df3e3p-11, -0x1.092fbc92bc169p-11, -0x1.01324569493b9p-11, -0x1.f2ea60d272b21p-12, -0x1.e3ed5581a50efp-12, -0x1.d569d7d84dcfdp-12, -0x1.c75c6b2019201p-12, -0x1.b9c1a6ae0c6b9p-12, -0x1.ac963598deb2cp-12, -0x1.9fd6d671f05bap-12, -0x1.93805afd0e102p-12, -0x1.878fa7e87c1e6p-12, -0x1.7c01b484e3acfp-12, -0x1.70d38a7c80faap-12, -0x1.6602458cbb0ffp-12, -0x1.5b8b133ce829cp-12, -0x1.516b3296b32bfp-12, -0x1.479ff3dde374p-12, -0x1.3e26b84a10ea5p-12, -0x1.34fcf1bcf113bp-12, -0x1.2c20227bf5849p-12, -0x1.238ddce8940dfp-12, -0x1.1b43c33a1ac7dp-12, -0x1.133f8735d2dd1p-12, -0x1.0b7ee9e93c9eap-12, -0x1.03ffbb630e88dp-12, -0x1.f97fb4dbc4c24p-13, -0x1.eb7a6893c424bp-13, -0x1.ddeb88d16cb15p-13, -0x1.d0cf285054d42p-13, -0x1.c421751bcbe2cp-13, -0x1.b7deb80668311p-13, -0x1.ac0354260d101p-13, -0x1.a08bc64b89197p-13, -0x1.9574a4800bac8p-13, -0x1.8aba9d815542cp-13, -0x1.805a783fa2ebbp-13, -0x1.7651135d1fcb6p-13, -0x1.6c9b64ae1e8f6p-13, -0x1.633678bab4de8p-13, -0x1.5a1f7244c3e44p-13, -0x1.515389c8b62d4p-13, -0x1.48d00d03f8c95p-13, -0x1.40925e7ff2a62p-13, -0x1.3897f517bb22fp-13, -0x1.30de5b856ce6cp-13, -0x1.29632feb18371p-13, -0x1.222423628fe97p-13, -0x1.1b1ef98c06c95p-13, -0x1.1451881ee6404p-13, -0x1.0db9b67c00aa6p-13, -0x1.07557d41d9ccbp-13, -0x1.0122e5e25ec88p-13, -0x1.f6401472a0cefp-14, -0x1.ea96284a33ffcp-14, -0x1.df447a46000fcp-14, -0x1.d4479bd302fbcp-14, -0x1.c99c3c0ce48d9p-14, -0x1.bf3f26fdc56f8p-14, -0x1.b52d44de8c59p-14, -0x1.ab63995d33dcap-14, -0x1.a1df42e449318p-14, -0x1.989d79e9bd62fp-14, -0x1.8f9b903962131p-14, -0x1.86d6f048bbd92p-14, -0x1.7e4d1c8eae8e2p-14, -0x1.75fbaed62e2d7p-14, -0x1.6de057a10232ap-14, -0x1.65f8dd819c339p-14, -0x1.5e431c7ce07bap-14, -0x1.56bd057590d29p-14, -0x1.4f649d894e18ap-14, -0x1.4837fd8414394p-14, -0x1.4135514b3231cp-14, -0x1.3a5ad74e922a4p-14, -0x1.33a6dffd7ee45p-14, -0x1.2d17cd3a17927p-14, -0x1.26ac11d780243p-14, -0x1.2062311406a5ep-14, -0x1.1a38be18af683p-14, -0x1.142e5b7c80c9p-14, -0x1.0e41bac4de298p-14, -0x1.08719bf3bb963p-14, -0x1.02bccd0e8e868p-14, -0x1.fa445354c749ep-15, -0x1.ef4134fa2d7c1p-15, -0x1.e46e29db9e4e7p-15, -0x1.d9c93557419c3p-15, -0x1.cf507286cb5c5p-15, -0x1.c502137375c42p-15, -0x1.badc604e31647p-15, -0x1.b0ddb6aca2f11p-15, -0x1.a70488ca9bd3fp-15, -0x1.9d4f5cd33a5b7p-15, -0x1.93bccc23bb193p-15, -0x1.8a4b82a5e786ap-15, -0x1.80fa3e177fbaep-15, -0x1.77c7cd799c4e4p-15, -0x1.6eb3104ed8f8ep-15, -0x1.65baf60eb9a45p-15, -0x1.5cde7d87ad36fp-15, -0x1.541cb4482a05bp-15, -0x1.4b74b60b43d39p-15, -0x1.42e5ac26017d1p-15, -0x1.3a6ecd03f2b84p-15, -0x1.320f5b9a9ee12p-15, -0x1.29c6a6e75b618p-15, -0x1.2194096f352a1p-15, -0x1.1976e8c5c4fb5p-15, -0x1.116eb50c81e8bp-15, -0x1.097ae887146eap-15, -0x1.019b07246ca35p-15, -0x1.f39d3c2253bcp-16, -0x1.e42a86970e3e6p-16, -0x1.d4dd2a7ec1dbp-16, -0x1.c5b474b83a0d3p-16, -0x1.b6afc1674108bp-16, -0x1.a7ce7b407fe86p-16, -0x1.99101ac7dfb4p-16, -0x1.8a7425a3e7bbdp-16, -0x1.7bfa2dedda3edp-16, -0x1.6da1d190d1bd2p-16, -0x1.5f6ab9a3cb16cp-16, -0x1.515499c9db2bep-16, -0x1.435f2fa5c09bap-16, -0x1.358a423ff095bp-16, -0x1.27d5a17eae90cp-16, -0x1.1a412593021f9p-16, -0x1.0cccae91afb34p-16, -0x1.fef0479cb7823p-17, }}, 
      {{0x1.915b007d22165p-6, 0x1.909bb7eb766fcp-5, 0x1.2b88ae5d28436p-4, 0x1.8dafba8aa4789p-4, 0x1.ee7208be0d14p-4, 0x1.26c2f859cde05p-3, 0x1.5554b907a2c8fp-3, 0x1.82d123fa5b28fp-3, 0x1.af1ee12f64497p-3, 0x1.da283c93956efp-3, 0x1.01ed7bc4944bap-2, 0x1.161402f48cb82p-2, 0x1.2981acd1c34eep-2, 0x1.3c31cb11e3f56p-2, 0x1.4e20ec25c63dbp-2, 0x1.5f4cbcb80f62ep-2, 0x1.6fb3e8782d764p-2, 0x1.7f56003fe9dc3p-2, 0x1.8e33612776d43p-2, 0x1.9c4d1d5edfa66p-2, 0x1.a9a4e493b9db9p-2, 0x1.b63cf2c6f2efp-2, 0x1.c21802460faf6p-2, 0x1.cd392c8a8a242p-2, 0x1.d7a3f70b91273p-2, 0x1.e15c391971d59p-2, 0x1.ea65e30777bf2p-2, 0x1.f2c552b00a948p-2, 0x1.fa7efde4e5264p-2, 0x1.00cbc0d05d9d4p-1, 0x1.0409ca44d8b94p-1, 0x1.06fc047edccafp-1, 0x1.09a4e26e0a2e7p-1, 0x1.0c06da8106f06p-1, 0x1.0e24645ae2a01p-1, 0x1.0ffff842e2de5p-1, 0x1.119c0d782131fp-1, 0x1.12fb17bae7c22p-1, 0x1.141f848c2ababp-1, 0x1.150bb8e792ab6p-1, 0x1.15c21059b02d2p-1, 0x1.1644dce89fa36p-1, 0x1.1696669485d5ep-1, 0x1.16b8ea33ac078p-1, 0x1.16ae98388c14dp-1, 0x1.167993ac89dcbp-1, 0x1.161bf158fee4fp-1, 0x1.1597b73a90afap-1, 0x1.14eedc6d8fbe7p-1, 0x1.1423498a9fc69p-1, 0x1.1336d933c103dp-1, 0x1.122b58806221ap-1, 0x1.110286ff24219p-1, 0x1.0fbe162df2826p-1, 0x1.0e5fe02c47576p-1, 0x1.0ce913ab5b337p-1, 0x1.0b5b5b8224c89p-1, 0x1.09b82ca3f6e1p-1, 0x1.0800ef2236d17p-1, 0x1.0636fded8e183p-1, 0x1.045ba694d61fbp-1, 0x1.0270294a2d2fbp-1, 0x1.0075b92d264a6p-1, 0x1.fcdaf962368f9p-2, 0x1.f8b11bfce444p-2, 0x1.f46ff69525793p-2, 0x1.f0198e68ec0e9p-2, 0x1.ebafd25fa435ep-2, 0x1.e7349bf13cf0bp-2, 0x1.e2a9aff9fb18ep-2, 0x1.de10bf5b09856p-2, 0x1.d96b6761e709dp-2, 0x1.d4bb320db9055p-2, 0x1.d0019657b8ab3p-2, 0x1.cb3ff89ddb678p-2, 0x1.c677ab3aa77cbp-2, 0x1.c1a9ef3ede94cp-2, 0x1.bcd7f533ec353p-2, 0x1.b802ddcd1ab73p-2, 0x1.b32bba77cdc29p-2, 0x1.ae538dc9e7456p-2, 0x1.a97b4bdaa4c9dp-2, 0x1.a4a3da98c1113p-2, 0x1.9fce122f63ec2p-2, 0x1.9afabd83f584dp-2, 0x1.962a9accb8f81p-2, 0x1.915e5c371dd1bp-2, 0x1.8c96a88f77199p-2, 0x1.87d41bdbafbc3p-2, 0x1.831747dea4af8p-2, 0x1.7e60b480adbe2p-2, 0x1.79b0e020bdfcp-2, 0x1.75083fd6eac4fp-2, 0x1.70673fb372d9ep-2, 0x1.6bce4304a2f35p-2, 0x1.673da4aab09ebp-2, 0x1.62b5b77c0f46cp-2, 0x1.5e36c6b83e254p-2, 0x1.59c116838ede5p-2, 0x1.5554e4649b1dap-2, 0x1.50f267bc1f8efp-2, 0x1.4c99d23155e88p-2, 0x1.484b500f3ecp-2, 0x1.44070891f3d43p-2, 0x1.3fcd1e2578a0cp-2, 0x1.3b9dae99576b9p-2, 0x1.3778d34d622dbp-2, 0x1.335ea15c2b6d6p-2, 0x1.2f4f29c7561f9p-2, 0x1.2b4a79a8c29fap-2, 0x1.2750a68a4ee09p-2, 0x1.2361a0927bb1dp-2, 0x1.1f7d7317e26d2p-2, 0x1.1ba41e4b55e19p-2, 0x1.17d59fca0c121p-2, 0x1.1411f2ca517cap-2, 0x1.1059104597f5cp-2, 0x1.0caaef20c013cp-2, 0x1.090784532f9e5p-2, 0x1.056ec30d07b11p-2, 0x1.01e09cdc6c7e2p-2, 0x1.fcba03a368107p-3, 0x1.f5c7c14429d28p-3, 0x1.eeea4d90f97edp-3, 0x1.e821814886f88p-3, 0x1.e16d332b239bfp-3, 0x1.dacd382ef8c98p-3, 0x1.d44163b002c2fp-3, 0x1.cdc9879c5ad55p-3, 0x1.c765749d7d371p-3, 0x1.c114fa3f40adfp-3, 0x1.bad7e7151bae6p-3, 0x1.b4ae08de1fa05p-3, 0x1.ae972ca7f42c8p-3, 0x1.a8931ef0caa8p-3, 0x1.a2a1abc830fc5p-3, 0x1.9cc29eee6f9bcp-3, 0x1.96f5c3f213818p-3, 0x1.913ae64b5ec11p-3, 0x1.8b91d1753a7cdp-3, 0x1.85fa51039fb6p-3, 0x1.807430b75c924p-3, 0x1.7aff3c8f6758fp-3, 0x1.759b40d7f6932p-3, 0x1.70480a37ac964p-3, 0x1.6b0565bb2e701p-3, 0x1.65d320df70175p-3, 0x1.60b1099af99b2p-3, 0x1.5b9eee664c06p-3, 0x1.569c9e43910cep-3, 0x1.51a9e8c591265p-3, 0x1.4cc69e160361fp-3, 0x1.47f28efb2e351p-3, 0x1.432d8cdcd5b86p-3, 0x1.3e7769c8712cep-3, 0x1.39cff874a283p-3, 0x1.35370c43e635p-3, 0x1.30ac79468b4b4p-3, 0x1.2c30143bd9265p-3, 0x1.27c1b29281d86p-3, 0x1.23612a686654ep-3, 0x1.1f0e5289b4617p-3, 0x1.1ac9026f8176bp-3, 0x1.1691123df7adbp-3, 0x1.12665ac231c0dp-3, 0x1.0e48b56fd7b7cp-3, 0x1.0a37fc5ea9fbap-3, 0x1.06340a47ef649p-3, 0x1.023cba83f159ep-3, 0x1.fca3d20ee8dafp-4, 0x1.f4e6e4c2916f1p-4, 0x1.ed42676fbef17p-4, 0x1.e5b6158dd695cp-4, 0x1.de41abba0cf42p-4, 0x1.d6e4e7b2b0f81p-4, 0x1.cf9f885263765p-4, 0x1.c8714d8b2d555p-4, 0x1.c159f8617449p-4, 0x1.ba594ae6acb5p-4, 0x1.b36f0833bfe91p-4, 0x1.ac9af4632a3d3p-4, 0x1.a5dcd48ab4e6cp-4, 0x1.9f346eb4e4289p-4, 0x1.98a189d9f59fbp-4, 0x1.9223edd8ae02bp-4, 0x1.8bbb636eca849p-4, 0x1.8567b4314c654p-4, 0x1.7f28aa84b2907p-4, 0x1.78fe1195241b1p-4, 0x1.72e7b54eb5ab9p-4, 0x1.6ce56255d0a8ep-4, 0x1.66f6e5ffe3989p-4, 0x1.611c0e4c4f2e3p-4, 0x1.5b54a9dda9076p-4, 0x1.55a087f362811p-4, 0x1.4fff7863bf6b9p-4, 0x1.4a714b9626a3dp-4, 0x1.44f5d27dd0165p-4, 0x1.3f8cde94affb6p-4, 0x1.3a3641d6b2782p-4, 0x1.34f1cebd27a0fp-4, 0x1.2fbf583a646f5p-4, 0x1.2a9eb1b58a11cp-4, 0x1.258faf0671791p-4, 0x1.20922471ad6a5p-4, 0x1.1ba5e6a4a910ap-4, 0x1.16cacab1d00e8p-4, 0x1.1200a60cd9bf3p-4, 0x1.0d474e8718ddp-4, 0x1.089e9a4be8026p-4, 0x1.04065fdd232efp-4, 0x1.fefcec1f94949p-5, 0x1.f60d681162653p-5, 0x1.ed3de272b190cp-5, 0x1.e48e0ab9c5cap-5, 0x1.dbfd90ea78a61p-5, 0x1.d38c2590c524ap-5, 0x1.cb3979bbbb5dfp-5, 0x1.c3053ef8c3001p-5, 0x1.baef274f5350ep-5, 0x1.b2f6e53cf45eap-5, 0x1.ab1c2bb1a9be5p-5, 0x1.a35edc1ba4d8bp-5, 0x1.9bbe472770021p-5, 0x1.943a552a8a7f3p-5, 0x1.8cd2bacc305ap-5, 0x1.85872d1bcaa99p-5, 0x1.7e57618ef327ap-5, 0x1.77430dffa2b3ap-5, 0x1.7049e8aa81424p-5, 0x1.696ba82d6c561p-5, 0x1.62a803861348fp-5, 0x1.5bfeb210bc654p-5, 0x1.556f6b872b6ccp-5, 0x1.4ef9e7ff9d3bp-5, 0x1.489ddfebee54ep-5, 0x1.425b0c18cc608p-5, 0x1.3c3125ad117b5p-5, 0x1.361fe62931dc4p-5, 0x1.30270766c0549p-5, 0x1.2a46439812d4ep-5, 0x1.247d5547f8303p-5, 0x1.1ecbf75989503p-5, 0x1.1931e5080f2cp-5, 0x1.13aed9e6ff437p-5, 0x1.0e4291e20ef8ep-5, 0x1.08ecc93d5a9f7p-5, 0x1.03ad3c959fe2bp-5, 0x1.fd0751c11cb2fp-6, 0x1.f2df96da535f1p-6, 0x1.e8e2c3c86b543p-6, 0x1.df10549183ac3p-6, 0x1.d567c5f169b9bp-6, 0x1.cbe8955add6e6p-6, 0x1.c29240f8eb91fp-6, 0x1.b96447b05e7d5p-6, 0x1.b05e292147775p-6, 0x1.a77f65a88ae1bp-6, 0x1.9ec77e61996f6p-6, 0x1.9635f5281b47ep-6, 0x1.8dca4c99b96cfp-6, 0x1.85840817dbddbp-6, 0x1.7d62abc98c519p-6, 0x1.7565bc9d480f8p-6, 0x1.6d8cc04adfd84p-6, 0x1.65d73d554b25dp-6, 0x1.5e44bb0c94c09p-6, 0x1.56d4c18fb507dp-6, 0x1.4f86d9ce71dc7p-6, 0x1.485a8d8b2ad6ep-6, 0x1.414f675cc527bp-6, 0x1.3a64f2b069bafp-6, 0x1.339abbcb5877ep-6, 0x1.2cf04fccaf89ep-6, 0x1.26653caf18a09p-6, 0x1.1ff9114a91a1p-6, 0x1.19ab5d5609b64p-6, 0x1.137bb1690bc0ep-6, 0x1.0d699efd49cf7p-6, 0x1.0774b870397b5p-6, 0x1.019c91048bad3p-6, 0x1.f7c179c74a2ccp-7, 0x1.ec81a23e004a5p-7, 0x1.e178c76331a64p-7, 0x1.d6a617025c765p-7, 0x1.cc08c0bf085e1p-7, 0x1.c19ff6173b87ep-7, 0x1.b76aea65ac2fbp-7, 0x1.ad68d2e40479cp-7, 0x1.a398e6acc7fdcp-7, 0x1.99fa5ebd6222ep-7, 0x1.908c75f7e2da9p-7, 0x1.874e692496c3fp-7, 0x1.7e3f76f3b19b6p-7, 0x1.755edffe94bdp-7, 0x1.6cabe6c92efccp-7, 0x1.6425cfc316204p-7, 0x1.5bcbe1487ff96p-7, 0x1.539d63a33a191p-7, 0x1.4b99a10b5df48p-7, 0x1.43bfe5a7e26a5p-7, 0x1.3c0f7f8f3181bp-7, 0x1.3487bec7799edp-7, 0x1.2d27f546da8c1p-7, 0x1.25ef76f398b49p-7, 0x1.1edd99a4097p-7, 0x1.17f1b51e67cep-7, 0x1.112b2318a2c3dp-7, 0x1.0a893f37dab5bp-7, 0x1.040b670ffbb5cp-7, 0x1.fb61f44612777p-8, 0x1.eef2b3c0cafcfp-8, 0x1.e2c7d347c7c7cp-8, 0x1.d6e01d69d34ddp-8, 0x1.cb3a608a5d04bp-8, 0x1.bfd56edf53a91p-8, 0x1.b4b01e6e5fed9p-8, 0x1.a9c9490a11a6fp-8, 0x1.9f1fcc4ea4d2dp-8, 0x1.94b2899f024abp-8, 0x1.8a8066210f22bp-8, 0x1.80884ab9fc984p-8, 0x1.76c9240a7e63ep-8, 0x1.6d41e26a8381p-8, 0x1.63f179e527d17p-8, 0x1.5ad6e23411facp-8, 0x1.51f116bad143ap-8, 0x1.493f168203b5ap-8, 0x1.40bfe432649a4p-8, 0x1.3872860f9060ep-8, 0x1.305605f289bf9p-8, 0x1.286971446b954p-8, 0x1.20abd8f895186p-8, 0x1.191c5186d4559p-8, 0x1.11b9f2e579e11p-8, 0x1.0a83d88308e43p-8, 0x1.037921401ceddp-8, 0x1.f931ded1eda0ap-9, 0x1.ebc4d15db73cfp-9, 0x1.dea96c42e23f7p-9, 0x1.d1de084fe2e8p-9, 0x1.c56104f439241p-9, 0x1.b930c832e0d8bp-9, 0x1.ad4bbe936133bp-9, 0x1.a1b05b13e1c28p-9, 0x1.965d171a17fcfp-9, 0x1.8b5072646dab4p-9, 0x1.8088f2fb0b266p-9, 0x1.760525204d8a4p-9, 0x1.6bc39b41c2e3p-9, 0x1.61c2ede87115bp-9, 0x1.5801bba8bf554p-9, 0x1.4e7ea91349c8p-9, 0x1.453860a4837e3p-9, 0x1.3c2d92b4bc0cdp-9, 0x1.335cf567f9401p-9, 0x1.2ac5449db657cp-9, 0x1.226541e05984dp-9, 0x1.1a3bb45533e37p-9, 0x1.124768abc0ed4p-9, 0x1.0a87310d28e9cp-9, 0x1.02f9e50b9e36dp-9, 0x1.f73cc323e91a7p-10, 0x1.e8e711a59a9e7p-10, 0x1.daf084702aef8p-10, 0x1.cd56f4a4ad01p-10, 0x1.c018458fb59e3p-10, 0x1.b3326488a858ap-10, 0x1.a6a348d03c0efp-10, 0x1.9a68f36f01b33p-10, 0x1.8e816f14c33dbp-10, 0x1.82eacff6af40ep-10, 0x1.77a333aee064dp-10, 0x1.6ca8c11b852e3p-10, 0x1.61f9a83ddbdd7p-10, 0x1.5794221992815p-10, 0x1.4d7670946cd89p-10, 0x1.439ede55afa76p-10, 0x1.3a0bbea5f4c1cp-10, 0x1.30bb6d4fdce41p-10, 0x1.27ac4e7e3fc7fp-10, 0x1.1edcce9ee746cp-10, 0x1.164b6241a75e5p-10, 0x1.0df685f987615p-10, 0x1.05dcbe3d8bcaep-10, 0x1.fbf92e93e8c05p-11, 0x1.eca94a03920abp-11, 0x1.ddc705a045d03p-11, 0x1.cf4fa7154d909p-11, 0x1.c14082a483049p-11, 0x1.b396faeeb3905p-11, 0x1.a65080b657f94p-11, 0x1.996a92a5e384dp-11, 0x1.8ce2bd1644a1ap-11, 0x1.80b699d534ecep-11, 0x1.74e3cfecba1c8p-11, 0x1.6968136b38d43p-11, 0x1.5e41252a7ee41p-11, 0x1.536cd29ab87bp-11, 0x1.48e8f58a533ebp-11, 0x1.3eb373f0a2e09p-11, 0x1.34ca3fb7ef478p-11, 0x1.2b2b5688aee32p-11, 0x1.21d4c195a22e4p-11, 0x1.18c495672e6efp-11, 0x1.0ff8f1a8f29fbp-11, 0x1.077000f675c2p-11, 0x1.fe4ff1538593ep-12, 0x1.ee3e31520976bp-12, 0x1.dea7566adb956p-12, 0x1.cf880977eab08p-12, 0x1.c0dd0748d426ep-12, 0x1.b2a320455403cp-12, 0x1.a4d7380ef859ep-12, 0x1.97764525c59ecp-12, 0x1.8a7d508b18367p-12, 0x1.7de97569f9369p-12, 0x1.71b7e0bcdcaebp-12, 0x1.65e5d0f656cbap-12, 0x1.5a7095aa27731p-12, 0x1.4f558f34fe75ep-12, 0x1.44922e6d390b6p-12, 0x1.3a23f44c2dd3ep-12, 0x1.3008719c497d9p-12, 0x1.263d46a88ebefp-12, 0x1.1cc022eb9d9f4p-12, 0x1.138ec4c22c19p-12, 0x1.0aa6f91c087d8p-12, 0x1.02069b30e65e8p-12, 0x1.f3572865d4366p-13, 0x1.e327b60b3f771p-13, 0x1.d37ae7ea28f16p-13, 0x1.c44ce0d397dbcp-13, 0x1.b599dd4f007d2p-13, 0x1.a75e3305cd656p-13, 0x1.9996503b9e0d3p-13, 0x1.8c3ebb4654d16p-13, 0x1.7f54120a66cdfp-13, 0x1.72d3097308799p-13, 0x1.66b86cf4cd64ep-13, 0x1.5b011e0b76e33p-13, 0x1.4faa13c081e48p-13, 0x1.44b05a29375f2p-13, 0x1.3a1111f599e01p-13, 0x1.2fc96ff45374ap-13, 0x1.25d6bc9ff7639p-13, 0x1.1c8f6917aef3fp-13, 0x1.133bdbe30f39fp-13, 0x1.0a3579af62147p-13, 0x1.0179d8a840626p-13, 0x1.f20d409a0f122p-14, 0x1.e1b3120d386ebp-14, 0x1.d1e0b7882e257p-14, 0x1.c291e3111b178p-14, 0x1.b3c266337d411p-14, 0x1.a56e3123d9d94p-14, 0x1.9791520c6266dp-14, 0x1.8a27f449e9858p-14, 0x1.7d2e5fba30947p-14, 0x1.70a0f80307be2p-14, 0x1.647c3be863aeep-14, 0x1.58bcc49b98831p-14, 0x1.4d5f451251362p-14, 0x1.426089648b1a4p-14, 0x1.37bd76245ef79p-14, 0x1.2d7307c57e70ep-14, 0x1.237e51fbee136p-14, 0x1.19dc7f2677566p-14, 0x1.108acfba292e6p-14, 0x1.078699adacda4p-14, 0x1.fd9a8fd762311p-15, 0x1.ecb8b38d11626p-15, 0x1.dc62c4e393f72p-15, 0x1.cc9410dd58f62p-15, 0x1.bd480a3ed2407p-15, 0x1.ae7a486656e5ap-15, 0x1.a026866c5ecb6p-15, 0x1.9248a202bdb62p-15, 0x1.84dc9ab89b029p-15, 0x1.77de90ede494p-15, 0x1.6b4ac4f447fecp-15, 0x1.5f1d962c1118bp-15, 0x1.5353822cecf95p-15, 0x1.47e923e807b1bp-15, 0x1.3cdb32d685b4dp-15, 0x1.3226822cfe6f4p-15, 0x1.27c800112fc39p-15, 0x1.1dbcb4d53b42dp-15, 0x1.1401c23630a0dp-15, 0x1.0a94629f972eap-15, 0x1.0171e87b04d65p-15, 0x1.f12f7ae28a82bp-16, 0x1.e006c38378359p-16, 0x1.cf64d73064b57p-16, 0x1.bf450cc77ccaap-16, 0x1.afa2e464c4d06p-16, 0x1.a07a062f0297ap-16, 0x1.91c6411650ac9p-16, 0x1.838389aadea2fp-16, 0x1.75adf908630f4p-16, 0x1.6841cb6af0a7cp-16, 0x1.5b3b5f8327c15p-16, 0x1.4e97352198b1ap-16, 0x1.4251ec35f32e5p-16, 0x1.366843d9b3c8fp-16, 0x1.2ad7193e93e0cp-16, 0x1.1f9b66c63322cp-16, 0x1.14b2430db0a64p-16, 0x1.0a18e0063f554p-16, 0x1.ff9914127b77ep-17, 0x1.eb954e1e82783p-17, 0x1.d8216b7137258p-17, 0x1.c538993bfded7p-17, 0x1.b2d632cdd7f7ap-17, 0x1.a0f5c02b151a9p-17, 0x1.8f92f4749795ap-17, 0x1.7ea9ac859624ap-17, 0x1.6e35ed7843fafp-17, 0x1.5e33e3468771ep-17, 0x1.4e9fdf6bff7ecp-17, 0x1.3f7657ac3fa86p-17, 0x1.30b3e4acd49a3p-17, 0x1.225540ed02e37p-17, 0x1.14574720a828p-17, 0x1.06b6f19039699p-17, 0x1.f2e2b17ae9c8dp-18, 0x1.d907647fa140fp-18, 0x1.bfd69f7d50ae4p-18, 0x1.a74b3bd1778e2p-18, 0x1.8f6046e8dea26p-18, 0x1.781100475882dp-18, 0x1.6158d7c2c34bp-18, 0x1.4b336b8dcec77p-18, 0x1.359c8672cf288p-18, 0x1.20901e4f680b7p-18, 0x1.0c0a523278977p-18, 0x1.f00ed1c6f1545p-19, 0x1.c9079e6c25d3ap-19, 0x1.a2f82d76a6cbep-19, 0x1.7dd9e836e7969p-19, 0x1.59a67b5ebe40cp-19, 0x1.3657d4d8ae19p-19, 0x1.13e82060c050bp-19, 0x1.e4a38ad1fb6f3p-20, 0x1.a31ec9239eef9p-20, 0x1.6337aafb1f323p-20, 0x1.24e447065d70cp-20, 0x1.d03634a162aa2p-21, 0x1.59a6034a399d9p-21, 0x1.cc0cd62475108p-22, 0x1.d51a3d3075856p-23, 0x1.d58dd8a034d73p-27, -0x1.8f68be75df9a2p-23, -0x1.98b33fe10045fp-22, -0x1.323680dde36a2p-21, -0x1.957ead1b6c3d7p-21, -0x1.f63f794437971p-21, -0x1.2a42dd00933d1p-20, -0x1.582ee4fb949ccp-20, -0x1.84e9c7be159afp-20, -0x1.b079410a365bep-20, -0x1.dae2d7dd01c35p-20, -0x1.0215f0791b377p-19, -0x1.162cc0c78f3ddp-19, -0x1.29b8585526c9p-19, -0x1.3cbb1d7d93b2dp-19, -0x1.4f3761a94af9cp-19, -0x1.612f6336192cap-19, -0x1.72a54dee72305p-19, -0x1.839b3b858e096p-19, -0x1.941335a934d0bp-19, -0x1.a40f361a22eccp-19, -0x1.b391270fe686bp-19, -0x1.c29ae669231aep-19, -0x1.d12e42e920798p-19, -0x1.df4cff4aa9cc8p-19, -0x1.ecf8d265aa36ep-19, -0x1.fa3367c2ad513p-19, -0x1.037f302f48d18p-18, -0x1.09ada97983519p-18, -0x1.0fa5e6ab56f5ap-18, -0x1.1568a9fd61af1p-18, -0x1.1af6b19d9a1cap-18, -0x1.2050b7c50455fp-18, -0x1.2577730094835p-18, -0x1.2a6b96776aad4p-18, -0x1.2f2dd1d9caf69p-18, -0x1.33bed206b7b04p-18, -0x1.381f40f0da3cep-18, -0x1.3c4fc5e06bc88p-18, -0x1.4051059ea29ep-18, -0x1.4423a2accbdbfp-18, -0x1.47c83d1959c5cp-18, -0x1.4b3f737e981aep-18, -0x1.4e89e205a613cp-18, -0x1.51a82356a8df4p-18, -0x1.549ad053586f7p-18, -0x1.5762806b44138p-18, -0x1.59ffc9a89ec83p-18, -0x1.5c7340b08216cp-18, }}, 
      {{-0x1.9e80cea7e999dp-3, -0x1.7c54eacdbfbe9p-3, -0x1.457582e36c504p-3, -0x1.f8c0066f1cf33p-4, -0x1.47c6dea74c182p-4, -0x1.f7370386a9102p-6, 0x1.7de7d9924320bp-6, 0x1.4aad584582979p-4, 0x1.1f6b7235faabdp-3, 0x1.9bbfb85a97ce2p-3, 0x1.0c2db9819b6acp-2, 0x1.49c41e11ffd74p-2, 0x1.85e913d49ae92p-2, 0x1.c000216402435p-2, 0x1.f788ce1cf84a3p-2, 0x1.160e2136b36eap-1, 0x1.2eb50d46e1cbdp-1, 0x1.459acd4167239p-1, 0x1.5aaa0267196e4p-1, 0x1.6dd5030b702bp-1, 0x1.7f1481b1f4b24p-1, 0x1.8e66ac39379c2p-1, 0x1.9bceabd0ea851p-1, 0x1.a753b926c9d4dp-1, 0x1.b10093ec0a19bp-1, 0x1.b8e2df11b0fcdp-1, 0x1.bf09772605a82p-1, 0x1.c386246d8c99p-1, 0x1.c66ba6823a998p-1, 0x1.c7cdd1e29e396p-1, 0x1.c7c15fa9133f4p-1, 0x1.c65b830e21399p-1, 0x1.c3b19b1377342p-1, 0x1.bfd9176edd7b7p-1, 0x1.bae7586796ecfp-1, 0x1.b4f17c93d6b6ap-1, 0x1.ae0c3f68706aap-1, 0x1.a64bef5123c42p-1, 0x1.9dc45e74be6bap-1, 0x1.9488c06e57726p-1, 0x1.8aab86e97e31ap-1, 0x1.803e51bcf94cep-1, 0x1.7551f33fdf8f5p-1, 0x1.69f67b7e3e83bp-1, 0x1.5e3b3dfbce964p-1, 0x1.522ecdf29a133p-1, 0x1.45def4567e9ffp-1, 0x1.3958a63b44747p-1, 0x1.2ca80160c641cp-1, 0x1.1fd8511a2d2ap-1, 0x1.12f419b8cf944p-1, 0x1.0605260ba338bp-1, 0x1.f22924e14b92p-2, 0x1.d855a666f00e3p-2, 0x1.bea1727f7e28dp-2, 0x1.a5177cd224096p-2, 0x1.8bc5c499dbed8p-2, 0x1.72b835ee77e24p-2, 0x1.59f99916ba99ep-2, 0x1.4193949d9f2e7p-2, 0x1.298ebc9c852e3p-2, 0x1.11f2ac18d5c98p-2, 0x1.f58c4257f41f9p-3, 0x1.c81e2a0f4540ap-3, 0x1.9ba5989e2453fp-3, 0x1.702bc09268479p-3, 0x1.45b8883db327ep-3, 0x1.1c5293b248d47p-3, 0x1.e7fea636357a4p-4, 0x1.99862ccb3795cp-4, 0x1.4d4248444adcep-4, 0x1.0337a0beb57b3p-4, 0x1.76d243f02724bp-5, 0x1.d76074b723b5dp-6, 0x1.94232d96cbfb9p-7, -0x1.d27295fcad661p-9, -0x1.35caab0d59e56p-6, -0x1.1439c20fb990fp-5, -0x1.892e92da9b3ccp-5, -0x1.f9cfca61f721ep-5, -0x1.331588a305804p-4, -0x1.6727c1fbacf6ap-4, -0x1.9926c38169c08p-4, -0x1.c91b5080543b4p-4, -0x1.f70eac408981fp-4, -0x1.118545228fc49p-3, -0x1.268c7fbbf501fp-3, -0x1.3aa23a200367ep-3, -0x1.4dcbcbd63ef6cp-3, -0x1.600ea9e7f85b6p-3, -0x1.7170619dcde1p-3, -0x1.81f693ac19b2cp-3, -0x1.91a6efa1e011dp-3, -0x1.a0872f7208514p-3, -0x1.ae9d12fe38834p-3, -0x1.bbee5b9e19141p-3, -0x1.c880c7ae8222cp-3, -0x1.d45a0e3f462b1p-3, -0x1.df7fdafb392f8p-3, -0x1.e9f7ca6684272p-3, -0x1.f3c7668bebe28p-3, -0x1.fcf4242c6800ap-3, -0x1.02c1b03edc4b8p-2, -0x1.06bd2fbea6f9p-2, -0x1.0a6f256a87a21p-2, -0x1.0dda18a37b7b3p-2, -0x1.11008345d045p-2, -0x1.13e4d1c3ad14dp-2, -0x1.168963595a771p-2, -0x1.18f08a485c985p-2, -0x1.1b19d3e171226p-2, -0x1.1d0d134d57ef9p-2, -0x1.1ec9bcd46ebf1p-2, -0x1.2051eaaac0e8fp-2, -0x1.21a7a7cc90835p-2, -0x1.22ccf02d65833p-2, -0x1.23c3b0ec13e6cp-2, -0x1.248dc88f6e01bp-2, -0x1.252d074e29dfap-2, -0x1.25a32f620f49ep-2, -0x1.25f1f563a9e96p-2, -0x1.261b00a97d7ddp-2, -0x1.261feba48b1acp-2, -0x1.26024434337f6p-2, -0x1.25c38becf1d85p-2, -0x1.2565384fc5a5cp-2, -0x1.24e8b2f2c3d6bp-2, -0x1.244f599db9e4p-2, -0x1.239a7e5f91614p-2, -0x1.22cb67a208819p-2, -0x1.21e350413bdb2p-2, -0x1.20e367ab9f9b1p-2, -0x1.1fccd20d8d737p-2, -0x1.1ea0a889cf749p-2, -0x1.1d5ff97eeb221p-2, -0x1.1c0bc8d76fad2p-2, -0x1.1aa510629cc15p-2, -0x1.192cc0322fda1p-2, -0x1.17a3befa299c3p-2, -0x1.160aea6fc2b82p-2, -0x1.146317a586b82p-2, -0x1.12ad136351eacp-2, -0x1.10e9a279cf03p-2, -0x1.0f198211b6678p-2, -0x1.0d3d67f79205cp-2, -0x1.0b5602e4f013bp-2, -0x1.0963fac7f7f66p-2, -0x1.0767f10a159f4p-2, -0x1.056280d6197e4p-2, -0x1.03543f5dd726dp-2, -0x1.013dbc1eef877p-2, -0x1.fe3f024c77749p-3, -0x1.f9f426a23078ap-3, -0x1.f59be517b40cbp-3, -0x1.f137341969a0cp-3, -0x1.ecc701150e27cp-3, -0x1.e84c30de5fc3ep-3, -0x1.e3c7a00a88a91p-3, -0x1.df3a234276f38p-3, -0x1.daa4878cae2dfp-3, -0x1.d607928f6e704p-3, -0x1.d16402cc56df2p-3, -0x1.ccba8fd6bcb12p-3, -0x1.c80bea85ffb3bp-3, -0x1.c358bd2508401p-3, -0x1.bea1aba000321p-3, -0x1.b9e753b10cc76p-3, -0x1.b52a4d0cb6b1cp-3, -0x1.b06b298e568f3p-3, -0x1.abaa7564c8a14p-3, -0x1.a6e8b73f75d74p-3, -0x1.a226707baa3fep-3, -0x1.9d641d522c92ap-3, -0x1.98a23504ec97ap-3, -0x1.93e12a0cb7b77p-3, -0x1.8f216a46c5f68p-3, -0x1.8a635f2203351p-3, -0x1.85a76dcbe99a9p-3, -0x1.80edf75cc678bp-3, -0x1.7c3759033be85p-3, -0x1.7783ec2ecc1bep-3, -0x1.72d406b936fd3p-3, -0x1.6e27fb0e86e79p-3, -0x1.6980185390adp-3, -0x1.64dcaa8abe722p-3, -0x1.603dfab712043p-3, -0x1.5ba44efd33928p-3, -0x1.570feac28cc82p-3, -0x1.52810eca62358p-3, -0x1.4df7f950e8652p-3, -0x1.4974e6246b79cp-3, -0x1.44f80ebc7ec98p-3, -0x1.4081aa4f5dcb3p-3, -0x1.3c11ede58723ap-3, -0x1.37a90c6ba8b04p-3, -0x1.334736c2ffbfp-3, -0x1.2eec9bd047d67p-3, -0x1.2a9968894d2abp-3, -0x1.264dc8015a297p-3, -0x1.2209e37482c0bp-3, -0x1.1dcde252084ebp-3, -0x1.1999ea45eb588p-3, -0x1.156e1f41ce354p-3, -0x1.114aa38543f37p-3, -0x1.0d2f97a5b22bbp-3, -0x1.091d1a95d3d44p-3, -0x1.051349acfda0cp-3, -0x1.011240ae311f9p-3, -0x1.fa34339e3576ap-4, -0x1.f255db7df53f5p-4, -0x1.ea89a75b2083ap-4, -0x1.e2cfc2a411191p-4, -0x1.db2855e3eef73p-4, -0x1.d39386d0ca22p-4, -0x1.cc117859cd35bp-4, -0x1.c4a24ab5a67b9p-4, -0x1.bd461b70ff11bp-4, -0x1.b5fd057d2354bp-4, -0x1.aec7213ecaf41p-4, -0x1.a7a4849ce64d9p-4, -0x1.a095430f9b482p-4, -0x1.99996daf3259fp-4, -0x1.92b1f05d1f3ffp-4, -0x1.8bdd2ee214e4bp-4, -0x1.851bfc0749dbfp-4, -0x1.7e6e6016c4c2ap-4, -0x1.77d4613d75cc9p-4, -0x1.714e039a7bc07p-4, -0x1.6adb494eb16eap-4, -0x1.647c328c62e9dp-4, -0x1.5e30bda7096f1p-4, -0x1.57f8e722f7a6p-4, -0x1.51d4a9c4d0bffp-4, -0x1.4bc3fea0bfbaap-4, -0x1.45c6dd294e95fp-4, -0x1.3fdd3b3dd8bb6p-4, -0x1.3a070d38818cap-4, -0x1.344445fbaf45ap-4, -0x1.2e94d6feff1d2p-4, -0x1.28f8b05bb492ep-4, -0x1.236fc0d8a175ap-4, -0x1.1df9f5f58e034p-4, -0x1.18973bf6247cp-4, -0x1.13477dec68f3dp-4, -0x1.0e0aa5c2c5798p-4, -0x1.08e09c45b54f6p-4, -0x1.03c9492d1b855p-4, -0x1.fd89264a92b4cp-5, -0x1.f3a4bfaf8f26bp-5, -0x1.e9e527e7ca778p-5, -0x1.e04a266e347e6p-5, -0x1.d6d380ea86431p-5, -0x1.cd80fb417fbadp-5, -0x1.c45257a4f2da8p-5, -0x1.bb4756a3ae4a9p-5, -0x1.b25fb73948161p-5, -0x1.a99b36ddd33dap-5, -0x1.a0f9919582febp-5, -0x1.987a82003d90fp-5, -0x1.901dc1691eb52p-5, -0x1.87e307d5e95fap-5, -0x1.7fca0c1664fbbp-5, -0x1.77d283d3a5eb9p-5, -0x1.6ffc239f36b92p-5, -0x1.68469f02273c4p-5, -0x1.60b1a88bf1894p-5, -0x1.593cf1e139934p-5, -0x1.51e82bca5b8cfp-5, -0x1.4ab30641c473bp-5, -0x1.439d3082184b1p-5, -0x1.3ca6591414c9ep-5, -0x1.35ce2ddc37dd5p-5, -0x1.2f145c2820dbep-5, -0x1.287890bbaaa58p-5, -0x1.21fa77ddbc3afp-5, -0x1.1b99bd64d2f6cp-5, -0x1.15560cc337a07p-5, -0x1.0f2f1112f1b49p-5, -0x1.0924752162b6dp-5, -0x1.0335e37a9c33cp-5, -0x1.fac60ce8c78f4p-6, -0x1.ef571071db397p-6, -0x1.e41e25a2924e3p-6, -0x1.d91aa05f08af9p-6, -0x1.ce4bd4710e122p-6, -0x1.c3b1159b46f2ep-6, -0x1.b949b7abc2ecep-6, -0x1.af150e8e0a8b2p-6, -0x1.a5126e5ca3e2p-6, -0x1.9b412b7216628p-6, -0x1.91a09a7960889p-6, -0x1.8830107e01df3p-6, -0x1.7eeee2fb76df7p-6, -0x1.75dc67ec4167ep-6, -0x1.6cf7f5d87fe9p-6, -0x1.6440e3e3fcc17p-6, -0x1.5bb689dbdd331p-6, -0x1.53584043ccc0ap-6, -0x1.4b256062c6bb8p-6, -0x1.431d444f63442p-6, -0x1.3b3f46fbbcd93p-6, -0x1.338ac440eaf0fp-6, -0x1.2bff18ea065a3p-6, -0x1.249ba2bed38adp-6, -0x1.1d5fc08df3e62p-6, -0x1.164ad236b96b3p-6, -0x1.0f5c38b28f6dep-6, -0x1.0893561df90ddp-6, -0x1.01ef8dc1386bep-6, -0x1.f6e088310bf9p-7, -0x1.ea29bdb7d7561p-7, -0x1.ddb98a0d83645p-7, -0x1.d18ebdbd869d3p-7, -0x1.c5a82bf5aaac8p-7, -0x1.ba04aa92cc23dp-7, -0x1.aea3122cea429p-7, -0x1.a3823e2289a23p-7, -0x1.98a10ca369c76p-7, -0x1.8dfe5eba9a41fp-7, -0x1.83991857c95c7p-7, -0x1.79702058239d2p-7, -0x1.6f82608e65cc7p-7, -0x1.65cec5ca71ba2p-7, -0x1.5c543fe03a203p-7, -0x1.5311c1ae2ba2p-7, -0x1.4a064122f82c8p-7, -0x1.4130b742d88cfp-7, -0x1.3890202c48315p-7, -0x1.30237b1c3ffd9p-7, -0x1.27e9ca71de335p-7, -0x1.1fe213b1a4a79p-7, -0x1.180b5f882aeffp-7, -0x1.1064b9cc59ebfp-7, -0x1.08ed31813b134p-7, -0x1.01a3d8d74ebc1p-7, -0x1.f50f8a5ae73cep-8, -0x1.e7301e22b5981p-8, -0x1.d9a7a47f3f81ep-8, -0x1.cc745b46d8f9dp-8, -0x1.bf9486ab78295p-8, -0x1.b30671388cda7p-8, -0x1.a6c86bcff6791p-8, -0x1.9ad8cda65e236p-8, -0x1.8f35f43ec4193p-8, -0x1.83de43657f4dcp-8, -0x1.78d0252a6b8f1p-8, -0x1.6e0a09daa4d58p-8, -0x1.638a67f97369p-8, -0x1.594fbc38c0f5fp-8, -0x1.4f588970ec112p-8, -0x1.45a3589806451p-8, -0x1.3c2eb8b8a7293p-8, -0x1.32f93ee8152e6p-8, -0x1.2a01863c0ddffp-8, -0x1.21462fbffbc65p-8, -0x1.18c5e269d8b0bp-8, -0x1.107f4b0e7fe1ap-8, -0x1.08711c55b9943p-8, -0x1.009a0eadbbbe1p-8, -0x1.f1f1c07ce629fp-9, -0x1.e318a9b8c50ebp-9, -0x1.d4a66bf652f4ap-9, -0x1.c698a53f87e36p-9, -0x1.b8ecfea51514bp-9, -0x1.aba12c2198004p-9, -0x1.9eb2ec7cc7c5dp-9, -0x1.9220092dbaa7cp-9, -0x1.85e6563d0adf8p-9, -0x1.7a03b22663725p-9, -0x1.6e7605b9ff837p-9, -0x1.633b43fd93e7fp-9, -0x1.58516a0d1ed4dp-9, -0x1.4db67efb5fbb6p-9, -0x1.436893b25045cp-9, -0x1.3965c2d32d4c9p-9, -0x1.2fac30968a7eap-9, -0x1.263a0aac281c6p-9, -0x1.1d0d881ae207cp-9, -0x1.1424e9206d4adp-9, -0x1.0b7e7710f0762p-9, -0x1.03188436f070ap-9, -0x1.f5e2d765fc754p-10, -0x1.e60f22b6f0c9ap-10, -0x1.d6b2c338bbf58p-10, -0x1.c7caa2ae908b1p-10, -0x1.b953bb86d7bf6p-10, -0x1.ab4b189b33925p-10, -0x1.9dadd4f16b26ep-10, -0x1.90791b7bd5a03p-10, -0x1.83aa26da978a6p-10, -0x1.773e411d188e7p-10, -0x1.6b32c383c6d66p-10, -0x1.5f8516424b07dp-10, -0x1.5432b041f24a9p-10, -0x1.493916e4e7789p-10, -0x1.3e95ddc982d34p-10, -0x1.3446a68e2d368p-10, -0x1.2a492095c4c6bp-10, -0x1.209b08cc2ea74p-10, -0x1.173a296c058c4p-10, -0x1.0e2459c426845p-10, -0x1.05577dfdf853p-10, -0x1.f9a30dc8d54d8p-11, -0x1.e920e35628177p-11, -0x1.d9248f6c682dap-11, -0x1.c9aa3cc5e901ep-11, -0x1.baae2da0e4a91p-11, -0x1.ac2cbb520de45p-11, -0x1.9e2255d8b6cf5p-11, -0x1.908b8373e4e61p-11, -0x1.8364e0389135p-11, -0x1.76ab1da8bdc79p-11, -0x1.6a5b024bb5e73p-11, -0x1.5e716947cd628p-11, -0x1.52eb41fcbe218p-11, -0x1.47c58f9f5b8c9p-11, -0x1.3cfd68d674246p-11, -0x1.328ff7589df6fp-11, -0x1.287a778b109e9p-11, -0x1.1eba382265a4fp-11, -0x1.154c99c33c12ep-11, -0x1.0c2f0ea52505p-11, -0x1.035f1a35bffd5p-11, -0x1.f5b4a17ba92p-12, -0x1.e53cae0e0ad3p-12, -0x1.d551c405630a7p-12, -0x1.c5ef6ce4c3df1p-12, -0x1.b71151221497fp-12, -0x1.a8b3377a6f326p-12, -0x1.9ad1044abe6f6p-12, -0x1.8d66b8e87fe78p-12, -0x1.807072fe679e4p-12, -0x1.73ea6beac9fe8p-12, -0x1.67d0f8207a8b2p-12, -0x1.5c20868a7c099p-12, -0x1.50d59ff1d536p-12, -0x1.45ece6659e463p-12, -0x1.3b6314a58e617p-12, -0x1.3134fd9098fb3p-12, -0x1.275f8b93a0578p-12, -0x1.1ddfc01bae226p-12, -0x1.14b2b30b99539p-12, -0x1.0bd59233128f6p-12, -0x1.0345a0c8818e3p-12, -0x1.f6006dcb31f04p-13, -0x1.e605820c157adp-13, -0x1.d799338f032ep-13, -0x1.c8abcd0ce1f24p-13, -0x1.ba3ef8dd4c625p-13, -0x1.ac4e3c3868084p-13, -0x1.9ed53fddb97b4p-13, -0x1.91cfcf284eeacp-13, -0x1.8539d72621ec4p-13, -0x1.790f65b870518p-13, -0x1.6d4ca8b5c63ddp-13, -0x1.61eded12ee8b8p-13, -0x1.56ef9e0f62819p-13, -0x1.4c4e4468bf602p-13, -0x1.42068591f22f1p-13, -0x1.381522ebc2d4ap-13, -0x1.2e76f908d21d5p-13, -0x1.2528feef6eb8cp-13, -0x1.1c2845635ebe6p-13, -0x1.1371f6314dd41p-13, -0x1.0b0353815c315p-13, -0x1.02d9b72ab925ap-13, -0x1.f5e5241a6514p-14, -0x1.e696d6da4f93p-14, -0x1.d7c3c0a7932f1p-14, -0x1.c96745e5ed60cp-14, -0x1.bb7cf418c58cp-14, -0x1.ae0080b8bfbcbp-14, -0x1.a0edc80f726cfp-14, -0x1.9440cc1b0c7edp-14, -0x1.87f5b375229ecp-14, -0x1.7c08c844f4cfdp-14, -0x1.707677331ef65p-14, -0x1.653b4e62e6639p-14, -0x1.5a53fc79330b2p-14, -0x1.4fbd4f9f5909ap-14, -0x1.45743491350cep-14, -0x1.3b75b5afdac5p-14, -0x1.31befa186cb3ep-14, -0x1.284d44c2cd233p-14, -0x1.1f1df3a3988dp-14, -0x1.162e7ed3d472ep-14, -0x1.0d7c77bde4be3p-14, -0x1.0505884f8026bp-14, -0x1.f98ee46182bp-15, -0x1.e9801bff8cae9p-15, -0x1.d9da951fdcc8ep-15, -0x1.ca9a5865126a4p-15, -0x1.bbbb97f612d15p-15, -0x1.ad3aae26577f5p-15, -0x1.9f141c146e874p-15, -0x1.9144885ca0befp-15, -0x1.83c8bdcb2e03p-15, -0x1.769daa2196573p-15, -0x1.69c05cda21061p-15, -0x1.5d2e05faf6b38p-15, -0x1.50e3f4ef2500cp-15, -0x1.44df975c141aap-15, -0x1.391e781b5db88p-15, -0x1.2d9e3e202e9abp-15, -0x1.225cab6bf1d6ep-15, -0x1.17579c13802p-15, -0x1.0c8d05410289bp-15, -0x1.01faf4418fefcp-15, -0x1.ef3f1b328dde4p-16, -0x1.daf2183b8b9f8p-16, -0x1.c70b802cb601ap-16, -0x1.b3881ccc26668p-16, -0x1.a064df6f1a1d1p-16, -0x1.8d9edf66b78dcp-16, -0x1.7b335870da8b7p-16, -0x1.691fa9431dda7p-16, -0x1.5761520ab8bfcp-16, -0x1.45f5f30d176bfp-16, -0x1.34db4b4a2f45ep-16, -0x1.240f372c2c2e4p-16, -0x1.138faf3c9d0bap-16, -0x1.035ac6ef2a2fdp-16, -0x1.e6dd56deaa7a7p-17, -0x1.c79344d200c2bp-17, -0x1.a8d4120cbfdb9p-17, -0x1.8a9ca58bc37fdp-17, -0x1.6cea10ed9f912p-17, -0x1.4fb98e6b452fdp-17, -0x1.33087eebb648ep-17, -0x1.16d4681a90348p-17, -0x1.f635e538923f2p-18, -0x1.bfb3d0a1c0a4fp-18, -0x1.8a1e6533f7ad3p-18, -0x1.5571b1a54314dp-18, -0x1.21a9fd21a1f33p-18, -0x1.dd878946af0cbp-19, -0x1.79776fcf77da6p-19, -0x1.171d6d400406ep-19, -0x1.6ce736b93676dp-20, -0x1.5dd1a58fba82ep-21, 0x1.795a409fe368cp-25, 0x1.867b42e38e7e9p-21, 0x1.7778f71df7727p-20, 0x1.1442d4baf3a9ep-19, 0x1.6b36091fb284fp-19, 0x1.c09a0b2d9351dp-19, 0x1.0a394ba01ae0bp-18, 0x1.33619b6c2211ap-18, 0x1.5bc7a222047ecp-18, 0x1.836cf710f24a5p-18, 0x1.aa531d546677bp-18, 0x1.d07b8564704f8p-18, 0x1.f5e78e8378c6cp-18, 0x1.0d4c441eb5604p-17, 0x1.1f47d9d9c550fp-17, 0x1.30e7227c2d2b5p-17, 0x1.422ab2136d675p-17, 0x1.5313176068cedp-17, 0x1.63a0dc55437e4p-17, 0x1.73d486a0fb91ep-17, 0x1.83ae982fe7b9dp-17, 0x1.932f8fa5964b1p-17, 0x1.a257e8d214c36p-17, 0x1.b1281d16738e3p-17, 0x1.bfa0a3df175dp-17, 0x1.cdc1f2e62f655p-17, 0x1.db8c7ebaa8ab2p-17, 0x1.e900bae68ce51p-17, 0x1.f61f1a62f191cp-17, 0x1.017407ecff9e6p-16, 0x1.07ae06f5674a2p-16, 0x1.0dbdc3b49f89bp-16, 0x1.13a377d28919p-16, 0x1.195f5d528af37p-16, 0x1.1ef1aea80ead7p-16, 0x1.245aa6d4694c2p-16, 0x1.299a81780dfcep-16, 0x1.2eb17af8d2505p-16, 0x1.339fd07eea7dcp-16, 0x1.3865c00f72fa5p-16, 0x1.3d03889d18d7p-16, 0x1.41796a1dd4996p-16, 0x1.45c7a58aee8eap-16, 0x1.49ee7cf661027p-16, 0x1.4dee338ab5a8bp-16, 0x1.51c70da0d9ae4p-16, 0x1.557950c0b7ed8p-16, 0x1.590543a5a0a15p-16, 0x1.5c6b2e493bb72p-16, 0x1.5fab59e37eb8cp-16, 0x1.62c610f1a20f4p-16, 0x1.65bb9f30ac898p-16, 0x1.688c51a8b9fccp-16, 0x1.6b3876b348a2ep-16, 0x1.6dc05de0a11a5p-16, 0x1.7024580ef0e2dp-16, 0x1.7264b75e739f2p-16, 0x1.7481cf33236dcp-16, 0x1.767bf42c679b9p-16, 0x1.78537c278f778p-16, }}, 
      {{-0x1.a63d74e1afcf8p-3, -0x1.9ab5576d04acdp-3, -0x1.87eec337f273ap-3, -0x1.6e774450eaedbp-3, -0x1.4ef4c6c815b8cp-3, -0x1.2a19b60c460fcp-3, -0x1.009c5c3950777p-3, -0x1.a661afa4609efp-4, -0x1.4509d61adbb4p-4, -0x1.bcf4cdc885653p-5, -0x1.cf9ab559e85fep-6, -0x1.9a7ebbbf192d8p-10, 0x1.a3e5b9e026272p-6, 0x1.b2b42de5691c6p-5, 0x1.49e718753e41dp-4, 0x1.b9e6f4e757fbfp-4, 0x1.145b23d59636ap-3, 0x1.4ae339c390596p-3, 0x1.804e0eaa66927p-3, 0x1.b466c1cfb45d3p-3, 0x1.e7007eb9eeb13p-3, 0x1.0bfae8a3c933cp-2, 0x1.2393fd77438d3p-2, 0x1.3a3f14e44344bp-2, 0x1.4ff27e12237e8p-2, 0x1.64a6f5f44771bp-2, 0x1.78573c1dd3f8dp-2, 0x1.8b003aaa5fa68p-2, 0x1.9ca05f6052e88p-2, 0x1.ad37a6616ec8bp-2, 0x1.bcc75ddb34a72p-2, 0x1.cb51f7d70aa76p-2, 0x1.d8dae506274b4p-2, 0x1.e566739d924e6p-2, 0x1.f0f9af5ab4969p-2, 0x1.fb9a437d05e06p-2, 0x1.02a730a460861p-1, 0x1.070e55003aap-1, 0x1.0b060c60afa48p-1, 0x1.0e91f696a4a03p-1, 0x1.11b5cd349e3c8p-1, 0x1.14755d13413f1p-1, 0x1.16d4804da5a6dp-1, 0x1.18d718179fa16p-1, 0x1.1a8106ec1df28p-1, 0x1.1bd62b7a49d83p-1, 0x1.1cda5c4fbeb19p-1, 0x1.1d91643d5008cp-1, 0x1.1dfeff831b267p-1, 0x1.1e26d9a89f9b1p-1, 0x1.1e0c8bbac0fe5p-1, 0x1.1db39aa8e1255p-1, 0x1.1d1f7598468d2p-1, 0x1.1c5374310ff63p-1, 0x1.1b530be4cf131p-1, 0x1.1a20f3c21be66p-1, 0x1.18c06b2137317p-1, 0x1.17346284b0b5dp-1, 0x1.157faf2d2e73bp-1, 0x1.13a50b347e017p-1, 0x1.11a7160de6dfep-1, 0x1.0f88552402306p-1, 0x1.0d4b345060769p-1, 0x1.0af20612cb785p-1, 0x1.087f03a171061p-1, 0x1.05f44d0835478p-1, 0x1.0353e985707c1p-1, 0x1.009fc830264dap-1, 0x1.fbb381a041ad8p-2, 0x1.f607297ea92d5p-2, 0x1.f03ddf65bb415p-2, 0x1.ea5ad0beccfe1p-2, 0x1.e461020516507p-2, 0x1.de534fcc0b3ddp-2, 0x1.d8346fdf4eaa8p-2, 0x1.d206f28d55d66p-2, 0x1.cbcd44160db5ap-2, 0x1.c589ae27598e9p-2, 0x1.bf3e594f1d60cp-2, 0x1.b8ed4e52abb96p-2, 0x1.b29877685667ap-2, 0x1.ac41a15afaa81p-2, 0x1.a5ea7ca4da23ep-2, 0x1.9f949e8e19a52p-2, 0x1.9941825566286p-2, 0x1.92f28a621d91bp-2, 0x1.8ca901797200bp-2, 0x1.86661bed22e9dp-2, 0x1.802af8bb048d6p-2, 0x1.79f8a297a59b9p-2, 0x1.73d010e2a4a93p-2, 0x1.6db228875cf5ep-2, 0x1.679fbccf5d91fp-2, 0x1.6199902d22c1bp-2, 0x1.5ba05504ca9bdp-2, 0x1.55b4ae766ccap-2, 0x1.4fd7312b12bf6p-2, 0x1.4a086422dda3ep-2, 0x1.4448c1810a02fp-2, 0x1.3e98b751e1a57p-2, 0x1.38f8a846e8b15p-2, 0x1.3368ec66b1e8cp-2, 0x1.2de9d1af2a91dp-2, 0x1.287b9caa910bap-2, 0x1.231e88f86e6e3p-2, 0x1.1dd2c9cc96383p-2, 0x1.18988a668d9cbp-2, 0x1.136fee83b254ep-2, 0x1.0e5912ce18fadp-2, 0x1.09540d4985d83p-2, 0x1.0460f0a383c95p-2, 0x1.feff81edfe741p-3, 0x1.f5610bc7848afp-3, 0x1.ebe67e323afd7p-3, 0x1.e28fcf33e959cp-3, 0x1.d95cec24b646ep-3, 0x1.d04dba527130ep-3, 0x1.c762179c13a48p-3, 0x1.be99db0560d7ep-3, 0x1.b5f4d5428c81dp-3, 0x1.ad72d13bc7924p-3, 0x1.a5139488818aep-3, 0x1.9cd6dfe266617p-3, 0x1.94bc6f9044e74p-3, 0x1.8cc3fbc92f83dp-3, 0x1.84ed391072f2dp-3, 0x1.7d37d88b19fbbp-3, 0x1.75a3884fb7bb1p-3, 0x1.6e2ff3b134bbp-3, 0x1.66dcc385621fcp-3, 0x1.5fa99e67c9a86p-3, 0x1.589628f9376b6p-3, 0x1.51a2061c48123p-3, 0x1.4accd72f24ecdp-3, 0x1.44163c4274e55p-3, 0x1.3d7dd44d69b3cp-3, 0x1.37033d5ed353bp-3, 0x1.30a614cb02519p-3, 0x1.2a65f75666776p-3, 0x1.2442815cdbc52p-3, 0x1.1e3b4ef5b043fp-3, 0x1.184ffc148b294p-3, 0x1.128024a77d6cp-3, 0x1.0ccb64b266e49p-3, 0x1.0731586816e19p-3, 0x1.01b19c414ee6dp-3, 0x1.f8979a23d860cp-4, 0x1.edff1038b9d9cp-4, 0x1.e398d647150c2p-4, 0x1.d96428f68a8fbp-4, 0x1.cf60462ea2213p-4, 0x1.c58c6d3253d2ep-4, 0x1.bbe7deb90d5cep-4, 0x1.b271dd0582b84p-4, 0x1.a929abfa510e5p-4, 0x1.a00e912c9568p-4, 0x1.971fd3f4a69e2p-4, 0x1.8e5cbd7ce4fe2p-4, 0x1.85c498ced05ecp-4, 0x1.7d56b2de5f02dp-4, 0x1.75125a93bbd1cp-4, 0x1.6cf6e0d3820f9p-4, 0x1.650398859da36p-4, 0x1.5d37d69afe5cdp-4, 0x1.5592f2124p-4, 0x1.4e1443fb6e7fdp-4, 0x1.46bb277b0ced5p-4, 0x1.3f86f9cc6f794p-4, 0x1.38771a437c949p-4, 0x1.318aea4dd96a5p-4, 0x1.2ac1cd7383fabp-4, 0x1.241b2956e377fp-4, 0x1.1d9665b446cb4p-4, 0x1.1732ec60e00b1p-4, 0x1.10f029493ce08p-4, 0x1.0acd8a6f490f3p-4, 0x1.04ca7fe7e5ad4p-4, 0x1.fdccf7b03cbbep-5, 0x1.f241e4e407e59p-5, 0x1.e6f2b3e26b325p-5, 0x1.dbde552e42c03p-5, 0x1.d103bd4de477dp-5, 0x1.c661e4c27dc43p-5, 0x1.bbf7c7fedab3dp-5, 0x1.b1c4675dbac01p-5, 0x1.a7c6c717af025p-5, 0x1.9dfdef388aa33p-5, 0x1.9468eb949cbfdp-5, 0x1.8b06cbbd9854ap-5, 0x1.81d6a2f76496p-5, 0x1.78d7882cd1d6p-5, 0x1.700895e45682fp-5, 0x1.6768ea34cde79p-5, 0x1.5ef7a6ba4a9fcp-5, 0x1.56b3f08b01addp-5, 0x1.4e9cf02c47dbfp-5, 0x1.46b1d187a872bp-5, 0x1.3ef1c3e008f3dp-5, 0x1.375bf9c6e197ep-5, 0x1.2fefa91174095p-5, 0x1.28ac0ace1bce6p-5, 0x1.21905b39a3fadp-5, 0x1.1a9bd9b499023p-5, 0x1.13cdc8b8b8ccap-5, 0x1.0d256dce66aa9p-5, 0x1.06a211822ec33p-5, 0x1.0042ff5a6007dp-5, 0x1.f40f0b9989875p-6, 0x1.e7ddec68c3b4cp-6, 0x1.dbf1498ec1341p-6, 0x1.d047d11a0ea77p-6, 0x1.c4e036a7a9926p-6, 0x1.b9b9334f6b486p-6, 0x1.aed18590a1985p-6, 0x1.a427f13ee6ccep-6, 0x1.99bb3f6f34158p-6, 0x1.8f8a3e6523c85p-6, 0x1.8593c18072f96p-6, 0x1.7bd6a12abaa9cp-6, 0x1.7251bac56a67p-6, 0x1.6903f097fa831p-6, 0x1.5fec29be63f57p-6, 0x1.57094b086e8f8p-6, 0x1.4e5a4f69d74e8p-6, 0x1.45de287c202a5p-6, 0x1.3d93d00460071p-6, 0x1.357a4448b2bdbp-6, 0x1.2d9088001e344p-6, 0x1.25d5a242993d9p-6, 0x1.1e489e793b487p-6, 0x1.16e88c4eac18dp-6, 0x1.0fb47f9f959cap-6, 0x1.08ab906b6761fp-6, 0x1.01ccdac528d3cp-6, 0x1.f62efd88e455bp-7, 0x1.e91540ed46968p-7, 0x1.dc4acfa059db2p-7, 0x1.cfce013c1fee8p-7, 0x1.c39d34eef62a5p-7, 0x1.b7b6d15f41433p-7, 0x1.ac19448f461dep-7, 0x1.a0c303c1760c4p-7, 0x1.95b28b5d0f7b9p-7, 0x1.8ae65ed2ebabap-7, 0x1.805d0882cf494p-7, 0x1.761519a0fbc59p-7, 0x1.6c0d2a1c08744p-7, 0x1.6243d88317242p-7, 0x1.58b7c9ec6ca4cp-7, 0x1.4f67a9dc3ec68p-7, 0x1.46522a2bd9308p-7, 0x1.3d7602f11c495p-7, 0x1.34d1f266430d8p-7, 0x1.2c64bcd1f3122p-7, 0x1.242d2c6f9645cp-7, 0x1.1c2a1158059e2p-7, 0x1.145a416a7cd12p-7, 0x1.0cbc9835b701dp-7, 0x1.054ff6e185de6p-7, 0x1.fc26883117034p-8, 0x1.ee0ad7e463193p-8, 0x1.e04abfb9fb1f2p-8, 0x1.d2e42d1204518p-8, 0x1.c5d517a581742p-8, 0x1.b91b815c25712p-8, 0x1.acb576230de6dp-8, 0x1.a0a10bc397534p-8, 0x1.94dc61bb04a2dp-8, 0x1.8965a11262b33p-8, 0x1.7e3afc36f0f97p-8, 0x1.735aaed30ebb4p-8, 0x1.68c2fda79cd05p-8, 0x1.5e723665c7406p-8, 0x1.5466af894cb37p-8, 0x1.4a9ec83339d9dp-8, 0x1.4118e805129a4p-8, 0x1.37d37efc6cf77p-8, 0x1.2ecd054f16ba5p-8, 0x1.2603fb475c526p-8, 0x1.1d76e92150b37p-8, 0x1.15245ee7d27d2p-8, 0x1.0d0af452a97bfp-8, 0x1.052948a484ec2p-8, 0x1.fafc0513a610dp-9, 0x1.ec0f9fef84845p-9, 0x1.dd8acc175e3ddp-9, 0x1.cf6b01d68b563p-9, 0x1.c1adc74945498p-9, 0x1.b450b01e80df3p-9, 0x1.a7515d59fc6dap-9, 0x1.9aad7d179da1ep-9, 0x1.8e62ca4f406eep-9, 0x1.826f0c9991631p-9, 0x1.76d017f5754b5p-9, 0x1.6b83cc8e7e7c9p-9, 0x1.6088168410a19p-9, 0x1.55daedb138ad4p-9, 0x1.4b7a55755c696p-9, 0x1.41645c7dabac7p-9, 0x1.37971c8f5b199p-9, 0x1.2e10ba528c42fp-9, 0x1.24cf651e05878p-9, 0x1.1bd156c3e3535p-9, 0x1.1314d35e25589p-9, 0x1.0a98291d5b97ep-9, 0x1.0259b016e872ep-9, 0x1.f4af94287602bp-10, 0x1.e521c4c6c0795p-10, 0x1.d606db4e88759p-10, 0x1.c75bd3531b9a9p-10, 0x1.b91dba5949d24p-10, 0x1.ab49af7d51befp-10, 0x1.9ddce319bbddfp-10, 0x1.90d4966ffda74p-10, 0x1.842e1b5289781p-10, 0x1.77e6d3cf97231p-10, 0x1.6bfc31ddeba9p-10, 0x1.606bb70a6efc2p-10, 0x1.5532f4271928fp-10, 0x1.4a4f88fbcca49p-10, 0x1.3fbf23f799507p-10, 0x1.357f81e3aa35p-10, 0x1.2b8e6d9790442p-10, 0x1.21e9bfae5e864p-10, 0x1.188f5e3da288ep-10, 0x1.0f7d3c8cd1e54p-10, 0x1.06b15ace693fbp-10, 0x1.fc538bb469ed5p-11, 0x1.ebc92dd0f4a75p-11, 0x1.dbbfe69d376b9p-11, 0x1.cc3418795834fp-11, 0x1.bd223cf83f3a6p-11, 0x1.ae86e45f7fc66p-11, 0x1.a05eb529c104p-11, 0x1.92a66b8a31a3p-11, 0x1.855ad8f3b0d7ep-11, 0x1.7878e3a01801ep-11, 0x1.6bfd861bcf6cap-11, 0x1.5fe5ced2758f4p-11, 0x1.542edf9d58debp-11, 0x1.48d5ed53efe21p-11, 0x1.3dd83f5f19121p-11, 0x1.33332f4dd41f7p-11, 0x1.28e4286b71b26p-11, 0x1.1ee8a758b25dep-11, 0x1.153e39a6bca64p-11, 0x1.0be27d72ddeaep-11, 0x1.02d321053147cp-11, 0x1.f41bc4e1938cap-12, 0x1.e3211e6ba9eafp-12, 0x1.d2b207ca5fdaep-12, 0x1.c2ca578b3f38dp-12, 0x1.b36600f835023p-12, 0x1.a481136777d97p-12, 0x1.9617b992b3e16p-12, 0x1.882638eec8f5ap-12, 0x1.7aa8f108d5d3p-12, 0x1.6d9c5ae439985p-12, 0x1.60fd085e757b1p-12, 0x1.54c7a394ecc46p-12, 0x1.48f8ee4cdc424p-12, 0x1.3d8dc1600a092p-12, 0x1.32830c2c1d413p-12, 0x1.27d5d40363315p-12, 0x1.1d8333a2dbd1dp-12, 0x1.13885aaa395ebp-12, 0x1.09e28d15c326dp-12, 0x1.008f22bc9dcdcp-12, 0x1.ef170da24edb7p-13, 0x1.ddaa6ec724c55p-13, 0x1.ccd389cf101a5p-13, 0x1.bc8da377f3297p-13, 0x1.acd423717117ep-13, 0x1.9da2937263e35p-13, 0x1.8ef49e5b4fdap-13, 0x1.80c60f5a8203p-13, 0x1.7312d1184d64p-13, 0x1.65d6ece23f763p-13, 0x1.590e89e13b0a8p-13, 0x1.4cb5ec4f96c72p-13, 0x1.40c974b5fd079p-13, 0x1.35459f2e2a231p-13, 0x1.2a2702a6132eep-13, 0x1.1f6a502a90b06p-13, 0x1.150c5234741b2p-13, 0x1.0b09ebfac30fp-13, 0x1.016018c906864p-13, 0x1.f017d6afe7631p-14, 0x1.de151a5beb13ep-14, 0x1.ccb27bfaae9bep-14, 0x1.bbeaa6166ac58p-14, 0x1.abb86d32ccd6dp-14, 0x1.9c16cea3bccfbp-14, 0x1.8d00ef6edeacp-14, 0x1.7e721b32328e6p-14, 0x1.7065c3123fe16p-14, 0x1.62d77caf05a2fp-14, 0x1.55c3011d4d58ap-14, 0x1.49242bee1cf6p-14, 0x1.3cf6fa2b04014p-14, 0x1.3137897249f5ap-14, 0x1.25e216fc1e436p-14, 0x1.1af2febedda1cp-14, 0x1.1066ba8c05572p-14, 0x1.0639e1323c961p-14, 0x1.f8d24b53cab1bp-15, 0x1.e5e2ac8b180ecp-15, 0x1.d39eb7c2ee08cp-15, 0x1.c20072541b0a7p-15, 0x1.b10213930343cp-15, 0x1.a09e0378e9236p-15, 0x1.90ced92274fc6p-15, 0x1.818f5973ad0d4p-15, 0x1.72da75b575a4fp-15, 0x1.64ab4a46c88dbp-15, 0x1.56fd1d549c8edp-15, 0x1.49cb5d96bb054p-15, 0x1.3d11a10d708ap-15, 0x1.30cba3e9cd107p-15, 0x1.24f5474d95032p-15, 0x1.198a902c71d17p-15, 0x1.0e87a6410d492p-15, 0x1.03e8d2f271ffap-15, 0x1.f3550091a62a8p-16, 0x1.df926fd7a88c9p-16, 0x1.cc8344567dff3p-16, 0x1.ba210a03b160ap-16, 0x1.a86586574dc3ep-16, 0x1.974ab67df5c44p-16, 0x1.86cacd8e2edd3p-16, 0x1.76e032daa7ce3p-16, 0x1.6785803e76153p-16, 0x1.58b5807d5d3p-16, 0x1.4a6b2dc887e32p-16, 0x1.3ca1b01632849p-16, 0x1.2f545bb4576f2p-16, 0x1.227eafe582932p-16, 0x1.161c55529fbf1p-16, 0x1.0a291cd8e397bp-16, 0x1.fd41fc40980d6p-17, 0x1.e7002c9260addp-17, 0x1.d1854d8d3c012p-17, 0x1.bcca2833ea551p-17, 0x1.a8c7c94af00d4p-17, 0x1.95777f1246545p-17, 0x1.82d2d70f91945p-17, 0x1.71503e92498f4p-17, 0x1.5feb7eb06b4eep-17, 0x1.4f206b029fdfdp-17, 0x1.3ee97e7ac639dp-17, 0x1.2f4168c438398p-17, 0x1.20230c87c3565p-17, 0x1.11897d6ffb40dp-17, 0x1.036ffea7e5c74p-17, 0x1.eba4021550ac9p-18, 0x1.d1564345cfbb7p-18, 0x1.b7ee4fdf60132p-18, 0x1.9f64092492d12p-18, 0x1.87af9f6045ce3p-18, 0x1.70c98ef5bb033p-18, 0x1.5aaa9e0372c38p-18, 0x1.454bd96cb6354p-18, 0x1.30a6926708d82p-18, 0x1.1cb45bb7e9633p-18, 0x1.096f07afb426bp-18, 0x1.eda14b1f83ad7p-19, 0x1.c9a6fea265518p-19, 0x1.a6e42ed4add6ap-19, 0x1.854e4de23c25dp-19, 0x1.64db36570f9e7p-19, 0x1.458127ac1afdbp-19, 0x1.2736c256bbb4ap-19, 0x1.09f303fdcd497p-19, 0x1.db5a885051493p-20, 0x1.a4ba60ff407d1p-20, 0x1.6ff59357d0c3cp-20, 0x1.3cfcbfa145864p-20, 0x1.0bc11f49db3b6p-20, 0x1.b868fea0068c8p-21, 0x1.5c927395df8c6p-21, 0x1.03e4610f6afd2p-21, 0x1.5c8b1e41ae24dp-22, 0x1.6e7701ce7c3c1p-23, 0x1.7ab4ecfb39a67p-26, -0x1.04a48c7cd6c3cp-23, -0x1.16e85267e2828p-22, -0x1.a64041cc9bcbcp-22, -0x1.1840f57cd353ap-21, -0x1.5ae9cdd28482cp-21, -0x1.9b2d178ed5e0ap-21, -0x1.d91c8c5aba633p-21, -0x1.0a649d46cb80cp-20, -0x1.2721c62e5ff02p-20, -0x1.42cda77a14d17p-20, -0x1.5d6fdbe13945fp-20, -0x1.770fb62a3d64dp-20, -0x1.8fb444616782bp-20, -0x1.a7645222b2998p-20, -0x1.be266bf07b1d6p-20, -0x1.d400e1cdf04fap-20, -0x1.e8f9c9a74d574p-20, -0x1.fd17033843e1fp-20, -0x1.082f1c164fae4p-19, -0x1.116a6fef37f57p-19, -0x1.1a40210cd0fcap-19, -0x1.22b2bbeace863p-19, -0x1.2ac4b71d54548p-19, -0x1.3278743391237p-19, -0x1.39d0409ba1a3bp-19, -0x1.40ce56d53c177p-19, -0x1.4774de7596c0ep-19, -0x1.4dc5ee363ae92p-19, -0x1.53c38be6667e5p-19, -0x1.596fad7942369p-19, -0x1.5ecc39c7a0d2bp-19, -0x1.63db08edc948bp-19, -0x1.689de57b5e7bep-19, -0x1.6d168cbf25b87p-19, -0x1.7146af78faa98p-19, -0x1.752ff2579d0f6p-19, -0x1.78d3eee4c0db3p-19, -0x1.7c34337fe0533p-19, -0x1.7f524420f20e9p-19, -0x1.822f9b4cf80e7p-19, -0x1.84cda96ca8298p-19, -0x1.872dd657a4679p-19, -0x1.895181340cd15p-19, -0x1.8b3a00f6e2593p-19, -0x1.8ce8a4c504c03p-19, -0x1.8e5eb44f2ddafp-19, -0x1.8f9d702c58294p-19, -0x1.90a6122a9533ep-19, -0x1.9179cd79a82f2p-19, -0x1.9219cf1e4de3fp-19, -0x1.92873e7ebe1b6p-19, -0x1.92c33d1c6bc65p-19, -0x1.92cee703e019cp-19, -0x1.92ab5313fef71p-19, -0x1.9259936254363p-19, -0x1.91dab53b26189p-19, -0x1.912fc1136703fp-19, -0x1.9059bb48369d8p-19, -0x1.8f59a3fee6e49p-19, -0x1.8e307750b2742p-19, -0x1.8cdf2d75348f7p-19, -0x1.8b66bab3ae811p-19, -0x1.89c8104a0c713p-19, -0x1.88041bc7eb93cp-19, -0x1.861bc6eedd84ep-19, -0x1.840ff8c39914bp-19, -0x1.81e19513bc877p-19, -0x1.7f917c88abbfdp-19, -0x1.7d208d02c37bap-19, -0x1.7a8fa16f56e01p-19, -0x1.77df92095f76ap-19, -0x1.75113452ec378p-19, -0x1.72255b376f573p-19, -0x1.6f1cd70be0496p-19, -0x1.6bf875a8a1a0cp-19, -0x1.68b90274d8b16p-19, -0x1.655f467356fd8p-19, -0x1.61ec084e79e2fp-19, -0x1.5e600c61a178ap-19, -0x1.5abc14cbfe00ep-19, -0x1.5700e164108e2p-19, -0x1.532f2fc93e49ap-19, -0x1.4f47bbd4506dfp-19, -0x1.4b4b3e6ecc2f9p-19, -0x1.473a6f203bb52p-19, -0x1.431602e8ed9b8p-19, -0x1.3edeacf3e8596p-19, -0x1.3a951e4d3fe8ap-19, -0x1.363a05d40f002p-19, -0x1.31ce10bfc86fep-19, -0x1.2d51e9e618575p-19, -0x1.28c63a3bb5bc8p-19, -0x1.242ba89389a18p-19, -0x1.1f82da1eafed9p-19, -0x1.1acc71d8e47eap-19, -0x1.160910d9fd3dbp-19, -0x1.113955e3be685p-19, -0x1.0c5dde476e779p-19, -0x1.0777451a7027fp-19, -0x1.028623886d86ap-19, -0x1.fb16219647cb9p-20, -0x1.f10d4459350b1p-20, -0x1.e6f2d5d7051dcp-20, -0x1.dcc7f8d4e8241p-20, -0x1.d28dcc1f0b344p-20, -0x1.c8456a9903e76p-20, -0x1.bdefeb3c3a85bp-20, -0x1.b38e60fe1e171p-20, -0x1.a921dae6f63d9p-20, -0x1.9eab64deb3c5fp-20, -0x1.942c05bc7fcfbp-20, -0x1.89a4c0fee80aep-20, -0x1.7f1696156008fp-20, -0x1.748280db22b34p-20, -0x1.69e9787de6d0dp-20, -0x1.5f4c70f4c5f9bp-20, }}, 
      {{0x1.d9e0f3a3b7cb5p-11, 0x1.d16767626742ep-9, 0x1.fd950200addc8p-8, 0x1.b59ca1a5ea447p-7, 0x1.484637d8ef1a8p-6, 0x1.c387fd8984c5dp-6, 0x1.24330c52b37cap-5, 0x1.6978e7005995bp-5, 0x1.afc9aa4226714p-5, 0x1.f58b4d02c731p-5, 0x1.1cabfe10adc6fp-4, 0x1.3cff0d5e4dfa3p-4, 0x1.5b3ee29e29ebp-4, 0x1.77034c6267ap-4, 0x1.8ff94bb2609bcp-4, 0x1.a5e17d6656a87p-4, 0x1.b88dbf0c74672p-4, 0x1.c7df053657b93p-4, 0x1.d3c3704924e68p-4, 0x1.dc348b240e89fp-4, 0x1.e1358d49cfbd1p-4, 0x1.e2d1c052cba9p-4, 0x1.e11ace6cb495fp-4, 0x1.dc28d249901a3p-4, 0x1.d418161c4e915p-4, 0x1.c9075a44489f2p-4, 0x1.bb1ab46acc5cfp-4, 0x1.aa75ba06014aep-4, 0x1.973f10f7cd198p-4, 0x1.819e49faa9b73p-4, 0x1.69bb22a20c2acp-4, 0x1.4fbda3ffda5b8p-4, 0x1.33ce0c3ffa719p-4, 0x1.161429c20240dp-4, 0x1.ed6e006826487p-5, 0x1.abb9cb52b30a1p-5, 0x1.6756eafa64486p-5, 0x1.208e4f2bbae7fp-5, 0x1.af4c050f19083p-6, 0x1.19c29c5249121p-6, 0x1.0204a5e012d36p-7, -0x1.a77550946090ep-10, -0x1.7063da4312839p-7, -0x1.57bb0b0596931p-6, -0x1.f8a6e431910abp-6, -0x1.4d48230e43c19p-5, -0x1.9e8bfe7b74137p-5, -0x1.eff2029858fb2p-5, -0x1.20a7bcd3f021dp-4, -0x1.493df40c98959p-4, -0x1.71a89880d40afp-4, -0x1.99d5e8dedab07p-4, -0x1.c1b586b8e7d4cp-4, -0x1.e938774a117cap-4, -0x1.081f95cf52841p-3, -0x1.1b7042120ae0bp-3, -0x1.2e7fc2f20f91cp-3, -0x1.4148eef93bd3fp-3, -0x1.53c70deab48cfp-3, -0x1.65f5c49e1d8b3p-3, -0x1.77d10ea0a018fp-3, -0x1.8955426425e5ep-3, -0x1.9a7f182d5ad46p-3, -0x1.ab4bac93b9b6fp-3, -0x1.bbb87b9620524p-3, -0x1.cbc355ecdef4p-3, -0x1.db6a54dfda1f2p-3, -0x1.eaabd0b680aadp-3, -0x1.f9865bb95b21p-3, -0x1.03fc60a4df8f3p-2, -0x1.0b0103878f73p-2, -0x1.11d0b704595f4p-2, -0x1.186b390d402b7p-2, -0x1.1ed063e009212p-2, -0x1.25002c2e44da1p-2, -0x1.2afa9ef4dd77bp-2, -0x1.30bfdf513b5e6p-2, -0x1.3650247771a01p-2, -0x1.3babb7c92bb74p-2, -0x1.40d2f30034fd9p-2, -0x1.45c63e6746e91p-2, -0x1.4a860f2c601a5p-2, -0x1.4f12e5e470d92p-2, -0x1.536d4d5954ad2p-2, -0x1.5795d9b0daffap-2, -0x1.5b8d27eaad241p-2, -0x1.5f53dda153fc1p-2, -0x1.62eaa8edffbc5p-2, -0x1.6652404990017p-2, -0x1.698b6248d5ep-2, -0x1.6c96d51c80e54p-2, -0x1.6f7565cc2d348p-2, -0x1.7227e733d791p-2, -0x1.74af30d7e708ep-2, -0x1.770c1dab3f03cp-2, -0x1.793f8ae3472b2p-2, -0x1.7b4a56f05baa8p-2, -0x1.7d2d60a7d5b6cp-2, -0x1.7ee986a2ab627p-2, -0x1.807fa6cb0ac9p-2, -0x1.81f09e0ddcb3bp-2, -0x1.833d48237c90ap-2, -0x1.84667f649dc06p-2, -0x1.856d1ca429ae3p-2, -0x1.8651f70b57e56p-2, -0x1.8715e3f8d09a8p-2, -0x1.87b9b6e571c48p-2, -0x1.883e4151048b3p-2, -0x1.88a452b7595bap-2, -0x1.88ecb88bc3a9p-2, -0x1.89171a770295fp-2, -0x1.8926878a02255p-2, -0x1.891ab8886751ep-2, -0x1.88f473b74694cp-2, -0x1.88b47b788d5bfp-2, -0x1.885b8e00fadbcp-2, -0x1.87ea652a65565p-2, -0x1.8761b665d1e3bp-2, -0x1.86c232cd23cb3p-2, -0x1.860c8750484c1p-2, -0x1.85415cf68cd34p-2, -0x1.8461592abac4ep-2, -0x1.836d1e0803bccp-2, -0x1.82654a9e9e79bp-2, -0x1.814a7b2909b02p-2, -0x1.801d492dc6493p-2, -0x1.7ede4b8c6b9dep-2, -0x1.7d8e1677e8c26p-2, -0x1.7c2d3b61efaa1p-2, -0x1.7abc48dcec0c5p-2, -0x1.793bca7a50a06p-2, -0x1.77ac48aa93cafp-2, -0x1.760e48a317ddcp-2, -0x1.74624c4cdabd8p-2, -0x1.72a8d23d2b59fp-2, -0x1.70e255b8469f5p-2, -0x1.6f0f4ebca955bp-2, -0x1.6d3032152745ap-2, -0x1.6b45716f9914cp-2, -0x1.694f7b75ff7e5p-2, -0x1.674ebbe8591b8p-2, -0x1.65439bb5f2e91p-2, -0x1.632e81158a36fp-2, -0x1.610fcf9c252dbp-2, -0x1.5ee7e852ed1f7p-2, -0x1.5cb729cc99932p-2, -0x1.5a7df03b06da9p-2, -0x1.583c95857c235p-2, -0x1.55f3715ff3b2ap-2, -0x1.53a2d963712adp-2, -0x1.514b21272c3e8p-2, -0x1.4eec9a5a1910bp-2, -0x1.4c8794dc2e9cep-2, -0x1.4a1c5ed6c0819p-2, -0x1.47ab44d3376aep-2, -0x1.453491cf9a7f4p-2, -0x1.42b88f507a189p-2, -0x1.4037856ffab1fp-2, -0x1.3db1bae9f1f8p-2, -0x1.3b2775252c68cp-2, -0x1.3898f83a2729bp-2, -0x1.360686f78a291p-2, -0x1.337062e4de91ap-2, -0x1.30d6cc43f0651p-2, -0x1.2e3a02114af2ap-2, -0x1.2b9a42044b504p-2, -0x1.28f7c88f1cd5dp-2, -0x1.2652d0defcd7ap-2, -0x1.23ab94dd001ffp-2, -0x1.21024d2f918fap-2, -0x1.1e57313cc36a8p-2, -0x1.1baa772d8637p-2, -0x1.18fc53f1c1ad6p-2, -0x1.164cfb454527fp-2, -0x1.139c9fb57611fp-2, -0x1.10eb72a79e6dep-2, -0x1.0e39a45fb6802p-2, -0x1.0b8764077b00cp-2, -0x1.08d4dfb5b6c26p-2, -0x1.062244758b77bp-2, -0x1.036fbe4d9e533p-2, -0x1.00bd784712132p-2, -0x1.fc1738e85e7f9p-3, -0x1.f6b4a7ed6644p-3, -0x1.f1538e0b72422p-3, -0x1.ebf439e686bebp-3, -0x1.e696f862b0ee5p-3, -0x1.e13c14ad998cep-3, -0x1.dbe3d84764e5ap-3, -0x1.d68e8b0b0a841p-3, -0x1.d13c73362b976p-3, -0x1.cbedd57088945p-3, -0x1.c6a2f4d31d1e9p-3, -0x1.c15c12eef04cap-3, -0x1.bc196fd3a83a2p-3, -0x1.b6db4a15dba23p-3, -0x1.b1a1ded51b586p-3, -0x1.ac6d69c1b9c96p-3, -0x1.a73e252239a4cp-3, -0x1.a21449d85bc49p-3, -0x1.9cf00f65c2a67p-3, -0x1.97d1abf015783p-3, -0x1.92b95444a9c1ap-3, -0x1.8da73bdb98673p-3, -0x1.889b94da45ef5p-3, -0x1.839690155eecdp-3, -0x1.7e985d124eb53p-3, -0x1.79a12a082dc0bp-3, -0x1.74b123e0491fdp-3, -0x1.6fc8763645aacp-3, -0x1.6ae74b57f86cp-3, -0x1.660dcc4508825p-3, -0x1.613c20ae75bddp-3, -0x1.5c726ef615902p-3, -0x1.57b0dc2e1d2e5p-3, -0x1.52f78c18d429p-3, -0x1.4e46a1287a09p-3, -0x1.499e3c7f74edfp-3, -0x1.44fe7df0d2db8p-3, -0x1.406784012bc8cp-3, -0x1.3bd96be7eeffap-3, -0x1.37545191121ebp-3, -0x1.32d90e9f506aap-3, -0x1.2e665ccc6769fp-3, -0x1.29fcf199e948cp-3, -0x1.259ce3b5ebab3p-3, -0x1.2146489b1d157p-3, -0x1.1cf93494b5d4ap-3, -0x1.18b5bac2a59a3p-3, -0x1.147bed1df2588p-3, -0x1.104bdc7d40775p-3, -0x1.0c2598997b93ep-3, -0x1.08093012953e8p-3, -0x1.03f6b07459b58p-3, -0x1.ffdc4c7699161p-4, -0x1.f7df39b30c579p-4, -0x1.eff63d772d5ap-4, -0x1.e8216a9ac322p-4, -0x1.e060d1fddc386p-4, -0x1.d8b482926689p-4, -0x1.d11c8965a5d44p-4, -0x1.c998f1a9917fbp-4, -0x1.c229c4be18033p-4, -0x1.bacf0a3a49b56p-4, -0x1.b388c7f563edp-4, -0x1.ac57020fc1bfap-4, -0x1.a539bafbb965bp-4, -0x1.9e30f38664829p-4, -0x1.973caae04c741p-4, -0x1.905cdea60ad83p-4, -0x1.89918ae8db1efp-4, -0x1.82daaa3719a36p-4, -0x1.7c3835a4b7af9p-4, -0x1.75aa24d3a4981p-4, -0x1.6f306dfc2a59ap-4, -0x1.68cb05f5424d3p-4, -0x1.6279e03cdfa6ap-4, -0x1.5c3cef002f931p-4, -0x1.56142323d27aep-4, -0x1.4fff6c4c0a5aep-4, -0x1.49feb8e4e0526p-4, -0x1.4411f62a3ffcap-4, -0x1.3e3910300a58cp-4, -0x1.3873f1ea1c8e3p-4, -0x1.32c285344bf61p-4, -0x1.2d24b2da57693p-4, -0x1.279a629fcdffap-4, -0x1.22237b47e7eb6p-4, -0x1.1cbfe29d55a4bp-4, -0x1.176f7d79fe616p-4, -0x1.12322fceb781ap-4, -0x1.0d07dcaae9de7p-4, -0x1.07f066442d6b8p-4, -0x1.02ebadfdd3f4fp-4, -0x1.fbf328e0d2448p-5, -0x1.f233f2e2432bbp-5, -0x1.e89978327a694p-5, -0x1.df23759ab1c9p-5, -0x1.d5d1a6896036fp-5, -0x1.cca3c520a0b78p-5, -0x1.c3998a447414ap-5, -0x1.bab2ada8de4cdp-5, -0x1.b1eee5dfe0795p-5, -0x1.a94de8674fdf4p-5, -0x1.a0cf69b67ccc8p-5, -0x1.98731d4bb6f9ep-5, -0x1.9038b5b9a489cp-5, -0x1.881fe4b469876p-5, -0x1.80285b1ea41ebp-5, -0x1.7851c91639551p-5, -0x1.709bde00e9d05p-5, -0x1.69064898b9ee6p-5, -0x1.6190b6f821ebep-5, -0x1.5a3ad6a60c146p-5, -0x1.530454a19505cp-5, -0x1.4becdd6d9c1a4p-5, -0x1.44f41d1c15e52p-5, -0x1.3e19bf5926649p-5, -0x1.375d6f76028d7p-5, -0x1.30bed87396072p-5, -0x1.2a3da50cee253p-5, -0x1.23d97fc16be17p-5, -0x1.1d9212deb680fp-5, -0x1.1767088a7647dp-5, -0x1.11580acbd3b67p-5, -0x1.0b64c394bb511p-5, -0x1.058cdccae53c9p-5, -0x1.ffa000a14bf07p-6, -0x1.f45bb01b01a1ep-6, -0x1.e94c1bed062d8p-6, -0x1.de70982cca895p-6, -0x1.d3c8792ae7ba5p-6, -0x1.c95313828211fp-6, -0x1.bf0fbc2834cc2p-6, -0x1.b4fdc878990bfp-6, -0x1.ab1c8e4658bcfp-6, -0x1.a16b63e7e274ep-6, -0x1.97e9a04499be9p-6, -0x1.8e969ae1b948bp-6, -0x1.8571abeebedcap-6, -0x1.7c7a2c517097dp-6, -0x1.73af75b182722p-6, -0x1.6b10e283d39e8p-6, -0x1.629dce154cec1p-6, -0x1.5a5594955bef8p-6, -0x1.523793200dc41p-6, -0x1.4a4327c7ca196p-6, -0x1.4277b19eb7b39p-6, -0x1.3ad490bfbcfe9p-6, -0x1.335926572ce4ap-6, -0x1.2c04d4ab1776p-6, -0x1.24d6ff233cf92p-6, -0x1.1dcf0a50bb51p-6, -0x1.16ec5bf5506d4p-6, -0x1.102e5b0a59e0ep-6, -0x1.09946fc77795cp-6, -0x1.031e03a8e49dp-6, -0x1.f99502eaeeabp-7, -0x1.ed32aa88adf5cp-7, -0x1.e113d904cd3a5p-7, -0x1.d5376beeb5e6cp-7, -0x1.c99c43950dfd8p-7, -0x1.be41430ec8d8ap-7, -0x1.b325504398e3cp-7, -0x1.a84753f3cef8cp-7, -0x1.9da639bfb6d94p-7, -0x1.9340f02e5607dp-7, -0x1.891668b3b739ep-7, -0x1.7f2597b695589p-7, -0x1.756d7495a2951p-7, -0x1.6becf9ac269aap-7, -0x1.62a324563a3c6p-7, -0x1.598ef4f473957p-7, -0x1.50af6eef289bdp-7, -0x1.480398b92d684p-7, -0x1.3f8a7bd21950dp-7, -0x1.374324c8232aap-7, -0x1.2f2ca3398baffp-7, -0x1.274609d59b3ffp-7, -0x1.1f8e6e5d2f73ep-7, -0x1.1804e9a2e2f3p-7, -0x1.10a8978ad68fap-7, -0x1.0978970a19d7fp-7, -0x1.02740a25a40c3p-7, -0x1.f7342be22c638p-8, -0x1.e9d3c519e943fp-8, -0x1.dcc5364969a8dp-8, -0x1.d006dbd8cc802p-8, -0x1.c397183c253c4p-8, -0x1.b77453ed98871p-8, -0x1.ab9cfd66f4abp-8, -0x1.a00f891ac3ffap-8, -0x1.94ca716cc9505p-8, -0x1.89cc36aa0cccp-8, -0x1.7f135f006f136p-8, -0x1.749e7675bfde9p-8, -0x1.6a6c0ede8bbb1p-8, -0x1.607abfd443702p-8, -0x1.56c926ab3febdp-8, -0x1.4d55e6685e52bp-8, -0x1.441fa7b620361p-8, -0x1.3b2518d9afa4ep-8, -0x1.3264eda777fe2p-8, -0x1.29dddf77823f8p-8, -0x1.218ead198e0dbp-8, -0x1.19761ac8eb67dp-8, -0x1.1192f2202eebep-8, -0x1.09e4020c834dfp-8, -0x1.02681ec10d1bep-8, -0x1.f63c4353aa5fep-9, -0x1.e809d2bdb1b5fp-9, -0x1.da36b32d63436p-9, -0x1.ccc0b63281441p-9, -0x1.bfa5b7647ba7p-9, -0x1.b2e39c470da36p-9, -0x1.a678542ef4135p-9, -0x1.9a61d82658ef4p-9, -0x1.8e9e2ad101fcep-9, -0x1.832b5850a2f51p-9, -0x1.78077628944a5p-9, -0x1.6d30a321f5752p-9, -0x1.62a5072f5757cp-9, -0x1.5862d35067321p-9, -0x1.4e684175e6b57p-9, -0x1.44b39464cf4c9p-9, -0x1.3b43179a331adp-9, -0x1.32151f2ea2b1dp-9, -0x1.292807b9c331p-9, -0x1.207a3635bbdd2p-9, -0x1.180a17e2ba3c2p-9, -0x1.0fd6222a70903p-9, -0x1.07dcd283a776p-9, -0x1.001cae55b7df3p-9, -0x1.f12885b856a73p-10, -0x1.e2844a14baa72p-10, -0x1.d449e2de22eeep-10, -0x1.c67698308cb74p-10, -0x1.b907c0edcfcc4p-10, -0x1.abfac285d6c31p-10, -0x1.9f4d10bdb033ep-10, -0x1.92fc2d782a044p-10, -0x1.8705a87df8b9dp-10, -0x1.7b671f461838cp-10, -0x1.701e3cbe7911dp-10, -0x1.6528b914f4bf2p-10, -0x1.5a84598051a3bp-10, -0x1.502ef009d9698p-10, -0x1.46265b56d579dp-10, -0x1.3c688672f4857p-10, -0x1.32f3689a138cdp-10, -0x1.29c505033ec82p-10, -0x1.20db6aabc913ap-10, -0x1.1834b4224cd7ep-10, -0x1.0fcf075302174p-10, -0x1.07a8955376dbcp-10, -0x1.ff7f345eeff1cp-11, -0x1.f024b96c26f38p-11, -0x1.e13e5c8ed51f4p-11, -0x1.d2c8d544c57a7p-11, -0x1.c4c0ef6705ab1p-11, -0x1.b7238ac81ebc7p-11, -0x1.a9ed9ad36c51cp-11, -0x1.9d1c262d9820ep-11, -0x1.90ac46568813p-11, -0x1.849b274c0dd31p-11, -0x1.78e6072eb2913p-11, -0x1.6e2018b2fcf4fp-11, -0x1.6319ca9cfaf11p-11, -0x1.5867298ee58acp-11, -0x1.4e05c1902221cp-11, -0x1.43f32ef82bd99p-11, -0x1.3a2d1e14cf885p-11, -0x1.30b14ad2ab7c4p-11, -0x1.277d8066d3161p-11, -0x1.1e8f98fab1802p-11, -0x1.15e57d584c8bbp-11, -0x1.0d7d24996ea6fp-11, -0x1.055493d6c63dp-11, -0x1.fad3bbb34fe79p-12, -0x1.eb76459e2fbf1p-12, -0x1.dc8d1ff6cf1d7p-12, -0x1.ce14bee0607c4p-12, -0x1.c009af867dc9fp-12, -0x1.b268978d58d67p-12, -0x1.a52e3484ca49p-12, -0x1.98575b5f13b2p-12, -0x1.8be0f7e735861p-12, -0x1.7fc80c3c47462p-12, -0x1.7409b04fbedb2p-12, -0x1.68a3116232618p-12, -0x1.5d917186895f6p-12, -0x1.52d2272573567p-12, -0x1.48629c834efb1p-12, -0x1.3e404f478fc73p-12, -0x1.3468d008ecfaep-12, -0x1.2ad9c1d73c55ep-12, -0x1.2190d9cb575adp-12, -0x1.188bde96e58cbp-12, -0x1.0fc8a81698391p-12, -0x1.07451ee689724p-12, -0x1.fdfe77f09a5e6p-13, -0x1.edea1055b131p-13, -0x1.de4937c941929p-13, -0x1.cf183d5ec9e8cp-13, -0x1.c0538daa03998p-13, -0x1.b1f7b1fed0bdcp-13, -0x1.a4014fb2f8cd1p-13, -0x1.966d27635e4bap-13, -0x1.8938143f3999dp-13, -0x1.7c5f0b50fe96cp-13, -0x1.6fdf1ad1c769fp-13, -0x1.63b5697b0a72fp-13, -0x1.57df35dcc4898p-13, -0x1.4c59d5b857805p-13, -0x1.4122b55e7594ep-13, -0x1.3637570da34a6p-13, -0x1.2b95525703c1dp-13, -0x1.213a5385b77fp-13, -0x1.17241b077e891p-13, -0x1.0d507cdb363eap-13, -0x1.03bd5ffe7fe36p-13, -0x1.f4d17bca8f007p-14, -0x1.e2a143d6f9275p-14, -0x1.d0e651a1e644bp-14, -0x1.bf9d0068e406fp-14, -0x1.aec1cc25eeac9p-14, -0x1.9e51509359ep-14, -0x1.8e48483525399p-14, -0x1.7ea38b68337afp-14, -0x1.6f600f7588c1p-14, -0x1.607ae5b1262b4p-14, -0x1.51f13a915ededp-14, -0x1.43c054dc87da2p-14, -0x1.35e594cb6f636p-14, -0x1.285e733b6ecbcp-14, -0x1.1b2880e7010d9p-14, -0x1.0e416596d1278p-14, -0x1.01a6df6560c5dp-14, -0x1.eaad84016e793p-15, -0x1.d29debe3c8908p-15, -0x1.bb1aefd53f6d2p-15, -0x1.a420b0296824p-15, -0x1.8dab72d1937f9p-15, -0x1.77b7a20f7b093p-15, -0x1.6241cb365b064p-15, -0x1.4d469d6a57ca1p-15, -0x1.38c2e872bc017p-15, -0x1.24b39b8ef646ep-15, -0x1.1115c4568db75p-15, -0x1.fbcd1b3a6f39dp-16, -0x1.d6467cc48fcedp-16, -0x1.b1927192b47f3p-16, -0x1.8dabf225beba4p-16, -0x1.6a8e294928fdep-16, -0x1.4834722a98e62p-16, -0x1.269a567bb69e1p-16, -0x1.05bb8cb16a02fp-16, -0x1.cb27ec709469ep-17, -0x1.8c3f3b988ce3bp-17, -0x1.4eb56b9f3becap-17, -0x1.12832d7bb4eeep-17, -0x1.af42f679f4e32p-18, -0x1.3c1329e0b06eep-18, -0x1.96d3f7746e455p-19, -0x1.74ebcd6870fb7p-20, 0x1.d0bd930301637p-23, 0x1.df90ad430f75p-20, 0x1.bdd5be29c2251p-19, 0x1.43a4b1fe9248dp-18, 0x1.a61be6dee914ep-18, 0x1.032d2ee282fd1p-17, 0x1.3234cc3bc381bp-17, 0x1.60295f5a1224cp-17, 0x1.8d0f5133eeef1p-17, 0x1.b8eae1ccfd0a2p-17, 0x1.e3c02a2d366aep-17, 0x1.06c98f19c7d17p-16, 0x1.1b33c7378e2f2p-16, 0x1.2f2094e8c73p-16, 0x1.4291bfae69818p-16, 0x1.5588ffdf55155p-16, 0x1.6807ff6e8170ap-16, 0x1.7a105aaa1a9e3p-16, 0x1.8ba3a0f4d04cp-16, 0x1.9cc3556b3fe1dp-16, 0x1.ad70efa0522a6p-16, 0x1.bdaddc369ac9ep-16, 0x1.cd7b7d6e8f579p-16, 0x1.dcdb2bdcecafap-16, 0x1.ebce36d9e4428p-16, 0x1.fa55e52289d4dp-16, 0x1.0439baa94a5d8p-15, 0x1.0b140f302bba4p-15, 0x1.11ba8812adb1p-15, 0x1.182db9debb45fp-15, 0x1.1e6e3601b5ed6p-15, 0x1.247c8afbc2c35p-15, 0x1.2a59449289169p-15, 0x1.3004ec01a2cccp-15, 0x1.35800824e25abp-15, 0x1.3acb1dac3c594p-15, 0x1.3fe6af3dfe7b9p-15, 0x1.44d33da1836a7p-15, 0x1.499147e48bbaap-15, 0x1.4e214b7e485fep-15, 0x1.5283c47346aa9p-15, 0x1.56b92d707ada6p-15, 0x1.5ac1fff0923c1p-15, 0x1.5e9eb45385fc3p-15, 0x1.624fc1fb79bd9p-15, 0x1.65d59f6602029p-15, 0x1.6930c2441e0aep-15, 0x1.6c619f8d78ecep-15, 0x1.6f68ab9e41dap-15, 0x1.72465a405f528p-15, 0x1.74fb1ec60a07ep-15, 0x1.77876c14048d7p-15, 0x1.79ebb4b9e532p-15, 0x1.7c286af6ca151p-15, 0x1.7e3e00d0a55b8p-15, }}, 
      {{-0x1.911a81e0ed6c4p-3, -0x1.86bf1b09b01e1p-2, -0x1.19fd3d402f9a7p-1, -0x1.664f5b6d9016bp-1, -0x1.a78d4a9dd55fep-1, -0x1.dda1f29ab2fb4p-1, -0x1.04785370dbd96p+0, -0x1.151533883f978p+0, -0x1.211761f406f93p+0, -0x1.28faa610adc7bp+0, -0x1.2d3e958946a64p+0, -0x1.2e61478e12eb6p+0, -0x1.2cdb1f66b72d6p+0, -0x1.291d010c2084ap+0, -0x1.238e6380f98e5p+0, -0x1.1c8cff145eccap+0, -0x1.146c8f4aaf75ap+0, -0x1.0b770f85178bep+0, -0x1.01ed23d8174fap+0, -0x1.f00d64d9fd64dp-1, -0x1.dbe74d4f81d88p-1, -0x1.c7b94fe1b339fp-1, -0x1.b3c78cf2dc6d9p-1, -0x1.a04a1d3c2dc8p-1, -0x1.8d6ea2bb4339bp-1, -0x1.7b59cabc3c118p-1, -0x1.6a28148336bebp-1, -0x1.59eedde5dbb22p-1, -0x1.4abd76e45f58cp-1, -0x1.3c9df208ca352p-1, -0x1.2f95ccdb36248p-1, -0x1.23a6b335538c3p-1, -0x1.18cf2b92f775ap-1, -0x1.0f0b15460a253p-1, -0x1.0654102b93764p-1, -0x1.fd43c632deff5p-2, -0x1.efd5bd6a5a5abp-2, -0x1.e448681cb8b3bp-2, -0x1.da8477884faa1p-2, -0x1.d2715f2d25f04p-2, -0x1.cbf5b60dfa2edp-2, -0x1.c6f78fb56e2f8p-2, -0x1.c35cd101fa894p-2, -0x1.c10b7ce447707p-2, -0x1.bfe9f1af76d6fp-2, -0x1.bfdf131399be8p-2, -0x1.c0d263fb607bap-2, -0x1.c2ac186876133p-2, -0x1.c55526dd7733cp-2, -0x1.c8b75c9f1b74bp-2, -0x1.ccbd73e19a878p-2, -0x1.d15328cc5744cp-2, -0x1.d66549db211aap-2, -0x1.dbe1c0da2816bp-2, -0x1.e1b6bee74efcep-2, -0x1.e7d649117cb94p-2, -0x1.ee3069b5df968p-2, -0x1.f4b716c4dd69p-2, -0x1.fb5d46cf7de7bp-2, -0x1.010b77be2ad6dp-1, -0x1.046c7e26d2466p-1, -0x1.07cca00515ea9p-1, -0x1.0b27324b7a4b3p-1, -0x1.0e77ee3f22fp-1, -0x1.11baebd8818f4p-1, -0x1.14ec9da596276p-1, -0x1.1809cd805f5e1p-1, -0x1.1b0f994cbe164p-1, -0x1.1dfb6f310c23cp-1, -0x1.20cb0927caa7ep-1, -0x1.237c68273179ep-1, -0x1.260dcf4851449p-1, -0x1.287dbf4be4d96p-1, -0x1.2acaf2a8c1f1bp-1, -0x1.2cf45a153a941p-1, -0x1.2ef919549702fp-1, -0x1.30d8840941e04p-1, -0x1.32921a60301fep-1, -0x1.3425858c44e04p-1, -0x1.359294287b63dp-1, -0x1.36d936a9dece5p-1, -0x1.37f97c0b73d4ep-1, -0x1.38f38ed1c90bbp-1, -0x1.39c7b27170834p-1, -0x1.3a7641126279cp-1, -0x1.3affa99ee1addp-1, -0x1.3b646e07cac2ep-1, -0x1.3ba521a8feb7p-1, -0x1.3bc267bc53749p-1, -0x1.3bbcf1ce9508fp-1, -0x1.3b957e2fb258dp-1, -0x1.3b4cd65cfb2eap-1, -0x1.3ae3cd69c231p-1, -0x1.3a5b3e6ef640cp-1, -0x1.39b40b0c64278p-1, -0x1.38ef1a05bf413p-1, -0x1.380d5602ba8f7p-1, -0x1.370fac7548c2dp-1, -0x1.35f70ca4f487fp-1, -0x1.34c466db0e272p-1, -0x1.3378aba9e64f1p-1, -0x1.3214cb4958dddp-1, -0x1.3099b504302b9p-1, -0x1.2f0856b3c5df6p-1, -0x1.2d619c4911b82p-1, -0x1.2ba66f6373b12p-1, -0x1.29d7b6f5c83a3p-1, -0x1.27f656f9ad38bp-1, -0x1.2603302fb5399p-1, -0x1.23ff1fe9ff746p-1, -0x1.21ea54609bc52p-1, -0x1.1fc702fb6bbb5p-1, -0x1.1d9553903b1bbp-1, -0x1.1b561328b0866p-1, -0x1.190a0a0cdafa7p-1, -0x1.16b1fba42e7aep-1, -0x1.144ea65ce4ffbp-1, -0x1.11e0c39bfb7abp-1, -0x1.0f6907b719db4p-1, -0x1.0ce821f864854p-1, -0x1.0a5ebcaad0cb8p-1, -0x1.07cd7d2c86a07p-1, -0x1.05350404465a7p-1, -0x1.0295ecf6ceb04p-1, -0x1.ffe19e33941acp-2, -0x1.fa8c79c575dcdp-2, -0x1.f52d8862da071p-2, -0x1.efc5dcacf018ap-2, -0x1.ea56802e55a27p-2, -0x1.e4e073614fb0ep-2, -0x1.df64adb827c3bp-2, -0x1.d9e41daaf76fbp-2, -0x1.d45fa8cd3a8eep-2, -0x1.ced82bec5d2cfp-2, -0x1.c94e7b373f7a3p-2, -0x1.c3c3626daa13cp-2, -0x1.be37a515ee141p-2, -0x1.b8abfeb690dfdp-2, -0x1.b3212311d756bp-2, -0x1.ad97be6156bb8p-2, -0x1.a810759024728p-2, -0x1.a28be672d9d61p-2, -0x1.9d0aa7fd30c1fp-2, -0x1.978d4a757de1cp-2, -0x1.921457a69741ep-2, -0x1.8ca05310e4405p-2, -0x1.8731ba1b3fc07p-2, -0x1.81c90444387cbp-2, -0x1.7c66a353f08ep-2, -0x1.770b038ea3a3p-2, -0x1.71b68be78ca7p-2, -0x1.6c699e33bab28p-2, -0x1.6724975c41fp-2, -0x1.61e7cf8f2c52dp-2, -0x1.5cb39a6e92656p-2, -0x1.5788473d68121p-2, -0x1.5266210998b0ep-2, -0x1.4d4d6ed34c151p-2, -0x1.483e73b14aef1p-2, -0x1.43396ef29c74ep-2, -0x1.3e3e9c3d9f498p-2, -0x1.394e33acf67a7p-2, -0x1.346869eaa1382p-2, -0x1.2f8d7049b0f36p-2, -0x1.2abd74def1714p-2, -0x1.25f8a298e081fp-2, -0x1.213f2157343f6p-2, -0x1.1c911602257bdp-2, -0x1.17eea2a19f5c6p-2, -0x1.1357e6745f1e4p-2, -0x1.0eccfe07136b9p-2, -0x1.0a4e034b6d2c5p-2, -0x1.05db0daf19e9cp-2, -0x1.0174323297edfp-2, -0x1.fa3306ffa8968p-3, -0x1.f196240107ad6p-3, -0x1.e911d7e83dcb5p-3, -0x1.e0a63b0aefc73p-3, -0x1.d85361bfae669p-3, -0x1.d0195c8728007p-3, -0x1.c7f838342f0eep-3, -0x1.bfeffe1290686p-3, -0x1.b800b40c9a576p-3, -0x1.b02a5ccf60004p-3, -0x1.a86cf7eda3f7dp-3, -0x1.a0c8820171f68p-3, -0x1.993cf4cc777cep-3, -0x1.91ca475719a6dp-3, -0x1.8a706e0e5c68cp-3, -0x1.832f5ae0a94a5p-3, -0x1.7c06fd59802b7p-3, -0x1.74f742bc23acdp-3, -0x1.6e00161d4caa3p-3, -0x1.6721607be76ap-3, -0x1.605b08d8eddcfp-3, -0x1.59acf44e5d2abp-3, -0x1.53170625492fp-3, -0x1.4c991feb2060fp-3, -0x1.463321860e8b9p-3, -0x1.3fe4e94897dadp-3, -0x1.39ae5404628fcp-3, -0x1.338f3d1c3acb6p-3, -0x1.2d877e9556979p-3, -0x1.2796f127e59efp-3, -0x1.21bd6c4eec929p-3, -0x1.1bfac6577dd5p-3, -0x1.164ed46f5bbbdp-3, -0x1.10b96ab30467ap-3, -0x1.0b3a5c3b41955p-3, -0x1.05d17b2a39c59p-3, -0x1.007e98b81998fp-3, -0x1.f6830a7eaac21p-4, -0x1.ec342091354c3p-4, -0x1.e210112cce25ep-4, -0x1.d8167860cc691p-4, -0x1.ce46f0dd08e9dp-4, -0x1.c4a11407a36afp-4, -0x1.bb247a125031ap-4, -0x1.b1d0ba0f54adp-4, -0x1.a8a56a061e147p-4, -0x1.9fa21f0787198p-4, -0x1.96c66d41c576dp-4, -0x1.8e1217c531718p-4, -0x1.85845eedb64c2p-4, -0x1.7d1cf5a9bd01ep-4, -0x1.74db6d57d7d19p-4, -0x1.6cbf56d268fffp-4, -0x1.64c8428192c1p-4, -0x1.5cf5c06cd6bc6p-4, -0x1.5547604c57cd4p-4, -0x1.4dbcb199b505p-4, -0x1.465543a06dc22p-4, -0x1.3f10a58dca475p-4, -0x1.37ee66803ecc9p-4, -0x1.30ee159640f23p-4, -0x1.2a0f41fc8f95dp-4, -0x1.23517afbe43d8p-4, -0x1.1cb4500612528p-4, -0x1.163750c290a5ap-4, -0x1.0fda0d1a722b5p-4, -0x1.099c1543cc87p-4, -0x1.037cf9cc95b85p-4, -0x1.faf89749f4a4cp-5, -0x1.ef33385263092p-5, -0x1.e3a8fa55ac56dp-5, -0x1.d85901f397e4cp-5, -0x1.cd4274d967638p-5, -0x1.c26479d1f110cp-5, -0x1.b7be38d4f2c6p-5, -0x1.ad4edb15ad5dcp-5, -0x1.a3158b10cd02p-5, -0x1.99117499b2cc1p-5, -0x1.8f41c4e71c31dp-5, -0x1.85a5aa9f3a30ap-5, -0x1.7c3c55e33b61ep-5, -0x1.7304f85a4d31cp-5, -0x1.69fec53c202d9p-5, -0x1.6128f15ae7adfp-5, -0x1.5882b32cea51bp-5, -0x1.500b42d595912p-5, -0x1.47c1da2e1f525p-5, -0x1.3fa5b4cdb7f47p-5, -0x1.37b610114a5b8p-5, -0x1.2ff22b22d1bacp-5, -0x1.285947003ec7dp-5, -0x1.20eaa681f6e5p-5, -0x1.19a58e60e30ecp-5, -0x1.1289453c1d52cp-5, -0x1.0b95139e329dcp-5, -0x1.04c8440201501p-5, -0x1.fc4445ae622c8p-6, -0x1.ef43fd0c9a52ep-6, -0x1.e28e4ee8f10f8p-6, -0x1.d621e00d90335p-6, -0x1.c9fd594a7d18cp-6, -0x1.be1f677adb7f7p-6, -0x1.b286bb89807b7p-6, -0x1.a7320a74dc829p-6, -0x1.9c200d523a7a5p-6, -0x1.914f815061d9ep-6, -0x1.86bf27b997a71p-6, -0x1.7c6dc5f50e7d9p-6, -0x1.725a2587bde32p-6, -0x1.68831414ab766p-6, -0x1.5ee7635cb3578p-6, -0x1.5585e93dc4886p-6, -0x1.4c5d7fb1a5abdp-6, -0x1.436d04cc3a672p-6, -0x1.3ab35ab956c43p-6, -0x1.322f67ba1e77fp-6, -0x1.29e01621fed3bp-6, -0x1.21c454533a3c7p-6, -0x1.19db14bb10698p-6, -0x1.12234dcd8d44bp-6, -0x1.0a9bfa00efa5fp-6, -0x1.034417c8c9af6p-6, -0x1.f8355321720a9p-7, -0x1.ea3d6b6dc0c8dp-7, -0x1.dc9e8d0c0e4c5p-7, -0x1.cf56d45ee9059p-7, -0x1.c264658908eaap-7, -0x1.b5c56c5fec817p-7, -0x1.a9781c5dfe4a8p-7, -0x1.9d7ab0942c061p-7, -0x1.91cb6b9b2c586p-7, -0x1.866897842f401p-7, -0x1.7b5085c93a1abp-7, -0x1.70818f3d1fbcep-7, -0x1.65fa13fb11cddp-7, -0x1.5bb87b55e3526p-7, -0x1.51bb33c6e74b8p-7, -0x1.4800b2dc95a18p-7, -0x1.3e877528d34f9p-7, -0x1.354dfe2f03d0dp-7, -0x1.2c52d851d115bp-7, -0x1.239494c0bac22p-7, -0x1.1b11cb65720d2p-7, -0x1.12c91ad0ff293p-7, -0x1.0ab92828b56a7p-7, -0x1.02e09f130cafdp-7, -0x1.f67c63487f5eep-8, -0x1.e7a13095b861cp-8, -0x1.d92d23784b5afp-8, -0x1.cb1dc5c0d20bap-8, -0x1.bd70ad7e63a26p-8, -0x1.b0237cd6ee75ep-8, -0x1.a333e1df51033p-8, -0x1.969f9673833e9p-8, -0x1.8a64600e81f83p-8, -0x1.7e800fa2507d2p-8, -0x1.72f0816fdea2ep-8, -0x1.67b39cdef5dc4p-8, -0x1.5cc754561c2bfp-8, -0x1.5229a512a6195p-8, -0x1.47d897009be33p-8, -0x1.3dd23c92e0d93p-8, -0x1.3414b29b5049fp-8, -0x1.2a9e202314fddp-8, -0x1.216cb642fe295p-8, -0x1.187eaffc15f44p-8, -0x1.0fd252103b623p-8, -0x1.0765eadb07622p-8, -0x1.fe6fa4559a56dp-9, -0x1.ee8cd2337ef57p-9, -0x1.df2033cedfc26p-9, -0x1.d026afa4cae09p-9, -0x1.c19d3de3d251bp-9, -0x1.b380e8204665p-9, -0x1.a5cec908ebffdp-9, -0x1.98840c1c0245bp-9, -0x1.8b9ded5d2b2p-9, -0x1.7f19b90b761b3p-9, -0x1.72f4cb5862f82p-9, -0x1.672c901f3fff1p-9, -0x1.5bbe829d39a7cp-9, -0x1.50a82d29f54d4p-9, -0x1.45e728f105bf1p-9, -0x1.3b791dabb292ap-9, -0x1.315bc15bd2bd4p-9, -0x1.278cd806f68ebp-9, -0x1.1e0a337292efcp-9, -0x1.14d1b2e0b0ec8p-9, -0x1.0be142cd7b9b8p-9, -0x1.0336dcad5d02dp-9, -0x1.f5a10d583f43cp-10, -0x1.e558a6d91d4afp-10, -0x1.d590c3920ab9cp-10, -0x1.c645b9297c2b7p-10, -0x1.b773f4bbbc3dfp-10, -0x1.a917fa60c5f35p-10, -0x1.9b2e64b39f027p-10, -0x1.8db3e45b1a70bp-10, -0x1.80a53f95054abp-10, -0x1.73ff51c1d3b7p-10, -0x1.67bf0af2dd4fp-10, -0x1.5be16f79d1579p-10, -0x1.50639779f657cp-10, -0x1.4542ae7b0a44bp-10, -0x1.3a7bf2fdcb243p-10, -0x1.300cb612552ffp-10, -0x1.25f25aefa6d4p-10, -0x1.1c2a568d86eb2p-10, -0x1.12b22f3f88f48p-10, -0x1.09877c51eb4bbp-10, -0x1.00a7e5a81c994p-10, -0x1.f02246b9a1056p-11, -0x1.df81fac7d74ep-11, -0x1.cf6a965b6254dp-11, -0x1.bfd7e697b5659p-11, -0x1.b0c5d63086ed9p-11, -0x1.a2306cba1c54cp-11, -0x1.9413cdfcc24ap-11, -0x1.866c394b822c4p-11, -0x1.793608de1744p-11, -0x1.6c6db12d71e95p-11, -0x1.600fc053cbc47p-11, -0x1.5418dd6f7f92cp-11, -0x1.4885c808a6e91p-11, -0x1.3d53577aa35d9p-11, -0x1.327e7a5ea745ep-11, -0x1.280435fb1852dp-11, -0x1.1de1a5b47cb0ap-11, -0x1.1413fa81ed8c2p-11, -0x1.0a987a63faebp-11, -0x1.016c7fddff0a5p-11, -0x1.f11af2e55ff3ap-12, -0x1.dff1d245d47e6p-12, -0x1.cf58c7de53a44p-12, -0x1.bf4b22b87034cp-12, -0x1.afc455f10dbbbp-12, -0x1.a0bff7cd42584p-12, -0x1.9239c0cfffa4p-12, -0x1.842d8ad62a1d1p-12, -0x1.769750377a722p-12, -0x1.69732aebb9e5dp-12, -0x1.5cbd53b4c9ecdp-12, -0x1.5072214cc02e9p-12, -0x1.448e079926ed9p-12, -0x1.390d96e2955ecp-12, -0x1.2ded7b0f9c8a5p-12, -0x1.232a7ae476649p-12, -0x1.18c1774859a8fp-12, -0x1.0eaf6a8c79ff4p-12, -0x1.04f167b8a707ap-12, -0x1.f70933b6d2baap-13, -0x1.e4cc86bd00307p-13, -0x1.d3277abc74493p-13, -0x1.c214ee0af04f9p-13, -0x1.b18fe9dbbc819p-13, -0x1.a193a103e4f4p-13, -0x1.921b6ec95eb22p-13, -0x1.8322d5b816124p-13, -0x1.74a57e7c4986bp-13, -0x1.669f36c6dedf9p-13, -0x1.590bf0367885ap-13, -0x1.4be7bf4745c8cp-13, -0x1.3f2eda4bdb543p-13, -0x1.32dd9867d8ce5p-13, -0x1.26f07095d292cp-13, -0x1.1b63f8b10cb54p-13, -0x1.1034e484aa218p-13, -0x1.056004e4418dfp-13, -0x1.f5c48d8dbc414p-14, -0x1.e17164d37b52dp-14, -0x1.cdc0d4f0dc84fp-14, -0x1.baad5675e3f1ep-14, -0x1.a8f33cb0f299fp-14, -0x1.970715f5e884ep-14, -0x1.85a7fb981378dp-14, -0x1.74d13238d6a86p-14, -0x1.647e29a426633p-14, -0x1.54aa7b65395ep-14, -0x1.4551e9679e50ap-14, -0x1.36705ca3fc5dbp-14, -0x1.2801e3d574f15p-14, -0x1.1a02b23745fe9p-14, -0x1.0c6f1e4d8def1p-14, -0x1.fe87416f9d226p-15, -0x1.e4f9a613761b8p-15, -0x1.cc2edd55b5c39p-15, -0x1.b420979245a6ap-15, -0x1.9cc8c08e3441bp-15, -0x1.86217d725fd62p-15, -0x1.70252acf161c6p-15, -0x1.5ace5ab37d40dp-15, -0x1.4617d2d30210bp-15, -0x1.31fc8ab31cdbcp-15, -0x1.1e77a9ecec98dp-15, -0x1.0b8486810209ep-15, -0x1.f23d464e4d3b1p-16, -0x1.ce835b7910303p-16, -0x1.abd2fb6e0dda3p-16, -0x1.8a24254392304p-16, -0x1.696f255aaf1d7p-16, -0x1.49ac9286fcc5dp-16, -0x1.2ad54b4f777e6p-16, -0x1.0ce27353d86eap-16, -0x1.df9ae14a98824p-17, -0x1.a71fd2c747fe3p-17, -0x1.70478289c8987p-17, -0x1.3b062e8446df3p-17, -0x1.075086a8a79b8p-17, -0x1.aa37512353804p-18, -0x1.48ba367309d21p-18, -0x1.d42b2b91e327cp-19, -0x1.1c6c14ab1b43bp-19, -0x1.a84751fada6d6p-21, 0x1.0c1e061cad297p-21, 0x1.d605028b49771p-20, 0x1.8e0073d6386dap-19, 0x1.1610b25d354c4p-18, 0x1.62c2179938bf7p-18, 0x1.ad2345351b2fcp-18, 0x1.f5428aefd75c5p-18, 0x1.1d96d92d60111p-17, 0x1.3f79025454f34p-17, 0x1.604e280511b75p-17, 0x1.801c76753897cp-17, 0x1.9ee9e181bee0dp-17, 0x1.bcbc271955a29p-17, 0x1.d998d19c7b229p-17, 0x1.f5853a2d9173p-17, 0x1.0843455ed3502p-16, 0x1.1550e02141b2ap-16, 0x1.21edd65703e1cp-16, 0x1.2e1c7c735ebaap-16, 0x1.39df1351755dbp-16, 0x1.4537c91aae7c4p-16, 0x1.5028ba238b4b2p-16, 0x1.5ab3f1c3f9363p-16, 0x1.64db6b144b2eep-16, 0x1.6ea111c7d47bep-16, 0x1.7806c2d747bdep-16, 0x1.810e4d3c80e1dp-16, 0x1.89b9729e52ebbp-16, 0x1.9209e7ef556aep-16, 0x1.9a0156179183cp-16, 0x1.a1a15a848070dp-16, 0x1.a8eb87bc5c4abp-16, 0x1.afe165eb0c638p-16, 0x1.b684735e6155fp-16, 0x1.bcd625118f004p-16, 0x1.c2d7e71c19b11p-16, 0x1.c88b1d32a808fp-16, 0x1.cdf122faf9c18p-16, 0x1.d30b4c9332e2p-16, 0x1.d7dae6e503p-16, 0x1.dc6138093e1b8p-16, 0x1.e09f7fa10fac5p-16, 0x1.e496f72d69294p-16, 0x1.e848d262db452p-16, 0x1.ebb63f715a74fp-16, 0x1.eee0675621363p-16, 0x1.f1c86e1973a7fp-16, 0x1.f46f731b5d53p-16, 0x1.f6d69147bd55cp-16, 0x1.f8fedf56a4851p-16, 0x1.fae9700345a03p-16, 0x1.fc975243a0254p-16, 0x1.fe09917619a5bp-16, 0x1.ff413595624ffp-16, 0x1.001fa1aceb1f9p-15, 0x1.00825e39df428p-15, 0x1.00c94fd277ec3p-15, 0x1.00f4f47576715p-15, 0x1.0105c8ccf63fdp-15, 0x1.00fc48490482cp-15, 0x1.00d8ed210a397p-15, 0x1.009c3063e2ab2p-15, 0x1.00468a0d2caefp-15, 0x1.ffb0e21769badp-16, 0x1.fea4b69441ep-16, 0x1.fd697b7c63462p-16, 0x1.fc0018dca240cp-16, 0x1.fa6974f7bc496p-16, 0x1.f8a674549c99p-16, 0x1.f6b7f9cd0b665p-16, 0x1.f49ee69a467a1p-16, 0x1.f25c1a60ca3bcp-16, 0x1.eff0733aaa885p-16, 0x1.ed5ccdc0d3f2dp-16, 0x1.eaa205133bec4p-16, 0x1.e7c0f2e0c0374p-16, 0x1.e4ba6f6b16fd9p-16, 0x1.e18f518d29ep-16, 0x1.de406ec4b70d5p-16, 0x1.dace9b2c49c8fp-16, 0x1.d73aa982bcea1p-16, 0x1.d3856b341683p-16, 0x1.cfafb04a62757p-16, 0x1.cbba478319b53p-16, 0x1.c7a5fe3e426dbp-16, 0x1.c373a08583894p-16, 0x1.bf23f914fcbdcp-16, 0x1.bab7d144e25e3p-16, 0x1.b62ff1170a34bp-16, 0x1.b18d1f2e45e6dp-16, 0x1.acd020d738206p-16, 0x1.a7f9b9f46f8b5p-16, 0x1.a30aad0c6078dp-16, 0x1.9e03bb306edp-16, 0x1.98e5a4147f6f8p-16, 0x1.93b125f84f8b1p-16, 0x1.8e66fda9b186dp-16, 0x1.8907e67f26e6bp-16, 0x1.83949a56ec084p-16, 0x1.7e0dd188e6b23p-16, 0x1.787442f0a2aecp-16, 0x1.72c8a3de10469p-16, 0x1.6d0ba814dc5b3p-16, 0x1.673e01c7411abp-16, 0x1.616061917c6d8p-16, 0x1.5b73766bf82c3p-16, 0x1.5577edc2012b1p-16, 0x1.4f6e734c06dd7p-16, 0x1.4957b11d85dc4p-16, 0x1.43344f9a0fd0bp-16, 0x1.3d04f574fa073p-16, 0x1.36ca47a986a1bp-16, 0x1.3084e978b11a2p-16, }}, 
      {{0x1.5cbb3f00a1baap-3, 0x1.02396eef10429p-2, 0x1.70ce3f432f8e1p-2, 0x1.ea6a4f8cf8365p-2, 0x1.323a6111b124bp-1, 0x1.6c02d6e5efff2p-1, 0x1.a06e3b6802beap-1, 0x1.ce4f33aed756p-1, 0x1.f523c9c85764cp-1, 0x1.0a70333ab78d3p+0, 0x1.16e460629c9fbp+0, 0x1.202990b736842p+0, 0x1.2689cf676d4e3p+0, 0x1.2a568f6f9160dp+0, 0x1.2be35ef6d2f54p+0, 0x1.2b824f17a28b4p+0, 0x1.29818d27322b7p+0, 0x1.2629d32715fc1p+0, 0x1.21bd9feaf2384p+0, 0x1.1c78d9402b587p+0, 0x1.1690b447efa7ap+0, 0x1.1033df466506ap+0, 0x1.098ae4fbdcdd3p+0, 0x1.02b88ec09ca27p+0, 0x1.f7b4d18cf89ap-1, 0x1.ea128738525e8p-1, 0x1.dcb2e80696164p-1, 0x1.cfb71b3d9e33dp-1, 0x1.c3397d41656dbp-1, 0x1.b74e6ab57cf0ap-1, 0x1.ac051b30f419ap-1, 0x1.a16842947bd0cp-1, 0x1.977eac572e5a5p-1, 0x1.8e4bd729ea3a7p-1, 0x1.85d07a264d604p-1, 0x1.7e0af1a181cc4p-1, 0x1.76f7a5892a32p-1, 0x1.70916d0a002a6p-1, 0x1.6ad1e2e6387b7p-1, 0x1.65b1a5a4056ap-1, 0x1.61288cb40edc5p-1, 0x1.5d2ddb8295881p-1, 0x1.59b872fca4915p-1, 0x1.56befdcd9294dp-1, 0x1.54381494b8cb5p-1, 0x1.521a5980bda15p-1, 0x1.505c8c9fa3f28p-1, 0x1.4ef59b8f40d54p-1, 0x1.4ddcaf4cc35ep-1, 0x1.4d0939944ce93p-1, 0x1.4c730193c400ap-1, 0x1.4c122ea429549p-1, 0x1.4bdf4facdb4d7p-1, 0x1.4bd35eab7c6cbp-1, 0x1.4be81f30a21dp-1, 0x1.4c169bfb429f8p-1, 0x1.4c5962892e74bp-1, 0x1.4cab18cb6ea14p-1, 0x1.4d06c96d6c10cp-1, 0x1.4d67df3033931p-1, 0x1.4dca228326867p-1, 0x1.4e29b876ac627p-1, 0x1.4e8321724de42p-1, 0x1.4ed3366f41f69p-1, 0x1.4f17246b4cd32p-1, 0x1.4f4c66b077b9bp-1, 0x1.4f70c0f674665p-1, 0x1.4f823a35fe0bep-1, 0x1.4f7f188310afp-1, 0x1.4f65ddc088adcp-1, 0x1.4f3544bb24685p-1, 0x1.4eec3e3dfdc5cp-1, 0x1.4e89ede480af9p-1, 0x1.4e0da6a7423b5p-1, 0x1.4d76e745f98dbp-1, 0x1.4cc556b904cd7p-1, 0x1.4bf8c0c801bb2p-1, 0x1.4b1112cfc68f1p-1, 0x1.4a0e58b4552d9p-1, 0x1.48f0b9f7f9f8ap-1, 0x1.47b876f56c881p-1, 0x1.4665e641b80e3p-1, 0x1.44f9723ed78a7p-1, 0x1.437396e70cfe5p-1, 0x1.41d4dfd3f69eap-1, 0x1.401de67dd2bb2p-1, 0x1.3e4f50a9e0698p-1, 0x1.3c69cefbc7ce4p-1, 0x1.3a6e1b9dc758dp-1, 0x1.385cf8f585be1p-1, 0x1.3637305f060cbp-1, 0x1.33fd90eb9771fp-1, 0x1.31b0ee26b2fa3p-1, 0x1.2f521ee5d6f86p-1, 0x1.2ce1fc29e78ep-1, 0x1.2a6160183a635p-1, 0x1.27d1250f8be19p-1, 0x1.253224da5d708p-1, 0x1.228537fd7e4dap-1, 0x1.1fcb351f8621p-1, 0x1.1d04f0850d1d8p-1, 0x1.1a333b9da124ep-1, 0x1.1756e49e54dabp-1, 0x1.1470b62810f5dp-1, 0x1.118176f900774p-1, 0x1.0e89e9a934254p-1, 0x1.0b8acc72deb41p-1, 0x1.0884d9061df63p-1, 0x1.0578c467918a3p-1, 0x1.02673ed80dd17p-1, 0x1.fea167ac18b08p-2, 0x1.f86c8a1f9e767p-2, 0x1.f230bb76594aep-2, 0x1.ebef35f9d7ca1p-2, 0x1.e5a929027aa3dp-2, 0x1.df5fb8d584448p-2, 0x1.d913fe9c152cfp-2, 0x1.d2c70873fe83ep-2, 0x1.cc79d999038dfp-2, 0x1.c62d6aa2df816p-2, 0x1.bfe2a9d26c45ap-2, 0x1.b99a7b6748786p-2, 0x1.b355b9f7183a5p-2, 0x1.ad1536c0655c1p-2, 0x1.a6d9b9f49798fp-2, 0x1.a0a402f68b1cdp-2, 0x1.9a74c88d4f06cp-2, 0x1.944cb90c6fb58p-2, 0x1.8e2c7a748513bp-2, 0x1.8814aa8f84554p-2, 0x1.8205df0c6b75fp-2, 0x1.7c00a59d83f14p-2, 0x1.7605841badaafp-2, 0x1.7014f8b017965p-2, 0x1.6a2f7a04d0fep-2, 0x1.6455777ba479ep-2, 0x1.5e875969f8721p-2, 0x1.58c5815817537p-2, 0x1.53104a421057ep-2, 0x1.4d6808d89a81ap-2, 0x1.47cd0bc0ab895p-2, 0x1.423f9bd0e747dp-2, 0x1.3cbffc4c7afbp-2, 0x1.374e6b1b5a46fp-2, 0x1.31eb2100163fap-2, 0x1.2c9651cbb1e05p-2, 0x1.27502c8fe6bafp-2, 0x1.2218dbd02ddf4p-2, 0x1.1cf085b1e2be1p-2, 0x1.17d74c2b9523dp-2, 0x1.12cd4d3392a64p-2, 0x1.0dd2a2ed8b5f7p-2, 0x1.08e763d72042ep-2, 0x1.040ba2f32565bp-2, 0x1.fe7edfe6b7f08p-3, 0x1.f505aec0de55ep-3, 0x1.ebabc58018d0bp-3, 0x1.e27131720392dp-3, 0x1.d955fa6ab22bcp-3, 0x1.d05a230504754p-3, 0x1.c77da8df57fefp-3, 0x1.bec084d4ea689p-3, 0x1.b622ab3461aap-3, 0x1.ada40bf3e2f39p-3, 0x1.a54492e327dd6p-3, 0x1.9d0427dbee41ap-3, 0x1.94e2aef112ccfp-3, 0x1.8ce0089c7f9c6p-3, 0x1.84fc11ec159cfp-3, 0x1.7d36a4ad95f3bp-3, 0x1.758f9799943a7p-3, 0x1.6e06be7d629cbp-3, 0x1.669bea63ec658p-3, 0x1.5f4ee9bd83647p-3, 0x1.581f8886894aep-3, 0x1.510d906cf885ep-3, 0x1.4a18c8f4cf39p-3, 0x1.4340f79b481e2p-3, 0x1.3c85dff8f6676p-3, 0x1.35e743e2a95d9p-3, 0x1.2f64e3892954p-3, 0x1.28fe7d97b46e5p-3, 0x1.22b3cf514cd06p-3, 0x1.1c8494acc944bp-3, 0x1.1670886fb1243p-3, 0x1.10776447e460fp-3, 0x1.0a98e0e41ce63p-3, 0x1.04d4b60b53da6p-3, 0x1.fe5535661c933p-4, 0x1.f3348a2957351p-4, 0x1.e846d5836f21bp-4, 0x1.dd8b816eabb4cp-4, 0x1.d301f6e18907ap-4, 0x1.c8a99df218668p-4, 0x1.be81ddf7b70ap-4, 0x1.b48a1dab38febp-4, 0x1.aac1c3457f6cbp-4, 0x1.a128349c94a4fp-4, 0x1.97bcd73f630eep-4, 0x1.8e7f108fe6f22p-4, 0x1.856e45dc244c9p-4, 0x1.7c89dc75bf72ep-4, 0x1.73d139c85ed71p-4, 0x1.6b43c36ee0287p-4, 0x1.62e0df4770a22p-4, 0x1.5aa7f38699f2fp-4, 0x1.529866c95393fp-4, 0x1.4ab1a02627812p-4, 0x1.42f3073d775a1p-4, 0x1.3b5c0448f2728p-4, 0x1.33ec002a4545cp-4, 0x1.2ca26479108c1p-4, 0x1.257e9b9031ccap-4, 0x1.1e80109a66373p-4, 0x1.17a62f9e51fa7p-4, 0x1.10f06589f5c32p-4, 0x1.0a5e203d958f1p-4, 0x1.03eece961f40ep-4, 0x1.fb43c0ee2027p-5, 0x1.eeed8da7c750ep-5, 0x1.e2d9e77220c44p-5, 0x1.d707b4a927b81p-5, 0x1.cb75dca84043ep-5, 0x1.c023532762468p-5, 0x1.b50efdb310654p-5, 0x1.aa37cc4e6de7bp-5, 0x1.9f9cb183fc91cp-5, 0x1.953ca27298276p-5, 0x1.8b1696d9d017bp-5, 0x1.8129892594668p-5, 0x1.777476792875ep-5, 0x1.6df65eb951213p-5, 0x1.64ae4495b7d5p-5, 0x1.5b9b2d917f78ap-5, 0x1.52bc220b00f51p-5, 0x1.4a102d42b5559p-5, 0x1.41965d6149fcp-5, 0x1.394dc37ce3222p-5, 0x1.3135739d91ef7p-5, 0x1.294c84c104d26p-5, 0x1.219210dd78729p-5, 0x1.1a0534e3f3156p-5, 0x1.12a510c1d4aap-5, 0x1.0b70c761c394p-5, 0x1.04677eac04a11p-5, 0x1.fb10bf0c857b2p-6, 0x1.eda52ba5b0b2bp-6, 0x1.e08aa0df39e5cp-6, 0x1.d3bf82688d3cdp-6, 0x1.c74239e0cb08dp-6, 0x1.bb1136d203914p-6, 0x1.af2aeeabc7e3bp-6, 0x1.a38ddcbd22a3fp-6, 0x1.9838822dfa456p-6, 0x1.8d2965f7f1ca1p-6, 0x1.825f14decc3ffp-6, 0x1.77d821685c225p-6, 0x1.6d9323d40879ep-6, 0x1.638eba11e7ba8p-6, 0x1.59c987b97ba22p-6, 0x1.504236000bfb4p-6, 0x1.46f773aeb127ap-6, 0x1.3de7f517f8a15p-6, 0x1.3512740d480bp-6, 0x1.2c75afd3e1f4dp-6, 0x1.24106d19a38e6p-6, 0x1.1be175e975a58p-6, 0x1.13e7999f73c19p-6, 0x1.0c21acdcd0654p-6, 0x1.048e897b71899p-6, 0x1.fa5a1d02a1294p-7, 0x1.ebf84027375eep-7, 0x1.ddf54ed3352ecp-7, 0x1.d04f257ec2f2dp-7, 0x1.c303aa909b3cep-7, 0x1.b610ce429c093p-7, 0x1.a9748a860ec2cp-7, 0x1.9d2ce2e79093cp-7, 0x1.9137e472b5bffp-7, 0x1.8593a5956c41ap-7, 0x1.7a3e46031808bp-7, 0x1.6f35ee9789392p-7, 0x1.6478d139b044cp-7, 0x1.5a0528be43f18p-7, 0x1.4fd938ca280b5p-7, 0x1.45f34db4d5c5cp-7, 0x1.3c51bc6a9db22p-7, 0x1.32f2e24ee4809p-7, 0x1.29d5251e52ce5p-7, 0x1.20f6f2d10343ap-7, 0x1.1856c17cb35e9p-7, 0x1.0ff30f36f8be2p-7, 0x1.07ca61f78480cp-7, 0x1.ffb68ef4ebabep-8, 0x1.f048aa457a556p-8, 0x1.e1484fb938616p-8, 0x1.d2b2c8007c7b7p-8, 0x1.c4856a68de23ap-8, 0x1.b6bd9ca2e7e83p-8, 0x1.a958d28816779p-8, 0x1.9c548de120e0ap-8, 0x1.8fae5e2c9db6bp-8, 0x1.8363e065fb863p-8, 0x1.7772beccd2835p-8, 0x1.6bd8b0acab517p-8, 0x1.60937a251b5b2p-8, 0x1.55a0ebf24ea95p-8, 0x1.4afee3360d031p-8, 0x1.40ab494122fa5p-8, 0x1.36a4135d45215p-8, 0x1.2ce742976fa98p-8, 0x1.2372e38abf9b9p-8, 0x1.1a450e2bc8c09p-8, 0x1.115be5947216ep-8, 0x1.08b597d050f13p-8, 0x1.00505da98c51p-8, 0x1.f054f4ec9b1c8p-9, 0x1.e08477cd63d28p-9, 0x1.d12bf3a69bd54p-9, 0x1.c2482c1888826p-9, 0x1.b3d5f851c0b5ep-9, 0x1.a5d242af9d3c6p-9, 0x1.983a085fb80d2p-9, 0x1.8b0a59029ee27p-9, 0x1.7e40564fb4208p-9, 0x1.71d933ba2814fp-9, 0x1.65d236172ce78p-9, 0x1.5a28b34557b7cp-9, 0x1.4eda11d52676cp-9, 0x1.43e3c8b2bb60ap-9, 0x1.39435ed0cd84bp-9, 0x1.2ef66ad4b3e7ap-9, 0x1.24fa92c3b9f95p-9, 0x1.1b4d8bb194d58p-9, 0x1.11ed197007f28p-9, 0x1.08d70e3fbe4f2p-9, 0x1.00094a82473c5p-9, 0x1.ef0378da9f0f1p-10, 0x1.de7cbf7decbdfp-10, 0x1.ce7a7ae6c1ae8p-10, 0x1.bef8d6f6af6efp-10, 0x1.aff418e85f71cp-10, 0x1.a1689ec187dd1p-10, 0x1.9352dec72f739p-10, 0x1.85af66f44cf7fp-10, 0x1.787adc7292c3p-10, 0x1.6bb1fb157e302p-10, 0x1.5f5194d7ae40dp-10, 0x1.5356915a67929p-10, 0x1.47bded6757aa6p-10, 0x1.3c84ba74714e5p-10, 0x1.31a81e2a07141p-10, 0x1.272551eb0c80cp-10, 0x1.1cf9a25f79384p-10, 0x1.13226f00b7b76p-10, 0x1.099d29a840402p-10, 0x1.006756204ab08p-10, 0x1.eefd136ce99d9p-11, 0x1.ddc0d5a1254a3p-11, 0x1.cd156106eda01p-11, 0x1.bcf644575c0e3p-11, 0x1.ad5f2e1092015p-11, 0x1.9e4bebaf2d43ep-11, 0x1.8fb868eb7bdbcp-11, 0x1.81a0aefad0002p-11, 0x1.7400e3d43e35cp-11, 0x1.66d549796704dp-11, 0x1.5a1a3d42d23dcp-11, 0x1.4dcc373001d9bp-11, 0x1.41e7c93b0d67ap-11, 0x1.36699eafea803p-11, 0x1.2b4e7b870c3cp-11, 0x1.20933bc3dc0cdp-11, 0x1.1634d2d62b05cp-11, 0x1.0c304aff5437cp-11, 0x1.0282c4ba956a4p-11, 0x1.f252ec51b74f2p-12, 0x1.e04354fef9edfp-12, 0x1.ced182f4e1001p-12, 0x1.bdf85da33e2ep-12, 0x1.adb2f3622c4d4p-12, 0x1.9dfc786930ba9p-12, 0x1.8ed045cbe5166p-12, 0x1.8029d87cbd8e4p-12, 0x1.7204d05589f86p-12, 0x1.645cef25b79d2p-12, 0x1.572e17c63a017p-12, 0x1.4a744d32c7d5ep-12, 0x1.3e2bb1a8e9afcp-12, 0x1.325085cbb8848p-12, 0x1.26df27cd951e1p-12, 0x1.1bd4129e5211cp-12, 0x1.112bdd1ed8962p-12, 0x1.06e33959973a6p-12, 0x1.f9ede77f6bfadp-13, 0x1.e6c7e4d64ac82p-13, 0x1.d44e68ca8f65cp-13, 0x1.c27ba1e42d268p-13, 0x1.b149edc01c31ep-13, 0x1.a0b3d7b7ab631p-13, 0x1.90b417922c143p-13, 0x1.8145903cfb4f3p-13, 0x1.72634e8d8ad87p-13, 0x1.6408880ad4f08p-13, 0x1.563099bdd3384p-13, 0x1.48d7070ae569bp-13, 0x1.3bf778923063bp-13, 0x1.2f8dbb1741329p-13, 0x1.2395be7087cd5p-13, 0x1.180b947c7b146p-13, 0x1.0ceb701f81691p-13, 0x1.0231a4471bd82p-13, 0x1.efb545e8b8ebcp-14, 0x1.dbc5f898f28ep-14, 0x1.c88ebb5fb82dcp-14, 0x1.b60921aee22a8p-14, 0x1.a42ef5ef3f386p-14, 0x1.92fa37d2bf06ep-14, 0x1.82651ab31aa37p-14, 0x1.726a03f90dc08p-14, 0x1.63038990b7997p-14, 0x1.542c7068c9969p-14, 0x1.45dfaafb008fep-14, 0x1.381857df6abbdp-14, 0x1.2ad1c06989cafp-14, 0x1.1e07574fcec0bp-14, 0x1.11b4b75b72fd3p-14, 0x1.05d5a222c3e03p-14, 0x1.f4cbfd9833968p-15, 0x1.dec3b1b2f4ac7p-15, 0x1.c98abdfa15fdep-15, 0x1.b519c3edde82ep-15, 0x1.a169a6f20637p-15, 0x1.8e738a2c2a3b7p-15, 0x1.7c30ce6b73d08p-15, 0x1.6a9b1023f8bedp-15, 0x1.59ac257884057p-15, 0x1.495e1c50842c7p-15, 0x1.39ab38805cc2p-15, 0x1.2a8df1fcd78ep-15, 0x1.1c00f31c2359p-15, 0x1.0dff16e75483fp-15, 0x1.008367759dc64p-15, 0x1.e71238ab7592cp-16, 0x1.ce173206fea91p-16, 0x1.b60cd6d3ee3e6p-16, 0x1.9fd9ff889605fp-16, 0x1.89937bbb9fddcp-16, 0x1.742426b3278a5p-16, 0x1.5f8466a995b11p-16, 0x1.4bace869c7b4fp-16, 0x1.38969cd09a5b3p-16, 0x1.263ab6661fc1cp-16, 0x1.1492a70d685b8p-16, 0x1.03981dc34bdefp-16, 0x1.e68a08e6d36dcp-17, 0x1.c726fbba68047p-17, 0x1.a8fbc71b824ddp-17, 0x1.8bfd87cdcb945p-17, 0x1.7021c07262418p-17, 0x1.555e55e140b72p-17, 0x1.3ba98b98fd629p-17, 0x1.22fa0051b1f13p-17, 0x1.0b46aaace6a5cp-17, 0x1.e90dac03c4424p-18, 0x1.bd643e8bac01cp-18, 0x1.9380e41b8c44ap-18, 0x1.6b540b5253bbdp-18, 0x1.44ceb4c099706p-18, 0x1.1fe26d69bb9d9p-18, 0x1.f9029341acb69p-19, 0x1.b53bbff4bfb65p-19, 0x1.745688e58c7b7p-19, 0x1.363a077dd9634p-19, 0x1.f59c7b04367bfp-20, 0x1.83f818a2f5f2ap-20, 0x1.175a590894a7ap-20, 0x1.5f309696e5a59p-21, 0x1.322233d34ceb3p-22, -0x1.1fcc55a2ec8cep-24, -0x1.b07879fd02dc8p-22, -0x1.84011dfbe1bfdp-21, -0x1.13c7d2947fef8p-20, -0x1.61965d74b6cfp-20, -0x1.ab8d68dec1ce2p-20, -0x1.f1ccff6081fep-20, -0x1.1a3a044cd6f05p-19, -0x1.39d02a54466c2p-19, -0x1.57b7536f50c4dp-19, -0x1.73fd604e6b68fp-19, -0x1.8eafb59db72c4p-19, -0x1.a7db40f5cb551p-19, -0x1.bf8c7d8bfeca5p-19, -0x1.d5cf78c46b51bp-19, -0x1.eaafd66bbdfd2p-19, -0x1.fe38d513515cbp-19, -0x1.083aa902709eep-18, -0x1.10b7e691ae64dp-18, -0x1.189936541a5abp-18, -0x1.1fe3805e6a658p-18, -0x1.269b8370efbb4p-18, -0x1.2cc5d6ae2f50ep-18, -0x1.3266eb1cecd82p-18, -0x1.37830d3d58368p-18, -0x1.3c1e667fd1e26p-18, -0x1.403cfea869522p-18, -0x1.43e2bd2c8ebf5p-18, -0x1.47136a7d6ed7ap-18, -0x1.49d2b149517cbp-18, -0x1.4c241fab5ee6p-18, -0x1.4e0b2848f3421p-18, -0x1.4f8b2379758cdp-18, -0x1.50a750481d9e2p-18, -0x1.5162d5797e0fap-18, -0x1.51c0c284a824ep-18, -0x1.51c410735f1bep-18, -0x1.516fa2d6fa485p-18, -0x1.50c648947768bp-18, -0x1.4fcabcb6df654p-18, -0x1.4e7fa735a95e8p-18, -0x1.4ce79db1590bfp-18, -0x1.4b052429f918bp-18, -0x1.48daada9986cap-18, -0x1.466a9cf2ed4c1p-18, -0x1.43b7450e0f8cp-18, -0x1.40c2e9f00189ep-18, -0x1.3d8fc102e23f1p-18, -0x1.3a1ff1b0a86c5p-18, -0x1.367595e70cd32p-18, -0x1.3292ba94f30a1p-18, -0x1.2e7960201957dp-18, -0x1.2a2b7ad860082p-18, -0x1.25aaf363a7552p-18, -0x1.20f9a723dc512p-18, -0x1.1c1968a1108fap-18, -0x1.170bffdc8570dp-18, -0x1.11d32aaf40596p-18, -0x1.0c709d1e9556bp-18, -0x1.06e601aebbaa7p-18, -0x1.0134f9b0229b4p-18, -0x1.f6be3b0515aaep-19, -0x1.eacbf9b939f0cp-19, -0x1.de963e30ca272p-19, -0x1.d22006d12b5afp-19, -0x1.c56c422ae3352p-19, -0x1.b87dcf66c6411p-19, -0x1.ab577ed1d0718p-19, -0x1.9dfc1219012efp-19, -0x1.906e3cb751a64p-19, -0x1.82b0a46988326p-19, -0x1.74c5e171112c7p-19, -0x1.66b07ee96f925p-19, -0x1.5872fb1f75a82p-19, -0x1.4a0fc7dc3a32p-19, -0x1.3b894aa626fb2p-19, -0x1.2ce1dd095e0c4p-19, -0x1.1e1bccde03e4ap-19, -0x1.0f395c7c0aa6ap-19, -0x1.003cc2fc9965p-19, -0x1.e25058e079547p-20, -0x1.c3fb74280ef86p-20, -0x1.a57f05083d329p-20, -0x1.86df23d561bacp-20, -0x1.681fd465433f6p-20, -0x1.49450654f90bcp-20, -0x1.2a5295734e7ecp-20, -0x1.0b4c49fe95149p-20, -0x1.d86bb1a7d69efp-21, -0x1.9a25c8149fae6p-21, -0x1.5bcdf5c961352p-21, -0x1.1d6b347d994bbp-21, -0x1.be08b33caa106p-22, -0x1.41402cf0802d1p-22, -0x1.8913e48e873b4p-23, -0x1.1fcb63dcdb5e6p-24, 0x1.a3c472d2ef8e2p-25, 0x1.6157ef2c4f18fp-23, 0x1.2c9b59e233f63p-22, 0x1.a83aef80fc5bcp-22, 0x1.11bf9a5f46b79p-21, 0x1.4f2e73de90abfp-21, 0x1.8c64836d2f665p-21, 0x1.c95c68620acb6p-21, 0x1.030870e5e784cp-20, 0x1.213e6708b84bp-20, 0x1.3f4d95608ac7dp-20, 0x1.5d338a1458243p-20, 0x1.7aede28b9e6c9p-20, 0x1.987a4b47c1cd7p-20, 0x1.b5d67fbe09eb2p-20, 0x1.d3004a3658a38p-20, 0x1.eff58394e1e47p-20, 0x1.065a09be7afeap-19, 0x1.149cf7d692dcap-19, 0x1.22c28e2a2276p-19, 0x1.30c9d5df260f7p-19, 0x1.3eb1df1a0fb55p-19, 0x1.4c79c0e72e72bp-19, 0x1.5a20993f4ae9p-19, 0x1.67a58cdb00ac3p-19, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.0043130e1e3a8p-6, -0x1.000b6ada82b77p-5, -0x1.7f8652a44d755p-5, -0x1.fe5b99cf12bbfp-5, -0x1.3e2ac87244a92p-4, -0x1.7c9fe2f0063bap-4, -0x1.ba73a0d9fb912p-4, -0x1.f78d5ea5a975ap-4, -0x1.19eab38baeb69p-3, -0x1.379a82cbd76e6p-3, -0x1.54cb4a67fa841p-3, -0x1.7172c4ee00724p-3, -0x1.8d873e322062ap-3, -0x1.a8ff95fa24a59p-3, -0x1.c3d3416fff328p-3, -0x1.ddfa4b82f7a58p-3, -0x1.f76d545c28785p-3, -0x1.0812c80417164p-2, -0x1.140e623a67f83p-2, -0x1.1fa6a36f1c10bp-2, -0x1.2ad8fc6226fp-2, -0x1.35a3223ee86d1p-2, -0x1.40030cbe1054cp-2, -0x1.49f6f42816f38p-2, -0x1.537d4f3f69066p-2, -0x1.5c94d118773fdp-2, -0x1.653c66e4fda73p-2, -0x1.6d7335b719fbbp-2, -0x1.753898402d01ap-2, -0x1.7c8c1c8eee6c7p-2, -0x1.836d81cfb118bp-2, -0x1.89dcb6115a235p-2, -0x1.8fd9d41143896p-2, -0x1.9565210fe0e7cp-2, -0x1.9a7f0aafc5879p-2, -0x1.9f2824e053cf2p-2, -0x1.a36127d539af6p-2, -0x1.a72aee0b918e1p-2, -0x1.aa86725d5a3cep-2, -0x1.ad74ce23c89c3p-2, -0x1.aff73768c365cp-2, -0x1.b20eff27bd759p-2, -0x1.b3bd8f9dffb7ap-2, -0x1.b5046aaa4b6bap-2, -0x1.b5e5283bb18fp-2, -0x1.b66174cf5a615p-2, -0x1.b67b0ffce9726p-2, -0x1.b633cb111c96fp-2, -0x1.b58d87b6352dcp-2, -0x1.b48a36a9b2512p-2, -0x1.b32bd67ede2d8p-2, -0x1.b174726daa8a5p-2, -0x1.af66212d5f2eep-2, -0x1.ad0303da8d651p-2, -0x1.aa4d44e7d4efap-2, -0x1.a7471718f5302p-2, -0x1.a3f2b487bac89p-2, -0x1.a0525db256ec6p-2, -0x1.9c685892b897ap-2, -0x1.9836efbe8759fp-2, -0x1.93c0718f6359ap-2, -0x1.8f072f531cb6ap-2, -0x1.8a0d7c839393ep-2, -0x1.84d5ae05ff3e9p-2, -0x1.7f62197164286p-2, -0x1.79b5145bfc73ap-2, -0x1.73d0f3af69493p-2, -0x1.6db80b03801c3p-2, -0x1.676cabff90ac4p-2, -0x1.60f125c20096ep-2, -0x1.5a47c44e22f5ep-2, -0x1.5372d0002f046p-2, -0x1.4c748d07411d9p-2, -0x1.454f3ae54f37cp-2, -0x1.3e0513f4fd103p-2, -0x1.36984cf53f51fp-2, -0x1.2f0b149abacep-2, -0x1.275f9326cc6abp-2, -0x1.1f97ea042bb82p-2, -0x1.17b6336911ba7p-2, -0x1.0fbc81fed4f7p-2, -0x1.07ace08ee769cp-2, -0x1.ff12a36a371dep-3, -0x1.eea79f2e4a24ep-3, -0x1.de1c97426f57fp-3, -0x1.cd755c8f58d34p-3, -0x1.bcb5ad9b2ed47p-3, -0x1.abe1362064a5fp-3, -0x1.9afb8eadfcf23p-3, -0x1.8a083c510c3d3p-3, -0x1.790ab0472cfdap-3, -0x1.680647b9c4c98p-3, -0x1.56fe4b81b3acep-3, -0x1.45f5eff3588dfp-3, -0x1.34f054b27f4e6p-3, -0x1.23f0848e11f6dp-3, -0x1.12f975633798dp-3, -0x1.020e0807a97ep-3, -0x1.e2621075c814fp-4, -0x1.c0ca593c0967p-4, -0x1.9f5a2d63f4e3ep-4, -0x1.7e16a5b7a74a3p-4, -0x1.5d04b0dda8821p-4, -0x1.3c29137830f05p-4, -0x1.1b88684efaa8cp-4, -0x1.f64e410628cdcp-5, -0x1.b6130798645d6p-5, -0x1.7667617df4ea4p-5, -0x1.37533a379ae91p-5, -0x1.f1bc589626633p-6, -0x1.761f03ff5859ap-6, -0x1.f7b8d8a3b4c0bp-7, -0x1.0603d3f9dd025p-7, -0x1.7387400c85bap-11, 0x1.a92200d04f717p-8, 0x1.bd4171988e799p-7, 0x1.51617987247c2p-6, 0x1.c2805f9c29eb8p-6, 0x1.18f9ccc80848dp-5, 0x1.4fd8f27d10171p-5, 0x1.85d9461dc10bep-5, 0x1.baf6b214eec5bp-5, 0x1.ef2d64d739873p-5, 0x1.113ce7d6bba71p-4, 0x1.2a6c52bd403dbp-4, 0x1.43236cbe77f9p-4, 0x1.5b60cf06a9446p-4, 0x1.732331aca2c22p-4, 0x1.8a696b0dfadfap-4, 0x1.a1326f2a39a25p-4, 0x1.b77d4efd1d674p-4, 0x1.cd4937d836ed5p-4, 0x1.e29572bbf3b5bp-4, 0x1.f76163b06a1d9p-4, 0x1.05d6448ef500cp-3, 0x1.0fbb3d92c872fp-3, 0x1.195f757d01883p-3, 0x1.22c2d11c349f1p-3, 0x1.2be54120edb5ep-3, 0x1.34c6c1caa523bp-3, 0x1.3d675a950e099p-3, 0x1.45c71de5c2015p-3, 0x1.4de628ba59de2p-3, 0x1.55c4a25705175p-3, 0x1.5d62bbf5a6e65p-3, 0x1.64c0b07584876p-3, 0x1.6bdec40b91cefp-3, 0x1.72bd43f36078fp-3, 0x1.795c8620c3ca2p-3, 0x1.7fbce8f228835p-3, 0x1.85ded2e3b480ap-3, 0x1.8bc2b24323761p-3, 0x1.9168fce47eb25p-3, 0x1.96d22fd7a7fc6p-3, 0x1.9bfecf1ebdb4ep-3, 0x1.a0ef65656c762p-3, 0x1.a5a483b91d7bep-3, 0x1.aa1ec1421df94p-3, 0x1.ae5ebafdb7726p-3, 0x1.b26513793f40fp-3, 0x1.b632728e26107p-3, 0x1.b9c7851f03cd3p-3, 0x1.bd24fcd5b19d5p-3, 0x1.c04b8fe26593dp-3, 0x1.c33bf8bbde2fep-3, 0x1.c5f6f5e09cc7cp-3, 0x1.c87d49993507ap-3, 0x1.cacfb9bbaee04p-3, 0x1.ccef0f70010dep-3, 0x1.cedc16f5a97f7p-3, 0x1.d0979f6a5bb1ap-3, 0x1.d2227a91d4d4ep-3, 0x1.d37d7c9ec96c7p-3, 0x1.d4a97bfcf7d6bp-3, 0x1.d5a7511c5c397p-3, 0x1.d677d63d88764p-3, 0x1.d71be73f2026p-3, 0x1.d794616c7b409p-3, 0x1.d7e2234d6bea5p-3, 0x1.d8060c772bce4p-3, 0x1.d800fd5e71e66p-3, 0x1.d7d3d72aa8c61p-3, 0x1.d77f7b8a4e344p-3, 0x1.d704cc887a51ap-3, 0x1.d664ac63857f4p-3, 0x1.d59ffd64db198p-3, 0x1.d4b7a1b9e3084p-3, 0x1.d3ac7b4e1ba7cp-3, 0x1.d27f6ba649a68p-3, 0x1.d13153bcca28p-3, 0x1.cfc313df09d11p-3, 0x1.ce358b8c08fcbp-3, 0x1.cc8999540da5ep-3, 0x1.cac01ab959afp-3, 0x1.c8d9ec1209963p-3, 0x1.c6d7e86af868ap-3, 0x1.c4bae96bbfd32p-3, 0x1.c283c73bbf32ep-3, 0x1.c033586836d98p-3, 0x1.bdca71cb65eb4p-3, 0x1.bb49e674b1e25p-3, 0x1.b8b28791d18d8p-3, 0x1.b6052458f9c93p-3, 0x1.b34289f404074p-3, 0x1.b06b836c93ecfp-3, 0x1.ad80d9992b50cp-3, 0x1.aa83530b3b8c7p-3, 0x1.a773b3fe1c621p-3, 0x1.a452be46f5a7ep-3, 0x1.a12131458cc5p-3, 0x1.9ddfc9d5f51ecp-3, 0x1.9a8f424326fb8p-3, 0x1.9730523a6b423p-3, 0x1.93c3aebfa240ep-3, 0x1.904a0a225e6e9p-3, 0x1.8cc413f3d0869p-3, 0x1.893278fd78abap-3, 0x1.8595e338aaa7p-3, 0x1.81eef9c6c5977p-3, 0x1.7e3e60ea3a55fp-3, 0x1.7a84ba0040e52p-3, 0x1.76c2a37b4698dp-3, 0x1.72f8b8de1250fp-3, 0x1.6f2792b791983p-3, 0x1.6b4fc69f4c00ep-3, 0x1.6771e73283ca3p-3, 0x1.638e8411ef93ap-3, 0x1.5fa629e00edefp-3, 0x1.5bb962401b252p-3, 0x1.57c8b3d58688cp-3, 0x1.53d4a2440e4ecp-3, 0x1.4fddae3050671p-3, 0x1.4be45540edb21p-3, 0x1.47e912202a0ebp-3, 0x1.43ec5c7e078dap-3, 0x1.3feea912ddab2p-3, 0x1.3bf069a26667p-3, 0x1.37f20cff36abfp-3, 0x1.33f3ff0ea74eep-3, 0x1.2ff6a8cd23351p-3, 0x1.2bfa7052daa29p-3, 0x1.27ffb8d8d90c8p-3, 0x1.2406e2be711f2p-3, 0x1.20104b8f035d4p-3, 0x1.1c1c4e081cb6p-3, 0x1.182b421fe1a0cp-3, 0x1.143d7d0bc15a6p-3, 0x1.105351477cb21p-3, 0x1.0c6d0e9c68a6ep-3, 0x1.088b0228f3de6p-3, 0x1.04ad766870b8p-3, 0x1.00d4b33b10a1fp-3, 0x1.fa01fbdc3a01ep-4, 0x1.f2653288c0f19p-4, 0x1.ead38afd82ee4p-4, 0x1.e34d80ca187b6p-4, 0x1.dbd38a9dc1fa8p-4, 0x1.d4661a599f5b3p-4, 0x1.cd059d232aa51p-4, 0x1.c5b27b76e90b1p-4, 0x1.be6d193b6ead5p-4, 0x1.b735d5d48ad15p-4, 0x1.b00d0c369c90cp-4, 0x1.a8f312fa289f4p-4, 0x1.a1e83c6f8b362p-4, 0x1.9aecd6b2c0de8p-4, 0x1.94012bbf60d82p-4, 0x1.8d2581849e5bep-4, 0x1.865a19f965d7bp-4, 0x1.7f9f333084e55p-4, 0x1.78f5076cdf189p-4, 0x1.725bcd35a706bp-4, 0x1.6bd3b76a9a1e7p-4, 0x1.655cf5583b9e8p-4, 0x1.5ef7b2cc07a1cp-4, 0x1.58a418289ec7bp-4, 0x1.52624a79e3f74p-4, 0x1.4c326b8909f23p-4, 0x1.461499f08de89p-4, 0x1.4008f1301a4c6p-4, 0x1.3a0f89c04ff63p-4, 0x1.34287926745ebp-4, 0x1.2e53d207fd8acp-4, 0x1.2891a43dfdc5ep-4, 0x1.22e1fce86a978p-4, 0x1.1d44e6813bca4p-4, 0x1.17ba68ef61476p-4, 0x1.124289998e60dp-4, 0x1.0cdd4b78d540bp-4, 0x1.078aaf2b15d69p-4, 0x1.024ab30537779p-4, 0x1.fa3aa64a65a21p-5, 0x1.f0051307c82ep-5, 0x1.e5f49c0d50d7fp-5, 0x1.dc092d2185a01p-5, 0x1.d242ae290eb85p-5, 0x1.c8a10348982b4p-5, 0x1.bf240d063c967p-5, 0x1.b5cba86a7627ep-5, 0x1.ac97af2091a5fp-5, 0x1.a387f796a651bp-5, 0x1.9a9c551d0e6bbp-5, 0x1.91d498055d2f4p-5, 0x1.89308dc0d3546p-5, 0x1.80b000fe50adap-5, 0x1.7852b9c7c17c2p-5, 0x1.70187d9f060f2p-5, 0x1.68010f9a52eecp-5, 0x1.600c30800c06ep-5, 0x1.58399ee21910fp-5, 0x1.50891738aea8cp-5, 0x1.48fa53fc9424fp-5, 0x1.418d0dc0de1a7p-5, 0x1.3a40fb4c2110ap-5, 0x1.3315d1b11dcd8p-5, 0x1.2c0b4466e2a7ep-5, 0x1.25210560699c3p-5, 0x1.1e56c523a9ff5p-5, 0x1.17ac32e026f3dp-5, 0x1.1120fc84f6c3ep-5, 0x1.0ab4ced6431fap-5, 0x1.0467558246789p-5, 0x1.fc70766b88077p-6, 0x1.f04e535ff84ap-6, 0x1.e46793ac4028p-6, 0x1.d8bb878c826bfp-6, 0x1.cd497dd3893c4p-6, 0x1.c210c40ea4868p-6, 0x1.b710a6a894f06p-6, 0x1.ac48710b78c08p-6, 0x1.a1b76dc1c331ap-6, 0x1.975ce6963ee3p-6, 0x1.8d3824b320543p-6, 0x1.834870c029d3cp-6, 0x1.798d12ffe02d3p-6, 0x1.7005536bdaa3fp-6, 0x1.66b079d02e3b9p-6, 0x1.5d8dcde5f17cbp-6, 0x1.549c976ce3f8ep-6, 0x1.4bdc1e443dc62p-6, 0x1.434baa829c643p-6, 0x1.3aea848d26609p-6, 0x1.32b7f52dd2059p-6, 0x1.2ab345a8e7007p-6, 0x1.22dbbfd1ab84fp-6, 0x1.1b30ae1e52bcfp-6, 0x1.13b15bbb22abap-6, 0x1.0c5d149cd724ap-6, 0x1.053325924d199p-6, 0x1.fc65b8aae6da5p-7, 0x1.eeb70f36ffc94p-7, 0x1.e158ee48f5031p-7, 0x1.d449f7942535ep-7, 0x1.c788cf1b9e992p-7, 0x1.bb141b4d25954p-7, 0x1.aeea851af4e8ap-7, 0x1.a30ab81446c4bp-7, 0x1.9773627c97687p-7, 0x1.8c233561ba8dp-7, 0x1.8118e4b0c675ap-7, 0x1.76532749d60a8p-7, 0x1.6bd0b712aea99p-7, 0x1.619051084f4e4p-7, 0x1.5790b54f72ea5p-7, 0x1.4dd0a744004e7p-7, 0x1.444eed877f8fbp-7, 0x1.3b0a520e9284fp-7, 0x1.3201a22d72552p-7, 0x1.2933aea3841a4p-7, 0x1.209f4ba6032f9p-7, 0x1.184350e9c8a2p-7, 0x1.101e99ac38e7fp-7, 0x1.083004bb5ad4dp-7, 0x1.0076747d1fcebp-7, 0x1.f1e19debc80d6p-8, 0x1.e33bfb9c54baep-8, 0x1.d4f9dcaf3881ap-8, 0x1.c7192322a498fp-8, 0x1.b997b856d60b7p-8, 0x1.ac738d13ee516p-8, 0x1.9faa998e7d3e8p-8, 0x1.933add6acc4e6p-8, 0x1.87225fbef2595p-8, 0x1.7b5f2f13bca41p-8, 0x1.6fef616476943p-8, 0x1.64d1141d9b93fp-8, 0x1.5a026c1a7c26ap-8, 0x1.4f8195a1df783p-8, 0x1.454cc461af32bp-8, 0x1.3b623369b0b19p-8, 0x1.31c025255ac7p-8, 0x1.2864e354cdfb8p-8, 0x1.1f4ebf04fad2cp-8, 0x1.167c1086fb265p-8, 0x1.0deb3766aa695p-8, 0x1.059a9a608665cp-8, 0x1.fb114eadb71bap-9, 0x1.eb67a68c94348p-9, 0x1.dc35347353c04p-9, 0x1.cd76fe7aa73dep-9, 0x1.bf2a18a3b341dp-9, 0x1.b14ba4bc6a9e3p-9, 0x1.a3d8d242e2a4ap-9, 0x1.96cede47ac559p-9, 0x1.8a2b134f4ab05p-9, 0x1.7deac932bf638p-9, 0x1.720b64ff5305ep-9, 0x1.668a58d58eb4p-9, 0x1.5b6523c7869adp-9, 0x1.509951b6744dcp-9, 0x1.46247b2fb01bfp-9, 0x1.3c0445491ad86p-9, 0x1.3236617cf8a43p-9, 0x1.28b88d854fe05p-9, 0x1.1f889336d306cp-9, 0x1.16a4485b5ddd6p-9, 0x1.0e098e8c18072p-9, 0x1.05b6530b37e07p-9, 0x1.fb511d3afbbbap-10, 0x1.ebbc8ac6d1f77p-10, 0x1.dcab0d645cc41p-10, 0x1.ce18d9d8f4d83p-10, 0x1.c0023ab61913p-10, 0x1.b263900a4b0adp-10, 0x1.a5394f11c1f2ep-10, 0x1.988001e6ead77p-10, 0x1.8c344732c952ep-10, 0x1.8052d1dd4e20bp-10, 0x1.74d868bdac90ep-10, 0x1.69c1e64aaeda4p-10, 0x1.5f0c384b2d54cp-10, 0x1.54b45f86a0b86p-10, 0x1.4ab76f75df25bp-10, 0x1.41128df4171a8p-10, 0x1.37c2f2f003d2ap-10, 0x1.2ec5e81d72b8dp-10, 0x1.2618c8a71e697p-10, 0x1.1db900e0e0673p-10, 0x1.15a40dfa5125bp-10, 0x1.0dd77db1d1ea9p-10, 0x1.0650ee080e06p-10, 0x1.fe1c19e7f20bep-11, 0x1.f019302ea75adp-11, 0x1.e294b8e7782bdp-11, 0x1.d58a6c409ba22p-11, 0x1.c8f61fffb820ap-11, 0x1.bcd3c6ef91f3p-11, 0x1.b11f704efee67p-11, 0x1.a5d547412daep-11, 0x1.9af1923f43539p-11, 0x1.9070b28b5eeb7p-11, 0x1.864f23a507d28p-11, 0x1.7c897abf0e57ep-11, 0x1.731c6636e967cp-11, 0x1.6a04ad0d945eap-11, 0x1.613f2e61f4ac8p-11, 0x1.58c8e0ecce436p-11, 0x1.509ed27e4ade8p-11, 0x1.48be277d1869fp-11, 0x1.41241a6725bebp-11, 0x1.39cdfb53fed3cp-11, 0x1.32b92f78cce56p-11, 0x1.2be330adfdf2ep-11, 0x1.25498cf697a09p-11, 0x1.1ee9e60935f13p-11, 0x1.18c1f0dab6f77p-11, 0x1.12cf752a9ab38p-11, 0x1.0d104d111095dp-11, 0x1.0782648ebac13p-11, 0x1.0223b91e22fffp-11, 0x1.f9e4b28dc996cp-12, 0x1.efd8c8651619fp-12, 0x1.e6201286424a6p-12, 0x1.dcb70f56f1241p-12, 0x1.d39a5c12408fdp-12, 0x1.cac6b4001dba6p-12, 0x1.c238efaff935cp-12, 0x1.b9ee0436db583p-12, 0x1.b1e30270d28a9p-12, 0x1.aa151645ba2c8p-12, 0x1.a28185f1558d9p-12, 0x1.9b25b14eb9936p-12, 0x1.93ff112700188p-12, 0x1.8d0b368342515p-12, 0x1.8647ca01d21a4p-12, 0x1.7fb28b2eae22ep-12, 0x1.79494fdf27f31p-12, 0x1.730a0390bc3e9p-12, 0x1.6cf2a6cb0bf55p-12, 0x1.67014e84fb065p-12, 0x1.6134238ce5835p-12, 0x1.5b8961f3e6a5cp-12, 0x1.55ff587c2b66ap-12, 0x1.5094680a44f2ep-12, 0x1.4b47031979305p-12, 0x1.4615ad3302022p-12, 0x1.40fefa6839808p-12, 0x1.3c018ecfa6fa3p-12, 0x1.371c1e04e4312p-12, 0x1.324d6aab556b9p-12, 0x1.2d9445f3a6d5dp-12, 0x1.28ef8f240c0e3p-12, 0x1.245e3323304b1p-12, 0x1.1fdf2c05d9cdbp-12, 0x1.1b71809f2beb9p-12, 0x1.1714441386c6fp-12, 0x1.12c6956df6c1p-12, 0x1.0e879f382c705p-12, 0x1.0a569714f1da1p-12, 0x1.0632bd5d186cap-12, 0x1.021b5cbecf118p-12, 0x1.fc1f93beb4f9ap-13, 0x1.f41ec5fe57565p-13, 0x1.ec331f407c15fp-13, 0x1.e45b805d856e8p-13, 0x1.dc96db5807348p-13, 0x1.d4e432b6f6a05p-13, 0x1.cd4298e430aa8p-13, 0x1.c5b12f8f3a2b9p-13, 0x1.be2f27143457dp-13, 0x1.b6bbbde6e8c57p-13, 0x1.af564001e05f2p-13, 0x1.a7fe06596dd94p-13, 0x1.a0b276529e269p-13, 0x1.9973013dfce87p-13, 0x1.923f23d60f219p-13, 0x1.8b1665c187c55p-13, 0x1.83f859190bceep-13, 0x1.7ce499f086c57p-13, 0x1.75dacde3f92abp-13, 0x1.6edaa3a7a2321p-13, 0x1.67e3d29b8b0f6p-13, 0x1.60f61a624fd65p-13, 0x1.5a11427b178p-13, 0x1.533519deb77d9p-13, 0x1.4c61769fdde8ap-13, 0x1.4596358e44202p-13, 0x1.3ed339dcca49ap-13, 0x1.38186cca781e5p-13, 0x1.3165bd4e4d642p-13, 0x1.2abb1fc5cd5cbp-13, 0x1.24188da63edb9p-13, 0x1.1d7e05308d32cp-13, 0x1.16eb8927b7f25p-13, 0x1.10612089c5c4dp-13, 0x1.09ded64b3080ep-13, 0x1.0364b914aa022p-13, 0x1.f9e5b6068e9ap-14, 0x1.ed12a2d5c9e6ep-14, 0x1.e05069359f148p-14, 0x1.d39f3f492884ap-14, 0x1.c6ff6049e148dp-14, 0x1.ba710c1da9a5ep-14, 0x1.adf486f0d036fp-14, 0x1.a18a18d4092b1p-14, 0x1.95320d5e3c607p-14, 0x1.88ecb3520b613p-14, 0x1.7cba5c46fb144p-14, 0x1.709b5c562679dp-14, 0x1.649009ca6391cp-14, 0x1.5898bcd3c07b4p-14, 0x1.4cb5cf3e46cafp-14, 0x1.40e79c2be6a43p-14, 0x1.352e7fd17b2d8p-14, 0x1.298ad736cccfcp-14, 0x1.1dfcfff97ce4ap-14, 0x1.12855812c8a32p-14, 0x1.07243da00a119p-14, 0x1.f7b41d5bc9f17p-15, 0x1.e14e520c1a3a9p-15, 0x1.cb17d3ff1c4a4p-15, 0x1.b5115ca30ddb1p-15, 0x1.9f3ba3d08116fp-15, 0x1.89975f7925734p-15, 0x1.7425435b02b45p-15, 0x1.5ee600b8009e3p-15, 0x1.49da4611a0aa7p-15, 0x1.3502bee8bd71fp-15, 0x1.2060138138033p-15, 0x1.0bf2e8a96b272p-15, 0x1.ef77bf0a93d66p-16, 0x1.c7772aba0f263p-16, 0x1.9fe546de57855p-16, 0x1.78c33d8be70f8p-16, 0x1.5212301fc87e1p-16, 0x1.2bd336f6e7b8ap-16, 0x1.0607612b4e7e6p-16, 0x1.c15f68ae43d47p-17, 0x1.779a58ba42d2p-17, 0x1.2ec1766cf885ep-17, 0x1.cdad23171575fp-18, 0x1.3fb6cabb549bap-18, 0x1.6746619b5d8d7p-19, 0x1.4babc28c3e6eep-21, -0x1.7b3d988c218aap-20, -0x1.ca513980201f3p-19, -0x1.699388c4738c2p-18, -0x1.ec0db2b71c04p-18, -0x1.364a6748a5cb4p-17, -0x1.75935ded5aeb9p-17, }}, 
      {{-0x1.bbebf166cdf4cp-7, -0x1.bbbbb7c742c8fp-6, -0x1.4c909af8589aap-5, -0x1.bafb678081c33p-5, -0x1.14835bfc6d9dep-4, -0x1.4b4db05bdfc56p-4, -0x1.81d1539ca87d7p-4, -0x1.b80329ac351cfp-4, -0x1.edd85f384417dp-4, -0x1.11a3381d19bf2p-3, -0x1.2c2196c3bdd37p-3, -0x1.466260baded87p-3, -0x1.6060d9d14d0d9p-3, -0x1.7a1875f8602a4p-3, -0x1.9384da65f03c9p-3, -0x1.aca1de62829dap-3, -0x1.c56b8bcc490c8p-3, -0x1.ddde1f56ffdbbp-3, -0x1.f5f6089059ffep-3, -0x1.06d7f4d8104bp-2, -0x1.12844b9d4853ap-2, -0x1.1dfe8bbd79496p-2, -0x1.294550edee339p-2, -0x1.34574f1104f3ep-2, -0x1.3f3351c710263p-2, -0x1.49d83bf4b01fp-2, -0x1.544507405983bp-2, -0x1.5e78c3889be98p-2, -0x1.687296548af62p-2, -0x1.7231ba3f8558fp-2, -0x1.7bb57e616b2c5p-2, -0x1.84fd45b440a1bp-2, -0x1.8e0886781398bp-2, -0x1.96d6c995e7d7ap-2, -0x1.9f67aa02580f3p-2, -0x1.a7bad4207b09ap-2, -0x1.afd005259b848p-2, -0x1.b7a70a7e2fc72p-2, -0x1.bf3fc13479a2dp-2, -0x1.c69a15592823fp-2, -0x1.cdb6016e40008p-2, -0x1.d4938dd493567p-2, -0x1.db32d03bf3d22p-2, -0x1.e193eb1654054p-2, -0x1.e7b70d0df16eep-2, -0x1.ed9c707ea9f4cp-2, -0x1.f3445af28adf9p-2, -0x1.f8af1ca1a4598p-2, -0x1.fddd0ff530633p-2, -0x1.01674c87031a8p-1, -0x1.03c212a72de8p-1, -0x1.05ff157367cacp-1, -0x1.081e943355b0ep-1, -0x1.0a20d227adf1fp-1, -0x1.0c06165583c2ap-1, -0x1.0dceab5319ddbp-1, -0x1.0f7adf163752bp-1, -0x1.110b02c3ef16p-1, -0x1.127f6a81d6959p-1, -0x1.13d86d489c252p-1, -0x1.151664b7f7fbcp-1, -0x1.1639acebe9af4p-1, -0x1.1742a4533c054p-1, -0x1.1831ab8743023p-1, -0x1.19072524ccbb6p-1, -0x1.19c375a63be8bp-1, -0x1.1a67033ec2c13p-1, -0x1.1af235b6b7f9cp-1, -0x1.1b657648fce29p-1, -0x1.1bc12f816e0ap-1, -0x1.1c05cd1c583c8p-1, -0x1.1c33bbe6eb10fp-1, -0x1.1c4b69a0a2682p-1, -0x1.1c4d44dda403cp-1, -0x1.1c39bcea08a15p-1, -0x1.1c1141ae0df56p-1, -0x1.1bd443932d599p-1, -0x1.1b83336a10cd2p-1, -0x1.1b1e82516485p-1, -0x1.1aa6a19d7fc4dp-1, -0x1.1a1c02c0e224ep-1, -0x1.197f173581883p-1, -0x1.18d05066e53d6p-1, -0x1.18101f9d0ba7ep-1, -0x1.173ef5e81642bp-1, -0x1.165d440cb9ca4p-1, -0x1.156b7a716fb24p-1, -0x1.146a090c63d72p-1, -0x1.13595f521f4dep-1, -0x1.1239ec24e866ap-1, -0x1.110c1dc4d9341p-1, -0x1.0fd061c0a66fcp-1, -0x1.0e8724e715d97p-1, -0x1.0d30d3391f033p-1, -0x1.0bcdd7dcb5388p-1, -0x1.0a5e9d10368a9p-1, -0x1.08e38c1e7af3dp-1, -0x1.075d0d5384731p-1, -0x1.05cb87f1c833cp-1, -0x1.042f62281134cp-1, -0x1.02890107f60cp-1, -0x1.00d8c87ce0ae1p-1, -0x1.fe3e368745e57p-2, -0x1.fab8b5c52bb72p-2, -0x1.f721cf447d1bbp-2, -0x1.f37a410cefccdp-2, -0x1.efc2c690333bdp-2, -0x1.ebfc189e39fb3p-2, -0x1.e826ed5a7268fp-2, -0x1.e443f831eb154p-2, -0x1.e053e9d25694ap-2, -0x1.dc577021ef2f1p-2, -0x1.d84f36382efbp-2, -0x1.d43be4575167cp-2, -0x1.d01e1fe6a45d6p-2, -0x1.cbf68b6d9133ep-2, -0x1.c7c5c68f664c7p-2, -0x1.c38c6e07d1074p-2, -0x1.bf4b1ba804211p-2, -0x1.bb02665485a0cp-2, -0x1.b6b2e2039e2e1p-2, -0x1.b25d1fbc5df0dp-2, -0x1.ae01ad963caffp-2, -0x1.a9a116b94085ep-2, -0x1.a53be35eb0e05p-2, -0x1.a0d298d24d00dp-2, -0x1.9c65b973fd321p-2, -0x1.97f5c4b9fc0ep-2, -0x1.9383373372feap-2, -0x1.8f0e8a8b8441ap-2, -0x1.8a98358cbb65bp-2, -0x1.8620ac24e4b18p-2, -0x1.81a85f693d626p-2, -0x1.7d2fbd9b051cfp-2, -0x1.78b7322c5ef88p-2, -0x1.743f25c587dd9p-2, -0x1.6fc7fe4a55e56p-2, -0x1.6b521ee00603p-2, -0x1.66dde7f349e29p-2, -0x1.626bb73e98a2p-2, -0x1.5dfbe7d0be6e3p-2, -0x1.598ed213a54cfp-2, -0x1.5524cbd350eb1p-2, -0x1.50be284514e99p-2, -0x1.4c5b380ef2befp-2, -0x1.47fc494f2a2d9p-2, -0x1.43a1a7a3f29fbp-2, -0x1.3f4b9c335662p-2, -0x1.3afa6db33a48dp-2, -0x1.36ae60717e677p-2, -0x1.3267b65c4348ap-2, -0x1.2e26af0a46e65p-2, -0x1.29eb87c35ffaap-2, -0x1.25b67b890b58bp-2, -0x1.2187c31f12576p-2, -0x1.1d5f951443442p-2, -0x1.193e25cb37e85p-2, -0x1.1523a7832f696p-2, -0x1.11104a60efa2p-2, -0x1.0d043c77b7328p-2, -0x1.08ffa9d232a4dp-2, -0x1.0502bc7b7bae9p-2, -0x1.010d9c88213e6p-2, -0x1.fa40e03e56477p-3, -0x1.f276b706532cdp-3, -0x1.eabd02367e0d3p-3, -0x1.e31402f8559bep-3, -0x1.db7bf6e2a7c14p-3, -0x1.d3f5180b9f12ap-3, -0x1.cc7f9d1abf931p-3, -0x1.c51bb95ae5376p-3, -0x1.bdc99ccc2643bp-3, -0x1.b6897435af80ep-3, -0x1.af5b69378993cp-3, -0x1.a83fa25c49375p-3, -0x1.a136432aaa5b3p-3, -0x1.9a3f6c370f1bep-3, -0x1.935b3b34ea803p-3, -0x1.8c89cb0806454p-3, -0x1.85cb33d5b38d6p-3, -0x1.7f1f8b15d3fbp-3, -0x1.7886e3a3c5c3dp-3, -0x1.72014dcf2ad28p-3, -0x1.6b8ed76c8f5d3p-3, -0x1.652f8be5e2be2p-3, -0x1.5ee3744ad345bp-3, -0x1.58aa9760fa8c5p-3, -0x1.5284f9b3e4d36p-3, -0x1.4c729da4e8e5fp-3, -0x1.4673837ad7837p-3, -0x1.4087a9718172dp-3, -0x1.3aaf0bc907edap-3, -0x1.34e9a4d507388p-3, -0x1.2f376d0b8ab2ap-3, -0x1.29985b13d5caep-3, -0x1.240c63d4fad25p-3, -0x1.1e937a843c261p-3, -0x1.192d90b345c4ep-3, -0x1.13da965e26adcp-3, -0x1.0e9a79f921c8ep-3, -0x1.096d287e44c22p-3, -0x1.04528d7ad045ep-3, -0x1.fe952638c8d91p-4, -0x1.f4aa447bfd109p-4, -0x1.eae444e980d32p-4, -0x1.e142f438f968p-4, -0x1.d7c61cc82cafep-4, -0x1.ce6d86b34a384p-4, -0x1.c538f7ecc0344p-4, -0x1.bc283454ba413p-4, -0x1.b33afdd018b59p-4, -0x1.aa71145f11bc7p-4, -0x1.a1ca363355892p-4, -0x1.99461fc5d331cp-4, -0x1.90e48bec05079p-4, -0x1.88a533ecd740fp-4, -0x1.8087cf952082bp-4, -0x1.788c154bae923p-4, -0x1.70b1ba24e6d69p-4, -0x1.68f871f5fcc51p-4, -0x1.615fef67bb0dep-4, -0x1.59e7e408e5b29p-4, -0x1.529000602f361p-4, -0x1.4b57f3fdc62fap-4, -0x1.443f6d8c7ab7fp-4, -0x1.3d461ae279ee4p-4, -0x1.366ba911a4b09p-4, -0x1.2fafc4777dd4p-4, -0x1.291218ccb470ap-4, -0x1.2292513448acp-4, -0x1.1c30184a4c0fdp-4, -0x1.15eb1832403d6p-4, -0x1.0fc2faa512965p-4, -0x1.09b768feb77d3p-4, -0x1.03c80c4b65019p-4, -0x1.fbe91aa8dedadp-5, -0x1.f07929598e5bdp-5, -0x1.e53f957a340aep-5, -0x1.da3baf9f323b1p-5, -0x1.cf6cc836c957cp-5, -0x1.c4d22f9f38ee4p-5, -0x1.ba6b363c366bep-5, -0x1.b0372c8baf5d4p-5, -0x1.a6356339e541dp-5, -0x1.9c652b34df141p-5, -0x1.92c5d5bf30879p-5, -0x1.8956b482234bdp-5, -0x1.8017199f3b4c3p-5, -0x1.770657c11ad85p-5, -0x1.6e23c22bcdbffp-5, -0x1.656eaccc78ea7p-5, -0x1.5ce66c4873579p-5, -0x1.548a560bc8e38p-5, -0x1.4c59c0572dd8p-5, -0x1.4454024d623b4p-5, -0x1.3c78740007ae6p-5, -0x1.34c66e7beec81p-5, -0x1.2d3d4bd4db909p-5, -0x1.25dc6730c7cfbp-5, -0x1.1ea31cd2a0b56p-5, -0x1.1790ca248740ep-5, -0x1.10a4cdc192577p-5, -0x1.09de877f18e16p-5, -0x1.033d58758283ap-5, -0x1.f981461149e3cp-6, -0x1.eccf95df5d1a9p-6, -0x1.e0646a7940d84p-6, -0x1.d43e90c6bc3f5p-6, -0x1.c85cd880a0cf7p-6, -0x1.bcbe143d40363p-6, -0x1.b161197c1c633p-6, -0x1.a644c0b0ccf2ep-6, -0x1.9b67e54d23c9dp-6, -0x1.90c965ca9a068p-6, -0x1.866823b30278bp-6, -0x1.7c4303a888a89p-6, -0x1.7258ed6d08632p-6, -0x1.68a8cbe8b60fp-6, -0x1.5f318d3027f89p-6, -0x1.55f22289baf47p-6, -0x1.4ce9807263f01p-6, -0x1.44169ea1e3e1ap-6, -0x1.3b78780e6cdf1p-6, -0x1.330e0aefbbe09p-6, -0x1.2ad658c1a3a9bp-6, -0x1.22d066461bd93p-6, -0x1.1afb3b86c3f02p-6, -0x1.1355e3d5f5c24p-6, -0x1.0bdf6dcf571fcp-6, -0x1.0496eb57f8172p-6, -0x1.faf6e33c0dec2p-7, -0x1.ed183230205bep-7, -0x1.df8ffb07b4981p-7, -0x1.d25c7bc9b5015p-7, -0x1.c57bf904944d9p-7, -0x1.b8ecbdc9bc00ep-7, -0x1.acad1ba8411fep-7, -0x1.a0bb6aa6f5a16p-7, -0x1.9516093dcb5b9p-7, -0x1.89bb5c4e9ef2ep-7, -0x1.7ea9cf1d60eefp-7, -0x1.73dfd347b37bcp-7, -0x1.695be0bbf89dp-7, -0x1.5f1c75afdc167p-7, -0x1.552016965bd9fp-7, -0x1.4b654e1558d4dp-7, -0x1.41eaacfab01cap-7, -0x1.38aeca30e67a1p-7, -0x1.2fb042b36dea6p-7, -0x1.26edb9828367cp-7, -0x1.1e65d796b0cbp-7, -0x1.16174bd3f452bp-7, -0x1.0e00cafc93dd1p-7, -0x1.06210fa3a199cp-7, -0x1.fcedb43e69783p-8, -0x1.ee01e0f4bb46cp-8, -0x1.df7c3ccdae52ap-8, -0x1.d15a6a5cf7f8fp-8, -0x1.c39a174904d57p-8, -0x1.b638fc2d0711dp-8, -0x1.a934dc7aa501cp-8, -0x1.9c8b865b4bfc3p-8, -0x1.903ad2913343cp-8, -0x1.8440a45814107p-8, -0x1.789ae9459dc32p-8, -0x1.6d479929aefd3p-8, -0x1.6244b5ee57d46p-8, -0x1.57904b77aeb63p-8, -0x1.4d286f837b5ap-8, -0x1.430b4188bfa4bp-8, -0x1.3936ea9724ae2p-8, -0x1.2fa99d364f01fp-8, -0x1.26619545243d5p-8, -0x1.1d5d17d902996p-8, -0x1.149a731cf28d5p-8, -0x1.0c17fe30d62efp-8, -0x1.03d419089b64bp-8, -0x1.f79a5896eec26p-9, -0x1.e803526656d11p-9, -0x1.d8e012d6b6133p-9, -0x1.ca2d9de1f1271p-9, -0x1.bbe907e38b9edp-9, -0x1.ae0f7557e9a17p-9, -0x1.a09e1a9bcca74p-9, -0x1.93923bac1605p-9, -0x1.86e92be5d9672p-9, -0x1.7aa04dc6c29e7p-9, -0x1.6eb512adcf4d6p-9, -0x1.6324fa9c6f0aap-9, -0x1.57ed93f803c7bp-9, -0x1.4d0c7b4bcdbc9p-9, -0x1.427f5b0b463b3p-9, -0x1.3843eb54eba92p-9, -0x1.2e57f1b58b03cp-9, -0x1.24b940ebff9bdp-9, -0x1.1b65b8ad771cap-9, -0x1.125b456a39de4p-9, -0x1.0997e012f6f28p-9, -0x1.01198ddea1ffcp-9, -0x1.f1bcc021ad0e7p-10, -0x1.e1c8e781ad15cp-10, -0x1.d253e342275fap-10, -0x1.c35a1b8ea8a0ep-10, -0x1.b4d80eeadffb7p-10, -0x1.a6ca51c54d9ffp-10, -0x1.992d8e0b282f7p-10, -0x1.8bfe82bd889f2p-10, -0x1.7f3a0387ccdc6p-10, -0x1.72dcf85740f33p-10, -0x1.66e45cf415792p-10, -0x1.5b4d409b9498dp-10, -0x1.5014c59bad647p-10, -0x1.453820efbdc8ap-10, -0x1.3ab499deb9872p-10, -0x1.3087899a97b4p-10, -0x1.26ae5ae11799bp-10, -0x1.1d26899dcafefp-10, -0x1.13eda28d8436p-10, -0x1.0b0142e3074dap-10, -0x1.025f17ed170ccp-10, -0x1.f409bd7b9cd0fp-11, -0x1.e3e0c7a6a5008p-11, -0x1.d43f0583a096cp-11, -0x1.c5204bbd9f842p-11, -0x1.b6808bdba909ap-11, -0x1.a85bd39c9efe1p-11, -0x1.9aae4c55bb61dp-11, -0x1.8d743a53a927fp-11, -0x1.80a9fc3e31004p-11, -0x1.744c0a7e7c626p-11, -0x1.6856f6a7e6f7cp-11, -0x1.5cc76ae35bb26p-11, -0x1.519a295d3b87bp-11, -0x1.46cc0bb5c5eedp-11, -0x1.3c5a027403cfdp-11, -0x1.3241147b29d96p-11, -0x1.287e5e827325cp-11, -0x1.1f0f128f6b64fp-11, -0x1.15f07772a6131p-11, -0x1.0d1fe846d9f2ap-11, -0x1.049ad3f25e895p-11, -0x1.f8bd79560aa59p-12, -0x1.e8d26ef88a654p-12, -0x1.d96fd79f71a8p-12, -0x1.ca9125efc7262p-12, -0x1.bc31ef7a72adap-12, -0x1.ae4debdacb0dcp-12, -0x1.a0e0f3d9881bcp-12, -0x1.93e700941dc57p-12, -0x1.875c2aa86190ap-12, -0x1.7b3ca96479a23p-12, -0x1.6f84d1fb017aap-12, -0x1.643116bb5bdbp-12, -0x1.593e064e1c328p-12, -0x1.4ea84af585c92p-12, -0x1.446ca9d20446cp-12, -0x1.3a88022a9ef1ap-12, -0x1.30f74cb94cf78p-12, -0x1.27b79afb214d3p-12, -0x1.1ec61684443bap-12, -0x1.16200057a1622p-12, -0x1.0dc2b0424b14bp-12, -0x1.05ab943a779d3p-12, -0x1.fbb05f8426d6cp-13, -0x1.ec8c3699a6f87p-13, -0x1.dde60753826f1p-13, -0x1.cfb952e057e4bp-13, -0x1.c201c0dfe60e7p-13, -0x1.b4bb1e4a3feb2p-13, -0x1.a7e15c5d706cdp-13, -0x1.9b708f918f59ap-13, -0x1.8f64ee930b0c4p-13, -0x1.83bad14328df6p-13, -0x1.786eafbe8e55bp-13, -0x1.6d7d2169c0fa2p-13, -0x1.62e2dc037f3f6p-13, -0x1.589cb2bcd925ep-13, -0x1.4ea79556ea091p-13, -0x1.45008f46235c8p-13, -0x1.3ba4c6db0538ep-13, -0x1.32917c7029b34p-13, -0x1.29c4099d93adfp-13, -0x1.2139e07120b6cp-13, -0x1.18f08aac02ecfp-13, -0x1.10e5a9053003fp-13, -0x1.0916f270adf8bp-13, -0x1.0182336b96bdbp-13, -0x1.f44a9a99a054ap-14, -0x1.e5fc6b34a84bbp-14, -0x1.d815eac5da44cp-14, -0x1.ca935138b9fe2p-14, -0x1.bd70fb0b99fbap-14, -0x1.b0ab681ce9929p-14, -0x1.a43f3a80bea46p-14, -0x1.9829355e778bdp-14, -0x1.8c663bd640febp-14, -0x1.80f34fee56ffp-14, -0x1.75cd9187db92p-14, -0x1.6af23d5b1351ap-14, -0x1.605eabfae11dcp-14, -0x1.561050df59a69p-14, -0x1.4c04b97742dd8p-14, -0x1.42398c405d107p-14, -0x1.38ac87e6495fdp-14, -0x1.2f5b8267ebdf9p-14, -0x1.2644684321641p-14, -0x1.1d653ba6a3846p-14, -0x1.14bc13a9f7af4p-14, -0x1.0c471b8b457b1p-14, -0x1.040491f2eeb76p-14, -0x1.f7e5907992602p-15, -0x1.e820438dacec9p-15, -0x1.d8b6268ab1144p-15, -0x1.c9a44438430dep-15, -0x1.bae7c77a001d2p-15, -0x1.ac7dfa164aa5ap-15, -0x1.9e644386d1fe5p-15, -0x1.909827d2935ddp-15, -0x1.8317467118ca1p-15, -0x1.75df5936bb501p-15, -0x1.68ee3349aff47p-15, -0x1.5c41c01fa277dp-15, -0x1.4fd80283a8f9dp-15, -0x1.43af13a457e98p-15, -0x1.37c52229c1a92p-15, -0x1.2c1871532c92ep-15, -0x1.20a7581c4ac3bp-15, -0x1.15704069c1992p-15, -0x1.0a71a63ccfe0ep-15, -0x1.ff542ddbbfdc2p-16, -0x1.ea3060dbb33f1p-16, -0x1.d575411bfc976p-16, -0x1.c120489c56875p-16, -0x1.ad2f0e6296e21p-16, -0x1.999f452fa9806p-16, -0x1.866eba403c59ap-16, -0x1.739b5418dd7aep-16, -0x1.6123115d20344p-16, -0x1.4f0407b18f20ap-16, -0x1.3d3c62a80ca12p-16, -0x1.2bca62b65e117p-16, -0x1.1aac5c3690fffp-16, -0x1.09e0b670f53cfp-16, -0x1.f2cbd55ebbdddp-17, -0x1.d27506b2d5f47p-17, -0x1.b2ba36331b472p-17, -0x1.9398b8151d8c9p-17, -0x1.750dfdda975e7p-17, -0x1.571794ccde7acp-17, -0x1.39b32487d1e8ep-17, -0x1.1cde6d93be8e6p-17, -0x1.0097480dd7eafp-17, -0x1.c9b744bd74639p-18, -0x1.9352fffd26a7bp-18, -0x1.5dfdf08cfc31dp-18, -0x1.29b46a9d4c714p-18, -0x1.ece5cb6328598p-19, -0x1.886bf51ad3cecp-19, -0x1.25f4c2713658cp-19, -0x1.8af3bc66b6698p-20, -0x1.9bd4a9304c561p-21, -0x1.4c1789c454022p-24, 0x1.412497645dd7dp-21, 0x1.521c120fcfd66p-20, 0x1.ffe69fd195527p-20, 0x1.54fe35ce7f765p-19, 0x1.a833d16ce7e6dp-19, 0x1.f999176ff9457p-19, 0x1.24996e78f1d46p-18, 0x1.4b82ece8d61eap-18, 0x1.718b5575a3b3bp-18, 0x1.96b4ea192eab1p-18, 0x1.bb01e15864467p-18, 0x1.de746734e6965p-18, 0x1.00874f08c791bp-17, 0x1.11694fc527892p-17, 0x1.21e13e9ff4ec9p-17, 0x1.31f020cc0239bp-17, 0x1.4196f838f9dc8p-17, 0x1.50d6c3e862bf7p-17, 0x1.5fb0803d71aadp-17, 0x1.6e252747e7b9p-17, 0x1.7c35b10a1a8ebp-17, 0x1.89e313ba7bcb2p-17, 0x1.972e4400a6531p-17, 0x1.a418352e3fb7p-17, 0x1.b0a1d973d1bb7p-17, 0x1.bccc2211ba483p-17, 0x1.c897ff8576ea2p-17, 0x1.d40661b357701p-17, 0x1.df18380cdccfp-17, 0x1.e9ce71b3ccf2fp-17, 0x1.f429fd9a3ae6dp-17, 0x1.fe2bca9f98effp-17, 0x1.03ea63d57d0b4p-16, 0x1.0892f1e154494p-16, 0x1.0d10071095876p-16, 0x1.11621b23f08dcp-16, 0x1.1589a607a861p-16, 0x1.19871fda9d6b4p-16, 0x1.1d5b00f452137p-16, 0x1.2105c1e9f1b07p-16, 0x1.2487db9263ed9p-16, 0x1.27e1c70984693p-16, 0x1.2b13fdb27baa4p-16, 0x1.2e1ef93957b19p-16, 0x1.31033393dcf15p-16, 0x1.33c12701a6019p-16, 0x1.36594e0b9e51cp-16, 0x1.38cc2382d88fcp-16, 0x1.3b1a227ed3805p-16, 0x1.3d43c65b302b1p-16, 0x1.3f498ab4e9342p-16, 0x1.412beb670fb6ap-16, 0x1.42eb64871362dp-16, 0x1.44887260a89d5p-16, 0x1.460391714569ap-16, 0x1.475d3e634ce81p-16, 0x1.4895f608e008dp-16, 0x1.49ae35566911fp-16, 0x1.4aa6795cdf16cp-16, 0x1.4b7f3f43cabe6p-16, 0x1.4c39044314ffcp-16, 0x1.4cd4459c9c376p-16, 0x1.4d518095a6a78p-16, 0x1.4db1327021162p-16, 0x1.4df3d863c37a4p-16, 0x1.4e19ef971312cp-16, 0x1.4e23f5184b453p-16, 0x1.4e1265d633bfap-16, 0x1.4de5be98ded42p-16, 0x1.4d9e7bfa65aap-16, 0x1.4d3d1a5f90423p-16, 0x1.4cc215f07eecep-16, 0x1.4c2dea914d427p-16, 0x1.4b8113dab7feap-16, 0x1.4abc0d12c675fp-16, 0x1.49df51257cb0ap-16, 0x1.48eb5a9d911fep-16, 0x1.47e0a39d35c7fp-16, }}, 
      {{-0x1.678e170828bcap-1, -0x1.67a4776cfa5f5p-1, -0x1.67c84b6b311b8p-1, -0x1.67f776807e657p-1, -0x1.682f2abc0c8ebp-1, -0x1.686c064f27fa9p-1, -0x1.68aa322ff9ea2p-1, -0x1.68e5801ac6166p-1, -0x1.691986d506476p-1, -0x1.6941bc049f34cp-1, -0x1.69598b3db6ad8p-1, -0x1.695c6a22bbdd6p-1, -0x1.6945e999cee42p-1, -0x1.6911c43532ba8p-1, -0x1.68bbe9fd4a06ep-1, -0x1.684089d466389p-1, -0x1.679c18b16438ep-1, -0x1.66cb56ef24373p-1, -0x1.65cb53ed9dd12p-1, -0x1.6499703e4d19dp-1, -0x1.63335e91c6f7dp-1, -0x1.61972397bb526p-1, -0x1.5fc314fdec5bp-1, -0x1.5db5d7b5e9e1cp-1, -0x1.5b6e5da4c4bddp-1, -0x1.58ebe2db94be9p-1, -0x1.562dea73b139dp-1, -0x1.53343b25bfba1p-1, -0x1.4ffedbaf716cp-1, -0x1.4c8e0f18cbc26p-1, -0x1.48e250e7302cap-1, -0x1.44fc514a09a08p-1, -0x1.40dcf14af333ep-1, -0x1.3c853f0972ffbp-1, -0x1.37f67208cf3b2p-1, -0x1.3331e7953c812p-1, -0x1.2e391f44810b8p-1, -0x1.290db795337cdp-1, -0x1.23b16aaeed57p-1, -0x1.1e260b451ad91p-1, -0x1.186d819d83b8dp-1, -0x1.1289c8bb25fd9p-1, -0x1.0c7cebada4842p-1, -0x1.064903052d77p-1, -0x1.ffe064d4fee54p-2, -0x1.f2e94cb4fdad9p-2, -0x1.e5b124093a1bep-2, -0x1.d83c5a96717eep-2, -0x1.ca8f65c9f4f34p-2, -0x1.bcaebd3c4f693p-2, -0x1.ae9ed7719fb03p-2, -0x1.a06426d5626e1p-2, -0x1.920316ef5a462p-2, -0x1.838009cf3d697p-2, -0x1.74df55acc9a29p-2, -0x1.662542b9f1f65p-2, -0x1.57560924cae17p-2, -0x1.4875cf46f34b1p-2, -0x1.3988a8003a07ap-2, -0x1.2a92913a54e35p-2, -0x1.1b97729381406p-2, -0x1.0c9b1c2dfe83cp-2, -0x1.fb428b44c1422p-3, -0x1.dd5b1a258f2c2p-3, -0x1.bf86ecba33a19p-3, -0x1.a1ccd4d4e929fp-3, -0x1.84336d341e476p-3, -0x1.66c1188bcf977p-3, -0x1.497c00bf37698p-3, -0x1.2c6a1647c6966p-3, -0x1.0f910fc65fa7ep-3, -0x1.e5ecd3782cc72p-4, -0x1.ad3ecccf70dccp-4, -0x1.75221b8b0510ap-4, -0x1.3da05b5d4ac31p-4, -0x1.06c2b42c5a68ep-4, -0x1.a123b584900fcp-5, -0x1.362c235f2ff3ap-5, -0x1.995ca96f9fdeep-6, -0x1.92e43207fb3c2p-7, 0x1.a5cf669bd98aap-13, 0x1.9984cccea06c2p-7, 0x1.92d9d3b23b36fp-6, 0x1.2abd9187efe95p-5, 0x1.8a4897f422c4cp-5, 0x1.e804366badde9p-5, 0x1.21f3b6e1a473dp-4, 0x1.4ef5010ef70dbp-4, 0x1.7b023b49c831fp-4, 0x1.a618045da5aa2p-4, 0x1.d033560e852fep-4, 0x1.f95182c724f6dp-4, 0x1.10b8199f6ba6cp-3, 0x1.2446b20c1b5d2p-3, 0x1.3753b1bd39f08p-3, 0x1.49de675343b25p-3, 0x1.5be647c4e1e23p-3, 0x1.6d6aed2774bbbp-3, 0x1.7e6c1577807e1p-3, 0x1.8ee9a1617972bp-3, 0x1.9ee3930b89c2fp-3, 0x1.ae5a0ce0a66fep-3, 0x1.bd4d505d8730fp-3, 0x1.cbbdbcdfd065bp-3, 0x1.d9abce77d27e3p-3, 0x1.e7181cbd44029p-3, 0x1.f40359a7366fdp-3, 0x1.00372833cd2dbp-2, 0x1.062cf2254d0dfp-2, 0x1.0be387ccff6f5p-2, 0x1.115b714271103p-2, 0x1.16954105ed855p-2, 0x1.1b919378eeae2p-2, 0x1.20510e58f301fp-2, 0x1.24d4603cd5fabp-2, 0x1.291c4014b67cdp-2, 0x1.2d296cac78dedp-2, 0x1.30fcac30f7ea5p-2, 0x1.3496cbb7e6289p-2, 0x1.37f89eca7658bp-2, 0x1.3b22fef2c325fp-2, 0x1.3e16cb4c0ba98p-2, 0x1.40d4e815bfe2ap-2, 0x1.435e3e49634c9p-2, 0x1.45b3bb334bbb1p-2, 0x1.47d6500e3a4a2p-2, 0x1.49c6f1a1cc9eap-2, 0x1.4b8697e3cd81ep-2, 0x1.4d163d9c5a48dp-2, 0x1.4e76e00cdecaap-2, 0x1.4fa97e99e5b23p-2, 0x1.50af1a77b6937p-2, 0x1.5188b659ba488p-2, 0x1.52375624a5989p-2, 0x1.52bbfea361cbbp-2, 0x1.5317b53ea58a6p-2, 0x1.534b7fb742dedp-2, 0x1.535863e3161ccp-2, 0x1.533f676c93edfp-2, 0x1.53018f94ec64fp-2, 0x1.529fe0f8b574bp-2, 0x1.521b5f571beb7p-2, 0x1.51750d5b84828p-2, 0x1.50adec699c224p-2, 0x1.4fc6fc6bca28cp-2, 0x1.4ec13ba3f38afp-2, 0x1.4d9da67e8f427p-2, 0x1.4c5d3767f213fp-2, 0x1.4b00e6a3d3719p-2, 0x1.4989aa26f57a7p-2, 0x1.47f87572e9f0dp-2, 0x1.464e3973e21dp-2, 0x1.448be46088bccp-2, 0x1.42b2619bc8176p-2, 0x1.40c29998817c5p-2, 0x1.3ebd71bf1e6ddp-2, 0x1.3ca3cc54f158fp-2, 0x1.3a7688655d80dp-2, 0x1.383681acb4138p-2, 0x1.35e49084bd2dep-2, 0x1.338189d2e00bap-2, 0x1.310e3ef7dda3bp-2, 0x1.2e8b7dc1100dfp-2, 0x1.2bfa105b25e67p-2, 0x1.295abd464a4a8p-2, 0x1.26ae474bafc12p-2, 0x1.23f56d746f8c5p-2, 0x1.2130eb01b578ap-2, 0x1.1e61776628558p-2, 0x1.1b87c640879bfp-2, 0x1.18a487576f505p-2, 0x1.15b866963871ep-2, 0x1.12c40c0aed9c8p-2, 0x1.0fc81be544788p-2, 0x1.0cc5367692bbep-2, 0x1.09bbf832b8245p-2, 0x1.06acf9b1ebd1fp-2, 0x1.0398cfb369ef1p-2, 0x1.00800b20f4737p-2, 0x1.fac672263aaa7p-3, 0x1.f485c5ac9c90fp-3, 0x1.ee3f1be11b38fp-3, 0x1.e7f3784fd391p-3, 0x1.e1a3d7131e59bp-3, 0x1.db512ce2eea3ep-3, 0x1.d4fc6725599d7p-3, 0x1.cea66c003290dp-3, 0x1.c8501a6bb40d8p-3, 0x1.c1fa4a4613eb6p-3, 0x1.bba5cc680e7ap-3, 0x1.b5536aba3a3ccp-3, 0x1.af03e84b34ea6p-3, 0x1.a8b801667cd3cp-3, 0x1.a2706bac06878p-3, 0x1.9c2dd6286e262p-3, 0x1.95f0e96db6543p-3, 0x1.8fba47ac9af2fp-3, 0x1.898a8cce5631fp-3, 0x1.83624e8ed9bcdp-3, 0x1.7d421c976c2f8p-3, 0x1.772a80999cbdcp-3, 0x1.711bfe6a8d0edp-3, 0x1.6b17141e798c7p-3, 0x1.651c3a2481e84p-3, 0x1.5f2be3629cbafp-3, 0x1.59467d51bd46cp-3, 0x1.536c701a11dabp-3, 0x1.4d9e1eaf5f3d2p-3, 0x1.47dbe6ed6400ap-3, 0x1.422621b450144p-3, 0x1.3c7d230530e46p-3, 0x1.36e13a1e5d7b6p-3, 0x1.3152b197d8f56p-3, 0x1.2bd1cf7f9468bp-3, 0x1.265ed575a9c47p-3, 0x1.20fa00c8656dp-3, 0x1.1ba38a9038fa4p-3, 0x1.165ba7cb776c4p-3, 0x1.11228979eff32p-3, 0x1.0bf85cb846becp-3, 0x1.06dd4adb21d31p-3, 0x1.01d1798a0e9d1p-3, 0x1.f9aa15b4603a6p-4, 0x1.efd03ad148205p-4, 0x1.e61598e93aa66p-4, 0x1.dc7a5ff27c241p-4, 0x1.d2feb98e323cap-4, 0x1.c9a2c93ac838p-4, 0x1.c066ac85bdd42p-4, 0x1.b74a7b3cb654bp-4, 0x1.ae4e479dd9697p-4, 0x1.a5721e87923acp-4, 0x1.9cb607a780a2fp-4, 0x1.941a05a8b88bap-4, 0x1.8b9e1661423e3p-4, 0x1.834232fedbd41p-4, 0x1.7b065032f21a3p-4, 0x1.72ea5e5dd6885p-4, 0x1.6aee49b92d8ccp-4, 0x1.6311fa81925b5p-4, 0x1.5b55551f72e3dp-4, 0x1.53b83a4f1d3fep-4, 0x1.4c3a874802d1bp-4, 0x1.44dc15e32ef6dp-4, 0x1.3d9cbcc0ee515p-4, 0x1.367c4f6dabc1fp-4, 0x1.2f7a9e85fdcb7p-4, 0x1.289777d9e8988p-4, 0x1.21d2a68f52e1ap-4, 0x1.1b2bf343afcf9p-4, 0x1.14a3242cdcf8bp-4, 0x1.0e37fd3936c3ap-4, 0x1.07ea402ee4f0ap-4, 0x1.01b9acca5e3c2p-4, 0x1.f74c01b84ce2ap-5, 0x1.eb5df0cb9106cp-5, 0x1.dfa89b6c17efdp-5, 0x1.d42b7308d688ep-5, 0x1.c8e5e61793c77p-5, 0x1.bdd76048d931fp-5, 0x1.b2ff4aba6e17fp-5, 0x1.a85d0c28615b1p-5, 0x1.9df0091ca3e46p-5, 0x1.93b7a41d3b2a6p-5, 0x1.89b33dd90e3d8p-5, 0x1.7fe235535627fp-5, 0x1.7643e80daeceap-5, 0x1.6cd7b230d8848p-5, 0x1.639ceeb424ad5p-5, 0x1.5a92f7839a75fp-5, 0x1.51b925a4d3fb1p-5, 0x1.490ed15a9d5f4p-5, 0x1.4093524758fa7p-5, 0x1.3845ff8e2bcd8p-5, 0x1.30262ff2ff99p-5, 0x1.283339f95603dp-5, 0x1.206c7401fb3e9p-5, 0x1.18d13467987e9p-5, 0x1.1160d19a2e671p-5, 0x1.0a1aa2397bf4p-5, 0x1.02fdfd2e57e23p-5, 0x1.f8147386073a9p-6, 0x1.ea7d5f74f5094p-6, 0x1.dd356ecd8ca66p-6, 0x1.d03b537cb7a89p-6, 0x1.c38dc0e10ddf1p-6, 0x1.b72b6bf1d8c0fp-6, 0x1.ab130b6447223p-6, 0x1.9f4357cee42cfp-6, 0x1.93bb0bcb5741bp-6, 0x1.8878e416774b3p-6, 0x1.7d7b9faec1027p-6, 0x1.72c1fff139475p-6, 0x1.684ac8b4bfc8p-6, 0x1.5e14c063e712ap-6, 0x1.541eb015542ep-6, 0x1.4a6763a2b3183p-6, 0x1.40eda9be4b6cbp-6, 0x1.37b054073c3c7p-6, 0x1.2eae371c6dde3p-6, 0x1.25e62aae3a6b7p-6, 0x1.1d57098ee36e9p-6, 0x1.14ffb1c1d13d9p-6, 0x1.0cdf0489af01p-6, 0x1.04f3e67567a0bp-6, 0x1.fa7a7ed81c45fp-7, 0x1.eb73f56f6e42ap-7, 0x1.dcd20e1eae0a6p-7, 0x1.ce92ad3f37cf3p-7, 0x1.c0b3be25b498ap-7, 0x1.b3333330261b6p-7, 0x1.a60f05d21f516p-7, 0x1.9945369f52a2ep-7, 0x1.8cd3cd5483b2fp-7, 0x1.80b8d8ded18d1p-7, 0x1.74f26f618bdf2p-7, 0x1.697eae3a89643p-7, 0x1.5e5bba0516064p-7, 0x1.5387be9b8831p-7, 0x1.4900ef178a01p-7, 0x1.3ec585d120289p-7, 0x1.34d3c45c7e05ep-7, 0x1.2b29f386b9c6dp-7, 0x1.21c663516170ep-7, 0x1.18a76aed06a02p-7, 0x1.0fcb68b2c84c2p-7, 0x1.0730c21ce6d3ap-7, 0x1.fdabc77ce0305p-8, 0x1.ed728274151f9p-8, 0x1.ddb2aa6fdabf6p-8, 0x1.ce6942b61e6b1p-8, 0x1.bf935c6b2a533p-8, 0x1.b12e1679174f5p-8, 0x1.a3369d75ea19fp-8, 0x1.95aa2b886859bp-8, 0x1.8886084bbd1b9p-8, 0x1.7bc788b1fb1a7p-8, 0x1.6f6c0ee58fae8p-8, 0x1.63710a29b670fp-8, 0x1.57d3f6b9fe768p-8, 0x1.4c925da8eea42p-8, 0x1.41a9d4bddb214p-8, 0x1.3717fe51f96acp-8, 0x1.2cda892cbff89p-8, 0x1.22ef305fa181ep-8, 0x1.1953bb21308aap-8, 0x1.1005fca7b6336p-8, 0x1.0703d4034b385p-8, 0x1.fc9657eefc305p-9, 0x1.ebb3f5a9246cap-9, 0x1.db5c84a0c7045p-9, 0x1.cb8c1ebded9a8p-9, 0x1.bc3ef4158ed83p-9, 0x1.ad714a99a6828p-9, 0x1.9f1f7dc8f01dep-9, 0x1.9145fe5e492f9p-9, 0x1.83e151ffd2c15p-9, 0x1.76ee12ede4bbfp-9, 0x1.6a68efb1dc1a7p-9, 0x1.5e4eaaccdefa8p-9, 0x1.529c1a669b9cap-9, 0x1.474e27fc1696cp-9, 0x1.3c61d00e913c6p-9, 0x1.31d421d29ebfbp-9, 0x1.27a23edf689d1p-9, 0x1.1dc95ade3843ep-9, 0x1.1446bb3a4b9f8p-9, 0x1.0b17b6d10201ap-9, 0x1.0239b5a26cb1cp-9, 0x1.f35461049843dp-10, 0x1.e2cd619302388p-10, 0x1.d2d9a00ffc93dp-10, 0x1.c3746f6e82cc9p-10, 0x1.b49941daba3f4p-10, 0x1.a643a8212cebbp-10, 0x1.986f51174754bp-10, 0x1.8b1809052163cp-10, 0x1.7e39b91097f18p-10, 0x1.71d066a9d3187p-10, 0x1.65d832f92cf02p-10, 0x1.5a4d5a4ea1392p-10, 0x1.4f2c3392af73bp-10, 0x1.44712fb8d5ab3p-10, 0x1.3a18d93394317p-10, 0x1.301fd36a166ffp-10, 0x1.2682da2f722cep-10, 0x1.1d3ec13b9de94p-10, 0x1.145073a60d766p-10, 0x1.0bb4f36201233p-10, 0x1.036958bc90dbap-10, 0x1.f6d5a3b8f634ep-11, 0x1.e76d44874e7bcp-11, 0x1.d89444a4ef3cdp-11, 0x1.ca457d99b988ep-11, 0x1.bc7bf0c26aac4p-11, 0x1.af32c661ee0b3p-11, 0x1.a2654cb64d62fp-11, 0x1.960ef71139939p-11, 0x1.8a2b5cf434baep-11, 0x1.7eb639305719ep-11, 0x1.73ab6909b6dddp-11, 0x1.6906eb5e6a40dp-11, 0x1.5ec4dfd129676p-11, 0x1.54e185f7893afp-11, 0x1.4b593c8bd060cp-11, 0x1.422880a261598p-11, 0x1.394bece2b6684p-11, 0x1.30c038c3ed018p-11, 0x1.288237ccd9188p-11, 0x1.208ed8d79fa03p-11, 0x1.18e32558cda8p-11, 0x1.117c40a9ebdcep-11, 0x1.0a5767578364ep-11, 0x1.0371ee729248p-11, 0x1.f99285cac4aecp-12, 0x1.ecb5d1978598cp-12, 0x1.e048f59d2f1f1p-12, 0x1.d44753056ecd8p-12, 0x1.c8ac759627458p-12, 0x1.bd74127c3b2c6p-12, 0x1.b29a071cc784cp-12, 0x1.a81a57ecba14cp-12, 0x1.9df12f4eb0084p-12, 0x1.941adc770e66fp-12, 0x1.8a93d2563f316p-12, 0x1.8158a68901237p-12, 0x1.7866104eb5d7p-12, 0x1.6fb8e7859a758p-12, 0x1.674e23acdd772p-12, 0x1.5f22daec701a7p-12, 0x1.573441228f148p-12, 0x1.4f7fa6f6e3661p-12, 0x1.480278f32951fp-12, 0x1.40ba3ea14d3e5p-12, 0x1.39a499aee3eebp-12, 0x1.32bf4515ec85fp-12, 0x1.2c08144ac7993p-12, 0x1.257cf26f4c5b7p-12, 0x1.1f1be18aebabfp-12, 0x1.18e2f9c7c51a1p-12, 0x1.12d068b4a05d9p-12, 0x1.0ce2708baf555p-12, 0x1.0717677e0cd88p-12, 0x1.016db703d85f6p-12, 0x1.f7c7b661c3d01p-13, 0x1.ecf0c41ba48c6p-13, 0x1.e253d5eb652ffp-13, 0x1.d7ee4bef90211p-13, 0x1.cdbda67b55c0dp-13, 0x1.c3bf84eb0621ap-13, 0x1.b9f1a480bab76p-13, 0x1.b051df48f65bbp-13, 0x1.a6de2b072187cp-13, 0x1.9d949829b7875p-13, 0x1.947350c5fde9dp-13, 0x1.8b78979b1928bp-13, 0x1.82a2c71c67fd8p-13, 0x1.79f05082eadd1p-13, 0x1.715fbae5a4abfp-13, 0x1.68efa258c4f0fp-13, 0x1.609eb71373e22p-13, 0x1.586bbc9c2b965p-13, 0x1.505588fb6768ep-13, 0x1.485b03f4913ddp-13, 0x1.407b264507b8dp-13, 0x1.38b4f8e91b2c5p-13, 0x1.31079466d99f7p-13, 0x1.2972201e8d182p-13, 0x1.21f3d1a0cf55fp-13, 0x1.1a8bec0a050fp-13, 0x1.1339bf632cdd3p-13, 0x1.0bfca807d86d7p-13, 0x1.04d40e113a521p-13, 0x1.fb7ec98c41affp-14, 0x1.ed7c541f7e7bp-14, 0x1.df9fcbe662f54p-14, 0x1.d1e8541f1b22dp-14, 0x1.c4552240e62cep-14, 0x1.b6e57d09ed6e8p-14, 0x1.a998bb958f094p-14, 0x1.9c6e447afcd6dp-14, 0x1.8f658cf3e4c71p-14, 0x1.827e180af79d8p-14, 0x1.75b775d216067p-14, 0x1.6911429feee06p-14, 0x1.5c8b2654dfb5p-14, 0x1.5024d3a6e1e06p-14, 0x1.43de077454d88p-14, 0x1.37b6881d76ecp-14, 0x1.2bae24e4597dep-14, 0x1.1fc4b55327202p-14, 0x1.13fa18a88aeafp-14, 0x1.084e354a0c908p-14, 0x1.f981f07871a86p-15, 0x1.e2a4a940cf781p-15, 0x1.cc04866ff0a1dp-15, 0x1.b5a183d9b5502p-15, 0x1.9f7ba6be776d2p-15, 0x1.8992fcf062227p-15, 0x1.73e79c0272b9ap-15, 0x1.5e79a080dcf77p-15, 0x1.49492d3288ba8p-15, 0x1.34566a635ea43p-15, 0x1.1fa185371efcap-15, 0x1.0b2aaf047f144p-15, 0x1.ede439708b9adp-16, 0x1.c5f00c8057b81p-16, 0x1.9e794bfa6c746p-16, 0x1.7780707ab0c4bp-16, 0x1.5105f578282c5p-16, 0x1.2b0a5853c93bcp-16, 0x1.058e1774694bbp-16, 0x1.c12362deafb6ap-17, 0x1.782b487a56ee6p-17, 0x1.3034d8f4bb9aap-17, 0x1.d28212cd3f44dp-18, 0x1.46a192ed035fp-18, 0x1.7994086f150cdp-19, 0x1.a7e94763f52ap-21, -0x1.430d3a34803a4p-20, -0x1.a8eb8b555547dp-19, -0x1.5618b59d0b372p-18, -0x1.d5aaaf0ce030bp-18, -0x1.29952dda705dcp-17, -0x1.674b3fedeb01bp-17, -0x1.a3f6fdd7b1398p-17, -0x1.df97e64076407p-17, -0x1.0d16c3796e8f8p-16, -0x1.29dbbeaee6197p-16, -0x1.461abb84be3f7p-16, -0x1.61d398fff9484p-16, -0x1.7d063e94a2ee3p-16, -0x1.97b29c4e3108bp-16, -0x1.b1d8aaf24e964p-16, -0x1.cb786c1e6122ep-16, -0x1.e491ea5ffc6dp-16, -0x1.fd2539487d34fp-16, -0x1.0a993abe0779ep-15, -0x1.165ce25e2436bp-15, -0x1.21ddaaf74dd2fp-15, -0x1.2d1bb08f685a9p-15, -0x1.381713bed878ep-15, -0x1.42cff9ae12bb3p-15, -0x1.4d468c1174b78p-15, -0x1.577af92383788p-15, -0x1.616d739da247bp-15, -0x1.6b1e32af5ab13p-15, -0x1.748d71f448daap-15, -0x1.7dbb7168bf449p-15, -0x1.86a8755d36dcp-15, -0x1.8f54c6689e753p-15, -0x1.97c0b15999e58p-15, -0x1.9fec8726c3d51p-15, -0x1.a7d89cde03934p-15, -0x1.af854b9305578p-15, -0x1.b6f2f04ce580fp-15, -0x1.be21ebf31f684p-15, -0x1.c512a339cb4a2p-15, -0x1.cbc57e8d3d4f3p-15, -0x1.d23ae9fd0d41bp-15, -0x1.d87355269c8e8p-15, -0x1.de6f331f1d74dp-15, -0x1.e42efa5d2e7afp-15, -0x1.e9b324a213e47p-15, -0x1.eefc2ee29715p-15, -0x1.f40a992f9a4adp-15, -0x1.f8dee69e6b7edp-15, -0x1.fd799d30d9a89p-15, -0x1.00eda2de8f635p-14, -0x1.030235ead0c64p-14, -0x1.04faced84badbp-14, -0x1.06d7b607c935ep-14, -0x1.0899351380699p-14, -0x1.0a3f96c2d2878p-14, -0x1.0bcb26fe06eb6p-14, -0x1.0d3c32c20b77cp-14, -0x1.0e9308143ac3cp-14, -0x1.0fcff5f62d17dp-14, -0x1.10f34c59957bfp-14, -0x1.11fd5c142eceep-14, -0x1.12ee76d3ba285p-14, -0x1.13c6ef121306bp-14, -0x1.1487180959d4ap-14, -0x1.152f45a837493p-14, -0x1.15bfcc863be35p-14, -0x1.163901d85c09ap-14, -0x1.169b3b658bde7p-14, -0x1.16e6cf7b7a9a8p-14, -0x1.171c14e37279cp-14, -0x1.173b62d75ab35p-14, -0x1.174510f6dfd18p-14, -0x1.1739773cc2c3fp-14, -0x1.1718edf44f65dp-14, -0x1.16e3cdaefccf3p-14, -0x1.169a6f3a37151p-14, -0x1.163d2b9554cffp-14, -0x1.15cc5be7b7b03p-14, -0x1.154859771ad45p-14, -0x1.14b17d9e0dfa2p-14, -0x1.140821c29f2ap-14, }}, 
      {{-0x1.678905d6cefd5p-1, -0x1.67908e6332259p-1, -0x1.679cd0f12f018p-1, -0x1.67ad5f523f229p-1, -0x1.67c1a52be8b11p-1, -0x1.67d8eca3b0f41p-1, -0x1.67f2635d09729p-1, -0x1.680d1f86b4a47p-1, -0x1.682824c8a7856p-1, -0x1.684268f260c28p-1, -0x1.685ad8550877p-1, -0x1.687059bd2ae81p-1, -0x1.6881d2063643p-1, -0x1.688e274671497p-1, -0x1.6894439569f9cp-1, -0x1.689317711c7fdp-1, -0x1.68899bc781f62p-1, -0x1.6876d3ab2945dp-1, -0x1.6859cdb9e6aa8p-1, -0x1.6831a53ccfeep-1, -0x1.67fd8308a3e96p-1, -0x1.67bc9e257c4a6p-1, -0x1.676e3c445188bp-1, -0x1.6711b2086b726p-1, -0x1.66a6632a63126p-1, -0x1.662bc279e707p-1, -0x1.65a151c2f873cp-1, -0x1.6506a19ae1bap-1, -0x1.645b5118bcd76p-1, -0x1.639f0d7cefc84p-1, -0x1.62d191caac3e8p-1, -0x1.61f2a6561d798p-1, -0x1.61022049a364ap-1, -0x1.5fffe1242b6ap-1, -0x1.5eebd63273aabp-1, -0x1.5dc5f804cdacep-1, -0x1.5c8e49e2b4063p-1, -0x1.5b44d93d65c69p-1, -0x1.59e9bd227cd4bp-1, -0x1.587d15af60d9ap-1, -0x1.56ff0b8647194p-1, -0x1.556fcf455b208p-1, -0x1.53cf9900907d2p-1, -0x1.521ea7be826ep-1, -0x1.505d40f8ba9c9p-1, -0x1.4e8bb01f9f4cbp-1, -0x1.4caa46223ce96p-1, -0x1.4ab958fa155eep-1, -0x1.48b9433b0daaap-1, -0x1.46aa63a78f675p-1, -0x1.448d1cc8e524dp-1, -0x1.4261d48bd7edap-1, -0x1.4028f3e18a041p-1, -0x1.3de2e66483ap-1, -0x1.3b901a01ebf6p-1, -0x1.3930fea6d8192p-1, -0x1.36c605f1a01b4p-1, -0x1.344fa2e724ddfp-1, -0x1.31ce49abee9cbp-1, -0x1.2f426f410a75bp-1, -0x1.2cac89448fa1ap-1, -0x1.2a0d0db5ac77ep-1, -0x1.276472bc23b7ap-1, -0x1.24b32e731b85p-1, -0x1.21f9b6b721bbdp-1, -0x1.1f3880f749aacp-1, -0x1.1c700209446d8p-1, -0x1.19a0ae005b0cbp-1, -0x1.16caf80728be6p-1, -0x1.13ef523c002aep-1, -0x1.110e2d8fd8865p-1, -0x1.0e27f9a7af25dp-1, -0x1.0b3d24c03bb1dp-1, -0x1.084e1b93e4457p-1, -0x1.055b4942d1269p-1, -0x1.0265173d0dd75p-1, -0x1.fed7da5d35d2ap-2, -0x1.f8e061dab6eedp-2, -0x1.f2e48cd18f3dbp-2, -0x1.ece51f3698e1ap-2, -0x1.e6e2d8fa8ea75p-2, -0x1.e0de75f30947ap-2, -0x1.dad8adc6614abp-2, -0x1.d4d233da4d872p-2, -0x1.cecbb7451555dp-2, -0x1.c8c5e2c13dda2p-2, -0x1.c2c15ca3826d8p-2, -0x1.bcbec6d3015p-2, -0x1.b6bebec37ac08p-2, -0x1.b0c1dd71817ffp-2, -0x1.aac8b76081ec5p-2, -0x1.a4d3dc9a846dap-2, -0x1.9ee3d8b18f10bp-2, -0x1.98f932c28beacp-2, -0x1.93146d799e499p-2, -0x1.8d360717cd9dcp-2, -0x1.875e7979f021fp-2, -0x1.818e3a20bd7f8p-2, -0x1.7bc5ba39fa0afp-2, -0x1.760566aaa1173p-2, -0x1.704da81a019d6p-2, -0x1.6a9ee2fdb4288p-2, -0x1.64f977a65fe6fp-2, -0x1.5f5dc24d3b878p-2, -0x1.59cc1b22399d1p-2, -0x1.5444d65ad3c6fp-2, -0x1.4ec8444163e7dp-2, -0x1.4956b14503f13p-2, -0x1.43f06609dc83dp-2, -0x1.3e95a779e426bp-2, -0x1.3946b6d5f9886p-2, -0x1.3403d1c74f1dfp-2, -0x1.2ecd327123b8p-2, -0x1.29a30f82b75ap-2, -0x1.24859c497628ep-2, -0x1.1f7508c351887p-2, -0x1.1a7181b13d48cp-2, -0x1.157b30a9c7a78p-2, -0x1.10923c2bcad3fp-2, -0x1.0bb6c7b126cd8p-2, -0x1.06e8f3c188749p-2, -0x1.0228de052e682p-2, -0x1.faed42af53dcp-3, -0x1.f1a4abb52a9a5p-3, -0x1.e878221077488p-3, -0x1.df67cb8c54a4dp-3, -0x1.d673c8ef59a5bp-3, -0x1.cd9c36204c953p-3, -0x1.c4e12a4a9a5c1p-3, -0x1.bc42b8028308dp-3, -0x1.b3c0ed68ec9dcp-3, -0x1.ab5bd44eeb1bcp-3, -0x1.a3137258de1d3p-3, -0x1.9ae7c9212f721p-3, -0x1.92d8d65aa90fap-3, -0x1.8ae693f25b4a2p-3, -0x1.8310f8310fd3ap-3, -0x1.7b57f5dc4a621p-3, -0x1.73bb7c56c8e88p-3, -0x1.6c3b77c0898cbp-3, -0x1.64d7d1164f4eep-3, -0x1.5d906e50a4833p-3, -0x1.566532825331dp-3, -0x1.4f55fdf65b485p-3, -0x1.4862ae4d5889ap-3, -0x1.418b1e9a61083p-3, -0x1.3acf277f535ebp-3, -0x1.342e9f489d731p-3, -0x1.2da95a0866a74p-3, -0x1.273f29b13b607p-3, -0x1.20efde3017961p-3, -0x1.1abb4585ed6fdp-3, -0x1.14a12be091141p-3, -0x1.0ea15bb31a5d2p-3, -0x1.08bb9dcdb1e6ep-3, -0x1.02efb974cebc3p-3, -0x1.fa7ae8efc7856p-4, -0x1.ef49268efd4f8p-4, -0x1.e449b215a7cfdp-4, -0x1.d97c0f6984ff7p-4, -0x1.cedfc0308b314p-4, -0x1.c47443f8c1051p-4, -0x1.ba39185eea496p-4, -0x1.b02db9343b0e3p-4, -0x1.a651a0a2e8726p-4, -0x1.9ca44751ae0a5p-4, -0x1.932524864ebc4p-4, -0x1.89d3ae470e6eap-4, -0x1.80af597b1bbd2p-4, -0x1.77b79a0a04cb7p-4, -0x1.6eebe2fa29a9cp-4, -0x1.664ba68e3382ap-4, -0x1.5dd65661987b8p-4, -0x1.558b63842ab3p-4, -0x1.4d6a3e94b8592p-4, -0x1.457257dac307dp-4, -0x1.3da31f5f4d4f7p-4, -0x1.35fc0504c76efp-4, -0x1.2e7c789e1c193p-4, -0x1.2723ea04e2078p-4, -0x1.1ff1c92eb854cp-4, -0x1.18e58641cdfa5p-4, -0x1.11fe91a89ce22p-4, -0x1.0b3c5c24d93ffp-4, -0x1.049e56e19be36p-4, -0x1.fc47e70993eeap-5, -0x1.ef99487f7ddfdp-5, -0x1.e32fb7be7accep-5, -0x1.d70a1bb554d0ep-5, -0x1.cb275cc52e89dp-5, -0x1.bf8664dd3d8bap-5, -0x1.b4261f9532b32p-5, -0x1.a9057a465817cp-5, -0x1.9e2364236e1b9p-5, -0x1.937ece4f50bfap-5, -0x1.8916abf267589p-5, -0x1.7ee9f24eeed3ap-5, -0x1.74f798d422c45p-5, -0x1.6b3e993047b12p-5, -0x1.61bdef61aaae7p-5, -0x1.587499c690a49p-5, -0x1.4f61992c2626cp-5, -0x1.4683f0dc72a99p-5, -0x1.3ddaa6ab594ep-5, -0x1.3564c302aa6bfp-5, -0x1.2d2150ed52858p-5, -0x1.250f5e21a91b8p-5, -0x1.1d2dfb0ae7d2ep-5, -0x1.157c3ad1d36c6p-5, -0x1.0df93364968e4p-5, -0x1.06a3fd7ddccc1p-5, -0x1.fef7695662315p-6, -0x1.f0feeea5442eep-6, -0x1.e35ccd6f74c1bp-6, -0x1.d60f4dff9a27p-6, -0x1.c914be6b3b774p-6, -0x1.bc6b7298d7515p-6, -0x1.b011c444c86aap-6, -0x1.a406130504af6p-6, -0x1.9846c44bc5b9ep-6, -0x1.8cd243691b54cp-6, -0x1.81a7018b815dep-6, -0x1.76c375bf77a0bp-6, -0x1.6c261cee29bc4p-6, -0x1.61cd79db30ed4p-6, -0x1.57b815217dd0cp-6, -0x1.4de47d2f68018p-6, -0x1.44514641fce67p-6, -0x1.3afd0a5f86a7ep-6, -0x1.31e66951611c4p-6, -0x1.290c089d1a90ap-6, -0x1.206c937cf41f6p-6, -0x1.1806bad7bca9dp-6, -0x1.0fd935381adcp-6, -0x1.07e2bec345864p-6, -0x1.0022192f34dcp-6, -0x1.f12c1770a73eap-7, -0x1.e27ac62d71596p-7, -0x1.d42de2e5d49d1p-7, -0x1.c6431cb479df8p-7, -0x1.b8b82d658978ep-7, -0x1.ab8ad95ddd3p-7, -0x1.9eb8ef817c9a5p-7, -0x1.924049197200dp-7, -0x1.861ec9b908ae9p-7, -0x1.7a525f227610ap-7, -0x1.6ed9012b09cd6p-7, -0x1.63b0b19ed828p-7, -0x1.58d77c23fad71p-7, -0x1.4e4b761d684cdp-7, -0x1.440abe8d717d9p-7, -0x1.3a137df7e5ffbp-7, -0x1.3063e643f4e5cp-7, -0x1.26fa329dc325ap-7, -0x1.1dd4a757cb88p-7, -0x1.14f191cc09ad8p-7, -0x1.0c4f483cf9baep-7, -0x1.03ec29b6748dcp-7, -0x1.f78d3bdcda86ap-8, -0x1.e7ba2a4b31043p-8, -0x1.d85c101006e1dp-8, -0x1.c96fef1b403e8p-8, -0x1.baf2d9b59b21fp-8, -0x1.ace1f241c0fbfp-8, -0x1.9f3a6afd67574p-8, -0x1.91f985c28680bp-8, -0x1.851c93c8b165p-8, -0x1.78a0f566987f9p-8, -0x1.6c8419d3c003ep-8, -0x1.60c37eea73633p-8, -0x1.555cb0e9fb87cp-8, -0x1.4a4d4a3921587p-8, -0x1.3f92f32905848p-8, -0x1.352b61b84f929p-8, -0x1.2b145956c0db3p-8, -0x1.214baaa92c001p-8, -0x1.17cf334ddc6a9p-8, -0x1.0e9cdda16e18fp-8, -0x1.05b2a0841e745p-8, -0x1.fa1cfe3f31fffp-9, -0x1.e95d115a90a81p-9, -0x1.d921b07a5364ep-9, -0x1.c96728fa56c12p-9, -0x1.ba29df0235ac5p-9, -0x1.ab664d1643d36p-9, -0x1.9d1903a9b136p-9, -0x1.8f3ea8b1dffa6p-9, -0x1.81d3f73aea3f9p-9, -0x1.74d5befd68414p-9, -0x1.6840e3f56caadp-9, -0x1.5c125dfacace1p-9, -0x1.5047385a9d2b8p-9, -0x1.44dc91721c9f7p-9, -0x1.39cf9a4abcf1ap-9, -0x1.2f1d96379dfadp-9, -0x1.24c3da744dfefp-9, -0x1.1abfcdc4db8c3p-9, -0x1.110ee81744f1bp-9, -0x1.07aeb22633d9fp-9, -0x1.fd398a3a383c1p-10, -0x1.ebad947b4e99fp-10, -0x1.dab4f50d07f78p-10, -0x1.ca4b3cb70b747p-10, -0x1.ba6c1a5e48a06p-10, -0x1.ab135a5a9cdedp-10, -0x1.9c3ce5cf31baep-10, -0x1.8de4c2058585ep-10, -0x1.80070fcb21a26p-10, -0x1.72a00ad1ff9c2p-10, -0x1.65ac09138d48ap-10, -0x1.59277a365c545p-10, -0x1.4d0ee6f678ba1p-10, -0x1.415ef0904c406p-10, -0x1.3614502e2fa35p-10, -0x1.2b2bd65880e1fp-10, -0x1.20a26a6854146p-10, -0x1.167509fcacc68p-10, -0x1.0ca0c8723eb73p-10, -0x1.0322ce5db197dp-10, -0x1.f3f0b210b7463p-11, -0x1.e23d73def40e1p-11, -0x1.d126ac8ba9199p-11, -0x1.c0a74cef99392p-11, -0x1.b0ba6b63a17dbp-11, -0x1.a15b42d25acbbp-11, -0x1.928531ce6a4acp-11, -0x1.8433b9ad7079ep-11, -0x1.76627da78dad7p-11, -0x1.690d41fb6aa05p-11, -0x1.5c2feb16b75b6p-11, -0x1.4fc67cc31651ap-11, -0x1.43cd19575e12bp-11, -0x1.384000ed2a5eep-11, -0x1.2d1b909aa9b32p-11, -0x1.225c41b09a3cap-11, -0x1.17fea8fc65c49p-11, -0x1.0dff760e50de1p-11, -0x1.045b7283aa6bcp-11, -0x1.f61f02a9e0eb2p-12, -0x1.e4313c4faec4fp-12, -0x1.d2e7b94a511f1p-12, -0x1.c23ccfa4cb97fp-12, -0x1.b22b02de47fc8p-12, -0x1.a2ad02ac1f52bp-12, -0x1.93bda9c31141ap-12, -0x1.8557fca794aeap-12, -0x1.77772885181e6p-12, -0x1.6a16820c2458dp-12, -0x1.5d318457311e6p-12, -0x1.50c3cfd61ee07p-12, -0x1.44c929402c8p-12, -0x1.393d788c528edp-12, -0x1.2e1cc7efe3a5ep-12, -0x1.236342e3597f4p-12, -0x1.190d352d28184p-12, -0x1.0f1709f28ab2cp-12, -0x1.057d4ace1d3a4p-12, -0x1.f8793dd862c21p-13, -0x1.e6a3945987fcap-13, -0x1.d5735895d7e29p-13, -0x1.c4e280136f75p-13, -0x1.b4eb34cca19f1p-13, -0x1.a587d39ea4652p-13, -0x1.96b2eac26bdcp-13, -0x1.8867384f7b103p-13, -0x1.7a9fa8c87c076p-13, -0x1.6d5755b16f1e1p-13, -0x1.6089842f30e8ap-13, -0x1.5431a3b039c3ep-13, -0x1.484b4c9e546ecp-13, -0x1.3cd23f1927a55p-13, -0x1.31c261b9574a8p-13, -0x1.2717c05c1d9a7p-13, -0x1.1cce8af719bdfp-13, -0x1.12e314743d3a9p-13, -0x1.0951d1959764dp-13, -0x1.001757e0dbb4fp-13, -0x1.ee60b924edb3p-14, -0x1.dd33673012371p-14, -0x1.cca09d2427423p-14, -0x1.bca277b96cab7p-14, -0x1.ad334b3ea844bp-14, -0x1.9e4da1c5ec8dfp-14, -0x1.8fec395e7d1cp-14, -0x1.820a025b9a4cap-14, -0x1.74a21da7d80b8p-14, -0x1.67afdb24b8802p-14, -0x1.5b2eb816406c4p-14, -0x1.4f1a5d9a3be9ep-14, -0x1.436e9f2aebd56p-14, -0x1.3827792cd5a31p-14, -0x1.2d410f876f8c7p-14, -0x1.22b7ac4867b05p-14, -0x1.1887be513f2c6p-14, -0x1.0eadd80efd61p-14, -0x1.0526ae3bb5d61p-14, -0x1.f7de2d534b56dp-15, -0x1.e6080e2f52547p-15, -0x1.d4c5281d98721p-15, -0x1.c40fdf917a9dfp-15, -0x1.b3e2d23dc9807p-15, -0x1.a438d503d569cp-15, -0x1.950cf1f2e501dp-15, -0x1.865a6657a87bp-15, -0x1.781ca0db40ccp-15, -0x1.6a4f3fb16f931p-15, -0x1.5cee0ed58897bp-15, -0x1.4ff50655c5716p-15, -0x1.436048ac8f984p-15, -0x1.372c212768f86p-15, -0x1.2b55025b11bfp-15, -0x1.1fd784a48e123p-15, -0x1.14b064b6b143cp-15, -0x1.09dc8233d9786p-15, -0x1.feb1bca7041a2p-16, -0x1.ea453526b3b93p-16, -0x1.d66deee715c79p-16, -0x1.c326a67bc5d95p-16, -0x1.b06a51af19173p-16, -0x1.9e341d3a20c0bp-16, -0x1.8c7f6a9097792p-16, -0x1.7b47cdc036f43p-16, -0x1.6a890b62ddf68p-16, -0x1.5a3f16a2f5d4dp-16, -0x1.4a660f519f1bap-16, -0x1.3afa400e0a724p-16, -0x1.2bf81c7d91a44p-16, -0x1.1d5c3f9402dbfp-16, -0x1.0f2369eb9ff51p-16, -0x1.014a802c6d05dp-16, -0x1.e79d13047d725p-17, -0x1.cd595c42542afp-17, -0x1.b3c46bafa7f63p-17, -0x1.9ad90d5e95368p-17, -0x1.8292472fbffd4p-17, -0x1.6aeb56457102cp-17, -0x1.53dfac8f3b28ep-17, -0x1.3d6aee6d55645p-17, -0x1.2788f06b0d8cfp-17, -0x1.1235b50f72f96p-17, -0x1.fadad5873cd0ap-18, -0x1.d258d39bb03bdp-18, -0x1.aade64c1e9373p-18, -0x1.8464d57e7f3a8p-18, -0x1.5ee5bae0a0b3p-18, -0x1.3a5aef1255996p-18, -0x1.16be8e0c22396p-18, -0x1.e815e4d5bdfd3p-19, -0x1.a47564cd44e24p-19, -0x1.629139d33c9fap-19, -0x1.225f6d8bb875fp-19, -0x1.c7ace0233d4b4p-20, -0x1.4dda25aec676ap-20, -0x1.ae6a0efd8e868p-21, -0x1.8eb2434fbb5fep-22, 0x1.99f1922b82914p-25, 0x1.e93c0424c2157p-22, 0x1.c9c1ce77b9a9cp-21, 0x1.4c93cbfc910b3p-20, 0x1.b175b5ca4c9c1p-20, 0x1.09ca15fd27101p-19, 0x1.397e1ec79181p-19, 0x1.67dd43dfb00b1p-19, 0x1.94ed9e1782ec6p-19, 0x1.c0b5136f27911p-19, 0x1.eb3959e867d3fp-19, 0x1.0a3ffd1be0087p-18, 0x1.1e47292a16a25p-18, 0x1.31b4cbf381de3p-18, 0x1.448b6d4e8722dp-18, 0x1.56cd832d0f153p-18, 0x1.687d72a81a6d3p-18, 0x1.799d90fdb374ep-18, 0x1.8a302481c564ap-18, 0x1.9a3765825d54bp-18, 0x1.a9b57f1fd87d2p-18, 0x1.b8ac90197bfe7p-18, 0x1.c71eab8eef40dp-18, 0x1.d50dd9b70d126p-18, 0x1.e27c188c7ed01p-18, 0x1.ef6b5c708cd05p-18, 0x1.fbdd90c48f499p-18, 0x1.03ea4c3d33722p-17, 0x1.09a9274e2d9bcp-17, 0x1.0f2c43666355ep-17, 0x1.147486def1abep-17, 0x1.1982d4d10c6a5p-17, 0x1.1e580d4a8d944p-17, 0x1.22f50d7f1a363p-17, 0x1.275aaff600e76p-17, 0x1.2b89ccb4fbe9dp-17, 0x1.2f833967f9ee1p-17, 0x1.3347c986125f4p-17, 0x1.36d84e73c7f32p-17, 0x1.3a3597a2b9a0cp-17, 0x1.3d6072aee4bap-17, 0x1.4059ab7993adap-17, 0x1.43220c4219badp-17, 0x1.45ba5dbc78b22p-17, 0x1.482367260944p-17, 0x1.4a5dee5843b1fp-17, 0x1.4c6ab7d9c161bp-17, 0x1.4e4a86ed8eabfp-17, 0x1.4ffe1da0e642ep-17, 0x1.51863cd76cad4p-17, 0x1.52e3a455feda3p-17, 0x1.541712cc2fe9cp-17, 0x1.552145dc7a7b9p-17, 0x1.5602fa2354364p-17, 0x1.56bceb3d186dfp-17, 0x1.574fd3cae6bccp-17, 0x1.57bc6d7699951p-17, 0x1.580370f5badc6p-17, 0x1.5825960bb5f7ep-17, 0x1.5823938b348eap-17, 0x1.57fe1f56ba2ecp-17, 0x1.57b5ee609e894p-17, 0x1.574bb4aa57dcbp-17, 0x1.56c0254340c92p-17, 0x1.5613f246bcbbap-17, 0x1.5547ccd9fd3c3p-17, 0x1.545c6529343bep-17, 0x1.53526a6477204p-17, 0x1.522a8abc35b7ep-17, 0x1.50e5735d5ab75p-17, 0x1.4f83d06d25bdp-17, 0x1.4e064d04be48ap-17, 0x1.4c6d932c87247p-17, 0x1.4aba4bd741629p-17, 0x1.48ed1edcfffp-17, 0x1.4706b2f5f33c6p-17, 0x1.4507adb51756bp-17, 0x1.42f0b382c4a33p-17, 0x1.40c267972f221p-17, 0x1.3e7d6bf4d469bp-17, 0x1.3c226162e1466p-17, 0x1.39b1e7679229p-17, 0x1.372c9c429249fp-17, 0x1.34931ce760211p-17, 0x1.31e604f7b87ecp-17, 0x1.2f25eebe0d765p-17, 0x1.2c5373280ddb2p-17, 0x1.296f29c13cbcap-17, 0x1.2679a8ada0aa4p-17, 0x1.237384a489974p-17, 0x1.205d50eb7347cp-17, 0x1.1d379f5102fa3p-17, 0x1.1a03002827393p-17, 0x1.16c0024356cdcp-17, 0x1.136f32eff573ep-17, 0x1.10111df1dc281p-17, 0x1.0ca64d7f095fep-17, 0x1.092f4a3b789a9p-17, 0x1.05ac9b352475bp-17, 0x1.021ec5e0321d8p-17, 0x1.fd0c9c26931f4p-18, 0x1.f5c76c08327d3p-18, 0x1.ee6efc881083fp-18, 0x1.e7044b7a28f6p-18, 0x1.df88535dc2de6p-18, 0x1.d7fc0b57e7e99p-18, 0x1.d060672e3c4d7p-18, 0x1.c8b657423413bp-18, 0x1.c0fec88ca8f32p-18, 0x1.b93aa499ce693p-18, 0x1.b16ad18584a7bp-18, 0x1.a99031f80c10ep-18, 0x1.a1aba52315ccap-18, 0x1.99be06bf337bcp-18, 0x1.91c82f09a4041p-18, 0x1.89caf2c27f7a8p-18, 0x1.81c7232b3c66dp-18, 0x1.79bd8e05926a9p-18, 0x1.71aefd92b6d5bp-18, 0x1.699c3892f3284p-18, 0x1.6186024592a04p-18, 0x1.596d1a6928d74p-18, 0x1.51523d3c2b194p-18, 0x1.4936237de1a43p-18, 0x1.4119826fa99c3p-18, 0x1.38fd0bd688913p-18, 0x1.30e16dfd1273cp-18, 0x1.28c753b59a30fp-18, 0x1.20af645cb2b85p-18, 0x1.189a43dbf8ee6p-18, 0x1.108892ad288fap-18, 0x1.087aeddd7844bp-18, 0x1.0071ef113b775p-18, 0x1.f0dc590f94623p-19, 0x1.e0e0723f53166p-19, 0x1.d0f148b5ec3dp-19, 0x1.c10ff4c81a93cp-19, 0x1.b13d8824e7b9cp-19, 0x1.a17b0ddff0d89p-19, 0x1.91c98a7c1bb67p-19, 0x1.8229fbf6be7fbp-19, 0x1.729d59d3335c4p-19, 0x1.63249526d17aap-19, 0x1.53c098a54dddbp-19, 0x1.447248ad7bdc2p-19, }}, 
      {{0x1.49b80dcfd9b58p-15, 0x1.4b12d93b0c93cp-13, 0x1.76f41abf0f14fp-12, 0x1.5052b6bd0b7a2p-11, 0x1.09b4ff3d79c5ap-10, 0x1.83a3eb44ad2acp-10, 0x1.0bb225e01168fp-9, 0x1.63415277e226bp-9, 0x1.c94f528af4181p-9, 0x1.1f58385fd4dbbp-8, 0x1.621c67be8252ap-8, 0x1.ad5c2cbd90c67p-8, 0x1.00bdcfb8756dbp-7, 0x1.2f6cbeb89aef4p-7, 0x1.62e6f6b4d71fdp-7, 0x1.9b54bf7a7d471p-7, 0x1.d8da30df8e5b3p-7, 0x1.0dcb73a4ee64cp-6, 0x1.31d2e73ac8a2p-6, 0x1.588e7fe866003p-6, 0x1.8206d8effe322p-6, 0x1.ae421b24722d3p-6, 0x1.dd44022a3a77p-6, 0x1.0786f37b804edp-5, 0x1.21cf6757510ap-5, 0x1.3d79be8b9b8c7p-5, 0x1.5a8344fb611adp-5, 0x1.78e83c6212ca8p-5, 0x1.98a3e914ad3f3p-5, 0x1.b9b09f736299cp-5, 0x1.dc07d1db812f8p-5, 0x1.ffa21eefc8a5cp-5, 0x1.123bb00983471p-4, 0x1.253f5bfac266cp-4, 0x1.38d7508cf48afp-4, 0x1.4cfe7e1cc9485p-4, 0x1.61af8f39c9bb1p-4, 0x1.76e4ef9a0446dp-4, 0x1.8c98d2e202d3ep-4, 0x1.a2c53b3a3a91cp-4, 0x1.b963ffac36e46p-4, 0x1.d06ed242a8feap-4, 0x1.e7df45e878cbep-4, 0x1.ffaed403d7706p-4, 0x1.0beb70e58591ap-3, 0x1.182862a8be655p-3, 0x1.248ae5262bb6ap-3, 0x1.310f9b4745dedp-3, 0x1.3db3271e5b338p-3, 0x1.4a722bdcfa42p-3, 0x1.57494fa78bd6cp-3, 0x1.64353d4716a0ep-3, 0x1.7132a5ba3d1e7p-3, 0x1.7e3e41a6c331ap-3, 0x1.8b54d2acee04bp-3, 0x1.9873249e3a3aap-3, 0x1.a5960e98d9db9p-3, 0x1.b2ba74098dbbap-3, 0x1.bfdd459560e7p-3, 0x1.ccfb81ecc839ep-3, 0x1.da123689a92b7p-3, 0x1.e71e8059bbdeap-3, 0x1.f41d8c56b2df6p-3, 0x1.00864c06beeadp-2, 0x1.06f4790af3ae2p-2, 0x1.0d57fd3de4e14p-2, 0x1.13af918d78574p-2, 0x1.19f9f7f75d77ep-2, 0x1.2035fbab2fba8p-2, 0x1.2662712767281p-2, 0x1.2c7e3651717f4p-2, 0x1.328832895d872p-2, 0x1.387f56b95d9d9p-2, 0x1.3e629d617c8b7p-2, 0x1.44310a9fbf8ddp-2, 0x1.49e9ac34ef30dp-2, 0x1.4f8b998649d6ap-2, 0x1.5515f39c42385p-2, 0x1.5a87e51e7b92ep-2, 0x1.5fe0a24d2b86bp-2, 0x1.651f68f7fababp-2, 0x1.6a4380728fcd8p-2, 0x1.6f4c3986d1c71p-2, 0x1.7438ee6508bd5p-2, 0x1.79090291e81cbp-2, 0x1.7dbbe2d29dd8p-2, 0x1.82510516fa4adp-2, 0x1.86c7e861c0a3p-2, 0x1.8b2014af35cffp-2, 0x1.8f591ad9fa466p-2, 0x1.9372947e473bfp-2, 0x1.976c23db97b3ap-2, 0x1.9b4573b4d8a0ep-2, 0x1.9efe372f25d8fp-2, 0x1.a29629af30686p-2, 0x1.a60d0eb5586a9p-2, 0x1.a962b1b88f0f1p-2, 0x1.ac96e60012d4cp-2, 0x1.afa9867c18736p-2, 0x1.b29a759d719b7p-2, 0x1.b5699d2c46a77p-2, 0x1.b816ee1df3f5ap-2, 0x1.baa2606a2158bp-2, 0x1.bd0bf2df1f7e6p-2, 0x1.bf53aaf5a935p-2, 0x1.c17994a4131d8p-2, 0x1.c37dc230fd241p-2, 0x1.c5604c059ed15p-2, 0x1.c721507fb972ap-2, 0x1.c8c0f3c3492a8p-2, 0x1.ca3f5f8bffe92p-2, 0x1.cb9cc2fea0497p-2, 0x1.ccd9527a4a5b7p-2, 0x1.cdf54769c55a3p-2, 0x1.cef0e014dc4bap-2, 0x1.cfcc5f71d9d9ap-2, 0x1.d0880cf73108p-2, 0x1.d124346d65af4p-2, 0x1.d1a125c13ca8p-2, 0x1.d1ff34d6453e5p-2, 0x1.d23eb959c5991p-2, 0x1.d2600e9614349p-2, 0x1.d26393467076dp-2, 0x1.d249a96b590d2p-2, 0x1.d212b61f752e7p-2, 0x1.d1bf216d12856p-2, 0x1.d14f562440fdap-2, 0x1.d0c3c1b19703cp-2, 0x1.d01cd3f5a0da5p-2, 0x1.cf5aff1d03d05p-2, 0x1.ce7eb7795d43ap-2, 0x1.cd88735adb3c2p-2, 0x1.cc78aaea9af0cp-2, 0x1.cb4fd805ccc54p-2, 0x1.ca0e7619a2974p-2, 0x1.c8b50200093bdp-2, 0x1.c743f9dd3518cp-2, 0x1.c5bbdcfdfacfp-2, 0x1.c41d2bb6fe14ap-2, 0x1.c2686744b48b7p-2, 0x1.c09e11ac397f3p-2, 0x1.bebead9cfb58cp-2, 0x1.bccabe533ad9cp-2, 0x1.bac2c77b5ec5ep-2, 0x1.b8a74d161c698p-2, 0x1.b678d35d72cabp-2, 0x1.b437deaa78f5ep-2, 0x1.b1e4f35bf93d1p-2, 0x1.af8095bde002dp-2, 0x1.ad0b49f17312dp-2, 0x1.aa8593d656cddp-2, 0x1.a7eff6f45b01ep-2, 0x1.a54af6660f6e6p-2, 0x1.a29714c41a3c4p-2, 0x1.9fd4d411529d2p-2, 0x1.9d04b5a79736cp-2, 0x1.9a273a25644f7p-2, 0x1.973ce15c1f9e3p-2, 0x1.94462a3f1cd29p-2, 0x1.914392d353cb1p-2, 0x1.8e35981fc95bp-2, 0x1.8b1cb61ea1635p-2, 0x1.87f967aedf861p-2, 0x1.84cc2686cb043p-2, 0x1.81956b26f94b6p-2, 0x1.7e55accdf6d85p-2, 0x1.7b0d616c8d8bap-2, 0x1.77bcfd9aa872cp-2, 0x1.7464f48cca04bp-2, 0x1.7105b80a19aa5p-2, 0x1.6d9fb862fee3cp-2, 0x1.6a3364684e021p-2, 0x1.66c12962fb74fp-2, 0x1.6349730c58504p-2, 0x1.5fccab86d1716p-2, 0x1.5c4b3b573224ap-2, 0x1.58c5895e62606p-2, 0x1.553bfad3a0964p-2, 0x1.51aef33f34765p-2, 0x1.4e1ed475963edp-2, 0x1.4a8bfe9306321p-2, 0x1.46f6cff796664p-2, 0x1.435fa5439e92cp-2, 0x1.3fc6d95499dc2p-2, 0x1.3c2cc5426b199p-2, 0x1.3891c05d05d13p-2, 0x1.34f6202a75c37p-2, 0x1.315a386548191p-2, 0x1.2dbe5afb4dd97p-2, 0x1.2a22d80cb819p-2, 0x1.2687fdeb8a5aep-2, 0x1.22ee191b60f3fp-2, 0x1.1f557451885a2p-2, 0x1.1bbe5875639d8p-2, 0x1.18290ca11e17p-2, 0x1.1495d622a84bap-2, 0x1.1104f87cfb2ddp-2, 0x1.0d76b5699ffb8p-2, 0x1.09eb4cda7af52p-2, 0x1.0662fcfbd79d4p-2, 0x1.02de0236b1385p-2, 0x1.feb92e666ffcdp-3, 0x1.f7bde9b71c4f2p-3, 0x1.f0caa4bd7c4ap-3, 0x1.e9dfca67cde57p-3, 0x1.e2fdc23b2e0fep-3, 0x1.dc24f05ab6598p-3, 0x1.d555b58efc435p-3, 0x1.ce906f4ddfb7dp-3, 0x1.c7d577c2b5ep-3, 0x1.c12525d6c6a6fp-3, 0x1.ba7fcd3a125e6p-3, 0x1.b3e5be6c64cbp-3, 0x1.ad5746c6ae8f3p-3, 0x1.a6d4b0849fad1p-3, 0x1.a05e42ce807c6p-3, 0x1.99f441c346707p-3, 0x1.9396ee82e2ec2p-3, 0x1.8d468738c0b48p-3, 0x1.8703472674678p-3, 0x1.80cd66aea29aep-3, 0x1.7aa51b5fff7dap-3, 0x1.748a980087a55p-3, 0x1.6e7e0c98d09c3p-3, 0x1.687fa67f7d7fp-3, 0x1.628f9064d507fp-3, 0x1.5cadf25e703a9p-3, 0x1.56daf1f2ff0d5p-3, 0x1.5116b22624d2cp-3, 0x1.4b61538469bf3p-3, 0x1.45baf42f37ddap-3, 0x1.4023afe8e7d9fp-3, 0x1.3a9ba020d93a6p-3, 0x1.3522dbff93652p-3, 0x1.2fb97872e867bp-3, 0x1.2a5f883a240f3p-3, 0x1.25151bf233162p-3, 0x1.1fda4221cf98ep-3, 0x1.1aaf0745aca95p-3, 0x1.159375dc92ee2p-3, 0x1.10879673836a8p-3, 0x1.0b8b6fb1c98f9p-3, 0x1.069f066502bf6p-3, 0x1.01c25d8d1de55p-3, 0x1.f9eaecd08f69fp-4, 0x1.f070a0fd952f6p-4, 0x1.e715d35dba06cp-4, 0x1.ddda7c70b568cp-4, 0x1.d4be9190d196cp-4, 0x1.cbc2050a142b9p-4, 0x1.c2e4c6312758p-4, 0x1.ba26c17a1c6abp-4, 0x1.b187e08ef9919p-4, 0x1.a9080a6608469p-4, 0x1.a0a72357fecap-4, 0x1.98650d35d4ffbp-4, 0x1.9041a75e72f14p-4, 0x1.883cced41432ap-4, 0x1.80565e516e3bp-4, 0x1.788e2e5e9497ep-4, 0x1.70e415659884cp-4, 0x1.6957e7c6e2509p-4, 0x1.61e977ed45cdfp-4, 0x1.5a989661cba45p-4, 0x1.536511df33081p-4, 0x1.4c4eb76527f95p-4, 0x1.4555524b2db17p-4, 0x1.3e78ac533c019p-4, 0x1.37b88dbc0f1d1p-4, 0x1.3114bd53291abp-4, 0x1.2a8d008683c45p-4, 0x1.24211b75f33cdp-4, 0x1.1dd0d10436d7dp-4, 0x1.179be2e7ba6d6p-4, 0x1.118211bb05b3p-4, 0x1.0b831d0cd9c6bp-4, 0x1.059ec36ffd196p-4, 0x1.ffa985156b175p-5, 0x1.f449ae4bddf4ep-5, 0x1.e91d7a782217ep-5, 0x1.de24600f0441ep-5, 0x1.d35dd421af87cp-5, 0x1.c8c94a796a3b1p-5, 0x1.be6635b2af913p-5, 0x1.b4340757a5afap-5, 0x1.aa322ff9f01c9p-5, 0x1.a0601f4be272dp-5, 0x1.96bd44390ec5fp-5, 0x1.8d490cfe35b25p-5, 0x1.8402e74095fc3p-5, 0x1.7aea40249f429p-5, 0x1.71fe84640603cp-5, 0x1.693f20633b69cp-5, 0x1.60ab80464bafbp-5, 0x1.58431005231f2p-5, 0x1.50053b7f394cdp-5, 0x1.47f16e8ea8344p-5, 0x1.4007151aae7fap-5, 0x1.38459b299b381p-5, 0x1.30ac6cf22c5fep-5, 0x1.293af6ec5b885p-5, 0x1.21f0a5e19cf69p-5, 0x1.1acce6fc90fdfp-5, 0x1.13cf27d82d89fp-5, 0x1.0cf6d68e5eca7p-5, 0x1.064361c61f022p-5, 0x1.ff68718218ffdp-6, 0x1.f29196d0fa2p-6, 0x1.e60114b41d13fp-6, 0x1.d9b5cde777bf6p-6, 0x1.cdaea6bee7b8ep-6, 0x1.c1ea853c6fd26p-6, 0x1.b66851257dfp-6, 0x1.ab26f4174fafep-6, 0x1.a025599a6398fp-6, 0x1.95626f3513a9p-6, 0x1.8add247d44db7p-6, 0x1.80946b294664cp-6, 0x1.7687371fd4adbp-6, 0x1.6cb47e874b4eap-6, 0x1.631b39d40e7efp-6, 0x1.59ba63d622d0cp-6, 0x1.5090f9c60b272p-6, 0x1.479dfb50dc027p-6, 0x1.3ee06aa39aa7fp-6, 0x1.36574c75e0677p-6, 0x1.2e01a813cf5c3p-6, 0x1.25de87674f856p-6, 0x1.1decf700ac211p-6, 0x1.162c061e84a01p-6, 0x1.0e9ac6b519a4dp-6, 0x1.07384d75036a9p-6, 0x1.0003b1d1459fcp-6, 0x1.f1f81c09ab9f9p-7, 0x1.e440fe2f1399dp-7, 0x1.d6e049c4fc95fp-7, 0x1.c9d44427dea99p-7, 0x1.bd1b38651784cp-7, 0x1.b0b377409c7c6p-7, 0x1.a49b573998bbdp-7, 0x1.98d1348e31525p-7, 0x1.8d53713e4a846p-7, 0x1.8220750d6ebfp-7, 0x1.7736ad83e2704p-7, 0x1.6c948deeccd7cp-7, 0x1.62388f5fa9e19p-7, 0x1.582130aae074p-7, 0x1.4e4cf665a6013p-7, 0x1.44ba6ae32028cp-7, 0x1.3b681e30d7d61p-7, 0x1.3254a6127ed65p-7, 0x1.297e9dfd0e614p-7, 0x1.20e4a71147dd1p-7, 0x1.188568159b1afp-7, 0x1.105f8d6f7ac57p-7, 0x1.0871c91c23827p-7, 0x1.00bad2a8db44ep-7, 0x1.f272ce5562397p-8, 0x1.e3d8926b801a1p-8, 0x1.d5a481a7f94cap-8, 0x1.c7d436f725c3ep-8, 0x1.ba655809aef66p-8, 0x1.ad55953fa9082p-8, 0x1.a0a2a992eb23bp-8, 0x1.944a5a80ae9e6p-8, 0x1.884a77f28148bp-8, 0x1.7ca0dc26950dp-8, 0x1.714b6b97730f5p-8, 0x1.664814e31cfe1p-8, 0x1.5b94d0b1a8b02p-8, 0x1.512fa19b57bffp-8, 0x1.4716940e39c63p-8, 0x1.3d47be335f66p-8, 0x1.33c13fd3a413ap-8, 0x1.2a81423c1a67dp-8, 0x1.2185f8221d40cp-8, 0x1.18cd9d87149b1p-8, 0x1.1056779beb9b5p-8, 0x1.081ed4a447d1bp-8, 0x1.00250bd982921p-8, 0x1.f0cefa9ada31p-9, 0x1.e1c92399cbe8ap-9, 0x1.d335758488754p-9, 0x1.c510e42f43945p-9, 0x1.b75874320b80cp-9, 0x1.aa093aacf164ap-9, 0x1.9d205d0c0af27p-9, 0x1.909b10cb5b394p-9, 0x1.84769b3aaa06p-9, 0x1.78b051415512bp-9, 0x1.6d45972220a5bp-9, 0x1.6233e03f1a355p-9, 0x1.5778aedd876cfp-9, 0x1.4d1193e9f78ap-9, 0x1.42fc2ebc75ef6p-9, 0x1.39362cdce9c1fp-9, 0x1.2fbd49c7a9e02p-9, 0x1.268f4eb24a44fp-9, 0x1.1daa1250ab48ap-9, 0x1.150b789a50fp-9, 0x1.0cb17290063b8p-9, 0x1.0499fe01d9f82p-9, 0x1.f9864aaadb837p-10, 0x1.ea55fe995272bp-10, 0x1.db9f5d99a2e12p-10, 0x1.cd5ec54c0a31ap-10, 0x1.bf90aab65a766p-10, 0x1.b23199d4b0aafp-10, 0x1.a53e352b24e27p-10, 0x1.98b3355865c5p-10, 0x1.8c8d68a954c26p-10, 0x1.80c9b2ada5394p-10, 0x1.75650bcd8314ap-10, 0x1.6a5c80e0467fcp-10, 0x1.5fad32c444756p-10, 0x1.555455f7b3262p-10, 0x1.4b4f3232b0dbbp-10, 0x1.419b220271d71p-10, 0x1.383592658f8afp-10, 0x1.2f1c02698a147p-10, 0x1.264c02c97ad23p-10, 0x1.1dc3358df5d97p-10, 0x1.157f4dae258b8p-10, 0x1.0d7e0eb21ceabp-10, 0x1.05bd4c56637f9p-10, 0x1.fc75d4618c211p-11, 0x1.ede9b6acbb118p-11, 0x1.dfd24405b8513p-11, 0x1.d22b9e8234ee6p-11, 0x1.c4f20529d079cp-11, 0x1.b821d34c413f4p-11, 0x1.abb77fda041d1p-11, 0x1.9faf9cbf9793ap-11, 0x1.9406d6433eac6p-11, 0x1.88b9f2654dcp-11, 0x1.7dc5d042ff13ep-11, 0x1.7327677bcf15ep-11, 0x1.68dbc7995f895p-11, 0x1.5ee01779deb79p-11, 0x1.553194bcefb73p-11, 0x1.4bcd933314e9cp-11, 0x1.42b17c4f95ee5p-11, 0x1.39dace9ce109fp-11, 0x1.31471d336310cp-11, 0x1.28f40f32d2e2ap-11, 0x1.20df5f3ded8ep-11, 0x1.1906daf89b717p-11, 0x1.11686288810e9p-11, 0x1.0a01e817eef31p-11, 0x1.02d16f5b31d7fp-11, 0x1.f7aa1a307783ep-12, 0x1.ea15cd61425dep-12, 0x1.dce2635bcc86ap-12, 0x1.d00c66a027435p-12, 0x1.c390803d22b33p-12, 0x1.b76b76f67f31cp-12, 0x1.ab9a2e6f8c475p-12, 0x1.a019a65a32e75p-12, 0x1.94e6f9aa531dfp-12, 0x1.89ff5dcd6f52ep-12, 0x1.7f6021e69a50ep-12, 0x1.7506ae0e918eep-12, 0x1.6af08298066d9p-12, 0x1.611b3757f7ca1p-12, 0x1.57847af21a8b6p-12, 0x1.4e2a122942c19p-12, 0x1.4509d733b7b87p-12, 0x1.3c21b913704a7p-12, 0x1.336fbaf21f947p-12, 0x1.2af1f3810d8a7p-12, 0x1.22a68c5ca641ap-12, 0x1.1a8bc173b43adp-12, 0x1.129fe0723bc4ap-12, 0x1.0ae1482fe2bd8p-12, 0x1.034e6821dace5p-12, 0x1.f7cb7fa081326p-13, 0x1.e94bbc9dbf4f7p-13, 0x1.db1ac3729a41dp-13, 0x1.cd35ed649cf27p-13, 0x1.bf9aafccf4303p-13, 0x1.b2469b240d622p-13, 0x1.a5375a13731a3p-13, 0x1.986ab08dd01d7p-13, 0x1.8bde7aecfb282p-13, 0x1.7f90ad15ef82p-13, 0x1.737f51a296764p-13, 0x1.67a88911495d6p-13, 0x1.5c0a88f9f04dap-13, 0x1.50a39b489dea3p-13, 0x1.45721d7d9902ap-13, 0x1.3a747ff2a9abdp-13, 0x1.2fa94525a3856p-13, 0x1.250f0107f9d3ap-13, 0x1.1aa458535e54fp-13, 0x1.1067ffe341636p-13, 0x1.0658bc131776bp-13, 0x1.f8eac042b6099p-14, 0x1.e5799b2e3f09bp-14, 0x1.d25be76859252p-14, 0x1.bf8f9dbef3215p-14, 0x1.ad12d03808c55p-14, 0x1.9ae3a903ac3afp-14, 0x1.890069766907bp-14, 0x1.7767690ba827ep-14, 0x1.6617147007f92p-14, 0x1.550dec9367d17p-14, 0x1.444a85c28422fp-14, 0x1.33cb86c7f1731p-14, 0x1.238fa8144dcc1p-14, 0x1.1395b2ed7ce1fp-14, 0x1.03dc80a4c605ap-14, 0x1.e8c5f3a74c4c5p-15, 0x1.ca502b3e657bap-15, 0x1.ac55b203c0e93p-15, 0x1.8ed4ac370ee9ap-15, 0x1.71cb570efd6eap-15, 0x1.553807714e02ep-15, 0x1.391928b67db3p-15, 0x1.1d6d3b78b846ep-15, 0x1.0232d46dc9afbp-15, 0x1.ced1369789ca1p-16, 0x1.9a1a93703bca3p-16, 0x1.663f5481d7cf1p-16, 0x1.333d2ec0217fap-16, 0x1.0111f51004d68p-16, 0x1.9f772ce7d7c3ep-17, 0x1.3e7038949b9e1p-17, 0x1.be16a277f39c6p-18, 0x1.0289d21edda38p-18, 0x1.28ccea07a4219p-20, -0x1.abce67bdcd637p-20, -0x1.1cf0d670626ebp-18, -0x1.cbca615f45bbdp-18, -0x1.3bc2f0bd46066p-17, -0x1.90146171c03f1p-17, -0x1.e2dc1df4658e7p-17, -0x1.1a0e54669437fp-16, -0x1.41ec370a00d54p-16, -0x1.6908e2c358d89p-16, -0x1.8f657a42c6b0bp-16, -0x1.b50317fc15b6ep-16, -0x1.d9e2cf0d534aep-16, -0x1.fe05ac1a1dc72p-16, -0x1.10b65b0dfec47p-15, -0x1.220c77940c6p-15, -0x1.3305aa9553747p-15, -0x1.43a2714c39f5ep-15, -0x1.53e3478b616e4p-15, -0x1.63c8a80cf5943p-15, -0x1.73530cbd7bc25p-15, -0x1.8282ef024ffd1p-15, -0x1.9158c7fbeedf9p-15, -0x1.9fd510c438068p-15, -0x1.adf842a8c90b5p-15, -0x1.bbc2d76198545p-15, -0x1.c9354943ed452p-15, -0x1.d6501371de85bp-15, -0x1.e313b20670511p-15, -0x1.ef80a23e77e79p-15, -0x1.fb97629e620c3p-15, -0x1.03ac398a7c257p-14, -0x1.09622a8da3fd2p-14, -0x1.0eedc5e8e18ecp-14, -0x1.144f4e0d5d3e6p-14, -0x1.1987065925455p-14, -0x1.1e953321ea551p-14, -0x1.237a19be92736p-14, -0x1.2836008fa971bp-14, -0x1.2cc92f06c131fp-14, -0x1.3133edacc8071p-14, -0x1.357686276595ap-14, -0x1.3991433d65f3cp-14, -0x1.3d8470da40001p-14, -0x1.41505c10c04fp-14, -0x1.44f5531ce406ep-14, -0x1.4873a564ecacbp-14, -0x1.4bcba379b7b0ep-14, -0x1.4efd9f1661d76p-14, -0x1.5209eb1f4062fp-14, -0x1.54f0dba038d85p-14, -0x1.57b2c5ca7fa12p-14, -0x1.5a4ffff1c6927p-14, -0x1.5cc8e188e1188p-14, -0x1.5f1dc31de9bf2p-14, -0x1.614efe55ec53bp-14, -0x1.635cede81ee59p-14, -0x1.6547ed98af3b3p-14, -0x1.67105a332c7a3p-14, -0x1.68b69184923cp-14, -0x1.6a3af254fcfc8p-14, -0x1.6b9ddc610c638p-14, -0x1.6cdfb052faf96p-14, -0x1.6e00cfbb6f3e3p-14, -0x1.6f019d0a0d29bp-14, -0x1.6fe27b85cc94bp-14, -0x1.70a3cf4519f3cp-14, -0x1.7145fd25c4732p-14, -0x1.71c96ac4c35c2p-14, -0x1.722e7e75cfb42p-14, -0x1.72759f3add127p-14, }}, 
      {{0x1.186664c4146e3p-6, 0x1.179e788591167p-5, 0x1.a185d93100573p-5, 0x1.14a092059b051p-4, 0x1.57200aaf9769dp-4, 0x1.9805f4e8966d7p-4, 0x1.d7239c7c3a15bp-4, 0x1.0a2b2c8fd06c8p-3, 0x1.27c34ad5eb0b8p-3, 0x1.445353c5c7f4ep-3, 0x1.5fd8c8ec15e5p-3, 0x1.7a54e3760c481p-3, 0x1.93cbfa6e73d4dp-3, 0x1.ac44f25fd31c2p-3, 0x1.c3c8b8ab8ef5cp-3, 0x1.da61cbbef5a8cp-3, 0x1.f01bd0822f138p-3, 0x1.02819a68a0264p-2, 0x1.0c926f39bca16p-2, 0x1.1646f2e5dd693p-2, 0x1.1fa5adad77e41p-2, 0x1.28b50b8f1e94ap-2, 0x1.317b48676be5dp-2, 0x1.39fe600708cf3p-2, 0x1.424401c9316b2p-2, 0x1.4a51873bfe853p-2, 0x1.522bed738af3ep-2, 0x1.59d7d0a97386bp-2, 0x1.615969d2ac83bp-2, 0x1.68b48dde0588ep-2, 0x1.6fecae55c2741p-2, 0x1.7704db26597a6p-2, 0x1.7dffc553898c1p-2, 0x1.84dfc26ba8551p-2, 0x1.8ba6d08f10a2ap-2, 0x1.92569ae7365f3p-2, 0x1.98f07e6de7cc1p-2, 0x1.9f758ee9c8c26p-2, 0x1.a5e69c092b806p-2, 0x1.ac443687ff14ep-2, 0x1.b28eb550c5e0dp-2, 0x1.b8c63a8b52358p-2, 0x1.beeab88e84cdfp-2, 0x1.c4fbf6ac6ff5cp-2, 0x1.caf995d222e37p-2, 0x1.d0e314f5f80f6p-2, 0x1.d6b7d550ac27ap-2, 0x1.dc771e5eacfefp-2, 0x1.e22021a80f5d7p-2, 0x1.e7b1fe4e7138bp-2, 0x1.ed2bc460c30c3p-2, 0x1.f28c77f57e759p-2, 0x1.f7d3140c55ed1p-2, 0x1.fcfe8d38b6677p-2, 0x1.0106ea0b66b4bp-1, 0x1.037febc67cfc1p-1, 0x1.05e9c36ddb6cep-1, 0x1.0843e9bf196dap-1, 0x1.0a8dd96ee853dp-1, 0x1.0cc70fed7066bp-1, 0x1.0eef0e1670fcdp-1, 0x1.110558ce490bbp-1, 0x1.1309798d09c8dp-1, 0x1.14fafed8ae24ep-1, 0x1.16d97caf8b8d9p-1, 0x1.18a48ce405297p-1, 0x1.1a5bcf6a83efdp-1, 0x1.1bfeea9aa9af9p-1, 0x1.1d8d8b64a9a77p-1, 0x1.1f07657baa80ap-1, 0x1.206c337603e76p-1, 0x1.21bbb6e426ad5p-1, 0x1.22f5b85eeb42cp-1, 0x1.241a078e01003p-1, 0x1.25287b2725293p-1, 0x1.2620f0e6c57a9p-1, 0x1.27034d82a590dp-1, 0x1.27cf7c9714529p-1, 0x1.2885708f39463p-1, 0x1.29252288f4f7fp-1, 0x1.29ae9234c9dd3p-1, 0x1.2a21c5b23cfb3p-1, 0x1.2a7ec969117d9p-1, 0x1.2ac5afdfc1507p-1, 0x1.2af6918f8aec8p-1, 0x1.2b118cb66579dp-1, 0x1.2b16c5272aabdp-1, 0x1.2b0664183c0bfp-1, 0x1.2ae097f0e7a66p-1, 0x1.2aa59415c5ee6p-1, 0x1.2a5590b450d73p-1, 0x1.29f0ca8de01e6p-1, 0x1.297782c243111p-1, 0x1.28e9fe9a1f62dp-1, 0x1.28488751409f3p-1, 0x1.279369e0ff5bbp-1, 0x1.26caf6cadf9bap-1, 0x1.25ef81e389951p-1, 0x1.2501621e37e37p-1, 0x1.2400f158b633fp-1, 0x1.22ee8c280a263p-1, 0x1.21ca91a5d869bp-1, 0x1.2095633e9e8p-1, 0x1.1f4f6480cde5cp-1, 0x1.1df8faecdd156p-1, 0x1.1c928dc6592ap-1, 0x1.1b1c85e6058c9p-1, 0x1.19974d8d14e26p-1, 0x1.180350398440ep-1, 0x1.1660fa7ba0213p-1, 0x1.14b0b9ccbc169p-1, 0x1.12f2fc671e62ap-1, 0x1.1128311f2b0d7p-1, 0x1.0f50c73dc9036p-1, 0x1.0d6d2e5c0c6f1p-1, 0x1.0b7dd64021e9fp-1, 0x1.09832ebb7ee89p-1, 0x1.077da78a54179p-1, 0x1.056db034459d3p-1, 0x1.0353b7ee63c0fp-1, 0x1.01302d7e63c09p-1, 0x1.fe06fe3e2fe2dp-2, 0x1.f99c34cc4049fp-2, 0x1.f520d855a976p-2, 0x1.f095c0dcc3a83p-2, 0x1.ebfbc48a2affdp-2, 0x1.e753b781ab604p-2, 0x1.e29e6bb97c50fp-2, 0x1.dddcb0d3bd02ap-2, 0x1.d90f53fa26cbfp-2, 0x1.d4371fbbece22p-2, 0x1.cf54dbedb9071p-2, 0x1.ca694d8bbf04cp-2, 0x1.c575369dd63fdp-2, 0x1.c079561d8bbefp-2, 0x1.bb7667de2840ep-2, 0x1.b66d24768ffdep-2, 0x1.b15e412cfba42p-2, 0x1.ac4a6fe47653dp-2, 0x1.a7325f0c12174p-2, 0x1.a216b98fcd907p-2, 0x1.9cf826cb123a4p-2, 0x1.97d74a7cc9ecbp-2, 0x1.92b4c4bcf1afep-2, 0x1.8d9131f3a73b8p-2, 0x1.886d2ad19ffb5p-2, 0x1.83494449f8005p-2, 0x1.7e260f8d555bap-2, 0x1.79041a0649731p-2, 0x1.73e3ed56ea99p-2, 0x1.6ec60f5793dedp-2, 0x1.69ab0216c5db1p-2, 0x1.649343da11f52p-2, 0x1.5f7f4f200f551p-2, 0x1.5a6f9aa3445bfp-2, 0x1.5564995e00ae3p-2, 0x1.505eba8f1558cp-2, 0x1.4b5e69bf6557cp-2, 0x1.46640ec8414e1p-2, 0x1.41700dda85313p-2, 0x1.3c82c78668849p-2, 0x1.379c98c40043p-2, 0x1.32bddafc5e3bap-2, 0x1.2de6e4134baf1p-2, 0x1.2918067192dc4p-2, 0x1.2451910fceb13p-2, 0x1.1f93cf81b44f6p-2, 0x1.1adf0a01d6d3cp-2, 0x1.1633857dd1282p-2, 0x1.119183a2d81p-2, 0x1.0cf942eaa57d4p-2, 0x1.086afea8b8566p-2, 0x1.03e6ef17e3d6fp-2, 0x1.feda92d03d6c5p-3, 0x1.f5fc7f992f94dp-3, 0x1.ed340313fc43cp-3, 0x1.e4817609f83efp-3, 0x1.dbe52ba1ba823p-3, 0x1.d35f717cb6f65p-3, 0x1.caf08fd512543p-3, 0x1.c298c99bac91ap-3, 0x1.ba585c965acd6p-3, 0x1.b22f817e3576dp-3, 0x1.aa1e6c1e053eap-3, 0x1.a2254b70b9b46p-3, 0x1.9a4449bfe0c58p-3, 0x1.927b8cc220dfdp-3, 0x1.8acb35b99991bp-3, 0x1.833361923d20bp-3, 0x1.7bb42900044dcp-3, 0x1.744da09d034ffp-3, 0x1.6cffd90754966p-3, 0x1.65cadefecfa4fp-3, 0x1.5eaebb8292334p-3, 0x1.57ab73ee4590fp-3, 0x1.50c10a1727589p-3, 0x1.49ef7c68cd864p-3, 0x1.4336c6019a836p-3, 0x1.3c96decee82fbp-3, 0x1.360fbba8e03c6p-3, 0x1.2fa14e6df667fp-3, 0x1.294b861e11cep-3, 0x1.230e4ef553b34p-3, 0x1.1ce992867e6ffp-3, 0x1.16dd37d4f8f5fp-3, 0x1.10e9236e6e0f8p-3, 0x1.0b0d3783ff6dap-3, 0x1.0549540315504p-3, 0x1.ff3aad5b796e3p-4, 0x1.f412366530ff2p-4, 0x1.e918f688c59a1p-4, 0x1.de4e9d62047fep-4, 0x1.d3b2d6f04b943p-4, 0x1.c9454bc2ec287p-4, 0x1.bf05a1249b011p-4, 0x1.b4f37945fba81p-4, 0x1.ab0e736741c5bp-4, 0x1.a1562c00edc65p-4, 0x1.97ca3ceb9c01bp-4, 0x1.8e6a3d86e0c26p-4, 0x1.8535c2df4b911p-4, 0x1.7c2c5fd3729ffp-4, 0x1.734da5381aeb8p-4, 0x1.6a9921fb77161p-4, 0x1.620e63477e656p-4, 0x1.59acf4a35e866p-4, 0x1.5174601407362p-4, 0x1.49642e3bd48f6p-4, 0x1.417be679560ep-4, 0x1.39bb0f0537e85p-4, 0x1.32212d0f4db1ep-4, 0x1.2aadc4dac2246p-4, 0x1.236059d96e2d5p-4, 0x1.1c386ec658d39p-4, 0x1.153585bf63d5cp-4, 0x1.0e57205e271bdp-4, 0x1.079cbfcffc38ep-4, 0x1.0105e4ed3f9d1p-4, 0x1.f524209f8fa54p-5, 0x1.e88184d130728p-5, 0x1.dc22f7299dcd1p-5, 0x1.d0077863a8b45p-5, 0x1.c42e09619d38p-5, 0x1.b895ab52b30aep-5, 0x1.ad3d5fd714be2p-5, 0x1.a224292280cf7p-5, 0x1.97490a1d8a2a7p-5, 0x1.8cab068580ea7p-5, 0x1.8249230b0c274p-5, 0x1.7822656f73652p-5, 0x1.6e35d4a0a99a2p-5, 0x1.648278d41804fp-5, 0x1.5b075ba032575p-5, 0x1.51c38814dca3ap-5, 0x1.48b60ad2a8566p-5, 0x1.3fddf220eddbdp-5, 0x1.373a4e02ce343p-5, 0x1.2eca304b1c1cap-5, 0x1.268cacaf3a2bbp-5, 0x1.1e80d8d8f219dp-5, 0x1.16a5cc774b312p-5, 0x1.0efaa14e66948p-5, 0x1.077e734668664p-5, 0x1.00306079769bcp-5, 0x1.f21f12819d148p-6, 0x1.e4362081f9969p-6, 0x1.d6a434ea7543ap-6, 0x1.c9679e73f4c17p-6, 0x1.bc7eb0ad45a58p-6, 0x1.afe7c40d1020cp-6, 0x1.a3a13602421f7p-6, 0x1.97a96903040dp-6, 0x1.8bfec49a49863p-6, 0x1.809fb573f859fp-6, 0x1.758aad67cb234p-6, 0x1.6abe2382dc7d6p-6, 0x1.603894100455dp-6, 0x1.55f8809ef3a8dp-6, 0x1.4bfc700a37781p-6, 0x1.4242ee7c14352p-6, 0x1.38ca8d7252f4dp-6, 0x1.2f91e3c1060bep-6, 0x1.26978d944cd3cp-6, 0x1.1dda2c71255d2p-6, 0x1.155867354e2ep-6, 0x1.0d10ea164a561p-6, 0x1.0502669f888dfp-6, 0x1.fa57275f7b21p-7, 0x1.eb165aeae4c5p-7, 0x1.dc3fead5b1a82p-7, 0x1.cdd164a1c9a85p-7, 0x1.bfc8605372b89p-7, 0x1.b2228064da5ccp-7, 0x1.a4dd71b86985p-7, 0x1.97f6eb89da58ap-7, 0x1.8b6caf5e3e612p-7, 0x1.7f3c88f2eb3c2p-7, 0x1.73644e2b601e8p-7, 0x1.67e1defe3c17bp-7, 0x1.5cb325614c1cap-7, 0x1.51d61534b243ep-7, 0x1.4748ac2d51433p-7, 0x1.3d08f1be5dc86p-7, 0x1.3314f7024b70ep-7, 0x1.296ad6a3047bep-7, 0x1.2008b4c182bcp-7, 0x1.16ecbedcd47acp-7, 0x1.0e152bb8940f5p-7, 0x1.05803b42dfaabp-7, 0x1.fa586cf3b3df9p-8, 0x1.ea2edea17821cp-8, 0x1.da80812909b16p-8, 0x1.cb4a1ba096314p-8, 0x1.bc8886627b3cp-8, 0x1.ae38aad4b2d0cp-8, 0x1.a057832fb933dp-8, 0x1.92e21a44fe47ep-8, 0x1.85d58b44f0721p-8, 0x1.792f0184aff41p-8, 0x1.6cebb84379a7bp-8, 0x1.6108fa6fd18cdp-8, 0x1.5584226c8246ep-8, 0x1.4a5a99d5772aap-8, 0x1.3f89d9447eefp-8, 0x1.350f6816031bfp-8, 0x1.2ae8dc2dbee8ap-8, 0x1.2113d9bb7fac4p-8, 0x1.178e12fff8ba6p-8, 0x1.0e554811b4cd6p-8, 0x1.056746a22e91p-8, 0x1.f983d3862fcdp-9, 0x1.e8c63357b4089p-9, 0x1.d89196fea824cp-9, 0x1.c8e20223c55bep-9, 0x1.b9b3915f6b594p-9, 0x1.ab0279c6f5c2ap-9, 0x1.9ccb087acb885p-9, 0x1.8f09a23534edp-9, 0x1.81bac2d9fd58p-9, 0x1.74dafd06f5352p-9, 0x1.6866f9a557d3p-9, 0x1.5c5b777c21a3p-9, 0x1.50b54ac3621c3p-9, 0x1.45715cb88a626p-9, 0x1.3a8cab33cbd49p-9, 0x1.3004483e83228p-9, 0x1.25d559aac30cdp-9, 0x1.1bfd18abf6efp-9, 0x1.1278d170af158p-9, 0x1.0945e2bd99b1ep-9, 0x1.0061bd89a6bc3p-9, 0x1.ef93c936d0699p-10, 0x1.def7d84f4709p-10, 0x1.ceeaf2e251a02p-10, 0x1.bf6884d3c695bp-10, 0x1.b06c1aaa67fbcp-10, 0x1.a1f160d719bfcp-10, 0x1.93f422feb6e49p-10, 0x1.86704b4672a1bp-10, 0x1.7961e1a2d88b9p-10, 0x1.6cc50b2968651p-10, 0x1.60960964d0f9ap-10, 0x1.54d139abc8e0bp-10, 0x1.4973147a89abap-10, 0x1.3e782ccef31dep-10, 0x1.33dd2f87458d9p-10, 0x1.299ee2c387afcp-10, 0x1.1fba254984ac4p-10, 0x1.162bedeb747d9p-10, 0x1.0cf14af135d7p-10, 0x1.040761842a3b5p-10, 0x1.f6d6da3b56108p-11, 0x1.e6357df023ab1p-11, 0x1.d6257b04a8fcbp-11, 0x1.c6a1c7ac5fc1p-11, 0x1.b7a58261bbe26p-11, 0x1.a92bf0dca30b2p-11, 0x1.9b307f0debcb1p-11, 0x1.8daebe1fd36e3p-11, 0x1.80a2637b67d01p-11, 0x1.740747d2d615fp-11, 0x1.67d96630930dep-11, 0x1.5c14db0b54a3p-11, 0x1.50b5e35ecfccp-11, 0x1.45b8dbc92b3p-11, 0x1.3b1a3fad1f4d4p-11, 0x1.30d6a858b45e7p-11, 0x1.26eacc308f5b8p-11, 0x1.1d537ddfc5146p-11, 0x1.140dab8c219b7p-11, 0x1.0b165e0ed8839p-11, 0x1.026ab8318d0eap-11, 0x1.f40febdf53efp-12, 0x1.e3d6d777e34b5p-12, 0x1.d4250b9480869p-12, 0x1.c4f58ebad995bp-12, 0x1.b643943273ed2p-12, 0x1.a80a7ab096442p-12, 0x1.9a45cb0c130e5p-12, 0x1.8cf136f8e1a7bp-12, 0x1.800897cb5a111p-12, 0x1.7387ed42fef7ap-12, 0x1.676b5c5cb6827p-12, 0x1.5baf2e2c4b29bp-12, 0x1.504fcebd22948p-12, 0x1.4549cbfa01823p-12, 0x1.3a99d49bc3858p-12, 0x1.303cb71ee8662p-12, 0x1.262f60bfd47abp-12, 0x1.1c6edc7dac9p-12, 0x1.12f85223a9c9dp-12, 0x1.09c90558c6dc5p-12, 0x1.00de54b5b1e86p-12, 0x1.f06b71c1acc6ap-13, 0x1.df998760e4dcap-13, 0x1.cf423ea514439p-13, 0x1.bf611af554c43p-13, 0x1.aff1cd2aa486p-13, 0x1.a0f03201dd6a9p-13, 0x1.925850989109cp-13, 0x1.842658f4925cfp-13, 0x1.7656a295f628dp-13, 0x1.68e5ab134f97dp-13, 0x1.5bd014bff94a6p-13, 0x1.4f12a55c2f688p-13, 0x1.42aa44cec3c48p-13, 0x1.3693fbe840d22p-13, 0x1.2accf32f3e31fp-13, 0x1.1f5271b5aefa3p-13, 0x1.1421dbf7094e4p-13, 0x1.0938b2bf0585cp-13, 0x1.fd2924317f7abp-14, 0x1.e866608c3fccap-14, 0x1.d424b97e7cf0cp-14, 0x1.c05ffe735ae7ap-14, 0x1.ad142d6ebee64p-14, 0x1.9a3d713a31f47p-14, 0x1.87d81fa04733p-14, 0x1.75e0b7b6588f6p-14, 0x1.6453e03425882p-14, 0x1.532e65d909f65p-14, 0x1.426d39de7468ep-14, 0x1.320d7077459a8p-14, 0x1.220c3f5bcbe71p-14, 0x1.1266fc6203068p-14, 0x1.031b1c21cd786p-14, 0x1.e84c6149aaf51p-15, 0x1.cb0bd04396a71p-15, 0x1.ae70178565266p-15, 0x1.9274fcebec761p-15, 0x1.77167793f32c6p-15, 0x1.5c50ada5b9f37p-15, 0x1.421ff23468a0dp-15, 0x1.2880c330ca739p-15, 0x1.0f6fc76ed935fp-15, 0x1.edd3997b23e81p-16, 0x1.bdd78c211e1aep-16, 0x1.8ee59375d1a01p-16, 0x1.60f81f75c4f08p-16, 0x1.3409e02bcf4dcp-16, 0x1.0815c288be27dp-16, 0x1.ba2ddab39b14dp-17, 0x1.66117cb9eeb9ep-17, 0x1.13cd8ee4990ffp-17, 0x1.86b32fa5b9d3dp-18, 0x1.d2b5ef52d730ep-19, 0x1.3e0bbf8b5250ap-20, -0x1.1b8f16f42209cp-20, -0x1.b3ced116644e1p-19, -0x1.6995a1eaac79ap-18, -0x1.f5fb8db6df2fcp-18, -0x1.3f92e129acebep-17, -0x1.82902c31e9b2cp-17, -0x1.c3fb791796a0bp-17, -0x1.01ed30ac0d6aep-16, -0x1.21192515b4216p-16, -0x1.3f8433df05453p-16, -0x1.5d30e023005e4p-16, -0x1.7a219779cabaep-16, -0x1.9658b35fae696p-16, -0x1.b1d87a8b52906p-16, -0x1.cca32233acaf2p-16, -0x1.e6bacf464b778p-16, -0x1.0010cbc73a83dp-15, -0x1.0c6cc166d679fp-15, -0x1.187245e31079fp-15, -0x1.2422509bbd25bp-15, -0x1.2f7dd3674ad1bp-15, -0x1.3a85bb044bc0fp-15, -0x1.453aef84ea7d4p-15, -0x1.4f9e54b481f33p-15, -0x1.59b0ca7791286p-15, -0x1.63732d26403c1p-15, -0x1.6ce655e1aba7cp-15, -0x1.760b1ae42d3bfp-15, -0x1.7ee24fcccb336p-15, -0x1.876cc5e60a9c5p-15, -0x1.8fab4c6847521p-15, -0x1.979eb0b7cb2c4p-15, -0x1.9f47be9ec5895p-15, -0x1.a6a740835886dp-15, -0x1.adbdff99de21bp-15, -0x1.b48cc41390d6bp-15, -0x1.bb145549c0799p-15, -0x1.c15579e5b6923p-15, -0x1.c750f8056f5aap-15, -0x1.cd07955d4f013p-15, -0x1.d27a1756efa3fp-15, -0x1.d7a9432d2e939p-15, -0x1.dc95de059890dp-15, -0x1.e140ad0752352p-15, -0x1.e5aa756f9b814p-15, -0x1.e9d3fca40eff4p-15, -0x1.edbe0842b5b0ep-15, -0x1.f1695e300b872p-15, -0x1.f4d6c4a310da6p-15, -0x1.f807022f8163p-15, -0x1.fafaddce481cep-15, -0x1.fdb31ee44b785p-15, -0x1.001846a3d2d47p-14, -0x1.0139f8a1b010bp-14, -0x1.023f09cce5301p-14, -0x1.0327dec2be213p-14, -0x1.03f4dc5c8d493p-14, -0x1.04a667aef92bap-14, -0x1.053ce608bcd75p-14, -0x1.05b8bcf0e55c5p-14, -0x1.061a52249493bp-14, -0x1.06620b9451b1bp-14, -0x1.06904f60ee7a6p-14, -0x1.06a583d80aa44p-14, -0x1.06a20f7039eafp-14, -0x1.068658c4d7ce3p-14, -0x1.0652c6918b54bp-14, -0x1.0607bfad84ea6p-14, -0x1.05a5ab06793a5p-14, -0x1.052cef9b634a6p-14, -0x1.049df4770ebe9p-14, -0x1.03f920aa72e9ap-14, -0x1.033edb46e2cfcp-14, -0x1.026f8b581726cp-14, -0x1.018b97de16a62p-14, -0x1.009367c702c7ap-14, -0x1.ff0ec3d194d0dp-15, -0x1.fccfd9f593b93p-15, -0x1.fa6adf1eb1a19p-15, -0x1.f7e0a01a9b154p-15, -0x1.f531e952ea58fp-15, -0x1.f25f86c010048p-15, -0x1.ef6a43dc31e2cp-15, -0x1.ec52eb960ff0fp-15, -0x1.e91a4843ed54fp-15, -0x1.e5c1239684227p-15, -0x1.e248468c0d4d5p-15, -0x1.deb079635e399p-15, -0x1.dafa838f1cfecp-15, -0x1.d7272ba91a232p-15, -0x1.d3373765c785ep-15, -0x1.cf2b6b87d7ffcp-15, -0x1.cb048bd40b549p-15, -0x1.c6c35b0523939p-15, -0x1.c2689ac00dfcdp-15, -0x1.bdf50b883fc8fp-15, -0x1.b9696cb44504cp-15, -0x1.b4c67c628d655p-15, -0x1.b00cf76e6ecbp-15, -0x1.ab3d99656956ap-15, -0x1.a6591c7ca580cp-15, -0x1.a1603986b7014p-15, -0x1.9c53a7e99daf3p-15, -0x1.97341d950e132p-15, -0x1.92024ef8f9bf2p-15, -0x1.8cbeeefc623acp-15, -0x1.876aaef46fab1p-15, -0x1.82063e9bcf2d7p-15, -0x1.7c924c0a59f91p-15, -0x1.770f83ad0771bp-15, -0x1.717e903e240a8p-15, -0x1.6be01abdd59f5p-15, -0x1.6634ca6ae8957p-15, -0x1.607d44bbe6d7cp-15, -0x1.5aba2d5879c41p-15, -0x1.54ec261313ca5p-15, -0x1.4f13cee2e8978p-15, -0x1.4931c5de2ac8fp-15, -0x1.4346a73495491p-15, -0x1.3d530d2a3d737p-15, -0x1.37579012af149p-15, -0x1.3154c64c4e4eep-15, -0x1.2b4b443c04ccfp-15, -0x1.253b9c49313e6p-15, -0x1.1f265ed9e3eeep-15, -0x1.190c1a4f5ac68p-15, -0x1.12ed5b02c7258p-15, -0x1.0ccaab42549acp-15, -0x1.06a4934e7693ep-15, -0x1.007b9957751a1p-15, -0x1.f4a082f67b4f7p-16, -0x1.e8461b86e6cd6p-16, -0x1.dbe8fc4782bacp-16, }}, 
      {{-0x1.9020d2f7c9ae7p-1, -0x1.90354dbda999p-1, -0x1.9051db27786fdp-1, -0x1.90701d2e3ec5fp-1, -0x1.90894a50c5fdfp-1, -0x1.9096d88b24632p-1, -0x1.9092e62c0e8b7p-1, -0x1.907873f3af98dp-1, -0x1.90437ec3a8a8fp-1, -0x1.8ff1035128601p-1, -0x1.8f7ef36e70abdp-1, -0x1.8eec22620b21dp-1, -0x1.8e382c2fec461p-1, -0x1.8d635a9050abdp-1, -0x1.8c6e89763bc92p-1, -0x1.8b5b0c6838b8dp-1, -0x1.8a2a957a3d88cp-1, -0x1.88df1e6418783p-1, -0x1.877ad3f4547f7p-1, -0x1.860003f5afe03p-1, -0x1.84710d807c0fbp-1, -0x1.82d0539e16095p-1, -0x1.8120321871f01p-1, -0x1.7f62f448a3c3ep-1, -0x1.7d9acdb3cdbbp-1, -0x1.7bc9d44507121p-1, -0x1.79f1fbf3ae386p-1, -0x1.781513a7b278dp-1, -0x1.7634c3304730fp-1, -0x1.74528a24ba782p-1, -0x1.726fbf8ab825ep-1, -0x1.708d9220d75c7p-1, -0x1.6ead092fd7a9bp-1, -0x1.6ccf05c852cdep-1, -0x1.6af44455dce48p-1, -0x1.691d5e738205bp-1, -0x1.674accf048a9ap-1, -0x1.657ce9f4dc7f1p-1, -0x1.63b3f33dbf625p-1, -0x1.61f00c5f63c85p-1, -0x1.6031410b4e626p-1, -0x1.5e77874effaabp-1, -0x1.5cc2c1c6b2be4p-1, -0x1.5b12c1bf437d1p-1, -0x1.5967494385f72p-1, -0x1.57c00d124f3cep-1, -0x1.561cb67b2191fp-1, -0x1.547ce5202100bp-1, -0x1.52e0309c7824ep-1, -0x1.51462a0ecd84p-1, -0x1.4fae5d87c893dp-1, -0x1.4e18535cf24b1p-1, -0x1.4c83916081f04p-1, -0x1.4aef9bfed09ecp-1, -0x1.495bf7425db64p-1, -0x1.47c827bf63f25p-1, -0x1.4633b3681bf08p-1, -0x1.449e224acedb5p-1, -0x1.4306ff3aec354p-1, -0x1.416dd86654364p-1, -0x1.3fd23fd80dac3p-1, -0x1.3e33cbe99318ap-1, -0x1.3c9217a3e64bp-1, -0x1.3aecc3118d651p-1, -0x1.394373828f3e7p-1, -0x1.3795d3c385c58p-1, -0x1.35e39448c459ap-1, -0x1.342c6b4e90fdcp-1, -0x1.327014ef56d71p-1, -0x1.30ae5330b916ep-1, -0x1.2ee6ee08561e1p-1, -0x1.2d19b35904103p-1, -0x1.2b4676e943f39p-1, -0x1.296d12539c648p-1, -0x1.278d64f17e243p-1, -0x1.25a753c151824p-1, -0x1.23bac94838ebap-1, -0x1.21c7b5701014ep-1, -0x1.1fce0d6225513p-1, -0x1.1dcdcb5f1c92bp-1, -0x1.1bc6ee946d1bbp-1, -0x1.19b97aefd47b5p-1, -0x1.17a578f12158fp-1, -0x1.158af57aa3e68p-1, -0x1.136a01a09325p-1, -0x1.1142b277ae3a1p-1, -0x1.0f1520e354fdap-1, -0x1.0ce169635a9a3p-1, -0x1.0aa7abe1bdc9bp-1, -0x1.08680b807efa3p-1, -0x1.0622ae67bb7f5p-1, -0x1.03d7bd9434f52p-1, -0x1.018764a66b172p-1, -0x1.fe63a364c9b48p-2, -0x1.f9ae6a20888ebp-2, -0x1.f4ef825b84a8dp-2, -0x1.f02754c14211p-2, -0x1.eb564d745c2ap-2, -0x1.e67cdbb7c62c1p-2, -0x1.e19b719a5f251p-2, -0x1.dcb283a4f921bp-2, -0x1.d7c2888ae2e44p-2, -0x1.d2cbf8dd038edp-2, -0x1.cdcf4ebf933e5p-2, -0x1.c8cd05a2829f1p-2, -0x1.c3c599fc8990ap-2, -0x1.beb98908ed1e6p-2, -0x1.b9a95087fb09fp-2, -0x1.b4956e8232fe6p-2, -0x1.af7e610e27173p-2, -0x1.aa64a61901441p-2, -0x1.a548bb31b653bp-2, -0x1.a02b1d56cf583p-2, -0x1.9b0c48c6cf8aep-2, -0x1.95ecb8d31e111p-2, -0x1.90cce7b57724cp-2, -0x1.8bad4e67ca3e2p-2, -0x1.868e647e84ce5p-2, -0x1.8170a00531c9fp-2, -0x1.7c54755d684d2p-2, -0x1.773a571ff58dbp-2, -0x1.7222b60031d62p-2, -0x1.6d0e00b1782d8p-2, -0x1.67fca3cea87cfp-2, -0x1.62ef09c3a9a31p-2, -0x1.5de59ab8dac08p-2, -0x1.58e0bc805f104p-2, -0x1.53e0d2853c631p-2, -0x1.4ee63dbc339a6p-2, -0x1.49f15c964826dp-2, -0x1.45028af4e32e1p-2, -0x1.401a221f86089p-2, -0x1.3b3878baf92dep-2, -0x1.365de2c1e5f7ap-2, -0x1.318ab17ed4a21p-2, -0x1.2cbf338771f4ap-2, -0x1.27fbb4b9197dbp-2, -0x1.23407e368e64p-2, -0x1.1e8dd666d921ap-2, -0x1.19e400f5349a7p-2, -0x1.15433ed20628ap-2, -0x1.10abce34cd461p-2, -0x1.0c1dea9efa8b4p-2, -0x1.0799ccdfaa804p-2, -0x1.031fab182dd13p-2, -0x1.fd5f7182b41fp-3, -0x1.f4944d63210f9p-3, -0x1.ebde4646eae7fp-3, -0x1.e33db37a8f69fp-3, -0x1.dab2e731a4f5dp-3, -0x1.d23e2e97cf68fp-3, -0x1.c9dfd1e2c5ab5p-3, -0x1.c19814653e92ap-3, -0x1.b96734a2c0b61p-3, -0x1.b14d6c643f354p-3, -0x1.a94af0cd6e553p-3, -0x1.a15ff272c5663p-3, -0x1.998c9d7010eb6p-3, -0x1.91d1197f9888p-3, -0x1.8a2d8a11b6653p-3, -0x1.82a20e64de4dbp-3, -0x1.7b2ec19e01253p-3, -0x1.73d3bae13c059p-3, -0x1.6c910d6ad3e24p-3, -0x1.6566c8a85ee97p-3, -0x1.5e54f8521e45dp-3, -0x1.575ba484786c6p-3, -0x1.507ad1d985e27p-3, -0x1.49b28182acf85p-3, -0x1.4302b16241085p-3, -0x1.3c6b5c2514842p-3, -0x1.35ec795c05bb5p-3, -0x1.2f85fd956bf7p-3, -0x1.2937da766a326p-3, -0x1.2301fed41b1f7p-3, -0x1.1ce456cc8f6dep-3, -0x1.16decbdf9bb17p-3, -0x1.10f145076997p-3, -0x1.0b1ba6d0d0cdcp-3, -0x1.055dd3736369dp-3, -0x1.ff6f55d277a68p-4, -0x1.f452160cf1ceap-4, -0x1.e9639f20d0976p-4, -0x1.dea3a4a8ba64p-4, -0x1.d411d67c65539p-4, -0x1.c9ade0dcdde63p-4, -0x1.bf776ca00de14p-4, -0x1.b56e1f5b8e001p-4, -0x1.ab919b8ea4899p-4, -0x1.a1e180cb84254p-4, -0x1.985d6bdfbabe9p-4, -0x1.8f04f6fbc347p-4, -0x1.85d7b9d9d6a83p-4, -0x1.7cd549e3d88a7p-4, -0x1.73fd3a5871004p-4, -0x1.6b4f1c6f4c66fp-4, -0x1.62ca7f7c7e254p-4, -0x1.5a6ef11309cc8p-4, -0x1.523bfd268eea1p-4, -0x1.4a312e2c17303p-4, -0x1.424e0d3a0aa64p-4, -0x1.3a92222744414p-4, -0x1.32fcf3a94e737p-4, -0x1.2b8e0771c212dp-4, -0x1.2444e24acd917p-4, -0x1.1d210832e3a69p-4, -0x1.1621fc7792499p-4, -0x1.0f4741cf85833p-4, -0x1.08905a73b8327p-4, -0x1.01fcc837d12e8p-4, -0x1.f71819436a16dp-5, -0x1.ea7b520090909p-5, -0x1.de223d02d50b4p-5, -0x1.d20bdc8e50f52p-5, -0x1.c63732f856b0ap-5, -0x1.baa342cec9cf4p-5, -0x1.af4f0efdfdc53p-5, -0x1.a4399af51a07cp-5, -0x1.9961eac911a8bp-5, -0x1.8ec703562d073p-5, -0x1.8467ea60318c3p-5, -0x1.7a43a6b12c5f3p-5, -0x1.70594036e71d4p-5, -0x1.66a7c01f0a70dp-5, -0x1.5d2e30f1fc9d1p-5, -0x1.53eb9eac792c9p-5, -0x1.4adf16d7f3008p-5, -0x1.4207a8a1befe1p-5, -0x1.396464f112f6bp-5, -0x1.30f45e7be0889p-5, -0x1.28b6a9da8fd5ep-5, -0x1.20aa5d9aa3938p-5, -0x1.18ce92504cc39p-5, -0x1.112262a6f3bd7p-5, -0x1.09a4eb70c16bep-5, -0x1.02554bb52a289p-5, -0x1.f665497d0d0cbp-6, -0x1.e878344d7900fp-6, -0x1.dae1a3c607edep-6, -0x1.cd9fe89d8fc11p-6, -0x1.c0b1586b63d58p-6, -0x1.b4144db9be408p-6, -0x1.a7c7281698b82p-6, -0x1.9bc84c22f242dp-6, -0x1.901623a09b068p-6, -0x1.84af1d7e8bd6dp-6, -0x1.7991ade3d579ep-6, -0x1.6ebc4e393aa35p-6, -0x1.642d7d3176c1dp-6, -0x1.59e3bed046bbap-6, -0x1.4fdd9c703aa33p-6, -0x1.4619a4c75822p-6, -0x1.3c966beaa14d5p-6, -0x1.33528b5085864p-6, -0x1.2a4ca1d246f27p-6, -0x1.218353ac61edbp-6, -0x1.18f54a7dfb5fdp-6, -0x1.10a135476843fp-6, -0x1.0885c867d298ap-6, -0x1.00a1bd9a0594bp-6, -0x1.f1e7a7e0d4896p-7, -0x1.e2f59fa083e19p-7, -0x1.d46af5d849419p-7, -0x1.c645487b958cbp-7, -0x1.b8823ffe5939ep-7, -0x1.ab1f8f45fb28p-7, -0x1.9e1af39927e5ap-7, -0x1.9172348e6e2a7p-7, -0x1.852323f9cd18fp-7, -0x1.792b9dd93f8b5p-7, -0x1.6d8988404a0c7p-7, -0x1.623ad342a36a3p-7, -0x1.573d78de0322ap-7, -0x1.4c8f7ce32257bp-7, -0x1.422eecddf5557p-7, -0x1.3819dffd3bee9p-7, -0x1.2e4e76f9615bdp-7, -0x1.24cadbfac4ad3p-7, -0x1.1b8d427f6eb8bp-7, -0x1.1293e740439a4p-7, -0x1.09dd1015b8ea5p-7, -0x1.01670bdc1c11ap-7, -0x1.f26064aee3bf3p-8, -0x1.e26dc82df4bd6p-8, -0x1.d2f314b0c0256p-8, -0x1.c3ed2dd53c10dp-8, -0x1.b5590821480fep-8, -0x1.a733a8c781959p-8, -0x1.997a256bb820cp-8, -0x1.8c29a3e70cabdp-8, -0x1.7f3f5a0bcdd64p-8, -0x1.72b88d691d2b4p-8, -0x1.6692930e6d907p-8, -0x1.5acacf4ee6aebp-8, -0x1.4f5eb584b777fp-8, -0x1.444bc7d46864ep-8, -0x1.398f96f037d41p-8, -0x1.2f27c1db8705bp-8, -0x1.2511f5ae684c9p-8, -0x1.1b4bed5955c91p-8, -0x1.11d371691964cp-8, -0x1.08a657caf032ep-8, -0x1.ff850721e6ae4p-9, -0x1.ee4bc96d9435dp-9, -0x1.dd9cefcd671a2p-9, -0x1.cd748c7dd1968p-9, -0x1.bdceca2ec7006p-9, -0x1.aea7eb9016cdbp-9, -0x1.9ffc4adeab99cp-9, -0x1.91c85972af493p-9, -0x1.84089f4ea5c08p-9, -0x1.76b9baaf8b1f3p-9, -0x1.69d85f9df610cp-9, -0x1.5d6157804d658p-9, -0x1.515180ae1de68p-9, -0x1.45a5ce048a338p-9, -0x1.3a5b467becdfp-9, -0x1.2f6f04bea4e7fp-9, -0x1.24de36c11e036p-9, -0x1.1aa61d5b11e6fp-9, -0x1.10c40be20d44dp-9, -0x1.073567c5399abp-9, -0x1.fbef5054e648dp-10, -0x1.ea10ab195b866p-10, -0x1.d8ca12b74e526p-10, -0x1.c816db39e9d84p-10, -0x1.b7f2791cc5592p-10, -0x1.a85880935a89dp-10, -0x1.9944a4d334decp-10, -0x1.8ab2b760ce84bp-10, -0x1.7c9ea75f384bap-10, -0x1.6f0480e26e1d8p-10, -0x1.61e06c4478a81p-10, -0x1.552ead7d3ef32p-10, -0x1.48eba37d21c91p-10, -0x1.3d13c78a4b8d2p-10, -0x1.31a3aca0c0e18p-10, -0x1.2697fed52c7d3p-10, -0x1.1bed82ba59cd7p-10, -0x1.11a114c973c93p-10, -0x1.07afa8cce86ddp-10, -0x1.fc2c929c06bccp-11, -0x1.e9a42e0a5c264p-11, -0x1.d7c09099b8b7cp-11, -0x1.c67c512e2d5ccp-11, -0x1.b5d22fcb476fap-11, -0x1.a5bd148995193p-11, -0x1.96380e914da4p-11, -0x1.873e531a161b7p-11, -0x1.78cb3c6fd479cp-11, -0x1.6ada48fc836fdp-11, -0x1.5d671a56feaa8p-11, -0x1.506d7456b558ep-11, -0x1.43e93c2c39b74p-11, -0x1.37d6777e9cf62p-11, -0x1.2c314b8d8a32cp-11, -0x1.20f5fc5813393p-11, -0x1.1620ebc81e9f1p-11, -0x1.0bae98e2697b2p-11, -0x1.019b9efb0ddcap-11, -0x1.efc969dcf8e36p-12, -0x1.dd0d58bdba6a5p-12, -0x1.cafce1eb89c9fp-12, -0x1.b9920f54637f2p-12, -0x1.a8c71c1576f9cp-12, -0x1.98967317da1cfp-12, -0x1.88faadb563b71p-12, -0x1.79ee926593b93p-12, -0x1.6b6d1372660dp-12, -0x1.5d714db4f3aa5p-12, -0x1.4ff68759b9d6cp-12, -0x1.42f82eac70243p-12, -0x1.3671d8eb475a6p-12, -0x1.2a5f4121706ap-12, -0x1.1ebc4708ce24dp-12, -0x1.1384edf2b3192p-12, -0x1.08b55bb783f12p-12, -0x1.fc93af5a4dd0bp-13, -0x1.e87d934838a4fp-13, -0x1.d52171d641558p-13, -0x1.c27896b272354p-13, -0x1.b07c88bc1d145p-13, -0x1.9f270830e5814p-13, -0x1.8e720ce5e8372p-13, -0x1.7e57c48cc193fp-13, -0x1.6ed291043d0a6p-13, -0x1.5fdd06b461014p-13, -0x1.5171eaf5b14a8p-13, -0x1.438c32835c897p-13, -0x1.3626fff82130dp-13, -0x1.293da255b4f46p-13, -0x1.1ccb93966b1f3p-13, -0x1.10cc7748f061bp-13, -0x1.053c1935d06c3p-13, -0x1.f42cd81d5109ep-14, -0x1.deaf104d6a42ep-14, -0x1.c9f754694463bp-14, -0x1.b5fe643a91193p-14, -0x1.a2bd438e94accp-14, -0x1.902d37ee6be5ap-14, -0x1.7e47c66834d4dp-14, -0x1.6d06b1689427ap-14, -0x1.5c63f6a444dcap-14, -0x1.4c59cd114d1c4p-14, -0x1.3ce2a2ef7a894p-14, -0x1.2df91bdfc7a2ep-14, -0x1.1f980f0a50552p-14, -0x1.11ba85527a056p-14, -0x1.045bb798f7322p-14, -0x1.eeee1a169d7abp-15, -0x1.d610330122425p-15, -0x1.be1537c5d2785p-15, -0x1.a6f4f94b658ddp-15, -0x1.90a7988f91417p-15, -0x1.7b2583c370879p-15, -0x1.6667737f1e276p-15, -0x1.5266680be4e2fp-15, -0x1.3f1ba6c46e8ffp-15, -0x1.2c80b78a65f9fp-15, -0x1.1a8f6250ee1ccp-15, -0x1.0941acbb6d02ap-15, -0x1.f123afa02e8c2p-16, -0x1.d0f4bb7b72273p-16, -0x1.b1ebdf686559p-16, -0x1.93fee79e5109bp-16, -0x1.77240624cf9a7p-16, -0x1.5b51ceef00754p-16, -0x1.407f34182e36ap-16, -0x1.26a3824103be7p-16, -0x1.0db65d0c54ac9p-16, -0x1.eb5f7775468ccp-17, -0x1.bd0fcbc6f1b96p-17, -0x1.906ee0976f9b7p-17, -0x1.656e73b02c567p-17, -0x1.3c00d135cef45p-17, -0x1.1418cdf8da98cp-17, -0x1.db5383f39b458p-18, -0x1.914f063e65fabp-18, -0x1.4a0cc0385a1c7p-18, -0x1.0576370c0689ap-18, -0x1.86eb9c5d1feeap-19, -0x1.07ed7c7cc918ep-19, -0x1.1b9430dea31b5p-20, -0x1.85b01f767fd47p-23, 0x1.6212f6b7853e1p-21, 0x1.89f16afa3733fp-20, 0x1.2d231bc96c064p-19, 0x1.9124dcc724ec4p-19, 0x1.f11da888b1fa5p-19, 0x1.269600392f278p-18, 0x1.52b6a214aa20dp-18, 0x1.7cfedf011a3fap-18, 0x1.a57c5779ad5ffp-18, 0x1.cc3c2d077c1eap-18, 0x1.f14b07c477793p-18, 0x1.0a5a8dd312233p-17, 0x1.1b4316c9043bep-17, 0x1.2b64cc1ecca94p-17, 0x1.3ac5286dba2c5p-17, 0x1.496975cbcd357p-17, 0x1.5756cff22e9b7p-17, 0x1.6492264cccd41p-17, 0x1.71203df3f4d49p-17, 0x1.7d05b3909b524p-17, 0x1.8846fd2c24e79p-17, 0x1.92e86bec5ff68p-17, 0x1.9cee2dbc6627cp-17, 0x1.a65c4ee319abcp-17, 0x1.af36bb87d8718p-17, 0x1.b781412627e1p-17, 0x1.bf3f8ff0d95dbp-17, 0x1.c6753c2558d23p-17, 0x1.cd25bf4fb3f34p-17, 0x1.d354797ff01a7p-17, 0x1.d904b27137a1fp-17, 0x1.de399aa36a8b8p-17, 0x1.e2f64c679e3d8p-17, 0x1.e73dccdfffa11p-17, 0x1.eb130cf3a64dep-17, 0x1.ee78ea36c0864p-17, 0x1.f1722fc793f4fp-17, 0x1.f4019720d4dfep-17, 0x1.f629c8e1a0323p-17, 0x1.f7ed5d8ba2b64p-17, 0x1.f94ede37bfa69p-17, 0x1.fa50c541ab4f3p-17, 0x1.faf57eeac3419p-17, 0x1.fb3f69f49a455p-17, 0x1.fb30d83382f89p-17, 0x1.facc0f196e257p-17, 0x1.fa1348397a7a3p-17, 0x1.f908b1c486584p-17, 0x1.f7ae6eff01b29p-17, 0x1.f60698b067bdep-17, 0x1.f4133d8c875cfp-17, 0x1.f1d6629704edap-17, 0x1.ef520381352bp-17, 0x1.ec881302b777cp-17, 0x1.e97a7b2ce9809p-17, 0x1.e62b1db991e46p-17, 0x1.e29bd454e0254p-17, 0x1.dece70e31b3c8p-17, 0x1.dac4bdc20777p-17, 0x1.d6807e0671218p-17, 0x1.d2036db5d07cbp-17, 0x1.cd4f41fc730fdp-17, 0x1.c865a9602777bp-17, 0x1.c3484befb984p-17, 0x1.bdf8cb6f55b35p-17, 0x1.b878c3820c40ap-17, 0x1.b2c9c9d09378p-17, 0x1.aced6e2d6906cp-17, 0x1.a6e53ab6890a8p-17, 0x1.a0b2b3f4cf0c1p-17, 0x1.9a5758f9209b1p-17, 0x1.93d4a37793fbp-17, 0x1.8d2c07e09b87p-17, 0x1.865ef57866cc7p-17, 0x1.7f6ed66c8372bp-17, 0x1.785d0fe7e92c6p-17, 0x1.712b0225808bcp-17, 0x1.69da088142ff1p-17, 0x1.626b798809916p-17, 0x1.5ae0a7061bbc2p-17, 0x1.533ade14a250ep-17, 0x1.4b7b6726025e7p-17, 0x1.43a386113e30fp-17, 0x1.3bb47a1c6d248p-17, 0x1.33af7e065a929p-17, 0x1.2b95c80f5d267p-17, 0x1.23688a0177995p-17, 0x1.1b28f137d28bep-17, 0x1.12d826a59c9a7p-17, 0x1.0a774edc5fa8bp-17, 0x1.02078a11d813ap-17, 0x1.f313e84ab4a69p-18, 0x1.e1ff4949a699bp-18, 0x1.d0d35da2db1ecp-18, 0x1.bf924347ce079p-18, 0x1.ae3e0fa14047ap-18, 0x1.9cd8cf96dc75fp-18, 0x1.8b64879677014p-18, 0x1.79e3339af14afp-18, 0x1.6856c732dcc54p-18, 0x1.56c12d86de14dp-18, 0x1.4524495feb4d7p-18, 0x1.3381f52d67988p-18, 0x1.21dc030b31056p-18, 0x1.10343cc7a288ep-18, 0x1.fd18c7d33cb09p-19, 0x1.d9cc636d454ap-19, 0x1.b686ae71ed1bap-19, 0x1.934afa8be60c2p-19, 0x1.701c8908e9e7cp-19, 0x1.4cfe8ae6f7641p-19, 0x1.29f420e1f1b5ep-19, 0x1.07005b81bc184p-19, 0x1.c84c765198278p-20, 0x1.82d160468b168p-20, 0x1.3d95356d5391dp-20, 0x1.f13b2cc86276ep-21, 0x1.67e007fcd8927p-21, 0x1.be477d9d8e83cp-22, 0x1.5c4352378dc17p-23, -0x1.8273918d280bfp-24, -0x1.6de01e91c052bp-22, -0x1.3cca3aacf631ap-21, -0x1.c1d36a1b2b5dp-21, -0x1.23012860fcdb5p-20, -0x1.64a6ef73a0bb4p-20, -0x1.a5d6a0c5c3d57p-20, -0x1.e68bf10525955p-20, -0x1.1361596ddb43bp-19, -0x1.333b6b5e6927dp-19, -0x1.52d23558857f8p-19, -0x1.7223cd10440b4p-19, -0x1.912e56cdf6d7ap-19, -0x1.aff00551f326ap-19, -0x1.ce6719b7a5f38p-19, -0x1.ec91e357f49b8p-19, -0x1.05375fd57b76bp-18, -0x1.13fe0d1485068p-18, -0x1.229c36159cedfp-18, -0x1.31111e658918fp-18, -0x1.3f5c1060e5e63p-18, -0x1.4d7c5d2373684p-18, -0x1.5b715c7718002p-18, -0x1.693a6cc29b7cbp-18, -0x1.76d6f2f81cc32p-18, -0x1.84465a834576fp-18, -0x1.918815373cc6dp-18, -0x1.9e9b9b3c5c42p-18, -0x1.ab806afdaa74ep-18, -0x1.b83609161b4bap-18, -0x1.c4bc003d9c00cp-18, -0x1.d111e135e96e9p-18, -0x1.dd3742b738d69p-18, -0x1.e92bc15cae37fp-18, -0x1.f4eeff90aadf9p-18, -0x1.004052bc78393p-17, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      46, 0x1.4p+2, 0x1.ef88d0d4ebb39p+0, 0x1.e7fa87ac41405p+1, -0x1.c0d77be46b524p-5, 
      {{
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.81cbafc0f36aep-3, -0x1.e1fd950686155p-2, 0x1.d27d7586d9ca8p-2, -0x1.96cb4bb9ecf19p-4}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.53e753b0a8385p-3, -0x1.b41ab288e844ep-2, 0x1.c33c3c497a818p-2, -0x1.c1045e698510ep-4}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.2a85743e7ec41p-3, -0x1.87d29a1f846dcp-2, 0x1.b265abf25250ep-2, -0x1.e4ea35546d86bp-4}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.057b1047bbd8ep-3, -0x1.5d4acb44b933ap-2, 0x1.a0367d258e356p-2, -0x1.0540f5d8eda09p-3}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.c933272d3e835p-4, -0x1.34a68c79c8085p-2, 0x1.8c9e6ab5492fep-2, -0x1.17d2b004f80dep-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.8f5dadc4c78f3p-4, -0x1.0e09bcb478aeep-2, 0x1.77a1d0b4e9c83p-2, -0x1.2a73fe826af9p-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.5d0a3f9e7e681p-4, -0x1.d33024232da73p-3, 0x1.613f8404bb5c2p-2, -0x1.3d111cbceac96p-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.31c641dcc49dep-4, -0x1.8eea9b3ab057dp-3, 0x1.4977d51029c04p-2, -0x1.4faf67b1cf5a3p-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.0d17f37bf1bf5p-4, -0x1.4f8a5afe8cbf1p-3, 0x1.304aad493a32ep-2, -0x1.624d30001540cp-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.dcfcdaa4a6b52p-5, -0x1.1556e104628cp-3, 0x1.15b8167c6bce2p-2, -0x1.74ebd62e6ba81p-3}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.aae3442059f69p-5, -0x1.c12f5721f0105p-4, 0x1.f380000b7aa94p-3, -0x1.878787832402cp-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.82c4bc7f7059ap-5, -0x1.632869cbd95a8p-4, 0x1.b8c545516875ep-3, -0x1.9a2e2e5e48749p-3}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.6374908a48ef9p-5, -0x1.11280d44a963bp-4, 0x1.7b3e57f677317p-3, -0x1.acabf3f944d6p-3}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.4bb7c0bd2ec92p-5, -0x1.9779c3ca600b3p-5, 0x1.3af159c446776p-3, -0x1.bfc2490e93527p-3}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.3a45014858f35p-5, -0x1.26ee69c16c1e5p-5, 0x1.ef8ed0d0fa568p-4, -0x1.d09f417aaf696p-3}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.2dc4ba0fea77fp-5, -0x1.a3844b97e505dp-6, 0x1.642bd6c5c5b62p-4, -0x1.e9c91d1139336p-3}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.24d106abf26p-5, -0x1.326f776da8bb7p-6, 0x1.a2789c1acf81cp-5, -0x1.cb8a6d677bd9fp-3}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.1df8d6f72c2e8p-5, -0x1.f4a0949555012p-7, 0x1.1d7e4e863d99ep-6, -0x1.75e31bd4ce846p-3}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.17e255314576p-5, -0x1.e86521d175f27p-7, -0x1.4657a5bf0e0f2p-7, -0x1.2888f166ef801p-3}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.116d4c212360bp-5, -0x1.164e86668a0b9p-6, -0x1.0381ad7a53366p-5, -0x1.b1e8e21d9c68ep-4}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.09b647a3a3331p-5, -0x1.5739afe12c2e9p-6, -0x1.85adf15002237p-5, -0x1.13f84275c752cp-4}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.001694ab9a4bcp-5, -0x1.ad70b92d07117p-6, -0x1.d8786ba68abbfp-5, -0x1.d66b2a0335b84p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.e8488283ac463p-6, -0x1.07bb34a16b873p-5, -0x1.fbc0753395299p-5, 0x1.423d6a408f751p-7}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.cb64390a38979p-6, -0x1.39e6f9e956562p-5, -0x1.efaaf46ac2fb9p-5, 0x1.8f529ae864c58p-5}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.a99f6d5454e5ap-6, -0x1.68795f4578703p-5, -0x1.b3c4f6c7e7116p-5, 0x1.61894c3f682cfp-4}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.8392c1f76cbdcp-6, -0x1.8ebf7d34ab6c6p-5, -0x1.49b55fe8149cep-5, 0x1.07f85415844abp-3}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.5a505bb4dbe28p-6, -0x1.a7ccbc98083c5p-5, -0x1.56a727b65747cp-6, 0x1.1aa8744fe8364p-3}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.2f5c25aa04094p-6, -0x1.b073e17d78d56p-5, -0x1.bb4e11a050c25p-13, 0x1.d1aa1e1c5fa89p-4}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.0456bf613c103p-6, -0x1.a9a40f3ecf1c4p-5, 0x1.13ef75edc58f7p-6, 0x1.828a7f3d825b2p-4}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.b550d5c57e69p-7, -0x1.960bc4e15b986p-5, 0x1.fbdc28ac46fcep-6, 0x1.2de9f46e75a2fp-4}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.66f2a1c985a74p-7, -0x1.781fcfd1f78fdp-5, 0x1.588110ddad2fp-5, 0x1.b58bdb7720562p-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.1f630196eccd3p-7, -0x1.52646a914e525p-5, 0x1.9a22d82f8ba21p-5, 0x1.0e6185107fa66p-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.bfe3c2a40e17bp-8, -0x1.2759cce93a482p-5, 0x1.c2b178f2052e2p-5, 0x1.9f1d29d38f8cdp-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.52ddf4f637ap-8, -0x1.f30198d60ed49p-6, 0x1.d24290e9f429ap-5, -0x1.00c45947d524p-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.f0a74fb99b082p-9, -0x1.96b7948218b61p-6, 0x1.c8a19a5da8f82p-5, -0x1.c681f46db176p-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.5fc707905f27bp-9, -0x1.3eccb6d406f84p-6, 0x1.a68b0e6f0875ep-5, -0x1.9894ab7862c6bp-5}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.e0af2f8298403p-10, -0x1.e0d6e7e8367aep-7, 0x1.69418e502cd84p-5, -0x1.d4021c3d4de17p-5}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.3b6081dc01a4p-10, -0x1.5e60963a9f333p-7, 0x1.230e0a13c7906p-5, -0x1.9589ea754dc53p-5}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.89c6cedb36b04p-11, -0x1.ec3e37956b195p-8, 0x1.cc72b4379166p-6, -0x1.6953ac3ab6eedp-5}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.cda63342bf799p-12, -0x1.49be50dedfbf2p-8, 0x1.600ccd59274ffp-6, -0x1.383bba6b83806p-5}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.f25f9dcd71347p-13, -0x1.9f5098f3f781ap-9, 0x1.0261489f4ca9ep-6, -0x1.0868a361599edp-5}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.e0af2f8298432p-14, -0x1.e0ae03a4422f5p-10, 0x1.661d626a96c1ep-7, -0x1.b0c7a9af4c59fp-6}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.89c6cedb36b6p-15, -0x1.ec3e3661a57dp-11, 0x1.c88fc56bffb5p-8, -0x1.4fc2130e1e2c5p-6}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.f25f9dcd7151ep-17, -0x1.9f26bf2782e4fp-12, 0x1.fe36a72d74d02p-9, -0x1.e61fa34641139p-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.89c6cedb374ffp-19, -0x1.ee99d45007683p-14, 0x1.b51424069b7f8p-10, -0x1.0c1869da5212bp-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.89c6cedb3ffffp-23, -0x1.a52c2b47b804p-17, 0x1.cd74fa68e40ffp-12, -0x1.66caff9737f61p-7}, 
      }}, 
      0x1.519e1aeaa2852p-3, -0x1.042fb1aaabdc7p+0
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_s_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.e3ca49faf1487p-3, 0x1.fa1a41e3c2bbap-3, 0x1.0eeb00dadb7f7p-2, 0x1.26a03bbb88267p-2, 0x1.4332b67ba0b37p-2, 0x1.63a125437bd5ep-2, 0x1.86f0a1527156p-2, 0x1.ac3522b1697d1p-2, 0x1.d2966db0c28f5p-2, 0x1.f9536bcc4fcabp-2, 0x1.0fe15056c7956p-1, 0x1.22a95f688d2c8p-1, 0x1.34c46d84a797bp-1, 0x1.45ff800ffdd89p-1, 0x1.56318259efe6ep-1, 0x1.6539cb2715476p-1, 0x1.72ff6f198b1ep-1, 0x1.7f70764d6553ep-1, 0x1.8a80be7e5b4b5p-1, 0x1.9429448aee55ap-1, 0x1.9c670a847001dp-1, 0x1.a33bb63cae4ccp-1, 0x1.a8ab4abd04d89p-1, 0x1.acbd103d89a93p-1, 0x1.af7ac701cbaacp-1, 0x1.b0eeac434493cp-1, 0x1.b124f5a0a2272p-1, 0x1.b02cb550ae7c7p-1, 0x1.ae142ede6cf2ap-1, 0x1.aaeaaeaf88cd8p-1, 0x1.a6c0272ff6bedp-1, 0x1.a1a4d600fa36bp-1, 0x1.9ba903a0143b3p-1, 0x1.94dcffa2f3112p-1, 0x1.8d510efad7c76p-1, 0x1.8515444a40677p-1, 0x1.7c39640d0341ap-1, 0x1.72ccd3fe520b6p-1, 0x1.68de8846df14ap-1, 0x1.5e7cf17e7767ap-1, 0x1.53b5f1f48c8ap-1, 0x1.4896d8dcbbcf4p-1, 0x1.3d2c607f9804bp-1, 0x1.3182ae732b46ep-1, 0x1.25a553862c459p-1, 0x1.199f4836b44d6p-1, 0x1.0d7ae5a0c49cfp-1, 0x1.0141de67446f5p-1, 0x1.e9fa782035aep-2, 0x1.d16ac7cb0b0b2p-2, 0x1.b8e44607515d8p-2, 0x1.a075792638692p-2, 0x1.882be5a9c394dp-2, 0x1.70140dc4a6a4ep-2, 0x1.583ac7f5ac937p-2, 0x1.40a71b4ccc18bp-2, 0x1.2963ce241290ep-2, 0x1.127967cac03bep-2, 0x1.f7df4ae6ff6afp-3, 0x1.cb9adf571f248p-3, 0x1.a031aa6419938p-3, 0x1.75ae22cc3562p-3, 0x1.4c1939915e626p-3, 0x1.237a82f92bad5p-3, 0x1.f7b0b6b4929a8p-4, 0x1.aa70038ddeebap-4, 0x1.5f3b53d1dcba9p-4, 0x1.1619151835432p-4, 0x1.9e1bb8a922a11p-5, 0x1.14391eff9ea34p-5, 0x1.1d1a55cdb7951p-6, 0x1.a30166305aba1p-10, -0x1.c0a177717f21fp-7, -0x1.d27078a2d3bf3p-6, -0x1.5e1da04bd1bfap-5, -0x1.cee06247c0fb7p-5, -0x1.1dc507418da44p-4, -0x1.5212e85cdaa85p-4, -0x1.84602dec0491p-4, -0x1.b4b3e5fd5e2p-4, -0x1.e315c1a4ea37ep-4, -0x1.07c700e42a31dp-3, -0x1.1d12b1b8c8e4bp-3, -0x1.3172865ef80b4p-3, -0x1.44eb3da7b820ep-3, -0x1.5781ba782c203p-3, -0x1.693afd6ae8372p-3, -0x1.7a1c1fc82435ep-3, -0x1.8a2a4fa3f8512p-3, -0x1.996accc303cf6p-3, -0x1.a7e2e5d47fae4p-3, -0x1.b597f5a3e63c3p-3, -0x1.c28f600f7d04fp-3, -0x1.cece8ebbee31cp-3, -0x1.da5aed9435779p-3, -0x1.e539e722ffcdep-3, -0x1.ef70e0c302da6p-3, -0x1.f9053698e6788p-3, -0x1.00fe1ba86f3c4p-2, -0x1.052d8fda96169p-2, -0x1.09138b2b2180dp-2, -0x1.0cb293cc50cp-2, -0x1.100d21410173p-2, -0x1.13259b45afbcfp-2, -0x1.15fe594a8080ap-2, -0x1.1899a275b6bccp-2, -0x1.1af9ae129f18p-2, -0x1.1d20a446e461bp-2, -0x1.1f109ee879d8p-2, -0x1.20cbaa563a90ep-2, -0x1.224fb86a461f4p-2, -0x1.23a5f98970f6dp-2, -0x1.24cd6d998699cp-2, -0x1.25c7fec1404b5p-2, -0x1.269785b256266p-2, -0x1.273dc9a16e3bp-2, -0x1.27bc80b3396e7p-2, -0x1.281550c35e42dp-2, -0x1.2849d061a669cp-2, -0x1.285b87e00b381p-2, -0x1.284bf2508cfc4p-2, -0x1.281c7e5a1aa9ep-2, -0x1.27ce8ed6f7667p-2, -0x1.27637b3a32474p-2, -0x1.26dc8fc3ba1dcp-2, -0x1.263b0d916cba4p-2, -0x1.25802a9ef3bccp-2, -0x1.24ad11c6200f8p-2, -0x1.23c2e2ce7cbb7p-2, -0x1.22c2b29606b76p-2, -0x1.21ad8b5788aabp-2, -0x1.20846d0dda006p-2, -0x1.1f484def0c041p-2, -0x1.1dfa1af799fa4p-2, -0x1.1c9ab87c2c59cp-2, -0x1.1b2b02b83b23p-2, -0x1.19abce50b342fp-2, -0x1.181de8c383873p-2, -0x1.168218bf332dfp-2, -0x1.14d91e605da05p-2, -0x1.1323b35586929p-2, -0x1.11628aec44ae1p-2, -0x1.0f96520cb1017p-2, -0x1.0dbfaf297218cp-2, -0x1.0bdf422b4e462p-2, -0x1.09f5a45f18e2bp-2, -0x1.0803686bff9c7p-2, -0x1.06091a56ffc9cp-2, -0x1.04073f969f5e7p-2, -0x1.01fe57386904bp-2, -0x1.ffddb4300243p-3, -0x1.fbb2764c86359p-3, -0x1.f77bcf7ba491bp-3, -0x1.f33a90038c8e8p-3, -0x1.eeef7e85724ap-3, -0x1.ea9b58ccf07c8p-3, -0x1.e63ed49d6799p-3, -0x1.e1daa076d69e8p-3, -0x1.dd6f644cb29f5p-3, -0x1.d8fdc22a50f08p-3, -0x1.d48656c1d526cp-3, -0x1.d009b9e3d97b3p-3, -0x1.cb887edf57541p-3, -0x1.c70334ca94fa3p-3, -0x1.c27a66b6cb00fp-3, -0x1.bdee9bd13ae98p-3, -0x1.b9605774e11ffp-3, -0x1.b4d019304fd5dp-3, -0x1.b03e5cc35479cp-3, -0x1.abab9a17d7686p-3, -0x1.a718453911e1ep-3, -0x1.a284ce4bac36ep-3, -0x1.9df1a188e3c6bp-3, -0x1.995f273e2252ap-3, -0x1.94cdc3d1f426p-3, -0x1.903dd7cebc11dp-3, -0x1.8bafbff319cc8p-3, -0x1.8723d54793012p-3, -0x1.829a6d38ce3eap-3, -0x1.7e13d9b575dp-3, -0x1.7990694ecfb5p-3, -0x1.7510675af92ecp-3, -0x1.70941c17d4db3p-3, -0x1.6c1bcccdb97bdp-3, -0x1.67a7bbf12991p-3, -0x1.63382942ef4cbp-3, -0x1.5ecd51ee3430fp-3, -0x1.5a6770a446103p-3, -0x1.5606bdb5fe013p-3, -0x1.51ab6f2accca4p-3, -0x1.4d55b8d58ff33p-3, -0x1.4905cc67806b7p-3, -0x1.44bbd9817a17ep-3, -0x1.40780dc3fb49p-3, -0x1.3c3a94de2d051p-3, -0x1.3803989c46d66p-3, -0x1.33d340f5963c8p-3, -0x1.2fa9b41a5e899p-3, -0x1.2b871681b8bebp-3, -0x1.276b8af78ead7p-3, -0x1.235732aabf70dp-3, -0x1.1f4a2d3b565e7p-3, -0x1.1b4498c8d8d73p-3, -0x1.1746920071c94p-3, -0x1.1350342af2f9ap-3, -0x1.0f61993a6afe3p-3, -0x1.0b7ad9d735838p-3, -0x1.079c0d6c57416p-3, -0x1.03c54a32fee9bp-3, -0x1.ffed4a7a3bbe2p-4, -0x1.f86064fdeb0adp-4, -0x1.f0e409af2d101p-4, -0x1.e9785c30b07b8p-4, -0x1.e21d7e168cd0fp-4, -0x1.dad38ef144af9p-4, -0x1.d39aac571048p-4, -0x1.cc72f1ebb4a18p-4, -0x1.c55c79672a865p-4, -0x1.be575a9b481bfp-4, -0x1.b763ab78c51e7p-4, -0x1.b0818013d0462p-4, -0x1.a9b0eaa8671b2p-4, -0x1.a2eee437a2c3p-4, -0x1.9c4207876ca8bp-4, -0x1.95a6ef86f3737p-4, -0x1.8f1da6582fc86p-4, -0x1.88a6346df167bp-4, -0x1.8240a091ba619p-4, -0x1.7becefe9ea837p-4, -0x1.75ab26005019cp-4, -0x1.6f7b44c927e0ap-4, -0x1.695d4caa951c4p-4, -0x1.63513c848df9cp-4, -0x1.5d5711b936c4ep-4, -0x1.576ec835a59d6p-4, -0x1.51985a7afbd85p-4, -0x1.4bd3c1a7ce5fp-4, -0x1.4620f581c3e2cp-4, -0x1.407fec7f60fb2p-4, -0x1.3af09bd1eaf5ep-4, -0x1.3572f76f55e8cp-4, -0x1.3006f21c2c9bdp-4, -0x1.2aac7d7565fa3p-4, -0x1.256389fa1bba1p-4, -0x1.202c071518bb4p-4, -0x1.1b05e32634e85p-4, -0x1.15f10b8b7a61bp-4, -0x1.10ed6caa0e517p-4, -0x1.0bfaf1f6d84d6p-4, -0x1.071985feeabe9p-4, -0x1.0249126fa8f65p-4, -0x1.fb13003d5b273p-5, -0x1.f1b56e22e6538p-5, -0x1.e8793d0986beep-5, -0x1.df5e39e7dda21p-5, -0x1.d664303fa706fp-5, -0x1.cd8aea2b6a259p-5, -0x1.c4d2306bdd0dbp-5, -0x1.bc39ca74fb423p-5, -0x1.b3c17e7ae2a0ep-5, -0x1.ab69117e7858ep-5, -0x1.a3304759df158p-5, -0x1.9b16e2ccc782ep-5, -0x1.931ca5889b87fp-5, -0x1.8b41503c8e67cp-5, -0x1.8384a2a18efbdp-5, -0x1.7be65b8622b48p-5, -0x1.746638da26eb7p-5, -0x1.6d03f7ba79399p-5, -0x1.65bf547c872dp-5, -0x1.5e980ab9bfbc8p-5, -0x1.578dd55ae9fd6p-5, -0x1.50a06ea356e7cp-5, -0x1.49cf903bf1541p-5, -0x1.431af33e25827p-5, -0x1.3c82503e9e0eep-5, -0x1.36055f57d1c06p-5, -0x1.2fa3d8346123ap-5, -0x1.295d72194121cp-5, -0x1.2331e3efabe2ep-5, -0x1.1d20e44edd9e6p-5, -0x1.172a298594323p-5, -0x1.114d69a354acbp-5, -0x1.0b8a5a8175601p-5, -0x1.05e0b1cbea633p-5, -0x1.00502509d6425p-5, -0x1.f5b0d34bbaeecp-6, -0x1.eaf269ec805bep-6, -0x1.e06478896f07p-6, -0x1.d60669ac32dbp-6, -0x1.cbd7a7e3895c6p-6, -0x1.c1d79dd1ab17dp-6, -0x1.b805b63a4acfep-6, -0x1.ae615c10284b7p-6, -0x1.a4e9fa82458e2p-6, -0x1.9b9efd08b6badp-6, -0x1.927fcf710b3a3p-6, -0x1.898bddea6db1cp-6, -0x1.80c2951155803p-6, -0x1.782361faefbf3p-6, -0x1.6fadb24029f9bp-6, -0x1.6760f408751bdp-6, -0x1.5f3c961428aedp-6, -0x1.574007c6a11f2p-6, -0x1.4f6ab9300c619p-6, -0x1.47bc1b16e4442p-6, -0x1.40339f0120433p-6, -0x1.38d0b73d1727p-6, -0x1.3192d6ea1771cp-6, -0x1.2a797200ab5ccp-6, -0x1.2383fd5a9e347p-6, -0x1.1cb1eebaa200ep-6, -0x1.1602bcd3b8aa2p-6, -0x1.0f75df5048abp-6, -0x1.090aced8e23fcp-6, -0x1.02c1051ac1bbp-6, -0x1.f92ff99becc04p-7, -0x1.ed1e637689f67p-7, -0x1.e14c41837e5c9p-7, -0x1.d5b88fb810d23p-7, -0x1.ca624c4a9dc34p-7, -0x1.bf4877bbfdc4dp-7, -0x1.b46a14e0461f2p-7, -0x1.a9c628e703a53p-7, -0x1.9f5bbb62d7eb1p-7, -0x1.9529d6508df93p-7, -0x1.8b2f861d9f71dp-7, -0x1.816bd9ae2b914p-7, -0x1.77dde2626b4bdp-7, -0x1.6e84b41ba1203p-7, -0x1.655f65407efe1p-7, -0x1.5c6d0ec11b953p-7, -0x1.53accc1a6a634p-7, -0x1.4b1dbb5932471p-7, -0x1.42befd1ca33ffp-7, -0x1.3a8fb49873246p-7, -0x1.328f0796942bbp-7, -0x1.2abc1e7885db3p-7, -0x1.23162438446adp-7, -0x1.1b9c4668d70e8p-7, -0x1.144db5368f932p-7, -0x1.0d29a366e416bp-7, -0x1.062f465806e31p-7, -0x1.febbac005095ap-8, -0x1.f16919d8e017cp-8, -0x1.e465507f6ba06p-8, -0x1.d7aecf61dd0f2p-8, -0x1.cb441b12ce2d8p-8, -0x1.bf23bd456a8f5p-8, -0x1.b34c44c8fefa3p-8, -0x1.a7bc45840c638p-8, -0x1.9c72586efc5bp-8, -0x1.916d1b8e7ccb3p-8, -0x1.86ab31ed87d8dp-8, -0x1.7c2b43970354bp-8, -0x1.71ebfd8f309c1p-8, -0x1.67ec11ccc2f67p-8, -0x1.5e2a3731b60e5p-8, -0x1.54a52983ef7f4p-8, -0x1.4b5ba96591dc1p-8, -0x1.424c7c4d28943p-8, -0x1.39766c7da2e04p-8, -0x1.30d848fe0c87ep-8, -0x1.2870e591360d1p-8, -0x1.203f1aad1b899p-8, -0x1.1841c5722e8eap-8, -0x1.1077c7a27e85ep-8, -0x1.08e00798bd9aep-8, -0x1.0179703f21554p-8, -0x1.f485e20c517a9p-9, -0x1.e676fbb6a06a7p-9, -0x1.d8c41e3f30916p-9, -0x1.cb6b433c0c96ep-9, -0x1.be6a6d03f4ee1p-9, -0x1.b1bfa69b0940ep-9, -0x1.a569039f242b1p-9, -0x1.9964a03415be9p-9, -0x1.8db0a0efbd614p-9, -0x1.824b32c5f851bp-9, -0x1.77328af45c614p-9, -0x1.6c64e6edda796p-9, -0x1.61e08c463b695p-9, -0x1.57a3c89d57753p-9, -0x1.4dacf18a6349dp-9, -0x1.43fa6486c868dp-9, -0x1.3a8a86d91e3abp-9, -0x1.315bc57fbb8cep-9, -0x1.286c951b6283ep-9, -0x1.1fbb71d987c9fp-9, -0x1.1746df5e94abdp-9, -0x1.0f0d68aff17acp-9, -0x1.070da01de4953p-9, -0x1.fe8c3e5acfbbap-10, -0x1.ef6b0d033cfd9p-10, -0x1.e0b4fb8a967a4p-10, -0x1.d267672838071p-10, -0x1.c47fbac77da3ap-10, -0x1.b6fb6ed9aaeb2p-10, -0x1.a9d809279b5abp-10, -0x1.9d131ca33029bp-10, -0x1.90aa4938556dp-10, -0x1.849b3b9df656bp-10, -0x1.78e3ad269d045p-10, -0x1.6d816390fe092p-10, -0x1.627230d8406abp-10, -0x1.57b3f3042a97ap-10, -0x1.4d4493f91ef49p-10, -0x1.4322094850b4cp-10, -0x1.394a53ff7196cp-10, -0x1.2fbb8078c6169p-10, -0x1.2673a62b1b38dp-10, -0x1.1d70e779b1146p-10, -0x1.14b171846b29fp-10, -0x1.0c337bf822824p-10, -0x1.03f548decf0aep-10, -0x1.f7ea48e102edfp-11, -0x1.e862c9c834b83p-11, -0x1.d950d480e1c4dp-11, -0x1.cab13c5bf9ed5p-11, -0x1.bc80e7912df98p-11, -0x1.aebccee37e96fp-11, -0x1.a161fd46ce44dp-11, -0x1.946d8f860df27p-11, -0x1.87dcb3eab3486p-11, -0x1.7baca9e4cd3dcp-11, -0x1.6fdac1b4b32f6p-11, -0x1.64645c1577314p-11, -0x1.5946e9e896549p-11, -0x1.4e7febe2f9594p-11, -0x1.440cf23b20a2ap-11, -0x1.39eb9c585b766p-11, -0x1.30199883c7e57p-11, -0x1.2694a39a1830dp-11, -0x1.1d5a88bf07d9bp-11, -0x1.14692111e0b6p-11, -0x1.0bbe5363a10dbp-11, -0x1.035813eddcd7dp-11, -0x1.f668c8175d939p-12, -0x1.e6a2a3e6ead4fp-12, -0x1.d759f0e40ffp-12, -0x1.c88afd4e87a94p-12, -0x1.ba322f86ea8ccp-12, -0x1.ac4c058d9d5f5p-12, -0x1.9ed51482982e8p-12, -0x1.91ca08286c4bp-12, -0x1.8527a26968f24p-12, -0x1.78d6e049be7ecp-12, -0x1.6cf6150d6c9f7p-12, -0x1.61753a24b203fp-12, -0x1.56515daa3da71p-12, -0x1.4b87a1f84824fp-12, -0x1.41153d3af38cap-12, -0x1.36f7790392ae2p-12, -0x1.2d2bb1dd85bacp-12, -0x1.23af56e53db09p-12, -0x1.1a7fe95f987dcp-12, -0x1.119afc53b6cc4p-12, -0x1.08fe342558e95p-12, -0x1.00a74631fa3c3p-12, -0x1.f127f0dbf399cp-13, -0x1.e1844208c2c16p-13, -0x1.d25f4beee918bp-13, -0x1.c3b4f986052bbp-13, -0x1.b58154004a416p-13, -0x1.a7c08214b9906p-13, -0x1.9a6ec74d4c427p-13, -0x1.8d888355d7e9dp-13, -0x1.810a31509084ap-13, -0x1.74f0672b6d79fp-13, -0x1.6937d4f98133cp-13, -0x1.5ddd444ec9ecfp-13, -0x1.52dd979eed31dp-13, -0x1.4835c99ee4612p-13, -0x1.3de2eca9f60d8p-13, -0x1.33e22a27e8d16p-13, -0x1.2a30c1f7f44f7p-13, -0x1.20cc09de355p-13, -0x1.17b16cf20b273p-13, -0x1.0ede6b1199f64p-13, -0x1.06509856a1651p-13, -0x1.fc0b391c851e4p-14, -0x1.ebf66567734a2p-14, -0x1.dc5e50db40249p-14, -0x1.cd3ebb1baf29dp-14, -0x1.be9387267f999p-14, -0x1.b058ba6002dbbp-14, -0x1.a28a7ba06484dp-14, -0x1.95251248fed68p-14, -0x1.8824e55c976d5p-14, -0x1.7b867a9daf4aep-14, -0x1.6f4675b2226c8p-14, -0x1.6361974a1894ap-14, -0x1.57d4bc4d08b83p-14, -0x1.4c9cdd0a965aap-14, -0x1.41b70c70883b6p-14, -0x1.37207744eabb3p-14, -0x1.2cd6636481d09p-14, -0x1.22d62f074dfd2p-14, -0x1.191d5006b446fp-14, -0x1.0fa95328befa3p-14, -0x1.0677db7242911p-14, -0x1.fb0d42f2de78fp-15, -0x1.e9a6e57d529dbp-15, -0x1.d8b86210e0092p-15, -0x1.c83da3881808cp-15, -0x1.b832bad109ff6p-15, -0x1.a893ddc0add01p-15, -0x1.995d65e71f9c5p-15, -0x1.8a8bcf6f8c0f5p-15, -0x1.7c1bb805d6509p-15, -0x1.6e09ddc3abebep-15, -0x1.60531e244592p-15, -0x1.52f475005cb06p-15, -0x1.45eafb8ce38e8p-15, -0x1.3933e766ec3d5p-15, -0x1.2ccc899f77067p-15, -0x1.20b24dd248128p-15, -0x1.14e2b93e0548dp-15, -0x1.095b69eb9b786p-15, -0x1.fc342b9e3b21dp-16, -0x1.e63913ee5bfeep-16, -0x1.d0c153831404cp-16, -0x1.bbc8dc246c057p-16, -0x1.a74bc923464e5p-16, -0x1.93465de0bf6f1p-16, -0x1.7fb50461524a5p-16, -0x1.6c944be2c2a2dp-16, -0x1.59e0e78b0ab29p-16, -0x1.4797ad126a293p-16, -0x1.35b5937ffee0ep-16, -0x1.2437b1ea7b0eap-16, -0x1.131b3e47d5a1ep-16, -0x1.025d8c3eb5cb8p-16, -0x1.e3f81814478e9p-17, -0x1.c3e892bafda33p-17, -0x1.a487d4aa273d7p-17, -0x1.85d15cdc0a132p-17, -0x1.67c0db0d9f1f2p-17, -0x1.4a522dce8a203p-17, -0x1.2d81609ecb57ap-17, -0x1.114aaa21be501p-17, -0x1.eb54d4a83cc9cp-18, -0x1.b53a51d03b99p-18, -0x1.803f26feb626ep-18, -0x1.4c5cf86f3033p-18, -0x1.198db006f4b9ap-18, -0x1.cf96f4eea17aap-19, -0x1.6e2188a660e27p-19, -0x1.0eb06e734477cp-19, -0x1.6272dca3f2258p-20, -0x1.56caff5e6ff0cp-21, 0x1.f67d7a123d5e9p-26, 0x1.6ebae96e72c99p-21, 0x1.63362b9d9a1ddp-20, 0x1.05ba4845f9defp-19, 0x1.581434b0fd87fp-19, 0x1.a8b06a3b2032p-19, 0x1.f7962849b44eap-19, 0x1.22663143f8baep-18, 0x1.482ce2447d60ep-18, 0x1.6d225abcd9634p-18, 0x1.9149add8f1d48p-18, 0x1.b4a5d00549e0cp-18, 0x1.d739988ff6952p-18, 0x1.f907c329801f4p-18, 0x1.0d0978c4b27b9p-17, 0x1.1d2ed65efef6ap-17, 0x1.2cf5335101dffp-17, 0x1.3c5dbd904b534p-17, 0x1.4b6998d78a0edp-17, 0x1.5a19df1df79cap-17, 0x1.686fa143a6d01p-17, 0x1.766be7a4ac58cp-17, 0x1.840fb29a12a62p-17, 0x1.915bfb02d9a27p-17, 0x1.9e51b2c2d8d15p-17, 0x1.aaf1c533c9a4bp-17, 0x1.b73d17a5a8f4bp-17, 0x1.c33489c490513p-17, 0x1.ced8f6001a345p-17, 0x1.da2b31f6d8281p-17, 0x1.e52c0ece21dccp-17, 0x1.efdc5993a7343p-17, 0x1.fa3cdb84b6ae8p-17, 0x1.02272d3973534p-16, 0x1.0708cc8599b21p-16, 0x1.0bc3ab8aa5b62p-16, 0x1.105828e1fb046p-16, 0x1.14c6a1f8faab8p-16, 0x1.190f732c9a39fp-16, 0x1.1d32f7f3b599dp-16, 0x1.21318ae759e1dp-16, 0x1.250b85e88ce7ap-16, 0x1.28c142352f335p-16, 0x1.2c531880ca6f5p-16, 0x1.2fc16105c7024p-16, 0x1.330c739b40d86p-16, 0x1.3634a7c8b4ef4p-16, 0x1.393a54d291447p-16, 0x1.3c1dd1cfc8c45p-16, }}, 
      {{0x1.debadf74aedc8p-3, 0x1.e642f312a531ap-3, 0x1.f281a494633dbp-3, 0x1.0189a1504933dp-2, 0x1.0bc283b83a3ep-2, 0x1.17ad539c738c7p-2, 0x1.250b097b2e1d3p-2, 0x1.339d8555d94b4p-2, 0x1.4329205d0e3e7p-2, 0x1.53759c736835dp-2, 0x1.644ead9bc3becp-2, 0x1.758460c847d2cp-2, 0x1.86eb274f55b3bp-2, 0x1.985befbbbebe8p-2, 0x1.a9b3ea64012d6p-2, 0x1.bad464568b758p-2, 0x1.cba284b710aa4p-2, 0x1.dc07117dea9a9p-2, 0x1.ebee1252f2ffcp-2, 0x1.fb46acc1a2bcfp-2, 0x1.050152d99911ep-1, 0x1.0c0b4b7e28584p-1, 0x1.12bc6d50b8d9p-1, 0x1.191130084a0b7p-1, 0x1.1f06ddff77c1p-1, 0x1.249b4c9fa3a5fp-1, 0x1.29cd93561cfe9p-1, 0x1.2e9d04d43f747p-1, 0x1.3309a98767804p-1, 0x1.3714081c92298p-1, 0x1.3abd1afc6d2edp-1, 0x1.3e063a111572cp-1, 0x1.40f11366d9e16p-1, 0x1.437fa09125a9fp-1, 0x1.45b415fadba05p-1, 0x1.4790dd8dd0028p-1, 0x1.49188f5f7e6dbp-1, 0x1.4a4de3c1e6235p-1, 0x1.4b33ad3c893fep-1, 0x1.4bccd6c5f4c92p-1, 0x1.4c1c5c1287379p-1, 0x1.4c25413f53d58p-1, 0x1.4bea8fe0c8e3bp-1, 0x1.4b6f54f1e6255p-1, 0x1.4ab69bc46d991p-1, 0x1.49c368f461104p-1, 0x1.4898b822403bap-1, 0x1.47397acf7738dp-1, 0x1.45a8963c22e77p-1, 0x1.43e8e0b9a6e84p-1, 0x1.41fd1fc7fcffcp-1, 0x1.3fe8071322bfdp-1, 0x1.3dac378cc0f61p-1, 0x1.3b4c3e52068dfp-1, 0x1.38ca72b29f726p-1, 0x1.362975741f0ep-1, 0x1.336b78976741fp-1, 0x1.3092b5c02428ep-1, 0x1.2da150988cd84p-1, 0x1.2a9956debbc76p-1, 0x1.277cc0ee7215dp-1, 0x1.244d726e22de4p-1, 0x1.210d3ad35cef9p-1, 0x1.1dbdd5ad0538cp-1, 0x1.1a60ead1720a1p-1, 0x1.16f80e9744386p-1, 0x1.1384c22b52d8p-1, 0x1.100873fda5cdep-1, 0x1.0c84803487b52p-1, 0x1.08fa311981c24p-1, 0x1.056abf805a454p-1, 0x1.01d753322906fp-1, 0x1.fc8206d1af0b5p-2, 0x1.f551aec460082p-2, 0x1.ee1f8e10e24b8p-2, 0x1.e6ed774b5071p-2, 0x1.dfbd2125328d2p-2, 0x1.d89027a87785fp-2, 0x1.d1680d45d3548p-2, 0x1.ca463bc075899p-2, 0x1.c32c050d702e4p-2, 0x1.bc1aa43bc9045p-2, 0x1.b5133e6dc27fep-2, 0x1.ae16e3ddd0c8fp-2, 0x1.a72690e313984p-2, 0x1.a0432eec4799fp-2, 0x1.996d956f5a818p-2, 0x1.92a68acfdfc0fp-2, 0x1.8beec53c6dcdbp-2, 0x1.8546eb7df8cap-2, 0x1.7eaf95b27918ap-2, 0x1.78294df0d19b1p-2, 0x1.71b490dcb0519p-2, 0x1.6b51ce383b975p-2, 0x1.65016981ceccbp-2, 0x1.5ec3baa504a62p-2, 0x1.58990ebb528d4p-2, 0x1.5281a8cf2bd7p-2, 0x1.4c7dc29189b8fp-2, 0x1.468d8cf5e5269p-2, 0x1.40b130b1a320ep-2, 0x1.3ae8cea55bf0fp-2, 0x1.3534803bd8d5ep-2, 0x1.2f9457cab6267p-2, 0x1.2a0860fbb3576p-2, 0x1.2490a13f33158p-2, 0x1.1f2d1842edd05p-2, 0x1.19ddc065b2722p-2, 0x1.14a28f2248619p-2, 0x1.0f7b756edff95p-2, 0x1.0a6851cc1327dp-2, 0x1.05692d009323bp-2, 0x1.007ddbe0ee489p-2, 0x1.f74c80cdc7b63p-3, 0x1.edc472e6d2395p-3, 0x1.e463462107c53p-3, 0x1.db28ad5f5282ap-3, 0x1.d21456c8b59b6p-3, 0x1.c925ec360407dp-3, 0x1.c05d13989dc1cp-3, 0x1.b7b96f5b03d33p-3, 0x1.af3a9ebbe6dd5p-3, 0x1.a6e03e243db49p-3, 0x1.9ea9e778a52a6p-3, 0x1.96973266566b6p-3, 0x1.8ea7b4abdfeep-3, 0x1.86db025dd7798p-3, 0x1.7f30ae27b5a7ap-3, 0x1.77a84988cbeb7p-3, 0x1.7041650d41c4fp-3, 0x1.68fb9082d565p-3, 0x1.61d65b2925b4fp-3, 0x1.5ad153dd85c12p-3, 0x1.53ec094264f65p-3, 0x1.4d2609e2b31b5p-3, 0x1.467ee451c3f87p-3, 0x1.3ff62748420cep-3, 0x1.398b61bec3371p-3, 0x1.333e23066f05ap-3, 0x1.2d0dfae000951p-3, 0x1.26fa799149caep-3, 0x1.21032ff9587c8p-3, 0x1.1b27afa329445p-3, 0x1.15678ad706cfcp-3, 0x1.0fc254aa95a6p-3, 0x1.0a37a10fb5be2p-3, 0x1.04c704e247f8cp-3, 0x1.fee02bea2151dp-4, 0x1.f464d63b577a3p-4, 0x1.ea1b387f70b6fp-4, 0x1.e00284ae2fc13p-4, 0x1.d619ef027cfcap-4, 0x1.cc60ae0ae659cp-4, 0x1.c2d5fab7e6fdfp-4, 0x1.b9791067c1ea4p-4, 0x1.b0492cf00f4c2p-4, 0x1.a74590a4fab45p-4, 0x1.9e6d7e5e58e99p-4, 0x1.95c03b7ad6c74p-4, 0x1.8d3d0fe16538ep-4, 0x1.84e346010d3f1p-4, 0x1.7cb22acf74a6p-4, 0x1.74a90dc62be12p-4, 0x1.6cc740df00556p-4, 0x1.650c188f87251p-4, 0x1.5d76ebc40cd11p-4, 0x1.560713da28d93p-4, 0x1.4ebbec9b1e2a8p-4, 0x1.4794d43636467p-4, 0x1.40912b3b34847p-4, 0x1.39b05494f38bcp-4, 0x1.32f1b584308aap-4, 0x1.2c54b59a7cf4ap-4, 0x1.25d8beb549f02p-4, 0x1.1f7d3cf8f179fp-4, 0x1.19419ecbaf875p-4, 0x1.132554d072b16p-4, 0x1.0d27d1e1732c6p-4, 0x1.07488b0a876d3p-4, 0x1.0186f78337028p-4, 0x1.f7c521510770fp-5, 0x1.ecb5a3ecedd7ep-5, 0x1.e1de7202f26b7p-5, 0x1.d73e8adeff063p-5, 0x1.ccd4f1e22bc0fp-5, 0x1.c2a0ae74b6456p-5, 0x1.b8a0cbf7d80e5p-5, 0x1.aed459b79ae57p-5, 0x1.a53a6adcb4c48p-5, 0x1.9bd2165e6957fp-5, 0x1.929a76f48b2b9p-5, 0x1.8992ab0990e58p-5, 0x1.80b9d4acc91ddp-5, 0x1.780f1984ae941p-5, 0x1.6f91a2c169c8ap-5, 0x1.67409d0f79a3cp-5, 0x1.5f1b388a8872p-5, 0x1.5720a8b08251bp-5, 0x1.4f502454ddf0ep-5, 0x1.47a8e5941f593p-5, 0x1.402a29c7a1ce3p-5, 0x1.38d3317993fbep-5, 0x1.31a340592a54bp-5, 0x1.2a999d2f068fbp-5, 0x1.23b591d1be781p-5, 0x1.1cf66b1a7fefbp-5, 0x1.165b78d9c689ep-5, 0x1.0fe40dcc1dd0ap-5, 0x1.098f7f8ee1c76p-5, 0x1.035d2695050edp-5, 0x1.fa98bc379fff6p-6, 0x1.eeb9083f5121bp-6, 0x1.e319f2a1d58e6p-6, 0x1.d7ba421187378p-6, 0x1.cc98c27c7d187p-6, 0x1.c1b444f6dc869p-6, 0x1.b70b9fa5a2d5ap-6, 0x1.ac9dada9e535p-6, 0x1.a2694f0c9910dp-6, 0x1.986d68aaf2558p-6, 0x1.8ea8e4234d07cp-6, 0x1.851aafc2bb86dp-6, 0x1.7bc1bb49b584p-6, 0x1.729d0aa4bf2d4p-6, 0x1.69ab9039e97d8p-6, 0x1.60ec4c6dffe87p-6, 0x1.585e44007bce3p-6, 0x1.50007ffab9a7dp-6, 0x1.47d20d9f7329ep-6, 0x1.3fd1fe5a83fe2p-6, 0x1.37ff67b0f2bf5p-6, 0x1.3059633143d7ep-6, 0x1.28df0e63fda33p-6, 0x1.218f8abc7454cp-6, 0x1.1a69fd89cf94p-6, 0x1.136d8fe84376p-6, 0x1.0c996eb28547cp-6, 0x1.05ecca736ec9dp-6, 0x1.fecdaeafb4d75p-7, 0x1.f20d9a416029ep-7, 0x1.e597ce2a3b1f6p-7, 0x1.d96ac7ea01d19p-7, 0x1.cd850bd710968p-7, 0x1.c1e52503e30c4p-7, 0x1.b689a52500eb4p-7, 0x1.ab71247747bb2p-7, 0x1.a09a41a66a033p-7, 0x1.9603a1b3f42d8p-7, 0x1.8babefde7e73fp-7, 0x1.8191dd8946f1ep-7, 0x1.77b4222417b5ep-7, 0x1.6e117b13857d5p-7, 0x1.64a8ab997636cp-7, 0x1.5b787cbe05cfcp-7, 0x1.527fbd38abbf8p-7, 0x1.49bd4159c1adcp-7, 0x1.412fe2f44b1fp-7, 0x1.38d68148128ddp-7, 0x1.30b000ec0eb75p-7, 0x1.28bb4bb90ff64p-7, 0x1.20f750b4c9a8fp-7, 0x1.196303fd1039dp-7, 0x1.11fd5eb36760bp-7, 0x1.0ac55ee8d8065p-7, 0x1.03ba078a0b669p-7, 0x1.f9b4c09744dccp-8, 0x1.ec4aeb2dbffe9p-8, 0x1.df34b0ed0930ep-8, 0x1.d2703d07e3d5ap-8, 0x1.c5fbc3a919d4p-8, 0x1.b9d581cebf3c1p-8, 0x1.adfbbd25e6819p-8, 0x1.a26cc3e6d5591p-8, 0x1.9726ecb1b886dp-8, 0x1.8c28966bbd4afp-8, 0x1.8170281c9b1bfp-8, 0x1.76fc10ccaca7p-8, 0x1.6ccac7635b00dp-8, 0x1.62daca86039p-8, 0x1.592aa0774d258p-8, 0x1.4fb8d6f6ebb44p-8, 0x1.46840321bcb2ep-8, 0x1.3d8ac15272322p-8, 0x1.34cbb50283326p-8, 0x1.2c4588ab91a04p-8, 0x1.23f6eda94208fp-8, 0x1.1bde9c1b5b159p-8, 0x1.13fb52c86e61ep-8, 0x1.0c4bd700d4a4ap-8, 0x1.04cef481eb6d1p-8, 0x1.fb06fab401182p-9, 0x1.ecd09398ae34fp-9, 0x1.def8706b5ec47p-9, 0x1.d17c59e23d6f9p-9, 0x1.c45a247aa8842p-9, 0x1.b78fb04463d69p-9, 0x1.ab1ae8ad73868p-9, 0x1.9ef9c44ec70e1p-9, 0x1.932a44b99905cp-9, 0x1.87aa76456e39ap-9, 0x1.7c786fded544ep-9, 0x1.719252d6aa798p-9, 0x1.66f64ab2669ddp-9, 0x1.5ca28cfcb919dp-9, 0x1.52955916fd214p-9, 0x1.48ccf80b42ebep-9, 0x1.3f47bc5f0d12ap-9, 0x1.360401e6b5af4p-9, 0x1.2d002d993f91fp-9, 0x1.243aad65399efp-9, 0x1.1bb1f805c8744p-9, 0x1.13648cd8a0706p-9, 0x1.0b50f3b46a1ecp-9, 0x1.0375bcbfe60b9p-9, 0x1.f7a300932663fp-10, 0x1.e8c5bd3ff4b92p-10, 0x1.da50ffd50da45p-10, 0x1.cc422805d65f6p-10, 0x1.be96a49eba9cp-10, 0x1.b14bf339d6f94p-10, 0x1.a45f9ff5c4697p-10, 0x1.97cf452cba48dp-10, 0x1.8b988b2d60cd7p-10, 0x1.7fb927f486e52p-10, 0x1.742edee7a19cfp-10, 0x1.68f7809111456p-10, 0x1.5e10ea5cfc553p-10, 0x1.537906572b00cp-10, 0x1.492dcaea65006p-10, 0x1.3f2d3aa0837bcp-10, 0x1.357563e35e821p-10, 0x1.2c0460bf839f9p-10, 0x1.22d856a726ff5p-10, 0x1.19ef763668929p-10, 0x1.1147faf8af50fp-10, 0x1.08e02b2ed943cp-10, 0x1.00b6579683ebap-10, 0x1.f191b6646af9bp-11, 0x1.e22c3625565cdp-11, 0x1.d3390c4130406p-11, 0x1.c4b529d04ecdbp-11, 0x1.b69d92c98af3ap-11, 0x1.a8ef5d9bfd6c9p-11, 0x1.9ba7b2ca9433p-11, 0x1.8ec3cc89acbf2p-11, 0x1.8240f65e3bb5ep-11, 0x1.761c8cbeb4ed8p-11, 0x1.6a53fcb5532d1p-11, 0x1.5ee4c38513002p-11, 0x1.53cc6e4f77865p-11, 0x1.490899bbcaeafp-11, 0x1.3e96f1a14259bp-11, 0x1.347530b1708a3p-11, 0x1.2aa12024cb7e7p-11, 0x1.21189768e6345p-11, 0x1.17d97bd03f6fdp-11, 0x1.0ee1c042cd399p-11, 0x1.062f64f171eeap-11, 0x1.fb80ee1330fe7p-12, 0x1.eb2620d635a43p-12, 0x1.db4aaebe10de9p-12, 0x1.cbeafca076797p-12, 0x1.bd03870aa56ebp-12, 0x1.ae90e1b6934acp-12, 0x1.a08fb7058814cp-12, 0x1.92fcc77b16161p-12, 0x1.85d4e93b550cdp-12, 0x1.7915078be4efep-12, 0x1.6cba22573f928p-12, 0x1.60c14db2b0f8ep-12, 0x1.5527b16682ap-12, 0x1.49ea88788edd6p-12, 0x1.3f0720b95af5dp-12, 0x1.347ada53bd53cp-12, 0x1.2a43275d2484bp-12, 0x1.205d8b6b6624dp-12, 0x1.16c79b28ff39bp-12, 0x1.0d7efbee39735p-12, 0x1.0481635ae2cafp-12, 0x1.f7992de6074bbp-13, 0x1.e6bcd7790836dp-13, 0x1.d6698bc197e51p-13, 0x1.c69b309bd2f2ep-13, 0x1.b74dc8b69fff9p-13, 0x1.a87d72dfd67a8p-13, 0x1.9a266954aa029p-13, 0x1.8c4501154ed4ep-13, 0x1.7ed5a93c2f907p-13, 0x1.71d4ea57ff426p-13, 0x1.653f65cb8a525p-13, 0x1.5911d52fc197p-13, 0x1.4d4909b5e971ep-13, 0x1.41e1eb935d941p-13, 0x1.36d9796bb106dp-13, 0x1.2c2cc7bfb968ep-13, 0x1.21d9005f8144p-13, 0x1.17db61df2fe3ap-13, 0x1.0e313f0fe02d3p-13, 0x1.04d7fe7971de7p-13, 0x1.f79a33b4081c8p-14, 0x1.e61c3b47b2e71p-14, 0x1.d531510990a7bp-14, 0x1.c4d4d5d47147p-14, 0x1.b5024d15525cp-14, 0x1.a5b55be3631a6p-14, 0x1.96e9c81be343cp-14, 0x1.889b77858497cp-14, 0x1.7ac66ef5be8b5p-14, 0x1.6d66d17d9da6ap-14, 0x1.6078df9ab1457p-14, 0x1.53f8f66bd090ap-14, 0x1.47e38eebf2d5p-14, 0x1.3c353d3243676p-14, 0x1.30eaafb479c68p-14, 0x1.2600ae8c5ee8dp-14, 0x1.1b741ac945065p-14, 0x1.1141edbd286f7p-14, 0x1.0767385261a52p-14, 0x1.fbc244c9386a9p-15, 0x1.e959d43bad6fap-15, 0x1.d78fc6aee869cp-15, 0x1.c65eedffc2673p-15, 0x1.b5c24503c8e36p-15, 0x1.a5b4ee641ecd4p-15, 0x1.9632337c9a60dp-15, 0x1.87358345fe08dp-15, 0x1.78ba7141fcfb2p-15, 0x1.6abcb471fe451p-15, 0x1.5d382652c4904p-15, 0x1.5028c1e220332p-15, 0x1.438aa29e7b283p-15, 0x1.375a03a459075p-15, 0x1.2b933ebe12a94p-15, 0x1.2032cb7bccc1ap-15, 0x1.15353e5cf6381p-15, 0x1.0a9747ef7ef68p-15, 0x1.0055b404971f6p-15, 0x1.ecdad1bf1cd7fp-16, 0x1.d9b6ccde06bf3p-16, 0x1.c7398b148a6f7p-16, 0x1.b55d6e6c1d207p-16, 0x1.a41d07c761108p-16, 0x1.937315946c97ap-16, 0x1.835a825def54ap-16, 0x1.73ce637e79c6bp-16, 0x1.64c9f7cf858dfp-16, 0x1.55ec25d1950a8p-16, 0x1.47eab33e75a06p-16, 0x1.3a63ba2306345p-16, 0x1.2d530ffad7d3cp-16, 0x1.20b4adf8548d8p-16, 0x1.1484affb316d4p-16, 0x1.08bf536ac1316p-16, 0x1.fac1ec6f9091ep-17, 0x1.e4cc2ba4b4be8p-17, 0x1.cf969c63e061ep-17, 0x1.bb1ab1c201515p-17, 0x1.a75217fec4319p-17, 0x1.9436b2de6f5dfp-17, 0x1.81c29bd80d07bp-17, 0x1.6ff0204a4f82fp-17, 0x1.5eb9bfe7237b8p-17, 0x1.4e1a2b102c747p-17, 0x1.3e0c413e2cf81p-17, 0x1.2e8b0f802781cp-17, 0x1.1f91cefc2f079p-17, 0x1.111be3790f6c8p-17, 0x1.0324da041a67cp-17, 0x1.eb50cf177feaep-18, 0x1.d144cf19838fdp-18, 0x1.b81db5a840f1p-18, 0x1.9fd3cc66fe12ap-18, 0x1.885fa2996e74ap-18, 0x1.71ba0b01e7a6bp-18, 0x1.5bdc19294e99ap-18, 0x1.46bf1fae98d27p-18, 0x1.325cadca96f13p-18, 0x1.1eae8d5248da5p-18, 0x1.0baec0c6133b1p-18, 0x1.f2af0292fd3ep-19, 0x1.cf4679955c9a4p-19, 0x1.ad19285265b54p-19, 0x1.8c1cb2da19d54p-19, 0x1.6c471c3dc3a6bp-19, 0x1.4d8ec2dd6bf5p-19, 0x1.2fea5dae242fcp-19, 0x1.1350f8c6a72bp-19, 0x1.ef73e4d157ee4p-20, 0x1.ba39f02d7bb07p-20, 0x1.86e40785c75d6p-20, 0x1.5562b1e237362p-20, 0x1.25a704b971acp-20, 0x1.ef453bf806f0fp-21, 0x1.968f3f4260ee6p-21, 0x1.4111558103c9ep-21, 0x1.dd636b077b0cap-22, 0x1.3eaf03c26509fp-22, 0x1.4bab0432c6b4cp-23, 0x1.2a8a802f2d4abp-26, -0x1.ec1097bc3e50fp-24, -0x1.035beadd741cep-22, -0x1.868823baf7b14p-22, -0x1.02586b5c1be9p-21, -0x1.3efe5018ecb9cp-21, -0x1.794860316d8cep-21, -0x1.b14894e354334p-21, -0x1.e710460e217ddp-21, -0x1.0d581873e96dap-20, -0x1.261c3ee7b7ecfp-20, -0x1.3ddc62f9e47bbp-20, -0x1.54a00c79fec7ep-20, -0x1.6a6e81268a47bp-20, -0x1.7f4ec6d8faff4p-20, -0x1.9347a6b0b9e99p-20, -0x1.a65faefef3753p-20, -0x1.b89d358b02e33p-20, -0x1.ca0659e7db9efp-20, -0x1.daa107e877e8fp-20, -0x1.ea72f8be25362p-20, -0x1.f981b6058ec0cp-20, -0x1.03e94d98fb7a7p-19, -0x1.0ab56ba38f33bp-19, -0x1.1127b764d244dp-19, -0x1.17429eb0d9eddp-19, -0x1.1d087bc428a87p-19, -0x1.227b95eef6a4ep-19, -0x1.279e22b1759e2p-19, -0x1.2c7245f29ab7cp-19, -0x1.30fa13036f229p-19, -0x1.35378d4968cadp-19, -0x1.392ca8c347d59p-19, -0x1.3cdb4ac4f2711p-19, -0x1.40454a6747df9p-19, -0x1.436c714ce42ecp-19, -0x1.46527c0b8fd6dp-19, -0x1.48f91aba9f9cep-19, -0x1.4b61f17319cd6p-19, -0x1.4d8e98c9ac80ap-19, -0x1.4f809e4bae181p-19, -0x1.513984e35a648p-19, -0x1.52bac5504743fp-19, -0x1.5405ce8cc048p-19, -0x1.551c060507543p-19, -0x1.55fec87ce50fbp-19, -0x1.56af69b4c535ap-19, -0x1.572f355d6b339p-19, -0x1.577f6ede531b7p-19, -0x1.57a15214d7162p-19, -0x1.579613858886bp-19, -0x1.575ee082346d7p-19, -0x1.56fcdf915b333p-19, -0x1.567130b1ce0cbp-19, -0x1.55bced6faa70ap-19, -0x1.54e1295acda83p-19, -0x1.53def2106daf2p-19, -0x1.52b74f8cf4b45p-19, -0x1.516b4457d1dfbp-19, -0x1.4ffbcdaff54d9p-19, -0x1.4e69e3d6a3d91p-19, -0x1.4cb67a131fdbep-19, -0x1.4ae27efa8cb0dp-19, -0x1.48eedc8fe871ap-19, -0x1.46dc7869689a5p-19, -0x1.44ac33f3462abp-19, -0x1.425eec394db6p-19, -0x1.3ff57a8044789p-19, -0x1.3d70b41b3eb72p-19, -0x1.3ad16a9a9387bp-19, -0x1.38186bc9cba08p-19, -0x1.3546824786812p-19, -0x1.325c74e590828p-19, -0x1.2f5b0749568cep-19, -0x1.2c42f9b2b36a3p-19, -0x1.2915095b3a703p-19, -0x1.25d1f05317de1p-19, -0x1.227a65d05977ep-19, -0x1.1f0f1dd13ee02p-19, -0x1.1b90c9ae8e517p-19, -0x1.180017e258b78p-19, -0x1.145db42aacf1cp-19, -0x1.10aa47a0430e2p-19, -0x1.0ce678af2599dp-19, -0x1.0912eb3db0c6cp-19, -0x1.053040935aa3p-19, -0x1.013f17911ee5dp-19, -0x1.fa8019657a489p-20, -0x1.f26773fc5e94ap-20, -0x1.ea356e49e6d8dp-20, -0x1.e1eb3311aaabap-20, -0x1.d989e85d667ffp-20, -0x1.d112b0360ef47p-20, -0x1.c886a7ba02e7bp-20, -0x1.bfe6e7d4755a3p-20, -0x1.b734850a80318p-20, -0x1.ae708fdac9f7bp-20, -0x1.a59c1452c5012p-20, -0x1.9cb81a74c015dp-20, -0x1.93c5a603c8d58p-20, -0x1.8ac5b6d59ad1bp-20, -0x1.81b948af68dc2p-20, }}, 
      std::vector<double>(600, 0.0), 
      {{0x1.2a922c0ef0d0ap-7, 0x1.4b1a9ab7e694ap-6, 0x1.197264405d30cp-5, 0x1.a942ef3587e36p-5, 0x1.2a1434d36ad2fp-4, 0x1.8b7bbf341e87bp-4, 0x1.f6977541fb46p-4, 0x1.346c281d1a935p-3, 0x1.6fcdd61ae40c6p-3, 0x1.ac2a7c25e2d13p-3, 0x1.e8540a4c76473p-3, 0x1.119da83878e3fp-2, 0x1.2dfa1010619a1p-2, 0x1.48db513790095p-2, 0x1.61eeb25c74eaep-2, 0x1.78f231625c399p-2, 0x1.8db3151e8881fp-2, 0x1.a00c4e23e25f8p-2, 0x1.afe4cc5c6bf7ep-2, 0x1.bd2eb3cf3b8eap-2, 0x1.c7e5016332cebp-2, 0x1.d00b87277ddd3p-2, 0x1.d5ab39d1c2c8fp-2, 0x1.d8d3c01610de4p-2, 0x1.d999eaad84e2bp-2, 0x1.d814d4f5f674ap-2, 0x1.d4605f303fdadp-2, 0x1.ce99145ad5116p-2, 0x1.c6de15efe4c3fp-2, 0x1.bd4fb2bb43b03p-2, 0x1.b20ebb3627b08p-2, 0x1.a53c61b6421dp-2, 0x1.96fa0981c7085p-2, 0x1.8768d5d92316cp-2, 0x1.76a94f9ca8ccp-2, 0x1.64db4045e1fc4p-2, 0x1.521d9940744d3p-2, 0x1.3e8e51af65862p-2, 0x1.2a4a448b60652p-2, 0x1.156d17a0b704dp-2, 0x1.00112a8d3bf69p-2, 0x1.d49f15f5b4c69p-3, 0x1.a87fdb60df8c1p-3, 0x1.7bf157fb25fd2p-3, 0x1.4f1d8370f26e6p-3, 0x1.222b91ef7dab8p-3, 0x1.ea7fde58054e5p-4, 0x1.90f895dc09c57p-4, 0x1.37ff6ebba8a0fp-4, 0x1.bf9b2571bb596p-5, 0x1.112eb7c892ad7p-5, 0x1.946393893a38cp-7, -0x1.114028f3f47p-7, -0x1.d57c7663d1898p-6, -0x1.8de2f10b692fep-5, -0x1.16c7ca25393ecp-4, -0x1.64c291793665ep-4, -0x1.b0ca18be1edf5p-4, -0x1.faca1f4e8499p-4, -0x1.2158b8b43ca21p-3, -0x1.4438ca90db4a2p-3, -0x1.65ff4d0ea35f3p-3, -0x1.86a782261fa41p-3, -0x1.a62ddf71e4da3p-3, -0x1.c490030b94935p-3, -0x1.e1cc9fc2efad9p-3, -0x1.fde361e8cd584p-3, -0x1.0c6a6889137bdp-2, -0x1.195119b7dec5cp-2, -0x1.25a6babccb1e8p-2, -0x1.316c8b2b7472ap-2, -0x1.3ca40bf2000bcp-2, -0x1.474ef875d5c8bp-2, -0x1.516f405e16c72p-2, -0x1.5b0701fd67891p-2, -0x1.641885776cf5bp-2, -0x1.6ca638a76c313p-2, -0x1.74b2ab9786218p-2, -0x1.7c408d334ff5fp-2, -0x1.8352a7e5bd506p-2, -0x1.89ebddf84c535p-2, -0x1.900f25b531fbbp-2, -0x1.95bf856bd00f1p-2, -0x1.9b000f83933d7p-2, -0x1.9fd3decd96d7bp-2, -0x1.a43e1344eb10bp-2, -0x1.a841cf63a416p-2, -0x1.abe2361a37b3ap-2, -0x1.af22695359c0ep-2, -0x1.b20588cfcbe8ep-2, -0x1.b48eb11ae78f8p-2, -0x1.b6c0fa673626ap-2, -0x1.b89f77401ec1bp-2, -0x1.ba2d331a1f581p-2, -0x1.bb6d30d8d7bedp-2, -0x1.bc62695ecbbb6p-2, -0x1.bd0fca2d8b056p-2, -0x1.bd783410f7428p-2, -0x1.bd9e79ce45436p-2, -0x1.bd855ed8648f9p-2, -0x1.bd2f961a2fa9dp-2, -0x1.bc9fc0f1eb9aap-2, -0x1.bbd86e7a23e24p-2, -0x1.badc1b301075cp-2, -0x1.b9ad30f47ca46p-2, -0x1.b84e0751f4ac7p-2, -0x1.b6c0e3e96f605p-2, -0x1.b507fae8bac32p-2, -0x1.b3256f798269ap-2, -0x1.b11b542688c3dp-2, -0x1.aee9391771abp-2, -0x1.ac95a1371a293p-2, -0x1.aa206dbd0a79ep-2, -0x1.a78b78c80d34bp-2, -0x1.a4d88c9b3f33ap-2, -0x1.a20963a8bb33p-2, -0x1.9f1fa8b9fcbfp-2, -0x1.9c1cf73438f39p-2, -0x1.9902db724f94p-2, -0x1.95d2d32b76355p-2, -0x1.928e4ddd4b1a3p-2, -0x1.8f36ad317ea39p-2, -0x1.8bcd455a1310dp-2, -0x1.88535d62da316p-2, -0x1.84ca2f7a5a4e2p-2, -0x1.8132e936e7fbcp-2, -0x1.7d8eabde02456p-2, -0x1.79de8cb3a869ep-2, -0x1.76239555ce6b1p-2, -0x1.725ec425aae18p-2, -0x1.6e910cbe0e0cbp-2, -0x1.6abb5873c46dp-2, -0x1.66de86db71b48p-2, -0x1.62fb6e4f9903ep-2, -0x1.5f12dc718b604p-2, -0x1.5b2596a074674p-2, -0x1.57345a62db26dp-2, -0x1.533fddc010251p-2, -0x1.4f48cf886e3ddp-2, -0x1.4b4fd78cb0bdep-2, -0x1.475596c5d5e49p-2, -0x1.435aa7702eb0fp-2, -0x1.3f5f9d1cff476p-2, -0x1.3b6504bea45cap-2, -0x1.376b64b347317p-2, -0x1.33733cd205286p-2, -0x1.2f7d067dd1aap-2, -0x1.2b8934c092436p-2, -0x1.2798346ff2bd5p-2, -0x1.23aa6c5c7c283p-2, -0x1.1fc03d8a6d8e2p-2, -0x1.1bda037330f25p-2, -0x1.17f8144d92f1bp-2, -0x1.141ac15aa4052p-2, -0x1.10425735025ebp-2, -0x1.0c6f1e204847dp-2, -0x1.08a15a5692509p-2, -0x1.04d94c5244157p-2, -0x1.01173112826bbp-2, -0x1.fab684b259c94p-3, -0x1.f34b6dc30fe52p-3, -0x1.ebed851e3670bp-3, -0x1.e49d2d2988e83p-3, -0x1.dd5ac32899bb5p-3, -0x1.d6269f6e5c81ep-3, -0x1.cf01158302667p-3, -0x1.c7ea744068092p-3, -0x1.c0e305e78e2d8p-3, -0x1.b9eb10319d8ddp-3, -0x1.b302d45eb6d9ep-3, -0x1.ac2a8f4488a81p-3, -0x1.a562795e4c47dp-3, -0x1.9eaac6df3e892p-3, -0x1.9803a7c84fd4ep-3, -0x1.916d480167f0bp-3, -0x1.8ae7cf76230cep-3, -0x1.84736235d353ap-3, -0x1.7e10209636b93p-3, -0x1.77be275854502p-3, -0x1.717d8fcec6a6ap-3, -0x1.6b4e7004b52f9p-3, -0x1.6530dae4e3a8p-3, -0x1.5f24e0601c1fbp-3, -0x1.592a8d92779dp-3, -0x1.5341ece7016bap-3, -0x1.4d6b0639723c7p-3, -0x1.47a5def5ace31p-3, -0x1.41f27a34fcb04p-3, -0x1.3c50d8d8f31cdp-3, -0x1.36c0f9a41b4bcp-3, -0x1.3142d95094fdep-3, -0x1.2bd672a4db913p-3, -0x1.267bbe87020dep-3, -0x1.2132b40ea9bffp-3, -0x1.1bfb489608ad7p-3, -0x1.16d56fca4487ap-3, -0x1.11c11bbb640dbp-3, -0x1.0cbe3cec1c5fep-3, -0x1.07ccc26196675p-3, -0x1.02ec99b34f82ap-3, -0x1.fc3b5e365c316p-4, -0x1.f2bfdb0b6662dp-4, -0x1.e9667d44ac8fep-4, -0x1.e02f15e7a7d55p-4, -0x1.d71973c0daceep-4, -0x1.ce256383af163p-4, -0x1.c552afe986b08p-4, -0x1.bca121cf9ee5dp-4, -0x1.b410805396c56p-4, -0x1.aba090ee52f7ep-4, -0x1.a351178d30cddp-4, -0x1.9b21d6a9671bdp-4, -0x1.93128f5db1bfep-4, -0x1.8b23017a4e514p-4, -0x1.8352eb976b681p-4, -0x1.7ba20b264adfep-4, -0x1.74101c813a444p-4, -0x1.6c9cdafa9f26fp-4, -0x1.654800eb4847dp-4, -0x1.5e1147c032e13p-4, -0x1.56f86807e9375p-4, -0x1.4ffd197f9a6efp-4, -0x1.491e257f96d3cp-4, -0x1.425d3a0751dd8p-4, -0x1.3bb9030195ebdp-4, -0x1.3531354e2ea29p-4, -0x1.2ec585400feeep-4, -0x1.2875a6a77e27bp-4, -0x1.22414cdc47109p-4, -0x1.1c282ac811e97p-4, -0x1.1629f2f0d49c1p-4, -0x1.1046578368678p-4, -0x1.0a7d0a5e42418p-4, -0x1.04cdbd1c41bc8p-4, -0x1.fe70423f25dc6p-5, -0x1.f377cf39264bp-5, -0x1.e8b183495ef2cp-5, -0x1.de1cc0625b0cfp-5, -0x1.d3b8e85ba4185p-5, -0x1.c9855d06ae50fp-5, -0x1.bf818043510c6p-5, -0x1.b5acb413ac5e5p-5, -0x1.ac065aaf6f59bp-5, -0x1.a28dd6966ae1ep-5, -0x1.99428aa26243ep-5, -0x1.9023da1813425p-5, -0x1.873128b76781bp-5, -0x1.7e69dacad49bdp-5, -0x1.75cd5535e376dp-5, -0x1.6d5afd82e20a8p-5, -0x1.651239efc913ep-5, -0x1.5cf2717a555cdp-5, -0x1.54fb0beb63b97p-5, -0x1.4d2b71e19939dp-5, -0x1.45830cdb5bcacp-5, -0x1.3e01474033e4ep-5, -0x1.36a58c6995e31p-5, -0x1.2f6f48ab2875ep-5, -0x1.285de95a91001p-5, -0x1.2170dcd6cd998p-5, -0x1.1aa7928f2d427p-5, -0x1.14017b09ead97p-5, -0x1.0d7e07ea71dddp-5, -0x1.071cabf75b11p-5, -0x1.00dcdb201edb3p-5, -0x1.f57c15050bc87p-6, -0x1.e97f60dfbc6c8p-6, -0x1.ddc288e3e7049p-6, -0x1.d2447e9f98905p-6, -0x1.c70436246741p-6, -0x1.bc00a6100db7fp-6, -0x1.b138c7949e203p-6, -0x1.a6ab96804077fp-6, -0x1.9c581144874cfp-6, -0x1.923d38fd47ea8p-6, -0x1.885a117707929p-6, -0x1.7eada134eb748p-6, -0x1.7536f176353c8p-6, -0x1.6bf50e3b42616p-6, -0x1.62e7064a14861p-6, -0x1.5a0beb325c995p-6, -0x1.5162d1510b846p-6, -0x1.48eacfd3691d3p-6, -0x1.40a300b9b0a6cp-6, -0x1.388a80d937cep-6, -0x1.30a06fde1d522p-6, -0x1.28e3f04c89e5ep-6, -0x1.2154278179712p-6, -0x1.19f03db320654p-6, -0x1.12b75df0e5681p-6, -0x1.0ba8b622f2d92p-6, -0x1.04c37709727d9p-6, -0x1.fc0da876bc6c3p-7, -0x1.eee4084a11dc5p-7, -0x1.e208800c8faf7p-7, -0x1.d57987e0aa90dp-7, -0x1.c9359d86c8255p-7, -0x1.bd3b4457da68bp-7, -0x1.b189053f7c615p-7, -0x1.a61d6eb5837f3p-7, -0x1.9af714b72ba65p-7, -0x1.901490bfc1be9p-7, -0x1.857481c0eff8p-7, -0x1.7b158c1aa6238p-7, -0x1.70f6599295ac1p-7, -0x1.6715994b689b2p-7, -0x1.5d71ffbb9076dp-7, -0x1.540a46a3d192cp-7, -0x1.4add2d0570156p-7, -0x1.41e977182dd7cp-7, -0x1.392dee3fe410cp-7, -0x1.30a96101ee46ep-7, -0x1.285aa2fa4ace9p-7, -0x1.20408cd08098ap-7, -0x1.1859fc2c4954ap-7, -0x1.10a5d3aa01972p-7, -0x1.0922facee3192p-7, -0x1.01d05dfd0b2cap-7, -0x1.f559dcce9fdf2p-8, -0x1.e76f4409cc20fp-8, -0x1.d9dee709b23cdp-8, -0x1.cca6c482b2f78p-8, -0x1.bfc4e465c9333p-8, -0x1.b33757c68bddcp-8, -0x1.a6fc38c0e9812p-8, -0x1.9b11aa5ea9d73p-8, -0x1.8f75d87cb0095p-8, -0x1.8426f7b00413cp-8, -0x1.7923452ab5998p-8, -0x1.6e6906a08ce5ep-8, -0x1.63f68a2b955dep-8, -0x1.59ca263091fdep-8, -0x1.4fe239434a6e1p-8, -0x1.463d2a0acd65fp-8, -0x1.3cd967259d624p-8, -0x1.33b5670dd2f1ep-8, -0x1.2acfa7fd3d996p-8, -0x1.2226afd17e3e1p-8, -0x1.19b90bf029ba2p-8, -0x1.1185512aef621p-8, -0x1.098a1ba3d45e1p-8, -0x1.01c60eb178dd8p-8, -0x1.f46fa986eafe5p-9, -0x1.e5bc3e8da53eap-9, -0x1.d76f4d153f77bp-9, -0x1.c98653494a0b9p-9, -0x1.bbfedcac86394p-9, -0x1.aed681e2defe6p-9, -0x1.a20ae87bce9f5p-9, -0x1.9599c2bd114f6p-9, -0x1.8980cf6db66bep-9, -0x1.7dbdd9a1b0f1bp-9, -0x1.724eb885b1214p-9, -0x1.67314f2b89bffp-9, -0x1.5c638c56faad1p-9, -0x1.51e36a4afd82cp-9, -0x1.47aeee977d2b7p-9, -0x1.3dc429e7a3c74p-9, -0x1.342137d09656fp-9, -0x1.2ac43ea0bd242p-9, -0x1.21ab6f2f93456p-9, -0x1.18d504adf79bep-9, -0x1.103f447714b12p-9, -0x1.07e87de1bdabap-9, -0x1.ff9e1424ebae4p-10, -0x1.efe2979bd7283p-10, -0x1.e09b5e981f8edp-10, -0x1.d1c5541770acep-10, -0x1.c35d754da340ap-10, -0x1.b560d14e45cadp-10, -0x1.a7cc88b736f57p-10, -0x1.9a9dcd5c6db83p-10, -0x1.8dd1e1f4d795fp-10, -0x1.816619c85ef6bp-10, -0x1.7557d85ef596fp-10, -0x1.69a49130dc77ep-10, -0x1.5e49c757ec83ep-10, -0x1.53450d42008ebp-10, -0x1.48940464732dcp-10, -0x1.3e345cf0b72a6p-10, -0x1.3423d589f2e8ep-10, -0x1.2a603afbbaeaap-10, -0x1.20e767f1d2a56p-10, -0x1.17b744b0f711dp-10, -0x1.0ecdc6d0a68ccp-10, -0x1.0628f0f5fc91bp-10, -0x1.fb8da51f25c86p-11, -0x1.eb4b0f247b325p-11, -0x1.db86706dc1a6ap-11, -0x1.cc3c31727cd89p-11, -0x1.bd68d22f57c68p-11, -0x1.af08e9a759ef2p-11, -0x1.a119256743504p-11, -0x1.9396490a711cep-11, -0x1.867d2dc1c5a95p-11, -0x1.79cac1dc3b0e8p-11, -0x1.6d7c08514aa0cp-11, -0x1.618e184d276cp-11, -0x1.55fe1cbe80473p-11, -0x1.4ac953e633532p-11, -0x1.3fed0ee87aa72p-11, -0x1.3566b16012118p-11, -0x1.2b33b0f2cd76cp-11, -0x1.215194e7eb04fp-11, -0x1.17bdf5c01753ap-11, -0x1.0e767ccf0bca5p-11, -0x1.0578e3d6e70e7p-11, -0x1.f985e94a00d7cp-12, -0x1.e8a5116107ce5p-12, -0x1.d84b1175386a1p-12, -0x1.c873d8e094abfp-12, -0x1.b91b741b86ddfp-12, -0x1.aa3e0c0722e2cp-12, -0x1.9bd7e53a6e979p-12, -0x1.8de55f52dfaaap-12, -0x1.8062f44861c4ap-12, -0x1.734d37c4396e1p-12, -0x1.66a0d67b69e04p-12, -0x1.5a5a958c13f17p-12, -0x1.4e7751de353f1p-12, -0x1.42f3ff879e269p-12, -0x1.37cda932e80eap-12, -0x1.2d016f89c6869p-12, -0x1.228c88a27cbd8p-12, -0x1.186c3f703a119p-12, -0x1.0e9df336ee47cp-12, -0x1.051f1701e5c94p-12, -0x1.f7da623b4a7a6p-13, -0x1.e60bb529505b8p-13, -0x1.d4cd7d5e94a4ap-13, -0x1.c41b34ec7ad93p-13, -0x1.b3f0787141609p-13, -0x1.a4490628dab0ep-13, -0x1.9520bd0349e6fp-13, -0x1.86739bc16b2e9p-13, -0x1.783dc016c5195p-13, -0x1.6a7b65d0b95b6p-13, -0x1.5d28e6031321p-13, -0x1.5042b639d8dfp-13, -0x1.43c567b0245cbp-13, -0x1.37ada68c194a9p-13, -0x1.2bf8391f39a3ep-13, -0x1.20a1ff2c93f61p-13, -0x1.15a7f1328eb1ep-13, -0x1.0b071fb9d2095p-13, -0x1.00bcb2a86aa9fp-13, -0x1.ed75f9f649f9bp-14, -0x1.da232c91efb4ep-14, -0x1.c76dbe2e97053p-14, -0x1.b550a315cb1a3p-14, -0x1.a3c6f88474fe7p-14, -0x1.92cc0381f7392p-14, -0x1.825b2fbd10f56p-14, -0x1.72700e7083cabp-14, -0x1.6306554ddc5fbp-14, -0x1.5419dd6f14c14p-14, -0x1.45a6a24ef8d36p-14, -0x1.37a8c0c6a5865p-14, -0x1.2a1c761365c68p-14, -0x1.1cfe1ee16c665p-14, -0x1.104a365bc6e17p-14, -0x1.03fd5543c1536p-14, -0x1.f028621b11baep-15, -0x1.d91736044ea5ap-15, -0x1.c2c0fecf20301p-15, -0x1.ad1fc95bfaea6p-15, -0x1.982dd5448c2a8p-15, -0x1.83e5934cac8e4p-15, -0x1.7041a3dc36cap-15, -0x1.5d3cd5832d93p-15, -0x1.4ad2238916276p-15, -0x1.38fcb483c85bep-15, -0x1.27b7d8fa22bd4p-15, -0x1.16ff0a0efb18ap-15, -0x1.06cde83369294p-15, -0x1.ee4073cfb9f66p-16, -0x1.cfe3d4fd2d7edp-16, -0x1.b27e11d66647cp-16, -0x1.96078d348ca3cp-16, -0x1.7a78eca02579ap-16, -0x1.5fcb161fd5e8ep-16, -0x1.45f72e16aabeap-16, -0x1.2cf69532179d4p-16, -0x1.14c2e66750288p-16, -0x1.faabe9f8bc001p-17, -0x1.cd53954c42a47p-17, -0x1.a1714b5b8b0bap-17, -0x1.76f9ee4ed4183p-17, -0x1.4de2c2699daabp-17, -0x1.26216ab00afebp-17, -0x1.ff57cb3262ac4p-18, -0x1.b4f113dbf1112p-18, -0x1.6cfc075372a2cp-18, -0x1.2766a209e5a51p-18, -0x1.c83efe399fff4p-19, -0x1.462ba5766c0d8p-19, -0x1.90e592c951a62p-20, -0x1.3bd45969f18fcp-21, 0x1.335da6739a998p-22, 0x1.2f99a16914babp-20, 0x1.054a76dc42a45p-19, 0x1.6effeb05f2bf9p-19, 0x1.d507843665885p-19, 0x1.1bbd5aabee207p-18, 0x1.4b390ad2d913ap-18, 0x1.7902b46b5df1dp-18, 0x1.a525d378f3f6p-18, 0x1.cfad81f733f81p-18, 0x1.f8a47b885253ap-18, 0x1.100a908114c26p-17, 0x1.2304bdefb6b3ep-17, 0x1.3545a0ca154f5p-17, 0x1.46d1eb5a2a37p-17, 0x1.57ae2912a545ep-17, 0x1.67dec0040acf4p-17, 0x1.7767f2518f002p-17, 0x1.864ddf9532b0dp-17, 0x1.94948639eb63fp-17, 0x1.a23fc4c2939cap-17, 0x1.af535b0eda27dp-17, 0x1.bbd2eb8e13c57p-17, 0x1.c7c1fc6813186p-17, 0x1.d323f89c2f388p-17, 0x1.ddfc31153bd87p-17, 0x1.e84dddb3e27d9p-17, 0x1.f21c1e4c9d822p-17, 0x1.fb69fba42102ap-17, 0x1.021d342a03f2bp-16, 0x1.064820da5988dp-16, 0x1.0a37285b762edp-16, 0x1.0deba55bd7589p-16, 0x1.1166e925b4203p-16, 0x1.14aa3bfe6531bp-16, 0x1.17b6dd8759c0cp-16, 0x1.1a8e0515ce1eep-16, 0x1.1d30e209b2cb3p-16, 0x1.1fa09c208699cp-16, 0x1.21de53c50edap-16, 0x1.23eb225b51d9p-16, 0x1.25c81a8a06b44p-16, 0x1.27764880a3c48p-16, 0x1.28f6b23ac133bp-16, 0x1.2a4a57bea3777p-16, 0x1.2b72336058021p-16, 0x1.2c6f39f560df7p-16, 0x1.2d425b13a5815p-16, 0x1.2dec8140cf28ap-16, 0x1.2e6e922cfd3a6p-16, 0x1.2ec96ee047853p-16, 0x1.2efdf3e9fa3d9p-16, 0x1.2f0cf98ed7371p-16, 0x1.2ef753f386044p-16, 0x1.2ebdd345616e7p-16, 0x1.2e6143e2a8906p-16, 0x1.2de26e7e79f5ap-16, 0x1.2d421845769ebp-16, 0x1.2c8102ff08a6fp-16, 0x1.2b9fed2db9f76p-16, 0x1.2a9f922ee0322p-16, 0x1.2980aa561f9afp-16, 0x1.2843eb0aa13adp-16, 0x1.26ea06e091212p-16, 0x1.2573adb2979a5p-16, 0x1.23e18cb9b863ep-16, 0x1.22344ea28dfadp-16, 0x1.206c9ba4a88c2p-16, 0x1.1e8b1995ae45ap-16, 0x1.1c906bfc25e67p-16, 0x1.1a7d3420f7493p-16, 0x1.185211251f088p-16, 0x1.160fa00a3f351p-16, 0x1.13b67bc8172bp-16, 0x1.11473d55f2381p-16, 0x1.0ec27bbd06cedp-16, 0x1.0c28cc221ed24p-16, 0x1.097ac1d2dffbdp-16, 0x1.06b8ee4e4a8ep-16, 0x1.03e3e15365b14p-16, 0x1.00fc28e84a555p-16, 0x1.fc04a2c7815c5p-17, 0x1.f5edcaeddc86fp-17, 0x1.efb4dc67ae61fp-17, 0x1.e95ae62bf4c85p-17, 0x1.e2e0f410c376ap-17, 0x1.dc480ed9e427cp-17, 0x1.d5913c4534cacp-17, 0x1.cebd7f13c069bp-17, 0x1.c7cdd71535592p-17, 0x1.c0c341318596ap-17, 0x1.b99eb76f956e8p-17, 0x1.b261310545536p-17, 0x1.ab0ba252abc56p-17, 0x1.a39efcf15b2a5p-17, 0x1.9c1c2fb7afc2bp-17, 0x1.948426c08d3fp-17, 0x1.8cd7cb6de180bp-17, 0x1.8518046fcc4e9p-17, 0x1.7d45b5c553797p-17, 0x1.7561c0c5564aap-17, 0x1.6d6d041e8aa25p-17, }}, 
      {{0x1.a32e15816ea55p-1, 0x1.c369de104c506p-1, 0x1.ed5edc5a2fa08p-1, 0x1.0d63982d9601p+0, 0x1.23b9335fbb9fbp+0, 0x1.38584b7b5a214p+0, 0x1.4a72bd10af9ddp+0, 0x1.599c40a3b1ab6p+0, 0x1.65ad51a49cf06p+0, 0x1.6ead9491cbc23p+0, 0x1.74c3c1745161bp+0, 0x1.7829e80c0add8p+0, 0x1.7925119749ffp+0, 0x1.77ff0eb8d2394p+0, 0x1.750276be82ceep+0, 0x1.7077a78493993p+0, 0x1.6aa2fc4b7e8bep+0, 0x1.63c3b42b1720ep+0, 0x1.5c135335a6535p+0, 0x1.53c5791d787c5p+0, 0x1.4b07bf359b74bp+0, 0x1.42024883d2b5p+0, 0x1.38d79e877873ep+0, 0x1.2fa583ace0afcp+0, 0x1.2685439f71b4dp+0, 0x1.1d8ba503994edp+0, 0x1.14c9f47824c32p+0, 0x1.0c4e5e7d7200fp+0, 0x1.0423e3f2d395p+0, 0x1.f8a5fcba56f9ep-1, 0x1.e9c3e3e3ff303p-1, 0x1.dbaa158dea19fp-1, 0x1.ce5dbc5588f5fp-1, 0x1.c1e11fb76e8bfp-1, 0x1.b63412fe35d53p-1, 0x1.ab545745480ffp-1, 0x1.a13df3e33dbd1p-1, 0x1.97eb80597dd7fp-1, 0x1.8f5669bcdf613p-1, 0x1.877732cb1652dp-1, 0x1.8045a71f1879ap-1, 0x1.79b90729443e8p-1, 0x1.73c833f9e639p-1, 0x1.6e69d6e850dd7p-1, 0x1.69948059d8b45p-1, 0x1.653ec0153a5ep-1, 0x1.615f3a7098de7p-1, 0x1.5decb9cc5e3ebp-1, 0x1.5ade3bd2c3538p-1, 0x1.582afcfb201b1p-1, 0x1.55ca84b3694f8p-1, 0x1.53b4b0f6fb7e2p-1, 0x1.51e1bdea8c314p-1, 0x1.504a47e64b96dp-1, 0x1.4ee74dd335b5cp-1, 0x1.4db212daed0adp-1, 0x1.4ca452b895234p-1, 0x1.4bb8318672595p-1, 0x1.4ae8385f0f7b9p-1, 0x1.4a2f4fccad25p-1, 0x1.4988bb86717e1p-1, 0x1.48f018348e33bp-1, 0x1.48615a77dbf83p-1, 0x1.47d8cde47dee9p-1, 0x1.475312ee452c9p-1, 0x1.46cd1b76a07cdp-1, 0x1.4644264884de1p-1, 0x1.45b5ba1744e3bp-1, 0x1.451fa087eb792p-1, 0x1.447fe19067fcap-1, 0x1.43d4bf3b787edp-1, 0x1.431cb1c04e54ap-1, 0x1.425663dbe61b7p-1, 0x1.4180af68c6c45p-1, 0x1.409a9a3cc075ap-1, 0x1.3fa353504efe8p-1, 0x1.3e9a30235707bp-1, 0x1.3d7eaa43c89dfp-1, 0x1.3c505cd8385cep-1, 0x1.3b0f021c883efp-1, 0x1.39ba70d16f38cp-1, 0x1.385299adc3d93p-1, 0x1.36d784e490c48p-1, 0x1.35494fcf65fccp-1, 0x1.33a82ac715af1p-1, 0x1.31f4573181b0dp-1, 0x1.302e25c7e2777p-1, 0x1.2e55f513355d8p-1, 0x1.2c6c301422d76p-1, 0x1.2a714d04f4468p-1, 0x1.2865cc239a054p-1, 0x1.264a3678ca2d9p-1, 0x1.241f1c9c38fc6p-1, 0x1.21e5157ee5ac3p-1, 0x1.1f9cbd4719f62p-1, 0x1.1d46b4458437ap-1, 0x1.1ae39e0317948p-1, 0x1.18742060debbep-1, 0x1.15f8e2c11c388p-1, 0x1.13728d34aa63bp-1, 0x1.10e1c7ae3e564p-1, 0x1.0e47394350e08p-1, 0x1.0ba38784da473p-1, 0x1.08f755f7c3427p-1, 0x1.064345af28dbbp-1, 0x1.0387f504587a4p-1, 0x1.00c5ff6437a43p-1, 0x1.fbfbfa528a8b8p-2, 0x1.f66106f7d1ad4p-2, 0x1.f0bc486d790a7p-2, 0x1.eb0ddc18d9b47p-2, 0x1.e558a9db34cdp-2, 0x1.df9cfa7f5fd6ap-2, 0x1.d9dbd8e861577p-2, 0x1.d416481305bdp-2, 0x1.ce4d42dddc688p-2, 0x1.c881bbe9a5d55p-2, 0x1.c2b49d8f21cc1p-2, 0x1.bce6c9e4bc7fap-2, 0x1.b7191acdaf086p-2, 0x1.b14c620c8feb7p-2, 0x1.ab816954afc53p-2, 0x1.a5b8f257d190bp-2, 0x1.9ff3b6d01ee28p-2, 0x1.9a326888684a2p-2, 0x1.9475b1662d571p-2, 0x1.8ebe337970845p-2, 0x1.890c8915e10a2p-2, 0x1.836144f7b9838p-2, 0x1.7dbcf275140bp-2, 0x1.782015bace397p-2, 0x1.728b2c12cbd6ep-2, 0x1.6cfeac3064718p-2, 0x1.677b067f747eep-2, 0x1.6200a57280fe4p-2, 0x1.5c8fedccb48ap-2, 0x1.57293ee51e9d6p-2, 0x1.51ccf2e151468p-2, 0x1.4c7b5ee650fc3p-2, 0x1.4734d33f95f14p-2, 0x1.41f99b7cbe1a5p-2, 0x1.3cc9fe87347a2p-2, 0x1.37a63eb1ba48ep-2, 0x1.328e99c418b44p-2, 0x1.2d8349057489cp-2, 0x1.28848147ab15p-2, 0x1.239272f5d75a8p-2, 0x1.1ead4a27a25ffp-2, 0x1.19d52eba75c9ep-2, 0x1.150a4470f584ep-2, 0x1.104cab189aa7bp-2, 0x1.0b9c7eb4c4797p-2, 0x1.06f9d7ae2b685p-2, 0x1.0264cb056d68dp-2, 0x1.fbbad50e93907p-3, 0x1.f2c78a02568e5p-3, 0x1.e9efcce95202cp-3, 0x1.e133b091bec0cp-3, 0x1.d89342f156804p-3, 0x1.d00e8d7a0fe9dp-3, 0x1.c7a5956634a7fp-3, 0x1.bf585bfb4d8d8p-3, 0x1.b726dec3f2e47p-3, 0x1.af1117c0eb527p-3, 0x1.a716fd928f9f1p-3, 0x1.9f38839b7cff6p-3, 0x1.97759a1e0bbc2p-3, 0x1.8fce2e55e6863p-3, 0x1.88422a8f2b1d5p-3, 0x1.80d1763c4f2e8p-3, 0x1.797bf60bdcbd2p-3, 0x1.72418bfec6b71p-3, 0x1.6b22177fed00ep-3, 0x1.641d757d111p-3, 0x1.5d3380815657cp-3, 0x1.566410d12a792p-3, 0x1.4faefc8763124p-3, 0x1.491417b3322d2p-3, 0x1.429334768c272p-3, 0x1.3c2c2324a8dcdp-3, 0x1.35deb2602332fp-3, 0x1.2faaaf386d18ep-3, 0x1.298fe54641d23p-3, 0x1.238e1ec6d2cacp-3, 0x1.1da524b58e6b3p-3, 0x1.17d4bee4508bbp-3, 0x1.121cb4120470dp-3, 0x1.0c7cc9ffb2291p-3, 0x1.06f4c5840aa5ep-3, 0x1.01846a9d95beep-3, 0x1.f856f9074393ep-4, 0x1.edd37b6c4f999p-4, 0x1.e37de0198b68bp-4, 0x1.d955a98a1d915p-4, 0x1.cf5a59208ef26p-4, 0x1.c58b6f4187d86p-4, 0x1.bbe86b6df7936p-4, 0x1.b270cc5ce5d96p-4, 0x1.a924101506961p-4, 0x1.a001b40617317p-4, 0x1.970935220d0bp-4, 0x1.8e3a0ff60c5d3p-4, 0x1.8593c0c2f4586p-4, 0x1.7d15c395766dcp-4, 0x1.74bf945d82f55p-4, 0x1.6c90af04e47bp-4, 0x1.64888f84e21dfp-4, 0x1.5ca6b1fac54b9p-4, 0x1.54ea92bb2953fp-4, 0x1.4d53ae63fe807p-4, 0x1.45e181ed3e088p-4, 0x1.3e938ab84d7cfp-4, 0x1.3769469e1e538p-4, 0x1.306233fc1dce9p-4, 0x1.297dd1c00ffe5p-4, 0x1.22bb9f72f1d39p-4, 0x1.1c1b1d4304c04p-4, 0x1.159bcc0d20644p-4, 0x1.0f3d2d656c0ebp-4, 0x1.08fec39f955cp-4, 0x1.02e011d69cec7p-4, 0x1.f9c137e8953b5p-5, 0x1.edfebcd20e543p-5, 0x1.e279f7b46d2f1p-5, 0x1.d730cd40a395dp-5, 0x1.cc224c2d8838dp-5, 0x1.c14d8515a87a1p-5, 0x1.b6b18a815ef5bp-5, 0x1.ac4d70f0937c9p-5, 0x1.a2204ee433a24p-5, 0x1.98293ce76c50cp-5, 0x1.8e675598a1e9ap-5, 0x1.84d9b5b22f68dp-5, 0x1.7b7f7c12df81ep-5, 0x1.7257c9c61fbap-5, 0x1.6961c20be4b12p-5, 0x1.609c8a6033a4ap-5, 0x1.58074a824c991p-5, 0x1.4fa12c7b6c03ap-5, 0x1.47695ca516961p-5, 0x1.3f5f09aeef86ap-5, 0x1.378164a40bf4ep-5, 0x1.2fcfa0efc36bdp-5, 0x1.2848f461f6d23p-5, 0x1.20ec9732cd13dp-5, 0x1.19b9c405e4773p-5, 0x1.12afb7ecf7ea1p-5, 0x1.0bcdb269fcd7fp-5, 0x1.0512f570ba3fep-5, 0x1.fcfd8acfbbe99p-6, 0x1.f020d2532edabp-6, 0x1.e38e54077261bp-6, 0x1.d744a76edbcb5p-6, 0x1.cb4268f104207p-6, 0x1.bf8639d89803p-6, 0x1.b40ec050779f8p-6, 0x1.a8daa76029835p-6, 0x1.9de89ee7ba5ffp-6, 0x1.93375b9b0a718p-6, 0x1.88c596fca5606p-6, 0x1.7e920f581b792p-6, 0x1.749b87bbf6f83p-6, 0x1.6ae0c7f3568eap-6, 0x1.61609c7f2346ap-6, 0x1.5819d68f0225ep-6, 0x1.4f0b4bf9f4e34p-6, 0x1.4633d736b5a6cp-6, 0x1.3d925753d6f8ep-6, 0x1.3525afef9e07dp-6, 0x1.2cecc92fac5edp-6, 0x1.24e68fb868e02p-6, 0x1.1d11f4a438e57p-6, 0x1.156ded7a81c88p-6, 0x1.0df9742678762p-6, 0x1.06b386edc0729p-6, 0x1.ff3650cda95ebp-7, 0x1.f15ebede94c22p-7, 0x1.e3de6e43b7137p-7, 0x1.d6b37d98959e8p-7, 0x1.c9dc13ca31c09p-7, 0x1.bd56600220a95p-7, 0x1.b120999155b3ep-7, 0x1.a538ffda9415ap-7, 0x1.999dda3ca8418p-7, 0x1.8e4d77fc53e3bp-7, 0x1.8346302df4e6dp-7, 0x1.7886619efb377p-7, 0x1.6e0c72bf27a3fp-7, 0x1.63d6d18996aa3p-7, 0x1.59e3f36d9cd35p-7, 0x1.503255378b22ep-7, 0x1.46c07af9443c1p-7, 0x1.3d8ceff2bf839p-7, 0x1.3496467a752c4p-7, 0x1.2bdb17e5b8acep-7, 0x1.235a0471083aep-7, 0x1.1b11b32855f06p-7, 0x1.1300d1cf4ed56p-7, 0x1.0b2614c9a3e1ep-7, 0x1.03803703587c6p-7, 0x1.f81bf3b23996fp-8, 0x1.e99c4a0164e27p-8, 0x1.db7f0ce2cbedap-8, 0x1.cdc1e49931a78p-8, 0x1.c062858cc5eb2p-8, 0x1.b35eb01c9cea9p-8, 0x1.a6b4307057db3p-8, 0x1.9a60de4a100fep-8, 0x1.8e629cd878ae7p-8, 0x1.82b75a894bd46p-8, 0x1.775d10dbf5f06p-8, 0x1.6c51c4348a92ep-8, 0x1.619383af0c479p-8, 0x1.572068f2f4e44p-8, 0x1.4cf698071d8aep-8, 0x1.43143f25ed528p-8, 0x1.39779691e09a4p-8, 0x1.301ee06a69966p-8, 0x1.2708688126b6dp-8, 0x1.1e32842f73f8fp-8, 0x1.159b922c5ba41p-8, 0x1.0d41fa62de905p-8, 0x1.05242dc8a6431p-8, 0x1.fa814c6a1f6afp-9, 0x1.eb2bcc713b60bp-9, 0x1.dc44f1e9a609ep-9, 0x1.cdc9e3e8dc544p-9, 0x1.bfb7da081f0e1p-9, 0x1.b20c1c1694473p-9, 0x1.a4c401cc3fbe3p-9, 0x1.97dcf27dce68bp-9, 0x1.8b5464d14b9b5p-9, 0x1.7f27de73a31bdp-9, 0x1.7354f3cf1664ap-9, 0x1.67d947c28744ap-9, 0x1.5cb28b59af7ecp-9, 0x1.51de7d8643ba4p-9, 0x1.475aead9f3afdp-9, 0x1.3d25ad416179cp-9, 0x1.333cabc00042fp-9, 0x1.299dda2ce6b83p-9, 0x1.204738f08457ap-9, 0x1.1736d4c35a457p-9, 0x1.0e6ac66d8d6cdp-9, 0x1.05e1328786488p-9, 0x1.fb309276caecbp-10, 0x1.eb1c8c0f0e256p-10, 0x1.db82df03bd9fdp-10, 0x1.cc602e38b4c71p-10, 0x1.bdb131d456a63p-10, 0x1.af72b6cc0483ep-10, 0x1.a1a19e728aa55p-10, 0x1.943ade08466b4p-10, 0x1.873b7e4d5d9b7p-10, 0x1.7aa09b159f40fp-10, 0x1.6e6762de65f5ap-10, 0x1.628d16662cc4cp-10, 0x1.570f084613728p-10, 0x1.4bea9c8d2ac14p-10, 0x1.411d485d7c513p-10, 0x1.36a4918aefe23p-10, 0x1.2c7e0e3be7aecp-10, 0x1.22a7648ba3a4ep-10, 0x1.191e4a2e4bf4ep-10, 0x1.0fe08416cedffp-10, 0x1.06ebe61e573acp-10, 0x1.fc7ca55af0b25p-11, 0x1.ebab74ce02671p-11, 0x1.db6037a8d2c14p-11, 0x1.cb970627c8fd8p-11, 0x1.bc4c131000091p-11, 0x1.ad7bab11b6043p-11, 0x1.9f22342dc6375p-11, 0x1.913c2d1e2f0dfp-11, 0x1.83c62cc1a9f29p-11, 0x1.76bce189fc8c4p-11, 0x1.6a1d10ed71eedp-11, 0x1.5de396db1ae8ap-11, 0x1.520d6531c3a52p-11, 0x1.46978339ca52fp-11, 0x1.3b7f0d2191728p-11, 0x1.30c1337cb2bb2p-11, 0x1.265b3ac5d1f04p-11, 0x1.1c4a7ae2f299fp-11, 0x1.128c5eac4db3cp-11, 0x1.091e6375bebcep-11, 0x1.fffc31351ac7dp-12, 0x1.ee523e172a50ap-12, 0x1.dd3a51bfa7735p-12, 0x1.ccaff1ce6f25fp-12, 0x1.bcaec47f68748p-12, 0x1.ad328fd91032p-12, 0x1.9e3738df9064ep-12, 0x1.8fb8c2cbc14c7p-12, 0x1.81b34e469d5d5p-12, 0x1.742318a8b6b4ep-12, 0x1.67047b3dafd2fp-12, 0x1.5a53ea8bc7cf2p-12, 0x1.4e0df59f0df3bp-12, 0x1.422f4558ad55dp-12, 0x1.36b49bc1acef3p-12, 0x1.2b9ad361abc84p-12, 0x1.20dede991d5a6p-12, 0x1.167dc6feee4a7p-12, 0x1.0c74acc1e9c19p-12, 0x1.02c0c60d74a85p-12, 0x1.f2bebce381fa2p-13, 0x1.e09bac9e76428p-13, 0x1.cf13448ac7188p-13, 0x1.be209549b1187p-13, 0x1.adbed5c96583p-13, 0x1.9de9623575784p-13, 0x1.8e9bbaee2b9dcp-13, 0x1.7fd18385e6654p-13, 0x1.718681c417151p-13, 0x1.63b69cae97024p-13, 0x1.565ddb98bd786p-13, 0x1.497865384ea0ap-13, 0x1.3d027ec00c75bp-13, 0x1.30f88afff6623p-13, 0x1.2557098b2a051p-13, 0x1.1a1a95e2b7471p-13, 0x1.0f3fe6a6b6d0ap-13, 0x1.04c3cccbfe3f6p-13, 0x1.f54665adbff97p-14, 0x1.e1b638375951cp-14, 0x1.ced148074fdd7p-14, 0x1.bc91faae52cdbp-14, 0x1.aaf2e318ee4ap-14, 0x1.99eec036dc3b7p-14, 0x1.89807bab4fe83p-14, 0x1.79a32886befc3p-14, 0x1.6a52020995e4p-14, 0x1.5b886a6ee2206p-14, 0x1.4d41e9c01ab99p-14, 0x1.3f7a2cb1ce9e9p-14, 0x1.322d0386f9328p-14, 0x1.255660fd902dcp-14, 0x1.18f2594245cfcp-14, 0x1.0cfd20ebf3cp-14, 0x1.01730bfe85e9dp-14, 0x1.eca119e908fc7p-15, 0x1.d72467a184d2cp-15, 0x1.c2695a6b85742p-15, 0x1.ae6983087a8dp-15, 0x1.9b1ea8003499p-15, 0x1.886d1adf0dc72p-15, 0x1.7674934c9559cp-15, 0x1.652013c8792b3p-15, 0x1.546a2114e4183p-15, 0x1.444d6e56dfd92p-15, 0x1.34c4dba323c7p-15, 0x1.25cb749872a37p-15, 0x1.175c6f015acf8p-15, 0x1.09732980ee984p-15, 0x1.f816549088b1ep-16, 0x1.de403bac084e8p-16, 0x1.c55bab7b5ccafp-16, 0x1.ad608ef319308p-16, 0x1.9647168845235p-16, 0x1.8007b5f35c853p-16, 0x1.6a9b220595cb6p-16, 0x1.55fa4e8b09af1p-16, 0x1.421e6c429727ep-16, 0x1.2f00e6de50e7fp-16, 0x1.1c9b63175a6b6p-16, 0x1.0ae7bccbac04dp-16, 0x1.f3c00a6157c98p-17, 0x1.d2fd021abd0c8p-17, 0x1.b37b4e0937cedp-17, 0x1.95303bdc7f536p-17, 0x1.7811766fc5ccp-17, 0x1.5c1502b12bc86p-17, 0x1.41313c925cd45p-17, 0x1.275cd422e32aap-17, 0x1.0e8ecab345302p-17, 0x1.ed7ce02618242p-18, 0x1.bfc6bfc8aa36p-18, 0x1.93eafe0f226a8p-18, 0x1.69d9f230aad96p-18, 0x1.41847bfe02dc7p-18, 0x1.1adbff2eeecap-18, 0x1.eba4bda81ced3p-19, 0x1.a4b3f1dd005d1p-19, 0x1.60cb444aae656p-19, 0x1.1fd14359d8f19p-19, 0x1.c35ab5069cd8ap-20, 0x1.4c8f952b1d957p-20, 0x1.b62688db16729p-21, 0x1.bae5b56998769p-22, 0x1.d5ce68b9f8996p-26, -0x1.6cf2ed05f1501p-22, -0x1.7254e2be742e8p-21, -0x1.129890cff93b8p-20, -0x1.67ac76052c18p-20, -0x1.b88a3d8cf865p-20, -0x1.02aa67be1532ap-19, -0x1.2716f54d2e4bep-19, -0x1.499b1770dd5d9p-19, -0x1.6a4693f3afb19p-19, -0x1.8928ab56ee81dp-19, -0x1.a6501db9f200cp-19, -0x1.c1cb2f5dcb624p-19, -0x1.dba7ad30136d2p-19, -0x1.f3f2f114165eap-19, -0x1.055cf30e9a3adp-18, -0x1.1004863df68cbp-18, -0x1.19f63eb5f012fp-18, -0x1.2337f776f8836p-18, -0x1.2bcf5bb245d21p-18, -0x1.33c1e88502511p-18, -0x1.3b14eea75358dp-18, -0x1.41cd94035bfc7p-18, -0x1.47f0d54f6fb95p-18, -0x1.4d83878084e3p-18, -0x1.528a59447076bp-18, -0x1.5709d461dca65p-18, -0x1.5b065f1126195p-18, -0x1.5e843d48e6c8dp-18, -0x1.618791f6639eep-18, -0x1.6414602c0fa49p-18, -0x1.662e8c5551cc2p-18, -0x1.67d9dd475980fp-18, -0x1.6919fd55b67bp-18, -0x1.69f27b5503f24p-18, -0x1.6a66cb9a1d38cp-18, -0x1.6a7a48efcff04p-18, -0x1.6a3035784fddep-18, -0x1.698bbb9308361p-18, -0x1.688feeb12e5fp-18, -0x1.673fcc280e794p-18, -0x1.659e3bf5cf179p-18, -0x1.63ae11812a8dfp-18, -0x1.61720c51a2dfep-18, -0x1.5eecd8bfae99dp-18, -0x1.5c21109e5c328p-18, -0x1.59113bdde682fp-18, -0x1.55bfd12927329p-18, -0x1.522f36798752cp-18, -0x1.4e61c1a91be3ep-18, -0x1.4a59b8fc0e559p-18, -0x1.461953a33585p-18, -0x1.41a2ba42bd83ep-18, -0x1.3cf80764e1fb4p-18, -0x1.381b47ed9d441p-18, -0x1.330e7b99c3981p-18, -0x1.2dd3954fbe0d8p-18, -0x1.286c7ba452c03p-18, -0x1.22db092c3adb6p-18, -0x1.1d210ce1b7524p-18, -0x1.17404a7d215d5p-18, -0x1.113a7acb39a45p-18, -0x1.0b114c0510b1dp-18, -0x1.04c6621ffe834p-18, -0x1.fcb6ae2d112c8p-19, -0x1.efa3766c5af3p-19, -0x1.e2562ac894f68p-19, -0x1.d4d1c6c440784p-19, -0x1.c7193421cda4bp-19, -0x1.b92f4b564461dp-19, -0x1.ab16d4096f4d3p-19, -0x1.9cd28583fb8c2p-19, -0x1.8e65071ffccf9p-19, -0x1.7fd0f0ac5b873p-19, -0x1.7118cae3f0327p-19, -0x1.623f0fb5918b2p-19, -0x1.53462ab2b2948p-19, -0x1.44307961ae846p-19, -0x1.35004b9577913p-19, -0x1.25b7e3c36ec86p-19, -0x1.16597749b6ecfp-19, -0x1.06e72ec4292d6p-19, -0x1.eec64c987ff4dp-20, -0x1.cf9edb8f7ec16p-20, -0x1.b05c124fa0b1cp-20, -0x1.9101e154b109p-20, -0x1.7194221f3e68cp-20, -0x1.521697cf64ba7p-20, -0x1.328cef7d024e3p-20, -0x1.12fac0aee7ec5p-20, -0x1.e6c71b7948d11p-21, -0x1.a79588886edb3p-21, -0x1.68677aefbe088p-21, -0x1.29437d4953d07p-21, -0x1.d45fe545f96a1p-22, -0x1.56662f645d238p-22, -0x1.b14c0c50caf6p-23, -0x1.6cad3155f7c94p-24, 0x1.0ff324c998ca1p-25, 0x1.3d9776ae3a39ep-23, 0x1.1b31ad5642a07p-22, 0x1.9725760bc4baap-22, 0x1.094e4ac50caddp-21, 0x1.46c667cd57fb9p-21, 0x1.83f61545bc5f6p-21, 0x1.c0d877303d0cp-21, 0x1.fd68d1def4c16p-21, 0x1.1cd144be93b96p-20, 0x1.3ac090caffb3dp-20, 0x1.58801e4f212eap-20, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.b25014561ea47p-1, -0x1.b23688ed2f23bp-1, -0x1.b20b0029560b2p-1, -0x1.b1cc18f67935p-1, -0x1.b177ffd5fd912p-1, -0x1.b10c8356cc74p-1, -0x1.b08729500a32cp-1, -0x1.afe543b0daafcp-1, -0x1.af24041eb703fp-1, -0x1.ae408de7873fbp-1, -0x1.ad3806038e6e2p-1, -0x1.ac07a10a7937dp-1, -0x1.aaacaf1a6797ep-1, -0x1.a924a5c29b0cdp-1, -0x1.a76d280fc4f69p-1, -0x1.a5840cdf861e1p-1, -0x1.a36763a4bb406p-1, -0x1.a11577c7be101p-1, -0x1.9e8cd2cd7f815p-1, -0x1.9bcc3d6edbd85p-1, -0x1.98d2bfc73576bp-1, -0x1.959fa0be843ecp-1, -0x1.923264cfe3e0ep-1, -0x1.8e8acc4a6e5c9p-1, -0x1.8aa8d126ec268p-1, -0x1.868ca489c55f3p-1, -0x1.8236ac05a3cb7p-1, -0x1.7da77eb0735e8p-1, -0x1.78dfe219dd325p-1, -0x1.73e0c73015923p-1, -0x1.6eab471db6917p-1, -0x1.6940a02994a1bp-1, -0x1.63a2329fd9395p-1, -0x1.5dd17dca417ap-1, -0x1.57d01cfc2eddap-1, -0x1.519fc4b6242f3p-1, -0x1.4b423fe36970ep-1, -0x1.44b96d33d03dbp-1, -0x1.3e073c92ed7f3p-1, -0x1.372dacbda0316p-1, -0x1.302ec8f6454ddp-1, -0x1.290ca6d7a9cbep-1, -0x1.21c964467e054p-1, -0x1.1a672580d9af6p-1, -0x1.12e8134b308b6p-1, -0x1.0b4e5939fc388p-1, -0x1.039c241742565p-1, -0x1.f7a740c61919fp-2, -0x1.e7edf1dbc8349p-2, -0x1.d810ab18a39dbp-2, -0x1.c813b3c4ccf09p-2, -0x1.b7fb488c9c595p-2, -0x1.a7cb9971e6ad3p-2, -0x1.9788c7e76c506p-2, -0x1.8736e5149268dp-2, -0x1.76d9f03f84569p-2, -0x1.6675d55bf1d9cp-2, -0x1.560e6bbca94b9p-2, -0x1.45a774e657dfap-2, -0x1.35449b81cbe97p-2, -0x1.24e9726c2417p-2, -0x1.149973e35bd84p-2, -0x1.045800cdc0dfdp-2, -0x1.e850c035b8b1ep-3, -0x1.c81b7c78e459ap-3, -0x1.a816596c7cd4p-3, -0x1.884743865957ap-3, -0x1.68b3f01d88f98p-3, -0x1.4961dd0346506p-3, -0x1.2a56503fa7e8cp-3, -0x1.0b9657efe1a04p-3, -0x1.da4d9487eb1a1p-4, -0x1.9e188b337ec9dp-4, -0x1.62966166e54f5p-4, -0x1.27cf760f23e33p-4, -0x1.db9774a29145bp-5, -0x1.6925650b6d1a4p-5, -0x1.f0addd702f585p-6, -0x1.1272dc91adbfp-6, -0x1.bd96e763780eep-9, 0x1.3ef553638ca23p-7, 0x1.72ffd67fe185p-6, 0x1.21642c598b148p-5, 0x1.8760b40d5ab64p-5, 0x1.eb6cdeb3fb602p-5, 0x1.26c0628ab901ep-4, 0x1.56ca9c2342301p-4, 0x1.85d1deb48f8ddp-4, 0x1.b3d344a9d1c65p-4, 0x1.e0cc3e116c948p-4, 0x1.065d472e7ffb6p-3, 0x1.1bce250d0aa1ep-3, 0x1.30b7ea528f90dp-3, 0x1.4519eeec0c423p-3, 0x1.58f3afdb1cp-3, 0x1.6c44ce0af92bdp-3, 0x1.7f0d0d25463a4p-3, 0x1.914c526721731p-3, 0x1.a302a37712d5bp-3, 0x1.b430253c459abp-3, 0x1.c4d51ab78b1afp-3, 0x1.d4f1e3de861bbp-3, 0x1.e486fc7962c5fp-3, 0x1.f394fb037cedp-3, 0x1.010e47c79c9f8p-2, 0x1.080f4156b58c4p-2, 0x1.0ecdda2c3f32bp-2, 0x1.154a8d71d7488p-2, 0x1.1b85e0f73de3ep-2, 0x1.218064ae4af9fp-2, 0x1.273ab2293447cp-2, 0x1.2cb56c1b353e4p-2, 0x1.31f13ddbb2017p-2, 0x1.36eedaebdc14dp-2, 0x1.3baefe7eeb9d9p-2, 0x1.40326b04f83a3p-2, 0x1.4479e9b878783p-2, 0x1.48864a2e70b3cp-2, 0x1.4c5861e95c60ap-2, 0x1.4ff10beecb23p-2, 0x1.5351285fc11cfp-2, 0x1.56799c13d60adp-2, 0x1.596b503712bdcp-2, 0x1.5c2731ea90793p-2, 0x1.5eae31e7d63e1p-2, 0x1.61014426f00dfp-2, 0x1.63215f8742cacp-2, 0x1.650f7d7b0e9eap-2, 0x1.66cc99b5a3018p-2, 0x1.6859b1dc3b8fbp-2, 0x1.69b7c539806aep-2, 0x1.6ae7d4739d641p-2, 0x1.6beae144f1b0fp-2, 0x1.6cc1ee374a1a3p-2, 0x1.6d6dfe619a32ap-2, 0x1.6df0152833b6ep-2, 0x1.6e4935ff6cafep-2, 0x1.6e7a6430ab1dp-2, 0x1.6e84a2a1ce3a4p-2, 0x1.6e68f39ee8a1ep-2, 0x1.6e2858a644b09p-2, 0x1.6dc3d236a204cp-2, 0x1.6d3c5f9fa5f15p-2, 0x1.6c92fed47618p-2, 0x1.6bc8ac40679d8p-2, 0x1.6ade629dc67d9p-2, 0x1.69d51ace9948ap-2, 0x1.68adcbb765b1bp-2, 0x1.67696a1bdcda3p-2, 0x1.6608e87d6d99ep-2, 0x1.648d36fbab9c1p-2, 0x1.62f7433680c2fp-2, 0x1.6147f83220e77p-2, 0x1.5f803e3cad0cp-2, 0x1.5da0fad58520cp-2, 0x1.5bab10962ed6bp-2, 0x1.599f5f1cd7ab9p-2, 0x1.577ec2f854b49p-2, 0x1.554a1595a3aeep-2, 0x1.53022d2ed989fp-2, 0x1.50a7dcbb77d39p-2, 0x1.4e3bf3e219a04p-2, 0x1.4bbf3eeb75bddp-2, 0x1.493286b69f512p-2, 0x1.469690ae8630bp-2, 0x1.43ec1ec0a5646p-2, 0x1.4133ef54d7ep-2, 0x1.3e6ebd4649cbep-2, 0x1.3b9d3fdd7bcc8p-2, 0x1.38c02acb4d4b6p-2, 0x1.35d82e250808ap-2, 0x1.32e5f66160352p-2, 0x1.2fea2c565da51p-2, 0x1.2ce575382d39dp-2, 0x1.29d87298c79a5p-2, 0x1.26c3c2686c585p-2, 0x1.23a7fef6e36f7p-2, 0x1.2085bef57fd7dp-2, 0x1.1d5d9579dbb1p-2, 0x1.1a3012013ff39p-2, 0x1.16fdc074b889ap-2, 0x1.13c7292dc72c9p-2, 0x1.108cd0fbabcb2p-2, 0x1.0d4f392943597p-2, 0x1.0a0edf836b02cp-2, 0x1.06cc3e5fec226p-2, 0x1.0387cca4defbep-2, 0x1.0041fdd084334p-2, 0x1.f9f684032059cp-3, 0x1.f3680bffb1e4cp-3, 0x1.ecd9668ada68ap-3, 0x1.e64b600fff79fp-3, 0x1.dfbebe855e7e9p-3, 0x1.d934418037fbfp-3, 0x1.d2aca24993f32p-3, 0x1.cc2893f3894c4p-3, 0x1.c5a8c36f12e03p-3, 0x1.bf2dd7a24d2e9p-3, 0x1.b8b8717f2f38fp-3, 0x1.b2492c1a98b0ap-3, 0x1.abe09cc3c3896p-3, 0x1.a57f531c05983p-3, 0x1.9f25d92ed50b1p-3, 0x1.98d4b38a1420dp-3, 0x1.928c615692889p-3, 0x1.8c4d5c70bd602p-3, 0x1.8618198177a84p-3, 0x1.7fed08171b2f5p-3, 0x1.79cc92be8cd64p-3, 0x1.73b71f1c6894ep-3, 0x1.6dad0e0639cf1p-3, 0x1.67aebb9bbe37dp-3, 0x1.61bc7f6026112p-3, 0x1.5bd6ac53554cep-3, 0x1.55fd910b169a9p-3, 0x1.503177cc44c88p-3, 0x1.4a72a6a3dc64fp-3, 0x1.44c15f7ff924p-3, 0x1.3f1de048b2ba3p-3, 0x1.398862f8daed2p-3, 0x1.34011db69a383p-3, 0x1.2e8842ebd7a98p-3, 0x1.291e015e8499dp-3, 0x1.23c28448aad18p-3, 0x1.1e75f3704c0fp-3, 0x1.1938733f0f6a6p-3, 0x1.140a24d9acbf8p-3, 0x1.0eeb263722716p-3, 0x1.09db9237a771dp-3, 0x1.04db80bb64fdcp-3, 0x1.ffd60d71bb55cp-4, 0x1.f6146ca63d9a5p-4, 0x1.ec723ddf43a19p-4, 0x1.e2ef9a97c21b9p-4, 0x1.d98c972557083p-4, 0x1.d04942e2484cfp-4, 0x1.c725a856e77aep-4, 0x1.be21cd62600c6p-4, 0x1.b53db362d93aep-4, 0x1.ac79575cfec83p-4, 0x1.a3d4b222dd5fap-4, 0x1.9b4fb87a17d7ep-4, 0x1.92ea5b4182858p-4, 0x1.8aa48795fe45cp-4, 0x1.827e26f6bee18p-4, 0x1.7a771f68d96dp-4, 0x1.728f539a2c3aep-4, 0x1.6ac6a303992dap-4, 0x1.631cea0a9454bp-4, 0x1.5b920222059c8p-4, 0x1.5425c1ea7eca6p-4, 0x1.4cd7fd51c4033p-4, 0x1.45a885b1a9ad8p-4, 0x1.3e9729ee4619p-4, 0x1.37a3b69377fa3p-4, 0x1.30cdf5f1c4034p-4, 0x1.2a15b03a87ab2p-4, 0x1.237aab9b84207p-4, 0x1.1cfcac59c2a31p-4, 0x1.169b74ebd1094p-4, 0x1.1056c6135b03cp-4, 0x1.0a2e5ef61e5dbp-4, 0x1.0421fd363e453p-4, 0x1.fc62ba13e8bfep-5, 0x1.f0b872a548da6p-5, 0x1.e5449766a163dp-5, 0x1.da06994ce7dfp-5, 0x1.cefde72681c95p-5, 0x1.c429edc491dc6p-5, 0x1.b98a18231b4c7p-5, 0x1.af1dcf8ff8e77p-5, 0x1.a4e47bd0b357p-5, 0x1.9add834733009p-5, 0x1.91084b1556a96p-5, 0x1.8764373f72bddp-5, 0x1.7df0aacdb93bp-5, 0x1.74ad07ec946fcp-5, 0x1.6b98b00bf5a23p-5, 0x1.62b303fd9ac5fp-5, 0x1.59fb641252a4ap-5, 0x1.5171303643595p-5, 0x1.4913c80c342bep-5, 0x1.40e28b07e669p-5, 0x1.38dcd887773bap-5, 0x1.31020febdc1fep-5, 0x1.295190b0717cep-5, 0x1.21caba81a9d2ep-5, 0x1.1a6ced52dcc9bp-5, 0x1.133789733b668p-5, 0x1.0c29efa1f017ap-5, 0x1.054381216c5ap-5, 0x1.fd073f93d6017p-6, 0x1.efd35c36510dep-6, 0x1.e2ea1e9ab1a1p-6, 0x1.d64a4ec2bd22bp-6, 0x1.c9f2b6608c3c8p-6, 0x1.bde220f41344ep-6, 0x1.b2175be74b865p-6, 0x1.a69136a8fb45ep-6, 0x1.9b4e82c62cb98p-6, 0x1.904e14025af5fp-6, 0x1.858ec06e5bdf5p-6, 0x1.7b0f607e11a95p-6, 0x1.70cecf1ce6042p-6, 0x1.66cbe9c12411fp-6, 0x1.5d05907e252f2p-6, 0x1.537aa6157037p-6, 0x1.4a2a1006bd32cp-6, 0x1.4112b69ef6134p-6, 0x1.383385062d6ccp-6, 0x1.2f8b694ca26c1p-6, 0x1.27195476c8e1ap-6, 0x1.1edc3a886c98p-6, 0x1.16d3128eea583p-6, 0x1.0efcd6aa8a8f2p-6, 0x1.0758841708d87p-6, 0x1.ffca36668e0c3p-7, 0x1.f1433f10709d1p-7, 0x1.e31a2f9e131e8p-7, 0x1.d54d1bed17212p-7, 0x1.c7da1e4fcf77cp-7, 0x1.babf579549ccfp-7, 0x1.adfaef1007dabp-7, 0x1.a18b129b640d5p-7, 0x1.956df69fce994p-7, 0x1.89a1d615c40e6p-7, 0x1.7e24f287aa719p-7, 0x1.72f594129a7ddp-7, 0x1.681209660429cp-7, 0x1.5d78a7c265541p-7, 0x1.5327caf6f7d9fp-7, 0x1.491dd55e733d6p-7, 0x1.3f592fdae8e4p-7, 0x1.35d849d0c000bp-7, 0x1.2c999920e22e5p-7, 0x1.239b9a221a903p-7, 0x1.1adccf99b5d46p-7, 0x1.125bc2b36826bp-7, 0x1.0a1702f884a1p-7, 0x1.020d26468b6c7p-7, 0x1.f479918a33f45p-8, 0x1.e54919b68632ep-8, 0x1.d6863648addf9p-8, 0x1.c82e44c845b32p-8, 0x1.ba3eaef561084p-8, 0x1.acb4eaaf14559p-8, 0x1.9f8e79d91a391p-8, 0x1.92c8ea409cf6ap-8, 0x1.8661d58036b5ap-8, 0x1.7a56e0e3317eap-8, 0x1.6ea5bd48147d3p-8, 0x1.634c27028a9edp-8, 0x1.5847e5bcae631p-8, 0x1.4d96cc57c46d3p-8, 0x1.4336b8cc73339p-8, 0x1.3925940a7cdcfp-8, 0x1.2f6151d80b0f9p-8, 0x1.25e7f0b0932aap-8, 0x1.1cb779a35de55p-8, 0x1.13ce0031b9a41p-8, 0x1.0b29a22ce39edp-8, 0x1.02c88793ae09cp-8, 0x1.f551c4dfd4934p-9, 0x1.e591dd6748dd5p-9, 0x1.d64de42c634c2p-9, 0x1.c78277e238193p-9, 0x1.b92c4a39e937ap-9, 0x1.ab481f9c19347p-9, 0x1.9dd2cee249d2cp-9, 0x1.90c9411026643p-9, 0x1.8428710cc75f8p-9, 0x1.77ed6b5c076aap-9, 0x1.6c154dd7e1675p-9, 0x1.609d4769f5e7p-9, 0x1.558297c531d5ep-9, 0x1.4ac28f1fad71ap-9, 0x1.405a8decc38b2p-9, 0x1.364804976fb77p-9, 0x1.2c88733cfac02p-9, 0x1.23196967faf4fp-9, 0x1.19f885cbb4315p-9, 0x1.112375ffdb861p-9, 0x1.0897f63ccb7a1p-9, 0x1.0053d11824f14p-9, 0x1.f0a9be83dfbbap-10, 0x1.e1320e846d548p-10, 0x1.d23c7a6e54dfdp-10, 0x1.c3c50527a3527p-10, 0x1.b5c7cbbe8742bp-10, 0x1.a84104e8f8e54p-10, 0x1.9b2d00858d877p-10, 0x1.8e88271d8f4c6p-10, 0x1.824ef96847283p-10, 0x1.767e0fcfa3e3p-10, 0x1.6b1219f6243dcp-10, 0x1.6007de3e1e1eep-10, 0x1.555c39525f651p-10, 0x1.4b0c1db030432p-10, 0x1.41149332c5c69p-10, 0x1.3772b6a013a63p-10, 0x1.2e23b937107cep-10, 0x1.2524e03f77b1ep-10, 0x1.1c73849af16aap-10, 0x1.140d1257c12ccp-10, 0x1.0bef0844ea4c3p-10, 0x1.0416f787d1042p-10, 0x1.f9050666bf8b5p-11, 0x1.ea5ebfc153835p-11, 0x1.dc36a69223501p-11, 0x1.ce8867c3e6bfap-11, 0x1.c14fd0f3a1372p-11, 0x1.b488cfae04667p-11, 0x1.a82f70afda81fp-11, 0x1.9c3fdf2977c6ep-11, 0x1.90b664053144fp-11, 0x1.858f6530dbap-11, 0x1.7ac764ea488e6p-11, 0x1.705b010ec9d65p-11, 0x1.6646f26dad661p-11, 0x1.5c880c1db7b65p-11, 0x1.531b3ad593addp-11, 0x1.49fd844736ac8p-11, 0x1.412c067e31fcap-11, 0x1.38a3f740f170bp-11, 0x1.3062a374dd0bap-11, 0x1.28656e855ccc9p-11, 0x1.20a9d1cdb730ap-11, 0x1.192d5c05c4557p-11, 0x1.11edb0b171e8cp-11, 0x1.0ae887930f56cp-11, 0x1.041bac205d08ep-11, 0x1.fb09f9f4b1b53p-12, 0x1.ee44d6cf7df7dp-12, 0x1.e1e3f5a474275p-12, 0x1.d5e3808c75f31p-12, 0x1.ca3fc3eae133bp-12, 0x1.bef52d77b128bp-12, 0x1.b4004b4ec2503p-12, 0x1.a95dcb042a6e9p-12, 0x1.9f0a78bd93aa1p-12, 0x1.95033e508b698p-12, 0x1.8b452265b68cep-12, 0x1.81cd47a0d7a2dp-12, 0x1.7898ebcd9af17p-12, 0x1.6fa56711164eep-12, 0x1.66f02b1fe813p-12, 0x1.5e76c278edec3p-12, 0x1.5636cfa47906p-12, 0x1.4e2e0c77f67fap-12, 0x1.465a495df3e03p-12, 0x1.3eb96ca2793afp-12, 0x1.374971c39bbd4p-12, 0x1.300868c641e52p-12, 0x1.28f4758f03c25p-12, 0x1.220bcf3f15b16p-12, 0x1.1b4cbf9530812p-12, 0x1.14b5a2526418ep-12, 0x1.0e44e4a2c1b48p-12, 0x1.07f90489d0338p-12, 0x1.01d09052bb2bfp-12, 0x1.f7944c084b911p-13, 0x1.ebc8e5af2f13dp-13, 0x1.e03c6568e000cp-13, 0x1.d4ec5f5c9ef66p-13, 0x1.c9d6830dd2d45p-13, 0x1.bef89a66520e5p-13, 0x1.b45088c73cbd1p-13, 0x1.a9dc4a20461a3p-13, 0x1.9f99f20d495f4p-13, 0x1.9587aafa08b47p-13, 0x1.8ba3b54c0344cp-13, 0x1.81ec66923488p-13, 0x1.786028baac8b7p-13, 0x1.6efd794dd7cb2p-13, 0x1.65c2e8af5c7c4p-13, 0x1.5caf196476c46p-13, 0x1.53c0bf5fac3b6p-13, 0x1.4af69f51bacc7p-13, 0x1.424f8dffb3a61p-13, 0x1.39ca6f9e152f4p-13, 0x1.31663730d0326p-13, 0x1.2921e5f01d36ap-13, 0x1.20fc8ab209b77p-13, 0x1.18f5415892e3dp-13, 0x1.110b32444de5dp-13, 0x1.093d91cb688d9p-13, 0x1.018b9fb4fcf89p-13, 0x1.f3e94d7121265p-14, 0x1.e4eff80361e39p-14, 0x1.d629fd6f1df6cp-14, 0x1.c7962f10fe59p-14, 0x1.b933707299dfbp-14, 0x1.ab00b6708fa68p-14, 0x1.9cfd0667d6deap-14, 0x1.8f27756a322ep-14, 0x1.817f27798480bp-14, 0x1.74034ec9e2311p-14, 0x1.66b32b0a3402ep-14, 0x1.598e08b340e3bp-14, 0x1.4c93405cf3be6p-14, 0x1.3fc23619b44f5p-14, 0x1.331a58d7ac3ecp-14, 0x1.269b21c7cdce4p-14, 0x1.1a4413ca78418p-14, 0x1.0e14bae191d56p-14, 0x1.020caba7f3104p-14, 0x1.ec57059bf7934p-15, 0x1.d4e1c93664c54p-15, 0x1.bdb8f8e98a639p-15, 0x1.a6dbf8d19c7dep-15, 0x1.904a397c6b48cp-15, 0x1.7a03371226797p-15, 0x1.64067886d5bc2p-15, 0x1.4e538ed451a9ep-15, 0x1.38ea143c724d6p-15, 0x1.23c9ab933fb2bp-15, 0x1.0ef1ff90e0676p-15, 0x1.f4c5845624175p-16, 0x1.cc3757ebd6eafp-16, 0x1.a438f71769bfep-16, 0x1.7cc9e9f739be3p-16, 0x1.55e9c27e26a67p-16, 0x1.2f981b6b2f1f1p-16, 0x1.09d4974d88c2ep-16, 0x1.c93dbf29a0ff9p-17, 0x1.7fed4759d8778p-17, 0x1.37b7304a8e1fap-17, 0x1.e135d78bfa6d5p-18, 0x1.552fe576b3a66p-18, 0x1.96b70f338d5d4p-19, 0x1.0edf0f8e4292p-20, -0x1.06f166a687b7p-20, -0x1.8a0382d104aa5p-19, -0x1.4619625dfc807p-18, -0x1.c5042c63f546ep-18, -0x1.20e18919658ecp-17, -0x1.5e2b85a55f566p-17, -0x1.9a608adf37d9ap-17, -0x1.d5811befc9656p-17, -0x1.07c6e073b8b8cp-16, -0x1.244383bc1d2f6p-16, -0x1.4036c1d15e9e4p-16, -0x1.5ba0e82b16255p-16, -0x1.7682480209b96p-16, -0x1.90db36942554p-16, -0x1.aaac0d62bed03p-16, -0x1.c3f52a6b6c80fp-16, -0x1.dcb6f05b99072p-16, -0x1.f4f1c6bf16afdp-16, -0x1.06530d14f03d4p-15, -0x1.11ea2e2e9d9b8p-15, -0x1.1d3e82343a5ap-15, -0x1.28504762b1113p-15, -0x1.331fbeb86c068p-15, -0x1.3dad2bffa10a7p-15, -0x1.47f8d5d6cac35p-15, -0x1.520305b758684p-15, -0x1.5bcc07fab9065p-15, -0x1.65542bddc5ec1p-15, -0x1.6e9bc382afe59p-15, -0x1.77a323f174b04p-15, -0x1.806aa516f91ep-15, -0x1.88f2a1c2d4df6p-15, -0x1.913b77a3e19bbp-15, -0x1.99458743a1e1cp-15, -0x1.a11134008a63p-15, -0x1.a89ee407425eap-15, -0x1.afef004ae835ap-15, -0x1.b701f47c677cp-15, -0x1.bdd82f00f4581p-15, -0x1.c47220e7b0dfp-15, -0x1.cad03dde937dap-15, -0x1.d0f2fc2693d46p-15, -0x1.d6dad4872e9a4p-15, -0x1.dc8842414af89p-15, -0x1.e1fbc3018b766p-15, -0x1.e735d6d21995bp-15, -0x1.ec37000bf29e3p-15, -0x1.f0ffc347c231fp-15, -0x1.f590a74e52f55p-15, -0x1.f9ea3508a1e6ap-15, -0x1.fe0cf76f9913ep-15, -0x1.00fcbdbdbf25cp-14, -0x1.02d828098eac6p-14, -0x1.049902fd593dp-14, -0x1.063f97e151ec7p-14, -0x1.07cc30db05002p-14, -0x1.093f18e489f88p-14, -0x1.0a989bc3a536p-14, -0x1.0bd90600dd303p-14, -0x1.0d00a4de86d92p-14, -0x1.0e0fc64fca702p-14, -0x1.0f06b8efa62aap-14, -0x1.0fe5cbf7ef9a8p-14, -0x1.10ad4f3855fb2p-14, -0x1.115d930d6a13ap-14, -0x1.11f6e857ac67dp-14, -0x1.1279a072a3556p-14, -0x1.12e60d2bfe86dp-14, -0x1.133c80bac4aa4p-14, }}, 
      {{-0x1.b255b1aaac5ap-1, -0x1.b24d3a5ebd3cbp-1, -0x1.b23eeca052862p-1, -0x1.b22a8061aee6ap-1, -0x1.b20f94d75dbbp-1, -0x1.b1edb3b3dbffap-1, -0x1.b1c4549ca3659p-1, -0x1.b192e0aaa0c9cp-1, -0x1.b158b5d57b003p-1, -0x1.b1152a334437ep-1, -0x1.b0c78efdf7aabp-1, -0x1.b06f3355ed06cp-1, -0x1.b00b66bcce08p-1, -0x1.af9b7b47c3869p-1, -0x1.af1ec789df381p-1, -0x1.ae94a8396576dp-1, -0x1.adfc8193b9581p-1, -0x1.ad55c08456083p-1, -0x1.ac9fdb93b32afp-1, -0x1.abda53a3159eep-1, -0x1.ab04b47a534a4p-1, -0x1.aa1e952c71ce2p-1, -0x1.a9279857d6109p-1, -0x1.a81f6c4676d65p-1, -0x1.a705caf23739bp-1, -0x1.a5da79f140d73p-1, -0x1.a49d4a4dddc9ap-1, -0x1.a34e184d0598fp-1, -0x1.a1eccb2676f68p-1, -0x1.a07954b0f6298p-1, -0x1.9ef3b104f6e95p-1, -0x1.9d5be617b74c8p-1, -0x1.9bb2035093df5p-1, -0x1.99f6211a20458p-1, -0x1.982860706048ap-1, -0x1.9648ea6d49192p-1, -0x1.9457efd4884cfp-1, -0x1.9255a89f6f272p-1, -0x1.90425389b213dp-1, -0x1.8e1e359f9d89ap-1, -0x1.8be999ce3a22dp-1, -0x1.89a4d075ca5dep-1, -0x1.87502efef8a98p-1, -0x1.84ec0f72f3becp-1, -0x1.8278d016b31fdp-1, -0x1.7ff6d309875ap-1, -0x1.7d667de712db2p-1, -0x1.7ac8396cbf232p-1, -0x1.781c7122b919ep-1, -0x1.75639308780cfp-1, -0x1.729e0f44ce3c2p-1, -0x1.6fcc57d97de64p-1, -0x1.6ceee05a46f5bp-1, -0x1.6a061da762162p-1, -0x1.671285ab5925fp-1, -0x1.64148f1c29709p-1, -0x1.610cb13f9fdcdp-1, -0x1.5dfb63b2d74fep-1, -0x1.5ae11e34c497fp-1, -0x1.57be5873bb6c7p-1, -0x1.549389ddd300cp-1, -0x1.5161297414648p-1, -0x1.4e27ada05c7bdp-1, -0x1.4ae78c0dd8b58p-1, -0x1.47a1398408122p-1, -0x1.445529c429d4ep-1, -0x1.4103cf6903e0ap-1, -0x1.3dad9bc8e6969p-1, -0x1.3a52fed9de994p-1, -0x1.36f46717f84e7p-1, -0x1.3392416d83f7ep-1, -0x1.302cf91d442eep-1, -0x1.2cc4f7ae724dbp-1, -0x1.295aa4da84c48p-1, -0x1.25ee667ca4a93p-1, -0x1.2280a082beb68p-1, -0x1.1f11b4e01db3bp-1, -0x1.1ba203817c738p-1, -0x1.1831ea427d62cp-1, -0x1.14c1c4e476b83p-1, -0x1.1151ed0683e0ap-1, -0x1.0de2ba1ecbp-1, -0x1.0a748174e7238p-1, -0x1.0707961d682fep-1, -0x1.039c48f65b5b2p-1, -0x1.0032e8a4cc231p-1, -0x1.f9978326603e3p-2, -0x1.f2ce3be16870ep-2, -0x1.ec0a8b62b19fcp-2, -0x1.e54cfd1daaae4p-2, -0x1.de9618146da9ap-2, -0x1.d7e65edc53dd6p-2, -0x1.d13e4fa3d9092p-2, -0x1.ca9e6439ab6a3p-2, -0x1.c4071214de7abp-2, -0x1.bd78ca5e2522cp-2, -0x1.b6f3f9fa0628fp-2, -0x1.b0790993f94adp-2, -0x1.aa085daa561efp-2, -0x1.a3a2569b0b13cp-2, -0x1.9d4750b108bf9p-2, -0x1.96f7a4325613ep-2, -0x1.90b3a56eb9a82p-2, -0x1.8a7ba4ceefc18p-2, -0x1.844feee460c73p-2, -0x1.7e30cc7943062p-2, -0x1.781e82a128a65p-2, -0x1.721952c9e281bp-2, -0x1.6c217accb84dep-2, -0x1.663734ffe0fb7p-2, -0x1.605ab84839fa3p-2, -0x1.5a8c382b3343cp-2, -0x1.54cbe4e0df064p-2, -0x1.4f19eb662bf81p-2, -0x1.4976758f32951p-2, -0x1.43e1aa19993a4p-2, -0x1.3e5bacbf03b14p-2, -0x1.38e49e478791dp-2, -0x1.337c9c9c20a38p-2, -0x1.2e23c2d91e35fp-2, -0x1.28da2960857a5p-2, -0x1.239fe5ec63269p-2, -0x1.1e750ba105c8fp-2, -0x1.1959ab1f1f7aep-2, -0x1.144dd295ca8dp-2, -0x1.0f518dd467ef3p-2, -0x1.0a64e65c5d0dfp-2, -0x1.0587e372a3f16p-2, -0x1.00ba8a313194fp-2, -0x1.f7f9bb305c21dp-3, -0x1.ee9dbd3dee372p-3, -0x1.e5611889e7d92p-3, -0x1.dc43c74459bd9p-3, -0x1.d345bfef5c977p-3, -0x1.ca66f57f60efcp-3, -0x1.c1a7577b075d5p-3, -0x1.b906d21a78508p-3, -0x1.b0854e66435ddp-3, -0x1.a822b255befc4p-3, -0x1.9fdee0ece372ep-3, -0x1.97b9ba599e4f5p-3, -0x1.8fb31c10a5712p-3, -0x1.87cae0e9c29e9p-3, -0x1.8000e13b917c1p-3, -0x1.7854f2f6b8b11p-3, -0x1.70c6e9c0948dcp-3, -0x1.6956970d6144dp-3, -0x1.6203ca39ca556p-3, -0x1.5ace50a3fd0cfp-3, -0x1.53b5f5c425818p-3, -0x1.4cba83446b1eep-3, -0x1.45dbc11855e93p-3, -0x1.3f197593b352fp-3, -0x1.38736580f0191p-3, -0x1.31e95436e01abp-3, -0x1.2b7b03ae0b0bcp-3, -0x1.2528349568053p-3, -0x1.1ef0a66696e61p-3, -0x1.18d41779915e7p-3, -0x1.12d24517de30bp-3, -0x1.0ceaeb8f35f43p-3, -0x1.071dc643b49d9p-3, -0x1.016a8fc17e49ap-3, -0x1.f7a2039bd70dfp-4, -0x1.eca1aaf071702p-4, -0x1.e1d386536a11bp-4, -0x1.d737056af8cf1p-4, -0x1.cccb96cf6e73p-4, -0x1.c290a828bdd53p-4, -0x1.b885a64b2e5ap-4, -0x1.aea9fd53111d7p-4, -0x1.a4fd18bfa4c5dp-4, -0x1.9b7e638d0d9a4p-4, -0x1.922d484d7c99ep-4, -0x1.8909314174575p-4, -0x1.8011886f40b3ep-4, -0x1.7745b7b99a173p-4, -0x1.6ea528f57dd0dp-4, -0x1.662f45ff3bfcfp-4, -0x1.5de378cec2232p-4, -0x1.55c12b8b22087p-4, -0x1.4dc7c89d5d529p-4, -0x1.45f6bac275fdap-4, -0x1.3e4d6d1cc99dcp-4, -0x1.36cb4b44ba6c4p-4, -0x1.2f6fc158a9d03p-4, -0x1.283a3c0c48f6ep-4, -0x1.212a28b742d3p-4, -0x1.1a3ef5634252fp-4, -0x1.137810d95aca8p-4, -0x1.0cd4eaaed342cp-4, -0x1.0654f3515c41ep-4, -0x1.ffef38255df73p-5, -0x1.f378ae673bac7p-5, -0x1.e7452fdd2ea19p-5, -0x1.db53a5034072p-5, -0x1.cfa2f86f8cd5fp-5, -0x1.c43216e427b22p-5, -0x1.b8ffef6000328p-5, -0x1.ae0b732ed06aap-5, -0x1.a35395f81b996p-5, -0x1.98d74dcd42725p-5, -0x1.8e959336b476bp-5, -0x1.848d6140450d8p-5, -0x1.7abdb584ab63dp-5, -0x1.712590382e23cp-5, -0x1.67c3f4328be58p-5, -0x1.5e97e6f81950dp-5, -0x1.55a070c2262cep-5, -0x1.4cdc9c86a8a9fp-5, -0x1.444b77ff34e03p-5, -0x1.3bec13af4c206p-5, -0x1.33bd82ea019f8p-5, -0x1.2bbedbd6ff0b5p-5, -0x1.23ef3776ed9bdp-5, -0x1.1c4db1a74724cp-5, -0x1.14d9692597405p-5, -0x1.0d917f922f08bp-5, -0x1.06751972504d7p-5, -0x1.ff06bc63b16eap-6, -0x1.f176f048d9b1fp-6, -0x1.e439290c546f9p-6, -0x1.d74bc6f7cdf55p-6, -0x1.caad3025fbaeep-6, -0x1.be5bd08161997p-6, -0x1.b25619c248d52p-6, -0x1.a69a836becf4dp-6, -0x1.9b278ac8ea9bbp-6, -0x1.8ffbb2e6fc116p-6, -0x1.85158491ff95fp-6, -0x1.7a738e4e60c8ap-6, -0x1.70146452d7107p-6, -0x1.65f6a08193c2dp-6, -0x1.5c18e260dc845p-6, -0x1.5279cf131838p-6, -0x1.4918114e5d452p-6, -0x1.3ff259537dae7p-6, -0x1.37075ce49da4ep-6, -0x1.2e55d73b5ba02p-6, -0x1.25dc88fe8ab07p-6, -0x1.1d9a38378613bp-6, -0x1.158db0472b6bdp-6, -0x1.0db5c1da76aa5p-6, -0x1.061142dec76dcp-6, -0x1.fd3e1cebb8f89p-7, -0x1.eebc09d303ac7p-7, -0x1.e09a173df0d52p-7, -0x1.d2d61a143e544p-7, -0x1.c56df140bdc55p-7, -0x1.b85f8596ba34p-7, -0x1.aba8c9b6ff87ap-7, -0x1.9f47b9f479c8cp-7, -0x1.933a5c38815e4p-7, -0x1.877ebfe6d9e27p-7, -0x1.7c12fdc16a99cp-7, -0x1.70f537cbb62bfp-7, -0x1.6623992e14714p-7, -0x1.5b9c5618c4d6cp-7, -0x1.515daba6c9dffp-7, -0x1.4765dfc0a73e5p-7, -0x1.3db340fefdd9ap-7, -0x1.3444268d100fcp-7, -0x1.2b16f00b2f4b5p-7, -0x1.222a05711f0cfp-7, -0x1.197bd6f06bb55p-7, -0x1.110adcd6bfe72p-7, -0x1.08d5977038ed3p-7, -0x1.00da8ee9c1513p-7, -0x1.f230a666e9c21p-8, -0x1.e31af7c6261d1p-8, -0x1.d471502d05864p-8, -0x1.c630fcacda902p-8, -0x1.b85758f1e1eefp-8, -0x1.aae1cf08e6e7fp-8, -0x1.9dcdd725248d1p-8, -0x1.9118f766706f5p-8, -0x1.84c0c39fb3d99p-8, -0x1.78c2dd1db58bcp-8, -0x1.6d1cf26e3fc8dp-8, -0x1.61ccbf27a14f7p-8, -0x1.56d00bb094c79p-8, -0x1.4c24ad088c64ap-8, -0x1.41c884906dd68p-8, -0x1.37b97fd3ba08dp-8, -0x1.2df598522da29p-8, -0x1.247ad349d69e5p-8, -0x1.1b474181a7235p-8, -0x1.1258ff1485589p-8, -0x1.09ae333cdfcb1p-8, -0x1.01451020c34e9p-8, -0x1.f237a53cf473cp-9, -0x1.e26184336a008p-9, -0x1.d30460927d5d2p-9, -0x1.c41cf20a7b2adp-9, -0x1.b5a8042c0ee35p-9, -0x1.a7a276070893dp-9, -0x1.9a0939ca4873ep-9, -0x1.8cd95464d95b2p-9, -0x1.800fdd282e418p-9, -0x1.73a9fd6b95efcp-9, -0x1.67a4f030d6cc2p-9, -0x1.5bfe01ca0286ep-9, -0x1.50b28f8075446p-9, -0x1.45c0073d0d369p-9, -0x1.3b23e73196263p-9, -0x1.30dbbd83685a2p-9, -0x1.26e527f73e3efp-9, -0x1.1d3dd39e3cdcdp-9, -0x1.13e37c84381e5p-9, -0x1.0ad3ed5f24d4cp-9, -0x1.020cff3fc5fd2p-9, -0x1.f319328716473p-10, -0x1.e2a1608f420adp-10, -0x1.d2ae8d3a74257p-10, -0x1.c33cd77e05fbdp-10, -0x1.b448780f98b43p-10, -0x1.a5cdc0d4bc0cbp-10, -0x1.97c91c54fad05p-10, -0x1.8a370d2e38a42p-10, -0x1.7d142d8b648fap-10, -0x1.705d2e9d7dfdep-10, -0x1.640ed816e697ep-10, -0x1.582607a8f5b48p-10, -0x1.4c9fb083dae1bp-10, -0x1.4178dad8b5a16p-10, -0x1.36aea35defdc9p-10, -0x1.2c3e3ad5c4884p-10, -0x1.2224e596ffff4p-10, -0x1.185ffb17e6ec4p-10, -0x1.0eece57b47258p-10, -0x1.05c9211fa1ec9p-10, -0x1.f9e47860f19cep-11, -0x1.e8cbac735a123p-11, -0x1.d8433f79db47cp-11, -0x1.c846b39261b1ep-11, -0x1.b8d1ab2860bd8p-11, -0x1.a9dfe82bc7398p-11, -0x1.9b6d4b4be4c8dp-11, -0x1.8d75d336305f7p-11, -0x1.7ff59bd8e68eep-11, -0x1.72e8dda971e6ap-11, -0x1.664becee913e1p-11, -0x1.5a1b390e2e2d1p-11, -0x1.4e534bded8705p-11, -0x1.42f0c8fcd9293p-11, -0x1.37f06d22cf915p-11, -0x1.2d4f0d85cd718p-11, -0x1.23099734e2404p-11, -0x1.191d0e7c0ccbbp-11, -0x1.0f868e4a828bap-11, -0x1.0643479c42b3fp-11, -0x1.faa101cdca85cp-12, -0x1.e9572b133a162p-12, -0x1.d8a3ea80b81b1p-12, -0x1.c882473421604p-12, -0x1.b8ed6ee3d6bf2p-12, -0x1.a9e0b4d749e9ep-12, -0x1.9b5790e569842p-12, -0x1.8d4d9e78d7d0fp-12, -0x1.7fbe9b99d418dp-12, -0x1.72a667fdb9801p-12, -0x1.6601041bff0aep-12, -0x1.59ca9048a0098p-12, -0x1.4dff4bd3d1737p-12, -0x1.429b942ef0d45p-12, -0x1.379be4168f115p-12, -0x1.2cfcd2c185e9ep-12, -0x1.22bb1314fb611p-12, -0x1.18d372dd410b9p-12, -0x1.0f42da0b6fbc7p-12, -0x1.060649f7b5a7cp-12, -0x1.fa35b9506502p-13, -0x1.e8fb8838abbdp-13, -0x1.d858933949bb8p-13, -0x1.c8479a1da1ed3p-13, -0x1.b8c3889c1b0bep-13, -0x1.a9c7750f18653p-13, -0x1.9b4e9f361519cp-13, -0x1.8d546efebf9a6p-13, -0x1.7fd47355e209bp-13, -0x1.72ca60fff7167p-13, -0x1.6632117942c63p-13, -0x1.5a0781dd3f72ap-13, -0x1.4e46d1d542278p-13, -0x1.42ec428e2c0b8p-13, -0x1.37f435b50218dp-13, -0x1.2d5b2c7a40d06p-13, -0x1.231dc69bd648dp-13, -0x1.1938c1759029fp-13, -0x1.0fa8f717d6d7bp-13, -0x1.066b5d64aa18ap-13, -0x1.fafa0a6539202p-14, -0x1.e9b632eb8f7acp-14, -0x1.d905bcdd04ec1p-14, -0x1.c8e361bb8fad4p-14, -0x1.b94a0a7e450f8p-14, -0x1.aa34ce1012d9dp-14, -0x1.9b9eefd8f4703p-14, -0x1.8d83de519a653p-14, -0x1.7fdf31a116651p-14, -0x1.72acaa4470473p-14, -0x1.65e82fbfdac55p-14, -0x1.598dcf5952b45p-14, -0x1.4d99badc6fd27p-14, -0x1.420847672d83fp-14, -0x1.36d5ec3f78e16p-14, -0x1.2bff41b148ff2p-14, -0x1.2180fff5123d1p-14, -0x1.1757fe1e5dda5p-14, -0x1.0d81311252a37p-14, -0x1.03f9aa85ffe5dp-14, -0x1.f57d30086cd1bp-15, -0x1.e39a83f58697cp-15, -0x1.d246159db398ep-15, -0x1.c17adbf102887p-15, -0x1.b133fe49b16aep-15, -0x1.a16cd2be08f9p-15, -0x1.9220dc7f32f23p-15, -0x1.834bca44baaa5p-15, -0x1.74e974c460a2p-15, -0x1.66f5dd35f29efp-15, -0x1.596d2be2d8a41p-15, -0x1.4c4baec1038fbp-15, -0x1.3f8dd818f9a47p-15, -0x1.33303d36af8eap-15, -0x1.272f9524e5209p-15, -0x1.1b88b772c2c0dp-15, -0x1.10389b036b869p-15, -0x1.053c54e7443d3p-15, -0x1.f5222e7d521d7p-16, -0x1.e068604ba1f4fp-16, -0x1.cc46115343b07p-16, -0x1.b8b6478a60e75p-16, -0x1.a5b43acf69cf8p-16, -0x1.933b53056912cp-16, -0x1.814726404f77dp-16, -0x1.6fd37700c1eb3p-16, -0x1.5edc327eff421p-16, -0x1.4e5d6f046bde4p-16, -0x1.3e536a535e50bp-16, -0x1.2eba881cb8f89p-16, -0x1.1f8f5082fb963p-16, -0x1.10ce6eaa5bb21p-16, -0x1.0274af558a7ccp-16, -0x1.e8fdff1d896f7p-17, -0x1.cdd4d6b9a97c7p-17, -0x1.b368390757c59p-17, -0x1.99b2b2a06c5b2p-17, -0x1.80af06de35513p-17, -0x1.68582d9c1dc11p-17, -0x1.50a9510edb3a9p-17, -0x1.399dcbaf85dcfp-17, -0x1.23312639fc201p-17, -0x1.0d5f15bdfc6e5p-17, -0x1.f046f384c8037p-18, -0x1.c6f4b4f3fee4fp-18, -0x1.9ebfce12c8641p-18, -0x1.77a0e7ba93cb1p-18, -0x1.5190f221bea6dp-18, -0x1.2c8921c731381p-18, -0x1.0882ec7bf755fp-18, -0x1.caf00d13b5676p-19, -0x1.86c4bfec2b4f1p-19, -0x1.447843be639bfp-19, -0x1.03ff57ea6c16dp-19, -0x1.8a9e482d0c677p-20, -0x1.10ba670734601p-20, -0x1.347dc24501354p-21, -0x1.38c206fccfc95p-23, 0x1.23310809444ccp-22, 0x1.6b0194a50dc5cp-21, 0x1.1f16dd08ad7e5p-20, 0x1.859f688e74925p-20, 0x1.e92acbbbc1e0ep-20, 0x1.24e46e43fec8dp-19, 0x1.53c47739962f4p-19, 0x1.813cec549e5e7p-19, 0x1.ad54fdf107febp-19, 0x1.d813a4004b73dp-19, 0x1.00bfd05cd1b8fp-18, 0x1.14cfc1960ca28p-18, 0x1.283cd4d9b7ffcp-18, 0x1.3b0a222882356p-18, 0x1.4d3aab74cff92p-18, 0x1.5ed15db4a0648p-18, 0x1.6fd111e6e420ap-18, 0x1.803c8e0cc1dffp-18, 0x1.901686173a939p-18, 0x1.9f619cc99a507p-18, 0x1.ae206491292d5p-18, 0x1.bc5560527d87fp-18, 0x1.ca03042cdca28p-18, 0x1.d72bb63407922p-18, 0x1.e3d1cf20d554cp-18, 0x1.eff79af8fa0b8p-18, 0x1.fb9f59ae4dc68p-18, 0x1.03659fdaf94adp-17, 0x1.08bebb4bd343bp-17, 0x1.0ddc0ebacb2aap-17, 0x1.12bea4c67fdabp-17, 0x1.17678357f6695p-17, 0x1.1bd7abdc2aefap-17, 0x1.20101b7a76646p-17, 0x1.2411cb47ecf9ap-17, 0x1.27ddb077d5471p-17, 0x1.2b74bc89591c2p-17, 0x1.2ed7dd728e62cp-17, 0x1.3207fdc8f77d5p-17, 0x1.350604e794587p-17, 0x1.37d2d712a57a8p-17, 0x1.3a6f5599368acp-17, 0x1.3cdc5ef48e6dfp-17, 0x1.3f1acee59b74ep-17, 0x1.412b7e90751d8p-17, 0x1.430f44960a2d9p-17, 0x1.44c6f52c1156fp-17, 0x1.46536233532b8p-17, 0x1.47b55b4c5ff7ap-17, 0x1.48edadeac848cp-17, 0x1.49fd2566e96a7p-17, 0x1.4ae48b0e6199ap-17, 0x1.4ba4a6333cc94p-17, 0x1.4c3e3c39ebd7fp-17, 0x1.4cb210a617a6bp-17, 0x1.4d00e5265cbecp-17, 0x1.4d2b799f03b47p-17, 0x1.4d328c33bfa4ap-17, 0x1.4d16d9508588cp-17, 0x1.4cd91bb186539p-17, 0x1.4c7a0c6a5bb0fp-17, 0x1.4bfa62ec70eabp-17, 0x1.4b5ad50cb715cp-17, 0x1.4a9c1708acbd4p-17, 0x1.49bedb8ac775fp-17, 0x1.48c3d3ae45666p-17, 0x1.47abaf02767a7p-17, 0x1.46771b8d80b6ep-17, 0x1.4526c5ceae161p-17, 0x1.43bb58c0498dfp-17, 0x1.42357dd914c03p-17, 0x1.4095dd0d5e442p-17, 0x1.3edd1ccfbfbcep-17, 0x1.3d0be2118bf42p-17, 0x1.3b22d042f2e18p-17, 0x1.39228952e3421p-17, 0x1.370badaeae376p-17, 0x1.34dedc4175de4p-17, 0x1.329cb27369994p-17, 0x1.3045cc28d71f6p-17, 0x1.2ddac3c115c85p-17, 0x1.2b5c32154e658p-17, 0x1.28caae77284c8p-17, 0x1.2626ceaf5bdcdp-17, 0x1.237126fc324a8p-17, 0x1.20aa4a0ff2ab3p-17, 0x1.1dd2c90f4435ap-17, 0x1.1aeb338f85d5dp-17, 0x1.17f417951f6aap-17, 0x1.14ee0191d0d9bp-17, 0x1.11d97c6300212p-17, 0x1.0eb7115009dc7p-17, 0x1.0b87480897683p-17, 0x1.084aa6a2fc3a9p-17, 0x1.0501b19a9be15p-17, 0x1.01acebce5d1d1p-17, 0x1.fc99acfe53567p-18, 0x1.f5c3e29cfa1ap-18, 0x1.eed9747a0b379p-18, 0x1.e7db5b52ad3d6p-18, 0x1.e0ca8c9d5d654p-18, 0x1.d9a7fa87a8334p-18, 0x1.d27493f40c74p-18, 0x1.cb3144780dc8ep-18, 0x1.c3def45a77eb3p-18, 0x1.bc7e8891d45f3p-18, 0x1.b510e2c312988p-18, 0x1.ad96e1406697ep-18, 0x1.a6115f085d257p-18, 0x1.9e8133c5283f6p-18, 0x1.96e733cc20db6p-18, 0x1.8f44301d84e54p-18, 0x1.8798f6646d724p-18, 0x1.7fe650f6fc954p-18, 0x1.782d06d6c8976p-18, 0x1.706ddbb17f1b8p-18, 0x1.68a98fe1c3eb9p-18, 0x1.60e0e070496b7p-18, 0x1.591487152421cp-18, 0x1.51453a3956758p-18, 0x1.4973acf898a92p-18, 0x1.41a08f2357e2bp-18, 0x1.39cc8d40ef6d6p-18, 0x1.31f85092199b4p-18, 0x1.2a247f1398929p-18, 0x1.2251bb8116bb3p-18, 0x1.1a80a5583beb7p-18, 0x1.12b1d8dbfa7f7p-18, 0x1.0ae5ef180e4ddp-18, 0x1.031d7de4b1823p-18, 0x1.f6b22fd508657p-19, }}, 
      std::vector<double>(600, 0.0), 
      {{0x1.e372e1f8c9977p-12, 0x1.e67803d0d75dp-11, 0x1.70e6d9a96ac96p-10, 0x1.f414d9d5a6324p-10, 0x1.3fbce04beff13p-9, 0x1.8b209520510d3p-9, 0x1.ddff89ebafbc7p-9, 0x1.1d267a03e09fdp-8, 0x1.510c5e34b19ap-8, 0x1.8bc1502154bbap-8, 0x1.ce56e09ef6d8bp-8, 0x1.0ced4a31d184fp-7, 0x1.37a8633bb5c8ap-7, 0x1.67d81fc9bbebap-7, 0x1.9def447937e35p-7, 0x1.da567bcfc0bdp-7, 0x1.0eb599bdfbf84p-6, 0x1.33bf6542cdd38p-6, 0x1.5c6b044d2349ap-6, 0x1.88d46b0d894edp-6, 0x1.b911163c8178cp-6, 0x1.ed301b53daf17p-6, 0x1.129d2677512ffp-5, 0x1.309937da088c5p-5, 0x1.508abe421f8a3p-5, 0x1.726d767a2a457p-5, 0x1.963a87bf6b007p-5, 0x1.bbe8b090a7ecdp-5, 0x1.e36c75386109ap-5, 0x1.065c279e280bep-4, 0x1.1bde6e7f1e4a1p-4, 0x1.3234887c7741p-4, 0x1.4955300fbc747p-4, 0x1.6136777eaac57p-4, 0x1.79cddea56c9f4p-4, 0x1.931067ddf3e3ap-4, 0x1.acf2abef29e2bp-4, 0x1.c768ecf557544p-4, 0x1.e267283aac2d5p-4, 0x1.fde126fb7a346p-4, 0x1.0ce5470ab024ep-3, 0x1.1b0b7651ebe59p-3, 0x1.295ce4c7771fep-3, 0x1.37d358096bbf9p-3, 0x1.46689da44c934p-3, 0x1.5516905c7c32ep-3, 0x1.63d71d01d4e6fp-3, 0x1.72a446d2adebep-3, 0x1.81782b73a4fb8p-3, 0x1.904d06819e4acp-3, 0x1.9f1d34c37c1dfp-3, 0x1.ade33700dc113p-3, 0x1.bc99b48323cddp-3, 0x1.cb3b7d4607397p-3, 0x1.d9c38bdc765cp-3, 0x1.e82d070ec7b89p-3, 0x1.f6734336b9c56p-3, 0x1.0248e1aeda06bp-2, 0x1.09421d10c63a1p-2, 0x1.10234531e98f5p-2, 0x1.16ea63e3bce18p-2, 0x1.1d959b8048601p-2, 0x1.242326fcbd52ep-2, 0x1.2a9159e87e7dcp-2, 0x1.30dea05a1c5eep-2, 0x1.37097ecbc8be5p-2, 0x1.3d1091e8a7905p-2, 0x1.42f28e4c4855bp-2, 0x1.48ae4035994f9p-2, 0x1.4e428b2e71f48p-2, 0x1.53ae69a8dfb94p-2, 0x1.58f0ec933c2cbp-2, 0x1.5e093ae40f033p-2, 0x1.62f6911ea2f65p-2, 0x1.67b840d13af77p-2, 0x1.6c4db00dad2ecp-2, 0x1.70b658dd33cdp-2, 0x1.74f1c8b0255f1p-2, 0x1.78ff9fca4c08ep-2, 0x1.7cdf90ac6e8cbp-2, 0x1.80915f7bb2afdp-2, 0x1.8414e16758f8cp-2, 0x1.8769fc0d5afdbp-2, 0x1.8a90a4de6303fp-2, 0x1.8d88e0818ca58p-2, 0x1.9052c238580a7p-2, 0x1.92ee6b432c826p-2, 0x1.955c0a46c5187p-2, 0x1.979bdab2d1742p-2, 0x1.99ae242a1db73p-2, 0x1.9b9339ec76ff9p-2, 0x1.9d4b7a429752bp-2, 0x1.9ed74dec40f66p-2, 0x1.a0372790c579fp-2, 0x1.a16b83321dd02p-2, 0x1.a274e5a2b7fbdp-2, 0x1.a353dbfe24f81p-2, 0x1.a408fb24b9c58p-2, 0x1.a494df3a43b77p-2, 0x1.a4f82b27e4ad1p-2, 0x1.a533882124d8cp-2, 0x1.a547a52c4f319p-2, 0x1.a53536ae1dd69p-2, 0x1.a4fcf5f8c5c7dp-2, 0x1.a49fa0de5fc33p-2, 0x1.a41df946b8618p-2, 0x1.a378c4c888c63p-2, 0x1.a2b0cc460dc45p-2, 0x1.a1c6db8d0b1a7p-2, 0x1.a0bbc0fa24581p-2, 0x1.9f904d1f94a81p-2, 0x1.9e45526f32275p-2, 0x1.9cdba4e7bbe57p-2, 0x1.9b5419c564edbp-2, 0x1.99af873592abp-2, 0x1.97eec40dbf42cp-2, 0x1.9612a7857a9eap-2, 0x1.941c08f37185p-2, 0x1.920bbf8d773b1p-2, 0x1.8fe2a22b7ad1dp-2, 0x1.8da1870d5f525p-2, 0x1.8b4943a39fea7p-2, 0x1.88daac5ab6ddbp-2, 0x1.8656946931ad4p-2, 0x1.83bdcda063127p-2, 0x1.8111283fa75dp-2, 0x1.7e5172ca1e9d2p-2, 0x1.7b7f79ded8a65p-2, 0x1.789c081357a44p-2, 0x1.75a7e5d060774p-2, 0x1.72a3d930fe747p-2, 0x1.6f90a5e3b3807p-2, 0x1.6c6f0d0dbda56p-2, 0x1.693fcd3060fdap-2, 0x1.6603a21029328p-2, 0x1.62bb449e11d74p-2, 0x1.5f676ae27d71bp-2, 0x1.5c08c7e9f9dd2p-2, 0x1.58a00bb3b41fep-2, 0x1.552de3219277fp-2, 0x1.51b2f7e9e7dc3p-2, 0x1.4e2ff08aacb84p-2, 0x1.4aa5703e2f3fcp-2, 0x1.471416f130cbdp-2, 0x1.437c813a5b95fp-2, 0x1.3fdf48530aa9p-2, 0x1.3c3d02114d99bp-2, 0x1.389640e322bf8p-2, 0x1.34eb93cad575bp-2, 0x1.313d865c7727p-2, 0x1.2d8ca0bc61fe7p-2, 0x1.29d9679ec0d63p-2, 0x1.26245c4807489p-2, 0x1.226dfc8e55eep-2, 0x1.1eb6c2dbbaf28p-2, 0x1.1aff26314788ap-2, 0x1.17479a2aead57p-2, 0x1.13908f040d0e6p-2, 0x1.0fda719cde784p-2, 0x1.0c25ab804d866p-2, 0x1.0872a2eaa3393p-2, 0x1.04c1bad0aedc8p-2, 0x1.011352e78981ep-2, 0x1.facf8f59acc4dp-3, 0x1.f37ee4df0ca01p-3, 0x1.ec3552b21be29p-3, 0x1.e4f37eee14c19p-3, 0x1.ddba098a9426dp-3, 0x1.d6898c70697bdp-3, 0x1.cf629b8f1660dp-3, 0x1.c845c4f2ecb86p-3, 0x1.c13390dbc23bap-3, 0x1.ba2c81d4247aap-3, 0x1.b33114c911aeep-3, 0x1.ac41c12215d46p-3, 0x1.a55ef8d9d3131p-3, 0x1.9e892896d6aep-3, 0x1.97c0b7c4c88dp-3, 0x1.910608add5b5p-3, 0x1.8a59789454cdfp-3, 0x1.83bb5fcc9beb4p-3, 0x1.7d2c11d7008cep-3, 0x1.76abdd79ed9d6p-3, 0x1.703b0cdc191b1p-3, 0x1.69d9e59ec28cdp-3, 0x1.6388a8f7f87fdp-3, 0x1.5d4793cce18acp-3, 0x1.5716decbf9p-3, 0x1.50f6be874111fp-3, 0x1.4ae7638e619cep-3, 0x1.44e8fa88abad2p-3, 0x1.3efbac4efd59cp-3, 0x1.391f9e0585144p-3, 0x1.3354f13552d4fp-3, 0x1.2d9bc3e5c5367p-3, 0x1.27f430b5bd654p-3, 0x1.225e4ef49e47ep-3, 0x1.1cda32bb0c523p-3, 0x1.1767ed0378923p-3, 0x1.12078bc260173p-3, 0x1.0cb919fe487efp-3, 0x1.077c9fe777064p-3, 0x1.025222ef594fep-3, 0x1.fa734bbf434abp-4, 0x1.f06651e22b9eep-4, 0x1.e67d53c401641p-4, 0x1.dcb84818c21bdp-4, 0x1.d31720f762b16p-4, 0x1.c999cc04c0d55p-4, 0x1.c040329de0e7cp-4, 0x1.b70a3a016c225p-4, 0x1.adf7c378841c6p-4, 0x1.a508ac7ecf84ep-4, 0x1.9c3ccee9da754p-4, 0x1.9394010fa1e5fp-4, 0x1.8b0e15ec7a203p-4, 0x1.82aadd4823d63p-4, 0x1.7a6a23da28b0bp-4, 0x1.724bb36d732eap-4, 0x1.6a4f530327a46p-4, 0x1.6274c6f4b9f52p-4, 0x1.5abbd115427d1p-4, 0x1.532430d211d18p-4, 0x1.4bada35283df1p-4, 0x1.4457e39712bf8p-4, 0x1.3d22aa97aa55p-4, 0x1.360daf613cabap-4, 0x1.2f18a7329b59bp-4, 0x1.2843459891ffbp-4, 0x1.218d3c8947b69p-4, 0x1.1af63c7ee7992p-4, 0x1.147df4918fb48p-4, 0x1.0e2412908ce1cp-4, 0x1.07e8431adfd7ap-4, 0x1.01ca31b711414p-4, 0x1.f79311d4ac87ap-5, 0x1.ebcbe49e0b3d4p-5, 0x1.e03e2d54c28b1p-5, 0x1.d4e93c036c6edp-5, 0x1.c9cc5f5dab1cfp-5, 0x1.bee6e4e7cdef9p-5, 0x1.b438191d3356ap-5, 0x1.a9bf47956a9b2p-5, 0x1.9f7bbb281682ep-5, 0x1.956cbe0f9e8d9p-5, 0x1.8b919a0aaa92dp-5, 0x1.81e9987c75112p-5, 0x1.7874028bf5968p-5, 0x1.6f302141e9f19p-5, 0x1.661d3da5c20abp-5, 0x1.5d3aa0d9778a5p-5, 0x1.54879434525b2p-5, 0x1.4c03615ca0b73p-5, 0x1.43ad52606ad81p-5, 0x1.3b84b1cd23576p-5, 0x1.3388cac65ecfp-5, 0x1.2bb8e91b925dfp-5, 0x1.2414595ce2926p-5, 0x1.1c9a68ef090ddp-5, 0x1.154a661e5197ep-5, 0x1.0e23a030b710ep-5, 0x1.07256777274e7p-5, 0x1.004f0d5defa3ap-5, 0x1.f33fc8f8b1892p-6, 0x1.e62e8146ed30ep-6, 0x1.d968edd86af2ep-6, 0x1.ccedbb894424dp-6, 0x1.c0bb99f8f0557p-6, 0x1.b4d13ba1f2dcdp-6, 0x1.a92d55f0272c2p-6, 0x1.9dcea155af628p-6, 0x1.92b3d95e98d97p-6, 0x1.87dbbcc331099p-6, 0x1.7d450d792a704p-6, 0x1.72ee90c37fe01p-6, 0x1.68d70f4138b63p-6, 0x1.5efd54fb0637bp-6, 0x1.5560316fca457p-6, 0x1.4bfe77a00c546p-6, 0x1.42d6fe186d8d3p-6, 0x1.39e89efb17262p-6, 0x1.313238083813fp-6, 0x1.28b2aaa594e1bp-6, 0x1.2068dbe52f51cp-6, 0x1.1853b48b11bd3p-6, 0x1.1072211246a39p-6, 0x1.08c311b0ff3d1p-6, 0x1.01457a5bf44ebp-6, 0x1.f3f0a5921202p-7, 0x1.e5b52ce267df8p-7, 0x1.d7d68923709c3p-7, 0x1.ca52c05963deap-7, 0x1.bd27e0120b971p-7, 0x1.b053fd6354ac9p-7, 0x1.a3d534e8c1f6fp-7, 0x1.97a9aabfbd4e5p-7, 0x1.8bcf8a82d4c16p-7, 0x1.80450743e28b6p-7, 0x1.75085b85510b8p-7, 0x1.6a17c9325625bp-7, 0x1.5f719996575p-7, 0x1.55141d536dd9ap-7, 0x1.4afdac58197f4p-7, 0x1.412ca5d42d8b2p-7, 0x1.379f702d05df4p-7, 0x1.2e5478f1013d7p-7, 0x1.254a34ca59b65p-7, 0x1.1c7f1f715a66dp-7, 0x1.13f1bb9dfdc71p-7, 0x1.0ba092f8fed02p-7, 0x1.038a360c63962p-7, 0x1.f75a7867161a2p-8, 0x1.e810871587322p-8, 0x1.d933e1bcea393p-8, 0x1.cac1df33c652bp-8, 0x1.bcb7e36b22136p-8, 0x1.af135f4a976fep-8, 0x1.a1d1d08bc8128p-8, 0x1.94f0c19538d98p-8, 0x1.886dc954a3f96p-8, 0x1.7c468b18ceb5dp-8, 0x1.7078b66aedab4p-8, 0x1.650206e7a0f35p-8, 0x1.59e044179756fp-8, 0x1.4f114147e0279p-8, 0x1.4492dd61f5528p-8, 0x1.3a6302c38ae72p-8, 0x1.307fa7162ad3bp-8, 0x1.26e6cb26a5d85p-8, 0x1.1d967abc641c2p-8, 0x1.148ccc709d45p-8, 0x1.0bc7e1857db37p-8, 0x1.0345e5bd46adep-8, 0x1.f60a1e62d0236p-9, 0x1.e6073c5347befp-9, 0x1.d67fb9e678f0dp-9, 0x1.c7703f70689fcp-9, 0x1.b8d588ad52f4fp-9, 0x1.aaac64709d964p-9, 0x1.9cf1b454127f8p-9, 0x1.8fa26c6772ad9p-9, 0x1.82bb92e0636bep-9, 0x1.763a3fcac8486p-9, 0x1.6a1b9cb98b5e3p-9, 0x1.5e5ce477e058ep-9, 0x1.52fb62bb0e03cp-9, 0x1.47f473d4c0a4cp-9, 0x1.3d458465eb554p-9, 0x1.32ec11124a5adp-9, 0x1.28e5a6347ea02p-9, 0x1.1f2fdf92d450bp-9, 0x1.15c86814b1c6bp-9, 0x1.0cacf978bd6ebp-9, 0x1.03db5c0bb58f7p-9, 0x1.f6a2ccc00cb1bp-10, 0x1.e619fa0c40f46p-10, 0x1.d618248b29815p-10, 0x1.c6994bade4fb7p-10, 0x1.b799893cf692ap-10, 0x1.a91510cf36784p-10, 0x1.9b082f42796d4p-10, 0x1.8d6f4a35cec43p-10, 0x1.8046df857c3dbp-10, 0x1.738b84c8a5bcdp-10, 0x1.6739e6d0a433dp-10, 0x1.5b4ec92a248dfp-10, 0x1.4fc7059ff270cp-10, 0x1.449f8bbf8f7bep-10, 0x1.39d5605f86236p-10, 0x1.2f659d277824fp-10, 0x1.254d7019fa9bap-10, 0x1.1b8a1b20334f3p-10, 0x1.1218f397373fbp-10, 0x1.08f761df300e1p-10, 0x1.0022e0ec4c4f7p-10, 0x1.ef31fbb2d0347p-11, 0x1.deaeaef90b1ebp-11, 0x1.ceb73bfa002fp-11, 0x1.bf4724d708b3ap-11, 0x1.b05a0cb78d755p-11, 0x1.a1ebb6fff052p-11, 0x1.93f8068bedba4p-11, 0x1.867afcec706f9p-11, 0x1.7970b9a8d543ep-11, 0x1.6cd579839564dp-11, 0x1.60a595c2552b8p-11, 0x1.54dd8379503cdp-11, 0x1.4979d2da1b18ap-11, 0x1.3e772e85b522ep-11, 0x1.33d25ae1e37f3p-11, 0x1.29883571cd8acp-11, 0x1.1f95b431d22b2p-11, 0x1.15f7e4f691389p-11, 0x1.0cabeccf1bb9ep-11, 0x1.03af076a495ecp-11, 0x1.f5fd0cfe499e8p-12, 0x1.e52fa270d25e4p-12, 0x1.d4f0c7460ebf2p-12, 0x1.c53b9c3f54e2dp-12, 0x1.b60b69ae62be7p-12, 0x1.a75b9e6429333p-12, 0x1.9927cea560638p-12, 0x1.8b6bb324cc0b4p-12, 0x1.7e232803208c2p-12, 0x1.714a2bd4771c7p-12, 0x1.64dcdeab3854dp-12, 0x1.58d781286c71cp-12, 0x1.4d36739161865p-12, 0x1.41f634ea8bb3ep-12, 0x1.3713621792caep-12, 0x1.2c8ab500741b6p-12, 0x1.225903bbaa80ep-12, 0x1.187b3fbd4288dp-12, 0x1.0eee750acb65p-12, 0x1.05afc9740db16p-12, 0x1.f978f7a0eec7cp-13, 0x1.e823c68249284p-13, 0x1.d75adceef0172p-13, 0x1.c71946004d976p-13, 0x1.b75a39255b104p-13, 0x1.a81918ca23d07p-13, 0x1.99517107c981ep-13, 0x1.8afef65cdbb82p-13, 0x1.7d1d846dda112p-13, 0x1.6fa91ccdbf941p-13, 0x1.629de5ce7347dp-13, 0x1.55f82958ef29ep-13, 0x1.49b453cd03676p-13, 0x1.3dcef2e88367p-13, 0x1.3244b4b5cc6dap-13, 0x1.2712668165039p-13, 0x1.1c34f3d6aecc3p-13, 0x1.11a96583712a5p-13, 0x1.076ce0a224609p-13, 0x1.faf94b55ace21p-14, 0x1.e7ac1f150f073p-14, 0x1.d4ed2581b8fc5p-14, 0x1.c2b779080cf74p-14, 0x1.b10663d578021p-14, 0x1.9fd55e3845f1fp-14, 0x1.8f200d0b1e88bp-14, 0x1.7ee2402bd9c99p-14, 0x1.6f17f0fd7f30ap-14, 0x1.5fbd40f5261f2p-14, 0x1.50ce78317b7f5p-14, 0x1.4248041cb2ccdp-14, 0x1.34267618a203bp-14, 0x1.26668234d298dp-14, 0x1.1904fdee46cfep-14, 0x1.0bfedef8c0fe9p-14, 0x1.fea274229ef8ep-15, 0x1.e5f283b3ce6b1p-15, 0x1.cde88b7bac35dp-15, 0x1.b67f61bdaf869p-15, 0x1.9fb212152e8a7p-15, 0x1.897bdb70d3042p-15, 0x1.73d82e1e1b9bep-15, 0x1.5ec2a9e483399p-15, 0x1.4a371c2feddb9p-15, 0x1.36317e49f71c4p-15, 0x1.22adf3a1c45e7p-15, 0x1.0fa8c821fd4f6p-15, 0x1.fa3cdd291adc3p-16, 0x1.d616fe27aca54p-16, 0x1.b2d96b11ec3bp-16, 0x1.907de06da08bep-16, 0x1.6efe5ca3004adp-16, 0x1.4e551d43c1e43p-16, 0x1.2e7c9c69b93a1p-16, 0x1.0f6f8e2c58611p-16, 0x1.e251bc59022fp-17, 0x1.a7475a6c02752p-17, 0x1.6db69dec55a9bp-17, 0x1.35968f8de5f3ep-17, 0x1.fdbd2a37edff1p-18, 0x1.930cdabc2e4d6p-18, 0x1.2b0c58456f35fp-18, 0x1.8b58d9b9addd3p-19, 0x1.8b79f675f2dddp-20, 0x1.4a41cf9f4173p-25, -0x1.6cfbeb6d1bf51p-20, -0x1.6d51e1eb0bbbfp-19, -0x1.0fb5d18a83c45p-18, -0x1.66719540f02b9p-18, -0x1.bae7c0639d5dfp-18, -0x1.0691b44012b96p-17, -0x1.2e979ce6bcd6fp-17, -0x1.558abe2e06711p-17, -0x1.7b700c88a52c5p-17, -0x1.a04c4f37f09bcp-17, -0x1.c42422974eb4ep-17, -0x1.e6fbfa4fa1a3fp-17, -0x1.046c11b9b729p-16, -0x1.14de63424aaf2p-16, -0x1.24d6f4b21aee5p-16, -0x1.3457b896c1165p-16, -0x1.436291fe16514p-16, -0x1.51f9554f8deb2p-16, -0x1.601dc91c03475p-16, -0x1.6dd1a6e44e82ap-16, -0x1.7b169bd6efbd9p-16, -0x1.87ee49851a8d9p-16, -0x1.945a468f724b8p-16, -0x1.a05c1f4ab5357p-16, -0x1.abf5565cae4e9p-16, -0x1.b7276551a124fp-16, -0x1.c1f3bd2a7ec1dp-16, -0x1.cc5bc6e421033p-16, -0x1.d660e3f7cdf1dp-16, -0x1.e0046ed53cb8ap-16, -0x1.e947bb565dd0cp-16, -0x1.f22c172d1c6c3p-16, -0x1.fab2ca4b59f9fp-16, -0x1.016e8ba2a5b2bp-15, -0x1.05561dd741dccp-15, -0x1.0910b838e535dp-15, -0x1.0c9ef511ffcccp-15, -0x1.10016ca91d731p-15, -0x1.1338b565a7bd7p-15, -0x1.164563f2770bfp-15, -0x1.19280b5e4389bp-15, -0x1.1be13d3a10141p-15, -0x1.1e7189b5a3efcp-15, -0x1.20d97fba22c9p-15, -0x1.2319ad02e0e7p-15, -0x1.25329e347b7f3p-15, -0x1.2724def24f75ap-15, -0x1.28f0f9f2608e9p-15, -0x1.2a97790fbd5p-15, -0x1.2c18e55b74d6dp-15, -0x1.2d75c72c30a11p-15, -0x1.2eaea62c7c65cp-15, -0x1.2fc40967d13bp-15, -0x1.30b677566f35fp-15, -0x1.318675e816734p-15, -0x1.32348a8dab6cbp-15, -0x1.32c13a41d5bc6p-15, -0x1.332d0990a479fp-15, -0x1.33787c9e47533p-15, -0x1.33a4172ce78afp-15, -0x1.33b05ca1a9285p-15, -0x1.339dd008e6b5cp-15, -0x1.336cf419ab2a2p-15, -0x1.331e4b3879d6fp-15, -0x1.32b257796c476p-15, -0x1.32299aa1aeb79p-15, -0x1.3184962867be7p-15, -0x1.30c3cb37114bdp-15, -0x1.2fe7baa94cb3cp-15, -0x1.2ef0e50c3bde2p-15, -0x1.2ddfca9d63eep-15, -0x1.2cb4eb49259f1p-15, -0x1.2b70c6a8cde09p-15, -0x1.2a13dc004c5d8p-15, -0x1.289eaa3b8f96p-15, -0x1.2711afeb9211ep-15, -0x1.256d6b431cfe6p-15, -0x1.23b25a134939fp-15, -0x1.21e0f9c7be144p-15, -0x1.1ff9c762bb18bp-15, -0x1.1dfd3f78ed9a2p-15, -0x1.1bebde2d17c55p-15, -0x1.19c61f2b8efc5p-15, -0x1.178c7da5962afp-15, -0x1.153f744c963cbp-15, -0x1.12df7d4d3e138p-15, -0x1.106d124a87788p-15, -0x1.0de8ac58ab1dcp-15, -0x1.0b52c3f80187fp-15, -0x1.08abd10fdaf5ep-15, -0x1.05f44ae94a4fdp-15, -0x1.032ca829ec7c6p-15, -0x1.00555eceac1aep-15, -0x1.faddc84d0a7c9p-16, -0x1.f4f3599a91967p-16, -0x1.eeec594cd3d9dp-16, -0x1.e8c9adaf9e49p-16, -0x1.e28c3b895add5p-16, -0x1.dc34e610e00b4p-16, -0x1.d5c48ee35f424p-16, -0x1.cf3c15fa68525p-16, -0x1.c89c59a21dd13p-16, -0x1.c1e6366f84e1cp-16, -0x1.bb1a873700ef1p-16, -0x1.b43a250301d94p-16, -0x1.ad45e70ad799cp-16, -0x1.a63ea2a9be1c6p-16, -0x1.9f252b56195ffp-16, -0x1.97fa5298ecaccp-16, -0x1.90bee8057f31p-16, -0x1.8973b93148ab6p-16, -0x1.821991ac0ac34p-16, -0x1.7ab13af831b6bp-16, -0x1.733b7c836eaep-16, -0x1.6bb91b9f9007ap-16, -0x1.642adb7b9ed0bp-16, -0x1.5c917d1d3754p-16, -0x1.54edbf5a261d7p-16, -0x1.4d405ed24c537p-16, -0x1.458a15e9bcfdfp-16, }}, 
      {{-0x1.db081cf4d117ep-1, -0x1.daf987aa3f889p-1, -0x1.dadcf23069b6p-1, -0x1.daad8dbfa24fbp-1, -0x1.da6652f0f2fdbp-1, -0x1.da0288498c057p-1, -0x1.d97e1333a0dfp-1, -0x1.d8d5a34e29c7cp-1, -0x1.d806c3b9e1a5ap-1, -0x1.d70fdadfcc24ep-1, -0x1.d5f01ed5cb1ccp-1, -0x1.d4a782cacfc13p-1, -0x1.d336a09daf512p-1, -0x1.d19ea0d1856edp-1, -0x1.cfe122628697fp-1, -0x1.ce00237d7b5e3p-1, -0x1.cbfdebbe97c7ap-1, -0x1.c9dcf858df414p-1, -0x1.c79fea57028ccp-1, -0x1.c5497704a20dap-1, -0x1.c2dc5a776639cp-1, -0x1.c05b4c1fb98dap-1, -0x1.bdc8f53ee67dap-1, -0x1.bb27e91aa155bp-1, -0x1.b87a9ec32e897p-1, -0x1.b5c36c40c3f34p-1, -0x1.b30482fd977cap-1, -0x1.b03fed43fe6cap-1, -0x1.ad778caa86037p-1, -0x1.aaad194adfa42p-1, -0x1.a7e221a39e8d6p-1, -0x1.a5180b07e7c4fp-1, -0x1.a250128358d18p-1, -0x1.9f8b4e1b5fde9p-1, -0x1.9ccaae5a0ec32p-1, -0x1.9a0f0011106dbp-1, -0x1.9758ee45c2c16p-1, -0x1.94a90439ac86cp-1, -0x1.91ffaf846aa1fp-1, -0x1.8f5d4235fc046p-1, -0x1.8cc1f4f9ccb59p-1, -0x1.8a2de93447a55p-1, -0x1.87a12b15d8597p-1, -0x1.851bb39f56e3bp-1, -0x1.829d6a94ae0f3p-1, -0x1.8026285b59c52p-1, -0x1.7db5b7c2f20e6p-1, -0x1.7b4bd7b690986p-1, -0x1.78e83cd647f82p-1, -0x1.768a92f8489c1p-1, -0x1.74327e91a55bp-1, -0x1.71df9e06e1679p-1, -0x1.6f918ae4ab7e2p-1, -0x1.6d47db0157385p-1, -0x1.6b022187c0b37p-1, -0x1.68bfefec6075ap-1, -0x1.6680d6cd6efbp-1, -0x1.644466befadd8p-1, -0x1.620a3103e45b4p-1, -0x1.5fd1c834b13abp-1, -0x1.5d9ac0d531c11p-1, -0x1.5b64b1d9ea9bcp-1, -0x1.592f351e3761fp-1, -0x1.56f9e7cc147f9p-1, -0x1.54c46ab676ff2p-1, -0x1.528e62a7171c8p-1, -0x1.505778a085936p-1, -0x1.4e1f5a155e538p-1, -0x1.4be5b91562b16p-1, -0x1.49aa4c713d088p-1, -0x1.476ccfd5a41b6p-1, -0x1.452d03de91a17p-1, -0x1.42eaae232e4d6p-1, -0x1.40a5993b16e6dp-1, -0x1.3e5d94bd8b625p-1, -0x1.3c12753b1a6b6p-1, -0x1.39c414324c003p-1, -0x1.37724fffca01ap-1, -0x1.351d0bca7f381p-1, -0x1.32c42f6c17e62p-1, -0x1.3067a7565132dp-1, -0x1.2e07647574a86p-1, -0x1.2ba35c105e576p-1, -0x1.293b87a6612d1p-1, -0x1.26cfe4cb59896p-1, -0x1.2460750235c42p-1, -0x1.21ed3d963c51ap-1, -0x1.1f7647734ce14p-1, -0x1.1cfb9efd56f48p-1, -0x1.1a7d53e73c77p-1, -0x1.17fb7909520b6p-1, -0x1.15762437a9e7bp-1, -0x1.12ed6e1855059p-1, -0x1.106171f9bd9bbp-1, -0x1.0dd24da940b46p-1, -0x1.0b40214a23065p-1, -0x1.08ab0f2d027cbp-1, -0x1.06133ba7d5cdcp-1, -0x1.0378ccee9b54bp-1, -0x1.00dbeaecc0dbap-1, -0x1.fc797e3ebf335p-2, -0x1.f736e8e0a8321p-2, -0x1.f1f06e248e3eep-2, -0x1.eca668bb59527p-2, -0x1.e759355d8e834p-2, -0x1.e20932896e644p-2, -0x1.dcb6c04335306p-2, -0x1.d7623fd78c97p-2, -0x1.d20c13a0323e6p-2, -0x1.ccb49ecadd188p-2, -0x1.c75c4522611b8p-2, -0x1.c2036ada1631ep-2, -0x1.bcaa745b7ee02p-2, -0x1.b751c6162f0e8p-2, -0x1.b1f9c451ee21bp-2, -0x1.aca2d3030e39p-2, -0x1.a74d55a0f42d9p-2, -0x1.a1f9aefec7855p-2, -0x1.9ca8412643516p-2, -0x1.97596d349ba69p-2, -0x1.920d933971183p-2, -0x1.8cc51217c4209p-2, -0x1.87804768decc6p-2, -0x1.823f8f612a18ep-2, -0x1.7d0344b6dc8d4p-2, -0x1.77cbc08a7d385p-2, -0x1.72995a51290a3p-2, -0x1.6d6c67c08a44cp-2, -0x1.68453cbc7fceap-2, -0x1.63242b4657d42p-2, -0x1.5e09836d9b10fp-2, -0x1.58f5934256bbap-2, -0x1.53e8a6c8d5ad7p-2, -0x1.4ee307eec1bd9p-2, -0x1.49e4fe81935c7p-2, -0x1.44eed02652135p-2, -0x1.4000c052878f2p-2, -0x1.3b1b104666174p-2, -0x1.363dff080b927p-2, -0x1.3169c95fdaf12p-2, -0x1.2c9ea9d5da65ap-2, -0x1.27dcd8b00a197p-2, -0x1.23248bf1ae191p-2, -0x1.1e75f75b75e93p-2, -0x1.19d14c6c7b9cdp-2, -0x1.1536ba640f6dcp-2, -0x1.10a66e4441542p-2, -0x1.0c2092d51fd0bp-2, -0x1.07a550a8a4001p-2, -0x1.0334ce1f3b20bp-2, -0x1.fd9e5ed9cc247p-3, -0x1.f4e92d3dd30e1p-3, -0x1.ec4a4743fb816p-3, -0x1.e3c1e891f4a5fp-3, -0x1.db5048a7e79f2p-3, -0x1.d2f59aef86e01p-3, -0x1.cab20ecbda9cfp-3, -0x1.c285cfa9c6d6p-3, -0x1.ba71051131785p-3, -0x1.b273d2b6bb648p-3, -0x1.aa8e588e08d53p-3, -0x1.a2c0b2dc789a9p-3, -0x1.9b0afa4c52f5fp-3, -0x1.936d4400514d1p-3, -0x1.8be7a1a77f954p-3, -0x1.847a219164feap-3, -0x1.7d24cec26db5fp-3, -0x1.75e7b10887abdp-3, -0x1.6ec2cd0fe7d13p-3, -0x1.67b62477f8ac3p-3, -0x1.60c1b5e858c1cp-3, -0x1.59e57d25ee1b5p-3, -0x1.53217328037a3p-3, -0x1.4c758e2d5d9fbp-3, -0x1.45e1c1d1579f2p-3, -0x1.3f65ff20e4cbep-3, -0x1.390234af8738fp-3, -0x1.32b64eac284f6p-3, -0x1.2c8236f5d53ffp-3, -0x1.2665d530505a1p-3, -0x1.20610ed8839a3p-3, -0x1.1a73c758b7679p-3, -0x1.149de01ca1bcfp-3, -0x1.0edf38a537be7p-3, -0x1.0937ae9c44614p-3, -0x1.03a71de7c96a1p-3, -0x1.fc5ac17a1f002p-4, -0x1.f1949f6706758p-4, -0x1.e6fb83ae79bb8p-4, -0x1.dc8f19768c37bp-4, -0x1.d24f09171f9dcp-4, -0x1.c83af83d3d5abp-4, -0x1.be528a0dc55c1p-4, -0x1.b4955f47793afp-4, -0x1.ab03166473a0cp-4, -0x1.a19b4bbad8e24p-4, -0x1.985d999cf9a11p-4, -0x1.8f499878b6618p-4, -0x1.865edef63c864p-4, -0x1.7d9d021610ea2p-4, -0x1.7503954e6bc93p-4, -0x1.6c922aa7e1bf9p-4, -0x1.644852d95c28ep-4, -0x1.5c259d635e95ap-4, -0x1.542998aa9b198p-4, -0x1.4c53d211d4be4p-4, -0x1.44a3d61310a24p-4, -0x1.3d193058161cfp-4, -0x1.35b36bd23f7e3p-4, -0x1.2e7212d19cd14p-4, -0x1.2754af1b673adp-4, -0x1.205ac9ffc958p-4, -0x1.1983ec6efccb4p-4, -0x1.12cf9f0dbdabdp-4, -0x1.0c3d6a49175bcp-4, -0x1.05ccd6698af22p-4, -0x1.fefad74b24c75p-5, -0x1.f29d646702f09p-5, -0x1.e68064b58ebbfp-5, -0x1.daa2e90926f95p-5, -0x1.cf040297ba07bp-5, -0x1.c3a2c319a9df4p-5, -0x1.b87e3ce77c98bp-5, -0x1.ad9583166a54dp-5, -0x1.a2e7a993c71c9p-5, -0x1.9873c53f4b89bp-5, -0x1.8e38ec044c0dcp-5, -0x1.843634f1d557p-5, -0x1.7a6ab851c1879p-5, -0x1.70d58fbec1abbp-5, -0x1.6775d6396386dp-5, -0x1.5e4aa83c1d37fp-5, -0x1.555323ce5e001p-5, -0x1.4c8e6896ad517p-5, -0x1.43fb97ebddc86p-5, -0x1.3b99d4e55847p-5, -0x1.3368446a83c5fp-5, -0x1.2b660d41535afp-5, -0x1.2392581bfb289p-5, -0x1.1bec4fa5d44fep-5, -0x1.1473208f74cf4p-5, -0x1.0d25f99a02001p-5, -0x1.06040ba1bf738p-5, -0x1.fe19134fc8c7p-6, -0x1.f07d51b770247p-6, -0x1.e3334145fb123p-6, -0x1.d639554368b1ap-6, -0x1.c98e05825f85dp-6, -0x1.bd2fce6d1db51p-6, -0x1.b11d311125986p-6, -0x1.a554b329c426dp-6, -0x1.99d4df296a335p-6, -0x1.8e9c4441ec30ap-6, -0x1.83a9766ba7c7bp-6, -0x1.78fb0e6ba895ap-6, -0x1.6e8fa9d8c4533p-6, -0x1.6465eb1fc1662p-6, -0x1.5a7c79868cc9cp-6, -0x1.50d2012e8cac1p-6, -0x1.476533160fc18p-6, -0x1.3e34c518ea307p-6, -0x1.353f71f0444f9p-6, -0x1.2c83f931a3a74p-6, -0x1.24011f4d353fdp-6, -0x1.1bb5ad8b63171p-6, -0x1.13a07209bbc64p-6, -0x1.0bc03fb730912p-6, -0x1.0413ee4fb6892p-6, -0x1.f934b4ae9b295p-7, -0x1.eaa4ca28ea321p-7, -0x1.dc75e9142d6f2p-7, -0x1.cea5e6e1dae81p-7, -0x1.c132a260d1207p-7, -0x1.b41a03ae41413p-7, -0x1.a759fc25a4609p-7, -0x1.9af0864fe1e7ap-7, -0x1.8edba5d1a87d4p-7, -0x1.831967590081p-7, -0x1.77a7e08a316aap-7, -0x1.6c852febfa0d9p-7, -0x1.61af7cd31a597p-7, -0x1.5724f74d5fd87p-7, -0x1.4ce3d80c094b6p-7, -0x1.42ea604dbaceep-7, -0x1.3936d9c7efd1dp-7, -0x1.2fc7968ff763fp-7, -0x1.269af1038e6c1p-7, -0x1.1daf4bb115f26p-7, -0x1.1503113f6fc39p-7, -0x1.0c94b4558c20cp-7, -0x1.0462af81ac8f5p-7, -0x1.f8d70a40cab77p-8, -0x1.e95b7e86c7b86p-8, -0x1.da4fdf2fff013p-8, -0x1.cbb15e9b3df2p-8, -0x1.bd7d3df7e7b03p-8, -0x1.afb0cd122d5e1p-8, -0x1.a2496a1f0c0e8p-8, -0x1.9544818821a03p-8, -0x1.889f8db75efa3p-8, -0x1.7c5816e2a3c35p-8, -0x1.706bb2d74f679p-8, -0x1.64d804c5cbecap-8, -0x1.599abd0d22e7cp-8, -0x1.4eb199069cde5p-8, -0x1.441a62d17c3cp-8, -0x1.39d2f11ed5d6ap-8, -0x1.2fd926fd8f722p-8, -0x1.262af3a69016bp-8, -0x1.1cc6524921a8ap-8, -0x1.13a949d7921dfp-8, -0x1.0ad1ecd415b84p-8, -0x1.023e591df196ap-8, -0x1.f3d96f7de87c8p-9, -0x1.e3b67972876afp-9, -0x1.d4104dab02601p-9, -0x1.c4e37ee29cce1p-9, -0x1.b62cb49c60c92p-9, -0x1.a7e8aac1b9f94p-9, -0x1.9a143141e1679p-9, -0x1.8cac2bb22688ap-9, -0x1.7fad90ef1df5ap-9, -0x1.73156abeb6f53p-9, -0x1.66e0d5734705dp-9, -0x1.5b0cff8f877aep-9, -0x1.4f97296b8f4cp-9, -0x1.447ca4dad2ab5p-9, -0x1.39bad4d3210e8p-9, -0x1.2f4f2d14b0dffp-9, -0x1.253731d339f7p-9, -0x1.1b7077601a567p-9, -0x1.11f8a1d597359p-9, -0x1.08cd64c32e80dp-9, -0x1.ffd905b607087p-10, -0x1.eea79b40cea04p-10, -0x1.de024a2efacfdp-10, -0x1.cde4eeebff176p-10, -0x1.be4b81aa43795p-10, -0x1.af3215c929989p-10, -0x1.a094d93d5fcfep-10, -0x1.927013fb6bbc8p-10, -0x1.84c0276487437p-10, -0x1.77818db5b3e9bp-10, -0x1.6ab0d97925279p-10, -0x1.5e4ab4f9ddaf5p-10, -0x1.524be1b99e0cap-10, -0x1.46b137e909986p-10, -0x1.3b77a5e219654p-10, -0x1.309c2fa4bc7ddp-10, -0x1.261bee55c4fbcp-10, -0x1.1bf40fc000301p-10, -0x1.1221d5d78e21bp-10, -0x1.08a2963f665d6p-10, -0x1.fee773a22513ap-11, -0x1.ed25784d12f01p-11, -0x1.dbfa564c7be0ap-11, -0x1.cb614d2292826p-11, -0x1.bb55bf276d084p-11, -0x1.abd330add2273p-11, -0x1.9cd5472c2e6fcp-11, -0x1.8e57c869ac734p-11, -0x1.805699af62df4p-11, -0x1.72cdbefd8f531p-11, -0x1.65b95a44d23abp-11, -0x1.5915aaa361ff8p-11, -0x1.4cdf0ba6280cep-11, -0x1.4111f48dbedf4p-11, -0x1.35aaf7974329p-11, -0x1.2aa6c148edb07p-11, -0x1.200217c269847p-11, -0x1.15b9da10d81f5p-11, -0x1.0bcaff867c7b7p-11, -0x1.02329715fb17p-11, -0x1.f1db8d6249895p-12, -0x1.dff39556803fbp-12, -0x1.cea7ea3d8bdebp-12, -0x1.bdf35aacfc71cp-12, -0x1.add0de73f4d66p-12, -0x1.9e3b957aac346p-12, -0x1.8f2ec6a871581p-12, -0x1.80a5ded01066ep-12, -0x1.729c6fa27f777p-12, -0x1.650e2ea7bbf99p-12, -0x1.57f6f43dbf45p-12, -0x1.4b52ba9d6c92dp-12, -0x1.3f1d9ce561dfap-12, -0x1.3353d62a95a38p-12, -0x1.27f1c08e9f258p-12, -0x1.1cf3d45b97685p-12, -0x1.1256a725788fep-12, -0x1.0816eaf0dfd41p-12, -0x1.fc62dabe352bdp-13, -0x1.e9462dbecf3d8p-13, -0x1.d6d1d3caa2216p-13, -0x1.c500044812d52p-13, -0x1.b3cb279d61335p-13, -0x1.a32dd5bad6f6p-13, -0x1.9322d4ae6bdccp-13, -0x1.83a51740ab9d3p-13, -0x1.74afbb9ab5fd8p-13, -0x1.663e09f52059ap-13, -0x1.584b734f990cep-13, -0x1.4ad39031131a4p-13, -0x1.3dd21f70518bbp-13, -0x1.31430504acb31p-13, -0x1.252248dedb42bp-13, -0x1.196c15c99967dp-13, -0x1.0e1cb85202abfp-13, -0x1.03309db777e12p-13, -0x1.f148a5c5c4878p-14, -0x1.dce906ca5690cp-14, -0x1.c93bf0f98a1e4p-14, -0x1.b63b304437b57p-14, -0x1.a3e0c8357e018p-14, -0x1.9226f22653466p-14, -0x1.81081b7df57aep-14, -0x1.707ee3fef4f1cp-14, -0x1.60861c208e452p-14, -0x1.5118c3740e297p-14, -0x1.42320715f1b0bp-14, -0x1.33cd402a82dep-14, -0x1.25e5f265a7abcp-14, -0x1.1877ca9da1f34p-14, -0x1.0b7e9d687b929p-14, -0x1.fdeccb87bfe4ap-15, -0x1.e5b6878e3b7b1p-15, -0x1.ce52f6be2c823p-15, -0x1.b7bae627af946p-15, -0x1.a1e765af52be4p-15, -0x1.8cd1c5be90d26p-15, -0x1.78739506414a5p-15, -0x1.64c69e528292dp-15, -0x1.51c4e66fb082bp-15, -0x1.3f68aa1ff975fp-15, -0x1.2dac5c211f1e1p-15, -0x1.1c8aa341fd6e2p-15, -0x1.0bfe58876a776p-15, -0x1.f8050ac019b6p-16, -0x1.d924c3cd7974dp-16, -0x1.bb52a6662dc29p-16, -0x1.9e85d36fa9fc5p-16, -0x1.82b5bf5d2d369p-16, -0x1.67da2f2170f6cp-16, -0x1.4deb3539c372cp-16, -0x1.34e12ed1d4dep-16, -0x1.1cb4c0ff97142p-16, -0x1.055ed61675p-16, -0x1.ddb1362290881p-17, -0x1.b236fa24cbeccp-17, -0x1.88424df2396d9p-17, -0x1.5fc6fe182dc28p-17, -0x1.38b9496ff84a2p-17, -0x1.130ddcc37dd9ap-17, -0x1.dd739d3038c8dp-18, -0x1.9765363d4cc7dp-18, -0x1.53dc408ed1ddap-18, -0x1.12c533f262e9p-18, -0x1.a81a79a90cabdp-19, -0x1.2f446a6907695p-19, -0x1.75ca776082cc6p-20, -0x1.2b6cbdeb096d8p-21, 0x1.07d2237978409p-22, 0x1.117505515f153p-20, 0x1.d907a3dda93bp-20, 0x1.4c736871b0b87p-19, 0x1.a8a576bb276e7p-19, 0x1.009a99176f38ep-18, 0x1.2b1e6f93436e1p-18, 0x1.53eaed56ce385p-18, 0x1.7b0c51efd5b36p-18, 0x1.a08e72760c91cp-18, 0x1.c47cbde128dep-18, 0x1.e6e2413495b6p-18, 0x1.03e4d5c111b13p-17, 0x1.139ea8e28485p-17, 0x1.22a3994b422a9p-17, 0x1.30f87cdeb083cp-17, 0x1.3ea201ccccc19p-17, 0x1.4ba4b036a8118p-17, 0x1.5804ebc220666p-17, 0x1.63c6f51d667b8p-17, 0x1.6eeeeb72ea69cp-17, 0x1.7980cdce19bc6p-17, 0x1.83807c71a2988p-17, 0x1.8cf1ba1f85be9p-17, 0x1.95d82d53ae6eep-17, 0x1.9e37617159aedp-17, 0x1.a612c7e3e2d16p-17, 0x1.ad6db9335a238p-17, 0x1.b44b760d57972p-17, 0x1.baaf28427f987p-17, 0x1.c09be3b90da45p-17, 0x1.c614a754e935bp-17, 0x1.cb1c5dd584734p-17, 0x1.cfb5deaa0ef6ep-17, 0x1.d3e3eebc27eabp-17, 0x1.d7a941319cb85p-17, 0x1.db0878256548dp-17, 0x1.de04255842b7cp-17, 0x1.e09ecad958621p-17, 0x1.e2dadba7019b7p-17, 0x1.e4babc48334e1p-17, 0x1.e640c35ec8a2bp-17, 0x1.e76f3a32d8f37p-17, 0x1.e8485d37918a6p-17, 0x1.e8ce5c89a8c89p-17, 0x1.e9035c67c581ap-17, 0x1.e8e975a51b64bp-17, 0x1.e882b61661ec3p-17, 0x1.e7d120f97f2d8p-17, 0x1.e6d6af580c018p-17, 0x1.e5955064f25fbp-17, 0x1.e40ee9d55127cp-17, 0x1.e2455834e6347p-17, 0x1.e03a6f362710cp-17, 0x1.ddeff9fe3c321p-17, 0x1.db67bb6d07115p-17, 0x1.d8a36e6173fc5p-17, 0x1.d5a4c5fa1d645p-17, 0x1.d26d6dd29720fp-17, 0x1.ceff0a3d68dc8p-17, 0x1.cb5b387ae456ap-17, 0x1.c7838eed0fb2p-17, 0x1.c3799d48b0c49p-17, 0x1.bf3eecc3a3371p-17, 0x1.bad50040a4ae1p-17, 0x1.b63d5478a9bap-17, 0x1.b1796021e276dp-17, 0x1.ac8a9414875b2p-17, 0x1.a7725b6d8dec3p-17, 0x1.a2321baf6509cp-17, 0x1.9ccb34e0cb8f8p-17, 0x1.973f01a9d6e99p-17, 0x1.918ed76f592a3p-17, 0x1.8bbc066c98388p-17, 0x1.85c7d9cb96f1ap-17, 0x1.7fb397bbe061cp-17, 0x1.7980818804a4ep-17, 0x1.732fd3a9c8df4p-17, 0x1.6cc2c5dd2b733p-17, 0x1.663a8b32451a7p-17, 0x1.5f98521e16bcdp-17, 0x1.58dd448a6529ap-17, 0x1.520a87e495bbdp-17, 0x1.4b213d2bc0143p-17, 0x1.442280fdda89ap-17, 0x1.3d0f6ba4342fbp-17, 0x1.35e9111f2fe91p-17, 0x1.2eb081315b0a9p-17, 0x1.2766c769e5527p-17, 0x1.200ceb2e88539p-17, 0x1.18a3efc4e7d75p-17, 0x1.112cd45b76e2bp-17, 0x1.09a89411e970dp-17, 0x1.021826013eb35p-17, 0x1.f4f8fa86d5404p-18, 0x1.e5ad11f55007dp-18, 0x1.d64e68b0f6ed9p-18, 0x1.c6decd48dc83ap-18, 0x1.b760068511b2dp-18, 0x1.a7d3d37325f3p-18, 0x1.983beb7242ecdp-18, 0x1.8899fe3eea23ap-18, 0x1.78efb3fe65f56p-18, 0x1.693ead49f3fb9p-18, 0x1.59888339b7cc1p-18, 0x1.49cec76f79445p-18, 0x1.3a1304213d12cp-18, 0x1.2a56bc23bd8b3p-18, 0x1.1a9b6af4c98afp-18, 0x1.0ae284c594f31p-18, 0x1.f65aed09feacap-19, 0x1.d6fb4bd3a80bp-19, 0x1.b7a8e2fa20e7ap-19, 0x1.986661485f019p-19, 0x1.7936675705312p-19, 0x1.5a1b87a137abp-19, 0x1.3b18469999c45p-19, 0x1.1c2f1abf83a2p-19, 0x1.fac4d968d41d4p-20, 0x1.bd692ea316facp-20, 0x1.804fcf7bc34c2p-20, 0x1.437d3b08bafcfp-20, 0x1.06f5d554e5bc8p-20, 0x1.957bcf1bdee42p-21, 0x1.1db34065652f9p-21, 0x1.4d344d096371ap-22, 0x1.81c3a6c32fdf5p-24, -0x1.15a855fd926a9p-23, -0x1.748bda7cdf6a7p-22, -0x1.2e53ba9828a6cp-21, -0x1.a18c58d1ec9cbp-21, -0x1.09f46aede1f93p-20, -0x1.42b138f3c5c7ep-20, -0x1.7af94f7f4e24ap-20, -0x1.b2c9804aec048p-20, -0x1.ea1eb5901ea35p-20, -0x1.107af8e7fa8ccp-19, -0x1.2ba627cd6a116p-19, -0x1.468f80abbffb7p-19, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      40, 0x1.3333333333333p+2, 0x1.1e10fe3be02bbp+1, 0x1.13fb35af310a3p+2, -0x1.3630e845dcb0ap-5, 
      {{
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.ae4a67ab40be9p-4, -0x1.4711a68b8afc1p-2, 0x1.6d7b6dfa50b56p-2, -0x1.4a0b81922e233p-3}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.7072fc7bbb1e2p-4, -0x1.23c22697dc0bdp-2, 0x1.54ba910f5a0c3p-2, -0x1.407f31eea7bfp-3}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.396cb5c13a978p-4, -0x1.02e32bcb611c6p-2, 0x1.3cb106ea40aacp-2, -0x1.38610c46b3889p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.08bc69ed0dc95p-4, -0x1.c8c7812d8ef42p-3, 0x1.25435931c0006p-2, -0x1.2fe0cb0932caep-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.bbd45652a05dcp-5, -0x1.9067e1807a37p-3, 0x1.0e78e3910f646p-2, -0x1.277ace265d406p-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.71028eb1d437ap-5, -0x1.5c87062cb68e8p-3, 0x1.f09f5b692a65ep-3, -0x1.1f0ddb6e612b9p-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.3020902f217cep-5, -0x1.2d04a1e11ab96p-3, 0x1.c5907a7f0238ap-3, -0x1.16a27bb0569dp-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.f0a3cae718807p-6, -0x1.01c05cf516086p-3, 0x1.9bc4e7f15ba14p-3, -0x1.0e37c5dfab6ddp-3}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.91812133648c3p-6, -0x1.b533c81822b54p-4, 0x1.733c8a4301ea1p-3, -0x1.05c8d55f95bacp-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.413a165b96125p-6, -0x1.6ee1b9e1ed886p-4, 0x1.4bf803db11dbp-3, -0x1.fad44b5f84cd7p-4}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.fc7918b69eddap-7, -0x1.304a090963eb2p-4, 0x1.25f4e49a4e4bep-3, -0x1.e99d5adcad081p-4}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.8e06a822ccccbp-7, -0x1.f25708a29bc07p-5, 0x1.013c4a968e1e2p-3, -0x1.da2c2d460cf3bp-4}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.342c5a7fc8504p-7, -0x1.928ef0995b6b9p-5, 0x1.bb585b2f67185p-4, -0x1.bee5e9ffe908bp-4}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.d829c604a160bp-8, -0x1.4097c1df3c371p-5, 0x1.784f7815d0effp-4, -0x1.97ca9016d5756p-4}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.6629b341aad2dp-8, -0x1.f6e529f3de761p-6, 0x1.3b2448df30eb7p-4, -0x1.7274fbf453fa7p-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.0d72d848f2cf4p-8, -0x1.83f3c271484b4p-6, 0x1.0392bcadbdec8p-4, -0x1.4ca5cc38948b1p-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.9326d04d649c6p-9, -0x1.261a32db9023ap-6, 0x1.a35a227db5aebp-5, -0x1.26f7451b3c5dcp-4}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.2d1adac22ad08p-9, -0x1.b6296b6ce0593p-7, 0x1.4adcc0f589f95p-5, -0x1.013fb71d836ffp-4}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.c35b27e0ed4cp-10, -0x1.414076074fc36p-7, 0x1.fb60140c91e1bp-6, -0x1.b7173805d10d5p-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.5564dd98d98f4p-10, -0x1.d1e61fb80633p-8, 0x1.77a5e9a46cc4cp-6, -0x1.6ba578786633ap-5}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.05c91a7c303b1p-10, -0x1.51755df85bb4ap-8, 0x1.0a8ddf19e7b5ap-6, -0x1.2052f88599605p-5}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.979b0085a732ep-11, -0x1.f045c0e1c8c3dp-9, 0x1.681d2916d9ca4p-7, -0x1.a91a07010a81p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.410e1d18e4e68p-11, -0x1.79bba6a062ebep-9, 0x1.d12ab46046e16p-8, -0x1.14eb4653eb6b5p-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.fb688b82201cp-12, -0x1.2d50962186b57p-9, 0x1.2b03f0945339ap-8, -0x1.d0bb295ca7567p-8}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.8de9e2b9704b3p-12, -0x1.f0f721c04311dp-10, 0x1.ca9c87f3410d1p-9, -0x1.39fa05d5935acp-9}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.3360f8cca137fp-12, -0x1.99f3e55e55b5fp-10, 0x1.9b83d3e0048c7p-9, -0x1.70e542f96a5cfp-9}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.d27fd2eda6c7fp-13, -0x1.4d2ee3ad97ad8p-10, 0x1.642e3d0767cb9p-9, -0x1.4362c09033e07p-9}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.5ad3958fa5729p-13, -0x1.0acc3e3364f91p-10, 0x1.33ac39be9335fp-9, -0x1.30c92649ce2aep-9}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.f79c02f2b2205p-14, -0x1.a3ab8cda36874p-11, 0x1.05f474004de2dp-9, -0x1.16f9ab0531dafp-9}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.6394f4febdff2p-14, -0x1.4341e6247cb6p-11, 0x1.b8379b18a66aap-10, -0x1.fe31972d41b25p-10}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.e5bc01435d991p-15, -0x1.e5bbd7e6df3a7p-12, 0x1.6bb02ad1dc902p-10, -0x1.cd66bb9c2f4b8p-10}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.3eb0b9dd94bdbp-15, -0x1.6219bd0ad01a9p-12, 0x1.267a5b7a6f11fp-10, -0x1.9ce31b2ec9d3ep-10}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.8de9e2b97053bp-16, -0x1.f164565f722b3p-13, 0x1.d116fb9a07fc2p-11, -0x1.6c4baae69ff77p-10}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.d27fd2eda6db8p-17, -0x1.4d36b96d1c6a6p-13, 0x1.63cd1521a4cbep-11, -0x1.3bbc3ee5dc005p-10}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.f79c02f2b24d8p-18, -0x1.a3acc5a7b0ad3p-14, 0x1.05149bdcaf98fp-11, -0x1.0b2091a243388p-10}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.e5bc01435df1fp-19, -0x1.e5bb443e2f93p-15, 0x1.69e279f19d43ep-12, -0x1.b55bca453249ap-11}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.8de9e2b970f4p-20, -0x1.f169e170cbc24p-16, 0x1.cd5aadb9b5f63p-13, -0x1.5346edac0d8p-11}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.f79c02f2b4bffp-22, -0x1.a38370ec51dfap-17, 0x1.01c9b8b8e10cbp-13, -0x1.eb3c3be4aee08p-12}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.8de9e2b979001p-24, -0x1.f3cbee53fd26ep-19, 0x1.b9ab67d118c11p-15, -0x1.0ee93ca94eb5fp-12}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.8de9e2ba2p-28, -0x1.a9998449fea38p-22, 0x1.d24e15b14fa03p-17, -0x1.6a8e9be33c8e2p-12}, 
      }}, 
      0x1.5527d8766991ap-8, -0x1.06e952c93722cp-5
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_h_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, 0x0p+0, -0x1.e8a753968009ap-3, -0x1.50600f5f43877p-5, 0x1.ad916872b020cp-2, 0x1.ad916872b020cp-2, 0x1.ad916872b020cp-2, 0, 0, 1}, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.2bd66a61f6d8fp-1, -0x1.2b8e8a21cb8edp-1, -0x1.2b1a0c027d89dp-1, -0x1.2a7c446cf3513p-1, -0x1.29b7c03d50268p-1, -0x1.28ced9f96c9bbp-1, -0x1.27c46d59f71b5p-1, -0x1.269aa726bd0aep-1, -0x1.2553c08d7e54p-1, -0x1.23f1d5f47b47ep-1, -0x1.2276e6a580802p-1, -0x1.20e4d8b9d5188p-1, -0x1.1f3d328650c04p-1, -0x1.1d82249644e71p-1, -0x1.1bb50c337d549p-1, -0x1.19d76d1d6087ap-1, -0x1.17eaba56601c2p-1, -0x1.15f038ab0912ep-1, -0x1.13e93ea4912cdp-1, -0x1.11d6f6322d2a7p-1, -0x1.0fba7d3e928a8p-1, -0x1.0d94dffa2ebbep-1, -0x1.0b671bf1ba714p-1, -0x1.09321c22163p-1, -0x1.06f6bbb988fbp-1, -0x1.04b5cbe5ffb9ap-1, -0x1.026ff1a08d952p-1, -0x1.002617d98f895p-1, -0x1.fbb1975ad51b1p-2, -0x1.f71153b6854f2p-2, -0x1.f26c87ac3800dp-2, -0x1.edc444745939ep-2, -0x1.e919838a6d025p-2, -0x1.e46d2efc7c789p-2, -0x1.dfc01ee88371ap-2, -0x1.db131b34a5d14p-2, -0x1.d666dc9d476d9p-2, -0x1.d1bc0d74ffdefp-2, -0x1.cd134a96ecf29p-2, -0x1.c86d2576ac4f5p-2, -0x1.c3ca1f2b0aa1bp-2, -0x1.bf2ab482e69a4p-2, -0x1.ba8f5383d09ccp-2, -0x1.b5f861762a989p-2, -0x1.b1663b2472e08p-2, -0x1.acd934c1d7f04p-2, -0x1.a8519a0a25501p-2, -0x1.a3cfb024c7fa6p-2, -0x1.9f53b5ba194c5p-2, -0x1.9adde2530ff86p-2, -0x1.966e6895f239ap-2, -0x1.9205750bba99ap-2, -0x1.8da32feab326dp-2, -0x1.8947bc3f1c621p-2, -0x1.84f32fc1ff851p-2, -0x1.80a5b97ee11ep-2, -0x1.7c5f746cf2114p-2, -0x1.78204ce2ebd06p-2, -0x1.73e8765597beep-2, -0x1.6fb804c5dd182p-2, -0x1.6b8ef20e9c6acp-2, -0x1.676d4e70d874p-2, -0x1.635321d5958adp-2, -0x1.5f40728903d87p-2, -0x1.5b3544bc928b8p-2, -0x1.57319c6d7c7a7p-2, -0x1.53357a66416b9p-2, -0x1.4f40df755917ep-2, -0x1.4b53cb29cd765p-2, -0x1.476e3bf04dfcbp-2, -0x1.43902f77cefb6p-2, -0x1.3fb9a2e7e2d5cp-2, -0x1.3bea9079d948fp-2, -0x1.3822fa07c9f19p-2, -0x1.3462d5007f415p-2, -0x1.30aa1e462fd07p-2, -0x1.2cf8d3532a1fp-2, -0x1.294ee66bcf173p-2, -0x1.25ac59d7e84d1p-2, -0x1.221124f46e71cp-2, -0x1.1e7d4179562bp-2, -0x1.1af0abe038298p-2, -0x1.176b576130de1p-2, -0x1.13ed43f9dd651p-2, -0x1.10766975c1aa8p-2, -0x1.0d06c1b256c88p-2, -0x1.099e466aa89a1p-2, -0x1.063cf1e1dd9f5p-2, -0x1.02e2bb635056ep-2, -0x1.ff1f4987d3d42p-3, -0x1.f887416f6b5e3p-3, -0x1.f1fd588307f3ep-3, -0x1.eb8182513e453p-3, -0x1.e513b56c24b8ep-3, -0x1.deb3e6dffa1e2p-3, -0x1.d8620cbc75d79p-3, -0x1.d21e1c3ff20c2p-3, -0x1.cbe80bc2c124ap-3, -0x1.c5bfd2be8200ep-3, -0x1.bfa569cae19d9p-3, -0x1.b998badb51a69p-3, -0x1.b399cd42555cap-3, -0x1.ada88f4f7583p-3, -0x1.a7c4fb32b59ddp-3, -0x1.a1ef07ac27024p-3, -0x1.9c26ac245081cp-3, -0x1.966be08f9b94fp-3, -0x1.90be9c5615aa6p-3, -0x1.8b1ed78198fdfp-3, -0x1.858c8a00609d8p-3, -0x1.8007ac171c51cp-3, -0x1.7a90378c9d808p-3, -0x1.75261d5e34633p-3, -0x1.6fc95c6b9d46p-3, -0x1.6a79eaf1f8765p-3, -0x1.6537c06702de7p-3, -0x1.6002d48ff1e4bp-3, -0x1.5adb1f48a313dp-3, -0x1.55c0976394385p-3, -0x1.50b337af1efep-3, -0x1.4bb2f4236cb78p-3, -0x1.46bfc4c5035a7p-3, -0x1.41d9a12d5d836p-3, -0x1.3d0080247f10dp-3, -0x1.38345865a7408p-3, -0x1.337520adca7a9p-3, -0x1.2ec2ce3f08b58p-3, -0x1.2a1d5a3557022p-3, -0x1.2584b5fe2968fp-3, -0x1.20f8dbc43c59ap-3, -0x1.1c79bdd7962dbp-3, -0x1.1807522f043bep-3, -0x1.13a18dab08c75p-3, -0x1.0f48652779ce8p-3, -0x1.0afbcc7b4c18ap-3, -0x1.06bbb7d78d8a5p-3, -0x1.02881ab2c58fcp-3, -0x1.fcc1d14e3a432p-4, -0x1.f48c20f5723ffp-4, -0x1.ec6f228c76951p-4, -0x1.e46aa1c1e8462p-4, -0x1.dc7e8b9c55e51p-4, -0x1.d4aac4ed62aa9p-4, -0x1.ccef2c18c7d8p-4, -0x1.c54ba9718835ep-4, -0x1.bdc01a311460fp-4, -0x1.b64c5f4d34609p-4, -0x1.aef05be221a52p-4, -0x1.a7abec567f013p-4, -0x1.a07ef0e35b109p-4, -0x1.996947b7404fbp-4, -0x1.926ace7d6f2fp-4, -0x1.8b835e3cd0c7ep-4, -0x1.84b2deb5d7f9bp-4, -0x1.7df91a634bc72p-4, -0x1.7755ff1b96b94p-4, -0x1.70c95db0dc35dp-4, -0x1.6a530d3c82e08p-4, -0x1.63f2ec4a73b69p-4, -0x1.5da8d1535887fp-4, -0x1.577491c54c1bfp-4, -0x1.51560f3a1a462p-4, -0x1.4b4d17db86967p-4, -0x1.455979174ded8p-4, -0x1.3f7b2dda3a12cp-4, -0x1.39b1e7f8200e5p-4, -0x1.33fd86d603dbfp-4, -0x1.2e5de4c51d2eep-4, -0x1.28d2d208baf26p-4, -0x1.235c249267455p-4, -0x1.1df9b05b46829p-4, -0x1.18ab49eace9cep-4, -0x1.1370c431fca06p-4, -0x1.0e49f2e2f90ebp-4, -0x1.0936a927f4292p-4, -0x1.0436a26e778a2p-4, -0x1.fe93f0640f383p-5, -0x1.f4e06c973e29cp-5, -0x1.eb528efd54673p-5, -0x1.e1e9fa9f402e1p-5, -0x1.d8a653e3226dbp-5, -0x1.cf8736ab7aff1p-5, -0x1.c68c652cacbb9p-5, -0x1.bdb564a5d9b25p-5, -0x1.b501e378eed4fp-5, -0x1.ac7185a1957fdp-5, -0x1.a403eda2febb2p-5, -0x1.9bb8c08f36897p-5, -0x1.938fa17724342p-5, -0x1.8b8833ffe0912p-5, -0x1.83a27baf68addp-5, -0x1.7bdcfadef7e37p-5, -0x1.743872dbee28dp-5, -0x1.6cb42a23c00f3p-5, -0x1.654fc21c3b53dp-5, -0x1.5e0adff9d624p-5, -0x1.56e51e0466d9ap-5, -0x1.4fde26ce187cbp-5, -0x1.48f59a40ce63fp-5, -0x1.422b1ac603a6cp-5, -0x1.3b7e49c1985f7p-5, -0x1.34eec7028dd47p-5, -0x1.2e7c37c4ca60ap-5, -0x1.28263cb9074ap-5, -0x1.21ec76ba76835p-5, -0x1.1bce7ec550d7ep-5, -0x1.15cc137f520dcp-5, -0x1.0fe4b1daf8086p-5, -0x1.0a18197a28606p-5, -0x1.0465d94528ebap-5, -0x1.fd9b3fbfc5f46p-6, -0x1.f29e03d240a57p-6, -0x1.e7d35732b6b8ep-6, -0x1.dd3a8570a5cbp-6, -0x1.d2d2be7f780ffp-6, -0x1.c89b7b8125875p-6, -0x1.be93dba7d4eb6p-6, -0x1.b4bb39d7c9a9ep-6, -0x1.ab10e05eacf12p-6, -0x1.a1942103a7c39p-6, -0x1.98444e70602b5p-6, -0x1.8f20b908ad028p-6, -0x1.85ff67fa00a6p-6, -0x1.7d33b652896dcp-6, -0x1.74926795289cep-6, -0x1.6c1b08a44065ap-6, -0x1.63cce5d2a5f09p-6, -0x1.5ba75c5feeea4p-6, -0x1.53a9ca5b942ccp-6, -0x1.4bd38ed5d5888p-6, -0x1.4424123ae925dp-6, -0x1.3c9ab64a75785p-6, -0x1.3536e28467af5p-6, -0x1.2df801f677729p-6, -0x1.26dd7c45f4cbep-6, -0x1.1fe6d76b25f46p-6, -0x1.191353a9dc9a6p-6, -0x1.12628eedf4fcbp-6, -0x1.0bd3f423278ep-6, -0x1.0566f928a9b01p-6, -0x1.fe3635c335ea8p-7, -0x1.f1df9ccb88723p-7, -0x1.e5c91b6c16791p-7, -0x1.d9f1c7b61ae21p-7, -0x1.ce58d789576d8p-7, -0x1.c2fcede9bd179p-7, -0x1.b7df7ecbd16f6p-7, -0x1.acf8e857edf0ep-7, -0x1.a24eff5a94dcbp-7, -0x1.97dea247d4391p-7, -0x1.8da6c0ab31fe2p-7, -0x1.83a677c1ef745p-7, -0x1.79dcf3d2ac27cp-7, -0x1.7049533f2a2acp-7, -0x1.66eab235951dep-7, -0x1.5dc036996098ap-7, -0x1.54c90992f0225p-7, -0x1.4c044bef3507p-7, -0x1.43711b5cd416ap-7, -0x1.3b0eb4355e984p-7, -0x1.32dc3fb99ac47p-7, -0x1.2ad8ec48d777bp-7, -0x1.2303e345f7419p-7, -0x1.1b5c5c31f8bddp-7, -0x1.13e18a3ccb17cp-7, -0x1.0c9296ba12ec7p-7, -0x1.056ed9217016p-7, -0x1.fceb020642dbbp-8, -0x1.ef4b22957dbfdp-8, -0x1.e1fd0ebc27c69p-8, -0x1.d4ff1f6a37fb1p-8, -0x1.c84fbda740079p-8, -0x1.bbed7c61abae5p-8, -0x1.afd7281c68334p-8, -0x1.a40ae66e37642p-8, -0x1.988775e1f82dbp-8, -0x1.8d4b5ada60b4fp-8, -0x1.82554c7289041p-8, -0x1.77a3c30086269p-8, -0x1.6d35709499feap-8, -0x1.630929c52b899p-8, -0x1.591d5194b49cap-8, -0x1.4f70ad8f47ef3p-8, -0x1.4601f8ec7d7edp-8, -0x1.3ccfdb5af6934p-8, -0x1.33d92f4de1fedp-8, -0x1.2b1c916d7d685p-8, -0x1.2298d9eafe5fp-8, -0x1.1a4cc990a482bp-8, -0x1.12372bb3ffe56p-8, -0x1.0a56d08dd46cbp-8, -0x1.02aa860cc42ffp-8, -0x1.f66263b3c0749p-9, -0x1.e7d35018a5effp-9, -0x1.d9a5a7c8b0858p-9, -0x1.cbd717cb2e9a1p-9, -0x1.be658bf9d2d5dp-9, -0x1.b14eb8f3d13ddp-9, -0x1.a490d0708d991p-9, -0x1.982975ae5c8e4p-9, -0x1.8c16c12fa873fp-9, -0x1.8056b191f1b0dp-9, -0x1.74e74e0930324p-9, -0x1.69c6ac5383819p-9, -0x1.5ef2eade54233p-9, -0x1.546894cdd394ap-9, -0x1.4a2ab53bc4f5fp-9, -0x1.403283f3cb23fp-9, -0x1.36800efa530d9p-9, -0x1.2d11b1d12136cp-9, -0x1.23e5e5d33df7fp-9, -0x1.1afa59361767dp-9, -0x1.124e2e8e93aep-9, -0x1.09dfb937aee1ap-9, -0x1.01ad1eb97bb75p-9, -0x1.f36a7f54ab6bcp-10, -0x1.e3ed165ea617p-10, -0x1.d4df3d74cc798p-10, -0x1.c63e154e9a7adp-10, -0x1.b8062390b7678p-10, -0x1.aa377b905fafcp-10, -0x1.9cccc65527c7bp-10, -0x1.8fc59223207fcp-10, -0x1.831c06c327413p-10, -0x1.76d15cb878ab4p-10, -0x1.6ae19c97966d9p-10, -0x1.5f4ad7cf57a1ep-10, -0x1.540bdf3a9978fp-10, -0x1.491f106e50b65p-10, -0x1.3e85b60ba7d6fp-10, -0x1.343c8bbf215c5p-10, -0x1.2a41875438e69p-10, -0x1.20929364778b4p-10, -0x1.172e6f2b353b2p-10, -0x1.0e115840bf445p-10, -0x1.053a6e82d618p-10, -0x1.f952a7ff3b04fp-11, -0x1.e8b4ce02d087bp-11, -0x1.d89788e229e08p-11, -0x1.c8f970524a9c8p-11, -0x1.b9d5c8762ff94p-11, -0x1.ab2999f12f4a3p-11, -0x1.9cf189edc4717p-11, -0x1.8f2aebb677c02p-11, -0x1.81d1fc8d17ab5p-11, -0x1.74e3eb26950c9p-11, -0x1.685daf37e2efcp-11, -0x1.5c3c65d35739ap-11, -0x1.507d2c43d1ed5p-11, -0x1.451daa5d80f7cp-11, -0x1.3a19af822b4f2p-11, -0x1.2f7003199cf04p-11, -0x1.251e3451c7162p-11, -0x1.1b20d38830782p-11, -0x1.11759995bdefcp-11, -0x1.081a43d0f35e4p-11, -0x1.fe18edf4c3a9fp-12, -0x1.ec93c907d64f4p-12, -0x1.dba37dd60fb4p-12, -0x1.cb42afed6b15ap-12, -0x1.bb5eab98e10dfp-12, -0x1.ac0705478a9b5p-12, -0x1.9d30dd1451c79p-12, -0x1.8ed7383d0ccc7p-12, -0x1.80f80b51a5b81p-12, -0x1.738ddb284e7b3p-12, -0x1.66956a48f0b93p-12, -0x1.5a0b8451c5618p-12, -0x1.4dece9423e015p-12, -0x1.4235b2a64188p-12, -0x1.36e23ee8d73d5p-12, -0x1.2bf1481f37a99p-12, -0x1.215963844c12ep-12, -0x1.172499457e7cbp-12, -0x1.0d4384644ce02p-12, -0x1.03b8c7be4548dp-12, -0x1.f500817627186p-13, -0x1.e32f76f13f77bp-13, -0x1.d200d04140643p-13, -0x1.c157cf59d8ac4p-13, -0x1.b146c823e157bp-13, -0x1.a1c2523c4e89p-13, -0x1.92c5030d73343p-13, -0x1.844ab300a269cp-13, -0x1.7651037c16539p-13, -0x1.68ccfc5907ef6p-13, -0x1.5bc0c6001d531p-13, -0x1.4f2707e4d1b03p-13, -0x1.42fb7e28c0d5dp-13, -0x1.373f239de2ff3p-13, -0x1.2bdf8b0f1f1a5p-13, -0x1.20ea5814722c3p-13, -0x1.16540d5de7bc8p-13, -0x1.0c1a67b758f32p-13, -0x1.023a5ed079a93p-13, -0x1.f1615ba538438p-14, -0x1.def0e24104222p-14, -0x1.cd295890246e7p-14, -0x1.bbf7b9947df4dp-14, -0x1.ab5cb51cf6ccep-14, -0x1.9b6eb2ca4b4bep-14, -0x1.8bd1260cf8a84p-14, -0x1.7d02db08e77b9p-14, -0x1.6e682410c7031p-14, -0x1.60705679a0ba9p-14, -0x1.52f0875b80c1bp-14, -0x1.45e65ac988a92p-14, -0x1.394bdb5f42614p-14, -0x1.2d1de0076477bp-14, -0x1.21584f644c0a2p-14, -0x1.15f6c3248053fp-14, -0x1.0ae42c183d243p-14, -0x1.0054ee87ea33cp-14, -0x1.ec1b79daef228p-15, -0x1.d8395231bf96fp-15, -0x1.c4fe80d0f2c4ap-15, -0x1.b25443c9ebd99p-15, -0x1.a067fbef33562p-15, -0x1.8f01d1ca698a1p-15, -0x1.7e2b64f7a4299p-15, -0x1.6dddda0466415p-15, -0x1.5e48429774058p-15, -0x1.4ed2f0e5f753ep-15, -0x1.401b6e8b4b149p-15, -0x1.3131ba435fdeep-15, -0x1.23b9cb932c758p-15, -0x1.1677e30c44381p-15, -0x1.097c7505ddeafp-15, -0x1.f9c9d3cfd8db8p-16, -0x1.e162a87b894b8p-16, -0x1.c9bdd5264039bp-16, -0x1.b2d25f865aff9p-16, -0x1.9c968fdf3d7fep-16, -0x1.870a9b2a9a6afp-16, -0x1.722558e0e50bep-16, -0x1.5de1d802e419fp-16, -0x1.4a3854c9ee3a6p-16, -0x1.372574f1d75fep-16, -0x1.24a3021464a43p-16, -0x1.12a917f9cc0a2p-16, -0x1.00def33c5a52dp-16, -0x1.e08eaa9aed88ap-17, -0x1.bfd5221305d09p-17, -0x1.9ff4cd7152ed3p-17, -0x1.7fddac1c3eebap-17, -0x1.62c02c1203ec7p-17, -0x1.457af4f95c796p-17, -0x1.29111faaa5dc8p-17, -0x1.0d74d7115bbbdp-17, -0x1.e541361b005ap-18, -0x1.b1206a8017251p-18, -0x1.7e9ea748e5351p-18, -0x1.4d73e38880dd8p-18, -0x1.1d11ab17f19e8p-18, -0x1.df13c4b13ab2bp-19, -0x1.85000738f979cp-19, -0x1.2cc120db133acp-19, -0x1.aaaec73644dc4p-20, -0x1.044fafb6ab421p-20, -0x1.8a32fe4650194p-22, 0x1.d5ba15f733bc1p-23, 0x1.a5da7efd30fc7p-21, 0x1.64225828129ebp-20, 0x1.f89ed0d8c6b66p-20, 0x1.41b944b79a4c6p-19, 0x1.869f71c7e25cp-19, 0x1.c8e1e5b54aee4p-19, 0x1.0442b1b3aee82p-18, 0x1.23db52e999b86p-18, 0x1.4242a9101669cp-18, 0x1.5fbcde9e667edp-18, 0x1.7c5dde73490eep-18, 0x1.97cee343a4296p-18, 0x1.b31c396600931p-18, 0x1.ccca48d25d84cp-18, 0x1.e69aac313fd3ep-18, 0x1.ff2cb3f0272dep-18, 0x1.0b7d4c5dcdf5ap-17, 0x1.16e3f473e1e08p-17, 0x1.222e86a6c11fbp-17, 0x1.2cf9bdf478107p-17, 0x1.376a9ce3d29acp-17, 0x1.4181e3357b27fp-17, 0x1.4b30ecede07fep-17, 0x1.54a9a6151e6c4p-17, 0x1.5da72b160c013p-17, 0x1.675b1f4b600d3p-17, 0x1.6f36e3aed714cp-17, 0x1.7703a1197cdb3p-17, 0x1.7ee10df66d869p-17, 0x1.85ab747e9bb5bp-17, 0x1.8d3897da75b98p-17, 0x1.94516ab53fe4p-17, 0x1.9ba42d81cc2e3p-17, 0x1.a12765049064fp-17, 0x1.a71cd1d63655fp-17, 0x1.ad69c0e0c4397p-17, 0x1.b23670a6bd3adp-17, 0x1.b755f5c880dbbp-17, 0x1.bc2f7183dba26p-17, 0x1.c0c3c2a3fe388p-17, 0x1.c5121ea8fb24fp-17, 0x1.c91cc9d2761ecp-17, 0x1.cce7b316b7621p-17, 0x1.cfb6332e3c222p-17, 0x1.d3a9edab01345p-17, 0x1.d6ae5bc1bf9a8p-17, 0x1.d9eae0266e2b7p-17, 0x1.db8b34bbf7d9bp-17, 0x1.de26df20ec48cp-17, 0x1.e0286f89098f7p-17, 0x1.e1ece72f4823dp-17, 0x1.e374994e77b83p-17, 0x1.e4c2450eb7b93p-17, 0x1.e5d0efe69a091p-17, 0x1.e6a65d6584bfdp-17, 0x1.e740cca13b6fep-17, 0x1.e7a62ee1074ddp-17, 0x1.e802c2b926c26p-17, 0x1.e7c21c4255666p-17, 0x1.e778cc3f7f444p-17, 0x1.e6fcb30c871f5p-17, 0x1.e64b9cd92ac92p-17, 0x1.e568e225ba177p-17, 0x1.e445b53e728a1p-17, 0x1.e22a70fa72159p-17, 0x1.e1347dfb66322p-17, 0x1.dfcca87b6cb8dp-17, 0x1.dde727f228ae1p-17, 0x1.dbbdc9842750cp-17, 0x1.d82c372edc996p-17, 0x1.d770dd2279166p-17, 0x1.d440d81bccf79p-17, 0x1.d1fec49141971p-17, 0x1.cea3b311ca354p-17, 0x1.cb798c126f6fbp-17, 0x1.c8253fde6a80ep-17, 0x1.c4a7316bb67c3p-17, 0x1.c0fc5ef8951b3p-17, 0x1.bd2a5b508357ep-17, 0x1.b92fea748393cp-17, 0x1.b50f17b4d0745p-17, 0x1.b0c6477c23201p-17, 0x1.ac56ba0657076p-17, 0x1.a7c498d5bab22p-17, 0x1.a3049a7ef453bp-17, 0x1.9e276b7fb6e2dp-17, 0x1.992c8e51aee25p-17, 0x1.940b590c71ebdp-17, 0x1.8ec8b2c8a4965p-17, 0x1.896582c3bac6dp-17, 0x1.83e39bbc866b9p-17, 0x1.7e3561170945p-17, 0x1.788499e13e083p-17, 0x1.72a691e6e55c7p-17, 0x1.6cb05f7142652p-17, 0x1.669702c30f1f1p-17, 0x1.606e0e7016659p-17, 0x1.5a1691b77191ep-17, 0x1.53b17a88c09f4p-17, 0x1.4d356c673aa7p-17, 0x1.46ab0106417d8p-17, 0x1.404a571e87c47p-17, 0x1.393804b0a5b61p-17, 0x1.3258fe1ab1206p-17, 0x1.2b6a0bde66163p-17, 0x1.2469665d8c645p-17, 0x1.1d55a2518ecap-17, 0x1.162f7354fab0ap-17, 0x1.0ef85b78e0bdp-17, 0x1.07b9c0a312d2dp-17, 0x1.00715c06a16dap-17, 0x1.f4f891155bee1p-18, 0x1.e31376d5324d5p-18, 0x1.d3eaf2feee419p-18, 0x1.c4c01136886f9p-18, 0x1.b552cc6d2b5bep-18, 0x1.a63e09b88c01cp-18, 0x1.96ba378e1653bp-18, 0x1.875958661941fp-18, 0x1.769249a052f0ap-18, 0x1.65394d18c4013p-18, 0x1.580a4142814c4p-18, 0x1.48aeb6f842898p-18, 0x1.36c63588c9d8cp-18, 0x1.28b6cebcabd4cp-18, 0x1.1931c9d51fc95p-18, 0x1.092d9bbe320ebp-18, 0x1.f26972e0060c9p-19, 0x1.d27bae97fdb0ep-19, 0x1.b27b08a4cfd78p-19, 0x1.9274c53584846p-19, 0x1.7265f8d7e57ffp-19, 0x1.5281cdccd944p-19, 0x1.32555779f60a1p-19, 0x1.1244e588153dp-19, 0x1.e37e98a95c232p-20, 0x1.a633c29b56c2bp-20, 0x1.65ab4c5955989p-20, 0x1.24c73553404dap-20, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.fff2b767bcd04p-1, 0x1.ffcae211c414dp-1, 0x1.ff888d13d97dp-1, 0x1.ff2bcdb2c20a7p-1, 0x1.feb4c0f16ad66p-1, 0x1.fe238b24fcc3p-1, 0x1.fd78578d95d88p-1, 0x1.fcb357f36b63dp-1, 0x1.fbd4c4481940dp-1, 0x1.fadcda4be4075p-1, 0x1.f9cbdd36bcdadp-1, 0x1.f8a21564d5d29p-1, 0x1.f75fd0069893p-1, 0x1.f6055ed3d4709p-1, 0x1.f49317c1ff61cp-1, 0x1.f30954bd60691p-1, 0x1.f168736503947p-1, 0x1.efb0d4c956cdfp-1, 0x1.ede2dd2d4fd34p-1, 0x1.ebfef3ca007ffp-1, 0x1.ea0582947cd44p-1, 0x1.e7f6f605fcf35p-1, 0x1.e5d3bce61ef29p-1, 0x1.e39c481736ab5p-1, 0x1.e1510a6496005p-1, 0x1.def27852b80bep-1, 0x1.dc8107f13f983p-1, 0x1.d9fd30aeb5895p-1, 0x1.d7676b2dfa75fp-1, 0x1.d4c0311d56fd9p-1, 0x1.d207fd0f21d65p-1, 0x1.cf3f4a53e98aep-1, 0x1.cc6694d618e4cp-1, 0x1.c97e58f706d59p-1, 0x1.c687136d6752bp-1, 0x1.c3814125125acp-1, 0x1.c06d5f2017ebp-1, 0x1.bd4bea5913b09p-1, 0x1.ba1d5fa6b9a63p-1, 0x1.b6e23ba092992p-1, 0x1.b39afa84dd5f2p-1, 0x1.b048181f908f1p-1, 0x1.acea0fb26f8b5p-1, 0x1.a9815bde30013p-1, 0x1.a60e768ca5c0cp-1, 0x1.a291d8dbeefcp-1, 0x1.9f0bfb0a97eabp-1, 0x1.9b7d5464b32dcp-1, 0x1.97e65b31dbbc7p-1, 0x1.944784a41ed0dp-1, 0x1.90a144c7c29b9p-1, 0x1.8cf40e73e950cp-1, 0x1.8940533c06a58p-1, 0x1.858683622322fp-1, 0x1.81c70dc9e9ffdp-1, 0x1.7e025fec780e2p-1, 0x1.7a38e5cceb4a4p-1, 0x1.766b09eda998bp-1, 0x1.729935465c7d8p-1, 0x1.6ec3cf3a9bdfcp-1, 0x1.6aeb3d9142c83p-1, 0x1.670fe46c69b63p-1, 0x1.6332264202ce1p-1, 0x1.5f5263d510d6dp-1, 0x1.5b70fc2f777dbp-1, 0x1.578e4c9c5d9d4p-1, 0x1.53aab0a320372p-1, 0x1.4fc68202cedd8p-1, 0x1.4be218ae2fcb4p-1, 0x1.47fdcac845813p-1, 0x1.4419eca153461p-1, 0x1.4036d0b45c227p-1, 0x1.3c54c7a517f38p-1, 0x1.3874203e5b7f9p-1, 0x1.34952770ee7e8p-1, 0x1.30b82852cd9acp-1, 0x1.2cdd6c1ed2432p-1, 0x1.29053a34c014ep-1, 0x1.252fd819b09bep-1, 0x1.215d8978db376p-1, 0x1.1d8e9024b8b08p-1, 0x1.19c32c1878d81p-1, 0x1.15fb9b79cccccp-1, 0x1.12381a9b00346p-1, 0x1.0e78e3fd5bae4p-1, 0x1.0abe3053d394ep-1, 0x1.07083685f87f3p-1, 0x1.03572bb32cceap-1, 0x1.ff56866c2f2fbp-2, 0x1.f8095d50ab8c4p-2, 0x1.f0c73bccc6355p-2, 0x1.e9907e27752aep-2, 0x1.e2657d3e56d9ep-2, 0x1.db468e8eba2a1p-2, 0x1.d434043f09801p-2, 0x1.cd2e2d2888df4p-2, 0x1.c63554e1680c7p-2, 0x1.bf49c3c7244bp-2, 0x1.b86bbf093159ep-2, 0x1.b19b88b3e69bfp-2, 0x1.aad95fbbace6fp-2, 0x1.a425800865efep-2, 0x1.9d8022810ce43p-2, 0x1.96e97d1787d44p-2, 0x1.9061c2d4a66a9p-2, 0x1.89e923e44d0edp-2, 0x1.837fcda1c5db6p-2, 0x1.7d25eaa433001p-2, 0x1.76dba2cb213f5p-2, 0x1.70a11b4b337d9p-2, 0x1.6a7676baea05ap-2, 0x1.645bd51f7931bp-2, 0x1.5e5153f9b4bffp-2, 0x1.58570e5307074p-2, 0x1.526d1cca739b5p-2, 0x1.4c9395a1a32cfp-2, 0x1.46ca8cc9efdafp-2, 0x1.411213f1788cbp-2, 0x1.3b6a3a9032198p-2, 0x1.35d30df4f399cp-2, 0x1.304c99527f32ep-2, 0x1.2ad6e5cc81a79p-2, 0x1.2571fa84883a6p-2, 0x1.201ddca6eab0ep-2, 0x1.1ada8f77a42f6p-2, 0x1.15a8145f1e73p-2, 0x1.10866af6e85f1p-2, 0x1.0b7591165a12bp-2, 0x1.067582df1fec2p-2, 0x1.01863ac9af8ecp-2, 0x1.f94f636348904p-3, 0x1.efb3bdc3fb19bp-3, 0x1.e639704288c79p-3, 0x1.dce0637b1fa9fp-3, 0x1.d3a87d30d6001p-3, 0x1.ca91a0653c56ep-3, 0x1.c19bad6f9ebb2p-3, 0x1.b8c682140f623p-3, 0x1.b011f99a1f85bp-3, 0x1.a77dece354836p-3, 0x1.9f0a328150774p-3, 0x1.96b69ecba9e84p-3, 0x1.8e8303f57ed9ep-3, 0x1.866f3222afe6ep-3, 0x1.7e7af77ccb512p-3, 0x1.76a62047a9c86p-3, 0x1.6ef076f5b4fd4p-3, 0x1.6759c43bdaa45p-3, 0x1.5fe1cf252be8cp-3, 0x1.58885d2623273p-3, 0x1.514d322f9617cp-3, 0x1.4a3010c152a65p-3, 0x1.4330b9fc5f6e7p-3, 0x1.3c4eedb4e603dp-3, 0x1.358a6a83c8c97p-3, 0x1.2ee2edd7d8e7fp-3, 0x1.28583406b8b46p-3, 0x1.21e9f85d66205p-3, 0x1.1b97f530670c5p-3, 0x1.1561e3eba0474p-3, 0x1.0f477d21d5799p-3, 0x1.0948789bccb44p-3, 0x1.03648d671aeaap-3, 0x1.fb36e3c937f78p-4, 0x1.efd9b7ad1939bp-4, 0x1.e4b100dca6ae7p-4, 0x1.d9bc28b3dc17fp-4, 0x1.cefa97a21ed74p-4, 0x1.c46bb543bade1p-4, 0x1.ba0ee87ac8545p-4, 0x1.afe397875dcdep-4, 0x1.a5e9281f22693p-4, 0x1.9c1eff842c7d2p-4, 0x1.9284829b505fbp-4, 0x1.89191601bbe89p-4, 0x1.7fdc1e21f7d8dp-4, 0x1.76ccff4849581p-4, 0x1.6deb1db675d2p-4, 0x1.6535ddb6ebd7p-4, 0x1.5caca3af51p-4, 0x1.544ed4327a49cp-4, 0x1.4c1bd411cc443p-4, 0x1.4413086e09f18p-4, 0x1.3c33d6c790edfp-4, 0x1.347da50e06368p-4, 0x1.2cefd9af75ac7p-4, 0x1.2589dba6e77f2p-4, 0x1.1e4b128a6ac83p-4, 0x1.1732e6989b838p-4, 0x1.1040c0c5a1f17p-4, 0x1.09740ac7b26efp-4, 0x1.02cc2f230a3d6p-4, 0x1.f891326ae2feap-5, 0x1.ebd16a82809b7p-5, 0x1.df57e0efd588fp-5, 0x1.d32372082dad5p-5, 0x1.c732fc267c0ep-5, 0x1.bb855fbdb6bdcp-5, 0x1.b0197f6a584b4p-5, 0x1.a4ee400301105p-5, 0x1.9a0288a845c01p-5, 0x1.8f5542d3aa7f5p-5, 0x1.84e55a65d137dp-5, 0x1.7ab1bdb3e06bdp-5, 0x1.70b95d9422e58p-5, 0x1.66fb2d69ec923p-5, 0x1.5d762330bf41bp-5, 0x1.54293786be123p-5, 0x1.4b1365b6698bap-5, 0x1.4233abbfb333ap-5, 0x1.39890a6064053p-5, 0x1.3112851bdef36p-5, 0x1.28cf224244bd2p-5, 0x1.20bdeaf6f8b8fp-5, 0x1.18ddeb368fbd6p-5, 0x1.112e31dc29277p-5, 0x1.09add0a639617p-5, 0x1.025bdc3ac8615p-5, 0x1.f66ed85651624p-6, 0x1.e87f35ee53a59p-6, 0x1.dae70c1f97f28p-6, 0x1.cda49bb2ee69bp-6, 0x1.c0b62b5b7765bp-6, 0x1.b41a07b9378ap-6, 0x1.a7ce835ace29p-6, 0x1.9bd1f6be4f684p-6, 0x1.9022c0514f832p-6, 0x1.84bf44701e767p-6, 0x1.79a5ed6440c07p-6, 0x1.6ed52b622cf27p-6, 0x1.644b74864e143p-6, 0x1.5a0744d158ebdp-6, 0x1.50071e23f9174p-6, 0x1.46498839d5f77p-6, 0x1.3ccd10a3fe33fp-6, 0x1.33904ac2bd5c2p-6, 0x1.2a91cfbeddc1cp-6, 0x1.21d03e8261d01p-6, 0x1.194a3bb0b8636p-6, 0x1.10fe719e6fa6p-6, 0x1.08eb904871b5cp-6, 0x1.01104d4ac9a7dp-6, 0x1.f2d6c7adfc983p-7, 0x1.e3f72953f748ap-7, 0x1.d57f4c03432aap-7, 0x1.c76cc723d214ap-7, 0x1.b9bd3cf370579p-7, 0x1.ac6e5a6eb1fe7p-7, 0x1.9f7dd73943d56p-7, 0x1.92e97585a5da9p-7, 0x1.86af01fc4f181p-7, 0x1.7acc53a24d323p-7, 0x1.6f3f4bbf654cbp-7, 0x1.6405d5c3b9161p-7, 0x1.591de72d02456p-7, 0x1.4e857f6b6051dp-7, 0x1.443aa7c5cf303p-7, 0x1.3a3b733e3a6c5p-7, 0x1.3085fe75465ecp-7, 0x1.27186f8dcc8bbp-7, 0x1.1df0f610139afp-7, 0x1.150dcacccb145p-7, 0x1.0c6d2fbfcf83fp-7, 0x1.040d6ff2bded5p-7, 0x1.f7d9bebeb8ea7p-8, 0x1.e813b5a3bc57ep-8, 0x1.d8c58f960eeb1p-8, 0x1.c9ec28c46ed85p-8, 0x1.bb846e4ebd156p-8, 0x1.ad8b5e09c6a7cp-8, 0x1.9ffe0642fb5e3p-8, 0x1.92d9858416c0bp-8, 0x1.861b0a56c827p-8, 0x1.79bfd3085cc88p-8, 0x1.6dc52d6d7b874p-8, 0x1.622876a5f667cp-8, 0x1.56e71ae0b7e5ep-8, 0x1.4bfe951fd8d2cp-8, 0x1.416c6efce2ab5p-8, 0x1.372e406d44999p-8, 0x1.2d41af870589cp-8, 0x1.23a47045b3e4ep-8, 0x1.1a54444fa1023p-8, 0x1.114efabb65c7dp-8, 0x1.08926fd5bcdcfp-8, 0x1.001c8ce7b2b57p-8, 0x1.efd68ffa6bc32p-9, 0x1.dff947580ac03p-9, 0x1.d09d5db6145ebp-9, 0x1.c1bf091431758p-9, 0x1.b35a973447702p-9, 0x1.a56c6d2bc2074p-9, 0x1.97f106f5cb1a6p-9, 0x1.8ae4f7067e2c9p-9, 0x1.7e44e5df0c42bp-9, 0x1.720d91a2ecd8cp-9, 0x1.663bcdae125bfp-9, 0x1.5acc822c2cdc7p-9, 0x1.4fbcabb0fd36ap-9, 0x1.45095ad1c6c71p-9, 0x1.3aafb3bfd5874p-9, 0x1.30acede42a05dp-9, 0x1.26fe537c47db3p-9, 0x1.1da1413828d91p-9, 0x1.149325d960c92p-9, 0x1.0bd181d36b883p-9, 0x1.0359e6ed29ff6p-9, 0x1.f653efc72bbb2p-10, 0x1.e67ed01b4f1cdp-10, 0x1.d72ff602e4c34p-10, 0x1.c8630874f5a4dp-10, 0x1.ba13cd828a7cep-10, 0x1.ac3e29a83c5bp-10, 0x1.9ede1f224033ap-10, 0x1.91efcd42e8f19p-10, 0x1.856f6fcb9dc8cp-10, 0x1.79595e48524b6p-10, 0x1.6daa0b6d71a04p-10, 0x1.625e0478439a6p-10, 0x1.5771f091cf12cp-10, 0x1.4ce290342c025p-10, 0x1.42acbc92509d4p-10, 0x1.38cd6702506f2p-10, 0x1.2f41986a11f72p-10, 0x1.260670ae6c232p-10, 0x1.1d192624b92aep-10, 0x1.14770506d029ap-10, 0x1.0c1d6ee96454bp-10, 0x1.0409da34cc106p-10, 0x1.f873a340497aep-11, 0x1.e955e75dad792p-11, 0x1.dab5e460ddb14p-11, 0x1.cc8f2385994a4p-11, 0x1.bedd52ad43119p-11, 0x1.b19c436c73d9fp-11, 0x1.a4c7ea1d1a28cp-11, 0x1.985c5cf51d0fbp-11, 0x1.8c55d3217763ap-11, 0x1.80b0a3e5bfd55p-11, 0x1.756945c014e92p-11, 0x1.6a7c4d9162ac6p-11, 0x1.5fe66dc9f17fp-11, 0x1.55a4759a3a1bep-11, 0x1.4bb35027ebf74p-11, 0x1.421003c71f313p-11, 0x1.38b7b137a378cp-11, 0x1.2fa792e65ff13p-11, 0x1.26dcfc32b7b67p-11, 0x1.1e5558b7e7f81p-11, 0x1.160e2b9a4fae5p-11, 0x1.0e050ed897acbp-11, 0x1.0637b2a0abc3cp-11, 0x1.fd47b950f2e96p-12, 0x1.ee8ecf14cc827p-12, 0x1.e040844ae09e5p-12, 0x1.d258de01d9f7fp-12, 0x1.c4d40767b18aep-12, 0x1.b7ae509f5112ep-12, 0x1.aae42d9d2310dp-12, 0x1.9e72350a754dap-12, 0x1.92551f2f910a6p-12, 0x1.8689c4e46c096p-12, 0x1.7b0d1e87e1c74p-12, 0x1.6fdc42fd4b74cp-12, 0x1.64f466b06c55ep-12, 0x1.5a52da9f89173p-12, 0x1.4ff50b6b9d7d6p-12, 0x1.45d8806e88cccp-12, 0x1.3bfadad7220d3p-12, 0x1.3259d4cb15893p-12, 0x1.28f3408e6e43cp-12, 0x1.1fc507b0b878cp-12, 0x1.16cd2a3f9e8a2p-12, 0x1.0e09bdfee9602p-12, 0x1.0578eda5c8c55p-12, 0x1.fa31f04297bcbp-13, 0x1.e9d05fb7e75b2p-13, 0x1.d9c9f41483d0ap-13, 0x1.ca1b9bf859666p-13, 0x1.bac268e6c433fp-13, 0x1.abbb8dfc8330cp-13, 0x1.9d045eaee2412p-13, 0x1.8e9a4d93f6522p-13, 0x1.807aeb33b1de3p-13, 0x1.72a3e4e1aa38ep-13, 0x1.6513039f5fb21p-13, 0x1.57c62b06d9ba8p-13, 0x1.4abb583d66656p-13, 0x1.3df0a0ee5bf3fp-13, 0x1.3164324da1df5p-13, 0x1.25145021e00cp-13, 0x1.18ff53d62c868p-13, 0x1.0d23ab9300d66p-13, 0x1.017fd95e592f8p-13, 0x1.ec24e48597ec3p-14, 0x1.d5b43afaf4213p-14, 0x1.bfab27654b2a5p-14, 0x1.aa073c51a5cfep-14, 0x1.94c62c14812b1p-14, 0x1.7fe5c75936deep-14, 0x1.6b63fbbd824fdp-14, 0x1.573ed278e1d36p-14, 0x1.43746f0f854c3p-14, 0x1.30030e10861a3p-14, 0x1.1ce903df1bcfap-14, 0x1.0a24bb86906acp-14, 0x1.ef696b314b706p-15, 0x1.cb2f0e2c61e87p-15, 0x1.a797b0c34883fp-15, 0x1.84a0c8768ee88p-15, 0x1.6247ed8dbf568p-15, 0x1.408ad9350e2bbp-15, 0x1.1f6763ace90e9p-15, 0x1.fdb70515e9407p-16, 0x1.bdca8e17eeba8p-16, 0x1.7f05b8ec8ca01p-16, 0x1.41650d1870b89p-16, 0x1.04e5401c653a1p-16, 0x1.9306652f7e557p-17, 0x1.1e77db10970f1p-17, 0x1.58327e9b579d3p-18, 0x1.df29adf92a709p-20, -0x1.914ae1a7b9d42p-20, -0x1.3c2ea87f616b1p-18, -0x1.07e9579ad5b83p-17, -0x1.6fa3d74942cdap-17, -0x1.d54b14272df6fp-17, -0x1.1c719165f89f8p-16, -0x1.4d37f79f5745bp-16, -0x1.7cfaa03f9e27dp-16, -0x1.abbb5df2596b9p-16, -0x1.d97bf42972bdp-16, -0x1.031f0c52080afp-15, -0x1.1901ba71182b2p-15, -0x1.2e66d3c2d4449p-15, -0x1.434f22d08da7ep-15, -0x1.57bb6dfabf71ep-15, -0x1.6bac780f6763cp-15, -0x1.7f2300d836803p-15, -0x1.921fc5a0e517p-15, -0x1.a4a381b5eabd1p-15, -0x1.b6aeeedbe40c9p-15, -0x1.c842c5bfdebddp-15, -0x1.d95fbe60d4282p-15, -0x1.ea0690728b733p-15, -0x1.fa37f3ba23f6ep-15, -0x1.04fa5032402d8p-14, -0x1.0c9ea7ab6669cp-14, -0x1.14095d3cadc85p-14, -0x1.1b3ace7e84bbap-14, -0x1.223359cdb2bf3p-14, -0x1.28f35e68e691dp-14, -0x1.2f7b3c8bd6387p-14, -0x1.35cb55880e542p-14, -0x1.3be40bdb83b6p-14, -0x1.41c5c34500f3ap-14, -0x1.4770e0d6881fep-14, -0x1.4ce5cb05bb077p-14, -0x1.5224e9ba6358p-14, -0x1.572ea65b2ce45p-14, -0x1.5c036bd8a6e94p-14, -0x1.60a3a6b6a221dp-14, -0x1.650fc513fa9c8p-14, -0x1.694836b0e4613p-14, -0x1.6d4d6cf3c9519p-14, -0x1.711fdaecccccep-14, -0x1.74bff558037fcp-14, -0x1.782e329e71378p-14, -0x1.7b6b0ad5dc348p-14, -0x1.7e76f7bf8662bp-14, -0x1.815274c5d940cp-14, -0x1.83fdfef915fp-14, -0x1.867a150b143bcp-14, -0x1.88c7374a212bep-14, -0x1.8ae5e79b084bcp-14, -0x1.8cd6a97254a05p-14, -0x1.8e9a01ccd6161p-14, -0x1.90307727785fap-14, -0x1.919a917672d67p-14, -0x1.92d8da1be1932p-14, -0x1.93ebdbddcdde8p-14, -0x1.94d422dbb4079p-14, -0x1.95923c838d492p-14, -0x1.9626b7866a5b7p-14, -0x1.969223cca4189p-14, -0x1.96d51269b041fp-14, -0x1.96f0158f9e5c2p-14, -0x1.96e3c082462e6p-14, -0x1.96b0a78a31cd5p-14, -0x1.96575fe747844p-14, -0x1.95d87fc33e99fp-14, -0x1.95349e23e11a7p-14, -0x1.946c52dd276ffp-14, -0x1.938036832eb16p-14, -0x1.9270e25c12d76p-14, -0x1.913ef051b26bcp-14, -0x1.8feafae360921p-14, -0x1.8e759d178b88fp-14, -0x1.8cdf726d5c803p-14, -0x1.8b2916ce55a2dp-14, -0x1.8953267ff2d3dp-14, -0x1.875e3e1552b54p-14, -0x1.854afa60eb07dp-14, -0x1.8319f8664c2cfp-14, -0x1.80cbd54bf9ea2p-14, -0x1.7e612e4d59f9p-14, -0x1.7bdaa0acbe82ep-14, -0x1.7938c9a58dcb9p-14, -0x1.767c465e8bba6p-14, -0x1.73a5b3dc47c62p-14, -0x1.70b5aef3b0881p-14, -0x1.6dacd43cd22e9p-14, -0x1.6a8bc005c0b5fp-14, -0x1.67530e45aece7p-14, -0x1.64035a9037bd7p-14, -0x1.609d4008d9577p-14, -0x1.5d215956a3d78p-14, -0x1.599040981df4p-14, -0x1.55ea8f5762f5dp-14, -0x1.5230de7e7763cp-14, -0x1.4e63c64bd97e3p-14, -0x1.4a83de474d5a1p-14, -0x1.4691bd36e555fp-14, -0x1.428df914482a9p-14, -0x1.3e79270236ef3p-14, -0x1.3a53db4250b99p-14, -0x1.361ea92b182cfp-14, -0x1.31da231e38fc8p-14, -0x1.2d86da7f0f8a9p-14, -0x1.29255fa971904p-14, -0x1.24b641e8b96cp-14, -0x1.203a0f6f14dp-14, -0x1.1bb1554d144aep-14, -0x1.171c9f697fcedp-14, -0x1.127c78796c9d3p-14, -0x1.0dd169f896c02p-14, -0x1.091bfc21fe401p-14, -0x1.045cb5e8c5bd5p-14, -0x1.ff2839e2a8777p-15, -0x1.f5856b15749b9p-15, -0x1.ebd20550afd76p-15, -0x1.e20f0bb789874p-15, -0x1.d83d7e9df54dbp-15, -0x1.ce5e5b7d7e638p-15, -0x1.c4729ceaa0ef5p-15, -0x1.ba7b3a8a9e944p-15, -0x1.b0792909d4596p-15, -0x1.a66d5a12901b4p-15, -0x1.9c58bc445e53ep-15, -0x1.923c3b2bd76d3p-15, -0x1.8818bf3ae39cap-15, -0x1.7def2dc179f69p-15, -0x1.73c068e6d551dp-15, -0x1.698d4fa31e44p-15, -0x1.5f56bdb9892p-15, -0x1.551d8bb2e969bp-15, -0x1.4ae28ed8b04a3p-15, -0x1.40a699305f082p-15, -0x1.366a79776480bp-15, -0x1.2c2efb1f67137p-15, -0x1.21f4e64af6ad9p-15, -0x1.17bcffcaaa32bp-15, -0x1.0d88091a9e2cep-15, -0x1.0356c0605d695p-15, -0x1.f253c0d24d126p-16, -0x1.de0441512b77ep-16, -0x1.c9c06a6f5793p-16, -0x1.b5899da864225p-16, -0x1.a16135c0f35f3p-16, -0x1.8d4886c6e3aa7p-16, -0x1.7940de122eed6p-16, -0x1.654b82466fb65p-16, -0x1.5169b3550ef24p-16, -0x1.3d9caa801257p-16, -0x1.29e59a5d8ac4dp-16, -0x1.1645aedb99422p-16, -0x1.02be0d45110cdp-16, -0x1.de9fa88d4699fp-17, -0x1.b7f837e947153p-17, -0x1.9187eba298cd5p-17, -0x1.6b50d9a72bc5p-17, -0x1.45550add0d2acp-17, -0x1.1f967b3212814p-17, -0x1.f42e3358eced3p-18, -0x1.a9b190f8d44bdp-18, -0x1.5fbaba1d16b39p-18, -0x1.164d403e7b924p-18, -0x1.9ad9373b74e54p-19, -0x1.0a3856db0de51p-19, -0x1.eaf9aff17e4cfp-21, 0x1.38e2e2a6da5e8p-23, 0x1.414e9ae0b57d4p-20, 0x1.2c86f85973d7bp-19, 0x1.b72765b3ed87ap-19, 0x1.20417e195065ap-18, 0x1.644a2902806e9p-18, 0x1.a7ab16365057bp-18, 0x1.ea61bfa8339c2p-18, 0x1.1635db336140fp-17, 0x1.36e3513194453p-17, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      12, 0x1p+1, 0x1.6f614878f6a95p+2, 0x1.d93f32183f9a2p+1, -0x1.801f4bc091c07p-9, 
      {{
        {0x1.6666666666666p+0, 0x1.7333333333333p+0, 0x1.4b7e629f32ba9p-7, -0x1.32c3eed54596bp-4, 0x1.b83b76794c298p-3, -0x1.1792bfbbff008p-2}, 
        {0x1.7333333333333p+0, 0x1.8p+0, 0x1.c28e9d7b35ef5p-8, -0x1.c636536176e46p-5, 0x1.645c3cf41942fp-3, -0x1.eb1884701e66bp-3}, 
        {0x1.8p+0, 0x1.8cccccccccccdp+0, 0x1.276aa96f7f0f9p-8, -0x1.4666a55f59382p-5, 0x1.1ab229167b19dp-3, -0x1.b139e2b35869dp-3}, 
        {0x1.8cccccccccccdp+0, 0x1.999999999999ap+0, 0x1.737a62b18c4b6p-9, -0x1.c4a38446d5432p-6, 0x1.b36c8e2a5bad3p-4, -0x1.74ad2703d5f03p-3}, 
        {0x1.999999999999ap+0, 0x1.a666666666666p+0, 0x1.bc8cd8168583p-10, -0x1.2cd46759f5bf2p-6, 0x1.439f027601e53p-4, -0x1.387809c8a792ep-3}, 
        {0x1.a666666666666p+0, 0x1.b333333333333p+0, 0x1.f55523dd3772p-11, -0x1.7c423e8c50025p-7, 0x1.cbc2cbda05a63p-5, -0x1.f6cf786049d46p-4}, 
        {0x1.b333333333333p+0, 0x1.cp+0, 0x1.06a470c59bp-11, -0x1.c50bc9bd71284p-8, 0x1.34eaf489ef7fep-5, -0x1.7e838233c2a39p-4}, 
        {0x1.cp+0, 0x1.ccccccccccccdp+0, 0x1.f2ec1686023bcp-13, -0x1.f7a07d62edfcdp-9, 0x1.8453ce2803d08p-6, -0x1.00367898dfe27p-4}, 
        {0x1.ccccccccccccdp+0, 0x1.d99999999999ap+0, 0x1.97c6914092554p-14, -0x1.fce98468d0b2p-10, 0x1.d5330b9894912p-7, -0x1.541bd092c9205p-5}, 
        {0x1.d99999999999ap+0, 0x1.e666666666666p+0, 0x1.020ba7eadc9a4p-15, -0x1.ae5b835728b3ep-11, 0x1.09225b40824a4p-7, -0x1.fb65f2c73331bp-6}, 
        {0x1.e666666666666p+0, 0x1.f333333333333p+0, 0x1.97c69140925c6p-18, -0x1.ffac5c7f02c07p-13, 0x1.c3a8b012feefap-9, -0x1.14d3ed9990b8fp-6}, 
        {0x1.f333333333333p+0, 0x1p+1, 0x1.97c691409277fp-22, -0x1.b630932570da1p-16, 0x1.dddcb237ab791p-11, -0x1.6ec1d997f3cfp-6}, 
      }}, 
      0x1.55a28efcf44cdp-2, -0x1.05f3354bd95e6p+1
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_c_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, -0x1.8e0a0d4a1577ep-3, -0x1.02812ae2d7a62p-1, -0x1.74908b2811c1fp-5, 0x1.7573eab367a1p-2, 0x1.7573eab367a1p-2, 0x1.7573eab367a1p-2, 0, 2, 2}, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.6c220c546c26ep+0, -0x1.6ad746f86253fp+0, -0x1.68b9b22a8a4c1p+0, -0x1.65cd0b2e0f446p+0, -0x1.621c4c39f747dp+0, -0x1.5db2d664ad88dp+0, -0x1.589c2d0357adbp+0, -0x1.52e4da574aaeap+0, -0x1.4c999670bddfbp+0, -0x1.45c753d62266ep+0, -0x1.3e7a476dacaf4p+0, -0x1.36c02990697ffp+0, -0x1.2ea3d7cf61061p+0, -0x1.263237153b56ep+0, -0x1.1d7682ced2c46p+0, -0x1.147bf6fc87a72p+0, -0x1.0b4cc65744851p+0, -0x1.01f35bb3c89bep+0, -0x1.f0f2c1dac338cp-1, -0x1.ddce3bcd7259cp-1, -0x1.ca8a4755bc726p-1, -0x1.b738692629d1ap-1, -0x1.a3e6afb223552p-1, -0x1.90a086e098c3p-1, -0x1.7d726a749da44p-1, -0x1.6a69d66708af7p-1, -0x1.57931f0abb444p-1, -0x1.44f3f56afd8a8p-1, -0x1.3295ef699f9d5p-1, -0x1.20806bbdf92b2p-1, -0x1.0eba81feca53cp-1, -0x1.fa958bc47a544p-2, -0x1.d86d6d46833d6p-2, -0x1.b705193abc39fp-2, -0x1.966316dd90896p-2, -0x1.768cff6a70929p-2, -0x1.5788226530079p-2, -0x1.3959969863773p-2, -0x1.1c05d05b298bbp-2, -0x1.ff200da09b98fp-3, -0x1.c7f38cc1ea024p-3, -0x1.9285e58d4331dp-3, -0x1.5ed47059bf8b3p-3, -0x1.2cdb614b16f2bp-3, -0x1.f92dd37639c03p-4, -0x1.9c079f4d68536p-4, -0x1.423eca12e77a9p-4, -0x1.d79c0ec24d23dp-5, -0x1.315d41101c0b8p-5, -0x1.235c5924c08c7p-6, 0x1.e2d9fa100d5f9p-11, 0x1.34e22bc0effc7p-6, 0x1.272a7d077a721p-5, 0x1.ade2d4c9718ap-5, 0x1.1798256b790ap-4, 0x1.553a4237f3b63p-4, 0x1.900f189623b3ep-4, 0x1.c82962baa782ap-4, 0x1.fd9c18e4d5834p-4, 0x1.183d0dcb5b3e2p-3, 0x1.306afb9b6fb21p-3, 0x1.4760e7fa2ae06p-3, 0x1.5d27b97f19b6fp-3, 0x1.71c83f0322bbp-3, 0x1.854b4586fde55p-3, 0x1.97b9a937f3a2ap-3, 0x1.a91c5dc840626p-3, 0x1.b97c6d2177cdp-3, 0x1.c8e2ed47dce0dp-3, 0x1.d758ef55ad7f1p-3, 0x1.e4e76a3b71eb2p-3, 0x1.f19724a12b56ep-3, 0x1.fd70a1a8a488cp-3, 0x1.043e0a043d154p-2, 0x1.0960ace5d483dp-2, 0x1.0e240090dc0dap-2, 0x1.128baa5068116p-2, 0x1.169b35e0ce219p-2, 0x1.1a561dd0f78edp-2, 0x1.1dbfd22d688adp-2, 0x1.20dbbc2275442p-2, 0x1.23ad3e0646d6cp-2, 0x1.2637b0080e559p-2, 0x1.287e5a6aee6dp-2, 0x1.2a846e98b795p-2, 0x1.2c4d006e2b8f2p-2, 0x1.2ddb00ef1e558p-2, 0x1.2f313b2ac461ep-2, 0x1.3052539d009a2p-2, 0x1.3140c9e41081ep-2, 0x1.31fefc46b03f7p-2, 0x1.328f2c507c11ep-2, 0x1.32f383baf81a1p-2, 0x1.332e18ec89adep-2, 0x1.3340f282ab80bp-2, 0x1.332e0996a1c42p-2, 0x1.32f74aa881319p-2, 0x1.329e9551fbfap-2, 0x1.3225bb0a333fp-2, 0x1.318e7d5a5ebecp-2, 0x1.30da8be83462p-2, 0x1.300b82b1303bbp-2, 0x1.2f22e8bcf4ab8p-2, 0x1.2e222f727745ap-2, 0x1.2d0ab29fdd5e2p-2, 0x1.2bddb92c499e6p-2, 0x1.2a9c7657e030ep-2, 0x1.29480b625c24dp-2, 0x1.27e1896baba92p-2, 0x1.2669f36325bd3p-2, 0x1.24e141b31890bp-2, 0x1.2349625e10adbp-2, 0x1.21a34adb71e58p-2, 0x1.1fefe79c98fc2p-2, 0x1.1e301a0f27562p-2, 0x1.1c64b81d3f231p-2, 0x1.1a8e8bcefc6f7p-2, 0x1.18ae531a2b8dcp-2, 0x1.16c4bfe803d5fp-2, 0x1.14d27853d1f61p-2, 0x1.12d81720ff67bp-2, 0x1.10d62c630b755p-2, 0x1.0ecd3e4eeb89fp-2, 0x1.0cbdca2aeaeacp-2, 0x1.0aa84550bfeep-2, 0x1.088d1e350a234p-2, 0x1.066cbd67fe058p-2, 0x1.044786844a74dp-2, 0x1.021dd9036987cp-2, 0x1.ffe021e1d27a1p-3, 0x1.fb7d0ef1ff7fep-3, 0x1.f71326a2805d5p-3, 0x1.f2a311f92d1a6p-3, 0x1.ee2d75db44361p-3, 0x1.e9b2f317ce964p-3, 0x1.e53426427e78fp-3, 0x1.e0b1a76ae0888p-3, 0x1.dc2c09bbddca3p-3, 0x1.d7a3db0f1f2bp-3, 0x1.d319a37f05c5p-3, 0x1.ce8de5008ea4ep-3, 0x1.ca011b0d0e6fdp-3, 0x1.c573ba61d0269p-3, 0x1.c0e630d9fdcbcp-3, 0x1.bc58e56537246p-3, 0x1.b7cc381bad309p-3, 0x1.b340826ec7ae4p-3, 0x1.aeb6177410fa2p-3, 0x1.aa2d4446f6f2ap-3, 0x1.a5a6507d1476fp-3, 0x1.a1217ea8308a7p-3, 0x1.9c9f0ce0f3477p-3, 0x1.981f355550cc2p-3, 0x1.93a22ed6086b7p-3, 0x1.8f282d5f1352ap-3, 0x1.8ab162977d0ap-3, 0x1.863dfe45de362p-3, 0x1.81ce2eb768f4fp-3, 0x1.7d62211830aaap-3, 0x1.78fa01bc118efp-3, 0x1.7495fc580ea1bp-3, 0x1.70363c2cb0218p-3, 0x1.6bdaec222bf17p-3, 0x1.678436d78cacfp-3, 0x1.633246a6366p-3, 0x1.5ee5459b60268p-3, 0x1.5a9d5d692d4e6p-3, 0x1.565ab7510a71cp-3, 0x1.521d7c090e3fdp-3, 0x1.4de5d39df61a3p-3, 0x1.49b3e55346d36p-3, 0x1.4587d783021cep-3, 0x1.4161cf7e3539ap-3, 0x1.3d41f16f76e83p-3, 0x1.3928604040418p-3, 0x1.35153d81df6cap-3, 0x1.3108a95a78425p-3, 0x1.2d02c2767484ap-3, 0x1.2903a5fe87b99p-3, 0x1.250b6f9230ac7p-3, 0x1.211a39469aad4p-3, 0x1.1d301ba9966d4p-3, 0x1.194d2dc833b9bp-3, 0x1.15718538a17b3p-3, 0x1.119d3626bf522p-3, 0x1.0dd05362ef57ap-3, 0x1.0a0aee72935cbp-3, 0x1.064d17a1ca563p-3, 0x1.0296de15e139bp-3, 0x1.fdd09fc039643p-4, 0x1.f682f420e4399p-4, 0x1.ef44d18fafb68p-4, 0x1.e8164e93e08d1p-4, 0x1.e0f7801b8e47fp-4, 0x1.d9e8799af791cp-4, 0x1.d2e94d29697aep-4, 0x1.cbfa0b9b75225p-4, 0x1.c51ac49a65aecp-4, 0x1.be4b86b8e6c25p-4, 0x1.b78c5f84cb938p-4, 0x1.b0dd5b9612d1dp-4, 0x1.aa3e869b31e4p-4, 0x1.a3afeb62c3a4ep-4, 0x1.9d3193e2cbe1fp-4, 0x1.96c3893db1351p-4, 0x1.9065d3c520f1ep-4, 0x1.8a187afb10df8p-4, 0x1.83db859118725p-4, 0x1.7daef9665d838p-4, 0x1.7792db844f1a8p-4, 0x1.7187301a6aa08p-4, 0x1.6b8bfa794ede7p-4, 0x1.65a13d0d51055p-4, 0x1.5fc6f958d28e4p-4, 0x1.59fd2fee8e4f4p-4, 0x1.5443e06c0c165p-4, 0x1.4e9b09746be0ep-4, 0x1.4902a8abadcd8p-4, 0x1.437abab298083p-4, 0x1.3e033b2355411p-4, 0x1.389c248ee28dp-4, 0x1.3345707b5520cp-4, 0x1.2dfc716345007p-4, 0x1.28c6f262517b1p-4, 0x1.23a1b897d2d55p-4, 0x1.1e8cb7ec6c217p-4, 0x1.1987e37592f4p-4, 0x1.14932d790af64p-4, 0x1.0fae87702ba34p-4, 0x1.0ad9e20affabep-4, 0x1.06152d3348617p-4, 0x1.0160580f76654p-4, 0x1.f976a20b3eb5cp-5, 0x1.f04c0b7cfa33dp-5, 0x1.e740c65100741p-5, 0x1.de54aaf5f9509p-5, 0x1.d5879072f2d7p-5, 0x1.ccd94c6e4ab48p-5, 0x1.c449b334eff21p-5, 0x1.bbd897c1fec31p-5, 0x1.b385cbc6b6661p-5, 0x1.ab511fb2cc43p-5, 0x1.a33a62bd17b35p-5, 0x1.9b4162ec92959p-5, 0x1.9365ed21a5e09p-5, 0x1.8ba7cd1fbf656p-5, 0x1.8406cd972415bp-5, 0x1.7c82b82ef54efp-5, 0x1.751b558f64f0bp-5, 0x1.6dd06d6c0701p-5, 0x1.66a1c68e3db49p-5, 0x1.5f8f26dfb05ebp-5, 0x1.58985374c9c53p-5, 0x1.51bd109734575p-5, 0x1.4afd21d0468ffp-5, 0x1.445849f3619ecp-5, 0x1.3dce4b28349fbp-5, 0x1.375ee6f4e3acfp-5, 0x1.3109de4809a4dp-5, 0x1.2acef18293968p-5, 0x1.24ade08171414p-5, 0x1.1ea66aa71722ap-5, 0x1.18b84ee4d26cep-5, 0x1.12e34bc3e8914p-5, 0x1.0d271f6e85876p-5, 0x1.078387b876b6bp-5, 0x1.01f84227aea29p-5, 0x1.f90a17f9322d1p-6, 0x1.ee5344746ec1ep-6, 0x1.e3cb835c152f6p-6, 0x1.d9724def9448bp-6, 0x1.cf471d21d5a09p-6, 0x1.c54969a7e0ac3p-6, 0x1.bb78ac0726a43p-6, 0x1.b1d45ca36d497p-6, 0x1.a85bf3cc5f97ap-6, 0x1.9f0ee9cac465bp-6, 0x1.95ecb6ed5fe02p-6, 0x1.8cf4d395857fbp-6, 0x1.8426b8434f393p-6, 0x1.7b81dda195585p-6, 0x1.7305bc91853efp-6, 0x1.6ab1ce35ff243p-6, 0x1.62858bfe9eae9p-6, 0x1.5a806fb285a13p-6, 0x1.52a1f37ad217dp-6, 0x1.4ae991ecdbc35p-6, 0x1.4356c61427428p-6, 0x1.3be90b7c0f98cp-6, 0x1.349fde393487bp-6, 0x1.2d7abaf29fba2p-6, 0x1.26791eeaa2dd1p-6, 0x1.1f9a880775ae9p-6, 0x1.18de74db91e7cp-6, 0x1.124464adbeee7p-6, 0x1.0bcbd780e3d29p-6, 0x1.05744e1b8eb4bp-6, 0x1.fe7a941e5ef11p-7, 0x1.f24c9b7e301fdp-7, 0x1.e65db8ce53788p-7, 0x1.daacf4447d858p-7, 0x1.cf3957e09ceb8p-7, 0x1.c401ef788a7e5p-7, 0x1.b905c8c326f6ap-7, 0x1.ae43f362f024bp-7, 0x1.a3bb80efff8bbp-7, 0x1.996b85017c409p-7, 0x1.8f5315367a6abp-7, 0x1.8571493e50d89p-7, 0x1.7bc53ae064a8p-7, 0x1.724e060365614p-7, 0x1.690ac8b407975p-7, 0x1.5ffaa32b39d55p-7, 0x1.571cb7d3d1075p-7, 0x1.4e702b4fc71d6p-7, 0x1.45f4247cea20dp-7, 0x1.3da7cc7923481p-7, 0x1.358a4ea643761p-7, 0x1.2d9ad8ad649efp-7, 0x1.25d89a81ddf6fp-7, 0x1.1e42c663d14p-7, 0x1.16d890e25f256p-7, 0x1.0f9930dd6cd46p-7, 0x1.0883df8722a6ap-7, 0x1.0197d8650f2d8p-7, 0x1.f5a8b2a1fa848p-8, 0x1.e87144f2f642dp-8, 0x1.db87ecc4585f1p-8, 0x1.ceeb33c77a95ep-8, 0x1.c299a8576e1c6p-8, 0x1.b691dd7815f16p-8, 0x1.aad26ad4d6387p-8, 0x1.9f59ecbefca68p-8, 0x1.9427042b9cc1dp-8, 0x1.893856b148aa8p-8, 0x1.7e8c8e8567173p-8, 0x1.74225a793f4a1p-8, 0x1.69f86df6dacddp-8, 0x1.600d80fd7923ap-8, 0x1.5660501dfcafdp-8, 0x1.4cef9c76fe249p-8, 0x1.43ba2bb0d6a24p-8, 0x1.3abec7f935985p-8, 0x1.31fc3ffec6212p-8, 0x1.297166ec9869ap-8, 0x1.211d14653e416p-8, 0x1.18fe247de2515p-8, 0x1.111377b92b3fep-8, 0x1.095bf301d876fp-8, 0x1.01d67fa55bd0fp-8, 0x1.f504169c39b87p-9, 0x1.e6bb0ffb4f24fp-9, 0x1.d8cfd80d4618cp-9, 0x1.cb40640d23c5p-9, 0x1.be0ab1bec958bp-9, 0x1.b12cc761a2c7ap-9, 0x1.a4a4b3a2ef1b8p-9, 0x1.98708d8f9c1f6p-9, 0x1.8c8e74858b2bdp-9, 0x1.80fc902488d3ap-9, 0x1.75b9103eaa50dp-9, 0x1.6ac22cc8381ap-9, 0x1.601625c7142d2p-9, 0x1.55b343419d2ecp-9, 0x1.4b97d52d109f7p-9, 0x1.41c2335b5d83bp-9, 0x1.3830bd689d895p-9, 0x1.2ee1daa7bcc23p-9, 0x1.25d3fa0eed045p-9, 0x1.1d0592237457fp-9, 0x1.147520e5091e6p-9, 0x1.0c212bb8b4a01p-9, 0x1.04083f5344737p-9, 0x1.f851df469698fp-10, 0x1.e903af7565cbfp-10, 0x1.da23337039e11p-10, 0x1.cbadbd5f0b758p-10, 0x1.bda0ad25fabb9p-10, 0x1.aff97035acdbfp-10, 0x1.a2b5815b5845ap-10, 0x1.95d268904e636p-10, 0x1.894dbac9223d2p-10, 0x1.7d2519c468a3fp-10, 0x1.715633d9b2eabp-10, 0x1.65dec3c78227dp-10, 0x1.5abc9081e35aap-10, 0x1.4fed6d00b71edp-10, 0x1.456f380e0da4p-10, 0x1.3b3fdc1493893p-10, 0x1.315d4eee3943cp-10, 0x1.27c591b2f46cp-10, 0x1.1e76b088340e7p-10, 0x1.156ec26fdc83dp-10, 0x1.0cabe9188d2d8p-10, 0x1.042c50adb19cep-10, 0x1.f7dc5f50bf835p-11, 0x1.e7df8d4138a79p-11, 0x1.d85ec03e3919ap-11, 0x1.c956a0dfe1364p-11, 0x1.bac3eaea3822p-11, 0x1.aca36cf4f5d66p-11, 0x1.9ef20813dffffp-11, 0x1.91acaf808bc5cp-11, 0x1.84d068458c5b2p-11, 0x1.785a48eb1cff2p-11, 0x1.6c4779244d23dp-11, 0x1.6095317e97d38p-11, 0x1.5540bb122cc1bp-11, 0x1.4a476f3399fcbp-11, 0x1.3fa6b7271e173p-11, 0x1.355c0bd485409p-11, 0x1.2b64f57cfc113p-11, 0x1.21bf0b71fae98p-11, 0x1.1867f3cd00b51p-11, 0x1.0f5d6328c6db3p-11, 0x1.069d1c5c171ep-11, 0x1.fc49e068ea3c2p-12, 0x1.ebe57a6670937p-12, 0x1.dc08de95d81d8p-12, 0x1.ccafff3c264e8p-12, 0x1.bdd6e87d3e18p-12, 0x1.af79bfdd43f38p-12, 0x1.a194c3c39e75cp-12, 0x1.94244affdb77dp-12, 0x1.8724c4505c1d2p-12, 0x1.7a92b5eab7f3ep-12, 0x1.6e6abd058c6c7p-12, 0x1.62a98d652e01p-12, 0x1.574bf0e7ca274p-12, 0x1.4c4ec714a5f0bp-12, 0x1.41af04acc2421p-12, 0x1.3769b33c9fd17p-12, 0x1.2d7bf0af9facap-12, 0x1.23e2eee4d33ddp-12, 0x1.1a9bf3453a746p-12, 0x1.11a4565b69516p-12, 0x1.08f9836c8fe28p-12, 0x1.0098f812e02b6p-12, 0x1.f10087b219432p-13, 0x1.e15a0fb119c12p-13, 0x1.d239ecac4c9efp-13, 0x1.c39ba4c6de977p-13, 0x1.b57adefda8d7ep-13, 0x1.a7d3626d19ebfp-13, 0x1.9aa115986ea25p-13, 0x1.8ddffdb3d1223p-13, 0x1.811de6a9ac7aap-13, 0x1.753a277d7f2abp-13, 0x1.69bc3443171ccp-13, 0x1.5ea084e49e4cp-13, 0x1.53e3acc38d9dp-13, 0x1.49825a0f5283bp-13, 0x1.3f79551ea3027p-13, 0x1.35c57fcbe062dp-13, 0x1.2c63d4d43a4b8p-13, 0x1.23516739ae1ecp-13, 0x1.1a8b61a76ad7p-13, 0x1.120f05db19c95p-13, 0x1.09d9ac0cac348p-13, 0x1.01e8c25d37a83p-13, 0x1.f473988cb6a8dp-14, 0x1.e594c4199362bp-14, 0x1.d730606ae42dap-14, 0x1.c941edfac1907p-14, 0x1.bbc513a80ffd8p-14, 0x1.aeb59db05ac8fp-14, 0x1.a20f7cb04572bp-14, 0x1.95cec4a4d9412p-14, 0x1.89efabf82cf18p-14, 0x1.7e6e8a8affa98p-14, 0x1.7347d8ca33a8ap-14, 0x1.68782ec55d513p-14, 0x1.5dfc434ac8781p-14, 0x1.53d0eb08177cbp-14, 0x1.49f317aeef1b5p-14, 0x1.405fd720b6514p-14, 0x1.3714529977f45p-14, 0x1.2e0dcde403be5p-14, 0x1.2549a69236bc9p-14, 0x1.1cc55335952c1p-14, 0x1.147e629f759a1p-14, 0x1.0c727b24f3c0fp-14, 0x1.049f59e65365bp-14, 0x1.fa05a43583cep-15, 0x1.eb3598c04bf02p-15, 0x1.dcca8c1da0424p-15, 0x1.cec0a123b82e5p-15, 0x1.c1142183797bp-15, 0x1.b3c17c8b59affp-15, 0x1.a6c545eb0713ap-15, 0x1.9a1c348347e19p-15, 0x1.8dc3213c72e43p-15, 0x1.81b705e3eb5f2p-15, 0x1.75f4fc0f7bbccp-15, 0x1.6a7a3c1081de8p-15, 0x1.5f441bdc693cfp-15, 0x1.54500e10b5a18p-15, 0x1.499ba0f010afbp-15, 0x1.3f247d6bd781ep-15, 0x1.34e86633efe17p-15, 0x1.2ae536cc8c779p-15, 0x1.2118e2aad0482p-15, 0x1.178174580513bp-15, 0x1.0e1d0c9a906bcp-15, 0x1.04e9e1a65269dp-15, 0x1.f7cc7ca1ba23bp-16, 0x1.e62102a2b7c98p-16, 0x1.d4ce38f7e47dp-16, 0x1.c3d1281a50749p-16, 0x1.b326fbeb514edp-16, 0x1.a2cd02596334ap-16, 0x1.92c0aa0dca413p-16, 0x1.82ff812842776p-16, 0x1.738734011fad3p-16, 0x1.64558bf7063c4p-16, 0x1.55686e465f735p-16, 0x1.46bddae7c90eap-16, 0x1.3853eb7a0fc57p-16, 0x1.2a28d239413d7p-16, 0x1.1c3ad8f3aff96p-16, 0x1.0e88600dd4a39p-16, 0x1.010fdd8d3e8d4p-16, 0x1.e79fb85ad0911p-17, 0x1.cd8df4f4afd8ap-17, 0x1.b3e7d3e431044p-17, 0x1.9aaadc5cabd4dp-17, 0x1.81d4b829b23dep-17, 0x1.6963321dab62fp-17, 0x1.5154348dc8fdcp-17, 0x1.39a5c7dae0499p-17, 0x1.22561106d4bbdp-17, 0x1.0b635056421cp-17, 0x1.e997bff99e903p-18, 0x1.bd1c65aff29fep-18, 0x1.9151a67215832p-18, 0x1.6634c34abbf64p-18, 0x1.3bc3277a19de9p-18, 0x1.11fa663451956p-18, 0x1.d1b07105138eap-19, 0x1.80b4f6445541p-19, 0x1.30fe598458173p-19, 0x1.c511af0a57c3dp-20, 0x1.2aa1d25375816p-20, 0x1.254cff45d8ff9p-21, -0x1.733e142a68d8ep-27, -0x1.2c15e145c033bp-21, -0x1.26cc50279c0fdp-20, -0x1.b52fb5ebc2f9cp-20, -0x1.209cf5f37aa6ep-19, -0x1.6577b813aa0f4p-19, -0x1.a92a3d5077e06p-19, -0x1.ebb68105ba0f6p-19, -0x1.168f303a0935fp-18, -0x1.36b1ce8fcf7e5p-18, -0x1.5643ef93571d7p-18, -0x1.75465b9244fe3p-18, -0x1.93b9d05a6d327p-18, -0x1.b19f021328a2bp-18, -0x1.cef69c32ec2b9p-18, -0x1.ebc142707bebfp-18, -0x1.03ffc8cc4af35p-17, -0x1.11d91030ca563p-17, -0x1.1f6cc01a04aeap-17, -0x1.2cbb1ef221fecp-17, -0x1.39c471377a5bp-17, -0x1.4688f9ce434cbp-17, -0x1.5308fa533f9a6p-17, -0x1.5f44b3686a53dp-17, -0x1.6b3c64fc497ebp-17, -0x1.76f04e903a541p-17, -0x1.8260af791e118p-17, -0x1.8d8dc717c0dfap-17, -0x1.9877d513e04cap-17, -0x1.a31f199703a82p-17, -0x1.ad83d577d4e25p-17, -0x1.b7a64a6aef54ep-17, -0x1.c186bb2c758d4p-17, -0x1.cb256baf1a1f7p-17, -0x1.d482a139af233p-17, -0x1.dd9ea28bdbf43p-17, -0x1.e679b8001c4ffp-17, -0x1.ef142bad2b034p-17, -0x1.f76e4968a8b26p-17, -0x1.ff885f0826eadp-17, -0x1.03b15e2836847p-16, -0x1.077ed98f456e2p-16, -0x1.0b2ccbbaf453ep-16, -0x1.0ebb5fc567c33p-16, -0x1.122ac1e799232p-16, -0x1.157b1f84d1367p-16, -0x1.18aca726a03ebp-16, -0x1.1bbf88868a9a2p-16, -0x1.1eb3f48fda424p-16, -0x1.218a1d61b34dp-16, -0x1.244236508b583p-16, -0x1.26dc73e74ecffp-16, -0x1.29590be6f6499p-16, -0x1.2bb835464f074p-16, -0x1.2dfa2830bdeacp-16, -0x1.301f1e02f2f13p-16, }}, 
      {{-0x1.6c6b34c787c64p+0, -0x1.6bfa4fb9cf8dbp+0, -0x1.6b433e5b85504p+0, -0x1.6a437644ca947p+0, -0x1.68fe882ba1517p+0, -0x1.6777157f588b5p+0, -0x1.65afcbcc335fp+0, -0x1.63aba60074db2p+0, -0x1.616db4ae6c685p+0, -0x1.5ef943525fcb7p+0, -0x1.5c51956cb3647p+0, -0x1.5978e8ed77e6cp+0, -0x1.567440f4ca193p+0, -0x1.53456719c55f7p+0, -0x1.4fefc861becdcp+0, -0x1.4c769cc199a15p+0, -0x1.48dcaa5a9799dp+0, -0x1.4524e4ab300ccp+0, -0x1.4152589b5de1cp+0, -0x1.3d671461a73adp+0, -0x1.396664ce256bfp+0, -0x1.3552a2d0da6a5p+0, -0x1.312da32978fb7p+0, -0x1.2cfa29b6732fep+0, -0x1.28ba9c1123eb9p+0, -0x1.24709f02a6ed6p+0, -0x1.201e1c24a9827p+0, -0x1.1bc537974dd7cp+0, -0x1.176784f462b57p+0, -0x1.1306b655521a1p+0, -0x1.0ea462e6c32dcp+0, -0x1.0a41f5f6af83ap+0, -0x1.05e0c272571a8p+0, -0x1.01820e4e40ef5p+0, -0x1.fa4e14581541bp-1, -0x1.f1a19a0027a0fp-1, -0x1.e900b3db8f3cfp-1, -0x1.e06d476a076edp-1, -0x1.d7e912adc4841p-1, -0x1.cf75a62192102p-1, -0x1.c714691027896p-1, -0x1.bec6a3699cb0cp-1, -0x1.b68d849a3a021p-1, -0x1.ae6a251d0d01cp-1, -0x1.a65d859b35f78p-1, -0x1.9e688e070a417p-1, -0x1.968c0ced108c4p-1, -0x1.8ec8b6d4f37dep-1, -0x1.871f267ddf583p-1, -0x1.7f8fdee66f928p-1, -0x1.781b4eecc10fbp-1, -0x1.70c1d52296cebp-1, -0x1.6983c263bd7p-1, -0x1.62615acb59989p-1, -0x1.5b5ab0cfc80ecp-1, -0x1.5470543db644p-1, -0x1.4da22b2b14442p-1, -0x1.46f048332df97p-1, -0x1.405ab3b3cd78ap-1, -0x1.39e16b7997fecp-1, -0x1.338462e4ea9bdp-1, -0x1.2d4383decd53cp-1, -0x1.271eb04a06926p-1, -0x1.2115c34ce2bfep-1, -0x1.1b2891fff1aa6p-1, -0x1.1556eb805da82p-1, -0x1.0fa098c2393a9p-1, -0x1.0a055c9555532p-1, -0x1.0484f421e1dacp-1, -0x1.fe3e2fb095904p-2, -0x1.f3a6f927e10c8p-2, -0x1.e943a936dddf1p-2, -0x1.df13a0792d03cp-2, -0x1.d5163bdd3a494p-2, -0x1.cb4ad428c864cp-2, -0x1.c1b0bd30e92b7p-2, -0x1.b8474546b832fp-2, -0x1.af0db538e4e1dp-2, -0x1.a603510c09ea5p-2, -0x1.9d27594a1a11cp-2, -0x1.94790c9a34f9cp-2, -0x1.8bf7a942b24fap-2, -0x1.83a26e4711905p-2, -0x1.7b789bf88884p-2, -0x1.737973fb0afddp-2, -0x1.6ba438e3e8882p-2, -0x1.63f82daa7b023p-2, -0x1.5c749524f4f1bp-2, -0x1.5518b1bf01741p-2, -0x1.4de3c5838dcffp-2, -0x1.46d5127cb9072p-2, -0x1.3febdb5972c43p-2, -0x1.3927643a95df3p-2, -0x1.3286f382e46f8p-2, -0x1.2c09d28689ccdp-2, -0x1.25af4dfeb817cp-2, -0x1.1f76b632b4eafp-2, -0x1.195f5ed692573p-2, -0x1.13689eadaa1fp-2, -0x1.0d91cf0937302p-2, -0x1.07da4b401c357p-2, -0x1.0241703bcbc17p-2, -0x1.f98d38600a7cdp-3, -0x1.eed25d132b765p-3, -0x1.e451102b6187dp-3, -0x1.da0816b382dfep-3, -0x1.cff63a18fb3afp-3, -0x1.c61a493a74786p-3, -0x1.bc73196c26af5p-3, -0x1.b2ff875020119p-3, -0x1.a9bd66bd73b34p-3, -0x1.a0ade6def3164p-3, -0x1.97cee1fd37be2p-3, -0x1.8f1f4fe1862c8p-3, -0x1.869e2db9dbba4p-3, -0x1.7e4a7e023f694p-3, -0x1.7623486b6037dp-3, -0x1.6e2799c180dc3p-3, -0x1.665683d649e39p-3, -0x1.5eaf1d6f2e94p-3, -0x1.57308238f22e9p-3, -0x1.4fd9d2bfb7289p-3, -0x1.48aa346a333c5p-3, -0x1.41a0d175c9eecp-3, -0x1.3abcd8f15712fp-3, -0x1.33fd7eb45cd4fp-3, -0x1.2d61fb51026ffp-3, -0x1.26e98bffeb83dp-3, -0x1.20937285e3a27p-3, -0x1.1a5ef5142f6f7p-3, -0x1.144b5e24eb138p-3, -0x1.0e57fc557fa01p-3, -0x1.088422411791ap-3, -0x1.02cf265d1cedfp-3, -0x1.fa70c5b23e265p-4, -0x1.ef7e6b065c863p-4, -0x1.e4c5ff61d87dbp-4, -0x1.da464c5a2fca1p-4, -0x1.cffe2251a8235p-4, -0x1.c5ec585f2cdbdp-4, -0x1.bc0fcc38fdc7ep-4, -0x1.b267621fe91fap-4, -0x1.a8f204c8d1175p-4, -0x1.9faea54330b0dp-4, -0x1.969c3adb74003p-4, -0x1.8db9c2f9105c9p-4, -0x1.850640f8881e9p-4, -0x1.7c80be02224bap-4, -0x1.742848de56538p-4, -0x1.6bfbf5c91eae1p-4, -0x1.63fade4554cb8p-4, -0x1.5c2420f133ddcp-4, -0x1.5476e15cd3d28p-4, -0x1.4cf247e350d06p-4, -0x1.45958186f131dp-4, -0x1.3e5fbfd080005p-4, -0x1.375038b1bdd9ep-4, -0x1.3066266aaff5fp-4, -0x1.29a0c77167137p-4, -0x1.22ff5e5bc7912p-4, -0x1.1c8131cacbc12p-4, -0x1.16258c56b84dep-4, -0x1.0febbc7bc2cbbp-4, -0x1.09d31486b62ddp-4, -0x1.03daea81380eep-4, -0x1.fc05303ad2f9bp-5, -0x1.f092f541705cdp-5, -0x1.e55de59ba7fcfp-5, -0x1.da64c99ba7dfbp-5, -0x1.cfa6703168d64p-5, -0x1.c521aebabdd3cp-5, -0x1.bad560d31f028p-5, -0x1.b0c06823ac15ep-5, -0x1.a6e1ac3423d8dp-5, -0x1.9d381a3d5b98bp-5, -0x1.93c2a4fdae674p-5, -0x1.8a80448fe4ap-5, -0x1.816ff644cdbecp-5, -0x1.7890bc7fafb6ap-5, -0x1.6fe19e959c535p-5, -0x1.6761a8af8c448p-5, -0x1.5f0febaf07e45p-5, -0x1.56eb7d151dad9p-5, -0x1.4ef376eb47639p-5, -0x1.4726f7ade4e6ap-5, -0x1.3f852237eca8ap-5, -0x1.380d1daf7374bp-5, -0x1.30be1572bd15ap-5, -0x1.2997390589266p-5, -0x1.2297bbfe6aca9p-5, -0x1.1bbed5f3f19bbp-5, -0x1.150bc26997205p-5, -0x1.0e7dc0bc5afbfp-5, -0x1.0814140f023ccp-5, -0x1.01ce033615916p-5, -0x1.f755b1473ab3p-6, -0x1.eb53c4a580504p-6, -0x1.df94e3669ea8fp-6, -0x1.d417b72ae44dep-6, -0x1.c8daf02b05f8cp-6, -0x1.bddd45106d4ccp-6, -0x1.b31d72ce6e671p-6, -0x1.a89a3c7c73b8ep-6, -0x1.9e526b3165d6fp-6, -0x1.9444cde043fabp-6, -0x1.8a70393631787p-6, -0x1.80d38779d9329p-6, -0x1.776d986c4c576p-6, -0x1.6e3d512b3b554p-6, -0x1.65419c1494fbcp-6, -0x1.5c7968ab75fa8p-6, -0x1.53e3ab7e4dfe6p-6, -0x1.4b7f5e0e2ba7ep-6, -0x1.434b7eb713336p-6, -0x1.3b4710994cd4dp-6, -0x1.33711b838c82ep-6, -0x1.2bc8abddce9c5p-6, -0x1.244cd294eb81bp-6, -0x1.1cfca506b2ffap-6, -0x1.15d73cee9529bp-6, -0x1.0edbb8529ab97p-6, -0x1.08093970d676ap-6, -0x1.015ef820fe134p-6, -0x1.f5b7f015d1ap-7, -0x1.e8fef98418e7bp-7, -0x1.dc9171ae52676p-7, -0x1.d06dc56b0d28bp-7, -0x1.c49269228d69p-7, -0x1.b8fdd8ac2cf43p-7, -0x1.adae972c81ef8p-7, -0x1.a2a32ef447dcp-7, -0x1.97da315fdaf7bp-7, -0x1.8d5236b77b76ap-7, -0x1.8309de10204a2p-7, -0x1.78ffcd2ced28dp-7, -0x1.6f32b0613f2e2p-7, -0x1.65a13a73501p-7, -0x1.5c4a247f64a97p-7, -0x1.532c2ddb8b122p-7, -0x1.4a461bfbe8441p-7, -0x1.4196ba577777ap-7, -0x1.391cda4d632fbp-7, -0x1.30d7530ad98edp-7, -0x1.28c501714aa5ep-7, -0x1.20e4c7fd40babp-7, -0x1.19358ead8ff3dp-7, -0x1.11b642eb129e1p-7, -0x1.0a65d770ca11bp-7, -0x1.034344346bf62p-7, -0x1.f89b0c9ed08d8p-8, -0x1.eb073fd082c7bp-8, -0x1.ddc93038b5489p-8, -0x1.d0def5d450056p-8, -0x1.c446b237558d7p-8, -0x1.b7fe9062bf3acp-8, -0x1.ac04c49af1619p-8, -0x1.a0578c3ef518cp-8, -0x1.94f52da0352c9p-8, -0x1.89dbf7db076bfp-8, -0x1.7f0a42afc0b94p-8, -0x1.747e6e5c6aacdp-8, -0x1.6a36e3771b105p-8, -0x1.603212c8cbfc7p-8, -0x1.566e7528da50bp-8, -0x1.4cea8b59113p-8, -0x1.43a4dde239385p-8, -0x1.3a9bfcf13d30ap-8, -0x1.31ce8034d4b2ep-8, -0x1.293b06bba795bp-8, -0x1.20e036d30a2e9p-8, -0x1.18bcbde62b4a1p-8, -0x1.10cf505dd9942p-8, -0x1.0916a9809ae85p-8, -0x1.01918b536d5d4p-8, -0x1.f47d7cf5d0971p-9, -0x1.e63a2439ded4fp-9, -0x1.d856b7855f584p-9, -0x1.cad0ee7680656p-9, -0x1.bda68cfd36c03p-9, -0x1.b0d5632240d2ep-9, -0x1.a45b4cceb721ap-9, -0x1.98363194dfe0cp-9, -0x1.8c64047993c83p-9, -0x1.80e2c3be8c873p-9, -0x1.75b078ad84122p-9, -0x1.6acb376445726p-9, -0x1.60311ea13d602p-9, -0x1.55e057911883p-9, -0x1.4bd7159d0614ep-9, -0x1.42139639dbb28p-9, -0x1.389420b7b6b5ap-9, -0x1.2f570612a3553p-9, -0x1.265aa0c3d743p-9, -0x1.1d9d5493a18f5p-9, -0x1.151d8e6c31078p-9, -0x1.0cd9c42ccfad5p-9, -0x1.04d0747e0a0e1p-9, -0x1.fa004d4cbb6afp-10, -0x1.eaced4bf55f12p-10, -0x1.dc09af5a8440ep-10, -0x1.cdae1d65256c2p-10, -0x1.bfb96f152387p-10, -0x1.b229043f87cd8p-10, -0x1.a4fa4c09855bap-10, -0x1.982ac49b2e9cap-10, -0x1.8bb7fad3292eap-10, -0x1.7f9f89fb97651p-10, -0x1.73df1b80a9228p-10, -0x1.687466a7697e4p-10, -0x1.5d5d3046c61ecp-10, -0x1.52974a8134347p-10, -0x1.4820947f9d175p-10, -0x1.3df6fa2d67beep-10, -0x1.341873f607ca2p-10, -0x1.2a830682c291ep-10, -0x1.2134c27aa3ce7p-10, -0x1.182bc442e3f3fp-10, -0x1.0f6633c08f70ap-10, -0x1.06e2441b7e8fbp-10, -0x1.fd3c67039e5b5p-11, -0x1.ed3095da048a7p-11, -0x1.dd9dbbcfb561bp-11, -0x1.ce8094aa8bb8bp-11, -0x1.bfd5f070db2c4p-11, -0x1.b19ab2fb19c4dp-11, -0x1.a3cbd387e7cb7p-11, -0x1.96665c5248c4fp-11, -0x1.89676a28c28fap-11, -0x1.7ccc2c07b2a26p-11, -0x1.7091e2b4a4e76p-11, -0x1.64b5e05bd487bp-11, -0x1.5935882f676b2p-11, -0x1.4e0e4e08b86adp-11, -0x1.433db60ae0242p-11, -0x1.38c1544782161p-11, -0x1.2e96cc651f4e5p-11, -0x1.24bbd1472fb9bp-11, -0x1.1b2e24b7951b1p-11, -0x1.11eb971233e68p-11, -0x1.08f206f1c34eap-11, -0x1.003f60de63495p-11, -0x1.efa33dfbfafc3p-12, -0x1.df4d918ab681ep-12, -0x1.cf79e5578e703p-12, -0x1.c0247bbf22a12p-12, -0x1.b149aff86dc46p-12, -0x1.a2e5f583de927p-12, -0x1.94f5d79d53975p-12, -0x1.8775f8b064f6p-12, -0x1.7a6311d169a35p-12, -0x1.6db9f23564f4ep-12, -0x1.61777eb048218p-12, -0x1.5598b133f41p-12, -0x1.4a1a985224f0cp-12, -0x1.3efa56c0dd5b3p-12, -0x1.343522e0f4274p-12, -0x1.29c84648ca7a7p-12, -0x1.1fb11d4d791e4p-12, -0x1.15ed1692de4b3p-12, -0x1.0c79b29b1255p-12, -0x1.03548359076fcp-12, -0x1.f4f6578a8cad7p-13, -0x1.e3d6bee9431bp-13, -0x1.d345c46407076p-13, -0x1.c33f0f30bfb2dp-13, -0x1.b3be6561aacb2p-13, -0x1.a4bfab222cfbfp-13, -0x1.963ee1fb7bffdp-13, -0x1.88382818f239dp-13, -0x1.7aa7b79311ad3p-13, -0x1.6d89e5bddcd6bp-13, -0x1.60db2279d6aa7p-13, -0x1.5497f789ffcbp-13, -0x1.48bd07ec76632p-13, -0x1.3d470f3821a22p-13, -0x1.3232e0fac132ap-13, -0x1.277d681e8e24cp-13, -0x1.1d23a6508d488p-13, -0x1.1322b36a3db92p-13, -0x1.0977bcdfd1557p-13, -0x1.00200530d1d17p-13, -0x1.ee31c6b816e4fp-14, -0x1.dcbf84ae93f5dp-14, -0x1.cbe4410f5801p-14, -0x1.bb9b1e84e599bp-14, -0x1.abdf649285cfep-14, -0x1.9cac7e9f317b6p-14, -0x1.8dfdfb007d39ap-14, -0x1.7fcf8a0c4b212p-14, -0x1.721cfd30009a2p-14, -0x1.64e2460d6ab34p-14, -0x1.581b759c07199p-14, -0x1.4bc4bb4f91fbep-14, -0x1.3fda644a58d63p-14, -0x1.3458da8547adcp-14, -0x1.293ca40ca5456p-14, -0x1.1e826239c7434p-14, -0x1.1426d0f33bb23p-14, -0x1.0a26c5f0fa04fp-14, -0x1.007f30066f6fcp-14, -0x1.ee5a2cdf69499p-15, -0x1.dc5b30479e65bp-15, -0x1.cafbd6573e17ap-15, -0x1.ba36b7f2bfe1dp-15, -0x1.aa06999d2d7c9p-15, -0x1.9a666a2ce3a7ep-15, -0x1.8b5141a2641ffp-15, -0x1.7cc25ffb206b6p-15, -0x1.6eb52c0dfc74ap-15, -0x1.6125326ee394cp-15, -0x1.540e245a128ecp-15, -0x1.476bd6a5dbf23p-15, -0x1.3b3a40ba65321p-15, -0x1.2f757b95c7b4dp-15, -0x1.2419c0cc39e18p-15, -0x1.19236993c118bp-15, -0x1.0e8eedde89313p-15, -0x1.0458e36d727c4p-15, -0x1.f4fbf9ded201p-16, -0x1.e1f61253c6c35p-16, -0x1.cf99e439009b4p-16, -0x1.bde1786cc1f64p-16, -0x1.acc70b1081be6p-16, -0x1.9c450a0070679p-16, -0x1.8c56135207266p-16, -0x1.7cf4f3dd5ccb1p-16, -0x1.6e1ca5d2d5f17p-16, -0x1.5fc84f4933b5p-16, -0x1.51f3410653d82p-16, -0x1.4498f506d1acfp-16, -0x1.37b50d4d39137p-16, -0x1.2b43529e17b69p-16, -0x1.1f3fb349c4362p-16, -0x1.13a641fe8b839p-16, -0x1.087334a30e66cp-16, -0x1.fb45c6713c545p-17, -0x1.e6638d8ac91cap-17, -0x1.d238f08d74e62p-17, -0x1.bebf5f5464656p-17, -0x1.abf0859362813p-17, -0x1.99c648efb30a2p-17, -0x1.883ac73540869p-17, -0x1.7748544a21d8p-17, -0x1.66e9788f20e5ap-17, -0x1.5718ef1a55aep-17, -0x1.47d1a408d097cp-17, -0x1.38fd1af191f3p-17, -0x1.2abb2f31c70cbp-17, -0x1.1cf44a1bfe87cp-17, -0x1.0fa40c46ce0cfp-17, -0x1.02c63fa997635p-17, -0x1.ecadac534bc97p-18, -0x1.d4a3d092d00fep-18, -0x1.bd6767956023bp-18, -0x1.a6f134cd992dbp-18, -0x1.913a411c73107p-18, -0x1.7c3bd8692f601p-18, -0x1.67ef873196df7p-18, -0x1.544f186282431p-18, -0x1.4154930b84d9cp-18, -0x1.2efa383fd97dep-18, -0x1.1d3a8102a728ap-18, -0x1.0c101c43d3a93p-18, -0x1.f6ebd9dce5b76p-19, -0x1.d6ce0fff8b284p-19, -0x1.b7bd655088d5ap-19, -0x1.99b0c1b0e8899p-19, -0x1.7c9f65e4223a3p-19, -0x1.6080e935f1c97p-19, -0x1.454d35fac481dp-19, -0x1.2afc866ad8afcp-19, -0x1.118761a85d52bp-19, -0x1.f1cd31af5c8f8p-20, -0x1.c22688a03eabfp-20, -0x1.940d819a1fb93p-20, -0x1.67755a5e54d02p-20, -0x1.3c51ceb9363p-20, -0x1.129714703a505p-20, -0x1.d473ac9b94f66p-21, -0x1.865e5e9c2e2e6p-21, -0x1.3ad94d78392eep-21, -0x1.e3a0ae12e6e5ep-22, -0x1.566040d5afedep-22, -0x1.9b98381981ab6p-23, -0x1.2701df51d730cp-24, 0x1.af2898491d658p-25, 0x1.628b34396bb39p-23, 0x1.2880eddd14317p-22, 0x1.9bb5a7bb377cep-22, 0x1.05809b923a13bp-21, 0x1.3b3ff665aebe2p-21, 0x1.6f2683c3581e7p-21, 0x1.a1415fa6e9f9ep-21, 0x1.d19d28d1bb187p-21, 0x1.002301afaf659p-20, 0x1.16a3d0f161697p-20, 0x1.2c56a40d5836bp-20, 0x1.4140e7b884c11p-20, 0x1.5567d612d4be9p-20, 0x1.68d078c4896f1p-20, 0x1.7b7fab171761ep-20, 0x1.8d7a1bfa26642p-20, 0x1.9ec44fefe4933p-20, 0x1.af62a2fb53917p-20, 0x1.bf594a5266165p-20, 0x1.ceac560e300aep-20, 0x1.dd5fb32aabed4p-20, 0x1.eb772c91d3219p-20, 0x1.f8f66cfc9c444p-20, 0x1.02f080289fd15p-19, 0x1.091d2a84a695fp-19, 0x1.0f02dec3e75e2p-19, 0x1.14a3389f0d88ep-19, 0x1.19ffc73e4627bp-19, 0x1.1f1a0d5dd0903p-19, 0x1.23f3822b79e3p-19, 0x1.288d91bd063c5p-19, 0x1.2ce99da87f5a8p-19, 0x1.3108fd27a2a6ep-19, 0x1.34ecfe4acfb14p-19, 0x1.3896e580b8777p-19, 0x1.3c07eecea45cp-19, 0x1.3f414dcff30f2p-19, 0x1.42442e331c77ep-19, 0x1.4511b4198dcafp-19, 0x1.47aafc7317p-19, 0x1.4a111d550a15ep-19, 0x1.4c45264d3ee03p-19, 0x1.4e4820b118302p-19, 0x1.501b0fe8bbedp-19, 0x1.51bef1b69d3ccp-19, 0x1.5334be7b79048p-19, 0x1.547d6962c098fp-19, 0x1.5599e0ec98fcdp-19, 0x1.568b0ec101828p-19, 0x1.5751d81a2f31p-19, 0x1.57ef1df88c659p-19, 0x1.5863bd54274b2p-19, 0x1.58b08f437478dp-19, 0x1.58d6694fb94e3p-19, 0x1.58d61d0fe2738p-19, 0x1.58b0792660e1dp-19, 0x1.586648d8c5be7p-19, 0x1.57f85453ab41ep-19, 0x1.576760cd2a4c2p-19, 0x1.56b430a3f8813p-19, 0x1.55df837c9eb6p-19, 0x1.54ea165ce6ce8p-19, 0x1.53d4a3ad6eb01p-19, 0x1.529fe3b3697d3p-19, 0x1.514c8c12fed63p-19, 0x1.4fdb50482177p-19, 0x1.4e4ce1a0f6217p-19, 0x1.4ca1ef50174a6p-19, 0x1.4adb268e48fc7p-19, 0x1.48f93265c7a9fp-19, 0x1.46fcbc29e49dcp-19, 0x1.44e66b37c65a7p-19, 0x1.42b6e52a422ffp-19, 0x1.406ecdc532a1p-19, 0x1.3e0ec715bf873p-19, 0x1.3b977176876p-19, 0x1.39096b949664ep-19, 0x1.366552862e05bp-19, 0x1.33abc1bdcd125p-19, 0x1.30dd531bb779ap-19, 0x1.2dfa9ef3397a1p-19, 0x1.2b043c0fec8c8p-19, 0x1.27fabfb6fb5d1p-19, 0x1.24debdb1418f4p-19, 0x1.21b0c8432ab85p-19, 0x1.1e71705a9986p-19, 0x1.1b2145363d06dp-19, 0x1.17c0d4cccf63bp-19, 0x1.1450ab97a427bp-19, 0x1.10d154a08e2a9p-19, 0x1.0d435984550f7p-19, 0x1.09a742593e13p-19, 0x1.05fd96106bfp-19, 0x1.0246d9e8ed9ddp-19, 0x1.fd07239e2c7aap-20, 0x1.f56880b5a193p-20, 0x1.edb2ccdfe1168p-20, 0x1.e5e707bbaa91ep-20, 0x1.de062d869a808p-20, 0x1.d611381a9d42dp-20, 0x1.ce091e350b148p-20, 0x1.c5eed3c5f4b0bp-20, 0x1.bdc349e3f5d1dp-20, 0x1.b5876ec13374ap-20, 0x1.ad3c2db7af638p-20, 0x1.a4e26f3cb7901p-20, 0x1.9c7b18e419cd5p-20, 0x1.94070d5c48e8fp-20, 0x1.8b872c6c0aea4p-20, 0x1.82fc52f45d4c2p-20, 0x1.7a675ae9383e9p-20, 0x1.71c91b5331294p-20, 0x1.6922684ce3bd7p-20, 0x1.60741303d2c8p-20, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.4716a34d9a28cp-5, -0x1.42be3f8be015fp-4, -0x1.da41bfee9b5a4p-4, -0x1.33d57aac7df42p-3, -0x1.74a3faca31827p-3, -0x1.aefd9702809acp-3, -0x1.e28ed74a47808p-3, -0x1.0798e1c93be2ep-2, -0x1.1a72327d79647p-2, -0x1.29e0312b56f56p-2, -0x1.35fa2d8f6478ap-2, -0x1.3ee0566d61a59p-2, -0x1.44b6a8b8567e1p-2, -0x1.47a79ead2fb44p-2, -0x1.47df6de7b4df9p-2, -0x1.458bfb5de2f73p-2, -0x1.40dc7bac5ce0cp-2, -0x1.3a0044c68d462p-2, -0x1.3125c769344adp-2, -0x1.267bbc6faa86ep-2, -0x1.1a2e7fc7238fp-2, -0x1.0c69ef1922b63p-2, -0x1.fab0ba0644b4dp-3, -0x1.da41ea085ecb5p-3, -0x1.b7d3e62e14c93p-3, -0x1.93b1817edb221p-3, -0x1.6e1ee2fb04be5p-3, -0x1.475aafb08b942p-3, -0x1.1fa22d59e0725p-3, -0x1.ee5b2d39d9de8p-4, -0x1.9c62bbccfbd81p-4, -0x1.49bc961247e37p-4, -0x1.ed846ca843e9ap-5, -0x1.478a29b33a11dp-5, -0x1.443f1d20bc59ap-6, 0x1.192ab9229f0b4p-12, 0x1.49dcf0d542de7p-6, 0x1.45a416ce70082p-5, 0x1.e3ee683ca41fbp-5, 0x1.3fba018cb0191p-4, 0x1.8bf31fcb0504ap-4, 0x1.d6803d090230fp-4, 0x1.0fa1c3e986a73p-3, 0x1.331191b528217p-3, 0x1.55845ee0d3692p-3, 0x1.76f0aba8f2c46p-3, 0x1.974e94f4efefdp-3, 0x1.b697c975787b4p-3, 0x1.d4c77960e5243p-3, 0x1.f1da40635648fp-3, 0x1.06e70536dff3fp-2, 0x1.1450f90d84e1p-2, 0x1.212b0bb7e0505p-2, 0x1.2d75b8d1ed52cp-2, 0x1.39332fcd1523bp-2, 0x1.446179af410b4p-2, 0x1.4f036f8acc4dep-2, 0x1.591ac8f78bb1bp-2, 0x1.62a97b717ba8cp-2, 0x1.6bb1afa8b4b57p-2, 0x1.7435b9c1c20d8p-2, 0x1.7c381528fdea2p-2, 0x1.83bb629807548p-2, 0x1.8ac2660c3a355p-2, 0x1.915003149bbfcp-2, 0x1.9767375110128p-2, 0x1.9d0b142db61efp-2, 0x1.a23eb936cc0e1p-2, 0x1.a7054fe1e13dbp-2, 0x1.ab6208d375439p-2, 0x1.af581a0110637p-2, 0x1.b2eabce015a72p-2, 0x1.b61d2c14b9d29p-2, 0x1.b8f2a090de35ap-2, 0x1.bb6e4e81e4589p-2, 0x1.bd93629e6084bp-2, 0x1.bf65004cd3f0bp-2, 0x1.c0e640cf085fcp-2, 0x1.c21a333ea63cap-2, 0x1.c303dcdcd3593p-2, 0x1.c3a6391ae305ep-2, 0x1.c40438ddaab8bp-2, 0x1.c420c0c4915a2p-2, 0x1.c3fea6966542ap-2, 0x1.c3a0ae41fd206p-2, 0x1.c30987084ffcap-2, 0x1.c23bc960ee579p-2, 0x1.c139f5ff27339p-2, 0x1.c006761ed43afp-2, 0x1.bea39cfdd2bfap-2, 0x1.bd13aa31f3fb1p-2, 0x1.bb58cc6a6315ep-2, 0x1.b97524219b8abp-2, 0x1.b76ac5d004d0fp-2, 0x1.b53bbb4aaf1f1p-2, 0x1.b2ea041fffccp-2, 0x1.b07794ef25658p-2, 0x1.ade655e031356p-2, 0x1.ab382083c944dp-2, 0x1.a86ebd75b1538p-2, 0x1.a58be2225afc7p-2, 0x1.a2912f0588a5bp-2, 0x1.9f802ea19f6fcp-2, 0x1.9c5a55516d631p-2, 0x1.992101f64f1d6p-2, 0x1.95d57f682e6a3p-2, 0x1.927906776977bp-2, 0x1.8f0cc04492339p-2, 0x1.8b91c8af1987dp-2, 0x1.880930a164e2ap-2, 0x1.8470fa83ffbccp-2, 0x1.80cf6a079258dp-2, 0x1.7d2376bdeda54p-2, 0x1.796e1d83893b8p-2, 0x1.75b05060bda3cp-2, 0x1.71eaf65f334a9p-2, 0x1.6e1eeb74e87d6p-2, 0x1.6a4d008c90954p-2, 0x1.6675fbafb5bbfp-2, 0x1.629a98539e235p-2, 0x1.5ebb87c6d03f7p-2, 0x1.5ad971ba70ad1p-2, 0x1.56f4f4e0abb35p-2, 0x1.530ea79822bbbp-2, 0x1.4f27189bdcb6cp-2, 0x1.4b3ecfaf81d87p-2, 0x1.47564e40b368ap-2, 0x1.436e0ff7c8dd1p-2, 0x1.3f868b3430631p-2, 0x1.3ba031729537bp-2, 0x1.37bb6f9cec5a7p-2, 0x1.33d8ae4608fap-2, 0x1.2ff851d39a28ep-2, 0x1.2c1aba9a1e0c1p-2, 0x1.284044ee86357p-2, 0x1.246949312c464p-2, 0x1.20961bd52a8ap-2, 0x1.1cc70d669cd9cp-2, 0x1.18fc6a9189f2p-2, 0x1.15367c2aa602cp-2, 0x1.1175873a967c3p-2, 0x1.0db9cd0bf9f15p-2, 0x1.0a038b3c4222cp-2, 0x1.0652fbcf5290dp-2, 0x1.02a85545c3788p-2, 0x1.fe07956b683f4p-3, 0x1.f6cb17cc2ea76p-3, 0x1.ef9b8ad8cbc16p-3, 0x1.e87941993af9fp-3, 0x1.e1648936bf7dfp-3, 0x1.da5da943fa6edp-3, 0x1.d364e4081d22p-3, 0x1.cc7a76cc7c11bp-3, 0x1.c59e9a2b81a54p-3, 0x1.bed1825fe676bp-3, 0x1.b8135f931ca5ap-3, 0x1.b1645e29bcfd4p-3, 0x1.aac4a70ce8c5ap-3, 0x1.a4345fef95b92p-3, 0x1.9db3ab8ef1049p-3, 0x1.9742a9ed0fe2p-3, 0x1.90e178855aeadp-3, 0x1.8a90327a5b48dp-3, 0x1.844ef0bca52a9p-3, 0x1.7e1dca2adcd7ep-3, 0x1.77fcd3aafedbfp-3, 0x1.71ec203d5310ep-3, 0x1.6bebc1096fb47p-3, 0x1.65fbc566286ccp-3, 0x1.601c3add105c9p-3, 0x1.5a4d2d2a980bfp-3, 0x1.548ea63bb2df9p-3, 0x1.4ee0ae2a02555p-3, 0x1.49434b378458ep-3, 0x1.43b681ca9c321p-3, 0x1.3e3a546b4bcb8p-3, 0x1.38cec3c232d9fp-3, 0x1.3373ce99d8b6dp-3, 0x1.2e2971e28f36dp-3, 0x1.28efa8b917d3ep-3, 0x1.23c66c700502cp-3, 0x1.1eadb49bbf123p-3, 0x1.19a57720e4748p-3, 0x1.14ada844c0d58p-3, 0x1.0fc63abf60badp-3, 0x1.0aef1fcef0c05p-3, 0x1.0628474bf4562p-3, 0x1.01719fbde0c4fp-3, 0x1.f9962cdf9fe48p-4, 0x1.f0692f09d6072p-4, 0x1.e75c1c18843a7p-4, 0x1.de6ec827bc6dcp-4, 0x1.d5a10575b4057p-4, 0x1.ccf2a484cf061p-4, 0x1.c463743b535acp-4, 0x1.bbf34200ad589p-4, 0x1.b3a1d9d86a6f6p-4, 0x1.ab6f067acc215p-4, 0x1.a35a916b2d4ddp-4, 0x1.9b64430c57b8cp-4, 0x1.938be2b2f9d46p-4, 0x1.8bd136b6610bbp-4, 0x1.8434047faaddp-4, 0x1.7cb41097a37b8p-4, 0x1.75511eb376622p-4, 0x1.6e0af1c05bc41p-4, 0x1.66e14bee6babcp-4, 0x1.5fd3eebab6cdp-4, 0x1.58e29af8c7de8p-4, 0x1.520d10dba42dep-4, 0x1.4b530ffe67bf4p-4, 0x1.44b4576c8e376p-4, 0x1.3e30a5a9fdd91p-4, 0x1.37c7b8bae19a3p-4, 0x1.31794e2b5e74cp-4, 0x1.2b4523172dcdp-4, 0x1.252af431285c7p-4, 0x1.1f2a7dcac175p-4, 0x1.19437bdb7b3a1p-4, 0x1.1375aa0851878p-4, 0x1.0dc0c3ab21803p-4, 0x1.082483da076ffp-4, 0x1.029f22e99d02bp-4, 0x1.fa672b100a7f3p-5, 0x1.efbfbcb993e13p-5, 0x1.e5476e3de119dp-5, 0x1.dafdb2eb40ab5p-5, 0x1.d0e1fdfee2872p-5, 0x1.c6f3c2b2cd612p-5, 0x1.bd32744b31cfap-5, 0x1.b39d862326d45p-5, 0x1.aa346bb8e1669p-5, 0x1.a0f698b96adc9p-5, 0x1.97e3810be4a1cp-5, 0x1.8efa98dc68b43p-5, 0x1.863b54a688acap-5, 0x1.7da5293f7bd9bp-5, 0x1.75378be00269bp-5, 0x1.6cf1f22e0507p-5, 0x1.64d3d245f6e11p-5, 0x1.5cdca2c40457ep-5, 0x1.550bdacd0c2bdp-5, 0x1.4d60f21767c58p-5, 0x1.45db60f38bbcp-5, 0x1.3e7aa054760a4p-5, 0x1.373e29d7f31a6p-5, 0x1.302577ceb6d58p-5, 0x1.293005444634dp-5, 0x1.225d4e06b09dap-5, 0x1.1bacceae1a72bp-5, 0x1.151e04a410c1cp-5, 0x1.0eb06e2aa776dp-5, 0x1.08638a635d268p-5, 0x1.0236d955c68dep-5, 0x1.f853b7ebef241p-6, 0x1.ec78285562fb9p-6, 0x1.e0da09a6923dap-6, 0x1.d578639aa2d8cp-6, 0x1.ca523ff3f7e1ep-6, 0x1.bf66aa866a982p-6, 0x1.b4b4b140fe68bp-6, 0x1.aa3b6436ff10ap-6, 0x1.9ff9d5a89d44p-6, 0x1.95ef1a0afbc78p-6, 0x1.8c1a480fb3523p-6, 0x1.827a78abd4407p-6, 0x1.790ec71e5f0fp-6, 0x1.6fd650f63e2bep-6, 0x1.66d03617c0696p-6, 0x1.5dfb98c198fffp-6, 0x1.55579d9168a3dp-6, 0x1.4ce36b87d27eep-6, 0x1.449e2c0c21fb9p-6, 0x1.3c870aef864e7p-6, 0x1.349d366fe5d9dp-6, 0x1.2cdfdf3a4cf1bp-6, 0x1.254e386d006fep-6, 0x1.1de7779930953p-6, 0x1.16aad4c45afdep-6, 0x1.0f978a694ce26p-6, 0x1.08acd578e49b1p-6, 0x1.01e9f55a77a8dp-6, 0x1.f69c57d7e7906p-7, 0x1.e9b17b037783dp-7, 0x1.dd11e1cc7bbaep-7, 0x1.d0bc1eb27f78p-7, 0x1.c4aec91df34bdp-7, 0x1.b8e87d5dd58a3p-7, 0x1.ad67dca4e04ebp-7, 0x1.a22b8d064b22bp-7, 0x1.973239722a1f2p-7, 0x1.8c7a91b13ee9ap-7, 0x1.82034a608352ap-7, 0x1.77cb1cec354a3p-7, 0x1.6dd0c78a8cfafp-7, 0x1.64130d360686cp-7, 0x1.5a90b5a758ba8p-7, 0x1.51488d4f05053p-7, 0x1.4839654e989e2p-7, 0x1.3f621371880f4p-7, 0x1.36c17225ca91ap-7, 0x1.2e56607410c99p-7, 0x1.261fc1f7b253dp-7, 0x1.1e1c7ed65680fp-7, 0x1.164b83b748328p-7, 0x1.0eabc1ba88b42p-7, 0x1.073c2e6f9d311p-7, 0x1.fff7879829e8bp-8, 0x1.f1d30043c1957p-8, 0x1.e408cc2ab9696p-8, 0x1.d696f9265846fp-8, 0x1.c97b9d8bbd851p-8, 0x1.bcb4d816c6ddfp-8, 0x1.b040cfd48c3f9p-8, 0x1.a41db40daa5b1p-8, 0x1.9849bc300a508p-8, 0x1.8cc327b8847b7p-8, 0x1.81883e1c3667fp-8, 0x1.76974eb191487p-8, 0x1.6beeb0994b264p-8, 0x1.618cc2a707badp-8, 0x1.576feb49f01d7p-8, 0x1.4d96987511ddfp-8, 0x1.43ff3f87b24c3p-8, 0x1.3aa85d358dc43p-8, 0x1.3190756effe4fp-8, 0x1.28b613491f1dp-8, 0x1.2017c8e5f0b3fp-8, 0x1.17b42f5c720b4p-8, 0x1.0f89e6a0d0505p-8, 0x1.0797956c9a45ap-8, 0x1.ffb7d24e0b7f8p-9, 0x1.f0ab2b9aa7a1bp-9, 0x1.e206abb677fa5p-9, 0x1.d3c7d4670b331p-9, 0x1.c5ec341183a02p-9, 0x1.b871658c2e31ap-9, 0x1.ab550ff0b0431p-9, 0x1.9e94e66e2e19fp-9, 0x1.922ea81c1264bp-9, 0x1.86201fcd0c559p-9, 0x1.7a6723e274c1dp-9, 0x1.6f0196201b668p-9, 0x1.63ed638066eebp-9, 0x1.59288408f3a28p-9, 0x1.4eb0fa9f6e53bp-9, 0x1.4484d4defa55ep-9, 0x1.3aa22aedeeb8bp-9, 0x1.31071f53fb17ap-9, 0x1.27b1ded08c966p-9, 0x1.1ea0a031e0d15p-9, 0x1.15d1a42c2ec2p-9, 0x1.0d433531547f5p-9, 0x1.04f3a748d57dap-9, 0x1.f9c2afd06ec55p-10, 0x1.ea155b9777787p-10, 0x1.dadc319e96821p-10, 0x1.cc1423900d271p-10, 0x1.bdba34bb86a1p-10, 0x1.afcb79ca3a586p-10, 0x1.a245187376d3dp-10, 0x1.95244731cc886p-10, 0x1.88664cf8cb07ap-10, 0x1.7c0880eb31052p-10, 0x1.70084a11f0079p-10, 0x1.64631f1363e41p-10, 0x1.591685eb842cdp-10, 0x1.4e2013a4027c1p-10, 0x1.437d6c0d90dbp-10, 0x1.392c417960753p-10, 0x1.2f2a54732f47fp-10, 0x1.2575737c07b79p-10, 0x1.1c0b7ac571da8p-10, 0x1.12ea53ed4806ep-10, 0x1.0a0ff5b9f9b63p-10, 0x1.017a63d7f4b85p-10, 0x1.f24f5d2dbf5a6p-11, 0x1.e22be5500f0ep-11, 0x1.d286b1baedaa5p-11, 0x1.c35c2bd2ffcdfp-11, 0x1.b4a8d43e45dd5p-11, 0x1.a669426655863p-11, 0x1.989a23fbec77p-11, 0x1.8b383c7cc8b97p-11, 0x1.7e4064b99023fp-11, 0x1.71af8a5f4511ep-11, 0x1.6582af811p-11, 0x1.59b6ea24487ecp-11, 0x1.4e4963ce2a363p-11, 0x1.4337591357c15p-11, 0x1.387e19291a44ep-11, 0x1.2e1b0578d793ap-11, 0x1.240b9134dc918p-11, 0x1.1a4d40ef12ef2p-11, 0x1.10ddaa3270802p-11, 0x1.07ba731d533c3p-11, 0x1.fdc2a3fc8aae5p-12, 0x1.eca019e5123a7p-12, 0x1.dc08f30da84f6p-12, 0x1.cbf8f8b2d4274p-12, 0x1.bc6c117d52e36p-12, 0x1.ad5e40ce6d2ffp-12, 0x1.9ecba61005dd4p-12, 0x1.90b07c0925579p-12, 0x1.83091834620d3p-12, 0x1.75d1ea1c15377p-12, 0x1.69077ab8a878p-12, 0x1.5ca66bd2e4ee6p-12, 0x1.50ab776999fc8p-12, 0x1.45136f1adb3acp-12, 0x1.39db3b9018742p-12, 0x1.2effdbede67dep-12, 0x1.247e6546ea995p-12, 0x1.1a5402114d741p-12, 0x1.107df19ffa7bfp-12, 0x1.06f9879ee31d4p-12, 0x1.fb885721d47ep-13, 0x1.e9b6b0a427bcp-13, 0x1.d8793737b8b1ep-13, 0x1.c7cb2b1752088p-13, 0x1.b7a7f05ab62c6p-13, 0x1.a80b0e0dab89fp-13, 0x1.98f02d4df2b3ap-13, 0x1.8a53186d60addp-13, 0x1.7c2fba18e7232p-13, 0x1.6e821c843fbf5p-13, 0x1.61466899ae2ccp-13, 0x1.5478e5309d92ap-13, 0x1.4815f64294091p-13, 0x1.3c1a1c2c3cecfp-13, 0x1.3081f2ecccc31p-13, 0x1.254a316bb6cdcp-13, 0x1.1a6fa8c1f6a99p-13, 0x1.0fef438741b77p-13, 0x1.05c6052306342p-13, 0x1.f7e212425327bp-14, 0x1.e4db0514dba0ep-14, 0x1.d2717680bfe24p-14, 0x1.c0a026b99bfb6p-14, 0x1.af62012b9a5c1p-14, 0x1.9eb21b4566688p-14, 0x1.8e8bb34b89048p-14, 0x1.7eea2f362c309p-14, 0x1.6fc91b8f0505ep-14, 0x1.61242a5921148p-14, 0x1.52f731fe5205fp-14, 0x1.44e5daaec114bp-14, 0x1.37a2335223cbfp-14, 0x1.2acab30a457b7p-14, 0x1.1e5bb6a543b84p-14, 0x1.1251ba7de5eb4p-14, 0x1.06a9598b5ac19p-14, 0x1.f6be98e919c6bp-15, 0x1.e0e0d156cd945p-15, 0x1.cbb33f194bd93p-15, 0x1.b72ffb0ad70e6p-15, 0x1.a351527b83f0bp-15, 0x1.9011c595dc926p-15, 0x1.7d6c05c423c0ap-15, 0x1.6b5af429bdef1p-15, 0x1.59d9a021c23b6p-15, 0x1.48e345c868812p-15, 0x1.38734c8e2f375p-15, 0x1.288545d4d646ep-15, 0x1.1914eb93ea112p-15, 0x1.0a1e1f0c2b1a1p-15, 0x1.f739cee849a69p-16, 0x1.db1ae193a41f2p-16, 0x1.bfd815204a9f1p-16, 0x1.a56a4d44c8cdp-16, 0x1.8bcab01fc4c9dp-16, 0x1.72f2a3fa4e49p-16, 0x1.5adbcd1b44ffp-16, 0x1.43800baa185cap-16, 0x1.2cd979a332586p-16, 0x1.16e268ce162acp-16, 0x1.019560db7961ep-16, 0x1.d9da3aeee9d62p-17, 0x1.b1c918f04da0dp-17, 0x1.8aed982f1f8e1p-17, 0x1.653e526526255p-17, 0x1.40b23b4174cadp-17, 0x1.1d409d23110dcp-17, 0x1.f5c22bdee8285p-18, 0x1.b317280274697p-18, 0x1.7270a65a10f86p-18, 0x1.33bfb3c9cc822p-18, 0x1.edebd98d08906p-19, 0x1.780aefee96d13p-19, 0x1.05c201f11b0ebp-19, 0x1.2deeccd6da9ddp-20, 0x1.5c9350ec68f8cp-22, -0x1.e425cf38ce1f2p-22, -0x1.42c9d2b182dd1p-20, -0x1.03242e0d19b48p-19, -0x1.61d7bffffec28p-19, -0x1.bd940de80ac98p-19, -0x1.0b3662b6e9f3ap-18, -0x1.363a6d6086befp-18, -0x1.5fdf481538078p-18, -0x1.882dbea52dc84p-18, -0x1.af2e4b0bea564p-18, -0x1.d4e918cd957f4p-18, -0x1.f966084240279p-18, -0x1.0e5658d484196p-17, -0x1.1f62341f25ea9p-17, -0x1.2fda1e8c141dp-17, -0x1.3fc180ffda254p-17, -0x1.4f1ba6101604dp-17, -0x1.5debbb51361dp-17, -0x1.6c34d29661859p-17, -0x1.79f9e3298542ap-17, -0x1.873dcaf2b0c04p-17, -0x1.94034f8b2e4d9p-17, -0x1.a04d1f63e997ap-17, -0x1.ac1dd2bf0c557p-17, -0x1.b777ecb42d71p-17, -0x1.c25ddc1a73f96p-17, -0x1.ccd1fc8c41b57p-17, -0x1.d6d6971a51b5cp-17, -0x1.e06de35ac2077p-17, -0x1.e99a080b0c868p-17, -0x1.f25d1bee151a4p-17, -0x1.fab92684803a1p-17, -0x1.0158106248ea4p-16, -0x1.0521fae4a091p-16, -0x1.08bb41bd1c785p-16, -0x1.0c24cd9662eccp-16, -0x1.0f5f811efea85p-16, -0x1.126c3953223c5p-16, -0x1.154bcdc33f641p-16, -0x1.17ff10d78da32p-16, -0x1.1a86d012abbe3p-16, -0x1.1ce3d447d8e82p-16, -0x1.1f16e1defdcc9p-16, -0x1.2120b9099afdcp-16, -0x1.230215f6b9be8p-16, -0x1.24bbb108f2be5p-16, -0x1.264e3f0441cb8p-16, -0x1.27ba713b92e81p-16, -0x1.2900f5c692422p-16, -0x1.2a22779fbbf41p-16, -0x1.2b1f9ed06e136p-16, -0x1.2bf91098b7135p-16, -0x1.2caf6f9241f42p-16, -0x1.2d435bd2820e2p-16, -0x1.2db5730b1321fp-16, -0x1.2e0650a85e41ap-16, -0x1.2e368df0a95eep-16, -0x1.2e46c21736e2fp-16, -0x1.2e3782624bf1p-16, -0x1.2e09623b7d415p-16, -0x1.2dbcf34891058p-16, -0x1.2d52c5810808ap-16, -0x1.2ccb674058229p-16, -0x1.2c2765609bffbp-16, -0x1.2b674b40df0ecp-16, -0x1.2a8ba2ddbffb9p-16, -0x1.2994f4dcb3b5ap-16, -0x1.2883c89de3a71p-16, -0x1.2758a4472e704p-16, -0x1.26140cd11d6f8p-16, -0x1.24b6861255e57p-16, -0x1.234092c9ac9e8p-16, -0x1.21b2b4a9655ebp-16, -0x1.200d6c5ddb0b1p-16, -0x1.1e513996ff9b8p-16, -0x1.1c7e9b0e890cp-16, -0x1.1a960e91dd64dp-16, -0x1.189811033d0b7p-16, -0x1.16851e632753p-16, -0x1.145db1cf6cb1bp-16, -0x1.122245921ed96p-16, -0x1.0fd353197b398p-16, -0x1.0d715301716c9p-16, -0x1.0afcbd14e8eb7p-16, -0x1.0876084f272dfp-16, -0x1.05ddaae2ebd74p-16, -0x1.03341a2ee377dp-16, -0x1.0079cacdb66fdp-16, -0x1.fb5e611d5ab35p-17, -0x1.f5a97ce9bbd13p-17, -0x1.efd5cd810671ep-17, -0x1.e9e435bff5f61p-17, -0x1.e3d596fed361cp-17, -0x1.ddaad0f109c47p-17, -0x1.d764c1bb12112p-17, -0x1.d10445e52e533p-17, -0x1.ca8a3859306dp-17, -0x1.c3f772671c293p-17, -0x1.bd4ccbb5bd5b2p-17, -0x1.b68b1a48a3d0ap-17, -0x1.afb33277ccf94p-17, -0x1.a8c5e6ed52258p-17, -0x1.a1c408a05d40dp-17, -0x1.9aae66d26c6b5p-17, -0x1.9385cf086f727p-17, -0x1.8c4b0d07b09fdp-17, -0x1.84feead0c520bp-17, -0x1.7da23097dc68dp-17, }}, 
      {{-0x1.2d270f0aa96afp+1, -0x1.28e72b75357e4p+1, -0x1.22a3042ba464fp+1, -0x1.1ae169c5c71efp+1, -0x1.1210871938d54p+1, -0x1.0889845ee2c54p+1, -0x1.fd2761cb624b8p+0, -0x1.e8d041f81b963p+0, -0x1.d4680e332e4dp+0, -0x1.c035d8f423ff3p+0, -0x1.ac70523cff67cp+0, -0x1.99419a9343a94p+0, -0x1.86c916aa98e12p+0, -0x1.751d1d53b4eb7p+0, -0x1.644d3034a093fp+0, -0x1.5463172e21d5ep+0, -0x1.4563bb81ca67cp+0, -0x1.375055efec085p+0, -0x1.2a2799e72aeaep+0, -0x1.1de4be6a1f001p+0, -0x1.128213a24d082p+0, -0x1.07f895060daeep+0, -0x1.fc7ebfe07786dp-1, -0x1.ea9a181c4c5a5p-1, -0x1.da2fcf4e8776dp-1, -0x1.cb2b9ff38d8fp-1, -0x1.bd79895bf5513p-1, -0x1.b10412e4b4eecp-1, -0x1.a5b6b3cae2f62p-1, -0x1.9b7d120d69509p-1, -0x1.92438133637a1p-1, -0x1.89f6f42d11815p-1, -0x1.8284f8bb3deb6p-1, -0x1.7bdbbce0decb7p-1, -0x1.75ea18d8835fp-1, -0x1.709fae496bca5p-1, -0x1.6bed12e508fap-1, -0x1.67c3e30d4e572p-1, -0x1.6416ae2a1da0fp-1, -0x1.60d8d07be2bd1p-1, -0x1.5dfe55b65af9dp-1, -0x1.5b7bf0357b14fp-1, -0x1.594700c60b51dp-1, -0x1.5755a56c41148p-1, -0x1.559ec698bdff5p-1, -0x1.541a1c3cd4f4dp-1, -0x1.52c026bb6b0ebp-1, -0x1.518a1c17ac33ap-1, -0x1.5071ce7d0c68p-1, -0x1.4f719343ec49ap-1, -0x1.4e842fea99cb5p-1, -0x1.4da4cee552954p-1, -0x1.4ccefb301e24cp-1, -0x1.4bfea064fa229p-1, -0x1.4b2e50d855756p-1, -0x1.4a5dd59a13ef8p-1, -0x1.49896431bef08p-1, -0x1.48ae84981da3bp-1, -0x1.47cb0a9ed0b67p-1, -0x1.46dd1148221b6p-1, -0x1.45e2f695fef87p-1, -0x1.44db57ad117fep-1, -0x1.43c50cb96f946p-1, -0x1.429f23f585779p-1, -0x1.4168dbac1c9cfp-1, -0x1.40219bba688f9p-1, -0x1.3ec8ef847f7e1p-1, -0x1.3d5e81404a18p-1, -0x1.3be217033367ep-1, -0x1.3a5391629a47cp-1, -0x1.38b2eafe23a3cp-1, -0x1.3700381f937ddp-1, -0x1.353ba5c09d7ecp-1, -0x1.336577a0bf608p-1, -0x1.317e057b1e459p-1, -0x1.2f85b7b9df02p-1, -0x1.2d7d042455e0bp-1, -0x1.2b646af5d3364p-1, -0x1.293c749a0c068p-1, -0x1.2705b0112a50ep-1, -0x1.24c0b1ced73e2p-1, -0x1.226e12d318bp-1, -0x1.200e6fc3afadfp-1, -0x1.1da267e800639p-1, -0x1.1b2a9c0a447b4p-1, -0x1.18a7ad59f18dp-1, -0x1.161a3c7577f5dp-1, -0x1.1382e8bc77fc4p-1, -0x1.10e24ffbf0d8p-1, -0x1.0e390e72545ap-1, -0x1.0b87bf17875b2p-1, -0x1.08cefc0849a9dp-1, -0x1.060f5eeed2d7cp-1, -0x1.034981439fe0dp-1, -0x1.007dfc48eb9f7p-1, -0x1.fb5ad15efd41fp-2, -0x1.f5b0bbc5b6f2bp-2, -0x1.effee215009e4p-2, -0x1.ea4667b71b461p-2, -0x1.e48866be036b9p-2, -0x1.dec5eda6b9254p-2, -0x1.d8fffd99306ddp-2, -0x1.d3378957bf7e5p-2, -0x1.cd6d74f6fe7cep-2, -0x1.c7a2965b21d5p-2, -0x1.c1d7b65ee1c41p-2, -0x1.bc0d927592f76p-2, -0x1.b644de90100ccp-2, -0x1.b07e470ac4324p-2, -0x1.aaba7271535ap-2, -0x1.a4f723bb19948p-2, -0x1.9f3a32093ddbep-2, -0x1.998218248bf7p-2, -0x1.93cf72a40a7b3p-2, -0x1.8e22d6ccf02dep-2, -0x1.887cd2715e523p-2, -0x1.82ddebdd4ca0ep-2, -0x1.7d46a1d697ccp-2, -0x1.77b76bb2ef299p-2, -0x1.7230b9843a22p-2, -0x1.6cb2f459d2b0fp-2, -0x1.673e7e9329517p-2, -0x1.61d3b43f12b76p-2, -0x1.5c72eb8243ea7p-2, -0x1.571c74ff54edbp-2, -0x1.51d09c3b12428p-2, -0x1.4c8fa7f8cceedp-2, -0x1.4759da8b8ac6fp-2, -0x1.422f721a6a9c3p-2, -0x1.3d10a8d7f430ap-2, -0x1.37fdb52d4a38cp-2, -0x1.32f6c9db327bbp-2, -0x1.2dfc161367aa4p-2, -0x1.290dc58cf7412p-2, -0x1.242c009620d3p-2, -0x1.1f56ec25db28cp-2, -0x1.1a8ea9ee61b53p-2, -0x1.15d35871aaa7ap-2, -0x1.11251317e4676p-2, -0x1.0c83f247b9d1ap-2, -0x1.07f00b7fba7e9p-2, -0x1.03697170339e1p-2, -0x1.fde06829886f6p-3, -0x1.f508c19a49d2p-3, -0x1.ec4c04e9a0e48p-3, -0x1.e3aa42f30a4e6p-3, -0x1.db2387e175f2bp-3, -0x1.d2b7db58dbf7ep-3, -0x1.ca67409f3a856p-3, -0x1.c231b6c5e7f19p-3, -0x1.ba1738d40654fp-3, -0x1.b217bdf2a9a32p-3, -0x1.aa33399b18174p-3, -0x1.a2699bc73141ep-3, -0x1.9abad123d0a05p-3, -0x1.9326c344bce84p-3, -0x1.8bad58d9974a4p-3, -0x1.844e75e2f4edap-3, -0x1.7d09fbe6f0145p-3, -0x1.75dfca24444bcp-3, -0x1.6ecfbdc3396bep-3, -0x1.67d9b20391542p-3, -0x1.60fd8066e2dcep-3, -0x1.5a3b00d6d703cp-3, -0x1.539209c6fd8d7p-3, -0x1.4d027051f8e7cp-3, -0x1.468c0852190bcp-3, -0x1.402ea47574531p-3, -0x1.39ea164df5013p-3, -0x1.33be2e5db99d5p-3, -0x1.2daabc20701fep-3, -0x1.27af8e124b27ap-3, -0x1.21cc71b54f369p-3, -0x1.1c0133959ff74p-3, -0x1.164d9f4d839fp-3, -0x1.10b17f89a3017p-3, -0x1.0b2c9e0e1312ap-3, -0x1.05bec3bc84328p-3, -0x1.0067b89bca482p-3, -0x1.f64e87c1f4b6dp-4, -0x1.ebfa57f412ea1p-4, -0x1.e1d26d33cef68p-4, -0x1.d7d6518bc9954p-4, -0x1.ce058dc860ce9p-4, -0x1.c45fa9964b89p-4, -0x1.bae42ba24b0d9p-4, -0x1.b19299b96948bp-4, -0x1.a86a78e921eeep-4, -0x1.9f6b4d9f1b0a3p-4, -0x1.96949bc7ea0e1p-4, -0x1.8de5e6ec95c02p-4, -0x1.855eb24e8cd4bp-4, -0x1.7cfe8101e9508p-4, -0x1.74c4d605e29a9p-4, -0x1.6cb1345b5e3a9p-4, -0x1.64c31f19ab0f7p-4, -0x1.5cfa1981704e9p-4, -0x1.5555a70deff86p-4, -0x1.4dd54b84b7aadp-4, -0x1.46788b03e62d3p-4, -0x1.3f3eea0f2c3b2p-4, -0x1.3827ed9bad26fp-4, -0x1.31331b1ae3ea1p-4, -0x1.2a5ff884b10edp-4, -0x1.23ae0c60acb7cp-4, -0x1.1d1cddcedad96p-4, -0x1.16abf48fd74a5p-4, -0x1.105ad90c8d5d8p-4, -0x1.0a29145d88389p-4, -0x1.04163051ef3f3p-4, -0x1.fc436eec6271fp-5, -0x1.f0966a34c90a6p-5, -0x1.e5246ab0d4867p-5, -0x1.d9ec8a339b267p-5, -0x1.ceede43acd58ap-5, -0x1.c42795f97fb2bp-5, -0x1.b998be6283453p-5, -0x1.af407e323c753p-5, -0x1.a51df7f80505ep-5, -0x1.9b30501f0c4d2p-5, -0x1.9176acf6c130ap-5, -0x1.87f036bab4acap-5, -0x1.7e9a77a2b79fp-5, -0x1.757805fb4bce3p-5, -0x1.6c864678c917fp-5, -0x1.63c468c6e05f7p-5, -0x1.5b319ea701643p-5, -0x1.52cd1bf5e01d5p-5, -0x1.4a9616b065401p-5, -0x1.428bc6f810a2p-5, -0x1.3aad6716d69abp-5, -0x1.32fa33827c468p-5, -0x1.2b716adf80065p-5, -0x1.24124e038c222p-5, -0x1.1cdc1ff78ac5dp-5, -0x1.15ce25f95340cp-5, -0x1.0ee7a77cff4ffp-5, -0x1.0827ee2df1f1cp-5, -0x1.018e45ef8fc35p-5, -0x1.f633f9bb5e7cp-6, -0x1.e994c699a150ep-6, -0x1.dd3d979427112p-6, -0x1.d12d1635e793dp-6, -0x1.c561f079b3012p-6, -0x1.b9dad8c8e229fp-6, -0x1.ae9685f9a947cp-6, -0x1.a393b34d18684p-6, -0x1.98d1206cb7ebcp-6, -0x1.8e4d9167d634ap-6, -0x1.8407ceb07ec7ap-6, -0x1.79fea51818c34p-6, -0x1.7030e5cbb5d25p-6, -0x1.669d66500a90bp-6, -0x1.5d43007d18202p-6, -0x1.5420927978262p-6, -0x1.4b34feb565efbp-6, -0x1.427f2be5672d9p-6, -0x1.39fe04fcaacd6p-6, -0x1.31b079271902cp-6, -0x1.29957bc30f93p-6, -0x1.21ac045ad43dfp-6, -0x1.19f30e9dbd439p-6, -0x1.12699a59116ecp-6, -0x1.0b0eab70989bbp-6, -0x1.03e149d6f60fap-6, -0x1.f9c1030b74aa3p-7, -0x1.ec16c4ea73f99p-7, -0x1.dec201283ecf2p-7, -0x1.d1c0e77dad22ep-7, -0x1.c511af6d6934p-7, -0x1.b8b29831eb915p-7, -0x1.aca1e8ab13354p-7, -0x1.a0ddef4b70399p-7, -0x1.956502053a1a8p-7, -0x1.8a357e37026b6p-7, -0x1.7f4dc89815eb1p-7, -0x1.74ac4d24bd39ap-7, -0x1.6a4f7f0a264bbp-7, -0x1.6035d8923cfb3p-7, -0x1.565ddb0f3a688p-7, -0x1.4cc60ec724e0bp-7, -0x1.436d02df24469p-7, -0x1.3a514d46b61d8p-7, -0x1.31718aa2d140bp-7, -0x1.28cc5e38f1f5bp-7, -0x1.206071da0e59dp-7, -0x1.182c75cd86df4p-7, -0x1.102f20bc0a42fp-7, -0x1.08672f9a6cb49p-7, -0x1.00d36594808a6p-7, -0x1.f2e517efdcc9dp-8, -0x1.e486e43e0f63ap-8, -0x1.d689dab74610ep-8, -0x1.c8ebb1c3f6f69p-8, -0x1.bbaa2b67321ep-8, -0x1.aec315147ccd8p-8, -0x1.a2344785d911cp-8, -0x1.95fba691bc641p-8, -0x1.8a1721017025fp-8, -0x1.7e84b06738211p-8, -0x1.734258f4f20fcp-8, -0x1.684e2952b1c5p-8, -0x1.5da63a7575414p-8, -0x1.5348af764c2efp-8, -0x1.4933b56971dcp-8, -0x1.3f658335bba5p-8, -0x1.35dc596c3b72ap-8, -0x1.2c9682200a2f8p-8, -0x1.239250be855d7p-8, -0x1.1ace21e78bd2dp-8, -0x1.12485b462ddf4p-8, -0x1.09ff6b6993c37p-8, -0x1.01f1c99e3581bp-8, -0x1.f43beb8e9c25ap-9, -0x1.e504f07192176p-9, -0x1.d63bc3229ba21p-9, -0x1.c7dd95298ef9cp-9, -0x1.b9e7a80e70666p-9, -0x1.ac574d0fcb61ep-9, -0x1.9f29e4d9d65f7p-9, -0x1.925cdf3e46375p-9, -0x1.85edbaecfe3fp-9, -0x1.79da052d68b45p-9, -0x1.6e1f5998ba78fp-9, -0x1.62bb61d501767p-9, -0x1.57abd55103dep-9, -0x1.4cee7900f703fp-9, -0x1.42811f1c2c3d4p-9, -0x1.3861a6db6fa22p-9, -0x1.2e8dfc3872c6ap-9, -0x1.250417ae0a8f5p-9, -0x1.1bc1fdf95073dp-9, -0x1.12c5bfdbc5965p-9, -0x1.0a0d79de2c407p-9, -0x1.019754147027bp-9, -0x1.f2c303c534305p-10, -0x1.e2d483848372cp-10, -0x1.d35fba12fd634p-10, -0x1.c4614f647bfb1p-10, -0x1.b5d600458e8c4p-10, -0x1.a7ba9dee61cefp-10, -0x1.9a0c0d96d48c5p-10, -0x1.8cc7480d52bb6p-10, -0x1.7fe9594e988c8p-10, -0x1.736f601fa627fp-10, -0x1.67568da9467f5p-10, -0x1.5b9c25155e1b6p-10, -0x1.503d7b2ddba06p-10, -0x1.4537f5fd84931p-10, -0x1.3a890c71d0553p-10, -0x1.302e45ff3e244p-10, -0x1.26253a4685848p-10, -0x1.1c6b90bbaacf4p-10, -0x1.12ff004e874d4p-10, -0x1.09dd4f14ccbe6p-10, -0x1.010451f58e8e5p-10, -0x1.f0e3d8ac1cc93p-11, -0x1.e0481f90cb0dp-11, -0x1.d0317775d2046p-11, -0x1.c09bfa52e553ep-11, -0x1.b183dc9f8a727p-11, -0x1.a2e56cba923a6p-11, -0x1.94bd12542b6f4p-11, -0x1.87074dda67438p-11, -0x1.79c0b7e860487p-11, -0x1.6ce600b79b4c5p-11, -0x1.6073ef94439aep-11, -0x1.5467625302a51p-11, -0x1.48bd4cc9f1dfp-11, -0x1.3d72b84b794ebp-11, -0x1.3284c323913f4p-11, -0x1.27f0a01740952p-11, -0x1.1db395e66d295p-11, -0x1.13cafecfb5a88p-11, -0x1.0a3448167c254p-11, -0x1.00ecf18be98bep-11, -0x1.efe51a31d3d3bp-12, -0x1.de857c9536c2cp-12, -0x1.cdb673c413155p-12, -0x1.bd738ac920ba3p-12, -0x1.adb86d5e4ffc7p-12, -0x1.9e80e71731f56p-12, -0x1.8fc8e29001e43p-12, -0x1.818c68a09fc7bp-12, -0x1.73c79f927536fp-12, -0x1.6676ca5d9b824p-12, -0x1.599647e719f4ep-12, -0x1.4d229244ad5dfp-12, -0x1.41183e04606f5p-12, -0x1.3573f97832a2ep-12, -0x1.2a328c05b1bc7p-12, -0x1.1f50d579af558p-12, -0x1.14cbcd6046b1ap-12, -0x1.0aa0825f03f59p-12, -0x1.00cc1995c1f1p-12, -0x1.ee979c0201b8cp-13, -0x1.dc39dfc1f11bep-13, -0x1.ca79c8485c1b5p-13, -0x1.b95247aba75f3p-13, -0x1.a8be771eed036p-13, -0x1.98b995dcfae92p-13, -0x1.893f0819f598bp-13, -0x1.7a4a55fb875f6p-13, -0x1.6bd72a99700bdp-13, -0x1.5de15300f7406p-13, -0x1.5064bd42d2d04p-13, -0x1.435d7784e67f8p-13, -0x1.36c7af1adc9p-13, -0x1.2a9fafa4a4d0cp-13, -0x1.1ee1e232d046p-13, -0x1.138acc709c621p-13, -0x1.08970fd39662ep-13, -0x1.fc06d1a13df97p-14, -0x1.e7995c2d23be7p-14, -0x1.d3df9f99f3ea1p-14, -0x1.c0d3adb2a58f1p-14, -0x1.ae6fc851074c7p-14, -0x1.9cae5ff95c4cbp-14, -0x1.8b8a12816bda9p-14, -0x1.7afda9bb21073p-14, -0x1.6b041a3226f56p-14, -0x1.5b9881e84f4bfp-14, -0x1.4cb6271e9daap-14, -0x1.3e5877263d8b9p-14, -0x1.307b053903531p-14, -0x1.23198959bc61bp-14, -0x1.162fdf3b984c8p-14, -0x1.09ba0533b9014p-14, -0x1.fb683654be3d6p-15, -0x1.e434c33bacdd7p-15, -0x1.cdd271472617ap-15, -0x1.b83a3de73a306p-15, -0x1.a36561f3a356fp-15, -0x1.8f4d4fdaecb15p-15, -0x1.7bebb1ddf4bbcp-15, -0x1.693a685779332p-15, -0x1.5733880f6fa7ap-15, -0x1.45d15898dc5cfp-15, -0x1.350e52bf429a1p-15, -0x1.24e51ef7f6a4dp-15, -0x1.155093e387468p-15, -0x1.064bb4d56eeacp-15, -0x1.efa360db17cebp-16, -0x1.d3bbbe65e770dp-16, -0x1.b8d7847a4c711p-16, -0x1.9eee03cbcb77bp-16, -0x1.8569d883a936cp-16, -0x1.6d6583af829bcp-16, -0x1.564355074b271p-16, -0x1.3ffbbd9aa57f2p-16, -0x1.2a87714418d2cp-16, -0x1.15df647c394eep-16, -0x1.01fcca234e7a5p-16, -0x1.ddb222e9f852p-17, -0x1.b8dbc7fdc74a7p-17, -0x1.956a475260101p-17, -0x1.7351d19b207c4p-17, -0x1.528700bfe652ep-17, -0x1.32fed43eb4acbp-17, -0x1.14aeadb5a4fffp-17, -0x1.ef189b03b481bp-18, -0x1.b71b9ef449c69p-18, -0x1.81534f86f3b7cp-18, -0x1.4dad3f8488377p-18, -0x1.1c17a6234ca31p-18, -0x1.d902b2fc2d439p-19, -0x1.7db39138a70f1p-19, -0x1.2621ed190581ap-19, -0x1.a45dd2ee04d21p-20, -0x1.0379783962d5ep-20, -0x1.a5751f4eb442dp-22, 0x1.51720adce2c77p-23, 0x1.6ebd734f4f305p-21, 0x1.3e67dc6817fb7p-20, 0x1.bf7b9aea4249p-20, 0x1.1d651712638edp-19, 0x1.5841129d484e4p-19, 0x1.90683b0b0a1fap-19, 0x1.c5f046260487dp-19, 0x1.f8ee2ba630572p-19, 0x1.14bb163afe836p-18, 0x1.2bcdeca9e0745p-18, 0x1.41b90cb4f85d8p-18, 0x1.5685985205dadp-18, 0x1.6a3c62e5dc4a9p-18, 0x1.7ce5f439b9d49p-18, 0x1.8e8a8b4cbe8eap-18, 0x1.9f32211d8d41fp-18, 0x1.aee46b4fdec3bp-18, 0x1.bda8deb957711p-18, 0x1.cb86b1bf81acp-18, 0x1.d884deeae5095p-18, 0x1.e4aa270c8fd0ep-18, 0x1.effd13738ca47p-18, 0x1.fa83f830968e7p-18, 0x1.02227af7a63e5p-17, 0x1.06a2fe02e1b02p-17, 0x1.0ac66533fd4ecp-17, 0x1.0e8f79b345d9ap-17, 0x1.1200eebc8ea86p-17, 0x1.151d6276872b4p-17, 0x1.17e75ec28871ep-17, 0x1.1a615a012f3cbp-17, 0x1.1c8db7ded8d26p-17, 0x1.1e6ec9f883e33p-17, 0x1.2006d09780afp-17, 0x1.2157fb686ed07p-17, 0x1.22646a02a6463p-17, 0x1.232e2c98eea5ap-17, 0x1.23b7448ad577cp-17, 0x1.2401a4f4553f8p-17, 0x1.240f333b44f9dp-17, 0x1.23e1c795238a4p-17, 0x1.237b2d7455dbfp-17, 0x1.22dd2420e3599p-17, 0x1.22095f1831008p-17, 0x1.210186849f8dp-17, 0x1.1fc7379ec3296p-17, 0x1.1e5c053283116p-17, 0x1.1cc177d7988a3p-17, 0x1.1af90e6845e5p-17, 0x1.19043e5bb26d3p-17, 0x1.16e47417b6eb2p-17, 0x1.149b13441c3eap-17, 0x1.1229771a7b4c2p-17, 0x1.0f90f2b1d918fp-17, 0x1.0cd2d1471d03cp-17, 0x1.09f056825a2cbp-17, 0x1.06eabeb90a532p-17, 0x1.03c33f2d5a24dp-17, 0x1.007b064aa3aecp-17, 0x1.fa2677be68144p-18, 0x1.f31a02adb831bp-18, 0x1.ebd2e3c38f7f4p-18, 0x1.e45345787873ap-18, 0x1.dc9d469eaf233p-18, 0x1.d4b2fac1e216dp-18, 0x1.cc966a9154e8fp-18, 0x1.c44994163b753p-18, 0x1.bbce6b10e49eep-18, 0x1.b326d94ba101dp-18, 0x1.aa54bee992354p-18, 0x1.a159f28606e0dp-18, 0x1.98384197ebd15p-18, 0x1.8ef170a643389p-18, 0x1.85873b837a21p-18, 0x1.7bfb5585e414cp-18, 0x1.724f69bd7b3c6p-18, 0x1.68851b32b02a3p-18, 0x1.5e9e04e8a2d21p-18, 0x1.549bba50c133bp-18, 0x1.4a7fc748d3d9bp-18, 0x1.404bb0504e6c9p-18, 0x1.3600f2b02670cp-18, 0x1.2ba10496a7779p-18, 0x1.212d5563a643ap-18, 0x1.16a74d8ea7047p-18, 0x1.0c104ef07b474p-18, 0x1.0169b4d44a9a9p-18, 0x1.ed69a83647814p-19, 0x1.d7e5f6a827e6dp-19, 0x1.c24ae5afddf44p-19, 0x1.ac9af9c1d4f9ep-19, 0x1.96d8ab4e66a56p-19, 0x1.810666f3e0823p-19, 0x1.6b268d92b7fa6p-19, 0x1.553b748de878ap-19, 0x1.3f4765dfca8cap-19, 0x1.294ca0752dcbp-19, 0x1.134d5803e676dp-19, 0x1.fa976ac871869p-20, 0x1.ce93ad53a266cp-20, 0x1.a2939e46000e1p-20, 0x1.769b4f657146fp-20, 0x1.4aaebd8a852d4p-20, 0x1.1ed1d0f058025p-20, 0x1.e610bac36583cp-21, 0x1.8eac457d85f8dp-21, 0x1.377d98ccfb24dp-21, 0x1.c117c972dde7cp-22, 0x1.13bc6400ec4bfp-22, 0x1.9bdb12fd782d3p-24, -0x1.14ae7426d68dp-24, -0x1.e13b2e9040a08p-23, -0x1.9b524964b839bp-22, -0x1.229e8f9f6a7fep-21, -0x1.7728e7002c607p-21, -0x1.cb422a28b4025p-21, -0x1.0f723e696b608p-20, -0x1.3905133f4efccp-20, -0x1.6256c95412565p-20, -0x1.8b64a7f81fee4p-20, -0x1.b42c08172f7a6p-20, -0x1.dcaa53f635b08p-20, -0x1.026e838c87929p-19, -0x1.1660d6ffa229dp-19, -0x1.2a2af313132b9p-19, -0x1.3dcbaee307bbcp-19, -0x1.5141e9d91627fp-19, -0x1.648c8ba43765fp-19, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.ffcad5d97c031p-1, 0x1.ff2b7dfabdd5fp-1, 0x1.fe226b753b432p-1, 0x1.fcb05bf3cf3c2p-1, 0x1.fad654e2df221p-1, 0x1.f8959fe01f573p-1, 0x1.f5efc6a53bf7ep-1, 0x1.f2e68e98776acp-1, 0x1.ef7bf426e7cd6p-1, 0x1.ebb2260564bcdp-1, 0x1.e78b806f7dc31p-1, 0x1.e30a8876d40ffp-1, 0x1.de31e770f8e35p-1, 0x1.d904668e5b4b5p-1, 0x1.d384eaa1d96a9p-1, 0x1.cdb6701e1302fp-1, 0x1.c79c074ba102bp-1, 0x1.c138d0b9be2p-1, 0x1.ba8ff9e9abef3p-1, 0x1.b3a4ba342a40ap-1, 0x1.ac7a4fe7a205ep-1, 0x1.a513fd9d16bbp-1, 0x1.9d7507c19bfap-1, 0x1.95a0b251cf173p-1, 0x1.8d9a3ec4afb1bp-1, 0x1.8564ea232cdc3p-1, 0x1.7d03eb49b73ccp-1, 0x1.747a71513bd9ap-1, 0x1.6bcba21cff4ecp-1, 0x1.62fa990af1086p-1, 0x1.5a0a65c425dfdp-1, 0x1.50fe0b2b57352p-1, 0x1.47d87e6756181p-1, 0x1.3e9ca607946fep-1, 0x1.354d5940fa4b5p-1, 0x1.2bed5f4160e9cp-1, 0x1.227f6e982dd3bp-1, 0x1.19062cb29e1c3p-1, 0x1.0f842d6a70af8p-1, 0x1.05fbf2a5b09abp-1, 0x1.f8dfd80cf7dbp-2, 0x1.e5c4ed5362122p-2, 0x1.d2abb9e70af0cp-2, 0x1.bf98acd21ebfp-2, 0x1.ac900f2bce47bp-2, 0x1.999603fa0d01dp-2, 0x1.86ae882842339p-2, 0x1.73dd72916d8e2p-2, 0x1.6126741c627c9p-2, 0x1.4e8d17e8c0e85p-2, 0x1.3c14c38b70fc3p-2, 0x1.29c0b759726f9p-2, 0x1.17940ebfddf57p-2, 0x1.0591c0a80c86bp-2, 0x1.e7793fcdb86d2p-3, 0x1.c42eb76c4155bp-3, 0x1.a149006eafc68p-3, 0x1.7eccedfd84415p-3, 0x1.5cbf0f4c18099p-3, 0x1.3b23b0cb8e663p-3, 0x1.19fedd69e7ca5p-3, 0x1.f2a8bfb7a1c84p-4, 0x1.b24f87dfc065bp-4, 0x1.72f8afd40e206p-4, 0x1.34aa5bcc098dcp-4, 0x1.eed474ff36571p-5, 0x1.767b10034a44p-5, 0x1.00522144e7982p-5, 0x1.18c4cf60e3cbep-6, 0x1.ab3ce57c2f12bp-9, -0x1.52ca36ba6f11ep-7, -0x1.8394aecb4338fp-6, -0x1.2c8dfc081b066p-5, -0x1.94f8a529abc2dp-5, -0x1.fb0632dcdcb2fp-5, -0x1.2f599af02eb19p-4, -0x1.5ffe74eac129ap-4, -0x1.8f7097c0e755p-4, -0x1.bdaf438ea0361p-4, -0x1.eaba055775858p-4, -0x1.0b485a1e50a67p-3, -0x1.2099b75dd9ea9p-3, -0x1.35514bfb29a87p-3, -0x1.496f6a81c0d06p-3, -0x1.5cf4852586dep-3, -0x1.6fe12c75b6478p-3, -0x1.82360e153dbe2p-3, -0x1.93f3f378b4291p-3, -0x1.a51bc0aa133f9p-3, -0x1.b5ae7312426ffp-3, -0x1.c5ad2048a97cep-3, -0x1.d518f4e8c4aa2p-3, -0x1.e3f3336de9f6cp-3, -0x1.f23d3315385c8p-3, -0x1.fff85ec5c8d4ap-3, -0x1.069319ff97998p-2, -0x1.0ce420e71f44cp-2, -0x1.12f013e415baap-2, -0x1.18b7ca85fd5fcp-2, -0x1.1e3c23a525a1fp-2, -0x1.237e04e9b3e3p-2, -0x1.287e5a55d59ffp-2, -0x1.2d3e15d311b91p-2, -0x1.31be2ec2b94a5p-2, -0x1.35ffa19171ebbp-2, -0x1.3a036f4dd08fp-2, -0x1.3dca9d4205da4p-2, -0x1.415634908ad9dp-2, -0x1.44a741d3d18d4p-2, -0x1.47bed4c0e90a6p-2, -0x1.4a9dffcd105e9p-2, -0x1.4d45d7d630b63p-2, -0x1.4fb773ce32075p-2, -0x1.51f3ec6924184p-2, -0x1.53fc5bce3002p-2, -0x1.55d1dd4b49d35p-2, -0x1.57758d0b9603ap-2, -0x1.58e887d07acb9p-2, -0x1.5a2beaad4edf4p-2, -0x1.5b40d2c5a1251p-2, -0x1.5c285d0e04bc4p-2, -0x1.5ce3a60f61543p-2, -0x1.5d73c9acb1d65p-2, -0x1.5dd9e2eb2dde5p-2, -0x1.5e170bbccf7cep-2, -0x1.5e2c5ccd28136p-2, -0x1.5e1aed507bed9p-2, -0x1.5de3d2d515339p-2, -0x1.5d882116c72cbp-2, -0x1.5d08e9d491fbbp-2, -0x1.5c673ca85b667p-2, -0x1.5ba426e0b21a9p-2, -0x1.5ac0b35c93846p-2, -0x1.59bdea691c781p-2, -0x1.589cd1a127c1bp-2, -0x1.575e6bcec49dcp-2, -0x1.5603b8ce7cc08p-2, -0x1.548db5745f5bep-2, -0x1.52fd5b72c2a29p-2, -0x1.5153a142b3dcp-2, -0x1.4f917a0e06a5cp-2, -0x1.4db7d59afb771p-2, -0x1.4bc7a03971f76p-2, -0x1.49c1c2b1951fap-2, -0x1.47a7223403ca2p-2, -0x1.4578a04b59fb4p-2, -0x1.43371acf1fbap-2, -0x1.40e36bd805b86p-2, -0x1.3e7e69b56e093p-2, -0x1.3c08e6e431ef3p-2, -0x1.3983b2069bf9ap-2, -0x1.36ef95dd8affbp-2, -0x1.344d5942b36b1p-2, -0x1.319dbf23f9fcfp-2, -0x1.2ee1867fd3606p-2, -0x1.2c196a62ab2e5p-2, -0x1.294621e540cb5p-2, -0x1.2668602bf2346p-2, -0x1.2380d466ec601p-2, -0x1.209029d339b9p-2, -0x1.1d9707bc9fbefp-2, -0x1.1a9611804cae7p-2, -0x1.178de69041d5cp-2, -0x1.147f22777944ep-2, -0x1.116a5cdebe0dcp-2, -0x1.0e502992288fbp-2, -0x1.0b31188742544p-2, -0x1.080db5e3bcd0ep-2, -0x1.04e68a04bdb1p-2, -0x1.01bc1986b144ap-2, -0x1.fd1dca9b4a8a1p-3, -0x1.f6bed51c2f6bfp-3, -0x1.f05c45ac847aep-3, -0x1.e9f7082f97e9cp-3, -0x1.e3900163cfb8bp-3, -0x1.dd280ef7a2d7ap-3, -0x1.d6c0079f485d1p-3, -0x1.d058bb2b1161fp-3, -0x1.c9f2f29e5beaap-3, -0x1.c38f70471a77ap-3, -0x1.bd2eefd5e0681p-3, -0x1.b6d226766d066p-3, -0x1.b079c2e8a103bp-3, -0x1.aa266d99e1059p-3, -0x1.a3d8c8bed10acp-3, -0x1.9d91706d66e52p-3, -0x1.9750fab7406ep-3, -0x1.9117f7c441db7p-3, -0x1.8ae6f1ed68dcbp-3, -0x1.84be6dd7cf35bp-3, -0x1.7e9eea8fd874bp-3, -0x1.7888e1a47caf4p-3, -0x1.727cc742ada1cp-3, -0x1.6c7b0a50d0ecp-3, -0x1.6684148a3dd22p-3, -0x1.60984a9ac3c99p-3, -0x1.5ab80c3a32c8p-3, -0x1.54e3b447d1fb5p-3, -0x1.4f1b98e5d21adp-3, -0x1.49600b94a6373p-3, -0x1.43b1594e43076p-3, -0x1.3e0fcaa14919ap-3, -0x1.387ba3cbfea3cp-3, -0x1.32f524d72e0e3p-3, -0x1.2d7c89b0d5e13p-3, -0x1.28120a46a0663p-3, -0x1.22b5daa035765p-3, -0x1.1d682af9488e5p-3, -0x1.182927db75a04p-3, -0x1.12f8fa37d786fp-3, -0x1.0dd7c78062a8bp-3, -0x1.08c5b1c0f85b3p-3, -0x1.03c2d7b833e86p-3, -0x1.fd9ea9dfe26a9p-4, -0x1.f3d683ab0335cp-4, -0x1.ea2d67a32bf59p-4, -0x1.e0a37abfb1916p-4, -0x1.d738dc4c6c8b6p-4, -0x1.cdeda617998cp-4, -0x1.c4c1ec9f1b988p-4, -0x1.bbb5bf3d0916bp-4, -0x1.b2c9285388e48p-4, -0x1.a9fc2d77fa3c8p-4, -0x1.a14ecf9d70334p-4, -0x1.98c10b3e6e81bp-4, -0x1.9052d885f2846p-4, -0x1.88042b77bfa49p-4, -0x1.7fd4f417f3ea7p-4, -0x1.77c51e91deea8p-4, -0x1.6fd4935e1e0cp-4, -0x1.68033767fa492p-4, -0x1.6050ec320a67p-4, -0x1.58bd8ffa175b9p-4, -0x1.5148fddc42b52p-4, -0x1.49f30df571a6p-4, -0x1.42bb9584f9e48p-4, -0x1.3ba2670d935cap-4, -0x1.34a752758e595p-4, -0x1.2dca25264eacap-4, -0x1.270aaa2b0dc5ap-4, -0x1.2068aa4ee2d3bp-4, -0x1.19e3ec3a15b6ap-4, -0x1.137c348eb990ap-4, -0x1.0d314604938e2p-4, -0x1.0702e1844e699p-4, -0x1.00f0c641fc6dcp-4, -0x1.f5f563add1b11p-5, -0x1.ea40c0b576807p-5, -0x1.dec318f7de33p-5, -0x1.d37bdf2f4021bp-5, -0x1.c86a83a15bb77p-5, -0x1.bd8e744c73ef5p-5, -0x1.b2e71d1302e7ap-5, -0x1.a873e7e625e4p-5, -0x1.9e343ceecca7p-5, -0x1.942782b5abc85p-5, -0x1.8a4d1e49f74f6p-5, -0x1.80a47366ecf62p-5, -0x1.772ce4982ec6ep-5, -0x1.6de5d35cf62e7p-5, -0x1.64cea04a236p-5, -0x1.5be6ab2b2c365p-5, -0x1.532d5321f1413p-5, -0x1.4aa1f6c57fae9p-5, -0x1.4243f43fbf5bp-5, -0x1.3a12a96a18a69p-5, -0x1.320d73e91375ap-5, -0x1.2a33b146f22e5p-5, -0x1.2284bf0d55038p-5, -0x1.1afffadde262bp-5, -0x1.13a4c28a00205p-5, -0x1.0c7274299ba15p-5, -0x1.05686e310eb9dp-5, -0x1.fd0c1f0c3b7a3p-6, -0x1.ef956f2831e3p-6, -0x1.e26b8cbe4875bp-6, -0x1.d58d392d55e97p-6, -0x1.c8f9374e07b94p-6, -0x1.bcae4b9496c18p-6, -0x1.b0ab3c30ee47ep-6, -0x1.a4eed12d4ffccp-6, -0x1.9977d48b8524p-6, -0x1.8e4512609acap-6, -0x1.835558ef387f2p-6, -0x1.78a778c0a115cp-6, -0x1.6e3a44bc570c3p-6, -0x1.640c923e7c912p-6, -0x1.5a1d392cef212p-6, -0x1.506b140b2c1ccp-6, -0x1.46f5000d04acp-6, -0x1.3db9dd2827454p-6, -0x1.34b88e24906e3p-6, -0x1.2beff8abdd167p-6, -0x1.235f055792f3ep-6, -0x1.1b049fbe6318ep-6, -0x1.12dfb68069965p-6, -0x1.0aef3b5279a3p-6, -0x1.0332230879ce9p-6, -0x1.f74ecb3daff91p-7, -0x1.e89bfc863b337p-7, -0x1.da49d6b75792ep-7, -0x1.cc565d1d48eeep-7, -0x1.bebf99900eb04p-7, -0x1.b1839c7e206bbp-7, -0x1.a4a07cf5a60c6p-7, -0x1.981458ac47b59p-7, -0x1.8bdd54059afadp-7, -0x1.7ff99a1841247p-7, -0x1.74675cb1bef0cp-7, -0x1.6924d45910a2dp-7, -0x1.5e3040501d8eep-7, -0x1.5387e693fe787p-7, -0x1.492a13dc30187p-7, -0x1.3f151b98b9ac5p-7, -0x1.354757ef5023fp-7, -0x1.2bbf29b7873e4p-7, -0x1.227af87611247p-7, -0x1.197932571f173p-7, -0x1.10b84c27e9182p-7, -0x1.0836c14f66f84p-7, -0x1.ffe6278c88bd9p-8, -0x1.efd7981c32f9fp-8, -0x1.e03ef24fe013ap-8, -0x1.d11961143ddd5p-8, -0x1.c2641c2b05f53p-8, -0x1.b41c68143fbddp-8, -0x1.a63f95f65c327p-8, -0x1.98cb03854143fp-8, -0x1.8bbc1ae84e4ffp-8, -0x1.7f10529f6ecdfp-8, -0x1.72c52d6743157p-8, -0x1.66d83a1c71cf3p-8, -0x1.5b47139e2d9d5p-8, -0x1.500f60affcc42p-8, -0x1.452ed3dacdcedp-8, -0x1.3aa32b4d6862p-8, -0x1.306a30bc44a78p-8, -0x1.2681b940d32c5p-8, -0x1.1ce7a53844f49p-8, -0x1.1399e021d8d66p-8, -0x1.0a96607cbd06dp-8, -0x1.01db27a58e225p-8, -0x1.f2cc8366f4e52p-9, -0x1.e26b8aaa3029cp-9, -0x1.d28fa759e472p-9, -0x1.c335305bafc75p-9, -0x1.b45890edf12d8p-9, -0x1.a5f6485f9c9dep-9, -0x1.980ae9c7cd25bp-9, -0x1.8a931bbd1646bp-9, -0x1.7d8b980ca8deep-9, -0x1.70f12b71591ap-9, -0x1.64c0b54a91cefp-9, -0x1.58f72753447ccp-9, -0x1.4d918558de586p-9, -0x1.428ce4f2534f3p-9, -0x1.37e66d37449f3p-9, -0x1.2d9b567753579p-9, -0x1.23a8e9f1a7351p-9, -0x1.1a0c818cb249bp-9, -0x1.10c3878e3c23bp-9, -0x1.07cb7653bc54ap-9, -0x1.fe43b0162958p-10, -0x1.ed888cd74206ep-10, -0x1.dd60d4df7de6ap-10, -0x1.cdc7f81d71376p-10, -0x1.beb983ee62efep-10, -0x1.b03122941635cp-10, -0x1.a22a9aaba56d7p-10, -0x1.94a1cea571231p-10, -0x1.8792bc3e2aadp-10, -0x1.7af97bf9146dcp-10, -0x1.6ed2409b6a33p-10, -0x1.631956a919186p-10, -0x1.57cb23e2ad0a8p-10, -0x1.4ce426c49b50bp-10, -0x1.4260f607e11cdp-10, -0x1.383e4023fce1dp-10, -0x1.2e78cad24ff3dp-10, -0x1.250d7292ebd31p-10, -0x1.1bf92a32cb21p-10, -0x1.1338fa5388436p-10, -0x1.0aca00f486735p-10, -0x1.02a970fd9cfb4p-10, -0x1.f5a923968bc27p-11, -0x1.e6917d7898c51p-11, -0x1.d806cd8213557p-11, -0x1.ca0417d852b55p-11, -0x1.bc848609f654fp-11, -0x1.af836636a87aap-11, -0x1.a2fc2a3a0013ep-11, -0x1.96ea66d983f16p-11, -0x1.8b49d2f5d5f4fp-11, -0x1.801646beff361p-11, -0x1.754bbaebe5acfp-11, -0x1.6ae647f4e4a11p-11, -0x1.60e225518bea1p-11, -0x1.573ba8b981bb4p-11, -0x1.4def456888195p-11, -0x1.44f98b65a05aep-11, -0x1.3c5726cd4dd1ap-11, -0x1.3404df1ef1c3ep-11, -0x1.2bff968d3f93fp-11, -0x1.24444951c28f6p-11, -0x1.1cd00d03740bp-11, -0x1.15a00ff05c2b9p-11, -0x1.0eb1987a377f6p-11, -0x1.080204761e088p-11, -0x1.018ec88f24102p-11, -0x1.f6aadf57e6cffp-12, -0x1.eaa734ae9ebdcp-12, -0x1.df0dfc570d8fcp-12, -0x1.d3daca8189898p-12, -0x1.c9095b3c8033ep-12, -0x1.be95915c7b931p-12, -0x1.b47b7569c5d05p-12, -0x1.aab73493986c1p-12, -0x1.a1451fa8ca5cbp-12, -0x1.9821aa15ed572p-12, -0x1.8f4968e8ca7d3p-12, -0x1.86b911d930effp-12, -0x1.7e6d7a56fdf34p-12, -0x1.7663969d5dbcap-12, -0x1.6e9878cb2399bp-12, -0x1.6709500033931p-12, -0x1.5fb3677fec6f1p-12, -0x1.589425d8770e5p-12, -0x1.51a90c0efa3bep-12, -0x1.4aefb4d092f72p-12, -0x1.4465d3a807c24p-12, -0x1.3e093438240aep-12, -0x1.37d7b97aa9364p-12, -0x1.31cf5d03c75adp-12, -0x1.2bee2e4a0554ep-12, -0x1.263251f28d681p-12, -0x1.209a0121cb0fep-12, -0x1.1b2388d044d4p-12, -0x1.15cd4923a7c58p-12, -0x1.1095b4cbe92b6p-12, -0x1.0b7b50647ac4fp-12, -0x1.067cb1d96f669p-12, -0x1.01987fd08db1bp-12, -0x1.f99ae22c6e778p-13, -0x1.f034981c29a8p-13, -0x1.e6fbcc4ef1311p-13, -0x1.ddee46aabeabfp-13, -0x1.d509eb1415c7p-13, -0x1.cc4cb86c2f841p-13, -0x1.c3b4c7960e7a7p-13, -0x1.bb404a824ff9fp-13, -0x1.b2ed8b41a0d66p-13, -0x1.aabaeb1daf204p-13, -0x1.a2a6e1b8785e9p-13, -0x1.9aaffc31db0ffp-13, -0x1.92d4dc5343d28p-13, -0x1.8b1437c15ec6dp-13, -0x1.836cd733a1f1dp-13, -0x1.7bdd95b19db3ep-13, -0x1.74655fd5f3cdfp-13, -0x1.6d033316cc6cdp-13, -0x1.65b61d13b7374p-13, -0x1.5e7d3ae8d4565p-13, -0x1.5757b88728a6dp-13, -0x1.5044d012068e2p-13, -0x1.4943c9416684cp-13, -0x1.4253f8c91537dp-13, -0x1.3b74bfc4a28a1p-13, -0x1.34a58b27f0205p-13, -0x1.2de5d33440da1p-13, -0x1.27351af1b64bdp-13, -0x1.2092efad23e8dp-13, -0x1.19fee87a103b8p-13, -0x1.1378a5b8db29ep-13, -0x1.0cffd0a0e28b1p-13, -0x1.06941ace9c0cap-13, -0x1.00353dd5775d7p-13, -0x1.f3c5f5ab0f71p-14, -0x1.e73a34298bf13p-14, -0x1.dac6d537dbd28p-14, -0x1.ce6b83ad86f9ep-14, -0x1.c227f66f88d3ep-14, -0x1.b5fbefbe397ddp-14, -0x1.a9e73c89a74p-14, -0x1.9de9b3cc2de8ap-14, -0x1.920335eb1de93p-14, -0x1.8633ac1d58e99p-14, -0x1.7a7b07d7ad3b3p-14, -0x1.6ed9423ecdc41p-14, -0x1.634e5b9ec22c8p-14, -0x1.57da5ae7a5df9p-14, -0x1.4c7d4d2f91aa1p-14, -0x1.413745398c1e8p-14, -0x1.36085b015c596p-14, -0x1.2af0ab4c1ac39p-14, -0x1.1ff0573d60d61p-14, -0x1.150783f0f1806p-14, -0x1.0a365a18bd5ep-14, -0x1.fefa0b3e3cb29p-15, -0x1.e9b76a9a5f0bdp-15, -0x1.d4a534ea3c277p-15, -0x1.bfc3d140ad0cap-15, -0x1.ab13aa82e2622p-15, -0x1.96952ed37f67fp-15, -0x1.8248cf04be60ap-15, -0x1.6e2efe1167a8fp-15, -0x1.5a48309c63ff6p-15, -0x1.4694dc76b5076p-15, -0x1.3315782b9f103p-15, -0x1.1fca7a92d3d96p-15, -0x1.0cb45a6869014p-15, -0x1.f3a71bd4d9718p-16, -0x1.ce5114f7cb261p-16, -0x1.a967889a274adp-16, -0x1.84eb5c11861afp-16, -0x1.60dd710d0435ap-16, -0x1.3d3ea503263dbp-16, -0x1.1a0fd0a8e19fep-16, -0x1.eea38ee2d553cp-17, -0x1.aa0aae2d13f2ap-17, -0x1.66568e523a0f7p-17, -0x1.2388b152ffecbp-17, -0x1.c345169e329f1p-18, -0x1.414b03a7c5505p-18, -0x1.824bace480639p-19, -0x1.0b60705a655d1p-20, 0x1.ccddf7d0bae7ap-21, 0x1.6866dfddabf67p-19, 0x1.2cecce76f0136p-18, 0x1.a3c5d58b07442p-18, 0x1.0c5e520ffabb4p-17, 0x1.45e7bee233b14p-17, 0x1.7e7e65950b9d3p-17, 0x1.b6218d4dbd41p-17, 0x1.ecd0902f68b7p-17, 0x1.11456dc1cca4fp-16, 0x1.2ba7f7ed2a0c3p-16, 0x1.458fb090f7ae5p-16, 0x1.5efc6b5b8e21bp-16, 0x1.77ee05b6ca96fp-16, 0x1.906466c8cf3dbp-16, 0x1.a85f7f716d0eep-16, 0x1.bfdf4a4456b19p-16, 0x1.d6e3cb804644bp-16, 0x1.ed6d11033dafep-16, 0x1.01bd991e065bep-15, 0x1.0c87280c9cd39p-15, 0x1.17134a7abb896p-15, 0x1.21621a40e390dp-15, 0x1.2b73b5d6b832bp-15, 0x1.35484045ee5efp-15, 0x1.3edfe11c47208p-15, 0x1.483ac45c9f846p-15, 0x1.51591a6f2572dp-15, 0x1.5a3b1810c37e1p-15, 0x1.62e0f641cadbcp-15, 0x1.6b4af233ede79p-15, 0x1.73794d379714cp-15, 0x1.7b6c4ca8a71bep-15, 0x1.832439daa649bp-15, 0x1.8aa1620477576p-15, 0x1.91e4162b935e6p-15, 0x1.98ecab0edb266p-15, 0x1.9fbb7911072ccp-15, 0x1.a650dc22c2a43p-15, 0x1.acad33ac78a2ap-15, 0x1.b2d0e277dab0bp-15, 0x1.b8bc4e992f815p-15, 0x1.be6fe1586c56bp-15, 0x1.c3ec071a23872p-15, 0x1.c9312f4851dcfp-15, 0x1.ce3fcc3b0b88cp-15, 0x1.d31853211a4ebp-15, 0x1.d7bb3be8889abp-15, 0x1.dc290127272ddp-15, 0x1.e06220031212ep-15, 0x1.e467181b37bc2p-15, 0x1.e8386b6feee74p-15, 0x1.ebd69e4b95dedp-15, 0x1.ef42372b4c654p-15, 0x1.f27bbea7c39a1p-15, 0x1.f583bf5e2d37ap-15, 0x1.f85ac5d94e7b7p-15, 0x1.fb01607ab772dp-15, 0x1.fd781f642864fp-15, 0x1.ffbf94612331ap-15, 0x1.00ec296857905p-14, 0x1.01e177c7aa44dp-14, 0x1.02c00070a6b91p-14, 0x1.03880f2e7a6dep-14, 0x1.0439f06ab91f6p-14, 0x1.04d5f122d3a71p-14, 0x1.055c5eddb0bc6p-14, 0x1.05cd87a167649p-14, 0x1.0629b9e91edb8p-14, 0x1.0671449b11f92p-14, 0x1.06a476feb9521p-14, 0x1.06c3a0b31b88ep-14, 0x1.06cf11a545136p-14, 0x1.06c71a06e859bp-14, 0x1.06ac0a452577p-14, }}, 
      {{0x1.ffee46da832eep-1, 0x1.ffb923231fe23p-1, 0x1.ff60abebf6aabp-1, 0x1.fee507596e714p-1, 0x1.fe466a362c01cp-1, 0x1.fd8517699f089p-1, 0x1.fca15f57fce84p-1, 0x1.fb9b9f318b144p-1, 0x1.fa7440363f5d5p-1, 0x1.f92bb6f1efe3cp-1, 0x1.f7c282749d8f4p-1, 0x1.f6392b89bfe15p-1, 0x1.f49043f0ef4ddp-1, 0x1.f2c86599d21adp-1, 0x1.f0e231e4c9182p-1, 0x1.eede50e97c074p-1, 0x1.ecbd70c420824p-1, 0x1.ea8044ea10093p-1, 0x1.e827858616524p-1, 0x1.e5b3eedcadf56p-1, 0x1.e32640b84334p-1, 0x1.e07f3ddd78e6bp-1, 0x1.ddbfab87559e3p-1, 0x1.dae850eb2b72fp-1, 0x1.d7f9f6c4054bcp-1, 0x1.d4f566e557dabp-1, 0x1.d1db6bd4adf86p-1, 0x1.ceacd06a08742p-1, 0x1.cb6a5f76a0a5p-1, 0x1.c814e371c4119p-1, 0x1.c4ad262b78407p-1, 0x1.c133f0849db19p-1, 0x1.bdaa0a2c48c3bp-1, 0x1.ba1039620634ep-1, 0x1.b66742bccbe68p-1, 0x1.b2afe8f64edffp-1, 0x1.aeeaecba86eb5p-1, 0x1.ab190c7b1f5ecp-1, 0x1.a73b04469f6a9p-1, 0x1.a3518da3155cep-1, 0x1.9f5d5f6c120f1p-1, 0x1.9b5f2db3c56e5p-1, 0x1.9757a9a70ed1bp-1, 0x1.9347817459187p-1, 0x1.8f2f60351624ep-1, 0x1.8b0fedd9ba09ep-1, 0x1.86e9cf180d02ep-1, 0x1.82bda55bb6176p-1, 0x1.7e8c0eb8dac93p-1, 0x1.7a55a5e0b9326p-1, 0x1.761b02181e391p-1, 0x1.71dcb72f9a2b4p-1, 0x1.6d9b557d5f857p-1, 0x1.695769d8ab59ap-1, 0x1.65117d96a748cp-1, 0x1.60ca1688a9213p-1, 0x1.5c81b6fbbefb5p-1, 0x1.5838ddb96e8a4p-1, 0x1.53f00609998d9p-1, 0x1.4fa7a7b570bep-1, 0x1.4b60370b6527cp-1, 0x1.471a24e4073b1p-1, 0x1.42d5dea7c2ddcp-1, 0x1.3e93ce5569188p-1, 0x1.3a545a8979bd8p-1, 0x1.3617e6861c19fp-1, 0x1.31ded23bbe575p-1, 0x1.2da97a5249bc5p-1, 0x1.29783832e372p-1, 0x1.254b62122a31p-1, 0x1.21234afaec379p-1, 0x1.1d0042d944626p-1, 0x1.18e2968617965p-1, 0x1.14ca8fd2eb39ep-1, 0x1.10b875960672cp-1, 0x1.0cac8bb6db4bfp-1, 0x1.08a7133aab3b6p-1, 0x1.04a84a51634a7p-1, 0x1.00b06c62a552fp-1, 0x1.f97f6435f211cp-2, 0x1.f1aca2f2414a3p-2, 0x1.e9e8fbb70a9d4p-2, 0x1.e234d01b784cp-2, 0x1.da907cac35d9dp-2, 0x1.d2fc5906ac45dp-2, 0x1.cb78b7f4519dap-2, 0x1.c405e785f5ed3p-2, 0x1.bca4312f117fep-2, 0x1.b553d9e103bd7p-2, 0x1.ae1522263ffe1p-2, 0x1.a6e8463d5ffbcp-2, 0x1.9fcd7e341466p-2, 0x1.98c4fe01f246p-2, 0x1.91cef5a30f91bp-2, 0x1.8aeb913272e2cp-2, 0x1.841af9044ae16p-2, 0x1.7d5d51bfeac11p-2, 0x1.76b2bc798b5ccp-2, 0x1.701b56cbc5f51p-2, 0x1.69973af0cc14ep-2, 0x1.63267fdb56032p-2, 0x1.5cc9394f443d9p-2, 0x1.567f77f9f54e3p-2, 0x1.5049498a46be2p-2, 0x1.4a26b8c8458d7p-2, 0x1.4417cdac8a39p-2, 0x1.3e1c8d773ccacp-2, 0x1.3834fac6c0128p-2, 0x1.326115ae03268p-2, 0x1.2ca0dbca7a7d8p-2, 0x1.26f44859b9281p-2, 0x1.215b544eb0c24p-2, 0x1.1bd5f6669032ap-2, 0x1.1664233d467e6p-2, 0x1.1105cd61a69dap-2, 0x1.0bbae5692afecp-2, 0x1.06835a035999ap-2, 0x1.015f180cc9e48p-2, 0x1.f89c1543924c2p-3, 0x1.eea0366141525p-3, 0x1.e4ca6316f73ecp-3, 0x1.db1a67f3d8832p-3, 0x1.d1900e942a0bp-3, 0x1.c82b1dc2e303ep-3, 0x1.beeb599a7e036p-3, 0x1.b5d083a515db4p-3, 0x1.acda5afbc0e9dp-3, 0x1.a4089c653c7ecp-3, 0x1.9b5b0273d174bp-3, 0x1.92d145a2936d3p-3, 0x1.8a6b1c71dcc71p-3, 0x1.82283b831fef2p-3, 0x1.7a0855b4029d7p-3, 0x1.720b1c38cae83p-3, 0x1.6a303eb61d4c6p-3, 0x1.62776b5a0c8cap-3, 0x1.5ae04ef485f44p-3, 0x1.536a950f0b0b1p-3, 0x1.4c15e803d079dp-3, 0x1.44e1f1142b3f7p-3, 0x1.3dce587e6cc49p-3, 0x1.36dac5930b7d5p-3, 0x1.3006dec94172fp-3, 0x1.295249d2ff466p-3, 0x1.22bcabb05276bp-3, 0x1.1c45a8c22aaefp-3, 0x1.15ece4dc941a9p-3, 0x1.0fb203585607cp-3, 0x1.0994a7240bd75p-3, 0x1.039472d4a863ap-3, 0x1.fb62116ae5a67p-4, 0x1.efd415aef7ea5p-4, 0x1.e47e36410f852p-4, 0x1.d95fb6b2f22d5p-4, 0x1.ce77da7879f66p-4, 0x1.c3c5e5025cfd1p-4, 0x1.b94919d815a8dp-4, 0x1.af00bcb0bc012p-4, 0x1.a4ec118b0daa9p-4, 0x1.9b0a5cc46c3f1p-4, 0x1.915ae32f12bf6p-4, 0x1.87dcea27564f1p-4, 0x1.7e8fb7a816798p-4, 0x1.7572925e52433p-4, 0x1.6c84c1bbeb01ep-4, 0x1.63c58e099b7c6p-4, 0x1.5b34407824343p-4, 0x1.52d02330b496p-4, 0x1.4a98816494f08p-4, 0x1.428ca75c13a6ep-4, 0x1.3aabe284bde51p-4, 0x1.32f5817ee4b5bp-4, 0x1.2b68d42a75843p-4, 0x1.24052bb327f99p-4, 0x1.1cc9da9c08f22p-4, 0x1.15b634ca628bbp-4, 0x1.0ec98f900a458p-4, 0x1.080341b513f66p-4, 0x1.0162a380f39fap-4, 0x1.f5ce1d861a1ffp-5, 0x1.e91fbdb57224ep-5, 0x1.dcb8e17d8216cp-5, 0x1.d0984608b1277p-5, 0x1.c4bcabcb28bd7p-5, 0x1.b924d68ecd5cfp-5, 0x1.adcf8d7e44173p-5, 0x1.a2bb9b2f0eb3ep-5, 0x1.97e7cdaac3dc5p-5, 0x1.8d52f6776e89bp-5, 0x1.82fbea9f13a99p-5, 0x1.78e182b66fe86p-5, 0x1.6f029ae2e8b75p-5, 0x1.655e12dfc16eap-5, 0x1.5bf2ce029325dp-5, 0x1.52bfb33f13eb8p-5, 0x1.49c3ad2a2d036p-5, 0x1.40fda9fc6de22p-5, 0x1.386c9b93da262p-5, 0x1.300f777520f92p-5, 0x1.27e536cc39a27p-5, 0x1.1fecd66c73b6p-5, 0x1.182556cffca38p-5, 0x1.108dbc16de83bp-5, 0x1.09250e0581a4p-5, 0x1.01ea5802b1852p-5, 0x1.f5b9522a5b7a6p-6, 0x1.e7f627c1931eap-6, 0x1.da895d464119bp-6, 0x1.cd71265fc78b7p-6, 0x1.c0abbdd988e95p-6, 0x1.b437659a03904p-6, 0x1.a812669936619p-6, 0x1.9c3b10d65de58p-6, 0x1.90afbb4d0f948p-6, 0x1.856ec3e9b7807p-6, 0x1.7a768f7d86707p-6, 0x1.6fc589b1d6103p-6, 0x1.655a24fb054ffp-6, 0x1.5b32da8addd7dp-6, 0x1.514e2a427fbe5p-6, 0x1.47aa9aa3e4655p-6, 0x1.3e46b8c2f4f91p-6, 0x1.3521183641ef8p-6, 0x1.2c3853075da5p-6, 0x1.238b09a2e6bfdp-6, 0x1.1b17e2c83e237p-6, 0x1.12dd8b78f5d06p-6, 0x1.0adab6e7ff075p-6, 0x1.030e1e6892c1dp-6, 0x1.f6ed02b9d339dp-7, 0x1.e8254a496e7f7p-7, 0x1.d9c2aa16fb4adp-7, 0x1.cbc2c46d5e4bp-7, 0x1.be234727603a4p-7, 0x1.b0e1eb8b62613p-7, 0x1.a3fc7626e06f4p-7, 0x1.9770b6a9be403p-7, 0x1.8b3c87c160275p-7, 0x1.7f5dcef3ae1dap-7, 0x1.73d27c79ee207p-7, 0x1.68988b1b934cep-7, 0x1.5dae0008f23e8p-7, 0x1.5310eab5f6d6p-7, 0x1.48bf64b4d72f3p-7, 0x1.3eb79190bce15p-7, 0x1.34f79ea88e317p-7, 0x1.2b7dc309b15c5p-7, 0x1.22483f4aef1dfp-7, 0x1.19555d676b51fp-7, 0x1.10a37099bb224p-7, 0x1.0830d5371e1c5p-7, 0x1.fff7e115bad58p-8, 0x1.f0066163adef2p-8, 0x1.e08a18ec6d27ep-8, 0x1.d1800656c3dcdp-8, 0x1.c2e5391435706p-8, 0x1.b4b6d119b6647p-8, 0x1.a6f1fe98dccd7p-8, 0x1.999401b991677p-8, 0x1.8c9a2a5446eeap-8, 0x1.8001d7acbbf48p-8, 0x1.73c8782d4cd21p-8, 0x1.67eb8922d960dp-8, 0x1.5c689679477b3p-8, 0x1.513d3a789ee4ep-8, 0x1.46671d82ca24bp-8, 0x1.3be3f5d1fbc03p-8, 0x1.31b18737baf15p-8, 0x1.27cda2dc9f282p-8, 0x1.1e362700b6f75p-8, 0x1.14e8febca4461p-8, 0x1.0be421c36945dp-8, 0x1.03259424ee9e2p-8, 0x1.f556cc227ffbfp-9, 0x1.e4e7673906957p-9, 0x1.d4f949075a7cfp-9, 0x1.c588d7e3e0b83p-9, 0x1.b692908ddcc6ap-9, 0x1.a81305bb4b064p-9, 0x1.9a06dfa843787p-9, 0x1.8c6adba7d8851p-9, 0x1.7f3bcbb6805e3p-9, 0x1.7276960dfee1fp-9, 0x1.661834bad59cfp-9, 0x1.5a1db5333b9c9p-9, 0x1.4e8437ef98903p-9, 0x1.4348f00489fbdp-9, 0x1.386922be67c82p-9, 0x1.2de2273e5253fp-9, 0x1.23b16618c2b47p-9, 0x1.19d458f59db4p-9, 0x1.10488a31c870cp-9, 0x1.070b94823c591p-9, 0x1.fc364531374dap-10, 0x1.eae9dd927f2ffp-10, 0x1.da2d856583097p-10, 0x1.c9fcedcdfda62p-10, 0x1.ba53e52b220d1p-10, 0x1.ab2e566f6e375p-10, 0x1.9c88487b6b9fap-10, 0x1.8e5ddd7b40664p-10, 0x1.80ab524718e97p-10, 0x1.736cfdc670945p-10, 0x1.669f50560a9aep-10, 0x1.5a3ed330ce6cdp-10, 0x1.4e4827db44528p-10, 0x1.42b80791e29cep-10, 0x1.378b42b9f79e8p-10, 0x1.2cbec0554c92ep-10, 0x1.224f7d785d6d9p-10, 0x1.183a8cc33793bp-10, 0x1.0e7d15dce47afp-10, 0x1.051454f161de9p-10, 0x1.f7fb346447defp-11, 0x1.e66c92b219573p-11, 0x1.d577b25bbd1b3p-11, 0x1.c517a61c33d6bp-11, 0x1.b547a4ee82971p-11, 0x1.a6030926f521bp-11, 0x1.97454f910ce58p-11, 0x1.890a16920ba44p-11, 0x1.7b4d1d5008431p-11, 0x1.6e0a42dd804p-11, 0x1.613d8569543b6p-11, 0x1.54e301731e786p-11, 0x1.48f6f103d598ep-11, 0x1.3d75aaeaa86f2p-11, 0x1.325ba1fe04443p-11, 0x1.27a56460b7d51p-11, 0x1.1d4f9acb1b9cap-11, 0x1.135707d8391b1p-11, 0x1.09b88756d856dp-11, 0x1.00710d9e681a9p-11, 0x1.eefb4dcf6259dp-12, 0x1.ddb6ed5285e37p-12, 0x1.cd0f6def1122bp-12, 0x1.bcff6fd0f73a8p-12, 0x1.ad81bdf5be823p-12, 0x1.9e914d01f0214p-12, 0x1.90293a1d5dc4ap-12, 0x1.8244c9d6234e6p-12, 0x1.74df670a40052p-12, 0x1.67f4a1d7b04adp-12, 0x1.5b802e92e2076p-12, 0x1.4f7de4c370dbfp-12, 0x1.43e9be26ffc9bp-12, 0x1.38bfd5ba1ceeap-12, 0x1.2dfc66c710453p-12, 0x1.239bcbfa78209p-12, 0x1.199a7e7d936c5p-12, 0x1.0ff515162904ep-12, 0x1.06a8434be0edcp-12, 0x1.fb61b12606769p-13, 0x1.ea177ef8f06e2p-13, 0x1.d96bf9d5e022ep-13, 0x1.c9595e9a3d88p-13, 0x1.b9da1bb9cf533p-13, 0x1.aae8cfc6d045p-13, 0x1.9c80480387161p-13, 0x1.8e9b7efd314d3p-13, 0x1.81359b300bd91p-13, 0x1.7449edb4548p-13, 0x1.67d3f0f404324p-13, 0x1.5bcf47691f1e1p-13, 0x1.5037ba6466472p-13, 0x1.450938dc404dp-13, 0x1.3a3fd643ab6fap-13, 0x1.2fd7c96904949p-13, 0x1.25cd6b5c88478p-13, 0x1.1c1d365e4ea8dp-13, 0x1.12c3c4d3abc5fp-13, 0x1.09bdd043b71b6p-13, 0x1.0108305adf3b5p-13, 0x1.f13fb3eabe861p-14, 0x1.e103bc60d05e8p-14, 0x1.d156d303b0767p-14, 0x1.c23385acc5225p-14, 0x1.b394956bf0ea7p-14, 0x1.a574f4dc9c2e8p-14, 0x1.97cfc686be992p-14, 0x1.8aa05b4b921a6p-14, 0x1.7de230ddabdb5p-14, 0x1.7190f04439f3cp-14, 0x1.65a86c691e5ecp-14, 0x1.5a24a0b1a624ap-14, 0x1.4f01afa19c0f8p-14, 0x1.443be1887584dp-14, 0x1.39cfa33859bffp-14, 0x1.2fb984c6c9c73p-14, 0x1.25f63856a75afp-14, 0x1.1c8290eb63073p-14, 0x1.135b8145169cap-14, 0x1.0a7e1ac551b42p-14, 0x1.01e78c5c6230ap-14, 0x1.f32a42fdbf4b4p-15, 0x1.e30882468e04ep-15, 0x1.d364d98edc9bep-15, 0x1.c43a7efb416cdp-15, 0x1.b584da0259d33p-15, 0x1.a73f81a46e76ep-15, 0x1.99663ab139f8bp-15, 0x1.8bf4f61b778fdp-15, 0x1.7ee7cf59d8ac8p-15, 0x1.723b0ad507ea9p-15, 0x1.65eb146266196p-15, 0x1.59f47dcb1efddp-15, 0x1.4e53fd5f4e76ep-15, 0x1.43066c94d68dp-15, 0x1.3808c6b19dfecp-15, 0x1.2d582780e2fe4p-15, 0x1.22f1ca13572d3p-15, 0x1.18d30789b64dcp-15, 0x1.0ef955e98f985p-15, 0x1.056246fbf723p-15, 0x1.f8170e6bb9659p-16, 0x1.e5e5b953772a4p-16, 0x1.d42c4c04cc841p-16, 0x1.c2e6b30d54162p-16, 0x1.b211084b1117dp-16, 0x1.a1a791159057fp-16, 0x1.91a6bc7741edfp-16, 0x1.820b21768cc69p-16, 0x1.72d17d6e2d14p-16, 0x1.63f6b27460f92p-16, 0x1.5577c5d08451ap-16, 0x1.4751de7e9cc47p-16, 0x1.398243c078753p-16, 0x1.2c065bbbf4ad3p-16, 0x1.1edbaa260120fp-16, 0x1.11ffcefa0ac85p-16, 0x1.0570853d5de31p-16, 0x1.f257439c5fc7fp-17, 0x1.da5e247bd8c5fp-17, 0x1.c2f1b76ce18cdp-17, 0x1.ac0e33d3c3397p-17, 0x1.95affc197964ep-17, 0x1.7fd39bb3c8502p-17, 0x1.6a75c54082822p-17, 0x1.559350b38076ap-17, 0x1.412939969e011p-17, 0x1.2d349d5b365a5p-17, 0x1.19b2b9bc863b7p-17, 0x1.06a0eb326cd6ap-17, 0x1.e7f956e80465cp-18, 0x1.c3872012fca6fp-18, 0x1.9fe691d9e0171p-18, 0x1.7d133e728bed6p-18, 0x1.5b08e7ce63f36p-18, 0x1.39c37d2ed389bp-18, 0x1.193f18d3b5b38p-18, 0x1.f2effb856821fp-19, 0x1.b4d52b4d93983p-19, 0x1.7826dd8e2aef6p-19, 0x1.3cde742857952p-19, 0x1.02f59296465d7p-19, 0x1.94cc34b65c1eap-20, 0x1.26544f378c0bfp-20, 0x1.74f0377720878p-21, 0x1.44b2a76890769p-22, -0x1.5989435e27b9ep-24, -0x1.e7873d172405p-22, -0x1.b771c1257a1f3p-21, -0x1.3b274ee8b10e4p-20, -0x1.98365386ab2b1p-20, -0x1.f2eedec6d50e5p-20, -0x1.25acce464a54ep-19, -0x1.50bf7c3d68f02p-19, -0x1.7ab390fa481ep-19, -0x1.a38d07f4f20c2p-19, -0x1.cb4fc239a06a9p-19, -0x1.f1ff881e8509bp-19, -0x1.0bd00571530cbp-18, -0x1.1e1a731b58de8p-18, -0x1.2fe0d0d85576cp-18, -0x1.4124d915a4346p-18, -0x1.51e83d88e9bd7p-18, -0x1.622ca7ccac848p-18, -0x1.71f3b9f3f58d5p-18, -0x1.813f0f1559fe3p-18, -0x1.90103bcdc894p-18, -0x1.9e68cebb74e55p-18, -0x1.ac4a50f1357cdp-18, -0x1.b9b64662a85fep-18, -0x1.c6ae2e496e6dbp-18, -0x1.d3338383cb1ddp-18, -0x1.df47bcecf1d53p-18, -0x1.eaec4daf4e105p-18, -0x1.f622a59105815p-18, -0x1.0076189d7e87ap-17, -0x1.05a52d3d507ddp-17, -0x1.0a9f443f550f6p-17, -0x1.0f65100792fd1p-17, -0x1.13f741e07907p-17, -0x1.18568a1275127p-17, -0x1.1c8397f97f04bp-17, -0x1.207f1a18af1b2p-17, -0x1.2449be2bfe041p-17, -0x1.27e431384173cp-17, -0x1.2b4f1f99804e4p-17, -0x1.2e8b350fb370ep-17, -0x1.31991cca094bbp-17, -0x1.34798170c10cdp-17, -0x1.372d0d2db03ep-17, -0x1.39b469b3884dfp-17, -0x1.3c104043ec4dbp-17, -0x1.3e4139b46a7cep-17, -0x1.4047fe7269a25p-17, -0x1.4225368619c2ap-17, -0x1.43d989947af15p-17, -0x1.45659ee085c2p-17, -0x1.46ca1d4b8613dp-17, -0x1.4807ab54b5526p-17, -0x1.491eef1821b96p-17, -0x1.4a108e4cee21bp-17, -0x1.4add2e42f9c43p-17, -0x1.4b8573dff648dp-17, -0x1.4c0a039bfd493p-17, -0x1.4c6b817daae48p-17, -0x1.4caa9115ca392p-17, -0x1.4cc7d57a9db56p-17, -0x1.4cc3f142c9ep-17, -0x1.4c9f867fef6c8p-17, -0x1.4c5b36b8f8a45p-17, -0x1.4bf7a2e425f59p-17, -0x1.4b756b60ded86p-17, -0x1.4ad52ff14f407p-17, -0x1.4a178fb3d818fp-17, -0x1.493d291c5ada7p-17, -0x1.484699ed62fa5p-17, -0x1.47347f313747cp-17, -0x1.46077532d5abep-17, -0x1.44c01776e07f9p-17, -0x1.435f00b48112bp-17, -0x1.41e4cace446fdp-17, -0x1.40520ecaf8693p-17, -0x1.3ea764ce8a60fp-17, -0x1.3ce56412edd91p-17, -0x1.3b0ca2e10d643p-17, -0x1.391db689ca92ep-17, -0x1.3719335f0ebddp-17, -0x1.34ffacacf0469p-17, -0x1.32d1b4b2f00e8p-17, -0x1.308fdc9d4fdcbp-17, -0x1.2e3ab47e8698p-17, -0x1.2bd2cb48d20d2p-17, -0x1.2958aec7e9d97p-17, -0x1.26cceb9ad6392p-17, -0x1.24300d2dea91fp-17, -0x1.21829db4e5522p-17, -0x1.1ec526253a2ddp-17, -0x1.1bf82e3082d6cp-17, -0x1.191c3c3f1b5f2p-17, -0x1.1631d56ae9d82p-17, -0x1.13397d7a5253cp-17, -0x1.1033b6db58277p-17, -0x1.0d21029eecddcp-17, -0x1.0a01e0746e91bp-17, -0x1.06d6cea554b27p-17, -0x1.03a04a110c9eep-17, -0x1.005ece29071cep-17, -0x1.fa25a9d9e9e04p-18, -0x1.f379adce692bbp-18, -0x1.ecba9652e1232p-18, -0x1.e5e94e92dc4c8p-18, -0x1.df06bebc1a1e3p-18, -0x1.d813cbf8ef92dp-18, -0x1.d111586b0690fp-18, -0x1.ca00432681eaap-18, -0x1.c2e1682d7bddfp-18, -0x1.bbb5a06be8e31p-18, -0x1.b47dc1b3d58fcp-18, -0x1.ad3a9eba03047p-18, -0x1.a5ed0712e22dp-18, -0x1.9e95c72fe7355p-18, -0x1.9735a85d3aa95p-18, -0x1.8fcd70bfc35c9p-18, -0x1.885de35387f05p-18, -0x1.80e7bfea69b3dp-18, -0x1.796bc32b31aa3p-18, -0x1.71eaa690f69fap-18, -0x1.6a65206ad316cp-18, -0x1.62dbe3dbededcp-18, -0x1.5b4fa0dbd325p-18, -0x1.53c104371c7c6p-18, -0x1.4c30b79064b7ap-18, -0x1.449f6161886aep-18, -0x1.3d0da4fd3047bp-18, -0x1.357c2290a3781p-18, -0x1.2deb7725e097ap-18, -0x1.265c3ca5fbd9ep-18, -0x1.1ecf09dbc0ebdp-18, -0x1.1744727694d2cp-18, -0x1.0fbd070d9a15fp-18, -0x1.08395523116fap-18, -0x1.00b9e727f7052p-18, -0x1.f27e88ffb8dffp-19, -0x1.e393e309efa06p-19, -0x1.d4b4df18decaep-19, -0x1.c5e279d5ac508p-19, -0x1.b71da9f1bdb98p-19, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.5ea8368047adep-8, -0x1.5f559bda38da4p-7, -0x1.08565cafb036p-6, -0x1.61fc2f8dec776p-6, -0x1.bce592989e1fap-6, -0x1.0caa4cabb3a12p-5, -0x1.3bc1b7c4fd36fp-5, -0x1.6bd1fbd2b3289p-5, -0x1.9cefd3d1cbfe3p-5, -0x1.cf2bcb83d4eb5p-5, -0x1.01492cc125fdep-4, -0x1.1b9603e0178fp-4, -0x1.367ed34ff77f1p-4, -0x1.520443b90de62p-4, -0x1.6e255de386c3ap-4, -0x1.8adfabbed8526p-4, -0x1.a82f59f314b48p-4, -0x1.c60f595521815p-4, -0x1.e4797fbd15b9cp-4, -0x1.01b353eeb9d22p-3, -0x1.116767ea2280bp-3, -0x1.21549b22170dfp-3, -0x1.31763aea6cb1ep-3, -0x1.41c74f83ddac7p-3, -0x1.5242a82c923d7p-3, -0x1.62e2e656fc9a7p-3, -0x1.73a2880a6c0f2p-3, -0x1.847bf1731c251p-3, -0x1.956975a95601p-3, -0x1.a6655eb85016bp-3, -0x1.b769f4ee5d0a3p-3, -0x1.c87185805368bp-3, -0x1.d976688a405d7p-3, -0x1.ea730677956bbp-3, -0x1.fb61dcdc94277p-3, -0x1.061ec16557ba7p-2, -0x1.0e80565486fe3p-2, -0x1.16d317cd00c54p-2, -0x1.1f14823aed007p-2, -0x1.27422531751ddp-2, -0x1.2f59a4891e3b8p-2, -0x1.3758b953f6974p-2, -0x1.3f3d32aad2614p-2, -0x1.4704f656b31c4p-2, -0x1.4eae01592197ep-2, -0x1.563668563015cp-2, -0x1.5d9c57e292ed4p-2, -0x1.64de14b8255fap-2, -0x1.6bf9fbd2f8732p-2, -0x1.72ee8278f25cbp-2, -0x1.79ba362dd6618p-2, -0x1.805bbc9571643p-2, -0x1.86d1d3458dcf6p-2, -0x1.8d1b4f892b4bbp-2, -0x1.93371e166588dp-2, -0x1.992442b85a8d4p-2, -0x1.9ee1d7ee4a90fp-2, -0x1.a46f0e8110956p-2, -0x1.a9cb2d101199bp-2, -0x1.aef58f96905a5p-2, -0x1.b3eda6ea67c6dp-2, -0x1.b8b2f834f4495p-2, -0x1.bd451c6711048p-2, -0x1.c1a3bfa8d7302p-2, -0x1.c5cea0c5e1f9ep-2, -0x1.c9c59096aff83p-2, -0x1.cd887167ce241p-2, -0x1.d117365f4b06p-2, -0x1.d471e2e104f94p-2, -0x1.d79889f247a22p-2, -0x1.da8b4d9d2cb3p-2, -0x1.dd4a5e542c311p-2, -0x1.dfd5fa56334d2p-2, -0x1.e22e6d13a7daap-2, -0x1.e4540e949de06p-2, -0x1.e64742e08fc0fp-2, -0x1.e8087967d5a9ep-2, -0x1.e9982c6f231b1p-2, -0x1.eaf6e07d34bcfp-2, -0x1.ec2523cae823fp-2, -0x1.ed238db5e89adp-2, -0x1.edf2be360f4c2p-2, -0x1.ee935d55a5dacp-2, -0x1.ef061aac9bae1p-2, -0x1.ef4bacded122ep-2, -0x1.ef64d11d87223p-2, -0x1.ef524aac0a6f7p-2, -0x1.ef14e267a5ab1p-2, -0x1.eead6652e73c5p-2, -0x1.ee1ca92440d95p-2, -0x1.ed6381d80bac9p-2, -0x1.ec82cb45ef55p-2, -0x1.eb7b63b9b1e9ap-2, -0x1.ea4e2c8f67c39p-2, -0x1.e8fc09d30d9dp-2, -0x1.e785e1e378cap-2, -0x1.e5ec9d18a5e65p-2, -0x1.e431256d530edp-2, -0x1.e254662be302dp-2, -0x1.e0574b9e7f1p-2, -0x1.de3ac2c268d4ep-2, -0x1.dbffb8fe74dp-2, -0x1.d9a71bdc9a627p-2, -0x1.d731d8c693fe2p-2, -0x1.d4a0dcc57a63bp-2, -0x1.d1f514444f106p-2, -0x1.cf2f6ad56605dp-2, -0x1.cc50cafa9f887p-2, -0x1.c95a1df062dedp-2, -0x1.c64c4b7b45d81p-2, -0x1.c32839b8568abp-2, -0x1.bfeecceff2a04p-2, -0x1.bca0e76b1a958p-2, -0x1.b93f694b35f1fp-2, -0x1.b5cb30642da0fp-2, -0x1.b2451818d8e8bp-2, -0x1.aeadf9399f172p-2, -0x1.ab06a9e545f94p-2, -0x1.a74ffd6bd8e28p-2, -0x1.a38ac433986eap-2, -0x1.9fb7cb9fe2b86p-2, -0x1.9bd7ddfa05109p-2, -0x1.97ebc25be4bd6p-2, -0x1.93f43c9c711fp-2, -0x1.8ff20d3dce83bp-2, -0x1.8be5f15d2c78cp-2, -0x1.87d0a2a43591bp-2, -0x1.83b2d73c09afbp-2, -0x1.7f8d41c1ba6fbp-2, -0x1.7b60913c31fe6p-2, -0x1.772d71137f7bdp-2, -0x1.72f48909719fap-2, -0x1.6eb67d337d6a8p-2, -0x1.6a73edf5d995fp-2, -0x1.662d77ffc6d76p-2, -0x1.61e3b448f9f86p-2, -0x1.5d97381015bb5p-2, -0x1.594894da2df3bp-2, -0x1.54f8587345bf9p-2, -0x1.50a70cefbd01fp-2, -0x1.4c5538aea451ep-2, -0x1.48035e5ce7fadp-2, -0x1.43b1fcf94da6dp-2, -0x1.3f618fd934debp-2, -0x1.3b128eae12e52p-2, -0x1.36c56d8b9fcfbp-2, -0x1.327a9ceeadd45p-2, -0x1.2e3289c498c2ap-2, -0x1.29ed9d7352f0bp-2, -0x1.25ac3de1f92cfp-2, -0x1.216ecd81ed445p-2, -0x1.1d35ab586d706p-2, -0x1.190133089d3d6p-2, -0x1.14d1bcddff78p-2, -0x1.10a79dd74f8b2p-2, -0x1.0c8327b1bf244p-2, -0x1.0864a8f48453bp-2, -0x1.044c6cfcbde08p-2, -0x1.003abc099bc7cp-2, -0x1.f85fb6919fb9ep-3, -0x1.f05819c66f2cdp-3, -0x1.e85f201381932p-3, -0x1.e0754204faeb5p-3, -0x1.d89af26bcc5b1p-3, -0x1.d0d09e788122cp-3, -0x1.c916add654936p-3, -0x1.c16d82c682f37p-3, -0x1.b9d57a3bc65eep-3, -0x1.b24eebf5fcfep-3, -0x1.aada2a9df5102p-3, -0x1.a37783e145458p-3, -0x1.9c27408e3e9ccp-3, -0x1.94e9a4afde3fp-3, -0x1.8dbeefa9c200dp-3, -0x1.86a75c541a3e9p-3, -0x1.7fa32117885f6p-3, -0x1.78b27008ef453p-3, -0x1.71d5770524f34p-3, -0x1.6b0c5fcc89d18p-3, -0x1.6457501e7afe2p-3, -0x1.5db669d49600dp-3, -0x1.5729cafdd3267p-3, -0x1.50b18df96a34cp-3, -0x1.4a4dc99181761p-3, -0x1.43fe91159f328p-3, -0x1.3dc3f474daf2ep-3, -0x1.379e0057cccb4p-3, -0x1.318cbe3a38098p-3, -0x1.2b903484679a7p-3, -0x1.25a866a4424fp-3, -0x1.1fd5552609cdfp-3, -0x1.1a16fdcccde0fp-3, -0x1.146d5baa87cb2p-3, -0x1.0ed86737dbe7cp-3, -0x1.0958166b8b3cep-3, -0x1.03ec5cd17f05bp-3, -0x1.fd2a574304ddfp-4, -0x1.f2a4e3ab2c94bp-4, -0x1.e848387fd9982p-4, -0x1.de142b40fe7f3p-4, -0x1.d4088d7489796p-4, -0x1.ca252cd0092c8p-4, -0x1.c069d36195553p-4, -0x1.b6d647b7e44cfp-4, -0x1.ad6a4d099d497p-4, -0x1.a425a35be3d1cp-4, -0x1.9b0807a80c93ap-4, -0x1.921134009e6d8p-4, -0x1.8940dfb56f4d5p-4, -0x1.8096bf770acdep-4, -0x1.7812857942bb4p-4, -0x1.6fb3e194fa624p-4, -0x1.677a816927bcep-4, -0x1.5f66107b0b8b5p-4, -0x1.57763855a2cedp-4, -0x1.4faaa0a85011dp-4, -0x1.4802ef64c11p-4, -0x1.407ec8dc0f291p-4, -0x1.391dcfdb1d9b9p-4, -0x1.31dfa5c636c37p-4, -0x1.2ac3eab3e9c46p-4, -0x1.23ca3d872b162p-4, -0x1.1cf23c08b9b61p-4, -0x1.163b82ffc8cfep-4, -0x1.0fa5ae49f56ecp-4, -0x1.093058f282ef3p-4, -0x1.02db1d48e6a46p-4, -0x1.f94b29ed455f7p-5, -0x1.ed1eb228e28dbp-5, -0x1.e130047d88e69p-5, -0x1.d57e515338d12p-5, -0x1.ca08c8676e82bp-5, -0x1.bece98f236bccp-5, -0x1.b3cef1ca01421p-5, -0x1.a909018635393p-5, -0x1.9e7bf6a08c127p-5, -0x1.9426ff95388f7p-5, -0x1.8a094b01e1ac6p-5, -0x1.802207c372774p-5, -0x1.76706512ca18dp-5, -0x1.6cf392a04bb43p-5, -0x1.63aac0ae58abep-5, -0x1.5a95202ab6b41p-5, -0x1.51b1e2c6ecf4ep-5, -0x1.49003b0f96203p-5, -0x1.407f5c82b47edp-5, -0x1.382e7ba508506p-5, -0x1.300cce16730b5p-5, -0x1.28198aa565babp-5, -0x1.2053e96169f5p-5, -0x1.18bb23acc0251p-5, -0x1.114e744d2191ep-5, -0x1.0a0d177ba7e7ap-5, -0x1.02f64af3dd6cep-5, -0x1.f8129c03fec6ep-6, -0x1.ea8ac320ef03fp-6, -0x1.dd5390691859ep-6, -0x1.d06b8c74add23p-6, -0x1.c3d1435ff5656p-6, -0x1.b78344e050992p-6, -0x1.ab802457e3dd7p-6, -0x1.9fc678e7e24b5p-6, -0x1.9454dd8195b07p-6, -0x1.8929f0f619c3dp-6, -0x1.7e445604e48a8p-6, -0x1.73a2b3691ca26p-6, -0x1.6943b3e5c8006p-6, -0x1.5f260650dfccdp-6, -0x1.55485d9d4fb2bp-6, -0x1.4ba970e3e4dc1p-6, -0x1.4247fb6b426a8p-6, -0x1.3922bcaed5cb7p-6, -0x1.30387864da635p-6, -0x1.2787f68377d15p-6, -0x1.1f100344fa18dp-6, -0x1.16cf6f2b3492bp-6, -0x1.0ec50f02110efp-6, -0x1.06efbbe157d2cp-6, -0x1.fe9ca65b67e9dp-7, -0x1.efbf6d31fa836p-7, -0x1.e1459843a1925p-7, -0x1.d32cfc24f46cep-7, -0x1.c57375fe769adp-7, -0x1.b816eb87e04e9p-7, -0x1.ab154b0244f2cp-7, -0x1.9e6c8b3106e9p-7, -0x1.921aab51c5832p-7, -0x1.861db3133182fp-7, -0x1.7a73b28aef886p-7, -0x1.6f1ac22a87059p-7, -0x1.641102b35f22p-7, -0x1.59549d29f52c6p-7, -0x1.4ee3c2c82c3ddp-7, -0x1.44bcaceee827ap-7, -0x1.3add9d16e5e19p-7, -0x1.3144dcc0df8b3p-7, -0x1.27f0bd650fp-7, -0x1.1edf98620eb69p-7, -0x1.160fceeb26d98p-7, -0x1.0d7fc9f60d7f8p-7, -0x1.052dfa282490bp-7, -0x1.fa31af8678362p-8, -0x1.ea7dc523c54dap-8, -0x1.db3d43a694e35p-8, -0x1.cc6d484d97ba7p-8, -0x1.be0afeee199eap-8, -0x1.b013a1c9a5007p-8, -0x1.a28479630ffc3p-8, -0x1.955adc52f7dap-8, -0x1.88942f1bc18d3p-8, -0x1.7c2de3fd21bb4p-8, -0x1.70257ac742ce1p-8, -0x1.647880ad8b9b4p-8, -0x1.5924901918a36p-8, -0x1.4e27507aef3acp-8, -0x1.437e761df78eep-8, -0x1.3927c1f8c5217p-8, -0x1.2f21017f39438p-8, -0x1.25680e74096b4p-8, -0x1.1bfaceba318d6p-8, -0x1.12d7342659ccp-8, -0x1.09fb3c503b4d3p-8, -0x1.0164f06408badp-8, -0x1.f224c9e7cac8dp-9, -0x1.e2037392dd5c1p-9, -0x1.d262336ec4678p-9, -0x1.c33d74d6ca49bp-9, -0x1.b491b87fe8ddep-9, -0x1.a65b941d08f5cp-9, -0x1.9897b203a577ep-9, -0x1.8b42d0d0e8a6fp-9, -0x1.7e59c30f45425p-9, -0x1.71d96edc95a22p-9, -0x1.65becd90d3f2ap-9, -0x1.5a06eb65679e2p-9, -0x1.4eaee71d1958ep-9, -0x1.43b3f1acb520cp-9, -0x1.39134de45a304p-9, -0x1.2eca50198d29bp-9, -0x1.24d65dd206484p-9, -0x1.1b34ed6f4c7bap-9, -0x1.11e385db1a0c4p-9, -0x1.08dfbe34984c2p-9, -0x1.00273d7e73737p-9, -0x1.ef6f749b9414bp-10, -0x1.df1df4f405236p-10, -0x1.cf55a59b0b758p-10, -0x1.c0124d6ebc9b4p-10, -0x1.b14fcffba2a59p-10, -0x1.a30a2ce3b4762p-10, -0x1.953d7f4748b6ep-10, -0x1.87e5fd2fef357p-10, -0x1.7afff6fd36431p-10, -0x1.6e87d6d36f3d1p-10, -0x1.627a200c615a8p-10, -0x1.56d36eaa0143ap-10, -0x1.4b9076cb1c8f9p-10, -0x1.40ae0422166e1p-10, -0x1.3628f96d9176dp-10, -0x1.2bfe4ff32f24ep-10, -0x1.222b16fc457a3p-10, -0x1.18ac7354a6ee5p-10, -0x1.0f7f9ecb5e446p-10, -0x1.06a1e7b5836e6p-10, -0x1.fc2160e5feff8p-11, -0x1.eb92ddeac0371p-11, -0x1.db93589155e3fp-11, -0x1.cc1e083c5bd8ep-11, -0x1.bd2e48b29d041p-11, -0x1.aebf993cad08ap-11, -0x1.a0cd9bc670669p-11, -0x1.9354140496ca6p-11, -0x1.864ee69df9c8bp-11, -0x1.79ba1858e0065p-11, -0x1.6d91cd4c1915fp-11, -0x1.61d24813f0ebfp-11, -0x1.5677e90aec45ep-11, -0x1.4b7f2d864ce41p-11, -0x1.40e4af1651a71p-11, -0x1.36a522ca2b229p-11, -0x1.2cbd58779c8a2p-11, -0x1.232a3a063f48fp-11, -0x1.19e8cabe6009ep-11, -0x1.10f6269b6ca03p-11, -0x1.084f81a1e6e26p-11, -0x1.ffe44e71ae1f3p-12, -0x1.efb6f30d5a9e3p-12, -0x1.e011e1a31cecap-12, -0x1.d0f035c5f9166p-12, -0x1.c24d34dda8115p-12, -0x1.b4244cfb2136bp-12, -0x1.a67113b3a11dcp-12, -0x1.992f4502166bcp-12, -0x1.8c5ac22edbd44p-12, -0x1.7fef90bdaffa3p-12, -0x1.73e9d961cac48p-12, -0x1.6845e6f8063dap-12, -0x1.5d002586f7dd9p-12, -0x1.52152144ed2e6p-12, -0x1.478185a3af6cap-12, -0x1.3d421c61fa51fp-12, -0x1.3353cca28f129p-12, -0x1.29b39a08c96e3p-12, -0x1.205ea3daa69ebp-12, -0x1.175224281ff6cp-12, -0x1.0e8b6ef7c9e1bp-12, -0x1.0607f178998a8p-12, -0x1.fb8a62717d66ep-13, -0x1.eb8196c2fda7p-13, -0x1.dbf0e7efe04dep-13, -0x1.ccd3ea4516795p-13, -0x1.be265ce6e6f5fp-13, -0x1.afe4286ecafc3p-13, -0x1.a2095d9267ca3p-13, -0x1.949233d3772c1p-13, -0x1.877b08387d9d7p-13, -0x1.7ac05c0e12929p-13, -0x1.6e5ed3b0a297p-13, -0x1.6253355e7703ep-13, -0x1.569a6811d55e9p-13, -0x1.4b3172631a721p-13, -0x1.401579729f9b7p-13, -0x1.3543bfda3f0a7p-13, -0x1.2ab9a4a65a262p-13, -0x1.2074a256286e4p-13, -0x1.16724de33f8acp-13, -0x1.0cb055d01915fp-13, -0x1.032c813d75b4bp-13, -0x1.f3c95e0d01538p-14, -0x1.e1ada9c70a1d5p-14, -0x1.d001fd2616834p-14, -0x1.bec29a129ca77p-14, -0x1.adebeb4b9a39fp-14, -0x1.9d7a82ddc594p-14, -0x1.8d6b18a6886a6p-14, -0x1.7dba88e2691e8p-14, -0x1.6e65d2c6b715bp-14, -0x1.5f6a172628d8p-14, -0x1.50c497202fcb8p-14, -0x1.4272b2dac0279p-14, -0x1.3471e8464a795p-14, -0x1.26bfd1ebacb6bp-14, -0x1.195a25c3d97cfp-14, -0x1.0c3eb418f97cap-14, -0x1.fed6cce199c77p-15, -0x1.e5bc7d001fc52p-15, -0x1.cd2aaa4d54e61p-15, -0x1.b51db2e8e432p-15, -0x1.9d921f6c87914p-15, -0x1.8684a116864a7p-15, -0x1.6ff210040e81bp-15, -0x1.59d7697afd467p-15, -0x1.4431ce42b3e89p-15, -0x1.2efe810b8f947p-15, -0x1.1a3ae4e4a2a5fp-15, -0x1.05e47bbf4d578p-15, -0x1.e3f1ca00a8536p-16, -0x1.bcebb83c31b77p-16, -0x1.96b26e972e68cp-16, -0x1.7141cc5f970fbp-16, -0x1.4c95e1525ca0ap-16, -0x1.28aaeb39cce79p-16, -0x1.057d53a2cdd43p-16, -0x1.c6135b506f90bp-17, -0x1.829967a76f2ap-17, -0x1.40868c27213d8p-17, -0x1.ffa99f12bd9ddp-18, -0x1.80fcf7418ae41p-18, -0x1.04fc3374d5f1fp-18, -0x1.1739bc927ea64p-19, -0x1.4d4f3b34681eap-22, 0x1.7d949596389f2p-20, 0x1.a235428fe24f8p-19, 0x1.405455488a91dp-18, 0x1.ad1abd6a3759ap-18, 0x1.0bbb00e063fc1p-17, 0x1.3fb6fdcc1a3f3p-17, 0x1.72851d3110962p-17, 0x1.a4290435c94afp-17, 0x1.d4a637ae544c4p-17, 0x1.02000f2101611p-16, 0x1.191d013beed51p-16, 0x1.2fab8a55575b6p-16, 0x1.45ad3672b4562p-16, 0x1.5b2386545d366p-16, 0x1.700ff04d5328bp-16, 0x1.8473e1105e2c8p-16, 0x1.9850bc72ecb6p-16, 0x1.aba7de2605d7fp-16, 0x1.be7a9a65a6963p-16, 0x1.d0ca3e9eed192p-16, 0x1.e298120d5b415p-16, 0x1.f3e5564f82c1ap-16, 0x1.0259a3f9bc359p-15, 0x1.0a818f7da5f63p-15, 0x1.126b07aced3cfp-15, 0x1.1a16a4b422f0fp-15, 0x1.2184fd2a27b94p-15, 0x1.28b6a643f4c8bp-15, 0x1.2fac34051d8d4p-15, 0x1.3666396d299b8p-15, 0x1.3ce548a1ed06ap-15, 0x1.4329f316f972bp-15, 0x1.4934c9b2456b7p-15, 0x1.4f065cee2cf31p-15, 0x1.549f3cf8dfd1ep-15, 0x1.59fff9d160f5ep-15, 0x1.5f2923622b0f6p-15, 0x1.641b49999a1fp-15, 0x1.68d6fc802e228p-15, 0x1.6d5ccc4cc2fa6p-15, 0x1.71ad4976d26dfp-15, 0x1.75c904c6da3eap-15, 0x1.79b08f64f7398p-15, 0x1.7d647ae5d2761p-15, 0x1.80e55955ee16bp-15, 0x1.8433bd4368f64p-15, 0x1.875039c64dcbfp-15, 0x1.8a3b62877d9ffp-15, 0x1.8cf5cbc64b8a9p-15, 0x1.8f800a5cd4e9ep-15, 0x1.91dab3c32ffe2p-15, 0x1.94065e1178da4p-15, 0x1.9603a000d0796p-15, 0x1.97d310eb5fa0dp-15, 0x1.997548cb64c29p-15, 0x1.9aeae03963387p-15, 0x1.9c3470697d8ffp-15, 0x1.9d5293280613fp-15, 0x1.9e45e2d55796fp-15, 0x1.9f0efa60fec7ap-15, 0x1.9fae75443f96ep-15, 0x1.a024ef7c05753p-15, 0x1.a073058245f82p-15, 0x1.a0995446e16f9p-15, 0x1.a09879280b24dp-15, 0x1.a07111ea4527p-15, 0x1.a023bcaff569bp-15, 0x1.9fb117f09ea6dp-15, 0x1.9f19c26fc6bf8p-15, 0x1.9e5e5b3391d01p-15, 0x1.9d7f817b18172p-15, 0x1.9c7dd4b481224p-15, 0x1.9b59f472ea612p-15, 0x1.9a1480641d70dp-15, 0x1.98ae184622bc5p-15, 0x1.97275bdcae482p-15, 0x1.9580eae674b6fp-15, 0x1.93bb651268e2bp-15, 0x1.91d769f4eab03p-15, 0x1.8fd598fce88e2p-15, 0x1.8db69168fe121p-15, 0x1.8b7af23c8d2e6p-15, 0x1.89235a34de3fdp-15, 0x1.86b067be44128p-15, 0x1.8422b8e94df39p-15, 0x1.817aeb6004edep-15, 0x1.7eb99c5b3f01cp-15, 0x1.7bdf689806e4fp-15, 0x1.78ecec4d1b8b1p-15, 0x1.75e2c3208c803p-15, 0x1.72c1881d759b9p-15, 0x1.6f89d5a9dac3dp-15, 0x1.6c3c457ca816p-15, 0x1.68d97093d83e4p-15, 0x1.6561ef2ac2712p-15, 0x1.61d658b091d4ep-15, 0x1.5e3743beec78bp-15, 0x1.5a854610c24aap-15, 0x1.56c0f4794fee8p-15, 0x1.52eae2db50c81p-15, 0x1.4f03a42062043p-15, 0x1.4b0bca309a997p-15, 0x1.4703e5ea555bfp-15, 0x1.42ec871a328e7p-15, 0x1.3ec63c734e0c5p-15, 0x1.3a919387ac383p-15, 0x1.364f18c0e032ep-15, 0x1.31ff5758e7656p-15, 0x1.2da2d9533fc4ep-15, 0x1.293a27763592cp-15, 0x1.24c5c9446c328p-15, 0x1.204644f69e7c9p-15, 0x1.1bbc1f759a82dp-15, 0x1.1727dc5474753p-15, 0x1.1289fdcaf77eap-15, 0x1.0de304b04c509p-15, 0x1.09337075db214p-15, 0x1.047bbf2267ab8p-15, 0x1.ff78da9aca0d5p-16, 0x1.f5ebec35092a5p-16, 0x1.ec51a66af5434p-16, 0x1.e2aaf99bfcdd5p-16, 0x1.d8f8d328015bap-16, 0x1.cf3c1d68322d2p-16, 0x1.c575bfa85862fp-16, 0x1.bba69e208e5d2p-16, 0x1.b1cf99ef60ab9p-16, 0x1.a7f191145f57ep-16, 0x1.9e0d5e6b129f9p-16, }}, 
      {{0x1.ffdd178137336p-1, 0x1.ff7522d5ba4c9p-1, 0x1.feca384082145p-1, 0x1.fddf66a9bb43ep-1, 0x1.fcb86bf8d1071p-1, 0x1.fb5979c4a2be2p-1, 0x1.f9c705f0cb2c2p-1, 0x1.f805a52f98752p-1, 0x1.f619edb27993p-1, 0x1.f4086098798b5p-1, 0x1.f1d558e5852fp-1, 0x1.ef84feff6127fp-1, 0x1.ed1b3fd7a9703p-1, 0x1.ea9bc70e07aacp-1, 0x1.e809fb742141p-1, 0x1.e568fd763f104p-1, 0x1.e2bba70133e6ep-1, 0x1.e0048c9013ddep-1, 0x1.dd45ff1b80e8dp-1, 0x1.da820eb101589p-1, 0x1.d7ba8d8376ccap-1, 0x1.d4f1134eae0c8p-1, 0x1.d22700ef613d4p-1, 0x1.cf5d84172b4a5p-1, 0x1.cc959b0900f55p-1, 0x1.c9d0184efb0eap-1, 0x1.c70da65daf286p-1, 0x1.c44ecb1c31038p-1, 0x1.c193eb4a24f7fp-1, 0x1.bedd4dbf32ac5p-1, 0x1.bc2b1e80ae6f2p-1, 0x1.b97d71ab863cbp-1, 0x1.b6d446317f026p-1, 0x1.b42f886993492p-1, 0x1.b18f1473de261p-1, 0x1.aef2b871f480ap-1, 0x1.ac5a3694ed4c7p-1, 0x1.a9c5470291d8ep-1, 0x1.a73399936b27cp-1, 0x1.a4a4d76b75eaap-1, 0x1.a218a46f5cbffp-1, 0x1.9f8ea09827ea7p-1, 0x1.9d066927472b7p-1, 0x1.9a7f99bce05b3p-1, 0x1.97f9cd523e2c3p-1, 0x1.95749f1a2ce5cp-1, 0x1.92efab490a857p-1, 0x1.906a8fc633928p-1, 0x1.8de4ecc86c407p-1, 0x1.8b5e655ece672p-1, 0x1.88d69fe7b2972p-1, 0x1.864d4676f3e9ap-1, 0x1.83c2072ce050ap-1, 0x1.8134947f0de37p-1, 0x1.7ea4a57440a8dp-1, 0x1.7c11f5d474a06p-1, 0x1.797c464e16592p-1, 0x1.76e35c91598e1p-1, 0x1.7447036298333p-1, 0x1.71a70aa48d7edp-1, 0x1.6f03475b3381bp-1, 0x1.6c5b93a802665p-1, 0x1.69afcec038af8p-1, 0x1.66ffdcddd396fp-1, 0x1.644ba72bc8053p-1, 0x1.61931bae0b12ep-1, 0x1.5ed62d25e9d71p-1, 0x1.5c14d2f325b6dp-1, 0x1.594f08f246afap-1, 0x1.5684cf5886904p-1, 0x1.53b62a8db4c92p-1, 0x1.50e3230468cfp-1, 0x1.4e0bc510d0078p-1, 0x1.4b3020be65c11p-1, 0x1.485049a4d05d2p-1, 0x1.456c56bc272f5p-1, 0x1.42846230d5d86p-1, 0x1.3f9889374db6cp-1, 0x1.3ca8ebdfb8e06p-1, 0x1.39b5ace9d20ebp-1, 0x1.36bef1990b43ep-1, 0x1.33c4e18922d46p-1, 0x1.30c7a683452d2p-1, 0x1.2dc76c53d7edp-1, 0x1.2ac460a1028c7p-1, 0x1.27beb2c20e865p-1, 0x1.24b69397ab8a9p-1, 0x1.21ac35652e28ep-1, 0x1.1e9fcbaacffcdp-1, 0x1.1b918b0102f34p-1, 0x1.1881a8f4dc7e8p-1, 0x1.15705be5a543fp-1, 0x1.125ddae38d798p-1, 0x1.0f4a5d8f927c9p-1, 0x1.0c361bfc92569p-1, 0x1.09214e91923cap-1, 0x1.060c2ded3a3e7p-1, 0x1.02f6f2ca8347fp-1, 0x1.ffc3abcd318f3p-2, 0x1.f99a1fcfd6ac4p-2, 0x1.f371b28ce3e76p-2, 0x1.ed4ad46a2d8ecp-2, 0x1.e725f5189431dp-2, 0x1.e103836b74673p-2, 0x1.dae3ed3250ffep-2, 0x1.d4c79f14ad18bp-2, 0x1.ceaf04700e215p-2, 0x1.c89a873818a51p-2, 0x1.c28a8fd8b8725p-2, 0x1.bc7f851a4991bp-2, 0x1.b679cc07b4db8p-2, 0x1.b079c7d66fe59p-2, 0x1.aa7fd9d053885p-2, 0x1.a48c613f3d1b5p-2, 0x1.9e9fbb5a6860ep-2, 0x1.98ba4335724b9p-2, 0x1.92dc51b0fc42cp-2, 0x1.8d063d6cdbaa4p-2, 0x1.87385abbcaaf1p-2, 0x1.8172fb988850ep-2, 0x1.7bb66f9c5d19cp-2, 0x1.760303f6f35dap-2, 0x1.7059036776b06p-2, 0x1.6ab8b636ecf0cp-2, 0x1.65226233bad56p-2, 0x1.5f964aae42d3fp-2, 0x1.5a14b076998dp-2, 0x1.549dd1db3bf19p-2, 0x1.4f31eaa8bad1fp-2, 0x1.49d1342a553c9p-2, 0x1.447be52b6d726p-2, 0x1.3f3231f9d3298p-2, 0x1.39f44c68d57b3p-2, 0x1.34c263d50fbd6p-2, 0x1.2f9ca528e8eaap-2, 0x1.2a833ae1ba9c2p-2, 0x1.25764d159261dp-2, 0x1.207601798832fp-2, 0x1.1b827b689cc4ep-2, 0x1.169bdbeb1a108p-2, 0x1.11c241be64df3p-2, 0x1.0cf5c95d4587ep-2, 0x1.08368d088d786p-2, 0x1.0384a4d021058p-2, 0x1.fdc04d38a7d35p-3, 0x1.f4924c6f2abd2p-3, 0x1.eb7f6ab0c52afp-3, 0x1.e287c756f64f2p-3, 0x1.d9ab7dbc9c854p-3, 0x1.d0eaa5533310cp-3, 0x1.c84551b87340dp-3, 0x1.bfbb92cc394fap-3, 0x1.b74d74c6b6a85p-3, 0x1.aefb004ed5709p-3, 0x1.a6c43a90cff64p-3, 0x1.9ea92554ea6c6p-3, 0x1.96a9bf1649aep-3, 0x1.8ec60319db998p-3, 0x1.86fde9854bbbcp-3, 0x1.7f516775f8dd2p-3, 0x1.77c06f17e627dp-3, 0x1.704aefbca0df6p-3, 0x1.68f0d5f2101adp-3, 0x1.61b20b9932e6ap-3, 0x1.5a8e77fcb42e9p-3, 0x1.5385ffe76362dp-3, 0x1.4c9885ba7bdadp-3, 0x1.45c5e983c1ff9p-3, 0x1.3f0e091369ed4p-3, 0x1.3870c011c78abp-3, 0x1.31ede814bbc83p-3, 0x1.2b8558b4edf8p-3, 0x1.2536e7a2b43abp-3, 0x1.1f0268babf39cp-3, 0x1.18e7ae1a7414bp-3, 0x1.12e68833fe2d5p-3, 0x1.0cfec5e211c9fp-3, 0x1.0730347b5a45dp-3, 0x1.017a9fe59755cp-3, 0x1.f7bba550c2e9fp-4, 0x1.ecb32bff3908fp-4, 0x1.e1db63db16d5ep-4, 0x1.d733da991cc44p-4, 0x1.ccbc1bc109d0bp-4, 0x1.c273b0cf9fa3p-4, 0x1.b85a2157fc0afp-4, 0x1.ae6ef3242d749p-4, 0x1.a4b1aa5505d9cp-4, 0x1.9b21c9813dc69p-4, 0x1.91bed1d3d1fc7p-4, 0x1.88884329a7d56p-4, 0x1.7f7d9c2e6c72bp-4, 0x1.769e5a78bf3f3p-4, 0x1.6de9faa59a39cp-4, 0x1.655ff87300202p-4, 0x1.5cffced9edd5ap-4, 0x1.54c8f82792041p-4, 0x1.4cbaee15ca42bp-4, 0x1.44d529e2ea55bp-4, 0x1.3d172468c97a8p-4, 0x1.358056331e603p-4, 0x1.2e10379524b14p-4, 0x1.26c640be930bap-4, 0x1.1fa1e9cfe0dfbp-4, 0x1.18a2aaeddf33ap-4, 0x1.11c7fc54a4a58p-4, 0x1.0b115669d35bcp-4, 0x1.047e31ce35044p-4, 0x1.fc1c0edd6a501p-5, 0x1.ef80a1296fc54p-5, 0x1.e3290deba48bep-5, 0x1.d7144985cbfcep-5, 0x1.cb41496d444fbp-5, 0x1.bfaf0446dd32bp-5, 0x1.b45c720180275p-5, 0x1.a9488befb969dp-5, 0x1.9e724ce020559p-5, 0x1.93d8b134a86cbp-5, 0x1.897ab6f8de86bp-5, 0x1.7f575df719e49p-5, 0x1.756da7cca5bd3p-5, 0x1.6bbc97fce82e2p-5, 0x1.624334038e4ffp-5, 0x1.59008365c097p-5, 0x1.4ff38fc26a107p-5, 0x1.471b64e19111ep-5, 0x1.3e7710c2cdad1p-5, 0x1.3605a3aade9b5p-5, 0x1.2dc63030683d3p-5, 0x1.25b7cb47daddbp-5, 0x1.1dd98c4e8fb47p-5, 0x1.162a8d15186dep-5, 0x1.0ea9e9e8cfa62p-5, 0x1.0756c19ca7e07p-5, 0x1.003035914659cp-5, 0x1.f26ad378cd179p-6, 0x1.e4cb095f2615dp-6, 0x1.d77f5f3c6a4fep-6, 0x1.ca862cc604085p-6, 0x1.bdddcf098d014p-6, 0x1.b184a8753f82bp-6, 0x1.a57920df33dd8p-6, 0x1.99b9a58b85297p-6, 0x1.8e44a9316446fp-6, 0x1.8318a3ff16541p-6, 0x1.7834139cfcd7bp-6, 0x1.6d957b2f9c5f5p-6, 0x1.633b6358b5f9p-6, 0x1.59245a377d61fp-6, 0x1.4f4ef367ee081p-6, 0x1.45b9c80148b67p-6, 0x1.3c637693ca1dfp-6, 0x1.334aa32594975p-6, 0x1.2a6df72ee5c09p-6, 0x1.21cc219590ec4p-6, 0x1.1963d6a7cc752p-6, 0x1.1133d0165ea13p-6, 0x1.093accee25266p-6, 0x1.017791910bba7p-6, 0x1.f3d1cf5cd97e8p-7, 0x1.e51b3c75df827p-7, 0x1.d6c912cfbaa98p-7, 0x1.c8d90533fc48bp-7, 0x1.bb48d0bffdb1dp-7, 0x1.ae163cd0d2199p-7, 0x1.a13f1aee5fc05p-7, 0x1.94c146b5b1428p-7, 0x1.889aa5c296fccp-7, 0x1.7cc9279883681p-7, 0x1.714ac58ad9504p-7, 0x1.661d82a48cefdp-7, 0x1.5b3f6b8f39b68p-7, 0x1.50ae9679bd9f6p-7, 0x1.466922fe3da7ep-7, 0x1.3c6d3a07d1c07p-7, 0x1.32b90db7b27fbp-7, 0x1.294ad94a0f27ap-7, 0x1.2020e0fa85ef7p-7, 0x1.173971e84d115p-7, 0x1.0e92e1fa10f8cp-7, 0x1.062b8fc191d7dp-7, 0x1.fc03c4be0f10dp-8, 0x1.ec2892c8a1962p-8, 0x1.dcc2796ff0516p-8, 0x1.cdce78f025a98p-8, 0x1.bf49a1b9ff823p-8, 0x1.b13114381ea93p-8, 0x1.a38200942f6c8p-8, 0x1.9639a67bf7ba7p-8, 0x1.895554e656573p-8, 0x1.7cd269d83e213p-8, 0x1.70ae5229b6aedp-8, 0x1.64e6894aebd7p-8, 0x1.5978990957677p-8, 0x1.4e6219550a18cp-8, 0x1.43a0b00621d45p-8, 0x1.393210a27063ep-8, 0x1.2f13fc235c651p-8, 0x1.254440bc04f27p-8, 0x1.1bc0b99fada3bp-8, 0x1.12874ec879edbp-8, 0x1.0995f4be7e5c4p-8, 0x1.00eaac5f2eafp-8, 0x1.f107054a5a243p-9, 0x1.e0bd20e100276p-9, 0x1.d0f3f49e6de0dp-9, 0x1.c1a7e08cfcedp-9, 0x1.b2d55b3853c1ep-9, 0x1.a478f14172783p-9, 0x1.968f44f3b987fp-9, 0x1.89150ddaf259ep-9, 0x1.7c07185a68e0cp-9, 0x1.6f6245451129p-9, 0x1.63238976cae39p-9, 0x1.5747ed6ebe69dp-9, 0x1.4bcc8ceadf0dfp-9, 0x1.40ae96849737cp-9, 0x1.35eb4b4e9c9e7p-9, 0x1.2b7ffe73f9018p-9, 0x1.216a14d846402p-9, 0x1.17a704b91f806p-9, 0x1.0e345550d1873p-9, 0x1.050f9e7a42f0ap-9, 0x1.f86d10ac3df39p-10, 0x1.e74d95e28259p-10, 0x1.d6bc5bd8c3d99p-10, 0x1.c6b5104a1311cp-10, 0x1.b7337ebf92786p-10, 0x1.a8338fe769075p-10, 0x1.99b148ee51ad4p-10, 0x1.8ba8cadbaec2ep-10, 0x1.7e1651f02966p-10, 0x1.70f63506ea3c5p-10, 0x1.6444e4f94c18p-10, 0x1.57feec052b658p-10, 0x1.4c20ed35b3fb4p-10, 0x1.40a7a3cebe304p-10, 0x1.358fe2baa5d3fp-10, 0x1.2ad693fab06bdp-10, 0x1.2078b819e7b27p-10, 0x1.167365a27b7a3p-10, 0x1.0cc3c8958b6e4p-10, 0x1.036721e575a17p-10, 0x1.f4b58de5112c7p-11, 0x1.e33842144fe96p-11, 0x1.d25159d0a7a64p-11, 0x1.c1fbf477255e1p-11, 0x1.b23356567003dp-11, 0x1.a2f2e7c002808p-11, 0x1.9436341e08d7ep-11, 0x1.85f8e90dd4838p-11, 0x1.7836d57edb68cp-11, 0x1.6aebe8d637f44p-11, 0x1.5e1432169977bp-11, 0x1.51abdf0c9cadfp-11, 0x1.45af3b7f7ca36p-11, 0x1.3a1ab0660f656p-11, 0x1.2eeac32002c35p-11, 0x1.241c14b348784p-11, 0x1.19ab610da7d3dp-11, 0x1.0f957e4a63188p-11, 0x1.05d75bfbe78e1p-11, 0x1.f8dc04f2e879fp-12, 0x1.e6ad24615bbb9p-12, 0x1.d51c85f620e69p-12, 0x1.c424c6ee5e0abp-12, 0x1.b3c0b0cb69c15p-12, 0x1.a3eb38142f628p-12, 0x1.949f7b1ddfc59p-12, 0x1.85d8c0dbc6776p-12, 0x1.779277b632bd4p-12, 0x1.69c834684d35ap-12, 0x1.5c75b0e4c2ab5p-12, 0x1.4f96cb412662dp-12, 0x1.432784a7ef0d4p-12, 0x1.37240050f036bp-12, 0x1.2b88828033ce3p-12, 0x1.20516f8b1b046p-12, 0x1.157b4ae3a611fp-12, 0x1.0b02b629c4475p-12, 0x1.00e470429ad4dp-12, 0x1.ee3aa8eb329ecp-13, 0x1.db54b31e94c35p-13, 0x1.c91122137dc5dp-13, 0x1.b76a4c74f99d1p-13, 0x1.a65abb0ba35efp-13, 0x1.95dd272ee876fp-13, 0x1.85ec7940a87b2p-13, 0x1.7683c733057dap-13, 0x1.679e53182de8p-13, 0x1.593789bbe9d6dp-13, 0x1.4b4b0146be042p-13, 0x1.3dd477ea6e37p-13, 0x1.30cfd297abe05p-13, 0x1.24391bbcc68eep-13, 0x1.180c820d2496bp-13, 0x1.0c46575155fa4p-13, 0x1.00e30f3f9f5c8p-13, 0x1.ebbe7cb962a41p-14, 0x1.d66f31c8fb50dp-14, 0x1.c1d1e375d3926p-14, 0x1.ade072c8625fdp-14, 0x1.9a94fa09aff18p-14, 0x1.87e9cad1e5f8cp-14, 0x1.75d96c254ef44p-14, 0x1.645e989f5a873p-14, 0x1.53743cab60be5p-14, 0x1.431574cacb46dp-14, 0x1.333d8be8571f7p-14, 0x1.23e7f9b81cfbcp-14, 0x1.1510612411fbcp-14, 0x1.06b28ec4b5c84p-14, 0x1.f194eecb3e57ep-15, 0x1.d6a86d2b3d7ep-15, 0x1.bc981a845c493p-15, 0x1.a35cc0bbc6281p-15, 0x1.8aef6f233fd6cp-15, 0x1.734977f07c1f8p-15, 0x1.5c646dc8d4754p-15, 0x1.463a2160e863ep-15, 0x1.30c49f2f9a337p-15, 0x1.1bfe2d33ea49ap-15, 0x1.07e148cd35586p-15, 0x1.e8d1494aa803dp-16, 0x1.c31e4d5853783p-16, 0x1.9e9fcc4848fa5p-16, 0x1.7b4c537e7e9c9p-16, 0x1.591acb982277p-16, 0x1.380274e4f1279p-16, 0x1.17fae3fef6259p-16, 0x1.f1f7fcff931b6p-17, 0x1.b5fbefa5218e9p-17, 0x1.7bf29c43c8227p-17, 0x1.43cd8ec1a8ee7p-17, 0x1.0d7edcdca52a7p-17, 0x1.b1f24148b3093p-18, 0x1.4c5ee64bbe83ap-18, 0x1.d4559d1f6939ep-19, 0x1.167c1355bdadfp-19, 0x1.7c0c3b6c1f21ap-21, -0x1.49078aa5f1bb6p-21, -0x1.fafb2e975668ep-20, -0x1.a2d959f5dfd93p-19, -0x1.213e7d717e79cp-18, -0x1.6e476fbdfbaf4p-18, -0x1.b89a08ced2c1p-18, -0x1.00241392e0e3p-17, -0x1.22b184f4f8afap-17, -0x1.43fdabda88644p-17, -0x1.6410928ebd8f6p-17, -0x1.82f1fd7fd59c7p-17, -0x1.a0a96e446d672p-17, -0x1.bd3e2682886b2p-17, -0x1.d8b72ab92267ap-17, -0x1.f31b44ed5fbbap-17, -0x1.0638839e1bfbcp-16, -0x1.125f6728c2c5fp-16, -0x1.1e0561e2b2077p-16, -0x1.292d703052b37p-16, -0x1.33da7724a4632p-16, -0x1.3e0f458bdb022p-16, -0x1.47ce94eac4438p-16, -0x1.511b0a735beafp-16, -0x1.59f737eee5611p-16, -0x1.62659c9df480ap-16, -0x1.6a68a60eb08c8p-16, -0x1.7202b0e9b9ca6p-16, -0x1.793609b5f860bp-16, -0x1.8004ed93b2dbap-16, -0x1.86718aef33b0ep-16, -0x1.8c7e022b571b1p-16, -0x1.922c66443f45ep-16, -0x1.977ebd6a88244p-16, -0x1.9c77019736071p-16, -0x1.a1172118aa9dep-16, -0x1.a560ff18e4d54p-16, -0x1.a956741d48d33p-16, -0x1.acf94e8035f6fp-16, -0x1.b04b52e49d4c4p-16, -0x1.b34e3ca3e6453p-16, -0x1.b603be3645094p-16, -0x1.b86d8195d19d5p-16, -0x1.ba8d289c81c1ep-16, -0x1.bc644d5d4ab5p-16, -0x1.bdf482789108dp-16, -0x1.bf3f536c20ebdp-16, -0x1.c04644deddb9fp-16, -0x1.c10ad4e84ab42p-16, -0x1.c18e7b54320b2p-16, -0x1.c1d2a9e2795fdp-16, -0x1.c1d8cc83654afp-16, -0x1.c1a2499063b47p-16, -0x1.c13082018f6a3p-16, -0x1.c084d1a00bf3p-16, -0x1.bfa08f355da54p-16, -0x1.be850cb7e93c4p-16, -0x1.bd339774b4262p-16, -0x1.bbad783686ae8p-16, -0x1.b9f3f36a9a8a1p-16, -0x1.b8084942e42ccp-16, -0x1.b5ebb5d6216d4p-16, -0x1.b39f713dc4856p-16, -0x1.b124afb1d336ep-16, -0x1.ae7ca1a2df8c4p-16, -0x1.aba873d2244d1p-16, -0x1.a8a94f67ecc69p-16, -0x1.a5805a0852b89p-16, -0x1.a22eb5e674435p-16, -0x1.9eb581d62bee8p-16, -0x1.9b15d95c6852dp-16, -0x1.9750d4be384dp-16, -0x1.9367890e93a72p-16, -0x1.8f5b083b02cdep-16, -0x1.8b2c61172874ep-16, -0x1.86dc9f674ab4p-16, -0x1.826ccbe9de80ep-16, -0x1.7dddec603761p-16, -0x1.793103965368dp-16, -0x1.74671169ea7p-16, -0x1.6f8112d0b664bp-16, -0x1.6a8001de197dcp-16, -0x1.6564d5c8160bbp-16, -0x1.603082ebbbf04p-16, -0x1.5ae3fad106b02p-16, -0x1.55802c2e3a8ap-16, -0x1.500602ead34dap-16, -0x1.4a76682202c9bp-16, -0x1.44d24224d01c5p-16, -0x1.3f1a747bdda9fp-16, -0x1.394fdfe8e2b1ap-16, -0x1.33736267dc1b7p-16, -0x1.2d85d72ff989bp-16, -0x1.278816b457fa5p-16, -0x1.217af6a487cddp-16, -0x1.1b5f49ece84a6p-16, -0x1.1535e0b6e2b28p-16, -0x1.0eff8868fe71ep-16, -0x1.08bd0ba6e4b7ep-16, -0x1.026f32514c4a6p-16, -0x1.f82d830badde8p-17, -0x1.eb68f73dcaf01p-17, -0x1.de924066cc133p-17, -0x1.d1aad82d41e5ap-17, -0x1.c4b432b00f5ap-17, -0x1.b7afbe86105dap-17, -0x1.aa9ee4bdda6f5p-17, -0x1.9d8308dd8e81bp-17, -0x1.905d88e2d0556p-17, -0x1.832fbd42d9352p-17, -0x1.75faf8eabe93cp-17, -0x1.68c0893fdcb16p-17, -0x1.5b81b6207974dp-17, -0x1.4e3fc1e498fdbp-17, -0x1.40fbe95f0dbb5p-17, -0x1.33b763dec59e5p-17, -0x1.2673633054656p-17, -0x1.1931139fc1ca7p-17, -0x1.0bf19bfa9afd9p-17, -0x1.fd6c3b2496585p-18, -0x1.e2ff687d774fep-18, -0x1.c89eecc27ad25p-18, -0x1.ae4ce9cf7ec18p-18, -0x1.940b76a09bb76p-18, -0x1.79dc9f59c40dap-18, -0x1.5fc2654ef7a02p-18, -0x1.45bebf0d1afc3p-18, -0x1.2bd398636393dp-18, -0x1.1202d26d675ddp-18, -0x1.f09c873b8cc1ep-19, -0x1.bd6f6f92dfc65p-19, -0x1.8a81e0670cd44p-19, -0x1.57d74733bab76p-19, -0x1.2572fc841d093p-19, -0x1.e6b0881cb1ab4p-20, -0x1.831499a01b091p-20, -0x1.201862581c436p-20, -0x1.7b83dc24fc901p-21, -0x1.705c7f948ce5cp-22, 0x1.389363ef6126bp-26, 0x1.94931f74d3be4p-22, 0x1.8955c8fe26399p-21, 0x1.236f6093448f8p-20, 0x1.816d208f20d88p-20, 0x1.de9f2ff2bd8e7p-20, 0x1.1d80607d22fap-19, 0x1.4b469626b800ap-19, 0x1.789ff856898a2p-19, 0x1.a58a594f7c308p-19, 0x1.d2039e0bf3b8p-19, 0x1.fe09be120121ep-19, 0x1.14cd61a3609c5p-18, 0x1.2a5a64e078f6ap-18, 0x1.3faaffcd5fd5cp-18, 0x1.54be526170476p-18, 0x1.69938566798acp-18, 0x1.7e29ca609b1e5p-18, 0x1.92805b75cd808p-18, 0x1.a6967b551c40ep-18, 0x1.ba6b751d9520fp-18, 0x1.cdfe9c44f003p-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      56, 0x1.3333333333333p+2, 0x1.137b46948dd0cp+1, 0x1.cb5bf86d58715p+1, -0x1.01a45e184af53p-3, 
      {{
        {0x1p+1, 0x1.0666666666666p+1, 0x1.73c8a1de3677ep-2, -0x1.0d59af697aa8ep+0, 0x1.21d90bc86977bp+0, -0x1.0efbf11576821p-1}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.40be900f25cf6p-2, -0x1.e2c3736546e03p-1, 0x1.0d86268066fabp+0, -0x1.049524ed6ce8ap-1}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.13191f330b6fap-2, -0x1.aed023a6fa22cp-1, 0x1.f3f5eddd30d28p-1, -0x1.f77a7c068ef86p-2}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.d4e84ae55e423p-3, -0x1.7eb47c54b8fd8p-1, 0x1.ce33248fe6199p-1, -0x1.e4f4e9bff1ae4p-2}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.8cddfd584f87fp-3, -0x1.524dbad4d0017p-1, 0x1.a9d3f96e4d92cp-1, -0x1.d2a89ec6ccf7p-2}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.4d5918e5b6a7fp-3, -0x1.29788652d9048p-1, 0x1.86d420b8fe339p-1, -0x1.c04cfb0a15ee4p-2}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.15a66c1efdca2p-3, -0x1.0411ae3b96149p-1, 0x1.6534c1183c8eap-1, -0x1.adf5730e32cbap-2}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.ca33a2005a961p-4, -0x1.c3ebee63b6304p-2, 0x1.44f58baa5f259p-1, -0x1.9b9cd4d294161p-2}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.761c59dfd7779p-4, -0x1.8604517e18c02p-2, 0x1.2616954dc73dap-1, -0x1.894473d50f66dp-2}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.2dcae17efbbd9p-4, -0x1.4e261338757f2p-2, 0x1.0897d96a9948fp-1, -0x1.76ec341ed947ap-2}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.e02262ab1aafbp-5, -0x1.1c0ac1ba691c4p-2, 0x1.d8f2ab03c52dbp-2, -0x1.6493320d562dap-2}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.779eb1611d347p-5, -0x1.ded7d3ec9651ap-3, 0x1.a376304e91da5p-2, -0x1.523d1821b1aap-2}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.1fe6fb647c80cp-5, -0x1.900639fc19405p-3, 0x1.70b9d31650cd5p-2, -0x1.3fdc1ff9e7d4p-2}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.ade775485db52p-6, -0x1.4b13b934fbedep-3, 0x1.40bf34b0d46dbp-2, -0x1.2da3b89cc51adp-2}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.35b32d7346aafp-6, -0x1.0f73c732b08f2p-3, 0x1.13803f661d431p-2, -0x1.1ad3ec51461e8p-2}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.a72593a30745cp-7, -0x1.b9305ff74ab81p-4, 0x1.d2275180a57d4p-3, -0x1.0a3922f45e61fp-2}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.0840a07fac0b8p-7, -0x1.63f1e7c10dbbap-4, 0x1.8249609dbc602p-3, -0x1.d5aac3723162fp-3}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.10c5f0d87cbd2p-8, -0x1.1dbb8d1f611ep-4, 0x1.3bd629b301c43p-3, -0x1.78b20273a8584p-3}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.0fc9fcb5fda57p-10, -0x1.c86e7528b4a9p-5, 0x1.03550fbb421d6p-3, -0x1.220133b5b312bp-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, -0x1.7c27b4648e0f7p-10, -0x1.696611b29d064p-5, 0x1.afa9c326681b4p-4, -0x1.869270af80aeap-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, -0x1.be39cadb78397p-9, -0x1.18ecb69915a79p-5, 0x1.7513cbd8e19adp-4, -0x1.25099b8fecee8p-4}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, -0x1.41254e0c90b3dp-8, -0x1.a568d6157e93bp-6, 0x1.491f27b67e10dp-4, -0x1.1e9885842ff14p-4}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, -0x1.88d600c2a92b2p-8, -0x1.2a5bd471be3a1p-6, 0x1.1e21e07c43ac6p-4, -0x1.0a873dd1e7224p-4}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, -0x1.b9986fb49a47dp-8, -0x1.7fcda1f830585p-7, 0x1.ec4e619ff5352p-5, -0x1.f4393d870c91dp-5}, 
        {0x1.999999999999ap+1, 0x1.ap+1, -0x1.d6a13fcdaf78cp-8, -0x1.93c6650cfe8dp-8, 0x1.a145cb98801edp-5, -0x1.d16f1d9822437p-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, -0x1.e2f048bfead2cp-8, -0x1.87881a0a16899p-10, 0x1.5b7520c1ae2e9p-5, -0x1.af2b33aa0a18ap-5}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, -0x1.e150950405125p-8, 0x1.346d0cb60a345p-9, 0x1.1ac83f682cab3p-5, -0x1.8cc3538ad293fp-5}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, -0x1.d45861d96d9afp-8, 0x1.64a20b1bca496p-8, 0x1.be8918f3808fbp-6, -0x1.6a65162f47541p-5}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, -0x1.be691f464a781p-8, 0x1.00c072d6c6f46p-7, 0x1.51d12be551907p-6, -0x1.480443f625d25p-5}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, -0x1.a1af7017785afp-8, 0x1.3a7983d1bc88ap-7, 0x1.ded2fbd08c6e7p-7, -0x1.25a4226fb7c35p-5}, 
        {0x1.cp+1, 0x1.c666666666666p+1, -0x1.802329e08a9dap-8, 0x1.618c3fcec281p-7, 0x1.2ea3b3f3eaf9fp-7, -0x1.0343d2fc0bf14p-5}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, -0x1.5b8754fbcb404p-8, 0x1.7808aa31829a6p-7, 0x1.262937862e06dp-8, -0x1.c1c71515567bdp-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, -0x1.356a2c8a3aebp-8, 0x1.7ffec7888a01dp-7, 0x1.84b5e12fa215dp-12, -0x1.7d06a7faa093fp-6}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, -0x1.0f251e7390eccp-8, 0x1.7b7e9ba32b253p-7, -0x1.98a473d39939dp-9, -0x1.38459dbb3c6adp-6}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, -0x1.d3b996cc76767p-9, 0x1.6c982c22c0021p-7, -0x1.87af3226f0de2p-8, -0x1.e70dc88d05852p-7}, 
        {0x1.ep+1, 0x1.e666666666666p+1, -0x1.8d020daebceacp-9, 0x1.555b781fbecdbp-7, -0x1.0ce677289fa92p-7, -0x1.5d7f099780774p-7}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, -0x1.4b99ae05abbefp-9, 0x1.37d89704258dep-7, -0x1.41531eff59548p-7, -0x1.a861b279dfcfp-8}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, -0x1.108ce9d666c89p-9, 0x1.161f457cb6fb3p-7, -0x1.61273f954a1dcp-7, -0x1.27c6ea0b440d8p-9}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, -0x1.b8fd3166fe63p-10, 0x1.e48125b3359aep-8, -0x1.6c3eb528e977fp-7, 0x1.e651caa28b648p-10}, 
        {0x1.f99999999999ap+1, 0x1p+2, -0x1.5f4fef79e6d7ep-10, 0x1.9c913d3540738p-8, -0x1.63205fc2aa0ddp-7, 0x1.a143d4af3eadap-8}, 
        {0x1p+2, 0x1.0333333333333p+2, -0x1.13b153405e79fp-10, 0x1.58abe9bb273b3p-8, -0x1.43d4e30252275p-7, 0x1.0cf89e3f0a0c6p-7}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, -0x1.a9ee9b809876cp-11, 0x1.1bf095be31d51p-8, -0x1.1b7c64df43d8ep-7, 0x1.e39caa1961e04p-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, -0x1.433643b9d6c3bp-11, 0x1.cdbd483f9fc17p-9, -0x1.ee6e16a11f6a1p-8, 0x1.c77f92003f43bp-8}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, -0x1.e0982a2441b12p-12, 0x1.71af93fe1f894p-9, -0x1.aa1af3ede2b86p-8, 0x1.a45c244fd735dp-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, -0x1.5cec6d5d7792dp-12, 0x1.22c52b6e76b3bp-9, -0x1.6b0d21aeb5a3cp-8, 0x1.831a92b0f4fb4p-8}, 
        {0x1.1p+2, 0x1.1333333333333p+2, -0x1.ecba03d222dbep-13, 0x1.bfeed807df4c8p-10, -0x1.30fc587a90e4bp-8, 0x1.6157e66340949p-8}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, -0x1.5089f6201356dp-13, 0x1.5089fb8d06001p-10, -0x1.f7f7ebd75b36cp-9, 0x1.3fb7c8bf4fa4bp-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, -0x1.b99b3a6a4b5b4p-14, 0x1.eaac76bae72d1p-11, -0x1.980d96045cec3p-9, 0x1.1e0e8b2321bd2p-8}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, -0x1.13b153405e7d5p-14, 0x1.589da978b4a9ep-11, -0x1.423c6c469f989p-9, 0x1.f8ce7d7c4c02ep-9}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, -0x1.433643b9d6c94p-15, 0x1.cdbb370d2ba77p-12, -0x1.ed07b2e7f530ap-10, 0x1.b5829ae937e4bp-9}, 
        {0x1.2p+2, 0x1.2333333333333p+2, -0x1.5cec6d5d77a51p-16, 0x1.22c51780f0c62p-12, -0x1.69c6ead531395p-10, 0x1.7227fd0c3a35p-9}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, -0x1.5089f620137eep-17, 0x1.508972c96f3c9p-13, -0x1.f575d76fd920dp-11, 0x1.2f05961ff7a1ap-9}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, -0x1.13b153405eep-18, 0x1.58a17bf961f72p-14, -0x1.3fa5b08fde26fp-11, 0x1.d6221d75702eap-10}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, -0x1.5cec6d5d78effp-20, 0x1.22a873e114fe6p-15, -0x1.6536e90c78fa5p-12, 0x1.5459a49159dacp-10}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, -0x1.13b1534061p-22, 0x1.5a4827960864cp-17, -0x1.32023fd0ec896p-13, 0x1.77662a0b1c1cep-11}, 
        {0x1.3p+2, 0x1.3333333333333p+2, -0x1.13b15340a7fffp-26, 0x1.26dff4f80ea8ap-20, -0x1.4313cd8f6eb01p-15, 0x1.f66462cff488p-11}, 
      }}, 
      -0x1.d8bc84b7fd645p-7, 0x1.6c5066bd0e13cp-4
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_h_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.af1758042de4bp-6, -0x1.ad4d0bf5623dp-5, -0x1.405e45426f5f7p-4, -0x1.a808034ef8e7p-4, -0x1.06a79e4bba774p-3, -0x1.37e26db43077p-3, -0x1.679ff8c0cbb63p-3, -0x1.95bee39045a6fp-3, -0x1.c22333a296982p-3, -0x1.eccb368f25499p-3, -0x1.0ac98ddf7781bp-2, -0x1.1e4f79c45d47fp-2, -0x1.30da40de293d2p-2, -0x1.427e2480d8276p-2, -0x1.5335cbcb6bf28p-2, -0x1.630223d97708p-2, -0x1.71ebf5b218b9dp-2, -0x1.7ff37ecc71d22p-2, -0x1.8d19391ec0609p-2, -0x1.99680a94dab62p-2, -0x1.a4e9b013ebb52p-2, -0x1.af9ef86b17773p-2, -0x1.b987ea00d7991p-2, -0x1.c2ac1f4ca18ep-2, -0x1.cb1872b3c0893p-2, -0x1.d2d768583d5cep-2, -0x1.d9ea7412b7defp-2, -0x1.e053d1ad29829p-2, -0x1.e61c12a3eb598p-2, -0x1.eb49f71a6593p-2, -0x1.efe563846d151p-2, -0x1.f3f61e5a7600fp-2, -0x1.f782b8af4cd3bp-2, -0x1.fa90788e8476ep-2, -0x1.fd241ed39f24fp-2, -0x1.ff42cef95d7b5p-2, -0x1.00793fee4bc84p-1, -0x1.011ce8642133fp-1, -0x1.018fbccaf1835p-1, -0x1.01d4d69be4476p-1, -0x1.01eedc5dcb6fdp-1, -0x1.01dfff894ad17p-1, -0x1.01aa2077358a9p-1, -0x1.014f017891badp-1, -0x1.00d072f4b25c7p-1, -0x1.00306bdf6aa03p-1, -0x1.fee217a96c0b8p-2, -0x1.fd2916d409d8ep-2, -0x1.fb3a463f7b443p-2, -0x1.f919e30d92c1ep-2, -0x1.f6cbcdbcfb89cp-2, -0x1.f45370c5c8f2ap-2, -0x1.f1b3bde03d01ep-2, -0x1.eeef386efdf85p-2, -0x1.ec067a0c43108p-2, -0x1.e8fbc24c4d4aep-2, -0x1.e5d304ea48327p-2, -0x1.e28e65b123d22p-2, -0x1.df2fe6d86a5f5p-2, -0x1.dbb973d0af9bap-2, -0x1.d82ce9b787b0bp-2, -0x1.d48c1c85005a4p-2, -0x1.d0d8d80b86ae4p-2, -0x1.cd14dd4894447p-2, -0x1.c941dad4486f9p-2, -0x1.c56169a207c69p-2, -0x1.c17504061eec6p-2, -0x1.bd7e044ecea8dp-2, -0x1.b97da42f1e59ep-2, -0x1.b574fef81b05fp-2, -0x1.b1651562b0f5cp-2, -0x1.ad4ed1edb7bbbp-2, -0x1.a9330d03a898fp-2, -0x1.a512907abddf9p-2, -0x1.a0ee1a62b24b6p-2, -0x1.9cc65effb6f6p-2, -0x1.989c0aaaec632p-2, -0x1.946fc32d8e397p-2, -0x1.904228fcabebfp-2, -0x1.8c13d81bfde47p-2, -0x1.87e56885deee8p-2, -0x1.83b76df17864ap-2, -0x1.7f8a77081c263p-2, -0x1.7b5f0c0b283aap-2, -0x1.7735ac7a2c40bp-2, -0x1.730ecec00e887p-2, -0x1.6eeadd5d490a5p-2, -0x1.6aca36b9c0bb3p-2, -0x1.66ad2cd459da6p-2, -0x1.629405d479a38p-2, -0x1.5e7efd46edfdcp-2, -0x1.5a6e45ddc2aeep-2, -0x1.56620b79f150ap-2, -0x1.525a75566f296p-2, -0x1.4e57a7e9a8628p-2, -0x1.4a59c6a0a33e5p-2, -0x1.4660f50fc6c25p-2, -0x1.426d57d1572d7p-2, -0x1.3e7f14871d8p-2, -0x1.3a965207b754dp-2, -0x1.36b337c7bf978p-2, -0x1.32d5ed3f017aap-2, -0x1.2efe992da5082p-2, -0x1.2b2d60e2dcf64p-2, -0x1.27626794b242fp-2, -0x1.239dcde06cca6p-2, -0x1.1fdfb16dedee6p-2, -0x1.1c282cab2bdcp-2, -0x1.18775727478c2p-2, -0x1.14cd44f2deae5p-2, -0x1.112b139e660e8p-2, -0x1.0d8ee30284b5fp-2, -0x1.09f9962796c59p-2, -0x1.066b3964f908fp-2, -0x1.02e3d822b0e91p-2, -0x1.fec6f73f6bca6p-3, -0x1.f7d45b62dd14dp-3, -0x1.f0efecda17c42p-3, -0x1.ea19baf638b3fp-3, -0x1.e351d41ea3f73p-3, -0x1.dc984608f6a4ap-3, -0x1.d5ed1dd8ea7e3p-3, -0x1.cf50684362d5ep-3, -0x1.c8c2319d858ecp-3, -0x1.c24285de203cp-3, -0x1.bbd1709a03bep-3, -0x1.b56efcdbeddbbp-3, -0x1.af1b352d301d8p-3, -0x1.a8d62349849fcp-3, -0x1.a29fd0279a8a7p-3, -0x1.9c7843a778b51p-3, -0x1.965f84ee02ec7p-3, -0x1.905599743fa46p-3, -0x1.8a5a85c7e1c0fp-3, -0x1.846e4d2be4dfcp-3, -0x1.7e90f17961873p-3, -0x1.78c2735572b3dp-3, -0x1.7302d224d57dbp-3, -0x1.6d520c1d71be5p-3, -0x1.67b01e5b6e774p-3, -0x1.621d04f72220dp-3, -0x1.5c98bb1aec193p-3, -0x1.57233b2800612p-3, -0x1.51bc7eb863249p-3, -0x1.4c647ec0c3853p-3, -0x1.471b33b5dbfe3p-3, -0x1.41e09573ca50ap-3, -0x1.3cb49b7ab660ap-3, -0x1.37973cba09a65p-3, -0x1.32886fed96447p-3, -0x1.2d882b83b16aep-3, -0x1.2896654d690dp-3, -0x1.23b312fee75cdp-3, -0x1.1ede29dea5059p-3, -0x1.1a179ecbc8d85p-3, -0x1.155f6690c6e1fp-3, -0x1.10b57528de58cp-3, -0x1.0c19be72753f9p-3, -0x1.078c35cc3d293p-3, -0x1.030cce27f5016p-3, -0x1.fd36f3f86274bp-4, -0x1.f47056a2b4f69p-4, -0x1.ebc5a723988b2p-4, -0x1.e336c7f15c0fcp-4, -0x1.dac39911c6d63p-4, -0x1.d26bfc14fe399p-4, -0x1.ca2fce6ed529p-4, -0x1.c20eee52de0d8p-4, -0x1.ba0938957df6fp-4, -0x1.b21e88eb58704p-4, -0x1.aa4eb9fff25cdp-4, -0x1.a299a57c6a7ccp-4, -0x1.9aff241365ab8p-4, -0x1.937f0d7f7932ap-4, -0x1.8c193897d8a1p-4, -0x1.84cd7b2fbc3c8p-4, -0x1.7d9baa74247d1p-4, -0x1.76839a944fe48p-4, -0x1.6f851fd878985p-4, -0x1.68a00a7be1ff4p-4, -0x1.61d42f624ac5p-4, -0x1.5b215e7bc4c4ap-4, -0x1.548768d6ed64cp-4, -0x1.4e061e8b0536dp-4, -0x1.479d4f1832385p-4, -0x1.414cc9fb9d24p-4, -0x1.3b145c5a1f59ap-4, -0x1.34f3d5ae5704ep-4, -0x1.2eeb0138d22c7p-4, -0x1.28f9b18804f3fp-4, -0x1.231fae19da2bdp-4, -0x1.1d5ccb0f19882p-4, -0x1.17b0c227f8937p-4, -0x1.121b7159b2425p-4, -0x1.0c9c9dc5eacb2p-4, -0x1.073412a0d8d33p-4, -0x1.01e19a8d59c4p-4, -0x1.f949fff69f799p-5, -0x1.eefc1a29c4243p-5, -0x1.e4d9176cc9e3fp-5, -0x1.dae08b1c7df54p-5, -0x1.d112082401a47p-5, -0x1.c76d206c41024p-5, -0x1.bdf16646e9a6fp-5, -0x1.b49e6b442916dp-5, -0x1.ab73c00e8ea87p-5, -0x1.a270f5437fbcep-5, -0x1.99959bb2dfbe2p-5, -0x1.90e1433f5927fp-5, -0x1.88537b80a35e5p-5, -0x1.7febd406fff65p-5, -0x1.77a9dd43d6dacp-5, -0x1.6f8d231c566c9p-5, -0x1.679535e7740f5p-5, -0x1.5fc1a5544a79ep-5, -0x1.5811ff2f978e6p-5, -0x1.5085d2693ad4ep-5, -0x1.491cac5179759p-5, -0x1.41d61ba689cd1p-5, -0x1.3ab1af8e1bd44p-5, -0x1.33aefe4cdb44ap-5, -0x1.2ccd7e01dc077p-5, -0x1.25fa34561bc3ap-5, -0x1.1f5677a39b2fep-5, -0x1.18d2a2a95d762p-5, -0x1.126e48208b32ep-5, -0x1.0c290d82c197dp-5, -0x1.06024e719defp-5, -0x1.fff3ad4ccc874p-6, -0x1.f41e4fd00ad5ap-6, -0x1.e883adddbb1bcp-6, -0x1.dd22f06d766d5p-6, -0x1.d1fb479704133p-6, -0x1.c70bdb5e90ae3p-6, -0x1.bc53dbc3dc98ap-6, -0x1.b1d276280d119p-6, -0x1.a786da13e5ee9p-6, -0x1.9d702f8949a47p-6, -0x1.938dc94a59fbfp-6, -0x1.89debb4dfefd9p-6, -0x1.8062408bb1a04p-6, -0x1.7717948b4e263p-6, -0x1.6dfded355a5eep-6, -0x1.6514777d56da1p-6, -0x1.5c5a923a74435p-6, -0x1.53cf552453bb5p-6, -0x1.4b72089fea8d8p-6, -0x1.4341ef9028666p-6, -0x1.3b3e3f031b69dp-6, -0x1.3366516d8103cp-6, -0x1.2bb956587938bp-6, -0x1.243695fb2bc8ep-6, -0x1.1cdd5bb158ce7p-6, -0x1.15acefaf9d208p-6, -0x1.0ea49ce43e627p-6, -0x1.07c3b01fcbb2ap-6, -0x1.010978110d9dap-6, -0x1.f4ea8abd5cabfp-7, -0x1.e80cbb12ea06bp-7, -0x1.db78780f0f6c5p-7, -0x1.cf2c1dab888cdp-7, -0x1.c3267b75b033p-7, -0x1.b766436d8224cp-7, -0x1.abea2eea4d097p-7, -0x1.a0b0fad9e2198p-7, -0x1.95b968dd0c52fp-7, -0x1.8b020b38e3c29p-7, -0x1.808a3e2cea8f4p-7, -0x1.7650412946e3ap-7, -0x1.6c53116300c46p-7, -0x1.6291868e2574dp-7, -0x1.590a7ab7811c1p-7, -0x1.4fbcc3fcbfd6dp-7, -0x1.46a75d0644df3p-7, -0x1.3dc9141c268a4p-7, -0x1.3520daf0f5587p-7, -0x1.2cada211a73eep-7, -0x1.246e5c5bb933fp-7, -0x1.1c61fef1b68edp-7, -0x1.148786df029adp-7, -0x1.0cddf295c484p-7, -0x1.056440eb12049p-7, -0x1.fc33028e22995p-8, -0x1.edf9714d06a4cp-8, -0x1.e019ee030ee6dp-8, -0x1.d2929fd9a4b1p-8, -0x1.c561ac24d1123p-8, -0x1.b8854e881778dp-8, -0x1.abfbc000d961cp-8, -0x1.9fc343decb9aep-8, -0x1.93da2274b7dbbp-8, -0x1.883e2042da0d8p-8, -0x1.7cef3733345e6p-8, -0x1.71ea271a0ef1dp-8, -0x1.672ddb8aeecc2p-8, -0x1.5cb8c5a54c88ap-8, -0x1.5289560c67ffep-8, -0x1.489e05edc1196p-8, -0x1.3ef554ec69e5p-8, -0x1.358dc908bfebap-8, -0x1.2c65ee94486bp-8, -0x1.237c591de9439p-8, -0x1.1acfe5519f0a7p-8, -0x1.125e60401dbdcp-8, -0x1.0a274027b7e14p-8, -0x1.0228ec0c8aceep-8, -0x1.f4c4267dc89d6p-9, -0x1.e5a2d8721736p-9, -0x1.d6eb6692dcee5p-9, -0x1.c89b54fb93a7dp-9, -0x1.bab0335a28dd7p-9, -0x1.ad276b861ddd4p-9, -0x1.9fff352bbef32p-9, -0x1.9334b1e2494f7p-9, -0x1.86c5cce7fdcbfp-9, -0x1.7ab04e2eaa73fp-9, -0x1.6ef208595436p-9, -0x1.6388d8d6ca244p-9, -0x1.5872a7eb80082p-9, -0x1.4dad68fccb27cp-9, -0x1.43366ebfe9b84p-9, -0x1.390ccc1bf2c81p-9, -0x1.2f2f6f3ed286cp-9, -0x1.259a4513b481p-9, -0x1.1c4c68f6f8621p-9, -0x1.13440ad4dc3e3p-9, -0x1.0a7f663763442p-9, -0x1.01fcbf97e7c8dp-9, -0x1.f373bfeb9b21ap-10, -0x1.e36d5ed92a89fp-10, -0x1.d3dffba910ba2p-10, -0x1.c4c979477f443p-10, -0x1.b626bc0cea5a9p-10, -0x1.a7f4ba7aa9cb7p-10, -0x1.9a308e59bc681p-10, -0x1.8cd7f27c90baep-10, -0x1.7fe5f33e34506p-10, -0x1.7359f45c809dp-10, -0x1.673072a736b01p-10, -0x1.5b66efc33462ap-10, -0x1.4ffaca87a25e6p-10, -0x1.44e969a1f8925p-10, -0x1.3a30680ed4355p-10, -0x1.2fcd4dfeafbbbp-10, -0x1.25bd96992e14dp-10, -0x1.1bff82abf66eep-10, -0x1.12903440ee301p-10, -0x1.096db3900807ep-10, -0x1.0095d7020869fp-10, -0x1.f00d06e8ce4a1p-11, -0x1.df7b001fb0c39p-11, -0x1.cf72838a1e99fp-11, -0x1.bfeeb1d04e91ap-11, -0x1.b0ec06a568112p-11, -0x1.a266c4fa6b6edp-11, -0x1.945b3fcc5555bp-11, -0x1.86c5e784bd001p-11, -0x1.79a33d2380c8dp-11, -0x1.6cefd71d3f17bp-11, -0x1.60a862f021c1bp-11, -0x1.54c9a24638defp-11, -0x1.49506b0f9574fp-11, -0x1.3e39ab94e4dfap-11, -0x1.3381a11f08b35p-11, -0x1.2927accb2f279p-11, -0x1.1f2662d3fd26dp-11, -0x1.157bec0579cfp-11, -0x1.0c25c7203c2d7p-11, -0x1.0321137c2bb96p-11, -0x1.f4d6905c6acf8p-12, -0x1.e403c75fddafdp-12, -0x1.d3c4e70cc8286p-12, -0x1.c41530d074658p-12, -0x1.b4f0014d1e8f5p-12, -0x1.a650ddfae5871p-12, -0x1.982f4dc1f54f8p-12, -0x1.8a933344f84dbp-12, -0x1.7d6c30f98919fp-12, -0x1.70ba033ed36fep-12, -0x1.647a3f3309685p-12, -0x1.58a77541a6a57p-12, -0x1.4d3ea8768e759p-12, -0x1.423a33684e4afp-12, -0x1.379ba80e49162p-12, -0x1.2d5ae572f0953p-12, -0x1.2375f2573be42p-12, -0x1.19ea6bf82902ep-12, -0x1.10b4a5be12148p-12, -0x1.07ce40b931d64p-12, -0x1.fe7cd693e91d4p-13, -0x1.edf0dd5d9826dp-13, -0x1.ddf988b34beccp-13, -0x1.ce91a5766f3c8p-13, -0x1.bfb4141922a58p-13, -0x1.b15bd6e20dca7p-13, -0x1.a38cbbad0e213p-13, -0x1.9628379406208p-13, -0x1.894406c3ab8b2p-13, -0x1.7cd2a5794b20ap-13, -0x1.70d00d4e2109p-13, -0x1.65381e333d2cep-13, -0x1.5a0704675b0a9p-13, -0x1.4f38d50f1db66p-13, -0x1.44c9d893368c8p-13, -0x1.3ab6ab5b8f7ebp-13, -0x1.3108425ed1f4cp-13, -0x1.2791cea53170fp-13, -0x1.1e80d3c7738b3p-13, -0x1.15baf7e8ba8a5p-13, -0x1.0d3fcba329a51p-13, -0x1.050ddb8c47f2p-13, -0x1.fa4389ffc6faep-14, -0x1.eaf272b3c8de4p-14, -0x1.dc1bb8e941115p-14, -0x1.cdcb8ab33bb4ep-14, -0x1.bfed882fe8338p-14, -0x1.b282202000f2fp-14, -0x1.a584b4e73d40dp-14, -0x1.98f0ee62a886p-14, -0x1.8cc29aaeeabe2p-14, -0x1.80f592337ea32p-14, -0x1.7586528fc8f03p-14, -0x1.6a74865d265bep-14, -0x1.5fa6404f5bf31p-14, -0x1.55445686f16bp-14, -0x1.4b28199cb186bp-14, -0x1.41576b247e2b2p-14, -0x1.37d0957e8a6cap-14, -0x1.2e8ed4207d878p-14, -0x1.25912cf21e6b4p-14, -0x1.1cd4361bf8671p-14, -0x1.1455a5123e78cp-14, -0x1.0c0e96d06fd46p-14, -0x1.040867a502234p-14, -0x1.f86ad09156c89p-15, -0x1.e92e66e172fc6p-15, -0x1.da5749842863dp-15, -0x1.cbe17fc818685p-15, -0x1.bdc8cdf88871bp-15, -0x1.b00721aa13c1ep-15, -0x1.a2bb6c39b6604p-15, -0x1.958b57bcf9a82p-15, -0x1.88c5379e1faf2p-15, -0x1.7c43d5ca2cd3fp-15, -0x1.701a21e91d752p-15, -0x1.642ff416be091p-15, -0x1.588cb2da126acp-15, -0x1.4d2765f6b19edp-15, -0x1.4200f69e19db1p-15, -0x1.37175f05fcde1p-15, -0x1.2c5a393889329p-15, -0x1.21f13b7b2b425p-15, -0x1.17af9c5a434b1p-15, -0x1.0da347406a6aep-15, -0x1.03bb367507816p-15, -0x1.f43e81f0fb815p-16, -0x1.e149b35c853dep-16, -0x1.cead44019f9b2p-16, -0x1.bc6e756aa411p-16, -0x1.aa845b4e4df2ep-16, -0x1.98e836a1449bbp-16, -0x1.87b757d197222p-16, -0x1.76a5137bf3675p-16, -0x1.65f43f0fca459p-16, -0x1.558e7d3a83b59p-16, -0x1.456f931b99576p-16, -0x1.35961a23f65d4p-16, -0x1.2600563ddfc22p-16, -0x1.16ac9ab5efc91p-16, -0x1.07995293b6fp-16, -0x1.f18a07e650ac6p-17, -0x1.d45d1cfb8fb9cp-17, -0x1.b7ecd6d74b0ddp-17, -0x1.9b6e33945f324p-17, -0x1.8068072ad91e1p-17, -0x1.644f822ba5538p-17, -0x1.4958d5be20fe3p-17, -0x1.2edacb376979ep-17, -0x1.14c8cb6bc4e76p-17, -0x1.f639b33a84a19p-18, -0x1.c34d0ba7d42dep-18, -0x1.920088bbe64d1p-18, -0x1.61f91955cfe48p-18, -0x1.3111b5abd308bp-18, -0x1.01c27dff26ea2p-18, -0x1.a688a8742fd04p-19, -0x1.4a296a2bcf659p-19, -0x1.e16fdee6c5688p-20, -0x1.3006da634ef3dp-20, -0x1.04754172ca896p-21, 0x1.4d965f897f14bp-23, 0x1.a4606996e4bdep-21, 0x1.77cbb5c7bcc5ap-20, 0x1.0d459138fb0dfp-19, 0x1.5d39c4740c1c5p-19, 0x1.abc4deb74876fp-19, 0x1.f8e93fc429ea2p-19, 0x1.2254ba8a04f4bp-18, 0x1.4784dd301f887p-18, 0x1.6b8c5ab36b21cp-18, 0x1.8fd5061bab054p-18, 0x1.b2f3f429d3913p-18, 0x1.d5661205ef4bdp-18, 0x1.f72aa3b664811p-18, 0x1.0c1c1e95a41e9p-17, 0x1.1c5200ddcc30fp-17, 0x1.2c2a238a4377bp-17, 0x1.3baa70ff414cap-17, 0x1.4ad4a1cdf4cbp-17, 0x1.59aeb98fc3cp-17, 0x1.676cec55f2d31p-17, 0x1.7665e45c238ap-17, 0x1.842f1ab23be91p-17, 0x1.91adab4314ed5p-17, 0x1.9ecf023630b5cp-17, 0x1.aba8489dcf828p-17, 0x1.b829b9065af3ap-17, 0x1.c45c36132aa54p-17, 0x1.d03c0d003bb13p-17, 0x1.dbc99e23725e1p-17, 0x1.e706bce87e0d9p-17, 0x1.f1f24b43293acp-17, 0x1.fc8c436fb6941p-17, 0x1.036a1fe4cef3ep-16, 0x1.0841995f4c8a3p-16, 0x1.0d373b2526fe7p-16, 0x1.12124ed72c76p-16, 0x1.16712a5538f4p-16, 0x1.1ab4c6c5e0932p-16, 0x1.1ef73a00e9b02p-16, 0x1.2300d2fad2162p-16, 0x1.26e8d84ab88b4p-16, 0x1.2aa724c638b26p-16, 0x1.2e3ed1164113ap-16, 0x1.31b0261dfd4ffp-16, 0x1.34fb8822ce259p-16, 0x1.3814c94d0fed7p-16, 0x1.3b2036211f195p-16, 0x1.3dfac6b6b5123p-16, 0x1.40b2edee04a4ap-16, 0x1.43448598a8cc7p-16, 0x1.45ace5647c0c3p-16, 0x1.47f36bbcca33bp-16, 0x1.4a16f8a4a66d1p-16, 0x1.4c1715bc7261bp-16, 0x1.4df3fca056532p-16, 0x1.4fae09dae2954p-16, 0x1.5145fdd6b154dp-16, 0x1.52c10e529f90fp-16, 0x1.546a7242c7f18p-16, 0x1.554231d6d5fa2p-16, 0x1.564fb5807c9d7p-16, 0x1.573edb3068cf6p-16, 0x1.580dc87de7ebfp-16, 0x1.58bca40452a1dp-16, 0x1.594bc1f298e8cp-16, 0x1.59bb701a4ba58p-16, 0x1.5a0b77a67e6ffp-16, 0x1.5a51aeb29a0a5p-16, 0x1.5a6963b2cc1dbp-16, 0x1.5a482b0f4e766p-16, 0x1.5a21d5e777528p-16, 0x1.59de0af111dffp-16, 0x1.597d9cdc81335p-16, 0x1.59010f4cc3fbbp-16, 0x1.5868adb40eae9p-16, 0x1.57b5590a0c8b1p-16, 0x1.56e3adbf83861p-16, 0x1.55dfcb0517b43p-16, 0x1.54fbab92c3fcbp-16, 0x1.53e0e66da6f38p-16, 0x1.52e707acb69cdp-16, 0x1.513747e80abc8p-16, 0x1.4ff4614953793p-16, 0x1.4e7a6416387c1p-16, 0x1.4ce043c80bd2fp-16, 0x1.4b3351065195fp-16, 0x1.496f3ddf5fc2cp-16, 0x1.47925a123b377p-16, 0x1.45a7d22fa2575p-16, 0x1.43a509c38c1cep-16, 0x1.418ccf67676c7p-16, 0x1.3f6046617823bp-16, 0x1.3d1ff2427d734p-16, 0x1.3acc3408de5a1p-16, 0x1.3865445c6fabp-16, 0x1.35e265457813ap-16, 0x1.33632b05f361cp-16, 0x1.30bf2e90ee3eap-16, 0x1.2dcedcb4426d9p-16, 0x1.2b5c00b6d01d2p-16, 0x1.288c5c4906a44p-16, 0x1.25ab18e276255p-16, 0x1.22c0f9941e777p-16, 0x1.1fc483e1969ddp-16, 0x1.1cb9bfbbca4f1p-16, 0x1.19a1142b00731p-16, 0x1.167aaee038e6bp-16, 0x1.135045636a152p-16, 0x1.10186ad8d3f56p-16, }}, 
      {{0x1.4f34c7cde7bb1p-1, 0x1.5123b3f2c2276p-1, 0x1.541312d3f9862p-1, 0x1.57c672d769b2dp-1, 0x1.5c119d9321357p-1, 0x1.60cdebbff0963p-1, 0x1.65d7dc0ee84eep-1, 0x1.6b1310276971cp-1, 0x1.7067e29988f31p-1, 0x1.75bfb2c3ff6f7p-1, 0x1.7b0c938313a16p-1, 0x1.803a3ca9fd022p-1, 0x1.85439491a8d26p-1, 0x1.8a19c3e0f260fp-1, 0x1.8eb61f740c2f6p-1, 0x1.9312cef667ebp-1, 0x1.972943db064bep-1, 0x1.9af64fcee51c6p-1, 0x1.9e78681ca71c1p-1, 0x1.a1ac5bbf5d274p-1, 0x1.a48fa45799fd8p-1, 0x1.a722aacd1bafep-1, 0x1.a9670839ace81p-1, 0x1.ab5d238e47c39p-1, 0x1.ad0450b73ca63p-1, 0x1.ae5c8f4af411bp-1, 0x1.af680777ea91ep-1, 0x1.b02a44c7490bp-1, 0x1.b0a49678da186p-1, 0x1.b0d93347e322ap-1, 0x1.b0ca1ed3ea289p-1, 0x1.b07965ed4bb45p-1, 0x1.afe9621d674fap-1, 0x1.af1cc74c58a1fp-1, 0x1.ae1677228f378p-1, 0x1.acd940f53be25p-1, 0x1.ab67b83de1052p-1, 0x1.a9c4327fe3668p-1, 0x1.a7f0e383d07dcp-1, 0x1.a5f001c16d8e7p-1, 0x1.a3c3debf4be34p-1, 0x1.a16eeb35e0efcp-1, 0x1.9ef3aa1d5cb3cp-1, 0x1.9c549a82ce90fp-1, 0x1.9994208dec2bdp-1, 0x1.96b47510acddcp-1, 0x1.93b79fdac3e46p-1, 0x1.909f7c72a7cdep-1, 0x1.8d6dc54ad531cp-1, 0x1.8a2420a9d1f06p-1, 0x1.86c42bb85586ep-1, 0x1.834f819e729e5p-1, 0x1.7fc7bec7ce70fp-1, 0x1.7c2e7faefe53p-1, 0x1.78856ca2a88a9p-1, 0x1.74ceb4b79bc11p-1, 0x1.710b040b2f466p-1, 0x1.6d3bb1884e4e9p-1, 0x1.696205b34b9bep-1, 0x1.657f37ffe2438p-1, 0x1.61946d4f9c2f2p-1, 0x1.5da2b7eb89f77p-1, 0x1.59ab189dcaffdp-1, 0x1.55ae8054cac58p-1, 0x1.51add1991d2eap-1, 0x1.4da9e2477e293p-1, 0x1.49a37c98267c5p-1, 0x1.459b60a0c5d07p-1, 0x1.419245b5ee327p-1, 0x1.3d88dbb44d9a1p-1, 0x1.397fcbe29d101p-1, 0x1.3577b93271d9ep-1, 0x1.31713fd3da32fp-1, 0x1.2d6cf448c2be7p-1, 0x1.296b624be6ed2p-1, 0x1.256d0bea27f06p-1, 0x1.21726916d683ap-1, 0x1.1d7be7dc0de26p-1, 0x1.1989ed1cf16adp-1, 0x1.159cd5bd12d33p-1, 0x1.11b4f7efe4a97p-1, 0x1.0dd2a473018c4p-1, 0x1.09f627886a8e1p-1, 0x1.061fc9920543ep-1, 0x1.024fcf5818842p-1, 0x1.fd0cf4021ff4ap-2, 0x1.f5880dba1e962p-2, 0x1.ee115e41ce6b3p-2, 0x1.e6a94f5c6eb33p-2, 0x1.df5041f9ef89fp-2, 0x1.d8068e63c69bbp-2, 0x1.d0cc84c623438p-2, 0x1.c9a26e054dd77p-2, 0x1.c2888cc68fc6dp-2, 0x1.bb7f1e7aeb463p-2, 0x1.b4865c5c79b37p-2, 0x1.ad9e7c2cb92f5p-2, 0x1.a6c7b0a14bcf4p-2, 0x1.a002299829523p-2, 0x1.994e13e096dd3p-2, 0x1.92ab98e6f5ea5p-2, 0x1.8c1ade3715ef4p-2, 0x1.859c04fb45776p-2, 0x1.7f2f298ddb23ap-2, 0x1.78d4632d488p-2, 0x1.728bc3e19925bp-2, 0x1.6c555890ac1c9p-2, 0x1.663129438204p-2, 0x1.601f3990ce27ep-2, 0x1.5a1f892a381edp-2, 0x1.54324cb679b5ep-2, 0x1.4e5694bdd0413p-2, 0x1.488d0ef498b44p-2, 0x1.42d5b7f297289p-2, 0x1.3d308a069db5fp-2, 0x1.379d7d7aa096p-2, 0x1.321c8833333c1p-2, 0x1.2cad9e3845441p-2, 0x1.2750b1a7461a1p-2, 0x1.2205b2dd48f28p-2, 0x1.1ccc9098332d2p-2, 0x1.17a5382423edcp-2, 0x1.128f957e1540ep-2, 0x1.0d8b9374a394bp-2, 0x1.08991bc3fc819p-2, 0x1.03b8172d389d8p-2, 0x1.fdd0db0a62649p-3, 0x1.f4540b870ae86p-3, 0x1.eaf98c10e490ap-3, 0x1.e1c127444c345p-3, 0x1.d8aaa628daee5p-3, 0x1.cfb5d006f0c85p-3, 0x1.c6e26ac410a0ap-3, 0x1.be303a9482097p-3, 0x1.b59f020a56ef4p-3, 0x1.ad2e825ed9babp-3, 0x1.a4de7b4269fcdp-3, 0x1.9caeaaff65439p-3, 0x1.949ece939d01bp-3, 0x1.8caea1c4839f6p-3, 0x1.84dddf373d43p-3, 0x1.7d2c40898b9f7p-3, 0x1.75997e6d0b7fp-3, 0x1.6e2550bb3b206p-3, 0x1.66cf6e8fda18p-3, 0x1.5f978e5a95251p-3, 0x1.587d65f4ddde5p-3, 0x1.5180aaaa71e2dp-3, 0x1.4aa1115e82f28p-3, 0x1.43de4e7892a03p-3, 0x1.3d3815dad1a78p-3, 0x1.36ae1b5c11424p-3, 0x1.3040123172e4p-3, 0x1.29edad815d1dap-3, 0x1.23b69fce5f35dp-3, 0x1.1d9a9c511f584p-3, 0x1.179954c5b30b4p-3, 0x1.11b27b941e9a2p-3, 0x1.0be5c2cd130aep-3, 0x1.0632dc6a817f1p-3, 0x1.00997a542367cp-3, 0x1.f6329ce6912e8p-4, 0x1.eb64155576c0bp-4, 0x1.e0c6c1e388264p-4, 0x1.d65a0667c21e7p-4, 0x1.cc1d47f01288p-4, 0x1.c20fea33b3066p-4, 0x1.b8315298ebbe8p-4, 0x1.ae80e6726d4cfp-4, 0x1.a4fe0b8cd9a3dp-4, 0x1.9ba8283d52113p-4, 0x1.927ea368da0ep-4, 0x1.8980e47df7371p-4, 0x1.80ae538fcd981p-4, 0x1.78065974bb0ep-4, 0x1.6f885f4076b58p-4, 0x1.6733cf60a390dp-4, 0x1.5f0814819a084p-4, 0x1.57049b1a091e5p-4, 0x1.4f28cce2227b2p-4, 0x1.477419f4f6adfp-4, 0x1.3fe5ef05a6a26p-4, 0x1.387dbb2004427p-4, 0x1.313aee0205573p-4, 0x1.2a1cf84be384ep-4, 0x1.23234b7ca35cp-4, 0x1.1c4d5a705e366p-4, 0x1.159a986ffbd73p-4, 0x1.0f0a798df53b3p-4, 0x1.089c7538e88aap-4, 0x1.0250003a6a31ap-4, 0x1.f849290db9dd8p-5, 0x1.ec334db245206p-5, 0x1.e05d6ae68a4fbp-5, 0x1.d4c67463e013ep-5, 0x1.c96d631f6aa87p-5, 0x1.be513289c13a9p-5, 0x1.b370e0777d918p-5, 0x1.a8cb6d494b98dp-5, 0x1.9e5fdbbabdd1p-5, 0x1.942d316843de8p-5, 0x1.8a32766ed0e2dp-5, 0x1.806eb4e731c57p-5, 0x1.76e0fa8167ad2p-5, 0x1.6d885711a0f8fp-5, 0x1.6463dc7a4215ap-5, 0x1.5b72a06387262p-5, 0x1.52b3ba2e66617p-5, 0x1.4a264445e7c2fp-5, 0x1.41c95b8832658p-5, 0x1.399c1f9a5ca5ep-5, 0x1.319db2693e46bp-5, 0x1.29cd39b7e9153p-5, 0x1.2229dba5db4dcp-5, 0x1.1ab2c31f536c9p-5, 0x1.13671ca4a4cc6p-5, 0x1.0c46179b2b6a2p-5, 0x1.054ee5c54a253p-5, 0x1.fd01774d3a6abp-6, 0x1.efb5a1326b9afp-6, 0x1.e2b8bccb83b38p-6, 0x1.d6094210f1666p-6, 0x1.c9904710e6079p-6, 0x1.bd73d6aac8443p-6, 0x1.b1a0595fee4ffp-6, 0x1.a6145fc99473ep-6, 0x1.9ace860f3852bp-6, 0x1.8fcd5269f1088p-6, 0x1.850f79f155c89p-6, 0x1.7a939acde1e0ep-6, 0x1.70585ec09f64cp-6, 0x1.665c76b4c1b3ap-6, 0x1.5c9e95c3bf93ap-6, 0x1.531d75bd294b6p-6, 0x1.49d7d5242302cp-6, 0x1.40cc77b989fb1p-6, 0x1.37fa251bbef9ap-6, 0x1.2f5fad576c124p-6, 0x1.26fbdbe5979c6p-6, 0x1.1ecd8e830acabp-6, 0x1.16d39da7c5f0ap-6, 0x1.0f0ceac62530fp-6, 0x1.07785ab917ed3p-6, 0x1.0014d0e32dd41p-6, 0x1.f1c29de080f95p-7, 0x1.e3b9696d6ccdap-7, 0x1.d60bfdd912179p-7, 0x1.c8b85afbda352p-7, 0x1.bbbc744f8f8cp-7, 0x1.af16684b285dp-7, 0x1.a2c439aaa592ep-7, 0x1.96c4065e1ce56p-7, 0x1.8b13f566bcc2cp-7, 0x1.7fb232c6e57ffp-7, 0x1.749cf3ca0fadbp-7, 0x1.69d2761843caap-7, 0x1.5f50ffae7602dp-7, 0x1.5516dec557009p-7, 0x1.4b226686d7f22p-7, 0x1.4171feef82822p-7, 0x1.380403700bfadp-7, 0x1.2ed6e93445e9p-7, 0x1.25e922ca8ffaep-7, 0x1.1d392f1e2fc4ep-7, 0x1.14c5938b10fdfp-7, 0x1.0c8cdce1c2823p-7, 0x1.048da60b50cp-7, 0x1.f98ceb0da78cbp-8, 0x1.ea6c0dccd168cp-8, 0x1.dbb5f075d1ec6p-8, 0x1.cd67f8f6c446ap-8, 0x1.bf7f972ba2d9cp-8, 0x1.b1fa50b82892p-8, 0x1.a4d598bcc7d91p-8, 0x1.980f226f4206cp-8, 0x1.8ba48372cf573p-8, 0x1.7f937547709d4p-8, 0x1.73d9b31a70eafp-8, 0x1.68750b843d554p-8, 0x1.5d6355f1879d9p-8, 0x1.52a273158a32bp-8, 0x1.483067f56881cp-8, 0x1.3e0aefd619348p-8, 0x1.3430543595523p-8, 0x1.2a9e8b96d1a59p-8, 0x1.2153b8830359dp-8, 0x1.184dfda617749p-8, 0x1.0f8b8fa958676p-8, 0x1.070aaa02202ecp-8, 0x1.fd9326984ad58p-9, 0x1.ed8d367f4760cp-9, 0x1.de001d77d72d8p-9, 0x1.cee8f5d8d7344p-9, 0x1.c044479106fe1p-9, 0x1.b20f199368056p-9, 0x1.a4466cc1ce86ep-9, 0x1.96e751001f746p-9, 0x1.89eee85d979bdp-9, 0x1.7d5a65f869d71p-9, 0x1.71270da5fbb6bp-9, 0x1.655233a21518bp-9, 0x1.59d93d0f1b75bp-9, 0x1.4eb973cb4db7bp-9, 0x1.43f0d3eb5ef3fp-9, 0x1.397c7af7bbec2p-9, 0x1.2f5a2fd114494p-9, 0x1.2587a31e9b1c7p-9, 0x1.1c029371d62edp-9, 0x1.12c8cd597f7e1p-9, 0x1.09d82b25e689bp-9, 0x1.012e94beb4deap-9, 0x1.f193c1057c5c6p-10, 0x1.e150db98c3268p-10, 0x1.d18fd138c133cp-10, 0x1.c24d30a48fe8cp-10, 0x1.b38534c4f0a5p-10, 0x1.a5344ae7e1d1ep-10, 0x1.9756f2afc25a5p-10, 0x1.89e9c2dbdbbap-10, 0x1.7ce9692244f12p-10, 0x1.70521a8417304p-10, 0x1.6422235a6e80cp-10, 0x1.58556b355a129p-10, 0x1.4ce8ee59e1264p-10, 0x1.41d9e817d2f9ap-10, 0x1.372593f6986afp-10, 0x1.2cc929885644p-10, 0x1.22c2001f09a32p-10, 0x1.190d335082e41p-10, 0x1.0fa91d883dc9ap-10, 0x1.06926716e8abcp-10, 0x1.fb8df328df6d7p-11, 0x1.ea8901d5b6c71p-11, 0x1.da11740687b93p-11, 0x1.ca22ffe1608b9p-11, 0x1.bab96023e4bd7p-11, 0x1.abcff8e9775fdp-11, 0x1.9d635a114001cp-11, 0x1.8f6f82a7fa9bep-11, 0x1.81f079c0bbba3p-11, 0x1.74e29e9f22bc6p-11, 0x1.68425aca7e5f6p-11, 0x1.5c0c34d3d8cdep-11, 0x1.503cc9e7ca71bp-11, 0x1.44d0c5c384fbcp-11, 0x1.39c518c051f14p-11, 0x1.2f168268e3dbep-11, 0x1.24c2164d2e23dp-11, 0x1.1ac4e52974108p-11, 0x1.111c1a5f9a522p-11, 0x1.07c4bb52746aap-11, 0x1.fd795834a3f66p-12, 0x1.ec01b8f27b79dp-12, 0x1.db1e09d525583p-12, 0x1.cac90ac6d1db3p-12, 0x1.bafe2bf72a8ddp-12, 0x1.abb8d2b0d8823p-12, 0x1.9cf48e0db6b9fp-12, 0x1.8ead1065675b2p-12, 0x1.80de29ccb8774p-12, 0x1.7383cc092f38dp-12, 0x1.669a095e22244p-12, 0x1.5a1d16befdfdep-12, 0x1.4e08a79293e8dp-12, 0x1.425addc5d5f3cp-12, 0x1.370e7bff1c855p-12, 0x1.2c210306ca131p-12, 0x1.218f2780fc08p-12, 0x1.175582b1a8158p-12, 0x1.0d712c1997f02p-12, 0x1.03df37c277a19p-12, 0x1.f5398fb3958cdp-13, 0x1.e34e50104e4f5p-13, 0x1.d1f74f90bc553p-13, 0x1.c12f741591694p-13, 0x1.b0f01ec727816p-13, 0x1.a139689bca11p-13, 0x1.9201a835eac53p-13, 0x1.8345a8d62f74cp-13, 0x1.750305484eaecp-13, 0x1.6733705ece079p-13, 0x1.59d39cfcce0b7p-13, 0x1.4cdeebefdcb97p-13, 0x1.405371baebad8p-13, 0x1.342b830162a43p-13, 0x1.2867831ae683ep-13, 0x1.1cfc3f3e892f7p-13, 0x1.11eda47ed9075p-13, 0x1.073312c390fd1p-13, 0x1.f9a5b1462944p-14, 0x1.e581c1e4a0e84p-14, 0x1.d1faa6623af9ep-14, 0x1.bf0b0a57f5ddfp-14, 0x1.acadb801ea649p-14, 0x1.9adda2a52bfbdp-14, 0x1.8996e88577ea9p-14, 0x1.78d20aa0ecdc6p-14, 0x1.688dabd677091p-14, 0x1.58c41d18743a6p-14, 0x1.49716124e57ddp-14, 0x1.3a91740b01109p-14, 0x1.2c208d930b477p-14, 0x1.1e1adbbf6f2b4p-14, 0x1.107cd292c735ep-14, 0x1.0343adf15f0d6p-14, 0x1.ecec6d4892d38p-15, 0x1.d3e867eb4c3a8p-15, 0x1.bb9f33c765af9p-15, 0x1.a40b02411fb3bp-15, 0x1.8d2a13f3ebd2bp-15, 0x1.76e8e338937f6p-15, 0x1.614733f20917bp-15, 0x1.4c402e7dd3eb6p-15, 0x1.37ce8e05b814p-15, 0x1.23eea1f83f2cdp-15, 0x1.109b3ce534e16p-15, 0x1.fba0b9c237333p-16, 0x1.d713dc32babd1p-16, 0x1.b3880f7acbaccp-16, 0x1.90f5caab95808p-16, 0x1.6f55abcadc6abp-16, 0x1.4ea0b1e0abd87p-16, 0x1.2ed3f1f3a2be4p-16, 0x1.0fc765c555eeap-16, 0x1.e38a1b8e29c78p-17, 0x1.a8ff87479cbdep-17, 0x1.700b80aaa98b7p-17, 0x1.38a49391b16c7p-17, 0x1.02c4178a63e72p-17, 0x1.9cb8cf1bae651p-18, 0x1.36c99d451dc39p-18, 0x1.a74dd73708174p-19, 0x1.cd990bc801d5p-20, 0x1.590db5778410fp-22, -0x1.162154cc25c77p-20, -0x1.3c2e509559352p-19, -0x1.e852b569c0612p-19, -0x1.47cd3b116c47ap-18, -0x1.99104b4bac431p-18, -0x1.e80b17bb6907bp-18, -0x1.1a32c8d2d2c35p-17, -0x1.3f95878117494p-17, -0x1.63b315f4c9247p-17, -0x1.86d23c7cdec89p-17, -0x1.a8c664a80d519p-17, -0x1.c9c5c10bde9dp-17, -0x1.e9b6dc4ca6559p-17, -0x1.045bdce55fd84p-16, -0x1.136130c296ac6p-16, -0x1.21ed64fc834c2p-16, -0x1.2fcb2b2f0c9fap-16, -0x1.3da35f7df4f9ap-16, -0x1.4acd34ca876ccp-16, -0x1.5788f44b77229p-16, -0x1.63e0f3a776544p-16, -0x1.6fb6a9a57e68cp-16, -0x1.7b2c05102ec8ap-16, -0x1.863c0d9bddb2cp-16, -0x1.90dcbc580c0b9p-16, -0x1.9b1c47fc4a8aap-16, -0x1.a4f6b58d503b4p-16, -0x1.ae64499787bb3p-16, -0x1.b785a723e2126p-16, -0x1.c03ddd934125fp-16, -0x1.c8976a9ba2361p-16, -0x1.d094b7b25eb89p-16, -0x1.d836fac6958f6p-16, -0x1.df7f92cdafe61p-16, -0x1.e66fdc1dccc04p-16, -0x1.ed092d16faa28p-16, -0x1.f34cd696515d3p-16, -0x1.f93c347bae655p-16, -0x1.fee1d8e4ef8bap-16, -0x1.0211a7f9c300ap-15, -0x1.049ba655453e1p-15, -0x1.06e334ee025e8p-15, -0x1.09115a11a6756p-15, -0x1.0b18d4241ba32p-15, -0x1.0cfa7475cf16dp-15, -0x1.0eb7a68c52e65p-15, -0x1.105ba00bd2b46p-15, -0x1.11c2883c3dc57p-15, -0x1.130a987e83d35p-15, -0x1.143cafea46fcbp-15, -0x1.154625ad2c246p-15, -0x1.162d36eb5a195p-15, -0x1.16f5ca70e8ed7p-15, -0x1.1798a04bc119fp-15, -0x1.181d89fedf1bap-15, -0x1.188dbd3d1c8dbp-15, -0x1.18c76c3aee078p-15, -0x1.18edb39c22ed4p-15, -0x1.18f5a6bd3cad1p-15, -0x1.18dfbec6bf533p-15, -0x1.18ac7fe4ebb92p-15, -0x1.185c6ef4b030dp-15, -0x1.17f0113cf0c4cp-15, -0x1.1767ec7c24a52p-15, -0x1.16c482306dcc7p-15, -0x1.1606d81fa3ea3p-15, -0x1.152dfdf55370dp-15, -0x1.143bf4a2153d6p-15, -0x1.13308eafed0b4p-15, -0x1.120c3b6354873p-15, -0x1.10cd62fa413fcp-15, -0x1.0f7a001f2a197p-15, -0x1.0e0c39dbf53d7p-15, -0x1.0c873d449c6a6p-15, -0x1.0aebb24b21a68p-15, -0x1.093b2feef3209p-15, -0x1.0751dff8df5d8p-15, -0x1.059aa3c724501p-15, -0x1.03a782fc23ecbp-15, -0x1.01a1ad9d9b6b7p-15, -0x1.ff112b67b1605p-16, -0x1.fab7b1fb257e9p-16, -0x1.f63a1d87733d9p-16, -0x1.f19973cc6060fp-16, -0x1.ecd50599883fcp-16, -0x1.e7edeafce6ecfp-16, -0x1.e2e5e3fa2b2e6p-16, -0x1.ddbd2c6fe242bp-16, -0x1.d8748c144184dp-16, -0x1.d30ce2f6cc8a5p-16, -0x1.cd93280f07db3p-16, -0x1.c7e4ac1190117p-16, -0x1.c222b3732dd9ap-16, -0x1.bc4bf61694e26p-16, -0x1.b648fceab7751p-16, -0x1.b043b0d7f9b6fp-16, -0x1.aa1d9e385d27bp-16, -0x1.a3da2730b09fep-16, -0x1.9d825e9e80d5bp-16, -0x1.971431ae74c29p-16, -0x1.909080f5e5eep-16, -0x1.89f84a5727b9cp-16, -0x1.8343c06c4f7e8p-16, -0x1.7c8ca84bacb17p-16, -0x1.75bb3bf335fc3p-16, -0x1.6ed8cec1f8461p-16, -0x1.67d4d7f353934p-16, -0x1.60e18789deefcp-16, -0x1.59cf4732a9a68p-16, -0x1.52aebe50792f1p-16, -0x1.4b80c13daa6b2p-16, -0x1.444614a972eefp-16, -0x1.3cff82f63dafp-16, -0x1.35ae1c9a1a964p-16, -0x1.2e3de8b10fb5ap-16, -0x1.2719ed67abd3fp-16, -0x1.1f7dde593056fp-16, -0x1.180528dc3dc5fp-16, -0x1.10861f070b7c1p-16, -0x1.090057d968bd8p-16, -0x1.0174689ded7b7p-16, -0x1.f3c5f7695bcdp-17, -0x1.e4997b6990bcep-17, -0x1.d564c69d6b52dp-17, -0x1.c625f1abe2484p-17, -0x1.b6e34ffa6e388p-17, -0x1.a7a17e76ecfcbp-17, -0x1.9858703fb94c4p-17, -0x1.890d36e1d317fp-17, -0x1.79c17688922e5p-17, -0x1.6a7654e41190cp-17, -0x1.5b2cb4bfd1425p-17, -0x1.4be5c78595e88p-17, -0x1.3ca4c88b746dcp-17, -0x1.2d7687217ef6bp-17, -0x1.1e2eba3041192p-17, -0x1.0f02eb7ea55f2p-17, -0x1.0034a156328efp-17, -0x1.e18ece8233a8cp-18, -0x1.c356038957879p-18, -0x1.a5cd53e89ae6ap-18, -0x1.874e04b494018p-18, -0x1.696abf232a586p-18, -0x1.4bab8d663d0b1p-18, -0x1.2e0e77c0ef666p-18, -0x1.108c68c98a30bp-18, -0x1.e65e2a63df218p-19, -0x1.abed695de28fdp-19, -0x1.71c8efb26261dp-19, -0x1.37f4031dcb933p-19, -0x1.fce4249cca0a8p-20, -0x1.8a8d9cc6c4b9bp-20, -0x1.190fb9a812358p-20, -0x1.50011d8809dd1p-21, -0x1.bde8200f59b0ep-23, 0x1.c262cdcee12b7p-23, 0x1.4c744de8bd7c9p-21, 0x1.141170f9c265p-20, 0x1.8003fd9f47569p-20, 0x1.ed0d87509f536p-20, 0x1.2c32916f77b2bp-19, 0x1.615e70080e135p-19, 0x1.9615e37ed5d3cp-19, 0x1.ca539d91e9c43p-19, 0x1.fe33a2cbdb7a6p-19, 0x1.18cb0327da8c1p-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.cee0cedebdf76p-7, 0x1.ce9e2d575a356p-6, 0x1.5aa39660e5001p-5, 0x1.cd951493bce78p-5, 0x1.2001ca16e80fcp-4, 0x1.58e7ef2b115abp-4, 0x1.916dd05000fe2p-4, 0x1.c984c2a1fad4ep-4, 0x1.008f518d4dc08p-3, 0x1.1c16eef397ddep-3, 0x1.3752b9ee3d76p-3, 0x1.523c7f27de111p-3, 0x1.6cce58c97a12ep-3, 0x1.8702af251501bp-3, 0x1.a0d438e3febdfp-3, 0x1.ba3dfacc89d0cp-3, 0x1.d33b473029d9ap-3, 0x1.ebc7bd1066b48p-3, 0x1.01efa38381e83p-2, 0x1.0dbf0cfde6ddfp-2, 0x1.195059d87c3d9p-2, 0x1.24a1ec96d3bccp-2, 0x1.2fb24a8689f09p-2, 0x1.3a801adbe3f4cp-2, 0x1.450a25c5d59d6p-2, 0x1.4f4f537b69f7bp-2, 0x1.594eab444d638p-2, 0x1.6307527de8f17p-2, 0x1.6c788b9e5a32bp-2, 0x1.75a1b5365c8e2p-2, 0x1.7e8248f3166f7p-2, 0x1.8719daa099e71p-2, 0x1.8f68172dd1728p-2, 0x1.976cc3b272dc1p-2, 0x1.9f27bc7785cfp-2, 0x1.a698f402f009dp-2, 0x1.adc07226727e5p-2, 0x1.b49e53126d226p-2, 0x1.bb32c66cb749ep-2, 0x1.c17e0e6bce827p-2, 0x1.c7807ef69198ep-2, 0x1.cd3a7cc8b97b3p-2, 0x1.d2ac7c9c3081fp-2, 0x1.d7d7025770286p-2, 0x1.dcbaa040f1f28p-2, 0x1.e157f637d0f9dp-2, 0x1.e5afb0f1a2b97p-2, 0x1.e9c2893d9136dp-2, 0x1.ed91434cb849ap-2, 0x1.f11cadffc6e3fp-2, 0x1.f465a239e2986p-2, 0x1.f76d0238c10dfp-2, 0x1.fa33b8f1f1387p-2, 0x1.fcbab97544f24p-2, 0x1.ff02fe544ff72p-2, 0x1.0086c487735a2p-1, 0x1.016db0c24653cp-1, 0x1.0236cab55fb1ep-1, 0x1.02e29be4041fp-1, 0x1.0371b039dd57dp-1, 0x1.03e495cd283dp-1, 0x1.043bdca3217fbp-1, 0x1.04781676a8559p-1, 0x1.0499d68108e8bp-1, 0x1.04a1b144e2a4p-1, 0x1.04903c5b1d626p-1, 0x1.04660e41e281ap-1, 0x1.0423be2d8ca8p-1, 0x1.03c9e3db7f809p-1, 0x1.03591766e02bbp-1, 0x1.02d1f11f1c24dp-1, 0x1.023509603873bp-1, 0x1.0182f86cd91c6p-1, 0x1.00bc5649f6078p-1, 0x1.ffc3753866192p-2, 0x1.fde7790d9eee3p-2, 0x1.fbe5e51840199p-2, 0x1.f9bfe4df17c59p-2, 0x1.f776a231fc4ep-2, 0x1.f50b44f38905dp-2, 0x1.f27ef2e59f119p-2, 0x1.efd2cf789298ep-2, 0x1.ed07fb9cf78c4p-2, 0x1.ea1f9597f32c1p-2, 0x1.e71ab8da06e0fp-2, 0x1.e3fa7dd83991cp-2, 0x1.e0bff9e7971c7p-2, 0x1.dd6c3f1aecdedp-2, 0x1.da005c22b37bap-2, 0x1.d67d5c2f198a1p-2, 0x1.d2e446d417004p-2, 0x1.cf361fef832fbp-2, 0x1.cb73e79110bdcp-2, 0x1.c79e99e42e46ap-2, 0x1.c3b72f1baea2ep-2, 0x1.bfbe9b5f370e8p-2, 0x1.bbb5ceba59ae4p-2, 0x1.b79db50d53a7fp-2, 0x1.b37735ff63cefp-2, 0x1.af4334f2a0d2ep-2, 0x1.ab0290f95124p-2, 0x1.a6b624ccaa299p-2, 0x1.a25ec6c4f0a1cp-2, 0x1.9dfd48d2eac6fp-2, 0x1.9992787a9c4f7p-2, 0x1.951f1ecf387d1p-2, 0x1.90a4007045d6bp-2, 0x1.8c21dd87e2d5cp-2, 0x1.879971ca232bdp-2, 0x1.830b747577fe4p-2, 0x1.7e7898541c7fep-2, 0x1.79e18bbe73fd3p-2, 0x1.7546f89e572b1p-2, 0x1.70a984734545dp-2, 0x1.6c09d05766194p-2, 0x1.676879056156bp-2, 0x1.62c616def53b6p-2, 0x1.5e233df449e45p-2, 0x1.59807e0bf41d7p-2, 0x1.54de62aba5089p-2, 0x1.503d73217494p-2, 0x1.4b9e328dc6506p-2, 0x1.47011fedbb73dp-2, 0x1.4266b6262e15p-2, 0x1.3dcf6c0f271b4p-2, 0x1.393bb47fcd90ep-2, 0x1.34abfe5ac6fddp-2, 0x1.3020b49afce94p-2, 0x1.2b9a3e60c3fefp-2, 0x1.2718feff5f1f4p-2, 0x1.229d560ad2eb7p-2, 0x1.1e279f66095d8p-2, 0x1.19b833513757ep-2, 0x1.154f667887429p-2, 0x1.10ed8a02fb82ap-2, 0x1.0c92eba18467p-2, 0x1.083fd59e46056p-2, 0x1.03f48eec09a1bp-2, 0x1.ff62b66b9f42dp-3, 0x1.f6ecf5dd06b73p-3, 0x1.ee8856c18e349p-3, 0x1.e6354d7dafb65p-3, 0x1.ddf4486502ac5p-3, 0x1.d5c5afda3bc83p-3, 0x1.cda9e66f3d811p-3, 0x1.c5a14905378aep-3, 0x1.bdac2eecc0262p-3, 0x1.b5caea05e746bp-3, 0x1.adfdc6e046366p-3, 0x1.a6450cdaedca9p-3, 0x1.9ea0fe444302p-3, 0x1.9711d879b7929p-3, 0x1.8f97d4075ca3ep-3, 0x1.883324c746ebdp-3, 0x1.80e3fa00c34b3p-3, 0x1.79aa7e8754e0ep-3, 0x1.7286d8d972e73p-3, 0x1.6b792b3f0e46p-3, 0x1.648193e7ca9d5p-3, 0x1.5da02d08ef301p-3, 0x1.56d50cfb14136p-3, 0x1.5020465773023p-3, 0x1.4981e814ebaa7p-3, 0x1.42f9fda4af226p-3, 0x1.3c888f0e960c6p-3, 0x1.362da10d0e0d5p-3, 0x1.2fe93528b8fbp-3, 0x1.29bb49d39b726p-3, 0x1.23a3da83f297dp-3, 0x1.1da2dfce9a207p-3, 0x1.17b84f811984fp-3, 0x1.11e41cbb360fp-3, 0x1.0c2638082a4dp-3, 0x1.067e8f7766c7p-3, 0x1.00ed0eb4eae7bp-3, 0x1.f6e33e42652bap-4, 0x1.ec184fd154d62p-4, 0x1.e1791c35848e9p-4, 0x1.d70569810436fp-4, 0x1.ccbcf9e57319dp-4, 0x1.c29f8bdf6e2d4p-4, 0x1.b8acda61226edp-4, 0x1.aee49cfbf8ca5p-4, 0x1.a546880967dc1p-4, 0x1.9bd24cd2d4afap-4, 0x1.928799b8a090cp-4, 0x1.89661a584a3e6p-4, 0x1.806d77b1b607bp-4, 0x1.779d584b91bd4p-4, 0x1.6ef56056dbacfp-4, 0x1.667531d18b408p-4, 0x1.5e1c6ca85ef04p-4, 0x1.55eaaed7cf5dp-4, 0x1.4ddf948c28f95p-4, 0x1.45fab840cf9acp-4, 0x1.3e3bb2deacd22p-4, 0x1.36a21bd9cb84p-4, 0x1.2f2d894e21735p-4, 0x1.27dd901b8c339p-4, 0x1.20b1c40100a0bp-4, 0x1.19a9b7b6efdacp-4, 0x1.12c4fd08e6852p-4, 0x1.0c0324ee65eedp-4, 0x1.0563bfa2fbb7dp-4, 0x1.fdccb97b325adp-5, 0x1.f115168e5d896p-5, 0x1.e49fb3a119daap-5, 0x1.d86bad0f1cecbp-5, 0x1.cc781e971b7f9p-5, 0x1.c0c4238253a66p-5, 0x1.b54ed6cab6c67p-5, 0x1.aa17533fc11dp-5, 0x1.9f1cb3a9fcaf9p-5, 0x1.945e12ed3b9c9p-5, 0x1.89da8c298c9dep-5, 0x1.7f913adaf33bfp-5, 0x1.75813af7e4c15p-5, 0x1.6ba9a90e93c6ap-5, 0x1.6209a26111087p-5, 0x1.58a0450046183p-5, 0x1.4f6cafe5cdc8p-5, 0x1.466e030cb5edbp-5, 0x1.3da35f892be4bp-5, 0x1.350be79f1d4f5p-5, 0x1.2ca6bed7cf33cp-5, 0x1.24730a167602ep-5, 0x1.1c6fefabcff0ep-5, 0x1.149c9768cea4fp-5, 0x1.0cf82ab04a9eap-5, 0x1.0581d487d45e6p-5, 0x1.fc71834f39465p-6, 0x1.ee3841130235p-6, 0x1.e05642ee8379dp-6, 0x1.d2c9ed2fc34d2p-6, 0x1.c591a7f87b417p-6, 0x1.b8abdf55b0b77p-6, 0x1.ac170355d1543p-6, 0x1.9fd1881d50a8dp-6, 0x1.93d9e5f9db74ap-6, 0x1.882e9974256d5p-6, 0x1.7cce236061bep-6, 0x1.71b708ed68587p-6, 0x1.66e7d3b29a64dp-6, 0x1.5c5f11bc8a087p-6, 0x1.521b559873972p-6, 0x1.481b365e8e832p-6, 0x1.3e5d4fbb3e7fp-6, 0x1.34e041f7371bbp-6, 0x1.2ba2b1fe8f135p-6, 0x1.22a34966cfea7p-6, 0x1.19e0b674159ccp-6, 0x1.1159ac1d31a98p-6, 0x1.090ce20ef1df6p-6, 0x1.00f914ae7fa47p-6, 0x1.f23a0a35d5767p-7, 0x1.e2eef25bce82ep-7, 0x1.d40e76f7820acp-7, 0x1.c59636a51ee88p-7, 0x1.b783d971668e3p-7, 0x1.a9d510d5471efp-7, 0x1.9c8797b01cba7p-7, 0x1.8f993240b34e4p-7, 0x1.8307ae1d1430bp-7, 0x1.76d0e22920ec9p-7, 0x1.6af2ae8c18cc6p-7, 0x1.5f6afca50d5d7p-7, 0x1.5437befe53fe6p-7, 0x1.4956f13ffce9ep-7, 0x1.3ec6982167cfbp-7, 0x1.3484c159f10dcp-7, 0x1.2a8f8390cd369p-7, 0x1.20e4fe4c1e033p-7, 0x1.178359df46bd8p-7, 0x1.0e68c7588d822p-7, 0x1.0593806e12a32p-7, 0x1.fa038ed452959p-8, 0x1.e963ce2e303dcp-8, 0x1.d94465549cd73p-8, 0x1.c9a20b5e2a068p-8, 0x1.ba7987e18762p-8, 0x1.abc7b2c90957cp-8, 0x1.9d8974255a706p-8, 0x1.8fbbc3ff6789bp-8, 0x1.825baa2998c43p-8, 0x1.75663e10621e7p-8, 0x1.68d8a68a3ce94p-8, 0x1.5cb019a718b87p-8, 0x1.50e9dc7f4ec92p-8, 0x1.4583430227125p-8, 0x1.3a79afc3fba8ap-8, 0x1.2fca93cc04991p-8, 0x1.25736e61db23ep-8, 0x1.1b71ccdabc833p-8, 0x1.11c34a669b26dp-8, 0x1.08658fdd03775p-8, 0x1.feaca713c8568p-9, 0x1.ed26b1f4802f2p-9, 0x1.dc34e191a73b4p-9, 0x1.cbd2f0d571f25p-9, 0x1.bbfcb3f81f4cfp-9, 0x1.acae181968389p-9, 0x1.9de322da18b39p-9, 0x1.8f97f1f5e6d5fp-9, 0x1.81c8badd8fa84p-9, 0x1.7471ca5150dd9p-9, 0x1.678f83fbc3616p-9, 0x1.5b1e620d2d3dcp-9, 0x1.4f1af4d74ada1p-9, 0x1.4381e269a8572p-9, 0x1.384fe62e8dd94p-9, 0x1.2d81d08888529p-9, 0x1.23148670a1613p-9, 0x1.1905011542502p-9, 0x1.0f504d79da703p-9, 0x1.05f38c1743284p-9, 0x1.f9d7e0f9e9befp-10, 0x1.e86d81e61745p-10, 0x1.d7a2ac3a4eab1p-10, 0x1.c772353c5fc9ep-10, 0x1.b7d71579f6685p-10, 0x1.a8cc6813cd9cbp-10, 0x1.9a4d6a0ab8ae8p-10, 0x1.8c55798ea8dfdp-10, 0x1.7ee0154fa3bcfp-10, 0x1.71e8dbd0bad45p-10, 0x1.656b8abd0efa3p-10, 0x1.5963fe3edcd6bp-10, 0x1.4dce3058aa636p-10, 0x1.42a6384081142p-10, 0x1.37e849bd5af39p-10, 0x1.2d90b486a44bcp-10, 0x1.239be3a5f7044p-10, 0x1.1a065cdaf80f6p-10, 0x1.10ccc00168eb1p-10, 0x1.07ebc67971b5ep-10, 0x1.fec08524312d3p-11, 0x1.ee4e3debee775p-11, 0x1.de7abc3442c93p-11, 0x1.cf40335e93edap-11, 0x1.c099042a3db4p-11, 0x1.b27fbb9fbc2adp-11, 0x1.a4ef120047772p-11, 0x1.97e1e9b9df069p-11, 0x1.8b534e5fc0f67p-11, 0x1.7f3e73a74e5c2p-11, 0x1.739eb469524cbp-11, 0x1.686f91a7ae913p-11, 0x1.5dacb19763ac1p-11, 0x1.5351deaef0cfp-11, 0x1.495b06b90826ap-11, 0x1.3fc439eb8b8ccp-11, 0x1.3689aa02d047dp-11, 0x1.2da7a9612061fp-11, 0x1.251aaa326faf4p-11, 0x1.1cdf3d943fc8fp-11, 0x1.14f212c1a9c16p-11, 0x1.0d4ff64381694p-11, 0x1.05f5d1248e89bp-11, 0x1.fdc1505397be1p-12, 0x1.f01b361d52afbp-12, 0x1.e2f3c78a8013fp-12, 0x1.d645ab74e6b5ep-12, 0x1.ca0bba3be4274p-12, 0x1.be40fc5c166c4p-12, 0x1.b2e0a90ea01bp-12, 0x1.a7e624efe683fp-12, 0x1.9d4d00adb60fbp-12, 0x1.9310f7bcbd11ap-12, 0x1.892def1537abfp-12, 0x1.7f9ff3f6c3516p-12, 0x1.76633ab337365p-12, 0x1.6d741d806f3acp-12, 0x1.64cf1b50efa17p-12, 0x1.5c70d6b3485b5p-12, 0x1.545614b821635p-12, 0x1.4c7bbbded2e47p-12, 0x1.44ded308763fp-12, 0x1.3d7c807154e91p-12, 0x1.365208b096fbdp-12, 0x1.2f5ccdbe2051cp-12, 0x1.289a4dfe81309p-12, 0x1.22082354dd371p-12, 0x1.1ba4023ab3d9ap-12, 0x1.156bb8dd6fd9ap-12, 0x1.0f5d2e41a81aap-12, 0x1.0976616bf0f3fp-12, 0x1.03b5688f307d8p-12, 0x1.fc30e080a4845p-13, 0x1.f13b755e99ab5p-13, 0x1.e6873dcaa6f38p-13, 0x1.dc111010576d7p-13, 0x1.d1d5e944ff728p-13, 0x1.c7d2ebe23fe59p-13, 0x1.be055e6a2c863p-13, 0x1.b46aaa14f14e8p-13, 0x1.ab005987b51cp-13, 0x1.a1c41794a8852p-13, 0x1.98b3ae03f0b24p-13, 0x1.8fcd04655fd0dp-13, 0x1.870e1eeab4de6p-13, 0x1.7e751d4a4a7adp-13, 0x1.760039a9f94dfp-13, 0x1.6dadc792082cdp-13, 0x1.657c32e8042a5p-13, 0x1.5d69fef147d32p-13, 0x1.5575c55d1777ap-13, 0x1.4d9e35561aaa1p-13, 0x1.45e2129b161f8p-13, 0x1.3e40349ead341p-13, 0x1.36b785ae19f52p-13, 0x1.2f47021e96575p-13, 0x1.27edb7816e7c9p-13, 0x1.20aac3de7962ap-13, 0x1.197d54f4e8aafp-13, 0x1.1264a78239701p-13, 0x1.0b60068f2c0ap-13, 0x1.046ecac29137cp-13, 0x1.fb20b373be542p-14, 0x1.ed884ace9ec84p-14, 0x1.e01356eaea74ap-14, 0x1.d2c0e960539d9p-14, 0x1.c59028e5466dap-14, 0x1.b88050352e82bp-14, 0x1.ab90ad00a31ccp-14, 0x1.9ec09ee72965ap-14, 0x1.920f967a4f37p-14, 0x1.857d1449ebbfdp-14, 0x1.7908a7f9394bp-14, 0x1.6cb1ef5c983c6p-14, 0x1.6078959fba69bp-14, 0x1.545c52740121ap-14, 0x1.485ce946d0cep-14, 0x1.3c7a287fa6dafp-14, 0x1.30b3e8c5b7843p-14, 0x1.250a0c4ce22d8p-14, 0x1.197c7e29c32a7p-14, 0x1.0e0b31acb47b9p-14, 0x1.02b621c386612p-14, 0x1.eefaa0c384bdp-15, 0x1.d8c18bde893adp-15, 0x1.c2c1217a01484p-15, 0x1.acf988ff7c0d6p-15, 0x1.976af3a148015p-15, 0x1.82159b66c8755p-15, 0x1.6cf9c243b698cp-15, 0x1.5817b139f77eep-15, 0x1.436fb785b21eap-15, 0x1.2f0229d35779ep-15, 0x1.1acf617f472d6p-15, 0x1.06d7bbdeca82dp-15, 0x1.e637332427c14p-16, 0x1.bf36bbbdf2e75p-16, 0x1.98aedc2843df4p-16, 0x1.72a061e8c2ee3p-16, 0x1.4d0c1c53f0f97p-16, 0x1.27f2db82eebb4p-16, 0x1.03556f58081c3p-16, 0x1.be694d22f7003p-17, 0x1.77229bd412079p-17, 0x1.30d85e8d9037bp-17, 0x1.d71843c724e9fp-18, 0x1.4e7ed3846c4afp-18, 0x1.8fcec04d9e4aep-19, 0x1.0d531bdd89eabp-20, -0x1.f9b19d2db4f1cp-21, -0x1.7f6dccc1b5bebp-19, -0x1.3e2ac505804c7p-18, -0x1.ba8f62595c6aep-18, -0x1.1a7138eacf92cp-17, -0x1.5690e49de0fa6p-17, -0x1.91a5b103ad4e9p-17, -0x1.cbaead5f1ee49p-17, -0x1.02557e0822e99p-16, -0x1.1e4ce98e6b58bp-16, -0x1.39bd3e54f0dddp-16, -0x1.54a62bb3a75eap-16, -0x1.6f076b76ea62dp-16, -0x1.88e0c207ef08dp-16, -0x1.a231fe8f03fd7p-16, -0x1.bafafb0fe614fp-16, -0x1.d33b9c8061008p-16, -0x1.eaf3d2d991e0cp-16, -0x1.0111cc91fe5a3p-15, -0x1.0c657abf5e592p-15, -0x1.1774fc9104f5dp-15, -0x1.2240602ea6ef1p-15, -0x1.2cc7b94882194p-15, -0x1.370b21124d0d7p-15, -0x1.410ab63c41e61p-15, -0x1.4ac69cea60db3p-15, -0x1.543efea9fdd7fp-15, -0x1.5d740a65b8602p-15, -0x1.6665f457ee5ap-15, -0x1.6f14f5fbc7a2ap-15, -0x1.77814dfcea479p-15, -0x1.7fab4025eed15p-15, -0x1.8793154dab505p-15, -0x1.8f391b43644fdp-15, -0x1.969da4b9fd9dbp-15, -0x1.9dc1093232d5cp-15, -0x1.a4a3a4e3f5975p-15, -0x1.ab45d8a6fac34p-15, -0x1.b1a809da85e42p-15, -0x1.b7caa24c8ae44p-15, -0x1.bdae10202c32p-15, -0x1.c352c5b3aa936p-15, -0x1.c8b93985d0cp-15, -0x1.cde1e61ae92abp-15, -0x1.d2cd49e14e30ep-15, -0x1.d77be7159b893p-15, -0x1.dbee43a691de9p-15, -0x1.e024e918b59bbp-15, -0x1.e4206469b46cdp-15, -0x1.e7e145f39c474p-15, -0x1.eb68214fed555p-15, -0x1.eeb58d3a9194ap-15, -0x1.f1ca2374c2cd7p-15, -0x1.f4a680a7e6cf6p-15, -0x1.f74b44486bae4p-15, -0x1.f9b91078aca48p-15, -0x1.fbf089ebe335bp-15, -0x1.fdf257c930d07p-15, -0x1.ffbf238ec710fp-15, -0x1.00abcc7a97dbcp-14, -0x1.015e32e9615e8p-14, -0x1.01f71cffa543p-14, -0x1.0276e39beeb37p-14, -0x1.02dde081794e3p-14, -0x1.032c6e4a5b845p-14, -0x1.0362e859d303dp-14, -0x1.0381aaceb5b47p-14, -0x1.0389127609128p-14, -0x1.03797cbdc29d1p-14, -0x1.035347a7b1565p-14, -0x1.0316d1bc944d4p-14, -0x1.02c479ff5e30dp-14, -0x1.025c9fe0a8435p-14, -0x1.01dfa33255678p-14, -0x1.014de41b66b7ap-14, -0x1.00a7c30c03174p-14, -0x1.ffdb416364f28p-15, -0x1.fe3fbbd79cef7p-15, -0x1.fc7db7804e54ap-15, -0x1.fa95f69fc0bd7p-15, -0x1.f8893b9909b95p-15, -0x1.f65848daa1361p-15, -0x1.f403e0c96aa6ap-15, -0x1.f18cc5ac2d218p-15, -0x1.eef3b9977c445p-15, -0x1.ec397e5a18b53p-15, -0x1.e95ed569bf3fap-15, -0x1.e6647fd06f33p-15, -0x1.e34b3e1a240b8p-15, -0x1.e013d04301517p-15, -0x1.dcbef5a5f7871p-15, -0x1.d94d6cebd80e6p-15, -0x1.d5bff3fae21d2p-15, -0x1.d21747e6bf61cp-15, -0x1.ce5424e0f78d6p-15, -0x1.ca774629d55afp-15, -0x1.c6816601bee1bp-15, -0x1.c2733d9aff64fp-15, -0x1.be4d850c02a1fp-15, -0x1.ba10f342019a7p-15, -0x1.b5be3df41f6cfp-15, -0x1.b1561996f2fbp-15, -0x1.acd93950804p-15, -0x1.a8484eec9fe7cp-15, -0x1.a3a40ad1d074ep-15, -0x1.9eed1bf67436fp-15, -0x1.9a242fd678174p-15, -0x1.9549f269633ebp-15, -0x1.905f0e18cf36fp-15, -0x1.8b642bb74490cp-15, -0x1.8659f2777d80dp-15, -0x1.814107e40b904p-15, -0x1.7c1a0fd76006p-15, -0x1.76e5ac7434dep-15, -0x1.71a47e1e5425fp-15, -0x1.6c572373bfe91p-15, -0x1.66fe394633d15p-15, -0x1.619a5a9503617p-15, -0x1.5c2c208750cfdp-15, -0x1.56b422669d98p-15, -0x1.5132f599af5aep-15, -0x1.4ba92d9fcada4p-15, -0x1.46175c0c42e7ap-15, -0x1.407e10825862ep-15, -0x1.3addd8b16a918p-15, -0x1.35374051765cep-15, -0x1.2f8ad11fe24e1p-15, -0x1.29d912dc98b9p-15, -0x1.24228b4766b7ap-15, -0x1.1e67be1da954p-15, -0x1.18a92d183d59dp-15, -0x1.12e757e9b7366p-15, -0x1.0d22bc3cdcc7ap-15, -0x1.075bd5b3622e6p-15, -0x1.01931de4e7d6fp-15, -0x1.f79218bc6acacp-16, }}, 
      {{-0x1.d6630b306b5dcp-1, -0x1.d6539bc59440dp-1, -0x1.d6399bfe2e4ep-1, -0x1.d614ae3ee6154p-1, -0x1.d5e45d74dc98bp-1, -0x1.d5a823824179ap-1, -0x1.d55f6ea6fd62p-1, -0x1.d509a60a824a5p-1, -0x1.d4a62d8680c1dp-1, -0x1.d43468cdc3493p-1, -0x1.d3b3be068f4a3p-1, -0x1.d32397eca1a65p-1, -0x1.d283678c0a75p-1, -0x1.d1d2a5a3bd6ffp-1, -0x1.d110d3bca04cap-1, -0x1.d03d7d0014e16p-1, -0x1.cf5836d77daadp-1, -0x1.ce60a15ce553dp-1, -0x1.cd5667a3d8676p-1, -0x1.cc393fe0864eep-1, -0x1.cb08eb726b2f7p-1, -0x1.c9c536d708e2bp-1, -0x1.c86df9889e301p-1, -0x1.c70315cc3af4fp-1, -0x1.c58478721e704p-1, -0x1.c3f2188ae51b6p-1, -0x1.c24bf713b384ap-1, -0x1.c0921e9b3ea7p-1, -0x1.bec4a2e14eba1p-1, -0x1.bce3a0722279bp-1, -0x1.baef3c3ee41f5p-1, -0x1.b8e7a33433f98p-1, -0x1.b6cd09cfaea5ep-1, -0x1.b49fabb52a111p-1, -0x1.b25fcb444c2f3p-1, -0x1.b00db12f08616p-1, -0x1.ada9ac1175aa2p-1, -0x1.ab34100b5ce7ap-1, -0x1.a8ad365bd548dp-1, -0x1.a6157cff2a5acp-1, -0x1.a36d464f47106p-1, -0x1.a0b4f8a6ce717p-1, -0x1.9decfe0703965p-1, -0x1.9b15c3c099926p-1, -0x1.982fba1f802f9p-1, -0x1.953b5419b5d7dp-1, -0x1.9239070129013p-1, -0x1.8f294a38a9fe5p-1, -0x1.8c0c96ebea577p-1, -0x1.88e367ca87407p-1, -0x1.85ae38c616601p-1, -0x1.826d86d329092p-1, -0x1.7f21cfad3d18ep-1, -0x1.7bcb919d8afdp-1, -0x1.786b4b44a295ep-1, -0x1.75017b66c6778p-1, -0x1.718ea0baf5422p-1, -0x1.6e1339bc8ca07p-1, -0x1.6a8fc47f779fp-1, -0x1.6704be86d02d7p-1, -0x1.6372a49de5ee4p-1, -0x1.5fd9f2b392955p-1, -0x1.5c3b23b7cd8a4p-1, -0x1.5896b17b64a39p-1, -0x1.54ed1491cfa43p-1, -0x1.513ec43501ad4p-1, -0x1.4d8c362b30812p-1, -0x1.49d5deae7490bp-1, -0x1.461c30563825ap-1, -0x1.425f9c025fe53p-1, -0x1.3ea090c819c13p-1, -0x1.3adf7be046b05p-1, -0x1.371cc89768bf8p-1, -0x1.3358e03f07691p-1, -0x1.2f942a207d009p-1, -0x1.2bcf0b7118bf4p-1, -0x1.2809e7478a72fp-1, -0x1.24451e928718ep-1, -0x1.208110109abc3p-1, -0x1.1cbe184914af8p-1, -0x1.18fc91860869ap-1, -0x1.153cd3cf4f3aep-1, -0x1.117f34e6820e9p-1, -0x1.0dc40843de794p-1, -0x1.0a0b9f140af93p-1, -0x1.06564836afdcfp-1, -0x1.02a4503dd87e1p-1, -0x1.fdec02dc295ccp-2, -0x1.f697477e9b2a7p-2, -0x1.ef4af9bc8d076p-2, -0x1.e807a05d7bbfap-2, -0x1.e0cdbd9c4eaap-2, -0x1.d99dcf2debab6p-2, -0x1.d2784e48d7817p-2, -0x1.cb5dafadd4b37p-2, -0x1.c44e63b172345p-2, -0x1.bd4ad646773d6p-2, -0x1.b6536f091fa11p-2, -0x1.af68914b1d25bp-2, -0x1.a88a9c204cc1ap-2, -0x1.a1b9ea6c1287p-2, -0x1.9af6d2ef5535dp-2, -0x1.9441a857061ap-2, -0x1.8d9ab94b31b0cp-2, -0x1.8702507e85bc5p-2, -0x1.8078b4be49affp-2, -0x1.79fe2902baf2ap-2, -0x1.7392ec7fc5ee1p-2, -0x1.6d373ab60f291p-2, -0x1.66eb4b8448074p-2, -0x1.60af5338c2dddp-2, -0x1.5a8382a34187p-2, -0x1.54680726f374dp-2, -0x1.4e5d0acc9e6d5p-2, -0x1.4862b454ea058p-2, -0x1.4279274ac660cp-2, -0x1.3ca08415e87cdp-2, -0x1.36d8e80d57a57p-2, -0x1.31226d8a009f3p-2, -0x1.2b7d2bf9519e7p-2, -0x1.25e937efd1673p-2, -0x1.2066a33bb1977p-2, -0x1.1af57cf7542f8p-2, -0x1.1595d19bc61c1p-2, -0x1.1047ab1320ae8p-2, -0x1.0b0b10cad5179p-2, -0x1.05e007c5df417p-2, -0x1.00c692aed3b7ap-2, -0x1.f77d63d39f4eap-3, -0x1.ed90c74c8537cp-3, -0x1.e3c747e117a08p-3, -0x1.da20d986dfd6p-3, -0x1.d09d6c32bf562p-3, -0x1.c73cebfb17213p-3, -0x1.bdff4139900acp-3, -0x1.b4e450ac7274cp-3, -0x1.abebfb97963eap-3, -0x1.a3161fe4db13fp-3, -0x1.9a6298442e622p-3, -0x1.91d13c4b1c50cp-3, -0x1.8961e093df6cap-3, -0x1.811456dbf7d13p-3, -0x1.78e86e2240234p-3, -0x1.70ddf2c483e1bp-3, -0x1.68f4ae9c8b9d5p-3, -0x1.612c691cad29ap-3, -0x1.5984e76bcaabcp-3, -0x1.51fdec80d3dfbp-3, -0x1.4a97393db9c0bp-3, -0x1.43508c89d2d02p-3, -0x1.3c29a36bc4381p-3, -0x1.35223922cd7a5p-3, -0x1.2e3a073f9abc4p-3, -0x1.2770c5bc7b62ap-3, -0x1.20c62b151bc5p-3, -0x1.1a39ec5da958fp-3, -0x1.13cbbd597049p-3, -0x1.0d7b5090efd2bp-3, -0x1.074857675f455p-3, -0x1.0132822fafeffp-3, -0x1.f673008201219p-4, -0x1.eaba001519a74p-4, -0x1.df395e4e272f5p-4, -0x1.d3f074df70c7ap-4, -0x1.c8de9c1cbc8bep-4, -0x1.be032b1eff457p-4, -0x1.b35d77e7096f3p-4, -0x1.a8ecd77f319f6p-4, -0x1.9eb09e1bf54c9p-4, -0x1.94a81f3bae5d7p-4, -0x1.8ad2adc53b631p-4, -0x1.812f9c25c1e46p-4, -0x1.77be3c6d73293p-4, -0x1.6e7de06b62ffbp-4, -0x1.656dd9c8734c3p-4, -0x1.5c8d7a21540a3p-4, -0x1.53dc131f9e6d9p-4, -0x1.4b58f6920e4e6p-4, -0x1.43037683db47ep-4, -0x1.3adae55338942p-4, -0x1.32de95c6fc583p-4, -0x1.2b0ddb23745c4p-4, -0x1.2368093e6aa64p-4, -0x1.1bec74925ee3ep-4, -0x1.149a7250f71a7p-4, -0x1.0d715874ac5ccp-4, -0x1.06707dd1b8cdfp-4, -0x1.ff2e744c8ef06p-5, -0x1.f1c9cc53d9a8cp-5, -0x1.e4b1b738d658ep-5, -0x1.d7e4eaa78b532p-5, -0x1.cb621e934f5eep-5, -0x1.bf280d50464f5p-5, -0x1.b33573ab9284ep-5, -0x1.a789110249117p-5, -0x1.9c21a75725af4p-5, -0x1.90fdfb6711303p-5, -0x1.861cd4bc7abefp-5, -0x1.7b7cfdc18e815p-5, -0x1.711d43d14ff01p-5, -0x1.66fc77479fa24p-5, -0x1.5d196b9035577p-5, -0x1.5372f73493e2fp-5, -0x1.4a07f3e8fc3dfp-5, -0x1.40d73e986d2p-5, -0x1.37dfb76fb02bfp-5, -0x1.2f2041e77bbaap-5, -0x1.2697c4cdb864ap-5, -0x1.1e452a4de39b6p-5, -0x1.16275ff8a1f7ep-5, -0x1.0e3d56ca82a6cp-5, -0x1.06860331f939bp-5, -0x1.fe00ba293021bp-6, -0x1.ef56bfa71dc51p-6, -0x1.e10c149ee76adp-6, -0x1.d31ebdd6bcca9p-6, -0x1.c58cc71eb68a9p-6, -0x1.b854435473992p-6, -0x1.ab734c6580327p-6, -0x1.9ee8035088af5p-6, -0x1.92b0902570bep-6, -0x1.86cb22044a17fp-6, -0x1.7b35ef1b43553p-6, -0x1.6fef34a390fb1p-6, -0x1.64f536dd5b529p-6, -0x1.5a46410ac6241p-6, -0x1.4fe0a56a07c9fp-6, -0x1.45c2bd2ead278p-6, -0x1.3beae87a0a855p-6, -0x1.32578e52e05b7p-6, -0x1.29071c9c45a16p-6, -0x1.1ff8080bd90c8p-6, -0x1.1728cc1f41ae2p-6, -0x1.0e97eb110fd51p-6, -0x1.0643edccf9f93p-6, -0x1.fc56c7c714349p-7, -0x1.ec99c6fa75b9dp-7, -0x1.dd4e129a15766p-7, -0x1.ce70f10531fabp-7, -0x1.bfffb5778810fp-7, -0x1.b1f7bfebb535ap-7, -0x1.a4567cfcc4248p-7, -0x1.971965c6f18cap-7, -0x1.8a3dffc7bf701p-7, -0x1.7dc1dcbd545f1p-7, -0x1.71a29a8537711p-7, -0x1.65dde2fa83bacp-7, -0x1.5a716bd383c43p-7, -0x1.4f5af67ed6c71p-7, -0x1.4498500024361p-7, -0x1.3a2750cc5cd81p-7, -0x1.3005dca5a5c24p-7, -0x1.2631e276e7d75p-7, -0x1.1ca95c2f15f3ep-7, -0x1.136a4e9c2e6c7p-7, -0x1.0a72c94602b3ep-7, -0x1.01c0e648cd539p-7, -0x1.f2a5945f395d9p-8, -0x1.e24d479d3b5efp-8, -0x1.d275583a9602cp-8, -0x1.c31a4c2110ea7p-8, -0x1.b438bce968836p-8, -0x1.a5cd578f6155ep-8, -0x1.97d4dc25e1854p-8, -0x1.8a4c1d8b1622bp-8, -0x1.7d30011cb4a59p-8, -0x1.707d7e6c618b7p-8, -0x1.64319ef4495a5p-8, -0x1.58497dcbf39efp-8, -0x1.4cc2475d5c496p-8, -0x1.4199391a5bd97p-8, -0x1.36cba132687e2p-8, -0x1.2c56de48b777ap-8, -0x1.22385f2ac7bffp-8, -0x1.186da2875f422p-8, -0x1.0ef436a5fe025p-8, -0x1.05c9b91ed4b81p-8, -0x1.f9d7ad267e47fp-9, -0x1.e8b094cd9884ep-9, -0x1.d819bcf1b3687p-9, -0x1.c80ed5bd908dp-9, -0x1.b88bab3d9965ep-9, -0x1.a98c24d6cbc31p-9, -0x1.9b0c44bef308fp-9, -0x1.8d082776371e5p-9, -0x1.7f7c03421433ap-9, -0x1.726427a9b1429p-9, -0x1.65bcfcf3abc9bp-9, -0x1.598303a558348p-9, -0x1.4db2d4037db0cp-9, -0x1.42491d9492831p-9, -0x1.3742a6a481db8p-9, -0x1.2c9c4bc9f7ca7p-9, -0x1.2252ff6d44c84p-9, -0x1.1863c950c7ed8p-9, -0x1.0ecbc61afd20bp-9, -0x1.058826e217956p-9, -0x1.f92c61728503p-10, -0x1.e7e6787eeaea8p-10, -0x1.d7396a5fe254p-10, -0x1.c72033e8ac49cp-10, -0x1.b795f670bfbf3p-10, -0x1.a895f6fe846d3p-10, -0x1.9a1b9d75511ap-10, -0x1.8c2273c6b2ec9p-10, -0x1.7ea62526f289fp-10, -0x1.71a27d44e9009p-10, -0x1.65136785097aap-10, -0x1.58f4ee3fbabe8p-10, -0x1.4d433a02e0f67p-10, -0x1.41fa90d6a9c1fp-10, -0x1.3717558591915p-10, -0x1.2c9606e79ca7ep-10, -0x1.22733f30b764p-10, -0x1.18abb3424fcf8p-10, -0x1.0f3c32000d73fp-10, -0x1.0621a3a7a754ep-10, -0x1.fab21257c0cc4p-11, -0x1.e9bef7251dce2p-11, -0x1.d96456ab7393cp-11, -0x1.c99cbf8f79384p-11, -0x1.ba62ecf4dd20ap-11, -0x1.abb1c55289c78p-11, -0x1.9d84594cd34b3p-11, -0x1.8fd5e2957e342p-11, -0x1.82a1c2d1922b9p-11, -0x1.75e38284e5b7p-11, -0x1.6996d003570a3p-11, -0x1.5db77e679f04ep-11, -0x1.5241848faf7f9p-11, -0x1.4730fc1e898a3p-11, -0x1.3c8220837f002p-11, -0x1.32314e06ca0d5p-11, -0x1.283b00db6aa78p-11, -0x1.1e9bd43639ff3p-11, -0x1.1550816a1fa33p-11, -0x1.0c55df0958219p-11, -0x1.03a8e00bb9c71p-11, -0x1.f68d25f3cfe8cp-12, -0x1.e658423abc22bp-12, -0x1.d6ad9b6a8c5bbp-12, -0x1.c787ea6006734p-12, -0x1.b8e218d2be90fp-12, -0x1.aab73fda98a57p-12, -0x1.9d02a67e441bdp-12, -0x1.8fbfc04a914cfp-12, -0x1.82ea2bf27e08cp-12, -0x1.767db1f7cb45p-12, -0x1.6a76435c04127p-12, -0x1.5ecff859c61dp-12, -0x1.53870f262c2edp-12, -0x1.4897eaba3a4a2p-12, -0x1.3dff11a41c839p-12, -0x1.33b92ce020bdap-12, -0x1.29c306b93f23cp-12, -0x1.201989b111ddbp-12, -0x1.16b9bf6f15409p-12, -0x1.0da0cfb715049p-12, -0x1.04cbff6696c26p-12, -0x1.f8715ef25bce4p-13, -0x1.e7c8b82719141p-13, -0x1.d799372a641dfp-13, -0x1.c7de3b612d6e3p-13, -0x1.b89355136a171p-13, -0x1.a9b443b594ce4p-13, -0x1.9b3cf43e6399dp-13, -0x1.8d297f8873ef8p-13, -0x1.7f7628bfa4511p-13, -0x1.721f5bd9e7289p-13, -0x1.6521ac1b46d51p-13, -0x1.5879d2a4e228dp-13, -0x1.4c24ad0ea500cp-13, -0x1.401f3c0b7d00fp-13, -0x1.3466a217d6383p-13, -0x1.28f82232179c7p-13, -0x1.1dd11e9cf7be4p-13, -0x1.12ef17ab60bdp-13, -0x1.084faa95b2da5p-13, -0x1.fbe120b0610b8p-14, -0x1.e79f3934ab798p-14, -0x1.d3d5793dd265dp-14, -0x1.c07fec792d404p-14, -0x1.ad9acdbda9e9p-14, -0x1.9b22851dd5bc8p-14, -0x1.8913a609bf1b7p-14, -0x1.776aed8046954p-14, -0x1.6625404f80f59p-14, -0x1.553fa963ca5cep-14, -0x1.44b7582529d68p-14, -0x1.34899ee2abb57p-14, -0x1.24b3f14b54532p-14, -0x1.1533e2f453a35p-14, -0x1.060725ec2128fp-14, -0x1.ee5712b45405dp-15, -0x1.d13df05577b72p-15, -0x1.b4beef8db18eap-15, -0x1.98d64daf4c25ep-15, -0x1.7d80782a3f6e8p-15, -0x1.62ba0a3f9121fp-15, -0x1.487fcaca0be22p-15, -0x1.2eceaa1bb7274p-15, -0x1.15a3bfef80f47p-15, -0x1.f9f892dd03fddp-16, -0x1.c9ab4e90aa5b2p-16, -0x1.9a5ab7bbd9d69p-16, -0x1.6c0212fcdb338p-16, -0x1.3e9ce16aeba51p-16, -0x1.1226dd54c5f2bp-16, -0x1.cd37ee4010aap-17, -0x1.77f0a49128231p-17, -0x1.247084fdc6fcep-17, -0x1.a5612391b18e3p-18, -0x1.055445949d611p-18, -0x1.a2b702d542a0bp-20, 0x1.84f418ac2759cp-21, 0x1.8d381fc1bf154p-19, 0x1.5955eab7fb1bep-18, 0x1.e8d69c236d05cp-18, 0x1.3a941c27f20c4p-17, 0x1.7f2a336bd84cfp-17, 0x1.c2323519083ffp-17, 0x1.01d849b2d0e72p-16, 0x1.21d4ca720cda6p-16, 0x1.4110abde25cf2p-16, 0x1.5f8dea5e8d0b9p-16, 0x1.7d4e7123fd465p-16, 0x1.9a541b8be2e49p-16, 0x1.b6a0b671fa2dap-16, 0x1.d2360170cef38p-16, 0x1.ed15b011b44aap-16, 0x1.03a0b5766292bp-15, 0x1.105d685cc3a86p-15, 0x1.1cc1bba85d393p-15, 0x1.28ce764fefc55p-15, 0x1.34845bc77e6cbp-15, 0x1.3fe42c6c92ce8p-15, 0x1.4aeea5ec21866p-15, 0x1.55a483a24c86bp-15, 0x1.60067ef43e0afp-15, 0x1.6a154fa45f80fp-15, 0x1.73d1ac2115d86p-15, 0x1.7d3c49ce4a8ebp-15, 0x1.8655dd49eb429p-15, 0x1.8f1f1aab9b411p-15, 0x1.9798b5bfc587fp-15, 0x1.9fc3623e4378ep-15, 0x1.a79fd3fcc2671p-15, 0x1.af2ebf1d1f7a1p-15, 0x1.b670d837dd90cp-15, 0x1.bd66d482e343ap-15, 0x1.c41169f4b14c3p-15, 0x1.ca714f642ff27p-15, 0x1.d0873ca542565p-15, 0x1.d653eaa2439cbp-15, 0x1.dbd8137292bf4p-15, 0x1.e114726e51c05p-15, 0x1.e609c43f79c2ap-15, 0x1.eab8c6f067558p-15, 0x1.ef2239f7fd384p-15, 0x1.f346de437f168p-15, 0x1.f727763e42255p-15, 0x1.fac4c5d74e4a5p-15, 0x1.fe1f9285114dbp-15, 0x1.009c51a39d379p-14, 0x1.020860536d3b1p-14, 0x1.03545a5a725b3p-14, 0x1.0480a58391283p-14, 0x1.058da859dc6b7p-14, 0x1.067bca25a8d5fp-14, 0x1.074b72e9005b1p-14, 0x1.07fd0b5b7b84ep-14, 0x1.0890fce58f88cp-14, 0x1.0907b19b55f85p-14, 0x1.09619436dc78cp-14, 0x1.099f101200d32p-14, 0x1.09c0911fe628p-14, 0x1.09c683e6087fap-14, 0x1.09b15574f9578p-14, 0x1.09817360ca0b3p-14, 0x1.09374bb92dd18p-14, 0x1.08d34d015a27dp-14, 0x1.0855e627aa592p-14, 0x1.07bf867d0f807p-14, 0x1.07109dac5129fp-14, 0x1.06499bb124b37p-14, 0x1.056af0cf22cf4p-14, 0x1.04750d889e669p-14, 0x1.0368629562fc9p-14, 0x1.024560d95f401p-14, 0x1.010c795b41beep-14, 0x1.ff7c3a7613697p-15, 0x1.fcb57b5125429p-15, 0x1.f9c597b4393fdp-15, 0x1.f6ad7205af428p-15, 0x1.f36dec92e5ef6p-15, 0x1.f007e97d6b12fp-15, 0x1.ec7c4aa8453d9p-15, 0x1.e8cbf1a5591e2p-15, 0x1.e4f7bfa2f4b1p-15, 0x1.e100955982c96p-15, 0x1.dce752f96d141p-15, 0x1.d8acd819303p-15, 0x1.d45203a3aa234p-15, 0x1.cfd7b3c6a04d4p-15, 0x1.cb3ec5e18a84ep-15, 0x1.c68816749da05p-15, 0x1.c1b481101ec42p-15, 0x1.bcc4e044008dap-15, 0x1.b7ba0d8fcd58p-15, 0x1.b294e152e0684p-15, 0x1.ad5632bcf30b9p-15, 0x1.a7fed7befc939p-15, 0x1.a28fa4fc69df6p-15, 0x1.9d096dbcad29cp-15, 0x1.976d03dd27318p-15, 0x1.91bb37c36d55ap-15, 0x1.8bf4d84feb92p-15, 0x1.861ab2d0e36f6p-15, 0x1.802d92f5ce646p-15, 0x1.7a2e42c319909p-15, 0x1.741d8a864825cp-15, 0x1.6dfc30ca72c5fp-15, 0x1.67cafa4d29f55p-15, 0x1.618aa9f3bbfcdp-15, 0x1.5b3c00c0d8d5dp-15, 0x1.54dfbdca9b536p-15, 0x1.4e769e30f4a71p-15, 0x1.48015d1475934p-15, 0x1.4180b38d7f038p-15, 0x1.3af558a3ce294p-15, 0x1.346001466dd59p-15, 0x1.2dc1604405dc3p-15, 0x1.271a26438937dp-15, 0x1.206b01bd4575bp-15, 0x1.19b49ef44e01p-15, 0x1.12f7a7f047439p-15, 0x1.0c34c4778ac56p-15, 0x1.056c9a09aa0d1p-15, 0x1.fd3f97b494fb9p-16, 0x1.ef9df598b2f5cp-16, 0x1.e1f58adb37655p-16, 0x1.d4478fe522275p-16, 0x1.c69538655d03fp-16, 0x1.b8dfb349dfa34p-16, 0x1.ab282ab96f26ep-16, 0x1.9d6fc40e0c254p-16, 0x1.8fb79fcffad84p-16, 0x1.8200d9b17278cp-16, 0x1.744c888adb46ap-16, 0x1.669bbe57b7578p-16, 0x1.58ef88340f43p-16, 0x1.4b48ee5a83198p-16, 0x1.3da8f422de805p-16, 0x1.3010980142aebp-16, 0x1.2280d385d72a9p-16, 0x1.14fa9b5d02b52p-16, 0x1.077edf502a3f2p-16, 0x1.f41d148de03f6p-17, 0x1.d9550491dd06ep-17, 0x1.bea750ffeb71fp-17, 0x1.a415b2757179cp-17, 0x1.89a1d7dfecddcp-17, 0x1.6f4d6684237d2p-17, 0x1.5519fa06302fdp-17, 0x1.3b0924727206fp-17, 0x1.211c6e473d885p-17, 0x1.0755567f691c3p-17, 0x1.db6aa53b2e911p-18, 0x1.a87b9d7086aap-18, 0x1.75e05b0d1120ap-18, 0x1.439b90db3926ap-18, 0x1.11afdf1df2f5ap-18, 0x1.c03fa75cc01a2p-19, 0x1.5ddbd435708b8p-19, 0x1.f8722f19bfcccp-20, 0x1.36b8402e2bba7p-20, 0x1.da4bc5d14e09cp-22, -0x1.1fd3b954de4b4p-22, -0x1.04d6d6eb06204p-20, -0x1.c00a85ee3fef4p-20, -0x1.3cc3ff251d733p-19, -0x1.98a3c3cb28729p-19, -0x1.f3a0d6ba17ac7p-19, -0x1.26dbcfbaaee14p-18, -0x1.5372536f6db68p-18, -0x1.7f924b7094896p-18, -0x1.ab3a1d0c32401p-18, -0x1.d6683dbcce9eap-18, -0x1.008d997e3b7bfp-17, -0x1.15a8c90b95983p-17, -0x1.2a84fffe59b74p-17, -0x1.3f219888f5007p-17, -0x1.537df480bf0b2p-17, -0x1.67997d461d671p-17, -0x1.7b73a3ac70abap-17, -0x1.8f0bdfe1c28bep-17, -0x1.a261b1564f06ap-17, -0x1.b5749ea3d6637p-17, -0x1.c8443574c5659p-17, -0x1.dad00a6b3f3a4p-17, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      52, 0x1.199999999999ap+2, 0x1.70ac8902b0281p+1, 0x1.4b03039a2ef1p+1, -0x1.6fb53524d80cdp-6, 
      {{
        {0x1.ccccccccccccdp+0, 0x1.d99999999999ap+0, 0x1.a98a494a78f79p-5, -0x1.b6cddebe02d36p-3, 0x1.3bf7d6adc9bddp-2, -0x1.6b1fccfbb6a49p-3}, 
        {0x1.d99999999999ap+0, 0x1.e666666666666p+0, 0x1.57eaca0584273p-5, -0x1.7a5580394d20bp-3, 0x1.20bbda814f3e4p-2, -0x1.5ad793ed17ee6p-3}, 
        {0x1.e666666666666p+0, 0x1.f333333333333p+0, 0x1.11da029ffac81p-5, -0x1.4330445a2d757p-3, 0x1.06b87c35ed72fp-2, -0x1.4cffc492201f4p-3}, 
        {0x1.f333333333333p+0, 0x1p+1, 0x1.ac9a867d2194ap-6, -0x1.112454063f7d9p-3, 0x1.db7dce22bc7a8p-3, -0x1.3e80a5af683ddp-3}, 
        {0x1p+1, 0x1.0666666666666p+1, 0x1.4889c60522a25p-6, -0x1.c7f68b8c05163p-4, 0x1.abb74ee206716p-3, -0x1.302e5b3807d08p-3}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.eb3100277ac5ep-7, -0x1.76fb89f04b98ep-4, 0x1.7e16c1333878bp-3, -0x1.21d00e9b0bb7ep-3}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.63e6fdbbc9c64p-7, -0x1.2ee977ff6ab7ap-4, 0x1.529df23590501p-3, -0x1.1374f62925b5ap-3}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.ef766a46ea572p-8, -0x1.dea4116067153p-5, 0x1.294c66e29775p-3, -0x1.05190f3081af9p-3}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.46bee55a393efp-8, -0x1.6f8df05bb3822p-5, 0x1.02223e34ea674p-3, -0x1.ed7a5c4f87adep-4}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.8ec67a66f258bp-9, -0x1.0fb3ff429b9fap-5, 0x1.ba3eee911a0e2p-4, -0x1.d0c407cc4b178p-4}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.addde8e57256fp-10, -0x1.7c736c20a9f5dp-6, 0x1.7487ed65a8649p-4, -0x1.b407f130502f6p-4}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.6b3ee5ba7c064p-11, -0x1.e909f07d23ee5p-7, 0x1.33205604cf904p-4, -0x1.9761756905294p-4}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.fe37375de1f3ep-14, -0x1.0bc7d68ef3f42p-7, 0x1.ec09d59d50c7dp-5, -0x1.7a6a5067ca87cp-4}, 
        {0x1.399999999999ap+1, 0x1.4p+1, -0x1.371aa7e9865a1p-13, -0x1.76ae40b52d3cep-9, 0x1.7a838a4afa6b4p-5, -0x1.5ea0357986f07p-4}, 
        {0x1.4p+1, 0x1.4666666666666p+1, -0x1.870a34ac5eb01p-13, 0x1.25951f7434297p-10, 0x1.11537a401ebd2p-5, -0x1.3afc86f17608ep-4}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, -0x1.db59651657199p-15, 0x1.fc8428b38b17p-9, 0x1.65a909ef5d0f5p-6, -0x1.0f7f3ae669716p-4}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.810d1aaab7329p-13, 0x1.6cbe1b7f25cc2p-8, 0x1.8586339708614p-7, -0x1.ca5e2d53abaa6p-5}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.fc25d1bda0b71p-12, 0x1.9f25379336c5fp-8, 0x1.ca0394c6858a5p-9, -0x1.751bb85cdba55p-5}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.a5ba2fc0d470ep-11, 0x1.9fa8da5a20e93p-8, -0x1.b57225b1f007bp-9, -0x1.2007a5bfbcf53p-5}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.22a7fd93580fbp-10, 0x1.7881681f53d02p-8, -0x1.1a2decdf86facp-7, -0x1.95b86c7302d94p-6}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.678095a33eb1ap-10, 0x1.33e5e39302f9p-8, -0x1.93e5409ba16ebp-7, -0x1.d77f5ff821bf2p-7}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.9c88505b3d0d1p-10, 0x1.b817c6961646cp-9, -0x1.da9ec2340ce55p-7, -0x1.01f48c0510e1bp-8}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.beeb9e368401p-10, 0x1.ecc03f878074ap-10, -0x1.edf77fe7a15cbp-7, 0x1.97f129fe95b7fp-8}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.cde1efe05660fp-10, 0x1.b7435f9f0528p-12, -0x1.cf5f0327bc881p-7, 0x1.1e5065643da5dp-6}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.caadb63408f09p-10, -0x1.c50bff76bafd2p-11, -0x1.797a17f010708p-7, 0x1.5f760a728dc7ep-6}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.b8817a5de7094p-10, -0x1.e654638c63de9p-10, -0x1.1009e19a7f81ap-7, 0x1.296d3c26a188cp-6}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.9b57e74505b41p-10, -0x1.4e22790bea9b3p-9, -0x1.6d9f058437b01p-8, 0x1.053f13ca31186p-6}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.76cbd2f516be7p-10, -0x1.879588528c65cp-9, -0x1.a1bf267c34777p-9, 0x1.b88fce9144b42p-7}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.4dfd56bf4d5fcp-10, -0x1.a42455557da9dp-9, -0x1.32d1bb7d49ad6p-10, 0x1.69344ad82231dp-7}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.2391cf3a5e39fp-10, -0x1.a8a592391c7b5p-9, 0x1.fa80dfb1e3cc3p-12, 0x1.191f7a414ff55p-7}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.f367b884feb09p-11, -0x1.99e1bc663550ep-9, 0x1.cff93107a5b19p-10, 0x1.92ba0fae827c6p-8}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.a426c1f2d0603p-11, -0x1.7ca467cae3649p-9, 0x1.60ce039e93986p-9, 0x1.e429a65f56068p-9}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.5bcb078ca343ep-11, -0x1.55bb02fb98781p-9, 0x1.a96ddc9346e5fp-9, 0x1.5530e408bd4c6p-10}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.1bc95cabebed2p-11, -0x1.29e87b6e1d77fp-9, 0x1.c304ba7a5518bp-9, -0x1.573a4b17edbd8p-10}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.c942366a4389bp-12, -0x1.fc2fd0d9102eap-10, 0x1.a946c1a556776p-9, -0x1.42b72882aa334p-9}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.6bcdd9701b764p-12, -0x1.abf8e4538e3ep-10, 0x1.78de7b91bcefdp-9, -0x1.1ab6d23ea746bp-9}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.1d76dda658209p-12, -0x1.64d6d1538200bp-10, 0x1.4e76426ebd71cp-9, -0x1.0f572d133a755p-9}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.b9075e5c3873cp-13, -0x1.2604503c5e458p-10, 0x1.25c2c878a7e04p-9, -0x1.f897a0b28be97p-10}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.4eaafa9aa4116p-13, -0x1.de1925e4c09bfp-11, 0x1.ffd538d687905p-10, -0x1.d69d4181b45dcp-10}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.f1a0e9baadb96p-14, -0x1.7eca766378d7fp-11, 0x1.b93da236461c1p-10, -0x1.b388e861a4bbap-10}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.694a7086878b4p-14, -0x1.2d1363ac007e6p-11, 0x1.77e918f46d66bp-10, -0x1.90c01cbb66cf5p-10}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.fe30d8d3b3b3ap-15, -0x1.cfcf4d957477ep-12, 0x1.3bcc47d8512d8p-10, -0x1.6de3151d169ccp-10}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.5c7799918e97bp-15, -0x1.5c779a7070d64p-12, 0x1.04ea37e0c0fcdp-10, -0x1.4b0b6fe542375p-10}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.c942366a43902p-16, -0x1.fc10ad9c1d2c6p-13, 0x1.a68434965481fp-11, -0x1.28327d0b8bf55p-10}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.1d76dda658291p-16, -0x1.64d495d66f4a1p-13, 0x1.4da8424610ebep-11, -0x1.05595e52e4edap-10}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.4eaafa9aa4293p-17, -0x1.de18cec671a2dp-14, 0x1.fe814bf3fee35p-12, -0x1.c504796fc8871p-11}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.694a708687b9fp-18, -0x1.2d137000085aep-14, 0x1.76998dec0f883p-12, -0x1.7f46a50a67714p-11}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.5c7799918efdfp-19, -0x1.5c7711a0a00b8p-15, 0x1.039df6028a179p-12, -0x1.39c31b274c325p-11}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.1d76dda658d7fp-20, -0x1.64d88bad04caep-16, 0x1.4afa0eed8011dp-13, -0x1.e6cbf0d4c939p-12}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.694a70868a4p-22, -0x1.2cf5c8a077364p-17, 0x1.71e026f4edcf6p-14, -0x1.6069dd24f1a34p-12}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.1d76dda663p-24, -0x1.668e3276d6135p-19, 0x1.3cdade23ecdc7p-15, -0x1.84b46801a7163p-13}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.1d76dda6bp-28, -0x1.31538cd279218p-22, 0x1.4e874bbeef3ffp-17, -0x1.0419758aae85bp-12}, 
      }}, 
      0x1.e97df6c617fd8p-9, -0x1.793a0f5bb2343p-6
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_h_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.d6769e51e46d5p-13, 0x1.d375c0499ed5p-11, 0x1.044e86c318b6ep-9, 0x1.c923a063aaf7ep-9, 0x1.5fdc04c8aea07p-8, 0x1.f21e133e5c473p-8, 0x1.4cc653bcb8a91p-7, 0x1.a9f5eb6caa879p-7, 0x1.07d45deb2b591p-6, 0x1.3e6f4d45e9b0dp-6, 0x1.785443bbff811p-6, 0x1.b509005cb3b97p-6, 0x1.f4258932472fp-6, 0x1.1a984a56676ebp-5, 0x1.3bece4ba34d82p-5, 0x1.5ddc0fff8bfe9p-5, 0x1.803df2a2cfe1dp-5, 0x1.a2e839ba127b1p-5, 0x1.c5b88feb657bp-5, 0x1.e88b89686eff4p-5, 0x1.05a15db201c2p-4, 0x1.16e0ad102010dp-4, 0x1.27f709abf8e28p-4, 0x1.38d8de5960bfbp-4, 0x1.497b83f69aaabp-4, 0x1.59d5f4e7ddd77p-4, 0x1.69dee8c621f11p-4, 0x1.798f4587ffdfcp-4, 0x1.88e05f556809ap-4, 0x1.97cc568e87e89p-4, 0x1.a64ded58d60d5p-4, 0x1.b46097481b4dcp-4, 0x1.c200ae351e8ccp-4, 0x1.cf2b39f79ec29p-4, 0x1.dbdd563fee294p-4, 0x1.e8144a20bafa8p-4, 0x1.f3ce7940e0ae4p-4, 0x1.ff0b80e42c6a1p-4, 0x1.04e56f676f3a5p-3, 0x1.0a05837a8cd44p-3, 0x1.0ee5304d728bbp-3, 0x1.13847aff68507p-3, 0x1.17e45d612f12fp-3, 0x1.1c060d75501bap-3, 0x1.1fea368498bc5p-3, 0x1.2390e53dc161p-3, 0x1.26fa250d79f53p-3, 0x1.2a26b52ee1151p-3, 0x1.2d1842933dd63p-3, 0x1.2fd1096be05c9p-3, 0x1.32533215712c4p-3, 0x1.34a0584c56c91p-3, 0x1.36b97953febb1p-3, 0x1.389f40ea85f31p-3, 0x1.3a4fb405b508cp-3, 0x1.3bd26159a32c2p-3, 0x1.3d26ceeda860bp-3, 0x1.3e4ea86742e6cp-3, 0x1.3f4b8db029592p-3, 0x1.401f1959cb6d5p-3, 0x1.40caef351d14ep-3, 0x1.4150c3f05a10dp-3, 0x1.41b25548eb25p-3, 0x1.41f1577937902p-3, 0x1.420f66f569facp-3, 0x1.420e084e313b8p-3, 0x1.41eeb5634e7dap-3, 0x1.41b2ecfd2c974p-3, 0x1.415c39cd2b1e5p-3, 0x1.40ec2cbdde6b1p-3, 0x1.40644ee515983p-3, 0x1.3fc614d9a969ap-3, 0x1.3f12d988a71dcp-3, 0x1.3e4be2a420829p-3, 0x1.3d726a1b5f1cp-3, 0x1.3c87a6e4c8b55p-3, 0x1.3b8cd03bc1a7dp-3, 0x1.3a831ace27bb5p-3, 0x1.396bb251fbdacp-3, 0x1.3847b32c43826p-3, 0x1.3718277b64423p-3, 0x1.35de08417fbc6p-3, 0x1.349a415edb71fp-3, 0x1.334db63e872c2p-3, 0x1.31f9445e0d19p-3, 0x1.309dc407647ep-3, 0x1.2f3c06436c1cfp-3, 0x1.2dd4d1fa9cef3p-3, 0x1.2c68e158b8dc1p-3, 0x1.2af8e06f47fbep-3, 0x1.29856e7e85978p-3, 0x1.280f1a71446dcp-3, 0x1.26966ed01fcdep-3, 0x1.251bea1b87e88p-3, 0x1.23a0055900eefp-3, 0x1.222333eb57711p-3, 0x1.20a5e3cbced24p-3, 0x1.1f287d355aafcp-3, 0x1.1dab61fc05545p-3, 0x1.1c2eeccb41e6ep-3, 0x1.1ab3706e205afp-3, 0x1.1939375b6f416p-3, 0x1.17c0837fea768p-3, 0x1.16498e6f521cp-3, 0x1.14d489dcd481dp-3, 0x1.1361a06b1c406p-3, 0x1.11f0f6899b74fp-3, 0x1.1082ab6588091p-3, 0x1.0f16d9c31ac13p-3, 0x1.0dad98ad25e95p-3, 0x1.0c46937210e09p-3, 0x1.0ae2abf1ce866p-3, 0x1.098191dbdd263p-3, 0x1.08234f5f2a66dp-3, 0x1.06c7eb02bff3ap-3, 0x1.056f67ab7f8e1p-3, 0x1.0419c4a12f332p-3, 0x1.02c6fdf22f5e4p-3, 0x1.01770c36abb61p-3, 0x1.0029e079c63dfp-3, 0x1.fdbf01981f66ep-4, 0x1.fb2f89b1d28fbp-4, 0x1.f8a5599a146ecp-4, 0x1.f620477cc1fa2p-4, 0x1.f3a02fadf0208p-4, 0x1.f124ed0052d5dp-4, 0x1.eeae58ff43eaep-4, 0x1.ec3c4bd020749p-4, 0x1.e9ce9bebe51ecp-4, 0x1.e7651dd492564p-4, 0x1.e4ffa55e5de45p-4, 0x1.e29dfd639f048p-4, 0x1.e03ff7c2d9fcbp-4, 0x1.dde55ebba7f2dp-4, 0x1.db8dfa683f8f2p-4, 0x1.d939928b066c1p-4, 0x1.d6e7ee27afd2ep-4, 0x1.d498d2f8eb2edp-4, 0x1.d24c0865b6bc4p-4, 0x1.d00156052b3f7p-4, 0x1.cdb884ff05b0cp-4, 0x1.cb71602eef10fp-4, 0x1.c92bb4500ddbp-4, 0x1.c6e75005586e4p-4, 0x1.c4a40441f958ap-4, 0x1.c261a1a33bf5ep-4, 0x1.c01ffd236d945p-4, 0x1.bddeeae2c6b4cp-4, 0x1.bb9e407da7d14p-4, 0x1.b95dcef26d3cp-4, 0x1.b71d7c6053722p-4, 0x1.b4dd0e4e146b2p-4, 0x1.b29c683947f5ap-4, 0x1.b05b5b6db5bf3p-4, 0x1.ae19c2d9a1f5bp-4, 0x1.abd7785c43eacp-4, 0x1.a9945635a10d2p-4, 0x1.a750386cd5496p-4, 0x1.a50afc7e811dcp-4, 0x1.a2c48165da029p-4, 0x1.a07ca857e2914p-4, 0x1.9e3354f0bacdcp-4, 0x1.9be86b3b8526fp-4, 0x1.999bd3ee4737ap-4, 0x1.974d785222055p-4, 0x1.94fd442658c5dp-4, 0x1.92ab2555ed27ap-4, 0x1.90570bafc9272p-4, 0x1.8e00e90a9723dp-4, 0x1.8ba8b0a07214ep-4, 0x1.894e57746be0ep-4, 0x1.86f1d43a9a506p-4, 0x1.84931e1eccfb6p-4, 0x1.82322fe8368f2p-4, 0x1.7fcf026c5e957p-4, 0x1.7d699266402fp-4, 0x1.7b01dc00056adp-4, 0x1.7897de54dfb1ap-4, 0x1.762b980dfcb2fp-4, 0x1.73bd0a025da2p-4, 0x1.714c36287b27p-4, 0x1.6ed91fa1460e7p-4, 0x1.6c63cb07d106dp-4, 0x1.69ec3e3ad2066p-4, 0x1.67728061d226bp-4, 0x1.64f699f69798ap-4, 0x1.6278969dc2d8fp-4, 0x1.5ff87c604c014p-4, 0x1.5d765c9101635p-4, 0x1.5af2431b3166p-4, 0x1.586c3ea3589eap-4, 0x1.55e45f3aa232fp-4, 0x1.535ab5579973fp-4, 0x1.50cf52be066e4p-4, 0x1.4e4249e44de93p-4, 0x1.4bb3ae9cb1b9fp-4, 0x1.49239492a972ap-4, 0x1.4692109bbf1adp-4, 0x1.43ff37af49cbdp-4, 0x1.416b20d208ab5p-4, 0x1.3ed5e11a07e3fp-4, 0x1.3c3f8fb40b10bp-4, 0x1.39a843b23500ap-4, 0x1.3710146b5f1d3p-4, 0x1.3477198bd43b5p-4, 0x1.31dd6afa309efp-4, 0x1.2f4320c036f3p-4, 0x1.2ca852f9b15fp-4, 0x1.2a0d1a0c3a28dp-4, 0x1.27718e575c4ecp-4, 0x1.24d5c83603354p-4, 0x1.2239e011a2a5bp-4, 0x1.1f9dee45a01b7p-4, 0x1.1d020ac4194fep-4, 0x1.1a664e4fd48c6p-4, 0x1.17cad1518f594p-4, 0x1.152faa99ab162p-4, 0x1.1294f24a248e2p-4, 0x1.0ffabfd06724ep-4, 0x1.0d612a45aa2f7p-4, 0x1.0ac849019de4p-4, 0x1.0830322463e64p-4, 0x1.052d8f3c2fec6p-4, 0x1.0290a40ebf41fp-4, 0x1.ffe98e0f4ebf3p-5, 0x1.fab428bccecb4p-5, 0x1.f58150e5441ap-5, 0x1.f0513d6ee056ep-5, 0x1.eb2425b130e5p-5, 0x1.e5fa3fee5d7b4p-5, 0x1.e0d3c141bbd14p-5, 0x1.dbb0dfd442523p-5, 0x1.d691cde4eae9ap-5, 0x1.d176beb05d114p-5, 0x1.cc5fe760c1d76p-5, 0x1.c74d6e236086ap-5, 0x1.c23f8cf1e3df6p-5, 0x1.bd366e13dd922p-5, 0x1.b8323e7db1e36p-5, 0x1.b33329ab58ba1p-5, 0x1.ae395a06fd17p-5, 0x1.a944f7f535db7p-5, 0x1.a4562ef2a1004p-5, 0x1.9f6d184ed9b4dp-5, 0x1.9a89e55d7d5c2p-5, 0x1.95acb7408c93fp-5, 0x1.90d59f4a60de2p-5, 0x1.8c04ddbedb744p-5, 0x1.873a74fef8e2p-5, 0x1.82768c7c57577p-5, 0x1.7db94163e98d1p-5, 0x1.7902a5b92c0b5p-5, 0x1.7452dbe0381fep-5, 0x1.6fa9fe9000fb1p-5, 0x1.6b080edf0e8eap-5, 0x1.666d37bb291dap-5, 0x1.61d985a403cdp-5, 0x1.5d4d13df0a45ep-5, 0x1.58c7dc569e0fep-5, 0x1.544a07abf2011p-5, 0x1.4fd39f9db9999p-5, 0x1.4b64ae58ffc56p-5, 0x1.46fd47780896bp-5, 0x1.429d6d58e385bp-5, 0x1.3e45492d71ff5p-5, 0x1.39f4cb81d831cp-5, 0x1.35ac09a574734p-5, 0x1.316b0f66c70cep-5, 0x1.2d31e799193abp-5, 0x1.29009e3a4b535p-5, 0x1.24d73cab03d26p-5, 0x1.20b5cddb121ep-5, 0x1.1c9c5c7ca21fcp-5, 0x1.188af292f16fdp-5, 0x1.14819238aebd3p-5, 0x1.10805dc5e8d4ep-5, 0x1.0c87470dd804p-5, 0x1.089661187022ap-5, 0x1.04adb3f9e432p-5, 0x1.00cd48de53ea6p-5, 0x1.f9ea5ca7a78aap-6, 0x1.f24ad5c1be924p-6, 0x1.eabc11c46dddcp-6, 0x1.e33e27d7362c6p-6, 0x1.dbd12b7ea6314p-6, 0x1.d4752b1228de9p-6, 0x1.cd2a3b8b97c51p-6, 0x1.c5f074e64b6cap-6, 0x1.bec7e7db7277fp-6, 0x1.b7b0a686eb248p-6, 0x1.b0aaef1113d3cp-6, 0x1.a9b64e968c728p-6, 0x1.a2d35ab369874p-6, 0x1.9c01f81cd5256p-6, 0x1.95425a7a134afp-6, 0x1.8e9423362a5cbp-6, 0x1.87f7cceeafc34p-6, 0x1.816d42a305736p-6, 0x1.7af484817098ep-6, 0x1.748dba45121a7p-6, 0x1.6e38d2a4ccda1p-6, 0x1.67f5dde24df67p-6, 0x1.61c4e5211c5f8p-6, 0x1.5ba5ee15c6ff7p-6, 0x1.5598fdb322f8cp-6, 0x1.4f9e179b293cdp-6, 0x1.49b53e1730849p-6, 0x1.43de72183b6c6p-6, 0x1.3e19b324e230ep-6, 0x1.3867036abf564p-6, 0x1.32c653e4eb62bp-6, 0x1.2d3783de2c644p-6, 0x1.27bb00fe0e2bfp-6, 0x1.225049fd8fecbp-6, 0x1.1cf780fd31853p-6, 0x1.17b091a5a322dp-6, 0x1.127b8aeec9b1ep-6, 0x1.0d584520645a3p-6, 0x1.0846bb205d513p-6, 0x1.0346dc7bd9cc1p-6, 0x1.fcb14090eb679p-7, 0x1.f2f7bdb2ae2b2p-7, 0x1.e961789df8162p-7, 0x1.dfed6a21732c8p-7, 0x1.d69c356830d45p-7, 0x1.cd6d6a63c618bp-7, 0x1.c460d7cdc5876p-7, 0x1.bb764b8f6d357p-7, 0x1.b2ad9190ed5d8p-7, 0x1.aa067418e5114p-7, 0x1.a180ba2dbc61ep-7, 0x1.991c2eab4ac19p-7, 0x1.90d8927511eb5p-7, 0x1.88b5a013d0ee3p-7, 0x1.80b3267ec0a53p-7, 0x1.78d0e09ea6bd5p-7, 0x1.710e8cb31f3d1p-7, 0x1.696bd21d5d2c8p-7, 0x1.61e8aef19d745p-7, 0x1.5a84aa87ea97ep-7, 0x1.533f5f81be306p-7, 0x1.4c18c71c0068ap-7, 0x1.45107851555dfp-7, 0x1.3e262f3ff08dbp-7, 0x1.3759a3bc815b9p-7, 0x1.30aa79b10ed84p-7, 0x1.2a188e9692baap-7, 0x1.23a367d393555p-7, 0x1.1d4acc7d82e13p-7, 0x1.170e93b561abp-7, 0x1.10ee05dc10dc9p-7, 0x1.0ae939817d115p-7, 0x1.04ffbdd4eec2bp-7, 0x1.fe62859ee2a7ep-8, 0x1.f2faf282c0d5p-8, 0x1.e7c821e0c0a1fp-8, 0x1.dcc97bf0ead1fp-8, 0x1.d1fe4beab0113p-8, 0x1.c765ff8c67ce8p-8, 0x1.bcfff57622f5fp-8, 0x1.b2cb8ccc20cf6p-8, 0x1.a8c97976aec3dp-8, 0x1.9ef5119595d9cp-8, 0x1.9551b890426f5p-8, 0x1.8bdd7b43622f7p-8, 0x1.8297ae561146ap-8, 0x1.797fd6977bbb5p-8, 0x1.709531391b3a2p-8, 0x1.67d720dd14828p-8, 0x1.5f4512fffecf2p-8, 0x1.56de64742a88dp-8, 0x1.4ea2792a5f57ep-8, 0x1.4690b56506b89p-8, 0x1.3ea87d4ca56adp-8, 0x1.36e936ae2c9dp-8, 0x1.2f5250b17b877p-8, 0x1.27e2980503a56p-8, 0x1.209b15d0733c6p-8, 0x1.19797f11d8e21p-8, 0x1.127e14059d0cdp-8, 0x1.0ba7faeb77dd2p-8, 0x1.04f6b82836559p-8, 0x1.fcd366bbe697dp-9, 0x1.f000c38a88dbcp-9, 0x1.e374630b5c6f1p-9, 0x1.d72d299193a13p-9, 0x1.cb29fda94508dp-9, 0x1.bf69c920c8f07p-9, 0x1.b3eb7f361e59ap-9, 0x1.a8adf281ccb5dp-9, 0x1.9db033caafb7cp-9, 0x1.92f0a8ba2ef03p-9, 0x1.886fc5a9b4dafp-9, 0x1.7e2b0864b22f4p-9, 0x1.7421e9c55b319p-9, 0x1.6a5366a58735ep-9, 0x1.60be7e33edf19p-9, 0x1.576231fd5d1dap-9, 0x1.4e3d87f738cp-9, 0x1.4551c044acad5p-9, 0x1.3c972b0519444p-9, 0x1.3413697955ccfp-9, 0x1.2bc3790efce71p-9, 0x1.23a64a36637c2p-9, 0x1.1bbae1b6234d7p-9, 0x1.14002be1fd54fp-9, 0x1.0c75c356ef08fp-9, 0x1.051a1cdcd45e4p-9, 0x1.fbd8ef94c1a53p-10, 0x1.edd7d73e84c8p-10, 0x1.e02f0840216c9p-10, 0x1.d2dcd85c95b57p-10, 0x1.c5dee627623e4p-10, 0x1.b933e3d930d5bp-10, 0x1.acd9b0761c2bbp-10, 0x1.a0ceaa29c9fa1p-10, 0x1.9510f7a7266b9p-10, 0x1.899ed41639e2bp-10, 0x1.7e7682a75c625p-10, 0x1.739655fdbb457p-10, 0x1.68f94776f63fdp-10, 0x1.5ea795c77ac4ap-10, 0x1.5495ba939217cp-10, 0x1.4ac5830a100ap-10, 0x1.41356210769dep-10, 0x1.37e3d912639ddp-10, 0x1.2ecf83b0446dcp-10, 0x1.25f6d6df52aaep-10, 0x1.1d588cc8a0804p-10, 0x1.14f359d46a3bdp-10, 0x1.0cc5a2a3973f7p-10, 0x1.04cf08af6c4dcp-10, 0x1.fa1b5b327d869p-11, 0x1.eb01a4d1e7c24p-11, 0x1.dc4bced7b6071p-11, 0x1.cdfafb963f21dp-11, 0x1.c00be32f82eacp-11, 0x1.b27c79c3c87edp-11, 0x1.a54aa5e746e32p-11, 0x1.98746e185a92bp-11, 0x1.8bf8eda417cacp-11, 0x1.7fd2d59ff356bp-11, 0x1.740390adb47bap-11, 0x1.6888443d09587p-11, 0x1.5d5f098474a0bp-11, 0x1.52860e9cb8744p-11, 0x1.478e502edf6b7p-11, 0x1.3d4fdf8b281f8p-11, 0x1.335d5d0ebb59cp-11, 0x1.29b51914f3bfap-11, 0x1.20550d864892fp-11, 0x1.173ad8d45ba78p-11, 0x1.0e6597891c767p-11, 0x1.05d49ceaa8069p-11, 0x1.fb07a3cbc1dc6p-12, 0x1.eae516dc35277p-12, 0x1.db3e3ddf872d4p-12, 0x1.cc0fe27072967p-12, 0x1.bd567b3e9f5d4p-12, 0x1.af0fd6b4c3b44p-12, 0x1.a13820466be04p-12, 0x1.93c828bb04534p-12, 0x1.86ca5014b3a21p-12, 0x1.7a2e1cfba4c23p-12, 0x1.6df6167cdd7a9p-12, 0x1.621eb2e98ecbp-12, 0x1.56a5213179fc5p-12, 0x1.4b8783b7b255cp-12, 0x1.40c26b48b9bdbp-12, 0x1.3651509626fbbp-12, 0x1.2c3a4a652a57cp-12, 0x1.227204f41dc23p-12, 0x1.18f91205969bcp-12, 0x1.0fcd6187391e5p-12, 0x1.06ecbf158c89p-12, 0x1.fca984a66688ep-13, 0x1.ec06c209dbba1p-13, 0x1.dbede78950bf7p-13, 0x1.cc58ead1d02acp-13, 0x1.bd45fdd50cb7bp-13, 0x1.aeb0558c8b35p-13, 0x1.a094505c86463p-13, 0x1.92ee40b0d5a36p-13, 0x1.85ba82a9691a2p-13, 0x1.78fcdfe96b4c7p-13, 0x1.6c9d8ddf8c3a6p-13, 0x1.60acb783b1d8cp-13, 0x1.5521498108232p-13, 0x1.49f7c75f2863ep-13, 0x1.3f2d3de2545ebp-13, 0x1.34bee92a17d94p-13, 0x1.2aa97b4294e21p-13, 0x1.20ea2fbb8d866p-13, 0x1.17779169b55ebp-13, 0x1.0e6438a8b3c7ap-13, 0x1.05974608e1932p-13, 0x1.fa0647c7b274bp-14, 0x1.e9ae3444af0aap-14, 0x1.d9db7fcb27c74p-14, 0x1.ca83e222b1163p-14, 0x1.bbb1659bb7019p-14, 0x1.ad540077c2052p-14, 0x1.9f874181f885bp-14, 0x1.922805c7f5f3fp-14, 0x1.853caf27e3b6ep-14, 0x1.78c13a26bcc33p-14, 0x1.6cb16e3b81133p-14, 0x1.610b0c723595bp-14, 0x1.55c886ec0d30dp-14, 0x1.4ae86686e698fp-14, 0x1.4065cbbef1471p-14, 0x1.363dd574bf79bp-14, 0x1.2c6d6a3747a77p-14, 0x1.22f75c8ace6bbp-14, 0x1.19d695586b783p-14, 0x1.10ed6502f38d9p-14, 0x1.0870be412c587p-14, 0x1.001716d1a95c9p-14, 0x1.f028635810fe1p-15, 0x1.e0ae62e1ab29fp-15, 0x1.d1b63417b49bdp-15, 0x1.c316d09b3a5b3p-15, 0x1.b53fcbba9526ep-15, 0x1.a7b6f5d59e273p-15, 0x1.9a9dfb7cbeeb8p-15, 0x1.8df2cb4c25781p-15, 0x1.81aa55e611a11p-15, 0x1.75ca723cd8586p-15, 0x1.6a4e159019278p-15, 0x1.5f2c1cc121a1bp-15, 0x1.5464051d29677p-15, 0x1.49f45d31c288cp-15, 0x1.4018764b9c4a8p-15, 0x1.360431cb1f903p-15, 0x1.2c7fbbea5c335p-15, 0x1.2346520fcf79dp-15, 0x1.1a535057f210ep-15, 0x1.11a5efe32a914p-15, 0x1.09492f1a14c49p-15, 0x1.010bbbf0a99ddp-15, 0x1.f23335a068e5ap-16, 0x1.e2c4a23006befp-16, 0x1.d3c5d8168185bp-16, 0x1.c53264e1bdd7cp-16, 0x1.b705f9e5a53bcp-16, 0x1.a93bba227d22dp-16, 0x1.9bd2a6f454a1ep-16, 0x1.8f417525fb8fep-16, 0x1.820b6c88d1d82p-16, 0x1.75ace8d0b8261p-16, 0x1.699a478426231p-16, 0x1.5dd91fee13092p-16, 0x1.52619f36edbfap-16, 0x1.473228e5315d5p-16, 0x1.3c4808bd3d76dp-16, 0x1.31a09e56f8f53p-16, 0x1.273989c72ea52p-16, 0x1.1d13dc8307854p-16, 0x1.13227685b569ep-16, 0x1.08c557cf2533ap-16, 0x1.ffcefeef90d3ap-17, 0x1.ed53706b74e42p-17, 0x1.db1d98e2338f3p-17, 0x1.c9528f020441fp-17, 0x1.b7e6f7595db1cp-17, 0x1.a6d6e112c194ep-17, 0x1.961ee7aa2fdf3p-17, 0x1.85bb617b64dffp-17, 0x1.75a3adc8be0eap-17, 0x1.655adacffac25p-17, 0x1.571cfff581562p-17, 0x1.480a9dca6e76cp-17, 0x1.3856d327936dcp-17, 0x1.283ede5137368p-17, 0x1.1b82e016098d2p-17, 0x1.0d639e0ade3cfp-17, 0x1.ff1758c0612cbp-18, 0x1.e3e5400064a43p-18, 0x1.c92c0e305f3bdp-18, 0x1.aee85f0da0928p-18, 0x1.95196524ab45bp-18, 0x1.7b5ceacbd8df4p-18, 0x1.62bee2a70a5acp-18, 0x1.4a3e118738399p-18, 0x1.320a757fce06bp-18, 0x1.1a52399f74c99p-18, 0x1.02f7efbc9a68p-18, 0x1.d7f5258e0cdcfp-19, 0x1.ac90fa7de3451p-19, 0x1.7bdbb8f3b7545p-19, 0x1.5297dc4d7686ep-19, 0x1.2794353a26cbdp-19, 0x1.fa81f4020e6f8p-20, 0x1.a73c346c7842fp-20, 0x1.556a755cc4315p-20, 0x1.0284832e01cc3p-20, 0x1.6b00052a45d17p-21, 0x1.9e277770c9531p-22, 0x1.ae662597a08b7p-24, -0x1.83a89e8973f6dp-23, }}, 
      {{-0x1.53bb8493287b3p-7, -0x1.48b7f4cc0f60bp-6, -0x1.d4e05c0707a33p-6, -0x1.24b72c0c9f0f8p-5, -0x1.51b3b6efabb8ap-5, -0x1.70badba0ae478p-5, -0x1.81a7c66c8431p-5, -0x1.84ba77a13d4d2p-5, -0x1.7a808dacac608p-5, -0x1.63b774ddf297ap-5, -0x1.4135377715ec2p-5, -0x1.13fb2371e2809p-5, -0x1.b9e13d390d644p-6, -0x1.3a374140cefbfp-6, -0x1.55e004815b991p-7, -0x1.be5d940d96969p-11, 0x1.35ce71377a64bp-7, 0x1.4de7656f9af12p-6, 0x1.04b325c244cc2p-5, 0x1.65ebb951fb774p-5, 0x1.c9e304eb3f3c4p-5, 0x1.17f89f7d0f8efp-4, 0x1.4bbeabc98dbcbp-4, 0x1.7ffd39d559447p-4, 0x1.b472dd119c6a4p-4, 0x1.e8e29dd667e3ep-4, 0x1.0e895582d71ep-3, 0x1.286df2626d748p-3, 0x1.4207efb5a57e2p-3, 0x1.5b440457d338cp-3, 0x1.74112b3381231p-3, 0x1.8c608706f8755p-3, 0x1.a4251c25bd019p-3, 0x1.bb53aee18f4bcp-3, 0x1.d1e2d0b5e32dp-3, 0x1.e7ca967f6d09p-3, 0x1.fd03edb21a8c9p-3, 0x1.08c43bd5c654cp-2, 0x1.12a998941650fp-2, 0x1.1c306b213dca4p-2, 0x1.2557a21cad1e8p-2, 0x1.2e1e467b12ef7p-2, 0x1.36836acac7f9ap-2, 0x1.3e8689d1a262p-2, 0x1.4627e21924262p-2, 0x1.4d686c582b10bp-2, 0x1.544975f35da04p-2, 0x1.5acc360ba7ab9p-2, 0x1.60f1a9cc9490bp-2, 0x1.66bac27335d65p-2, 0x1.6c28b52d469b6p-2, 0x1.713d30af6e796p-2, 0x1.75fa58874f0d7p-2, 0x1.7a628fb84202p-2, 0x1.7e787faabe385p-2, 0x1.823d2f0d38d3fp-2, 0x1.85b32e5b9708ap-2, 0x1.88dcb7773734cp-2, 0x1.8bbc045ff249cp-2, 0x1.8e534fc96661dp-2, 0x1.90a4db128fceep-2, 0x1.92b2f1cd5ccd2p-2, 0x1.947fe4f470c8cp-2, 0x1.960e0088bc68dp-2, 0x1.975f8217953e9p-2, 0x1.987696b6821b6p-2, 0x1.9955606f72c68p-2, 0x1.99fdfe7deecbep-2, 0x1.9a7291bfb9f5cp-2, 0x1.9ab53aaae02b7p-2, 0x1.9ac81124cbe38p-2, 0x1.9aad1bd5fe7bdp-2, 0x1.9a664bceac92bp-2, 0x1.99f57c121d72fp-2, 0x1.995c77062d03p-2, 0x1.989cfc1c2f9e5p-2, 0x1.97b8c4f4292c6p-2, 0x1.96b185169ce8dp-2, 0x1.9588e8178da01p-2, 0x1.94408d5f66aaep-2, 0x1.92da04a65d941p-2, 0x1.9156cc26b047ep-2, 0x1.8fb850ca254dep-2, 0x1.8dffefe3e210bp-2, 0x1.8c2ef926551d6p-2, 0x1.8a46b0d1df932p-2, 0x1.884850e7c7b6fp-2, 0x1.863509cb7ebbep-2, 0x1.840e026712c76p-2, 0x1.81d457649e51ap-2, 0x1.7f891cbf421d5p-2, 0x1.7d2d58a7cc6e9p-2, 0x1.7ac20ae41b5p-2, 0x1.784825accb28ep-2, 0x1.75c090fd6c695p-2, 0x1.732c29f3f4b74p-2, 0x1.708bc318aaea2p-2, 0x1.6de024e00edeap-2, 0x1.6b2a0e6baa802p-2, 0x1.686a365154f7p-2, 0x1.65a14b7aeedbep-2, 0x1.62cff5d9bcf17p-2, 0x1.5ff6d6e1879f7p-2, 0x1.5d1689e14a8aep-2, 0x1.5a2fa4292ee89p-2, 0x1.5742b51acc0a7p-2, 0x1.54504625b35d9p-2, 0x1.5158dac2903fep-2, 0x1.4e5cf070f1f8bp-2, 0x1.4b5cfeb673c75p-2, 0x1.485970599edfdp-2, 0x1.4552b07ddb6c5p-2, 0x1.42492a914df86p-2, 0x1.3f3d41be939d6p-2, 0x1.3c2f54b7723b7p-2, 0x1.391fbddebb5a8p-2, 0x1.360ed32e3ef77p-2, 0x1.32fce6d7db33cp-2, 0x1.2fea46af8b81p-2, 0x1.2cd73b7fb064cp-2, 0x1.29c4122c45ecap-2, 0x1.26b107021a914p-2, 0x1.239e5f79271a4p-2, 0x1.208c59536a91p-2, 0x1.1d7b30eac6c8ap-2, 0x1.1a6b2067129b8p-2, 0x1.175c5fca84636p-2, 0x1.144f24ffdf3dbp-2, 0x1.1143a3c3eda5ap-2, 0x1.0e3a0daeb116ap-2, 0x1.0b3292c224ef9p-2, 0x1.082d5deeb3956p-2, 0x1.052a9c257b35p-2, 0x1.022a758e5d38dp-2, 0x1.fe5a213c00812p-3, 0x1.f8652438ea976p-3, 0x1.f2763a1ce89fbp-3, 0x1.ec8da5b947d4ep-3, 0x1.e6aba74fc625cp-3, 0x1.e0d07caf2cf43p-3, 0x1.dafc61983eb9ep-3, 0x1.d52f8ff116f3ap-3, 0x1.cf6a3feb52311p-3, 0x1.c9aca80d4d1bbp-3, 0x1.c3f6fe3c03c0dp-3, 0x1.be4972934ec1ap-3, 0x1.b8a439780173bp-3, 0x1.b3078151f1914p-3, 0x1.ad737798031b9p-3, 0x1.a7e8462650ecfp-3, 0x1.a2661a7181854p-3, 0x1.9ced16e5d2debp-3, 0x1.977d62ea77a8ap-3, 0x1.92172046ab81cp-3, 0x1.8cba703ad9af3p-3, 0x1.876771d99b879p-3, 0x1.821e4276f40a7p-3, 0x1.7cdefde2113b2p-3, 0x1.77a9be7c22022p-3, 0x1.727e9d61e188fp-3, 0x1.6d5db2832f80ap-3, 0x1.684714bfd5fbp-3, 0x1.633ada164a42cp-3, 0x1.5e3917501da38p-3, 0x1.5941e0b9ebc72p-3, 0x1.545549546e002p-3, 0x1.4f7363707a6d9p-3, 0x1.4a9c40629c1c3p-3, 0x1.45cff09b31e19p-3, 0x1.410e836d4dfap-3, 0x1.3c5807394a26ap-3, 0x1.37ac89568591bp-3, 0x1.330c15ebbc5b1p-3, 0x1.2e76b841a78f4p-3, 0x1.29ec7a451845p-3, 0x1.256d64ff731d4p-3, 0x1.20f9805781208p-3, 0x1.1c90d330b34f6p-3, 0x1.1833636e325e1p-3, 0x1.13e135fb769b8p-3, 0x1.0f9a4ed80753ap-3, 0x1.0b5eb123502f3p-3, 0x1.072e5f1ad8af9p-3, 0x1.03095a5831615p-3, 0x1.fddf46e032de3p-4, 0x1.f5c274d4ab497p-4, 0x1.edbc3bb8c224p-4, 0x1.e5cc9c9bea52ap-4, 0x1.ddf38f71a97c8p-4, 0x1.d6310ff58455dp-4, 0x1.ce851754eee7ep-4, 0x1.c6ef9d301549ep-4, 0x1.bf7098621438ap-4, 0x1.b807fe0c927aap-4, 0x1.b0b5c2179094fp-4, 0x1.a979d73900bafp-4, 0x1.a2542eb19df68p-4, 0x1.9b44b88c1dee1p-4, 0x1.944b6383f943ep-4, 0x1.8d681d045bc94p-4, 0x1.869ad13b45477p-4, 0x1.7fe36b0955f75p-4, 0x1.7941d42107b0ap-4, 0x1.72b5f4f6253bep-4, 0x1.6c3fb4c7de918p-4, 0x1.65def9b3f83cdp-4, 0x1.5f93a8ba4e249p-4, 0x1.595da5c105e63p-4, 0x1.533cd3a77cc73p-4, 0x1.4d31144c78f05p-4, 0x1.473a486d3cd65p-4, 0x1.41584ff7592f8p-4, 0x1.3b8b09e151073p-4, 0x1.35d2543676ae3p-4, 0x1.302e0cc3f1288p-4, 0x1.2a9e0e4234e76p-4, 0x1.252235df87f99p-4, 0x1.1fba5de74196ap-4, 0x1.1a6660941c0cdp-4, 0x1.15261718bde2ap-4, 0x1.0ff959752a789p-4, 0x1.0ae000b20e7f6p-4, 0x1.059e044b80d3cp-4, 0x1.00a825e5bcd63p-4, 0x1.f78a800bdbaafp-5, 0x1.edea571dd6f77p-5, 0x1.e46f82135ee32p-5, 0x1.db19b061092cdp-5, 0x1.d1e890cd9f2d4p-5, 0x1.c8dbd110f9872p-5, 0x1.bff31dd82c595p-5, 0x1.b72e230ef69bbp-5, 0x1.ae8c8b780879ep-5, 0x1.a60e011350cfep-5, 0x1.9db228b6e3fafp-5, 0x1.9578b79b714a2p-5, 0x1.8d6148326f61dp-5, 0x1.856b85dea204ap-5, 0x1.7d9716f315d39p-5, 0x1.75e3a0d59014ep-5, 0x1.6e50c8e5811cfp-5, 0x1.66de32a03b663p-5, 0x1.5f8b7eb2b591bp-5, 0x1.58585abf723c8p-5, 0x1.514460df12459p-5, 0x1.4a4f327bc02abp-5, 0x1.437874bf909f4p-5, 0x1.3cbfd6de11e5cp-5, 0x1.3624ead74491fp-5, 0x1.2fa755168d7cep-5, 0x1.2946bb4800236p-5, 0x1.2302ba1c2c4c4p-5, 0x1.1cdaf8f370d63p-5, 0x1.16cf1b410a674p-5, 0x1.10deb9125a0ap-5, 0x1.0b097efe50039p-5, 0x1.054f0c2a27c1ap-5, 0x1.ff5e04fbfb51fp-6, 0x1.f452118c2bd4ap-6, 0x1.e9797e6e5434cp-6, 0x1.ded391ad9d56bp-6, 0x1.d45fa1ed07bb1p-6, 0x1.ca1ceb821fde5p-6, 0x1.c00ac854556aap-6, 0x1.b6286a2940735p-6, 0x1.ac7539901b671p-6, 0x1.a2f07cdd46957p-6, 0x1.9999868859e2ap-6, 0x1.906fa7e5ebeb7p-6, 0x1.8772361464e55p-6, 0x1.7ea0833ab3b37p-6, 0x1.75f9e8f16918ap-6, 0x1.6d7dc1cfa21d6p-6, 0x1.652b67a5083abp-6, 0x1.5d022d975f13fp-6, 0x1.55018d76e7f64p-6, 0x1.4d28ccdb53f9ap-6, 0x1.457757515ca67p-6, 0x1.3dec8e63ca6bp-6, 0x1.3687d502705fep-6, 0x1.2f489e24aa56cp-6, 0x1.282e490d3f4ecp-6, 0x1.21384418d8ffep-6, 0x1.1a65fc07c3599p-6, 0x1.13b6e0df121f3p-6, 0x1.0d2a60b0694afp-6, 0x1.06bfeed766fa4p-6, 0x1.0077001e809a3p-6, 0x1.f49e1229e3e34p-7, 0x1.e88f053fdbc1ep-7, 0x1.dcbfdf0ab292bp-7, 0x1.d12f554c2244fp-7, 0x1.c5dc9f5bf0d14p-7, 0x1.bac6a49a6fab6p-7, 0x1.afec6d8468b8fp-7, 0x1.a54cdd10faa0ap-7, 0x1.9ae716693cbcap-7, 0x1.90ba1768230cfp-7, 0x1.86c5075f5807bp-7, 0x1.7d069da807caep-7, 0x1.737e3f7666b41p-7, 0x1.6a2addcebb8a6p-7, 0x1.610b9713297bdp-7, 0x1.581f7fec06e33p-7, 0x1.4f65b33446b84p-7, 0x1.46dd4e2f2e7ebp-7, 0x1.3e8570f859ad6p-7, 0x1.365d3e697eacbp-7, 0x1.2e63dbb33e20ep-7, 0x1.26987206bd3cp-7, 0x1.1efa28241b78ap-7, 0x1.1787fa3f528a6p-7, 0x1.1041b2e90e25ep-7, 0x1.0925e5639a5f2p-7, 0x1.0233fde88e61ap-7, 0x1.f6d645997bd6dp-8, 0x1.e99575179109fp-8, 0x1.dca3a77e0c9b6p-8, 0x1.cfff78821f4eap-8, 0x1.c3a767cf2f6p-8, 0x1.b799f05fb8c2p-8, 0x1.abd5c4a5b83ep-8, 0x1.a05971938bc33p-8, 0x1.95232ce8238abp-8, 0x1.8a31fd6ceca54p-8, 0x1.7f845df08d2d4p-8, 0x1.7518f41f726bap-8, 0x1.6aee6751ebe6cp-8, 0x1.6103679bdac31p-8, 0x1.57573fd74a589p-8, 0x1.4de6d845f409bp-8, 0x1.44b2b6a1442b8p-8, 0x1.3bb90c197ea72p-8, 0x1.32f89a41c20e5p-8, 0x1.2a702cceba50ep-8, 0x1.221e92bd4dc31p-8, 0x1.1a02a04d013b1p-8, 0x1.121b089fdbe79p-8, 0x1.0a671bce7dc6cp-8, 0x1.02e5476900392p-8, 0x1.f728ec1831753p-9, 0x1.e8e8177c25b5p-9, 0x1.db04f529509ecp-9, 0x1.cd7dc651be4b6p-9, 0x1.c0507ccb4572ep-9, 0x1.b37af3c7e6d2cp-9, 0x1.a6fba4d439678p-9, 0x1.9ad00ac8e6e7ep-9, 0x1.8ef68ed43f0b5p-9, 0x1.836db40d5fe59p-9, 0x1.7832359d1fa6cp-9, 0x1.6d43b4c6eaad5p-9, 0x1.629ff17763d88p-9, 0x1.58452c61149ap-9, 0x1.4e31aee6a309dp-9, 0x1.4463ccc32939ep-9, 0x1.3ad9c63403d2p-9, 0x1.31924827a5f94p-9, 0x1.288b623922531p-9, 0x1.1fc3b6f54c8c3p-9, 0x1.1739b85772cb6p-9, 0x1.0eec74357ac22p-9, 0x1.06d8c825664f9p-9, 0x1.fdfdde2973baap-10, 0x1.eeb9dcc46aacfp-10, 0x1.dfe1d99cc8bedp-10, 0x1.d176267efb6acp-10, 0x1.c37111354a831p-10, 0x1.b5d0f8d205d3fp-10, 0x1.a893647274e26p-10, 0x1.9bb5d0dbd11e1p-10, 0x1.8f35d09fce90bp-10, 0x1.831102e797154p-10, 0x1.774512c7bd245p-10, 0x1.6bcfb89b6c9ddp-10, 0x1.60aeb70881dacp-10, 0x1.55e0154ef4cd2p-10, 0x1.4b6148f383a7ap-10, 0x1.412ff6f345aaap-10, 0x1.374b669655249p-10, 0x1.2db063bf45c17p-10, 0x1.245d5f415603dp-10, 0x1.1b5067c5b650ep-10, 0x1.1287a6841cc28p-10, 0x1.0a014736c58adp-10, 0x1.01bb830bf9e08p-10, 0x1.f3693aeb6608bp-11, 0x1.e3d5c756b3ab2p-11, 0x1.d4b94d7a31f1cp-11, 0x1.c610c373a9abap-11, 0x1.b7d8cc078a294p-11, 0x1.aa0c9c3db2efap-11, 0x1.9cae7d387afb9p-11, 0x1.8fb635ca0a9f2p-11, 0x1.8322ac723d507p-11, 0x1.76f10d6ba0f4bp-11, 0x1.6b1e9d78f3fdp-11, 0x1.5fa8b0b178eb2p-11, 0x1.548cb8120a638p-11, 0x1.49ca07266fae1p-11, 0x1.3f5831237e712p-11, 0x1.353ac6278c48dp-11, 0x1.2b6d798813257p-11, 0x1.21ede002464d7p-11, 0x1.18b9b4bc1e4ffp-11, 0x1.0fcaf58dd2618p-11, 0x1.072b2245bb639p-11, 0x1.fd9907aba408bp-12, 0x1.ed6008490ab23p-12, 0x1.dda9d4988cbd8p-12, 0x1.ce7163e631815p-12, 0x1.bfb43fd96d722p-12, 0x1.b16aced1cb50ep-12, 0x1.a3953c48bd781p-12, 0x1.962e7e53007fap-12, 0x1.89335824dbdc8p-12, 0x1.7ca08d0521cecp-12, 0x1.707242b92cc18p-12, 0x1.64a58ec3aa3c1p-12, 0x1.59377d510dff2p-12, 0x1.4e274ecff7af3p-12, 0x1.436acb94b11cep-12, 0x1.3906c1fe4fa6p-12, 0x1.2ef583a5e55eap-12, 0x1.253497d35750bp-12, 0x1.1bc16a823e031p-12, 0x1.1299598590153p-12, 0x1.09ba728e291c4p-12, 0x1.0121dcaa17ed9p-12, 0x1.f19b2bb09eafep-13, 0x1.e176ad268543ep-13, 0x1.d1d2a712c2851p-13, 0x1.c2aade46345f4p-13, 0x1.b3fc1c93e50d7p-13, 0x1.a5be2432acad2p-13, 0x1.97f2cde6c80d2p-13, 0x1.8a94465ee05cp-13, 0x1.7d9f8f86021bp-13, 0x1.71111eea80d11p-13, 0x1.64e603e2bfb85p-13, 0x1.5913c1db4d934p-13, 0x1.4dab982a5d6b9p-13, 0x1.429791b5e3ab7p-13, 0x1.37da48bcaca23p-13, 0x1.2d7154c57ed22p-13, 0x1.235a0ae1cf284p-13, 0x1.195bb345e342ap-13, 0x1.0fdfb926990abp-13, 0x1.06aec51f92bfp-13, 0x1.fb8b0684536aep-14, 0x1.ea45b2a1e4f97p-14, 0x1.d97ff7b0f8c2cp-14, 0x1.c9474a169b3e3p-14, 0x1.b987f5dca84abp-14, 0x1.aa41cf4597b92p-14, 0x1.9b7130245823dp-14, 0x1.8d12213281c31p-14, 0x1.7f20ce23e8ebbp-14, 0x1.71998da10f743p-14, 0x1.6478bcfbe40e4p-14, 0x1.57bb52f12b48fp-14, 0x1.4b4733538112cp-14, 0x1.3f5c748978aa1p-14, 0x1.33b2c97330a4bp-14, 0x1.2860657c1b8aep-14, 0x1.1d61968ed13abp-14, 0x1.12b31cdc894ap-14, 0x1.084e0f5823da1p-14, 0x1.fc7c76379a859p-15, 0x1.e8d98d132f571p-15, 0x1.d5d9a2d54ae2p-15, 0x1.c356264d3577p-15, 0x1.b1558982685d8p-15, 0x1.9fd4d676c02b3p-15, 0x1.8ecfdcfcb3c79p-15, 0x1.7e4140127eb7p-15, 0x1.6e26775703118p-15, 0x1.5e74307edeca1p-15, 0x1.4f3a27e173e35p-15, 0x1.4060131a9e7aap-15, 0x1.31ec339f868d4p-15, 0x1.23da2d3ef1079p-15, 0x1.1626938bbc033p-15, 0x1.08ce22a6a320ap-15, 0x1.f7c6ff3519624p-16, 0x1.de4d56a6bc953p-16, 0x1.c5a1a997cb979p-16, 0x1.ad979273ab4adp-16, 0x1.9629e34cb79b5p-16, 0x1.7f54298a4995fp-16, 0x1.6914d284958b1p-16, 0x1.53615e9f2d03ep-16, 0x1.3e33b9817289ep-16, 0x1.29d4608044dc8p-16, 0x1.156fb050c4792p-16, 0x1.01d376651b00fp-16, 0x1.dd2e087a890c1p-17, 0x1.b7c9d286ec35fp-17, 0x1.93a383929e846p-17, 0x1.700ab15098ca9p-17, 0x1.4d5d201859e4dp-17, 0x1.2b83cec773816p-17, 0x1.0a817c33d416dp-17, 0x1.d4922e9b02a74p-18, 0x1.95b019e1489adp-18, 0x1.58529c8bb7b2dp-18, 0x1.1c6dda6d7f1c5p-18, 0x1.c401d1c89e8ddp-19, 0x1.51efd53805cf9p-19, 0x1.c5563f3dc4006p-20, 0x1.d84c99e7f611dp-21, 0x1.83995adde6033p-24, -0x1.6d183974fea5bp-21, -0x1.7fdbc860b62f6p-20, -0x1.22cc54607bedfp-19, -0x1.825fb4478c97ap-19, -0x1.de9f349e71a3bp-19, -0x1.1d9eaabc49fecp-18, -0x1.4a36cbf78f785p-18, -0x1.75a0dd6c3e019p-18, -0x1.a0004b10daba2p-18, -0x1.caba43548f249p-18, -0x1.f15f95eda8544p-18, -0x1.0c3c8e761cb1cp-17, -0x1.1f44b52110b5p-17, -0x1.31b92a43fc63ap-17, -0x1.43e33015937b7p-17, -0x1.55d758eec0262p-17, -0x1.66a06491d7966p-17, -0x1.77488ae6237cp-17, -0x1.8778f7c7bcf78p-17, -0x1.973ba8461e4e6p-17, -0x1.a7531fd59331ap-17, -0x1.b55a25a13f053p-17, -0x1.c3bed3175fd81p-17, -0x1.d1ba42bea9e63p-17, -0x1.df454c5d01286p-17, -0x1.ec6f9fcbb188ap-17, -0x1.f91e79ae8235bp-17, -0x1.02c07aef25dd9p-16, -0x1.08b84cfc7fc92p-16, -0x1.0e7d6c0791a11p-16, -0x1.1410c719e0d62p-16, -0x1.1973075d67bedp-16, -0x1.1ea4d9714a5f3p-16, -0x1.23a740e13040bp-16, -0x1.28796b64c0f4bp-16, -0x1.2ce1e8c8633bdp-16, -0x1.31945238d0126p-16, -0x1.35d9c93c9d57p-16, -0x1.39f88085b8be5p-16, -0x1.3de4df1d3339cp-16, -0x1.41a77c8d8a9f3p-16, -0x1.453ed04be8bf3p-16, -0x1.48ab46702acd8p-16, -0x1.4bed5ea214c38p-16, -0x1.4f05830ac0988p-16, -0x1.51f17d5116b75p-16, -0x1.54bae0e96678dp-16, -0x1.5735c319720b3p-16, -0x1.59cc69d5f538fp-16, -0x1.5c1d547904ab4p-16, -0x1.5e443c0e39fc7p-16, -0x1.60454ee23f6fap-16, -0x1.62208166dd52ap-16, -0x1.63d643cbceb29p-16, -0x1.6567177a4e8acp-16, -0x1.66d3b5bd7a287p-16, -0x1.681f2ac6f5cfdp-16, -0x1.69ac9158ea8b6p-16, -0x1.6a2ce8f7161a4p-16, -0x1.6aa1e63f53707p-16, -0x1.6bda69f7b4569p-16, -0x1.6ca46679ec653p-16, -0x1.6cf03374040ebp-16, -0x1.6d4a1d7af32abp-16, -0x1.6d82c70346283p-16, -0x1.6d9b707b36741p-16, -0x1.6d94a80f18933p-16, -0x1.6d6eec7149cdcp-16, -0x1.6d2b1d3f21007p-16, -0x1.6cb804cc9bde3p-16, -0x1.6c489f22c9649p-16, -0x1.6babce985fa54p-16, -0x1.6af1bab8f6bcbp-16, -0x1.6a1bd90a03c8dp-16, -0x1.692a45681f43ap-16, -0x1.681d7ec8b06a5p-16, -0x1.66ef6960ba1a1p-16, -0x1.65cbed286f096p-16, -0x1.6457752ea87aap-16, -0x1.62e20ce672f58p-16, -0x1.615390e7a2d84p-16, -0x1.5fac6e05ceb57p-16, -0x1.5dead712b2442p-16, -0x1.5c4cbbf122d06p-16, -0x1.5a286634a64fp-16, -0x1.582450f910039p-16, -0x1.56098c1317537p-16, -0x1.53da17c233fc4p-16, }}, 
      {{-0x1.8fa7994cfaab8p-2, -0x1.8bca562bee99fp-2, -0x1.86d4d9c6bd84dp-2, -0x1.819bdae8032p-2, -0x1.7cb3b165298d9p-2, -0x1.7881a3e5d4e3bp-2, -0x1.75460d31aa5c2p-2, -0x1.7326f87684efbp-2, -0x1.723685db2fac7p-2, -0x1.72788e021bcbep-2, -0x1.73e53eea2b79cp-2, -0x1.766f75a1dc006p-2, -0x1.7a02b4a8d3d7p-2, -0x1.7e889c0118483p-2, -0x1.83e8646ab8e8dp-2, -0x1.8a08d5c59b63cp-2, -0x1.90d04e8bd3995p-2, -0x1.9825984fae027p-2, -0x1.9ff07281472f7p-2, -0x1.a819d8ccc9c6dp-2, -0x1.b08c6402fe8cap-2, -0x1.b933d202092dep-2, -0x1.c1fd463fe7e97p-2, -0x1.cad76502a0817p-2, -0x1.d3b27aa849bcfp-2, -0x1.dc80947897d69p-2, -0x1.e53591bf55423p-2, -0x1.edc514217254p-2, -0x1.f6254daaf7ddp-2, -0x1.fe4d5e49258ap-2, -0x1.031ac0db261dfp-1, -0x1.06eb7ccf2a3d7p-1, -0x1.0a9600ab66754p-1, -0x1.0e17d892eed53p-1, -0x1.116eeb621a9bap-1, -0x1.14997a38991dep-1, -0x1.179630f9b14a9p-1, -0x1.1a641e2e4bdcfp-1, -0x1.1d028a569c328p-1, -0x1.1f70df69c497p-1, -0x1.21aebd358861bp-1, -0x1.23bc17fa9a53ap-1, -0x1.259932be9d345p-1, -0x1.2746764be8b44p-1, -0x1.28c44db064653p-1, -0x1.2a1326da9011ep-1, -0x1.2b338feb61a55p-1, -0x1.2c2652b36eaf9p-1, -0x1.2cec769997d18p-1, -0x1.2d87284bc0467p-1, -0x1.2df79953ccea1p-1, -0x1.2e3eeb8aa58edp-1, -0x1.2e5e307faa4cp-1, -0x1.2e56780a34b77p-1, -0x1.2e2892ec45a21p-1, -0x1.2dd69d7507449p-1, -0x1.2d61851619d9p-1, -0x1.2cca924a00a08p-1, -0x1.2c130beb79f4dp-1, -0x1.2b3c36f17e469p-1, -0x1.2a4757ea02866p-1, -0x1.2935b3bd96485p-1, -0x1.28088df0cd345p-1, -0x1.26c125144162cp-1, -0x1.2560afa644414p-1, -0x1.23e85b59374dbp-1, -0x1.22594ec0d9c55p-1, -0x1.20b4abc4878e4p-1, -0x1.1efb90d7cd087p-1, -0x1.1d2f18214f943p-1, -0x1.1b505520558e9p-1, -0x1.1960525a1fa23p-1, -0x1.1760105a2514fp-1, -0x1.1550862d5b80bp-1, -0x1.1332a2f5b5531p-1, -0x1.11074f60e1b62p-1, -0x1.0ecf6e60f52fap-1, -0x1.0c8bdcb93d2p-1, -0x1.0a3d70068c816p-1, -0x1.07e4f5bf29b38p-1, -0x1.058332c20c206p-1, -0x1.0318e3981104bp-1, -0x1.00a6bd336d4a8p-1, -0x1.fc5adb99fcf9fp-2, -0x1.f75b3b0045912p-2, -0x1.f24fdd0969a75p-2, -0x1.ed39fa0ebc78fp-2, -0x1.e81abdadf79f5p-2, -0x1.e2f3463ce1394p-2, -0x1.ddc4a48bf8a6dp-2, -0x1.d88fdc8c3916bp-2, -0x1.d355e58153364p-2, -0x1.ce17ac01a28a9p-2, -0x1.c8d6122c54f5cp-2, -0x1.c391f0e520bcap-2, -0x1.be4c18426fe0ep-2, -0x1.b9054fc49935ep-2, -0x1.b3be565aacc05p-2, -0x1.ae77e2566ca3fp-2, -0x1.a932a16077c38p-2, -0x1.a3ef38822013p-2, -0x1.9eae443f1fd4ap-2, -0x1.997058c2b358cp-2, -0x1.94360224c1546p-2, -0x1.8effc4c5cd394p-2, -0x1.89ce1dc1f82c6p-2, -0x1.84a18372597ap-2, -0x1.7f7a65f0b82a9p-2, -0x1.7a592f8ffc64ep-2, -0x1.753e453e5c118p-2, -0x1.7029f1e91f903p-2, -0x1.6b1cbdfd3f266p-2, -0x1.6616ea29f9783p-2, -0x1.6118c7affe3cap-2, -0x1.5c22a324412cp-2, -0x1.5734c48cfddc1p-2, -0x1.524f6f7354a0bp-2, -0x1.4d72e31a44bc3p-2, -0x1.489f5a8edc363p-2, -0x1.43d50cd44d3ebp-2, -0x1.3f142e0325296p-2, -0x1.3a5ced823c17ep-2, -0x1.35af78b7a931dp-2, -0x1.310bf9a8e7226p-2, -0x1.2c7297b2b1bf1p-2, -0x1.27e377941ac5ap-2, -0x1.235ebb803772bp-2, -0x1.1ee4832b1431cp-2, -0x1.1a74ebcaf68d5p-2, -0x1.1610101f10dc1p-2, -0x1.11b608872202p-2, -0x1.0d66ea935c2fbp-2, -0x1.0922ca07fa0bep-2, -0x1.04e9b7ffcda42p-2, -0x1.00bbc373ba8a4p-2, -0x1.f931f2a67e3d9p-3, -0x1.f102c9453ff2dp-3, -0x1.e8ea1d479aec1p-3, -0x1.e0e7fe013d167p-3, -0x1.d8fc77df0fb5cp-3, -0x1.d12794aa6d6e3p-3, -0x1.c9695bbdf2bd9p-3, -0x1.c1c1d22c07ae8p-3, -0x1.ba30fad4ba287p-3, -0x1.b2b6d69b7863ap-3, -0x1.ab536394f68f3p-3, -0x1.a4069ea45d989p-3, -0x1.9cd081cfb4305p-3, -0x1.95b1050c23909p-3, -0x1.8ea81dec20f3bp-3, -0x1.87b5c046a82a6p-3, -0x1.80d9dcf8ead78p-3, -0x1.7a146350749eep-3, -0x1.7365404e826fep-3, -0x1.6ccc5f1756bep-3, -0x1.6649a8f83325p-3, -0x1.5fdd058f65228p-3, -0x1.59865af00043cp-3, -0x1.53458dc4243fbp-3, -0x1.4d1a816f9863cp-3, -0x1.4705182c0f3e8p-3, -0x1.410533249b94fp-3, -0x1.3b1ab290bd8c2p-3, -0x1.354575b37fb92p-3, -0x1.2f855b06a7d14p-3, -0x1.29da4021bb066p-3, -0x1.244401d6f35fcp-3, -0x1.1ec27c2b58a05p-3, -0x1.19558a5b19dc4p-3, -0x1.13fd06d4e75cap-3, -0x1.0eb8cb3f22d52p-3, -0x1.0988b076c88e1p-3, -0x1.046c8e9135451p-3, -0x1.fec879c213b8ep-4, -0x1.f4df23fa9ad96p-4, -0x1.eb1cc78cbe0cdp-4, -0x1.e1810ee7da9e4p-4, -0x1.d80ba332ef58p-4, -0x1.cebc2c748993ap-4, -0x1.c592519e38151p-4, -0x1.bc8db8acb26d4p-4, -0x1.b3ae06c15428bp-4, -0x1.aaf2e035d4025p-4, -0x1.a25be8c738c39p-4, -0x1.99e8c385db90ap-4, -0x1.9199131110bdbp-4, -0x1.896c795c5fcdcp-4, -0x1.816298cdcf7c6p-4, -0x1.797b124170faep-4, -0x1.71b5871783df9p-4, -0x1.6a11983fd4404p-4, -0x1.628ee6699be07p-4, -0x1.5b2d1228124a9p-4, -0x1.53ebbbd54d986p-4, -0x1.4cca83aa5df6ep-4, -0x1.45c909c088329p-4, -0x1.3ee6ee1906feep-4, -0x1.3823d0a08498dp-4, -0x1.317f5138ec86dp-4, -0x1.2af90fb2ad731p-4, -0x1.2490abf01aaf2p-4, -0x1.1e45c5cf950dcp-4, -0x1.1817fd46f5771p-4, -0x1.1206f26465a4fp-4, -0x1.0c1245580d4abp-4, -0x1.063996806b933p-4, -0x1.007c8671cfbffp-4, -0x1.f5b56bff9886ep-5, -0x1.eaa78c8c7af94p-5, -0x1.dfceb1654805fp-5, -0x1.d52a1e0ba9c7ep-5, -0x1.cab916cd675dap-5, -0x1.c07ae0c4af26cp-5, -0x1.b66ec1ecc6034p-5, -0x1.ac940144ef74p-5, -0x1.a2e9e632de97cp-5, -0x1.996fba0ab924fp-5, -0x1.9024c68a8a613p-5, -0x1.870856bbcbfafp-5, -0x1.7e19b6b622f47p-5, -0x1.7558338e90976p-5, -0x1.6cc31c126aecap-5, -0x1.642449b311ad1p-5, -0x1.5be3c640d3b4dp-5, -0x1.53cdb39017879p-5, -0x1.4be167f0ddce4p-5, -0x1.441e3b07150dep-5, -0x1.3c8385c56d506p-5, -0x1.3510a2755401p-5, -0x1.2dc4ecbc2f0a1p-5, -0x1.269fc19dea34fp-5, -0x1.1fa07f74d602p-5, -0x1.18c68614d40b1p-5, -0x1.121136aa4f277p-5, -0x1.0b7ff321f48b1p-5, -0x1.051221a661951p-5, -0x1.fd8e4b391ab7ep-6, -0x1.f13ccd8b73e6cp-6, -0x1.e52e9b55b305dp-6, -0x1.d9628899413dep-6, -0x1.cdd76c8cd0dc1p-6, -0x1.c28c212b89c35p-6, -0x1.b77f82c36a817p-6, -0x1.acb0750c7ca23p-6, -0x1.a21dd8c7cb847p-6, -0x1.97c694abcad6p-6, -0x1.8da99413c1752p-6, -0x1.83c5c6aa4889ap-6, -0x1.7a1a19ef4e411p-6, -0x1.70a5823ff65a3p-6, -0x1.6766f7dc5b817p-6, -0x1.5e5d7482a96c7p-6, -0x1.5587f73958003p-6, -0x1.4ce581d016cd2p-6, -0x1.4475176080111p-6, -0x1.3c35c1f50e7d5p-6, -0x1.34268cabadc35p-6, -0x1.2c4685b240c19p-6, -0x1.2494c290178aap-6, -0x1.1d10565d78656p-6, -0x1.15b85ac210962p-6, -0x1.0e8beef1172afp-6, -0x1.078a30dea6b61p-6, -0x1.00b2471972893p-6, -0x1.f406a6a802a4bp-7, -0x1.e6f90b515e3b3p-7, -0x1.da3a149e8f8ccp-7, -0x1.cdc825eb7deb1p-7, -0x1.c1a1a8b17635cp-7, -0x1.b5c50da5e47d2p-7, -0x1.aa30cb1d52f8ap-7, -0x1.9ee35f90b9194p-7, -0x1.93db4fe535eafp-7, -0x1.891726ea69f5ep-7, -0x1.7e9575b63f5dep-7, -0x1.7454d5982e0acp-7, -0x1.6a53e3f197cd6p-7, -0x1.609145fd4f17fp-7, -0x1.570ba648afc86p-7, -0x1.4dc1b56d60f28p-7, -0x1.44b22d31d3531p-7, -0x1.3bdbc8b692105p-7, -0x1.333d4c11a4c4ap-7, -0x1.2ad57ffcc66bcp-7, -0x1.22a333e7af147p-7, -0x1.1aa53bf11d601p-7, -0x1.12da7284936eep-7, -0x1.0b41b746f5374p-7, -0x1.03d9ef1987f6bp-7, -0x1.f94409fd723a8p-8, -0x1.eb31d2afb894ep-8, -0x1.dd7b1c291bd0ep-8, -0x1.d01ddfdffa6adp-8, -0x1.c31819f7f08dp-8, -0x1.b667d1bde2567p-8, -0x1.aa0b191d4b29cp-8, -0x1.9e000a1def50ap-8, -0x1.9244c8eddb5a6p-8, -0x1.86d78c0ddb32cp-8, -0x1.7bb66e6ba448p-8, -0x1.70dfc99faa4eep-8, -0x1.6651db3600fd9p-8, -0x1.5c0af5abfa802p-8, -0x1.5209709aa20fp-8, -0x1.484bacd5a7f98p-8, -0x1.3ed01340dca0dp-8, -0x1.359514ccea849p-8, -0x1.2c992a4ff0734p-8, -0x1.23dad44d0ca4bp-8, -0x1.1b589a27c4255p-8, -0x1.13110dd581a44p-8, -0x1.0b02b98a8bc82p-8, -0x1.032c5b7c28f2p-8, -0x1.f718f2dd900eep-9, -0x1.e84395d0b74f4p-9, -0x1.d9d5fff6a8777p-9, -0x1.cbcdb733b7f39p-9, -0x1.be282b809d572p-9, -0x1.b0e2f1c737c98p-9, -0x1.a3fba58fe1b94p-9, -0x1.976fe8c2bd784p-9, -0x1.8b3d854ad3f27p-9, -0x1.7f622b42defaep-9, -0x1.73dba5b319989p-9, -0x1.68a7d834d54a1p-9, -0x1.5dc4a4cbe3055p-9, -0x1.532ffd65d05c7p-9, -0x1.48e7de349f64p-9, -0x1.3eea4fdcc9804p-9, -0x1.353593ed46cd9p-9, -0x1.2bc73a9312e64p-9, -0x1.229df7fc9cf48p-9, -0x1.19b7d38c4e668p-9, -0x1.11130a1f1dd5cp-9, -0x1.08ade2641516bp-9, -0x1.0086ae4460f52p-9, -0x1.f1379271c7474p-10, -0x1.e1d72b7a3fd3dp-10, -0x1.d2e914a3d54fp-10, -0x1.c46a2a4750af6p-10, -0x1.b657697564822p-10, -0x1.a8ae1cbe9c3ccp-10, -0x1.9b6b2b2ebf265p-10, -0x1.8e8be26228e42p-10, -0x1.820d89cc344dcp-10, -0x1.75ed742af3d6ep-10, -0x1.6a29229ad00cbp-10, -0x1.5ebdef27dba45p-10, -0x1.53a974e8b3066p-10, -0x1.48e95f1eb1b54p-10, -0x1.3e7b0bd4dc956p-10, -0x1.345c7b116f7cfp-10, -0x1.2a8b5a48b5bdbp-10, -0x1.21057c810dca6p-10, -0x1.17c8c25714693p-10, -0x1.0ed31b22140a1p-10, -0x1.062279518330ep-10, -0x1.fb6a027755c7bp-11, -0x1.eb115381079f3p-11, -0x1.db3749ee23abbp-11, -0x1.cbd83ede85ab1p-11, -0x1.bcf0af4ae4a17p-11, -0x1.ae7d123df3ca1p-11, -0x1.a07a233effdc9p-11, -0x1.92e492848828fp-11, -0x1.85b8f3fa14ed2p-11, -0x1.78f4f4853ddb4p-11, -0x1.6c94c7324c1ddp-11, -0x1.6095bdfdb75e6p-11, -0x1.54f4ffa31f41p-11, -0x1.49afc3bfa50fp-11, -0x1.3ec356264b392p-11, -0x1.342d156c00d58p-11, -0x1.29ea7270b5f77p-11, -0x1.1ff8f0072a039p-11, -0x1.1656206631ab4p-11, -0x1.0cffd3dbef92p-11, -0x1.03f35922f4e05p-11, -0x1.f65d6353998bep-12, -0x1.e55fd888448c2p-12, -0x1.d4e94a7ef2011p-12, -0x1.c4f5d12e6a9bcp-12, -0x1.b5817862c616fp-12, -0x1.a688604104729p-12, -0x1.9806ccad6e12cp-12, -0x1.89f91a9e2c741p-12, -0x1.7c5bc20505d36p-12, -0x1.6f2b548f52586p-12, -0x1.6264790086339p-12, -0x1.5604052a0aab3p-12, -0x1.4a06c2b7052a2p-12, -0x1.3e694f6ed48cp-12, -0x1.3329ca93301fbp-12, -0x1.28444139c3dc7p-12, -0x1.1db646add6eadp-12, -0x1.137d2428b73ebp-12, -0x1.09963a00a70b4p-12, -0x1.fffdf7879818fp-13, -0x1.ed69ea5703c7cp-13, -0x1.db6b825359ad6p-13, -0x1.c9fdc784852d3p-13, -0x1.b91c9e730799ap-13, -0x1.a8c37748393f8p-13, -0x1.98ee0b9bc9d86p-13, -0x1.89983b0ed0d66p-13, -0x1.7abbb7c46982fp-13, -0x1.6c5b88a4d6403p-13, -0x1.5e6cf33fb709ep-13, -0x1.50ee3e4bf631p-13, -0x1.43dc6f34dcff9p-13, -0x1.3733cd38bede7p-13, -0x1.2af13b11d87ecp-13, -0x1.1f10cacd49337p-13, -0x1.138fff1f55e48p-13, -0x1.086b899c3acb5p-13, -0x1.fb40f352d8085p-14, -0x1.e657fed0272b3p-14, -0x1.d21650c4f15c8p-14, -0x1.be76b3fe9f27fp-14, -0x1.ab740981d5cbp-14, -0x1.990bd85dd73ep-14, -0x1.8731619137bfbp-14, -0x1.75e80ada11265p-14, -0x1.65285f8230fecp-14, -0x1.54ee1d8c3455ep-14, -0x1.45350e1afb567p-14, -0x1.35f901a14676bp-14, -0x1.27366e78b6192p-14, -0x1.18e9288ae349p-14, -0x1.0b0db3b17c921p-14, -0x1.fb413d90c2b0cp-15, -0x1.e13cce5b421a7p-15, -0x1.c807cefcf5ff1p-15, -0x1.af9c174490c2ep-15, -0x1.97f27c360af8p-15, -0x1.8106a1c1a01bfp-15, -0x1.6ad226ced3bf8p-15, -0x1.554fcf69b8768p-15, -0x1.407a40130d75p-15, -0x1.2c4c97e127f61p-15, -0x1.18bd8b19ee69fp-15, -0x1.05d43dab098dap-15, -0x1.e701fbcf53882p-16, -0x1.c3850fb5d0548p-16, -0x1.a12986f729efcp-16, -0x1.7fe7139a6ba96p-16, -0x1.5f48a47de6e8dp-16, -0x1.40204651a9fe8p-16, -0x1.21fb34bec8ac4p-16, -0x1.04d0d8b57ef12p-16, -0x1.d13713654c4ecp-17, -0x1.9a9f7b29f09f3p-17, -0x1.65df44b3dc27bp-17, -0x1.32d74df8b28c7p-17, -0x1.0182d7a1c702ap-17, -0x1.a3a8fd86dfd51p-18, -0x1.4780d02f4406dp-18, -0x1.dcec54dbf1dc9p-19, -0x1.30e6fa5704903p-19, -0x1.1587841326247p-20, 0x1.5a28dbda3f65dp-23, 0x1.61a050f5c6443p-20, 0x1.45ddff25c3f01p-19, 0x1.d606e84396e0dp-19, 0x1.3085aeaf8dd47p-18, 0x1.738795e24ec16p-18, 0x1.b41aa959593f9p-18, 0x1.f25ce3b17beabp-18, 0x1.171a7c813d3e7p-17, 0x1.33f11baeb1efdp-17, 0x1.4fa9779d3c9b2p-17, 0x1.6a5446339bf17p-17, 0x1.83f5407fb3a53p-17, 0x1.9c92ebbf45589p-17, 0x1.b433db28c0c3p-17, 0x1.cade75a950125p-17, 0x1.e0984cd395ad7p-17, 0x1.f56c8bfc66d8cp-17, 0x1.04a9d1e322c01p-16, 0x1.0e30ba33040d1p-16, 0x1.174a686eb34a1p-16, 0x1.1ff9dfa5b1087p-16, 0x1.2841c226ebbe9p-16, 0x1.30249743dc58dp-16, 0x1.37a0bb401835fp-16, 0x1.3ec410718977cp-16, 0x1.458573c25d4f2p-16, 0x1.4beaf5d2755fcp-16, 0x1.51f6ae711d86ap-16, 0x1.57aaaea4007bbp-16, 0x1.5d089d50f0f9p-16, 0x1.621338a347d14p-16, 0x1.66ccaec078bdfp-16, 0x1.6b2b441403c0fp-16, 0x1.6f50d35740efap-16, 0x1.731eacb3aa7d2p-16, 0x1.76a134e7267fcp-16, 0x1.79dfb6ddc8236p-16, 0x1.7ccfd22b03af9p-16, 0x1.7f7eeb2564db9p-16, 0x1.81e8f4e947deap-16, 0x1.840f5e8e3ad27p-16, 0x1.85f69f01216d7p-16, 0x1.879d55c8c01f2p-16, 0x1.8905e6cdfd519p-16, 0x1.8a31b855e0e93p-16, 0x1.8b2233051ae2bp-16, 0x1.8bd88f05c7ffcp-16, 0x1.8c5648aeced5p-16, 0x1.8c9c8075b269dp-16, 0x1.8cac99319e218p-16, 0x1.8c87c85411902p-16, 0x1.8c2f4456a22a2p-16, 0x1.8ba3f0477dabap-16, 0x1.8aea97605e707p-16, 0x1.89fafa537d304p-16, 0x1.88db74d2aae0ap-16, 0x1.8795bf2bcd96ap-16, 0x1.861fdd4682cf1p-16, 0x1.847ddb8cdf87ap-16, 0x1.82b1852319606p-16, 0x1.80c56a29adb2ap-16, 0x1.7e9bab3259b18p-16, 0x1.7c549e2919418p-16, 0x1.79e6a9dffcbfbp-16, 0x1.775198371b488p-16, 0x1.749b22244e997p-16, 0x1.71c7198bf65d5p-16, 0x1.6ec2998ee111dp-16, 0x1.6ba2af40b5ee3p-16, 0x1.6861acb0d478cp-16, 0x1.65012733f5b9cp-16, 0x1.619278ada7e44p-16, 0x1.5de1e92d7336fp-16, 0x1.5a256e70b3513p-16, 0x1.564cb93944098p-16, 0x1.5257f6392a6cdp-16, 0x1.4e48fc62034a6p-16, 0x1.4a1fa48d049e8p-16, 0x1.45dcdcd7bf694p-16, 0x1.4181acd5c4d41p-16, 0x1.3d0eccfd6af47p-16, 0x1.388503e26480ep-16, 0x1.33e5170f1b587p-16, 0x1.2f2fca7305fc8p-16, 0x1.2a65e6a9fc874p-16, 0x1.25880dcb189ddp-16, 0x1.209296fcd887p-16, 0x1.1b93cee1e5035p-16, 0x1.167e6f8fa17c6p-16, 0x1.1158c6d133116p-16, 0x1.0c221a8dca356p-16, 0x1.06dc151932f6p-16, 0x1.018725d5658e1p-16, 0x1.f847ecd8134e6p-17, 0x1.ed666212687dcp-17, 0x1.e26af80d8d74ap-17, 0x1.d756748dec424p-17, 0x1.cc2bc8569f357p-17, 0x1.c0d70ec5c787p-17, 0x1.b593b2355b41ap-17, 0x1.aa2b8a502f98dp-17, 0x1.9eaf432edc6cbp-17, 0x1.93224b37f17f9p-17, 0x1.878573076784ap-17, 0x1.7bd9dfc89c91bp-17, 0x1.7020ba656c235p-17, 0x1.645b33bc3d239p-17, 0x1.588af27267586p-17, 0x1.4cc79c91b9347p-17, 0x1.40c96d1ca393ep-17, 0x1.34bf1c629c3c6p-17, 0x1.28e9e256b0e7ap-17, 0x1.1cf2afd01d834p-17, 0x1.10f40ab41d73bp-17, 0x1.04f229b299a7bp-17, 0x1.f1dac59c8bfd1p-18, 0x1.d9cd72edd11d5p-18, 0x1.c1be4f9a28ee4p-18, 0x1.a9af493845a24p-18, 0x1.91a28ab1b1109p-18, 0x1.798dc8721ce1fp-18, 0x1.61957992ee0c2p-18, 0x1.499a31acc9603p-18, 0x1.31a601599b25ap-18, 0x1.19be7e0f6144bp-18, 0x1.01e348f91e7ap-18, 0x1.d42caadbfd69ep-19, 0x1.a4b7515f2e29ap-19, 0x1.755fb1a21cfe1p-19, 0x1.462bcd309bbf3p-19, 0x1.17250b6e4bb42p-19, 0x1.d0956798664a5p-20, 0x1.733f80b5809d4p-20, 0x1.1649d90e86333p-20, 0x1.7463e5cb22573p-21, 0x1.76c895cf04c23p-22, 0x1.098ff95b3dba8p-27, -0x1.6445b1e77c3cep-22, -0x1.67663042eb762p-21, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.e80bb49ce9129p-14, -0x1.e7cae5eedeaf5p-12, -0x1.1225a33019ccp-10, -0x1.e6c9b87b1cf44p-10, -0x1.7bb8729a764b7p-9, -0x1.10e4048fb1dccp-8, -0x1.72a02778ff6e3p-8, -0x1.e2e07ad7f470bp-8, -0x1.30b75fc58d04ep-7, -0x1.77078321509f6p-7, -0x1.c4400b5eda15bp-7, -0x1.0c1ef55d0cf54p-6, -0x1.396de9b926233p-6, -0x1.69f933fc927d6p-6, -0x1.9dac34ba5920fp-6, -0x1.d47172379cdd6p-6, -0x1.071956e775b9p-5, -0x1.256c7c2c7c524p-5, -0x1.452662ccb523dp-5, -0x1.663aff58ec547p-5, -0x1.889e09cffb5e7p-5, -0x1.ac4305e6e3cc2p-5, -0x1.d11d4ade0e5f4p-5, -0x1.f7200ae839224p-5, -0x1.0f1f2d13eddfdp-4, -0x1.23359aa3e9d75p-4, -0x1.37ccc3da14e3ap-4, -0x1.4cde18bbd1eb3p-4, -0x1.626306615a377p-4, -0x1.7854f99014ca3p-4, -0x1.8ead612de7fb1p-4, -0x1.a565b08f87ed5p-4, -0x1.bc7761a3aea11p-4, -0x1.d3dbf6fd08137p-4, -0x1.eb8cfdbca1ce1p-4, -0x1.01c207af3a0d9p-3, -0x1.0ddd69b4ca47p-3, -0x1.1a158082cf8ecp-3, -0x1.2667303b52e8bp-3, -0x1.32cf664088b5p-3, -0x1.3f4b19db4e27ep-3, -0x1.4bd74cd6c5eap-3, -0x1.58710c11aeb09p-3, -0x1.65157005e6263p-3, -0x1.71c19d468ee54p-3, -0x1.7e72c4f555885p-3, -0x1.8b26252f320fp-3, -0x1.97d9097101119p-3, -0x1.a488caf453c25p-3, -0x1.b132d104c4259p-3, -0x1.bdd4914e13dd8p-3, -0x1.ca6b902362f29p-3, -0x1.d6f560bfae17bp-3, -0x1.e36fa57fe475bp-3, -0x1.efd81016b9f01p-3, -0x1.fc2c61ba70d15p-3, -0x1.043535a666f1dp-2, -0x1.0a4806beb108p-2, -0x1.104d9c732b2ffp-2, -0x1.1644f711f39e4p-2, -0x1.1c2d1ef35b41dp-2, -0x1.2205248091158p-2, -0x1.27cc2037e1c3cp-2, -0x1.2d8132ae9da22p-2, -0x1.33238490c0bbap-2, -0x1.38b2469e6624cp-2, -0x1.3e2cb1a725d4dp-2, -0x1.43920683632adp-2, -0x1.48e18e0bb0303p-2, -0x1.4e1a990e4adf2p-2, -0x1.533c8042d2c5bp-2, -0x1.5846a43c42e5dp-2, -0x1.5d386d594aa5fp-2, -0x1.62114bb31769cp-2, -0x1.66d0b70a9ea8cp-2, -0x1.6b762eb483561p-2, -0x1.70013983a43c3p-2, -0x1.747165b26b0c9p-2, -0x1.78c648caea355p-2, -0x1.7cff7f8de3709p-2, -0x1.811cadd8c2ed4p-2, -0x1.851d7e8aa50e3p-2, -0x1.8901a3687776ep-2, -0x1.8cc8d50047dep-2, -0x1.9072d28bd00aap-2, -0x1.93ff61d25093ap-2, -0x1.976e4f09ca36ap-2, -0x1.9abf6cb7a7ce7p-2, -0x1.9df29390e0d42p-2, -0x1.a107a259ac9a6p-2, -0x1.a3fe7dc4cd4d9p-2, -0x1.a6d7105281ab4p-2, -0x1.a9914a2f2c671p-2, -0x1.ac2d2111bbc8dp-2, -0x1.aeaa9019dcf59p-2, -0x1.b10997ae08134p-2, -0x1.b34a3d596e144p-2, -0x1.b56c8ba9d47a5p-2, -0x1.b770920d64c94p-2, -0x1.b95664b07e9dp-2, -0x1.bb1e1c5b8fe83p-2, -0x1.bcc7d650ff3a8p-2, -0x1.be53b42b2d56bp-2, -0x1.bfc1dbba9672cp-2, -0x1.c11276e41a9d1p-2, -0x1.c245b37f728c5p-2, -0x1.c35bc335d8564p-2, -0x1.c454db60e78f5p-2, -0x1.c53134e9bcc09p-2, -0x1.c5f10c285897bp-2, -0x1.c694a0c349e61p-2, -0x1.c71c358fa2647p-2, -0x1.c788107140583p-2, -0x1.c7d87a3b6762fp-2, -0x1.c80dbe91b37b1p-2, -0x1.c8282bc967cf9p-2, -0x1.c82812cb1763fp-2, -0x1.c80dc6f4b4264p-2, -0x1.c7d99dfbfc22cp-2, -0x1.c78befd150459p-2, -0x1.c7251682f0439p-2, -0x1.c6a56e20a2b52p-2, -0x1.c60d549fc9614p-2, -0x1.c55d29bfddc53p-2, -0x1.c4954eef661cfp-2, -0x1.c3b6273151c75p-2, -0x1.c2c01702cdba7p-2, -0x1.c1b3844187cd1p-2, -0x1.c090d6126af21p-2, -0x1.bf5874c8ca49p-2, -0x1.be0ac9ce07c3fp-2, -0x1.bca83f89ad979p-2, -0x1.bb31414a002cep-2, -0x1.b9a63b2d0894bp-2, -0x1.b8079a0a15ba2p-2, -0x1.b655cb5bb7d95p-2, -0x1.b4913d2a3163ap-2, -0x1.b2ba5df6668dep-2, -0x1.b0d19ca54018fp-2, -0x1.aed7686b8be33p-2, -0x1.accc30ba558b1p-2, -0x1.aab0652bb5602p-2, -0x1.a88475701d1d4p-2, -0x1.a648d13c1af11p-2, -0x1.a3fde8369497ep-2, -0x1.a1a429e77cb94p-2, -0x1.9f3c05a6ff75bp-2, -0x1.9cc5ea8d2461dp-2, -0x1.9a424761ecf88p-2, -0x1.97b18a8de2523p-2, -0x1.9514220b1fc3fp-2, -0x1.926a7b56ce158p-2, -0x1.8fb5036315764p-2, -0x1.8cf4268981cc4p-2, -0x1.8a28507ddd516p-2, -0x1.8751ec4179952p-2, -0x1.84716416ec28dp-2, -0x1.818721763b731p-2, -0x1.7e938d0179762p-2, -0x1.7b970e79d1d14p-2, -0x1.78920cb4fdca9p-2, -0x1.7584ed932b93ep-2, -0x1.727015f54c792p-2, -0x1.6f53e9b3d021bp-2, -0x1.6c30cb95c5d9fp-2, -0x1.69071d48676aep-2, -0x1.65d73f57098ap-2, -0x1.62a1912371708p-2, -0x1.5f6670de8f2a1p-2, -0x1.5c263b8197537p-2, -0x1.58e14cc780aedp-2, -0x1.5597ff26e0476p-2, -0x1.524aabcc23421p-2, -0x1.4ef9aa94257bap-2, -0x1.4ba5520722bfp-2, -0x1.484df7540144dp-2, -0x1.44f3ee4bf6cb4p-2, -0x1.4197895e7e9b3p-2, -0x1.3e391995ab78ap-2, -0x1.3ad8ee92c456dp-2, -0x1.3777568b3ac58p-2, -0x1.34149e45ec21ep-2, -0x1.30b11118b1819p-2, -0x1.2d4cf8e63de66p-2, -0x1.29e89e1c46554p-2, -0x1.268447b1f2ef1p-2, -0x1.23203b2697b9dp-2, -0x1.1fbcbc80b2e6cp-2, -0x1.1c5a0e4d3096p-2, -0x1.18f8719eedeedp-2, -0x1.1598260e7ff32p-2, -0x1.123969ba37e53p-2, -0x1.0edc794664cfap-2, -0x1.0b818fddd14e4p-2, -0x1.0828e73278505p-2, -0x1.04d2b77e784fp-2, -0x1.017f378533d05p-2, -0x1.fc5d392960bbep-3, -0x1.f5c2350e3f698p-3, -0x1.ef2dc789419e2p-3, -0x1.e8a0528a58f33p-3, -0x1.e21a352565733p-3, -0x1.db9bcb96c5b8bp-3, -0x1.d5256f483a9dcp-3, -0x1.ceb776d625845p-3, -0x1.c85236150a59bp-3, -0x1.c1f5fe1766ecdp-3, -0x1.bba31d33cc3c5p-3, -0x1.b559df0b444bfp-3, -0x1.af1a8c8ff1265p-3, -0x1.a8e56c0bf4e0ap-3, -0x1.a2bac1289108bp-3, -0x1.9c9accf57f4p-3, -0x1.9685cdf081408p-3, -0x1.907c000d292dbp-3, -0x1.8a7d9cbcc7b79p-3, -0x1.848adaf697d0dp-3, -0x1.7ea3ef40068acp-3, -0x1.78c90bb52d141p-3, -0x1.72fa6011708a9p-3, -0x1.6d3819b83df2fp-3, -0x1.678263bdf30c3p-3, -0x1.61d966f0d6f8dp-3, -0x1.5c3d49e23e015p-3, -0x1.56ae30efbb69fp-3, -0x1.512c3e4c7211ap-3, -0x1.4bb7920a72429p-3, -0x1.46504a24364c3p-3, -0x1.40f6828620df8p-3, -0x1.3baa551816afep-3, -0x1.366bd9c71d5aep-3, -0x1.313b268f05bfdp-3, -0x1.2c184f8422a77p-3, -0x1.270366dd004cep-3, -0x1.21fc7cfc23d14p-3, -0x1.1d03a079cd52dp-3, -0x1.1818de2db923p-3, -0x1.133c4138e2becp-3, -0x1.0e6dd30f46046p-3, -0x1.09ad9b8199602p-3, -0x1.04fba0c701d09p-3, -0x1.0057e786c7cbbp-3, -0x1.f784e5c3efd39p-4, -0x1.ee7688fa0e27ep-4, -0x1.e584b912ba624p-4, -0x1.dcaf739dbfa5cp-4, -0x1.d3f6b36ad14e2p-4, -0x1.cb5a709c59eafp-4, -0x1.c2daa0ba2fd75p-4, -0x1.ba7736c42864fp-4, -0x1.b23023447b877p-4, -0x1.aa05546209976p-4, -0x1.a1f6b5f27de64p-4, -0x1.9a04318c3c8bbp-4, -0x1.922dae98240a6p-4, -0x1.8a7312632db5bp-4, -0x1.82d4402fd1925p-4, -0x1.7b511947402b9p-4, -0x1.73e97d0a68836p-4, -0x1.6c9d4902cad03p-4, -0x1.656c58f3161a9p-4, -0x1.5e5686e7908c8p-4, -0x1.575bab4647a25p-4, -0x1.507b9cdf09ffcp-4, -0x1.49b630fb26557p-4, -0x1.430b3b6cf1744p-4, -0x1.3c7a8e9f11718p-4, -0x1.3603fba38dae9p-4, -0x1.2fa75242a17bdp-4, -0x1.2964610953717p-4, -0x1.233af557ce826p-4, -0x1.1d2adb6f7d7c2p-4, -0x1.1733de80e86dp-4, -0x1.1155c8b952e28p-4, -0x1.0b9063501be1p-4, -0x1.05e37693de2c1p-4, -0x1.004ec9f751946p-4, -0x1.f5a4483bd71p-5, -0x1.eada95d0836c9p-5, -0x1.e040070056de6p-5, -0x1.d5d424c9480f8p-5, -0x1.cb9676eada6b4p-5, -0x1.c18683fce2c2ap-5, -0x1.b7a3d185cf638p-5, -0x1.adede4106eb54p-5, -0x1.a4643f4137dfdp-5, -0x1.9b0665eb16e4bp-5, -0x1.91d3da23bb773p-5, -0x1.88cc1d5767c19p-5, -0x1.7feeb05c47303p-5, -0x1.773b138547fb1p-5, -0x1.6eb0c6b47a981p-5, -0x1.664f496cf6081p-5, -0x1.5e161ae446463p-5, -0x1.5604ba136045dp-5, -0x1.4e1aa5c720c68p-5, -0x1.46575cb05495dp-5, -0x1.3eba5d734d0fbp-5, -0x1.374326b700285p-5, -0x1.2ff13733b7dfap-5, -0x1.28c40dc14f01p-5, -0x1.21bb2964ffc29p-5, -0x1.1ad6095ec2816p-5, -0x1.14142d3640d3ep-5, -0x1.0d7514c75d4c4p-5, -0x1.06f8404e4e287p-5, -0x1.009d307353076p-5, -0x1.f4c6ccac02221p-6, -0x1.e894c73053929p-6, -0x1.dca354d0ba84bp-6, -0x1.d0f17b18122e2p-6, -0x1.c57e40d27016cp-6, -0x1.ba48ae1fe06e7p-6, -0x1.af4fcc8664634p-6, -0x1.a492a7033b9f2p-6, -0x1.9a104a1b7567bp-6, -0x1.8fc7c3ebce4d3p-6, -0x1.85b82437e0be4p-6, -0x1.7be07c78a2df1p-6, -0x1.723fdfea4557cp-6, -0x1.68d563996182fp-6, -0x1.5fa01e6f8b641p-6, -0x1.569f293f432d1p-6, -0x1.4dd19ecf47bb6p-6, -0x1.45369be5527e5p-6, -0x1.3ccd3f503b5e5p-6, -0x1.3494a9f18c622p-6, -0x1.2c8bfec685c7ap-6, -0x1.24b262f091da6p-6, -0x1.1d06fdbd33cafp-6, -0x1.1588f8ad701f4p-6, -0x1.0e377f7caf6f1p-6, -0x1.0711c02725479p-6, -0x1.0016eaefb7b04p-6, -0x1.f28c64cadcb8p-7, -0x1.e53d96d0d3099p-7, -0x1.d83fda5cd49aap-7, -0x1.cb91a28dc703ep-7, -0x1.bf31673d48a13p-7, -0x1.b31da506236bfp-7, -0x1.a754dd49facbdp-7, -0x1.9bd596362beecp-7, -0x1.909e5ac7ebe87p-7, -0x1.85adbacfa39a6p-7, -0x1.7b024af398defp-7, -0x1.709aa4b1e3905p-7, -0x1.66756661b13a6p-7, -0x1.5c913333e58bep-7, -0x1.52ecb33311e44p-7, -0x1.49869342dbeccp-7, -0x1.405d851eb8c5ap-7, -0x1.37703f58288d8p-7, -0x1.2ebd7d545400dp-7, -0x1.2643ff4929e27p-7, -0x1.1e028a39f524ep-7, -0x1.15f7e7f3724d5p-7, -0x1.0e22e7076b614p-7, -0x1.06825ac7dca08p-7, -0x1.fe2a36834d167p-8, -0x1.efb40a6da8338p-8, -0x1.e19ff430ecd66p-8, -0x1.d3ebc000375dep-8, -0x1.c6954351ccb57p-8, -0x1.b99a5cd08cbb1p-8, -0x1.acf8f44cb7416p-8, -0x1.a0aefaac03ae8p-8, -0x1.94ba69d91b425p-8, -0x1.891944b276dd3p-8, -0x1.7dc996f8ab40cp-8, -0x1.72c9753c2b643p-8, -0x1.6816fcca84cd9p-8, -0x1.5db0539b20a19p-8, -0x1.5393a83b8da32p-8, -0x1.49bf31bb5a73ep-8, -0x1.40312f97871f9p-8, -0x1.36e7e9a5946b1p-8, -0x1.2de1affe35f89p-8, -0x1.251cdae7ace18p-8, -0x1.1c97cabfd3c8ep-8, -0x1.1450e7e5ddcd4p-8, -0x1.0c46a2a3d1ed9p-8, -0x1.04777317c4d81p-8, -0x1.f9c3b239b17a8p-9, -0x1.eb08b86811918p-9, -0x1.dcbb16d9807dbp-9, -0x1.ced7fa9a9614ap-9, -0x1.c15c9f7637039p-9, -0x1.b4464fc5dccb4p-9, -0x1.a7926441a3c11p-9, -0x1.9b3e43d02544ap-9, -0x1.8f476356260cdp-9, -0x1.83ab45861fdd6p-9, -0x1.78677aafb547bp-9, -0x1.6d79a08f0c16fp-9, -0x1.62df621c206ap-9, -0x1.5896775a0e3c3p-9, -0x1.4e9ca526623edp-9, -0x1.44efbd086cf39p-9, -0x1.3b8d9d00a97b1p-9, -0x1.32742f583786cp-9, -0x1.29a16a706fc0ep-9, -0x1.21135092996aep-9, -0x1.18c7efbfc763ep-9, -0x1.10bd6180ded7ap-9, -0x1.08f1cab6cd379p-9, -0x1.01635b6af94f4p-9, -0x1.f4209d3fcf281p-10, -0x1.e5edd4444403ep-10, -0x1.d82afcb2c16c4p-10, -0x1.cad4cc33f2efap-10, -0x1.bde80ced37a19p-10, -0x1.b1619d24b5abbp-10, -0x1.a53e6ee60edfbp-10, -0x1.997b87a7c96dcp-10, -0x1.8e15fff163be7p-10, -0x1.830b03021fd22p-10, -0x1.7857ce7893a84p-10, -0x1.6df9b1faf36d4p-10, -0x1.63ee0ee02bf29p-10, -0x1.5a3257d9c58ffp-10, -0x1.50c4109ea0514p-10, -0x1.47a0cd967acd8p-10, -0x1.3ec633865fcd4p-10, -0x1.3631f73ded3d8p-10, -0x1.2de1dd457a102p-10, -0x1.25d3b98d252c3p-10, -0x1.1e056f1ccfadfp-10, -0x1.1674efc4f8558p-10, -0x1.0f203bd08d879p-10, -0x1.080561b7af1f4p-10, -0x1.01227dd35b001p-10, -0x1.f4eb74242c643p-11, -0x1.e7fa9b5b0cf79p-11, -0x1.db6ef9c20a4adp-11, -0x1.cf45314254ab9p-11, -0x1.c379fca8a36a4p-11, -0x1.b80a2f1834f39p-11, -0x1.acf2b37fc3f05p-11, -0x1.a2308c1075ecep-11, -0x1.97c0d1b6c267bp-11, -0x1.8da0b39553daep-11, -0x1.83cd7681e24cbp-11, -0x1.7a44748406f47p-11, -0x1.71031c560afacp-11, -0x1.6806f0e7ad0cap-11, -0x1.5f4d88e2e0b06p-11, -0x1.56d48e3282da6p-11, -0x1.4e99bd8b051bfp-11, -0x1.469ae5f50b982p-11, -0x1.3ed5e859fe6bdp-11, -0x1.3748b71289943p-11, -0x1.2ff155770ae11p-11, -0x1.28cdd771ec989p-11, -0x1.21dc6113e55e5p-11, -0x1.1b1b262a21de9p-11, -0x1.148869d64e557p-11, -0x1.0e227e28809e9p-11, -0x1.07e7c3baff339p-11, -0x1.01d6a94fdf771p-11, -0x1.f7db56e0f3e78p-12, -0x1.ec56a81d625b9p-12, -0x1.e11c7450064a7p-12, -0x1.d62a02d4d0079p-12, -0x1.cb7cb3b5e4802p-12, -0x1.c111fefc66474p-12, -0x1.b6e77404b64b9p-12, -0x1.acfab8d623a66p-12, -0x1.a349897e04aafp-12, -0x1.99d1b76e30a64p-12, -0x1.909128decaffdp-12, -0x1.8785d8335c217p-12, -0x1.7eadd3632eb04p-12, -0x1.76073b64e0e0cp-12, -0x1.6d90439d2818bp-12, -0x1.65473150b875ap-12, -0x1.5d2a5b19440f1p-12, -0x1.5538285d8fb33p-12, -0x1.4d6f10cc8aa89p-12, -0x1.45cd9bdb62b23p-12, -0x1.3e52604689873p-12, -0x1.36fc0395a4fd5p-12, -0x1.2fc939a2576e4p-12, -0x1.28b8c421dd324p-12, -0x1.21c9723171abp-12, -0x1.1afa1fe572dfap-12, -0x1.1449b5db353e1p-12, -0x1.0db728cd8376p-12, -0x1.0741792bb94ecp-12, -0x1.00e7b2b37411ep-12, -0x1.f551d819960dbp-13, -0x1.e9088cd20d168p-13, -0x1.dcf1da4796d7p-13, -0x1.d10c2acd603ffp-13, -0x1.c555fb9e640e7p-13, -0x1.b9cddc2df8656p-13, -0x1.ae726d7cfdc04p-13, -0x1.a34261738235cp-13, -0x1.983c7a3edca47p-13, -0x1.8d5f89b415739p-13, -0x1.82aa70b69ce92p-13, -0x1.781c1ea3293f9p-13, -0x1.6db390beb8e14p-13, -0x1.636fd1a99943ap-13, -0x1.594ff8d65e8fep-13, -0x1.4f532a04c5cd1p-13, -0x1.457894c05e68dp-13, -0x1.3bbf73e2ef6a9p-13, -0x1.32270d1a89e73p-13, -0x1.28aeb0732a153p-13, -0x1.1f55b7e3e0b4p-13, -0x1.161b86df670cp-13, -0x1.0cff89e81ad4dp-13, -0x1.0401362739785p-13, -0x1.f640120ec0358p-14, -0x1.e4b70fa4655d3p-14, -0x1.d3667ea225509p-14, -0x1.c24d86e1d1d9ap-14, -0x1.b16b5dd1adb16p-14, -0x1.a0bf45c7b25acp-14, -0x1.90488d5a65ac3p-14, -0x1.80068ebf46c4cp-14, -0x1.6ff8af2e9a0c3p-14, -0x1.601e5e4c7db7ap-14, -0x1.5077159725524p-14, -0x1.410257da1dd8p-14, -0x1.31bfb0a67a512p-14, -0x1.22aeb3cfcd8d2p-14, -0x1.13cefcedd0be4p-14, -0x1.05202ee29aacep-14, -0x1.ed43e6ca96759p-15, -0x1.d0a7f5221c6a9p-15, -0x1.b46bf4f0b25b8p-15, -0x1.988f5d7893bbdp-15, -0x1.7d11b0501422fp-15, -0x1.61f278a038e33p-15, -0x1.47314a6af8119p-15, -0x1.2ccdc1d8e078dp-15, -0x1.12c7828dfe258p-15, -0x1.f23c6e0b900e9p-16, -0x1.bfa31febcb4c9p-16, -0x1.8dc2876f3b74bp-16, -0x1.5c9a1b6f79499p-16, -0x1.2c295bd98daf6p-16, -0x1.f8dfa14d2885fp-17, -0x1.9ada11c077c8dp-17, -0x1.3e413361aab93p-17, -0x1.c62875fa562ddp-18, -0x1.12a4cc46ed1d2p-18, -0x1.87d7cc541bc89p-20, 0x1.2f9603e2db924p-20, 0x1.eddde5eadaff8p-19, 0x1.9f27c06ffd18fp-18, 0x1.2248a209d2f36p-17, 0x1.73966c12413cfp-17, 0x1.c37dec6c77928p-17, 0x1.08ffe9a446f25p-16, 0x1.2f8e69fb6a238p-16, 0x1.556ad2f1a81e7p-16, 0x1.7a9582c0ea985p-16, 0x1.9f0eda95a3beap-16, 0x1.c2d73ef640d2p-16, 0x1.e5ef1823b3be8p-16, 0x1.042b6939a36c6p-15, 0x1.15076f50fe862p-15, 0x1.258bd910dc6bcp-15, 0x1.35b8e3b02e443p-15, 0x1.458ecf049471bp-15, 0x1.550ddda03daebp-15, 0x1.643654ed1d38ep-15, 0x1.73087d4586173p-15, 0x1.8184a20a4be93p-15, 0x1.8fab11b681bd9p-15, 0x1.9d7c1df0e8f59p-15, 0x1.aaf81b9b2f302p-15, 0x1.b81f62df0ce4bp-15, 0x1.c4f24f395bbc3p-15, 0x1.d1713f833d29p-15, 0x1.dd9c95f963408p-15, 0x1.e974b8418eef5p-15, 0x1.f4fa0f6e5e8dap-15, 0x1.00168400baea8p-14, 0x1.058708f60e9p-14, 0x1.0aced047301dfp-14, 0x1.0fee155a63bb4p-14, 0x1.14e5154a5a513p-14, 0x1.19b40ee3bd33cp-14, 0x1.1e5b42a21e252p-14, 0x1.22daf2ac5344fp-14, 0x1.273362d046aabp-14, 0x1.2b64d87e43093p-14, 0x1.2f6f9ac3c0f51p-14, 0x1.3353f245bfcc5p-14, 0x1.3712293aae348p-14, 0x1.3aaa8b63ea4b5p-14, 0x1.3e1d6606df7bcp-14, 0x1.416b07e5c816fp-14, 0x1.4493c1381875p-14, 0x1.4797e3a29b8b6p-14, 0x1.4a77c22f41bp-14, 0x1.4d33b144adf89p-14, }}, 
      {{-0x1.71fdc32a7a73bp-7, -0x1.720e5b3c340acp-6, -0x1.159eb12b230ep-5, -0x1.724c0f9c2cae9p-5, -0x1.cf1399bf9debfp-5, -0x1.15fbd4e2bdbf7p-4, -0x1.447c471b1f5cbp-4, -0x1.730a454e32111p-4, -0x1.a1a3f3bf5e6cdp-4, -0x1.d046867355df8p-4, -0x1.feee51f1b66c6p-4, -0x1.16cb6f1908c52p-3, -0x1.2e1d7d5c3334bp-3, -0x1.456a69936deacp-3, -0x1.5caf01de0745fp-3, -0x1.73e7d6ad886d3p-3, -0x1.8b11446b45109p-3, -0x1.a2277ca7599a3p-3, -0x1.b9268ec1193cap-3, -0x1.d00a6fff7d559p-3, -0x1.e6cf0314f5516p-3, -0x1.fd701f0dab51ap-3, -0x1.09f4cad50a177p-2, -0x1.151b9c94d9ea3p-2, -0x1.202a70c5b58e1p-2, -0x1.2b1f38a4dbd33p-2, -0x1.35f7ecccf1643p-2, -0x1.40b28f1ac869fp-2, -0x1.4b4d2c5b1e288p-2, -0x1.55c5ddc51affbp-2, -0x1.601aca4543bf6p-2, -0x1.6a4a279c84a78p-2, -0x1.74523b56bc744p-2, -0x1.7e315b9c1e6ffp-2, -0x1.87e5efe08251p-2, -0x1.916e71738f4fdp-2, -0x1.9ac96bf47f11fp-2, -0x1.a3f57dac003dep-2, -0x1.acf157ce9c7e3p-2, -0x1.b5bbbea9c742bp-2, -0x1.be5389bda02f2p-2, -0x1.c6b7a3c542e16p-2, -0x1.cee70aaf5696cp-2, -0x1.d6e0cf88708cep-2, -0x1.dea41658b93bap-2, -0x1.e63015f625bcap-2, -0x1.ed8417cc769a6p-2, -0x1.f49f779c1d6a8p-2, -0x1.fb81a33106874p-2, -0x1.01150d091aa41p-1, -0x1.044c369586df8p-1, -0x1.07661f3788819p-1, -0x1.0a62a03c5f846p-1, -0x1.0d419b1225a75p-1, -0x1.1002f9135b6aep-1, -0x1.12a6ab50eeb9p-1, -0x1.152caa5afb6fcp-1, -0x1.1794f60880f64p-1, -0x1.19df953e40f8ap-1, -0x1.1c0c95b4fa515p-1, -0x1.1e1c0bbf2d6a3p-1, -0x1.200e120e928ddp-1, -0x1.21e2c9796832ap-1, -0x1.239a58bfbd50ep-1, -0x1.2534ec50d6546p-1, -0x1.26b2b610cacap-1, -0x1.2813ed1e762d5p-1, -0x1.2958cd99d2433p-1, -0x1.2a81986ad646dp-1, -0x1.2b8e9308e7e28p-1, -0x1.2c800742f7ae3p-1, -0x1.2d56430853522p-1, -0x1.2e119832414f7p-1, -0x1.2eb25c4e70c5ap-1, -0x1.2f38e86a4a9ep-1, -0x1.2fa598df2ee46p-1, -0x1.2ff8cd1fa788ap-1, -0x1.3032e785998dcp-1, -0x1.30544d217ace4p-1, -0x1.305d658a9408cp-1, -0x1.304e9ab0555cbp-1, -0x1.302858acbe504p-1, -0x1.2feb0d97e345dp-1, -0x1.2f97295c8c6a7p-1, -0x1.2f2d1d8df5d0ep-1, -0x1.2ead5d3eb0effp-1, -0x1.2e185cd8a7f69p-1, -0x1.2d6e91f64364dp-1, -0x1.2cb0733cb48dap-1, -0x1.2bde78375fbb1p-1, -0x1.2af919346bab5p-1, -0x1.2a00cf226e7d5p-1, -0x1.28f6136f3aaf2p-1, -0x1.27d95fe7c9538p-1, -0x1.26ab2e993df92p-1, -0x1.256bf9b302b99p-1, -0x1.241c3b69f923ap-1, -0x1.22bc6ddcbd5ddp-1, -0x1.214d0af8f71acp-1, -0x1.1fce8c61b5127p-1, -0x1.1e416b56d1079p-1, -0x1.1ca6209d54a44p-1, -0x1.1afd2468df304p-1, -0x1.1946ee4604a4dp-1, -0x1.1783f505a4253p-1, -0x1.15b4aea92e99p-1, -0x1.13d9904fdd685p-1, -0x1.11f30e24ce23ap-1, -0x1.10019b4e05491p-1, -0x1.0e05a9dc4e431p-1, -0x1.0bffaabbf5c36p-1, -0x1.09f00da65b2fp-1, -0x1.07d741144fa5dp-1, -0x1.05b5b231434ecp-1, -0x1.038bcccf388dbp-1, -0x1.0159fb5b76c23p-1, -0x1.fe414da7fbc2p-2, -0x1.f9c06d7b5cbe8p-2, -0x1.f53222364adfep-2, -0x1.f09734c890978p-2, -0x1.ebf06afcebe14p-2, -0x1.e73e876ac1545p-2, -0x1.e28249690a8bp-2, -0x1.ddbc6d027867dp-2, -0x1.d8edaaeac775p-2, -0x1.d416b87530d1cp-2, -0x1.cf38478bfac1ap-2, -0x1.ca5306a913c0bp-2, -0x1.c567a0cfbba33p-2, -0x1.c076bd872682dp-2, -0x1.bb8100d616d9p-2, -0x1.b6870b3f6749ap-2, -0x1.b18979bf767dap-2, -0x1.ac88e5ca6fc5cp-2, -0x1.a785e54b69ec1p-2, -0x1.a2810aa44fe52p-2, -0x1.9d7ae4ae8fda9p-2, -0x1.9873febc82edap-2, -0x1.936ce09b8f03ap-2, -0x1.8e660e96ef416p-2, -0x1.8960097b29cfep-2, -0x1.845b4e9a1c09ep-2, -0x1.7f5857cfa48dfp-2, -0x1.7a579b86db5ecp-2, -0x1.75598cbfd2cb4p-2, -0x1.705e9b15dc471p-2, -0x1.6b6732c64b0c7p-2, -0x1.6673bcb7abbabp-2, -0x1.61849e816b3a2p-2, -0x1.5c9a3a73ea416p-2, -0x1.57b4efa0f19cfp-2, -0x1.52d519e488fa9p-2, -0x1.4dfb11ee23074p-2, -0x1.49272d4a1d1d7p-2, -0x1.4459be6b91a1cp-2, -0x1.3f9314b66b775p-2, -0x1.3ad37c89c58a6p-2, -0x1.361b3f4a83169p-2, -0x1.316aa36e26612p-2, -0x1.2cc1ec85da77ap-2, -0x1.28215b49aff35p-2, -0x1.23892da404d5bp-2, -0x1.1ef99ebd1860bp-2, -0x1.1a72e706bfeaep-2, -0x1.15f53c483f537p-2, -0x1.1180d1aa3af83p-2, -0x1.0d15d7c2c8756p-2, -0x1.08b47ca18faabp-2, -0x1.045cebdc00dd5p-2, -0x1.000f4e999a3dcp-2, -0x1.f79797406d55fp-3, -0x1.ef250ec0d18abp-3, -0x1.e6c74803b14afp-3, -0x1.de7e82df4f766p-3, -0x1.d64afac9a24fdp-3, -0x1.ce2ce6f11431cp-3, -0x1.c6247a553c582p-3, -0x1.be31e3df86131p-3, -0x1.b6554e7bc0392p-3, -0x1.ae8ee130a0495p-3, -0x1.a6debf38209bbp-3, -0x1.9f450817c0a95p-3, -0x1.97c1d7b8a3e82p-3, -0x1.9055467f866d9p-3, -0x1.88ff69648add6p-3, -0x1.81c0520ad1cfap-3, -0x1.7a980ed7eb638p-3, -0x1.7386ab0b0c211p-3, -0x1.6c8c2ed40a705p-3, -0x1.65a89f6a2ace8p-3, -0x1.5edbff22a5a5p-3, -0x1.58264d86f3f32p-3, -0x1.5187876adbc25p-3, -0x1.4affa702363b6p-3, -0x1.448ea3f674a53p-3, -0x1.3e34737bda9e2p-3, -0x1.37f10866757cap-3, -0x1.31c4533ec4851p-3, -0x1.2bae42561ac19p-3, -0x1.25aec1daafecep-3, -0x1.1fc5bbeb685bbp-3, -0x1.19f318ab48749p-3, -0x1.1436be549e448p-3, -0x1.0e90914bd783bp-3, -0x1.09007432078edp-3, -0x1.038647f7164b7p-3, -0x1.fc43d7d7531ecp-4, -0x1.f1a67ba552c03p-4, -0x1.e73433e502b16p-4, -0x1.dcecb64c07e2cp-4, -0x1.d2cfb5da00bedp-4, -0x1.c8dce2f8f9f4p-4, -0x1.bf13eb9d4bf41p-4, -0x1.b5747b64c886fp-4, -0x1.abfe3bb536afap-4, -0x1.a2b0d3da3e4fcp-4, -0x1.998be92292a0fp-4, -0x1.908f1efc8617ep-4, -0x1.87ba1711f483ap-4, -0x1.7f0c716384a43p-4, -0x1.7685cc63486f7p-4, -0x1.6e25c50eb770ap-4, -0x1.65ebf708088a7p-4, -0x1.5dd7fcaee81d6p-4, -0x1.55e96f389006dp-4, -0x1.4e1fe6c73ed53p-4, -0x1.467afa8112c44p-4, -0x1.3efa40a647cdp-4, -0x1.379d4ea6db6d7p-4, -0x1.3063b937978f9p-4, -0x1.294d146685cbbp-4, -0x1.2258f3aeccc81p-4, -0x1.1b86ea0bfae04p-4, -0x1.14d68a0cbd60cp-4, -0x1.0e4765e507da8p-4, -0x1.07d90f7fadac2p-4, -0x1.018b188f6f27fp-4, -0x1.f6ba253ef5bd3p-5, -0x1.ea9d1e46d0aa1p-5, -0x1.debe3f0d57f2p-5, -0x1.d31caa770a0ffp-5, -0x1.c7b78392d6c82p-5, -0x1.bc8dedb5f99f1p-5, -0x1.b19f0c96d4ep-5, -0x1.a6ea0466d9de5p-5, -0x1.9c6df9eb79ddep-5, -0x1.922a129629d6dp-5, -0x1.881d749b7b318p-5, -0x1.7e4747094cff1p-5, -0x1.74a6b1dc1d11bp-5, -0x1.6b3ade1379a9fp-5, -0x1.6202f5c59b1b3p-5, -0x1.58fe2432272a6p-5, -0x1.502b95d4258adp-5, -0x1.478a787327948p-5, -0x1.3f19fb33a6b9cp-5, -0x1.36d94ea6a2872p-5, -0x1.2ec7a4d87c11cp-5, -0x1.26e4315f1a15fp-5, -0x1.1f2e296753503p-5, -0x1.17a4c3c1a7db4p-5, -0x1.104738ee4d73ap-5, -0x1.0914c32891158p-5, -0x1.020c9e7190c69p-5, -0x1.f65c1134b033ep-6, -0x1.e8f0829ab5b49p-6, -0x1.dbd5142eb3a41p-6, -0x1.cf084cdf5c574p-6, -0x1.c288b780102acp-6, -0x1.b654e2d737764p-6, -0x1.aa6b61ab8c2dp-6, -0x1.9ecacad05a334p-6, -0x1.9371b930b6699p-6, -0x1.885ecbd9be063p-6, -0x1.7d90a603dcd22p-6, -0x1.7305ef1b27ab4p-6, -0x1.68bd52c6cf825p-6, -0x1.5eb580efb3df3p-6, -0x1.54ed2dc61ec52p-6, -0x1.4b6311c6ab5fcp-6, -0x1.4215e9be62ba6p-6, -0x1.390476ce16f38p-6, -0x1.302d7e6cfa1cep-6, -0x1.278fca6a852efp-6, -0x1.1f2a28efa4825p-6, -0x1.16fb6c7f42702p-6, -0x1.0f026bf6263f5p-6, -0x1.073e028a38422p-6, -0x1.ff5a1f924dd67p-7, -0x1.f09cef2d02848p-7, -0x1.e2424452741b1p-7, -0x1.d447f81153029p-7, -0x1.c6abec12110ecp-7, -0x1.b96c0a8ee1c38p-7, -0x1.ac86464ac17edp-7, -0x1.9ff89a879fadfp-7, -0x1.93c10afba232bp-7, -0x1.87dda3c5a0f02p-7, -0x1.7c4c7960ce3c6p-7, -0x1.710ba897a2bb2p-7, -0x1.6619567610db4p-7, -0x1.5b73b03b0ca08p-7, -0x1.5118eb4966525p-7, -0x1.47074518135cap-7, -0x1.3d3d0321d4a39p-7, -0x1.33b872d45a5fep-7, -0x1.2a77e97edc3bap-7, -0x1.2179c4403528ep-7, -0x1.18bc67f489fc5p-7, -0x1.103e41227e994p-7, -0x1.07fdc3e8046p-7, -0x1.fff2d7cd8be8bp-8, -0x1.f05f7860722b2p-8, -0x1.e13e7e62b5cap-8, -0x1.d28d0d3c3dd15p-8, -0x1.c44856b92ade3p-8, -0x1.b66d9adf9da34p-8, -0x1.a8fa27c5080c6p-8, -0x1.9beb59630b8cp-8, -0x1.8f3e996bf7fbcp-8, -0x1.82f15f1eee2bp-8, -0x1.77012f1bb5056p-8, -0x1.6b6b9b364a53p-8, -0x1.602e424a346c3p-8, -0x1.5546d00da3cb2p-8, -0x1.4ab2fce4698cbp-8, -0x1.40708db2cc2a9p-8, -0x1.367d53b04297cp-8, -0x1.2cd72c3a1e7a4p-8, -0x1.237c00a62b698p-8, -0x1.1a69c6154d0dep-8, -0x1.119e7d461ea74p-8, -0x1.09183267a1c76p-8, -0x1.00d4fcebfad6fp-8, -0x1.f1a5feb690202p-9, -0x1.e220ce4d2a5cep-9, -0x1.d316d8f5e52ep-9, -0x1.c484a4296e009p-9, -0x1.b666ca25db273p-9, -0x1.a8b9f995f1f2bp-9, -0x1.9b7af538dcd17p-9, -0x1.8ea6938a5a774p-9, -0x1.8239be6b70306p-9, -0x1.763172cba620cp-9, -0x1.6a8ac052d8216p-9, -0x1.5f42c90ba16dap-9, -0x1.5456c10e6560ap-9, -0x1.49c3ee2d07468p-9, -0x1.3f87a79f4ba01p-9, -0x1.359f55aff17c5p-9, -0x1.2c08716a84782p-9, -0x1.22c08449f185p-9, -0x1.19c527e7dd57ep-9, -0x1.111405acc6a2p-9, -0x1.08aad680f8036p-9, -0x1.0087627e49b8cp-9, -0x1.f14f01457268fp-10, -0x1.e2122d07c06bbp-10, -0x1.d354300683973p-10, -0x1.c5110e06f46a7p-10, -0x1.b744e63caa067p-10, -0x1.a9ebf2b788cb3p-10, -0x1.9d0287d383135p-10, -0x1.908513aa30912p-10, -0x1.84701d8634692p-10, -0x1.78c045588d11cp-10, -0x1.6d72432fb0b0bp-10, -0x1.6282e6b0921c8p-10, -0x1.57ef169188e0ep-10, -0x1.4db3d01716a4dp-10, -0x1.43ce26929534ap-10, -0x1.3a3b42e2c66e5p-10, -0x1.30f862f650334p-10, -0x1.2802d95016db1p-10, -0x1.1f580c8d84cbfp-10, -0x1.16f576eeb2d5p-10, -0x1.0ed8a5e0738bap-10, -0x1.06ff39884cedep-10, -0x1.fecdc8a494e54p-11, -0x1.f01ad50165cb6p-11, -0x1.e1e1437b45092p-11, -0x1.d41ce15cfad67p-11, -0x1.c6c99d1280931p-11, -0x1.b9e3855752d25p-11, -0x1.ad66c86872018p-11, -0x1.a14fb33a086d3p-11, -0x1.959ab0b0b4bfp-11, -0x1.8a4448de6d046p-11, -0x1.7f492042f991dp-11, -0x1.74a5f70ffb5f9p-11, -0x1.6a57a8707af2dp-11, -0x1.605b29d3f53d7p-11, -0x1.56ad8a3ce1babp-11, -0x1.4d4bf192a59e9p-11, -0x1.44339ff6f12c3p-11, -0x1.3b61ed1e7a21dp-11, -0x1.32d447ad0d9aep-11, -0x1.2a883494ed783p-11, -0x1.227b4e7974cd4p-11, -0x1.1aab4514f5d01p-11, -0x1.1315dca1ca16ep-11, -0x1.0bb8ed468b3b8p-11, -0x1.049262856b1b5p-11, -0x1.fb40755d40725p-12, -0x1.edc10cabbbd65p-12, -0x1.e0a2cf959b0c3p-12, -0x1.d3e22528ffefp-12, -0x1.c77b95df97be9p-12, -0x1.bb6bcaa11d67cp-12, -0x1.afaf8bcb8e108p-12, -0x1.a443c040fc8a9p-12, -0x1.99256c7aebcdbp-12, -0x1.8e51b1a31e038p-12, -0x1.83c5ccb1c5396p-12, -0x1.797f1590fab3ap-12, -0x1.6f7afe4570465p-12, -0x1.65b7121c42799p-12, -0x1.5c30f4ddd4838p-12, -0x1.52e66205a6c6cp-12, -0x1.49d52bff1150bp-12, -0x1.40fb3b66ca06cp-12, -0x1.38568e512731dp-12, -0x1.2fe5379506fccp-12, -0x1.27a55e1b472f6p-12, -0x1.1f953c32bc7abp-12, -0x1.17b31ee88facp-12, -0x1.0ffd6564f01c8p-12, -0x1.0872804c07195p-12, -0x1.0110f12318e62p-12, -0x1.f3ae937378c61p-13, -0x1.e588572e323dcp-13, -0x1.d7ac8ed632bdbp-13, -0x1.ca18b906edc66p-13, -0x1.bcca70892e4ep-13, -0x1.afbf6b4c37433p-13, -0x1.a2f579663af73p-13, -0x1.966a841bedfbfp-13, -0x1.8a1c8cef1fd8ep-13, -0x1.7e09acb433c1p-13, -0x1.723012ae4e0edp-13, -0x1.668e03b21619p-13, -0x1.5b21d94eecd91p-13, -0x1.4fea00fe6fdcp-13, -0x1.44e4fb5a2baa5p-13, -0x1.3a115b57551ebp-13, -0x1.2f6dc5886a252p-13, -0x1.24f8ef649fc3ep-13, -0x1.1ab19e94f2317p-13, -0x1.1096a846b93f2p-13, -0x1.06a6f083a6f8cp-13, -0x1.f9c2d31e137cp-14, -0x1.e68a26907309fp-14, -0x1.d3a1f52413127p-14, -0x1.c108717e4c2d1p-14, -0x1.aebbe6068338cp-14, -0x1.9cbab3d1df10fp-14, -0x1.8b0351981ee82p-14, -0x1.79944ab1674f4p-14, -0x1.686c3e1cbd226p-14, -0x1.5789dd8eff843p-14, -0x1.46ebec8a2aafbp-14, -0x1.36913f7cac515p-14, -0x1.2678bae8969b5p-14, -0x1.16a152927d4cep-14, -0x1.070a08b7cb7dcp-14, -0x1.ef63da98be0c3p-15, -0x1.d1303a7e760e3p-15, -0x1.b377838c3c205p-15, -0x1.96381f5fa1a46p-15, -0x1.79708d79f8095p-15, -0x1.5d1f61feb3113p-15, -0x1.4143447e2a619p-15, -0x1.25daeecc5dc67p-15, -0x1.0ae52be36b736p-15, -0x1.e0c1ada2c6778p-16, -0x1.ac99b36244e7p-16, -0x1.7950595bd3216p-16, -0x1.46e3aa22b8965p-16, -0x1.1551c8b73d874p-16, -0x1.c931dd950a60ap-17, -0x1.696ed62aeded6p-17, -0x1.0b573f8449abfp-17, -0x1.5dd0039c6d0a2p-18, -0x1.507898a0ba4ccp-19, 0x1.424b08366df63p-23, 0x1.7242c8dab3e2p-19, 0x1.64f6207cda6a8p-18, 0x1.06cad3be87513p-17, 0x1.598275e6fa1c4p-17, 0x1.aaa45dbce8863p-17, 0x1.fa32e22a5bbc1p-17, 0x1.241825f99a19bp-16, 0x1.4a4f6bc8035bep-16, 0x1.6fc05b77f945p-16, 0x1.946c09910f428p-16, 0x1.b85386f3e5882p-16, 0x1.db77e197e09a2p-16, 0x1.fdda253df2d7ep-16, 0x1.0fbdae0c6b92ep-15, 0x1.202e47b593ad2p-15, 0x1.303f640dce7dp-15, 0x1.3ff1879ff1a6ep-15, 0x1.4f45374f27ec5p-15, 0x1.5e3af893694e3p-15, 0x1.6cd351b1be48p-15, 0x1.7b0ec9f07173ap-15, 0x1.88ede9c75cfb3p-15, 0x1.96713b0c7611fp-15, 0x1.a399491cbed05p-15, 0x1.b066a101c2792p-15, 0x1.bcd9d193c1a01p-15, 0x1.c8f36b98ad8b7p-15, 0x1.d4b401e018a36p-15, 0x1.e01c295c37aefp-15, 0x1.eb2c79381b223p-15, 0x1.f5e58aeb395bap-15, 0x1.0023fd2534098p-14, 0x1.052a32cb33f65p-14, 0x1.0a05b6c40c15ep-14, 0x1.0eb6daad394a8p-14, 0x1.133df16933474p-14, 0x1.179b4f2257facp-14, 0x1.1bcf494ce285dp-14, 0x1.1fda36a7f54dap-14, 0x1.23bc6f3dc98bp-14, 0x1.27764c630ad14p-14, 0x1.2b0828b56aa02p-14, 0x1.2e726019789bcp-14, 0x1.31b54fb7c7866p-14, 0x1.34d155f96adfbp-14, 0x1.37c6d283d5167p-14, 0x1.3a96263420bfcp-14, 0x1.3d3fb319ce5fdp-14, 0x1.3fc3dc70feb13p-14, 0x1.4223069c30fbep-14, 0x1.445d971d8fc09p-14, 0x1.4673f48fd2ecdp-14, 0x1.4866869ebdb81p-14, 0x1.4a35b5ff4159ep-14, 0x1.4be1ec674a2e2p-14, 0x1.4d6b94854049cp-14, 0x1.4ed319f73e622p-14, 0x1.5018e94209a6cp-14, 0x1.513d6fc7ccb83p-14, 0x1.52411bbe9e8e9p-14, 0x1.53245c26d8eb4p-14, 0x1.53e7a0c144a2bp-14, 0x1.548b5a05206e6p-14, 0x1.550ff9160894p-14, 0x1.5575efb9c0d44p-14, 0x1.55bdb04de9cf1p-14, 0x1.55e7adbda2f49p-14, 0x1.55f45b771c3e7p-14, 0x1.55e42d612087p-14, 0x1.55b797d096823p-14, 0x1.556f0f7e0073ap-14, 0x1.550b097afacffp-14, 0x1.548bfb27c017cp-14, 0x1.53f25a28b219ap-14, 0x1.533e9c5bedd5ap-14, 0x1.527137ceebfc7p-14, 0x1.518aa2b430629p-14, 0x1.508b53590bd31p-14, 0x1.4f73c01b71e1ep-14, 0x1.4e445f5fe5423p-14, 0x1.4cfda7877d553p-14, 0x1.4ba00ee605d84p-14, 0x1.4a2c0bb83bc1ap-14, 0x1.48a2141a288eep-14, 0x1.47029dfd9da45p-14, 0x1.454e1f20d18a4p-14, 0x1.43850d051fef1p-14, 0x1.41a7dce5efab9p-14, 0x1.3fb703afbca0bp-14, 0x1.3db2f5f74aa82p-14, 0x1.3b9c27f0ff3fep-14, 0x1.39730d6864a47p-14, 0x1.373819b7d883ep-14, 0x1.34ebbfc06366ap-14, 0x1.328e71e1bcf3dp-14, 0x1.3020a1f27cb48p-14, 0x1.2da2c138780dep-14, 0x1.2b1540614c5e7p-14, 0x1.28788f7b19061p-14, 0x1.25cd1ded66777p-14, 0x1.23135a723caa1p-14, 0x1.204bb30f691b2p-14, 0x1.1d76950ff2904p-14, 0x1.1a946cfdbe363p-14, 0x1.17a5a69b63396p-14, 0x1.14aaacde2e49fp-14, 0x1.11a3e9e8550abp-14, 0x1.0e91c70358e0bp-14, 0x1.0b74ac9a9a0a6p-14, 0x1.084d023619bb1p-14, 0x1.051b2e756b3adp-14, 0x1.01df970ad54dep-14, 0x1.fd35416d44e52p-15, 0x1.f6995e853cabcp-15, 0x1.efec4afb87d8fp-15, }}, 
      {{0x1.79ee87d373066p-1, 0x1.79ee32afdfc6dp-1, 0x1.79ede6f51078fp-1, 0x1.79edeca047d14p-1, 0x1.79ee8b0e78ce4p-1, 0x1.79efff474406ap-1, 0x1.79f275ca38589p-1, 0x1.79f606ef26143p-1, 0x1.79fab525c090ap-1, 0x1.7a006c8d9b143p-1, 0x1.7a07038134dbfp-1, 0x1.7a0e3bc829bb4p-1, 0x1.7a15c437bf58p-1, 0x1.7a1d3a9772876p-1, 0x1.7a242daa1af76p-1, 0x1.7a2a1f4489c5bp-1, 0x1.7a2e8660cf213p-1, 0x1.7a30d12228e6ep-1, 0x1.7a3066c13f766p-1, 0x1.7a2ca95b2116dp-1, 0x1.7a24f79f89758p-1, 0x1.7a18ae5c99973p-1, 0x1.7a0729e75a6ecp-1, 0x1.79efc761445e1p-1, 0x1.79d1e5dbaad5ap-1, 0x1.79ace75a62ae1p-1, 0x1.798031b746ce8p-1, 0x1.794b2f6872271p-1, 0x1.790d502b2347fp-1, 0x1.78c6099549825p-1, 0x1.7874d78fb8a74p-1, 0x1.78193cbaf81b3p-1, 0x1.77b2c2c09107fp-1, 0x1.7740fa92a4da3p-1, 0x1.76c37c9b85d28p-1, 0x1.7639e8dee3decp-1, 0x1.75a3e70e132dp-1, 0x1.75012690c660bp-1, 0x1.74515e838aaap-1, 0x1.73944dad2d14cp-1, 0x1.72c9ba6c208b9p-1, 0x1.71f1729cdcd7p-1, 0x1.710b4b7a1f3e5p-1, 0x1.70172177daap-1, 0x1.6f14d8199618dp-1, 0x1.6e0459c4e46efp-1, 0x1.6ce597908ed77p-1, 0x1.6bb88911000cap-1, 0x1.6a7d2c226bf1fp-1, 0x1.693384b12497p-1, 0x1.67db9c80850bfp-1, 0x1.667582f0c9c62p-1, 0x1.65014cc4297bap-1, 0x1.637f13e377b02p-1, 0x1.61eef722927b2p-1, 0x1.60511a04d442fp-1, 0x1.5ea5a481bcaabp-1, 0x1.5cecc2ca0182ap-1, 0x1.5b26a50d2b5dp-1, 0x1.59537f3fe673ep-1, 0x1.577388e3220c7p-1, 0x1.5586fccc1e39dp-1, 0x1.538e18ed7e35ep-1, 0x1.51891e2170ae6p-1, 0x1.4f784ff506701p-1, 0x1.4d5bf474bf219p-1, 0x1.4b3453fa5e873p-1, 0x1.4901b8fc103f4p-1, 0x1.46c46fdce67ffp-1, 0x1.447cc6beb641ep-1, 0x1.422b0d555a141p-1, 0x1.3fcf94bb5b601p-1, 0x1.3d6aaf4807d7cp-1, 0x1.3afcb066f1804p-1, 0x1.3885ec70da75dp-1, 0x1.3606b8860bbe3p-1, 0x1.337f6a6a14beep-1, 0x1.30f05860f0b3fp-1, 0x1.2e59d90d902bdp-1, 0x1.2bbc4351bfb83p-1, 0x1.2917ee2f6af1ep-1, 0x1.266d30ab33e52p-1, 0x1.23bc61b05b9abp-1, 0x1.2105d7f5f47adp-1, 0x1.1e49e9e5590bfp-1, 0x1.1b88ed81e0e39p-1, 0x1.18c33851cc88dp-1, 0x1.15f91f4862905p-1, 0x1.132af6b135257p-1, 0x1.1059121c8a826p-1, 0x1.0d83c44ce1141p-1, 0x1.0aab5f25860edp-1, 0x1.07d0339a38f3ap-1, 0x1.04f2919fd453bp-1, 0x1.0212c81df3e7fp-1, 0x1.fe6249c32023cp-2, 0x1.f89be92110c9cp-2, 0x1.f2d3053c2b7c5p-2, 0x1.ed08328036b04p-2, 0x1.e73c02caa1d0dp-2, 0x1.e16f05587b4d3p-2, 0x1.dba1c6b5fc256p-2, 0x1.d5d4d0af9992cp-2, 0x1.d008aa448ba49p-2, 0x1.ca3dd79ac4dbcp-2, 0x1.c474d9f43f811p-2, 0x1.beae2fa5a045p-2, 0x1.b8ea540e17bbap-2, 0x1.b329bf907ddd3p-2, 0x1.ad6ce78d92709p-2, 0x1.a7b43e5f5d871p-2, 0x1.a20033559f55p-2, 0x1.9c5132b347ec4p-2, 0x1.96a7a5ace45f7p-2, 0x1.9103f267ff8c9p-2, 0x1.8b667bfb61017p-2, 0x1.85cfa2702bbc3p-2, 0x1.803fc2c3c3462p-2, 0x1.7ab736ea7d50dp-2, 0x1.753655d307349p-2, 0x1.6fbd736a81126p-2, 0x1.6a4ce0a13c918p-2, 0x1.64e4eb701f38bp-2, 0x1.5f85dede9497dp-2, 0x1.5a3003091275fp-2, 0x1.54e39d281f2ddp-2, 0x1.4fa0ef97d5624p-2, 0x1.4a6839dfdf539p-2, 0x1.4539b8bbdae0dp-2, 0x1.4015a62427878p-2, 0x1.3afc39571362fp-2, 0x1.35eda6e25ecf6p-2, 0x1.30ea20ad124cp-2, 0x1.2bf1d601a1c4p-2, 0x1.2704f39851d11p-2, 0x1.2223a3a1df664p-2, 0x1.1d4e0dd25fc6ap-2, 0x1.1884576c5380ap-2, 0x1.13c6a34beb1b5p-2, 0x1.0f1511f272788p-2, 0x1.0a6fc191e35abp-2, 0x1.05d6ce189644p-2, 0x1.014a513d113d4p-2, 0x1.f994c513d5afdp-3, 0x1.f0ae2ed388ffap-3, 0x1.e7e106669cf2ap-3, 0x1.df2d6e6ab84b2p-3, 0x1.d6938585fbfcfp-3, 0x1.ce13667f3e2e7p-3, 0x1.c5ad285648bebp-3, 0x1.bd60de5c14469p-3, 0x1.b52e984af5e85p-3, 0x1.ad16625ebe2afp-3, 0x1.a518456cc1d85p-3, 0x1.9d3446fbc877bp-3, 0x1.956a695bd87a3p-3, 0x1.8dbaabbde1faap-3, 0x1.86250a4b3bbfcp-3, 0x1.7ea97e3cfa6bfp-3, 0x1.7747fdf30cbdbp-3, 0x1.70007d0b2bd54p-3, 0x1.68d2ec778de79p-3, 0x1.61bf3a955c3fap-3, 0x1.5ac55342f0f4ep-3, 0x1.53e51ff5cd613p-3, 0x1.4d1e87d04877p-3, 0x1.46716fb704cb2p-3, 0x1.3fddba660b246p-3, 0x1.39634885a8598p-3, 0x1.3301f8bef79f4p-3, 0x1.2cb9a7d01b086p-3, 0x1.268a30a02da7ap-3, 0x1.20736c52d5d0cp-3, 0x1.1a75325b91dc8p-3, 0x1.148f5890a42afp-3, 0x1.0ec1b33db0dc4p-3, 0x1.090c15360718fp-3, 0x1.036e4fe686f42p-3, 0x1.fbd066ce7c98dp-4, 0x1.f0f31d19448d6p-4, 0x1.e6445df0ec35bp-4, 0x1.dbc3c254a5c0fp-4, 0x1.d170e11fb412cp-4, 0x1.c74b4f291fcbfp-4, 0x1.bd529f62a3c67p-4, 0x1.b38662f704087p-4, 0x1.a9e6296798a6p-4, 0x1.a07180a933447p-4, 0x1.9727f540499d2p-4, 0x1.8e09125c77a3fp-4, 0x1.851461f34923dp-4, 0x1.7c496cda56c67p-4, 0x1.73a7bae0b46b4p-4, 0x1.6b2ed2e7b0fb3p-4, 0x1.62de3afaea5b9p-4, 0x1.5ab57867b79ddp-4, 0x1.52b40fd3e802cp-4, 0x1.4ad98553dd279p-4, 0x1.43255c7ffbc8cp-4, 0x1.3b9718897c146p-4, 0x1.342e3c4e94f89p-4, 0x1.2cea4a6e094abp-4, 0x1.25cac55a147dbp-4, 0x1.1ecf2f6abd96bp-4, 0x1.17f70aef8dbd3p-4, 0x1.1141da40b0bafp-4, 0x1.0aaf1fcf7f3f7p-4, 0x1.043e5e367502fp-4, 0x1.fbde30912c9c2p-5, 0x1.ef81a24090208p-5, 0x1.e366185b31862p-5, 0x1.d78a9a880517dp-5, 0x1.cbee314f45d48p-5, 0x1.c08fe633deacbp-5, 0x1.b56ec3cbcc374p-5, 0x1.aa89d5d77faaap-5, 0x1.9fe0295844dc1p-5, 0x1.9570cca5b19a9p-5, 0x1.8b3acf8227309p-5, 0x1.813d432e61d51p-5, 0x1.77773a7c25859p-5, 0x1.6de7c9e006878p-5, 0x1.648e078253e6cp-5, 0x1.5b690b4f2b534p-5, 0x1.5277ef05b713dp-5, 0x1.49b9ce469fe69p-5, 0x1.412dc6a1b3dep-5, 0x1.38d2f7a2c9445p-5, 0x1.30a882dddffa7p-5, 0x1.28ad8bfa8a1fbp-5, 0x1.20e138be9d6a2p-5, 0x1.1942b118321cp-5, 0x1.11d11f26f5ec2p-5, 0x1.0a8baf44d8dc3p-5, 0x1.0371900e112cep-5, 0x1.f903e4d10d3ccp-6, 0x1.eb7813153d50bp-6, 0x1.de3e1602e9d7cp-6, 0x1.d1545d6d01da8p-6, 0x1.c4b95de95e221p-6, 0x1.b86b90d9e2de3p-6, 0x1.ac69747491ac5p-6, 0x1.a0b18bcaa49f8p-6, 0x1.95425ecea59f9p-6, 0x1.8a1a7a599a0c1p-6, 0x1.7f38702f48f81p-6, 0x1.749ad701965dep-6, 0x1.6a404a730f70ap-6, 0x1.60276b189e318p-6, 0x1.564ede7a752bcp-6, 0x1.4cb54f1436dcep-6, 0x1.43596c5461ee5p-6, 0x1.3a39ea9b0ab2dp-6, 0x1.31558337de622p-6, 0x1.28aaf4678ad13p-6, 0x1.2039015079c2ep-6, 0x1.17fe71fefcab8p-6, 0x1.0ffa1360d96b9p-6, 0x1.082ab7405373fp-6, 0x1.008f343ea6c48p-6, 0x1.f24ccb9c071a6p-7, 0x1.e3de58561a823p-7, 0x1.d5d0d8abc84bep-7, 0x1.c8222015785f8p-7, 0x1.bad00b741ba7ep-7, 0x1.add88100ab21ep-7, 0x1.a139703b0512fp-7, 0x1.94f0d1d7f4539p-7, 0x1.88fca7ae9891ap-7, 0x1.7d5afca52e216p-7, 0x1.7209e49d2b842p-7, 0x1.67077c5ed93afp-7, 0x1.5c51e9845cdd5p-7, 0x1.51e75a64414c5p-7, 0x1.47c605fb84753p-7, 0x1.3dec2bd73d125p-7, 0x1.345813fdcbc0dp-7, 0x1.2b080ed7b563bp-7, 0x1.21fa75181d8cp-7, 0x1.192da7a4eff42p-7, 0x1.10a00f7ebe676p-7, 0x1.08501da859b44p-7, 0x1.003c4b0e2b48cp-7, 0x1.f0c630daafd8bp-8, 0x1.e1861c755ded4p-8, 0x1.d2b57912dc5b9p-8, 0x1.c45175e3bd993p-8, 0x1.b65750efa25bep-8, 0x1.a8c456e1fa0d3p-8, 0x1.9b95e2d696c49p-8, 0x1.8ec95e261b8a7p-8, 0x1.825c403252f5ep-8, 0x1.764c0e3272eeep-8, 0x1.6a965aff5befp-8, 0x1.5f38c6dfd332p-8, 0x1.5430ff54cb887p-8, 0x1.497cbee5bb1dcp-8, 0x1.3f19cced0972ap-8, 0x1.3505fd649d6e7p-8, 0x1.2b3f30b291b81p-8, 0x1.21c3537614b05p-8, 0x1.18905e547b5ddp-8, 0x1.0fa455c68f2dep-8, 0x1.06fd49e617f11p-8, 0x1.fd32ac77574cdp-9, 0x1.eced4319900acp-9, 0x1.dd26bb54712f9p-9, 0x1.cddb8e7da55a7p-9, 0x1.bf084b3d0aef2p-9, 0x1.b0a9952b9566ep-9, 0x1.a2bc2472e5065p-9, 0x1.953cc56dac0d8p-9, 0x1.88285848e0421p-9, 0x1.7b7bd0a5c1d46p-9, 0x1.6f34353cc012fp-9, 0x1.634e9f813bea5p-9, 0x1.57c83b463525bp-9, 0x1.4c9e4663e1df2p-9, 0x1.41ce105e39217p-9, 0x1.3754fa0c70bc5p-9, 0x1.2d30754177db7p-9, 0x1.235e04756b917p-9, 0x1.19db3a7011b81p-9, 0x1.10a5b9f453651p-9, 0x1.07bb356cbf645p-9, 0x1.fe32dd3234b4ap-10, 0x1.ed7c6c79ecb6ep-10, 0x1.dd4ed79eb837ap-10, 0x1.cda5fa57002bdp-10, 0x1.be7dcc852135p-10, 0x1.afd2619d1a0e1p-10, 0x1.a19fe80c75ec7p-10, 0x1.93e2a8a44ff02p-10, 0x1.869706058ce6ap-10, 0x1.79b97c0f3a7efp-10, 0x1.6d469f4f1f3p-10, 0x1.613b1c7471d01p-10, 0x1.5593b7c4c2ff2p-10, 0x1.4a4d4c930e422p-10, 0x1.3f64ccb8f3ef5p-10, 0x1.34d74012272dep-10, 0x1.2aa1c3f9f1a33p-10, 0x1.20c18acaf0d43p-10, 0x1.1733db60e6f38p-10, 0x1.0df6109cbb42ap-10, 0x1.050598ea8821p-10, 0x1.f8bfeb93b2439p-11, 0x1.e80576afe13c7p-11, 0x1.d7d71fb857efbp-11, 0x1.c83056aced528p-11, 0x1.b90cae1f967e9p-11, 0x1.aa67da597e9acp-11, 0x1.9c3db08428572p-11, 0x1.8e8a25d6947b7p-11, 0x1.81494ec660ec6p-11, 0x1.74775e3cda122p-11, 0x1.6810a4cff398ep-11, 0x1.5c118fff1ea1dp-11, 0x1.5076a973f3efbp-11, 0x1.453c9646a860dp-11, 0x1.3a6016463f8cbp-11, 0x1.2fde0344746a8p-11, 0x1.25b350654b2adp-11, 0x1.1bdd09724175p-11, 0x1.1258523114b38p-11, 0x1.092265be0dc61p-11, 0x1.003895e9cdd12p-11, 0x1.ef30953513dc3p-12, 0x1.de7e02615d103p-12, 0x1.ce5497ddbc02ap-12, 0x1.beafa2ca7ab24p-12, 0x1.af8a97c009611p-12, 0x1.a0e111b28dad5p-12, 0x1.92aed0dbca912p-12, 0x1.84efb9ab4729p-12, 0x1.779fd3bc9b093p-12, 0x1.6abb48d3ce916p-12, 0x1.5e3e63dfaed1fp-12, 0x1.5225900205b21p-12, 0x1.466d579d965e6p-12, 0x1.3b126369cdc7bp-12, 0x1.3011798c09077p-12, 0x1.25677cb65ebd9p-12, 0x1.1b116b4bd1bd5p-12, 0x1.110c5e89d3d0ap-12, 0x1.075589b705a7p-12, 0x1.fbd472ae2f22fp-13, 0x1.e98fa4c773dbfp-13, 0x1.d7d7a314fb76fp-13, 0x1.c6a794df2ddc6p-13, 0x1.b5facdeacdaf9p-13, 0x1.a5cccd1166556p-13, 0x1.96193ae2f9126p-13, 0x1.86dbe850ac016p-13, 0x1.7810cd6058a6cp-13, 0x1.69b407e8ca654p-13, 0x1.5bc1da56827d1p-13, 0x1.4e36aa78d65bp-13, 0x1.410f00574347fp-13, 0x1.3447850ebc079p-13, 0x1.27dd01b6e4afep-13, 0x1.1bcc5e4ef029bp-13, 0x1.1012a0b217401p-13, 0x1.04aceb936bfd2p-13, 0x1.f330fb01cc6a6p-14, 0x1.dda55fdb13715p-14, 0x1.c8b1ec84eb132p-14, 0x1.b451b9ed774f4p-14, 0x1.a080115bb42cdp-14, 0x1.8d386ab961fd8p-14, 0x1.7a766ae99b241p-14, 0x1.6835e22bd5ef2p-14, 0x1.5672ca8b01a69p-14, 0x1.452946587e4dap-14, 0x1.34559eb2a6ddp-14, 0x1.23f44216aac27p-14, 0x1.1401c2fd728f3p-14, 0x1.047ad6834f55cp-14, 0x1.eab8a634636a9p-15, 0x1.cd465e8c51f2fp-15, 0x1.b09900c7d7f85p-15, 0x1.94aaf2f258bdp-15, 0x1.7976d41cf1ab1p-15, 0x1.5ef77a24e00f9p-15, 0x1.4527ef8c18a31p-15, 0x1.2c03716394ef8p-15, 0x1.13856d46ed025p-15, 0x1.f752fed18dc5cp-16, 0x1.c8d6e15f64776p-16, 0x1.9b8e69c60055p-16, 0x1.6f71d1ce66d4bp-16, 0x1.4479a213352fp-16, 0x1.1a9eaeb56464ep-16, 0x1.e3b4285ba5fe3p-17, 0x1.944a6875a3f43p-17, 0x1.46f365d1da3e3p-17, 0x1.f745ced906d7dp-18, 0x1.649a5b3e5baabp-18, 0x1.ab9bb33498d7ep-19, 0x1.2b2a420537d59p-20, -0x1.e4232c887e86ep-21, -0x1.8066478963b4ep-19, -0x1.40550415e6327p-18, -0x1.bcfca82f4e479p-18, -0x1.1b1e00f79db3cp-17, -0x1.56122dcd77d06p-17, -0x1.8f632fe11609ep-17, -0x1.c719106aa5f3ap-17, -0x1.fd3b9038311cdp-17, -0x1.18e915975ad92p-16, -0x1.32720dd3f392p-16, -0x1.4b3c2ed6d6b16p-16, -0x1.634ad90a38d1ap-16, -0x1.7aa150ba91c93p-16, -0x1.9142bf840e7b1p-16, -0x1.a73235b0e01e6p-16, -0x1.bc72ab88e37bap-16, -0x1.d107029320634p-16, -0x1.e4f206c98b4a5p-16, -0x1.f8366fbf7c57dp-16, -0x1.056b70dda907bp-15, -0x1.0e6af761cd8e4p-15, -0x1.171b0bd02197dp-15, -0x1.1f7ce6680b9d4p-15, -0x1.2791b7b98b405p-15, -0x1.2f5aa914efdfcp-15, -0x1.36d8dcf5539e2p-15, -0x1.3e0d6f6605bc3p-15, -0x1.44f97663114e3p-15, -0x1.4b9e02350ec89p-15, -0x1.51fc1dc8640d4p-15, -0x1.5814cf0027f0bp-15, -0x1.5de91704c3e04p-15, -0x1.6379f28e88fcp-15, -0x1.68c85a2c50c79p-15, -0x1.6dd542865be34p-15, -0x1.72a19c9d89765p-15, -0x1.772e56070d7b3p-15, -0x1.7b7c5924cb09dp-15, -0x1.7f8c8d5a6e021p-15, -0x1.835fd73f6931dp-15, -0x1.86f718cdf6deap-15, -0x1.8a53318f38e18p-15, -0x1.8d74fec4963c6p-15, -0x1.905d5b8e76968p-15, -0x1.930d21106fcc2p-15, -0x1.958526930770bp-15, -0x1.97c641a3211e3p-15, -0x1.99d1462f2ed4bp-15, -0x1.9ba706a241acfp-15, -0x1.9d4853fd0eaf3p-15, -0x1.9eb5fded004e4p-15, -0x1.9ff0d2e16b953p-15, -0x1.a0f9a01efdee3p-15, -0x1.a1d131d176999p-15, -0x1.a278531bc67ffp-15, -0x1.a2efce26a0747p-15, -0x1.a3386c2d94eddp-15, -0x1.a352f58ac96cp-15, -0x1.a34031c15aac8p-15, -0x1.a300e7867d7e9p-15, -0x1.a295dcc96f254p-15, -0x1.a1ffd6ba412c2p-15, -0x1.a13f99cf992e5p-15, -0x1.a055e9cb65fffp-15, -0x1.9f4389bea59cep-15, -0x1.9e093c0c436d2p-15, -0x1.9ca7c26b1b7adp-15, -0x1.9b1fdde731bc8p-15, -0x1.99724ee22a6afp-15, -0x1.979fd5130d79cp-15, -0x1.95a92f8561cf7p-15, -0x1.938f1c97a9f59p-15, -0x1.915259f95108dp-15, -0x1.8ef3a4a809b3ep-15, -0x1.8c73b8ecb5318p-15, -0x1.89d35257cfce4p-15, -0x1.87132bbd73da5p-15, -0x1.8433ff30f92aap-15, -0x1.813686003801fp-15, -0x1.7e1b78ae7ae94p-15, -0x1.7ae38eef23ca6p-15, -0x1.778f7fa00f1c4p-15, -0x1.742000c3b690ap-15, -0x1.7095c77b20f55p-15, -0x1.6cf187ffa22a7p-15, -0x1.6933f59c6d568p-15, -0x1.655dc2a809ecp-15, -0x1.616fa07da503bp-15, -0x1.5d6a3f764c042p-15, -0x1.594e4ee2148d1p-15, -0x1.551c7d0133d03p-15, -0x1.50d576fd0b1acp-15, -0x1.4c79e8e1317d5p-15, -0x1.480a7d9477afep-15, -0x1.4387ded1f1011p-15, -0x1.3ef2b52200f49p-15, -0x1.3a4ba7d370cecp-15, -0x1.35935cf495567p-15, -0x1.30ca794c7fc25p-15, -0x1.2bf1a05445b52p-15, -0x1.270974305a28fp-15, -0x1.221295aa02745p-15, -0x1.1d0da428e42c4p-15, -0x1.17fb3dacae0b1p-15, -0x1.12dbfec6e2592p-15, -0x1.0db08294c10a9p-15, -0x1.087962b953ba4p-15, -0x1.033737579f1dbp-15, -0x1.fbd52e19f3299p-16, -0x1.f1282dd715983p-16, -0x1.e66894e9e03e6p-16, -0x1.db97872a1ee9cp-16, -0x1.d0b6253a24336p-16, -0x1.c5c58c7d188e3p-16, -0x1.bac6d70da368p-16, -0x1.afbb1bb4ee5d1p-16, -0x1.a4a36de208f9fp-16, -0x1.9980dda1a0cccp-16, -0x1.8e54779624d31p-16, -0x1.831f44f03dfp-16, -0x1.77e24b67adb3bp-16, -0x1.6c9e8d348ad09p-16, -0x1.61550908e1b88p-16, -0x1.5606ba0ab2e7ep-16, -0x1.4ab497ce5781fp-16, -0x1.3f5f965144533p-16, -0x1.3408a5f52ca98p-16, -0x1.28b0b37b8da86p-16, -0x1.1d58a80191859p-16, -0x1.120168fc59d19p-16, -0x1.06abd835a76bdp-16, -0x1.f6b1a791c1b9fp-17, -0x1.e0126c40f56p-17, -0x1.c97babe773bd1p-17, -0x1.b2ef0c89a9436p-17, -0x1.9c6e2cbee1e04p-17, -0x1.85faa3aef5ca1p-17, -0x1.6f960110b0366p-17, -0x1.5941cd28e754p-17, -0x1.42ff88ca3c03ep-17, -0x1.2cd0ad558fe15p-17, -0x1.16b6acbb2129fp-17, -0x1.00b2f17c4dd24p-17, -0x1.d58dbd5bf9898p-18, -0x1.a9e79ff750c84p-18, -0x1.7e76335611789p-18, -0x1.533c1140b2656p-18, -0x1.283bc4c66e883p-18, -0x1.faef949061bddp-19, -0x1.a5e51f0946286p-19, -0x1.515ce74aba816p-19, -0x1.fab71d34baca1p-20, -0x1.53cb329de6b51p-20, -0x1.5bfdbbc4cc60bp-21, -0x1.2b5697a809b71p-25, 0x1.3431d84675129p-21, 0x1.3c53e0cfe1ffbp-20, 0x1.dd4e3dc75cbap-20, 0x1.3e8027d09227p-19, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      42, 0x1.2p+2, 0x1.7b95c1dd08344p+1, 0x1.e9d0b6554f742p+1, -0x1.cb9e3b64526f2p-6, 
      {{
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.2cd7cf5b3aa2fp-7, -0x1.c444efe529102p-4, 0x1.4f4d50e32d849p-3, -0x1.0f0a86d72e64cp-4}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.0a2715203bcep-8, -0x1.833ddf72f04e5p-4, 0x1.3af953930a09bp-3, -0x1.123c77ed414b4p-4}, 
        {0x1.4p+1, 0x1.4666666666666p+1, -0x1.2fdc231f6f6b2p-12, -0x1.464dbdb6ab96cp-4, 0x1.2667fdc7a5241p-3, -0x1.14f3d5397acecp-4}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, -0x1.01091c9e3a6f1p-8, -0x1.0d7fe43c9cc34p-4, 0x1.11a280fcef217p-3, -0x1.17cc368eb2c4cp-4}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, -0x1.c34dd75564902p-8, -0x1.b1be013778b65p-5, 0x1.f94cc697a9d89p-4, -0x1.1a9b1b89ce3abp-4}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, -0x1.2e93bbad84edap-7, -0x1.50ebdb30f7472p-5, 0x1.cee8b5a964832p-4, -0x1.1d6eede45968cp-4}, 
        {0x1.599999999999ap+1, 0x1.6p+1, -0x1.68fd14c2beb43p-7, -0x1.f13df4dac9078p-6, 0x1.a41811fa5719ap-4, -0x1.2038871b45213p-4}, 
        {0x1.6p+1, 0x1.6666666666666p+1, -0x1.9299613ee86dep-7, -0x1.51d9dd3c9658bp-6, 0x1.78dc641ca654ap-4, -0x1.232617813c7e6p-4}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, -0x1.ad235f5fea369p-7, -0x1.87aea93bedd25p-7, 0x1.4d3046fc76db7p-4, -0x1.258e044ea8494p-4}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, -0x1.ba5a214d0b72cp-7, -0x1.1d7d47cea24b8p-8, 0x1.2127c65710d03p-4, -0x1.29e8884f2ea4bp-4}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, -0x1.bc010d16f2ccdp-7, 0x1.1ad207ccbd0bdp-9, 0x1.e8f03096606f5p-5, -0x1.2142d2265f6b6p-4}, 
        {0x1.799999999999ap+1, 0x1.8p+1, -0x1.b3de650952e57p-7, 0x1.f1d977f3aa77dp-8, 0x1.9228f18add684p-5, -0x1.0b9ce2e2d578fp-4}, 
        {0x1.8p+1, 0x1.8666666666666p+1, -0x1.a3ab232d5597ep-7, 0x1.89bb60e6542fbp-7, 0x1.41e047139d5dcp-5, -0x1.efd30f4d778eap-5}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, -0x1.8d02d4cc074b6p-7, 0x1.fb9b8eca921bp-7, 0x1.ef013cc33077ep-6, -0x1.c76128e419e8cp-5}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, -0x1.716222c00399ap-7, 0x1.28793ec74d82ep-6, 0x1.666416e528b12p-6, -0x1.9f36da308ada9p-5}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, -0x1.5226d1757550ap-7, 0x1.4615a1a29c4c1p-6, 0x1.d3a74479fe135p-7, -0x1.76f95c96e82acp-5}, 
        {0x1.999999999999ap+1, 0x1.ap+1, -0x1.308fc0ea1672p-7, 0x1.57d7b1c00beb3p-6, 0x1.e556803ee58a6p-8, -0x1.4ec102dfc5c2cp-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, -0x1.0dbcecad3033bp-7, 0x1.5ef466d54d695p-6, 0x1.4e8859964755cp-10, -0x1.26874884b7301p-5}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, -0x1.d55ed7bf35fd4p-8, 0x1.5ca0aa2535fd3p-6, -0x1.0dcd0d6ce3961p-8, -0x1.fc9bd9adaf881p-6}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, -0x1.9092e2677cdeep-8, 0x1.521168d12f9f8p-6, -0x1.1f7bae6a8cdb2p-7, -0x1.ac28ee304f8e8p-6}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, -0x1.4e9c95db22aeep-8, 0x1.407b8ef32d1a9p-6, -0x1.9fee5c45d7ebep-7, -0x1.5bb615df19c9ap-6}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, -0x1.10c4c5c533751p-8, 0x1.291408e469276p-6, -0x1.041f4b046307bp-6, -0x1.0b4324fed656dp-6}, 
        {0x1.cp+1, 0x1.c666666666666p+1, -0x1.b02cf9e7b3462p-9, 0x1.0d0fc30875f69p-6, -0x1.2c362a2a9cc7cp-6, -0x1.75a1065d4d28ap-7}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, -0x1.4abdfab0bc20ep-9, 0x1.db4752b47fd57p-7, -0x1.483bd7719c2aap-6, -0x1.a972f6b4ac417p-8}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, -0x1.e4b7001c9feedp-10, 0x1.980952d9e65a4p-7, -0x1.5830271862a05p-6, -0x1.9ed37e0db1f58p-10}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, -0x1.4f51d4def4356p-10, 0x1.52cf55b6c519dp-7, -0x1.5c13bc46e9e51p-6, 0x1.b491487752f38p-9}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, -0x1.ab3822260a96p-11, 0x1.0e0357130d095p-7, -0x1.53e4361e46bd5p-6, 0x1.0dacba4bf5fc6p-7}, 
        {0x1.ep+1, 0x1.e666666666666p+1, -0x1.dbb8babf74201p-12, 0x1.981d58bc69262p-8, -0x1.3faa74f22de41p-6, 0x1.afeed2f8cb2ebp-7}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, -0x1.8d4c21c7f7101p-13, 0x1.1eba2faea185ap-8, -0x1.1f455852b840ap-6, 0x1.25e041ae1b1eep-6}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, -0x1.9c225f33f87fep-17, 0x1.69453b5dda39ap-9, -0x1.e66103579b90fp-7, 0x1.7fcd12336a285p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.7f28023712035p-14, 0x1.7b7e6c00e8948p-10, -0x1.733d177b621edp-7, 0x1.898456a3f3018p-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.2246157546c5bp-13, 0x1.03732da13109dp-11, -0x1.fa5dfafacc089p-8, 0x1.43053efc73944p-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.32d29cebe3e6p-13, -0x1.1079b54507dcap-13, -0x1.388e0863537d3p-8, 0x1.088c8fb216971p-6}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.106d65debbe8cp-13, -0x1.fd57845c98442p-12, -0x1.33a6978a8bdffp-9, 0x1.95a57840b4a9ep-7}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.a8dd5526054a7p-14, -0x1.490dbd2ac052bp-11, -0x1.010d3d8ee451ep-11, 0x1.1c2e229df1027p-7}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.24a62267888a2p-14, -0x1.40a83f2b351c7p-11, 0x1.a8fb1585c48b8p-11, 0x1.428f9f0e30a01p-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.5eeeaf47951efp-15, -0x1.02ce337923a91p-11, 0x1.9606ea31cc3ecp-10, 0x1.510905fef94aep-10}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.636fc32113dd1p-16, -0x1.5916ce356e258p-12, 0x1.c895117e71a32p-10, -0x1.6a5487470bca8p-9}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.253e0c7110381p-17, -0x1.706456f9c03e2p-13, 0x1.5be21c1c54809p-10, -0x1.0aaeed7fe915p-8}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.732287bf18899p-19, -0x1.342dbfc6217c6p-14, 0x1.77bf1b38c482bp-11, -0x1.61403f274ff76p-9}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.253e0c7110338p-21, -0x1.717269bbce7c2p-16, 0x1.479784425c3c5p-12, -0x1.92cd3b060f7cbp-10}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.253e0c71102cp-25, -0x1.352874e1c0d54p-19, 0x1.57a4b6947efdp-14, -0x1.15b4429556656p-9}, 
      }}, 
      0x1.0cf1b7f438564p-5, -0x1.a45f8256a8a09p-3
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_c_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.fa906c144964ep+0, -0x1.f8171047df7f8p+0, -0x1.f406a91e3596bp+0, -0x1.ee7380ff50c72p+0, -0x1.e775a0fd795a9p+0, -0x1.df281d3a8c53p+0, -0x1.d5a76f33feadfp+0, -0x1.cb11051acdbccp+0, -0x1.bf825d85da2e9p+0, -0x1.b318824410b52p+0, -0x1.a5f0c4773a078p+0, -0x1.9824b2f480f9dp+0, -0x1.89d12acd6c626p+0, -0x1.7b0d4bd3a7bedp+0, -0x1.6bf1218d4c759p+0, -0x1.5c92bf4722e81p+0, -0x1.4d0632b74f94cp+0, -0x1.3d5efc41c586fp+0, -0x1.2dae4c4b893ecp+0, -0x1.1e03687864246p+0, -0x1.0e6d29769657bp+0, -0x1.fdf23f2ab01b1p-1, -0x1.df65080a61712p-1, -0x1.c145ebf64bad1p-1, -0x1.a3a74038f2176p-1, -0x1.869a5adac1254p-1, -0x1.6a2eb477b8f56p-1, -0x1.4e6cc45dbf1f2p-1, -0x1.335fb2ddd6513p-1, -0x1.190f77c99c8afp-1, -0x1.ff05317aad038p-2, -0x1.cd7cccb6763d7p-2, -0x1.9d8defe3f0efap-2, -0x1.6f3e24cd147c3p-2, -0x1.42905e3c1d31ep-2, -0x1.1785625b5fc79p-2, -0x1.dc38bed54f74fp-3, -0x1.8ca6c111843aep-3, -0x1.404ef1eee9244p-3, -0x1.ee52c4ff1c75fp-4, -0x1.62578a7f3545fp-4, -0x1.b9255afeae28p-5, -0x1.7398ea6da5ad5p-6, 0x1.ccf1c9fec046bp-8, 0x1.21616d3325f88p-5, 0x1.fdc5c582b1dc4p-5, 0x1.678a3b59d939ep-4, 0x1.cacb8ea5249cap-4, 0x1.1466180407114p-3, 0x1.40d931128f09ap-3, 0x1.6ad2c7a73cf7p-3, 0x1.926717a4c0f8ep-3, 0x1.b7aab53ef6423p-3, 0x1.dab2533148d9bp-3, 0x1.fb9201f9dd711p-3, 0x1.0d30860476648p-2, 0x1.1b989312111d9p-2, 0x1.290b132acd5c7p-2, 0x1.3591d4307219ep-2, 0x1.413680ca2465ep-2, 0x1.4c0299873bb09p-2, 0x1.55ff6d61d3c6cp-2, 0x1.5f36121d39516p-2, 0x1.67af5d6fa3ef1p-2, 0x1.6f73e02791579p-2, 0x1.768be448804f6p-2, 0x1.7cff6e6d1277fp-2, 0x1.82d641d556687p-2, 0x1.8817e5c51b209p-2, 0x1.8ccbaa8249cbcp-2, 0x1.90f8ac781e429p-2, 0x1.94a5d4a71f4fcp-2, 0x1.97d9d65e0f255p-2, 0x1.9a9b2af7932f1p-2, 0x1.9cf00ccd49a56p-2, 0x1.9ede72a49ec39p-2, 0x1.a06c0c9785cb7p-2, 0x1.a19e43067248dp-2, 0x1.a27a37a3b66dap-2, 0x1.a304c84495e03p-2, 0x1.a34292eb0ab49p-2, 0x1.a337fa6d49b2ep-2, 0x1.a2e92b33126a8p-2, 0x1.a25a1fa5ff3bp-2, 0x1.a18ea41b1d327p-2, 0x1.a08a5a1f0bdeap-2, 0x1.9f50bb2598b6fp-2, 0x1.9de51aaa036c8p-2, 0x1.9c4aa7d0e85a5p-2, 0x1.9a846e9ca80dep-2, 0x1.989558c4c5a0ap-2, 0x1.96802e41fbf39p-2, 0x1.944795a3a4dp-2, 0x1.91ee1445e1bf1p-2, 0x1.8f760e80fa55p-2, 0x1.8ce1c7e8b51bfp-2, 0x1.8a3363adf4d66p-2, 0x1.876ce52ec61e1p-2, 0x1.849030bacf182p-2, 0x1.819f0c8cae6bdp-2, 0x1.7e9b21f53f083p-2, 0x1.7b85feb383506p-2, 0x1.78611672c2e6p-2, 0x1.752dc467aa0b9p-2, 0x1.71ed4d04426dfp-2, 0x1.6ea0dfb994d08p-2, 0x1.6b4998bcab61bp-2, 0x1.67e882c3ecbaap-2, 0x1.647e98b1c084fp-2, 0x1.610cc72234397p-2, 0x1.5d91c2b75b165p-2, 0x1.5a1198bb3b27bp-2, 0x1.568c32a9eb1c8p-2, 0x1.53025be8a1823p-2, 0x1.4f74d3649a69dp-2, 0x1.4be44bded4319p-2, 0x1.48516c4b1eca4p-2, 0x1.44bcd043a02e5p-2, 0x1.4127089023652p-2, 0x1.3d909bbf22c09p-2, 0x1.39fa06cd5b495p-2, 0x1.3663bdd7e3563p-2, 0x1.32ce2cd44ccf6p-2, 0x1.2f39b84a33296p-2, 0x1.2ba6be09b0686p-2, 0x1.281595da9eeb3p-2, 0x1.2486922113e02p-2, 0x1.20fa007421729p-2, 0x1.1d702a24bd224p-2, 0x1.19e954b34cf4cp-2, 0x1.1665c23333f06p-2, 0x1.12e5b19c4eecdp-2, 0x1.0f695f0b198f6p-2, 0x1.0bf103f0b4275p-2, 0x1.087cd73495206p-2, 0x1.050d0d4a13487p-2, 0x1.01a1d83c44dc1p-2, 0x1.fc76cf658c5d8p-3, 0x1.f5b3d1e4071c8p-3, 0x1.eefb0db2e17bcp-3, 0x1.e84cd3c39fadcp-3, 0x1.e1a9703a92f1dp-3, 0x1.db112a7559cc8p-3, 0x1.d484451969a83p-3, 0x1.ce02fe2b8cb86p-3, 0x1.c78d8f3078311p-3, 0x1.c1242d55ffab8p-3, 0x1.bac709a3f678cp-3, 0x1.b47651336edeap-3, 0x1.ae322d6ae4ee7p-3, 0x1.a7fac43dc67eap-3, 0x1.a1d0386dcf188p-3, 0x1.9bb2a9ccc2042p-3, 0x1.95a2357d245cdp-3, 0x1.8f9ef630ca5a8p-3, 0x1.89a904642e2c4p-3, 0x1.83c07695b0f79p-3, 0x1.7de561781fbd6p-3, 0x1.7817d81ff6722p-3, 0x1.7257ec2b18466p-3, 0x1.6ca5ade2d3c89p-3, 0x1.67012c5843968p-3, 0x1.616a757b35d7p-3, 0x1.5be1962be621bp-3, 0x1.56669a480336dp-3, 0x1.50f98cb375852p-3, 0x1.4b9a775d7c058p-3, 0x1.46496342b87a8p-3, 0x1.4106586cbdf7fp-3, 0x1.3bd15defc1c9dp-3, 0x1.36aa79e6eba2bp-3, 0x1.3191b16fdb797p-3, 0x1.2c8708a5c175p-3, 0x1.278a829c884f8p-3, 0x1.229c215c4d226p-3, 0x1.1dbbe5dd80141p-3, 0x1.18e9d005dd68ep-3, 0x1.1425dea66305dp-3, 0x1.0f700f7a691a2p-3, 0x1.0ac85f27edc55p-3, 0x1.062ec94107674p-3, 0x1.01a34846971efp-3, 0x1.fa4bab581d33cp-4, 0x1.f16cd3b8a786ap-4, 0x1.e8a9f87f17934p-4, 0x1.e00306839066p-4, 0x1.d777e8b4cec5dp-4, 0x1.cf08882818d51p-4, 0x1.c6b4cc2a028f8p-4, 0x1.be7c9a4fecc31p-4, 0x1.b65fd689c51f8p-4, 0x1.ae5e6333fe91cp-4, 0x1.a678212968324p-4, 0x1.9eacefd4c4decp-4, 0x1.96fcad41e7271p-4, 0x1.8f67362e4cfb8p-4, 0x1.87ec66190329cp-4, 0x1.808c1751cc9dfp-4, 0x1.794623077faddp-4, 0x1.721a61558d789p-4, 0x1.6b08a950b7ed9p-4, 0x1.6410d112f7017p-4, 0x1.5d32adc69339ep-4, 0x1.566e13b083fc9p-4, 0x1.4fc2d63a19e66p-4, 0x1.4930c7fa09ed6p-4, 0x1.42b7babcde0cdp-4, 0x1.3c577f8ce7472p-4, 0x1.360fe6b9baab7p-4, 0x1.2fe0bfdf47169p-4, 0x1.29c9d9ec97be3p-4, 0x1.23cb032a4d32bp-4, 0x1.1de40940dd8eep-4, 0x1.1814b93ea2b0fp-4, 0x1.125cdf9dc67fdp-4, 0x1.0cbc484a1391ep-4, 0x1.0732bea6b2d35p-4, 0x1.01c00d93df535p-4, 0x1.f8c7fee929ec8p-5, 0x1.ee3cbc687b80cp-5, 0x1.e3dde698cdbb2p-5, 0x1.d9ab0f94f4d2dp-5, 0x1.cfa270ef73122p-5, 0x1.c5c6767778a7ap-5, 0x1.bc15300c58fbfp-5, 0x1.b28e2c2085a0ep-5, 0x1.a930f89299083p-5, 0x1.9ffd22bab86a8p-5, 0x1.96f23777ac255p-5, 0x1.8e0fc33bbca2dp-5, 0x1.8555521945b84p-5, 0x1.7cc26fcf153e9p-5, 0x1.7456a7d488925p-5, 0x1.6c11856573e59p-5, 0x1.63f2938dd091ap-5, 0x1.5bf95d3537b08p-5, 0x1.54256d2a28a35p-5, 0x1.4c764e2d1be06p-5, 0x1.44eb8afb658d9p-5, 0x1.3d84ae59e6241p-5, 0x1.3641431f8a866p-5, 0x1.2f20d43f9b2e9p-5, 0x1.2822ecd3db825p-5, 0x1.2147182678992p-5, 0x1.1a8ce1bbc22dfp-5, 0x1.13f3d55bb8a33p-5, 0x1.0d7b7f1b5feb8p-5, 0x1.07236b65e45a9p-5, 0x1.00eb27058838dp-5, 0x1.f5a47e58b59bbp-6, 0x1.e9b082f977651p-6, 0x1.ddf9782345593p-6, 0x1.d27e7b0d65873p-6, 0x1.c73eaa002473dp-6, 0x1.bc39246410ef1p-6, 0x1.b16d0ad0cc407p-6, 0x1.a6d97f1b58241p-6, 0x1.9c7da463f64d6p-6, 0x1.92589f2398071p-6, 0x1.88699538c81f4p-6, 0x1.7eafadf4319bfp-6, 0x1.752a12249c82dp-6, 0x1.6bd7ec228a394p-6, 0x1.62b867db4a15p-6, 0x1.59cab2dba897bp-6, 0x1.510dfc5a2168fp-6, 0x1.48817540a65a8p-6, 0x1.40245035ecaf6p-6, 0x1.37f5c1a657df3p-6, 0x1.2ff4ffcc65af1p-6, 0x1.282142b8b65e9p-6, 0x1.2079c459a92a2p-6, 0x1.18fdc08288371p-6, 0x1.11ac74f24dc2p-6, 0x1.0a85215a0073fp-6, 0x1.03870762aa631p-6, 0x1.f962d565d57cp-7, 0x1.ec0721e83a6c5p-7, 0x1.def983ae4bddcp-7, 0x1.d2388e31b5d0dp-7, 0x1.c5c2d90c102cdp-7, 0x1.b996fffe3868cp-7, 0x1.adb3a2f6e62c2p-7, 0x1.a21766188791ep-7, 0x1.96c0f1be75f0fp-7, 0x1.8baef2816b3e1p-7, 0x1.80e0193b4ff2dp-7, 0x1.76531b0a5367ep-7, 0x1.6c06b1536f00bp-7, 0x1.61f999c430f92p-7, 0x1.582a9653edcc1p-7, 0x1.4e986d4451294p-7, 0x1.4541e92158cp-7, 0x1.3c25d8c0b5eacp-7, 0x1.33430f408d81cp-7, 0x1.2a986405c3d9dp-7, 0x1.2224b2b9abfaep-7, 0x1.19e6db4726956p-7, 0x1.11ddc1d75f034p-7, 0x1.0a084ecde2372p-7, 0x1.02656ec462127p-7, 0x1.f5e8250bc178fp-8, 0x1.e7665e131979cp-8, 0x1.d9437ada33475p-8, 0x1.cb7d75dd7e157p-8, 0x1.be1251cda7e5ep-8, 0x1.b10019821d04fp-8, 0x1.a444dfead902ep-8, 0x1.97dec001907a4p-8, 0x1.8bcbdcba45a8ap-8, 0x1.800a60f34d314p-8, 0x1.74987f64c9ccp-8, 0x1.6974728fac1a9p-8, 0x1.5e9c7cac422f7p-8, 0x1.540ee79855eccp-8, 0x1.49ca04c4f0c16p-8, 0x1.3fcc2d23c4332p-8, 0x1.3613c1143b6edp-8, 0x1.2c9f2850500c8p-8, 0x1.236cd1d918bcbp-8, 0x1.1a7b33e314687p-8, 0x1.11c8cbc250713p-8, 0x1.09541dd6526dp-8, 0x1.011bb575f266cp-8, 0x1.f23c49b5f8873p-9, 0x1.e2b40a1b90db7p-9, 0x1.d39beba15f40fp-9, 0x1.c4f13b16dcc0cp-9, 0x1.b6b1526d21cadp-9, 0x1.a8d9988d75fb1p-9, 0x1.9b67812ffdb55p-9, 0x1.8e588cb23004dp-9, 0x1.81aa47ed9bdd3p-9, 0x1.755a4c0e7ea0ap-9, 0x1.69663e6a77ed4p-9, 0x1.5dcbd05757debp-9, 0x1.5288bf01ec309p-9, 0x1.479ad34524a1ep-9, 0x1.3cffe18111115p-9, 0x1.32b5c9723c7cp-9, 0x1.28ba7608ef378p-9, 0x1.1f0bdd40e5236p-9, 0x1.15a7fff8ff5a1p-9, 0x1.0c8ce9cb1ef9ep-9, 0x1.03b8b0e44f4e7p-9, 0x1.f652ebba1a7fep-10, 0x1.e5bac72354b06p-10, 0x1.d5a55df63b1c6p-10, 0x1.c60f2e0f865cp-10, 0x1.b6f4c8e92952bp-10, 0x1.a852d34c9727ap-10, 0x1.9a2605061775ep-10, 0x1.8c6b28980096cp-10, 0x1.7f1f1aeeb6f4ap-10, 0x1.723ecb14f34c7p-10, 0x1.65c739e88b89bp-10, 0x1.59b579cf91344p-10, 0x1.4e06ae6e3a874p-10, 0x1.42b80c5cc3a6ap-10, 0x1.37c6d8de2ec23p-10, 0x1.2d30699758aap-10, 0x1.22f22446935e2p-10, 0x1.19097e7b9990bp-10, 0x1.0f73fd505ed4ep-10, 0x1.062f352207365p-10, 0x1.fa71929573269p-11, 0x1.e91cd7b7432e3p-11, 0x1.d85bbaafe7fa1p-11, 0x1.c829d8e0059ecp-11, 0x1.b882eb7b337acp-11, 0x1.a962c700b09abp-11, 0x1.9ac55ab5e98fdp-11, 0x1.8ca6b022512c2p-11, 0x1.7f02ea8c5cda1p-11, 0x1.71d646783d3bep-11, 0x1.651d19273f73ep-11, 0x1.58d3d019bc1f5p-11, 0x1.4cf6f091810a7p-11, 0x1.41831716299ccp-11, 0x1.3674f6faee321p-11, 0x1.2bc959e5fa971p-11, 0x1.217d1f5920a64p-11, 0x1.178d3c3cd2c9bp-11, 0x1.0df6ba6bd58e3p-11, 0x1.04b6b84122974p-11, 0x1.f794d04e7046p-12, 0x1.e65e205261185p-12, 0x1.d5c4130a3e5c2p-12, 0x1.c5c18081ac1b5p-12, 0x1.b651657ef2a56p-12, 0x1.a76ee2b29cf96p-12, 0x1.99153be9c1076p-12, 0x1.8b3fd74486aa3p-12, 0x1.7dea3c6deed61p-12, 0x1.711013d9e21cep-12, 0x1.64ad2603cedc3p-12, 0x1.58bd5ab20ff33p-12, 0x1.4d3cb83b81041p-12, 0x1.422762d167f21p-12, 0x1.37799bcbcd384p-12, 0x1.2d2fc0f8d250ap-12, 0x1.23464bef2b191p-12, 0x1.19b9d1649095p-12, 0x1.1087008616788p-12, 0x1.07aaa253d7088p-12, 0x1.fe4331ffbe7dcp-13, 0x1.edd1be9f88a76p-13, 0x1.ddfb10025d8f3p-13, 0x1.ceb97a621af34p-13, 0x1.c0077f8c81b2p-13, 0x1.b1dfcdbceadf6p-13, 0x1.a43d3e7b4a3cfp-13, 0x1.971ad581e7445p-13, 0x1.8a73bfa625d28p-13, 0x1.7e4351caf1e51p-13, 0x1.728507d2ccc47p-13, 0x1.6734839c22154p-13, 0x1.5c4d8bff555d8p-13, 0x1.51cc0bd36696p-13, 0x1.47ac10f72b78dp-13, 0x1.3de9cb5f6be92p-13, 0x1.34818c2ae4ddp-13, 0x1.2b6fc4b8e31bbp-13, 0x1.22b105c79b91ap-13, 0x1.1a41fe9278d54p-13, 0x1.121f7bfc9e2b4p-13, 0x1.0a4667b89911p-13, 0x1.02b3c77859455p-13, 0x1.f6c978419f86dp-14, 0x1.e8ad02048969ep-14, 0x1.db0cd628a5134p-14, 0x1.cde3d06ee5cb1p-14, 0x1.c12cfcf2e1b46p-14, 0x1.b4e396bbca4dep-14, 0x1.a903065aa3409p-14, 0x1.9d86e08ab5dd3p-14, 0x1.926ae4dc5b739p-14, 0x1.87aafc68c477cp-14, 0x1.7d43388bdc8efp-14, 0x1.732fd1a710929p-14, 0x1.696d25e980394p-14, 0x1.5ff7b824a789ep-14, 0x1.56cc2ea006583p-14, 0x1.4de751fe316a1p-14, 0x1.45460c203e425p-14, 0x1.3ce567146d706p-14, 0x1.34c0ad861c008p-14, 0x1.2cd8fead9c2ccp-14, 0x1.2529c5e862886p-14, 0x1.1db083f5279e2p-14, 0x1.166ad4c82b346p-14, 0x1.0f566ea0395c1p-14, 0x1.08712120e06c4p-14, 0x1.01b8d47480adp-14, 0x1.f65710eb07113p-15, 0x1.e98ea7b0eeadcp-15, 0x1.dd14c6c135bf8p-15, 0x1.d0e5f22f6a0bp-15, 0x1.c4fed71aa54b5p-15, 0x1.b95c4a2ebae78p-15, 0x1.adfb463c6bf7dp-15, 0x1.a2d8ead0c4ebbp-15, 0x1.97f27ad916a5bp-15, 0x1.8d455b5787068p-15, 0x1.82cf1217e75d3p-15, 0x1.788d44744f265p-15, 0x1.6e7db621fc341p-15, 0x1.649e47fe838bp-15, 0x1.5aecf6f8ea093p-15, 0x1.5167daf08ac3bp-15, 0x1.480d25a2e2adap-15, 0x1.3edb21a666519p-15, 0x1.35d03165ec561p-15, 0x1.2ceace2902043p-15, 0x1.2429871fc70adp-15, 0x1.1b8b007aa67d2p-15, 0x1.130df28534b2ap-15, 0x1.0ab128cbaa15ep-15, 0x1.02738141f3463p-15, 0x1.f4a7d6f3fc1f1p-16, 0x1.e4a2cfb432f71p-16, 0x1.d4d60da9fe0a7p-16, 0x1.c53fd0719b284p-16, 0x1.b5de74e615e03p-16, 0x1.a6b073c54fc07p-16, 0x1.97b4605edbe8fp-16, 0x1.88e8e74668b52p-16, 0x1.7a4ccd1f3009cp-16, 0x1.6bdeed6553d97p-16, 0x1.5d9e3946a5fa4p-16, 0x1.4f89b687d3f4fp-16, 0x1.41a07e7017ae4p-16, 0x1.33e1bcc0634b9p-16, 0x1.264caeb4bfbcdp-16, 0x1.18e0a20dbe9b3p-16, 0x1.0b9cf422f967ep-16, 0x1.fd02220639d7ap-17, 0x1.e318e51e07f6bp-17, 0x1.c97d3f61fb80ep-17, 0x1.b02e571e8bfcap-17, 0x1.972b698cbde4bp-17, 0x1.7e73c9690ad9fp-17, 0x1.6606dd7032186p-17, 0x1.4de41f31f4362p-17, 0x1.360b199fa84dfp-17, 0x1.1e7b67ea59084p-17, 0x1.0734b44743ae9p-17, 0x1.e06d6da9725d4p-18, 0x1.b30268f5e5485p-18, 0x1.8627fbdf9ae9fp-18, 0x1.59dddd7a1bdafp-18, 0x1.2e23d851f377p-18, 0x1.02f9c9093e1bcp-18, 0x1.b0bf38c4e62a4p-19, 0x1.5caa9b4b598ap-19, 0x1.09b5ca25ae16cp-19, 0x1.6fc1d992fa2e6p-20, 0x1.9cb0fb34e0693p-21, 0x1.7980d36e08b1dp-23, -0x1.b6da6096cc862p-22, -0x1.085ac96934f35p-20, -0x1.a0bb946920d13p-20, -0x1.1b6c0217918ecp-19, -0x1.65578c054c839p-19, -0x1.ae1fe3af5d488p-19, -0x1.f5c482b2553c3p-19, -0x1.1e22712bc0afcp-18, -0x1.40d03e92f0553p-18, -0x1.62eb683069e96p-18, -0x1.8473aefa044d9p-18, -0x1.a568d685cadfdp-18, -0x1.c5caa5f49495dp-18, -0x1.e598e8725e402p-18, -0x1.0269b6e700121p-17, -0x1.11bd057a0d0e9p-17, -0x1.20c64d36e0a2fp-17, -0x1.2f857e69084f3p-17, -0x1.3dfa8c991a894p-17, -0x1.4c256eb87a8abp-17, -0x1.5a061f5610203p-17, -0x1.679c9cbfbfe33p-17, -0x1.74e8e9253ec47p-17, -0x1.81eb0abca5a4ap-17, -0x1.8ea30bd947f09p-17, -0x1.9b10fb21c3025p-17, -0x1.a734eb7cb62fep-17, -0x1.b30ef43a47495p-17, -0x1.be9f312a0e71cp-17, -0x1.c9e5c29fd0b03p-17, -0x1.d4e2cd855b453p-17, -0x1.df967b5dc0549p-17, -0x1.ea00fa4e6ce9fp-17, -0x1.f4227d259b177p-17, -0x1.fdfb3b590c425p-17, -0x1.03c5b882e7065p-16, -0x1.0869af746a547p-16, -0x1.0ce9a53ec798p-16, -0x1.1145beded3e21p-16, -0x1.157e23a3cb2afp-16, -0x1.1992fd209080dp-16, -0x1.1d8477295682fp-16, -0x1.2152bfcf5a44ap-16, -0x1.24fe075644915p-16, -0x1.2886802f8a04ap-16, -0x1.2bec5ef28b974p-16, -0x1.2f2fda517bf28p-16, -0x1.32512b145c17fp-16, -0x1.35508c0cf2eb3p-16, -0x1.382e3a0d9043ap-16, -0x1.3aea73de158f4p-16, -0x1.3d857a33dee36p-16, -0x1.3fff8fa2eb63bp-16, -0x1.4258f895c7c3fp-16, -0x1.4491fb3e4b512p-16, -0x1.46aadf8dd327ep-16, -0x1.48a3ef26ce0b9p-16, -0x1.4a7d75509ab81p-16, -0x1.4c37beea2ee91p-16, -0x1.4dd31a5c075a8p-16, -0x1.4f4fd799bd781p-16, -0x1.50ae47faa739fp-16, -0x1.51eebe40acb3dp-16, -0x1.53118e8494c54p-16, -0x1.54170e29db7dfp-16, -0x1.54ff93ccd8f1ap-16, -0x1.55cb774704e42p-16, -0x1.567b11868e332p-16, -0x1.570ebc93dd008p-16, -0x1.5786d3805e89ap-16, -0x1.57e3b25634b2p-16, -0x1.5825b60d9dc3ep-16, -0x1.584d3c7f2bc7p-16, -0x1.585aa457a895fp-16, -0x1.584e4d0a018bbp-16, -0x1.582896c167137p-16, -0x1.57e9e256a999ep-16, -0x1.57929142cdd8ap-16, -0x1.57230591b0434p-16, -0x1.569ba1d16bcabp-16, -0x1.55fcc919d8c21p-16, }}, 
      {{-0x1.fb1dba1719756p+0, -0x1.fa48370e018c7p+0, -0x1.f8e7652a9dd6ap+0, -0x1.f6ffecea9cb53p+0, -0x1.f4971afc8f75cp+0, -0x1.f1b32c9994d2cp+0, -0x1.ee5aca4a57971p+0, -0x1.ea9506e85814dp+0, -0x1.e669228adf137p+0, -0x1.e1de57be4d319p+0, -0x1.dcfc4341fbda2p+0, -0x1.d7c9a4fd8a08dp+0, -0x1.d24e1e8b9d95ap+0, -0x1.cc90372494082p+0, -0x1.c696c31dd0b16p+0, -0x1.c068220a645a9p+0, -0x1.ba0a8e0a23beep+0, -0x1.b383e3236d43ep+0, -0x1.acd9bc0a5b2ap+0, -0x1.a61160019b42ap+0, -0x1.9f2fe204958e7p+0, -0x1.9839f8002daa9p+0, -0x1.9133f776405cbp+0, -0x1.8a220a32cb4b5p+0, -0x1.83081ef03375bp+0, -0x1.7be9cab14f59cp+0, -0x1.74ca4c4e5433ep+0, -0x1.6dacc03b613f2p+0, -0x1.6693f8686f9fbp+0, -0x1.5f828db5ab19cp+0, -0x1.587ae1f888abap+0, -0x1.517f213bd50f6p+0, -0x1.4a9143e212b48p+0, -0x1.43b311d0bc1ap+0, -0x1.3ce6261ac9ca3p+0, -0x1.362bf2a378d1p+0, -0x1.2f85c32d6b499p+0, -0x1.28f4bf9a6eb29p+0, -0x1.2279eda132758p+0, -0x1.1c163265ce261p+0, -0x1.15ca5453c635ap+0, -0x1.0f96fd8b98df9p+0, -0x1.097cbed43d2fp+0, -0x1.037c126274d03p+0, -0x1.fb2abb63a4032p-1, -0x1.ef91e4beb66a8p-1, -0x1.e42e1d772b143p-1, -0x1.d8ffbdb50db15p-1, -0x1.ce06fc999e9bap-1, -0x1.c343f418fc2cdp-1, -0x1.b8b6a410ccf09p-1, -0x1.ae5ef42808c48p-1, -0x1.a43cb4eb28e3dp-1, -0x1.9a4fa0fe4bfe2p-1, -0x1.909751305a02ep-1, -0x1.871372ea27f42p-1, -0x1.7dc386f232226p-1, -0x1.74a707e6b56bbp-1, -0x1.6bbd63b879bbep-1, -0x1.6305fd082e15dp-1, -0x1.5a802ca197661p-1, -0x1.522b42ec1cf1fp-1, -0x1.4a068924f565cp-1, -0x1.421142504f16cp-1, -0x1.3a4aabf02fe63p-1, -0x1.32b1fea4e7453p-1, -0x1.2b466eda5b47ep-1, -0x1.24072d93074ddp-1, -0x1.1cf36949b547fp-1, -0x1.160a4ed21d144p-1, -0x1.0f4b0a1d5a5a8p-1, -0x1.08b4c6d06cf92p-1, -0x1.0246b0aa7b838p-1, -0x1.f7ffe78de9c13p-2, -0x1.ebbf799f34f75p-2, -0x1.dfca7264af7d3p-2, -0x1.d41f2ecff4d12p-2, -0x1.c8bc0e9d84d59p-2, -0x1.bd9f75245cee7p-2, -0x1.b2c7ca270926ap-2, -0x1.a8337a8b3f6e7p-2, -0x1.9de0f8e4a5443p-2, -0x1.93cebdcc4b705p-2, -0x1.89fb480bbb86p-2, -0x1.80651cabe7fd7p-2, -0x1.770ac6fb46d41p-2, -0x1.6dead89b4bd0cp-2, -0x1.6503e99e15b3dp-2, -0x1.5c5498b46fbddp-2, -0x1.53db8b651634p-2, -0x1.4b976e420ebffp-2, -0x1.4386f510bf46bp-2, -0x1.3ba8dadc6f7cdp-2, -0x1.33fbe1efffa6fp-2, -0x1.2c7ed3b9201d7p-2, -0x1.2530809bcc334p-2, -0x1.1e0fbfbf3ac6fp-2, -0x1.171b6edda4f17p-2, -0x1.1052721e49106p-2, -0x1.09b3b3fdd3602p-2, -0x1.033e2545a5892p-2, -0x1.f9e17a1e4294ep-3, -0x1.ed94f19bda5f9p-3, -0x1.e194b8b63249p-3, -0x1.d5dee3f6e6434p-3, -0x1.ca7194b9264f1p-3, -0x1.bf4af90c2734ep-3, -0x1.b4694b7cc6383p-3, -0x1.a9cad2c8dad9cp-3, -0x1.9f6de1815e13p-3, -0x1.9550a2bba8e71p-3, -0x1.8b71efac0cefbp-3, -0x1.81cfffad9578bp-3, -0x1.78694f7060646p-3, -0x1.6f3c65b9c8654p-3, -0x1.6647d326324dap-3, -0x1.5d8a31ec930fp-3, -0x1.550225a3eb19fp-3, -0x1.4cae5b0acdfcap-3, -0x1.448d87d0a1d06p-3, -0x1.3c9e6a60279f8p-3, -0x1.34dfc9aa9a35cp-3, -0x1.2d5074f2d3f9ap-3, -0x1.25ef4397e565ap-3, -0x1.1ebb14deef44fp-3, -0x1.17b2cfbc1ca32p-3, -0x1.10d5629b20b5dp-3, -0x1.0a21c3278ef2ep-3, -0x1.0396ee15b4751p-3, -0x1.fa67cdd8f445cp-4, -0x1.edef6fa1ac5bbp-4, -0x1.e1c2e2a65d183p-4, -0x1.d5e0547dbb5dbp-4, -0x1.ca45fed7bd798p-4, -0x1.bef227251bec1p-4, -0x1.b3e31e4284a71p-4, -0x1.a9174026f7892p-4, -0x1.9e8cf394d7fb6p-4, -0x1.9442a9cd1420bp-4, -0x1.8a36de44267bfp-4, -0x1.8068165896eacp-4, -0x1.76d4e10af0684p-4, -0x1.6d7bd6b71c485p-4, -0x1.645b98cf461bdp-4, -0x1.5b72d19864bc8p-4, -0x1.52c033e8974cfp-4, -0x1.4a427ae77dee6p-4, -0x1.41f869d0b34aap-4, -0x1.39e0cbb87be26p-4, -0x1.31fa7352b7154p-4, -0x1.2a443abc0bbbfp-4, -0x1.22bd03453bec1p-4, -0x1.1b63b54088263p-4, -0x1.14373fd0fa857p-4, -0x1.0d3698bb603d3p-4, -0x1.0660bc38d511fp-4, -0x1.ff6959955050dp-5, -0x1.f262e61ee365fp-5, -0x1.e5ac3b326c469p-5, -0x1.d9438188ff4b6p-5, -0x1.cd26ed20ad02dp-5, -0x1.c154bcee2c81dp-5, -0x1.b5cb3a9030d7fp-5, -0x1.aa88ba0485cc7p-5, -0x1.9f8b995efe194p-5, -0x1.94d240825d5adp-5, -0x1.8a5b20db505cap-5, -0x1.8024b51d95e1dp-5, -0x1.762d81036d61p-5, -0x1.6c74110f54d93p-5, -0x1.62f6fa501a527p-5, -0x1.59b4da274326cp-5, -0x1.50ac5611ab2b9p-5, -0x1.47dc1b724f103p-5, -0x1.3f42df5f27352p-5, -0x1.36df5e6fe1047p-5, -0x1.2eb05c8e6eb58p-5, -0x1.26b4a4c92d70ap-5, -0x1.1eeb092699092p-5, -0x1.1752627a5cbep-5, -0x1.0fe9903ba8bbbp-5, -0x1.08af785cc0676p-5, -0x1.01a3072395799p-5, -0x1.f5865e06f0b25p-6, -0x1.e81dd0ef7ab1ep-6, -0x1.db0a63bea7588p-6, -0x1.ce4a1eb297394p-6, -0x1.c1db15447201bp-6, -0x1.b5bb65e4f580bp-6, -0x1.a9e939baaf1d4p-6, -0x1.9e62c461f58cep-6, -0x1.932643ae76743p-6, -0x1.8831ff6e76351p-6, -0x1.7d84492fbe648p-6, -0x1.731b7c05f3d5ep-6, -0x1.68f5fc52b7748p-6, -0x1.5f12378f16115p-6, -0x1.556ea416a8f5ap-6, -0x1.4c09c0f3fb8fep-6, -0x1.42e215ae8aac6p-6, -0x1.39f63219fab5fp-6, -0x1.3144ae26b2bb1p-6, -0x1.28cc29b3c7d03p-6, -0x1.208b4c6217bc1p-6, -0x1.1880c56899f79p-6, -0x1.10ab4b69d4011p-6, -0x1.09099c4a726bbp-6, -0x1.019a7d08e2c71p-6, -0x1.f4b9732bf3448p-7, -0x1.e69e495d2ffd7p-7, -0x1.d8e12f6c71f51p-7, -0x1.cb7fe524d93f7p-7, -0x1.be78370e5f50ap-7, -0x1.b1c7fe283f073p-7, -0x1.a56d1fa4ef39ap-7, -0x1.99658ca7c4e15p-7, -0x1.8daf4203f3b67p-7, -0x1.824847fd3aa28p-7, -0x1.772eb209f4444p-7, -0x1.6c609e965e7aep-7, -0x1.61dc36c98286bp-7, -0x1.579fae4b4bbfcp-7, -0x1.4da99e1ff07fep-7, -0x1.43f79d9221d53p-7, -0x1.3a885400d927p-7, -0x1.315a1cea2546cp-7, -0x1.286b5d3e937e5p-7, -0x1.1fba832e7135cp-7, -0x1.174605f846bd6p-7, -0x1.0f0c65b84495ap-7, -0x1.070c2b38e69dep-7, -0x1.fe87cf88e7997p-8, -0x1.ef6469ef00e28p-8, -0x1.e0ab6928f7fd6p-8, -0x1.d25a20b028affp-8, -0x1.c46df39d1febdp-8, -0x1.b6e45454026afp-8, -0x1.a9bac432c914fp-8, -0x1.9ceed34110becp-8, -0x1.907e1fe195797p-8, -0x1.8466568555383p-8, -0x1.78a531601f88ap-8, -0x1.6d38781ec748bp-8, -0x1.621dff9ee25e1p-8, -0x1.5753a9a7a9189p-8, -0x1.4cd764a4b897p-8, -0x1.42a72b61b389bp-8, -0x1.38c104c7b70d3p-8, -0x1.2f23039bc736ep-8, -0x1.25cb463eb8784p-8, -0x1.1cb7f66e214fdp-8, -0x1.13e74906eb6f2p-8, -0x1.0b577dc8b91c4p-8, -0x1.0306df1aa55a4p-8, -0x1.f5e783a2615e8p-9, -0x1.e63909ea4c59ap-9, -0x1.d6ff2317cf45p-9, -0x1.c836b4c110d4ap-9, -0x1.b9dcb79c3727dp-9, -0x1.abee371618ad8p-9, -0x1.9e6850eaca692p-9, -0x1.914834c08bf47p-9, -0x1.848b23c44d548p-9, -0x1.782e70485c7fep-9, -0x1.6c2f7d64cc3f2p-9, -0x1.608bbe99ed59ap-9, -0x1.5540b7747159bp-9, -0x1.4a4bfb334dfc3p-9, -0x1.3fab2c6f8553fp-9, -0x1.355bfcc59542ep-9, -0x1.2b5c2c806e342p-9, -0x1.21a98a468643ep-9, -0x1.1841f2c7fbbf9p-9, -0x1.0f23506eb99e8p-9, -0x1.064b9b0fbc35fp-9, -0x1.fb71af3d2a856p-10, -0x1.ead22fc369f61p-10, -0x1.dab4f45142cbdp-10, -0x1.cb165206f94cfp-10, -0x1.bbf2b5f7756bcp-10, -0x1.ad46a49de4d68p-10, -0x1.9f0eb95482e3cp-10, -0x1.9147a5cf093e7p-10, -0x1.83ee319783eebp-10, -0x1.76ff398dd42f8p-10, -0x1.6a77af694e929p-10, -0x1.5e54993dec7fap-10, -0x1.52931102f13f9p-10, -0x1.4730441c5e7afp-10, -0x1.3c2972e6de192p-10, -0x1.317bf045f5976p-10, -0x1.27252134983cp-10, -0x1.1d227c57ad2ffp-10, -0x1.13718993698c1p-10, -0x1.0a0fe1a25e207p-10, -0x1.00fb2daecbc5p-10, -0x1.f0624ddc8dfbp-11, -0x1.df5f2c7df9124p-11, -0x1.cee8a78f04219p-11, -0x1.befa8d314eb03p-11, -0x1.af90c8a1ce3a2p-11, -0x1.a0a76183251e3p-11, -0x1.923a7b2e3f4dep-11, -0x1.84465403b2e5cp-11, -0x1.76c744c2ff65fp-11, -0x1.69b9bfe3303ffp-11, -0x1.5d1a50f298254p-11, -0x1.50e59bf64f163p-11, -0x1.45185ccf6a962p-11, -0x1.39af66a2d522ep-11, -0x1.2ea7a34490457p-11, -0x1.23fe12a6ab517p-11, -0x1.19afca49bfee5p-11, -0x1.0fb9f4b3a5857p-11, -0x1.0619d0e660239p-11, -0x1.f99963b6c3515p-12, -0x1.e79ffc033c0bep-12, -0x1.d6425d7d2578dp-12, -0x1.c57b9fe3fe5dap-12, -0x1.b546fef988e58p-12, -0x1.a59fd9934b54p-12, -0x1.9681b0b4d2297p-12, -0x1.87e826ac1169ap-12, -0x1.79cefe342c4acp-12, -0x1.6c32199d9a7e5p-12, -0x1.5f0d79fad6806p-12, -0x1.525d3e5252153p-12, -0x1.461da2d51daffp-12, -0x1.3a4b0019eaf0ep-12, -0x1.2ee1ca5db6255p-12, -0x1.23de90c5fd723p-12, -0x1.193dfcad2ba22p-12, -0x1.0efcd0ec58a82p-12, -0x1.0517e92f09136p-12, -0x1.f71872905356ap-13, -0x1.e4ad991396cefp-13, -0x1.d2e98a4be854ep-13, -0x1.c1c6b71c8f32p-13, -0x1.b13fbbb2855f1p-13, -0x1.a14f5e5793bf2p-13, -0x1.91f08e4ce2fcp-13, -0x1.831e62a5e6741p-13, -0x1.74d4193821ba2p-13, -0x1.670d1583fb28dp-13, -0x1.59c4dfabd1fa9p-13, -0x1.4cf7236e79941p-13, -0x1.409faf2a0b82ep-13, -0x1.34ba72e409929p-13, -0x1.29437f57b4c0fp-13, -0x1.1e37050b2a142p-13, -0x1.1391536659393p-13, -0x1.094ed7d83ea67p-13, -0x1.fed839f245aafp-14, -0x1.ebcb936c32f61p-14, -0x1.d9714103a8dfap-14, -0x1.c7c2fd1402da6p-14, -0x1.b6bab5e5a5811p-14, -0x1.a6528c2afccdp-14, -0x1.9684d18c6f41fp-14, -0x1.874c073a1a6dap-14, -0x1.78a2dc898a888p-14, -0x1.6a842d968a2e7p-14, -0x1.5ceb01f965f61p-14, -0x1.4fd28b77eb4b2p-14, -0x1.433624c7a1079p-14, -0x1.371150559917ep-14, -0x1.2b5fb71592e6ep-14, -0x1.201d275c506acp-14, -0x1.154593bc791e3p-14, -0x1.0ad511f27da53p-14, -0x1.00c7d9d15f25cp-14, -0x1.ee34887083689p-15, -0x1.db9194271a837p-15, -0x1.c9a006aeff8cfp-15, -0x1.b8594c32d4ec8p-15, -0x1.a7b70b31de666p-15, -0x1.97b322b1d6802p-15, -0x1.8847a8817deb7p-15, -0x1.796ee77b1bceep-15, -0x1.6b235de4d7678p-15, -0x1.5d5fbbbc231a6p-15, -0x1.501ee140904cbp-15, -0x1.435bdd56bf3b1p-15, -0x1.3711ec12b3fecp-15, -0x1.2b3c75430c65bp-15, -0x1.1fd70b09f79a1p-15, -0x1.14dd68809b2a4p-15, -0x1.0a4b7061a9db3p-15, -0x1.001d2bbde062cp-15, -0x1.ec9d917d7fc59p-16, -0x1.d9b932d7f286fp-16, -0x1.c78624fe98b2bp-16, -0x1.b5fd947e0531bp-16, -0x1.a518eeab016d2p-16, -0x1.94d1df9deca2ep-16, -0x1.852250013d3fp-16, -0x1.76046309ae55fp-16, -0x1.677274802dca5p-16, -0x1.596716d37b107p-16, -0x1.4bdd1138e87acp-16, -0x1.3ecf5de27d4c9p-16, -0x1.3239283db3527p-16, -0x1.2615cb3b42923p-16, -0x1.1a60cfac8031cp-16, -0x1.0f15eaac0f863p-16, -0x1.0430fc086b1dp-16, -0x1.f35c19930d822p-17, -0x1.df129b91fda2p-17, -0x1.cb7e2c3f10643p-17, -0x1.b897c3f42a53cp-17, -0x1.a658a246ea544p-17, -0x1.94ba4b9aad15ap-17, -0x1.83b6869bacce6p-17, -0x1.734759a6f4665p-17, -0x1.636708ca532b4p-17, -0x1.54101350b396cp-17, -0x1.453d3191f4396p-17, -0x1.36e952e12bc52p-17, -0x1.290f9b77f507bp-17, -0x1.1bab6284a7f12p-17, -0x1.0eb83037fc017p-17, -0x1.0231bbf2685b4p-17, -0x1.ec27d4dc5d107p-18, -0x1.d4b5983b8d741p-18, -0x1.be05367905913p-18, -0x1.a80f751493a8dp-18, -0x1.92cd67013fc41p-18, -0x1.7e3869bb1fa28p-18, -0x1.6a4a225f8105cp-18, -0x1.56fc7ac736c36p-18, -0x1.44499eea15f7p-18, -0x1.322bfa248f442p-18, -0x1.209e34b40701ap-18, -0x1.0f9b3150d96b9p-18, -0x1.fe3c15675894ap-19, -0x1.de4422b3166cdp-19, -0x1.bf4592c8015ffp-19, -0x1.a137d0a47fd7p-19, -0x1.8412a61a3501cp-19, -0x1.67ce37f5abf96p-19, -0x1.4c63018af5874p-19, -0x1.31c9d1f77096bp-19, -0x1.17fbc81096d34p-19, -0x1.fde49dc94420bp-20, -0x1.cd4e355a32c3ap-20, -0x1.9e284b61e0b1ep-20, -0x1.706847ea48bc8p-20, -0x1.44018d9b7373ap-20, -0x1.18ea3c48a5e2cp-20, -0x1.de3079217bed4p-21, -0x1.8d03ccee7fd38p-21, -0x1.3e3bf96d0ed95p-21, -0x1.e38ea0094f9b7p-22, -0x1.4f29c61a4df07p-22, -0x1.7e51fd88bcdd1p-23, -0x1.9b6a21bf7a89ap-25, 0x1.509c784126a8p-24, 0x1.af613776a1053p-23, 0x1.574a74bb19853p-22, 0x1.d30ec7bf4a094p-22, 0x1.258b4e08ee109p-21, 0x1.5fbcf870dbd18p-21, 0x1.9827e4d2b05b7p-21, 0x1.ced71d9042c8fp-21, 0x1.01ea9d6239522p-20, 0x1.1b963469b358fp-20, 0x1.3473362e62eb1p-20, 0x1.4c86557b2973bp-20, 0x1.63d4156e732e8p-20, 0x1.7a60cdcf4a37cp-20, 0x1.9030ac638c70dp-20, 0x1.a547b789f0736p-20, 0x1.b9a9d035e7fc2p-20, 0x1.cd5ab36dba639p-20, 0x1.e05dfcf5d4c91p-20, 0x1.f2b728990fadp-20, 0x1.0234c9f41dd56p-19, 0x1.0abc400116e19p-19, 0x1.12f3896e5e236p-19, 0x1.1adc2c8d24105p-19, 0x1.2277a3670f90bp-19, 0x1.29c75d3fb76ecp-19, 0x1.30ccbe01f3af6p-19, 0x1.37891fa94e709p-19, 0x1.3dfdd29e445acp-19, 0x1.442c1e56ab14fp-19, 0x1.4a1541a7026b2p-19, 0x1.4fba737d24effp-19, 0x1.551ce3345ab9dp-19, 0x1.5a3db90376516p-19, 0x1.5f1e169139749p-19, 0x1.63bf171a7525bp-19, 0x1.6821cffb7cd51p-19, 0x1.6c47510eefeb6p-19, 0x1.7030a4c681bccp-19, 0x1.73ded0d3a0236p-19, 0x1.7752d62ea7991p-19, 0x1.7a8db18927239p-19, 0x1.7d905b7dea8b2p-19, 0x1.805bc8bb8ea6cp-19, 0x1.82f0ea5b458b8p-19, 0x1.8550adf21e4f1p-19, 0x1.877bfe3cb8bd3p-19, 0x1.8973c272a7973p-19, 0x1.8b38df6a5aa4fp-19, 0x1.8ccc36ff024fp-19, 0x1.8e2ea89b09a6bp-19, 0x1.8f611141fb5d9p-19, 0x1.90644bbd719fap-19, 0x1.913930a7fddffp-19, 0x1.91e0966befd3ap-19, 0x1.925b521d2a87cp-19, 0x1.92aa36404efe1p-19, 0x1.92ce13f5d11e1p-19, 0x1.92c7baa19478p-19, 0x1.9297f80c3d019p-19, 0x1.923f98735e1c1p-19, 0x1.91bf6697fc237p-19, 0x1.91182bcb8b3p-19, 0x1.904aaffb71608p-19, 0x1.8f57b9c6d54c9p-19, 0x1.8e400e5381ad3p-19, 0x1.8d0471b03e495p-19, 0x1.8ba5a68e734a6p-19, 0x1.8a246e5d81c66p-19, 0x1.8881897a2b66cp-19, 0x1.86bdb6d0d331bp-19, 0x1.84d9b44293706p-19, 0x1.82d63e4bf7e58p-19, 0x1.80b410bd42bd3p-19, 0x1.7e73e5a6f3395p-19, 0x1.7c167625fe128p-19, 0x1.799c7a21d0dd1p-19, 0x1.7706a84f4e6bep-19, 0x1.7455b62af4044p-19, 0x1.718a5801a87b6p-19, 0x1.6ea540e571429p-19, 0x1.6ba722adbcc49p-19, 0x1.6890ade01d406p-19, 0x1.656291dfd554bp-19, 0x1.621d7cbe9134cp-19, 0x1.5ec21b32c649cp-19, 0x1.5b5118b197583p-19, 0x1.57cb1f41fe035p-19, 0x1.5430d7cd00e8cp-19, 0x1.5082e9acb15e5p-19, 0x1.4cc1fad37fe89p-19, 0x1.48eeafe44fbf8p-19, 0x1.4509ac0d23f84p-19, 0x1.411390fd83c33p-19, 0x1.3d0cff0fa795p-19, 0x1.38f694fc42d68p-19, 0x1.34d0f01152f28p-19, 0x1.309cac08ee236p-19, 0x1.2c5a6332feff7p-19, 0x1.280aadda29dacp-19, 0x1.23ae23733ee68p-19, 0x1.1f4559408b8cbp-19, 0x1.1ad0e32ea5913p-19, 0x1.16515364989bp-19, 0x1.11c73a6de1bcfp-19, 0x1.0d332728892c5p-19, 0x1.0895a6c40c663p-19, 0x1.03ef44bb4a518p-19, 0x1.fe8115a15426p-20, 0x1.f5140218d8defp-20, 0x1.eb985b6c4134p-20, 0x1.e20f2aa67ebf3p-20, 0x1.d8797546eee72p-20, 0x1.ced83d4ec7bb1p-20, 0x1.c52c80ec5f309p-20, 0x1.bb773aedfcdf2p-20, 0x1.b1b9626ac51c8p-20, 0x1.a7f3eac94d67bp-20, 0x1.9e27c3ea12276p-20, 0x1.9455d9d81c2fdp-20, 0x1.8a7f14fa01b35p-20, 0x1.80a45a1f5b3p-20, 0x1.76c689b6d3973p-20, 0x1.6ce681b9db1ep-20, 0x1.63051b4fc1be5p-20, 0x1.59232c591d1bap-20, 0x1.4f4186cdc79efp-20, 0x1.4560f8f303bbcp-20, 0x1.3b824d11563cbp-20, 0x1.31a64a675bcaep-20, 0x1.27cdb3b538581p-20, 0x1.1df94841627fap-20, 0x1.1429c398dd013p-20, 0x1.0a5fdd82bc5a1p-20, 0x1.009c49da6771ep-20, 0x1.edbf7205f022fp-21, 0x1.da55af36c8c2cp-21, 0x1.c6fc9cf42fa29p-21, 0x1.b3b585904bdd2p-21, 0x1.a081ac1b9c7e3p-21, 0x1.8d624bedba24ep-21, 0x1.7a589969ba769p-21, 0x1.6765c10aaff5fp-21, 0x1.548ae98151f4ep-21, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.82b21883038c1p-4, -0x1.7d0c842427d7bp-3, -0x1.17739c1fc4e5ep-2, -0x1.69ffb96dd5c9bp-2, -0x1.b5338eee3aabep-2, -0x1.f87a66e7a70c4p-2, -0x1.19c5711f0bf5ep-1, -0x1.332a6a8bd3832p-1, -0x1.4879aa804ed6bp-1, -0x1.59d0e7c671754p-1, -0x1.675aa938b69ebp-1, -0x1.7147051e87ebcp-1, -0x1.77d0b94d5384p-1, -0x1.7b318338a589bp-1, -0x1.7ba796217506cp-1, -0x1.79717194d148bp-1, -0x1.74cc9658bf22cp-1, -0x1.6df6921a3b41p-1, -0x1.652a56b9598fap-1, -0x1.5aa00a0908a9p-1, -0x1.4e8e745cea196p-1, -0x1.4129d3f4e5432p-1, -0x1.32a242ea02954p-1, -0x1.232447ff4fc6fp-1, -0x1.12da341a8fdfp-1, -0x1.01ec2a8bc721fp-1, -0x1.e0ff2cce7ea44p-2, -0x1.bd670dd481651p-2, -0x1.994e5643ff8ccp-2, -0x1.74ebedcaf1931p-2, -0x1.507197b6a0bf7p-2, -0x1.2c0c5b633bbfdp-2, -0x1.07e4a0ea44d8ap-2, -0x1.c83c6defc2a9fp-3, -0x1.81b0fe0744d7ep-3, -0x1.3c5d9cbc4274cp-3, -0x1.f0e3a0e341da3p-4, -0x1.6c2dab9104cd6p-4, -0x1.d5c0d9a4cff5bp-5, -0x1.b4e104bb5b776p-6, 0x1.93183fd4afc56p-9, 0x1.04d4bc712e148p-5, 0x1.e83b25ffe2751p-5, 0x1.619bcc0491dp-4, 0x1.cad5d893f9459p-4, 0x1.17e161a8765bbp-3, 0x1.482f5a8524045p-3, 0x1.765508712fcacp-3, 0x1.a2547172dda88p-3, 0x1.cc314c7243fecp-3, 0x1.f3f0f2e64b1d5p-3, 0x1.0ccd2b5946846p-2, 0x1.1e9af8bff6f84p-2, 0x1.2f66d4ea07371p-2, 0x1.3f352d754f7b1p-2, 0x1.4e1031f399729p-2, 0x1.5bfba3028e399p-2, 0x1.68fe0ce9b5b12p-2, 0x1.751e3729c9a83p-2, 0x1.8063160cd5974p-2, 0x1.8ad3bde2f304ep-2, 0x1.947757dec23e9p-2, 0x1.9d55182a137d6p-2, 0x1.a57434c99aa8fp-2, 0x1.acdbdd2e74c6cp-2, 0x1.b39332aab4b87p-2, 0x1.b9a1422924dcbp-2, 0x1.bf0cff6f520ebp-2, 0x1.c3dd41e4964afp-2, 0x1.c818c282d1999p-2, 0x1.cbc61a5e4c812p-2, 0x1.ceebc12ecfa7bp-2, 0x1.d1900b6fc677fp-2, 0x1.d3b927f2b5b8fp-2, 0x1.d56d1d036dba6p-2, 0x1.d6b1c56b3eefp-2, 0x1.d78ccdaea270ep-2, 0x1.d803b1d23cf86p-2, 0x1.d81bbbd4a1acfp-2, 0x1.d7da02e8bc35dp-2, 0x1.d7436b646ad35p-2, 0x1.d65ca74c5f44p-2, 0x1.d52a3766b6812p-2, 0x1.d3b06cc20c8e4p-2, 0x1.d1f36aa04a81bp-2, 0x1.cff728afc1861p-2, 0x1.cdbf75739d8f5p-2, 0x1.cb4ff8b265edcp-2, 0x1.c8ac35bb573e1p-2, 0x1.c5d78d551b511p-2, 0x1.c2d53f32e11bap-2, 0x1.bfa86ade4c78dp-2, 0x1.bc541019d2bdap-2, 0x1.b8db0ed3ad865p-2, 0x1.b54026d1b3c38p-2, 0x1.b185f747773eap-2, 0x1.adaefe888d29p-2, 0x1.a9bd9a017a1dp-2, 0x1.a5b406943df4p-2, 0x1.a194616495786p-2, 0x1.9d60a90f41482p-2, 0x1.991abf3963b31p-2, 0x1.94c46a5b9cceap-2, 0x1.905f57a886619p-2, 0x1.8bed1cef8ef29p-2, 0x1.876f3a628e90cp-2, 0x1.82e71c2c635a3p-2, 0x1.7e561bcf90c6ap-2, 0x1.79bd814be380ep-2, 0x1.751e84106317cp-2, 0x1.7079552475596p-2, 0x1.6bd0758fc5731p-2, 0x1.67248fc92fb49p-2, 0x1.6276a46530958p-2, 0x1.5dc7a58c94f78p-2, 0x1.5918776b3713ep-2, 0x1.5469f0a57b676p-2, 0x1.4fbcdad72a1cap-2, 0x1.4b11f31cc81c3p-2, 0x1.4669eaa716eabp-2, 0x1.41c567570235bp-2, 0x1.3d25045f399c8p-2, 0x1.388952e81d877p-2, 0x1.33f2dab27ac55p-2, 0x1.2f621ab5cf8c7p-2, 0x1.2ad789b758dcfp-2, 0x1.265396d7e3effp-2, 0x1.21d6aa171a49ap-2, 0x1.1d6124cba3f15p-2, 0x1.18f3621018564p-2, 0x1.148db72507529p-2, 0x1.103073c8b7502p-2, 0x1.0bdbe28548eacp-2, 0x1.079048f6132c5p-2, 0x1.034de80500ee4p-2, 0x1.fe29f841b2b75p-3, 0x1.f5cb7ada8ab99p-3, 0x1.ed80bfdb0b255p-3, 0x1.e54a275583169p-3, 0x1.dd2809adc0a13p-3, 0x1.d51ab7d9aebf4p-3, 0x1.cd227b9e8c6fap-3, 0x1.c53f97cc6259fp-3, 0x1.bd724878faa8fp-3, 0x1.b5bac33b7b9fep-3, 0x1.ae19376969f23p-3, 0x1.a68dce5587dadp-3, 0x1.9f18ab90d913dp-3, 0x1.97b9ed2da175bp-3, 0x1.9071ac042c1afp-3, 0x1.893ffbf8cf2cbp-3, 0x1.8224ec42a31fcp-3, 0x1.7b2087b22150ep-3, 0x1.7432d4f707459p-3, 0x1.6d5bd6e49e449p-3, 0x1.669b8cb3c56d5p-3, 0x1.5ff1f24209fbap-3, 0x1.595f004d3f39ap-3, 0x1.52e2acab2587cp-3, 0x1.4c7cea7cd6984p-3, 0x1.462daa5dbcd08p-3, 0x1.3ff4da8e24c3dp-3, 0x1.39d267197274bp-3, 0x1.33c639f8419c8p-3, 0x1.2dd03b2eb6766p-3, 0x1.27f050e77951cp-3, 0x1.22265f8bb400dp-3, 0x1.1c7249d898993p-3, 0x1.16d3f0f2dcd67p-3, 0x1.114b347891e9bp-3, 0x1.0bd7f291bc1bcp-3, 0x1.067a07fffb2e4p-3, 0x1.0131502d83b21p-3, 0x1.f7fb4a774a466p-4, 0x1.edbdc021e7509p-4, 0x1.e3a9b0ce8f349p-4, 0x1.d9bec9b315d07p-4, 0x1.cffcb5e2ed4cp-4, 0x1.c6631e6a67284p-4, 0x1.bcf1aa69bec63p-4, 0x1.b3a7ff300b4bdp-4, 0x1.aa85c055eb2b9p-4, 0x1.a18a8fd8002b1p-4, 0x1.98b60e31204ccp-4, 0x1.9007da7449accp-4, 0x1.877f926648427p-4, 0x1.7f1cd29706d6cp-4, 0x1.76df367a8be2fp-4, 0x1.6ec658819580ap-4, 0x1.66d1d231cef6fp-4, 0x1.5f013c3d98811p-4, 0x1.57542e9b522dap-4, 0x1.4fca409c2542ep-4, 0x1.486309023b45dp-4, 0x1.411e1e1659d6ap-4, 0x1.39fb15bcd307dp-4, 0x1.32f98589c75e4p-4, 0x1.2c1902d4a322ep-4, 0x1.255922cad841fp-4, 0x1.1eb97a81c676cp-4, 0x1.18399f07d0899p-4, 0x1.11d925749768dp-4, 0x1.0b97a2f85af09p-4, 0x1.0574acea80ba9p-4, 0x1.fedfb1ae8a5e5p-5, 0x1.f31179192ca21p-5, 0x1.e77ddc4c45fb5p-5, 0x1.dc2408314889p-5, 0x1.d1032a78cf084p-5, 0x1.c61a71ae4e0c1p-5, 0x1.bb690d4a6cc01p-5, 0x1.b0ee2dc426a42p-5, 0x1.a6a904a0bf0bdp-5, 0x1.9c98c482ac07bp-5, 0x1.92bca13784af3p-5, 0x1.8913cfc50c79fp-5, 0x1.7f9d86756fb68p-5, 0x1.7658fce2cd44ep-5, 0x1.6d456c021443bp-5, 0x1.64620e2d4f056p-5, 0x1.5bae1f2d6b7c7p-5, 0x1.5328dc438828dp-5, 0x1.4ad101861a762p-5, 0x1.42a6eb117a557p-5, 0x1.3aa9435b88becp-5, 0x1.32d74d737662ap-5, 0x1.2b304e0fe7b2ap-5, 0x1.23b38b9707423p-5, 0x1.1c604e26094e2p-5, 0x1.1535df982d15dp-5, 0x1.0e338b8d3e219p-5, 0x1.07589f6f97eep-5, 0x1.00a46a79b959ep-5, 0x1.f42c7b76c9599p-6, 0x1.e75ad83ca94eep-6, 0x1.dad294d514faep-6, 0x1.ce925e947348ep-6, 0x1.c298e69aa50fcp-6, 0x1.b6e4e1d969245p-6, 0x1.ab75091a0c477p-6, 0x1.a048190273b64p-6, 0x1.955cd2197d6efp-6, 0x1.8ab1f8cace189p-6, 0x1.8046556a00957p-6, 0x1.7618b435411bfp-6, 0x1.6c27e557607f1p-6, 0x1.6272bce9589e2p-6, 0x1.58f812f34d3cfp-6, 0x1.4fb6c36d11b79p-6, 0x1.46adae3e26318p-6, 0x1.3ddbb73d4866fp-6, 0x1.353fc62f85d43p-6, 0x1.2cd8c6c6deae5p-6, 0x1.24a5a8a07e99bp-6, 0x1.1ca55f4280914p-6, 0x1.14d6e21955ea6p-6, 0x1.0d392c74c316ep-6, 0x1.05cb3d847712bp-6, 0x1.fd1830a8a5319p-7, 0x1.eef587908053p-7, 0x1.e12c952f953efp-7, 0x1.d3bb7692973e5p-7, 0x1.c6a05059ab892p-7, 0x1.b9d94ead9356bp-7, 0x1.ad64a53447c92p-7, 0x1.a1408f04fdd97p-7, 0x1.956b4e9ba761p-7, 0x1.89e32dcbe7666p-7, 0x1.7ea67db38bf89p-7, 0x1.73b396ac9d151p-7, 0x1.6908d83edd684p-7, 0x1.5ea4a910f8051p-7, 0x1.548576d933abcp-7, 0x1.4aa9b64dd46f7p-7, 0x1.410fe315118e5p-7, 0x1.37b67fb4bdbd3p-7, 0x1.2e9c15819bfecp-7, 0x1.25bf348e6074ep-7, 0x1.1d1e739a6fc15p-7, 0x1.14b870005656ep-7, 0x1.0c8bcda3fc616p-7, 0x1.049736e0a9d3ap-7, 0x1.f9b2b8ed87559p-8, 0x1.eaa1eaf2ba01cp-8, 0x1.dbf97e7736bc3p-8, 0x1.cdb6fa7bd858bp-8, 0x1.bfd7f2361a43ep-8, 0x1.b25a04e9e6a23p-8, 0x1.a53addc32b4b6p-8, 0x1.987833af2747fp-8, 0x1.8c0fc9357f71fp-8, 0x1.7fff6c51296e2p-8, 0x1.7444f6493405dp-8, 0x1.68de4b896818p-8, 0x1.5dc95b7abfe32p-8, 0x1.5304205be1aeap-8, 0x1.488c9f1982cfdp-8, 0x1.3e60e7269e7e3p-8, 0x1.347f1254e6eafp-8, 0x1.2ae544ad0e60fp-8, 0x1.2191ac472a91bp-8, 0x1.188281230e085p-8, 0x1.0fb60500d6877p-8, 0x1.072a833984692p-8, 0x1.fdbca12f6c0b2p-9, 0x1.ed9f96610c035p-9, 0x1.ddfab47923babp-9, 0x1.cecadbe288afcp-9, 0x1.c00cfeb472e31p-9, 0x1.b1be2065de89cp-9, 0x1.a3db55816c69ep-9, 0x1.9661c359b62fp-9, 0x1.894e9fbe4b10bp-9, 0x1.7c9f30b13d26ep-9, 0x1.7050cc1d447cdp-9, 0x1.6460d78c9f4acp-9, 0x1.58ccc7e09570dp-9, 0x1.4d922109ae66ep-9, 0x1.42ae75c0b4a6p-9, 0x1.381f674071279p-9, 0x1.2de2a5001b09cp-9, 0x1.23f5ec6eb283ap-9, 0x1.1a5708af0aed3p-9, 0x1.1103d254c6d93p-9, 0x1.07fa2f2208e3ap-9, 0x1.fe70238c38663p-10, 0x1.ed76f339a59e9p-10, 0x1.dd04e4ddad323p-10, 0x1.cd162865b9227p-10, 0x1.bda7059f60956p-10, 0x1.aeb3dbbdde033p-10, 0x1.a03920e21feb9p-10, 0x1.923361a394721p-10, 0x1.849f409b97638p-10, 0x1.777975f1f8957p-10, 0x1.6abeceeb8ef0ep-10, 0x1.5e6c2d7a7ab4cp-10, 0x1.527e87d00a8eep-10, 0x1.46f2e7f085f75p-10, 0x1.3bc66b488a9f2p-10, 0x1.30f6424403b25p-10, 0x1.267fafe7119f8p-10, 0x1.1c6009685d8a4p-10, 0x1.1294b5cd3edc6p-10, 0x1.091b2d874ec2dp-10, 0x1.ffe1f427ee35cp-11, 0x1.ee276b3a5a68ap-11, 0x1.dd02153827b97p-11, 0x1.cc6d66f9fcc74p-11, 0x1.bc64f48a6e6f2p-11, 0x1.ace47073dfb9ap-11, 0x1.9de7ab124226ap-11, 0x1.8f6a91e727ff9p-11, 0x1.81692ef13145ep-11, 0x1.73dfa8061c659p-11, 0x1.66ca3e2fe39acp-11, 0x1.5a254d0c60d4cp-11, 0x1.4ded4a3069426p-11, 0x1.421ec48cb14edp-11, 0x1.36b663d632dc3p-11, 0x1.2bb0e7f0e8e5dp-11, 0x1.210b285d4f531p-11, 0x1.16c213a848a16p-11, 0x1.0cd2aeddffd11p-11, 0x1.033a14fee7e11p-11, 0x1.f3eaecef9f4bp-12, 0x1.e20431370f212p-12, 0x1.d0baaa3fe25cp-12, 0x1.c009333a3aa1cp-12, 0x1.afeace1e162ffp-12, 0x1.a05aa2b219dd1p-12, 0x1.9153fd9964feep-12, 0x1.82d24f644bf4bp-12, 0x1.74d12ba634653p-12, 0x1.674c4810a68d5p-12, 0x1.5a3f7b91e3ba2p-12, 0x1.4da6bd7921f7ap-12, 0x1.417e249dcd774p-12, 0x1.35c1e68d3c152p-12, 0x1.2a6e56ba8b41ap-12, 0x1.1f7fe5b458b74p-12, 0x1.14f3205e05c3dp-12, 0x1.0ac4af2dc065p-12, 0x1.00f1556e0fc37p-12, 0x1.eeebe10853515p-13, 0x1.dc9eee73e41c1p-13, 0x1.caf5f217d0a76p-13, 0x1.b9eb3af70ed9cp-13, 0x1.a97946caf2437p-13, 0x1.999ac0b59fde6p-13, 0x1.8a4a7ffe6ebd2p-13, 0x1.7b8386d416e95p-13, 0x1.6d4101179da5ep-13, 0x1.5f7e432cd8ef7p-13, 0x1.5236c8d3b4e16p-13, 0x1.456634072e123p-13, 0x1.39084be42d8d2p-13, 0x1.2d18fb9660eb7p-13, 0x1.2194514bf188ep-13, 0x1.16767d30c5f63p-13, 0x1.0bbbd06dc470fp-13, 0x1.0160bc308c7cbp-13, 0x1.eec3a1715403p-14, 0x1.db7778d52266cp-14, 0x1.c8d695d1fa8f7p-14, 0x1.b6dac86591c47p-14, 0x1.a57e178fac80dp-14, 0x1.94babfa8d6a21p-14, 0x1.848b30bd73413p-14, 0x1.74ea0cf9f21e1p-14, 0x1.65d2271faccfcp-14, 0x1.573e80fe5d60bp-14, 0x1.492a4a02ae2cdp-14, 0x1.3b90ddc2f0deep-14, 0x1.2e6dc29f1e745p-14, 0x1.21bca862b3323p-14, 0x1.157966f4b938ap-14, 0x1.099ffd0dcedafp-14, 0x1.fc591df2fa473p-15, 0x1.e636cab9fca36p-15, 0x1.d0d1d812c57c5p-15, 0x1.bc2361a849fb6p-15, 0x1.a824c4f1aba98p-15, 0x1.94cf9f03f89b6p-15, 0x1.821dca70f667ep-15, 0x1.70095d3c841a1p-15, 0x1.5e8ca6d81cd46p-15, 0x1.4da22e313e998p-15, 0x1.3d44afcbfd928p-15, 0x1.2d6f1befc4179p-15, 0x1.1e1c94d832014p-15, 0x1.0f486cfe0c2d7p-15, 0x1.00ee2564b763dp-15, 0x1.e612d7edee897p-16, 0x1.cb2c33e56c5a9p-16, 0x1.b12064b8c9b89p-16, 0x1.97e7c0fe65992p-16, 0x1.7f7aecf5aa6d5p-16, 0x1.67d2d7b37a8eap-16, 0x1.50e8b866fc239p-16, 0x1.3ab60bb29161ep-16, 0x1.2534911c1c4ep-16, 0x1.105e4889a1687p-16, 0x1.f85adfc4b18afp-17, 0x1.d1390157250f2p-17, 0x1.ab4c5b992601dp-17, 0x1.86747fcf20c86p-17, 0x1.62d469c198bd1p-17, 0x1.404c5acd8672bp-17, 0x1.1ed3595346e0ap-17, 0x1.fcc19372e7decp-18, 0x1.bdd8d542ad2e1p-18, 0x1.80dca2b385808p-18, 0x1.45bdccc3433d5p-18, 0x1.0c6dc430d0c49p-18, 0x1.a9bd258d4c5ep-19, 0x1.3e05aaa5683a6p-19, 0x1.ab36d5dc3457ep-20, 0x1.c1971feb05d2ap-21, 0x1.c9a4b229fa42ep-24, -0x1.43147ffe368b5p-21, -0x1.59cd7e82872dep-20, -0x1.062c8b6762b4fp-19, -0x1.5caa7e13625a6p-19, -0x1.b073c0c1b40a9p-19, -0x1.00cd5ae96f13dp-18, -0x1.2818809d29feep-18, -0x1.4e23c8907ad2ep-18, -0x1.72f752d7bac58p-18, -0x1.969aec76207d4p-18, -0x1.b9161331a7e5cp-18, -0x1.da6ff9214addap-18, -0x1.faaf881db9ad3p-18, -0x1.0cedb29e8ecb5p-17, -0x1.1bfcf9ea2dd2fp-17, -0x1.2a88ac54eef1ap-17, -0x1.3893be792d0fp-17, -0x1.4621088fb32a2p-17, -0x1.533347cfe983ep-17, -0x1.5fcd1fbfb75eep-17, -0x1.6bf11b74e3c41p-17, -0x1.77a1aed210bc8p-17, -0x1.82e137a567189p-17, -0x1.8db1fecbba7d4p-17, -0x1.98163942cfc08p-17, -0x1.a21009249e668p-17, -0x1.aba17eb249d23p-17, -0x1.b4cc9936824eep-17, -0x1.bd9347ef4603fp-17, -0x1.c5f76aedcc364p-17, -0x1.cdfad3d5c1368p-17, -0x1.d59f46bf15dcap-17, -0x1.dce67ae1c8485p-17, -0x1.e3d21b53ee485p-17, -0x1.ea63c7b47f04fp-17, -0x1.f09d14d1d3f33p-17, -0x1.f67f8d3ee8a66p-17, -0x1.fc0cb200bcd94p-17, -0x1.00a2fd8040efcp-16, -0x1.03166bce17279p-16, -0x1.0561579628889p-16, -0x1.078470b8b3b6ep-16, -0x1.0980638cba838p-16, -0x1.0b55d912e5ef7p-16, -0x1.0d05771f62938p-16, -0x1.0e8fe095a3e5p-16, -0x1.0ff5b5930f6bdp-16, -0x1.1137939ab7a06p-16, -0x1.125615b8e025fp-16, -0x1.1351d4b252ff1p-16, -0x1.142b671ea386ap-16, -0x1.14e3619657e25p-16, -0x1.157a56c47b905p-16, -0x1.15f0d78c113a2p-16, -0x1.164773227c96ap-16, -0x1.167eb728fff3bp-16, -0x1.16972fc4bbd72p-16, -0x1.169167b4fd8f5p-16, -0x1.166de867f532dp-16, -0x1.162d3a0ddd251p-16, -0x1.15cfe3a938881p-16, -0x1.15566b25fc227p-16, -0x1.14c1555bfb827p-16, -0x1.1411262815d2cp-16, -0x1.134660758a8ffp-16, -0x1.126186429d0aep-16, -0x1.116318b6e8bd1p-16, -0x1.104b9824128b4p-16, -0x1.0f1b841029895p-16, -0x1.0dd35b409440bp-16, -0x1.0c739bb8ff971p-16, -0x1.0afcc2c921b4p-16, -0x1.096f4d0dfe43p-16, -0x1.07cbb675eab6bp-16, -0x1.06127a45688ebp-16, -0x1.04441319f5ebp-16, -0x1.0260faebc5d1ap-16, -0x1.0069ab10b4c97p-16, -0x1.fcbd3870fb07dp-17, -0x1.f8808cf8bff9ap-17, -0x1.f41e429a8c49p-17, -0x1.ef9746f8301e9p-17, -0x1.eaec8670dca9bp-17, -0x1.e61eec1db7e84p-17, -0x1.e12f61e118687p-17, -0x1.dc1ed03c7f15cp-17, -0x1.d6ee1e7cb9da8p-17, -0x1.d19e328cc63bdp-17, -0x1.cc2ff106c3376p-17, -0x1.c6a43d30a4bfdp-17, -0x1.c0fbf8e26e24cp-17, -0x1.bb38049c9135dp-17, -0x1.b5593f6b4f721p-17, -0x1.af6086ee29cabp-17, -0x1.a94eb7491f60dp-17, -0x1.a324ab1b70975p-17, -0x1.9ce33b8d54475p-17, -0x1.968b402c98fe3p-17, -0x1.901d8ef233686p-17, -0x1.899afc3ed38ap-17, -0x1.83045acd02dd4p-17, -0x1.7c5a7bae9a5cfp-17, -0x1.759e2e3fd9f4ap-17, -0x1.6ed0402364f66p-17, -0x1.67f17d3afd936p-17, -0x1.6102af9b775aap-17, -0x1.5a049f8c07671p-17, -0x1.52f8137a67dd4p-17, -0x1.4bddcff49fe18p-17, -0x1.44b6979f1c2c8p-17, -0x1.3d832b3877a48p-17, -0x1.3644498228f5dp-17, -0x1.2efaaf45a0de9p-17, -0x1.27a7174945457p-17, -0x1.204a3a45bd29dp-17, -0x1.18e4ceeb0906bp-17, -0x1.117789d0f4c6ep-17, -0x1.0a031d72c0106p-17, -0x1.02883a24f3d5ep-17, -0x1.f60f1c546974dp-18, -0x1.e7038b00585c7p-18, -0x1.d7ef13fe0ec8p-18, -0x1.c8d30687c148ap-18, -0x1.b9b0ad6363fc9p-18, -0x1.aa894ed4be973p-18, -0x1.9b5e2c9f100afp-18, -0x1.8c3083e6a6961p-18, -0x1.7d018d3f89f64p-18, -0x1.6dd27c9392f03p-18, -0x1.5ea48143b4444p-18, -0x1.4f78c5de9f9b6p-18, -0x1.40507050cf2a6p-18, -0x1.312ca1c7f4231p-18, -0x1.220e76b9c67fbp-18, -0x1.12f706d539164p-18, -0x1.03e76504ffceep-18, -0x1.e9c13ed206029p-19, -0x1.cbc77ea837a5bp-19, -0x1.ade3928359ee5p-19, -0x1.901779e50797ap-19, }}, 
      {{-0x1.869d79d2df757p+1, -0x1.7f50428ce9d1p+1, -0x1.74c0287446c22p+1, -0x1.67ef6fe16a35dp+1, -0x1.59a8dd9899a74p+1, -0x1.4a8aaa641f014p+1, -0x1.3b0f6126a7a04p+1, -0x1.2b94a5783ff99p+1, -0x1.1c6121bc649aap+1, -0x1.0da9240155a58p+1, -0x1.ff250200291e9p+0, -0x1.e46dc9bfbd0b5p+0, -0x1.cb4f3b784e717p+0, -0x1.b3dbce22dd45fp+0, -0x1.9e1b65f621ecp+0, -0x1.8a0ce9c1b8644p+0, -0x1.77a84b4b3a1a2p+0, -0x1.66e09d1c15743p+0, -0x1.57a514030a39cp+0, -0x1.49e1ed669079dp+0, -0x1.3d81e3a7c2749p+0, -0x1.326ec065e52cbp+0, -0x1.28916e78de784p+0, -0x1.1fd29686a3aa4p+0, -0x1.181b54c7a1778p+0, -0x1.1155808b63b8ep+0, -0x1.0b6bd2fc100ap+0, -0x1.064913df3053cp+0, -0x1.01d9b522797c8p+0, -0x1.fc1602b1d6bf5p-1, -0x1.f596c3319b3e1p-1, -0x1.f014d31346b88p-1, -0x1.eb71a8def8488p-1, -0x1.e790f1182700fp-1, -0x1.e45874d9a7301p-1, -0x1.e1b00b61ce6abp-1, -0x1.df819382f5999p-1, -0x1.ddb8ea24bd77ap-1, -0x1.dc43d56a89b05p-1, -0x1.db11e3c36c68ep-1, -0x1.da1444dd2efc4p-1, -0x1.d93da4d68479fp-1, -0x1.d8820f548b734p-1, -0x1.d7d6da7d4b3e5p-1, -0x1.d732959a52561p-1, -0x1.d68cf6f1cd011p-1, -0x1.d5dec70d71b52p-1, -0x1.d521ca3477843p-1, -0x1.d450a9a33bdafp-1, -0x1.d366dd7d32778p-1, -0x1.d26097d67e17ep-1, -0x1.d13ab1244ffc5p-1, -0x1.cff296a316d48p-1, -0x1.ce863b43a977cp-1, -0x1.ccf42fb8d74adp-1, -0x1.cb3adf2225fc7p-1, -0x1.c959da6834372p-1, -0x1.c750c2f256877p-1, -0x1.c51f88348c7ecp-1, -0x1.c2c65e67983dp-1, -0x1.c045b6a764f55p-1, -0x1.bd9e380cddefbp-1, -0x1.bad0b933cab2fp-1, -0x1.b7de39c3a8a98p-1, -0x1.b4c7dbe6c7922p-1, -0x1.b18eddec29c77p-1, -0x1.ae34947763b33p-1, -0x1.aaba659289321p-1, -0x1.a721c4c160cf2p-1, -0x1.a36c2ff8c79cap-1, -0x1.9f9b2d33be956p-1, -0x1.9bb0485543424p-1, -0x1.97ad11176c8bap-1, -0x1.939318e895585p-1, -0x1.8f63f0b7e848p-1, -0x1.8b2126c8ce2aap-1, -0x1.86cc44ac4b5acp-1, -0x1.8266cd79f914dp-1, -0x1.7df23c55aa681p-1, -0x1.797003417c537p-1, -0x1.74e18a3337a17p-1, -0x1.70482e6172343p-1, -0x1.6ba541bfb3231p-1, -0x1.66fa0aa5ce58bp-1, -0x1.6247c3a282ea6p-1, -0x1.5d8f9b79e2bc3p-1, -0x1.58d2b54d194d1p-1, -0x1.541228e3ffe31p-1, -0x1.4f4f030bc88a8p-1, -0x1.4a8a45fad8693p-1, -0x1.45c4e9a9d53cep-1, -0x1.40ffdc1522452p-1, -0x1.3c3c015fb1909p-1, -0x1.377a33d6d02cbp-1, -0x1.32bb43dcf214ap-1, -0x1.2dfff7c6255p-1, -0x1.29490bb30db32p-1, -0x1.24973176ed00ap-1, -0x1.1feb1092b5c61p-1, -0x1.1b45464b40b63p-1, -0x1.16a665dc6bedep-1, -0x1.120ef8c6f7c75p-1, -0x1.0d7f7f341273ep-1, -0x1.08f87067d5727p-1, -0x1.047a3b3b9cb55p-1, -0x1.00054699bcbf5p-1, -0x1.f733e3eaded8cp-2, -0x1.ee712b76b8efp-2, -0x1.e5c307717dd2fp-2, -0x1.dd2a0ef0fae6dp-2, -0x1.d4a6d4c3cc3ep-2, -0x1.cc396ce8c4797p-2, -0x1.c3e2b7daa55e1p-2, -0x1.bba324377e217p-2, -0x1.b37b1617aaab5p-2, -0x1.ab6ae7666f633p-2, -0x1.a372e8404e6c7p-2, -0x1.9b935f57dcaap-2, -0x1.93cc8a60e5b85p-2, -0x1.8c1e9e80d2966p-2, -0x1.8489c8c2b602bp-2, -0x1.7d0e2e8cebb54p-2, -0x1.75abee1632c7p-2, -0x1.6e631ed83626bp-2, -0x1.6733d1fdda414p-2, -0x1.601e12cc1101cp-2, -0x1.5921e7046abb5p-2, -0x1.523f4f41064ddp-2, -0x1.4b764749e8725p-2, -0x1.44c6c663f1975p-2, -0x1.3e30bf99d30fcp-2, -0x1.37b421ff7902ap-2, -0x1.3150d8f04f22ep-2, -0x1.2b06cc48ccd27p-2, -0x1.24d5e09ba3495p-2, -0x1.1ebdf762df8eep-2, -0x1.18beef2d60258p-2, -0x1.12d8a3c8e8bcap-2, -0x1.0d0aee693c24fp-2, -0x1.0755a5cc9872p-2, -0x1.01b89e5e03ad8p-2, -0x1.f86754ab9ba5fp-3, -0x1.ed8d33b15fbeep-3, -0x1.e2e2762bcb456p-3, -0x1.d866b4c9302a5p-3, -0x1.ce1984c1a805p-3, -0x1.c3fa7810839fdp-3, -0x1.ba091dad796d7p-3, -0x1.b04501c59e561p-3, -0x1.a6adadf42d42cp-3, -0x1.9d42a97ae980bp-3, -0x1.94037979dca85p-3, -0x1.8aefa1262b6b4p-3, -0x1.8206a1ff9b40dp-3, -0x1.7947fc0476428p-3, -0x1.70b32de36b93fp-3, -0x1.6847b52b2a603p-3, -0x1.60050e7762f8bp-3, -0x1.57eab59b0e6d3p-3, -0x1.4ff825c7cdfdp-3, -0x1.482cd9b25d1b1p-3, -0x1.40884bb42093p-3, -0x1.3909f5e9dc7b8p-3, -0x1.31b1524fccc75p-3, -0x1.2a7ddadb3ad74p-3, -0x1.236f0991e2bcbp-3, -0x1.1c84589f48b8p-3, -0x1.15bd426865dd6p-3, -0x1.0f19419dbad32p-3, -0x1.0897d14c2cf17p-3, -0x1.02386cecbf59cp-3, -0x1.f7f520e6ceb73p-4, -0x1.ebbb70ba2ed64p-4, -0x1.dfc2c37a3ee5ep-4, -0x1.d40a1493e9f2dp-4, -0x1.c89060d2f22f8p-4, -0x1.bd54a67988599p-4, -0x1.b255e556ecd55p-4, -0x1.a7931edd4679bp-4, -0x1.9d0b56368a1b4p-4, -0x1.92bd90588fb01p-4, -0x1.88a8d41844835p-4, -0x1.7ecc2a3c03173p-4, -0x1.75269d8d07bc1p-4, -0x1.6bb73ae800fc4p-4, -0x1.627d114cbdf88p-4, -0x1.597731ecf56dep-4, -0x1.50a4b03a2a259p-4, -0x1.4804a1f2aa57ap-4, -0x1.3f961f2daddfep-4, -0x1.375842669560fp-4, -0x1.2f4a28874c452p-4, -0x1.276af0f1d55a8p-4, -0x1.1fb9bd8905355p-4, -0x1.1835b2b86adf2p-4, -0x1.10ddf77b77028p-4, -0x1.09b1b563db10fp-4, -0x1.02b0189f33352p-4, -0x1.f7b09ff7f0df3p-5, -0x1.ea5319db8d4a2p-5, -0x1.dd460721f774ep-5, -0x1.d087d55b6c25p-5, -0x1.c416f7747781cp-5, -0x1.b7f1e5b99bed5p-5, -0x1.ac171dd9e072bp-5, -0x1.a08522e85481p-5, -0x1.953a7d5c9652fp-5, -0x1.8a35bb1260efap-5, -0x1.7f756f483686ap-5, -0x1.74f8329d27817p-5, -0x1.6abca30dcd836p-5, -0x1.60c163f0783b6p-5, -0x1.57051df09d44ap-5, -0x1.4d867f0994975p-5, -0x1.44443a80a8912p-5, -0x1.3b3d08de87502p-5, -0x1.326fa7e8139c5p-5, -0x1.29dada96b2947p-5, -0x1.217d69100d525p-5, -0x1.1956209d4ef7ep-5, -0x1.1163d3a1f9e33p-5, -0x1.09a559924541bp-5, -0x1.021985cc06d9ep-5, -0x1.f57e9f17dadebp-6, -0x1.e72b2305db743p-6, -0x1.d9366dd03a493p-6, -0x1.cb9e5f9ac9dcap-6, -0x1.be60e22857a02p-6, -0x1.b17be8c36d966p-6, -0x1.a4ed70268e3dfp-6, -0x1.98b37e63f33b1p-6, -0x1.8ccc22ccde3abp-6, -0x1.813575d879f25p-6, -0x1.75ed990a65fafp-6, -0x1.6af2b6d8e5c89p-6, -0x1.60430292c456bp-6, -0x1.55dcb844f3927p-6, -0x1.4bbe1c9fec701p-6, -0x1.41e57cdcd6b4bp-6, -0x1.38512ea2873bap-6, -0x1.2eff8fea4e621p-6, -0x1.25ef06e4a1db2p-6, -0x1.1d1e01ddade2bp-6, -0x1.148af721d370dp-6, -0x1.0c3464e201d53p-6, -0x1.0418d1181a2cfp-6, -0x1.f86d92d6638aap-7, -0x1.e919c627cc2dp-7, -0x1.da3375814c5f7p-7, -0x1.cbb7e8f3fc804p-7, -0x1.bda4770ddf941p-7, -0x1.aff684a2b8448p-7, -0x1.a2ab8494e4e76p-7, -0x1.95c0f79e76a2dp-7, -0x1.89346c1a72c95p-7, -0x1.7d037dce413f9p-7, -0x1.712bd5b361408p-7, -0x1.65ab29c15aa58p-7, -0x1.5a7f3cb7f85dep-7, -0x1.4fa5dde9c50bcp-7, -0x1.451ce906eecap-7, -0x1.3ae245e86c1bdp-7, -0x1.30f3e85b87e0bp-7, -0x1.274fcfedccb4ep-7, -0x1.1df407b94f2c5p-7, -0x1.14dea63167a92p-7, -0x1.0c0dccefd0d22p-7, -0x1.037fa882343c8p-7, -0x1.f664e07066fc2p-8, -0x1.e648cbe3ba1d6p-8, -0x1.d6a7abdd30724p-8, -0x1.c77e2d3933b09p-8, -0x1.b8c910d17f12dp-8, -0x1.aa852b1dfe213p-8, -0x1.9caf63d6823e6p-8, -0x1.8f44b595afcc6p-8, -0x1.82422d7cd1901p-8, -0x1.75a4ead8b5cb8p-8, -0x1.696a1ec7ae638p-8, -0x1.5d8f0be0850f8p-8, -0x1.521105daab597p-8, -0x1.46ed7137516dap-8, -0x1.3c21c2eba78f1p-8, -0x1.31ab800c400f3p-8, -0x1.27883d796e994p-8, -0x1.1db59f8cd65bdp-8, -0x1.143159c806f9ap-8, -0x1.0af92e843fe67p-8, -0x1.020aeea33310bp-8, -0x1.f2c8f2820355ap-9, -0x1.e20776ce79843p-9, -0x1.d1cd5f8224e5dp-9, -0x1.c216bca103757p-9, -0x1.b2dfb84981a19p-9, -0x1.a42496235168cp-9, -0x1.95e1b2d08aed6p-9, -0x1.881383610b3fap-9, -0x1.7ab694c7d6404p-9, -0x1.6dc78b52ede48p-9, -0x1.6143222533547p-9, -0x1.55262ab27b8d5p-9, -0x1.496d8c3dad4d7p-9, -0x1.3e1643595fa45p-9, -0x1.331d616a5af4cp-9, -0x1.28800c2c570c8p-9, -0x1.1e3b7d38bf25cp-9, -0x1.144d018febd9bp-9, -0x1.0ab1f92426309p-9, -0x1.0167d666d9b3cp-9, -0x1.f0d83bb003cadp-10, -0x1.df78cb2f02f78p-10, -0x1.ceaca9f161016p-10, -0x1.be6f482f7fe28p-10, -0x1.aebc36e30b96cp-10, -0x1.9f8f26f9b73cp-10, -0x1.90e3e88c9aa48p-10, -0x1.82b66a1b408a7p-10, -0x1.7502b7cacf3bp-10, -0x1.67c4faa8c01b5p-10, -0x1.5af977f1e20e3p-10, -0x1.4e9c905caa876p-10, -0x1.42aabf67a3566p-10, -0x1.37209aab80102p-10, -0x1.2bfad130978a9p-10, -0x1.21362ac840a46p-10, -0x1.16cf8769c4a79p-10, -0x1.0cc3de9278f1dp-10, -0x1.03103ea9cc756p-10, -0x1.f36398d0965d6p-11, -0x1.e14b8484b1858p-11, -0x1.cfd2dfab9cfd5p-11, -0x1.bef472b71652p-11, -0x1.aeab2e36a531ap-11, -0x1.9ef229c7324e2p-11, -0x1.8fc4a30802d43p-11, -0x1.811dfc9586594p-11, -0x1.72f9bd0b61cb6p-11, -0x1.65538e0ad3717p-11, -0x1.58273b47fe5b9p-11, -0x1.4b70b19c17ccep-11, -0x1.3f2bfe1dd4c61p-11, -0x1.33554d3e81b13p-11, -0x1.27e8e9ed6009ap-11, -0x1.1ce33cbf7c60cp-11, -0x1.1240cb1d2e525p-11, -0x1.07fe36741723bp-11, -0x1.fc3076dd4df0dp-12, -0x1.e91762604fcc1p-12, -0x1.d6ab112af68a7p-12, -0x1.c4e596f5c37afp-12, -0x1.b3c1380b1b3c8p-12, -0x1.a33867e505a8p-12, -0x1.9345c7d2cca39p-12, -0x1.83e425a6d54b7p-12, -0x1.750e7a6d9bd2dp-12, -0x1.66bfe92c272bbp-12, -0x1.58f3bda75b662p-12, -0x1.4ba56b32087cep-12, -0x1.3ed08b835f9ap-12, -0x1.3270dd94d3fa1p-12, -0x1.26824487148f8p-12, -0x1.1b00c68ea25b7p-12, -0x1.0fe88be7057aap-12, -0x1.0535ddccbc5fap-12, -0x1.f5ca4afcff675p-13, -0x1.e1e5d689f52b9p-13, -0x1.ceb7ab004635fp-13, -0x1.bc394f77da9ep-13, -0x1.aa64839645bb5p-13, -0x1.99333dcec012fp-13, -0x1.889fa9af3d59ep-13, -0x1.78a426393c915p-13, -0x1.693b4445895fap-13, -0x1.5a5fc4f26ec01p-13, -0x1.4c0c981e7f91ep-13, -0x1.3e3cdaeccd15fp-13, -0x1.30ebd652e7399p-13, -0x1.2414fdb2768ep-13, -0x1.17b3ed7c74d11p-13, -0x1.0bc469dd41796p-13, -0x1.00425d71b3995p-13, -0x1.ea53b012c21eep-14, -0x1.d4ee1ad8fc807p-14, -0x1.c04ca85e81268p-14, -0x1.ac6849148abbap-14, -0x1.993a2e7c3a0b7p-14, -0x1.86bbc8fca2248p-14, -0x1.74e6c5c779748p-14, -0x1.63b50cd05a021p-14, -0x1.5320bed0271e4p-14, -0x1.4324335a0cd87p-14, -0x1.33b9f6ff8eb59p-14, -0x1.24dcc97f61a16p-14, -0x1.16879c059b5cdp-14, -0x1.08b58f786b5e3p-14, -0x1.f6c3e5a5d682dp-15, -0x1.dd10831340bp-15, -0x1.c44843ffe280ap-15, -0x1.ac62c80c8851dp-15, -0x1.9557fecdc43d1p-15, -0x1.7f2024f7607adp-15, -0x1.69b3c1a3cf89cp-15, -0x1.550ba3abc9d89p-15, -0x1.4120df1913314p-15, -0x1.2deccaaab18d4p-15, -0x1.1b68fd6b5279p-15, -0x1.098f4c5f479d4p-15, -0x1.f0b39092ba8ddp-16, -0x1.cf8576ea9ace6p-16, -0x1.af894f402b4d8p-16, -0x1.90b487dbce972p-16, -0x1.72fcf5de74c1bp-16, -0x1.5658d17761f21p-16, -0x1.3abeb222e9bffp-16, -0x1.20258b2dd8a6dp-16, -0x1.0684a8386dc74p-16, -0x1.dba753b7d06b8p-17, -0x1.ac1504ea7656ap-17, -0x1.7e42e617034cfp-17, -0x1.5222108a4f8dap-17, -0x1.27a42f0819108p-17, -0x1.fd76f060f491bp-18, -0x1.aeb552091b6eep-18, -0x1.62e9ff900f08dp-18, -0x1.19fc6d8797debp-18, -0x1.a7a9fe3bec579p-19, -0x1.20b9f916864p-19, -0x1.3dfa280a3b1f8p-20, -0x1.1249ee8d5b86dp-22, 0x1.5628145201e8cp-21, 0x1.9147564482dc4p-20, 0x1.37293542fc4dap-19, 0x1.a13ebe0e33528p-19, 0x1.03838416e2c0ep-18, 0x1.3451c65df9c7dp-18, 0x1.631a4454f080fp-18, 0x1.8fec84c68437ap-18, 0x1.bad77d4ccd7e7p-18, 0x1.e3e998366954ep-18, 0x1.05985d2f8f74bp-17, 0x1.185d2462bdc59p-17, 0x1.2a4996f7c7431p-17, 0x1.3b63ef87fa56cp-17, 0x1.4bb2307dcb607p-17, 0x1.5b3a267bd1554p-17, 0x1.6a016a9d8dfd6p-17, 0x1.781d4c11cf125p-17, 0x1.8572aae0ad9c8p-17, 0x1.9216fc99c880ep-17, 0x1.9e0f224a00ec2p-17, 0x1.a95fd3a53bf46p-17, 0x1.b40da0db9eee5p-17, 0x1.be1cf448d612ap-17, 0x1.c792140b3d3e3p-17, 0x1.d07123ad88523p-17, 0x1.d8be259c870aep-17, 0x1.e07cfc9221079p-17, 0x1.e7b16cfe07468p-17, 0x1.ee5f1e49a8ab7p-17, 0x1.f4899c3a4a73ep-17, 0x1.fa3457fb2c1c4p-17, 0x1.ff62a962e430ap-17, 0x1.020be8015a77fp-16, 0x1.042b7a1c052b1p-16, 0x1.061194127d70bp-16, 0x1.07bfb458fe4f4p-16, 0x1.09374f352691cp-16, 0x1.0a79cf3aeebfep-16, 0x1.0b8895a712bcbp-16, 0x1.0c64fac9710f9p-16, 0x1.0d104e6cebbf3p-16, 0x1.0d8bd82ee6b38p-16, 0x1.0dd8d7d7f4036p-16, 0x1.0df885af392e1p-16, 0x1.0dec12c597345p-16, 0x1.0db4a94c1fce2p-16, 0x1.0d536cd441d43p-16, 0x1.0cc97a96a5bf8p-16, 0x1.0c17e9b2a2537p-16, 0x1.0b3fcb6ee94a3p-16, 0x1.0a422b708538ep-16, 0x1.09200ffa59c18p-16, 0x1.07da7a17d76e1p-16, 0x1.067265d4dbd7dp-16, 0x1.04e8ca6c4c3aep-16, 0x1.033e9a76a02f2p-16, 0x1.0174c40fd4766p-16, 0x1.ff18620a7799bp-17, 0x1.fb0b8df01f2acp-17, 0x1.f6c4cf097bf17p-17, 0x1.f245e0bb4d4bcp-17, 0x1.ed9076e85dcf8p-17, 0x1.e8a63e25453ddp-17, 0x1.e388dbf585a83p-17, 0x1.de39eeedd6efdp-17, 0x1.d8bb0f0876e74p-17, 0x1.d30dcdbbcac0ap-17, 0x1.cd33b62dcd6adp-17, 0x1.c72e4d62fb917p-17, 0x1.c0ff125ba974fp-17, 0x1.baa77e40fad6p-17, 0x1.b42904810b9a1p-17, 0x1.ad8512fe8a2c9p-17, 0x1.a6bd121c4d631p-17, 0x1.9fd264db9c71dp-17, 0x1.98c669055e637p-17, 0x1.919a7736136d8p-17, 0x1.8a4fe2fb7b7c4p-17, 0x1.82e7fae276a37p-17, 0x1.7b640893fbd82p-17, 0x1.73c550def8b86p-17, 0x1.6c0d13e1d0468p-17, 0x1.643c8ceb9fa94p-17, 0x1.5c54f2b89a33ep-17, 0x1.5457776b2f844p-17, 0x1.4c45489cf6bfdp-17, 0x1.441f8f6ae72c3p-17, 0x1.3be77080c1417p-17, 0x1.339e0c23ac3e8p-17, 0x1.2b447e3c1e71bp-17, 0x1.22dbde60cff94p-17, 0x1.1a653fd905e38p-17, 0x1.11e1b1ad2a69p-17, 0x1.09523ea9179ddp-17, 0x1.00b7ed6ab9b82p-17, 0x1.f02780adfe657p-18, 0x1.decd6b63d24cbp-18, 0x1.cd638f418baep-18, 0x1.bbebd852861cep-18, 0x1.aa682a91210c5p-18, 0x1.98da61a56c1acp-18, 0x1.87445147824dp-18, 0x1.75a7c515401f2p-18, 0x1.640680af05359p-18, 0x1.52623fb16c9ddp-18, 0x1.40bcb5cd163f6p-18, 0x1.2f178ec667bcbp-18, 0x1.1d746e884c0fdp-18, 0x1.0bd4f116858a8p-18, 0x1.f4755579f9678p-19, 0x1.d14e4fe91a6b2p-19, 0x1.ae37daeac00a1p-19, 0x1.8b34f08de13ap-19, 0x1.68487b79ca2aap-19, 0x1.45755734a14adp-19, 0x1.22be4ff1dbfecp-19, 0x1.002622c95402p-19, 0x1.bb5efb83361adp-20, 0x1.76b9ffc63698cp-20, 0x1.326272bec40dbp-20, 0x1.dcbaadc4f08dcp-21, 0x1.555f22f014933p-21, 0x1.9d77a8008c863p-22, 0x1.2368592e23dbdp-23, -0x1.e1e7d61dc726fp-24, -0x1.8100fd445f2eep-22, -0x1.43e7cc5659a85p-21, -0x1.c66a74de6999cp-21, -0x1.24002112dcc79p-20, -0x1.64509ad6dc7bep-20, -0x1.a422c488e6a9dp-20, -0x1.e372d69c8bcfcp-20, -0x1.111e928f14315p-19, -0x1.303f0fb28c0b2p-19, -0x1.4f1927f6ae5e9p-19, -0x1.6dab2dfee9aa5p-19, -0x1.8bf381d2d858bp-19, -0x1.a9f090b058716p-19, -0x1.c7a0d4f33817dp-19, -0x1.e502d5f5ba9f7p-19, -0x1.010a93fde87bap-18, -0x1.0f6b3603d3239p-18, -0x1.1da2a7e3dd1cap-18, -0x1.2bb046b20036bp-18, -0x1.399375bec6ba7p-18, -0x1.474b9e79be85p-18, -0x1.54d830671b4aep-18, -0x1.6238a109fce67p-18, -0x1.6f6c6bee22293p-18, -0x1.7c731259cd73bp-18, -0x1.894c1b87d0b6fp-18, -0x1.95f7145c4c22cp-18, -0x1.a2738f77e5607p-18, -0x1.aec12513eb6f3p-18, -0x1.badf72f795773p-18, -0x1.c6ce1c6078773p-18, -0x1.d28cc9f1d519fp-18, -0x1.de1b29ae3a0e1p-18, -0x1.e978eed360682p-18, -0x1.f4a5d1c9c41e2p-18, -0x1.ffa1903c3a74cp-18, -0x1.0535f65ecf36cp-17, -0x1.0a8257740ea55p-17, -0x1.0fb5d19f5a7a9p-17, -0x1.14d04d8bab46ep-17, -0x1.19d1b6453d6fep-17, -0x1.1eb9f9325e197p-17, -0x1.23890605143efp-17, -0x1.283eceb95970dp-17, -0x1.2cdb4779d8592p-17, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.eb96761be624bp-1, 0x1.eacb4d3d189fdp-1, 0x1.e9799b06f5189p-1, 0x1.e7a2b4d0abca1p-1, 0x1.e5486e70289e7p-1, 0x1.e26d11c21a09cp-1, 0x1.df13552a7f3c3p-1, 0x1.db3e517cb6a09p-1, 0x1.d6f177a2afc06p-1, 0x1.d230864715cc1p-1, 0x1.ccff7fb5ba827p-1, 0x1.c762a017e9c35p-1, 0x1.c15e542736b8bp-1, 0x1.baf730686ae6dp-1, 0x1.b431e8f939beep-1, 0x1.ad1349f5e28a1p-1, 0x1.a5a03077bab3ap-1, 0x1.9ddd842a7ff8ep-1, 0x1.95d031740c26bp-1, 0x1.8d7d242871a26p-1, 0x1.84e942c379105p-1, 0x1.7c196a1fe2a7ap-1, 0x1.731269a472831p-1, 0x1.69d8ffdec8a36p-1, 0x1.6071d7841e32fp-1, 0x1.56e184d039036p-1, 0x1.4d2c833b3e34ep-1, 0x1.4357337f62f12p-1, 0x1.3965d9e7e96b1p-1, 0x1.2f5c9ce335561p-1, 0x1.253f83d2395a4p-1, 0x1.1b12760fd9a0ep-1, 0x1.10d93a2b4b1f3p-1, 0x1.06977550cd075p-1, 0x1.f8a155b8f7b66p-2, 0x1.e41078268c5ddp-2, 0x1.cf82cffcbdde5p-2, 0x1.bafe96cba1653p-2, 0x1.a689c1ce273bfp-2, 0x1.922a02499168ap-2, 0x1.7de4c619ee812p-2, 0x1.69bf3866afbcp-2, 0x1.55be427ae4835p-2, 0x1.41e68cbcef3fbp-2, 0x1.2e3c7fc1e2fe5p-2, 0x1.1ac445790e762p-2, 0x1.0781ca6c6b13p-2, 0x1.e8f17e260d1e6p-3, 0x1.c35932654529dp-3, 0x1.9e412a9c24cedp-3, 0x1.79af703c0d344p-3, 0x1.55a9a02467fb3p-3, 0x1.3234edb1deaabp-3, 0x1.0f5625d6f999dp-3, 0x1.da236476013bp-4, 0x1.96d738b8961fap-4, 0x1.54cf2166c74bfp-4, 0x1.1411c3a9546dcp-4, 0x1.a94a2e398e05cp-5, 0x1.2d1cd80553adcp-5, 0x1.6749c5921afc3p-6, 0x1.e753b25b6ec69p-8, -0x1.b85b7fe943acdp-8, -0x1.506de2355f38ep-6, -0x1.169340f7a5796p-5, -0x1.821c9af2b6cdbp-5, -0x1.ead036a8e6467p-5, -0x1.28561e7c50443p-4, -0x1.59d7de9fec4bdp-4, -0x1.89ed516b6be2dp-4, -0x1.b896d56490807p-4, -0x1.e5d52ce6b1899p-4, -0x1.08d4bc9f58afcp-3, -0x1.1e0a9af38979bp-3, -0x1.328d19f237b16p-3, -0x1.465d4aa124a88p-3, -0x1.597c645819cfep-3, -0x1.6bebc29f97ae8p-3, -0x1.7dace31f81ac1p-3, -0x1.8ec1639dae0bbp-3, -0x1.9f2b000c2b7aep-3, -0x1.aeeb90a70cb25p-3, -0x1.be05082191b48p-3, -0x1.cc7971e2692bcp-3, -0x1.da4af04ed601fp-3, -0x1.e77bbb2479ddap-3, -0x1.f40e1de1844e6p-3, -0x1.00023b1d7e62p-2, -0x1.05b0995074e03p-2, -0x1.0b13686805aefp-2, -0x1.102bee3870f6bp-2, -0x1.14fb76e1dc451p-2, -0x1.1983542cb46eep-2, -0x1.1dc4dcec4b803p-2, -0x1.21c16c67880f4p-2, -0x1.257a61c789ce5p-2, -0x1.28f11f8c160e3p-2, -0x1.2c270b05b0ee1p-2, -0x1.2f1d8bd5396f5p-2, -0x1.31d60b70ea86cp-2, -0x1.3451f4ae99948p-2, -0x1.3692b353130a4p-2, -0x1.3899b3a6704cbp-2, -0x1.3a68620d4cdefp-2, -0x1.3c002aa6adfa8p-2, -0x1.3d6278ee87783p-2, -0x1.3e90b764b755ap-2, -0x1.3f8c4f385b418p-2, -0x1.4056a7f75ec12p-2, -0x1.40f127422a2fep-2, -0x1.415d308348d06p-2, -0x1.419c24aaf5a99p-2, -0x1.41af61ee695cap-2, -0x1.4198438ad0537p-2, -0x1.4158218bccb03p-2, -0x1.40f050956a0cdp-2, -0x1.406221b1635dep-2, -0x1.3faee21fa8f24p-2, -0x1.3ed7db2a02ef7p-2, -0x1.3dde51fac1c66p-2, -0x1.3cc38776565e6p-2, -0x1.3b88b817c7d7fp-2, -0x1.3a2f1bcfe428fp-2, -0x1.38b7e5e718a99p-2, -0x1.372444e1dad07p-2, -0x1.3575626789d1p-2, -0x1.33ac632bb4de8p-2, -0x1.31ca66d9ac93dp-2, -0x1.2fd088024de65p-2, -0x1.2dbfdc0beee57p-2, -0x1.2b9973245c1f7p-2, -0x1.295e5834cd28cp-2, -0x1.270f90d7c3152p-2, -0x1.24ae1d50b8403p-2, -0x1.223af88591215p-2, -0x1.1fb717f9bc91ap-2, -0x1.1d236bcaedf81p-2, -0x1.1a80deaf62d7dp-2, -0x1.17d055f5a229cp-2, -0x1.1512b185a3077p-2, -0x1.1248cbe34a631p-2, -0x1.0f737a32337ap-2, -0x1.0c938c3aac963p-2, -0x1.09a9cc6fde6efp-2, -0x1.06b6fff70d74cp-2, -0x1.03bbe6afe4c15p-2, -0x1.00b93b3dc08dcp-2, -0x1.fb5f6623cc508p-3, -0x1.f53ffced386c5p-3, -0x1.ef1591363873p-3, -0x1.e8e16f408eb93p-3, -0x1.e2a4d94c335a4p-3, -0x1.dc6107b399a5p-3, -0x1.d61729093afd6p-3, -0x1.cfc86236567c1p-3, -0x1.c975ce9aca078p-3, -0x1.c320802df6d44p-3, -0x1.bcc97fa08efd4p-3, -0x1.b671cc7f4a732p-3, -0x1.b01a5d5665592p-3, -0x1.a9c41fd5d010ep-3, -0x1.a36ff8f611d58p-3, -0x1.9d1ec51db7322p-3, -0x1.96d1584747ee9p-3, -0x1.90887e27b820bp-3, -0x1.8a44fa5533d7fp-3, -0x1.8407886e4e2d8p-3, -0x1.7dd0dc416de79p-3, -0x1.77a1a1f47b33cp-3, -0x1.717a7e2cbdc26p-3, -0x1.6b5c0e36d382ep-3, -0x1.6546e82ec386p-3, -0x1.5f3b9b281d303p-3, -0x1.593aaf560ea0cp-3, -0x1.5344a633740efp-3, -0x1.4d59faaad5901p-3, -0x1.477b213e3e293p-3, -0x1.41a8882eefb1dp-3, -0x1.3be297a4e8181p-3, -0x1.3629b1d628313p-3, -0x1.307e332dc23e1p-3, -0x1.2ae072729be9cp-3, -0x1.2550c0ede11d6p-3, -0x1.1fcf6a9125e74p-3, -0x1.1a5cb61c2eaaap-3, -0x1.14f8e5425082bp-3, -0x1.0fa434cf762c8p-3, -0x1.0a5edcccb5399p-3, -0x1.052910a470091p-3, -0x1.0002ff460f13ap-3, -0x1.f5d9a6926e50ap-4, -0x1.ebcd66211e23p-4, -0x1.e1e181d7ff0eap-4, -0x1.d8163674e72cdp-4, -0x1.ce6bb916367c7p-4, -0x1.c4e2377c36546p-4, -0x1.bb79d8497d443p-4, -0x1.b232bb4237b9p-4, -0x1.a90cf98a501fbp-4, -0x1.a008a5e27d8cbp-4, -0x1.9725cce4426afp-4, -0x1.8e64753cb044p-4, -0x1.85c49fe61ff47p-4, -0x1.7d464860b92ddp-4, -0x1.74e964e9d9762p-4, -0x1.6cade6b254a81p-4, -0x1.6493ba138ec8fp-4, -0x1.5c9ac6c372034p-4, -0x1.54c2f0073c34p-4, -0x1.4d0c14e5297e1p-4, -0x1.45761054fa22p-4, -0x1.3e00b96f54d54p-4, -0x1.36abe39c083bbp-4, -0x1.2f775ebf2bb2p-4, -0x1.2862f7652291bp-4, -0x1.216e76ed82feap-4, -0x1.1a99a3b4e2596p-4, -0x1.13e4413d8be9dp-4, -0x1.0d4e105720b3dp-4, -0x1.06d6cf45269ep-4, -0x1.007e39e48825fp-4, -0x1.f48813a00f991p-5, -0x1.e84fed07557e7p-5, -0x1.dc536afe3c2b2p-5, -0x1.d091f4ce339c6p-5, -0x1.c50aee4b8a79p-5, -0x1.b9bdb814407e3p-5, -0x1.aea9afcceaeeep-5, -0x1.a3ce305bb15bfp-5, -0x1.992a92216b35ap-5, -0x1.8ebe2b30e6996p-5, -0x1.84884f845dfbep-5, -0x1.7a88513126e44p-5, -0x1.70bd8099a176p-5, -0x1.67272c9d702c7p-5, -0x1.5dc4a2c800948p-5, -0x1.54952f7d6c676p-5, -0x1.4b981e25bce0ap-5, -0x1.42ccb95697b37p-5, -0x1.3a324afb5ca7fp-5, -0x1.31c81c7bbf7cep-5, -0x1.298d76e0e409ep-5, -0x1.2181a2f902421p-5, -0x1.19a3e979a3afcp-5, -0x1.11f3932075218p-5, -0x1.0a6fe8d2c1ff5p-5, -0x1.031833bb99475p-5, -0x1.f7d77ad14895bp-6, -0x1.e9d39fcb7c96ap-6, -0x1.dc236bae9888ep-6, -0x1.cec57526c5369p-6, -0x1.c1b854737b3fep-6, -0x1.b4faa3952f93ap-6, -0x1.a88afe78c049bp-6, -0x1.9c680320beba1p-6, -0x1.909051cc9a546p-6, -0x1.85028d1dbe84p-6, -0x1.79bd5a3aba25dp-6, -0x1.6ebf60f06f263p-6, -0x1.64074bd1688a9p-6, -0x1.5993c85359b6bp-6, -0x1.4f6386eaded9fp-6, -0x1.45753b257fee3p-6, -0x1.3bc79bc20f9c4p-6, -0x1.325962c76a3f5p-6, -0x1.29294d99a8bb8p-6, -0x1.20361d0dcee4ap-6, -0x1.177e957c070d5p-6, -0x1.0f017ed0705f5p-6, -0x1.06bda49a9194cp-6, -0x1.fd63ac36f540dp-7, -0x1.edb9cca5410e1p-7, -0x1.de7b5812f920dp-7, -0x1.cfa603bc0235bp-7, -0x1.c1378c97c3eb2p-7, -0x1.b32db76995fdbp-7, -0x1.a58650cf073cp-7, -0x1.983f2d4c161efp-7, -0x1.8b56295581059p-7, -0x1.7ec9295922d39p-7, -0x1.729619c48bca9p-7, -0x1.66baef09dad83p-7, -0x1.5b35a5a2e6d38p-7, -0x1.50044212d5389p-7, -0x1.4524d0e62ae76p-7, -0x1.3a9566b157e42p-7, -0x1.3054200dee393p-7, -0x1.265f219676e49p-7, -0x1.1cb497e103c7cp-7, -0x1.1352b77888df1p-7, -0x1.0a37bcd50c60cp-7, -0x1.0161ec52bc418p-7, -0x1.f19f244fed8dcp-8, -0x1.e0fe04b4a7092p-8, -0x1.d0dd316574498p-8, -0x1.c139716127da3p-8, -0x1.b20f9af848c74p-8, -0x1.a35c93b027d2bp-8, -0x1.951d502475033p-8, -0x1.874ed3e7654fep-8, -0x1.79ee316084d5ep-8, -0x1.6cf889aa4634dp-8, -0x1.606b0c6e65dd1p-8, -0x1.5442f7c134bdp-8, -0x1.487d97fbdc087p-8, -0x1.3d184795afc69p-8, -0x1.32106efc9e819p-8, -0x1.2763846cd25cp-8, -0x1.1d0f0bc7919e8p-8, -0x1.13109669719a9p-8, -0x1.0965c2ffe963dp-8, -0x1.000c3d5e54b45p-8, -0x1.ee037ca4e59b8p-9, -0x1.dc8816f0e866fp-9, -0x1.cba1ee1d3dadbp-9, -0x1.bb4cbf913573dp-9, -0x1.ab846144ddd2cp-9, -0x1.9c44c1667d24p-9, -0x1.8d89e5ff9cb45p-9, -0x1.7f4fec99c0265p-9, -0x1.719309e2d826ap-9, -0x1.644f89518a57dp-9, -0x1.5781ccc95c87dp-9, -0x1.4b264c3eda44cp-9, -0x1.3f39955bc132fp-9, -0x1.33b84b234e093p-9, -0x1.289f2596abe5p-9, -0x1.1deaf159a57b6p-9, -0x1.13988f5799d7cp-9, -0x1.09a4f468c97d6p-9, -0x1.000d28f8060c6p-9, -0x1.ed9c9151aa9cep-10, -0x1.dbcb03fc16188p-10, -0x1.caa02c01e05ebp-10, -0x1.ba16afd1eb019p-10, -0x1.aa29598813526p-10, -0x1.9ad3163f1e22fp-10, -0x1.8c0ef56402cf1p-10, -0x1.7dd8280aac127p-10, -0x1.702a00442c6a4p-10, -0x1.62fff0768469ap-10, -0x1.56558ab60642p-10, -0x1.4a26802057a0cp-10, -0x1.3e6ea0393047ap-10, -0x1.3329d848d5601p-10, -0x1.285432bc596b5p-10, -0x1.1de9d687b2d2bp-10, -0x1.13e70689ac793p-10, -0x1.0a4820f1bb8fbp-10, -0x1.01099ea7bcb41p-10, -0x1.f050256b45a48p-11, -0x1.df405366427b7p-11, -0x1.cedd526699af7p-11, -0x1.bf20de68826bbp-11, -0x1.b004e321943e2p-11, -0x1.a1837ae82b12cp-11, -0x1.9396ed9ee27f8p-11, -0x1.8639afa42c6dp-11, -0x1.796660c6084b7p-11, -0x1.6d17cb39db7efp-11, -0x1.6148e2986ed92p-11, -0x1.55f4c2de12b18p-11, -0x1.4b16af6ee63ep-11, -0x1.40aa121f45c46p-11, -0x1.36aa7a405c7dep-11, -0x1.2d139bb0d77a8p-11, -0x1.23e14df1b7415p-11, -0x1.1b0f8b3f3d7bep-11, -0x1.129a6fadf1b84p-11, -0x1.0a7e384bb79fp-11, -0x1.02b74244f50c1p-11, -0x1.f684141b79ff1p-12, -0x1.e836551dfac21p-12, -0x1.da7eb8af4d99fp-12, -0x1.cd56e9a38ee11p-12, -0x1.c0b8caf723f32p-12, -0x1.b49e76488ebdcp-12, -0x1.a9023a59f90bcp-12, -0x1.9dde999a62d37p-12, -0x1.932e48b6626b3p-12, -0x1.88ec2d30666d9p-12, -0x1.7f135c0061e22p-12, -0x1.759f183aced92p-12, -0x1.6c8ad1bef9124p-12, -0x1.63d223ec7199cp-12, -0x1.5b70d45f9e4d9p-12, -0x1.5362d1b54e51dp-12, -0x1.4ba4325537894p-12, -0x1.4431334350014p-12, -0x1.3d0636f7e18bbp-12, -0x1.361fc43e4cb64p-12, -0x1.2f7a851a58e64p-12, -0x1.291345b401d51p-12, -0x1.22e6f349a6f43p-12, -0x1.1cf29b28854e9p-12, -0x1.173369ab68889p-12, -0x1.11a6a93f71389p-12, -0x1.0c49c16ee5c88p-12, -0x1.071a35f1e8f31p-12, -0x1.0215a5c507728p-12, -0x1.fa73948b0103dp-13, -0x1.f108eca65b71ap-13, -0x1.e7e72aeffa608p-13, -0x1.df0a5629af555p-13, -0x1.d66ea327cc441p-13, -0x1.ce10734032ec2p-13, -0x1.c5ec52c3b7d2p-13, -0x1.bdfef781b5b4ep-13, -0x1.b6453f558b3ecp-13, -0x1.aebc2ebdf0eb8p-13, -0x1.a760ef7dde31ap-13, -0x1.a030cf46df4c7p-13, -0x1.99293e6cabeafp-13, -0x1.9247cea1c8b8dp-13, -0x1.8b8a31bd0ed27p-13, -0x1.84ee3887eb355p-13, -0x1.7e71d1952588ap-13, -0x1.78130820021b9p-13, -0x1.71d002f39bf88p-13, -0x1.6ba7035a41022p-13, -0x1.65966414a6abap-13, -0x1.5f9c9858d8abcp-13, -0x1.59b82ad8a71f7p-13, -0x1.53e7bccf76619p-13, -0x1.4e2a05173ff63p-13, -0x1.487dcf44a6cd5p-13, -0x1.42e1fac9eaa26p-13, -0x1.3d557a209921ep-13, -0x1.37d751f9d535cp-13, -0x1.3266987513239p-13, -0x1.2d02745d170bfp-13, -0x1.27aa1c6b1d7a7p-13, -0x1.225cd69001e1bp-13, -0x1.1d19f7434297fp-13, -0x1.17e0e0d7bb987p-13, -0x1.12b102d5f4028p-13, -0x1.0d89d95be6eabp-13, -0x1.086aec820dd8ep-13, -0x1.0353cfc5a9597p-13, -0x1.fc8842f01a28dp-14, -0x1.f2771465bacffp-14, -0x1.e87378a236cap-14, -0x1.de7ce6d9bf4ecp-14, -0x1.d492e7c33c6a9p-14, -0x1.cab514a5c9f95p-14, -0x1.c0e3166ed5311p-14, -0x1.b71ca4d09f4bbp-14, -0x1.ad61856903142p-14, -0x1.a3b18af02177ep-14, -0x1.9a0c946ef3ac1p-14, -0x1.90728c7d435b2p-14, -0x1.86e368871e4afp-14, -0x1.7d5f28195e14dp-14, -0x1.73e5d43527781p-14, -0x1.6a777eaa2a28p-14, -0x1.61144177712a7p-14, -0x1.57bc3e32920dap-14, -0x1.4e6f9d750d62ep-14, -0x1.452e8e4fb3747p-14, -0x1.3bf945c3dd1ccp-14, -0x1.32cffe424fadcp-14, -0x1.29b2f72fa020ap-14, -0x1.20a2746dea529p-14, -0x1.179ebdebb369bp-14, -0x1.0ea81f37d01d6p-14, -0x1.05bee71a25fc2p-14, -0x1.f9c6ce6244cc4p-15, -0x1.e82be72781018p-15, -0x1.d6adc4eff3dafp-15, -0x1.c54d17bafb654p-15, -0x1.b40a92791804fp-15, -0x1.a2e6ea71a102bp-15, -0x1.91e2d6b0400b7p-15, -0x1.80ff0f79e293ap-15, -0x1.703c4dc8efc0ep-15, -0x1.5f9b4ad07acc5p-15, -0x1.4f1cbf863a049p-15, -0x1.3ec16433058c9p-15, -0x1.2e89f009a31c2p-15, -0x1.1e7718c3a9cdp-15, -0x1.0e89924444ab1p-15, -0x1.fd841c81385c1p-16, -0x1.de4277db72735p-16, -0x1.bf4f8f674ff99p-16, -0x1.a0acb5cb5d77fp-16, -0x1.825b36fec5b18p-16, -0x1.645c57cce6bdp-16, -0x1.46b15561ef735p-16, -0x1.295b64e02bd7cp-16, -0x1.0c5bb2fdb136bp-16, -0x1.df66c754189d5p-17, -0x1.a6c723775b8d7p-17, -0x1.6eda9d496305bp-17, -0x1.37a3445d990ap-17, -0x1.0123147c01e33p-17, -0x1.96b7ea676fe84p-18, -0x1.2c9f72f3cfd83p-18, -0x1.88007d530630fp-19, -0x1.73767c8ee4c05p-20, 0x1.18a89e1c8da8bp-23, 0x1.b395c8fa81433p-20, 0x1.9f00323660cadp-19, 0x1.309295c92300ep-18, 0x1.901a70a72642ap-18, 0x1.ee155e4e05ab2p-18, 0x1.25409fcf1a543p-17, 0x1.52ae10ded9f0cp-17, 0x1.7f521f038ca5dp-17, 0x1.ab2bfcf545fefp-17, 0x1.d63af360a1834p-17, 0x1.003f306524082p-16, 0x1.14fadcb62cb52p-16, 0x1.29504387274b3p-16, 0x1.3d3f346bb777bp-16, 0x1.50c7898e2710dp-16, 0x1.63e92793c4e96p-16, 0x1.76a3fd7f0f6e3p-16, 0x1.88f8048fc9518p-16, 0x1.9ae540211c4bp-16, 0x1.ac6bbd85eead1p-16, 0x1.bd8b93e38677dp-16, 0x1.ce44e40a9b101p-16, 0x1.de97d84ef54e3p-16, 0x1.ee84a45db88eep-16, 0x1.fe0b85126dfd4p-16, 0x1.06966025782d8p-15, 0x1.0df4525d29d3ap-15, 0x1.151fc4dd6acedp-15, 0x1.1c18e78f806bep-15, 0x1.22dfee8103722p-15, 0x1.297511cbba514p-15, 0x1.2fd88d7d25d91p-15, 0x1.360aa17dcee3cp-15, 0x1.3c0b91785b143p-15, 0x1.41dba4c072043p-15, 0x1.477b26397fddap-15, 0x1.4cea643d56146p-15, 0x1.5229b082ba79cp-15, 0x1.57396003e6d14p-15, 0x1.5c19cae500d4ap-15, 0x1.60cb4c5a94618p-15, 0x1.654e429014232p-15, 0x1.69a30e8e6566fp-15, 0x1.6dca142283b96p-15, 0x1.71c3b9c4379a6p-15, 0x1.7590687cf080fp-15, 0x1.79308bcebfa86p-15, 0x1.7ca4919b7a7e9p-15, 0x1.7fecea0c0ca1bp-15, 0x1.830a0777f9104p-15, 0x1.85fc5e4d0ff34p-15, 0x1.88c464f75ec64p-15, 0x1.8b6293c95d07p-15, 0x1.8dd764e45905fp-15, 0x1.9023542126a63p-15, 0x1.9246def914bb2p-15, 0x1.9442846f2e0edp-15, 0x1.9616c4f9c0aa5p-15, 0x1.97c4226c3857ep-15, 0x1.994b1fe145e2dp-15, 0x1.9aac41a559917p-15, 0x1.9be80d2171919p-15, 0x1.9cff08c63e80cp-15, 0x1.9df1bbf79ec8ep-15, 0x1.9ec0aef871e5ap-15, 0x1.9f6c6ad6c8427p-15, 0x1.9ff579586b00fp-15, 0x1.a05c64e7c1108p-15, 0x1.a0a1b8811362dp-15, 0x1.a0c5ffa02a7b4p-15, 0x1.a0c9c62e4e59p-15, 0x1.a0ad9870a40f3p-15, 0x1.a07202f6e8ac6p-15, 0x1.a017928a8e228p-15, 0x1.9f9ed41e37a82p-15, 0x1.9f0854bd95944p-15, 0x1.9e54a17da10f7p-15, 0x1.9d84476d373ffp-15, 0x1.9c97d38616d0ap-15, 0x1.9b8fd29e39583p-15, 0x1.9a6cd1598f783p-15, 0x1.992f5c1c19379p-15, 0x1.97d7fefc5eec9p-15, 0x1.966745b6488b3p-15, 0x1.94ddbb9e4eaa2p-15, 0x1.933beb950e9cp-15, 0x1.91825ffb355cdp-15, 0x1.8fb1a2a5c82c6p-15, 0x1.8dca3cd2ca1c9p-15, 0x1.8bccb71e3703bp-15, 0x1.89b999775d2fbp-15, 0x1.87916b1689f75p-15, 0x1.8554b27311165p-15, 0x1.8303f539abf29p-15, 0x1.809fb84328249p-15, 0x1.7e287f8b7297ep-15, 0x1.7b9ece28ef69ep-15, 0x1.79032644283fep-15, 0x1.7656090fc9852p-15, 0x1.7397f6c0f1cd6p-15, }}, 
      {{0x1.ebc3aa62c3ee3p-1, 0x1.eb7fe67575679p-1, 0x1.eb0f23a4c6de5p-1, 0x1.ea71a6b971f2ep-1, 0x1.e9a7ce815fa45p-1, 0x1.e8b21285ab4bfp-1, 0x1.e79101917f60bp-1, 0x1.e64540194c966p-1, 0x1.e4cf868f1e6f6p-1, 0x1.e3309fae4ce8dp-1, 0x1.e16966c6c703dp-1, 0x1.df7ac60e5ce32p-1, 0x1.dd65b4fcf4a5dp-1, 0x1.db2b36b75cacap-1, 0x1.d8cc588b5c6a1p-1, 0x1.d64a307ed57c8p-1, 0x1.d3a5dbf3198c2p-1, 0x1.d0e07e5d07604p-1, 0x1.cdfb401220a68p-1, 0x1.caf74d2a69cdbp-1, 0x1.c7d5d476af759p-1, 0x1.c498068a946fdp-1, 0x1.c13f14d9b15edp-1, 0x1.bdcc30e6f3452p-1, 0x1.ba408b8557a1cp-1, 0x1.b69d54291f69cp-1, 0x1.b2e3b8488f8f8p-1, 0x1.af14e2cb52797p-1, 0x1.ab31fb8799733p-1, 0x1.a73c26cc1dcb3p-1, 0x1.a33484f62afe1p-1, 0x1.9f1c3212e685fp-1, 0x1.9af4458b11275p-1, 0x1.96bdd1d8850d6p-1, 0x1.9279e444c6f38p-1, 0x1.8e2984affe2bp-1, 0x1.89cdb55fbaaa9p-1, 0x1.856772d4f5cfp-1, 0x1.80f7b3a8c22c6p-1, 0x1.7c7f686f2ae2cp-1, 0x1.77ff7b9fc6e2p-1, 0x1.7378d183909dcp-1, 0x1.6eec48279396bp-1, 0x1.6a5ab75411999p-1, 0x1.65c4f087bd68ep-1, 0x1.612bbef6b57e3p-1, 0x1.5c8fe78ced164p-1, 0x1.57f228f3b770ap-1, 0x1.53533b9a2e043p-1, 0x1.4eb3d1c02e25cp-1, 0x1.4a149783b08dcp-1, 0x1.457632f04239cp-1, 0x1.40d9441065449p-1, 0x1.3c3e6500abf77p-1, 0x1.37a62a045a676p-1, 0x1.3311219b66603p-1, 0x1.2e7fd499ac0dbp-1, 0x1.29f2c63f31c8ep-1, 0x1.256a745157a14p-1, 0x1.20e75734d2167p-1, 0x1.1c69e20854be2p-1, 0x1.17f282bfcbd9dp-1, 0x1.1381a2401181dp-1, 0x1.0f17a47b00b7p-1, 0x1.0ab4e88bd532cp-1, 0x1.0659c8d3c2313p-1, 0x1.02069b16ac6a4p-1, 0x1.fb77612ff16ep-2, 0x1.f2f2ac6ebe37fp-2, 0x1.ea7fa91b668cap-2, 0x1.e21ee0132cc3bp-2, 0x1.d9d0d2180db3bp-2, 0x1.d195f80985995p-2, 0x1.c96ec31ce69b6p-2, 0x1.c15b9d153347cp-2, 0x1.b95ce87a67eep-2, 0x1.b17300d0292a1p-2, 0x1.a99e3acbc91bep-2, 0x1.a1dee489999f2p-2, 0x1.9a3545c180f47p-2, 0x1.92a19ffac6bebp-2, 0x1.8b242ebf15cfcp-2, 0x1.83bd27cca755bp-2, 0x1.7c6cbb4797678p-2, 0x1.753313ea5782fp-2, 0x1.6e105735419e9p-2, 0x1.6704a59d46f98p-2, 0x1.60101ab9b32f1p-2, 0x1.5932cd7108649p-2, 0x1.526cd024efbbp-2, 0x1.4bbe30dd3f55fp-2, 0x1.4526f9721040fp-2, 0x1.3ea72fb4ed6e5p-2, 0x1.383ed5991294cp-2, 0x1.31ede95ac263ep-2, 0x1.2bb465a5b2bfdp-2, 0x1.259241ba8f02p-2, 0x1.1f87719396d9ep-2, 0x1.1993e60852c25p-2, 0x1.13b78cf06c90bp-2, 0x1.0df25145a03c7p-2, 0x1.08441b44d3d43p-2, 0x1.02acd08e5159p-2, 0x1.fa58a88a506d9p-3, 0x1.ef850e5b6e786p-3, 0x1.e4de8f96cdf77p-3, 0x1.da64e4fb1cdcap-3, 0x1.d017c3371fd39p-3, 0x1.c5f6db204de35p-3, 0x1.bc01d9e7e665p-3, 0x1.b238694e7884p-3, 0x1.a89a2fd5f082dp-3, 0x1.9f26d0f223badp-3, 0x1.95dded37ecef2p-3, 0x1.8cbf228ad9d36p-3, 0x1.83ca0c4974544p-3, 0x1.7afe4378241ddp-3, 0x1.725b5eeac2c28p-3, 0x1.69e0f36cd0eb1p-3, 0x1.618e93e868b5ep-3, 0x1.5963d18be4791p-3, 0x1.51603bee49bd2p-3, 0x1.498361327a325p-3, 0x1.41ccce29336c9p-3, 0x1.3a3c0e71e2adp-3, 0x1.32d0ac9a52e17p-3, 0x1.2b8a323d3e86ap-3, 0x1.2468281fc56d6p-3, 0x1.1d6a164dd1d2p-3, 0x1.168f843575919p-3, 0x1.0fd7f8c13792ep-3, 0x1.0942fa716ae49p-3, 0x1.02d00f748a4a2p-3, 0x1.f8fd7b7d32314p-4, 0x1.ec9d163f3ec05p-4, 0x1.e07dfab26daa1p-4, 0x1.d49f3466725bdp-4, 0x1.c8ffcf1f1e2cdp-4, 0x1.bd9ed6fa580d2p-4, 0x1.b27b58945feb1p-4, 0x1.a794612a8f117p-4, 0x1.9ce8febc79594p-4, 0x1.9278402b90c7bp-4, 0x1.884135595194ap-4, 0x1.7e42ef43fdfcep-4, 0x1.747c8021f3e6ep-4, 0x1.6aecfb7ba8d7fp-4, 0x1.61937644555f3p-4, 0x1.586f06f15787ep-4, 0x1.4f7ec5905766ep-4, 0x1.46c1cbdc3853p-4, 0x1.3e373550dbb3cp-4, 0x1.35de1f3dc42efp-4, 0x1.2db5a8d79baa5p-4, 0x1.25bcf348aabc6p-4, 0x1.1df321c045c3fp-4, 0x1.1657598139826p-4, 0x1.0ee8c1ef405cp-4, 0x1.07a6849b85e1cp-4, 0x1.008fcd5043048p-4, 0x1.f3479436f2e7cp-5, 0x1.e5c356b1a9b24p-5, 0x1.d891477575cb5p-5, 0x1.cbafd0a521ca9p-5, 0x1.bf1d61307b614p-5, 0x1.b2d86ce1dca91p-5, 0x1.a6df6c6a4ccf7p-5, 0x1.9b30dd6c3e726p-5, 0x1.8fcb4284ffbcfp-5, 0x1.84ad2354e4b49p-5, 0x1.79d50c8638bd4p-5, 0x1.6f418fd303fd7p-5, 0x1.64f14409b099bp-5, 0x1.5ae2c51099faep-5, 0x1.5114b3e89324ap-5, 0x1.4785b6ae6ea97p-5, 0x1.3e34789b90547p-5, 0x1.351faa0596f5dp-5, 0x1.2c46005d26696p-5, 0x1.23a6362bda491p-5, 0x1.1b3f0b116df61p-5, 0x1.130f43c020a78p-5, 0x1.0b15a9f861763p-5, 0x1.03510c83c7f6bp-5, 0x1.f7807e5ecc1c6p-6, 0x1.e8c4358af35ffp-6, 0x1.da6afa0d0c84p-6, 0x1.cc729143bce81p-6, 0x1.bed8ca5b49bdap-6, 0x1.b19b7e3c9a89fp-6, 0x1.a4b88f7b41d8fp-6, 0x1.982dea42a9af6p-6, 0x1.8bf984425d65dp-6, 0x1.80195c999201p-6, 0x1.748b7bc1e5fc6p-6, 0x1.694df3797b033p-6, 0x1.5e5edeac5cecap-6, 0x1.53bc615d565a3p-6, 0x1.4964a88e32f82p-6, 0x1.3f55ea277b567p-6, 0x1.358e64dfb59c5p-6, 0x1.2c0c602239ddfp-6, 0x1.22ce2bf5995f8p-6, 0x1.19d220e1aa5ddp-6, 0x1.11169fd53eb15p-6, 0x1.089a120b908e1p-6, 0x1.005ae8f164ac7p-6, 0x1.f0af3c13e84c4p-7, 0x1.e11d65a74a233p-7, 0x1.d1fd615919db7p-7, 0x1.c34c516daaffdp-7, 0x1.b5076779f8ccfp-7, 0x1.a72be42bfc854p-7, 0x1.99b71712cfb2fp-7, 0x1.8ca65e66cd012p-7, 0x1.7ff726d1840c3p-7, 0x1.73a6eb35c686cp-7, 0x1.67b33477a5e44p-7, 0x1.5c19994494321p-7, 0x1.50d7bddb8ecaep-7, 0x1.45eb53d57b907p-7, 0x1.3b5219eda5cfep-7, 0x1.3109dbca76f5dp-7, 0x1.271071c6691bp-7, 0x1.1d63c0b93bfep-7, 0x1.1401b9c175245p-7, 0x1.0ae85a0e31547p-7, 0x1.0215aaa94c9d7p-7, 0x1.f30f8083cf5b1p-8, 0x1.e27975ee9fea3p-8, 0x1.d2658c489f957p-8, 0x1.c2d03055d66b9p-8, 0x1.b3b5e4811c4fep-8, 0x1.a51340756226p-8, 0x1.96e4f0b7ed574p-8, 0x1.8927b6438f8b3p-8, 0x1.7bd86624dfedbp-8, 0x1.6ef3e9177de26p-8, 0x1.62773b2461a7fp-8, 0x1.565f6b4140d3bp-8, 0x1.4aa99af10f174p-8, 0x1.3f52fde597efcp-8, 0x1.3458d9a23ec15p-8, 0x1.29b8851fe2462p-8, 0x1.1f6f6871ea126p-8, 0x1.157afc6c80fe2p-8, 0x1.0bd8ca4bfc2c1p-8, 0x1.02866b5d75fffp-8, 0x1.f303115134665p-9, 0x1.e18fb5354f10ep-9, 0x1.d0ae51654e3eap-9, 0x1.c05a925db59ep-9, 0x1.b0904176c992bp-9, 0x1.a14b444449ba9p-9, 0x1.92879bf7a2838p-9, 0x1.844164c48bb03p-9, 0x1.7674d548196d8p-9, 0x1.691e3df23d271p-9, 0x1.5c3a0871b34bp-9, 0x1.4fc4b7225fad7p-9, 0x1.43bae47e12e9bp-9, 0x1.3819428fb7a1cp-9, 0x1.2cdc9a68e79c1p-9, 0x1.2201cb99df2c9p-9, 0x1.1785cbabd00bp-9, 0x1.0d65a59d91546p-9, 0x1.039e7962a3267p-9, 0x1.f45af6c90deaap-10, 0x1.e21fe80cc8535p-10, 0x1.d0867e55ed8cdp-10, 0x1.bf89977983caep-10, 0x1.af24367101f33p-10, 0x1.9f518273a58b1p-10, 0x1.900cc614330c3p-10, 0x1.81516e630e9cfp-10, 0x1.731b0a14a78b2p-10, 0x1.656548ac2ea7dp-10, 0x1.582bf9aa791dap-10, 0x1.4b6b0bc11d444p-10, 0x1.3f1e8c09a56a6p-10, 0x1.3342a540dbf63p-10, 0x1.27d39f0616f6bp-10, 0x1.1ccddd1e87a8ap-10, 0x1.122ddebc66844p-10, 0x1.07f03dca08391p-10, 0x1.fc235c7187a7bp-11, 0x1.e91dfaa7278bp-11, 0x1.d6ca222ae680ap-11, 0x1.c521cf06c1af6p-11, 0x1.b41f2c13f5588p-11, 0x1.a3bc91bd4f842p-11, 0x1.93f484c87d41cp-11, 0x1.84c1b52639441p-11, 0x1.761efcc940d31p-11, 0x1.68075e83efc73p-11, 0x1.5a7604ec6d09ap-11, 0x1.4d66414747d8ap-11, 0x1.40d38a786d0b7p-11, 0x1.34b97bfa56d65p-11, 0x1.2913d4db5e0fcp-11, 0x1.1dde76c1105d1p-11, 0x1.131564f171293p-11, 0x1.08b4c36208cadp-11, 0x1.fd71ab9955529p-12, 0x1.ea3bfd93a9c0fp-12, 0x1.d7c17de1213cfp-12, 0x1.c5fb67f76ff7cp-12, 0x1.b4e32fe9143abp-12, 0x1.a47280c4e123bp-12, 0x1.94a33affbfb8ap-12, 0x1.856f72e86e798p-12, 0x1.76d16f2512682p-12, 0x1.68c3a73a65bacp-12, 0x1.5b40c21c547c7p-12, 0x1.4e4394c7d51dep-12, 0x1.41c720e5d3884p-12, 0x1.35c69376f50bfp-12, 0x1.2a3d438812f14p-12, 0x1.1f26b0ef34b9bp-12, 0x1.147e8310e1161p-12, 0x1.0a4087ad972ep-12, 0x1.0068b1b745e41p-12, 0x1.ede6305d28ffcp-13, 0x1.dbb7ea0fa21eep-13, 0x1.ca3f482ebaa1ep-13, 0x1.b975440adb1e4p-13, 0x1.a9531691e0e9ap-13, 0x1.99d23652f1524p-13, 0x1.8aec5590093fdp-13, 0x1.7c9b605ce28ffp-13, 0x1.6ed97acaff6f3p-13, 0x1.61a0ff227b4f7p-13, 0x1.54ec7c27626eap-13, 0x1.48b6b36b3d0f9p-13, 0x1.3cfa97aa8ca46p-13, 0x1.31b34b35f92a4p-13, 0x1.26dc1e66d83dep-13, 0x1.1c708e1edb788p-13, 0x1.126c42529985p-13, 0x1.08cb0c9eaf46fp-13, 0x1.ff11cdce77a4ep-14, 0x1.ed43e402f2206p-14, 0x1.dc24e8ce53c7fp-14, 0x1.cbadb1e75a65ap-14, 0x1.bbd75b54d7da5p-14, 0x1.ac9b450ce4becp-14, 0x1.9df310a5f0556p-14, 0x1.8fd89f1925f91p-14, 0x1.82460e95e337dp-14, 0x1.7535b865a9705p-14, 0x1.68a22ee036762p-14, 0x1.5c863b6f52bedp-14, 0x1.50dcdca1f28dbp-14, 0x1.45a1444e41ff2p-14, 0x1.3aced5c23bee7p-14, 0x1.306124026a423p-14, 0x1.2653f0167023ep-14, 0x1.1ca32763049bdp-14, 0x1.134ae210fefdp-14, 0x1.0a4761812076ep-14, 0x1.01950ecc40e84p-14, 0x1.f260f29f18e36p-15, 0x1.e22caa88faf26p-15, 0x1.d286f4c885e92p-15, 0x1.c369c52c84e96p-15, 0x1.b4cf5152d4352p-15, 0x1.a6b20e3009fe5p-15, 0x1.990cadab90c27p-15, 0x1.8bda1c4fa53ccp-15, 0x1.7f157f0ca5a88p-15, 0x1.72ba310f2ca88p-15, 0x1.66c3c1a86dd69p-15, 0x1.5b2df24851321p-15, 0x1.4ff4b488cbb8fp-15, 0x1.45142849fb65p-15, 0x1.3a8899de84d89p-15, 0x1.304e8047c199dp-15, 0x1.26627b814685cp-15, 0x1.1cc152db50feap-15, 0x1.1367f363ac94cp-15, 0x1.0a536e5ca2331p-15, 0x1.0180f7c18a1f6p-15, 0x1.f1dbc9b130a8dp-16, 0x1.e12f55a2f6282p-16, 0x1.d0f7bae0e1d15p-16, 0x1.c1305b8adecbp-16, 0x1.b1d4d1de00712p-16, 0x1.a2e0edd0f6666p-16, 0x1.9450b2c6838d6p-16, 0x1.862055554d21cp-16, 0x1.784c39245f18ep-16, 0x1.6ad0eedbb8d8ep-16, 0x1.5dab32284af4cp-16, 0x1.50d7e7d2c6ad2p-16, 0x1.44541be8a72c5p-16, 0x1.381cfff6e7412p-16, 0x1.2c2fe955c964ep-16, 0x1.208a4f85361bdp-16, 0x1.1529ca9918a58p-16, 0x1.0a0c11b542601p-16, 0x1.fe5df3309dacep-17, 0x1.e920e66a19138p-17, 0x1.d45d14b3e5b0cp-17, 0x1.c00ec8cc55055p-17, 0x1.ac327e177ae0ep-17, 0x1.98c4de3ce66dfp-17, 0x1.85c2beddfdb98p-17, 0x1.73291f63fc9fbp-17, 0x1.60f526e4f444fp-17, 0x1.4f24221eebb96p-17, 0x1.3db3818860614p-17, 0x1.2ca0d7757df17p-17, 0x1.1be9d651415d5p-17, 0x1.0b8c4ee9e1fb8p-17, 0x1.f70c5d9fa672bp-18, 0x1.d7aafd8d6b57cp-18, 0x1.b8f0c28f31ef8p-18, 0x1.9ada2227dc52ep-18, 0x1.7d63bfb12aa9fp-18, 0x1.608a69c0e0a4bp-18, 0x1.444b17abd9d88p-18, 0x1.28a2e725f1f6fp-18, 0x1.0d8f19fdbce2bp-18, 0x1.e61a27e5f9a21p-19, 0x1.b234b14dc6657p-19, 0x1.7f69134a46279p-19, 0x1.4db2c909cad89p-19, 0x1.1d0d82417a3fep-19, 0x1.daea3f92dab9dp-20, 0x1.7dcb60c6bb79fp-20, 0x1.22b6db5477e8dp-20, 0x1.934ae4a45f27cp-21, 0x1.ca40ccbea0d6bp-22, 0x1.d70707853c628p-24, -0x1.ae02192760f8ap-23, -0x1.0e10331615502p-21, -0x1.acda1b479a89dp-21, -0x1.23f4e7971c189p-20, -0x1.6fa540c727549p-20, -0x1.b9838793ceb12p-20, -0x1.00ca8173d664ep-19, -0x1.23ef6ac87e74cp-19, -0x1.463300b44cf25p-19, -0x1.6797b5249758p-19, -0x1.881fec6c52a4cp-19, -0x1.a7cdfe92e7095p-19, -0x1.c6a4388e1562ap-19, -0x1.e4a4dd67d514fp-19, -0x1.00e913a88d0bfp-18, -0x1.0f17245125e79p-18, -0x1.1cddb6652a354p-18, -0x1.2a3ddc96825f1p-18, -0x1.3738a6f8cee83p-18, -0x1.43cf23611b6e7p-18, -0x1.50025dbe5a66ep-18, -0x1.5bd3606b06afp-18, -0x1.674334783ac94p-18, -0x1.7252e1f29111cp-18, -0x1.7d0370211d9ecp-18, -0x1.8755e5becab9cp-18, -0x1.914b492e62046p-18, -0x1.9ae4a0a989c3bp-18, -0x1.a422f26af5bb9p-18, -0x1.ad0744d412819p-18, -0x1.b5929e8e637bcp-18, -0x1.bdc606a8d3883p-18, -0x1.c5a284b12fee2p-18, -0x1.cd2920ca05ccdp-18, -0x1.d45ae3bd16346p-18, -0x1.db38d70a93ebdp-18, -0x1.e1c404f55c2edp-18, -0x1.e7fd788c59f16p-18, -0x1.ede63db13dbf1p-18, -0x1.f37f611cb808ap-18, -0x1.f8c9f0605d5e8p-18, -0x1.fdc6f9e65e61ep-18, -0x1.013bc6779a495p-17, -0x1.036e5cc6b673cp-17, -0x1.057bc84fd8617p-17, -0x1.076491e4967c4p-17, -0x1.092942b43c044p-17, -0x1.0aca64468ba38p-17, -0x1.0c488075dcfe7p-17, -0x1.0da42168a6425p-17, -0x1.0eddd18a7ca67p-17, -0x1.0ff61b849921dp-17, -0x1.10ed8a35ed4b3p-17, -0x1.11c4a8aad230cp-17, -0x1.127c02145efcbp-17, -0x1.131421bf6de3dp-17, -0x1.138d930b5b9cbp-17, -0x1.13e8e1608a2b1p-17, -0x1.14269826ae7dcp-17, -0x1.144742baf2864p-17, -0x1.144b6c65f2da9p-17, -0x1.1433a0519fce4p-17, -0x1.1400697f07a0ep-17, -0x1.13b252bc12d75p-17, -0x1.1349e699367e4p-17, -0x1.12c7af5f2340ep-17, -0x1.122c370477ab6p-17, -0x1.11780723787bp-17, -0x1.10aba8efd6c4p-17, -0x1.0fc7a52c8582ap-17, -0x1.0ecc8421a5cd2p-17, -0x1.0dbacd928aa8p-17, -0x1.0c9308b3db673p-17, -0x1.0b55bc21d3c05p-17, -0x1.0a036dd6aa7b6p-17, -0x1.089ca3211c068p-17, -0x1.0721e09b1f438p-17, -0x1.0593aa20c5ffcp-17, -0x1.03f282c74ad2p-17, -0x1.023eecd450414p-17, -0x1.007969b550339p-17, -0x1.fd44f3ee81a7ap-18, -0x1.f9753a7cda68bp-18, -0x1.f584a47d0bb9p-18, -0x1.f1742d65d1eddp-18, -0x1.ed44ceae45b1fp-18, -0x1.e8f77fbf52f83p-18, -0x1.e48d35e5a45f2p-18, -0x1.e006e44406333p-18, -0x1.db657bc641a11p-18, -0x1.d6a9eb147019dp-18, -0x1.d1d51e86c8595p-18, -0x1.cce80019e8cd4p-18, -0x1.c7e3776396b89p-18, -0x1.c2c86987fde38p-18, -0x1.bd97b92f662ebp-18, -0x1.b852467c671b3p-18, -0x1.b2f8ef02917eep-18, -0x1.ad8c8dbd9650cp-18, -0x1.a80dfb08e230bp-18, -0x1.a27e0c97b529cp-18, -0x1.9cdd956dad2b4p-18, -0x1.972d65d7c8696p-18, -0x1.916e4b65dd573p-18, -0x1.8ba110e48352ep-18, -0x1.85c67e576fc42p-18, -0x1.7fdf58f44359ep-18, -0x1.79ec631dc5624p-18, -0x1.73ee5c5f8dd0fp-18, -0x1.6de6016a1b121p-18, -0x1.67d40c0f515acp-18, -0x1.61b9333f62e42p-18, -0x1.5b962b061fa09p-18, -0x1.556ba488a782dp-18, -0x1.4f3a4e0381a7fp-18, -0x1.4902d2c914588p-18, -0x1.42c5db407946bp-18, -0x1.3c840ce4b380ep-18, -0x1.363e0a443b4a5p-18, -0x1.2ff47300e5e46p-18, -0x1.29a7e3d0241a9p-18, -0x1.2358f67b93875p-18, -0x1.1d0841e1e44bep-18, -0x1.16b659f80e56p-18, -0x1.1063cfcad6329p-18, -0x1.0a1131809c3dp-18, -0x1.03bf0a5b779d3p-18, -0x1.fadbc577333b1p-19, -0x1.ee3c8043ea0dep-19, -0x1.e1a14a66567a2p-19, -0x1.d50b237574698p-19, -0x1.c87b055cd5f59p-19, -0x1.bbf1e463f8f03p-19, -0x1.af70af361734fp-19, -0x1.a2f84eea6763cp-19, -0x1.9689a70ccd70ep-19, -0x1.8a2595a6f5d9dp-19, -0x1.7dccf349da587p-19, -0x1.71809317a76eap-19, -0x1.654142ce010f6p-19, -0x1.590fcad0a5d21p-19, -0x1.4cecee3464953p-19, -0x1.40d96aca6dc8bp-19, -0x1.34d5f92becc7bp-19, -0x1.28e34cc5f4c7ep-19, -0x1.1d0213e5b13b9p-19, -0x1.1132f7c4e1b77p-19, -0x1.05769c96941acp-19, -0x1.f39b432839f23p-20, -0x1.dc7142149c8d2p-20, -0x1.c57060cdcd039p-20, -0x1.ae99c08c5f6dap-20, -0x1.97ee7901ae009p-20, -0x1.816f9873dd61bp-20, -0x1.6b1e23da3898ep-20, -0x1.54fb16f9e37afp-20, -0x1.3f076482d48f4p-20, -0x1.2943f62d11d43p-20, -0x1.13b1acd6399a8p-20, -0x1.fca2c13e6a77ep-21, -0x1.d247c214686f6p-21, -0x1.a853ea318e7edp-21, -0x1.7ec8b6d461c09p-21, -0x1.55a794b3b0d42p-21, -0x1.2cf1e03bbf13bp-21, -0x1.04a8e5cba9aadp-21, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.3645820c9272ap-11, -0x1.42d892bdface7p-10, -0x1.01a4b0849a2dbp-9, -0x1.73eff986552e3p-9, -0x1.fd888cd9e501p-9, -0x1.518dc3ae842ccp-8, -0x1.b45f2e8652087p-8, -0x1.147aa97d3d053p-7, -0x1.585fa73e17f99p-7, -0x1.a6704762b3db1p-7, -0x1.ff1a0a2c02926p-7, -0x1.3154256c9e395p-6, -0x1.68a34d4528a64p-6, -0x1.a581a2f60d172p-6, -0x1.e7e8f71a963ddp-6, -0x1.17e388eae6eeep-5, -0x1.3e7f7d2007e0cp-5, -0x1.67b5199c1f908p-5, -0x1.936cf52104c81p-5, -0x1.c18c0b1d3317dp-5, -0x1.f1f44244eb817p-5, -0x1.1242750964e44p-4, -0x1.2c8d978c07cd7p-4, -0x1.47c94319fb789p-4, -0x1.63e28775a1483p-4, -0x1.80c5f6987c6ffp-4, -0x1.9e5fcd8088f4ep-4, -0x1.bc9c191be0da9p-4, -0x1.db66d78aa7f8dp-4, -0x1.faac15f05312fp-4, -0x1.0d2c05868b548p-3, -0x1.1d2b976b9ae42p-3, -0x1.2d4b27a52c8a9p-3, -0x1.3d8151507ef2ep-3, -0x1.4dc4eb94d9ce1p-3, -0x1.5e0d1073bbbdp-3, -0x1.6e5122950911fp-3, -0x1.7e88d22465ceep-3, -0x1.8eac20d3ad028p-3, -0x1.9eb36515466b9p-3, -0x1.ae974c9ffd6c6p-3, -0x1.be50de4cdd95fp-3, -0x1.cdd97b5e7970dp-3, -0x1.dd2ae04021a0bp-3, -0x1.ec3f24ca7d693p-3, -0x1.fb10bc1a138e3p-3, -0x1.04cd3a01c1e8ep-2, -0x1.0bebba18233cfp-2, -0x1.12e19e770908bp-2, -0x1.19acd2dd1ce3cp-2, -0x1.204b6dc8dcacfp-2, -0x1.26bbaf86ebb3fp-2, -0x1.2cfc012a66627p-2, -0x1.330af37292e56p-2, -0x1.38e73da10a715p-2, -0x1.3e8fbc43313fbp-2, -0x1.44036ff1939e1p-2, -0x1.49417c0780d4bp-2, -0x1.4e49255504cfcp-2, -0x1.5319d0cd3348ap-2, -0x1.57b302327846cp-2, -0x1.5c145ac281b72p-2, -0x1.603d97e3296b4p-2, -0x1.642e91d18e167p-2, -0x1.67e73a548578bp-2, -0x1.6b679b734d4b3p-2, -0x1.6eafd63159eacp-2, -0x1.71c0214ff942dp-2, -0x1.7498c8166e78p-2, -0x1.773a292102c79p-2, -0x1.79a4b5378a466p-2, -0x1.7bd8ee2baf9edp-2, -0x1.7dd765bf55873p-2, -0x1.7fa0bc934c643p-2, -0x1.8135a11e80992p-2, -0x1.8296ceadc595p-2, -0x1.83c50c6c50f8p-2, -0x1.84c12c74e9c53p-2, -0x1.858c0aebcf263p-2, -0x1.86268d2149ff6p-2, -0x1.8691a0bcdad1p-2, -0x1.86ce3af0ebb4dp-2, -0x1.86dd57b6eac32p-2, -0x1.86bff913aa919p-2, -0x1.86772663e52b1p-2, -0x1.8603ebb0b6d87p-2, -0x1.8567590be52ecp-2, -0x1.84a281f3c6d98p-2, -0x1.83b67cbe991b9p-2, -0x1.82a4620d14d9dp-2, -0x1.816d4c440d15cp-2, -0x1.8012570ce83adp-2, -0x1.7e949edcbb107p-2, -0x1.7cf54081d7948p-2, -0x1.7b3558b796207p-2, -0x1.795603c028e8ep-2, -0x1.77585d0445f19p-2, -0x1.753d7eb8707cfp-2, -0x1.73068187b7bdep-2, -0x1.70b47c43b0bdap-2, -0x1.6e488399805d1p-2, -0x1.6bc3a9cbc2dc6p-2, -0x1.6926fe71247dfp-2, -0x1.66738e377921dp-2, -0x1.63aa62ab2bb3cp-2, -0x1.60cc8202d3bb1p-2, -0x1.5ddaeeeecc18ep-2, -0x1.5ad6a86c9c57dp-2, -0x1.57c0a99e0f9a8p-2, -0x1.5499e9a3cef06p-2, -0x1.51635b7b5be28p-2, -0x1.4e1dede043316p-2, -0x1.4aca8b306657dp-2, -0x1.476a195335ffep-2, -0x1.43fd79a3be301p-2, -0x1.408588dd60203p-2, -0x1.3d031f0b1ee1ep-2, -0x1.39770f7959ebep-2, -0x1.35e228a9dce5dp-2, -0x1.3245344a242a2p-2, -0x1.2ea0f72bbcebdp-2, -0x1.2af6313ea3881p-2, -0x1.27459d8d8764p-2, -0x1.238ff23bdc24ap-2, -0x1.1fd5e0859acabp-2, -0x1.1c1814c0a57fep-2, -0x1.1857365fa8432p-2, -0x1.1493e7f6720dbp-2, -0x1.10cec73fa10fap-2, -0x1.0d086d2399a74p-2, -0x1.09416dc0ae92cp-2, -0x1.057a5874661f7p-2, -0x1.01b3b7e5d23a6p-2, -0x1.fbdc2421baf25p-3, -0x1.f453d0a5124c9p-3, -0x1.eccf6eec02f98p-3, -0x1.e54fef84fccbbp-3, -0x1.ddd63a13c2a9fp-3, -0x1.d6632d6ffd52cp-3, -0x1.cef79fc510f08p-3, -0x1.c7945eb3116f1p-3, -0x1.c03a2f70c85f9p-3, -0x1.b8e9ceeeabe05p-3, -0x1.b1a3f1faac23fp-3, -0x1.aa694564c6e23p-3, -0x1.a33a6e24529fep-3, -0x1.9c18097dd32dfp-3, -0x1.9502ad2964933p-3, -0x1.8dfae7799145ap-3, -0x1.87013f828bc8cp-3, -0x1.80163541b9395p-3, -0x1.793a41c57b2dp-3, -0x1.726dd7552bb65p-3, -0x1.6bb161993bb5cp-3, -0x1.650545c361007p-3, -0x1.5e69e2b6cc71cp-3, -0x1.57df91305f1b6p-3, -0x1.5166a3eec511cp-3, -0x1.4aff67da75d5cp-3, -0x1.44aa242d8eeb4p-3, -0x1.3e671a9b77054p-3, -0x1.3836877847245p-3, -0x1.3218a1dff29dap-3, -0x1.2c0d9bdd180d5p-3, -0x1.2615a28f87845p-3, -0x1.2030de52638ecp-3, -0x1.1a5f72e1e33a9p-3, -0x1.14a17f80a7ed5p-3, -0x1.0ef71f1ca5465p-3, -0x1.096068738ebcep-3, -0x1.03dd6e36ce7f2p-3, -0x1.fcdc7e5df98b2p-4, -0x1.f225ccbda2e7dp-4, -0x1.e796d64b1c86dp-4, -0x1.dd2fa2c1bda8fp-4, -0x1.d2f0331c52bf6p-4, -0x1.c8d881d69c889p-4, -0x1.bee8832dab252p-4, -0x1.b520255f01cb7p-4, -0x1.ab7f50e69672ep-4, -0x1.a205e8bb9a1e2p-4, -0x1.98b3ca8c071f5p-4, -0x1.8f88cef6fb25fp-4, -0x1.8684c9c5d3ef4p-4, -0x1.7da78a24116aap-4, -0x1.74f0dad5fb622p-4, -0x1.6c60826e093ecp-4, -0x1.63f643810c701p-4, -0x1.5bb1dcd91f0c1p-4, -0x1.539309a754312p-4, -0x1.4b9981b42e353p-4, -0x1.43c4f98edafd4p-4, -0x1.3c1522bb375dap-4, -0x1.3489abde9b9f7p-4, -0x1.2d2240eb74dd7p-4, -0x1.25de8b4baade1p-4, -0x1.1ebe3209d80b2p-4, -0x1.17c0d9f95469dp-4, -0x1.10e625dd1661cp-4, -0x1.0a2db68d6f4fep-4, -0x1.03972b1ca3b76p-4, -0x1.fa4441f4ca17dp-5, -0x1.ed9c682c618dep-5, -0x1.e135fe012d6fap-5, -0x1.d5103616db2f7p-5, -0x1.c92a40d1eddfbp-5, -0x1.bd834c93f2b63p-5, -0x1.b21a85f5a5181p-5, -0x1.a6ef17ff103fdp-5, -0x1.9c002c5db63bbp-5, -0x1.914ceb98c131fp-5, -0x1.86d47d434ebf4p-5, -0x1.7c96082cd9a86p-5, -0x1.7290b28fcd223p-5, -0x1.68c3a23e4b891p-5, -0x1.5f2dfccd309f7p-5, -0x1.55cee7bd5ba5p-5, -0x1.4ca588a3468c5p-5, -0x1.43b1054cf8087p-5, -0x1.3af083e656c7dp-5, -0x1.32632b1bea869p-5, -0x1.2a08223c10f41p-5, -0x1.21de9156b4241p-5, -0x1.19e5a15b866a5p-5, -0x1.121c7c36d4846p-5, -0x1.0a824cecedb6fp-5, -0x1.03163fb435edep-5, -0x1.f7af041bc46f3p-6, -0x1.e98a85badb5ffp-6, -0x1.dbbd64fd9a5e4p-6, -0x1.ce4605b6d94a3p-6, -0x1.c122cefbfddaep-6, -0x1.b4522b4a4ac4ep-6, -0x1.a7d288a9fd55cp-6, -0x1.9ba258cf381c2p-6, -0x1.8fc01138dd17cp-6, -0x1.842a2b4d5baaap-6, -0x1.78df24758b9f3p-6, -0x1.6ddd7e359a328p-6, -0x1.6323be4426aebp-6, -0x1.58b06e9f8e965p-6, -0x1.4e821da189cp-6, -0x1.44975e111714fp-6, -0x1.3aeec732cad73p-6, -0x1.3186f4d7992cbp-6, -0x1.285e876a18b55p-6, -0x1.1f7423fa589f7p-6, -0x1.16c6744851f68p-6, -0x1.0e5426cd018bfp-6, -0x1.061beec23e2dbp-6, -0x1.fc3908528de36p-7, -0x1.eca947a05af25p-7, -0x1.dd861eac28debp-7, -0x1.cecd1a5cb18dcp-7, -0x1.c07bd1455ae86p-7, -0x1.b28fe3a869ce7p-7, -0x1.a506fb7749dd7p-7, -0x1.97decc51035fcp-7, -0x1.8b15137ee0cd2p-7, -0x1.7ea797ef77eeap-7, -0x1.72942a30072adp-7, -0x1.66d8a46459a56p-7, -0x1.5b72ea3d30c89p-7, -0x1.5060e8ed4f5f9p-7, -0x1.45a0971d2db62p-7, -0x1.3b2ff4dd76f9p-7, -0x1.310d0b98552fep-7, -0x1.2735ee019e644p-7, -0x1.1da8b805f4f9dp-7, -0x1.14638eb8e9925p-7, -0x1.0b64a0422c008p-7, -0x1.02aa23c9db78dp-7, -0x1.f464b2c8059d9p-8, -0x1.e3f713f69d13fp-8, -0x1.d4080e761461cp-8, -0x1.c49456f0e1399p-8, -0x1.b598b336b800fp-8, -0x1.a711fa0cc409dp-8, -0x1.98fd12fccb1bp-8, -0x1.8b56f62356bd8p-8, -0x1.7e1cabfcf50a7p-8, -0x1.714b4d32a65d9p-8, -0x1.64e002658c31p-8, -0x1.58d803f9ebfd6p-8, -0x1.4d3099e196ba7p-8, -0x1.41e71b65c8fc1p-8, -0x1.36f8eef0936ebp-8, -0x1.2c6389d5d8edap-8, -0x1.2224701bf9491p-8, -0x1.183934442e5b6p-8, -0x1.0e9f7712b0d39p-8, -0x1.0554e756ae8dbp-8, -0x1.f8ae8364450b4p-9, -0x1.e748a0c32bf8ep-9, -0x1.d673d607bc7b9p-9, -0x1.c62becc3b4c9dp-9, -0x1.b66cc86c85ba8p-9, -0x1.a73265eb1ecfep-9, -0x1.9878db2c05b17p-9, -0x1.8a3c56afc4e7ep-9, -0x1.7c791f1bc2be5p-9, -0x1.6f2b92cb97eddp-9, -0x1.62502762f3058p-9, -0x1.55e3696013419p-9, -0x1.49e1fbaef1e67p-9, -0x1.3e48973d20507p-9, -0x1.33140a8e6efcep-9, -0x1.284139525f3c6p-9, -0x1.1dcd1bfa74f34p-9, -0x1.13b4bf517319ep-9, -0x1.09f54413802c4p-9, -0x1.008bde874e1f3p-9, -0x1.eeebac3084f2ep-10, -0x1.dd6109e34bc5bp-10, -0x1.cc72af35dedb6p-10, -0x1.bc1b992a45305p-10, -0x1.ac56e7f29f928p-10, -0x1.9d1fde307f759p-10, -0x1.8e71e036873eep-10, -0x1.8048734c7a50fp-10, -0x1.729f3cf5abf36p-10, -0x1.65720239ea5cap-10, -0x1.58bca6f0e03cdp-10, -0x1.4c7b2d0ff4ab8p-10, -0x1.40a9b3fab399cp-10, -0x1.354477d5c34a1p-10, -0x1.2a47d0dc5dcbfp-10, -0x1.1fb032b86e01dp-10, -0x1.157a2bdd2e6ap-10, -0x1.0ba264e46b728p-10, -0x1.02259fee5ab33p-10, -0x1.f20170080fecep-11, -0x1.e06140f8b9941p-11, -0x1.cf64c8c78483ap-11, -0x1.bf064bccb1bd1p-11, -0x1.af403b798e199p-11, -0x1.a00d353739fbbp-11, -0x1.9168014a94bbdp-11, -0x1.834b91bd47c0cp-11, -0x1.75b3014bec509p-11, -0x1.6899925942315p-11, -0x1.5bfaade672d1ap-11, -0x1.4fd1e29056d8bp-11, -0x1.441ae391b58d1p-11, -0x1.38d187ca74d89p-11, -0x1.2df1c8cbafffep-11, -0x1.2377c1e8aab21p-11, -0x1.195faf4c940e6p-11, -0x1.0fa5ed151029fp-11, -0x1.0646f6717a5a3p-11, -0x1.fa7ec98daae77p-12, -0x1.e917ddb0b8122p-12, -0x1.d852cfe947a3dp-12, -0x1.c8297e4e91802p-12, -0x1.b895fcde1c627p-12, -0x1.a99293f0da04p-12, -0x1.9b19beb8f8fdep-12, -0x1.8d2629c85413fp-12, -0x1.7fb2b19f60bdfp-12, -0x1.72ba61447cf2ap-12, -0x1.663870e3853f7p-12, -0x1.5a2844758a2fap-12, -0x1.4e856a70928cp-12, -0x1.434b9a7f43b8cp-12, -0x1.3876b440535e6p-12, -0x1.2e02be0da757fp-12, -0x1.23ebe3caff6c4p-12, -0x1.1a2e75bc0c727p-12, -0x1.10c6e761d79c5p-12, -0x1.07b1ce5f5978bp-12, -0x1.fdd7c2ca37813p-13, -0x1.ece3ee47ac56fp-13, -0x1.dc820a8ba6cd4p-13, -0x1.ccac3ede23283p-13, -0x1.bd5cec87e28d8p-13, -0x1.ae8eacecc3bf8p-13, -0x1.a03c4fb2b9d25p-13, -0x1.9260d8f544f13p-13, -0x1.84f77f8518871p-13, -0x1.77fbab33bf0f7p-13, -0x1.6b68f32afb9a7p-13, -0x1.5f3b1c4fb045fp-13, -0x1.536e17b00d52ep-13, -0x1.47fe00fccf309p-13, -0x1.3ce71d0d53a6ap-13, -0x1.3225d86e48dd2p-13, -0x1.27b6c5fac0386p-13, -0x1.1d969d7f737ep-13, -0x1.13c23a67f6018p-13, -0x1.0a369a75a869fp-13, -0x1.00f0dc803651bp-13, -0x1.efdc7e7ec1009p-14, -0x1.de58403bda06bp-14, -0x1.cd4ff42af165bp-14, -0x1.bcbec92606c8dp-14, -0x1.aca024c803542p-14, -0x1.9cefa15771819p-14, -0x1.8da90bc184ba2p-14, -0x1.7ec861a4f62d5p-14, -0x1.7049cf6c6320bp-14, -0x1.6229ae77cbfc6p-14, -0x1.54648354d694fp-14, -0x1.46f6fc05782f2p-14, -0x1.39ddee54aca1fp-14, -0x1.2d165638e3ef1p-14, -0x1.209d5443cbb66p-14, -0x1.14702c1f2344dp-14, -0x1.088c431640e56p-14, -0x1.f9de3d57f42e1p-15, -0x1.e32cc67934b13p-15, -0x1.ccffa55735159p-15, -0x1.b75296398fadfp-15, -0x1.a2218b71224bbp-15, -0x1.8d68aaf6553f8p-15, -0x1.79244c1c835a2p-15, -0x1.6550f559e9cfcp-15, -0x1.51eb5a2396b68p-15, -0x1.3ef058dcc5a9p-15, -0x1.2c5cf8d92651p-15, -0x1.1a2e6871816cep-15, -0x1.0861fb2a3cc4bp-15, -0x1.edea4fd671823p-16, -0x1.cbcb0e911de12p-16, -0x1.aa61a3b75d664p-16, -0x1.89a9bd58ce8e6p-16, -0x1.699f4352c0c9ep-16, -0x1.4a3e545f270a9p-16, -0x1.2b834340a2e96p-16, -0x1.0d6a940ace0e9p-16, -0x1.dfe1f30bc948fp-17, -0x1.a626a55a06f02p-17, -0x1.6d9d508c41c48p-17, -0x1.3640552608f4bp-17, -0x1.000a5e34c9803p-17, -0x1.95ecba21f80d2p-18, -0x1.2dff0a995b9e9p-18, -0x1.90852338084e2p-19, -0x1.92baa0a21320bp-20, -0x1.9d8aa61f6ec63p-25, 0x1.707fe2c1a11c8p-20, 0x1.72d3e5a17438ap-19, 0x1.14a9ef9fce9fcp-18, 0x1.6de6b1249bcc3p-18, 0x1.c526aa90578f3p-18, 0x1.0d3802d4c5316p-17, 0x1.36e453fb0e4cap-17, 0x1.5f9b1bd34d3f1p-17, 0x1.875f10226ca35p-17, 0x1.ae32cb940decep-17, 0x1.d418cfd86c177p-17, 0x1.f91387a6f98afp-17, 0x1.0e92a4536538ep-16, 0x1.20282a9edcdd5p-16, 0x1.314b6f238fc03p-16, 0x1.41fd82599273cp-16, 0x1.523f6d87b63aap-16, 0x1.6212337d0643fp-16, 0x1.7176d13fc5e01p-16, 0x1.806e3eb26a2ddp-16, 0x1.8ef96f2edd127p-16, 0x1.9d19521879e57p-16, 0x1.aaced3651f539p-16, 0x1.b81adc1da9569p-16, 0x1.c4fe52d633d0cp-16, 0x1.d17a1c1e7ad3p-16, 0x1.dd8f1aeaa7189p-16, 0x1.e93e30f4d8ddcp-16, 0x1.f4883f17c6189p-16, 0x1.ff6e25a2aa0c3p-16, 0x1.04f8625370241p-15, 0x1.0a087e1fb1a51p-15, 0x1.0ee7d6693d906p-15, 0x1.1396dba6ef2fp-15, 0x1.1815feaec3742p-15, 0x1.1c65b0ceb8b81p-15, 0x1.208663e347cc6p-15, 0x1.24788a6b8e305p-15, 0x1.283c979b491b4p-15, 0x1.2bd2ff6abba8ap-15, 0x1.2f3c36a499bb9p-15, 0x1.3278b2f210d11p-15, 0x1.3588eae50b94dp-15, 0x1.386d5600bfb59p-15, 0x1.3b266cc0a43d7p-15, 0x1.3db4a89de49aep-15, 0x1.401884136372ap-15, 0x1.42527aa063357p-15, 0x1.446308c9e9baap-15, 0x1.464aac1aeda59p-15, 0x1.4809e3236671ep-15, 0x1.49a12d7649f61p-15, 0x1.4b110ba68cf93p-15, 0x1.4c59ff4335a2dp-15, 0x1.4d7c8ad28e89fp-15, 0x1.4e7931cc8af56p-15, 0x1.4f5078946bcc3p-15, 0x1.5002e471ae94ap-15, 0x1.5090fb8859f4bp-15, 0x1.50fb44d0af47p-15, 0x1.5142480e50c1p-15, 0x1.51668dc6e640dp-15, 0x1.51689f384ed13p-15, 0x1.5149064e6390cp-15, 0x1.51084d985e01ep-15, 0x1.50a7003de6cd4p-15, 0x1.5025a9f3d5fa4p-15, 0x1.4f84d6f0b1375p-15, 0x1.4ec513e0edf8cp-15, 0x1.4de6eddb006d2p-15, 0x1.4ceaf2533dc55p-15, 0x1.4bd1af0f9db34p-15, 0x1.4a9bb21b5ac2cp-15, 0x1.494989ba80af6p-15, 0x1.47dbc45d67fd6p-15, 0x1.4652f09428351p-15, 0x1.44af9d0209095p-15, 0x1.42f25850ef877p-15, 0x1.411bb124d7e35p-15, 0x1.3f2c360f56787p-15, 0x1.3d2475832a71cp-15, 0x1.3b04fdc7e443p-15, 0x1.38ce5ceda5b66p-15, 0x1.368120c0fcffep-15, 0x1.341dd6bedfe11p-15, 0x1.31a50c08cad4ap-15, 0x1.2f174d590555fp-15, 0x1.2c7526f710abfp-15, 0x1.29bf24ac424c7p-15, 0x1.26f5d1b88b49p-15, 0x1.2419b8c7739ccp-15, 0x1.212b63e5461e4p-15, 0x1.1e2b5c7472204p-15, 0x1.1b1a2b2323d58p-15, 0x1.17f857e115a22p-15, 0x1.14c669d59bca4p-15, 0x1.1184e755e96a2p-15, 0x1.0e3455db94d75p-15, 0x1.0ad539fb582dp-15, 0x1.0768175c1088ep-15, 0x1.03ed70adfcb0fp-15, 0x1.0065c7a23c94p-15, 0x1.f9a339c521d5dp-16, 0x1.f262e012ba4b4p-16, 0x1.eb0b7f33d2f2ap-16, 0x1.e39e11f1d1557p-16, 0x1.dc1b90ca7e1d5p-16, 0x1.d484f1e2163a1p-16, 0x1.ccdb28f5e661dp-16, 0x1.c51f274f6339bp-16, 0x1.bd51dbb7ceba3p-16, 0x1.b574326c59841p-16, 0x1.ad871512cd1dep-16, 0x1.a58b6aaeb5bc6p-16, 0x1.9d8217971211cp-16, 0x1.956bfd6c7f0d7p-16, 0x1.8d49fb0fe831bp-16, 0x1.851cec99b54abp-16, 0x1.7ce5ab51763f6p-16, 0x1.74a50da60b8b4p-16, 0x1.6c5be726487efp-16, 0x1.640b087a12e23p-16, 0x1.5bb33f5bf80a6p-16, 0x1.53555693398e1p-16, 0x1.4af215ee4dfc4p-16, 0x1.428a423dd7079p-16, 0x1.3a1e9d50098b6p-16, 0x1.31afe5ec80eecp-16, 0x1.293ed7d085d1dp-16, 0x1.20cc2babbf60ap-16, 0x1.1858971d4d21cp-16, 0x1.0fe4ccb149f9p-16, 0x1.07717bdeb57c6p-16, 0x1.fdfea20b84566p-17, 0x1.ed1deadd08657p-17, 0x1.dc421e900748bp-17, 0x1.cb6c834f4d284p-17, 0x1.ba9e5911fa6e9p-17, 0x1.a9d8d99bcd47ep-17, 0x1.991d387e124e6p-17, 0x1.886ca3194c3d2p-17, 0x1.77c8409f7a29cp-17, 0x1.6731321703799p-17, 0x1.56a8925e43ceap-17, 0x1.462f762faf242p-17, 0x1.35c6ec268aca2p-17, 0x1.256ffcc43cfa6p-17, 0x1.152baa7625a04p-17, 0x1.04faf19c0232dp-17, 0x1.e9bd911dae4dcp-18, 0x1.c9b03f50b4ba4p-18, 0x1.a9cfc295b505p-18, 0x1.8a1de3d33fdc5p-18, 0x1.6a9c6023834e7p-18, 0x1.4b4ce8e6d9fa6p-18, 0x1.2c3123d730fb9p-18, 0x1.0d4aab1c41af2p-18, 0x1.dd361ac12ded8p-19, 0x1.a0479bcea7c54p-19, 0x1.63ccc9456db7cp-19, 0x1.27c87c969ddf5p-19, }}, 
      {{0x1.dd1c03f71f9b8p-1, 0x1.dc9e0ab8862eep-1, 0x1.dbd00e71b1249p-1, 0x1.dab71df4ed42ap-1, 0x1.d95944435f26cp-1, 0x1.d7bd1ceb1d2c4p-1, 0x1.d5e981aedee74p-1, 0x1.d3e54c7873046p-1, 0x1.d1b72983d7d9p-1, 0x1.cf657672ad67ap-1, 0x1.ccf62b966cf71p-1, 0x1.ca6ecd41ca428p-1, 0x1.c7d4635becf9fp-1, 0x1.c52b75c7321c7p-1, 0x1.c2780c7436c3bp-1, 0x1.bfbdb23405862p-1, 0x1.bcff798b9fda5p-1, 0x1.ba4002f1c60ccp-1, 0x1.b78183ff53a06p-1, 0x1.b4c5cf341837ap-1, 0x1.b20e5c06d8302p-1, 0x1.af5c4f07eabe7p-1, 0x1.acb081eb7c451p-1, 0x1.aa0b8b5b67af2p-1, 0x1.a76dc67957c1bp-1, 0x1.a4d75a00dd25dp-1, 0x1.a2483efeb4eap-1, 0x1.9fc04716cedeap-1, 0x1.9d3f225618f6dp-1, 0x1.9ac4648fab2efp-1, 0x1.984f8a46f86cp-1, 0x1.95dffd2a2964cp-1, 0x1.93751820d5c7dp-1, 0x1.910e2af422edcp-1, 0x1.8eaa7d95c3111p-1, 0x1.8c49530ba7c4ap-1, 0x1.89e9ec065b932p-1, 0x1.878b8927fa734p-1, 0x1.852d6d01b11afp-1, 0x1.82ceddcd7f7c6p-1, 0x1.806f26e9d0455p-1, 0x1.7e0d9a1c2ee07p-1, 0x1.7ba990a02eef5p-1, 0x1.79426c074318fp-1, 0x1.76d796ee08f6ep-1, 0x1.7468858b31cabp-1, 0x1.71f4b61bfae12p-1, 0x1.6f7bb131d2522p-1, 0x1.6cfd09e487751p-1, 0x1.6a785dec2070ap-1, 0x1.67ed55a53327cp-1, 0x1.655ba4025c09cp-1, 0x1.62c3066d3f56p-1, 0x1.602344994165fp-1, 0x1.5d7c3049f65c6p-1, 0x1.5acda50f1e0f8p-1, 0x1.581787f7c9982p-1, 0x1.5559c73e31117p-1, 0x1.529459ed8954fp-1, 0x1.4fc73f831426bp-1, 0x1.4cf27f8b7e256p-1, 0x1.4a16293d8412cp-1, 0x1.47325312bc3e8p-1, 0x1.44471a5f48395p-1, 0x1.4154a2e921609p-1, 0x1.3e5b167f920dfp-1, 0x1.3b5aa4936c1cap-1, 0x1.385381d06af1p-1, 0x1.3545e7b82a8ecp-1, 0x1.3232143f0bedbp-1, 0x1.2f18496b51f8bp-1, 0x1.2bf8ccf6b459ap-1, 0x1.28d3e7f2a1affp-1, 0x1.25a9e66f58fdfp-1, 0x1.227b1725ff401p-1, 0x1.1f47cb25ce6bfp-1, 0x1.1c1055846e55cp-1, 0x1.18d50b118a666p-1, 0x1.1596420dabd28p-1, 0x1.125451e45b68dp-1, 0x1.0f0f92e98d99ep-1, 0x1.0bc85e1a533a1p-1, 0x1.087f0ce0c784cp-1, 0x1.0533f8db34fe5p-1, 0x1.01e77ba65ebe3p-1, 0x1.fd33dd55cdbb7p-2, 0x1.f69755db77ad5p-2, 0x1.effa11c6f9172p-2, 0x1.e95cc08d83a5bp-2, 0x1.e2c00fe26a375p-2, 0x1.dc24ab6ec7ce6p-2, 0x1.d58b3c8e6850dp-2, 0x1.cef46a11d2fa4p-2, 0x1.c860d8053c723p-2, 0x1.c1d1277c3dc88p-2, 0x1.bb45f662179b3p-2, 0x1.b4bfdf4e5b22cp-2, 0x1.ae3f795dc7018p-2, 0x1.a7c5580f2856ap-2, 0x1.a1520b24179dep-2, 0x1.9ae61e855e584p-2, 0x1.94821a2ae0fc8p-2, 0x1.8e268206d868p-2, 0x1.87d3d5f439d52p-2, 0x1.818a91a81a50fp-2, 0x1.7b4b2ca5f18c3p-2, 0x1.75161a3683ba7p-2, 0x1.6eebc9615f978p-2, 0x1.68cca4e8b8468p-2, 0x1.62b9134788925p-2, 0x1.5cb176b1cba9ap-2, 0x1.56b62d16b9bf4p-2, 0x1.50c79024dbb2p-2, 0x1.4ae5f54fdb595p-2, 0x1.4511add7f36f6p-2, 0x1.3f4b06d2dfdecp-2, 0x1.39924936308b9p-2, 0x1.33e7b9e2eb3e9p-2, 0x1.2e4b99b259118p-2, 0x1.28be2583ece4fp-2, 0x1.233f964c2dc24p-2, 0x1.1dd0212485f11p-2, 0x1.186ff75be8ac3p-2, 0x1.131f46883878cp-2, 0x1.0dde389859e55p-2, 0x1.08acf3e6de03ep-2, 0x1.038b9b4d37de8p-2, 0x1.fcf49c6ecdd28p-3, 0x1.f2f251701986cp-3, 0x1.e9108739b0975p-3, 0x1.df4f69067994cp-3, 0x1.d5af1bdacb99ap-3, 0x1.cc2fbeaeb886p-3, 0x1.c2d16a989e79fp-3, 0x1.b99432f7ee174p-3, 0x1.b07825a00a451p-3, 0x1.a77d4b0336e82p-3, 0x1.9ea3a65d7b49cp-3, 0x1.95eb35df6a1cp-3, 0x1.8d53f2d8c3aabp-3, 0x1.84ddd1e2d6f58p-3, 0x1.7c88c30aa1b26p-3, 0x1.7454b1fa97791p-3, 0x1.6c4186240c928p-3, 0x1.644f22e830314p-3, 0x1.5c7d67c091ad3p-3, 0x1.54cc30672a99ap-3, 0x1.4d3b54fdd7b9p-3, 0x1.45caaa354b5c1p-3, 0x1.3e7a01735ec8ep-3, 0x1.374928f8cefacp-3, 0x1.3037ec064ebcep-3, 0x1.29461300f3675p-3, 0x1.22736395f1b01p-3, 0x1.1bbfa0dda8cdcp-3, 0x1.152a8b7dfe8f5p-3, 0x1.0eb3e1cbf74cap-3, 0x1.085b5fec9c29p-3, 0x1.0220bff525fa3p-3, 0x1.f8077414b9fd1p-4, 0x1.ec0808fe94d4p-4, 0x1.e042a7e62beccp-4, 0x1.d4b6b6dc654d8p-4, 0x1.c96398fd7b6cap-4, 0x1.be48aea8461b2p-4, 0x1.b36555b3f95d8p-4, 0x1.a8b8e9a4613e2p-4, 0x1.9e42c3dca363dp-4, 0x1.94023bd07f368p-4, 0x1.89f6a734139bdp-4, 0x1.801f5a2a2997p-4, 0x1.767ba7710eb3fp-4, 0x1.6d0ae08dfa24dp-4, 0x1.63cc55f7074bap-4, 0x1.5abf573bc5b0fp-4, 0x1.51e3332c659e2p-4, 0x1.493737ff84b2p-4, 0x1.40bab376a0f38p-4, 0x1.386cf301358b9p-4, 0x1.304d43de8912p-4, 0x1.285af33e303dap-4, 0x1.20954e5f4ea43p-4, 0x1.18fba2ae963ebp-4, 0x1.118d3de310c75p-4, 0x1.0a496e19b50d6p-4, 0x1.032f81efd164dp-4, 0x1.f87d91389e7b8p-5, 0x1.eaed240fae8ddp-5, 0x1.ddac5dc7b8e16p-5, 0x1.d0b9e1812689bp-5, 0x1.c4145443bafa7p-5, 0x1.b7ba5d265d8dbp-5, 0x1.abaaa574e3cf8p-5, 0x1.9fe3d8d3e71cbp-5, 0x1.9464a562b7e19p-5, 0x1.892bbbdb730a5p-5, 0x1.7e37cfb14c4b9p-5, 0x1.7387972d182b8p-5, 0x1.6919cb8822cfap-5, 0x1.5eed29055c5b8p-5, 0x1.55006f08ec1d5p-5, 0x1.4b52602e34096p-5, 0x1.41e1c25c512ddp-5, 0x1.38ad5ed921eb3p-5, 0x1.2fb4025ae43d5p-5, 0x1.26f47d1871015p-5, 0x1.1e6da2d82300bp-5, 0x1.161e4afd74a82p-5, 0x1.0e0550955c292p-5, 0x1.0621926179b98p-5, 0x1.fce3e5c42af6p-6, 0x1.edeab0be05b58p-6, 0x1.df5559dede143p-6, 0x1.d121bd01476ddp-6, 0x1.c34dbdb7933e5p-6, 0x1.b5d747556bd11p-6, 0x1.a8bc4cf78f05cp-6, 0x1.9bfac989c550ap-6, 0x1.8f90bfcb20394p-6, 0x1.837c3a5098f74p-6, 0x1.77bb4b8616381p-6, 0x1.6c4c0dadf69b1p-6, 0x1.612ca2df26edp-6, 0x1.565b3501d723ep-6, 0x1.4bd5f5cae3362p-6, 0x1.419b1eb5f3533p-6, 0x1.37a8f0fe70567p-6, 0x1.2dfdb59750ad8p-6, 0x1.2497bd21d2cedp-6, 0x1.1b755fe32a2ccp-6, 0x1.1294fdb93ce7bp-6, 0x1.09f4fe0e66491p-6, 0x1.0193cfcc683f6p-6, 0x1.f2dfd29cf487dp-7, 0x1.e30f90a53cf49p-7, 0x1.d3b3e3d45c86bp-7, 0x1.c4c9e4d37eaacp-7, 0x1.b64ebab0bbab2p-7, 0x1.a83f9abc55db4p-7, 0x1.9a99c864e019bp-7, 0x1.8d5a9512469fbp-7, 0x1.807f5fffe8902p-7, 0x1.74059615c0dcep-7, 0x1.67eab1c0c31abp-7, 0x1.5c2c3aca69725p-7, 0x1.50c7c62f940e8p-7, 0x1.45baf5f6c2538p-7, 0x1.3b037905b513fp-7, 0x1.309f0af692f3dp-7, 0x1.268b73ec8e459p-7, 0x1.1cc68868244e8p-7, 0x1.134e291b0157fp-7, 0x1.0a2042bb94f4bp-7, 0x1.013acdd8636c6p-7, 0x1.f1379d5641efep-8, 0x1.e082a9d74229fp-8, 0x1.d052f7454a1cdp-8, 0x1.c0a4d1f929b2p-8, 0x1.b1749c3855213p-8, 0x1.a2becdda39f35p-8, 0x1.947ff3ed9c76ep-8, 0x1.86b4b05e166bp-8, 0x1.7959b999c3442p-8, 0x1.6c6bda372a153p-8, 0x1.5fe7f09b75287p-8, 0x1.53caeea105a3ap-8, 0x1.4811d93e70712p-8, 0x1.3cb9c82deed94p-8, 0x1.31bfe59555168p-8, 0x1.27216dae92469p-8, 0x1.1cdbae70cbba6p-8, 0x1.12ec073a1a1fap-8, 0x1.094fe879f215bp-8, 0x1.0004d35c436f3p-8, 0x1.ee10b2eaa985ap-9, 0x1.dcb038dccda91p-9, 0x1.cbe39b6645e11p-9, 0x1.bba65c3fbdd3dp-9, 0x1.abf41b61782c4p-9, 0x1.9cc89663479b5p-9, 0x1.8e1fa7de5cc9bp-9, 0x1.7ff546d0e398p-9, 0x1.7245860382d1dp-9, 0x1.650c9370c1b4p-9, 0x1.5846b7ae60c97p-9, 0x1.4bf05558a4fd7p-9, 0x1.4005e87fa2f71p-9, 0x1.34840616899d3p-9, 0x1.29675b64f5e4fp-9, 0x1.1eacad7a522b9p-9, 0x1.1450d8a3408b1p-9, 0x1.0a50cfe11bfc5p-9, 0x1.00a99c638aa5bp-9, 0x1.eeb0ba084f0dbp-10, 0x1.dcb48b8883a41p-10, 0x1.cb593e996ce6bp-10, 0x1.ba998cdfc1ebp-10, 0x1.aa70575b4c09bp-10, 0x1.9ad8a5732bbf5p-10, 0x1.8bcda40648e83p-10, 0x1.7d4aa47fef75ep-10, 0x1.6f4b1bf09c012p-10, 0x1.61caa22ae0912p-10, 0x1.54c4f0e4739ep-10, 0x1.4835e2db4f676p-10, 0x1.3c1972fef283bp-10, 0x1.306bbb9d9da06p-10, 0x1.2528f595adf94p-10, 0x1.1a4d778adc3c2p-10, 0x1.0fd5b51f8ce13p-10, 0x1.05be3e31fd645p-10, 0x1.f8077c3abe856p-11, 0x1.e545f5fd9cfdap-11, 0x1.d331a9fc35545p-11, 0x1.c1c48b34b38fcp-11, 0x1.b0f8bdf472e2p-11, 0x1.a0c8968009c0fp-11, 0x1.912e97c2aa32fp-11, 0x1.82257204bcdb7p-11, 0x1.73a801a9a3defp-11, 0x1.65b14df48df8fp-11, 0x1.583c87d440fe9p-11, 0x1.4b4508b5c5101p-11, 0x1.3ec6515dd7ed8p-11, 0x1.32bc08c91296ep-11, 0x1.2721fb12a5123p-11, 0x1.1bf4186191995p-11, 0x1.112e73dc4ffd2p-11, 0x1.06cd42a2bbf9ap-11, 0x1.f999b59c76378p-12, 0x1.e65364eff6c0dp-12, 0x1.d3c0bd8a6ac3ep-12, 0x1.c1db25f2af759p-12, 0x1.b09c3f1bffd77p-12, 0x1.9ffde2a159e83p-12, 0x1.8ffa210c182cp-12, 0x1.808b402597049p-12, 0x1.71abb953ae734p-12, 0x1.635637ffcf2f3p-12, 0x1.5585980893c4dp-12, 0x1.4834e43d8f41bp-12, 0x1.3b5f54e52cd5ap-12, 0x1.2f004e4c6d122p-12, 0x1.23135f605024ep-12, 0x1.17944050bc696p-12, 0x1.0c7ed13cb52f2p-12, 0x1.01cf18e7a80f7p-12, 0x1.ef0286ef61b0cp-13, 0x1.db2342792bcdbp-13, 0x1.c7f94afeaf1e2p-13, 0x1.b57dcab44cdfcp-13, 0x1.a3aa2d3111b2ep-13, 0x1.92781d3f1ccdp-13, 0x1.81e182bbbce27p-13, 0x1.71e08086ee1cp-13, 0x1.626f7281e1b9cp-13, 0x1.5388eb9c41066p-13, 0x1.4527b3efc7a02p-13, 0x1.3746c6e9f356cp-13, 0x1.29e151836cd85p-13, 0x1.1cf2b084dbb62p-13, 0x1.10766ed8d1fe5p-13, 0x1.046843ea875aap-13, 0x1.f188242228e2cp-14, 0x1.db0bca0dae52dp-14, 0x1.c553e0d9955acp-14, 0x1.b0591cb2e7675p-14, 0x1.9c147be648219p-14, 0x1.887f442a98e15p-14, 0x1.7593000126832p-14, 0x1.63497c2adc80ep-14, 0x1.519cc531f20d2p-14, 0x1.408725078e399p-14, 0x1.300320b4e0048p-14, 0x1.200b761f27dffp-14, 0x1.109b19de3665dp-14, 0x1.01ad3524e3348p-14, 0x1.e67a477606dedp-15, 0x1.ca8ce410cebe1p-15, 0x1.af89b660d999fp-15, 0x1.95688e7b5fdcdp-15, 0x1.7c2192badcd74p-15, 0x1.63ad3c545835ap-15, 0x1.4c04540a5d36fp-15, 0x1.351feefccb6e1p-15, 0x1.1ef96b94b5db1p-15, 0x1.098a6e8b8245p-15, 0x1.e999c01907852p-16, 0x1.c175d1e0a5201p-16, 0x1.9a9de02239b2cp-16, 0x1.75072f6e7fd8dp-16, 0x1.50a7763adcf43p-16, 0x1.2d74d817648fdp-16, 0x1.0b65e11147e31p-16, 0x1.d4e302809c6ffp-17, 0x1.951e10fc28374p-17, 0x1.576c448ba5b1dp-17, 0x1.1bbda376d561cp-17, 0x1.c405b7621c042p-18, 0x1.545a76faa9d9p-18, 0x1.d0baa9680176ap-19, 0x1.ffcd118d497bcp-20, 0x1.b02519e7a8d2p-22, -0x1.1a39b3674d6c1p-20, -0x1.49adc263ffc5fp-19, -0x1.ffdc04435031bp-19, -0x1.57e9de13cb835p-18, -0x1.acdfa5dce2c79p-18, -0x1.fee3b7029a998p-18, -0x1.2704d2cc6b3c3p-17, -0x1.4d3222dbc0d4dp-17, -0x1.7202da465260ap-17, -0x1.957fb0870a023p-17, -0x1.b7b10a2703e2dp-17, -0x1.d89efcbad5eb4p-17, -0x1.f85152b478904p-17, -0x1.0b67c7859a0b2p-16, -0x1.1a10785d8d942p-16, -0x1.28263b0ebd856p-16, -0x1.35ac700dcda63p-16, -0x1.42a65a9e964b6p-16, -0x1.4f172249d79b5p-16, -0x1.5b01d4420a151p-16, -0x1.666964b7ee7d9p-16, -0x1.7150b01f6e069p-16, -0x1.7bba7c6562bc5p-16, -0x1.85a97a16df89fp-16, -0x1.8f20457a719d7p-16, -0x1.9821679bf3ecep-16, -0x1.a0af574b70ce4p-16, -0x1.a8cc7a0f8f029p-16, -0x1.b07b250c084edp-16, -0x1.b7bd9ddca4d98p-16, -0x1.be961b6523cap-16, -0x1.c506c6968f426p-16, -0x1.cb11bb2a6206ap-16, -0x1.d0b90853e1892p-16, -0x1.d5feb168205fbp-16, -0x1.dae4ae7cff998p-16, -0x1.df6cecff948fp-16, -0x1.e39950424eb0ap-16, -0x1.e76bb20333ca8p-16, -0x1.eae5e2ea8c193p-16, -0x1.ee09ab02527c4p-16, -0x1.f0d8ca26b3004p-16, -0x1.f354f86feeef7p-16, -0x1.f57fe695eb97dp-16, -0x1.f75b3e4db3d2cp-16, -0x1.f8e8a2a135184p-16, -0x1.fa29b0417f719p-16, -0x1.fb1ffdd3be57fp-16, -0x1.fbcd1c3933fedp-16, -0x1.fc3296d2721ebp-16, -0x1.fc51f3be04242p-16, -0x1.fc2cb412ce7d8p-16, -0x1.fbc454164aa98p-16, -0x1.fb1a4b6ee30a4p-16, -0x1.fa300d5299003p-16, -0x1.f90708b225942p-16, -0x1.f7a0a860c5b06p-16, -0x1.f5fe5338e006fp-16, -0x1.f4216c3daad54p-16, -0x1.f20b52ba005cp-16, -0x1.efbd625c883bfp-16, -0x1.ed38f35157956p-16, -0x1.ea7f5a593608cp-16, -0x1.e791e8dea240ap-16, -0x1.e471ed08b7e48p-16, -0x1.e120b1cc239fcp-16, -0x1.dd9f7efa300d7p-16, -0x1.d9ef994e1df86p-16, -0x1.d6124278d5a0bp-16, -0x1.d208b92b139dap-16, -0x1.cdd4391e26f9bp-16, -0x1.c975fb1b62664p-16, -0x1.c4ef35024b56dp-16, -0x1.c04119cda8284p-16, -0x1.bb6cd99781821p-16, -0x1.b673a19c23e9bp-16, -0x1.b1569c3c413c6p-16, -0x1.ac16f0fe3c26p-16, -0x1.a6b5c48eb55cep-16, -0x1.a13438c0628f2p-16, -0x1.9b936c8b4f6eap-16, -0x1.95d47c0b85fa2p-16, -0x1.8ff8807f37f43p-16, -0x1.8a0090447961bp-16, -0x1.83edbed68cc93p-16, -0x1.7dc11ccadebdep-16, -0x1.777bb7cdaaf25p-16, -0x1.711e9a9e67a5fp-16, -0x1.6aaacd0bef7fep-16, -0x1.642153f0881acp-16, -0x1.5d83312dbbe42p-16, -0x1.56d163a81a0a3p-16, -0x1.500ce742eae2bp-16, -0x1.4936b4dbcbd1cp-16, -0x1.424fc246531dap-16, -0x1.3b590247b1996p-16, -0x1.345364925c3cap-16, -0x1.2d3fd5c1cb58ep-16, -0x1.261f3f5646c83p-16, -0x1.1ef287b0d287dp-16, -0x1.17ba920f3b083p-16, -0x1.10783e883e4f3p-16, -0x1.092c6a07e4a9ap-16, -0x1.01d7ee4bfed49p-16, -0x1.f4f743c1b2f31p-17, -0x1.e630b03c37cdep-17, -0x1.d75dc247bf69cp-17, -0x1.c88013b0013ep-17, -0x1.b99937c74924dp-17, -0x1.aaaabb620086p-17, -0x1.9bb624d2b654p-17, -0x1.8cbcf3e69ea66p-17, -0x1.7dc0a1e29b3ccp-17, -0x1.6ec2a180c898ep-17, -0x1.5fc45eee8b5a5p-17, -0x1.50c73fcb29667p-17, -0x1.41cca326f04a9p-17, -0x1.32d5e182d9944p-17, -0x1.23e44cd0c835ap-17, -0x1.14f93074472f9p-17, -0x1.0615d143d80f7p-17, -0x1.ee76db159666p-18, -0x1.d0d67a17435bep-18, -0x1.b34ce205f5155p-18, -0x1.95dc685610c27p-18, -0x1.7887557f1ccabp-18, -0x1.5b4fe504cab71p-18, -0x1.3e38458106d28p-18, -0x1.214298af13d81p-18, -0x1.0470f377a600ap-18, -0x1.cf8abbfbff7bbp-19, -0x1.9683a75c10b5bp-19, -0x1.5dd08696b6b52p-19, -0x1.25751e028eb6fp-19, -0x1.daea31cef575ap-20, -0x1.6ba813449a746p-20, -0x1.fa55a728ef7ep-21, -0x1.1ef2696040fc2p-21, -0x1.14ce3cf069a4dp-23, 0x1.25b44cc55eb14p-22, 0x1.692a5716e5b3fp-21, 0x1.1ed88120197c4p-20, 0x1.883143232f66fp-20, 0x1.f099cfeb5759ap-20, 0x1.2c065a46e5207p-19, 0x1.5f42563bbaeffp-19, 0x1.91fe5081b90c9p-19, 0x1.c437d487768f6p-19, 0x1.f5ec844551129p-19, 0x1.138d0c027d901p-18, 0x1.2bdf2f13f32efp-18, 0x1.43eb9d764f1a6p-18, 0x1.5bb154198aecp-18, 0x1.732f5a9ffc533p-18, 0x1.8a64c33f8719dp-18, 0x1.a150aaa25c71p-18, 0x1.b7f237c74c6dbp-18, 0x1.ce489be1b336ep-18, 0x1.e453123905a56p-18, 0x1.fa10e008023b6p-18, 0x1.07c0aa2dc7fb6p-17, 0x1.1251e3f8a5102p-17, 0x1.1cbbce8ae39c6p-17, 0x1.26fe1fc14ca39p-17, 0x1.3118921e083c7p-17, 0x1.3b0ae4b762c6fp-17, 0x1.44d4db267778ep-17, 0x1.4e763d75c54c6p-17, 0x1.57eed80fad4e6p-17, 0x1.613e7bace1374p-17, 0x1.6a64fd42bd1e8p-17, 0x1.736235f1a09a4p-17, 0x1.7c3602f32976cp-17, 0x1.84e0458878154p-17, 0x1.8d60e2e862804p-17, 0x1.95b7c42dad42cp-17, 0x1.9de4d64532f4fp-17, 0x1.a5e809dc1e84ap-17, 0x1.adc1534e1714bp-17, 0x1.b570aa93817a1p-17, 0x1.bcf60b2fb4c0bp-17, 0x1.c451741f48a15p-17, 0x1.cb82e7c66114fp-17, 0x1.d28a6bdf0ca55p-17, 0x1.d9680967b4078p-17, 0x1.e01bcc9189b77p-17, 0x1.e6a5c4af1d9a7p-17, 0x1.ed060422fab81p-17, 0x1.f33ca04e507b1p-17, 0x1.f949b17fc5bcap-17, 0x1.ff2d52e24d415p-17, 0x1.0273d13612b8cp-16, 0x1.053c6066f2854p-16, 0x1.07f068b0d47acp-16, 0x1.0a8ffd0d2e072p-16, 0x1.0d1b31b991793p-16, 0x1.0f921c2f6d463p-16, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      52, 0x1.2666666666666p+2, 0x1.52c907ac4cd35p+1, 0x1.0cdee65823ep+2, -0x1.a0af31e872788p-5, 
      {{
        {0x1p+1, 0x1.0666666666666p+1, 0x1.235ea0a9ffb21p-2, -0x1.c6858ee654f44p-1, 0x1.2cc0a19470073p+0, -0x1.79f5435f5b45p-1}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.f1a937b0a90b5p-3, -0x1.8d34b6210a1d3p-1, 0x1.1067d6207c622p+0, -0x1.63b75bca64f47p-1}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.a77d75d63fbabp-3, -0x1.596484f3bd836p-1, 0x1.eb742b490338ep-1, -0x1.50ce6b3a86465p-1}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.67285dee027f2p-3, -0x1.2ac5f877c209fp-1, 0x1.b8eece66a2482p-1, -0x1.3d00ed8aed506p-1}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.2fa76267c874bp-3, -0x1.010ebca6376ep-1, 0x1.8961ddf831e23p-1, -0x1.2970ad5520954p-1}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.000705fa00cc1p-3, -0x1.b7e67876f373cp-2, 0x1.5cc42a5ea0326p-1, -0x1.15d00457e0c0cp-1}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.aec5b743658c4p-4, -0x1.7650700e4dd35p-2, 0x1.331829b7d815ap-1, -0x1.0233c0fea07b1p-1}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.69cb0d44fb6c4p-4, -0x1.3cc4b39131d08p-2, 0x1.0c5d332b4002fp-1, -0x1.dd2c9fb9a7eaep-2}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.2f91750d32046p-4, -0x1.0aaca2d9efdf4p-2, 0x1.d126e7faa6d63p-2, -0x1.b5f26072740acp-2}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.fd54ec7b50851p-5, -0x1.bee334e9dc468p-3, 0x1.8f75bfe97bd42p-2, -0x1.8eb7f0cac32e1p-2}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.ab8b720a5a75bp-5, -0x1.74f9ef953ec22p-3, 0x1.53a6f564ab5a4p-2, -0x1.677d9fa8a16f8p-2}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.67620c3f80475p-5, -0x1.367030425c59cp-3, 0x1.1dba83d82cbdp-2, -0x1.404304d0bf86p-2}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.2eb08dad20afbp-5, -0x1.0218b0d7b26f5p-3, 0x1.db60eca4ecd11p-3, -0x1.1909724a4c971p-2}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.ff1613fff55e1p-6, -0x1.ad8c5c2f5ba4dp-4, 0x1.87114a5b6f70dp-3, -0x1.e3981067c9d93p-3}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.b083abfe5b146p-6, -0x1.6696b3f5aaf15p-4, 0x1.3e8747e5778ffp-3, -0x1.9539e817c47f7p-3}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.6ec30f18719d7p-6, -0x1.2cf61d8ab0dbcp-4, 0x1.01be98484d49ep-3, -0x1.4670bf7450a51p-3}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.3765eb45f8ab4p-6, -0x1.fc9e415aab9f4p-5, 0x1.a18e90ba82627p-4, -0x1.f26dd8842ba85p-4}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.087670b37077cp-6, -0x1.b0954f561232bp-5, 0x1.56cae3737bd5cp-4, -0x1.4c55873c87c2bp-4}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.c0eea384339b2p-7, -0x1.71027ec1298c7p-5, 0x1.24f1425d9aabfp-4, -0x1.e7ecdff7d548cp-5}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.7cbec01de8c72p-7, -0x1.3a14a8ebd1f8fp-5, 0x1.005917f7d1131p-4, -0x1.d2a125021cdecp-5}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.42d2977f59391p-7, -0x1.0a4f91d85a4b9p-5, 0x1.bab39d95b76b6p-5, -0x1.a60c15cceacf1p-5}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.11c6c59f129cp-7, -0x1.c2697a42a2ca3p-6, 0x1.7b6500b6fa996p-5, -0x1.7fb456c3fe815p-5}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.d0acb859a8648p-8, -0x1.7c49e6f0570bap-6, 0x1.41d6c07ffad27p-5, -0x1.57b0ab497d5f1p-5}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.8ab5c5231daaep-8, -0x1.4113859172487p-6, 0x1.0e490d34f4d14p-5, -0x1.301f616904d4ep-5}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.4f98abdec9e8bp-8, -0x1.0f94bdfce9123p-6, 0x1.c1557d30ce953p-6, -0x1.08707d92001ccp-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.1d825243552b6p-8, -0x1.cd3a7b2f51ca4p-7, 0x1.72008ab834f33p-6, -0x1.c18b3ff649fa2p-6}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.e5b912f39555cp-9, -0x1.89f89f1ecffdap-7, 0x1.2e920decdd0dfp-6, -0x1.725086b4541a8p-6}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.9c9c1c3b319bdp-9, -0x1.530304c18132fp-7, 0x1.ee0bf3706dacfp-7, -0x1.22a1b9431b5d3p-6}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.5d751079224fbp-9, -0x1.25f77307e8902p-7, 0x1.96db6f0f7f113p-7, -0x1.a9507546435d5p-7}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.268516add0f02p-9, -0x1.007882678699dp-7, 0x1.570f5d7828299p-7, -0x1.009b29dad8e9cp-7}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.ed0e597cdab43p-10, -0x1.c02db6952ed2dp-8, 0x1.3091b0ca87a01p-7, -0x1.5a25e03bb0186p-8}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.9956b19c61ea9p-10, -0x1.85dc6110f6f0bp-8, 0x1.169ba65fa737fp-7, -0x1.5d6fada6d8d49p-8}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.50c3902883e43p-10, -0x1.50c291180b99fp-8, 0x1.f8ccf2b3144fbp-8, -0x1.4734862218637p-8}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.124bdb632d06cp-10, -0x1.20bbe7e8f3fe8p-8, 0x1.c7b844fac3da9p-8, -0x1.37cfdebdc9784p-8}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.b9e6d028e043dp-11, -0x1.eb0050e299991p-9, 0x1.98f2b05e4c084p-8, -0x1.26962bc79d389p-8}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.5f95f3150ce4ep-11, -0x1.9da1640736fd9p-9, 0x1.6cc290338e0ccp-8, -0x1.15da26f875db5p-8}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.13e083339f3e8p-11, -0x1.58d8a15f59ca2p-9, 0x1.43150a5b15f8ep-8, -0x1.04fc751f190a9p-8}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.aa37827346eb3p-12, -0x1.1c2502568f5eap-9, 0x1.1bef2bfcd236fp-8, -0x1.e84f928f1637fp-9}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.436d95d0e5101p-12, -0x1.ce0a435c0ed3cp-10, 0x1.ee9f3530fab2ap-9, -0x1.c6a164e5eff9bp-9}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.e0ea6c36c9218p-13, -0x1.71ef6708e93efp-10, 0x1.aa6d660e7d199p-9, -0x1.a4f4832155981p-9}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.5d28260d5588p-13, -0x1.22f6ca59b6a18p-10, 0x1.6b48b8c97d0ffp-9, -0x1.834747c496ecep-9}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.ed0e597cdaaeep-14, -0x1.c03b972dd95dbp-11, 0x1.31313ad2666c8p-9, -0x1.619a26e3dcf35p-9}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.50c3902883e16p-14, -0x1.50c3902d532fbp-11, 0x1.f84dd06070f7p-10, -0x1.3fecf5ab38254p-9}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.b9e6d028e0384p-15, -0x1.eb007557f24e4p-12, 0x1.985386ad1350bp-10, -0x1.1e3feb562a08cp-9}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.13e083339f3a9p-15, -0x1.58d8a4a2204dbp-12, 0x1.42738ce006b4dp-10, -0x1.f924ab95992f6p-10}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.436d95d0e4fap-16, -0x1.ce0a3f0586ff1p-13, 0x1.ed5c197992a8cp-11, -0x1.b5cd8c69d034p-10}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.5d28260d556c2p-17, -0x1.22f6dbf9f78bep-13, 0x1.6a04d5c03a99cp-11, -0x1.726753ff3e488p-10}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.50c3902883801p-18, -0x1.50c30ccab335dp-14, 0x1.f5cbac4db63cp-12, -0x1.2f3974a48c893p-10}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.13e083339eaffp-19, -0x1.58dc7888f6589p-15, 0x1.3fdc665161e6fp-12, -0x1.d6729492bb588p-11}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.5d28260d55p-21, -0x1.22da33943555fp-16, 0x1.65740d178699dp-13, -0x1.5493e5c061b29p-11}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.13e083339bfffp-23, -0x1.5a836c80cc19p-18, 0x1.3236a014fe5f1p-14, -0x1.77a66abd733fdp-12}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.13e08333cp-27, -0x1.27126d7f3a714p-21, 0x1.434b19c07e7ffp-16, -0x1.f6ba5f9ed02f1p-12}, 
      }}, 
      0x1.d90d6ddcdcfp-8, -0x1.6c8ec13599a64p-5
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_o_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.3fb2becfbad58p+1, -0x1.3ddbd2cd6cfep+1, -0x1.3ad80b5dfeb5dp+1, -0x1.36b7c99a0dcabp+1, -0x1.318ef09e60e87p+1, -0x1.2b73adab35934p+1, -0x1.247d097b4a743p+1, -0x1.1cc2b6187dfe5p+1, -0x1.145c486e43922p+1, -0x1.0b60fe9eda3cbp+1, -0x1.01e70ed695d6dp+1, -0x1.f008458c84bbcp+0, -0x1.db98a912b841fp+0, -0x1.c6a5af4edd11dp+0, -0x1.b1530aed5f1c3p+0, -0x1.9bc186e21c618p+0, -0x1.860f609260a2ep+0, -0x1.7058862cc451ep+0, -0x1.5ab5b02eab856p+0, -0x1.453d22a45fb37p+0, -0x1.30035a7673314p+0, -0x1.1b1a3b8a82845p+0, -0x1.0690dbae8bed2p+0, -0x1.e4e8c1e00c169p-1, -0x1.bda1188668d88p-1, -0x1.975f104e7df4ap-1, -0x1.72332f742b7d5p-1, -0x1.4e28ca9da997fp-1, -0x1.2b4b064a31031p-1, -0x1.09a180bdf13fcp-1, -0x1.d263266a57cf6p-2, -0x1.93fd6b2fa5518p-2, -0x1.58156566b1f1cp-2, -0x1.1eab647539026p-2, -0x1.cf790c339d295p-3, -0x1.66861a8c8ab9ep-3, -0x1.026decfd3cfccp-3, -0x1.463a50a30ed1cp-4, -0x1.21f7f20fccb71p-5, 0x1.b0ef8111d0a4p-8, 0x1.7c34fd28ca64dp-5, 0x1.585f099f20448p-4, 0x1.ea1971c935ad3p-4, 0x1.39c5293621a44p-3, 0x1.7a7a689f17ccdp-3, 0x1.b74e99ad6049ap-3, 0x1.f063dbdabbef8p-3, 0x1.12edffea640ep-2, 0x1.2bec3fbc726c9p-2, 0x1.433d4d4f88401p-2, 0x1.58f1bb98e4988p-2, 0x1.6d1a18ba0c50bp-2, 0x1.7fc6ec81731fdp-2, 0x1.9108af433a495p-2, 0x1.a0ef1a303cf17p-2, 0x1.af8d651a9bfc7p-2, 0x1.bcf0d1ba8b931p-2, 0x1.c9287fb6919d8p-2, 0x1.d44327505bef7p-2, 0x1.de4f100cfd861p-2, 0x1.e75a0a5821757p-2, 0x1.ef716d353f5e3p-2, 0x1.f6a21781c94fep-2, 0x1.fcf8731ff6126p-2, 0x1.01403c08d6b32p-1, 0x1.03a2d7092440fp-1, 0x1.05a9961c5726ap-1, 0x1.0759cb8e151b6p-1, 0x1.08b88f4245924p-1, 0x1.09cabde1c707fp-1, 0x1.0a94f8c84aacfp-1, 0x1.0b1ba6e8b9586p-1, 0x1.0b62f6a63e34p-1, 0x1.0b6ee073ef713p-1, 0x1.0b4329f076fdep-1, 0x1.0ae3692735c8ap-1, 0x1.0a5307a490c6dp-1, 0x1.0995451d4ff1ep-1, 0x1.08ad39848b3p-1, 0x1.079dd68a503d2p-1, 0x1.0669e898364e9p-1, 0x1.0514177384d11p-1, 0x1.039ee6b450d37p-1, 0x1.020cb63edd715p-1, 0x1.005fc2e35fadfp-1, 0x1.fd344e775a9cap-2, 0x1.f97bb9a26815cp-2, 0x1.f5997b1423888p-2, 0x1.f1910aa6a0f8cp-2, 0x1.ed65a7f085c3p-2, 0x1.e91a5e27a8a22p-2, 0x1.e4b2080f7ba5ep-2, 0x1.e02f53cd44054p-2, 0x1.db94c6815f5ccp-2, 0x1.d6e4bf8c1cedp-2, 0x1.d2217b6d819f1p-2, 0x1.cd4d16387d383p-2, 0x1.c8698d9af56aap-2, 0x1.c378c283be36fp-2, 0x1.be7c7a756051dp-2, 0x1.b9766098209fp-2, 0x1.b468069eed0b1p-2, 0x1.af52e591f5d3ap-2, 0x1.aa385e8f29ae7p-2, 0x1.a519bb8d66315p-2, 0x1.9ff8302b4d38ep-2, 0x1.9ad4da8f0d6bfp-2, 0x1.95b0c45956169p-2, 0x1.908ce3ab2ab62p-2, 0x1.8b6a1c3c7cc69p-2, 0x1.864ae6ec3c152p-2, 0x1.812c47363503ap-2, 0x1.7c10f944abed7p-2, 0x1.76f9a9d58765cp-2, 0x1.71e6f929c150dp-2, 0x1.6cd97bcda9287p-2, 0x1.67d1bb5da49cfp-2, 0x1.62d03745b10bfp-2, 0x1.5dd56579fa4fdp-2, 0x1.58e1b326f4ecep-2, 0x1.53f58557ae3c5p-2, 0x1.4f1139913f44ap-2, 0x1.4a352662aecdcp-2, 0x1.45619be8dca8ap-2, 0x1.4096e44670e36p-2, 0x1.3bd544100d5cap-2, 0x1.371cfaad5dd94p-2, 0x1.326e42afcac2p-2, 0x1.2dc9521fce10ep-2, 0x1.292e5ac1f563ep-2, 0x1.249d8a54aaaeap-2, 0x1.20170ac7d195dp-2, 0x1.1b9b026f3c7f3p-2, 0x1.17299430deea3p-2, 0x1.12c2dfaf836cp-2, 0x1.0e670172c2dc4p-2, 0x1.0a16130cc7adbp-2, 0x1.05d02b3e5f30ap-2, 0x1.01955e19c722ap-2, 0x1.facb7a48f2291p-3, 0x1.f282aef0786ddp-3, 0x1.ea5073c738aedp-3, 0x1.e234de13aa03dp-3, 0x1.da2fff046ebecp-3, 0x1.d241e3ede705p-3, 0x1.ca6a968651177p-3, 0x1.c2aa1d202c869p-3, 0x1.bb007ae2893b7p-3, 0x1.b36daffeede64p-3, 0x1.abf1b9e47f9e1p-3, 0x1.a48c93702d1e9p-3, 0x1.9d3e3519a7fd6p-3, 0x1.9606951d0c2a7p-3, 0x1.8ee5a7a12c108p-3, 0x1.87db5eda83f79p-3, 0x1.80e7ab2af5364p-3, 0x1.7a0a7b3e68dbap-3, 0x1.7343bc24878f8p-3, 0x1.6c935967d5d2cp-3, 0x1.65f93d225a736p-3, 0x1.5f75501025667p-3, 0x1.5907799ff3bb3p-3, 0x1.52afa0023541ep-3, 0x1.4c6da836adf45p-3, 0x1.46417618f89ebp-3, 0x1.402aec6c1965ap-3, 0x1.3a29ece54fa9cp-3, 0x1.343e583656c8dp-3, 0x1.2e680e173100ep-3, 0x1.28a6ed4fa4eb2p-3, 0x1.22fad3c072d65p-3, 0x1.1d639e6c636d6p-3, 0x1.17e12981308acp-3, 0x1.12735060564cap-3, 0x1.0d19eda7cb875p-3, 0x1.07d4db3aa43b1p-3, 0x1.02a3f249a4337p-3, 0x1.fb0e16b765bd8p-4, 0x1.f0fbfcac7794cp-4, 0x1.e711450adeeabp-4, 0x1.dd4d9d48c72d9p-4, 0x1.d3b0b1ca25b25p-4, 0x1.ca3a2df0667b1p-4, 0x1.c0e9bc29cf1b9p-4, 0x1.b7bf060086223p-4, 0x1.aeb9b429461p-4, 0x1.a5d96e91ac0a1p-4, 0x1.9d1ddc6e278b9p-4, 0x1.9486a4478aeb4p-4, 0x1.8c136c082cdf7p-4, 0x1.83c3d908ab893p-4, 0x1.7b97901c40ab7p-4, 0x1.738e359cae436p-4, 0x1.6ba76d75c355fp-4, 0x1.63e2db3078c4cp-4, 0x1.5c4021fda8cecp-4, 0x1.54bee4c064664p-4, 0x1.4d5ec617e987dp-4, 0x1.461f68693e708p-4, 0x1.3f006de878e9ep-4, 0x1.380178a1b1d8dp-4, 0x1.31222a81b2412p-4, 0x1.2a62255e55de9p-4, 0x1.23c10afeb2a23p-4, 0x1.1d3e7d23026fap-4, 0x1.16da1d8c5a035p-4, 0x1.10938e042de27p-4, 0x1.0a6a7063a98d4p-4, 0x1.045e669ae2a14p-4, 0x1.fcde256fbe3ecp-5, 0x1.f1382ddafc46fp-5, 0x1.e5ca2b34780a6p-5, 0x1.da93629dac32cp-5, 0x1.cf9319a9a064p-5, 0x1.c4c89669b5401p-5, 0x1.ba331f7a3116bp-5, 0x1.afd1fc0e90c47p-5, 0x1.a5a473fd98887p-5, 0x1.9ba9cfcd26942p-5, 0x1.91e158bdc428bp-5, 0x1.884a58d5f7065p-5, 0x1.7ee41aed4d8a9p-5, 0x1.75adbd40079cep-5, 0x1.6ca6e9c0ddd34p-5, 0x1.63cebe41db01dp-5, 0x1.5b2489337a47bp-5, 0x1.52a79a0cc8657p-5, 0x1.4a574154cap-5, 0x1.4232d0ab95e32p-5, 0x1.3a399ad311ad1p-5, 0x1.326af3b765a57p-5, 0x1.2ac630771a606p-5, 0x1.234aa76ae7373p-5, 0x1.1bf7b02d36846p-5, 0x1.14cca3a1594cdp-5, 0x1.0dc8dbfa726ep-5, 0x1.06ebb4c216db5p-5, 0x1.00348adea6c86p-5, 0x1.f3457932b7c5p-6, 0x1.e66b53482b7c4p-6, 0x1.d9d9663dbb93fp-6, 0x1.cd8e773a51846p-6, 0x1.c1894e55a2d68p-6, 0x1.b5c8b6a1aac05p-6, 0x1.aa4b7e33964fep-6, 0x1.9f10762c3409bp-6, 0x1.941672bfe3741p-6, 0x1.895c4b3dfb6adp-6, 0x1.7ee0da17c08fep-6, 0x1.74a2fce6d067cp-6, 0x1.6aa19473217fap-6, 0x1.60db84b87622bp-6, 0x1.574fb4eb6852dp-6, 0x1.4dfd0f7df6627p-6, 0x1.44e2822398a2dp-6, 0x1.3bfefdd4ee388p-6, 0x1.335176d2eb45bp-6, 0x1.2ad8e4a99fa41p-6, 0x1.229442328f232p-6, 0x1.1a828d969d696p-6, 0x1.12a2c84f8b59ep-6, 0x1.0af3f729162f3p-6, 0x1.03752241a5ff3p-6, 0x1.f84aaa154728fp-7, 0x1.ea073c90c6a43p-7, 0x1.dc1e20236eda3p-7, 0x1.ce8d7f9e437ccp-7, 0x1.c1538c7354335p-7, 0x1.b46e7eb2c066fp-7, 0x1.a7dc950706e8cp-7, 0x1.9b9c14b0a5adp-7, 0x1.8fab49812cc8cp-7, 0x1.840885d597aa1p-7, 0x1.78b22290155a4p-7, 0x1.6da67f113fca8p-7, 0x1.62e40130b9b93p-7, 0x1.586915353a39p-7, 0x1.4e342dcc0fb49p-7, 0x1.4443c4002b753p-7, 0x1.3a96573095defp-7, 0x1.312a6d066e00ap-7, 0x1.27fe916a7af18p-7, 0x1.1f11567a331e7p-7, 0x1.1661547c615b1p-7, 0x1.0ded29d56089bp-7, 0x1.05b37afae61b6p-7, 0x1.fb65e4cec0f53p-8, 0x1.ebd4811a2ec9bp-8, 0x1.dcb037918f1ap-8, 0x1.cdf680a80eb57p-8, 0x1.bfa4e06e9052dp-8, 0x1.b1b8e6772491ap-8, 0x1.a4302db7de2a1p-8, 0x1.97085c6d2ec4fp-8, 0x1.8a3f23fbbd475p-8, 0x1.7dd240d1b1122p-8, 0x1.71bf7a47ad518p-8, 0x1.6604a2815193p-8, 0x1.5a9f964d51a5fp-8, 0x1.4f8e3d0560732p-8, 0x1.44ce886da01b1p-8, 0x1.3a5e7493ebccbp-8, 0x1.303c07aede55cp-8, 0x1.266551fca3c93p-8, 0x1.1cd86da1a3749p-8, 0x1.13937e86fd14fp-8, 0x1.0a94b2390382dp-8, 0x1.01da3fc58393fp-8, 0x1.f2c4cf343a908p-9, 0x1.e256e6c4ee7f7p-9, 0x1.d2676bcd3d51cp-9, 0x1.c2f315d292b2bp-9, 0x1.b3f6ae0c6f69fp-9, 0x1.a56f0f21455ebp-9, 0x1.975924e3a41b2p-9, 0x1.89b1ec0f8ef87p-9, 0x1.7c76720805f57p-9, 0x1.6fa3d4951a298p-9, 0x1.633741a206b85p-9, 0x1.572df6fc065ccp-9, 0x1.4b85421143f8ap-9, 0x1.403a7fb05991ep-9, 0x1.354b1bc84a993p-9, 0x1.2ab49128d842bp-9, 0x1.207469436b9d8p-9, 0x1.16883bec44e94p-9, 0x1.0cedaf1c9d8dap-9, 0x1.03a276b4d8b46p-9, 0x1.f548a87ee0f4dp-10, 0x1.e3e22d68f09e5p-10, 0x1.d30d347ad6a6ep-10, 0x1.c2c58ff3b22bfp-10, 0x1.b3072b88bc9efp-10, 0x1.a3ce0bf08ac19p-10, 0x1.95164e6f4d373p-10, 0x1.86dc28642f0fep-10, 0x1.791be6d814bc6p-10, 0x1.6bd1ee0d05044p-10, 0x1.5efab90f1e4d7p-10, 0x1.5292d9464eab7p-10, 0x1.4696f609ac842p-10, 0x1.3b03cc333fcb1p-10, 0x1.2fd62db5c4c4ap-10, 0x1.250b0132f5e4fp-10, 0x1.1a9f41934819ep-10, 0x1.108ffd9f053d8p-10, 0x1.06da5797efe45p-10, 0x1.faf709aa38843p-11, 0x1.e8e19abe5afa9p-11, 0x1.d76f171c5731bp-11, 0x1.c69a57513a94bp-11, 0x1.b65e5707da53ap-11, 0x1.a6b6344ba3adfp-11, 0x1.979d2ecf0b13ap-11, 0x1.890ea7336be57p-11, 0x1.7b061e54a6cc2p-11, 0x1.6d7f349672356p-11, 0x1.6075a93539e5p-11, 0x1.53e55998b88dp-11, 0x1.47ca40aa647bp-11, 0x1.3c20762d2d244p-11, 0x1.30e42e1959032p-11, 0x1.2611b7f9fdbc4p-11, 0x1.1ba57e4d52beap-11, 0x1.119c05e830919p-11, 0x1.07f1ed5b8c966p-11, 0x1.fd47d8b9ac84p-12, 0x1.eb5da661704bdp-12, 0x1.da1f1430f8954p-12, 0x1.c98621846326cp-12, 0x1.b98cfb755886bp-12, 0x1.aa2dfbc4b0e03p-12, 0x1.9b63a7c8b37f9p-12, 0x1.8d28af5fe8cb2p-12, 0x1.7f77ebe84839fp-12, 0x1.724c5f3bb660bp-12, 0x1.65a132b05c623p-12, 0x1.5971b61d662c2p-12, 0x1.4db95ee3f7c4dp-12, 0x1.4273c6fcd50dfp-12, 0x1.379cac0abf987p-12, 0x1.2d2fee6f29a55p-12, 0x1.232990656206ap-12, 0x1.1985b5208ec69p-12, 0x1.10409fed271f4p-12, 0x1.0756b358ed13ep-12, 0x1.fd88e0b90e574p-13, 0x1.ed0ceb13fff4bp-13, 0x1.dd32fc7fb3e43p-13, 0x1.cdf4c3beb4ee9p-13, 0x1.bf4c260fbd922p-13, 0x1.b1333daa30eb2p-13, 0x1.a3a458443a47ep-13, 0x1.9699f59f5d0f2p-13, 0x1.8a0ec61f6144ap-13, 0x1.7dfda96738933p-13, 0x1.7261acfcd2a8ep-13, 0x1.67360af923782p-13, 0x1.5c7628ba6bbb9p-13, 0x1.521d95a210583p-13, 0x1.482809d8a86aap-13, 0x1.3e91651978c02p-13, 0x1.3555ad8589c43p-13, 0x1.2c710e7dbb296p-13, 0x1.23dfd7856451dp-13, 0x1.1b9e7b2a2f2fdp-13, 0x1.13a98df3ad22p-13, 0x1.0bfdc55a207bbp-13, 0x1.0497f6c3e7027p-13, 0x1.faea2d118cd88p-14, 0x1.ed246df870cc8p-14, 0x1.dfd90efb21016p-14, 0x1.d302a71e928a8p-14, 0x1.c69c03e6a43f8p-14, 0x1.baa027996022fp-14, 0x1.af0a4792734c4p-14, 0x1.a3d5ca9ce1e5dp-14, 0x1.98fe475a53308p-14, 0x1.8e7f82b4e309fp-14, 0x1.84556e57f6f26p-14, 0x1.7a7c2739d3094p-14, 0x1.70eff42b4b3b6p-14, 0x1.67ad447060aa3p-14, 0x1.5eb0ae6152c8dp-14, 0x1.55f6ee1c2a8bbp-14, 0x1.4d7ce435c2fd2p-14, 0x1.453f947b4c9ccp-14, 0x1.3d3c24b76ff26p-14, 0x1.356fdb83ee39ap-14, 0x1.2dd81f1f2e2cdp-14, 0x1.2672744d8beb1p-14, 0x1.1f3c7d42e90efp-14, 0x1.1833f890ccd25p-14, 0x1.1156c01c8ba4p-14, 0x1.0aa2c820e1528p-14, 0x1.04161e326abd7p-14, 0x1.fb5dd09a55d7p-15, 0x1.eed6c7d234362p-15, 0x1.e293ca290b6d5p-15, 0x1.d691ab2acd9ffp-15, 0x1.cacd68261540dp-15, 0x1.bf442684d2c5cp-15, 0x1.b3f3323b1ace1p-15, 0x1.a8d7fc35ee84fp-15, 0x1.9df018e3b1d4ap-15, 0x1.93393ebe09e2ep-15, 0x1.88b00a47d1435p-15, 0x1.7e55117dec10bp-15, 0x1.742505ac141efp-15, 0x1.6a1e17d739756p-15, 0x1.603e9474165c4p-15, 0x1.5684e2317eb71p-15, 0x1.4cef80d4b2b24p-15, 0x1.437d0811d8c64p-15, 0x1.3a2c26818582ep-15, 0x1.30fba08d21734p-15, 0x1.27ea4f6ec9bf8p-15, 0x1.1ef72035a7a44p-15, 0x1.162112d416671p-15, 0x1.0d67393832b34p-15, 0x1.04c8b667c3175p-15, 0x1.f8897b52ec78cp-16, 0x1.e7b5235d37f39p-16, 0x1.d713079f1c9f2p-16, 0x1.c6a1e6887b802p-16, 0x1.b66098d701716p-16, 0x1.a64e102806f1ep-16, 0x1.966955a0a8e58p-16, 0x1.86b188a01f82ap-16, 0x1.7725dd79269d3p-16, 0x1.67c59c48f627cp-16, 0x1.58901fc956581p-16, 0x1.4984d420ccaf1p-16, 0x1.3aa335f888e1p-16, 0x1.2bead15f9331bp-16, 0x1.1d5b40cd8ccc1p-16, 0x1.0ef42c3d9199p-16, 0x1.00b548442808ep-16, 0x1.e53caa5e67e6ep-17, 0x1.c95e3c7688f5cp-17, 0x1.adcef188d9138p-17, 0x1.928e871376bcfp-17, 0x1.779ccbe43ac04p-17, 0x1.5cf99ec07e202p-17, 0x1.42a4ecfef38fbp-17, 0x1.289eb16693ddcp-17, 0x1.0ee6f2e2fbb2ep-17, 0x1.eafb86b50277fp-18, 0x1.b8c67d51233edp-18, 0x1.872f12f99a37ap-18, 0x1.5635a0bc61bb4p-18, 0x1.25da8d6205fd3p-18, 0x1.ec3c971c88aaap-19, 0x1.8e02aff3c1c32p-19, 0x1.31086f89ccdb5p-19, 0x1.aa9ddb0d62117p-20, 0x1.eb5d2fa484c56p-21, 0x1.0d15a0558098ep-22, -0x1.b26d5fec21926p-22, -0x1.19f148d767177p-20, -0x1.c4ba0b95beca9p-20, -0x1.3679a3994b9a7p-19, -0x1.894d564019f2dp-19, -0x1.dad6fd19be579p-19, -0x1.158ac016e6292p-18, -0x1.3d03e8e18a8ddp-18, -0x1.63d677ef87a2bp-18, -0x1.8a01f2c3d589ep-18, -0x1.af85e5f0e9157p-18, -0x1.d461e5b317f2p-18, -0x1.f8958e56a0606p-18, -0x1.0e104250a8a98p-17, -0x1.1f813b2972a28p-17, -0x1.309d8d33a3031p-17, -0x1.416518d7393cp-17, -0x1.51d7c35e372f6p-17, -0x1.61f5775c54814p-17, -0x1.71be2498ef954p-17, -0x1.8131c05d5cfccp-17, -0x1.90504583a972p-17, -0x1.9f19b490dfb31p-17, -0x1.ad8e13e7312bbp-17, -0x1.bbad6fc26b79p-17, -0x1.c977da58e1634p-17, -0x1.d6ed6be7ed1adp-17, -0x1.e40e42c31c1fcp-17, -0x1.f0da8358935b1p-17, -0x1.fd5258363737p-17, -0x1.04baf9054b43cp-16, -0x1.0aa2c3d47146bp-16, -0x1.1060aafce5dap-16, -0x1.15f4cffd4701ep-16, -0x1.1b5f575869e31p-16, -0x1.20a0688ebf91bp-16, -0x1.25b82e17a894ep-16, -0x1.2aa6d55641bb1p-16, -0x1.2f6c8e99f4375p-16, -0x1.34098d01cc015p-16, -0x1.387e0683cac5cp-16, -0x1.3cca33d80f509p-16, -0x1.40ee506eccb24p-16, -0x1.44ea9a63f3f74p-16, -0x1.48bf52710ba89p-16, -0x1.4c6cbbe170d58p-16, -0x1.4ff31c7e7434ap-16, -0x1.5352bc892bc1ep-16, -0x1.568be6a3ef936p-16, -0x1.599ee7cc5d2fcp-16, -0x1.5c8c0f3f8f781p-16, -0x1.5f53ae75d98afp-16, -0x1.61f61904d6003p-16, -0x1.6473a4a0528a1p-16, -0x1.66cca8fdefd47p-16, -0x1.69017fc947e56p-16, -0x1.6b12848ed78eap-16, -0x1.6d0014b17d3dap-16, -0x1.6eca8f4f787efp-16, -0x1.707255452b6ffp-16, -0x1.71f7c9037f316p-16, -0x1.735b4e8d41718p-16, -0x1.749d4b5fc1285p-16, -0x1.75be2670a8cadp-16, -0x1.76be4807f2fd2p-16, -0x1.779e19b9c2ac4p-16, -0x1.785e0654a543ap-16, -0x1.78fe79d32cee5p-16, -0x1.797fe14620204p-16, -0x1.79e2aac76ad5dp-16, -0x1.7a274568d9d83p-16, -0x1.7a4e2123dada9p-16, -0x1.7a57aec90b981p-16, -0x1.7a445ff1ac731p-16, -0x1.7a14a6edcb9bbp-16, -0x1.79c8f6b6ff8c3p-16, -0x1.7961c2da2d5dcp-16, -0x1.78df7f7bafa23p-16, -0x1.7842a12a3e0adp-16, -0x1.778b9cea6fd82p-16, -0x1.76bae81d66aa8p-16, -0x1.75d0f86ff5247p-16, -0x1.74ce43d47874ep-16, -0x1.73b3406d3debep-16, -0x1.728064850920cp-16, -0x1.7136267e7d97fp-16, -0x1.6fd4fcc7ebc89p-16, -0x1.6e5d5dce8f765p-16, -0x1.6ccfbff1fb709p-16, -0x1.6b2c99784a089p-16, -0x1.6974608162a01p-16, -0x1.67a78afd7f7b5p-16, -0x1.65c68e9bbe81bp-16, -0x1.63d1e0c65476ap-16, -0x1.61c9f694bbab1p-16, -0x1.5faf44c0b3424p-16, -0x1.5d823f9b20eb2p-16, -0x1.5b435b04177c5p-16, -0x1.58f30a5e62677p-16, -0x1.5691c08c669b1p-16, -0x1.541fefd9833d8p-16, -0x1.519e0a070a173p-16, }}, 
      {{-0x1.401be61d5a14p+1, -0x1.3f7d0a1aa488cp+1, -0x1.3e77290a0a3f7p+1, -0x1.3d0dbf7a23f36p+1, -0x1.3b454a3fb7c6cp+1, -0x1.3922f0cc59417p+1, -0x1.36ac1bd659b3bp+1, -0x1.33e6883196573p+1, -0x1.30d808997b6c8p+1, -0x1.2d868020576cfp+1, -0x1.29f7dffb99259p+1, -0x1.263196d618b2ep+1, -0x1.223993d43823ep+1, -0x1.1e150619f30cdp+1, -0x1.19c9290bad063p+1, -0x1.155af6959587p+1, -0x1.10cf235e4cdf5p+1, -0x1.0c2a32e849098p+1, -0x1.07704c3234303p+1, -0x1.02a575dafd12bp+1, -0x1.fb9ac86ec5f75p+0, -0x1.f1d70456da4e5p+0, -0x1.e8061a4eb57f4p+0, -0x1.de2dff6ca84aap+0, -0x1.d4542b1da827ap+0, -0x1.ca7dae0c7c46dp+0, -0x1.c0af1d183e0b4p+0, -0x1.b6ecafb9755e2p+0, -0x1.ad3a37acc70ebp+0, -0x1.a39b28f935896p+0, -0x1.9a12a08ffde8bp+0, -0x1.90a369a2bfea9p+0, -0x1.875001acf26cep+0, -0x1.7e1a9d159ce7p+0, -0x1.75052cb3520f1p+0, -0x1.6c11636bb4918p+0, -0x1.6340bb7b7da0cp+0, -0x1.5a947b0954a04p+0, -0x1.520db7abea5d6p+0, -0x1.49ad591b4e7a5p+0, -0x1.41741beb76e6ap+0, -0x1.39629516a11c5p+0, -0x1.3179362ce3ad6p+0, -0x1.29b851249ebc9p+0, -0x1.22201b02f1d0cp+0, -0x1.1ab0ada412f15p+0, -0x1.136a0998aac51p+0, -0x1.0c4c18a673538p+0, -0x1.0556b08ec1b9fp+0, -0x1.fd132aa19c594p-1, -0x1.efc8f509c782dp-1, -0x1.e2ce084ef32fbp-1, -0x1.d6218f147d422p-1, -0x1.c9c299d67d6aep-1, -0x1.bdb0095077209p-1, -0x1.b1e8faa05d3ep-1, -0x1.a66c39e03773dp-1, -0x1.9b389681aa754p-1, -0x1.904cd3fd73f17p-1, -0x1.85a7abe8566bp-1, -0x1.7b47cfef9904fp-1, -0x1.712beb9762093p-1, -0x1.6752a5a6cc826p-1, -0x1.5dbaa1492f6bdp-1, -0x1.54627f00f1386p-1, -0x1.4b48dd8cd56e6p-1, -0x1.426c5ad5e68f6p-1, -0x1.39cb94e9da156p-1, -0x1.31652af615a03p-1, -0x1.2937be309c8dap-1, -0x1.2141f29f3eecbp-1, -0x1.19826fb6b8dbcp-1, -0x1.11f7e0d59b41ep-1, -0x1.0aa0f5a567c3ep-1, -0x1.037c626d97ddep-1, -0x1.f911c0c1f3056p-2, -0x1.eb8a5bd0d4585p-2, -0x1.de601dd22888fp-2, -0x1.d1909a036a01cp-2, -0x1.c5196f753586dp-2, -0x1.b8f8494ccaa49p-2, -0x1.ad2adee9592a3p-2, -0x1.a1aef3f4b8e6fp-2, -0x1.9682586983d9bp-2, -0x1.8ba2e897d55fp-2, -0x1.810e8d2e764f5p-2, -0x1.76c33b49db2b7p-2, -0x1.6cbef4862afbep-2, -0x1.62ffc70ed99e7p-2, -0x1.5983cda5911c5p-2, -0x1.50492f9b1008dp-2, -0x1.474e20b6c4478p-2, -0x1.3e90e10c9349cp-2, -0x1.360fbcc2bb06ep-2, -0x1.2dc90bcb9b9b9p-2, -0x1.25bb319841d14p-2, -0x1.1de49cc8aedccp-2, -0x1.1643c6de43ab2p-2, -0x1.0ed733f3846acp-2, -0x1.079d727af0f3bp-2, -0x1.00951b0536ac7p-2, -0x1.f379a01b5678ep-3, -0x1.e6267b9634785p-3, -0x1.d92e340505fc3p-3, -0x1.cc8e47b2bc8e9p-3, -0x1.c044474b0a32p-3, -0x1.b44dd57300942p-3, -0x1.a8a8a6599b67bp-3, -0x1.9d527f40f305bp-3, -0x1.92493601dfd93p-3, -0x1.878a9a6442a5bp-3, -0x1.7d14ce0168ffap-3, -0x1.72e5c0593ff38p-3, -0x1.68fb846b153fp-3, -0x1.5f543b70b69a5p-3, -0x1.55ee1473700bdp-3, -0x1.4cc74be37499fp-3, -0x1.43de2b32121b3p-3, -0x1.3b31086ef6851p-3, -0x1.32be45e891463p-3, -0x1.2a8451cf7486bp-3, -0x1.2281a5dc7a7e9p-3, -0x1.1ab4c6f953671p-3, -0x1.131c44eb3bd16p-3, -0x1.0bb6b9ff86f0bp-3, -0x1.0482cab9e193cp-3, -0x1.fafe4b0871623p-4, -0x1.ed5504c0af826p-4, -0x1.e0074536b457p-4, -0x1.d312a1063e8afp-4, -0x1.c674be3beb557p-4, -0x1.ba2b53c949449p-4, -0x1.ae3428fdd6a1ap-4, -0x1.a28d150523ba4p-4, -0x1.9733fe69eea98p-4, -0x1.8c26da9e28cb6p-4, -0x1.8163ad879c242p-4, -0x1.76e88910dca52p-4, -0x1.6cb38cbe2c4a4p-4, -0x1.62c2e545f9c03p-4, -0x1.5914cc2c93306p-4, -0x1.4fa78762ea30bp-4, -0x1.467968e803dc7p-4, -0x1.3d88ce6d06219p-4, -0x1.34d420fbbf415p-4, -0x1.2c59d49f9e8abp-4, -0x1.241868111b7d9p-4, -0x1.1c0e64638c0c8p-4, -0x1.143a5cb57bbfcp-4, -0x1.0c9aede3846eep-4, -0x1.052ebe3db5952p-4, -0x1.fbe8fa7f0f95cp-5, -0x1.edd5c694b9791p-5, -0x1.e02162c4f8a5bp-5, -0x1.d2c961dd07eb3p-5, -0x1.c5cb66f25c752p-5, -0x1.b92524eaa7b99p-5, -0x1.acd45e08259efp-5, -0x1.a0d6e379ecf59p-5, -0x1.952a94effc414p-5, -0x1.89cd6032ca2ccp-5, -0x1.7ebd40be2f14ap-5, -0x1.73f83f5f6bd95p-5, -0x1.697c71d619315p-5, -0x1.5f47fa77f8cccp-5, -0x1.555907d76ffddp-5, -0x1.4badd46ca20d6p-5, -0x1.4244a64120ba4p-5, -0x1.391bce9e13ee5p-5, -0x1.3031a9bcdc875p-5, -0x1.27849e7a214fdp-5, -0x1.1f131e0b3f201p-5, -0x1.16dba3b6124aep-5, -0x1.0edcb48b0b9f7p-5, -0x1.0714df218616fp-5, -0x1.ff0576aca106fp-6, -0x1.f049d4188d51ep-6, -0x1.e1f429de28fafp-6, -0x1.d401dc6fc65bap-6, -0x1.c67060e7c7df5p-6, -0x1.b93d3c997901p-6, -0x1.ac6604a551f7ep-6, -0x1.9fe85d907a71fp-6, -0x1.93c1fadf9537p-6, -0x1.87f09eb472e33p-6, -0x1.7c72196e9fc3bp-6, -0x1.7144494ecb6cp-6, -0x1.66651a1cac6e6p-6, -0x1.5bd284cf7ba71p-6, -0x1.518a8f38d1a0fp-6, -0x1.478b4bb1d74bcp-6, -0x1.3dd2d8cab2cbap-6, -0x1.345f60fc25d34p-6, -0x1.2b2f1a5b3e92bp-6, -0x1.2240464f1ebf7p-6, -0x1.19913148b8575p-6, -0x1.1120327c7f69cp-6, -0x1.08ebab9e0929ep-6, -0x1.00f2089d5bc58p-6, -0x1.f2637ecca741dp-7, -0x1.e3529f431b6cbp-7, -0x1.d4ae84ee23029p-7, -0x1.c67454a593e05p-7, -0x1.b8a14554d4498p-7, -0x1.ab329f8a1404dp-7, -0x1.9e25bd0883156p-7, -0x1.9178085d6011p-7, -0x1.8526fc7814f62p-7, -0x1.79302444f1eb5p-7, -0x1.6d911a4aa375bp-7, -0x1.6247884a4da1bp-7, -0x1.575126e20cc9bp-7, -0x1.4cabbd31f1169p-7, -0x1.4255208349a8bp-7, -0x1.384b33f22248cp-7, -0x1.2e8be81903ceap-7, -0x1.25153abeb4d13p-7, -0x1.1be536860ca29p-7, -0x1.12f9f29fb6d1dp-7, -0x1.0a51927dde55p-7, -0x1.01ea4589aa89bp-7, -0x1.f3848db513615p-8, -0x1.e3afed7efddecp-8, -0x1.d452e4d93bc2ep-8, -0x1.c56a620387517p-8, -0x1.b6f333380c1e2p-8, -0x1.a8ea3b66c4c92p-8, -0x1.9b4c71b7cc6ffp-8, -0x1.8e16e11056c07p-8, -0x1.8146a79aa5a96p-8, -0x1.74d8f650acfeap-8, -0x1.68cb1089b32a5p-8, -0x1.5d1a4b8a661e4p-8, -0x1.51c40e17c361ap-8, -0x1.46c5d00c5688dp-8, -0x1.3c1d19f001e26p-8, -0x1.31c784922d99fp-8, -0x1.27c2b8a66da4p-8, -0x1.1e0c6e633e2edp-8, -0x1.14a26d231dcfep-8, -0x1.0b828b07cb28ep-8, -0x1.02aaac9fa214p-8, -0x1.f431891a0e584p-9, -0x1.e395a65fc6c19p-9, -0x1.d37dcca222f07p-9, -0x1.c3e6319f6359bp-9, -0x1.b4cb24a0d4df2p-9, -0x1.a6290ddcf2a23p-9, -0x1.97fc6ddd43ba1p-9, -0x1.8a41dce6f9ba9p-9, -0x1.7cf60a68814dp-9, -0x1.7015bc68d0a58p-9, -0x1.639dcefaa124ap-9, -0x1.578b33b3683ep-9, -0x1.4bdaf12438721p-9, -0x1.408a2256c260ap-9, -0x1.3595f64cbff98p-9, -0x1.2afbaf8246c53p-9, -0x1.20b8a37338712p-9, -0x1.16ca3a2356e5fp-9, -0x1.0d2deda902195p-9, -0x1.03e149baa6eccp-9, -0x1.f5c3d67d5e7f2p-10, -0x1.e45affbc86493p-10, -0x1.d3838b347b35ep-10, -0x1.c33914c55db94p-10, -0x1.b37757615dccdp-10, -0x1.a43a2c45355c2p-10, -0x1.957d8a350ad89p-10, -0x1.873d84bdab105p-10, -0x1.79764b7a9aa2cp-10, -0x1.6c24295fc071cp-10, -0x1.5f438407b7466p-10, -0x1.52d0db060e03cp-10, -0x1.46c8c73d71e6bp-10, -0x1.3b27fa3a02ffbp-10, -0x1.2feb3d8eeaf7bp-10, -0x1.250f72386cdf2p-10, -0x1.1a9190013085dp-10, -0x1.106ea4eb54f9bp-10, -0x1.06a3d49cbfaep-10, -0x1.fa5caf9ebe85p-11, -0x1.e816f787161dep-11, -0x1.d671436ff2ba7p-11, -0x1.c5667cc5099c2p-11, -0x1.b4f1b2db2cedep-11, -0x1.a50e19ef8f22bp-11, -0x1.95b70a2efdc7ep-11, -0x1.86e7fec1923b5p-11, -0x1.789c94dbe8bcp-11, -0x1.6ad08ad794b67p-11, -0x1.5d7fbf4fb648fp-11, -0x1.50a63043c29fep-11, -0x1.443ffa3ee3fc3p-11, -0x1.38495785b63a5p-11, -0x1.2cbe9f47f4279p-11, -0x1.219c44d7d6e17p-11, -0x1.16ded6e5efd39p-11, -0x1.0c82fec237ff1p-11, -0x1.02857fa147762p-11, -0x1.f1c66bcd307eap-12, -0x1.df322ce60994p-12, -0x1.cd485bef6a95cp-12, -0x1.bc03409aaf0c5p-12, -0x1.ab5d4f9f1bc6dp-12, -0x1.9b51297917c4ep-12, -0x1.8bd9993171131p-12, -0x1.7cf1932aba999p-12, -0x1.6e9433f9f77b9p-12, -0x1.60bcbf435e727p-12, -0x1.53669ea12fecfp-12, -0x1.468d608eb139cp-12, -0x1.3a2cb75d421d6p-12, -0x1.2e40782e7ef09p-12, -0x1.22c499f40698dp-12, -0x1.17b5347a0bea4p-12, -0x1.0d0e7f72a7c9ep-12, -0x1.02ccd18c6428ep-12, -0x1.f1d93f1991d6bp-13, -0x1.ded4f6dc595a4p-13, -0x1.cc862713464fbp-13, -0x1.bae66381ce2fcp-13, -0x1.a9ef7560ebd0ap-13, -0x1.999b59cd465f8p-13, -0x1.89e4403fab111p-13, -0x1.7ac48910afe6dp-13, -0x1.6c36c4057605bp-13, -0x1.5e35aee52a571p-13, -0x1.50bc341cab0dcp-13, -0x1.43c5696649368p-13, -0x1.374c8e7dacddp-13, -0x1.2b4d0bdc56277p-13, -0x1.1fc2717d84a9p-13, -0x1.14a875ac4e49fp-13, -0x1.09faf3d95c59bp-13, -0x1.ff6bd6f158efep-14, -0x1.ebaafdcd9c737p-14, -0x1.d8abe4ae65b7fp-14, -0x1.c66755913c095p-14, -0x1.b4d65a031448p-14, -0x1.a3f239295931fp-14, -0x1.93b475d14cbffp-14, -0x1.8416cc96b5b7bp-14, -0x1.7513321a57acbp-14, -0x1.66a3d12d53362p-14, -0x1.58c3092e80835p-14, -0x1.4b6b6c53aff1ap-14, -0x1.3e97be107b623p-14, -0x1.3242f1830a236p-14, -0x1.266827eaaeb02p-14, -0x1.1b02af3164cc8p-14, -0x1.100e00767a4f3p-14, -0x1.0585beaaee814p-14, -0x1.f6cb6a695df3cp-15, -0x1.e353ad33ef525p-15, -0x1.d09c7680914f7p-15, -0x1.be9e404814552p-15, -0x1.ad51cb5a5481cp-15, -0x1.9cb01cfb51a7dp-15, -0x1.8cb27c9b27b96p-15, -0x1.7d5271ab816e5p-15, -0x1.6e89c16c92b45p-15, -0x1.60526ce1e3aacp-15, -0x1.52a6aecc6a43fp-15, -0x1.4580f9b4d6744p-15, -0x1.38dbf605c9f52p-15, -0x1.2cb28031472a8p-15, -0x1.20ffa6eee6e7p-15, -0x1.15bea97e5cab4p-15, -0x1.0aeaf5f427c6ep-15, -0x1.0080279eb98f9p-15, -0x1.ecf40ae273b8bp-16, -0x1.d9a900f873fe7p-16, -0x1.c71764e3b8f9ap-16, -0x1.b537b8714ea7cp-16, -0x1.a402c90c8bdd5p-16, -0x1.9371ad0961c5bp-16, -0x1.837dc1161aa86p-16, -0x1.7420a5973caffp-16, -0x1.65543c4e8b6bap-16, -0x1.5712a6020951ap-16, -0x1.4956402166735p-16, -0x1.3c19a28546158p-16, -0x1.2f579d6c3e828p-16, -0x1.230b372da228fp-16, -0x1.172faa74a9597p-16, -0x1.0bc06428f506fp-16, -0x1.00b9019c32df6p-16, -0x1.ec2a9d3cef79p-17, -0x1.d7a287cd82489p-17, -0x1.c3d20a76d2b78p-17, -0x1.b0b1bfb7af174p-17, -0x1.9e3a91cd5205ep-17, -0x1.8c65b79e8fe7cp-17, -0x1.7b2cb1d9c73f2p-17, -0x1.6a8947fae870fp-17, -0x1.5a75857bfccb5p-17, -0x1.4aebb75e94fp-17, -0x1.3be66957bae6fp-17, -0x1.2d60638912427p-17, -0x1.1f54a7f407654p-17, -0x1.11be7035311f3p-17, -0x1.04992b4403f0dp-17, -0x1.efc0f69dea4ap-18, -0x1.d720673b5ca5p-18, -0x1.bf48ad23e7841p-18, -0x1.a832276e938f6p-18, -0x1.91d58bec24c1ep-18, -0x1.7c2be342aff7bp-18, -0x1.672e85b410596p-18, -0x1.52d7179b5c34fp-18, -0x1.3f1f8661ee801p-18, -0x1.2c0205404f495p-18, -0x1.19790a4a0f14ap-18, -0x1.077f4b9c7eb22p-18, -0x1.ec1f79009cc54p-19, -0x1.ca4b159f89b0dp-19, -0x1.a97838c27a68cp-19, -0x1.899e1948c1592p-19, -0x1.6ab4541666a0cp-19, -0x1.4cb2e7acc81bcp-19, -0x1.2f92303c79899p-19, -0x1.134ae31b7a8aep-19, -0x1.efac14b1d8852p-20, -0x1.ba5a02f678724p-20, -0x1.8692e24d729e1p-20, -0x1.544a97deee8a1p-20, -0x1.23759624ef265p-20, -0x1.e811aab0821a8p-21, -0x1.8bf399c70c17cp-21, -0x1.327cdc122307fp-21, -0x1.b7347996ee9f4p-22, -0x1.0e72c5a1643fdp-22, -0x1.aa463679578e8p-24, 0x1.a485702cf800cp-25, 0x1.9e27e561cdb2fp-23, 0x1.6516ddac73ca6p-22, 0x1.f6b6b647fb498p-22, 0x1.4207bfb733ff3p-21, 0x1.869e03b9ddaa1p-21, 0x1.c92afc0739b3cp-21, 0x1.04dd7a4557af5p-20, 0x1.242cda3a998a1p-20, 0x1.42894353c7b3p-20, 0x1.5ff8209253605p-20, 0x1.7c7ea4c7095f4p-20, 0x1.9820078b3f867p-20, 0x1.b2e48e59734edp-20, 0x1.cccf26cbda387p-20, 0x1.e5e441d2c8f79p-20, 0x1.fe2826b783accp-20, 0x1.0acf7a5b85f7ep-19, 0x1.162652e3a5f3p-19, 0x1.211a8894e8e4bp-19, 0x1.2badf6242ef6cp-19, 0x1.35e266b3fbdafp-19, 0x1.3fb996bcf9d2ap-19, 0x1.493534c72f94bp-19, 0x1.5256e27fc59e3p-19, 0x1.5b2035335c284p-19, 0x1.6392b6ba7531bp-19, 0x1.6bafe654eef92p-19, 0x1.73793890bc1p-19, 0x1.7af0190f24d55p-19, 0x1.8215ea5a1408fp-19, 0x1.88ec06a67d3a4p-19, 0x1.8f73c058a58b9p-19, 0x1.95ae62860e061p-19, 0x1.9b9d3175aab2ap-19, 0x1.a1416aeed1dbap-19, 0x1.a69c46d653ae4p-19, 0x1.abaef7200150cp-19, 0x1.b07aa9800391ap-19, 0x1.b50085c9d4adcp-19, 0x1.b941af906ca35p-19, 0x1.bd3f4636b0c7bp-19, 0x1.c0fa65140bd84p-19, 0x1.c47423ac9c18bp-19, 0x1.c7ad964fd4ad9p-19, 0x1.caa7cde411074p-19, 0x1.cd63d80c65635p-19, 0x1.cfe2bfdef7702p-19, 0x1.d2258da9484ap-19, 0x1.d42d4714bbd47p-19, 0x1.d5faefcfb20b9p-19, 0x1.d78f88f2706f9p-19, 0x1.d8ec116a07c35p-19, 0x1.da11869c50cd6p-19, 0x1.db00e3a4e889ap-19, 0x1.dbbb21f597306p-19, 0x1.dc41394e3460dp-19, 0x1.dc941fded8af3p-19, 0x1.dcb4ca147acf7p-19, 0x1.dca42b29bd77bp-19, 0x1.dc633486457a7p-19, 0x1.dbf2d6881296dp-19, 0x1.db53ffea332d7p-19, 0x1.da879e33122ep-19, 0x1.d98e9d7f6c8f5p-19, 0x1.d869e8e7a16e3p-19, 0x1.d71a69f425a0cp-19, 0x1.d5a10900b9feep-19, 0x1.d3fead2855ee8p-19, 0x1.d2343c4457dcbp-19, 0x1.d0429aec6ab96p-19, 0x1.ce2aac7554711p-19, 0x1.cbed52eeb44ffp-19, 0x1.c98b6f1e39736p-19, 0x1.c705e08f6c5b3p-19, 0x1.c45d85662ae9p-19, 0x1.c1933a68a8707p-19, 0x1.bea7db27f28cfp-19, 0x1.bb9c41c3e00ap-19, 0x1.b87146d66b525p-19, 0x1.b527c1f7aba58p-19, 0x1.b1c088bea3f37p-19, 0x1.ae3c6fe167ee3p-19, 0x1.aa9c4a333b2dap-19, 0x1.a6e0e8f5e4107p-19, 0x1.a30b1c0edce46p-19, 0x1.9f1bb1aeb421fp-19, 0x1.9b13769ce8cf5p-19, 0x1.96f335bd43d67p-19, 0x1.92bbb86733d05p-19, 0x1.8e6dc640f7467p-19, 0x1.8a0a251fe384fp-19, 0x1.85919926b8f41p-19, 0x1.8104e4acd9fdcp-19, 0x1.7c64c827b1b17p-19, 0x1.77b2025c32f31p-19, 0x1.72ed5004a8a6bp-19, 0x1.6e176c01b982ep-19, 0x1.69310f4534afdp-19, 0x1.643af0ce36e08p-19, 0x1.5f35c59807756p-19, 0x1.5a224088d4c29p-19, 0x1.550112c4ae108p-19, 0x1.4fd2eb1d33648p-19, 0x1.4a98765df6799p-19, 0x1.45525f3f84a4cp-19, 0x1.40014e6f29e4cp-19, 0x1.3aa5ea31e2a4p-19, 0x1.3540d6e6d62ap-19, 0x1.2fd2b6a7c7577p-19, 0x1.2a5c2960d08bbp-19, 0x1.24ddccbc30ca4p-19, 0x1.1f583c20b398cp-19, 0x1.19cc10eccdaa8p-19, 0x1.1439e205c5da2p-19, 0x1.0ea2443a61ac6p-19, 0x1.0905c9bd0ac1ap-19, 0x1.036502dd699cbp-19, 0x1.fb80fa9d9b7bcp-20, 0x1.f0318953d5ffcp-20, 0x1.e4dcc44df77cfp-20, 0x1.d983b957b545cp-20, 0x1.ce27716841649p-20, 0x1.c2c8f1680c8b8p-20, 0x1.b76938fc08b2cp-20, 0x1.ac09435403f5dp-20, 0x1.a0aa06d20029bp-20, 0x1.954c757b07014p-20, 0x1.89f17c9d4dcf7p-20, 0x1.7e9a04a3ac493p-20, 0x1.7346f156fa069p-20, 0x1.67f9222ca999fp-20, 0x1.5cb171a6128f1p-20, 0x1.5170b5c0050ccp-20, 0x1.4637bfdad4497p-20, 0x1.3b075cbdf8f43p-20, 0x1.2fe0549fb5b61p-20, 0x1.24c36b1b20ef8p-20, 0x1.19b15f4ace039p-20, 0x1.0eaaebbe79b1fp-20, 0x1.03b0c65a23c45p-20, 0x1.f187423969da1p-21, 0x1.dbc851ea68665p-21, 0x1.c6260cf907eeap-21, 0x1.b0a1bc8637c25p-21, 0x1.9b3c9f92689dcp-21, 0x1.85f7edbd1873ap-21, 0x1.70d4d595548dbp-21, 0x1.5bd47d17e0b9dp-21, 0x1.46f801c4cab4dp-21, 0x1.324078afddc98p-21, 0x1.1daeee92bca36p-21, 0x1.094467eb4872dp-21, 0x1.ea03c1c4533cp-22, 0x1.c1d09b3a65adp-22, 0x1.99f134404690ap-22, 0x1.7267553374c82p-22, 0x1.4b34b6662f8e9p-22, 0x1.245b009d083a6p-22, 0x1.fbb79a63fead9p-23, 0x1.af714c6d738ap-23, 0x1.63e60d9ca4486p-23, 0x1.1918b48897cb3p-23, 0x1.9e17fb8d1a7c1p-24, 0x1.0b8508ea0c292p-24, 0x1.e9f6621447abfp-26, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.08d7630001d06p-4, -0x1.02919613ba4cdp-3, -0x1.75f379574b20dp-3, -0x1.db9c143ddd187p-3, -0x1.18e10eb7bde39p-2, -0x1.3bbe746b25e17p-2, -0x1.56475350e78d2p-2, -0x1.689a3413f694dp-2, -0x1.7302e7ba7110bp-2, -0x1.75ec55bf22f47p-2, -0x1.71d8454f7b92ep-2, -0x1.6754bac0e073dp-2, -0x1.56f8a9209d2d8p-2, -0x1.415d1c968b211p-2, -0x1.271acd55c7a97p-2, -0x1.08c78622dbd0bp-2, -0x1.cde8849ef0841p-3, -0x1.8453e57a7f204p-3, -0x1.35d72a951f92dp-3, -0x1.c6cf91d32cf98p-4, -0x1.1bcf0cb4096c1p-4, -0x1.b132e0a213658p-6, 0x1.18da741ed45c9p-6, 0x1.f4b3216ae34c6p-5, 0x1.aedf7fcc39c06p-4, 0x1.3158c913c2be4p-3, 0x1.8a6e914b0c765p-3, 0x1.e23b18494dd8bp-3, 0x1.1c2fdbfd9dc8cp-2, 0x1.4643ef37171e4p-2, 0x1.6f3565cdb664p-2, 0x1.96e5798755e87p-2, 0x1.bd3aa057ac901p-2, 0x1.e220141673432p-2, 0x1.02c2a4cda1769p-1, 0x1.13aeb6992fd0ap-1, 0x1.23cf7c6316f44p-1, 0x1.3321b46c17b7p-1, 0x1.41a38243813c3p-1, 0x1.4f545345d33ccp-1, 0x1.5c34bda4bb6ccp-1, 0x1.684659b0fd994p-1, 0x1.738b989de149p-1, 0x1.7e079c30e73c1p-1, 0x1.87be127ff9663p-1, 0x1.90b319868eec1p-1, 0x1.98eb2dd8180e4p-1, 0x1.a06b240b3f83p-1, 0x1.a738278c40b8ap-1, 0x1.ad57b76761decp-1, 0x1.b2cf9c10fb8dep-1, 0x1.b7a5d6162765ap-1, 0x1.bbe089693cbfp-1, 0x1.bf85e9bf76879p-1, 0x1.c29db6762c71ep-1, 0x1.c52af8c169b9ap-1, 0x1.c735110e60dd3p-1, 0x1.c8c206ba96c01p-1, 0x1.c9d7cb86a6a64p-1, 0x1.ca7c35b41a587p-1, 0x1.cab4fc3b95992p-1, 0x1.ca87b4ee660bap-1, 0x1.c9f9d3c7242a4p-1, 0x1.c910aa77bfe91p-1, 0x1.c7d1677242723p-1, 0x1.c6411419901e9p-1, 0x1.c464923ff42eap-1, 0x1.c240996a2ef35p-1, 0x1.bfd9b4630d5a5p-1, 0x1.bd343f8edd6adp-1, 0x1.ba546838d2a44p-1, 0x1.b73e2cdf2fda3p-1, 0x1.b3f55e5b67e49p-1, 0x1.b07da1ac10d4dp-1, 0x1.acda721ca83d3p-1, 0x1.a90f23874295bp-1, 0x1.a51ee474336a3p-1, 0x1.a10cbfea27b8fp-1, 0x1.9cdb9ed400987p-1, 0x1.988e48f608891p-1, 0x1.9427657ea010ep-1, 0x1.8fa97b4c76f7fp-1, 0x1.8b16f10c92169p-1, 0x1.86720d5491b4cp-1, 0x1.81bcf6dab98c5p-1, 0x1.7cf9b4e663195p-1, 0x1.782a300a06822p-1, 0x1.7350332d5498p-1, 0x1.6e6d6ce33e01fp-1, 0x1.698370fe8903cp-1, 0x1.6493ba50d2ec2p-1, 0x1.5f9fac7c2b474p-1, 0x1.5aa895bf17101p-1, 0x1.55afb0a551b8ep-1, 0x1.50b6258c7431cp-1, 0x1.4bbd0bf1c2bcp-1, 0x1.46c56b84e093bp-1, 0x1.41d03d0128f19p-1, 0x1.3cde6ad456832p-1, 0x1.37f0d19c89f25p-1, 0x1.33084089890ap-1, 0x1.2e2579ad4d26ap-1, 0x1.29493246ecac8p-1, 0x1.24741310efb41p-1, 0x1.1fa6b899988p-1, 0x1.1ae1b3a8fed6cp-1, 0x1.162589b647e1cp-1, 0x1.1172b56b2a1a3p-1, 0x1.0cc9a73342685p-1, 0x1.082ac5d3b77efp-1, 0x1.0397497307a9ep-1, 0x1.fe1b5440ed7bdp-2, 0x1.f51e61af7cb4ap-2, 0x1.ec384d21714b8p-2, 0x1.e3699afa96b8fp-2, 0x1.dab2c2d05c985p-2, 0x1.d21430234c727p-2, 0x1.c98e4313e2377p-2, 0x1.c1215111ef766p-2, 0x1.b8cda585801e9p-2, 0x1.b093827025ffbp-2, 0x1.a8732105ae248p-2, 0x1.a06cb23b78ce4p-2, 0x1.98805f4de9859p-2, 0x1.90ae4a3bd3fd6p-2, 0x1.88f68e380966ep-2, 0x1.8159401188654p-2, 0x1.79d66e9312776p-2, 0x1.726e22db08e5ap-2, 0x1.6b2060ac95915p-2, 0x1.63ed26bb1a56fp-2, 0x1.5cd46ef0d7244p-2, 0x1.55d62eb1988c4p-2, 0x1.4ef2571a12e48p-2, 0x1.4828d53c7b807p-2, 0x1.4179925ab479fp-2, 0x1.3ae4741e4e536p-2, 0x1.34695cce88c91p-2, 0x1.2e082b845eb36p-2, 0x1.27c0bc5ca715dp-2, 0x1.2192e8a846f62p-2, 0x1.1b7e871a7238ap-2, 0x1.15836bf4f94eep-2, 0x1.0fa16932a1153p-2, 0x1.09d84eaf8b77bp-2, 0x1.0427ea4fb8c9ep-2, 0x1.fd2010475fc6bp-3, 0x1.f220e516ac7bap-3, 0x1.e751e4ae1fa99p-3, 0x1.dcb29dce67f09p-3, 0x1.d2429c93d85e3p-3, 0x1.c8016aaf1595p-3, 0x1.bdee8f9ad90cp-3, 0x1.b40990cee92e7p-3, 0x1.aa51f1f05c59bp-3, 0x1.a0c734ff48266p-3, 0x1.9768da81f2fap-3, 0x1.8e3661ad9fa0bp-3, 0x1.852f488d11b8dp-3, 0x1.7c530c24dac5ap-3, 0x1.73a128959b028p-3, 0x1.6b19193c3ec27p-3, 0x1.62ba58d06a7ffp-3, 0x1.5a84618121ec9p-3, 0x1.5276ad0fd7bedp-3, 0x1.4a90b4e9fdfcep-3, 0x1.42d1f24132eb2p-3, 0x1.3b39de222dcdp-3, 0x1.33c7f18a7ed22p-3, 0x1.2c7ba57d447e4p-3, 0x1.25547316e3bdp-3, 0x1.1e51d39fd6dd2p-3, 0x1.1773409eac145p-3, 0x1.10b833e938d1ap-3, 0x1.0a2027b5153a8p-3, 0x1.03aa96a76435fp-3, 0x1.faadf7c7e3697p-4, 0x1.ee49a63765495p-4, 0x1.e227313540cf6p-4, 0x1.d64592aa0108dp-4, 0x1.caa3c5e824d07p-4, 0x1.bf40c7c44bbdp-4, 0x1.b41b96ac428c7p-4, 0x1.a93332bce2bbcp-4, 0x1.9e869dd6d19bbp-4, 0x1.9414dbb21c11fp-4, 0x1.89dcf1f0ac9p-4, 0x1.7fdde82fa925fp-4, 0x1.7616c817b13f3p-4, 0x1.6c869d6c05978p-4, 0x1.632c7618a009p-4, 0x1.5a07623f3f3f9p-4, 0x1.5116744372fc1p-4, 0x1.4858c0d5ada71p-4, 0x1.3fcd5efd69731p-4, 0x1.377368226ae8fp-4, 0x1.2f49f8152d87dp-4, 0x1.27502d1688059p-4, 0x1.1f8527de8e845p-4, 0x1.17e80ba2cdd5p-4, 0x1.1077fe1bd9f83p-4, 0x1.0934278a45db8p-4, 0x1.021bb2bb0f3bp-4, 0x1.f65b9a1707832p-5, 0x1.e8d34cd950bf8p-5, 0x1.db9ce2cc61db2p-5, 0x1.ceb6c63209d67p-5, 0x1.c21f6682b8edcp-5, 0x1.b5d53870f6e4ap-5, 0x1.a9d6b5ec10c42p-5, 0x1.9e225e2211c03p-5, 0x1.92b6b580fd69ep-5, 0x1.879245b75e2e8p-5, 0x1.7cb39db41d3b9p-5, 0x1.721951a5b125bp-5, 0x1.67c1faf89db24p-5, 0x1.5dac38554ef6fp-5, 0x1.53d6ad9d4b3cbp-5, 0x1.4a4003e7c1a1bp-5, 0x1.40e6e97d7fad6p-5, 0x1.37ca11d442956p-5, 0x1.2ee8358978f4bp-5, 0x1.2640116d07524p-5, 0x1.1dd0661a3fcfcp-5, 0x1.1597ff18a317p-5, 0x1.0d95a96895cffp-5, 0x1.05c8370dca43ep-5, 0x1.fc5cfe0decca1p-6, 0x1.ed8eba8a4633ap-6, 0x1.df23654536f2fp-6, 0x1.d118c9b2fd98fp-6, 0x1.c36cbcf3f478dp-6, 0x1.b61d1dc06c547p-6, 0x1.a927d453de271p-6, 0x1.9c8ad2578eca1p-6, 0x1.904412cca8adep-6, 0x1.845199f5da6d9p-6, 0x1.78b1754071ccp-6, 0x1.6d61bb2d120f6p-6, 0x1.62608b37f85eap-6, 0x1.57ac0dc0e9902p-6, 0x1.4d4273f2c0f9bp-6, 0x1.4321f7aaae537p-6, 0x1.3948db5f30c17p-6, 0x1.2fb56a06c4754p-6, 0x1.2665f6fe5cf0ep-6, 0x1.1d58ddefa5966p-6, 0x1.148c82b70ed85p-6, 0x1.0bff5149bc747p-6, 0x1.03afbd9b39fa4p-6, 0x1.f73887065ea2fp-7, 0x1.e786cd45c52d6p-7, 0x1.d84764954c866p-7, 0x1.c97772be944c3p-7, 0x1.bb142c7ed7fcap-7, 0x1.ad1ad5519a03dp-7, 0x1.9f88bf3b421fep-7, 0x1.925b4a93b623ap-7, 0x1.858fe5d10d768p-7, 0x1.79240d5245fd5p-7, 0x1.6d154b2a17f8dp-7, 0x1.616136e9ea42fp-7, 0x1.5605756ce6eb3p-7, 0x1.4affb8a33b731p-7, 0x1.404dbf5d96d41p-7, 0x1.35ed5518c72f8p-7, 0x1.2bdc51c9ae786p-7, 0x1.221899a96035dp-7, 0x1.18a01d019b4fbp-7, 0x1.0f70d7f9803cbp-7, 0x1.0688d2629aa46p-7, 0x1.fbcc3f0c8877fp-8, 0x1.eb0dbbe6b438bp-8, 0x1.dad26e98953aep-8, 0x1.cb16c02b1c502p-8, 0x1.bbd72f08ef6aep-8, 0x1.ad104e9cdc088p-8, 0x1.9ebec6f1187dbp-8, 0x1.90df544f73634p-8, 0x1.836ec6e24a045p-8, 0x1.766a025657d05p-8, 0x1.69cdfd7d8e1b3p-8, 0x1.5d97c1f2b51f2p-8, 0x1.51c46bbe178c4p-8, 0x1.465128fb1848fp-8, 0x1.3b3b397eb9b2ap-8, 0x1.307fee7f311ebp-8, 0x1.261caa3c6441ep-8, 0x1.1c0edfa975185p-8, 0x1.125412175ae3ap-8, 0x1.08e9d4e073245p-8, 0x1.ff9b962a47c5ep-9, 0x1.edfb4e532e558p-9, 0x1.dcee5548cb8aep-9, 0x1.cc704b9cefbc1p-9, 0x1.bc7ceec7c950cp-9, 0x1.ad10188bcf21fp-9, 0x1.9e25be5be48eap-9, 0x1.8fb9f0c3aa52bp-9, 0x1.81c8dad1ef2c4p-9, 0x1.744ec1857add1p-9, 0x1.6748033bd222ep-9, 0x1.5ab1172279a26p-9, 0x1.4e868caa337a6p-9, 0x1.42c50afc9971fp-9, 0x1.37695073cd648p-9, 0x1.2c703214945c1p-9, 0x1.21d69b0a60813p-9, 0x1.17998c25e14e8p-9, 0x1.0db61b5d73672p-9, 0x1.042973501620ap-9, 0x1.f5e1a5949b445p-10, 0x1.e413189ac33dcp-10, 0x1.d2e20b31210e8p-10, 0x1.c2496e6940ec2p-10, 0x1.b2445802ee4fp-10, 0x1.a2ce018b8aba8p-10, 0x1.93e1c781e5709p-10, 0x1.857b287dd38a6p-10, 0x1.7795c45c47dc3p-10, 0x1.6a2d5b6f6a4aap-10, 0x1.5d3dcdb260e1ep-10, 0x1.50c31a019677cp-10, 0x1.44b95d56a22bep-10, 0x1.391cd20833fa7p-10, 0x1.2de9cf0dc754cp-10, 0x1.231cc7472b828p-10, 0x1.18b248c7d208dp-10, 0x1.0ea6fc25ad0bap-10, 0x1.04f7a3cbc5125p-10, 0x1.f74236a127d59p-11, 0x1.e540ad9eaa9p-11, 0x1.d3e4c48af8d92p-11, 0x1.c328c1e644c21p-11, 0x1.b307197dde2e3p-11, 0x1.a37a6b3af6e48p-11, 0x1.947d81f729c93p-11, 0x1.860b525806cccp-11, 0x1.781ef9b0eb25p-11, 0x1.6ab3bceac776cp-11, 0x1.5dc50772082dp-11, 0x1.514e6a2a42fecp-11, 0x1.454b9a68911fp-11, 0x1.39b870f39936ep-11, 0x1.2e90e90784ffep-11, 0x1.23d11f629b43ap-11, 0x1.197551550ffc7p-11, 0x1.0f79dbd71cb2cp-11, 0x1.05db3aa48469dp-11, 0x1.f92c0eb9e66e1p-12, 0x1.e74df154d787ep-12, 0x1.d615c2d7679b7p-12, 0x1.c57d5fc929d35p-12, 0x1.b57ed9e5c3f97p-12, 0x1.a6147690226cfp-12, 0x1.9738ad50354c2p-12, 0x1.88e626594e2fap-12, 0x1.7b17b919e8392p-12, 0x1.6dc86ad4b346cp-12, 0x1.60f36d423baa2p-12, 0x1.54941d3c1076fp-12, 0x1.48a6016f0aad2p-12, 0x1.3d24c91766bf7p-12, 0x1.320c4ac47df6p-12, 0x1.275883248fd0fp-12, 0x1.1d0593d83a96dp-12, 0x1.130fc24e67de4p-12, 0x1.097376a78dbd9p-12, 0x1.002d3a9f01459p-12, 0x1.ee7370fb2877cp-13, 0x1.dd2b7423f1d67p-13, 0x1.cc7c4f60cbc35p-13, 0x1.bc600e71c57f3p-13, 0x1.acd0f64847ef2p-13, 0x1.9dc9832f9e0abp-13, 0x1.8f4466fcf3b78p-13, 0x1.813c8751855ddp-13, 0x1.73acfbe649202p-13, 0x1.66910ce0f0637p-13, 0x1.59e431390ebdfp-13, 0x1.4da20d2600172p-13, 0x1.41c67097a4ffp-13, 0x1.364d55b889593p-13, 0x1.2b32df800a9abp-13, 0x1.20735844d3993p-13, 0x1.160b3065f62e5p-13, 0x1.0bf6fcf36653ep-13, 0x1.023376660d3dep-13, 0x1.f17aeebaf79cfp-14, 0x1.df23f6d5f3f0dp-14, 0x1.cd5c3bc338b93p-14, 0x1.bc1e31641b655p-14, 0x1.ab64869b07b8cp-14, 0x1.9b2a232629dap-14, 0x1.8b6a2583be27cp-14, 0x1.7c1fe0eee095bp-14, 0x1.6d46db66b53cap-14, 0x1.5edacbc790d17p-14, 0x1.50d797f0708c5p-14, 0x1.433952fec2f81p-14, 0x1.35fc3b8e19d1p-14, 0x1.291cba0e035cap-14, 0x1.1c975f231b403p-14, 0x1.1068e214f1e36p-14, 0x1.048e1f49c158fp-14, 0x1.f2082d9d33c8p-15, 0x1.db8fd5dd68e5dp-15, 0x1.c5adbd9f64381p-15, 0x1.b05caa43e062cp-15, 0x1.9b979dae0a421p-15, 0x1.8759d3ccbce47p-15, 0x1.739ec03358635p-15, 0x1.60620bcb7aa12p-15, 0x1.4d9f929942195p-15, 0x1.3b53619a7c473p-15, 0x1.2979b4a8d4e7ap-15, 0x1.180ef47f27194p-15, 0x1.070fb4c80a555p-15, 0x1.ecf16489458e4p-16, 0x1.cc8da1e720848p-16, 0x1.acee34c34ff34p-16, 0x1.8e0d77f0057e5p-16, 0x1.6fe60ac2cf5dbp-16, 0x1.5272cdf422fa9p-16, 0x1.35aee09c89c61p-16, 0x1.19959d5bb31cdp-16, 0x1.fc452f13dc45ep-17, 0x1.c6a33121e37eep-17, 0x1.923d3ab21af97p-17, 0x1.5f0ba77c908c4p-17, 0x1.2d073092872d6p-17, 0x1.f851cf5d0ba39p-18, 0x1.98d465827e452p-18, 0x1.3b898f95edb1fp-18, 0x1.c0caa3231aa1p-19, 0x1.0eb87ed3d4398p-19, 0x1.831badc2dbb28p-21, -0x1.247b6b9ce6e1p-21, -0x1.de19465df59a9p-20, -0x1.91155495f402fp-19, -0x1.17a57da48efdp-18, -0x1.64df6a2f87a06p-18, -0x1.b040acfe77493p-18, -0x1.f9d126ddcfcaap-18, -0x1.20cc3108349a6p-17, -0x1.43cecb9d38e6p-17, -0x1.65fc21feffd43p-17, -0x1.87460accd5b6fp-17, -0x1.a7b8e82b28595p-17, -0x1.c757cb5513c32p-17, -0x1.e625a7e2a57a8p-17, -0x1.0212aacf43301p-16, -0x1.10acc9406eb86p-16, -0x1.1ee2822574cbcp-16, -0x1.2cb51d27df539p-16, -0x1.3a25d77a8f68cp-16, -0x1.4735e49c9a143p-16, -0x1.53e66f0e6cf9p-16, -0x1.6038990636ecbp-16, -0x1.6c2d7d05d79a8p-16, -0x1.77c62e83be77dp-16, -0x1.8303ba7b7680bp-16, -0x1.8de727ea203f1p-16, -0x1.98717869227c6p-16, -0x1.a2a3a89b355ep-16, -0x1.ac7eb0a071e73p-16, -0x1.b603848a82a0bp-16, -0x1.bf3314bf33487p-16, -0x1.c80e4e5b7b015p-16, -0x1.d0961b8976509p-16, -0x1.d8cb63dbbff85p-16, -0x1.e0af0c8cb6121p-16, -0x1.e841f8ecce796p-16, -0x1.ef850a79ff1b1p-16, -0x1.f6792138698a4p-16, -0x1.fd1f1be6334a9p-16, -0x1.01bbec1c579a5p-15, -0x1.04c21980044d2p-15, -0x1.07a2843396b1dp-15, -0x1.0a5d9a0635bffp-15, -0x1.0cf3c899f12afp-15, -0x1.0f657d7156e1dp-15, -0x1.11b32600913e3p-15, -0x1.13dd2fbad53e5p-15, -0x1.15e4081f50d8dp-15, -0x1.17c81cc4a3557p-15, -0x1.1989db5d09ea3p-15, -0x1.1b29b1ccf8e02p-15, -0x1.1ca80e2297795p-15, -0x1.1e055ea395923p-15, -0x1.1f4211d324b17p-15, -0x1.205e96769f80ep-15, -0x1.215b5b919846dp-15, -0x1.2238d075b895dp-15, -0x1.22f764b9971afp-15, -0x1.23978840a23c7p-15, -0x1.2419ab3a5318bp-15, -0x1.247e3e1ec9973p-15, -0x1.24c5b1b589d3cp-15, -0x1.24f0770da6659p-15, -0x1.24feff7f2f251p-15, -0x1.24f1bca96ca63p-15, -0x1.24c9206ec71p-15, -0x1.24859cf0afd6p-15, -0x1.2427a48bab25bp-15, -0x1.23afa9d28dc4ap-15, -0x1.231e1f87ee1f5p-15, -0x1.2273789805646p-15, -0x1.21b0281352d2ap-15, -0x1.20d4a124e6d0ap-15, -0x1.1fe15708ea301p-15, -0x1.1ed6bd0a402c5p-15, -0x1.1db546778a5ecp-15, -0x1.1c7d6698f9b2fp-15, -0x1.1b2f90adb54fbp-15, -0x1.19cc37d9f3017p-15, -0x1.1853cf2d0080ap-15, -0x1.16c6c98a37023p-15, -0x1.152599ab0379p-15, -0x1.1370b2148b3ap-15, -0x1.11a8850dc108ep-15, -0x1.0fcd849e49306p-15, -0x1.0de0227d10064p-15, -0x1.0be0d01326068p-15, -0x1.09cffe6f91e48p-15, -0x1.07ae1e3ceabc7p-15, -0x1.057b9fc07a237p-15, -0x1.0338f2cf044c6p-15, -0x1.00e686c861c53p-15, -0x1.fd09950f36304p-16, -0x1.f82858d18cf2ep-16, -0x1.f32a347262ebp-16, -0x1.ee100264e0a94p-16, -0x1.e8da9be78f315p-16, -0x1.e38ad8f36ec24p-16, -0x1.de21902e6d963p-16, -0x1.d89f96ebb5b4cp-16, -0x1.d305c1058643dp-16, -0x1.cd54e0e25ae6cp-16, -0x1.c78dc7646bbadp-16, -0x1.c1b143dbc0a68p-16, -0x1.bbc023fb0057p-16, -0x1.b5bb33cb849c9p-16, -0x1.afa33da317327p-16, -0x1.a9790a15e3e88p-16, -0x1.a33d5fee4aa55p-16, -0x1.9cf1042529bd9p-16, -0x1.9694b9d00cb54p-16, -0x1.9029421e977bp-16, -0x1.89af5c5226b16p-16, -0x1.8327c5a9f06afp-16, -0x1.7c93396da68p-16, -0x1.75f270ca2edbep-16, -0x1.6f4622e75891dp-16, -0x1.688f04cc6028bp-16, -0x1.61cdc95fd4f2p-16, -0x1.5b032160812fbp-16, -0x1.542fbb5f1862dp-16, -0x1.4d5443b55e868p-16, -0x1.46716482ef007p-16, -0x1.3f87c5a449eb2p-16, -0x1.38980cbbafbdp-16, -0x1.31a2dd1590ae6p-16, -0x1.2aa8d7b4e191bp-16, -0x1.23aa9b489ef5bp-16, -0x1.1ca8c42d8be74p-16, -0x1.15a3ec630de73p-16, -0x1.0e9cab8d369cbp-16, -0x1.079396f0ae474p-16, -0x1.0089417030fd7p-16, -0x1.f2fc7716218aap-17, -0x1.e4e626b0fbc9fp-17, -0x1.d6d0a9145fa89p-17, -0x1.c8bd10cec81b8p-17, -0x1.baac6b9f96e94p-17, -0x1.ac9fc2736797ap-17, -0x1.9e981951913c3p-17, -0x1.90966f6df1f7dp-17, -0x1.829bbf3191b0cp-17, -0x1.74a8fe26c891fp-17, -0x1.66bf1d0388075p-17, -0x1.58df07ad73e66p-17, -0x1.4b09a5340cd1fp-17, -0x1.3d3fd7d8fd0fep-17, -0x1.2f827d1193b3dp-17, -0x1.21d26d8a2069ap-17, -0x1.14307d2c3a331p-17, -0x1.069d7b1934039p-17, -0x1.f234637a361c1p-18, -0x1.d74ecd99c3a22p-18, -0x1.bc8bb685ca0d4p-18, -0x1.a1ec96f001631p-18, -0x1.8772de31ebb29p-18, -0x1.6d1ff267e700dp-18, -0x1.52f5307fe4747p-18, -0x1.38f3ec472b5ffp-18, -0x1.1f1d706c92ccbp-18, -0x1.0572fe96e6183p-18, -0x1.d7eb9eff5906cp-19, -0x1.a54e261c1b288p-19, }}, 
      {{-0x1.ea0fdbd0a61ep+1, -0x1.e00bf4d3e2317p+1, -0x1.d1ad1a4732852p+1, -0x1.c061f395b335fp+1, -0x1.ad464dffe7a07p+1, -0x1.99343df38b2afp+1, -0x1.84d142de93dcap+1, -0x1.70997b75c666bp+1, -0x1.5ce8509e80d63p+1, -0x1.49ff7aa56dc78p+1, -0x1.380c5b3b86c3bp+1, -0x1.272c84b8e2d4ap+1, -0x1.17713e4f7f5e4p+1, -0x1.08e228b48f8fbp+1, -0x1.f6ff2c92b17b4p+0, -0x1.de888e5cf15e2p+0, -0x1.c84d8f0c07b71p+0, -0x1.b43589fe2b49ap+0, -0x1.a22353076f949p+0, -0x1.91f70fccd4b06p+0, -0x1.838f7b3d528edp+0, -0x1.76ca85cd771e7p+0, -0x1.6b8602bfe7a5ep+0, -0x1.61a045e6f14d3p+0, -0x1.58f8b966c0f45p+0, -0x1.51703624eee69p+0, -0x1.4ae9188360ebap+0, -0x1.4546d8deb9c36p+0, -0x1.406f359c7ec8ap+0, -0x1.3c4987863a5e9p+0, -0x1.38bef252b67e4p+0, -0x1.35ba686bc54bcp+0, -0x1.3328a1d71a805p+0, -0x1.30f8073cc3e03p+0, -0x1.2f189889da77fp+0, -0x1.2d7bd63945406p+0, -0x1.2c14af9103d1p+0, -0x1.2ad773120db3bp+0, -0x1.29b9bc6cbfe04p+0, -0x1.28b25d5092bd8p+0, -0x1.27b9423934441p+0, -0x1.26c756e8d0401p+0, -0x1.25d66dec46b66p+0, -0x1.24e12c350b97bp+0, -0x1.23e2f7df31e5ep+0, -0x1.22d7e8ef0b7dap+0, -0x1.21bcbb67f2068p+0, -0x1.208ec240c6e07p+0, -0x1.1f4bda4ddbac7p+0, -0x1.1df25c273ff2cp+0, -0x1.1c810ce6c1ae7p+0, -0x1.1af70ecbbad2dp+0, -0x1.1953d37007672p+0, -0x1.179710d208969p+0, -0x1.15c0ce0249225p+0, -0x1.13d0eabb4ba35p+0, -0x1.11c7fb9db0441p+0, -0x1.0fa68cbf1e75ep+0, -0x1.0d6d4cee7a961p+0, -0x1.0b1d07ed3491cp+0, -0x1.08b6a19f42c9ep+0, -0x1.063b12056b42dp+0, -0x1.03ab61bd8fcaap+0, -0x1.0108a6c6bd1dap+0, -0x1.fca802b9e2a7ap-1, -0x1.f71d31be926c6p-1, -0x1.f173319ba8bdap-1, -0x1.ebac5bf67c817p-1, -0x1.e5cb081fcd2c7p-1, -0x1.dfd186e81b4c9p-1, -0x1.d9c21f5570055p-1, -0x1.d39f0c3693da1p-1, -0x1.cd6a7a7d16149p-1, -0x1.c726883a22424p-1, -0x1.c0d544117e235p-1, -0x1.ba78acf26b12dp-1, -0x1.b412b1e840ea6p-1, -0x1.ada531dcf328cp-1, -0x1.a731fb3579075p-1, -0x1.a0bacb40e5466p-1, -0x1.9a414d8372a6fp-1, -0x1.93c71af373d5fp-1, -0x1.8d4db94483158p-1, -0x1.86d69a5cde715p-1, -0x1.80631c0a86db9p-1, -0x1.79f48803c1427p-1, -0x1.738c1433a360dp-1, -0x1.6d2ae349c144p-1, -0x1.66d2057d5d0aap-1, -0x1.60827971488fdp-1, -0x1.5a3d2d25ad536p-1, -0x1.5402fee774225p-1, -0x1.4dd4be310f1bdp-1, -0x1.47b32c74f8257p-1, -0x1.419efdce9b58p-1, -0x1.3b98d99a1ce0dp-1, -0x1.35a15af623973p-1, -0x1.2fb9113479b27p-1, -0x1.29e0803eff7ep-1, -0x1.241820f6304cep-1, -0x1.1e60618d92d31p-1, -0x1.18b9a5e934e5ap-1, -0x1.132447fdefb6ap-1, -0x1.0da09834ff4ebp-1, -0x1.082eddd28c126p-1, -0x1.02cf575e45959p-1, -0x1.fb047619fbadcp-2, -0x1.f08f6e54a74e2p-2, -0x1.e63fe5036ef5ap-2, -0x1.dc16198cb48e9p-2, -0x1.d2130a5d2c8bfp-2, -0x1.c8351b730f57ep-2, -0x1.be7d5451930dap-2, -0x1.b4ebc61a66bfep-2, -0x1.ab8077acdc57ep-2, -0x1.a23b663d3b048p-2, -0x1.991c85e9316dbp-2, -0x1.9023c2497be73p-2, -0x1.8750ff006a318p-2, -0x1.7ea41844b72b6p-2, -0x1.761ce367da10ep-2, -0x1.6dbb2f56f956dp-2, -0x1.657ec515960a4p-2, -0x1.5d6768314822p-2, -0x1.5574d72e0761cp-2, -0x1.4da6cbead5b4ep-2, -0x1.45fcfbfee2cp-2, -0x1.3e77190f86c83p-2, -0x1.3714d11f9f79bp-2, -0x1.2fd5ced90babap-2, -0x1.28b9b9d0ffb98p-2, -0x1.21c036c7fa1f1p-2, -0x1.1ae8e7e5fe949p-2, -0x1.14336cf3b600ap-2, -0x1.0d9f6390dfe12p-2, -0x1.072c67687034ep-2, -0x1.00da126290704p-2, -0x1.f54ff9a93d803p-3, -0x1.e92b7b5e7debdp-3, -0x1.dd45d554f4f1fp-3, -0x1.d19e30dfcf864p-3, -0x1.c633b585b02d7p-3, -0x1.bb05894d01c09p-3, -0x1.b012d10446cd6p-3, -0x1.a55ab086772c9p-3, -0x1.9adc4afb757a3p-3, -0x1.9096c314c94cbp-3, -0x1.86893b46bf973p-3, -0x1.7cb2d5fe22797p-3, -0x1.7312b5d2bc62ap-3, -0x1.69a7fdb6c2ad3p-3, -0x1.6071d12371965p-3, -0x1.576f5442e09b6p-3, -0x1.4e9fac17494a1p-3, -0x1.4601fe9fce96fp-3, -0x1.3d9572fae8ca8p-3, -0x1.355931867ed09p-3, -0x1.2d4c63fdcc948p-3, -0x1.256e359519eeep-3, -0x1.1dbdd3136391bp-3, -0x1.163a6ae9f4307p-3, -0x1.0ee32d4a19df2p-3, -0x1.07b74c38f3428p-3, -0x1.00b5fba18b1aep-3, -0x1.f3bce2ca72b95p-4, -0x1.e65fcad5141c6p-4, -0x1.d95323554945bp-4, -0x1.cc95647adbc2dp-4, -0x1.c0250ac8cfb5cp-4, -0x1.b400972902665p-4, -0x1.a8268efdacbfbp-4, -0x1.9c957c3121aeap-4, -0x1.914bed43d61afp-4, -0x1.86487558e0ebdp-4, -0x1.7b89ac41104cbp-4, -0x1.710e2e84aa01cp-4, -0x1.66d49d6bedd91p-4, -0x1.5cdb9f066b1a5p-4, -0x1.5321de3132768p-4, -0x1.49a60a9bf14eap-4, -0x1.4066d8ccfa026p-4, -0x1.37630224437cep-4, -0x1.2e9944dd648fep-4, -0x1.260864108b4cbp-4, -0x1.1daf27b27d043p-4, -0x1.158c5c939fa24p-4, -0x1.0d9ed45e1151dp-4, -0x1.05e56592dc227p-4, -0x1.fcbdd70c8c11fp-5, -0x1.ee148cb697abep-5, -0x1.dfccb5fc9aecdp-5, -0x1.d1e4263df5f5cp-5, -0x1.c458ba530b1d4p-5, -0x1.b728587e53abep-5, -0x1.aa50f05c32a8ep-5, -0x1.9dd07ad1a236dp-5, -0x1.91a4f9f9d1509p-5, -0x1.85cc7912d029p-5, -0x1.7a450c69577dbp-5, -0x1.6f0cd143cdb2p-5, -0x1.6421edcc916ffp-5, -0x1.598290fba3d83p-5, -0x1.4f2cf27fc4e74p-5, -0x1.451f52a70972dp-5, -0x1.3b57fa4706e5bp-5, -0x1.31d53aa49135p-5, -0x1.28956d5b22a2p-5, -0x1.1f96f443f451ap-5, -0x1.16d8395ccae43p-5, -0x1.0e57aeae862f1p-5, -0x1.0613ce3375da3p-5, -0x1.fc16337afa2ap-6, -0x1.ec7835b80b7dp-6, -0x1.dd4ac58399b09p-6, -0x1.ce8b14551deb9p-6, -0x1.c036628117b5cp-6, -0x1.b249ff03f5f28p-6, -0x1.a4c3474cc9ad7p-6, -0x1.979fa707d7d2ep-6, -0x1.8adc97e910e06p-6, -0x1.7e77a1767c9dcp-6, -0x1.726e58d29e193p-6, -0x1.66be62d5de49cp-6, -0x1.5b6568486b8f2p-6, -0x1.50612ac20edb5p-6, -0x1.45af73bef80fep-6, -0x1.3b4e194bc4d7bp-6, -0x1.313afdd0a1edap-6, -0x1.27740fdc9ad46p-6, -0x1.1df749f136f69p-6, -0x1.14c2b24e5dd94p-6, -0x1.0bd45abe896a3p-6, -0x1.032a60634edc3p-6, -0x1.f585d7048b9d3p-7, -0x1.e5385ea494765p-7, -0x1.d568d392541c6p-7, -0x1.c613c6d36d563p-7, -0x1.b735de2493b0ep-7, -0x1.a8cbd397751e1p-7, -0x1.9ad27531970b9p-7, -0x1.8d46a48c1611bp-7, -0x1.802556747db2dp-7, -0x1.736b928e8148fp-7, -0x1.671672f6d13d5p-7, -0x1.5b2323e6ed946p-7, -0x1.4f8ee35a11f29p-7, -0x1.445700b32f91p-7, -0x1.3978dc6400ab7p-7, -0x1.2ef1e795361c1p-7, -0x1.24bfa3cfba38p-7, -0x1.1adfa2a727be9p-7, -0x1.114f8565508cfp-7, -0x1.080cfcb6e87cap-7, -0x1.fe2b90b2d2cdp-8, -0x1.eccf6d93fc5fep-8, -0x1.dc0149eb5f224p-8, -0x1.cbbcfbd55f5cfp-8, -0x1.bbfe7515971c7p-8, -0x1.acc1c27e132eap-8, -0x1.9e030b58d43fcp-8, -0x1.8fbe90d3baeep-8, -0x1.81f0ad6e9ea65p-8, -0x1.7495d46bd9e24p-8, -0x1.67aa91430a312p-8, -0x1.5b2b871618e09p-8, -0x1.4f157028a3eap-8, -0x1.43651d5991a93p-8, -0x1.3817759f05679p-8, -0x1.2d2975846b8d4p-8, -0x1.22982eaaefa84p-8, -0x1.1860c74c0c11bp-8, -0x1.0e8079be4fe75p-8, -0x1.04f493fc6b1b9p-8, -0x1.f774ee5c9c756p-9, -0x1.e59f2e690588cp-9, -0x1.d462f46b2ba2ep-9, -0x1.c3bb705b760c9p-9, -0x1.b3a3f500c375fp-9, -0x1.a417f717fd8dep-9, -0x1.95130c7fbaaddp-9, -0x1.8690eb67cfc3fp-9, -0x1.788d698507f69p-9, -0x1.6b047b48d106cp-9, -0x1.5df2331cdbe1cp-9, -0x1.5152c0a27d97cp-9, -0x1.45226ff613b3ap-9, -0x1.395da8f631fa7p-9, -0x1.2e00ee8e5f03fp-9, -0x1.2308de05c743ep-9, -0x1.18722e51743a8p-9, -0x1.0e39af6a0c4ebp-9, -0x1.045c49a54facp-9, -0x1.f5adfa260226ep-10, -0x1.e34dc1baa489ap-10, -0x1.d192455920e42p-10, -0x1.c0760c1d114acp-10, -0x1.aff3c7c1ab002p-10, -0x1.a006537d84094p-10, -0x1.90a8b2e4a62cdp-10, -0x1.81d610d0c7f39p-10, -0x1.7389be502c05ep-10, -0x1.65bf319a6bfeep-10, -0x1.5872050b3e78ep-10, -0x1.4b9df62382a2bp-10, -0x1.3f3ee49020c61p-10, -0x1.3350d1368413bp-10, -0x1.27cfdd4701051p-10, -0x1.1cb84954ac7bfp-10, -0x1.12067472d5285p-10, -0x1.07b6db57eecc3p-10, -0x1.fb8c2f0b96e2ap-11, -0x1.e861bced8c7e8p-11, -0x1.d5e801a15247dp-11, -0x1.c418d3381cacfp-11, -0x1.b2ee3b0203027p-11, -0x1.a2627410da8bep-11, -0x1.926fe9c4e00dcp-11, -0x1.83113661e2dcap-11, -0x1.744121aee228ep-11, -0x1.65fa9f9d52ef4p-11, -0x1.5838cefa5f737p-11, -0x1.4af6f827dca87p-11, -0x1.3e308bde4f2d1p-11, -0x1.31e121f6ef9eap-11, -0x1.2604783da70dp-11, -0x1.1a96714be2f0ep-11, -0x1.0f9313693da0ap-11, -0x1.04f68775ee51cp-11, -0x1.f57a2fb605208p-12, -0x1.e1c65f0565efdp-12, -0x1.cecab1af1b9adp-12, -0x1.bc807994c33eep-12, -0x1.aae143bec1b76p-12, -0x1.99e6d6822ecfbp-12, -0x1.898b2fb54aaeep-12, -0x1.79c882efd331cp-12, -0x1.6a9937d74d768p-12, -0x1.5bf7e877ba0ccp-12, -0x1.4ddf5fa92dd59p-12, -0x1.404a977da8604p-12, -0x1.3334b7bd7f4f2p-12, -0x1.2699146ccaae2p-12, -0x1.1a732c5bff52dp-12, -0x1.0ebea7c3bfd4ap-12, -0x1.037756e87d1dep-12, -0x1.f132619574c07p-13, -0x1.dc40a3bed414fp-13, -0x1.c811f5a3eaf18p-13, -0x1.b49f1e9ee28aep-13, -0x1.a1e129b763d81p-13, -0x1.8fd1635b48d19p-13, -0x1.7e69572a53e1dp-13, -0x1.6da2cdd2b6f91p-13, -0x1.5d77cafca2822p-13, -0x1.4de28b483eb4ap-13, -0x1.3edd8256da995p-13, -0x1.306358e7b32ap-13, -0x1.226eeb008bf68p-13, -0x1.14fb4625eb7cap-13, -0x1.0803a7a05b435p-13, -0x1.f706f5a3ff9cbp-14, -0x1.deecaf283d94dp-14, -0x1.c7b0014ddc88dp-14, -0x1.b148c45643f0ap-14, -0x1.9baf2050360aap-14, -0x1.86db8a3ebaa7dp-14, -0x1.72c6c152552ccp-14, -0x1.5f69cc3bb4807p-14, -0x1.4cbdf694ad679p-14, -0x1.3abcce5c5ac54p-14, -0x1.2960218a05d77p-14, -0x1.18a1fbb2ccf1bp-14, -0x1.087ca3c334a7cp-14, -0x1.f1d533941780cp-15, -0x1.d3cd29b7f0f8ep-15, -0x1.b6d701fbaeeb4p-15, -0x1.9ae8fa542957ep-15, -0x1.7ff9b2c6833e1p-15, -0x1.660029abb06cp-15, -0x1.4cf3b817daafbp-15, -0x1.34cc0e64dc49ap-15, -0x1.1d8130cbbbc3dp-15, -0x1.070b74273f788p-15, -0x1.e2c6f5add0bd8p-16, -0x1.b9046358bae7ep-16, -0x1.90c19a09b596ep-16, -0x1.69f18be6682cap-16, -0x1.4487af0c1c72ap-16, -0x1.2077f8476aee9p-16, -0x1.fb6dac15de272p-17, -0x1.b87256f6211f6p-17, -0x1.77e8977b1f7e8p-17, -0x1.39bbead235daap-17, -0x1.fbb13885fecbbp-18, -0x1.88577995f41cbp-18, -0x1.194635b55a26ap-18, -0x1.5cb4ea5b0decp-19, -0x1.1dca71d43462ap-20, 0x1.b91a22fcb28f8p-22, 0x1.eb45532e0b19p-20, 0x1.acd4ae4d60ed4p-19, 0x1.2e795faab798dp-18, 0x1.831a0bd839b7p-18, 0x1.d466ec396f6a4p-18, 0x1.113cc7ed98ee2p-17, 0x1.36b547b05f44ep-17, 0x1.5aa8cbc551909p-17, 0x1.7d22b9b2e73dp-17, 0x1.9e2e0b161416ap-17, 0x1.bdd5525215f72p-17, 0x1.dc22bedf4c7a5p-17, 0x1.f92021ee187c2p-17, 0x1.0a6b7928c31bbp-16, 0x1.17a82845471c3p-16, 0x1.244a8546d6079p-16, 0x1.3056cfbabbffbp-16, 0x1.3bd1217cd2e3p-16, 0x1.46bd7064dc126p-16, 0x1.511f8fe30c5fep-16, 0x1.5afb328742bfp-16, 0x1.6453eb7d62f95p-16, 0x1.6d2d2ff351f8dp-16, 0x1.758a5868635fap-16, 0x1.7d6ea20b904f7p-16, 0x1.84dd2fe7bb928p-16, 0x1.8bd90c18f6e37p-16, 0x1.926528eaaad69p-16, 0x1.988461df6b28p-16, 0x1.9e397ccf44d57p-16, 0x1.a3872ad1fd2b3p-16, 0x1.a87009344bc8bp-16, 0x1.acf6a25d170d2p-16, 0x1.b11d6ea566adap-16, 0x1.b4e6d52ca938bp-16, 0x1.b8552c9526a59p-16, 0x1.bb6abbcfad341p-16, 0x1.be29bac51e098p-16, 0x1.c094530649553p-16, 0x1.c2aca06bc4387p-16, 0x1.c474b1b3018efp-16, 0x1.c5ee89121def7p-16, 0x1.c71c1cc0e7782p-16, 0x1.c7ff578340ec3p-16, 0x1.c89a19200ec1dp-16, 0x1.c8ee36e5f3555p-16, 0x1.c8fd7c02b4126p-16, 0x1.c8cb76e9f6a8p-16, 0x1.c85620ebd3cfbp-16, 0x1.c7a11bdd8caep-16, 0x1.c6ae0ed3e5087p-16, 0x1.c57e98b9a9679p-16, 0x1.c414509630131p-16, 0x1.c270c5ec6caf6p-16, 0x1.c09580f20530dp-16, 0x1.be8402df90c2p-16, 0x1.bc3dc62c1804cp-16, 0x1.b9c43ecb72272p-16, 0x1.b718da6a52601p-16, 0x1.b43d00987c402p-16, 0x1.b132130eecc51p-16, 0x1.adf96dd0b14f6p-16, 0x1.aa9467604b84ap-16, 0x1.a70450dbb47bdp-16, 0x1.a34a763821726p-16, 0x1.9f681e58b5154p-16, 0x1.9b5e8b36a0c0fp-16, 0x1.972ef9fe416c3p-16, 0x1.92daa32f6f26p-16, 0x1.8e62bab943018p-16, 0x1.89c8701343329p-16, 0x1.850cee5aeef07p-16, 0x1.80315c5b67de2p-16, 0x1.7b36dcbc458aap-16, 0x1.761e8dfc54207p-16, 0x1.70e98a94c67a4p-16, 0x1.6b98e8f83b605p-16, 0x1.662dbbb7cbea6p-16, 0x1.60a91182a474cp-16, 0x1.5b0bf5382dc85p-16, 0x1.55576df793146p-16, 0x1.4f8c7f1ff45f6p-16, 0x1.49ac2867a8a58p-16, 0x1.43b765ded40e1p-16, 0x1.3daf2ff9ba45ep-16, 0x1.37947b9971134p-16, 0x1.31683a1220041p-16, 0x1.2b2b59345f39bp-16, 0x1.24dec34eb4987p-16, 0x1.1e835f38bf062p-16, 0x1.181a105805e12p-16, 0x1.11a3b6a1c6e3ep-16, 0x1.0b212ea5cc5c9p-16, 0x1.0493518590cdcp-16, 0x1.fbf5ea213b3bp-17, 0x1.eeb1d759d6948p-17, 0x1.e15c08e7373b1p-17, 0x1.d3f6164daf323p-17, 0x1.c6819075b83bcp-17, 0x1.b90001b845153p-17, 0x1.ab72edd62a452p-17, 0x1.9ddbd21a9083dp-17, 0x1.903c254d81d1ap-17, 0x1.829557c817fedp-17, 0x1.74e8d37632c77p-17, 0x1.6737fbe0590c6p-17, 0x1.59842e342ee03p-17, 0x1.4bcec14789d6ap-17, 0x1.3e1905a6b77ddp-17, 0x1.3064457fd5593p-17, 0x1.22b1c4d4076e9p-17, 0x1.1502c14e09aeep-17, 0x1.0758726be472dp-17, 0x1.f36812d543b17p-18, 0x1.d82d62a429074p-18, 0x1.bd031e036990cp-18, 0x1.a1eb8247bc537p-18, 0x1.86e8c08ef897p-18, 0x1.6bfcfdadd96d7p-18, 0x1.512a5238c95b5p-18, 0x1.3672caaee5e5p-18, 0x1.1bd8677c6781ap-18, 0x1.015d1d0ac767ep-18, 0x1.ce05a768deef5p-19, 0x1.9996d01d4511p-19, 0x1.657155b42bfeap-19, 0x1.3198c227d52e9p-19, 0x1.fc21107df7575p-20, 0x1.95b8072428c6ap-20, 0x1.2ffcf1bb06004p-20, 0x1.95ec573404b13p-21, 0x1.9aa78da98fbf2p-22, 0x1.8f0d6326a8789p-27, -0x1.7e9d64f19d53bp-22, -0x1.83419f72181cp-21, -0x1.22c8cb7e428cbp-20, -0x1.8319fab036257p-20, -0x1.e28f36d5a462bp-20, -0x1.2091c1da99accp-19, -0x1.4f6907c57483fp-19, -0x1.7dcb1930b9aa9p-19, -0x1.abb5b6d81ce4bp-19, -0x1.d926b60dafd93p-19, -0x1.030e0032c231dp-18, -0x1.1949c9cc9423dp-18, -0x1.2f45c0a231bb5p-18, -0x1.4500f75518121p-18, -0x1.5a7a8a44c1f51p-18, -0x1.6fb19f81e687fp-18, -0x1.84a56686304d8p-18, -0x1.99551837b1287p-18, -0x1.adbff6e0843a6p-18, -0x1.c1e54dd00a679p-18, -0x1.d5c4718c632e8p-18, -0x1.e95cbf7009a54p-18, -0x1.fcad9dafe0d8bp-18, -0x1.07db3d9df53a3p-17, -0x1.113b67cb12da1p-17, -0x1.1a770d57df5d9p-17, -0x1.238df27135276p-17, -0x1.2c7fdf5d72da5p-17, -0x1.354ca06c0a526p-17, -0x1.3df405fabdec1p-17, -0x1.4675e43f8d88ep-17, -0x1.4ed2135b40b41p-17, -0x1.57086f3c7bba5p-17, -0x1.5f18d78a65f3p-17, -0x1.67032fa10a83cp-17, -0x1.6ec75e793b0ecp-17, -0x1.76654e9aac3bdp-17, -0x1.7ddcee0c0d05fp-17, -0x1.852e2e443fb5dp-17, -0x1.8c590415b0da5p-17, -0x1.935d67a576965p-17, -0x1.9a3b5457f1a02p-17, -0x1.a0f2c8bd1efc9p-17, -0x1.a783c68474dfcp-17, -0x1.adee5275321p-17, -0x1.b432745174242p-17, -0x1.ba5036c45c2e2p-17, -0x1.c047a766336b5p-17, -0x1.c618d697917c5p-17, -0x1.cbc3d77a10a9dp-17, -0x1.d148bfe3e597bp-17, -0x1.d6a7a84c64e2cp-17, -0x1.dbe0abbda54eap-17, -0x1.e0f3e7c53429bp-17, -0x1.e5e17c5ddff52p-17, -0x1.eaa98bfc9b30bp-17, -0x1.ef4c3b5764315p-17, -0x1.f3c9b1741079ep-17, -0x1.f822178c67d2cp-17, -0x1.fc559907857ecp-17, -0x1.003231b3258dfp-16, -0x1.0227531b91c98p-16, -0x1.040a498292b39p-16, -0x1.05db2ea623bf6p-16, -0x1.079a1d33865fep-16, -0x1.094730c636b25p-16, -0x1.0ae285d9abf01p-16, -0x1.0c6c39c26eb2ap-16, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.fb8d503ecb869p-1, 0x1.fa95ffabb930cp-1, 0x1.f8fb1d5dbc327p-1, 0x1.f6be961cdd633p-1, 0x1.f3e30b3087f42p-1, 0x1.f06bc48d6b1c2p-1, 0x1.ec5ca1811c76ep-1, 0x1.e7ba089705442p-1, 0x1.e288d746f6df1p-1, 0x1.dcce51d9d918dp-1, 0x1.d69013d373fafp-1, 0x1.cfd40118a4e4cp-1, 0x1.c8a037f676f75p-1, 0x1.c0fb041fefacep-1, 0x1.b8ead2ad2180cp-1, 0x1.b076271da836ep-1, 0x1.a7a3915a95ee8p-1, 0x1.9e79a4af7bbaep-1, 0x1.94feefaf508d2p-1, 0x1.8b39f4f826d3ap-1, 0x1.813124c7a1704p-1, 0x1.76ead751b34b1p-1, 0x1.6c6d47cb47747p-1, 0x1.61be901ac4e6bp-1, 0x1.56e4a520fb1bbp-1, 0x1.4be5538da80f9p-1, 0x1.40c63d339af48p-1, 0x1.358cd6d12e782p-1, 0x1.2a3e6642acfep-1, 0x1.1ee00114e3f9bp-1, 0x1.13768b6ef61abp-1, 0x1.0806b74b15ea9p-1, 0x1.f92a07ed0fd4fp-2, 0x1.e24b7ba3a4f02p-2, 0x1.cb79fc9530ce3p-2, 0x1.b4bd581223827p-2, 0x1.9e1cf69728404p-2, 0x1.879fdcd60751p-2, 0x1.714cad06dbd08p-2, 0x1.5b29a878d558dp-2, 0x1.453cb15a6db1ep-2, 0x1.2f8b4cb19b201p-2, 0x1.1a1aa47d20fcap-2, 0x1.04ef89f8a6634p-2, 0x1.e01ceffb8c5c5p-3, 0x1.b6f72af98713bp-3, 0x1.8e7570100a50ep-3, 0x1.669eccdbc7197p-3, 0x1.3f79b6b97d5d9p-3, 0x1.190c101b6fd3cp-3, 0x1.e6b65bcada51dp-4, 0x1.9cd7b9932c9cbp-4, 0x1.5484cd40f3a9ap-4, 0x1.0dc52f6fa96fcp-4, 0x1.913f104f151ddp-5, 0x1.0a33327b08243p-5, 0x1.0ce12228fa317p-6, 0x1.7fd4f95e63586p-11, -0x1.dc67b611669ecp-7, -0x1.e1ac31361f7ddp-6, -0x1.67317d08c2ce7p-5, -0x1.da29c2622a9a9p-5, -0x1.24deeb2be1731p-4, -0x1.5af6edb45c558p-4, -0x1.8f5d8c0cf99fap-4, -0x1.c213f35954e33p-4, -0x1.f31bd2bfaa445p-4, -0x1.113ba9e6bda9bp-3, -0x1.2814898f99876p-3, -0x1.3e1a0ca52015ep-3, -0x1.534dea047255ep-3, -0x1.67b207d376a1fp-3, -0x1.7b4878571646fp-3, -0x1.8e1376e8c5b6cp-3, -0x1.a015650ab034dp-3, -0x1.b150c799d62fbp-3, -0x1.c1c8441d5e857p-3, -0x1.d17e9e325bd45p-3, -0x1.e076b513339cp-3, -0x1.eeb38139ea132p-3, -0x1.fc38121c7a4e3p-3, -0x1.0483c6013833fp-2, -0x1.0a9292f97b7bcp-2, -0x1.104a13dd47a2bp-2, -0x1.15abf403d3a6ap-2, -0x1.1ab9e54ea4b33p-2, -0x1.1f759f4d9043fp-2, -0x1.23e0de6d0caa8p-2, -0x1.27fd632e6de41p-2, -0x1.2bccf169babe2p-2, -0x1.2f514f98bb4b2p-2, -0x1.328c462af17cp-2, -0x1.357f9ee227dfp-2, -0x1.382d24374130bp-2, -0x1.3a96a0c70341fp-2, -0x1.3cbddec68f5abp-2, -0x1.3ea4a77f3c73bp-2, -0x1.404cc2d193827p-2, -0x1.41b7f6bf2858bp-2, -0x1.42e806fb0c3f9p-2, -0x1.43deb4809fce7p-2, -0x1.449dbd30866b7p-2, -0x1.4526db737fa5ep-2, -0x1.457bc5e2f3d5bp-2, -0x1.459e2ef6f6decp-2, -0x1.458fc4b992e9fp-2, -0x1.4552307f29611p-2, -0x1.44e716a3b3338p-2, -0x1.4450164cbb739p-2, -0x1.438ec92fdea27p-2, -0x1.42a4c35da6a6ep-2, -0x1.419393109bd85p-2, -0x1.405cc0805dd27p-2, -0x1.3f01cdb89cec2p-2, -0x1.3d843673d436fp-2, -0x1.3be56ff99568dp-2, -0x1.3a26e90049381p-2, -0x1.384a099241dbdp-2, -0x1.365032f5f88c7p-2, -0x1.343abf99588c7p-2, -0x1.320b02fff961p-2, -0x1.2fc249b42348bp-2, -0x1.2d61d93a87821p-2, -0x1.2aeaf008868ffp-2, -0x1.285ec57cef5e6p-2, -0x1.25be89db16bcep-2, -0x1.230b66482c5a7p-2, -0x1.20467ccab582bp-2, -0x1.1d70e84c12c88p-2, -0x1.1a8bbc9bf326cp-2, -0x1.17980675a613bp-2, -0x1.1496cb8729572p-2, -0x1.11890a79e420fp-2, -0x1.0e6fbafcf79f9p-2, -0x1.0b4bcdd106bd3p-2, -0x1.081e2cd5702e4p-2, -0x1.04e7bb16d3ac4p-2, -0x1.01a954dede66fp-2, -0x1.fcc79f8a7c42cp-3, -0x1.f62ff58367e14p-3, -0x1.ef8d3c7e51686p-3, -0x1.e8e0f85f76bafp-3, -0x1.e22ca043628d6p-3, -0x1.db719eaa76ce6p-3, -0x1.d4b151a5fd9b7p-3, -0x1.cded0b069f54ep-3, -0x1.c726108c27d2ap-3, -0x1.c05d9c1671641p-3, -0x1.b994dbd76401dp-3, -0x1.b2ccf285e8264p-3, -0x1.ac06f791b4ac9p-3, -0x1.a543f757dc701p-3, -0x1.9e84f35806914p-3, -0x1.97cae26a38be4p-3, -0x1.9116b0f5183adp-3, -0x1.8a69412498dbcp-3, -0x1.83c36b20f5042p-3, -0x1.7d25fd45e3356p-3, -0x1.7691bc59ff84bp-3, -0x1.700763c63f9edp-3, -0x1.6987a5cd77824p-3, -0x1.63132bc3ce642p-3, -0x1.5caa964623bfcp-3, -0x1.564e7d713ebe7p-3, -0x1.4fff7118d3668p-3, -0x1.49bdf8fe3fa95p-3, -0x1.438a9506f4e2p-3, -0x1.3d65bd728ce1dp-3, -0x1.374fe3107109fp-3, -0x1.31496f7514524p-3, -0x1.2b52c52eab221p-3, -0x1.256c3ff9647e8p-3, -0x1.1f9634f312165p-3, -0x1.19d0f2ce39e42p-3, -0x1.141cc2048b3e4p-3, -0x1.0e79e508b04b6p-3, -0x1.08e89877722e8p-3, -0x1.036913482b84ep-3, -0x1.fbf70df9126acp-4, -0x1.f1403f9f153a6p-4, -0x1.e6ae09c78cc39p-4, -0x1.dc40b0e1cd6a8p-4, -0x1.d1f86fe0c2e7ep-4, -0x1.c7d57892ca228p-4, -0x1.bdd7f3f7f2e58p-4, -0x1.b400029697dbap-4, -0x1.aa4dbcce5ca44p-4, -0x1.a0c13329822dfp-4, -0x1.975a6eac94d9dp-4, -0x1.8e19712460e21p-4, -0x1.84fe35724b9f7p-4, -0x1.7c08afd6f36acp-4, -0x1.7338ce3b234dbp-4, -0x1.6a8e7877199fep-4, -0x1.620990981fa2ap-4, -0x1.59a9f324759e8p-4, -0x1.516f775d93b0fp-4, -0x1.4959ef80c1bfcp-4, -0x1.4169290609092p-4, -0x1.399cecdd82d4fp-4, -0x1.31f4ffab05afep-4, -0x1.2a712200361cdp-4, -0x1.23111094fe6efp-4, -0x1.1bd4847e72049p-4, -0x1.14bb33641dd2ep-4, -0x1.0dc4cfb3cfc27p-4, -0x1.06f108d3d4279p-4, -0x1.003f8b53b2234p-4, -0x1.f3600236d6a45p-5, -0x1.e6842332876d7p-5, -0x1.d9eac3dc2c2e5p-5, -0x1.cd932a307dacep-5, -0x1.c17c983a3a914p-5, -0x1.b5a64c626de25p-5, -0x1.aa0f81bdfe9e8p-5, -0x1.9eb7705894c11p-5, -0x1.939d4d7ce70d2p-5, -0x1.88c04bfa73624p-5, -0x1.7e1f9c68b92b6p-5, -0x1.73ba6d67fb314p-5, -0x1.698febdf98fe5p-5, -0x1.5f9f433a0bcaep-5, -0x1.55e79d9e94aa9p-5, -0x1.4c682428a73dp-5, -0x1.431fff1d2111bp-5, -0x1.3a0e561d55d58p-5, -0x1.3132505802f15p-5, -0x1.288b14b83363cp-5, -0x1.2017ca1220282p-5, -0x1.17d7974e1db3p-5, -0x1.0fc9a391a1c71p-5, -0x1.07ed166669059p-5, -0x1.004117dfd3cdbp-5, -0x1.f189a17cf09aep-6, -0x1.e2eed5240b21dp-6, -0x1.d4b01fb2ea317p-6, -0x1.c6cbd84344605p-6, -0x1.b94058449896p-6, -0x1.ac0bfbb323915p-6, -0x1.9f2d214be0f91p-6, -0x1.92a22abda76fdp-6, -0x1.86697cd77bd2ep-6, -0x1.7a817fb432278p-6, -0x1.6ee89ee36a4ap-6, -0x1.639d499006a04p-6, -0x1.589df2a42cffcp-6, -0x1.4de910eae62efp-6, -0x1.437d1f2f73ee8p-6, -0x1.39589c5a6b9dfp-6, -0x1.2f7a0b8caa978p-6, -0x1.25dff438411d5p-6, -0x1.1c88e23750534p-6, -0x1.137365e10902dp-6, -0x1.0a9e141cc63b9p-6, -0x1.020786735ff6cp-6, -0x1.f35cb63d917a7p-7, -0x1.e3226a2ffab2bp-7, -0x1.d35d7846c6de3p-7, -0x1.c40b39b737cd9p-7, -0x1.b5291175bc8e7p-7, -0x1.a6b46c45da5cep-7, -0x1.98aac0c7574d2p-7, -0x1.8b098f80def8fp-7, -0x1.7dce62e817571p-7, -0x1.70f6cf6766798p-7, -0x1.6480736167cadp-7, -0x1.5868f7323c6a9p-7, -0x1.4cae0d2eca5e6p-7, -0x1.414d71a1fcbdap-7, -0x1.3644eac822f6ep-7, -0x1.2b9248c88c516p-7, -0x1.213365ad67d36p-7, -0x1.1726255a09a02p-7, -0x1.0d68757fa5da2p-7, -0x1.03f84d9098886p-7, -0x1.f5a75d6494cf6p-8, -0x1.e3f1475b96909p-8, -0x1.d2ca81be5e644p-8, -0x1.c22f4847891a8p-8, -0x1.b21be98e63994p-8, -0x1.a28cc6df1c9f1p-8, -0x1.937e54110841p-8, -0x1.84ed175b18529p-8, -0x1.76d5a926a5dd1p-8, -0x1.6934b3e0ad266p-8, -0x1.5c06f3c991f23p-8, -0x1.4f4936c38e559p-8, -0x1.42f85c1fe181p-8, -0x1.3711546adb376p-8, -0x1.2b912136da2cdp-8, -0x1.2074d4e656eccp-8, -0x1.15b992750e695p-8, -0x1.0b5c8d4067831p-8, -0x1.015b08cf23db3p-8, -0x1.ef64b130dfda9p-9, -0x1.dcbfbf94d669ap-9, -0x1.cac222206622dp-9, -0x1.b966dcaf10ac4p-9, -0x1.a8a9112c3cde7p-9, -0x1.9883ff1d43d2p-9, -0x1.88f3032b1657bp-9, -0x1.79f196ab8e906p-9, -0x1.6b7b4f2a8db91p-9, -0x1.5d8bddf30523dp-9, -0x1.501f0f97fc5f7p-9, -0x1.4330cb7db385p-9, -0x1.36bd1362f67fdp-9, -0x1.2ac002eab8635p-9, -0x1.1f35cf2609f4ap-9, -0x1.141ac61e81ea9p-9, -0x1.096b4e612a094p-9, -0x1.fe47cd140097ap-10, -0x1.ea8249a03c40bp-10, -0x1.d77f6d2532d2fp-10, -0x1.c538bfcc53f11p-10, -0x1.b3a7f64740e4bp-10, -0x1.a2c6f0ee8b67p-10, -0x1.928fbae23ea7dp-10, -0x1.82fc892c6bfd3p-10, -0x1.7407b9e5bd7dep-10, -0x1.65abd35c1e485p-10, -0x1.57e3833ba0ff8p-10, -0x1.4aa99db99edc4p-10, -0x1.3df91cc236ba6p-10, -0x1.31cd1f2820e09p-10, -0x1.2620e7d6fdc9dp-10, -0x1.1aefdd081ff0ep-10, -0x1.10358779dbdffp-10, -0x1.05ed91a96c7aep-10, -0x1.f8278e1ef6531p-11, -0x1.e54826be842fbp-11, -0x1.d3350390c7cd2p-11, -0x1.c1e67876e61e7p-11, -0x1.b155156266e7ep-11, -0x1.a179a4e9332fep-11, -0x1.924d2adf183f4p-11, -0x1.83c8e2f4d2c84p-11, -0x1.75e63f5cac58bp-11, -0x1.689ee774a90f2p-11, -0x1.5becb6764ba83p-11, -0x1.4fc9ba2bef702p-11, -0x1.443031abb7df8p-11, -0x1.391a8c181415bp-11, -0x1.2e836765d54a9p-11, -0x1.24658f27d13cp-11, -0x1.1abbfb60117eap-11, -0x1.1181cf5683881p-11, -0x1.08b2587528194p-11, -0x1.00490d29b97a1p-11, -0x1.f08317997daffp-12, -0x1.e12f331c0c0a8p-12, -0x1.d28e42ccf1235p-12, -0x1.c498661e86e56p-12, -0x1.b74603fc8a27dp-12, -0x1.aa8fc8cf6fcc3p-12, -0x1.9e6ea48a1522p-12, -0x1.92dbc8c1be7f4p-12, -0x1.87d0a6d0385f4p-12, -0x1.7d46ee0014b9dp-12, -0x1.733889c2d62e7p-12, -0x1.699f9ff0fb82ap-12, -0x1.60768f13c35c7p-12, -0x1.57b7ecb8946a4p-12, -0x1.4f5e83cde1e0dp-12, -0x1.4765530976b36p-12, -0x1.3fc78b57ff6f9p-12, -0x1.38808e55be798p-12, -0x1.318becd03cb85p-12, -0x1.2ae56550e1fb7p-12, -0x1.2488e2b04fb7bp-12, -0x1.1e727ab25b6dfp-12, -0x1.189e6caa8beap-12, -0x1.13092028f46a4p-12, -0x1.0daf23af4f84bp-12, -0x1.088d2b6e3380dp-12, -0x1.03a0100a443a3p-12, -0x1.fdc99ad27ed7cp-13, -0x1.f4b1030d73e8ep-13, -0x1.ebf0d6a0f9064p-13, -0x1.e383d31498ad6p-13, -0x1.db64f3721a471p-13, -0x1.d38f6e2a1f16p-13, -0x1.cbfeb306e4f16p-13, -0x1.c4ae692cea563p-13, -0x1.bd9a6d2923a6p-13, -0x1.b6becf0c973ccp-13, -0x1.b017d0950d81p-13, -0x1.a9a1e36294fa1p-13, -0x1.a359a739a7fc2p-13, -0x1.9d3be851a58cfp-13, -0x1.97459daf61284p-13, -0x1.9173e78b918bcp-13, -0x1.8bc40dc4dafc6p-13, -0x1.86337e5d36df7p-13, -0x1.80bfcc027a7fep-13, -0x1.7b66aca1c9aap-13, -0x1.7625f805aedafp-13, -0x1.70fba67e9e784p-13, -0x1.6be5cf95b71fep-13, -0x1.66e2a8c977e8p-13, -0x1.61f08454359e3p-13, -0x1.5d0dcffc202d9p-13, -0x1.583913ec93b99p-13, -0x1.5370f1988ce3cp-13, -0x1.4eb422a5fae26p-13, -0x1.4a0177e1c7c4ep-13, -0x1.4557d83c5b75ap-13, -0x1.40b63fce6452cp-13, -0x1.3c1bbee5bb091p-13, -0x1.3787791a25587p-13, -0x1.32f8a469ce524p-13, -0x1.2e6e885d3e06dp-13, -0x1.29e87d32a5665p-13, -0x1.2565eb104be39p-13, -0x1.20e6493df737fp-13, -0x1.1c691d651007fp-13, -0x1.17edfad7707e6p-13, -0x1.137481dc9783dp-13, -0x1.0efc5f0523bdfp-13, -0x1.0a854a846b1cfp-13, -0x1.060f079001055p-13, -0x1.019963c508dcep-13, -0x1.fa486d264346dp-14, -0x1.f15ec159a6572p-14, -0x1.e87596fa933a2p-14, -0x1.df8cd1467da6p-14, -0x1.d6a462e1e084cp-14, -0x1.cdbc4ce1e6f35p-14, -0x1.c4d49ddfa5685p-14, -0x1.bbed71147a871p-14, -0x1.b306ed7f89364p-14, -0x1.aa214513c4dd2p-14, -0x1.a13cb3ee924e6p-14, -0x1.98597f968b859p-14, -0x1.8f77f64242bb6p-14, -0x1.86986e26be033p-14, -0x1.7dbb44cd73c99p-14, -0x1.74e0de718a964p-14, -0x1.6c09a564254f2p-14, -0x1.63360977847f7p-14, -0x1.5a667f70c46f8p-14, -0x1.519b808005116p-14, -0x1.48d589bec6138p-14, -0x1.40151bb445ebfp-14, -0x1.375ab9dfb0b2ep-14, -0x1.2ea6ea47f10a4p-14, -0x1.25fa3510f12cap-14, -0x1.1d5524161fd2ap-14, -0x1.14b8428a0b5abp-14, -0x1.0c241c9ae9c54p-14, -0x1.03993f1bdd3d2p-14, -0x1.f6306e65a6f9ap-15, -0x1.e5432415a0a6cp-15, -0x1.d46bb9150166p-15, -0x1.c3ab461dd9b34p-15, -0x1.b302e2544c2e4p-15, -0x1.a273a2cb95ce1p-15, -0x1.91fe9a127b073p-15, -0x1.81a4d7c6d62b2p-15, -0x1.7167683003fb9p-15, -0x1.614753dfe9fdep-15, -0x1.51459f5a5b1cap-15, -0x1.41634ac29a747p-15, -0x1.31a1518ec07eap-15, -0x1.2200aa40c6115p-15, -0x1.1282462501541p-15, -0x1.03271115d87d9p-15, -0x1.e7dfe288efd42p-16, -0x1.c9bb8e0ca8d4ap-16, -0x1.abe2d94e93c0ap-16, -0x1.8e576c804b0c5p-16, -0x1.711ae322d16bap-16, -0x1.542ecbc432a3dp-16, -0x1.3794a7c4e2ab5p-16, -0x1.1b4deb2486c89p-16, -0x1.feb7f8ab9d3bap-17, -0x1.c780683228b4ap-17, -0x1.90f7babadca36p-17, -0x1.5b206a4fc6dcap-17, -0x1.25fcd50101d7ep-17, -0x1.e31e7994049fdp-18, -0x1.7bb38f03098aap-18, -0x1.15bcfda72082p-18, -0x1.627d411434d34p-19, -0x1.38f06a0398cf7p-20, 0x1.34729a9da9ed9p-22, 0x1.cd1fe3ebd001p-20, 0x1.a386aff8a6973p-19, 0x1.2eb682642f96cp-18, 0x1.8a1eeaae752bfp-18, 0x1.e3fa39a945e9fp-18, 0x1.1e2326faa96ep-17, 0x1.49809dbd646dbp-17, 0x1.7414a569c8623p-17, 0x1.9dde7c55c612fp-17, 0x1.c6dd7a8bc16d3p-17, 0x1.ef111171a6aa6p-17, 0x1.0b3c65b60313cp-16, 0x1.1e8a25beb024cp-16, 0x1.3171a671062f5p-16, 0x1.43f2d15475bd7p-16, 0x1.560d9ba49920fp-16, 0x1.67c2061ac259ap-16, 0x1.79101cb65a575p-16, 0x1.89f7f684222a4p-16, 0x1.9a79b5647e7c4p-16, 0x1.aa9585d0dde4ap-16, 0x1.ba4b9ea0660cfp-16, 0x1.c99c40cbe85d1p-16, 0x1.d887b7314b95ep-16, 0x1.e70e5656780a2p-16, 0x1.f5307c2bde3d8p-16, 0x1.017747e7560b8p-15, 0x1.082480a5620d7p-15, 0x1.0ea024ae484ecp-15, 0x1.14ea74995cb54p-15, 0x1.1b03b517ecb69p-15, 0x1.20ec2ed61f36cp-15, 0x1.26a42e5bdfeeep-15, 0x1.2c2c03ede353bp-15, 0x1.3184036ec3b44p-15, 0x1.36ac844043749p-15, 0x1.3ba5e124b579ap-15, 0x1.407078209a8bp-15, 0x1.450caa5c6c76dp-15, 0x1.497adc06aac78p-15, 0x1.4dbb74362234cp-15, 0x1.51cedccc7a54bp-15, 0x1.55b582590ccdfp-15, 0x1.596fd3fc06c11p-15, 0x1.5cfe4349dff1fp-15, 0x1.6061442f207cp-15, 0x1.63994cd485481p-15, 0x1.66a6d58379892p-15, 0x1.698a588af2951p-15, 0x1.6c445224ab378p-15, 0x1.6ed5405ac274ap-15, 0x1.713da2edbfe65p-15, 0x1.737dfb3b00f18p-15, 0x1.7596cc238d05bp-15, 0x1.778899f35878dp-15, 0x1.7953ea48f379p-15, 0x1.7af943fda4b86p-15, 0x1.7c792f0df7bf5p-15, 0x1.7dd43482b86a6p-15, 0x1.7f0ade5a620edp-15, 0x1.801db772ff63fp-15, 0x1.810d4b747e141p-15, 0x1.81da26bb7598p-15, 0x1.8284d644615d3p-15, 0x1.830de7974eef9p-15, 0x1.8375e8b40025ep-15, 0x1.83bd67fe8266ep-15, 0x1.83e4f42c36b32p-15, 0x1.83ed1c3152bd5p-15, 0x1.83d66f2ecfe61p-15, 0x1.83a17c60d11cep-15, 0x1.834ed30d7a3e7p-15, 0x1.82df027438387p-15, 0x1.825299bd7d306p-15, 0x1.81aa27eaeba26p-15, 0x1.80e63bc7f1e92p-15, 0x1.800763dad5d24p-15, 0x1.7f0e2e562ca53p-15, 0x1.7dfb290ac2daap-15, 0x1.7ccee159eed4dp-15, 0x1.7b89e4284ef65p-15, 0x1.7a2cbdd0f148dp-15, 0x1.78b7fa18e7f22p-15, 0x1.772c24234006p-15, 0x1.7589c66562fcp-15, 0x1.73d16a9bdbf31p-15, 0x1.720399bf83a2fp-15, 0x1.7020dbfb099ecp-15, 0x1.6e29b8a0e5b68p-15, 0x1.6c1eb621a5953p-15, 0x1.6a005a02997bbp-15, 0x1.67cf28d4ddf0cp-15, 0x1.658ba62cc546dp-15, 0x1.63365499945b9p-15, 0x1.60cfb59d9fe6dp-15, 0x1.5e5849a6bb91ap-15, 0x1.5bd0900702c45p-15, 0x1.593906edf33d1p-15, 0x1.56922b61dd0a1p-15, 0x1.53dc7939a223ap-15, 0x1.51186b16c6b9dp-15, 0x1.4e467a5fd122dp-15, 0x1.4b671f3af4008p-15, 0x1.487ad0890580ap-15, 0x1.458203e0c18d5p-15, 0x1.427d2d8a529bbp-15, 0x1.3f6cc07b20bb7p-15, 0x1.3c512e51e9123p-15, 0x1.392ae753151b9p-15, 0x1.35fa5a6558877p-15, 0x1.32bff50e8b433p-15, 0x1.2f7c2370c79abp-15, 0x1.2c2f5047c25bdp-15, 0x1.28d9e4e6614d5p-15, }}, 
      {{0x1.fbc45b13ad2a6p-1, 0x1.fb71da06f5d7cp-1, 0x1.fae89b750d9b2p-1, 0x1.fa2902c8376fcp-1, 0x1.f93398b439ef2p-1, 0x1.f80909190aa17p-1, 0x1.f6aa209ded32fp-1, 0x1.f517ca1f8b29bp-1, 0x1.f3530c065cadep-1, 0x1.f15d059634bd9p-1, 0x1.ef36ec440691ap-1, 0x1.ece2091bcec1ep-1, 0x1.ea5fb63dec394p-1, 0x1.e7b15c7921fc8p-1, 0x1.e4d87104b6de5p-1, 0x1.e1d6735cd9536p-1, 0x1.deaceb425304ep-1, 0x1.db5d66ddcda96p-1, 0x1.d7e97906446ddp-1, 0x1.d452b7a9cc66ep-1, 0x1.d09aba5788c21p-1, 0x1.ccc318e966409p-1, 0x1.c8cd6a4c13415p-1, 0x1.c4bb436396b84p-1, 0x1.c08e360ae12e4p-1, 0x1.bc47d02cadd57p-1, 0x1.b7e99af41a3d7p-1, 0x1.b3751a135d9d1p-1, 0x1.aeebcb1f1ff76p-1, 0x1.aa4f24fcfde89p-1, 0x1.a5a09763d82b7p-1, 0x1.a0e18a6ca4c2cp-1, 0x1.9c135e3286e0fp-1, 0x1.97376a810477bp-1, 0x1.924efe8f46c69p-1, 0x1.8d5b60c75d96p-1, 0x1.885dce98948cfp-1, 0x1.83577c53f2d88p-1, 0x1.7e4995120f68bp-1, 0x1.79353aa171a46p-1, 0x1.741b857cc177ap-1, 0x1.6efd84c817e9ap-1, 0x1.69dc3e54cbbd4p-1, 0x1.64b8aeab1ea47p-1, 0x1.5f93c9193d9fbp-1, 0x1.5a6e77c70d4d7p-1, 0x1.55499bce45085p-1, 0x1.50260d5662865p-1, 0x1.4b049bb40d4c2p-1, 0x1.45e60d8b7f867p-1, 0x1.40cb20f59a573p-1, 0x1.3bb48ba74c50dp-1, 0x1.36a2fb1af8503p-1, 0x1.319714bb945d5p-1, 0x1.2c9176113a6bap-1, 0x1.2792b4eee7b11p-1, 0x1.229b5fa136ac6p-1, 0x1.1dabfd1dd79cp-1, 0x1.18c50d33996dcp-1, 0x1.13e708bad4522p-1, 0x1.0f1261c60f3e7p-1, 0x1.0a4783d2b73f2p-1, 0x1.0586d3f9cb21bp-1, 0x1.00d0b1205848dp-1, 0x1.f84ae84f64755p-2, 0x1.ef0ae03a8d94fp-2, 0x1.e5e1e4d3fd2d4p-2, 0x1.dcd086022518ap-2, 0x1.d3d7491c89423p-2, 0x1.caf6a946e50aep-2, 0x1.c22f17cadb4a2p-2, 0x1.b980fc702498cp-2, 0x1.b0ecb5d327ab9p-2, 0x1.a87299b9e6304p-2, 0x1.a012f5673723ap-2, 0x1.97ce0dec40fe4p-2, 0x1.8fa420782c3e9p-2, 0x1.879562a6035p-2, 0x1.7fa202c8c5184p-2, 0x1.77ca28359e492p-2, 0x1.700df38c4baa4p-2, 0x1.686d7efda5cc7p-2, 0x1.60e8de905938ep-2, 0x1.59802063c7992p-2, 0x1.52334cf11cd58p-2, 0x1.4b02674a982aep-2, 0x1.43ed6d590c4adp-2, 0x1.3cf45817a1861p-2, 0x1.36171bcddd14ap-2, 0x1.2f55a847f4f5bp-2, 0x1.28afe90d737bcp-2, 0x1.2225c5963b3b2p-2, 0x1.1bb7217de7d64p-2, 0x1.1563dcb59c5e1p-2, 0x1.0f2bd3b4425acp-2, 0x1.090edfa5440acp-2, 0x1.030cd695c71fcp-2, 0x1.fa4b1740ec16cp-3, 0x1.eeb19e2faed8fp-3, 0x1.e34cdd5e8deb2p-3, 0x1.d81c6b4515edfp-3, 0x1.cd1fd9b83ad52p-3, 0x1.c256b63445947p-3, 0x1.b7c08a243fae7p-3, 0x1.ad5cdb26e815bp-3, 0x1.a32b2b513e915p-3, 0x1.992af96eb57aep-3, 0x1.8f5bc13f1b6c1p-3, 0x1.85bcfbb24cb2dp-3, 0x1.7c4e1f21b3942p-3, 0x1.730e9f87b627ap-3, 0x1.69fdeeb509e0ep-3, 0x1.611b7c840d523p-3, 0x1.5866b70a30136p-3, 0x1.4fdf0ac76d332p-3, 0x1.4783e2d3fa7fcp-3, 0x1.3f54a90c1cd2fp-3, 0x1.3750c63a4ab84p-3, 0x1.2f77a23f92defp-3, 0x1.27c8a43a6521fp-3, 0x1.204332abb558bp-3, 0x1.18e6b39a9c02dp-3, 0x1.11b28cb6687c6p-3, 0x1.0aa623773d5d8p-3, 0x1.03c0dd3d44356p-3, 0x1.fa043edcef826p-4, 0x1.ecd29f26255fbp-4, 0x1.dfeba6e173a6fp-4, 0x1.d34e2248a919dp-4, 0x1.c6f8de7569becp-4, 0x1.baeaa9900afd7p-4, 0x1.af2252fc24274p-4, 0x1.a39eab82e502fp-4, 0x1.985e857b2d6ecp-4, 0x1.8d60b4efa2432p-4, 0x1.82a40fc29d283p-4, 0x1.78276dd030e4bp-4, 0x1.6de9a90e3d93p-4, 0x1.63e99daaa97fbp-4, 0x1.5a262a27d047ap-4, 0x1.509e2f77326acp-4, 0x1.475091127a15ep-4, 0x1.3e3c3512de1b7p-4, 0x1.35600446f42cdp-4, 0x1.2cbaea4700ecfp-4, 0x1.244bd587cf03bp-4, 0x1.1c11b76c1fa8dp-4, 0x1.140b8454bdce8p-4, 0x1.0c3833af41cf6p-4, 0x1.0496c0039110cp-4, 0x1.fa4c4e004ea26p-5, 0x1.ebcad30a6592fp-5, 0x1.dda7175d21572p-5, 0x1.cfdf29b966fffp-5, 0x1.c2711f78fdfa8p-5, 0x1.b55b149c48df3p-5, 0x1.a89b2bd60eda9p-5, 0x1.9c2f8e9571d78p-5, 0x1.90166d0e1cab9p-5, 0x1.844dfe3ec1e77p-5, 0x1.78d47ff5fb1fbp-5, 0x1.6da836d59a473p-5, 0x1.62c76e548181p-5, 0x1.583078bf0f251p-5, 0x1.4de1af36309b3p-5, 0x1.43d971ad2912fp-5, 0x1.3a1626e6218d6p-5, 0x1.30963c6d8b054p-5, 0x1.27582694644d1p-5, 0x1.1e5a606973783p-5, 0x1.159b6bb17d5d2p-5, 0x1.0d19d0de899ddp-5, 0x1.04d41f06441ap-5, 0x1.f991d7aefe9fap-6, 0x1.e9eda71de1fecp-6, 0x1.dab8f1d64bd01p-6, 0x1.cbf10a3f8c9adp-6, 0x1.bd934f9055d4bp-6, 0x1.af9d2db2a887fp-6, 0x1.a20c1d26977fap-6, 0x1.94dda2e3f2cabp-6, 0x1.880f503aeaa94p-6, 0x1.7b9ec2b3c6bd9p-6, 0x1.6f89a3edbc0e8p-6, 0x1.63cda97cee876p-6, 0x1.586894c7bf062p-6, 0x1.4d5832e36274bp-6, 0x1.429a5c6fe0e34p-6, 0x1.382cf5738027ap-6, 0x1.2e0ded35b1ef9p-6, 0x1.243b3e198ae6dp-6, 0x1.1ab2ed77d6a4ap-6, 0x1.11730b78cd4dcp-6, 0x1.0879b2ed80bc8p-6, 0x1.ff8a12520acb1p-7, 0x1.eea67bb2c5e4cp-7, 0x1.de4515c0b8159p-7, 0x1.ce62685821a5ap-7, 0x1.befb0f1f15c84p-7, 0x1.b00bb93676694p-7, 0x1.a19128ead974fp-7, 0x1.9388336584a59p-7, 0x1.85edc05d667f5p-7, 0x1.78bec9c84900fp-7, 0x1.6bf85b8c2bbbcp-7, 0x1.5f979330d9084p-7, 0x1.53999f91d54cbp-7, 0x1.47fbc0909d145p-7, 0x1.3cbb46c74fcc6p-7, 0x1.31d5933bc11a3p-7, 0x1.274817130fc0fp-7, 0x1.1d105345b9147p-7, 0x1.132bd8543d3dep-7, 0x1.099845fc58f6dp-7, 0x1.00534aeede052p-7, 0x1.eeb5490c62b8dp-8, 0x1.dd583cfaecb65p-8, 0x1.cc8b2550da606p-8, 0x1.bc49d158184d6p-8, 0x1.ac902b6fae721p-8, 0x1.9d5a387ff957cp-8, 0x1.8ea4177076654p-8, 0x1.806a009f2b63cp-8, 0x1.72a84559b1b18p-8, 0x1.655b4f57ed044p-8, 0x1.587fa03872cbdp-8, 0x1.4c11d0fea93f1p-8, 0x1.400e9192a3b3ep-8, 0x1.3472a842beca3p-8, 0x1.293af14703751p-8, 0x1.1e645e4650501p-8, 0x1.13ebf5dd50932p-8, 0x1.09ced327405d1p-8, 0x1.000a25487dc44p-8, 0x1.ed365df5dfeeap-9, 0x1.dafe8c387498ep-9, 0x1.c967a67b8d008p-9, 0x1.b86ca26d3d191p-9, 0x1.a808996e2f8a9p-9, 0x1.9836c7bca38c3p-9, 0x1.88f28ba3071b9p-9, 0x1.7a3764aa2d915p-9, 0x1.6c00f2cf23232p-9, 0x1.5e4af5bc93c0ap-9, 0x1.51114c07c42bbp-9, 0x1.444ff27115fa3p-9, 0x1.3803032813b0cp-9, 0x1.2c26b512f8041p-9, 0x1.20b75b19b6712p-9, 0x1.15b163746d892p-9, 0x1.0b1156fd4ad14p-9, 0x1.00d3d885cda3p-9, 0x1.edeb485ecfda1p-10, 0x1.dae71d8edc63p-10, 0x1.c8950a4cad82bp-10, 0x1.b6ef172466c1fp-10, 0x1.a5ef7a48cf2d1p-10, 0x1.9590966517bcbp-10, 0x1.85ccf974e627p-10, 0x1.769f5ba29d582p-10, 0x1.68029e2bc0a9fp-10, 0x1.59f1ca4b64594p-10, 0x1.4c68102a9c947p-10, 0x1.3f60c5d6ccbe7p-10, 0x1.32d7663dbcffep-10, 0x1.26c7902f78676p-10, 0x1.1b2d0565c32e8p-10, 0x1.1003a99124a36p-10, 0x1.0547816b67c66p-10, 0x1.f5e9639efceb5p-11, 0x1.e20efdad6aefep-11, 0x1.cef895f637978p-11, 0x1.bc9f2c7e1c0d4p-11, 0x1.aafbfab39a72ep-11, 0x1.9a0871d2173e4p-11, 0x1.89be394eb4f5ep-11, 0x1.7a172d4ec45c7p-11, 0x1.6b0d5d27a04a6p-11, 0x1.5c9b09e7c8651p-11, 0x1.4ebaa4e91098p-11, 0x1.4166ce6bbb6ep-11, 0x1.349a543a552edp-11, 0x1.2850305622f07p-11, 0x1.1c8387ac00e9ap-11, 0x1.112fa8d181a0bp-11, 0x1.06500aca297d7p-11, 0x1.f7c097a9344e6p-12, 0x1.e3b8607f0fb59p-12, 0x1.d07f428ca22e9p-12, 0x1.be0d57ea2030ap-12, 0x1.ac5b0027fc12ep-12, 0x1.9b60de340a171p-12, 0x1.8b17d64caddfep-12, 0x1.7b790c01cd531p-12, 0x1.6c7de04334adcp-12, 0x1.5e1fef7c2f00ap-12, 0x1.50590fbbffc17p-12, 0x1.43234eeafbb1ap-12, 0x1.3678f10bf8255p-12, 0x1.2a546e89cd8fp-12, 0x1.1eb07290a45bbp-12, 0x1.1387d972cfc59p-12, 0x1.08d5af18eaf4ap-12, 0x1.fd2a5afa01299p-13, 0x1.e9837660e6f1fp-13, 0x1.d6add3d8dd4bp-13, 0x1.c4a0ea593d382p-13, 0x1.b35481a7e2824p-13, 0x1.a2c0afb64ca1bp-13, 0x1.92ddd611dff74p-13, 0x1.83a49f66dc26dp-13, 0x1.750dfd1586c44p-13, 0x1.671324d93041fp-13, 0x1.59ad8e808b1d8p-13, 0x1.4cd6f1b6fc1ebp-13, 0x1.408943de705f1p-13, 0x1.34beb5f94ecfbp-13, 0x1.2971b2a42a459p-13, 0x1.1e9cdc1ec0c0ap-13, 0x1.143b0a63eb27dp-13, 0x1.0a474950244e5p-13, 0x1.00bcd6d63cf9p-13, 0x1.ef2e4283c7701p-14, 0x1.dda38b0f56067p-14, 0x1.ccd11b445e0c4p-14, 0x1.bcaeddf802118p-14, 0x1.ad3511cc1431ap-14, 0x1.9e5c463420ec2p-14, 0x1.901d58920ad53p-14, 0x1.82717169a985bp-14, 0x1.755201aac7aecp-14, 0x1.68b8c010e3c46p-14, 0x1.5c9fa69822f4fp-14, 0x1.5100f006de8f9p-14, 0x1.45d7158b3efafp-14, 0x1.3b1ccc6c56d29p-14, 0x1.30cd03ce35139p-14, 0x1.26e2e28867c76p-14, 0x1.1d59c50e6cc08p-14, 0x1.142d3b6990255p-14, 0x1.0b590743ba252p-14, 0x1.02d91a02b5ab2p-14, 0x1.f55325e6e4a1fp-15, 0x1.e58d7b09a8151p-15, 0x1.d65a1f2334035p-15, 0x1.c7b24f71dd213p-15, 0x1.b98f978a6c247p-15, 0x1.abebce415fceap-15, 0x1.9ec112af08e74p-15, 0x1.9209c94db7d3p-15, 0x1.85c0993131a8dp-15, 0x1.79e06956b44d9p-15, 0x1.6e645e0ccd28p-15, 0x1.6347d67247133p-15, 0x1.58866a0b874ebp-15, 0x1.4e1be66da5ff6p-15, 0x1.44044cfe9b155p-15, 0x1.3a3bd0c9df427p-15, 0x1.30bed468da8d4p-15, 0x1.2789e7fe8cc94p-15, 0x1.1e99c745d0b41p-15, 0x1.15eb57b1ac7d2p-15, 0x1.0d7ba69f1aea6p-15, 0x1.0547e797c5a2cp-15, 0x1.fa9ae54a4d415p-16, 0x1.eb1385670fc6ap-16, 0x1.dbf4e808d7d73p-16, 0x1.cd3a855fa5b8fp-16, 0x1.bee01267e053fp-16, 0x1.b0e17e259e429p-16, 0x1.a33aeefaf46aap-16, 0x1.95e8c01862164p-16, 0x1.88e77f06848b6p-16, 0x1.7c33e948393c9p-16, 0x1.6fcaea1466f9bp-16, 0x1.63a99826a00aep-16, 0x1.57cd33a5de41ap-16, 0x1.4c332420989bbp-16, 0x1.40d8f69d7e52ap-16, 0x1.35bc5bc0227a7p-16, 0x1.2adb2600ee218p-16, 0x1.203347f7a91f6p-16, 0x1.15c2d2b801882p-16, 0x1.0b87f43f686dbp-16, 0x1.0180f5f3b261fp-16, 0x1.ef587663c308ap-17, 0x1.dc107fd9136d6p-17, 0x1.c9272eb2837b3p-17, 0x1.b699d5593236fp-17, 0x1.a465efc82a8bap-17, 0x1.9289213b4668cp-17, 0x1.810131f83978bp-17, 0x1.6fcc0d3097acp-17, 0x1.5ee7befc1db11p-17, 0x1.4e52726a404b5p-17, 0x1.3e0a6faa252eep-17, 0x1.2e0e1a4844668p-17, 0x1.1e5bef80cf93ap-17, 0x1.0ef284a6231b1p-17, 0x1.ffa10b34fac7fp-18, 0x1.e1e966b88232bp-18, 0x1.c4bbc5481b21cp-18, 0x1.a815f527fcc4ep-18, 0x1.8bf5e6eecfbp-18, 0x1.7059ab24dc297p-18, 0x1.553f7001aba98p-18, 0x1.3aa57f46ef2fap-18, 0x1.208a3c377cf0fp-18, 0x1.06ec21a94c0fep-18, 0x1.db938062a60fcp-19, 0x1.aa4378d081919p-19, 0x1.79e59a8e13dbap-19, 0x1.4a777534a6ac8p-19, 0x1.1bf6b7178a42fp-19, 0x1.dcc2550175cdap-20, 0x1.8369662b80b01p-20, 0x1.2bde96c63356cp-20, 0x1.ac3c0a321fcc2p-21, 0x1.0447e882a0d94p-21, 0x1.7f6640e514425p-23, -0x1.0457f45c24cfbp-23, -0x1.bd1b16636934bp-22, -0x1.7893b9e861e5dp-21, -0x1.079781b11641ep-20, -0x1.5132e0fba70dcp-20, -0x1.991f1ad30fca4p-20, -0x1.df5f44931dfc7p-20, -0x1.11fb35a78ee15p-19, -0x1.3373cb0026826p-19, -0x1.541ae3c4f4a2cp-19, -0x1.73f2004a7c96fp-19, -0x1.92faa0a2d9dfap-19, -0x1.b13645663fa6ap-19, -0x1.cea6706a2055dp-19, -0x1.eb4ca567e7e57p-19, -0x1.0395354a0d5bfp-18, -0x1.1120a49351f5fp-18, -0x1.1e4966ea91a04p-18, -0x1.2b10449ff936fp-18, -0x1.377608294d356p-18, -0x1.437b7e4c3482ep-18, -0x1.4f217642e7916p-18, -0x1.5a68c1db96893p-18, -0x1.65523592d203cp-18, -0x1.6fdea8a93f43cp-18, -0x1.7a0ef534e64e7p-18, -0x1.83e3f82e55485p-18, -0x1.8d5e9179e1ff6p-18, -0x1.967fa3ed43007p-18, -0x1.9f481551c0c5fp-18, -0x1.a7b8ce633532p-18, -0x1.afd2bacc11d03p-18, -0x1.b796c91ea10bep-18, -0x1.bf05eacbb3a44p-18, -0x1.c6211416edabbp-18, -0x1.cce93c08db6dp-18, -0x1.d35f5c5eff80bp-18, -0x1.d9847179fef58p-18, -0x1.df597a4a17a78p-18, -0x1.e4df783a0232fp-18, -0x1.ea176f1867023p-18, -0x1.ef0265000876ap-18, -0x1.f3a1623ebf4c2p-18, -0x1.f7f5713b6c5e4p-18, -0x1.fbff9e5afc10ap-18, -0x1.ffc0f7e49549dp-18, -0x1.019d46f289473p-17, -0x1.0336b908ec21ap-17, -0x1.04ad5bd593e4ep-17, -0x1.0601b9aefecb9p-17, -0x1.07345d92cbd63p-17, -0x1.0845d316588ecp-17, -0x1.0936a65745b8ep-17, -0x1.0a0763ebea486p-17, -0x1.0ab898d3bcf91p-17, -0x1.0b4ad267be7acp-17, -0x1.0bbe9e4ae7a62p-17, -0x1.0c148a5aa7b08p-17, -0x1.0c4d249f74889p-17, -0x1.0c68fb3d764acp-17, -0x1.0c689c655245ap-17, -0x1.0c4c96451abdcp-17, -0x1.0c1576f968ebbp-17, -0x1.0bc3cc7ea6ad7p-17, -0x1.0b5824a2895cbp-17, -0x1.0ad30cf5c4901p-17, -0x1.0a3512bdf7a8p-17, -0x1.097ec2e7d82dfp-17, -0x1.08b0a9f99d316p-17, -0x1.07cb5405af888p-17, -0x1.06cf4c9d9df1dp-17, -0x1.05bd1ec55bb75p-17, -0x1.049554e6c8191p-17, -0x1.035878c5831b8p-17, -0x1.020713730f4b1p-17, -0x1.00a1ad4342e7ep-17, -0x1.fe519b8214695p-18, -0x1.fb39f746f382bp-18, -0x1.f7fd798668e1fp-18, -0x1.f49d2c2046ffdp-18, -0x1.f11a170f051dfp-18, -0x1.ed7540547dac3p-18, -0x1.e9afabe757e36p-18, -0x1.e5ca5ba116885p-18, -0x1.e1c64f2cd1065p-18, -0x1.dda483f69527ap-18, -0x1.d965f51b6f1cbp-18, -0x1.d50b9b5a19d7p-18, -0x1.d0966d04551f9p-18, -0x1.cc075df0e1b2bp-18, -0x1.c75f5f6e20c8dp-18, -0x1.c29f6035559bdp-18, -0x1.bdc84c5e8a595p-18, -0x1.b8db0d55114ddp-18, -0x1.b3d889cca7c2p-18, -0x1.aec1a5b73151bp-18, -0x1.a997423b0f7adp-18, -0x1.a45a3daa0ec4cp-18, -0x1.9f0b7378eb827p-18, -0x1.99abbc3769014p-18, -0x1.943bed88f9b23p-18, -0x1.8ebcda1df5b5fp-18, -0x1.892f51ad5ceap-18, -0x1.839420ef24c06p-18, -0x1.7dec1197093c3p-18, -0x1.7837ea4fe5667p-18, -0x1.72786eb78c4fap-18, -0x1.6cae5f5b20063p-18, -0x1.66da79b3e5114p-18, -0x1.60fd782490209p-18, -0x1.5b1811f709e96p-18, -0x1.552afb5aa4939p-18, -0x1.4f36e562c675cp-18, -0x1.493c7e05fe059p-18, -0x1.433c701d842cep-18, -0x1.3d37636526ab8p-18, -0x1.372dfc7b9710ep-18, -0x1.3120dce31c92ep-18, -0x1.2b10a302a7063p-18, -0x1.24fdea273e132p-18, -0x1.1ee94a85caa1bp-18, -0x1.18d3593d38781p-18, -0x1.12bca858ed745p-18, -0x1.0ca5c6d38fbf3p-18, -0x1.068f409a20733p-18, -0x1.00799e8f5e9b9p-18, -0x1.f4cacd1eeb6fap-19, -0x1.e8a636e7ec10fp-19, -0x1.dc867a301b6c5p-19, -0x1.d06c90ba1098ep-19, -0x1.c4596e5e14e4ep-19, -0x1.b84e01141cfa5p-19, -0x1.ac4b30fe31d9bp-19, -0x1.a051e0734ed9ap-19, -0x1.9462ec0aa9b8ap-19, -0x1.887f2aa763051p-19, -0x1.7ca76d8499accp-19, -0x1.70dc8041db5b4p-19, -0x1.651f28eff0808p-19, -0x1.5970281dfe3c7p-19, -0x1.4dd038e6f4f53p-19, -0x1.424010ff55664p-19, -0x1.36c060c332c9cp-19, -0x1.2b51d34482d49p-19, -0x1.1ff50e59abf46p-19, -0x1.14aab2ac4dc6bp-19, -0x1.09735bc8473e2p-19, -0x1.fc9f4055df051p-20, -0x1.e68022a4ffa0ep-20, -0x1.d08a779b614e3p-20, -0x1.babf4e96f1f2p-20, -0x1.a51fad56002ep-20, -0x1.8fac90175318ep-20, -0x1.7a66e9ba91833p-20, -0x1.654fa3e0dad01p-20, -0x1.50679f0d9f36ep-20, -0x1.3bafb2c7a186p-20, -0x1.2728adba22679p-20, -0x1.12d355d633ffap-20, -0x1.fd60d0e84d59dp-21, -0x1.d58134ea29d55p-21, -0x1.ae0930c8ff5dep-21, -0x1.86fa0d33f68afp-21, -0x1.605502b5cd511p-21, -0x1.3a1b39f85089ep-21, -0x1.144dcc07d8403p-21, -0x1.dddb852d78c18p-22, -0x1.93f830817814fp-22, -0x1.4af3719c98665p-22, -0x1.02cf02ef8ddfbp-22, -0x1.771904a1d49e1p-23, -0x1.d4b5c60b39427p-24, -0x1.7d99b5c1a9421p-25, 0x1.4e0e2e63d342fp-26, 0x1.6236aad7c9e4ap-24, 0x1.36a4142d58478p-23, 0x1.ba5a07cedac76p-23, 0x1.1e1db404107bap-22, 0x1.5e234ec392276p-22, 0x1.9d3d20772130ap-22, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.28397793cbeccp-7, -0x1.28c90dbb135b6p-6, -0x1.be8d3f6d1bc7ep-6, -0x1.2af2713435f1bp-5, -0x1.779d9feca10d7p-5, -0x1.c5749f31426bbp-5, -0x1.0a4d1a260427bp-4, -0x1.3293b37eafa1ep-4, -0x1.5b95e15b28015p-4, -0x1.8556e8cc56e3dp-4, -0x1.afd5df7952752p-4, -0x1.db0e09675f2e1p-4, -0x1.037b9eda0c44ap-3, -0x1.19c326fd3d4e9p-3, -0x1.3056b696bf2ebp-3, -0x1.472e49c799723p-3, -0x1.5e40ef0d956c9p-3, -0x1.7584f422e3948p-3, -0x1.8cf00faf1745ap-3, -0x1.a477879a1d3eep-3, -0x1.bc1053f13e1efp-3, -0x1.d3af3e65d4a2ep-3, -0x1.eb48fe7e2cb67p-3, -0x1.0169294e7e3c9p-2, -0x1.0d200b05c56cp-2, -0x1.18c3aa1bc3af1p-2, -0x1.244eacabecd11p-2, -0x1.2fbbe0562e03p-2, -0x1.3b064045e8ed1p-2, -0x1.4628fa38eb812p-2, -0x1.511f729e2be38p-2, -0x1.5be547e2c5038p-2, -0x1.6676550248bdcp-2, -0x1.70ceb36e0bceep-2, -0x1.7aeabc5d905fcp-2, -0x1.84c70998d6bc9p-2, -0x1.8e6075cbe908p-2, -0x1.97b41c71b6feep-2, -0x1.a0bf5963124cdp-2, -0x1.a97fc8157ef43p-2, -0x1.b1f342946e4e2p-2, -0x1.ba17e03e8a932p-2, -0x1.c1ebf44fca7e4p-2, -0x1.c96e0c402cab5p-2, -0x1.d09cedfe41975p-2, -0x1.d777960bea893p-2, -0x1.ddfd35831a2b2p-2, -0x1.e42d3007caffp-2, -0x1.ea0719abd4de7p-2, -0x1.ef8ab4c8d3f8ap-2, -0x1.f4b7efd3d9eb1p-2, -0x1.f98ee32e43045p-2, -0x1.fe0fcef69d1eep-2, -0x1.011d8c6e24e2fp-1, -0x1.0308a4fc104f9p-1, -0x1.04c986560e138p-1, -0x1.06609545ec30cp-1, -0x1.07ce4527b1b9cp-1, -0x1.091316e8db271p-1, -0x1.0a2f980df73cp-1, -0x1.0b2461bf1d6a9p-1, -0x1.0bf217db9f231p-1, -0x1.0c996815448a6p-1, -0x1.0d1b0913529a7p-1, -0x1.0d77b99d886a1p-1, -0x1.0db03fcf35418p-1, -0x1.0dc568527bb7p-1, -0x1.0db805a3c8dc3p-1, -0x1.0d88ef5d7d821p-1, -0x1.0d39018bc28a5p-1, -0x1.0cc91c086fa49p-1, -0x1.0c3a21def0e5ap-1, -0x1.0b8cf8b806ef5p-1, -0x1.0ac2884d3e0a8p-1, -0x1.09dbb9e3f4d4ep-1, -0x1.08d977cfbfb7bp-1, -0x1.07bcacfbfd9c3p-1, -0x1.0686447c68a6fp-1, -0x1.053729246c701p-1, -0x1.03d045250b308p-1, -0x1.025281b11c3aep-1, -0x1.00bec6a7a4dcfp-1, -0x1.fe2bf4883228dp-2, -0x1.fab201a88ad94p-2, -0x1.f71178e7513dp-2, -0x1.f34c19980f792p-2, -0x1.ef639db600e2cp-2, -0x1.eb59b978c2ebp-2, -0x1.e7301af22b901p-2, -0x1.e2e869b4d36acp-2, -0x1.de844682e95ap-2, -0x1.da054b04ef7b2p-2, -0x1.d56d0987f7e1ep-2, -0x1.d0bd0cc2ffdccp-2, -0x1.cbf6d7a310efbp-2, -0x1.c71be51dc4fffp-2, -0x1.c22da809db02dp-2, -0x1.bd2d8afd84a99p-2, -0x1.b81cf0321bad3p-2, -0x1.b2fd316cf1534p-2, -0x1.adcf9fece73d6p-2, -0x1.a895845c914f2p-2, -0x1.a3501ec8909ddp-2, -0x1.9e00a699edcd1p-2, -0x1.98a84a942d5b4p-2, -0x1.934830d6e12c2p-2, -0x1.8de176e27f77p-2, -0x1.887531a04509fp-2, -0x1.83046d6ceb78bp-2, -0x1.7d902e26088cbp-2, -0x1.78196f39db27dp-2, -0x1.72a123b960357p-2, -0x1.6d28366c825f4p-2, -0x1.67af89e837376p-2, -0x1.6237f8a664e75p-2, -0x1.5cc2551f6b718p-2, -0x1.574f69e52b424p-2, -0x1.51dff9bf6b28bp-2, -0x1.4c74bfc978543p-2, -0x1.470e6f90e664ep-2, -0x1.41adb53551358p-2, -0x1.3c5335890358p-2, -0x1.36ff8e326bb8cp-2, -0x1.31b355ce424b4p-2, -0x1.2c6f1c1250c46p-2, -0x1.273369f0bbbfbp-2, -0x1.2200c1bbc1533p-2, -0x1.1cd79f49d7f37p-2, -0x1.17b8781a15e9ep-2, -0x1.12a3bb78d9712p-2, -0x1.0d99d2a496a4ap-2, -0x1.089b20f2c6dcbp-2, -0x1.03a803f4dff54p-2, -0x1.fd81a73a9e336p-3, -0x1.f3cbc4c8ce7f3p-3, -0x1.ea2efada6536p-3, -0x1.e0abd9544ef82p-3, -0x1.d742e6034f09cp-3, -0x1.cdf49ce496d44p-3, -0x1.c4c1706ddddccp-3, -0x1.bba9c9d4dd283p-3, -0x1.b2ae09563192cp-3, -0x1.a9ce867b856ebp-3, -0x1.a10b906106b2ep-3, -0x1.98656dfa0304fp-3, -0x1.8fdc5e54bcf84p-3, -0x1.877098dd520c3p-3, -0x1.7f224d9fc301p-3, -0x1.76f1a588fed8dp-3, -0x1.6edec2a6f86fcp-3, -0x1.66e9c067b5f3bp-3, -0x1.5f12b3d7595cp-3, -0x1.5759abdd1832ep-3, -0x1.4fbeb1772392ap-3, -0x1.4841c7f56ebep-3, -0x1.40e2ed3363495p-3, -0x1.39a219d06e974p-3, -0x1.327f41677095ep-3, -0x1.2b7a52c5020d7p-3, -0x1.2493381c96067p-3, -0x1.1dc9d73c74848p-3, -0x1.171e11c08a2fdp-3, -0x1.108fc5440dcecp-3, -0x1.0a1ecb91ff14p-3, -0x1.03cafad477b85p-3, -0x1.fb284b85b1182p-4, -0x1.eef4379d9a749p-4, -0x1.e2f952a049f4dp-4, -0x1.d7372f5f1ac51p-4, -0x1.cbad5b204edeep-4, -0x1.c05b5defebc32p-4, -0x1.b540baee6b49fp-4, -0x1.aa5cf09d27e78p-4, -0x1.9faf79289eca5p-4, -0x1.9537cab0760c7p-4, -0x1.8af5578d6ccc5p-4, -0x1.80e78e9520f09p-4, -0x1.770ddb5bbe78dp-4, -0x1.6d67a6739b857p-4, -0x1.63f455aaca1p-4, -0x1.5ab34c46a7109p-4, -0x1.51a3eb3d6c58dp-4, -0x1.48c5916dd1fabp-4, -0x1.40179bd4c2937p-4, -0x1.379965c12e17bp-4, -0x1.2f4a490602557p-4, -0x1.27299e2a52adcp-4, -0x1.1f36bc97b749ep-4, -0x1.1770fac6ebe34p-4, -0x1.0fd7ae6ab9079p-4, -0x1.086a2c992f3b2p-4, -0x1.0127c9f33e2f3p-4, -0x1.f41fb5955dcd4p-5, -0x1.e643668d1b9ffp-5, -0x1.d8b94f0c13253p-5, -0x1.cb801783a61c1p-5, -0x1.be9668d80b82ep-5, -0x1.b1faec9d4435ep-5, -0x1.a5ac4d5147129p-5, -0x1.99a9369373663p-5, -0x1.8df055595f1d8p-5, -0x1.828058210e6f6p-5, -0x1.7757ef20ac3a6p-5, -0x1.6c75cc73cda41p-5, -0x1.61d8a44657d79p-5, -0x1.577f2cfd176p-5, -0x1.4d681f5c17311p-5, -0x1.439236aaceefcp-5, -0x1.39fc30d62fe04p-5, -0x1.30a4ce90a9191p-5, -0x1.278ad3702e3d8p-5, -0x1.1ead060a51fe4p-5, -0x1.160a300e83d99p-5, -0x1.0da11e5e81ffdp-5, -0x1.0570a1250af86p-5, -0x1.faef17d5c13cp-6, -0x1.eb696b545b621p-6, -0x1.dc4df1c0a5239p-6, -0x1.cd9a673c6b46p-6, -0x1.bf4c8f2e2d40dp-6, -0x1.b162345bf8448p-6, -0x1.a3d929038e879p-6, -0x1.96af46efea553p-6, -0x1.89e26f8c40c17p-6, -0x1.7d708bf49a864p-6, -0x1.71578d041af7ap-6, -0x1.65956b6107597p-6, -0x1.5a282786b05ebp-6, -0x1.4f0dc9cd4d4d5p-6, -0x1.4444626fdde1dp-6, -0x1.39ca09902db1fp-6, -0x1.2f9cdf390c0c8p-6, -0x1.25bb0b5ec93b6p-6, -0x1.1c22bdde132fap-6, -0x1.12d22e793e433p-6, -0x1.09c79cd416ea4p-6, -0x1.0101506e41401p-6, -0x1.f0fb3138852cfp-7, -0x1.e07598fe8d3dcp-7, -0x1.d06e95f74d03cp-7, -0x1.c0e2f55c9c17dp-7, -0x1.b1cf93c2189a3p-7, -0x1.a3315cfbaa9b8p-7, -0x1.95054c0226336p-7, -0x1.87486ad611e55p-7, -0x1.79f7d260b04b2p-7, -0x1.6d10aa537e45fp-7, -0x1.60902906136afp-7, -0x1.54739352b4e3ap-7, -0x1.48b83c7182d4fp-7, -0x1.3d5b85d276c47p-7, -0x1.325adef6380cap-7, -0x1.27b3c545ea8b8p-7, -0x1.1d63c3ea0141ap-7, -0x1.136873a02dcadp-7, -0x1.09bf7a90825c9p-7, -0x1.00668c21d45d9p-7, -0x1.eeb6d19aed9cfp-8, -0x1.dd37bbe4b3c71p-8, -0x1.cc4b8b4f4673cp-8, -0x1.bbee0d1d9c498p-8, -0x1.ac1b274ac401ap-8, -0x1.9cced82ca0dbp-8, -0x1.8e0536160ccd6p-8, -0x1.7fba6ef8804b1p-8, -0x1.71eac80557376p-8, -0x1.64929d4ece152p-8, -0x1.57ae6168cb6bfp-8, -0x1.4b3a9d0990af2p-8, -0x1.3f33eeaa64f4ap-8, -0x1.33970a284eddfp-8, -0x1.2860b864f3a96p-8, -0x1.1d8dd6e7a9359p-8, -0x1.131b577ed133bp-8, -0x1.09063fe18cbc1p-8, -0x1.fe9752a3ae5fbp-9, -0x1.ebd1807e31763p-9, -0x1.d9b587d27f54fp-9, -0x1.c83e0c08d3bcfp-9, -0x1.b765d4ba60bf6p-9, -0x1.a727ccfb3b0c9p-9, -0x1.977f02a5b4bd1p-9, -0x1.8866a5a7392a5p-9, -0x1.79da074ec0ea5p-9, -0x1.6bd4999ceae18p-9, -0x1.5e51ee95d600ep-9, -0x1.514db794ba8f1p-9, -0x1.44c3c4a16674ap-9, -0x1.38b003c7977a2p-9, -0x1.2d0e80704c3cdp-9, -0x1.21db62bd117bbp-9, -0x1.1712eee55a5f5p-9, -0x1.0cb18495e5fd1p-9, -0x1.02b39e5246ea6p-9, -0x1.f22ba1b107bb4p-10, -0x1.dfa9950ddb05bp-10, -0x1.cddaa5882de02p-10, -0x1.bcb892d21bff6p-10, -0x1.ac3d4c5b8d3cp-10, -0x1.9c62f02f8bf91p-10, -0x1.8d23c9d617f5ap-10, -0x1.7e7a513a830c2p-10, -0x1.706129965a204p-10, -0x1.62d32060d138bp-10, -0x1.55cb2c42c5e97p-10, -0x1.49446c0f4babdp-10, -0x1.3d3a25c0c8e5ap-10, -0x1.31a7c57a9a7d4p-10, -0x1.2688dc8f481d3p-10, -0x1.1bd9208b3a835p-10, -0x1.11946a43f2bc5p-10, -0x1.07b6b4ebbdcap-10, -0x1.fc783a53d064ap-11, -0x1.ea41c06ea7b4p-11, -0x1.d8c2b5ff07126p-11, -0x1.c7f4128c05157p-11, -0x1.b7cf09a04ec54p-11, -0x1.a84d09264dd43p-11, -0x1.9967b7ccde49dp-11, -0x1.8b18f3747eb0fp-11, -0x1.7d5acfa4e6f6bp-11, -0x1.7027940aefea7p-11, -0x1.6379bafeb66cdp-11, -0x1.574bf011e1c27p-11, -0x1.4b990ea5f612dp-11, -0x1.405c208a9d01ap-11, -0x1.35905ca3c7569p-11, -0x1.2b31259792888p-11, -0x1.213a0883d6ed3p-11, -0x1.17a6bbbb434dep-11, -0x1.0e731d89edc99p-11, -0x1.059b33013da42p-11, -0x1.fa364d9627ca4p-12, -0x1.e9de900829a2cp-12, -0x1.da281239f85fbp-12, -0x1.cb0bfd85b5969p-12, -0x1.bc83bd9c48d88p-12, -0x1.ae88fe70e4bdcp-12, -0x1.a115aa31ba0aep-12, -0x1.9423e74da5232p-12, -0x1.87ae168697307p-12, -0x1.7baed1108974dp-12, -0x1.7020e6bcbee16p-12, -0x1.64ff5c311c18bp-12, -0x1.5a45692b5d93p-12, -0x1.4fee76cff971ap-12, -0x1.45f61e04688efp-12, -0x1.3c5825d4b24e9p-12, -0x1.331081e3f06d1p-12, -0x1.2a1b50e7a4121p-12, -0x1.2174db2d9c332p-12, -0x1.1919912c3a621p-12, -0x1.11060a1ce396ep-12, -0x1.093702a06027ep-12, -0x1.01a95b6d009bfp-12, -0x1.f4b4300c91773p-13, -0x1.e68cbafbee00bp-13, -0x1.d8d6e27c57293p-13, -0x1.cb8d6fb90f6d1p-13, -0x1.beab67ec0ce18p-13, -0x1.b22c0a26d628ep-13, -0x1.a60acd2c0db76p-13, -0x1.9a435d5967da7p-13, -0x1.8ed19aa191023p-13, -0x1.83b19695b6d87p-13, -0x1.78df927e5a112p-13, -0x1.6e57fd82fcdf8p-13, -0x1.641772e065fffp-13, -0x1.5a1ab82d17f77p-13, -0x1.505ebbaba0a75p-13, -0x1.46e092aa758e2p-13, -0x1.3d9d77f0ffedbp-13, -0x1.3492ca3987c6fp-13, -0x1.2bbe0ab7b034bp-13, -0x1.231cdbab2ce08p-13, -0x1.1aacfefe64e7fp-13, -0x1.126c54f0b870ap-13, -0x1.0a58dacc1a8d3p-13, -0x1.0270a9a5ad7cfp-13, -0x1.f563ea52480b9p-14, -0x1.e63614dd2be3bp-14, -0x1.d7549db50bdeep-14, -0x1.c8bc7e0f96bb4p-14, -0x1.ba6adb76505a9p-14, -0x1.ac5d05c07abf7p-14, -0x1.9e90751f3b1d9p-14, -0x1.9102c83b8ac0ep-14, -0x1.83b1c2655ca81p-14, -0x1.769b49d3903dap-14, -0x1.69bd65f42eeffp-14, -0x1.5d163dcc7e7d3p-14, -0x1.50a4166876fe2p-14, -0x1.4465515927992p-14, -0x1.38586b419d3ccp-14, -0x1.2c7bfa71dc97p-14, -0x1.20cead8f872b2p-14, -0x1.154f4a4bc0e02p-14, -0x1.09fcac25f34f4p-14, -0x1.fdab867611037p-15, -0x1.e7b326417ba07p-15, -0x1.d20e639961p-15, -0x1.bcbb8d0d8bcbdp-15, -0x1.a7b911cd2b0f2p-15, -0x1.93057fb6f9324p-15, -0x1.7e9f817e0ba0ap-15, -0x1.6a85dce29f9a9p-15, -0x1.56b770fe40a07p-15, -0x1.433334a2ad2e6p-15, -0x1.2ff834cad5224p-15, -0x1.1d05931d64331p-15, -0x1.0a5a848038831p-15, -0x1.efec9f7880b3dp-16, -0x1.cbb098625302ep-16, -0x1.a7ffc130bc181p-16, -0x1.84d903ad8bef2p-16, -0x1.623b63b99ad35p-16, -0x1.4025fd2865b98p-16, -0x1.1e9801b63712ep-16, -0x1.fb216e2ff7ffp-17, -0x1.ba1eea47a0511p-17, -0x1.7a274822cebcap-17, -0x1.3b3975a2def18p-17, -0x1.faa8f5ec64068p-18, -0x1.80eeef3bdf6bp-18, -0x1.09433f39aff2fp-18, -0x1.2748e33686aa2p-19, -0x1.008985f693c8cp-21, 0x1.45defc4a47dbap-20, 0x1.81ef083916b38p-19, 0x1.2e6f336353717p-18, 0x1.99dfd49e9f2acp-18, 0x1.01a532f709898p-17, 0x1.3557efa8e4c48p-17, 0x1.68089af4abc7dp-17, 0x1.99b7af7dcf223p-17, 0x1.ca65a964e705dp-17, 0x1.fa130797d0fcp-17, 0x1.14602684c50b7p-16, 0x1.2b3700e96a481p-16, 0x1.418e5a1e4d8c3p-16, 0x1.57667cda8369bp-16, 0x1.6cbfb7d829505p-16, 0x1.819a5e3b1200cp-16, 0x1.95f6c7ee30be1p-16, 0x1.a9d551f82a49fp-16, 0x1.bd365ec777c03p-16, 0x1.d01a56767e0acp-16, 0x1.e281a707fe168p-16, 0x1.f46cc49c3fc8dp-16, 0x1.02ee14cfa4ed8p-15, 0x1.0b682b7845be5p-15, 0x1.13a4ea0221575p-15, 0x1.1ba4977f7bfbbp-15, 0x1.23677e65ad8c8p-15, 0x1.2aedec95691bbp-15, 0x1.323833607edc6p-15, 0x1.3946a78d41267p-15, 0x1.4019a157a9608p-15, 0x1.46b17c7061ec9p-15, 0x1.4d0e97f9d35a1p-15, 0x1.533156835321ep-15, 0x1.591a1e0290befp-15, 0x1.5ec957cb607acp-15, 0x1.643f7085fccb6p-15, 0x1.697cd823d550bp-15, 0x1.6e8201d30c976p-15, 0x1.734f63f0b47aep-15, 0x1.77e577f9e59dbp-15, 0x1.7c44ba7bc56c2p-15, 0x1.806dab028febap-15, 0x1.8460cc07bd79ep-15, 0x1.881ea2df51186p-15, 0x1.8ba7b7a468d8cp-15, 0x1.8efc95251e77p-15, 0x1.921dc8cdc8b4ap-15, 0x1.950be293b1fd3p-15, 0x1.97c774df4d57ap-15, 0x1.9a511475fee48p-15, 0x1.9ca958638371ap-15, 0x1.9ed0d9e3024e1p-15, 0x1.a0c83447daa9dp-15, 0x1.a29004e635defp-15, 0x1.a428eafb6b40cp-15, 0x1.a5938796409cp-15, 0x1.a6d07d7f10c64p-15, 0x1.a7e0711fe367ap-15, 0x1.a8c4086c7fb95p-15, 0x1.a97beaca82deap-15, 0x1.aa08c0f97ff7ep-15, 0x1.aa6b34fb36e88p-15, 0x1.aaa3f1fbe3f8fp-15, 0x1.aab3a43ab2c7ap-15, 0x1.aa9af8f25b04fp-15, 0x1.aa5a9e41ec05ep-15, 0x1.a9f34315ccf03p-15, 0x1.a9659710f9124p-15, 0x1.a8b24a767bfffp-15, 0x1.a7da0e133056cp-15, 0x1.a6dd9327cb9c3p-15, 0x1.a5bd8b533453cp-15, 0x1.a47aa87d2a971p-15, 0x1.a3159cc146114p-15, 0x1.a18f1a5a4a15ap-15, 0x1.9fe7d38dd8d4fp-15, 0x1.9e207a987f335p-15, 0x1.9c39c19a2638fp-15, 0x1.9a345a82e2e71p-15, 0x1.9810f7002cbc3p-15, 0x1.95d0486a7bfbcp-15, 0x1.9372ffb34cd67p-15, 0x1.90f9cd538ea99p-15, 0x1.8e65613a7c15cp-15, 0x1.8bb66abce1559p-15, 0x1.88ed9884cc244p-15, 0x1.860b9881ab556p-15, 0x1.831117d8da824p-15, 0x1.7ffec2d69caf4p-15, 0x1.7cd544df8646p-15, 0x1.79954862526c2p-15, 0x1.763f76ca2b49bp-15, 0x1.72d478715cf42p-15, 0x1.6f54f4947865ep-15, 0x1.6bc19145e28cbp-15, 0x1.681af361d3077p-15, 0x1.6461be82bd2ep-15, 0x1.609694f6258aap-15, 0x1.5cba17b1e3699p-15, 0x1.58cce649cd0e7p-15, 0x1.54cf9ee5ca3b4p-15, 0x1.50c2de3854f75p-15, 0x1.4ca73f755b411p-15, 0x1.487d5c498c1d5p-15, 0x1.4445ccd2064a2p-15, 0x1.400127946eb4bp-15, 0x1.3bb0017763e3bp-15, 0x1.3752edbb59dd5p-15, 0x1.32ea7df3cf679p-15, 0x1.2e774200e4eb8p-15, 0x1.29f9c8095161ap-15, 0x1.25729c74b03cp-15, 0x1.20e249e62be88p-15, 0x1.1c4959377e12dp-15, 0x1.17a851744a547p-15, 0x1.12ffb7d5cb0b2p-15, 0x1.0e500fbed4a62p-15, 0x1.0999dab8294c9p-15, 0x1.04dd986d1d93ep-15, 0x1.001bc6a88d8e9p-15, 0x1.f6a9c2a43996fp-16, 0x1.ed12c4d7884f1p-16, 0x1.e373841f50154p-16, 0x1.d9ccecdc6ed72p-16, 0x1.d01fe799250cep-16, 0x1.c66d5906692dbp-16, 0x1.bcb621f9c6355p-16, 0x1.b2fb1f6bb9b58p-16, 0x1.a93d2a7692e2p-16, 0x1.9f7d1855d1288p-16, 0x1.95bbba65f8f3ep-16, 0x1.8bf9de24de9d7p-16, 0x1.82384d3266d15p-16, 0x1.7877cd51b533p-16, 0x1.6eb9206ac4ee3p-16, 0x1.64fd048c70401p-16, 0x1.5b4433eed9ffcp-16, 0x1.518f64f639dedp-16, 0x1.47df4a360c1acp-16, 0x1.3e3492749a87bp-16, 0x1.348fe8aedfae4p-16, 0x1.2af1f41cc56c5p-16, 0x1.215b5835b0afep-16, 0x1.17ccb4b563aa4p-16, 0x1.0e46a5a129829p-16, 0x1.04c9c34d542dbp-16, 0x1.f6ad44c5f4d05p-17, 0x1.e3dba7cbfe5e1p-17, 0x1.d11fca76c2906p-17, 0x1.be7ac05f80397p-17, 0x1.abed95fc54269p-17, 0x1.997950ae37d47p-17, 0x1.871eeecf81d72p-17, 0x1.74df67c2c3ef4p-17, 0x1.62bbac021f4bbp-17, 0x1.50b4a52eec615p-17, 0x1.3ecb3621ca17bp-17, 0x1.2d003afb05288p-17, 0x1.1b5489334ee6fp-17, 0x1.09c8efacc97d7p-17, 0x1.f0bc6d88b99a9p-18, 0x1.ce2a40c6a704cp-18, 0x1.abdcd022777aep-18, 0x1.89d5860c0bb7ap-18, 0x1.6815c078bf428p-18, 0x1.469ed10889fcep-18, 0x1.2571fd2b8ae2bp-18, 0x1.04907e47f02e7p-18, 0x1.c7f703c07241bp-19, 0x1.876853738cf0cp-19, 0x1.4777180769f81p-19, 0x1.082566fbfb8dp-19, }}, 
      {{0x1.f86a151e7db0fp-1, 0x1.f7cd988b917d6p-1, 0x1.f6ce330fc5ac1p-1, 0x1.f572b7f05851fp-1, 0x1.f3c339773297bp-1, 0x1.f1c8733c832f6p-1, 0x1.ef8b59fcec2e5p-1, 0x1.ed14c91bb58dfp-1, 0x1.ea6d477bbaf5dp-1, 0x1.e79cde9991995p-1, 0x1.e4aaffd3e5adcp-1, 0x1.e19e749ff14c2p-1, 0x1.de7d5710a5261p-1, 0x1.db4d109f30609p-1, 0x1.d8125d9158b1ep-1, 0x1.d4d153b26c27cp-1, 0x1.d18d6b5ab5ae9p-1, 0x1.ce4989fa6b943p-1, 0x1.cb080d8ae10eep-1, 0x1.c7cad86d5c519p-1, 0x1.c4935d5c353fap-1, 0x1.c162ab2a2273p-1, 0x1.be39781e0ee4ap-1, 0x1.bb182cc860c22p-1, 0x1.b7feee3a0dbbfp-1, 0x1.b4eda78ec13fap-1, 0x1.b1e412c246cecp-1, 0x1.aee1c0ceabc65p-1, 0x1.abe6211495059p-1, 0x1.a8f0881231a72p-1, 0x1.a600356f60586p-1, 0x1.a314596719f54p-1, 0x1.a02c199732406p-1, 0x1.9d469540166bfp-1, 0x1.9a62e8fe7beb4p-1, 0x1.97803208fd03fp-1, 0x1.949d90fb7f282p-1, 0x1.91ba2c39fe456p-1, 0x1.8ed531f3f9338p-1, 0x1.8bedd9d152896p-1, 0x1.89036650fbc81p-1, 0x1.861525e148b7ap-1, 0x1.832273b94197ep-1, 0x1.802ab879ca8fbp-1, 0x1.7d2d6a9cf7047p-1, 0x1.7a2a0eb963b3ep-1, 0x1.7720379ef3fa1p-1, 0x1.740f8651e5c6cp-1, 0x1.70f7a9e8b583ap-1, 0x1.6dd85f50f0914p-1, 0x1.6ab170feaa233p-1, 0x1.6782b689ef9d3p-1, 0x1.644c143d471f4p-1, 0x1.610d7a97edd26p-1, 0x1.5dc6e5c64a71p-1, 0x1.5a785d12bff52p-1, 0x1.5721f250d0f67p-1, 0x1.53c3c1444c66ep-1, 0x1.505def0605d48p-1, 0x1.4cf0a96770acap-1, 0x1.497c265643a27p-1, 0x1.4600a3412cc2dp-1, 0x1.427e647e6f092p-1, 0x1.3ef5b4b52cf32p-1, 0x1.3b66e449ff80fp-1, 0x1.37d248cf642cap-1, 0x1.34383c7a6ee9cp-1, 0x1.30991d9c1ef5fp-1, 0x1.2cf54e1f9e611p-1, 0x1.294d330da3105p-1, 0x1.25a134151e16cp-1, 0x1.21f1bb1952ae8p-1, 0x1.1e3f33c5674a6p-1, 0x1.1a8a0b2576e92p-1, 0x1.16d2af4522009p-1, 0x1.13198ed39472fp-1, 0x1.0f5f18cceebe8p-1, 0x1.0ba3bc290026fp-1, 0x1.07e7e78f3499p-1, 0x1.042c090f96d6dp-1, 0x1.00708de0c822cp-1, 0x1.f96bc44589e73p-2, 0x1.f1f8e14ca30ddp-2, 0x1.ea894571cc9a6p-2, 0x1.e31dbfe9de34dp-2, 0x1.dbb71c2c6cceep-2, 0x1.d45621a49a491p-2, 0x1.ccfb93698bfb6p-2, 0x1.c5a82ffe2fbb7p-2, 0x1.be5cb117f3743p-2, 0x1.b719cb6c21e85p-2, 0x1.afe02e8387d18p-2, 0x1.a8b084940f902p-2, 0x1.a18b726004b0ep-2, 0x1.9a71971aaad78p-2, 0x1.93638c51dbf86p-2, 0x1.8c61e5dc623bap-2, 0x1.856d31ccc335bp-2, 0x1.7e85f86836178p-2, 0x1.77acbc217d25cp-2, 0x1.70e1f99767177p-2, 0x1.6a262796ae088p-2, 0x1.6379b71f00fb9p-2, 0x1.5cdd136af6d3fp-2, 0x1.5650a1fab35d1p-2, 0x1.4fd4c2a10bcc3p-2, 0x1.4969cf92f18eap-2, 0x1.43101d78f92d1p-2, 0x1.3cc7fb82c79bp-2, 0x1.3691b37c3fafep-2, 0x1.306d89e43f67bp-2, 0x1.2a5bbe04cbf0bp-2, 0x1.245c8a0c8018cp-2, 0x1.1e7023291bae9p-2, 0x1.1896b9a3157dep-2, 0x1.12d078fa06ffep-2, 0x1.0d1d8801ded5dp-2, 0x1.077e0900b2ea3p-2, 0x1.01f219cd202fdp-2, 0x1.f8f3a7da2ee64p-3, 0x1.ee2a996a1255fp-3, 0x1.e3892ace9870fp-3, 0x1.d90f76a778226p-3, 0x1.cebd8feedaaefp-3, 0x1.c4938238d83f4p-3, 0x1.ba9151f2eabd8p-3, 0x1.b0b6fca3367a2p-3, 0x1.a70479277d7ecp-3, 0x1.9d79b7f3c1123p-3, 0x1.9416a35057624p-3, 0x1.8adb1f9778d55p-3, 0x1.81c70b72255b9p-3, 0x1.78da40144f456p-3, 0x1.701491783a085p-3, 0x1.6775ce9905e9p-3, 0x1.5efdc1ac4d44bp-3, 0x1.56ac305ad45cep-3, 0x1.4e80dbf83302fp-3, 0x1.467b81b97c89fp-3, 0x1.3e9bdaead1c41p-3, 0x1.36e19d23db48p-3, 0x1.2f4c7a7b2172p-3, 0x1.27dc21b843e09p-3, 0x1.20903e85033dep-3, 0x1.1968799d1d534p-3, 0x1.126478fcfb689p-3, 0x1.0b83e00f2860ap-3, 0x1.04c64fd89a01dp-3, 0x1.fc56ce4775e55p-4, 0x1.ef6585549891p-4, 0x1.e2b7fa7c06c86p-4, 0x1.d64d5fdffcff8p-4, 0x1.ca24e46e05771p-4, 0x1.be3db4290c9cfp-4, 0x1.b296f871210c9p-4, 0x1.a72fd848d4a0fp-4, 0x1.9c0778984ae96p-4, 0x1.911cfc6e01aabp-4, 0x1.866f853d4c0a4p-4, 0x1.7bfe331a94f79p-4, 0x1.71c824f56bd19p-4, 0x1.67cc78d0649bdp-4, 0x1.5e0a4bf6d3531p-4, 0x1.5480bb306e57cp-4, 0x1.4b2ee2f2def85p-4, 0x1.4213df914be4ap-4, 0x1.392ecd69e6afdp-4, 0x1.307ec911863bap-4, 0x1.2802ef7d5ae3ap-4, 0x1.1fba5e2ac345bp-4, 0x1.17a433454fe76p-4, 0x1.0fbf8dcafeb0ap-4, 0x1.080b8daeb97eep-4, 0x1.008753f922b7dp-4, 0x1.f26405cf75e49p-5, 0x1.e4157c14d5926p-5, 0x1.d62154bef50d8p-5, 0x1.c885dcdc0abf8p-5, 0x1.bb4164bddf46ap-5, 0x1.ae524028d8b7cp-5, 0x1.a1b6c6803d0abp-5, 0x1.956d52efb969bp-5, 0x1.897444924c4bfp-5, 0x1.7dc9fe969e51p-5, 0x1.726ce860e5508p-5, 0x1.675b6daa649bbp-5, 0x1.5c93fe9e97d17p-5, 0x1.52150ff628489p-5, 0x1.47dd1b0fb30b1p-5, 0x1.3dea9e067eb44p-5, 0x1.343c1bc728393p-5, 0x1.2ad01c226539dp-5, 0x1.21a52bdde2e25p-5, 0x1.18b9dcc35ab34p-5, 0x1.100cc5adeb42ap-5, 0x1.079c8295c5d99p-5, 0x1.fecf693488915p-6, 0x1.eeda0414e9578p-6, 0x1.df562cd8552f8p-6, 0x1.d04145035437ep-6, 0x1.c198b89be5d52p-6, 0x1.b359fe2f8eeb5p-6, 0x1.a58296d6df4a3p-6, 0x1.98100e36a3c81p-6, 0x1.8afffa7ecf98ap-6, 0x1.7e4ffc674718fp-6, 0x1.71fdbf2a91b1dp-6, 0x1.6606f87ea35d7p-6, 0x1.5a69688bc4dbbp-6, 0x1.4f22d9e1baf18p-6, 0x1.4431216b41d16p-6, 0x1.39921e5ff330dp-6, 0x1.2f43ba34b113cp-6, 0x1.2543e88a9fdd4p-6, 0x1.1b90a71cd2d34p-6, 0x1.1227fdacb2d42p-6, 0x1.0907fded39469p-6, 0x1.002ec36d12445p-6, 0x1.ef34e6ff5e4aap-7, 0x1.de927a4ad22a8p-7, 0x1.ce72b1e576e49p-7, 0x1.bed211ed4975bp-7, 0x1.afad3140891f6p-7, 0x1.a100b94782b06p-7, 0x1.92c965bd0cd8ap-7, 0x1.85040475cc0dbp-7, 0x1.77ad75265cf52p-7, 0x1.6ac2a928871c4p-7, 0x1.5e40a33f7ace4p-7, 0x1.5224775b4e1a1p-7, 0x1.466b4a5bbd1e7p-7, 0x1.3b1251d245abbp-7, 0x1.3016d3c3bd7a9p-7, 0x1.257626696d85bp-7, 0x1.1b2daff1ca2bp-7, 0x1.113ae640daa83p-7, 0x1.079b4eb0608ecp-7, 0x1.fc98fb9fa3cc3p-8, 0x1.ea982e4868af4p-8, 0x1.d92f99cfd6d08p-8, 0x1.c85abf950bb33p-8, 0x1.b8153d6134346p-8, 0x1.a85acce77d273p-8, 0x1.992743455621bp-8, 0x1.8a7690831b968p-8, 0x1.7c44bf1543d21p-8, 0x1.6e8df35e1f2d2p-8, 0x1.614e6b3045a34p-8, 0x1.54827d51c027bp-8, 0x1.4826990001fc7p-8, 0x1.3c374574c5787p-8, 0x1.30b1216bd615cp-8, 0x1.2590e2a9df255p-8, 0x1.1ad355844631dp-8, 0x1.10755c6a223cp-8, 0x1.0673ef6e5b146p-8, 0x1.f99837a5f706cp-9, 0x1.e6f6072b85d5bp-9, 0x1.d4fbb9fbf9246p-9, 0x1.c3a3e45755f09p-9, 0x1.b2e9415015a6bp-9, 0x1.a2c6b1eeeb424p-9, 0x1.93373c595cf1dp-9, 0x1.84360afb38712p-9, 0x1.75be6bb2eb19fp-9, 0x1.67cbcf00cfb06p-9, 0x1.5a59c739754acp-9, 0x1.4d6407bae4f69p-9, 0x1.40e66424f30cbp-9, 0x1.34dccf949d557p-9, 0x1.29435be27d4e2p-9, 0x1.1e1638e44cdf4p-9, 0x1.1351b3b18a766p-9, 0x1.08f235eb31d14p-9, 0x1.fde88a0d2cdabp-10, 0x1.eaa90336b1b3p-10, 0x1.d81f4d68ecb5p-10, 0x1.c6451248f226bp-10, 0x1.b5142db97bfdfp-10, 0x1.a486ac8fa3b81p-10, 0x1.9496cb4dcfb6p-10, 0x1.853ef4e4b917dp-10, 0x1.7679c17a8d781p-10, 0x1.6841f5382a472p-10, 0x1.5a927f1c547f8p-10, 0x1.4d6677d4f5b5ep-10, 0x1.40b9209e45bf6p-10, 0x1.3485e227dd8d9p-10, 0x1.28c84b7fa13c1p-10, 0x1.1d7c11026d0c9p-10, 0x1.129d0b528af0fp-10, 0x1.08273653c81cdp-10, 0x1.fc2d605a6d191p-11, 0x1.e8cf70a0d1f06p-11, 0x1.d62d5d0c7c0c9p-11, 0x1.c440240218f15p-11, 0x1.b30100e85b3dcp-11, 0x1.a2696a61a0e2p-11, 0x1.927310900749ep-11, 0x1.8317db63c9af7p-11, 0x1.7451e8f3c3fa5p-11, 0x1.661b8bdff5049p-11, 0x1.586f49bdd9fccp-11, 0x1.4b47d98e7df7bp-11, 0x1.3ea0223e159cbp-11, 0x1.3273392d01c49p-11, 0x1.26bc60c211302p-11, 0x1.1b770705da9b8p-11, 0x1.109ec447078bcp-11, 0x1.062f59c76aafbp-11, 0x1.f84960e36fe38p-12, 0x1.e4f5af2f70cc4p-12, 0x1.d25c0771a6b4ap-12, 0x1.c0751aa18aae9p-12, 0x1.af39df5cb91d1p-12, 0x1.9ea38fa42bfa2p-12, 0x1.8eaba6a8e9137p-12, 0x1.7f4bdea7d32c7p-12, 0x1.707e2ed457c4bp-12, 0x1.623cc951a9582p-12, 0x1.5482193a39166p-12, 0x1.4748c0b52ec45p-12, 0x1.3a8b971987682p-12, 0x1.2e45a71e9df45p-12, 0x1.22722d19c9b9cp-12, 0x1.170c9548d407p-12, 0x1.0c107a28faa5dp-12, 0x1.0179a2da331adp-12, 0x1.ee88031ce5813p-13, 0x1.dad764095e5fp-13, 0x1.c7d9f01ead15dp-13, 0x1.b5887c4bf765bp-13, 0x1.a3dc2803e4b1ap-13, 0x1.92ce5a8b3d3e1p-13, 0x1.8258c05c6065bp-13, 0x1.7275489f2214ap-13, 0x1.631e22b486a1bp-13, 0x1.544dbbd5e7ec9p-13, 0x1.45febcc709429p-13, 0x1.382c079a9f89cp-13, 0x1.2ad0b588dee92p-13, 0x1.1de814d78fd3bp-13, 0x1.116da6d3412d3p-13, 0x1.055d1dd92e277p-13, 0x1.f364b6e2a3426p-14, 0x1.dcd2dcf0bdf31p-14, 0x1.c6fd22b220733p-14, 0x1.b1dc50a906a5dp-14, 0x1.9d697fb24d458p-14, 0x1.899e15cfc4438p-14, 0x1.7673c30e1f9fdp-14, 0x1.63e47e85d294dp-14, 0x1.51ea8376125a8p-14, 0x1.40804e794a32dp-14, 0x1.2fa09ad24a14ap-14, 0x1.1f465fd17f6b4p-14, 0x1.0f6cce5187e95p-14, 0x1.000f4e4a77721p-14, 0x1.e252f8f64d5a8p-15, 0x1.c56e504fd6c65p-15, 0x1.a968a1dc2ed62p-15, 0x1.8e3a495748a7ap-15, 0x1.73dbfaf4e5ab5p-15, 0x1.5a46bf7d12255p-15, 0x1.4173f08d7b75fp-15, 0x1.295d34fe832cap-15, 0x1.11fc7d6afc003p-15, 0x1.f69801b2fa18ap-16, 0x1.ca8c730c867aep-16, 0x1.9fcbc39945d51p-16, 0x1.764be25e09865p-16, 0x1.4e0332f9008f7p-16, 0x1.26e888263d9a1p-16, 0x1.00f31e7bb9b65p-16, 0x1.b8352eb61a402p-17, 0x1.70ade82e4e6f2p-17, 0x1.2b4122988aaa3p-17, 0x1.cfc089a2325b5p-18, 0x1.4cfab58eb0dd3p-18, 0x1.9c2c351f7765cp-19, 0x1.4be4d0f3c2eeap-20, -0x1.23a3372eb88c5p-21, -0x1.309427ad7fa9p-19, -0x1.089e30e5c3e28p-18, -0x1.75862aeba32c7p-18, -0x1.df1689ed404a9p-18, -0x1.22b17e9846fb9p-17, -0x1.543f33640e1c8p-17, -0x1.843d734d13e16p-17, -0x1.b2b4f273eb1d5p-17, -0x1.dfae0e2cba67bp-17, -0x1.059868e4f445ap-16, -0x1.1aa27d96df9aep-16, -0x1.2ef8ff9276f27p-16, -0x1.429f86c607a1ap-16, -0x1.55998aa11a722p-16, -0x1.67ea63f52d5bp-16, -0x1.79954ebecbfe3p-16, -0x1.8a9d6bd801abdp-16, -0x1.9b05c294edf6dp-16, -0x1.aad1424b6833bp-16, -0x1.ba02c3c67ff74p-16, -0x1.c89d0aa6a0054p-16, -0x1.d6a2c6af29b1fp-16, -0x1.e416950235a6cp-16, -0x1.f0fb014b45f5fp-16, -0x1.fd5286d9921b8p-16, -0x1.048fc8d54f72cp-15, -0x1.0a323fb2e5151p-15, -0x1.0f91d024b6ee3p-15, -0x1.14af9c051ab68p-15, -0x1.198cbf52a2b73p-15, -0x1.1e2a5092df327p-15, -0x1.2289612f1628dp-15, -0x1.26aafdcb3a439p-15, -0x1.2a902e975b40cp-15, -0x1.2e39f79bd905fp-15, -0x1.31a959008eaabp-15, -0x1.34df4f4f376a9p-15, -0x1.37dcd3b14274ep-15, -0x1.3aa2dc2950b01p-15, -0x1.3d325bc88ff66p-15, -0x1.3f8c42e025e0ep-15, -0x1.41b17f2edfce2p-15, -0x1.43a2fc0b52aa3p-15, -0x1.4561a28a9dfb8p-15, -0x1.46ee59a3faec2p-15, -0x1.484a065140bdep-15, -0x1.49758bac8bb26p-15, -0x1.4a71cb0b2b27bp-15, -0x1.4b3fa415fdd16p-15, -0x1.4bdff4df5ded7p-15, -0x1.4c5399f6c45d5p-15, -0x1.4c9b6e7a408acp-15, -0x1.4cb84c25e8c3cp-15, -0x1.4cab0b615e134p-15, -0x1.4c74834b834a1p-15, -0x1.4c1589c485217p-15, -0x1.4b8ef3764ae03p-15, -0x1.4ae193db6d6bbp-15, -0x1.4a0e3d44c9a91p-15, -0x1.4915c0ddcb01dp-15, -0x1.47f8eeaf7efabp-15, -0x1.46b895a28df72p-15, -0x1.455583802792bp-15, -0x1.43d084f1fc80fp-15, -0x1.422a658154017p-15, -0x1.4063ef95533dcp-15, -0x1.3e7dec7082199p-15, -0x1.3c79242da53b9p-15, -0x1.3a565dbbf7c31p-15, -0x1.38165edad3121p-15, -0x1.35b9ec14d821ep-15, -0x1.3341c8baa24eep-15, -0x1.30aeb6dd12bccp-15, -0x1.2e0177473f22fp-15, -0x1.2b3ac97813db9p-15, -0x1.285b6b9bac15dp-15, -0x1.25641a8473fdep-15, -0x1.225591a414d96p-15, -0x1.1f308b043cc08p-15, -0x1.1bf5bf3f458ddp-15, -0x1.18a5e578c34dep-15, -0x1.1541b35606131p-15, -0x1.11c9dcf69041fp-15, -0x1.0e3f14ec8e4ep-15, -0x1.0aa20c354ed34p-15, -0x1.06f37231ca8ap-15, -0x1.0333f49f39329p-15, -0x1.fec87f1f7786bp-16, -0x1.f709fac643389p-16, -0x1.ef2dad7f9a24cp-16, -0x1.e734e51771898p-16, -0x1.df20ebcb49df2p-16, -0x1.d6f3083cdc5bap-16, -0x1.ceac7d652288dp-16, -0x1.c64e8a87bfd9cp-16, -0x1.bdda6b26d021fp-16, -0x1.b55156f71f406p-16, -0x1.acb481d4d07bcp-16, -0x1.a4051bb87c0a5p-16, -0x1.9b4450acbe748p-16, -0x1.927348c441be3p-16, -0x1.89932810478b5p-16, -0x1.80a50e97ab9b5p-16, -0x1.77aa184e6a214p-16, -0x1.6ea35d0da941bp-16, -0x1.6591f08c41628p-16, -0x1.5c76e257cfd46p-16, -0x1.53533dce484efp-16, -0x1.4a280a18117ecp-16, -0x1.40f64a22a4b86p-16, -0x1.37befc9bb1895p-16, -0x1.2e831beccd136p-16, -0x1.25439e379d586p-16, -0x1.1c01755291c1bp-16, -0x1.12bd8ec618507p-16, -0x1.0978d3ca598d5p-16, -0x1.0034294571d98p-16, -0x1.ede0df94618dep-17, -0x1.db5d072e9d39p-17, -0x1.c8de792e4b714p-17, -0x1.b666dcbfc43fep-17, -0x1.a3f7d06859f93p-17, -0x1.9192ea089e053p-17, -0x1.7f39b6df8acdp-17, -0x1.6cedbb8e9890cp-17, -0x1.5ab0741eb5f11p-17, -0x1.48835406170ecp-17, -0x1.3667c62edc1ebp-17, -0x1.245f2cfe947cap-17, -0x1.126ae25e872d9p-17, -0x1.008c37c4c8519p-17, -0x1.dd88ec7c23b6cp-18, -0x1.ba29bcf0b7566p-18, -0x1.96fd519c5b237p-18, -0x1.74060aa54af07p-18, -0x1.514637bc5866dp-18, -0x1.2ec01837aace1p-18, -0x1.0c75db2ec3f21p-18, -0x1.d4d33f2f8e904p-19, -0x1.913ae8cbdf6ebp-19, -0x1.4e26b1526496bp-19, -0x1.0b9a775df6286p-19, -0x1.9333f48ff9bf6p-20, -0x1.1051b4dc4a8a6p-20, -0x1.1d2a65e834ee3p-21, -0x1.c0a6aab6395b6p-25, 0x1.c55ee6fb4d30fp-22, 0x1.def6975a7fb3ep-21, 0x1.6c5f6cdfb3d68p-20, 0x1.e7fe4425ec3ebp-20, 0x1.31291908c5102p-19, 0x1.6daae827c3085p-19, 0x1.a981f87f781dfp-19, 0x1.e4abcf0297b66p-19, 0x1.0f930617f5d13p-18, 0x1.2c7735dd10f09p-18, 0x1.4901621748082p-18, 0x1.6530834d7e0c7p-18, 0x1.81039f193f6d4p-18, 0x1.9c79c7f8c79fp-18, 0x1.b7921d20a581ap-18, 0x1.d24bca4d04fcdp-18, 0x1.eca60792a7e7ep-18, 0x1.03500c97cab8dp-17, 0x1.101ca7adc40d8p-17, 0x1.1cb8830c112bp-17, 0x1.2923528078a39p-17, 0x1.355ccf8da2b94p-17, 0x1.4164b952f38bap-17, 0x1.4d3ad47458286p-17, 0x1.58deeb0208393p-17, 0x1.6450cc60400e5p-17, 0x1.6f904d2efb61ap-17, 0x1.7a9d4731a46d7p-17, 0x1.85779936d5754p-17, 0x1.901f27000cc32p-17, 0x1.9a93d9297c062p-17, 0x1.a4d59d11d7b1ap-17, 0x1.aee464c231e3p-17, 0x1.b8c026d5ef396p-17, 0x1.c268de62ca159p-17, 0x1.cbde8ae0ea08p-17, 0x1.d5213013152eep-17, 0x1.de30d5eefe676p-17, 0x1.e70d8885aa8dbp-17, 0x1.efb757ebfca64p-17, 0x1.f82e58235915fp-17, 0x1.003950813a0b4p-16, 0x1.0442270f20a83p-16, 0x1.0831bf59869fbp-16, 0x1.0c082ac6dec06p-16, 0x1.0fc57c7a9a94bp-16, 0x1.1369c949f95fep-16, 0x1.16f527b0e91f8p-16, 0x1.1a67afc6fe9b5p-16, 0x1.1dc17b3487664p-16, 0x1.2102a527b7415p-16, 0x1.242b4a49e9aafp-16, 0x1.273b88b50041ep-16, 0x1.2a337fe8deb29p-16, 0x1.2d1350c0fb8a7p-16, 0x1.2fdb1d6a13a1bp-16, 0x1.328b0957f6bcep-16, 0x1.3523393b6ed8bp-16, 0x1.37a3d2f8489a6p-16, 0x1.3a0cfd9b78937p-16, 0x1.3c5ee1515b2e6p-16, 0x1.3e99a75c17ea3p-16, 0x1.40bd7a0a1e874p-16, 0x1.42ca84acc8f36p-16, 0x1.44c0f38f14453p-16, 0x1.46a0f3ec8211dp-16, 0x1.486ab3e812fa6p-16, 0x1.4a1e628363d0ap-16, 0x1.4bbc2f95ec991p-16, 0x1.4d444bc458c56p-16, 0x1.4eb6e8780aab8p-16, 0x1.501437d6b5527p-16, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      40, 0x1.f333333333333p+1, 0x1.74876948918b6p+2, 0x1.5622de256fbacp+3, 0x1.245fe5da7c45p-5, 
      {{
        {0x1.e666666666666p+0, 0x1.f333333333333p+0, 0x1.74bead97f954cp-1, -0x1.01e96f0690cf3p+2, 0x1.774fa180f1b61p+3, -0x1.fefc2faa40178p+3}, 
        {0x1.f333333333333p+0, 0x1p+1, 0x1.1b9210c3a30f3p-1, -0x1.7d07617094c6bp+1, 0x1.2aa9cd8dce7f4p+3, -0x1.bd7d5335ce00bp+3}, 
        {0x1p+1, 0x1.0666666666666p+1, 0x1.b4d738be75707p-2, -0x1.12ed9e83b66ffp+1, 0x1.cfae02251264ap+2, -0x1.85ce5894fd18fp+3}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.57db7e308c71ep-2, -0x1.83c5db160410cp+0, 0x1.5abce791f9aa6p+2, -0x1.4b7dc0840b6edp+3}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.16d8abc2dd407p-2, -0x1.0cf7995e6daeap+0, 0x1.ee94c207ec777p+1, -0x1.11e3bc5ffb6e1p+3}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.d3b2afca00933p-3, -0x1.74f7fbbaf71ccp-1, 0x1.4a3f510188cfbp+1, -0x1.b0220bf10b833p+2}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.9495eb21a88b9p-3, -0x1.0acc3834558e8p-1, 0x1.9137013f3de8cp+0, -0x1.3cd509638a7bep+2}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.65fba894fc78bp-3, -0x1.9b211f1de068bp-2, 0x1.a63b2a6d6f3e5p-1, -0x1.912f84ae56695p+1}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.404a4040d3007p-3, -0x1.5ec11978d995ep-2, 0x1.6b0a1c09aa003p-2, -0x1.5f0c8c1365772p+0}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.1eadc3568f664p-3, -0x1.44fb584f81639p-2, 0x1.30d1f66273d57p-3, 0x1.2e1eb5b6757e3p-1}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.fe2ff838430fp-4, -0x1.31358195ed091p-2, 0x1.e617969cba538p-3, 0x1.39fe87163b984p+0}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.c4343b3ad94f1p-4, -0x1.0f7c0d0adccf7p-2, 0x1.af714f8ee753p-2, 0x1.1119066837b6ap-1}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.927ea09764c3dp-4, -0x1.c07cd9574c3fp-3, 0x1.00af9bf0af37fp-1, 0x1.b0292675d7f7p-5}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.6ace7d39fb1b4p-4, -0x1.5900c4a71f83dp-3, 0x1.04bccb8030717p-1, -0x1.10db367990284p-1}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.4d3f897b121f8p-4, -0x1.f1c992bbc9e1ap-4, 0x1.b79e39dbe8d65p-2, -0x1.8453024511672p-1}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.385dde9fd7e88p-4, -0x1.593d57e2d9501p-4, 0x1.431eec60ca049p-2, -0x1.48a6cab7bb0c5p-1}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.2a01db5dfd362p-4, -0x1.d76bb9136f22p-5, 0x1.c10cf8b9bd671p-3, -0x1.26fbfad4e0932p-1}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.202c085f7fc38p-4, -0x1.4732da15e2299p-5, 0x1.100f623a0375fp-3, -0x1.fcb2a490ac7dbp-2}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.191915c3027d2p-4, -0x1.f1cafe751defbp-6, 0x1.ddcd903a72102p-5, -0x1.af2949701d548p-2}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.1341db1bcd81ap-4, -0x1.c5f8c176e1aefp-6, -0x1.3cb97260bc5c4p-8, -0x1.609fc7c0dca93p-2}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.0d5b5771ce213p-4, -0x1.f83467d07182bp-6, -0x1.cebd513386bb3p-5, -0x1.125aea53d5778p-2}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.0656b14196de1p-4, -0x1.3ad66ded48cc6p-5, -0x1.8bfb9b98dd0cbp-4, -0x1.880744d944074p-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.fac26cf8bed8p-5, -0x1.95cb876e88f7bp-5, -0x1.00cbb1b9d2541p-3, -0x1.d6c580af7b9acp-4}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.e3c8b9100961cp-5, -0x1.01c995aa8c468p-4, -0x1.241a81c6fb99p-3, -0x1.3aeb8e5c54972p-5}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.c70b807e1188p-5, -0x1.3d639bfed9cb3p-4, -0x1.2fe9bd840b91ep-3, 0x1.37a68de7b36aap-5}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.a44e4be125ddfp-5, -0x1.7900c5d8b5fe8p-4, -0x1.2439e4fe8e715p-3, 0x1.d5305214cbfaep-4}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.7bccf2c0df596p-5, -0x1.afede8ca2fac5p-4, -0x1.010978703257dp-3, 0x1.87220a4caa03ep-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.4e3b9b8e2155p-5, -0x1.dd7840b9135a2p-4, -0x1.8cbbedc964e22p-4, 0x1.121a3f2424f7fp-2}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.1cc6bba3198dep-5, -0x1.fceb89ceb0cf7p-4, -0x1.d08b8fcdd09c1p-5, 0x1.5fa4a5d658a12p-2}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.d2262e8680495p-6, -0x1.04cc8c694688p-3, -0x1.54964664cb8fp-8, 0x1.b0e6105a4e1d5p-2}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.6a7b8336af3d9p-6, -0x1.febd5fcfd4f3bp-4, 0x1.dce7b1395de24p-5, 0x1.f44a3ee2dfeadp-2}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.07b83982d9c9fp-6, -0x1.d7e2c324e0944p-4, 0x1.0d50325f343fdp-3, 0x1.35b62cc397c38p-1}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.5fef66d35d0dap-7, -0x1.8f70c09fb36c9p-4, 0x1.c723e6d48f4e2p-3, 0x1.7d2cd6a3f504bp-2}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.a7c751f9cb739p-8, -0x1.28fa259e59a78p-4, 0x1.1cbf139c79344p-2, -0x1.1e58e618d7a75p-2}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.caee59f8cc937p-9, -0x1.7f5686cb408f5p-5, 0x1.e396aefe4b4f8p-3, -0x1.03cf5fefe19b6p-1}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.baa44faad51f2p-10, -0x1.ba28d60ee16bdp-6, 0x1.47b3dbd4c3f2ep-3, -0x1.85c79feb800b2p-2}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.6a9cb8ddddafdp-11, -0x1.c58ac4afefba3p-7, 0x1.a5898ae907ddap-4, -0x1.3786d50cbb82ep-2}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.caee59f8cc937p-13, -0x1.7e284494f9adcp-8, 0x1.d53e16292eb98p-5, -0x1.be6b1b5e21b14p-3}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.6a9cb8ddddcefp-15, -0x1.c79d6090e230ap-10, 0x1.92c871e1683a2p-6, -0x1.ee3f8cde031e4p-4}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.6a9cb8ddde401p-19, -0x1.8335844476b76p-13, 0x1.a8efa8a3ffccp-8, -0x1.4be03ddddf2edp-3}, 
      }}, 
      0x1.395cbbf540accp+1, -0x1.e3cf5dbfcf7bep+3
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_h_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.006e1e55d7912p-5, -0x1.fec0b933605abp-5, -0x1.7c5d132eec726p-4, -0x1.f695171cb3e13p-4, -0x1.36b6ceab767c1p-3, -0x1.703d1225ef4e6p-3, -0x1.a7a167621495fp-3, -0x1.dcc40e5b1c135p-3, -0x1.07ca0e3782789p-2, -0x1.1ffb5c3d5eb1cp-2, -0x1.36fa1d4fce546p-2, -0x1.4cb17c60f61e6p-2, -0x1.613e211cc02edp-2, -0x1.748d25c28852fp-2, -0x1.86ac67666da29p-2, -0x1.979d7d485a952p-2, -0x1.a766e854ce8ecp-2, -0x1.b615fd0c54a73p-2, -0x1.c3b120c815159p-2, -0x1.d03b6f59e9554p-2, -0x1.dbbf42619e421p-2, -0x1.e64bf92088c2ap-2, -0x1.efed4a792f05ap-2, -0x1.f8a8fb5b9056p-2, -0x1.0041ebb834176p-1, -0x1.03c353d28c251p-1, -0x1.06e1454530bedp-1, -0x1.09a0b664e5c88p-1, -0x1.0c05d78173c98p-1, -0x1.0e14e09bf16bap-1, -0x1.0fd1d1571146fp-1, -0x1.1140e50fcbf1ep-1, -0x1.1266b13280d3cp-1, -0x1.1347ea5e43bc2p-1, -0x1.13e90891f3b1p-1, -0x1.144e06ae0bcaap-1, -0x1.147a5b571aa56p-1, -0x1.1471211784fddp-1, -0x1.14355009912b1p-1, -0x1.13c9eb5150855p-1, -0x1.1332143251323p-1, -0x1.12710139fc637p-1, -0x1.1189e340f4371p-1, -0x1.107fc471ea38ep-1, -0x1.0f556d9b6b601p-1, -0x1.0e0d591d386b9p-1, -0x1.0ca9b4b58a5a6p-1, -0x1.0b2c6e19e1227p-1, -0x1.0997445aca441p-1, -0x1.07ebd96204d49p-1, -0x1.062bc080a247dp-1, -0x1.0458893374c58p-1, -0x1.0273c44d331a2p-1, -0x1.007f03f2b552bp-1, -0x1.fcf55a6b1d719p-2, -0x1.f8d832364a8ddp-2, -0x1.f4a414c10108bp-2, -0x1.f05b400d84dfdp-2, -0x1.ebffca9947d49p-2, -0x1.e793aa4e8c16ep-2, -0x1.e318b916e5bc1p-2, -0x1.de90b98f51127p-2, -0x1.d9fd57f6c106p-2, -0x1.d56029dd2f0cep-2, -0x1.d0baac9563131p-2, -0x1.cc0e437048ab8p-2, -0x1.c75c3668dc9cap-2, -0x1.c2a5b1e0d418p-2, -0x1.bdebc75c0fd07p-2, -0x1.b92f6f320f213p-2, -0x1.b4718aeae162fp-2, -0x1.afb2e7d4b818ep-2, -0x1.aaf442063e064p-2, -0x1.a63646d542269p-2, -0x1.a17996d18f48ep-2, -0x1.9cbec8bc76898p-2, -0x1.98066a29a01d1p-2, -0x1.9351012829daep-2, -0x1.8e9f0cf62ca03p-2, -0x1.89f106506d87dp-2, -0x1.85475f7b1267dp-2, -0x1.80a28423323d3p-2, -0x1.7c02d80f79fbfp-2, -0x1.7768b7e026877p-2, -0x1.72d47768cc8c2p-2, -0x1.6e4661da57f67p-2, -0x1.69beb9a669489p-2, -0x1.653db8baaf18ap-2, -0x1.60c391282890dp-2, -0x1.5c506dfadadep-2, -0x1.57e4744755bd8p-2, -0x1.537fc45e857ccp-2, -0x1.4f227aec58612p-2, -0x1.4accb1fbaedbep-2, -0x1.467e81e0c8345p-2, -0x1.423801f1a966ep-2, -0x1.3df948b8c306bp-2, -0x1.39c26c707964ep-2, -0x1.359382cc3bf7cp-2, -0x1.316ca0e6c46a2p-2, -0x1.2d4ddb6deae6cp-2, -0x1.2937458d950a9p-2, -0x1.2528f180a27e4p-2, -0x1.2122eff169fafp-2, -0x1.1d254fe661877p-2, -0x1.19301ea018237p-2, -0x1.15436791a15c8p-2, -0x1.115f3498f1896p-2, -0x1.0d838d5b66d0ep-2, -0x1.09b078b5637cp-2, -0x1.05e6ad54eac04p-2, -0x1.0224ddc58e843p-2, -0x1.fcd74c3de5752p-3, -0x1.f5761254c747fp-3, -0x1.ee261255616ebp-3, -0x1.e6e74fd7c2a77p-3, -0x1.dfb9cdbb7b11p-3, -0x1.d89d8e277abe4p-3, -0x1.d19292d4a3df7p-3, -0x1.ca98dcd4ad02fp-3, -0x1.c3b06d04260a3p-3, -0x1.bcd94362403fdp-3, -0x1.b613627ddcc68p-3, -0x1.af5ebed8e63c8p-3, -0x1.a8bb661dd6e83p-3, -0x1.a2294c732f669p-3, -0x1.9ba8714c25b9dp-3, -0x1.9538d0ea6d16ep-3, -0x1.8eda66baee7e4p-3, -0x1.888d2d44980cep-3, -0x1.82511e50297fap-3, -0x1.7c26326e00e58p-3, -0x1.760c61a5e612dp-3, -0x1.7003a2d503c5fp-3, -0x1.6a0bec334d9b4p-3, -0x1.642532ff2aeb4p-3, -0x1.5e4f6bae3872dp-3, -0x1.588a8a6c7efa9p-3, -0x1.52d681bf0afdap-3, -0x1.4d3344e3b963fp-3, -0x1.47a0c52375534p-3, -0x1.421ef46e1f09cp-3, -0x1.3cadc332f74e8p-3, -0x1.374d221fc2853p-3, -0x1.31fd012f8ed45p-3, -0x1.2cbd4fb8e791fp-3, -0x1.278dfd018907ep-3, -0x1.226ef7c00d9d3p-3, -0x1.1d602e46ccb95p-3, -0x1.18618e920b8dp-3, -0x1.1373063a2c29ep-3, -0x1.0e948271eb261p-3, -0x1.09c5f027e7b7dp-3, -0x1.05073bf25e038p-3, -0x1.0058515cddf0dp-3, -0x1.f7723862c6886p-4, -0x1.ee531230d6fe6p-4, -0x1.e55302d58e7ep-4, -0x1.dc71e0a102d49p-4, -0x1.d3af7f5f1ca8ap-4, -0x1.cb0bb39f893f3p-4, -0x1.c2864f0ce57d7p-4, -0x1.ba1f23b8676abp-4, -0x1.b1d60319be5a4p-4, -0x1.a9aabd14f4a41p-4, -0x1.a19d29158f0e3p-4, -0x1.99acfba2e4c01p-4, -0x1.91da288880f8p-4, -0x1.8a245649ebfadp-4, -0x1.828b6fb37b084p-4, -0x1.7b0f3200ffc5cp-4, -0x1.73af6a437a6c5p-4, -0x1.6c6be2591be98p-4, -0x1.654463629aefdp-4, -0x1.5e38b5c56ba9bp-4, -0x1.5748a0e36165p-4, -0x1.5073ebb3a5053p-4, -0x1.49ba5c7c558f3p-4, -0x1.431bb895b76dep-4, -0x1.3c97c52020974p-4, -0x1.362e48dadd98bp-4, -0x1.2fdefd0390b92p-4, -0x1.29a9af47a7fd7p-4, -0x1.238e1e1c63011p-4, -0x1.1d8c0b1574471p-4, -0x1.17a33511d099p-4, -0x1.11d362e243229p-4, -0x1.0c1c4e1622bf9p-4, -0x1.067db840c5c44p-4, -0x1.00f7605cc7045p-4, -0x1.f71206eb2badap-5, -0x1.ec64c73e10bcp-5, -0x1.e1e67527c00d9p-5, -0x1.d7968e017ca2fp-5, -0x1.cd748beb5ca0ep-5, -0x1.c37fe7ca6368p-5, -0x1.b9b8181c1ef87p-5, -0x1.b01c9804afp-5, -0x1.a6ace15577c55p-5, -0x1.9d686abc70463p-5, -0x1.944e9b2f58bc5p-5, -0x1.8b5eff5ed5122p-5, -0x1.8299055d235d5p-5, -0x1.79fc242726e1dp-5, -0x1.7187d1a3c916dp-5, -0x1.693b84cd235c5p-5, -0x1.6116b40336b46p-5, -0x1.5918d665ff117p-5, -0x1.514162ee95aefp-5, -0x1.498fd28c3bde3p-5, -0x1.4203999fdcf7ep-5, -0x1.3a9c338674704p-5, -0x1.3359191750b8p-5, -0x1.2c39c3a8dd384p-5, -0x1.253dadda64a0ep-5, -0x1.1e6452d986375p-5, -0x1.17ad2fdaf37a9p-5, -0x1.1117bf42a9664p-5, -0x1.0aa380ac4bf74p-5, -0x1.044ff3d1138bfp-5, -0x1.fc3930a621ffap-6, -0x1.f011ded8c50d8p-6, -0x1.e396bc61f6c4cp-6, -0x1.d7ee1183ff134p-6, -0x1.cc824c7e1eaaap-6, -0x1.c152980fccf5ap-6, -0x1.b65ddd4644aefp-6, -0x1.aba3320add84p-6, -0x1.a12199a7c813dp-6, -0x1.96d82a6aa8319p-6, -0x1.8cc5f2ac21e36p-6, -0x1.82ea030c9e1a2p-6, -0x1.79436f8785824p-6, -0x1.6fd153032fdc6p-6, -0x1.6692c6612469ap-6, -0x1.5d86e6866056fp-6, -0x1.54acd3c3ff1dcp-6, -0x1.4c03b0548b48bp-6, -0x1.438a9ea303486p-6, -0x1.3b40cafaa20a4p-6, -0x1.33255fce5634p-6, -0x1.2b3788f3b42c6p-6, -0x1.2376701622a15p-6, -0x1.1be165973766fp-6, -0x1.1477823bfe226p-6, -0x1.0d3807933ffe6p-6, -0x1.062244368a3f6p-6, -0x1.fe6a9cb5c22d8p-7, -0x1.f0e1193660306p-7, -0x1.e3a66e8eb459ep-7, -0x1.d6b92e957c7a5p-7, -0x1.ca17f2d0bb0a9p-7, -0x1.bdc147e2cbe2cp-7, -0x1.b1b3d4b9c65d3p-7, -0x1.a5ee3b5f3459ap-7, -0x1.9a6f1612da1bp-7, -0x1.8f353cca9b9d7p-7, -0x1.843f371425ad5p-7, -0x1.798bd0faa9368p-7, -0x1.6f19c8f3c8756p-7, -0x1.64e77dae19265p-7, -0x1.5af47e6061bb5p-7, -0x1.513ef2835c007p-7, -0x1.47c5d2d119f2ep-7, -0x1.3e87f381ece38p-7, -0x1.358427924f9b5p-7, -0x1.2cb9513ab338dp-7, -0x1.24263612a608ep-7, -0x1.1bc9d05bd4956p-7, -0x1.13a32a6d009b5p-7, -0x1.0bb0a41bfea06p-7, -0x1.03f1b4eb227c6p-7, -0x1.f8ca40d71c188p-8, -0x1.ea13b748b53bp-8, -0x1.dbbdc147aa764p-8, -0x1.cdc650d8fcf0cp-8, -0x1.c02b706ffc1aep-8, -0x1.b2eafc522ef2ap-8, -0x1.a6037a8b4a22ep-8, -0x1.99728cd12b843p-8, -0x1.8d367bf71ec1ap-8, -0x1.814d6f005c6c1p-8, -0x1.75b58dd99411dp-8, -0x1.6a6d12edd8133p-8, -0x1.5f7234c170125p-8, -0x1.54c343db2bb9p-8, -0x1.4a5e7e2e08cc4p-8, -0x1.404239851d168p-8, -0x1.366cd195dd87p-8, -0x1.2cdca3266a081p-8, -0x1.2390095ce0c4cp-8, -0x1.1a85915522c2ap-8, -0x1.11bb95ee5c48bp-8, -0x1.09309b3167f11p-8, -0x1.00e309081845fp-8, -0x1.f1a3658926177p-9, -0x1.e1f5e23d2e695p-9, -0x1.d2baa0b2d9397p-9, -0x1.c3ef0eac996d5p-9, -0x1.b59066bf09c4ap-9, -0x1.a79c0231067a2p-9, -0x1.9a0f395ce4e2fp-9, -0x1.8ce78cb3c6809p-9, -0x1.8022673ad2b9cp-9, -0x1.73bd3fc123b9dp-9, -0x1.67b5ce9f0cebcp-9, -0x1.5c09a3b2372edp-9, -0x1.50b66ef15cd88p-9, -0x1.45b9d74db9ef7p-9, -0x1.3b11cf3bfd4c4p-9, -0x1.30bbf8c8bb05ap-9, -0x1.26b63cdf34568p-9, -0x1.1cfe840a34acfp-9, -0x1.1392bfc04480dp-9, -0x1.0a70eee1fd835p-9, -0x1.0196da150f9e3p-9, -0x1.f2068b4be1f63p-10, -0x1.e16743c5a8565p-10, -0x1.d14cab3603e1dp-10, -0x1.c1b310a6e4a36p-10, -0x1.b296d8ef82298p-10, -0x1.a3f4c10805f2p-10, -0x1.95c9561e7610ap-10, -0x1.88114a4171298p-10, -0x1.7ac966bad1455p-10, -0x1.6dee615a7878ap-10, -0x1.617d8b0d5decp-10, -0x1.55737bb4c2d01p-10, -0x1.49cd6bafc7e03p-10, -0x1.3e8877fb1b85fp-10, -0x1.33a1d5308bd78p-10, -0x1.2916c7d2f3536p-10, -0x1.1ee4a51884e4fp-10, -0x1.1508d2d438a5dp-10, -0x1.0b80cd320149p-10, -0x1.024a14966f644p-10, -0x1.f2c5f616e568dp-11, -0x1.e18d9a2984ca3p-11, -0x1.d0eb5298e13d2p-11, -0x1.c0d905eb7ecb9p-11, -0x1.b1525165949fap-11, -0x1.a252f2e21c37ep-11, -0x1.93d6c4fc04e1ep-11, -0x1.85d9c5adf27a8p-11, -0x1.785810c172384p-11, -0x1.6b4d6e902b8f5p-11, -0x1.5eb6909fb69a5p-11, -0x1.528fb5b8706b4p-11, -0x1.46d54dcec235bp-11, -0x1.3b8401ce0a784p-11, -0x1.30982ac9e6a93p-11, -0x1.260e83206d6fbp-11, -0x1.1be4a8c1c9486p-11, -0x1.1216bc6160233p-11, -0x1.08a1a5ab8b353p-11, -0x1.ff05cc5da5984p-12, -0x1.ed6eff8aecf29p-12, -0x1.dc791a31b4fd3p-12, -0x1.cc1f7dd5fd325p-12, -0x1.bc5c3376e020dp-12, -0x1.ad2a674793698p-12, -0x1.9e85eb96f09b8p-12, -0x1.9067b3af79c06p-12, -0x1.82cd67a6bb051p-12, -0x1.75b1b74f465d6p-12, -0x1.690d5ab148feap-12, -0x1.5ce46b6236e78p-12, -0x1.512a7818055abp-12, -0x1.45de571e063a4p-12, -0x1.3afdbdc8e8ad6p-12, -0x1.30800b309c074p-12, -0x1.26668d635d1b3p-12, -0x1.1cabe2ffb5617p-12, -0x1.134cb749bd56ep-12, -0x1.0a45bc035d005p-12, -0x1.0193beb36185fp-12, -0x1.f26758a0e98d2p-13, -0x1.e2477ec692481p-13, -0x1.d2bac9a43bdcap-13, -0x1.c3c315afe01cfp-13, -0x1.b5589cb065b8cp-13, -0x1.a7762f946636cp-13, -0x1.9a16d10440eb5p-13, -0x1.8d35a8daeb6edp-13, -0x1.80cdb643ad8b7p-13, -0x1.74ddc8e0e9082p-13, -0x1.6959bfa798c45p-13, -0x1.5e3d3a4b1d1f9p-13, -0x1.53957d55c0608p-13, -0x1.494d90cb8e1ccp-13, -0x1.3f6621a3c688ap-13, -0x1.35d6a7d9034cfp-13, -0x1.2ca1a7ae36611p-13, -0x1.23c145dd6338fp-13, -0x1.1b31dec5cbe38p-13, -0x1.12eff3ef2954fp-13, -0x1.0af825f65d8f5p-13, -0x1.03472525656c6p-13, -0x1.f7c8abd654864p-14, -0x1.e95ad55cead5fp-14, -0x1.db7f1388edef8p-14, -0x1.ce1970eb6e86fp-14, -0x1.c126f18f6368cp-14, -0x1.b49c90ad4acebp-14, -0x1.a87e78abe197ep-14, -0x1.9cc2aae51900ap-14, -0x1.9166b0d3fc6c3p-14, -0x1.86666807d063ap-14, -0x1.7bbde60ae0d7ep-14, -0x1.716a34b4da046p-14, -0x1.6755312b6874ap-14, -0x1.5dafbd5ee3bd6p-14, -0x1.54431d823c66fp-14, -0x1.4b1f73e162fb6p-14, -0x1.423f57238b6e5p-14, -0x1.39b7d7a084277p-14, -0x1.313dd80ecb28cp-14, -0x1.29173c08615bfp-14, -0x1.21308d1a02ef2p-14, -0x1.1975493beadd4p-14, -0x1.11f3f17262ef1p-14, -0x1.0aa475fc7f641p-14, -0x1.0386e6079a1ep-14, -0x1.f924eec683db1p-15, -0x1.eb98fb4fd1ecbp-15, -0x1.de60602588f65p-15, -0x1.d177c2dabcc73p-15, -0x1.c4dbae3e31228p-15, -0x1.b888ddfef309cp-15, -0x1.ac7c0970858ecp-15, -0x1.a0b25430b9af8p-15, -0x1.9528cc1956bb3p-15, -0x1.89da4efe76752p-15, -0x1.7ee5adec91361p-15, -0x1.73f19d4ef8369p-15, -0x1.694e8ec249d9ap-15, -0x1.5edf3907384fap-15, -0x1.54a1b01a05772p-15, -0x1.4a948db644b4ap-15, -0x1.409a80af0a215p-15, -0x1.36ff7fbabf55ap-15, -0x1.2d752302e74ccp-15, -0x1.2413e123101d6p-15, -0x1.1ad99635d804dp-15, -0x1.11befc7ecde4ep-15, -0x1.08d5fbef820e4p-15, -0x1.0003641fcb8b3p-15, -0x1.eeb2a4264a65p-16, -0x1.dda05174ac1aap-16, -0x1.ccce5c7d590d4p-16, -0x1.bc437dd24579ap-16, -0x1.abde47329ce87p-16, -0x1.9bc5d89eab84cp-16, -0x1.8be2c8c415174p-16, -0x1.7c35463105768p-16, -0x1.6cbd22af2ab14p-16, -0x1.5d7b684c91d8ap-16, -0x1.4e6c87b974998p-16, -0x1.3f921d202cf1fp-16, -0x1.30ea8e17fecfp-16, -0x1.226ed64cb2dfcp-16, -0x1.1448a04ce0243p-16, -0x1.060bfef43d539p-16, -0x1.f04449ba76293p-17, -0x1.d4cb15d94a107p-17, -0x1.b9ab6a1233ee6p-17, -0x1.9ee51b8591d24p-17, -0x1.847750eca5854p-17, -0x1.6a6135a2b3cf4p-17, -0x1.50a2096564e95p-17, -0x1.3739268d97762p-17, -0x1.1e2671c877dc4p-17, -0x1.0542f092d561cp-17, -0x1.da03ad2fb4361p-18, -0x1.aaca103c705fp-18, -0x1.7a5a1f700a81bp-18, -0x1.4b7569d3170dap-18, -0x1.1d402841f88d9p-18, -0x1.df6243ac5c617p-19, -0x1.857e556a1d10ap-19, -0x1.2b1c300ff00f7p-19, -0x1.ab6e03ec2145bp-20, -0x1.01c81c7d29a21p-20, -0x1.60c328cc2312bp-22, 0x1.3ff30abfcdf7ap-22, 0x1.e7ead2ea70fffp-21, 0x1.96a31f67a22b9p-20, 0x1.1a30a94e91483p-19, 0x1.686afb021358dp-19, 0x1.b559c7d066d39p-19, 0x1.006c9ca9c485bp-18, 0x1.258dc741ee511p-18, 0x1.4a089287c5cd6p-18, 0x1.6ddca22d078cap-18, 0x1.9109ff34021e9p-18, 0x1.b39061d9a673ap-18, 0x1.d56f4d52fce5dp-18, 0x1.f6a7579e97e3dp-18, 0x1.0b9b6d40daecap-17, 0x1.1b796af510cbep-17, 0x1.2b33f28f5f421p-17, 0x1.3a7ecf4707914p-17, 0x1.4977b05de2d28p-17, 0x1.581da6578f9ddp-17, 0x1.666e646d6170dp-17, 0x1.746e02b04707ep-17, 0x1.82176d6edc13bp-17, 0x1.8f6e4f54a0882p-17, 0x1.9c7226d1f6eb6p-17, 0x1.a92712f3ce428p-17, 0x1.b4a6aec423892p-17, 0x1.c1971aae9d558p-17, 0x1.cd406edeb387p-17, 0x1.d8a59115124d5p-17, 0x1.e3a9431f47506p-17, 0x1.ee71a2efe28a8p-17, 0x1.f8ddc42375638p-17, 0x1.017d5d6597caap-16, 0x1.0660a49f24571p-16, 0x1.0b1cbec647e54p-16, 0x1.0fb030b43e1b8p-16, 0x1.141b57c0fbbadp-16, 0x1.185e59d9afcfp-16, 0x1.1c7917b2590bfp-16, 0x1.207e2ccd1dd3bp-16, 0x1.24378f40a6608p-16, 0x1.27f4ffec3d2a6p-16, 0x1.2b5d50c8bd7ap-16, 0x1.2ea02c60039acp-16, 0x1.31e35e9e87e11p-16, 0x1.34ea648b6be46p-16, 0x1.37cf39a13d697p-16, 0x1.3a8d5f3186edbp-16, 0x1.3d25f850d860bp-16, 0x1.3f9943c8e05bbp-16, 0x1.41e8f1833d7c7p-16, 0x1.440a26ba0d38cp-16, 0x1.4618072d89a01p-16, 0x1.47fa5328e580fp-16, 0x1.49c0a394cbb3ap-16, 0x1.4b819eed9f209p-16, 0x1.4cce054e6f25p-16, 0x1.4e22a876abdefp-16, 0x1.4f565486aa26cp-16, 0x1.5068256174d87p-16, 0x1.515b01b373525p-16, 0x1.52290e6685b4bp-16, 0x1.52d946820827cp-16, 0x1.5366f96d8eea6p-16, 0x1.540ac76832a3ep-16, 0x1.542a6a056f18ap-16, 0x1.5458ed93c0916p-16, 0x1.546b4422b0204p-16, 0x1.545fc6bb4774fp-16, 0x1.5436aab066893p-16, 0x1.53f0492c3360ep-16, 0x1.538d1a7111e7ep-16, 0x1.530e6873f16b6p-16, 0x1.527eb944123f2p-16, 0x1.51c80d2c4c879p-16, 0x1.50e971fca69d8p-16, 0x1.4ffd7cf4fc87ap-16, 0x1.4efb9ea198f39p-16, 0x1.4dd75b54dcc02p-16, 0x1.4c9ee85455556p-16, 0x1.4b4d64384c8a6p-16, 0x1.49e3c048ec45ap-16, 0x1.485fc7208f8edp-16, 0x1.46b710c2df8bap-16, 0x1.4519cb682913p-16, 0x1.4355d2a3ffb32p-16, 0x1.41bdfb3dc7d74p-16, 0x1.3f7ac49a10f2p-16, 0x1.3d823fe140162p-16, 0x1.3b8a4a93596a2p-16, 0x1.3936aad9a07dap-16, 0x1.36f2c3d283b7cp-16, 0x1.349c643203e0ep-16, 0x1.323280515d659p-16, 0x1.2fb9ba7c0f1b5p-16, 0x1.2d2fa6c63f423p-16, 0x1.2a917f519e4ccp-16, 0x1.27e2ca76359ccp-16, 0x1.25256d324f0f5p-16, 0x1.22595df0d4c8dp-16, 0x1.1f7aabb3fc031p-16, 0x1.1c939f0734fd2p-16, 0x1.19940a016a44p-16, 0x1.1681c5e84b3ecp-16, 0x1.133c40f1be7adp-16, 0x1.105253990f09bp-16, 0x1.0d20fcb8de92fp-16, 0x1.09e9b17b979e7p-16, 0x1.069be4de6f76ap-16, 0x1.0348e400b9d17p-16, 0x1.ffd4b340d2151p-17, 0x1.f901bcb4e31a5p-17, 0x1.f23938752535ep-17, 0x1.eb24fb030ea7bp-17, 0x1.e41753770df59p-17, }}, 
      {{0x1.c2d9671d23c65p-1, 0x1.c523233a84e55p-1, 0x1.c8970972609c2p-1, 0x1.ccdce9c035955p-1, 0x1.d1bd5e3d08b25p-1, 0x1.d704553b4ff96p-1, 0x1.dc89928084cbfp-1, 0x1.e22981ec83f95p-1, 0x1.e7c5e1ec46591p-1, 0x1.ed489bf3f1234p-1, 0x1.f29b199fe1886p-1, 0x1.f7b33f6637b53p-1, 0x1.fc7d33a18b9bp-1, 0x1.007a4eb83857fp+0, 0x1.0287d28df4226p+0, 0x1.0464dd63f536dp+0, 0x1.060fbdf1d31f6p+0, 0x1.078685c3b54dap+0, 0x1.08c8aaec3a1dcp+0, 0x1.09d6cf7e37853p+0, 0x1.0ab14605ad569p+0, 0x1.0b57fd9d2c019p+0, 0x1.0bcb7d67f2115p+0, 0x1.0c0d4f3327757p+0, 0x1.0c1f7682dcff2p+0, 0x1.0c03bdcdc4729p+0, 0x1.0bbb30322532ap+0, 0x1.0b471880c3749p+0, 0x1.0aa9847ce6287p+0, 0x1.09e462d19e487p+0, 0x1.08f9b79f1acbep+0, 0x1.07eb78e7dadeap+0, 0x1.06bb7c5c8cac4p+0, 0x1.056b7d374201p+0, 0x1.03fd2ea11b42fp+0, 0x1.02724bc2c538cp+0, 0x1.00cc9c667c2dap+0, 0x1.fe1bda697b129p-1, 0x1.fa7003268aa65p-1, 0x1.f6990d16f8e8bp-1, 0x1.f29a17916f29ap-1, 0x1.ee76068a3a6a1p-1, 0x1.ea2f8c47df389p-1, 0x1.e5c937fb397c7p-1, 0x1.e145837d73383p-1, 0x1.dca6dca50aaf7p-1, 0x1.d7efa8bf8bf43p-1, 0x1.d322429c0536p-1, 0x1.ce40f4ac52e86p-1, 0x1.c94df1560503ep-1, 0x1.c44b4bd0bdc11p-1, 0x1.bf3af3cefa3aap-1, 0x1.ba1eb4471a7cbp-1, 0x1.b4f8350b31778p-1, 0x1.afc9e9c635966p-1, 0x1.aa92bd48c704bp-1, 0x1.a55580f590878p-1, 0x1.a0138bfaef64fp-1, 0x1.9ace222f62414p-1, 0x1.958673c9a4d5cp-1, 0x1.903d9d96a9484p-1, 0x1.8af4a9b446e1ep-1, 0x1.85ac908e882cfp-1, 0x1.806639fb28e19p-1, 0x1.7b227e5731713p-1, 0x1.75e227a72a038p-1, 0x1.70a5f2c3040adp-1, 0x1.6b6e9083c89ecp-1, 0x1.663ca6ea314f3p-1, 0x1.6110d21811001p-1, 0x1.5beba50217d1bp-1, 0x1.56cda9cdf4afp-1, 0x1.51b761ef505e9p-1, 0x1.4ca94604c3e96p-1, 0x1.47a3c5f8fae66p-1, 0x1.42a748a2286f1p-1, 0x1.3db42c64d8bb1p-1, 0x1.38cac76e7a5e7p-1, 0x1.33eb68606d327p-1, 0x1.2f1656fe6feb9p-1, 0x1.2a4bd4e3dbf9p-1, 0x1.258c1e1d54e6fp-1, 0x1.20d769b65dfd9p-1, 0x1.1c2dea057052ap-1, 0x1.178fccfddebbfp-1, 0x1.12fd3c5b1e401p-1, 0x1.0e765dabbe04cp-1, 0x1.09fb52a9bb6cdp-1, 0x1.058c392611144p-1, 0x1.01292b5bb4041p-1, 0x1.f9a4804e9debdp-2, 0x1.f10f16a089693p-2, 0x1.e8923ba724a19p-2, 0x1.e02e0c6383e41p-2, 0x1.d7e2a162793c5p-2, 0x1.cfb00f11af0cfp-2, 0x1.c796663de0f29p-2, 0x1.bf95b3e4bda68p-2, 0x1.b7ae019b84865p-2, 0x1.afdf551a77e9ap-2, 0x1.a829b0f88a459p-2, 0x1.a08d1312fc363p-2, 0x1.990975ecb5d2ap-2, 0x1.919ecff3ee62ap-2, 0x1.8a4d13b454e7cp-2, 0x1.83142ffccdbe9p-2, 0x1.7bf4101b4f9c9p-2, 0x1.74ec9bf6e634dp-2, 0x1.6dfdb92a558f9p-2, 0x1.672749f826963p-2, 0x1.60691ad6a9acp-2, 0x1.59c2f94125175p-2, 0x1.5334ec871366fp-2, 0x1.4cbed32a81bb5p-2, 0x1.46608a1239b0dp-2, 0x1.4019ecaa8f719p-2, 0x1.39ead4f1c6e62p-2, 0x1.33d31bb7f72a6p-2, 0x1.2dd2986c1976ep-2, 0x1.27e92167c184ap-2, 0x1.22168befb001cp-2, 0x1.1c5aac4ad7f36p-2, 0x1.16b5570e0ee9ap-2, 0x1.112659e5b8be2p-2, 0x1.0bad8ca91eb87p-2, 0x1.064abc29e772bp-2, 0x1.00fdb91824e8cp-2, 0x1.f78ca4f706876p-3, 0x1.ed48ad431f1dfp-3, 0x1.e32f264cb45afp-3, 0x1.d93fa9e0ea734p-3, 0x1.cf79d0d8a06cbp-3, 0x1.c5dd328ac8768p-3, 0x1.bc69659f6d1e6p-3, 0x1.b31dffbfa42cfp-3, 0x1.a9fa941c39b6bp-3, 0x1.a0febac3e16c6p-3, 0x1.982a03b40450cp-3, 0x1.8f7c024d0c188p-3, 0x1.86f449ed062d9p-3, 0x1.7e926c16bc6bp-3, 0x1.7655fb0a8dfe6p-3, 0x1.6e3e881dd9348p-3, 0x1.664ba4ebc537ap-3, 0x1.5e7ce2cb4330fp-3, 0x1.56d1d2ef41fb9p-3, 0x1.4f4a06a8dd2dp-3, 0x1.47e50f35721edp-3, 0x1.40a27df091ee6p-3, 0x1.3981e44580a8ap-3, 0x1.3282d3cddb671p-3, 0x1.2ba4dfb7abeabp-3, 0x1.24e79569c7c08p-3, 0x1.1e4a8c40eec0fp-3, 0x1.17cd53752e0ddp-3, 0x1.116f7ec657784p-3, 0x1.0b30a2f92ebf4p-3, 0x1.0510514c854f4p-3, 0x1.fe1c3d17784d4p-4, 0x1.f2533dd9d0b8dp-4, 0x1.e6c4cf6d46f6cp-4, 0x1.db701be4c30eep-4, 0x1.d0544f48376c2p-4, 0x1.c57096fa37387p-4, 0x1.bac420f6f8776p-4, 0x1.b04e1f651d835p-4, 0x1.a60dbe85f3379p-4, 0x1.9c022ff6c9775p-4, 0x1.922aa8df1c637p-4, 0x1.8886618c626b5p-4, 0x1.7f148ccb39e6bp-4, 0x1.75d462c71deeep-4, 0x1.6cc51ca639e87p-4, 0x1.63e5f5027a321p-4, 0x1.5b36280704602p-4, 0x1.52b4f2c51d28p-4, 0x1.4a6194b7c5471p-4, 0x1.423b4eb8ef8a9p-4, 0x1.3a4162e7de663p-4, 0x1.32731572a8828p-4, 0x1.2acfae17f3707p-4, 0x1.23566b971ffb3p-4, 0x1.1c069fbb21b4bp-4, 0x1.14df91fc9f214p-4, 0x1.0de08e95dc34bp-4, 0x1.0708e28610445p-4, 0x1.0057e0746f6c2p-4, 0x1.f399adae28058p-5, 0x1.e6ce34247bc6ap-5, 0x1.da4bfe62cefd8p-5, 0x1.ce11b98462ec1p-5, 0x1.c21e18fbb6c81p-5, 0x1.b66fcfee8910ep-5, 0x1.ab0598118bdbdp-5, 0x1.9fde2e0172362p-5, 0x1.94f856e9a09aep-5, 0x1.8a52c81f5ebebp-5, 0x1.7fec58b84033bp-5, 0x1.75c3cf54987dcp-5, 0x1.6bd806a1d3bddp-5, 0x1.6227b1eb6b439p-5, 0x1.58b1c884f16d9p-5, 0x1.4f751ad34111p-5, 0x1.4670887fa7474p-5, 0x1.3da2f3f695aefp-5, 0x1.350b4489f9edfp-5, 0x1.2ca864d6d0b6fp-5, 0x1.247943b384272p-5, 0x1.1c7cd3cf03469p-5, 0x1.14b20c512360ap-5, 0x1.0d17e5f0c4692p-5, 0x1.05ad60946850ap-5, 0x1.fce2fcd9609afp-6, 0x1.eec68b5254d9p-6, 0x1.e103806a41f69p-6, 0x1.d397f8a3ef03fp-6, 0x1.c682186e35ff2p-6, 0x1.b9c00a2f8e44ap-6, 0x1.ad50022341f7fp-6, 0x1.a1303bbc98c9p-6, 0x1.955ef9ae135b1p-6, 0x1.89da85b86669p-6, 0x1.7e5fdfb2c465fp-6, 0x1.73718ca343976p-6, 0x1.68cb4065467dep-6, 0x1.5e6b6e58c4626p-6, 0x1.5450788fea772p-6, 0x1.4a78d10672d4bp-6, 0x1.40e2fe643be62p-6, 0x1.378d75706c7fp-6, 0x1.2e76c28895fc5p-6, 0x1.259d740f1fdb7p-6, 0x1.1d0020d656906p-6, 0x1.149d650729e19p-6, 0x1.0c73e2e7144a8p-6, 0x1.04824621dd303p-6, 0x1.f98e7d7f4b777p-7, 0x1.ea8307da8cc21p-7, 0x1.dbdfa78b5fcbbp-7, 0x1.cda1e3174e94ap-7, 0x1.bfc75249a0cedp-7, 0x1.b24d911af6e1fp-7, 0x1.a5325c3b9ed81p-7, 0x1.98734fac38d3ep-7, 0x1.8c0e4bb16c2c5p-7, 0x1.800114bd80dfcp-7, 0x1.744981f06101bp-7, 0x1.68e5a89cc4396p-7, 0x1.5dd34694b571dp-7, 0x1.531071957ce06p-7, 0x1.489b24a7e9e9ep-7, 0x1.3e71897aca0e5p-7, 0x1.3491af39af488p-7, 0x1.2af9c36d2863cp-7, 0x1.21a7f863ce039p-7, 0x1.189a83a94f483p-7, 0x1.0fcfc019790cp-7, 0x1.0745e8d95c69fp-7, 0x1.fdf68d2ff998fp-8, 0x1.eddd133461293p-8, 0x1.de3b71bf1dd85p-8, 0x1.cf0f0d3a70413p-8, 0x1.c054b3abb862p-8, 0x1.b20975f6949fbp-8, 0x1.a42a71c5d9ee3p-8, 0x1.96b4cc2a2b29dp-8, 0x1.89a609bb7c8c4p-8, 0x1.7cfaa197798c3p-8, 0x1.70b0bff58df94p-8, 0x1.64c57097cc7aep-8, 0x1.59367017aa568p-8, 0x1.4e00ff63b6a5ap-8, 0x1.4322c9daa9b4cp-8, 0x1.38997259cdbf4p-8, 0x1.2e62ab8fb553dp-8, 0x1.247c2b05e3e92p-8, 0x1.1ae3c52b406fp-8, 0x1.11975efcf41bdp-8, 0x1.0894ab19054b6p-8, 0x1.ffb39d7394d54p-9, 0x1.eec96d081bdffp-9, 0x1.de66dbee1accbp-9, 0x1.ce880e63696dfp-9, 0x1.bf294f0cf0ebdp-9, 0x1.b0475a87176dap-9, 0x1.a1dd76541a12ep-9, 0x1.93e956ae94bb6p-9, 0x1.86672fd64a086p-9, 0x1.7953bcabd3d25p-9, 0x1.6cabb900bb8e5p-9, 0x1.606c2d6689081p-9, 0x1.54919506fe161p-9, 0x1.4919674d9953bp-9, 0x1.3e0092f91bd29p-9, 0x1.3343fda6394dcp-9, 0x1.28e1b06f24b02p-9, 0x1.1ed63d1a812e3p-9, 0x1.151f19fcae268p-9, 0x1.0bb9e4c12e1cap-9, 0x1.02a41103b8c35p-9, 0x1.f3b6667f0c5b4p-10, 0x1.e2b9db55e07dp-10, 0x1.d24de0b902fb9p-10, 0x1.c26e16ccef6e3p-10, 0x1.b3160d143ed1dp-10, 0x1.a4418d13e9bfep-10, 0x1.95ec6c3732e2ep-10, 0x1.8812bb05b1f34p-10, 0x1.7ab08b8bc8369p-10, 0x1.6dc21453667f2p-10, 0x1.6143a48056e1ep-10, 0x1.5531a73eeb20ep-10, 0x1.4988a0d87015dp-10, 0x1.3e452e998531bp-10, 0x1.336402de4f557p-10, 0x1.28e3170d3058p-10, 0x1.1ebbe52a68a9p-10, 0x1.14eecfd2ac5b4p-10, 0x1.0b77c9b71bf5p-10, 0x1.0253f5c646161p-10, 0x1.f301196799083p-11, 0x1.e1f5ddc46efdcp-11, 0x1.d180faf390434p-11, 0x1.c19d6923fec0dp-11, 0x1.b24644fafe401p-11, 0x1.a3767b9ef5cdep-11, 0x1.952a4097bebd1p-11, 0x1.875c5abd96109p-11, 0x1.7a08c869a7831p-11, 0x1.6d2b445bd743ap-11, 0x1.60bfc2bfa50a8p-11, 0x1.54c25365cf0c9p-11, 0x1.492f25541f531p-11, 0x1.3e0286193ba02p-11, 0x1.3338e2e350edap-11, 0x1.28ceaf8dd4edfp-11, 0x1.1ec21e29d520bp-11, 0x1.150bb9cd7e2e1p-11, 0x1.0bac5ef2779a2p-11, 0x1.029fc47080484p-11, 0x1.f3c5de0941cf6p-12, 0x1.e2e60aefcb2a7p-12, 0x1.d29a8dbccc14p-12, 0x1.c2de0f981852cp-12, 0x1.b3abae19b2d57p-12, 0x1.a4fdad5bf6b35p-12, 0x1.96cff158e5303p-12, 0x1.891da2ab8b98dp-12, 0x1.7be23d8473d39p-12, 0x1.6f198ed286f28p-12, 0x1.62bf0be01febdp-12, 0x1.56ceef82c2fc2p-12, 0x1.4b44ea793b14ep-12, 0x1.401e7d4223798p-12, 0x1.3556215fa18f9p-12, 0x1.2ae9a237cbbf2p-12, 0x1.20d5399d3abd6p-12, 0x1.1715c01a96219p-12, 0x1.0da7c7bfd300ep-12, 0x1.04888cbd76a6fp-12, 0x1.f76a128bd9919p-13, 0x1.e653d67b99fb4p-13, 0x1.d5cbf406f3aa8p-13, 0x1.c5ca3d56e9cfap-13, 0x1.b649fcfb90bdep-13, 0x1.a747b3c75f05cp-13, 0x1.98bdb663620bep-13, 0x1.8aa78f23783bap-13, 0x1.7d0146b4483bap-13, 0x1.6fca9233101e9p-13, 0x1.62f225005519fp-13, 0x1.56826d26b62ecp-13, 0x1.4a725047d9207p-13, 0x1.3ebe7faa5c46dp-13, 0x1.3363932de4113p-13, 0x1.285e43a1604dep-13, 0x1.1dab6daac1d68p-13, 0x1.1348a98fdb5e4p-13, 0x1.09313549cbc1p-13, 0x1.fec85de6eec51p-14, 0x1.ebbca1a0b1fd5p-14, 0x1.d93a1d7021012p-14, 0x1.c73bf4a2e2f84p-14, 0x1.b5bd76e925963p-14, 0x1.a4ba05c1c5bb2p-14, 0x1.94313ad5d2c37p-14, 0x1.84143262db01cp-14, 0x1.747b1eaa6a5p-14, 0x1.652828c91805ap-14, 0x1.56518185f47dbp-14, 0x1.47dc7c2067a8bp-14, 0x1.39c7e2b8bb9dcp-14, 0x1.2c1025b38f303p-14, 0x1.1eb219e286892p-14, 0x1.11aaaadc4d589p-14, 0x1.04f6e4165ccd3p-14, 0x1.f127e1125806dp-15, 0x1.d8fe18b774f4dp-15, 0x1.c17db52a4505cp-15, 0x1.aa6a81d77759ap-15, 0x1.93f8dbf67846bp-15, 0x1.7e0f99f36847cp-15, 0x1.68a7c97b6fb6cp-15, 0x1.53c6010ed9b75p-15, 0x1.3f626651fcc5cp-15, 0x1.2b75ef830ff5bp-15, 0x1.18005164d6fa4p-15, 0x1.04fe1817f4484p-15, 0x1.e4d82e2553f2bp-16, 0x1.c08e8fe550278p-16, 0x1.9cb6aa0151928p-16, 0x1.7a75df33c491cp-16, 0x1.58a8157d81425p-16, 0x1.378e24d457eafp-16, 0x1.173d2f564a217p-16, 0x1.ef140ed5ac8eep-17, 0x1.b1a262572f58cp-17, 0x1.755ae8fbc60cfp-17, 0x1.3ab51907aabcbp-17, 0x1.00eb19878d0c9p-17, 0x1.9166264e66212p-18, 0x1.23953078ef584p-18, 0x1.70adab6cc660dp-19, 0x1.3e3ad7bb04002p-20, -0x1.6bda589304104p-22, -0x1.ea804efe2e9cfp-20, -0x1.b846c92627a5p-19, -0x1.3b51bb26301bcp-18, -0x1.983408ebf88c4p-18, -0x1.f2d5fdd678422p-18, -0x1.259f4de95465ep-17, -0x1.50bd12376478p-17, -0x1.7accbfd7bf58ep-17, -0x1.a383278f40f11p-17, -0x1.cbb15aabf5d81p-17, -0x1.f297c7dbbdc8cp-17, -0x1.0c3d70ca4ac59p-16, -0x1.1eaec98b304bfp-16, -0x1.30a0d19cdc8a9p-16, -0x1.421a97413921bp-16, -0x1.5312a900075d7p-16, -0x1.639467d9d123fp-16, -0x1.739da2a9b6bf3p-16, -0x1.83326082507ccp-16, -0x1.92788e7811619p-16, -0x1.a0f74f616b63bp-16, -0x1.af25b150aa35cp-16, -0x1.bceaadafb3a87p-16, -0x1.ca4018e35883fp-16, -0x1.d726e63358cd1p-16, -0x1.e364897c00be1p-16, -0x1.efb1940327b26p-16, -0x1.fb4b94b2fea71p-16, -0x1.03415ddb8cdb1p-15, -0x1.08a8ec7cd177p-15, -0x1.0ddbc91a2e0d9p-15, -0x1.12dbbda4f82c5p-15, -0x1.17a981bd10de5p-15, -0x1.1c43f191a2ae2p-15, -0x1.20aea13bde457p-15, -0x1.24e5ac916844bp-15, -0x1.28e764b0b0b98p-15, -0x1.2cc57522deb4p-15, -0x1.306d744ac75dcp-15, -0x1.33e6989aba0f9p-15, -0x1.3731645535f1ep-15, -0x1.3a4e4b058d50bp-15, -0x1.3d3dd1a9bac6p-15, -0x1.40007ee1f2fa6p-15, -0x1.4296d9b30d569p-15, -0x1.45016a1249a78p-15, -0x1.4740ced460e2ap-15, -0x1.494dc6b4883dbp-15, -0x1.4b40444490a9cp-15, -0x1.4d2434126b5e7p-15, -0x1.4e991480ee723p-15, -0x1.5006bf8417d23p-15, -0x1.514d71b545245p-15, -0x1.526cc9c1102e5p-15, -0x1.5365fa557d8e3p-15, -0x1.544de898d2978p-15, -0x1.54e3e77f1e0c8p-15, -0x1.5566a5e2561c3p-15, -0x1.55ad8897b42d9p-15, -0x1.56074f2f0b4d5p-15, -0x1.56218168bac76p-15, -0x1.56172d8763663p-15, -0x1.55eae44088fd5p-15, -0x1.559c7da8f142ep-15, -0x1.5535775a32c1ep-15, -0x1.549b37931d6c6p-15, -0x1.53e97d840343ap-15, -0x1.5317f11c9b3e3p-15, -0x1.522704f4a441cp-15, -0x1.51175259dd612p-15, -0x1.4fe95d205d949p-15, -0x1.4e9d9e20786b6p-15, -0x1.4d34cbc6696e6p-15, -0x1.4baf52e2b3996p-15, -0x1.4a11297503827p-15, -0x1.4850ef269fcdcp-15, -0x1.467935c3fff62p-15, -0x1.44871071f259cp-15, -0x1.427b54762fe44p-15, -0x1.4055bb411d18dp-15, -0x1.3e186a0abc415p-15, -0x1.3bc2104886ed5p-15, -0x1.39547f886536cp-15, -0x1.36cffbc179524p-15, -0x1.343590ffdcfffp-15, -0x1.316ea2e58a68cp-15, -0x1.2ebf372d2b7b5p-15, -0x1.2be2b4f16acc3p-15, -0x1.28f2f5e384062p-15, -0x1.25f101297bdep-15, -0x1.22d953d4a6b08p-15, -0x1.1fb0798fb28c1p-15, -0x1.1c7619d457ea3p-15, -0x1.1928c276db8a1p-15, -0x1.15cb2e3ee58abp-15, -0x1.125d0a2b71cfcp-15, -0x1.0edeed040a518p-15, -0x1.0b515c7d076b6p-15, -0x1.07b4f668729f7p-15, -0x1.0404e5889bdd5p-15, -0x1.0051e462f965ep-15, -0x1.f8e04e0584e64p-16, -0x1.f1720080f8615p-16, -0x1.e9a51e9132314p-16, -0x1.e1db545a5ef3ep-16, -0x1.d9f0cf70d44a1p-16, -0x1.d1e9f70587faep-16, -0x1.c9d23a8ad6276p-16, -0x1.c1a693d031897p-16, -0x1.b967f565f0b2fp-16, -0x1.b11843ef0841ap-16, -0x1.a8b10e4b26c9bp-16, -0x1.a044e71e61631p-16, -0x1.97c453697a1d3p-16, -0x1.8f3ddd84a5a84p-16, -0x1.8697533bcd0b7p-16, -0x1.7df1bc969bf9ep-16, -0x1.753e0bb56931bp-16, -0x1.6c7fa13467738p-16, -0x1.63b75d2638baep-16, -0x1.5ae6e3abd6f4bp-16, -0x1.520d3c2b5697p-16, -0x1.492d5173853ebp-16, -0x1.403390d9455f3p-16, -0x1.376f90f28c17ap-16, -0x1.2e69cc3132e3ep-16, -0x1.25737b0985daep-16, -0x1.1c7ae5adee4d9p-16, -0x1.137ff11cb4768p-16, -0x1.0a8345133e131p-16, -0x1.01859188ca534p-16, -0x1.f10f60707358ap-17, -0x1.df17bbd1748cep-17, -0x1.cd0fd2ed108b6p-17, -0x1.bb1a929ff4ecdp-17, -0x1.a938d41ca74a2p-17, -0x1.974df52004bf9p-17, -0x1.856192aac0744p-17, -0x1.7394fc5769162p-17, -0x1.61c86e6c32e09p-17, -0x1.50067b87b2dbdp-17, -0x1.3e50fb257f2d1p-17, -0x1.2cad6521b7c41p-17, -0x1.1b2f5d356626bp-17, -0x1.098ad405a20dp-17, -0x1.f03218684cb46p-18, -0x1.ce1b9bc0bd4dp-18, -0x1.aaedc9fb913a4p-18, -0x1.885deef83fa17p-18, -0x1.670d9dc8a7c68p-18, -0x1.43f4e8b0086bdp-18, -0x1.21ff8fc618d6dp-18, -0x1.00451d4bbbed3p-18, -0x1.bd8553b88420cp-19, -0x1.7ad60b0801396p-19, -0x1.38a75a22a7c95p-19, -0x1.edb98e91013f8p-20, -0x1.6b182efa6f2bdp-20, -0x1.d2e6016bd2547p-21, -0x1.a322fdb3bf8b2p-22, 0x1.706b2b8b07d9cp-24, 0x1.2bee88ad85574p-21, 0x1.1343b6aeba674p-20, 0x1.8fdd2ef63befdp-20, 0x1.05af7abeff41dp-19, 0x1.42e099bf39131p-19, 0x1.7f8610fbc9495p-19, 0x1.baee3a68a20bp-19, 0x1.f706504bbf4ebp-19, 0x1.18f83bc199006p-18, 0x1.361c094a2797fp-18, 0x1.52f2260de8714p-18, 0x1.6fac4092daa0ap-18, 0x1.8bbbc9f5603cp-18, 0x1.a796ee4662a03p-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.c7131c7482249p-7, 0x1.c6c630fd36954p-6, 0x1.54b4d841ed483p-5, 0x1.c5949081bee85p-5, 0x1.1aeed78327c34p-4, 0x1.52b65b45136f6p-4, 0x1.8a0fb2b67046fp-4, 0x1.c0ea69b9e7c83p-4, 0x1.f736c400e87dap-4, 0x1.1672e27f6f575p-3, 0x1.30f49a9c9808cp-3, 0x1.4b19d2b2bcdfdp-3, 0x1.64dc37db39423p-3, 0x1.7e35dbd45fdc7p-3, 0x1.9721344a2551bp-3, 0x1.af99199dc83a9p-3, 0x1.c798c544aa6b6p-3, 0x1.df1bcfd28dd8cp-3, 0x1.f61e2ec032c7p-3, 0x1.064e18fe4638fp-2, 0x1.114940aa3a035p-2, 0x1.1bff0cdd7132bp-2, 0x1.266e253d0822ap-2, 0x1.3095592a4b719p-2, 0x1.3a739e4e43ac3p-2, 0x1.44080f22bae6fp-2, 0x1.4d51e97ae58a8p-2, 0x1.56508d0d6cba9p-2, 0x1.5f037a016b00fp-2, 0x1.676a4f7f945ffp-2, 0x1.6f84ca48a96fp-2, 0x1.7752c3520e53ep-2, 0x1.7ed42e694e95dp-2, 0x1.860918df2434dp-2, 0x1.8cf1a83a8585cp-2, 0x1.938e18f41e898p-2, 0x1.99debd3a8408fp-2, 0x1.9fe3fbbf5e08p-2, 0x1.a59e4e8db4a9ap-2, 0x1.ab0e41e97430cp-2, 0x1.b0347338412f3p-2, 0x1.b5118ff38e5fbp-2, 0x1.b9a654a3fac3bp-2, 0x1.bdf38be5dcc02p-2, 0x1.c1fa0d76e2796p-2, 0x1.c5babd4ca7c47p-2, 0x1.c9368ab41e7d5p-2, 0x1.cc6e6f79963ecp-2, 0x1.cf636f193fdb1p-2, 0x1.d21695f7f2187p-2, 0x1.d488f8a3fc3a9p-2, 0x1.d6bbb31dd97e5p-2, 0x1.d8afe8287d65ep-2, 0x1.da66c0a11222dp-2, 0x1.dbe16adde0fb2p-2, 0x1.dd211a1436eeap-2, 0x1.de2705c50796bp-2, 0x1.def4693012728p-2, 0x1.df8a82cd5dc2p-2, 0x1.dfea93ccc416cp-2, 0x1.e015df9b689f2p-2, 0x1.e00dab6ed5ebdp-2, 0x1.dfd33dd59cf5bp-2, 0x1.df67de4d3824ep-2, 0x1.deccd4dd0d65ep-2, 0x1.de0369b657e36p-2, 0x1.dd0ce4d8cf9ccp-2, 0x1.dbea8dbbe34dbp-2, 0x1.da9daafc5c32bp-2, 0x1.d927820e3c98dp-2, 0x1.d78956f2bc346p-2, 0x1.d5c46bf230894p-2, 0x1.d3da0159c8c63p-2, 0x1.d1cb553cf0a5ep-2, 0x1.cf99a33a3f11ep-2, 0x1.cd462443cab4bp-2, 0x1.cad20e6accbaap-2, 0x1.c83e94ae686aap-2, 0x1.c58ce6cd88a2dp-2, 0x1.c2be311ba88f2p-2, 0x1.bfd39c587a68ep-2, 0x1.bcce4d8a458aep-2, 0x1.b9af65daef198p-2, 0x1.b67802778af04p-2, 0x1.b3293c72617aep-2, 0x1.afc428a755cecp-2, 0x1.ac49d7a2912fdp-2, 0x1.a8bb5589649d5p-2, 0x1.a519aa0546023p-2, 0x1.a165d830d852dp-2, 0x1.9da0de86ec906p-2, 0x1.99cbb6d36462p-2, 0x1.95e75625e7c0cp-2, 0x1.91f4acc6597acp-2, 0x1.8df4a62afe3d8p-2, 0x1.89e828f03c34p-2, 0x1.85d016d1eb4e9p-2, 0x1.81ad4ca6249c8p-2, 0x1.7d80a2597b2a9p-2, 0x1.794aeaec975d7p-2, 0x1.750cf47321ddap-2, 0x1.70c78813f074p-2, 0x1.6c7b6a0a641f1p-2, 0x1.682959a8f159p-2, 0x1.63d2115cbdp-2, 0x1.5f7646b2489b8p-2, 0x1.5b16aa5b1b83dp-2, 0x1.56b3e8345ecffp-2, 0x1.524ea74e610a4p-2, 0x1.4de789f4f47a5p-2, 0x1.497f2db89c24p-2, 0x1.45162b787dcf1p-2, 0x1.40ad176d0f699p-2, 0x1.3c4481336f80bp-2, 0x1.37dcf3d9669b3p-2, 0x1.3376f5e9ffdf7p-2, 0x1.2f13097ab5effp-2, 0x1.2ab1ac39273dbp-2, 0x1.26535779442ep-2, 0x1.21f88043fa27fp-2, 0x1.1da1976646dd4p-2, 0x1.194f0980b19cbp-2, 0x1.15013f17201e6p-2, 0x1.10b89ca103473p-2, 0x1.0c758299cdcep-2, 0x1.08384d91b2921p-2, 0x1.0401563e9f31ep-2, 0x1.ffa1e31ae8694p-3, 0x1.f74ee166cc34fp-3, 0x1.ef0a427f25863p-3, 0x1.e6d49a596350ep-3, 0x1.deae75e5dae0fp-3, 0x1.d6985b3399c7dp-3, 0x1.ce92c9946c90dp-3, 0x1.c69e39c0fc538p-3, 0x1.bebb1dfd0081dp-3, 0x1.b6e9e23b7a631p-3, 0x1.af2aec42eecc5p-3, 0x1.a77e9bd1954acp-3, 0x1.9fe54ac17e828p-3, 0x1.985f4d2c92f7cp-3, 0x1.90ecf1907d9d8p-3, 0x1.898e80f264405p-3, 0x1.82443f02785c7p-3, 0x1.7b0e6a3f49802p-3, 0x1.73ed3c18e2059p-3, 0x1.6ce0e9139bacbp-3, 0x1.65e9a0eab23bep-3, 0x1.5f078eb284537p-3, 0x1.583ad8fa7fcf6p-3, 0x1.5183a1eebfe05p-3, 0x1.4ae2077943596p-3, 0x1.44562362ce8c7p-3, 0x1.3de00b73663c8p-3, 0x1.377fd1925bbb9p-3, 0x1.313583e5fbcb1p-3, 0x1.2b012cf2c6bd1p-3, 0x1.24e2d3ba3c64cp-3, 0x1.1eda7bd932285p-3, 0x1.18e825a5b87bep-3, 0x1.130bce4c83752p-3, 0x1.0d456feddf42ep-3, 0x1.079501ba27bd6p-3, 0x1.01fa780dc14c5p-3, 0x1.f8eb89192b8ddp-4, 0x1.ee0dac7a2e1f3p-4, 0x1.e35b334570ef9p-4, 0x1.d8d3f1afd83a9p-4, 0x1.ce77b74f4882ap-4, 0x1.c4464f4c8e03p-4, 0x1.ba3f809456a32p-4, 0x1.b0630e0717b7cp-4, 0x1.a6b0b6a7f9f4bp-4, 0x1.9d2835cab12cp-4, 0x1.93c9434063374p-4, 0x1.8a9393837ee6cp-4, 0x1.8186d7e28e66ap-4, 0x1.78a2beaa0f4dap-4, 0x1.6fe6f34d459acp-4, 0x1.67531e8e0f6f5p-4, 0x1.5ee6e6a3bd0a8p-4, 0x1.56a1ef60ea905p-4, 0x1.4e83da5862a48p-4, 0x1.468c470106827p-4, 0x1.3ebad2d8c3224p-4, 0x1.370f1986909abp-4, 0x1.2f88b4fb84046p-4, 0x1.28273d92f086bp-4, 0x1.20ea4a319e3dep-4, 0x1.19d1706419cafp-4, 0x1.12dc447c1c5f9p-4, 0x1.0c0a59ad12f71p-4, 0x1.055b4227c5414p-4, 0x1.fd9d1e6a4202ap-5, 0x1.f0c7a2a05851cp-5, 0x1.e435307e415a1p-5, 0x1.d7e4e6576f6e4p-5, 0x1.cbd5e17547acbp-5, 0x1.c0073e448386dp-5, 0x1.b4781880fe033p-5, 0x1.a9278b5ffc36ep-5, 0x1.9e14b1b8f1a86p-5, 0x1.933ea62cc8b59p-5, 0x1.88a4834bba981p-5, 0x1.7e4563b9b9246p-5, 0x1.74206251714dfp-5, 0x1.6a349a45f4dc8p-5, 0x1.6081274307cdfp-5, 0x1.5705258c20864p-5, 0x1.4dbfb21a21227p-5, 0x1.44afeab7cd199p-5, 0x1.3bd4ee1d04aadp-5, 0x1.332ddc08cff3ep-5, 0x1.2ab9d55a3bcb5p-5, 0x1.2277fc281239p-5, 0x1.1a6773d7764a8p-5, 0x1.1287613167d5ep-5, 0x1.0ad6ea7737433p-5, 0x1.03553775f1cdep-5, 0x1.f802e33193855p-6, 0x1.e9b587f507c1dp-6, 0x1.dbc0b6ebde49bp-6, 0x1.ce22cd6ae0f8p-6, 0x1.c0da2c8346e2ep-6, 0x1.b3e5391e35743p-6, 0x1.a7425c168ea16p-6, 0x1.9af00251107adp-6, 0x1.8eec9cd2d9c7bp-6, 0x1.8336a0d65e3b5p-6, 0x1.77cc87ded36abp-6, 0x1.6caccfca25fd6p-6, 0x1.61d5fae1825b6p-6, 0x1.57468fe8772dep-6, 0x1.4cfd1a2ac567p-6, 0x1.42f82988e0a06p-6, 0x1.393652833385bp-6, 0x1.2fb62e4426e16p-6, 0x1.26765aa9033a9p-6, 0x1.1d757a49adb5ap-6, 0x1.14b2347f4e4d4p-6, 0x1.0c2b3569e9ef2p-6, 0x1.03df2df4f34fcp-6, 0x1.f799a7b5d7903p-7, 0x1.e7e5c35010906p-7, 0x1.d8a02d77ed07fp-7, 0x1.c9c66e957ada4p-7, 0x1.bb5618b997f43p-7, 0x1.ad4cc79c7215ap-7, 0x1.9fa8209a79b99p-7, 0x1.9265d2afda68cp-7, 0x1.858396728efbdp-7, 0x1.78ff2e0b176d1p-7, 0x1.6cd6652bdce5cp-7, 0x1.6107110765ccep-7, 0x1.558f104552ce6p-7, 0x1.4a6c4af63b5f3p-7, 0x1.3f9cb28680f74p-7, 0x1.351e41b010235p-7, 0x1.2aeefc6b3496p-7, 0x1.210cefde7bdc2p-7, 0x1.1776324dbbaaep-7, 0x1.0e28e30844a82p-7, 0x1.05232a564c5c1p-7, 0x1.f8c672cb3b949p-8, 0x1.e7ce946b2c5a8p-8, 0x1.d75b3f04fc092p-8, 0x1.c7690960867d2p-8, 0x1.b7f49b6947f19p-8, 0x1.a8faae019f384p-8, 0x1.9a780ad512e65p-8, 0x1.8c698c29ab78cp-8, 0x1.7ecc1cb0730c2p-8, 0x1.719cb7552ea4p-8, 0x1.64d8670d5cd3cp-8, 0x1.587c46a68f2dfp-8, 0x1.4c85809428e3cp-8, 0x1.40f14ebc97215p-8, 0x1.35bcfa4609e74p-8, 0x1.2ae5db62c5e02p-8, 0x1.2069591d1098p-8, 0x1.1644e922cf4d2p-8, 0x1.0c760f90db28fp-8, 0x1.02fa5ebe1fb5bp-8, 0x1.f39eee0d0e757p-9, 0x1.e1e60d2b8c523p-9, 0x1.d0c592641826ep-9, 0x1.c039100d4f658p-9, 0x1.b03c32dd49748p-9, 0x1.a0cac17ee168bp-9, 0x1.91e09c2716d48p-9, 0x1.8379bc2aa0211p-9, 0x1.75923393b532cp-9, 0x1.68262cb82d5efp-9, 0x1.5b31e9cff7741p-9, 0x1.4eb1c48bfb97bp-9, 0x1.42a22dad76bcbp-9, 0x1.36ffac9ddf767p-9, 0x1.2bc6df0758184p-9, 0x1.20f4786dc0b5cp-9, 0x1.168541c876872p-9, 0x1.0c76191cc13ffp-9, 0x1.02c3f119020edp-9, 0x1.f2d7a161572a9p-10, 0x1.e0d5a5720eb48p-10, 0x1.cf7c4b0dad921p-10, 0x1.bec61519a63c6p-10, 0x1.aeadabf633897p-10, 0x1.9f2ddcbf05c65p-10, 0x1.9041988de9589p-10, 0x1.81e3f3bf54e3ep-10, 0x1.741025390d1c8p-10, 0x1.66c185b2c8e29p-10, 0x1.59f38f00f52cep-10, 0x1.4da1db619321ap-10, 0x1.41c824cb46e1fp-10, 0x1.3662443e8f267p-10, 0x1.2b6c311937b0bp-10, 0x1.20e2006c05713p-10, 0x1.16bfe452a9e4ap-10, 0x1.0d022b4df6e78p-10, 0x1.03a53fa0638bcp-10, 0x1.f54b4d59b6622p-11, 0x1.e40000afbdf27p-11, 0x1.d3620cd5f9babp-11, 0x1.c36b17f534f4p-11, 0x1.b414f99c305fp-11, 0x1.a559b9949880bp-11, 0x1.97338ebcac149p-11, 0x1.899cdde59481fp-11, 0x1.7c9038b66ecp-11, 0x1.70085c94034fcp-11, 0x1.6400318d29e9fp-11, 0x1.5872c94bd7154p-11, 0x1.4d5b5e0acfcf5p-11, 0x1.42b5518ffda89p-11, 0x1.387c2c2b5fb7dp-11, 0x1.2eab9bba90845p-11, 0x1.253f72b0ddf91p-11, 0x1.1c33a723e9783p-11, 0x1.138451dcc94ep-11, 0x1.0b2dad6da56eap-11, 0x1.032c154bc5cf7p-11, 0x1.f6f809dc11cf8p-12, 0x1.e8342ddf755fdp-12, 0x1.da06086f83879p-12, 0x1.cc67464833c09p-12, 0x1.bf51cd731c71bp-12, 0x1.b2bfbbaf5ceeep-12, 0x1.a6ab64e1db79dp-12, 0x1.9b0f518dc94e3p-12, 0x1.8fe63d55537fbp-12, 0x1.852b15826532ep-12, 0x1.7ad8f7976bdeep-12, 0x1.70eb2fe7fcb95p-12, 0x1.675d383948615p-12, 0x1.5e2ab66a42aaep-12, 0x1.554f7b236384bp-12, 0x1.4cc7808dea74ep-12, 0x1.448ee91288befp-12, 0x1.3ca1fe1f56bbbp-12, 0x1.34fd2ef501eb2p-12, 0x1.2d9d0f7b0e5f5p-12, 0x1.267e571b1c304p-12, 0x1.1f9ddfa30a3e6p-12, 0x1.18f8a42deaffap-12, 0x1.128bc013a1772p-12, 0x1.0c546ddf15abcp-12, 0x1.0650064ae1fefp-12, 0x1.007bff445f445p-12, 0x1.f5abd5e9e9288p-13, 0x1.eab6eda3242b2p-13, 0x1.e014d56071202p-13, 0x1.d5c14fc6eda2ap-13, 0x1.cbb850b77f3a7p-13, 0x1.c1f5fb9d034b6p-13, 0x1.b876a1c5c1529p-13, 0x1.af36c0c7fe1dcp-13, 0x1.a63300f1636d1p-13, 0x1.9d6833c126617p-13, 0x1.94d3526c9ba6cp-13, 0x1.8c717c6e1ba08p-13, 0x1.843ff61dfb268p-13, 0x1.7c3c2755657a8p-13, 0x1.74639a1aea6d4p-13, 0x1.6cb3f9588e42p-13, 0x1.652b0f9b262cdp-13, 0x1.5dc6c5dad62eap-13, 0x1.5685224c7ddf9p-13, 0x1.4f64473be6361p-13, 0x1.486271ee7cf54p-13, 0x1.417df98e7539p-13, 0x1.3ab54e1e20173p-13, 0x1.3406f77343bp-13, 0x1.2d71943a53dbfp-13, 0x1.26f3d90157513p-13, 0x1.208c8f4a4d1f7p-13, 0x1.1a3a94a4ecac9p-13, 0x1.13fcd9cf9075dp-13, 0x1.0dd261df2225bp-13, 0x1.07ba416de144fp-13, 0x1.01b39dd0ddcap-13, 0x1.f77b58a7e82e3p-14, 0x1.ebaf62f8578dp-14, 0x1.e00200a0ac4a4p-14, 0x1.d471f34f6736fp-14, 0x1.c8fe16fd28a02p-14, 0x1.bda560a160eb1p-14, 0x1.b266dcf26b205p-14, 0x1.a741af3084e37p-14, 0x1.9c350ffb9372ap-14, 0x1.91404c334ed0bp-14, 0x1.8662c3e1a0a9ep-14, 0x1.7b9be92ee6f6ap-14, 0x1.70eb3f5fe142p-14, 0x1.665059dd0337fp-14, 0x1.5bcadb42ec5adp-14, 0x1.515a747bc9f6fp-14, 0x1.46fee3e1607fcp-14, 0x1.3cb7f46784d99p-14, 0x1.32857ccec6843p-14, 0x1.28675edf13b38p-14, 0x1.1e5d86aa1bb6cp-14, 0x1.1467e9d539d01p-14, 0x1.0a8686eab0a5p-14, 0x1.00b964b200f5cp-14, 0x1.ee01231e4f6fdp-15, 0x1.dab845d11ce44p-15, 0x1.c7986926fb204p-15, 0x1.b4a1d08dbb68ap-15, 0x1.a1d4ca283261bp-15, 0x1.8f31adcbd726ap-15, 0x1.7cb8dc09eba8fp-15, 0x1.6a6abd43ca2e7p-15, 0x1.5847c0ca0510cp-15, 0x1.46505c0600d43p-15, 0x1.348509adb3903p-15, 0x1.22e649013897dp-15, 0x1.11749d11e5285p-15, 0x1.00308c1292756p-15, 0x1.de353d619a2c8p-16, 0x1.bc66beed3ff17p-16, 0x1.9af6b46964242p-16, 0x1.79e636e8dcc68p-16, 0x1.59365fe3dead1p-16, 0x1.38e8483ad9f05p-16, 0x1.18fd0747cbf79p-16, 0x1.f2eb63fb1d8eep-17, 0x1.b4a6b4294c0fcp-17, 0x1.772e1a8a0d3ccp-17, 0x1.3a83a918d332ap-17, 0x1.fd52ce02d0249p-18, 0x1.87429eb7ef7e2p-18, 0x1.12da9fff05f87p-18, 0x1.403d21a77876cp-19, 0x1.78908bc67cb9bp-21, -0x1.011d799a884aap-20, -0x1.5bd4c2df0c377p-19, -0x1.19d3be2a76881p-18, -0x1.840060740cd8bp-18, -0x1.ec6d5acb51ad7p-18, -0x1.298bf3bfd79d5p-17, -0x1.5bfeb4dfe0179p-17, -0x1.8d8db74528dc6p-17, -0x1.be37d6c160309p-17, -0x1.edfc04d511a44p-17, -0x1.0e6ca47f934c9p-16, -0x1.2567607ff2b42p-16, -0x1.3bedd088094adp-16, -0x1.51ff9a065ae24p-16, -0x1.679c6dcbff2f2p-16, -0x1.7cc40817f2803p-16, -0x1.9176309d7c555p-16, -0x1.a5b2ba85e915ep-16, -0x1.b979846dd8799p-16, -0x1.ccca785e553d4p-16, -0x1.dfa58bc1f4d4dp-16, -0x1.f20abf562c7f2p-16, -0x1.01fd0f8c8bc5ep-15, -0x1.0ab9e119efe86p-15, -0x1.133be570fd053p-15, -0x1.1b83332aaf3f1p-15, -0x1.238fe64bfea4dp-15, -0x1.2b62203541fe5p-15, -0x1.32fa0790576ddp-15, -0x1.3a57c83da826cp-15, -0x1.417b934012665p-15, -0x1.48659ea7d9056p-15, -0x1.4f16257ca1494p-15, -0x1.558d67a693d9fp-15, -0x1.5bcba9d6b78f1p-15, -0x1.61d1356e89af2p-15, -0x1.679e5866f3b12p-15, -0x1.6d3365369ff17p-15, -0x1.7290b2b7c2f91p-15, -0x1.77b69c0d67bedp-15, -0x1.7ca580884789bp-15, -0x1.815dc38b41fcap-15, -0x1.85dfcc6f79433p-15, -0x1.8a2c066823a92p-15, -0x1.8e42e0661f3a8p-15, -0x1.9224ccfb4c768p-15, -0x1.95d2423dc1041p-15, -0x1.994bb9aad65fdp-15, -0x1.9c91b00a2514cp-15, -0x1.9fa4a5506d954p-15, -0x1.a2851c827fa33p-15, -0x1.a5339b9820a36p-15, -0x1.a7b0ab5f005a1p-15, -0x1.a9fcd75dbbb4fp-15, -0x1.ac18adb6fe34ep-15, -0x1.ae04bf0cbda46p-15, -0x1.afc19e63a10adp-15, -0x1.b14fe10691c63p-15, -0x1.b2b01e6a80e36p-15, -0x1.b3e2f01262815p-15, -0x1.b4e8f17366736p-15, -0x1.b5c2bfd975b58p-15, -0x1.b670fa4bf1719p-15, -0x1.b6f44172c201dp-15, -0x1.b74d377bafce2p-15, -0x1.b77c800012fecp-15, -0x1.b782bfead5531p-15, -0x1.b7609d5ed14a3p-15, -0x1.b716bf9d89ebep-15, -0x1.b6a5ceee437d3p-15, -0x1.b60e74857e906p-15, -0x1.b5515a6cd5cd4p-15, -0x1.b46f2b6b43206p-15, -0x1.b36892edcae06p-15, -0x1.b23e3cf0958efp-15, -0x1.b0f0d5e871018p-15, -0x1.af810aacbf0ffp-15, -0x1.adef8861d732dp-15, -0x1.ac3cfc63d0f9p-15, -0x1.aa6a1431c4aa5p-15, -0x1.a8777d597a858p-15, -0x1.a665e5638b7c6p-15, -0x1.a435f9bff81c6p-15, -0x1.a1e867b32d5ap-15, -0x1.9f7ddc438157p-15, -0x1.9cf7042720906p-15, -0x1.9a548bb2713a1p-15, -0x1.97971ec6e702cp-15, -0x1.94bf68c24d614p-15, -0x1.91ce146e83027p-15, -0x1.8ec3cbf1a8df4p-15, -0x1.8ba138bec4405p-15, -0x1.88670386d0cecp-15, -0x1.8515d42a464cp-15, -0x1.81ae51ab0d9d9p-15, -0x1.7e31221ee5899p-15, -0x1.7a9eeaa238f0ap-15, -0x1.76f84f4b5e988p-15, -0x1.733df31e4cf9cp-15, -0x1.6f707800b34b1p-15, -0x1.6b907eae83522p-15, -0x1.679ea6aee3537p-15, -0x1.639b8e4988da9p-15, -0x1.5f87d27c7cb6bp-15, -0x1.5b640ef244347p-15, -0x1.5730ddf86ff1ep-15, -0x1.52eed8769105p-15, -0x1.4e9e95e58f692p-15, -0x1.4a40ac4760427p-15, -0x1.45d5b01f1f35fp-15, -0x1.415e3469856e2p-15, -0x1.3cdaca95bcdb8p-15, -0x1.384c027e90c57p-15, -0x1.33b26a63f7b56p-15, -0x1.2f0e8ee4f6035p-15, -0x1.2a60faf9d95fdp-15, -0x1.25aa37eec850cp-15, -0x1.20eacd5ea5fcfp-15, -0x1.1c23412e4afe2p-15, -0x1.175417880cbf1p-15, -0x1.127dd2d795309p-15, -0x1.0da0f3c60a7b5p-15, -0x1.08bdf9367f789p-15, -0x1.03d56042b311ap-15, -0x1.fdcf48702c7c5p-16, -0x1.f3ea7d2a3590ep-16, -0x1.e9fd4e0d92198p-16, -0x1.e008a6cd30063p-16, -0x1.d60d6f7117ce2p-16, -0x1.cc0c8c5325af5p-16, -0x1.c206de1c4a66ap-16, -0x1.b7fd41c23fea9p-16, -0x1.adf09085bfdadp-16, -0x1.a3e19ff12eaaap-16, -0x1.99d141d7b67ccp-16, -0x1.8fc04454da545p-16, -0x1.85af71cc6ee09p-16, -0x1.7b9f90eb0521cp-16, -0x1.719164a6b87f1p-16, -0x1.6785ac4063e6fp-16, -0x1.5d7d234538ef6p-16, -0x1.53788190b4a29p-16, -0x1.49787b4ef5932p-16, -0x1.3f7dc0ff62a44p-16, -0x1.3588ff77b542ap-16, }}, 
      {{-0x1.db7abe4d366f5p-1, -0x1.db650564a7909p-1, -0x1.db407dfdb3b72p-1, -0x1.db0cbae5aa8ap-1, -0x1.dac935f231f8ap-1, -0x1.da755851a4c75p-1, -0x1.da108160039bep-1, -0x1.d99a0c3cbfc1p-1, -0x1.d9115453eea15p-1, -0x1.d875b9057e47ap-1, -0x1.d7c6a08e408d4p-1, -0x1.d7037a5111726p-1, -0x1.d62bc099a5d61p-1, -0x1.d53ef9eea228bp-1, -0x1.d43cba054af3cp-1, -0x1.d324a2665387ep-1, -0x1.d1f662d0f8ffbp-1, -0x1.d0b1b9679bcc6p-1, -0x1.cf5672af5546ap-1, -0x1.cde4696aa3635p-1, -0x1.cc5b865603d2cp-1, -0x1.cabbbfcc599ecp-1, -0x1.c90519580d45dp-1, -0x1.c737a335213fdp-1, -0x1.c55379c7c7c71p-1, -0x1.c358c50a83083p-1, -0x1.c147b7f656747p-1, -0x1.bf208fe7327cep-1, -0x1.bce393fe6767ep-1, -0x1.ba9114849d726p-1, -0x1.b8296a4c95b65p-1, -0x1.b5acf617b9f6p-1, -0x1.b31c1ffd53e72p-1, -0x1.b07756d51e1c2p-1, -0x1.adbf0fa5b6e31p-1, -0x1.aaf3c5176691fp-1, -0x1.a815f6eb8db22p-1, -0x1.a5262978f8d53p-1, -0x1.a224e52d48098p-1, -0x1.9f12b61386141p-1, -0x1.9bf02b5ffdf27p-1, -0x1.98bdd701562p-1, -0x1.957c4d36e9424p-1, -0x1.922c242c50cd8p-1, -0x1.8ecdf39a10427p-1, -0x1.8b62546b45bf6p-1, -0x1.87e9e06845f3bp-1, -0x1.846531e60320fp-1, -0x1.80d4e37a1ae16p-1, -0x1.7d398fb3690ecp-1, -0x1.7993d0d6f8dd7p-1, -0x1.75e440a12d3eep-1, -0x1.722b780af84e5p-1, -0x1.6e6a0f12fdef2p-1, -0x1.6aa09c8a74f91p-1, -0x1.66cfb5e5a4a44p-1, -0x1.62f7ef0fd2e35p-1, -0x1.5f19da4282059p-1, -0x1.5b3607dfd5642p-1, -0x1.574d064ff8285p-1, -0x1.535f61e1652e9p-1, -0x1.4f6da4abeb852p-1, -0x1.4b7856764da98p-1, -0x1.477ffc9e5bd9bp-1, -0x1.43851a036a3f5p-1, -0x1.3f882ef303bb5p-1, -0x1.3b89b917bbd9dp-1, -0x1.378a336a05c3dp-1, -0x1.338a1622f0f4bp-1, -0x1.2f89d6b0b7e82p-1, -0x1.2b89e7ad00a6fp-1, -0x1.278ab8d4bb9eep-1, -0x1.238cb7018a91p-1, -0x1.1f904c249418fp-1, -0x1.1b95df42b5f28p-1, -0x1.179dd471faf1bp-1, -0x1.13a88cd846d28p-1, -0x1.0fb666ab21014p-1, -0x1.0bc7bd309082p-1, -0x1.07dce8c0f52aep-1, -0x1.03f63ec9cf06dp-1, -0x1.001411d165234p-1, -0x1.f86d62f6793bcp-2, -0x1.f0bcd51aa26a6p-2, -0x1.e9170dec06fafp-2, -0x1.e17c9ba55dbccp-2, -0x1.d9ee06edb5315p-2, -0x1.d26bd2e7f92efp-2, -0x1.caf67d4381b7p-2, -0x1.c38e7e4d95e3cp-2, -0x1.bc344903d3f97p-2, -0x1.b4e84b2764378p-2, -0x1.adaaed50eb6b2p-2, -0x1.a67c930525f31p-2, -0x1.9f5d9aca1f56ap-2, -0x1.984e5e3cf4659p-2, -0x1.914f3228123ffp-2, -0x1.8a606699e3c2p-2, -0x1.838246fbe0227p-2, -0x1.7cb51a29eb5e8p-2, -0x1.75f9228a04eedp-2, -0x1.6f4e9e242d764p-2, -0x1.68b5c6ba81a83p-2, -0x1.622ed1e17e155p-2, -0x1.5bb9f1185d5c6p-2, -0x1.555751e1919edp-2, -0x1.4f071ddb448edp-2, -0x1.48c97ad7df67fp-2, -0x1.429e8af68f628p-2, -0x1.3c866cbbbf998p-2, -0x1.36813b297e447p-2, -0x1.308f0dd7d13a7p-2, -0x1.2aaff90ce4a38p-2, -0x1.24e40dd51ca1dp-2, -0x1.1f2b5a1afb00dp-2, -0x1.1985e8bed6b5bp-2, -0x1.13f3c1ae63e0ep-2, -0x1.0e74e9fc00dfdp-2, -0x1.090963f5cc656p-2, -0x1.03b12f3c7c3d2p-2, -0x1.fcd891b3dfc67p-3, -0x1.f27556aefd00cp-3, -0x1.e8389da801742p-3, -0x1.de22523310899p-3, -0x1.d4325b65a3f17p-3, -0x1.ca689c00bfe1ap-3, -0x1.c0c4f29a938cap-3, -0x1.b74739c765475p-3, -0x1.adef4841de97bp-3, -0x1.a4bcf1129ce8ap-3, -0x1.9bb003b723073p-3, -0x1.92c84c48083c7p-3, -0x1.8a05939e7a1dbp-3, -0x1.81679f790686ap-3, -0x1.78ee329faf7f5p-3, -0x1.70990d073e7f5p-3, -0x1.6867ebf3e6e4p-3, -0x1.605a8a1b2986fp-3, -0x1.58709fc4f6dp-3, -0x1.50a9e2ec237fdp-3, -0x1.4906075e11681p-3, -0x1.4184bed9abbc7p-3, -0x1.3a25b92d9d7a4p-3, -0x1.32e8a455d1bbfp-3, -0x1.2bcd2c983d16ap-3, -0x1.24d2fca0e655dp-3, -0x1.1df9bd9d42cf8p-3, -0x1.17411756cf729p-3, -0x1.10a8b04d0010ep-3, -0x1.0a302dce6fca4p-3, -0x1.03d734116cf9ep-3, -0x1.fb3acc978903ap-4, -0x1.ef04cd93d83cbp-4, -0x1.e30bae0aed4a9p-4, -0x1.d74eaf75cb159p-4, -0x1.cbcd11fd88a3ep-4, -0x1.c08614a45ce9cp-4, -0x1.b578f56d40335p-4, -0x1.aaa4f182627d4p-4, -0x1.a009455a51cafp-4, -0x1.95a52cdbe676fp-4, -0x1.8b77e3810580fp-4, -0x1.8180a4781f28ep-4, -0x1.77beaac48d07fp-4, -0x1.6e31315dc4093p-4, -0x1.64d7734d644a6p-4, -0x1.5bb0abcc2bfe6p-4, -0x1.52bc165dd04eep-4, -0x1.49f8eeebc6172p-4, -0x1.416671def9f19p-4, -0x1.3903dc388170ep-4, -0x1.30d06ba9490a7p-4, -0x1.28cb5ea8c3f8dp-4, -0x1.20f3f48aa3301p-4, -0x1.19496d939a9aep-4, -0x1.11cb0b0d36353p-4, -0x1.0a780f58c9935p-4, -0x1.034fbe01797aap-4, -0x1.f8a2b79ad272ep-5, -0x1.eaf85d9c1d764p-5, -0x1.dd9efcdf67b7p-5, -0x1.d09527104fecbp-5, -0x1.c3d970c954a4ep-5, -0x1.b76a71ae1f624p-5, -0x1.ab46c4844f857p-5, -0x1.9f6d074ad7a4bp-5, -0x1.93dbdb4feadcbp-5, -0x1.8891e5458dcdbp-5, -0x1.7d8dcd54d19adp-5, -0x1.72ce3f2fbf40ep-5, -0x1.6851ea22058fcp-5, -0x1.5e17812068053p-5, -0x1.541dbad6ffc52p-5, -0x1.4a6351b65830bp-5, -0x1.40e703ff67752p-5, -0x1.37a793ce78e39p-5, -0x1.2ea3c7250532fp-5, -0x1.25da67f289348p-5, -0x1.1d4a441c636e7p-5, -0x1.14f22d84bb6aep-5, -0x1.0cd0fa107f682p-5, -0x1.04e583ac81347p-5, -0x1.fa5d50a36b74bp-6, -0x1.eb5694114500ap-6, -0x1.dcb49dd80265fp-6, -0x1.ce7542553b9a1p-6, -0x1.c0965e10f050dp-6, -0x1.b315d5be616cfp-6, -0x1.a5f1963b8f85dp-6, -0x1.9927948f67a7bp-6, -0x1.8cb5cde6adca1p-6, -0x1.809a478fb964ap-6, -0x1.74d30ef5036dap-6, -0x1.695e39969adf8p-6, -0x1.5e39e50292c4p-6, -0x1.536436cc5e83dp-6, -0x1.48db5c8349831p-6, -0x1.3e9d8ba7f386dp-6, -0x1.34a901a0f67a3p-6, -0x1.2afc03aeb647fp-6, -0x1.2194dede6069bp-6, -0x1.1871e7fc30483p-6, -0x1.0f917b84fca6cp-6, -0x1.06f1fd97173fp-6, -0x1.fd23b3c512358p-7, -0x1.ecdf07316ddf2p-7, -0x1.dd12eab6e6376p-7, -0x1.cdbc62570fa71p-7, -0x1.bed880ad86b2cp-7, -0x1.b06466cb17c08p-7, -0x1.a25d441002df6p-7, -0x1.94c056057beecp-7, -0x1.878ae8365eb42p-7, -0x1.7aba54073a0dbp-7, -0x1.6e4c008db513ep-7, -0x1.623d62675ad2cp-7, -0x1.568bfb8fdee7fp-7, -0x1.4b355b36eeb95p-7, -0x1.40371d95819cep-7, -0x1.358eebc2d8ec3p-7, -0x1.2b3a7b8917ceep-7, -0x1.21378f39969efp-7, -0x1.1783f580f1c2cp-7, -0x1.0e1d893adfabep-7, -0x1.05023145d9605p-7, -0x1.f85fc0ad3b70ap-8, -0x1.e749299732e48p-8, -0x1.d6bcb100788e4p-8, -0x1.c6b6814088495p-8, -0x1.b732daf60b2dfp-8, -0x1.a82e14ad75e73p-8, -0x1.99a49a87bef5fp-8, -0x1.8b92ede13ee48p-8, -0x1.7df5a4f8c75d4p-8, -0x1.70c96a96fb8eep-8, -0x1.640afdb5fb516p-8, -0x1.57b7312967cd8p-8, -0x1.4bcaeb46d0016p-8, -0x1.4043258e8fd47p-8, -0x1.351cec552b953p-8, -0x1.2a555e6d3099ep-8, -0x1.1fe9acd1a5fecp-8, -0x1.15d71a5115ab6p-8, -0x1.0c1afb3935c92p-8, -0x1.02b2b50339b37p-8, -0x1.f3377c01a99ap-9, -0x1.e1a73a13e1d24p-9, -0x1.d0afd2564cba9p-9, -0x1.c04c92a9e4b24p-9, -0x1.b078e81777223p-9, -0x1.a1305e3143b49p-9, -0x1.926e9e7645b4p-9, -0x1.842f6fb72e535p-9, -0x1.766eb57d169f2p-9, -0x1.69286f71f33bbp-9, -0x1.5c58b8cad2602p-9, -0x1.4ffbc7b3e2ef9p-9, -0x1.440decbe56236p-9, -0x1.388b92501bc6p-9, -0x1.2d713c1577df6p-9, -0x1.22bb867482b53p-9, -0x1.186726028bce1p-9, -0x1.0e70e6fb6b3a1p-9, -0x1.04d5acbabaeedp-9, -0x1.f724e26e0ed5ap-10, -0x1.e54888fdd79a6p-10, -0x1.d41098704ca9p-10, -0x1.c377864136466p-10, -0x1.b377f122a596ap-10, -0x1.a40ca006d6214p-10, -0x1.9530812df3c11p-10, -0x1.86dea937d943ap-10, -0x1.79125239a5f2bp-10, -0x1.6bc6dad7462bap-10, -0x1.5ef7c560d9a2p-10, -0x1.52a0b6f3f98cdp-10, -0x1.46bd76a0db5dfp-10, -0x1.3b49ec934ca35p-10, -0x1.3042213f7a8f2p-10, -0x1.25a23c9292a8fp-10, -0x1.1b66852720837p-10, -0x1.118b5f7d2bd5fp-10, -0x1.080d4d361c9c4p-10, -0x1.fdd1d8a8846f6p-11, -0x1.ec35ecfc29fa7p-11, -0x1.db40808a20265p-11, -0x1.caeb70e05ca0cp-11, -0x1.bb30ce93ee667p-11, -0x1.ac0adbe42edd2p-11, -0x1.9d740b64f64abp-11, -0x1.8f66feafc0f7p-11, -0x1.81de851bb1d6p-11, -0x1.74d59a7c60eefp-11, -0x1.684765e7601cfp-11, -0x1.5c2f388063ebcp-11, -0x1.50888c4bf9249p-11, -0x1.454f0308b748bp-11, -0x1.3a7e650ed4f45p-11, -0x1.3012a0360f859p-11, -0x1.2607c6c1c9a9cp-11, -0x1.1c5a0e5352a01p-11, -0x1.1305cee23925bp-11, -0x1.0a0781ba9a825p-11, -0x1.015bc0815394ep-11, -0x1.f1fe887bfc145p-12, -0x1.e1ddc8d54da42p-12, -0x1.d24f2c124529ep-12, -0x1.c34cd57bde172p-12, -0x1.b4d11fe10c687p-12, -0x1.a6d69be220f5cp-12, -0x1.99580e46bb04ep-12, -0x1.8c506e5e1b6f1p-12, -0x1.7fbae469b05dep-12, -0x1.7392c811a407cp-12, -0x1.67d39ee34fcc3p-12, -0x1.5c791ad957ca4p-12, -0x1.517f18ed51aa5p-12, -0x1.46e19fb2bfaadp-12, -0x1.3c9cddfb3c5abp-12, -0x1.32ad2983a5eb3p-12, -0x1.290efdaa225e5p-12, -0x1.1fbefa2ccdba9p-12, -0x1.16b9e1f0ee3dbp-12, -0x1.0dfc99d27d035p-12, -0x1.0584277bde321p-12, -0x1.fa9b608b3cb3fp-13, -0x1.eaacf03c19dc3p-13, -0x1.db37c0f10e89bp-13, -0x1.cc36ce88a3c73p-13, -0x1.bda54bd5a7e77p-13, -0x1.af7ea0aa1efecp-13, -0x1.a1be67f05e8fdp-13, -0x1.94606dd200a6fp-13, -0x1.8760adec77727p-13, -0x1.7abb5192d45b2p-13, -0x1.6e6cae1c9be24p-13, -0x1.6271434144fd6p-13, -0x1.56c5b98023fc9p-13, -0x1.4b66e09479d3bp-13, -0x1.4051adf56350cp-13, -0x1.35833b615acb1p-13, -0x1.2af8c575138a8p-13, -0x1.20afaa4d6171ep-13, -0x1.16a56833f1799p-13, -0x1.0cd79c568aeb1p-13, -0x1.03440188a1864p-13, -0x1.f3d0de1ddf345p-14, -0x1.e185aee9c9747p-14, -0x1.cfa28ed73c9bfp-14, -0x1.be23c9647647dp-14, -0x1.ad05da0e908f6p-14, -0x1.9c456a4608e8p-14, -0x1.8bdf4f74ae5afp-14, -0x1.7bd08914548fdp-14, -0x1.6c163ed5fd21ap-14, -0x1.5cadbed8ffcd1p-14, -0x1.4d947bf1c6a6ap-14, -0x1.3ec80bffb77afp-14, -0x1.30462651e2c4p-14, -0x1.220ca21a13804p-14, -0x1.141974eddd059p-14, -0x1.066ab15545e4cp-14, -0x1.f1fd0acd61243p-15, -0x1.d7a672df4a756p-15, -0x1.bdce5d54405dcp-15, -0x1.a471bbfc18dbap-15, -0x1.8b8dad9d25e8p-15, -0x1.731f7ba5cdc7p-15, -0x1.5b2497f47b46ep-15, -0x1.439a9ab539b5bp-15, -0x1.2c7f405464275p-15, -0x1.15d06785c025ep-15, -0x1.ff181ebeebb42p-16, -0x1.d360ab107fdbap-16, -0x1.a876e8f0a0c5p-16, -0x1.7e578398940a8p-16, -0x1.54ff59539d365p-16, -0x1.2c6b786a1efbdp-16, -0x1.04991c2db8df8p-16, -0x1.bb0b544ac46ddp-17, -0x1.6e5d5eb0e722ap-17, -0x1.2323bb6f5f54fp-17, -0x1.b2b4268d4086ap-18, -0x1.21f89e34aa327p-18, -0x1.281a4db01ac93p-19, -0x1.1d4f0295aa6fap-23, 0x1.fdd9406770e77p-20, 0x1.051bb53320c8dp-18, 0x1.880be3ac6279dp-18, 0x1.04265c07a26b9p-17, 0x1.42f1e2dfe9507p-17, 0x1.806b2eb6727d6p-17, 0x1.bc94c996ee0e3p-17, 0x1.f771222851f2p-17, 0x1.18814736ae4d1p-16, 0x1.34a5a7300189cp-16, 0x1.5026c7348e2ep-16, 0x1.6b05b4dac8d3bp-16, 0x1.85437635304p-16, 0x1.9ee10adc524cap-16, 0x1.b7df6ce96bfccp-16, 0x1.d03f91e23e38ep-16, 0x1.e8026b96a18c4p-16, 0x1.ff28e8f06e0adp-16, 0x1.0ad9fb5b194cfp-15, 0x1.15d24020a9199p-15, 0x1.207db813fbc66p-15, 0x1.2adcd86db1dd6p-15, 0x1.34f0169d89817p-15, 0x1.3eb7e88e9425fp-15, 0x1.4834c4e649393p-15, 0x1.5167233eb1ecbp-15, 0x1.5a4f7c5bda6c3p-15, 0x1.62ee4a5cc50acp-15, 0x1.6b4408e80fad2p-15, 0x1.73513554798f2p-15, 0x1.7b164ecd7a644p-15, 0x1.8293d6741bd2fp-15, 0x1.89ca4f7c3c8fep-15, 0x1.90ba3f466a7f9p-15, 0x1.97642d767e045p-15, 0x1.9dc8a4071ed3cp-15, 0x1.a3e82f5a55feap-15, 0x1.a9c35e4758674p-15, 0x1.af5ac225a78d2p-15, 0x1.b4aeeed5b1c1ep-15, 0x1.b9c07ac70f50fp-15, 0x1.be8ffefc80469p-15, 0x1.c31e170dc6373p-15, 0x1.c76b61277fdbdp-15, 0x1.cb787e091b69p-15, 0x1.cf4611010293p-15, 0x1.d2d4bfe718071p-15, 0x1.d6253315a1021p-15, 0x1.d9381560b60b4p-15, 0x1.dc0e140c523d7p-15, 0x1.dea7dec117192p-15, 0x1.e106277fded0ap-15, 0x1.e329a2942eb55p-15, 0x1.e5130685a2fe7p-15, 0x1.e6c30c08647c6p-15, 0x1.e83a6decbb50ep-15, 0x1.e979e90dd5ba7p-15, 0x1.ea823c3fcf34p-15, 0x1.eb54283d0a47ep-15, 0x1.ebf06f92f19f4p-15, 0x1.ec57d68e29517p-15, 0x1.ec8b2326432cep-15, 0x1.ec8b1ce9051d8p-15, 0x1.ec588ce54b6a3p-15, 0x1.ebf43d9598cc9p-15, 0x1.eb5efaca5b984p-15, 0x1.ea999193f8e0fp-15, 0x1.e9a4d02ca4767p-15, 0x1.e88185e2130d5p-15, 0x1.e73082ff12192p-15, 0x1.e5b298b50a662p-15, 0x1.e40899057bd9ap-15, 0x1.e23356ab76ad7p-15, 0x1.e033a5051fd5ap-15, 0x1.de0a57fd42039p-15, 0x1.dbb843f4f7e08p-15, 0x1.d93e3dad7544ap-15, 0x1.d69d1a31f3044p-15, 0x1.d3d5aec1c937bp-15, 0x1.d0e8d0bab859p-15, 0x1.cdd755836b4edp-15, 0x1.caa2127632c07p-15, 0x1.c749dccc04de2p-15, 0x1.c3cf8987bfd1p-15, 0x1.c033ed61b6beep-15, 0x1.bc77dcb38db5ap-15, 0x1.b89c2b6464d9ap-15, 0x1.b4a1acd55a0cdp-15, 0x1.b08933ce6221fp-15, 0x1.ac53926b7c229p-15, 0x1.a8019a0a4242p-15, 0x1.a3941b37db023p-15, 0x1.9f0be59f4d112p-15, 0x1.9a69c7f8346cdp-15, 0x1.95ae8ff5e0039p-15, 0x1.90db0a36d602cp-15, 0x1.8bf00234be779p-15, 0x1.86ee4234bc2fap-15, 0x1.81d693382a7b6p-15, 0x1.7ca9bcedcd259p-15, 0x1.776885a36662p-15, 0x1.7213b237c0065p-15, 0x1.6cac060d1b156p-15, 0x1.673242fc12f1dp-15, 0x1.61a72946ea7d1p-15, 0x1.5c0b778d488aep-15, 0x1.565feac0606aap-15, 0x1.50a53e178968cp-15, 0x1.4adc2b0540f5bp-15, 0x1.4505692c9cd8dp-15, 0x1.3f21ae572412bp-15, 0x1.3931ae6b1884p-15, 0x1.33361b6227fbcp-15, 0x1.2d2fa5408679cp-15, 0x1.271efa0c742acp-15, 0x1.2104c5c628a2dp-15, 0x1.1ae1b26026927p-15, 0x1.14b667b7f45e6p-15, 0x1.0e838b8f3a507p-15, 0x1.0849c18543245p-15, 0x1.0209ab10e0055p-15, 0x1.f787cef55a342p-16, 0x1.eaf227af6b15ap-16, 0x1.de539608e9af7p-16, 0x1.d1ad4b406d299p-16, 0x1.c5007411a351bp-16, 0x1.b84e38ad76334p-16, 0x1.ab97bcb2e8b5cp-16, 0x1.9ede1f289a681p-16, 0x1.92227a76fa64bp-16, 0x1.8565e46322d43p-16, 0x1.78a96e0a523d1p-16, 0x1.6bee23de0a9p-16, 0x1.5f350da0ce01dp-16, 0x1.527f2e6374a92p-16, 0x1.45cd8483196d7p-16, 0x1.392109a799f66p-16, 0x1.2c7ab2c2aa521p-16, 0x1.1fdb700f7184dp-16, 0x1.13442d12b1e34p-16, 0x1.06b5d09b782bfp-16, 0x1.f46279889738fp-17, 0x1.db6e9de9c3c8fp-17, 0x1.c291bfc8956bdp-17, 0x1.a9cd87372ffcap-17, 0x1.912392f1eff4p-17, 0x1.789578668dc98p-17, 0x1.6024c3bc18103p-17, 0x1.47d2f7dbc77a8p-17, 0x1.2fa18e7aa5217p-17, 0x1.1791f823fb474p-17, 0x1.ff4b388915a32p-18, 0x1.cfbbb26cfe484p-18, 0x1.a078089c349bcp-18, 0x1.7182d3ce253cap-18, 0x1.42de9ae53a55ap-18, 0x1.148dd30c39d0dp-18, 0x1.cd25bfa9ca6a6p-19, 0x1.71e026af973cap-19, 0x1.174f5caa8928ep-19, 0x1.7aef815e2344dp-20, 0x1.91763eaed266ep-21, 0x1.809c962cd1fabp-24, -0x1.2e391b087bd88p-21, -0x1.44b034f0529ebp-20, -0x1.f0a9be6618665p-20, -0x1.4d80fe5e6d602p-19, -0x1.a1d901bdee0d4p-19, -0x1.f559931a465b2p-19, -0x1.23ffbdf675d7ap-18, -0x1.4ce3d28525a82p-18, -0x1.75578b255e802p-18, -0x1.9d597b1915edbp-18, -0x1.c4e844cb4d78ep-18, -0x1.ec0299a2c6d82p-18, -0x1.09539cea197d4p-17, -0x1.1c6a7a19f427p-17, -0x1.2f45530391472p-17, -0x1.41e39d6a6e46p-17, -0x1.5444d61b21d0ap-17, -0x1.666880d36c8p-17, -0x1.784e282a177f1p-17, -0x1.89f55d76ba8b1p-17, -0x1.9b5db8b957babp-17, -0x1.ac86d881db995p-17, -0x1.bd7061d77effp-17, -0x1.ce1a002020428p-17, -0x1.de83650772a02p-17, -0x1.eeac486634d5fp-17, -0x1.fe946829497b5p-17, -0x1.071dc41c68652p-16, -0x1.0ed0b92f99471p-16, -0x1.1662fb1816eb1p-16, -0x1.1dd47477f000ep-16, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      40, 0x1.d99999999999ap+1, 0x1.bb07213b9780dp+1, 0x1.9c81d48b8a861p+1, -0x1.1cda990ce89c8p-6, 
      {{
        {0x1.b333333333333p+0, 0x1.cp+0, 0x1.addf47385bc24p-5, -0x1.ef343a0729d3dp-3, 0x1.ac7e95907e947p-2, -0x1.50910abe687f9p-2}, 
        {0x1.cp+0, 0x1.ccccccccccccdp+0, 0x1.531090425448cp-5, -0x1.9e8db9b75c516p-3, 0x1.7a026d8d88814p-2, -0x1.36bb430f36de1p-2}, 
        {0x1.ccccccccccccdp+0, 0x1.d99999999999ap+0, 0x1.0767479b9bcaap-5, -0x1.579cd94aa4665p-3, 0x1.4b6656b1a6acbp-2, -0x1.20c444d33e6e9p-2}, 
        {0x1.d99999999999ap+0, 0x1.e666666666666p+0, 0x1.920a4e0fa8e89p-6, -0x1.19aa0b8b8f857p-3, 0x1.2015b2c52a1cp-2, -0x1.09c3b74bb0f3bp-2}, 
        {0x1.e666666666666p+0, 0x1.f333333333333p+0, 0x1.2c5dcdaad5b22p-6, -0x1.c8114847f7593p-4, 0x1.f070ae8d38bc3p-3, -0x1.e6153afe7890bp-3}, 
        {0x1.f333333333333p+0, 0x1p+1, 0x1.b530f77657cabp-7, -0x1.6c121abc56c52p-4, 0x1.a78718e70d0cbp-3, -0x1.b87a8823f8bfap-3}, 
        {0x1p+1, 0x1.0666666666666p+1, 0x1.339f86115c884p-7, -0x1.1df8ec46fd02dp-4, 0x1.6574b7ae74897p-3, -0x1.8af2ead99a307p-3}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.9d7c2dc3d17ap-8, -0x1.b8cf9101ec31dp-5, 0x1.2a36ae0dd09c1p-3, -0x1.5d47769055c3p-3}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.039ee79caa40ep-8, -0x1.4c00f557c448p-5, 0x1.eba4b889ede36p-4, -0x1.301848b27da85p-3}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.228983a0902aap-9, -0x1.e5988683123aap-6, 0x1.906a3c5461cafp-4, -0x1.011bd825e1deap-3}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.f919c6c016b06p-11, -0x1.54db38c9fdc8p-6, 0x1.43484849046e2p-4, -0x1.bc4a81853a272p-4}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.c093f730d5da7p-14, -0x1.c1be87337b82bp-7, 0x1.00a381a83bb55p-4, -0x1.8e68d986e5becp-4}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, -0x1.c7f2573556a95p-12, -0x1.0c567e726e02ep-7, 0x1.89c12874cc184p-5, -0x1.5ced2eca94515p-4}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, -0x1.8139c87a39073p-11, -0x1.078b15580d197p-8, 0x1.21139a6b39327p-5, -0x1.2c6831f16575p-4}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, -0x1.c13281cfa3488p-11, -0x1.1152d120cccbfp-10, 0x1.8de8b078cf1f6p-6, -0x1.f745009353d1ep-5}, 
        {0x1.399999999999ap+1, 0x1.4p+1, -0x1.c0b91c1116748p-11, 0x1.e5179c6ae976ap-11, 0x1.eddb2d66058bfp-7, -0x1.95d1e7f1fbbbp-5}, 
        {0x1.4p+1, 0x1.4666666666666p+1, -0x1.97f5f613d64d8p-11, 0x1.0e1dfc267fa7cp-9, 0x1.f4ba77a9a9d2cp-8, -0x1.347f0e3542552p-5}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, -0x1.5a64090c3e00cp-11, 0x1.4d3e4593f5d1dp-9, 0x1.0510cd39e7a8ep-9, -0x1.a525dc6fda9bep-6}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, -0x1.16d0e88dc021ap-11, 0x1.4e14b864f5a0cp-9, -0x1.e89fa9cbd6f6ep-10, -0x1.cbaea161ace4ep-7}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, -0x1.aeb98515cd65fp-12, 0x1.27dbfa6c5136dp-9, -0x1.040f814376684p-8, -0x1.594808463aa6ap-10}, 
        {0x1.599999999999ap+1, 0x1.6p+1, -0x1.42f4beaaa628p-12, 0x1.e51ad070529f5p-10, -0x1.110234c6189b6p-8, 0x1.25fb5432a9682p-8}, 
        {0x1.6p+1, 0x1.6666666666666p+1, -0x1.d888f16d4315dp-13, 0x1.80b882f9a4e76p-10, -0x1.c9d29d1697fe5p-9, 0x1.bb1481869a5d5p-9}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, -0x1.5012c93488f19p-13, 0x1.2bcd6a9ed30fep-10, -0x1.875c56759a709p-9, 0x1.b1d779b5a3accp-9}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, -0x1.cde0da126f9d8p-14, 0x1.c81366f2c6dacp-11, -0x1.4648d100c1e3p-9, 0x1.8441e00b5fda3p-9}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, -0x1.2fff6bb9884a8p-14, 0x1.5135b11bc66acp-11, -0x1.0c0bbc32404f5p-9, 0x1.60696eb88dd4ep-9}, 
        {0x1.799999999999ap+1, 0x1.8p+1, -0x1.7a4bb4cff3d4bp-15, 0x1.e120a4392473dp-12, -0x1.ae5e3d9389449p-10, 0x1.39f4ede1425fbp-9}, 
        {0x1.8p+1, 0x1.8666666666666p+1, -0x1.b38669385e618p-16, 0x1.47d1522f7bc51p-12, -0x1.502e5c9cc2286p-10, 0x1.143382c46a723p-9}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, -0x1.bd4806174c155p-17, 0x1.a3d5a769c5264p-13, -0x1.faa4379077a63p-11, 0x1.dc83a0847c37cp-10}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, -0x1.6db44442cee78p-18, 0x1.eb89a646e78f7p-14, -0x1.6bafedcf1f2e4p-11, 0x1.90bc4b35df5d9p-10}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, -0x1.301f1d950dfe2p-20, 0x1.f15a3407a9e22p-15, -0x1.e6eee1b11ebefp-12, 0x1.44e545dafb7d1p-10}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.bb2eedbc979p-21, 0x1.738fc452ce7a2p-16, -0x1.23feeafa87d94p-12, 0x1.f261e1f6f484bp-11}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.6bdc2fd7afdp-20, 0x1.7fae8fd3a0bf6p-20, -0x1.1cf64e60e3642p-13, 0x1.5a031475625fcp-11}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.3a004732b6682p-20, -0x1.e3c96c2c9b42dp-18, -0x1.356b6ed03b143p-15, 0x1.8a6eea0eabe63p-12}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.9a395a3b658p-21, -0x1.0eff4e1427865p-17, 0x1.47ccedb5f338fp-16, 0x1.18aa086da53fbp-14}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.c0482066c85a5p-22, -0x1.7931d5a9694b2p-18, 0x1.f032f2c48991cp-16, -0x1.3024caf50d3cdp-14}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.b05ed9b877c17p-23, -0x1.ae6cb36b48fbap-19, 0x1.39b678fe4e6c3p-16, -0x1.61bf9899f77ddp-15}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.6232aafbe0adap-24, -0x1.bbcef2d545a6ep-20, 0x1.9f2d3006a1f42p-17, -0x1.378505c55afdep-15}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.c0482066c862bp-26, -0x1.74dd20b6fb8a6p-21, 0x1.c8878c53a385dp-18, -0x1.b0422be1f3e51p-16}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.6232aafbe0bdp-28, -0x1.bd8766d2292c5p-23, 0x1.8a594a64ef28ep-19, -0x1.e44cbe8091e4bp-17}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.6232aafbe12p-32, -0x1.784726a63cb5cp-26, 0x1.9f13605f2b5p-21, -0x1.48bc6bd54b39cp-16}, 
      }}, 
      0x1.39b1531f91edfp-12, -0x1.e6d640d3f5a85p-10
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_p_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.9e80cea7e999dp-3, -0x1.7c54eacdbfbe9p-3, -0x1.457582e36c504p-3, -0x1.f8c0066f1cf33p-4, -0x1.47c6dea74c182p-4, -0x1.f7370386a9102p-6, 0x1.7de7d9924320bp-6, 0x1.4aad584582979p-4, 0x1.1f6b7235faabdp-3, 0x1.9bbfb85a97ce2p-3, 0x1.0c2db9819b6acp-2, 0x1.49c41e11ffd74p-2, 0x1.85e913d49ae92p-2, 0x1.c000216402435p-2, 0x1.f788ce1cf84a3p-2, 0x1.160e2136b36eap-1, 0x1.2eb50d46e1cbdp-1, 0x1.459acd4167239p-1, 0x1.5aaa0267196e4p-1, 0x1.6dd5030b702bp-1, 0x1.7f1481b1f4b24p-1, 0x1.8e66ac39379c2p-1, 0x1.9bceabd0ea851p-1, 0x1.a753b926c9d4dp-1, 0x1.b10093ec0a19bp-1, 0x1.b8e2df11b0fcdp-1, 0x1.bf09772605a82p-1, 0x1.c386246d8c99p-1, 0x1.c66ba6823a998p-1, 0x1.c7cdd1e29e396p-1, 0x1.c7c15fa9133f4p-1, 0x1.c65b830e21399p-1, 0x1.c3b19b1377342p-1, 0x1.bfd9176edd7b7p-1, 0x1.bae7586796ecfp-1, 0x1.b4f17c93d6b6ap-1, 0x1.ae0c3f68706aap-1, 0x1.a64bef5123c42p-1, 0x1.9dc45e74be6bap-1, 0x1.9488c06e57726p-1, 0x1.8aab86e97e31ap-1, 0x1.803e51bcf94cep-1, 0x1.7551f33fdf8f5p-1, 0x1.69f67b7e3e83bp-1, 0x1.5e3b3dfbce964p-1, 0x1.522ecdf29a133p-1, 0x1.45def4567e9ffp-1, 0x1.3958a63b44747p-1, 0x1.2ca80160c641cp-1, 0x1.1fd8511a2d2ap-1, 0x1.12f419b8cf944p-1, 0x1.0605260ba338bp-1, 0x1.f22924e14b92p-2, 0x1.d855a666f00e3p-2, 0x1.bea1727f7e28dp-2, 0x1.a5177cd224096p-2, 0x1.8bc5c499dbed8p-2, 0x1.72b835ee77e24p-2, 0x1.59f99916ba99ep-2, 0x1.4193949d9f2e7p-2, 0x1.298ebc9c852e3p-2, 0x1.11f2ac18d5c98p-2, 0x1.f58c4257f41f9p-3, 0x1.c81e2a0f4540ap-3, 0x1.9ba5989e2453fp-3, 0x1.702bc09268479p-3, 0x1.45b8883db327ep-3, 0x1.1c5293b248d47p-3, 0x1.e7fea636357a4p-4, 0x1.99862ccb3795cp-4, 0x1.4d4248444adcep-4, 0x1.0337a0beb57b3p-4, 0x1.76d243f02724bp-5, 0x1.d76074b723b5dp-6, 0x1.94232d96cbfb9p-7, -0x1.d27295fcad661p-9, -0x1.35caab0d59e56p-6, -0x1.1439c20fb990fp-5, -0x1.892e92da9b3ccp-5, -0x1.f9cfca61f721ep-5, -0x1.331588a305804p-4, -0x1.6727c1fbacf6ap-4, -0x1.9926c38169c08p-4, -0x1.c91b5080543b4p-4, -0x1.f70eac408981fp-4, -0x1.118545228fc49p-3, -0x1.268c7fbbf501fp-3, -0x1.3aa23a200367ep-3, -0x1.4dcbcbd63ef6cp-3, -0x1.600ea9e7f85b6p-3, -0x1.7170619dcde1p-3, -0x1.81f693ac19b2cp-3, -0x1.91a6efa1e011dp-3, -0x1.a0872f7208514p-3, -0x1.ae9d12fe38834p-3, -0x1.bbee5b9e19141p-3, -0x1.c880c7ae8222cp-3, -0x1.d45a0e3f462b1p-3, -0x1.df7fdafb392f8p-3, -0x1.e9f7ca6684272p-3, -0x1.f3c7668bebe28p-3, -0x1.fcf4242c6800ap-3, -0x1.02c1b03edc4b8p-2, -0x1.06bd2fbea6f9p-2, -0x1.0a6f256a87a21p-2, -0x1.0dda18a37b7b3p-2, -0x1.11008345d045p-2, -0x1.13e4d1c3ad14dp-2, -0x1.168963595a771p-2, -0x1.18f08a485c985p-2, -0x1.1b19d3e171226p-2, -0x1.1d0d134d57ef9p-2, -0x1.1ec9bcd46ebf1p-2, -0x1.2051eaaac0e8fp-2, -0x1.21a7a7cc90835p-2, -0x1.22ccf02d65833p-2, -0x1.23c3b0ec13e6cp-2, -0x1.248dc88f6e01bp-2, -0x1.252d074e29dfap-2, -0x1.25a32f620f49ep-2, -0x1.25f1f563a9e96p-2, -0x1.261b00a97d7ddp-2, -0x1.261feba48b1acp-2, -0x1.26024434337f6p-2, -0x1.25c38becf1d85p-2, -0x1.2565384fc5a5cp-2, -0x1.24e8b2f2c3d6bp-2, -0x1.244f599db9e4p-2, -0x1.239a7e5f91614p-2, -0x1.22cb67a208819p-2, -0x1.21e350413bdb2p-2, -0x1.20e367ab9f9b1p-2, -0x1.1fccd20d8d737p-2, -0x1.1ea0a889cf749p-2, -0x1.1d5ff97eeb221p-2, -0x1.1c0bc8d76fad2p-2, -0x1.1aa510629cc15p-2, -0x1.192cc0322fda1p-2, -0x1.17a3befa299c3p-2, -0x1.160aea6fc2b82p-2, -0x1.146317a586b82p-2, -0x1.12ad136351eacp-2, -0x1.10e9a279cf03p-2, -0x1.0f198211b6678p-2, -0x1.0d3d67f79205cp-2, -0x1.0b5602e4f013bp-2, -0x1.0963fac7f7f66p-2, -0x1.0767f10a159f4p-2, -0x1.056280d6197e4p-2, -0x1.03543f5dd726dp-2, -0x1.013dbc1eef877p-2, -0x1.fe3f024c77749p-3, -0x1.f9f426a23078ap-3, -0x1.f59be517b40cbp-3, -0x1.f137341969a0cp-3, -0x1.ecc701150e27cp-3, -0x1.e84c30de5fc3ep-3, -0x1.e3c7a00a88a91p-3, -0x1.df3a234276f38p-3, -0x1.daa4878cae2dfp-3, -0x1.d607928f6e704p-3, -0x1.d16402cc56df2p-3, -0x1.ccba8fd6bcb12p-3, -0x1.c80bea85ffb3bp-3, -0x1.c358bd2508401p-3, -0x1.bea1aba000321p-3, -0x1.b9e753b10cc76p-3, -0x1.b52a4d0cb6b1cp-3, -0x1.b06b298e568f3p-3, -0x1.abaa7564c8a14p-3, -0x1.a6e8b73f75d74p-3, -0x1.a226707baa3fep-3, -0x1.9d641d522c92ap-3, -0x1.98a23504ec97ap-3, -0x1.93e12a0cb7b77p-3, -0x1.8f216a46c5f68p-3, -0x1.8a635f2203351p-3, -0x1.85a76dcbe99a9p-3, -0x1.80edf75cc678bp-3, -0x1.7c3759033be85p-3, -0x1.7783ec2ecc1bep-3, -0x1.72d406b936fd3p-3, -0x1.6e27fb0e86e79p-3, -0x1.6980185390adp-3, -0x1.64dcaa8abe722p-3, -0x1.603dfab712043p-3, -0x1.5ba44efd33928p-3, -0x1.570feac28cc82p-3, -0x1.52810eca62358p-3, -0x1.4df7f950e8652p-3, -0x1.4974e6246b79cp-3, -0x1.44f80ebc7ec98p-3, -0x1.4081aa4f5dcb3p-3, -0x1.3c11ede58723ap-3, -0x1.37a90c6ba8b04p-3, -0x1.334736c2ffbfp-3, -0x1.2eec9bd047d67p-3, -0x1.2a9968894d2abp-3, -0x1.264dc8015a297p-3, -0x1.2209e37482c0bp-3, -0x1.1dcde252084ebp-3, -0x1.1999ea45eb588p-3, -0x1.156e1f41ce354p-3, -0x1.114aa38543f37p-3, -0x1.0d2f97a5b22bbp-3, -0x1.091d1a95d3d44p-3, -0x1.051349acfda0cp-3, -0x1.011240ae311f9p-3, -0x1.fa34339e3576ap-4, -0x1.f255db7df53f5p-4, -0x1.ea89a75b2083ap-4, -0x1.e2cfc2a411191p-4, -0x1.db2855e3eef73p-4, -0x1.d39386d0ca22p-4, -0x1.cc117859cd35bp-4, -0x1.c4a24ab5a67b9p-4, -0x1.bd461b70ff11bp-4, -0x1.b5fd057d2354bp-4, -0x1.aec7213ecaf41p-4, -0x1.a7a4849ce64d9p-4, -0x1.a095430f9b482p-4, -0x1.99996daf3259fp-4, -0x1.92b1f05d1f3ffp-4, -0x1.8bdd2ee214e4bp-4, -0x1.851bfc0749dbfp-4, -0x1.7e6e6016c4c2ap-4, -0x1.77d4613d75cc9p-4, -0x1.714e039a7bc07p-4, -0x1.6adb494eb16eap-4, -0x1.647c328c62e9dp-4, -0x1.5e30bda7096f1p-4, -0x1.57f8e722f7a6p-4, -0x1.51d4a9c4d0bffp-4, -0x1.4bc3fea0bfbaap-4, -0x1.45c6dd294e95fp-4, -0x1.3fdd3b3dd8bb6p-4, -0x1.3a070d38818cap-4, -0x1.344445fbaf45ap-4, -0x1.2e94d6feff1d2p-4, -0x1.28f8b05bb492ep-4, -0x1.236fc0d8a175ap-4, -0x1.1df9f5f58e034p-4, -0x1.18973bf6247cp-4, -0x1.13477dec68f3dp-4, -0x1.0e0aa5c2c5798p-4, -0x1.08e09c45b54f6p-4, -0x1.03c9492d1b855p-4, -0x1.fd89264a92b4cp-5, -0x1.f3a4bfaf8f26bp-5, -0x1.e9e527e7ca778p-5, -0x1.e04a266e347e6p-5, -0x1.d6d380ea86431p-5, -0x1.cd80fb417fbadp-5, -0x1.c45257a4f2da8p-5, -0x1.bb4756a3ae4a9p-5, -0x1.b25fb73948161p-5, -0x1.a99b36ddd33dap-5, -0x1.a0f9919582febp-5, -0x1.987a82003d90fp-5, -0x1.901dc1691eb52p-5, -0x1.87e307d5e95fap-5, -0x1.7fca0c1664fbbp-5, -0x1.77d283d3a5eb9p-5, -0x1.6ffc239f36b92p-5, -0x1.68469f02273c4p-5, -0x1.60b1a88bf1894p-5, -0x1.593cf1e139934p-5, -0x1.51e82bca5b8cfp-5, -0x1.4ab30641c473bp-5, -0x1.439d3082184b1p-5, -0x1.3ca6591414c9ep-5, -0x1.35ce2ddc37dd5p-5, -0x1.2f145c2820dbep-5, -0x1.287890bbaaa58p-5, -0x1.21fa77ddbc3afp-5, -0x1.1b99bd64d2f6cp-5, -0x1.15560cc337a07p-5, -0x1.0f2f1112f1b49p-5, -0x1.0924752162b6dp-5, -0x1.0335e37a9c33cp-5, -0x1.fac60ce8c78f4p-6, -0x1.ef571071db397p-6, -0x1.e41e25a2924e3p-6, -0x1.d91aa05f08af9p-6, -0x1.ce4bd4710e122p-6, -0x1.c3b1159b46f2ep-6, -0x1.b949b7abc2ecep-6, -0x1.af150e8e0a8b2p-6, -0x1.a5126e5ca3e2p-6, -0x1.9b412b7216628p-6, -0x1.91a09a7960889p-6, -0x1.8830107e01df3p-6, -0x1.7eeee2fb76df7p-6, -0x1.75dc67ec4167ep-6, -0x1.6cf7f5d87fe9p-6, -0x1.6440e3e3fcc17p-6, -0x1.5bb689dbdd331p-6, -0x1.53584043ccc0ap-6, -0x1.4b256062c6bb8p-6, -0x1.431d444f63442p-6, -0x1.3b3f46fbbcd93p-6, -0x1.338ac440eaf0fp-6, -0x1.2bff18ea065a3p-6, -0x1.249ba2bed38adp-6, -0x1.1d5fc08df3e62p-6, -0x1.164ad236b96b3p-6, -0x1.0f5c38b28f6dep-6, -0x1.0893561df90ddp-6, -0x1.01ef8dc1386bep-6, -0x1.f6e088310bf9p-7, -0x1.ea29bdb7d7561p-7, -0x1.ddb98a0d83645p-7, -0x1.d18ebdbd869d3p-7, -0x1.c5a82bf5aaac8p-7, -0x1.ba04aa92cc23dp-7, -0x1.aea3122cea429p-7, -0x1.a3823e2289a23p-7, -0x1.98a10ca369c76p-7, -0x1.8dfe5eba9a41fp-7, -0x1.83991857c95c7p-7, -0x1.79702058239d2p-7, -0x1.6f82608e65cc7p-7, -0x1.65cec5ca71ba2p-7, -0x1.5c543fe03a203p-7, -0x1.5311c1ae2ba2p-7, -0x1.4a064122f82c8p-7, -0x1.4130b742d88cfp-7, -0x1.3890202c48315p-7, -0x1.30237b1c3ffd9p-7, -0x1.27e9ca71de335p-7, -0x1.1fe213b1a4a79p-7, -0x1.180b5f882aeffp-7, -0x1.1064b9cc59ebfp-7, -0x1.08ed31813b134p-7, -0x1.01a3d8d74ebc1p-7, -0x1.f50f8a5ae73cep-8, -0x1.e7301e22b5981p-8, -0x1.d9a7a47f3f81ep-8, -0x1.cc745b46d8f9dp-8, -0x1.bf9486ab78295p-8, -0x1.b30671388cda7p-8, -0x1.a6c86bcff6791p-8, -0x1.9ad8cda65e236p-8, -0x1.8f35f43ec4193p-8, -0x1.83de43657f4dcp-8, -0x1.78d0252a6b8f1p-8, -0x1.6e0a09daa4d58p-8, -0x1.638a67f97369p-8, -0x1.594fbc38c0f5fp-8, -0x1.4f588970ec112p-8, -0x1.45a3589806451p-8, -0x1.3c2eb8b8a7293p-8, -0x1.32f93ee8152e6p-8, -0x1.2a01863c0ddffp-8, -0x1.21462fbffbc65p-8, -0x1.18c5e269d8b0bp-8, -0x1.107f4b0e7fe1ap-8, -0x1.08711c55b9943p-8, -0x1.009a0eadbbbe1p-8, -0x1.f1f1c07ce629fp-9, -0x1.e318a9b8c50ebp-9, -0x1.d4a66bf652f4ap-9, -0x1.c698a53f87e36p-9, -0x1.b8ecfea51514bp-9, -0x1.aba12c2198004p-9, -0x1.9eb2ec7cc7c5dp-9, -0x1.9220092dbaa7cp-9, -0x1.85e6563d0adf8p-9, -0x1.7a03b22663725p-9, -0x1.6e7605b9ff837p-9, -0x1.633b43fd93e7fp-9, -0x1.58516a0d1ed4dp-9, -0x1.4db67efb5fbb6p-9, -0x1.436893b25045cp-9, -0x1.3965c2d32d4c9p-9, -0x1.2fac30968a7eap-9, -0x1.263a0aac281c6p-9, -0x1.1d0d881ae207cp-9, -0x1.1424e9206d4adp-9, -0x1.0b7e7710f0762p-9, -0x1.03188436f070ap-9, -0x1.f5e2d765fc754p-10, -0x1.e60f22b6f0c9ap-10, -0x1.d6b2c338bbf58p-10, -0x1.c7caa2ae908b1p-10, -0x1.b953bb86d7bf6p-10, -0x1.ab4b189b33925p-10, -0x1.9dadd4f16b26ep-10, -0x1.90791b7bd5a03p-10, -0x1.83aa26da978a6p-10, -0x1.773e411d188e7p-10, -0x1.6b32c383c6d66p-10, -0x1.5f8516424b07dp-10, -0x1.5432b041f24a9p-10, -0x1.493916e4e7789p-10, -0x1.3e95ddc982d34p-10, -0x1.3446a68e2d368p-10, -0x1.2a492095c4c6bp-10, -0x1.209b08cc2ea74p-10, -0x1.173a296c058c4p-10, -0x1.0e2459c426845p-10, -0x1.05577dfdf853p-10, -0x1.f9a30dc8d54d8p-11, -0x1.e920e35628177p-11, -0x1.d9248f6c682dap-11, -0x1.c9aa3cc5e901ep-11, -0x1.baae2da0e4a91p-11, -0x1.ac2cbb520de45p-11, -0x1.9e2255d8b6cf5p-11, -0x1.908b8373e4e61p-11, -0x1.8364e0389135p-11, -0x1.76ab1da8bdc79p-11, -0x1.6a5b024bb5e73p-11, -0x1.5e716947cd628p-11, -0x1.52eb41fcbe218p-11, -0x1.47c58f9f5b8c9p-11, -0x1.3cfd68d674246p-11, -0x1.328ff7589df6fp-11, -0x1.287a778b109e9p-11, -0x1.1eba382265a4fp-11, -0x1.154c99c33c12ep-11, -0x1.0c2f0ea52505p-11, -0x1.035f1a35bffd5p-11, -0x1.f5b4a17ba92p-12, -0x1.e53cae0e0ad3p-12, -0x1.d551c405630a7p-12, -0x1.c5ef6ce4c3df1p-12, -0x1.b71151221497fp-12, -0x1.a8b3377a6f326p-12, -0x1.9ad1044abe6f6p-12, -0x1.8d66b8e87fe78p-12, -0x1.807072fe679e4p-12, -0x1.73ea6beac9fe8p-12, -0x1.67d0f8207a8b2p-12, -0x1.5c20868a7c099p-12, -0x1.50d59ff1d536p-12, -0x1.45ece6659e463p-12, -0x1.3b6314a58e617p-12, -0x1.3134fd9098fb3p-12, -0x1.275f8b93a0578p-12, -0x1.1ddfc01bae226p-12, -0x1.14b2b30b99539p-12, -0x1.0bd59233128f6p-12, -0x1.0345a0c8818e3p-12, -0x1.f6006dcb31f04p-13, -0x1.e605820c157adp-13, -0x1.d799338f032ep-13, -0x1.c8abcd0ce1f24p-13, -0x1.ba3ef8dd4c625p-13, -0x1.ac4e3c3868084p-13, -0x1.9ed53fddb97b4p-13, -0x1.91cfcf284eeacp-13, -0x1.8539d72621ec4p-13, -0x1.790f65b870518p-13, -0x1.6d4ca8b5c63ddp-13, -0x1.61eded12ee8b8p-13, -0x1.56ef9e0f62819p-13, -0x1.4c4e4468bf602p-13, -0x1.42068591f22f1p-13, -0x1.381522ebc2d4ap-13, -0x1.2e76f908d21d5p-13, -0x1.2528feef6eb8cp-13, -0x1.1c2845635ebe6p-13, -0x1.1371f6314dd41p-13, -0x1.0b0353815c315p-13, -0x1.02d9b72ab925ap-13, -0x1.f5e5241a6514p-14, -0x1.e696d6da4f93p-14, -0x1.d7c3c0a7932f1p-14, -0x1.c96745e5ed60cp-14, -0x1.bb7cf418c58cp-14, -0x1.ae0080b8bfbcbp-14, -0x1.a0edc80f726cfp-14, -0x1.9440cc1b0c7edp-14, -0x1.87f5b375229ecp-14, -0x1.7c08c844f4cfdp-14, -0x1.707677331ef65p-14, -0x1.653b4e62e6639p-14, -0x1.5a53fc79330b2p-14, -0x1.4fbd4f9f5909ap-14, -0x1.45743491350cep-14, -0x1.3b75b5afdac5p-14, -0x1.31befa186cb3ep-14, -0x1.284d44c2cd233p-14, -0x1.1f1df3a3988dp-14, -0x1.162e7ed3d472ep-14, -0x1.0d7c77bde4be3p-14, -0x1.0505884f8026bp-14, -0x1.f98ee46182bp-15, -0x1.e9801bff8cae9p-15, -0x1.d9da951fdcc8ep-15, -0x1.ca9a5865126a4p-15, -0x1.bbbb97f612d15p-15, -0x1.ad3aae26577f5p-15, -0x1.9f141c146e874p-15, -0x1.9144885ca0befp-15, -0x1.83c8bdcb2e03p-15, -0x1.769daa2196573p-15, -0x1.69c05cda21061p-15, -0x1.5d2e05faf6b38p-15, -0x1.50e3f4ef2500cp-15, -0x1.44df975c141aap-15, -0x1.391e781b5db88p-15, -0x1.2d9e3e202e9abp-15, -0x1.225cab6bf1d6ep-15, -0x1.17579c13802p-15, -0x1.0c8d05410289bp-15, -0x1.01faf4418fefcp-15, -0x1.ef3f1b328dde4p-16, -0x1.daf2183b8b9f8p-16, -0x1.c70b802cb601ap-16, -0x1.b3881ccc26668p-16, -0x1.a064df6f1a1d1p-16, -0x1.8d9edf66b78dcp-16, -0x1.7b335870da8b7p-16, -0x1.691fa9431dda7p-16, -0x1.5761520ab8bfcp-16, -0x1.45f5f30d176bfp-16, -0x1.34db4b4a2f45ep-16, -0x1.240f372c2c2e4p-16, -0x1.138faf3c9d0bap-16, -0x1.035ac6ef2a2fdp-16, -0x1.e6dd56deaa7a7p-17, -0x1.c79344d200c2bp-17, -0x1.a8d4120cbfdb9p-17, -0x1.8a9ca58bc37fdp-17, -0x1.6cea10ed9f912p-17, -0x1.4fb98e6b452fdp-17, -0x1.33087eebb648ep-17, -0x1.16d4681a90348p-17, -0x1.f635e538923f2p-18, -0x1.bfb3d0a1c0a4fp-18, -0x1.8a1e6533f7ad3p-18, -0x1.5571b1a54314dp-18, -0x1.21a9fd21a1f33p-18, -0x1.dd878946af0cbp-19, -0x1.79776fcf77da6p-19, -0x1.171d6d400406ep-19, -0x1.6ce736b93676dp-20, -0x1.5dd1a58fba82ep-21, 0x1.795a409fe368cp-25, 0x1.867b42e38e7e9p-21, 0x1.7778f71df7727p-20, 0x1.1442d4baf3a9ep-19, 0x1.6b36091fb284fp-19, 0x1.c09a0b2d9351dp-19, 0x1.0a394ba01ae0bp-18, 0x1.33619b6c2211ap-18, 0x1.5bc7a222047ecp-18, 0x1.836cf710f24a5p-18, 0x1.aa531d546677bp-18, 0x1.d07b8564704f8p-18, 0x1.f5e78e8378c6cp-18, 0x1.0d4c441eb5604p-17, 0x1.1f47d9d9c550fp-17, 0x1.30e7227c2d2b5p-17, 0x1.422ab2136d675p-17, 0x1.5313176068cedp-17, 0x1.63a0dc55437e4p-17, 0x1.73d486a0fb91ep-17, 0x1.83ae982fe7b9dp-17, 0x1.932f8fa5964b1p-17, 0x1.a257e8d214c36p-17, 0x1.b1281d16738e3p-17, 0x1.bfa0a3df175dp-17, 0x1.cdc1f2e62f655p-17, 0x1.db8c7ebaa8ab2p-17, 0x1.e900bae68ce51p-17, 0x1.f61f1a62f191cp-17, 0x1.017407ecff9e6p-16, 0x1.07ae06f5674a2p-16, 0x1.0dbdc3b49f89bp-16, 0x1.13a377d28919p-16, 0x1.195f5d528af37p-16, 0x1.1ef1aea80ead7p-16, 0x1.245aa6d4694c2p-16, 0x1.299a81780dfcep-16, 0x1.2eb17af8d2505p-16, 0x1.339fd07eea7dcp-16, 0x1.3865c00f72fa5p-16, 0x1.3d03889d18d7p-16, 0x1.41796a1dd4996p-16, 0x1.45c7a58aee8eap-16, 0x1.49ee7cf661027p-16, 0x1.4dee338ab5a8bp-16, 0x1.51c70da0d9ae4p-16, 0x1.557950c0b7ed8p-16, 0x1.590543a5a0a15p-16, 0x1.5c6b2e493bb72p-16, 0x1.5fab59e37eb8cp-16, 0x1.62c610f1a20f4p-16, 0x1.65bb9f30ac898p-16, 0x1.688c51a8b9fccp-16, 0x1.6b3876b348a2ep-16, 0x1.6dc05de0a11a5p-16, 0x1.7024580ef0e2dp-16, 0x1.7264b75e739f2p-16, 0x1.7481cf33236dcp-16, 0x1.767bf42c679b9p-16, 0x1.78537c278f778p-16, }}, 
      {{-0x1.a63d74e1afcf8p-3, -0x1.9ab5576d04acdp-3, -0x1.87eec337f273ap-3, -0x1.6e774450eaedbp-3, -0x1.4ef4c6c815b8cp-3, -0x1.2a19b60c460fcp-3, -0x1.009c5c3950777p-3, -0x1.a661afa4609efp-4, -0x1.4509d61adbb4p-4, -0x1.bcf4cdc885653p-5, -0x1.cf9ab559e85fep-6, -0x1.9a7ebbbf192d8p-10, 0x1.a3e5b9e026272p-6, 0x1.b2b42de5691c6p-5, 0x1.49e718753e41dp-4, 0x1.b9e6f4e757fbfp-4, 0x1.145b23d59636ap-3, 0x1.4ae339c390596p-3, 0x1.804e0eaa66927p-3, 0x1.b466c1cfb45d3p-3, 0x1.e7007eb9eeb13p-3, 0x1.0bfae8a3c933cp-2, 0x1.2393fd77438d3p-2, 0x1.3a3f14e44344bp-2, 0x1.4ff27e12237e8p-2, 0x1.64a6f5f44771bp-2, 0x1.78573c1dd3f8dp-2, 0x1.8b003aaa5fa68p-2, 0x1.9ca05f6052e88p-2, 0x1.ad37a6616ec8bp-2, 0x1.bcc75ddb34a72p-2, 0x1.cb51f7d70aa76p-2, 0x1.d8dae506274b4p-2, 0x1.e566739d924e6p-2, 0x1.f0f9af5ab4969p-2, 0x1.fb9a437d05e06p-2, 0x1.02a730a460861p-1, 0x1.070e55003aap-1, 0x1.0b060c60afa48p-1, 0x1.0e91f696a4a03p-1, 0x1.11b5cd349e3c8p-1, 0x1.14755d13413f1p-1, 0x1.16d4804da5a6dp-1, 0x1.18d718179fa16p-1, 0x1.1a8106ec1df28p-1, 0x1.1bd62b7a49d83p-1, 0x1.1cda5c4fbeb19p-1, 0x1.1d91643d5008cp-1, 0x1.1dfeff831b267p-1, 0x1.1e26d9a89f9b1p-1, 0x1.1e0c8bbac0fe5p-1, 0x1.1db39aa8e1255p-1, 0x1.1d1f7598468d2p-1, 0x1.1c5374310ff63p-1, 0x1.1b530be4cf131p-1, 0x1.1a20f3c21be66p-1, 0x1.18c06b2137317p-1, 0x1.17346284b0b5dp-1, 0x1.157faf2d2e73bp-1, 0x1.13a50b347e017p-1, 0x1.11a7160de6dfep-1, 0x1.0f88552402306p-1, 0x1.0d4b345060769p-1, 0x1.0af20612cb785p-1, 0x1.087f03a171061p-1, 0x1.05f44d0835478p-1, 0x1.0353e985707c1p-1, 0x1.009fc830264dap-1, 0x1.fbb381a041ad8p-2, 0x1.f607297ea92d5p-2, 0x1.f03ddf65bb415p-2, 0x1.ea5ad0beccfe1p-2, 0x1.e461020516507p-2, 0x1.de534fcc0b3ddp-2, 0x1.d8346fdf4eaa8p-2, 0x1.d206f28d55d66p-2, 0x1.cbcd44160db5ap-2, 0x1.c589ae27598e9p-2, 0x1.bf3e594f1d60cp-2, 0x1.b8ed4e52abb96p-2, 0x1.b29877685667ap-2, 0x1.ac41a15afaa81p-2, 0x1.a5ea7ca4da23ep-2, 0x1.9f949e8e19a52p-2, 0x1.9941825566286p-2, 0x1.92f28a621d91bp-2, 0x1.8ca901797200bp-2, 0x1.86661bed22e9dp-2, 0x1.802af8bb048d6p-2, 0x1.79f8a297a59b9p-2, 0x1.73d010e2a4a93p-2, 0x1.6db228875cf5ep-2, 0x1.679fbccf5d91fp-2, 0x1.6199902d22c1bp-2, 0x1.5ba05504ca9bdp-2, 0x1.55b4ae766ccap-2, 0x1.4fd7312b12bf6p-2, 0x1.4a086422dda3ep-2, 0x1.4448c1810a02fp-2, 0x1.3e98b751e1a57p-2, 0x1.38f8a846e8b15p-2, 0x1.3368ec66b1e8cp-2, 0x1.2de9d1af2a91dp-2, 0x1.287b9caa910bap-2, 0x1.231e88f86e6e3p-2, 0x1.1dd2c9cc96383p-2, 0x1.18988a668d9cbp-2, 0x1.136fee83b254ep-2, 0x1.0e5912ce18fadp-2, 0x1.09540d4985d83p-2, 0x1.0460f0a383c95p-2, 0x1.feff81edfe741p-3, 0x1.f5610bc7848afp-3, 0x1.ebe67e323afd7p-3, 0x1.e28fcf33e959cp-3, 0x1.d95cec24b646ep-3, 0x1.d04dba527130ep-3, 0x1.c762179c13a48p-3, 0x1.be99db0560d7ep-3, 0x1.b5f4d5428c81dp-3, 0x1.ad72d13bc7924p-3, 0x1.a5139488818aep-3, 0x1.9cd6dfe266617p-3, 0x1.94bc6f9044e74p-3, 0x1.8cc3fbc92f83dp-3, 0x1.84ed391072f2dp-3, 0x1.7d37d88b19fbbp-3, 0x1.75a3884fb7bb1p-3, 0x1.6e2ff3b134bbp-3, 0x1.66dcc385621fcp-3, 0x1.5fa99e67c9a86p-3, 0x1.589628f9376b6p-3, 0x1.51a2061c48123p-3, 0x1.4accd72f24ecdp-3, 0x1.44163c4274e55p-3, 0x1.3d7dd44d69b3cp-3, 0x1.37033d5ed353bp-3, 0x1.30a614cb02519p-3, 0x1.2a65f75666776p-3, 0x1.2442815cdbc52p-3, 0x1.1e3b4ef5b043fp-3, 0x1.184ffc148b294p-3, 0x1.128024a77d6cp-3, 0x1.0ccb64b266e49p-3, 0x1.0731586816e19p-3, 0x1.01b19c414ee6dp-3, 0x1.f8979a23d860cp-4, 0x1.edff1038b9d9cp-4, 0x1.e398d647150c2p-4, 0x1.d96428f68a8fbp-4, 0x1.cf60462ea2213p-4, 0x1.c58c6d3253d2ep-4, 0x1.bbe7deb90d5cep-4, 0x1.b271dd0582b84p-4, 0x1.a929abfa510e5p-4, 0x1.a00e912c9568p-4, 0x1.971fd3f4a69e2p-4, 0x1.8e5cbd7ce4fe2p-4, 0x1.85c498ced05ecp-4, 0x1.7d56b2de5f02dp-4, 0x1.75125a93bbd1cp-4, 0x1.6cf6e0d3820f9p-4, 0x1.650398859da36p-4, 0x1.5d37d69afe5cdp-4, 0x1.5592f2124p-4, 0x1.4e1443fb6e7fdp-4, 0x1.46bb277b0ced5p-4, 0x1.3f86f9cc6f794p-4, 0x1.38771a437c949p-4, 0x1.318aea4dd96a5p-4, 0x1.2ac1cd7383fabp-4, 0x1.241b2956e377fp-4, 0x1.1d9665b446cb4p-4, 0x1.1732ec60e00b1p-4, 0x1.10f029493ce08p-4, 0x1.0acd8a6f490f3p-4, 0x1.04ca7fe7e5ad4p-4, 0x1.fdccf7b03cbbep-5, 0x1.f241e4e407e59p-5, 0x1.e6f2b3e26b325p-5, 0x1.dbde552e42c03p-5, 0x1.d103bd4de477dp-5, 0x1.c661e4c27dc43p-5, 0x1.bbf7c7fedab3dp-5, 0x1.b1c4675dbac01p-5, 0x1.a7c6c717af025p-5, 0x1.9dfdef388aa33p-5, 0x1.9468eb949cbfdp-5, 0x1.8b06cbbd9854ap-5, 0x1.81d6a2f76496p-5, 0x1.78d7882cd1d6p-5, 0x1.700895e45682fp-5, 0x1.6768ea34cde79p-5, 0x1.5ef7a6ba4a9fcp-5, 0x1.56b3f08b01addp-5, 0x1.4e9cf02c47dbfp-5, 0x1.46b1d187a872bp-5, 0x1.3ef1c3e008f3dp-5, 0x1.375bf9c6e197ep-5, 0x1.2fefa91174095p-5, 0x1.28ac0ace1bce6p-5, 0x1.21905b39a3fadp-5, 0x1.1a9bd9b499023p-5, 0x1.13cdc8b8b8ccap-5, 0x1.0d256dce66aa9p-5, 0x1.06a211822ec33p-5, 0x1.0042ff5a6007dp-5, 0x1.f40f0b9989875p-6, 0x1.e7ddec68c3b4cp-6, 0x1.dbf1498ec1341p-6, 0x1.d047d11a0ea77p-6, 0x1.c4e036a7a9926p-6, 0x1.b9b9334f6b486p-6, 0x1.aed18590a1985p-6, 0x1.a427f13ee6ccep-6, 0x1.99bb3f6f34158p-6, 0x1.8f8a3e6523c85p-6, 0x1.8593c18072f96p-6, 0x1.7bd6a12abaa9cp-6, 0x1.7251bac56a67p-6, 0x1.6903f097fa831p-6, 0x1.5fec29be63f57p-6, 0x1.57094b086e8f8p-6, 0x1.4e5a4f69d74e8p-6, 0x1.45de287c202a5p-6, 0x1.3d93d00460071p-6, 0x1.357a4448b2bdbp-6, 0x1.2d9088001e344p-6, 0x1.25d5a242993d9p-6, 0x1.1e489e793b487p-6, 0x1.16e88c4eac18dp-6, 0x1.0fb47f9f959cap-6, 0x1.08ab906b6761fp-6, 0x1.01ccdac528d3cp-6, 0x1.f62efd88e455bp-7, 0x1.e91540ed46968p-7, 0x1.dc4acfa059db2p-7, 0x1.cfce013c1fee8p-7, 0x1.c39d34eef62a5p-7, 0x1.b7b6d15f41433p-7, 0x1.ac19448f461dep-7, 0x1.a0c303c1760c4p-7, 0x1.95b28b5d0f7b9p-7, 0x1.8ae65ed2ebabap-7, 0x1.805d0882cf494p-7, 0x1.761519a0fbc59p-7, 0x1.6c0d2a1c08744p-7, 0x1.6243d88317242p-7, 0x1.58b7c9ec6ca4cp-7, 0x1.4f67a9dc3ec68p-7, 0x1.46522a2bd9308p-7, 0x1.3d7602f11c495p-7, 0x1.34d1f266430d8p-7, 0x1.2c64bcd1f3122p-7, 0x1.242d2c6f9645cp-7, 0x1.1c2a1158059e2p-7, 0x1.145a416a7cd12p-7, 0x1.0cbc9835b701dp-7, 0x1.054ff6e185de6p-7, 0x1.fc26883117034p-8, 0x1.ee0ad7e463193p-8, 0x1.e04abfb9fb1f2p-8, 0x1.d2e42d1204518p-8, 0x1.c5d517a581742p-8, 0x1.b91b815c25712p-8, 0x1.acb576230de6dp-8, 0x1.a0a10bc397534p-8, 0x1.94dc61bb04a2dp-8, 0x1.8965a11262b33p-8, 0x1.7e3afc36f0f97p-8, 0x1.735aaed30ebb4p-8, 0x1.68c2fda79cd05p-8, 0x1.5e723665c7406p-8, 0x1.5466af894cb37p-8, 0x1.4a9ec83339d9dp-8, 0x1.4118e805129a4p-8, 0x1.37d37efc6cf77p-8, 0x1.2ecd054f16ba5p-8, 0x1.2603fb475c526p-8, 0x1.1d76e92150b37p-8, 0x1.15245ee7d27d2p-8, 0x1.0d0af452a97bfp-8, 0x1.052948a484ec2p-8, 0x1.fafc0513a610dp-9, 0x1.ec0f9fef84845p-9, 0x1.dd8acc175e3ddp-9, 0x1.cf6b01d68b563p-9, 0x1.c1adc74945498p-9, 0x1.b450b01e80df3p-9, 0x1.a7515d59fc6dap-9, 0x1.9aad7d179da1ep-9, 0x1.8e62ca4f406eep-9, 0x1.826f0c9991631p-9, 0x1.76d017f5754b5p-9, 0x1.6b83cc8e7e7c9p-9, 0x1.6088168410a19p-9, 0x1.55daedb138ad4p-9, 0x1.4b7a55755c696p-9, 0x1.41645c7dabac7p-9, 0x1.37971c8f5b199p-9, 0x1.2e10ba528c42fp-9, 0x1.24cf651e05878p-9, 0x1.1bd156c3e3535p-9, 0x1.1314d35e25589p-9, 0x1.0a98291d5b97ep-9, 0x1.0259b016e872ep-9, 0x1.f4af94287602bp-10, 0x1.e521c4c6c0795p-10, 0x1.d606db4e88759p-10, 0x1.c75bd3531b9a9p-10, 0x1.b91dba5949d24p-10, 0x1.ab49af7d51befp-10, 0x1.9ddce319bbddfp-10, 0x1.90d4966ffda74p-10, 0x1.842e1b5289781p-10, 0x1.77e6d3cf97231p-10, 0x1.6bfc31ddeba9p-10, 0x1.606bb70a6efc2p-10, 0x1.5532f4271928fp-10, 0x1.4a4f88fbcca49p-10, 0x1.3fbf23f799507p-10, 0x1.357f81e3aa35p-10, 0x1.2b8e6d9790442p-10, 0x1.21e9bfae5e864p-10, 0x1.188f5e3da288ep-10, 0x1.0f7d3c8cd1e54p-10, 0x1.06b15ace693fbp-10, 0x1.fc538bb469ed5p-11, 0x1.ebc92dd0f4a75p-11, 0x1.dbbfe69d376b9p-11, 0x1.cc3418795834fp-11, 0x1.bd223cf83f3a6p-11, 0x1.ae86e45f7fc66p-11, 0x1.a05eb529c104p-11, 0x1.92a66b8a31a3p-11, 0x1.855ad8f3b0d7ep-11, 0x1.7878e3a01801ep-11, 0x1.6bfd861bcf6cap-11, 0x1.5fe5ced2758f4p-11, 0x1.542edf9d58debp-11, 0x1.48d5ed53efe21p-11, 0x1.3dd83f5f19121p-11, 0x1.33332f4dd41f7p-11, 0x1.28e4286b71b26p-11, 0x1.1ee8a758b25dep-11, 0x1.153e39a6bca64p-11, 0x1.0be27d72ddeaep-11, 0x1.02d321053147cp-11, 0x1.f41bc4e1938cap-12, 0x1.e3211e6ba9eafp-12, 0x1.d2b207ca5fdaep-12, 0x1.c2ca578b3f38dp-12, 0x1.b36600f835023p-12, 0x1.a481136777d97p-12, 0x1.9617b992b3e16p-12, 0x1.882638eec8f5ap-12, 0x1.7aa8f108d5d3p-12, 0x1.6d9c5ae439985p-12, 0x1.60fd085e757b1p-12, 0x1.54c7a394ecc46p-12, 0x1.48f8ee4cdc424p-12, 0x1.3d8dc1600a092p-12, 0x1.32830c2c1d413p-12, 0x1.27d5d40363315p-12, 0x1.1d8333a2dbd1dp-12, 0x1.13885aaa395ebp-12, 0x1.09e28d15c326dp-12, 0x1.008f22bc9dcdcp-12, 0x1.ef170da24edb7p-13, 0x1.ddaa6ec724c55p-13, 0x1.ccd389cf101a5p-13, 0x1.bc8da377f3297p-13, 0x1.acd423717117ep-13, 0x1.9da2937263e35p-13, 0x1.8ef49e5b4fdap-13, 0x1.80c60f5a8203p-13, 0x1.7312d1184d64p-13, 0x1.65d6ece23f763p-13, 0x1.590e89e13b0a8p-13, 0x1.4cb5ec4f96c72p-13, 0x1.40c974b5fd079p-13, 0x1.35459f2e2a231p-13, 0x1.2a2702a6132eep-13, 0x1.1f6a502a90b06p-13, 0x1.150c5234741b2p-13, 0x1.0b09ebfac30fp-13, 0x1.016018c906864p-13, 0x1.f017d6afe7631p-14, 0x1.de151a5beb13ep-14, 0x1.ccb27bfaae9bep-14, 0x1.bbeaa6166ac58p-14, 0x1.abb86d32ccd6dp-14, 0x1.9c16cea3bccfbp-14, 0x1.8d00ef6edeacp-14, 0x1.7e721b32328e6p-14, 0x1.7065c3123fe16p-14, 0x1.62d77caf05a2fp-14, 0x1.55c3011d4d58ap-14, 0x1.49242bee1cf6p-14, 0x1.3cf6fa2b04014p-14, 0x1.3137897249f5ap-14, 0x1.25e216fc1e436p-14, 0x1.1af2febedda1cp-14, 0x1.1066ba8c05572p-14, 0x1.0639e1323c961p-14, 0x1.f8d24b53cab1bp-15, 0x1.e5e2ac8b180ecp-15, 0x1.d39eb7c2ee08cp-15, 0x1.c20072541b0a7p-15, 0x1.b10213930343cp-15, 0x1.a09e0378e9236p-15, 0x1.90ced92274fc6p-15, 0x1.818f5973ad0d4p-15, 0x1.72da75b575a4fp-15, 0x1.64ab4a46c88dbp-15, 0x1.56fd1d549c8edp-15, 0x1.49cb5d96bb054p-15, 0x1.3d11a10d708ap-15, 0x1.30cba3e9cd107p-15, 0x1.24f5474d95032p-15, 0x1.198a902c71d17p-15, 0x1.0e87a6410d492p-15, 0x1.03e8d2f271ffap-15, 0x1.f3550091a62a8p-16, 0x1.df926fd7a88c9p-16, 0x1.cc8344567dff3p-16, 0x1.ba210a03b160ap-16, 0x1.a86586574dc3ep-16, 0x1.974ab67df5c44p-16, 0x1.86cacd8e2edd3p-16, 0x1.76e032daa7ce3p-16, 0x1.6785803e76153p-16, 0x1.58b5807d5d3p-16, 0x1.4a6b2dc887e32p-16, 0x1.3ca1b01632849p-16, 0x1.2f545bb4576f2p-16, 0x1.227eafe582932p-16, 0x1.161c55529fbf1p-16, 0x1.0a291cd8e397bp-16, 0x1.fd41fc40980d6p-17, 0x1.e7002c9260addp-17, 0x1.d1854d8d3c012p-17, 0x1.bcca2833ea551p-17, 0x1.a8c7c94af00d4p-17, 0x1.95777f1246545p-17, 0x1.82d2d70f91945p-17, 0x1.71503e92498f4p-17, 0x1.5feb7eb06b4eep-17, 0x1.4f206b029fdfdp-17, 0x1.3ee97e7ac639dp-17, 0x1.2f4168c438398p-17, 0x1.20230c87c3565p-17, 0x1.11897d6ffb40dp-17, 0x1.036ffea7e5c74p-17, 0x1.eba4021550ac9p-18, 0x1.d1564345cfbb7p-18, 0x1.b7ee4fdf60132p-18, 0x1.9f64092492d12p-18, 0x1.87af9f6045ce3p-18, 0x1.70c98ef5bb033p-18, 0x1.5aaa9e0372c38p-18, 0x1.454bd96cb6354p-18, 0x1.30a6926708d82p-18, 0x1.1cb45bb7e9633p-18, 0x1.096f07afb426bp-18, 0x1.eda14b1f83ad7p-19, 0x1.c9a6fea265518p-19, 0x1.a6e42ed4add6ap-19, 0x1.854e4de23c25dp-19, 0x1.64db36570f9e7p-19, 0x1.458127ac1afdbp-19, 0x1.2736c256bbb4ap-19, 0x1.09f303fdcd497p-19, 0x1.db5a885051493p-20, 0x1.a4ba60ff407d1p-20, 0x1.6ff59357d0c3cp-20, 0x1.3cfcbfa145864p-20, 0x1.0bc11f49db3b6p-20, 0x1.b868fea0068c8p-21, 0x1.5c927395df8c6p-21, 0x1.03e4610f6afd2p-21, 0x1.5c8b1e41ae24dp-22, 0x1.6e7701ce7c3c1p-23, 0x1.7ab4ecfb39a67p-26, -0x1.04a48c7cd6c3cp-23, -0x1.16e85267e2828p-22, -0x1.a64041cc9bcbcp-22, -0x1.1840f57cd353ap-21, -0x1.5ae9cdd28482cp-21, -0x1.9b2d178ed5e0ap-21, -0x1.d91c8c5aba633p-21, -0x1.0a649d46cb80cp-20, -0x1.2721c62e5ff02p-20, -0x1.42cda77a14d17p-20, -0x1.5d6fdbe13945fp-20, -0x1.770fb62a3d64dp-20, -0x1.8fb444616782bp-20, -0x1.a7645222b2998p-20, -0x1.be266bf07b1d6p-20, -0x1.d400e1cdf04fap-20, -0x1.e8f9c9a74d574p-20, -0x1.fd17033843e1fp-20, -0x1.082f1c164fae4p-19, -0x1.116a6fef37f57p-19, -0x1.1a40210cd0fcap-19, -0x1.22b2bbeace863p-19, -0x1.2ac4b71d54548p-19, -0x1.3278743391237p-19, -0x1.39d0409ba1a3bp-19, -0x1.40ce56d53c177p-19, -0x1.4774de7596c0ep-19, -0x1.4dc5ee363ae92p-19, -0x1.53c38be6667e5p-19, -0x1.596fad7942369p-19, -0x1.5ecc39c7a0d2bp-19, -0x1.63db08edc948bp-19, -0x1.689de57b5e7bep-19, -0x1.6d168cbf25b87p-19, -0x1.7146af78faa98p-19, -0x1.752ff2579d0f6p-19, -0x1.78d3eee4c0db3p-19, -0x1.7c34337fe0533p-19, -0x1.7f524420f20e9p-19, -0x1.822f9b4cf80e7p-19, -0x1.84cda96ca8298p-19, -0x1.872dd657a4679p-19, -0x1.895181340cd15p-19, -0x1.8b3a00f6e2593p-19, -0x1.8ce8a4c504c03p-19, -0x1.8e5eb44f2ddafp-19, -0x1.8f9d702c58294p-19, -0x1.90a6122a9533ep-19, -0x1.9179cd79a82f2p-19, -0x1.9219cf1e4de3fp-19, -0x1.92873e7ebe1b6p-19, -0x1.92c33d1c6bc65p-19, -0x1.92cee703e019cp-19, -0x1.92ab5313fef71p-19, -0x1.9259936254363p-19, -0x1.91dab53b26189p-19, -0x1.912fc1136703fp-19, -0x1.9059bb48369d8p-19, -0x1.8f59a3fee6e49p-19, -0x1.8e307750b2742p-19, -0x1.8cdf2d75348f7p-19, -0x1.8b66bab3ae811p-19, -0x1.89c8104a0c713p-19, -0x1.88041bc7eb93cp-19, -0x1.861bc6eedd84ep-19, -0x1.840ff8c39914bp-19, -0x1.81e19513bc877p-19, -0x1.7f917c88abbfdp-19, -0x1.7d208d02c37bap-19, -0x1.7a8fa16f56e01p-19, -0x1.77df92095f76ap-19, -0x1.75113452ec378p-19, -0x1.72255b376f573p-19, -0x1.6f1cd70be0496p-19, -0x1.6bf875a8a1a0cp-19, -0x1.68b90274d8b16p-19, -0x1.655f467356fd8p-19, -0x1.61ec084e79e2fp-19, -0x1.5e600c61a178ap-19, -0x1.5abc14cbfe00ep-19, -0x1.5700e164108e2p-19, -0x1.532f2fc93e49ap-19, -0x1.4f47bbd4506dfp-19, -0x1.4b4b3e6ecc2f9p-19, -0x1.473a6f203bb52p-19, -0x1.431602e8ed9b8p-19, -0x1.3edeacf3e8596p-19, -0x1.3a951e4d3fe8ap-19, -0x1.363a05d40f002p-19, -0x1.31ce10bfc86fep-19, -0x1.2d51e9e618575p-19, -0x1.28c63a3bb5bc8p-19, -0x1.242ba89389a18p-19, -0x1.1f82da1eafed9p-19, -0x1.1acc71d8e47eap-19, -0x1.160910d9fd3dbp-19, -0x1.113955e3be685p-19, -0x1.0c5dde476e779p-19, -0x1.0777451a7027fp-19, -0x1.028623886d86ap-19, -0x1.fb16219647cb9p-20, -0x1.f10d4459350b1p-20, -0x1.e6f2d5d7051dcp-20, -0x1.dcc7f8d4e8241p-20, -0x1.d28dcc1f0b344p-20, -0x1.c8456a9903e76p-20, -0x1.bdefeb3c3a85bp-20, -0x1.b38e60fe1e171p-20, -0x1.a921dae6f63d9p-20, -0x1.9eab64deb3c5fp-20, -0x1.942c05bc7fcfbp-20, -0x1.89a4c0fee80aep-20, -0x1.7f1696156008fp-20, -0x1.748280db22b34p-20, -0x1.69e9787de6d0dp-20, -0x1.5f4c70f4c5f9bp-20, }}, 
      std::vector<double>(600, 0.0), 
      {{0x1.2d5cc9c5fa9b5p-8, 0x1.947107032543dp-7, 0x1.995aacd959218p-6, 0x1.61ebeb8137b86p-5, 0x1.124af655324f1p-4, 0x1.885f6d07da104p-4, 0x1.0814ba0c9bc01p-3, 0x1.5309716f1b05ap-3, 0x1.a32b23c4b4791p-3, 0x1.f69ef24a5e5cbp-3, 0x1.25d2b9c906da3p-2, 0x1.50542cb99c085p-2, 0x1.7a1f4862f816cp-2, 0x1.a298a62b1da1ap-2, 0x1.c93d0a62e85ep-2, 0x1.eda08550e0835p-2, 0x1.07b67a8801c0fp-1, 0x1.17302485b633fp-1, 0x1.25250aa2179cdp-1, 0x1.3184c3b337c84p-1, 0x1.3c45de2e4a7a8p-1, 0x1.4564f729bcefp-1, 0x1.4ce3c5e6499bp-1, 0x1.52c80b465cde1p-1, 0x1.571b204c7fb59p-1, 0x1.59e987199e23ap-1, 0x1.5b41ddf21399bp-1, 0x1.5b34fe563527p-1, 0x1.59d4f3485c356p-1, 0x1.5734f1f4206a7p-1, 0x1.5368d246bb862p-1, 0x1.4e84dd5bce1fp-1, 0x1.489da43211ef7p-1, 0x1.41c7c008f2e79p-1, 0x1.3a1793ccf1984p-1, 0x1.31a1256727b82p-1, 0x1.2878072b1f859p-1, 0x1.1eaf4245049c3p-1, 0x1.14593e705fe8ep-1, 0x1.0987aa8f4bd4fp-1, 0x1.fc96d577db117p-2, 0x1.e5691f27183fcp-2, 0x1.cda4ad978a12bp-2, 0x1.b5665faff28fdp-2, 0x1.9cc97bdacc1fcp-2, 0x1.83e7a9712516fp-2, 0x1.6ad8e4a59bbabp-2, 0x1.51b3764a552b7p-2, 0x1.388bf5f5a2538p-2, 0x1.1f75577926935p-2, 0x1.0681006a3b78cp-2, 0x1.db7dc20152522p-3, 0x1.aa7b1843a19c9p-3, 0x1.7a14977c1d03ep-3, 0x1.4a5fdcdbf4a47p-3, 0x1.1b7948cd0f517p-3, 0x1.dae030dbe18dcp-4, 0x1.80aa1075d37eap-4, 0x1.286da4c78c3d1p-4, 0x1.a48980cb77e5ap-5, 0x1.f9173d785b357p-6, 0x1.641fb3d4c1e67p-7, -0x1.17869dcbd5d06p-7, -0x1.c02e8726130ap-6, -0x1.7584ae95a4c99p-5, -0x1.030d632f708a4p-4, -0x1.48e77846568efp-4, -0x1.8c4d4f1a2a47bp-4, -0x1.cd3d76cf9ac4ap-4, -0x1.05dc1a0241c72p-3, -0x1.23dfb41c2c946p-3, -0x1.40ab3d9b205c3p-3, -0x1.5c4120db1ad24p-3, -0x1.76a46fb245683p-3, -0x1.8fd8d2963867dp-3, -0x1.a7e2770df327cp-3, -0x1.bec5feafb5259p-3, -0x1.d4886f8a72e67p-3, -0x1.e92f26561af76p-3, -0x1.fcbfca5860e3fp-3, -0x1.07a02158935cep-2, -0x1.105b565b62d11p-2, -0x1.1894a98eb817dp-2, -0x1.204f52e10215bp-2, -0x1.278e990579bd4p-2, -0x1.2e55cdf193e9p-2, -0x1.34a84bacb9042p-2, -0x1.3a897175ceb33p-2, -0x1.3ffca13c9009fp-2, -0x1.45053d655d16p-2, -0x1.49a6a6c7f664fp-2, -0x1.4de43ad6bdc54p-2, -0x1.51c151dddd98p-2, -0x1.55413d4f28722p-2, -0x1.58674616c64d2p-2, -0x1.5b36aafb7c993p-2, -0x1.5db29f11eff3ap-2, -0x1.5fde484c227e8p-2, -0x1.61bcbe2dfb874p-2, -0x1.635108adc9bc7p-2, -0x1.649e1f452c016p-2, -0x1.65a6e8345d496p-2, -0x1.666e37f7c522ap-2, -0x1.66f6d0edf3442p-2, -0x1.6743632abb04dp-2, -0x1.67568c72c51a1p-2, -0x1.6732d859952d7p-2, -0x1.66dac07a621ebp-2, -0x1.6650acc2b1691p-2, -0x1.6596f3c49b9f8p-2, -0x1.64aee4252757ep-2, -0x1.639c9443e66ccp-2, -0x1.62615142e09ep-2, -0x1.60ff30569b1dep-2, -0x1.5f783480a5337p-2, -0x1.5dce4e9e17bd4p-2, -0x1.5c035d9c1c38ep-2, -0x1.5a192ed2b63c7p-2, -0x1.58117e8260a91p-2, -0x1.55edf86d6b784p-2, -0x1.53b038837745fp-2, -0x1.5159cb93f1802p-2, -0x1.4eec2ffc920a7p-2, -0x1.4c68d64a6caffp-2, -0x1.49d121c6b64a7p-2, -0x1.472668ebb1dd6p-2, -0x1.4469f5c1848ccp-2, -0x1.419d0625a19cap-2, -0x1.3ec0cc01b228ep-2, -0x1.3bd66d7813349p-2, -0x1.38df050c4e24bp-2, -0x1.35dba1cd5a9fap-2, -0x1.32cd4786401aap-2, -0x1.2fb4eef813e4fp-2, -0x1.2c93861e8aa42p-2, -0x1.2969f07ed4addp-2, -0x1.2639077f23p-2, -0x1.23019ac46d8dp-2, -0x1.1fc47093c0e35p-2, -0x1.1c82463461942p-2, -0x1.193bd0508685dp-2, -0x1.15f1bb52fb2f7p-2, -0x1.12a4abc0ab184p-2, -0x1.0f553e8da4b25p-2, -0x1.0c04096da2f48p-2, -0x1.08b19b20768bbp-2, -0x1.055e7bbace9e3p-2, -0x1.020b2cebe03c5p-2, -0x1.fd705480bccdep-3, -0x1.f6cbd2c61598dp-3, -0x1.f029b4b60be02p-3, -0x1.e98acf8fd99ecp-3, -0x1.e2efee3753417p-3, -0x1.dc59d1a3bc545p-3, -0x1.d5c931497688dp-3, -0x1.cf3ebb7e4ca04p-3, -0x1.c8bb15d8200dep-3, -0x1.c23edd85de0dp-3, -0x1.bbcaa7a2daf3p-3, -0x1.b55f0184d3f4bp-3, -0x1.aefc7104f49b2p-3, -0x1.a8a374c48708ap-3, -0x1.a254846dd846p-3, -0x1.9c1010f222d1bp-3, -0x1.95d684c4f9b56p-3, -0x1.8fa84415ecd9p-3, -0x1.8985ad08b077bp-3, -0x1.836f17ec27955p-3, -0x1.7d64d77067745p-3, -0x1.776738dbd02fap-3, -0x1.7176843f22ba2p-3, -0x1.6b92fca896e6ap-3, -0x1.65bce055d0ecap-3, -0x1.5ff468e4bd74p-3, -0x1.5a39cb8341ad9p-3, -0x1.548d391dc926ep-3, -0x1.4eeede8cb0774p-3, -0x1.495ee4c089414p-3, -0x1.43dd70ed40552p-3, -0x1.3e6aa4b409cdap-3, -0x1.39069e4c1b126p-3, -0x1.33b178aa0ceccp-3, -0x1.2e6b4ba5d5da6p-3, -0x1.29342c1f56746p-3, -0x1.240c2c2151383p-3, -0x1.1ef35b02dbc44p-3, -0x1.19e9c58738d29p-3, -0x1.14ef75fc21fap-3, -0x1.100474568e68dp-3, -0x1.0b28c64dfbdeep-3, -0x1.065c6f7651a77p-3, -0x1.019f71586d688p-3, -0x1.f9e39712bfdd5p-4, -0x1.f0a6f78104dap-4, -0x1.e788fbd8aa789p-4, -0x1.de89988c9f5d7p-4, -0x1.d5a8becb50038p-4, -0x1.cce65ca246863p-4, -0x1.c4425d1febe99p-4, -0x1.bbbca873af7c7p-4, -0x1.b355240c9d21p-4, -0x1.ab0bb2b68af0bp-4, -0x1.a2e034b60a383p-4, -0x1.9ad287e33b749p-4, -0x1.92e287c3a9bcap-4, -0x1.8b100da3422cp-4, -0x1.835af0ac8f3e1p-4, -0x1.7bc306003f507p-4, -0x1.744820cc11eaep-4, -0x1.6cea1261335d9p-4, -0x1.65a8aa4a11706p-4, -0x1.5e83b65faec51p-4, -0x1.577b02de7b9b7p-4, -0x1.508e5a7ab28eap-4, -0x1.49bd86743fcedp-4, -0x1.43084eaa3222cp-4, -0x1.3c6e79adb8271p-4, -0x1.35efccd4ac163p-4, -0x1.2f8c0c4bb1c8fp-4, -0x1.2942fb27e71e6p-4, -0x1.23145b782a7bbp-4, -0x1.1cffee55fbca2p-4, -0x1.17059e73614b7p-4, -0x1.1124d8da95d6ep-4, -0x1.0b5d838c8687p-4, -0x1.05af5c7bb38b3p-4, -0x1.001a20eab43eap-4, -0x1.f53b1af747721p-5, -0x1.ea72bc7ec5999p-5, -0x1.dfda9d89339e7p-5, -0x1.d572344cd28ddp-5, -0x1.cb38f6356fd25p-5, -0x1.c12e58001b6d5p-5, -0x1.b751cdd5e0dcep-5, -0x1.ada2cb657115ep-5, -0x1.a420c3fbaa934p-5, -0x1.9acb2a9af9d86p-5, -0x1.91a172118bb7ap-5, -0x1.88a30d0e542e2p-5, -0x1.7fcf6e34ec4ap-5, -0x1.772608304fe87p-5, -0x1.6ea64dc48902fp-5, -0x1.664fb1df520cbp-5, -0x1.5e21a7a7c4223p-5, -0x1.561ba28d1e0fp-5, -0x1.4e3d1654b8ecdp-5, -0x1.468577273ae4fp-5, -0x1.3ef4399d178f1p-5, -0x1.3788d2ca7742dp-5, -0x1.3042b84a88866p-5, -0x1.2921604a581bp-5, -0x1.222441932fa5bp-5, -0x1.1b4ad394933cfp-5, -0x1.14948e6ddd7fap-5, -0x1.0e00eaf786e19p-5, -0x1.078f62cc2151ap-5, -0x1.013f705105105p-5, -0x1.f6211d7d79925p-6, -0x1.ea0474525261p-6, -0x1.de27df0ec9e6ep-6, -0x1.d28a5976ca319p-6, -0x1.c72ae132ac5e6p-6, -0x1.bc0875dd6df61p-6, -0x1.b122191258243p-6, -0x1.a676ce7a1d021p-6, -0x1.9c059bd76283ep-6, -0x1.91cd8912b99f1p-6, -0x1.87cda045ff8efp-6, -0x1.7e04edc724fcep-6, -0x1.747280325a594p-6, -0x1.6b156873a0b0bp-6, -0x1.61ecb9cfbac44p-6, -0x1.58f789ec84068p-6, -0x1.5034f0d8ad7c8p-6, -0x1.47a40912d75e1p-6, -0x1.3f43ef901eaccp-6, -0x1.3713c3c20b0eap-6, -0x1.2f12a79bf1545p-6, -0x1.273fbf97c1848p-6, -0x1.1f9a32ba52051p-6, -0x1.18212a971c9ecp-6, -0x1.10d3d3538494bp-6, -0x1.09b15ba994ec2p-6, -0x1.02b8f4ea53be5p-6, -0x1.f7d3a5ff31f93p-7, -0x1.ea8658db0128ap-7, -0x1.dd8874a6d68edp-7, -0x1.d0d870d94f1dbp-7, -0x1.c474ca215c3e2p-7, -0x1.b85c026624d99p-7, -0x1.ac8ca0c6215b8p-7, -0x1.a10531959e4b4p-7, -0x1.95c4465ca6e6fp-7, -0x1.8ac875d449ac3p-7, -0x1.80105be362704p-7, -0x1.759a999acc789p-7, -0x1.6b65d53114813p-7, -0x1.6170b9fdb322fp-7, -0x1.57b9f873c456cp-7, -0x1.4e40461c583bcp-7, -0x1.45025d9049245p-7, -0x1.3bfefe71aa7a8p-7, -0x1.3334ed64d7a7ep-7, -0x1.2aa2f4091417bp-7, -0x1.2247e0f0d7c31p-7, -0x1.1a228799b8a9bp-7, -0x1.1231c06400b0dp-7, -0x1.0a746889ef7d8p-7, -0x1.02e96216a9b19p-7, -0x1.f71f27b9bd1b3p-8, -0x1.e8cbd2da41bf7p-8, -0x1.dad6a617fb08p-8, -0x1.cd3d8b4f99de7p-8, -0x1.bffe759c8c79cp-8, -0x1.b3176143b15a8p-8, -0x1.a686539d964f3p-8, -0x1.9a495b004e7b6p-8, -0x1.8e5e8ea8e54a7p-8, -0x1.82c40ea4774fep-8, -0x1.777803b8f30d8p-8, -0x1.6c789f4d8bc21p-8, -0x1.61c41b52decf5p-8, -0x1.5758ba2add2c9p-8, -0x1.4d34c6906f9acp-8, -0x1.4356937ee94e2p-8, -0x1.39bc7c19400c7p-8, -0x1.3064e39121637p-8, -0x1.274e350dd6561p-8, -0x1.1e76e3930b2acp-8, -0x1.15dd69e775742p-8, -0x1.0d804a7b60333p-8, -0x1.055e0f4f21be1p-8, -0x1.faea93b30e77p-9, -0x1.eb8925dc4d049p-9, -0x1.dc95154766206p-9, -0x1.ce0bb0748eefp-9, -0x1.bfea540356d65p-9, -0x1.b22e6a7f39c7dp-9, -0x1.a4d56c2c47ef1p-9, -0x1.97dcded3bfdd6p-9, -0x1.8b425590dd106p-9, -0x1.7f03709dac193p-9, -0x1.731ddd200c5dep-9, -0x1.678f54f6d431p-9, -0x1.5c559e871860ep-9, -0x1.516e8c89b2d3cp-9, -0x1.46d7fdd8f59cdp-9, -0x1.3c8fdd3e9a4ep-9, -0x1.32942141ea24dp-9, -0x1.28e2cbf63aa91p-9, -0x1.1f79eac99633fp-9, -0x1.16579653caecbp-9, -0x1.0d79f225bde2cp-9, -0x1.04df2c990ab7dp-9, -0x1.f90afd40149d9p-10, -0x1.e8d6572c5877dp-10, -0x1.d91d022155ae7p-10, -0x1.c9dbad5f5b4b3p-10, -0x1.bb0f1bdf8ba8fp-10, -0x1.acb423f7c0ba9p-10, -0x1.9ec7aeff25978p-10, -0x1.9146b8f3d65d7p-10, -0x1.842e5021463b7p-10, -0x1.777b94c7a2cf9p-10, -0x1.6b2bb8c40d71dp-10, -0x1.5f3bff39f5d8bp-10, -0x1.53a9bc3d38a77p-10, -0x1.4872547d5ad51p-10, -0x1.3d933cf1c8099p-10, -0x1.3309fa86f8e9dp-10, -0x1.28d421ccbabf2p-10, -0x1.1eef56a57fb4ap-10, -0x1.15594bf6afc96p-10, -0x1.0c0fc35a19fd5p-10, -0x1.03108cd06bd42p-10, -0x1.f4b30ce96f04ap-11, -0x1.e3d13862629b1p-11, -0x1.d3778ee9936d3p-11, -0x1.c3a21dd4354bbp-11, -0x1.b44d0c5e765ap-11, -0x1.a5749b1db4f1ap-11, -0x1.97152374a67e5p-11, -0x1.892b1709bb6f5p-11, -0x1.7bb2ff3fcea77p-11, -0x1.6ea97cb0db10ep-11, -0x1.620b46ab08d82p-11, -0x1.55d52aafc42b8p-11, -0x1.4a040bf516b1p-11, -0x1.3e94e2e93d2aep-11, -0x1.3384bcb8022cp-11, -0x1.28d0bad2a5985p-11, -0x1.1e761279b2a4p-11, -0x1.14720c48e531dp-11, -0x1.0ac203c526722p-11, -0x1.016366ecb16c6p-11, -0x1.f0a76b9237577p-12, -0x1.df210406f4416p-12, -0x1.ce2edcf50c96ep-12, -0x1.bdcc5db53e689p-12, -0x1.adf50e6fb1b9ap-12, -0x1.9ea49754312bbp-12, -0x1.8fd6bfd55cad8p-12, -0x1.81876de87f4f3p-12, -0x1.73b2a548b1f71p-12, -0x1.665486bd9b205p-12, -0x1.59694f65f3b89p-12, -0x1.4ced580583a69p-12, -0x1.40dd14568228fp-12, -0x1.3535125ebe7a9p-12, -0x1.29f1f9c7ccd57p-12, -0x1.1f108b3aecdeep-12, -0x1.148d9fbfd6b88p-12, -0x1.0a66281f48af5p-12, -0x1.00972c482a7fp-12, -0x1.ee3b9570d2306p-13, -0x1.dbee6fd14172cp-13, -0x1.ca417b75f813fp-13, -0x1.b92f75d9952p-13, -0x1.a8b345175d91p-13, -0x1.98c7f6d9fbb28p-13, -0x1.8968bf50d1107p-13, -0x1.7a90f82aea73bp-13, -0x1.6c3c1f978ce9bp-13, -0x1.5e65d74bbd51cp-13, -0x1.5109e38ddf0ebp-13, -0x1.44242a463fbb8p-13, -0x1.37b0b215152ffp-13, -0x1.2baba16d95905p-13, -0x1.20113db5f35e1p-13, -0x1.14ddea6cd30c8p-13, -0x1.0a0e2853713f8p-13, -0x1.ff3d29389eb9ep-14, -0x1.eb17d03e80d5dp-14, -0x1.d7a5ed24bcdfp-14, -0x1.c4e15b8cd3061p-14, -0x1.b2c429d250d31p-14, -0x1.a1489797560eep-14, -0x1.906914595e5ccp-14, -0x1.80203e10f7beap-14, -0x1.7068dfd7c19afp-14, -0x1.613df097ebe2p-14, -0x1.529a91c4b7af4p-14, -0x1.447a0e1a615edp-14, -0x1.36d7d8664d87bp-14, -0x1.29af8a577fep-14, -0x1.1cfce35687a8p-14, -0x1.115bfa73456a8p-14, -0x1.0586091b056ddp-14, -0x1.f432b21101b9cp-15, -0x1.de24838945d39p-15, -0x1.c8da75b3bb4fep-15, -0x1.b44db5a9eb2ccp-15, -0x1.a077ac9699fb7p-15, -0x1.8d51fdd54713dp-15, -0x1.7ad6851a5bd6dp-15, -0x1.68ff54ada3151p-15, -0x1.57c6b3ac40127p-15, -0x1.47271c5ca2bd3p-15, -0x1.371b3a8b86626p-15, -0x1.279de9f628921p-15, -0x1.18aa34bfa57dfp-15, -0x1.0a3b51f217a1dp-15, -0x1.f899481571bf7p-16, -0x1.ddb36f1e9a4c7p-16, -0x1.c3bc8363541d2p-16, -0x1.aaac3df106138p-16, -0x1.927aa3ebc7d29p-16, -0x1.7b20040a3092bp-16, -0x1.6494f4267ecedp-16, -0x1.4ed24edec9fbp-16, -0x1.39d13149883b4p-16, -0x1.258af8b9da353p-16, -0x1.11f94094a29p-16, -0x1.fe2bc06bee8d1p-17, -0x1.d9b5d1cb103ccp-17, -0x1.b68547b9971c6p-17, -0x1.948f20ac977fdp-17, -0x1.73c8c369c8244p-17, -0x1.5427fb5eaa044p-17, -0x1.35a2f51f2f4adp-17, -0x1.18303afb338cep-17, -0x1.f78d635dfe098p-18, -0x1.c0bb2a57cb5bbp-18, -0x1.8bd8eaf82d6a4p-18, -0x1.58d66778b6b8cp-18, -0x1.27a3fe5cb2257p-18, -0x1.f0654986fe885p-19, -0x1.94e7c1c5cdcdep-19, -0x1.3cb389857a06cp-19, -0x1.cf5ba3e6ed4b1p-20, -0x1.2b799ee68586ep-20, -0x1.1b1ebfd3be3f5p-21, 0x1.525ba40252dc1p-25, 0x1.3a361c5619e5fp-21, 0x1.2a356c9954605p-20, 0x1.b20c867406539p-20, 0x1.1a64a76bead41p-19, 0x1.594996e10e87fp-19, 0x1.95c807c964b65p-19, 0x1.cff239f5d8d33p-19, 0x1.03ecdefe9bd22p-18, 0x1.1ec7be2ba518p-18, 0x1.3891ddedae3dbp-18, 0x1.5153142ca12afp-18, 0x1.6912ec78688d6p-18, 0x1.7fd8aaf932aacp-18, 0x1.95ab4f6785f53p-18, 0x1.aa9197da2bf8dp-18, 0x1.be920377f4ccdp-18, 0x1.d1b2d51f80816p-18, 0x1.e3fa15dbabc5ep-18, 0x1.f56d9764fb06cp-18, 0x1.03097b3689343p-17, 0x1.0af7ce7103578p-17, 0x1.1284620e73b78p-17, 0x1.19b1bb777b195p-17, 0x1.208249d900512p-17, 0x1.26f8671739aafp-17, 0x1.2d1658bca8681p-17, 0x1.32de50dd776e7p-17, 0x1.38526ef9097bbp-17, 0x1.3d74c0c4922efp-17, 0x1.424742fa52017p-17, 0x1.46cbe21ff629bp-17, 0x1.4b047b3a0524bp-17, 0x1.4ef2dc83aabbfp-17, 0x1.5298c619c0aabp-17, 0x1.55f7ea9f35dedp-17, 0x1.5911efdbca7d3p-17, 0x1.5be86f521f837p-17, 0x1.5e7cf6d0c9b2ap-17, 0x1.60d108ff71cbdp-17, 0x1.62e61ddbcf933p-17, 0x1.64bda34097579p-17, 0x1.6658fd5ee9087p-17, 0x1.67b9872be9ff7p-17, 0x1.68e092d111194p-17, 0x1.69cf6a176617fp-17, 0x1.6a874ecd8912ep-17, 0x1.6b097b25e5421p-17, 0x1.6b57220bd66a4p-17, 0x1.6b716f87a2476p-17, 0x1.6b5989083350fp-17, 0x1.6b108db50a21ep-17, 0x1.6a9796b83bf8dp-17, 0x1.69efb78477c3fp-17, 0x1.6919fe1f130adp-17, 0x1.6817735a2b437p-17, 0x1.66e91b10daf15p-17, 0x1.658ff46590f5ep-17, 0x1.640cf9f611ed4p-17, 0x1.6261221063021p-17, 0x1.608d5ee3eadc1p-17, 0x1.5e929eadb3f63p-17, 0x1.5c71cbe795262p-17, 0x1.5a2bcd6f237fbp-17, 0x1.57c186ad724e5p-17, 0x1.5533d7bb66d59p-17, 0x1.52839d8471576p-17, 0x1.4fb1b1e6f2e8dp-17, 0x1.4cbeebd2aee79p-17, 0x1.49ac1f65570fp-17, 0x1.467a1e04f0e3p-17, 0x1.4329b67a385d9p-17, 0x1.3fbbb506728eep-17, 0x1.3c30e377f6cb2p-17, 0x1.388a09481b1b8p-17, 0x1.34c7eb97fcc51p-17, 0x1.30eb4d5becc0dp-17, 0x1.2cf4ef5d07008p-17, 0x1.28e5904a5930ep-17, 0x1.24bdecc8f73adp-17, 0x1.207ebf7d8c80ap-17, 0x1.1c28c11c3ba06p-17, 0x1.17bca86ee85cfp-17, 0x1.133b2a61ab973p-17, 0x1.0ea4fa090e83cp-17, 0x1.09fac8b08dab5p-17, 0x1.053d45db7f5b9p-17, 0x1.006d1f4b037dbp-17, 0x1.f716020cb54fp-18, 0x1.ed2f2ac58b677p-18, 0x1.e3270a04b1671p-18, 0x1.d8feedb623429p-18, 0x1.ceb82074844bcp-18, 0x1.c453e98ba23bfp-18, 0x1.b9d38d021874ap-18, 0x1.af384b976490cp-18, 0x1.a48362cb61f8cp-18, 0x1.99b60cde9c081p-18, 0x1.8ed180d409ecfp-18, 0x1.83d6f2728c468p-18, 0x1.78c7924495cf1p-18, 0x1.6da48da2db884p-18, 0x1.626f0e97ed40dp-18, 0x1.57283bfb19633p-18, 0x1.4bd1396435a8dp-18, 0x1.406b272e59c5ap-18, 0x1.34f72263d9ce6p-18, 0x1.297644d7c7371p-18, }}, 
      {{0x1.5cbb3f00a1baap-3, 0x1.02396eef10429p-2, 0x1.70ce3f432f8e1p-2, 0x1.ea6a4f8cf8365p-2, 0x1.323a6111b124bp-1, 0x1.6c02d6e5efff2p-1, 0x1.a06e3b6802beap-1, 0x1.ce4f33aed756p-1, 0x1.f523c9c85764cp-1, 0x1.0a70333ab78d3p+0, 0x1.16e460629c9fbp+0, 0x1.202990b736842p+0, 0x1.2689cf676d4e3p+0, 0x1.2a568f6f9160dp+0, 0x1.2be35ef6d2f54p+0, 0x1.2b824f17a28b4p+0, 0x1.29818d27322b7p+0, 0x1.2629d32715fc1p+0, 0x1.21bd9feaf2384p+0, 0x1.1c78d9402b587p+0, 0x1.1690b447efa7ap+0, 0x1.1033df466506ap+0, 0x1.098ae4fbdcdd3p+0, 0x1.02b88ec09ca27p+0, 0x1.f7b4d18cf89ap-1, 0x1.ea128738525e8p-1, 0x1.dcb2e80696164p-1, 0x1.cfb71b3d9e33dp-1, 0x1.c3397d41656dbp-1, 0x1.b74e6ab57cf0ap-1, 0x1.ac051b30f419ap-1, 0x1.a16842947bd0cp-1, 0x1.977eac572e5a5p-1, 0x1.8e4bd729ea3a7p-1, 0x1.85d07a264d604p-1, 0x1.7e0af1a181cc4p-1, 0x1.76f7a5892a32p-1, 0x1.70916d0a002a6p-1, 0x1.6ad1e2e6387b7p-1, 0x1.65b1a5a4056ap-1, 0x1.61288cb40edc5p-1, 0x1.5d2ddb8295881p-1, 0x1.59b872fca4915p-1, 0x1.56befdcd9294dp-1, 0x1.54381494b8cb5p-1, 0x1.521a5980bda15p-1, 0x1.505c8c9fa3f28p-1, 0x1.4ef59b8f40d54p-1, 0x1.4ddcaf4cc35ep-1, 0x1.4d0939944ce93p-1, 0x1.4c730193c400ap-1, 0x1.4c122ea429549p-1, 0x1.4bdf4facdb4d7p-1, 0x1.4bd35eab7c6cbp-1, 0x1.4be81f30a21dp-1, 0x1.4c169bfb429f8p-1, 0x1.4c5962892e74bp-1, 0x1.4cab18cb6ea14p-1, 0x1.4d06c96d6c10cp-1, 0x1.4d67df3033931p-1, 0x1.4dca228326867p-1, 0x1.4e29b876ac627p-1, 0x1.4e8321724de42p-1, 0x1.4ed3366f41f69p-1, 0x1.4f17246b4cd32p-1, 0x1.4f4c66b077b9bp-1, 0x1.4f70c0f674665p-1, 0x1.4f823a35fe0bep-1, 0x1.4f7f188310afp-1, 0x1.4f65ddc088adcp-1, 0x1.4f3544bb24685p-1, 0x1.4eec3e3dfdc5cp-1, 0x1.4e89ede480af9p-1, 0x1.4e0da6a7423b5p-1, 0x1.4d76e745f98dbp-1, 0x1.4cc556b904cd7p-1, 0x1.4bf8c0c801bb2p-1, 0x1.4b1112cfc68f1p-1, 0x1.4a0e58b4552d9p-1, 0x1.48f0b9f7f9f8ap-1, 0x1.47b876f56c881p-1, 0x1.4665e641b80e3p-1, 0x1.44f9723ed78a7p-1, 0x1.437396e70cfe5p-1, 0x1.41d4dfd3f69eap-1, 0x1.401de67dd2bb2p-1, 0x1.3e4f50a9e0698p-1, 0x1.3c69cefbc7ce4p-1, 0x1.3a6e1b9dc758dp-1, 0x1.385cf8f585be1p-1, 0x1.3637305f060cbp-1, 0x1.33fd90eb9771fp-1, 0x1.31b0ee26b2fa3p-1, 0x1.2f521ee5d6f86p-1, 0x1.2ce1fc29e78ep-1, 0x1.2a6160183a635p-1, 0x1.27d1250f8be19p-1, 0x1.253224da5d708p-1, 0x1.228537fd7e4dap-1, 0x1.1fcb351f8621p-1, 0x1.1d04f0850d1d8p-1, 0x1.1a333b9da124ep-1, 0x1.1756e49e54dabp-1, 0x1.1470b62810f5dp-1, 0x1.118176f900774p-1, 0x1.0e89e9a934254p-1, 0x1.0b8acc72deb41p-1, 0x1.0884d9061df63p-1, 0x1.0578c467918a3p-1, 0x1.02673ed80dd17p-1, 0x1.fea167ac18b08p-2, 0x1.f86c8a1f9e767p-2, 0x1.f230bb76594aep-2, 0x1.ebef35f9d7ca1p-2, 0x1.e5a929027aa3dp-2, 0x1.df5fb8d584448p-2, 0x1.d913fe9c152cfp-2, 0x1.d2c70873fe83ep-2, 0x1.cc79d999038dfp-2, 0x1.c62d6aa2df816p-2, 0x1.bfe2a9d26c45ap-2, 0x1.b99a7b6748786p-2, 0x1.b355b9f7183a5p-2, 0x1.ad1536c0655c1p-2, 0x1.a6d9b9f49798fp-2, 0x1.a0a402f68b1cdp-2, 0x1.9a74c88d4f06cp-2, 0x1.944cb90c6fb58p-2, 0x1.8e2c7a748513bp-2, 0x1.8814aa8f84554p-2, 0x1.8205df0c6b75fp-2, 0x1.7c00a59d83f14p-2, 0x1.7605841badaafp-2, 0x1.7014f8b017965p-2, 0x1.6a2f7a04d0fep-2, 0x1.6455777ba479ep-2, 0x1.5e875969f8721p-2, 0x1.58c5815817537p-2, 0x1.53104a421057ep-2, 0x1.4d6808d89a81ap-2, 0x1.47cd0bc0ab895p-2, 0x1.423f9bd0e747dp-2, 0x1.3cbffc4c7afbp-2, 0x1.374e6b1b5a46fp-2, 0x1.31eb2100163fap-2, 0x1.2c9651cbb1e05p-2, 0x1.27502c8fe6bafp-2, 0x1.2218dbd02ddf4p-2, 0x1.1cf085b1e2be1p-2, 0x1.17d74c2b9523dp-2, 0x1.12cd4d3392a64p-2, 0x1.0dd2a2ed8b5f7p-2, 0x1.08e763d72042ep-2, 0x1.040ba2f32565bp-2, 0x1.fe7edfe6b7f08p-3, 0x1.f505aec0de55ep-3, 0x1.ebabc58018d0bp-3, 0x1.e27131720392dp-3, 0x1.d955fa6ab22bcp-3, 0x1.d05a230504754p-3, 0x1.c77da8df57fefp-3, 0x1.bec084d4ea689p-3, 0x1.b622ab3461aap-3, 0x1.ada40bf3e2f39p-3, 0x1.a54492e327dd6p-3, 0x1.9d0427dbee41ap-3, 0x1.94e2aef112ccfp-3, 0x1.8ce0089c7f9c6p-3, 0x1.84fc11ec159cfp-3, 0x1.7d36a4ad95f3bp-3, 0x1.758f9799943a7p-3, 0x1.6e06be7d629cbp-3, 0x1.669bea63ec658p-3, 0x1.5f4ee9bd83647p-3, 0x1.581f8886894aep-3, 0x1.510d906cf885ep-3, 0x1.4a18c8f4cf39p-3, 0x1.4340f79b481e2p-3, 0x1.3c85dff8f6676p-3, 0x1.35e743e2a95d9p-3, 0x1.2f64e3892954p-3, 0x1.28fe7d97b46e5p-3, 0x1.22b3cf514cd06p-3, 0x1.1c8494acc944bp-3, 0x1.1670886fb1243p-3, 0x1.10776447e460fp-3, 0x1.0a98e0e41ce63p-3, 0x1.04d4b60b53da6p-3, 0x1.fe5535661c933p-4, 0x1.f3348a2957351p-4, 0x1.e846d5836f21bp-4, 0x1.dd8b816eabb4cp-4, 0x1.d301f6e18907ap-4, 0x1.c8a99df218668p-4, 0x1.be81ddf7b70ap-4, 0x1.b48a1dab38febp-4, 0x1.aac1c3457f6cbp-4, 0x1.a128349c94a4fp-4, 0x1.97bcd73f630eep-4, 0x1.8e7f108fe6f22p-4, 0x1.856e45dc244c9p-4, 0x1.7c89dc75bf72ep-4, 0x1.73d139c85ed71p-4, 0x1.6b43c36ee0287p-4, 0x1.62e0df4770a22p-4, 0x1.5aa7f38699f2fp-4, 0x1.529866c95393fp-4, 0x1.4ab1a02627812p-4, 0x1.42f3073d775a1p-4, 0x1.3b5c0448f2728p-4, 0x1.33ec002a4545cp-4, 0x1.2ca26479108c1p-4, 0x1.257e9b9031ccap-4, 0x1.1e80109a66373p-4, 0x1.17a62f9e51fa7p-4, 0x1.10f06589f5c32p-4, 0x1.0a5e203d958f1p-4, 0x1.03eece961f40ep-4, 0x1.fb43c0ee2027p-5, 0x1.eeed8da7c750ep-5, 0x1.e2d9e77220c44p-5, 0x1.d707b4a927b81p-5, 0x1.cb75dca84043ep-5, 0x1.c023532762468p-5, 0x1.b50efdb310654p-5, 0x1.aa37cc4e6de7bp-5, 0x1.9f9cb183fc91cp-5, 0x1.953ca27298276p-5, 0x1.8b1696d9d017bp-5, 0x1.8129892594668p-5, 0x1.777476792875ep-5, 0x1.6df65eb951213p-5, 0x1.64ae4495b7d5p-5, 0x1.5b9b2d917f78ap-5, 0x1.52bc220b00f51p-5, 0x1.4a102d42b5559p-5, 0x1.41965d6149fcp-5, 0x1.394dc37ce3222p-5, 0x1.3135739d91ef7p-5, 0x1.294c84c104d26p-5, 0x1.219210dd78729p-5, 0x1.1a0534e3f3156p-5, 0x1.12a510c1d4aap-5, 0x1.0b70c761c394p-5, 0x1.04677eac04a11p-5, 0x1.fb10bf0c857b2p-6, 0x1.eda52ba5b0b2bp-6, 0x1.e08aa0df39e5cp-6, 0x1.d3bf82688d3cdp-6, 0x1.c74239e0cb08dp-6, 0x1.bb1136d203914p-6, 0x1.af2aeeabc7e3bp-6, 0x1.a38ddcbd22a3fp-6, 0x1.9838822dfa456p-6, 0x1.8d2965f7f1ca1p-6, 0x1.825f14decc3ffp-6, 0x1.77d821685c225p-6, 0x1.6d9323d40879ep-6, 0x1.638eba11e7ba8p-6, 0x1.59c987b97ba22p-6, 0x1.504236000bfb4p-6, 0x1.46f773aeb127ap-6, 0x1.3de7f517f8a15p-6, 0x1.3512740d480bp-6, 0x1.2c75afd3e1f4dp-6, 0x1.24106d19a38e6p-6, 0x1.1be175e975a58p-6, 0x1.13e7999f73c19p-6, 0x1.0c21acdcd0654p-6, 0x1.048e897b71899p-6, 0x1.fa5a1d02a1294p-7, 0x1.ebf84027375eep-7, 0x1.ddf54ed3352ecp-7, 0x1.d04f257ec2f2dp-7, 0x1.c303aa909b3cep-7, 0x1.b610ce429c093p-7, 0x1.a9748a860ec2cp-7, 0x1.9d2ce2e79093cp-7, 0x1.9137e472b5bffp-7, 0x1.8593a5956c41ap-7, 0x1.7a3e46031808bp-7, 0x1.6f35ee9789392p-7, 0x1.6478d139b044cp-7, 0x1.5a0528be43f18p-7, 0x1.4fd938ca280b5p-7, 0x1.45f34db4d5c5cp-7, 0x1.3c51bc6a9db22p-7, 0x1.32f2e24ee4809p-7, 0x1.29d5251e52ce5p-7, 0x1.20f6f2d10343ap-7, 0x1.1856c17cb35e9p-7, 0x1.0ff30f36f8be2p-7, 0x1.07ca61f78480cp-7, 0x1.ffb68ef4ebabep-8, 0x1.f048aa457a556p-8, 0x1.e1484fb938616p-8, 0x1.d2b2c8007c7b7p-8, 0x1.c4856a68de23ap-8, 0x1.b6bd9ca2e7e83p-8, 0x1.a958d28816779p-8, 0x1.9c548de120e0ap-8, 0x1.8fae5e2c9db6bp-8, 0x1.8363e065fb863p-8, 0x1.7772beccd2835p-8, 0x1.6bd8b0acab517p-8, 0x1.60937a251b5b2p-8, 0x1.55a0ebf24ea95p-8, 0x1.4afee3360d031p-8, 0x1.40ab494122fa5p-8, 0x1.36a4135d45215p-8, 0x1.2ce742976fa98p-8, 0x1.2372e38abf9b9p-8, 0x1.1a450e2bc8c09p-8, 0x1.115be5947216ep-8, 0x1.08b597d050f13p-8, 0x1.00505da98c51p-8, 0x1.f054f4ec9b1c8p-9, 0x1.e08477cd63d28p-9, 0x1.d12bf3a69bd54p-9, 0x1.c2482c1888826p-9, 0x1.b3d5f851c0b5ep-9, 0x1.a5d242af9d3c6p-9, 0x1.983a085fb80d2p-9, 0x1.8b0a59029ee27p-9, 0x1.7e40564fb4208p-9, 0x1.71d933ba2814fp-9, 0x1.65d236172ce78p-9, 0x1.5a28b34557b7cp-9, 0x1.4eda11d52676cp-9, 0x1.43e3c8b2bb60ap-9, 0x1.39435ed0cd84bp-9, 0x1.2ef66ad4b3e7ap-9, 0x1.24fa92c3b9f95p-9, 0x1.1b4d8bb194d58p-9, 0x1.11ed197007f28p-9, 0x1.08d70e3fbe4f2p-9, 0x1.00094a82473c5p-9, 0x1.ef0378da9f0f1p-10, 0x1.de7cbf7decbdfp-10, 0x1.ce7a7ae6c1ae8p-10, 0x1.bef8d6f6af6efp-10, 0x1.aff418e85f71cp-10, 0x1.a1689ec187dd1p-10, 0x1.9352dec72f739p-10, 0x1.85af66f44cf7fp-10, 0x1.787adc7292c3p-10, 0x1.6bb1fb157e302p-10, 0x1.5f5194d7ae40dp-10, 0x1.5356915a67929p-10, 0x1.47bded6757aa6p-10, 0x1.3c84ba74714e5p-10, 0x1.31a81e2a07141p-10, 0x1.272551eb0c80cp-10, 0x1.1cf9a25f79384p-10, 0x1.13226f00b7b76p-10, 0x1.099d29a840402p-10, 0x1.006756204ab08p-10, 0x1.eefd136ce99d9p-11, 0x1.ddc0d5a1254a3p-11, 0x1.cd156106eda01p-11, 0x1.bcf644575c0e3p-11, 0x1.ad5f2e1092015p-11, 0x1.9e4bebaf2d43ep-11, 0x1.8fb868eb7bdbcp-11, 0x1.81a0aefad0002p-11, 0x1.7400e3d43e35cp-11, 0x1.66d549796704dp-11, 0x1.5a1a3d42d23dcp-11, 0x1.4dcc373001d9bp-11, 0x1.41e7c93b0d67ap-11, 0x1.36699eafea803p-11, 0x1.2b4e7b870c3cp-11, 0x1.20933bc3dc0cdp-11, 0x1.1634d2d62b05cp-11, 0x1.0c304aff5437cp-11, 0x1.0282c4ba956a4p-11, 0x1.f252ec51b74f2p-12, 0x1.e04354fef9edfp-12, 0x1.ced182f4e1001p-12, 0x1.bdf85da33e2ep-12, 0x1.adb2f3622c4d4p-12, 0x1.9dfc786930ba9p-12, 0x1.8ed045cbe5166p-12, 0x1.8029d87cbd8e4p-12, 0x1.7204d05589f86p-12, 0x1.645cef25b79d2p-12, 0x1.572e17c63a017p-12, 0x1.4a744d32c7d5ep-12, 0x1.3e2bb1a8e9afcp-12, 0x1.325085cbb8848p-12, 0x1.26df27cd951e1p-12, 0x1.1bd4129e5211cp-12, 0x1.112bdd1ed8962p-12, 0x1.06e33959973a6p-12, 0x1.f9ede77f6bfadp-13, 0x1.e6c7e4d64ac82p-13, 0x1.d44e68ca8f65cp-13, 0x1.c27ba1e42d268p-13, 0x1.b149edc01c31ep-13, 0x1.a0b3d7b7ab631p-13, 0x1.90b417922c143p-13, 0x1.8145903cfb4f3p-13, 0x1.72634e8d8ad87p-13, 0x1.6408880ad4f08p-13, 0x1.563099bdd3384p-13, 0x1.48d7070ae569bp-13, 0x1.3bf778923063bp-13, 0x1.2f8dbb1741329p-13, 0x1.2395be7087cd5p-13, 0x1.180b947c7b146p-13, 0x1.0ceb701f81691p-13, 0x1.0231a4471bd82p-13, 0x1.efb545e8b8ebcp-14, 0x1.dbc5f898f28ep-14, 0x1.c88ebb5fb82dcp-14, 0x1.b60921aee22a8p-14, 0x1.a42ef5ef3f386p-14, 0x1.92fa37d2bf06ep-14, 0x1.82651ab31aa37p-14, 0x1.726a03f90dc08p-14, 0x1.63038990b7997p-14, 0x1.542c7068c9969p-14, 0x1.45dfaafb008fep-14, 0x1.381857df6abbdp-14, 0x1.2ad1c06989cafp-14, 0x1.1e07574fcec0bp-14, 0x1.11b4b75b72fd3p-14, 0x1.05d5a222c3e03p-14, 0x1.f4cbfd9833968p-15, 0x1.dec3b1b2f4ac7p-15, 0x1.c98abdfa15fdep-15, 0x1.b519c3edde82ep-15, 0x1.a169a6f20637p-15, 0x1.8e738a2c2a3b7p-15, 0x1.7c30ce6b73d08p-15, 0x1.6a9b1023f8bedp-15, 0x1.59ac257884057p-15, 0x1.495e1c50842c7p-15, 0x1.39ab38805cc2p-15, 0x1.2a8df1fcd78ep-15, 0x1.1c00f31c2359p-15, 0x1.0dff16e75483fp-15, 0x1.008367759dc64p-15, 0x1.e71238ab7592cp-16, 0x1.ce173206fea91p-16, 0x1.b60cd6d3ee3e6p-16, 0x1.9fd9ff889605fp-16, 0x1.89937bbb9fddcp-16, 0x1.742426b3278a5p-16, 0x1.5f8466a995b11p-16, 0x1.4bace869c7b4fp-16, 0x1.38969cd09a5b3p-16, 0x1.263ab6661fc1cp-16, 0x1.1492a70d685b8p-16, 0x1.03981dc34bdefp-16, 0x1.e68a08e6d36dcp-17, 0x1.c726fbba68047p-17, 0x1.a8fbc71b824ddp-17, 0x1.8bfd87cdcb945p-17, 0x1.7021c07262418p-17, 0x1.555e55e140b72p-17, 0x1.3ba98b98fd629p-17, 0x1.22fa0051b1f13p-17, 0x1.0b46aaace6a5cp-17, 0x1.e90dac03c4424p-18, 0x1.bd643e8bac01cp-18, 0x1.9380e41b8c44ap-18, 0x1.6b540b5253bbdp-18, 0x1.44ceb4c099706p-18, 0x1.1fe26d69bb9d9p-18, 0x1.f9029341acb69p-19, 0x1.b53bbff4bfb65p-19, 0x1.745688e58c7b7p-19, 0x1.363a077dd9634p-19, 0x1.f59c7b04367bfp-20, 0x1.83f818a2f5f2ap-20, 0x1.175a590894a7ap-20, 0x1.5f309696e5a59p-21, 0x1.322233d34ceb3p-22, -0x1.1fcc55a2ec8cep-24, -0x1.b07879fd02dc8p-22, -0x1.84011dfbe1bfdp-21, -0x1.13c7d2947fef8p-20, -0x1.61965d74b6cfp-20, -0x1.ab8d68dec1ce2p-20, -0x1.f1ccff6081fep-20, -0x1.1a3a044cd6f05p-19, -0x1.39d02a54466c2p-19, -0x1.57b7536f50c4dp-19, -0x1.73fd604e6b68fp-19, -0x1.8eafb59db72c4p-19, -0x1.a7db40f5cb551p-19, -0x1.bf8c7d8bfeca5p-19, -0x1.d5cf78c46b51bp-19, -0x1.eaafd66bbdfd2p-19, -0x1.fe38d513515cbp-19, -0x1.083aa902709eep-18, -0x1.10b7e691ae64dp-18, -0x1.189936541a5abp-18, -0x1.1fe3805e6a658p-18, -0x1.269b8370efbb4p-18, -0x1.2cc5d6ae2f50ep-18, -0x1.3266eb1cecd82p-18, -0x1.37830d3d58368p-18, -0x1.3c1e667fd1e26p-18, -0x1.403cfea869522p-18, -0x1.43e2bd2c8ebf5p-18, -0x1.47136a7d6ed7ap-18, -0x1.49d2b149517cbp-18, -0x1.4c241fab5ee6p-18, -0x1.4e0b2848f3421p-18, -0x1.4f8b2379758cdp-18, -0x1.50a750481d9e2p-18, -0x1.5162d5797e0fap-18, -0x1.51c0c284a824ep-18, -0x1.51c410735f1bep-18, -0x1.516fa2d6fa485p-18, -0x1.50c648947768bp-18, -0x1.4fcabcb6df654p-18, -0x1.4e7fa735a95e8p-18, -0x1.4ce79db1590bfp-18, -0x1.4b052429f918bp-18, -0x1.48daada9986cap-18, -0x1.466a9cf2ed4c1p-18, -0x1.43b7450e0f8cp-18, -0x1.40c2e9f00189ep-18, -0x1.3d8fc102e23f1p-18, -0x1.3a1ff1b0a86c5p-18, -0x1.367595e70cd32p-18, -0x1.3292ba94f30a1p-18, -0x1.2e7960201957dp-18, -0x1.2a2b7ad860082p-18, -0x1.25aaf363a7552p-18, -0x1.20f9a723dc512p-18, -0x1.1c1968a1108fap-18, -0x1.170bffdc8570dp-18, -0x1.11d32aaf40596p-18, -0x1.0c709d1e9556bp-18, -0x1.06e601aebbaa7p-18, -0x1.0134f9b0229b4p-18, -0x1.f6be3b0515aaep-19, -0x1.eacbf9b939f0cp-19, -0x1.de963e30ca272p-19, -0x1.d22006d12b5afp-19, -0x1.c56c422ae3352p-19, -0x1.b87dcf66c6411p-19, -0x1.ab577ed1d0718p-19, -0x1.9dfc1219012efp-19, -0x1.906e3cb751a64p-19, -0x1.82b0a46988326p-19, -0x1.74c5e171112c7p-19, -0x1.66b07ee96f925p-19, -0x1.5872fb1f75a82p-19, -0x1.4a0fc7dc3a32p-19, -0x1.3b894aa626fb2p-19, -0x1.2ce1dd095e0c4p-19, -0x1.1e1bccde03e4ap-19, -0x1.0f395c7c0aa6ap-19, -0x1.003cc2fc9965p-19, -0x1.e25058e079547p-20, -0x1.c3fb74280ef86p-20, -0x1.a57f05083d329p-20, -0x1.86df23d561bacp-20, -0x1.681fd465433f6p-20, -0x1.49450654f90bcp-20, -0x1.2a5295734e7ecp-20, -0x1.0b4c49fe95149p-20, -0x1.d86bb1a7d69efp-21, -0x1.9a25c8149fae6p-21, -0x1.5bcdf5c961352p-21, -0x1.1d6b347d994bbp-21, -0x1.be08b33caa106p-22, -0x1.41402cf0802d1p-22, -0x1.8913e48e873b4p-23, -0x1.1fcb63dcdb5e6p-24, 0x1.a3c472d2ef8e2p-25, 0x1.6157ef2c4f18fp-23, 0x1.2c9b59e233f63p-22, 0x1.a83aef80fc5bcp-22, 0x1.11bf9a5f46b79p-21, 0x1.4f2e73de90abfp-21, 0x1.8c64836d2f665p-21, 0x1.c95c68620acb6p-21, 0x1.030870e5e784cp-20, 0x1.213e6708b84bp-20, 0x1.3f4d95608ac7dp-20, 0x1.5d338a1458243p-20, 0x1.7aede28b9e6c9p-20, 0x1.987a4b47c1cd7p-20, 0x1.b5d67fbe09eb2p-20, 0x1.d3004a3658a38p-20, 0x1.eff58394e1e47p-20, 0x1.065a09be7afeap-19, 0x1.149cf7d692dcap-19, 0x1.22c28e2a2276p-19, 0x1.30c9d5df260f7p-19, 0x1.3eb1df1a0fb55p-19, 0x1.4c79c0e72e72bp-19, 0x1.5a20993f4ae9p-19, 0x1.67a58cdb00ac3p-19, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.678e170828bcap-1, -0x1.67a4776cfa5f5p-1, -0x1.67c84b6b311b8p-1, -0x1.67f776807e657p-1, -0x1.682f2abc0c8ebp-1, -0x1.686c064f27fa9p-1, -0x1.68aa322ff9ea2p-1, -0x1.68e5801ac6166p-1, -0x1.691986d506476p-1, -0x1.6941bc049f34cp-1, -0x1.69598b3db6ad8p-1, -0x1.695c6a22bbdd6p-1, -0x1.6945e999cee42p-1, -0x1.6911c43532ba8p-1, -0x1.68bbe9fd4a06ep-1, -0x1.684089d466389p-1, -0x1.679c18b16438ep-1, -0x1.66cb56ef24373p-1, -0x1.65cb53ed9dd12p-1, -0x1.6499703e4d19dp-1, -0x1.63335e91c6f7dp-1, -0x1.61972397bb526p-1, -0x1.5fc314fdec5bp-1, -0x1.5db5d7b5e9e1cp-1, -0x1.5b6e5da4c4bddp-1, -0x1.58ebe2db94be9p-1, -0x1.562dea73b139dp-1, -0x1.53343b25bfba1p-1, -0x1.4ffedbaf716cp-1, -0x1.4c8e0f18cbc26p-1, -0x1.48e250e7302cap-1, -0x1.44fc514a09a08p-1, -0x1.40dcf14af333ep-1, -0x1.3c853f0972ffbp-1, -0x1.37f67208cf3b2p-1, -0x1.3331e7953c812p-1, -0x1.2e391f44810b8p-1, -0x1.290db795337cdp-1, -0x1.23b16aaeed57p-1, -0x1.1e260b451ad91p-1, -0x1.186d819d83b8dp-1, -0x1.1289c8bb25fd9p-1, -0x1.0c7cebada4842p-1, -0x1.064903052d77p-1, -0x1.ffe064d4fee54p-2, -0x1.f2e94cb4fdad9p-2, -0x1.e5b124093a1bep-2, -0x1.d83c5a96717eep-2, -0x1.ca8f65c9f4f34p-2, -0x1.bcaebd3c4f693p-2, -0x1.ae9ed7719fb03p-2, -0x1.a06426d5626e1p-2, -0x1.920316ef5a462p-2, -0x1.838009cf3d697p-2, -0x1.74df55acc9a29p-2, -0x1.662542b9f1f65p-2, -0x1.57560924cae17p-2, -0x1.4875cf46f34b1p-2, -0x1.3988a8003a07ap-2, -0x1.2a92913a54e35p-2, -0x1.1b97729381406p-2, -0x1.0c9b1c2dfe83cp-2, -0x1.fb428b44c1422p-3, -0x1.dd5b1a258f2c2p-3, -0x1.bf86ecba33a19p-3, -0x1.a1ccd4d4e929fp-3, -0x1.84336d341e476p-3, -0x1.66c1188bcf977p-3, -0x1.497c00bf37698p-3, -0x1.2c6a1647c6966p-3, -0x1.0f910fc65fa7ep-3, -0x1.e5ecd3782cc72p-4, -0x1.ad3ecccf70dccp-4, -0x1.75221b8b0510ap-4, -0x1.3da05b5d4ac31p-4, -0x1.06c2b42c5a68ep-4, -0x1.a123b584900fcp-5, -0x1.362c235f2ff3ap-5, -0x1.995ca96f9fdeep-6, -0x1.92e43207fb3c2p-7, 0x1.a5cf669bd98aap-13, 0x1.9984cccea06c2p-7, 0x1.92d9d3b23b36fp-6, 0x1.2abd9187efe95p-5, 0x1.8a4897f422c4cp-5, 0x1.e804366badde9p-5, 0x1.21f3b6e1a473dp-4, 0x1.4ef5010ef70dbp-4, 0x1.7b023b49c831fp-4, 0x1.a618045da5aa2p-4, 0x1.d033560e852fep-4, 0x1.f95182c724f6dp-4, 0x1.10b8199f6ba6cp-3, 0x1.2446b20c1b5d2p-3, 0x1.3753b1bd39f08p-3, 0x1.49de675343b25p-3, 0x1.5be647c4e1e23p-3, 0x1.6d6aed2774bbbp-3, 0x1.7e6c1577807e1p-3, 0x1.8ee9a1617972bp-3, 0x1.9ee3930b89c2fp-3, 0x1.ae5a0ce0a66fep-3, 0x1.bd4d505d8730fp-3, 0x1.cbbdbcdfd065bp-3, 0x1.d9abce77d27e3p-3, 0x1.e7181cbd44029p-3, 0x1.f40359a7366fdp-3, 0x1.00372833cd2dbp-2, 0x1.062cf2254d0dfp-2, 0x1.0be387ccff6f5p-2, 0x1.115b714271103p-2, 0x1.16954105ed855p-2, 0x1.1b919378eeae2p-2, 0x1.20510e58f301fp-2, 0x1.24d4603cd5fabp-2, 0x1.291c4014b67cdp-2, 0x1.2d296cac78dedp-2, 0x1.30fcac30f7ea5p-2, 0x1.3496cbb7e6289p-2, 0x1.37f89eca7658bp-2, 0x1.3b22fef2c325fp-2, 0x1.3e16cb4c0ba98p-2, 0x1.40d4e815bfe2ap-2, 0x1.435e3e49634c9p-2, 0x1.45b3bb334bbb1p-2, 0x1.47d6500e3a4a2p-2, 0x1.49c6f1a1cc9eap-2, 0x1.4b8697e3cd81ep-2, 0x1.4d163d9c5a48dp-2, 0x1.4e76e00cdecaap-2, 0x1.4fa97e99e5b23p-2, 0x1.50af1a77b6937p-2, 0x1.5188b659ba488p-2, 0x1.52375624a5989p-2, 0x1.52bbfea361cbbp-2, 0x1.5317b53ea58a6p-2, 0x1.534b7fb742dedp-2, 0x1.535863e3161ccp-2, 0x1.533f676c93edfp-2, 0x1.53018f94ec64fp-2, 0x1.529fe0f8b574bp-2, 0x1.521b5f571beb7p-2, 0x1.51750d5b84828p-2, 0x1.50adec699c224p-2, 0x1.4fc6fc6bca28cp-2, 0x1.4ec13ba3f38afp-2, 0x1.4d9da67e8f427p-2, 0x1.4c5d3767f213fp-2, 0x1.4b00e6a3d3719p-2, 0x1.4989aa26f57a7p-2, 0x1.47f87572e9f0dp-2, 0x1.464e3973e21dp-2, 0x1.448be46088bccp-2, 0x1.42b2619bc8176p-2, 0x1.40c29998817c5p-2, 0x1.3ebd71bf1e6ddp-2, 0x1.3ca3cc54f158fp-2, 0x1.3a7688655d80dp-2, 0x1.383681acb4138p-2, 0x1.35e49084bd2dep-2, 0x1.338189d2e00bap-2, 0x1.310e3ef7dda3bp-2, 0x1.2e8b7dc1100dfp-2, 0x1.2bfa105b25e67p-2, 0x1.295abd464a4a8p-2, 0x1.26ae474bafc12p-2, 0x1.23f56d746f8c5p-2, 0x1.2130eb01b578ap-2, 0x1.1e61776628558p-2, 0x1.1b87c640879bfp-2, 0x1.18a487576f505p-2, 0x1.15b866963871ep-2, 0x1.12c40c0aed9c8p-2, 0x1.0fc81be544788p-2, 0x1.0cc5367692bbep-2, 0x1.09bbf832b8245p-2, 0x1.06acf9b1ebd1fp-2, 0x1.0398cfb369ef1p-2, 0x1.00800b20f4737p-2, 0x1.fac672263aaa7p-3, 0x1.f485c5ac9c90fp-3, 0x1.ee3f1be11b38fp-3, 0x1.e7f3784fd391p-3, 0x1.e1a3d7131e59bp-3, 0x1.db512ce2eea3ep-3, 0x1.d4fc6725599d7p-3, 0x1.cea66c003290dp-3, 0x1.c8501a6bb40d8p-3, 0x1.c1fa4a4613eb6p-3, 0x1.bba5cc680e7ap-3, 0x1.b5536aba3a3ccp-3, 0x1.af03e84b34ea6p-3, 0x1.a8b801667cd3cp-3, 0x1.a2706bac06878p-3, 0x1.9c2dd6286e262p-3, 0x1.95f0e96db6543p-3, 0x1.8fba47ac9af2fp-3, 0x1.898a8cce5631fp-3, 0x1.83624e8ed9bcdp-3, 0x1.7d421c976c2f8p-3, 0x1.772a80999cbdcp-3, 0x1.711bfe6a8d0edp-3, 0x1.6b17141e798c7p-3, 0x1.651c3a2481e84p-3, 0x1.5f2be3629cbafp-3, 0x1.59467d51bd46cp-3, 0x1.536c701a11dabp-3, 0x1.4d9e1eaf5f3d2p-3, 0x1.47dbe6ed6400ap-3, 0x1.422621b450144p-3, 0x1.3c7d230530e46p-3, 0x1.36e13a1e5d7b6p-3, 0x1.3152b197d8f56p-3, 0x1.2bd1cf7f9468bp-3, 0x1.265ed575a9c47p-3, 0x1.20fa00c8656dp-3, 0x1.1ba38a9038fa4p-3, 0x1.165ba7cb776c4p-3, 0x1.11228979eff32p-3, 0x1.0bf85cb846becp-3, 0x1.06dd4adb21d31p-3, 0x1.01d1798a0e9d1p-3, 0x1.f9aa15b4603a6p-4, 0x1.efd03ad148205p-4, 0x1.e61598e93aa66p-4, 0x1.dc7a5ff27c241p-4, 0x1.d2feb98e323cap-4, 0x1.c9a2c93ac838p-4, 0x1.c066ac85bdd42p-4, 0x1.b74a7b3cb654bp-4, 0x1.ae4e479dd9697p-4, 0x1.a5721e87923acp-4, 0x1.9cb607a780a2fp-4, 0x1.941a05a8b88bap-4, 0x1.8b9e1661423e3p-4, 0x1.834232fedbd41p-4, 0x1.7b065032f21a3p-4, 0x1.72ea5e5dd6885p-4, 0x1.6aee49b92d8ccp-4, 0x1.6311fa81925b5p-4, 0x1.5b55551f72e3dp-4, 0x1.53b83a4f1d3fep-4, 0x1.4c3a874802d1bp-4, 0x1.44dc15e32ef6dp-4, 0x1.3d9cbcc0ee515p-4, 0x1.367c4f6dabc1fp-4, 0x1.2f7a9e85fdcb7p-4, 0x1.289777d9e8988p-4, 0x1.21d2a68f52e1ap-4, 0x1.1b2bf343afcf9p-4, 0x1.14a3242cdcf8bp-4, 0x1.0e37fd3936c3ap-4, 0x1.07ea402ee4f0ap-4, 0x1.01b9acca5e3c2p-4, 0x1.f74c01b84ce2ap-5, 0x1.eb5df0cb9106cp-5, 0x1.dfa89b6c17efdp-5, 0x1.d42b7308d688ep-5, 0x1.c8e5e61793c77p-5, 0x1.bdd76048d931fp-5, 0x1.b2ff4aba6e17fp-5, 0x1.a85d0c28615b1p-5, 0x1.9df0091ca3e46p-5, 0x1.93b7a41d3b2a6p-5, 0x1.89b33dd90e3d8p-5, 0x1.7fe235535627fp-5, 0x1.7643e80daeceap-5, 0x1.6cd7b230d8848p-5, 0x1.639ceeb424ad5p-5, 0x1.5a92f7839a75fp-5, 0x1.51b925a4d3fb1p-5, 0x1.490ed15a9d5f4p-5, 0x1.4093524758fa7p-5, 0x1.3845ff8e2bcd8p-5, 0x1.30262ff2ff99p-5, 0x1.283339f95603dp-5, 0x1.206c7401fb3e9p-5, 0x1.18d13467987e9p-5, 0x1.1160d19a2e671p-5, 0x1.0a1aa2397bf4p-5, 0x1.02fdfd2e57e23p-5, 0x1.f8147386073a9p-6, 0x1.ea7d5f74f5094p-6, 0x1.dd356ecd8ca66p-6, 0x1.d03b537cb7a89p-6, 0x1.c38dc0e10ddf1p-6, 0x1.b72b6bf1d8c0fp-6, 0x1.ab130b6447223p-6, 0x1.9f4357cee42cfp-6, 0x1.93bb0bcb5741bp-6, 0x1.8878e416774b3p-6, 0x1.7d7b9faec1027p-6, 0x1.72c1fff139475p-6, 0x1.684ac8b4bfc8p-6, 0x1.5e14c063e712ap-6, 0x1.541eb015542ep-6, 0x1.4a6763a2b3183p-6, 0x1.40eda9be4b6cbp-6, 0x1.37b054073c3c7p-6, 0x1.2eae371c6dde3p-6, 0x1.25e62aae3a6b7p-6, 0x1.1d57098ee36e9p-6, 0x1.14ffb1c1d13d9p-6, 0x1.0cdf0489af01p-6, 0x1.04f3e67567a0bp-6, 0x1.fa7a7ed81c45fp-7, 0x1.eb73f56f6e42ap-7, 0x1.dcd20e1eae0a6p-7, 0x1.ce92ad3f37cf3p-7, 0x1.c0b3be25b498ap-7, 0x1.b3333330261b6p-7, 0x1.a60f05d21f516p-7, 0x1.9945369f52a2ep-7, 0x1.8cd3cd5483b2fp-7, 0x1.80b8d8ded18d1p-7, 0x1.74f26f618bdf2p-7, 0x1.697eae3a89643p-7, 0x1.5e5bba0516064p-7, 0x1.5387be9b8831p-7, 0x1.4900ef178a01p-7, 0x1.3ec585d120289p-7, 0x1.34d3c45c7e05ep-7, 0x1.2b29f386b9c6dp-7, 0x1.21c663516170ep-7, 0x1.18a76aed06a02p-7, 0x1.0fcb68b2c84c2p-7, 0x1.0730c21ce6d3ap-7, 0x1.fdabc77ce0305p-8, 0x1.ed728274151f9p-8, 0x1.ddb2aa6fdabf6p-8, 0x1.ce6942b61e6b1p-8, 0x1.bf935c6b2a533p-8, 0x1.b12e1679174f5p-8, 0x1.a3369d75ea19fp-8, 0x1.95aa2b886859bp-8, 0x1.8886084bbd1b9p-8, 0x1.7bc788b1fb1a7p-8, 0x1.6f6c0ee58fae8p-8, 0x1.63710a29b670fp-8, 0x1.57d3f6b9fe768p-8, 0x1.4c925da8eea42p-8, 0x1.41a9d4bddb214p-8, 0x1.3717fe51f96acp-8, 0x1.2cda892cbff89p-8, 0x1.22ef305fa181ep-8, 0x1.1953bb21308aap-8, 0x1.1005fca7b6336p-8, 0x1.0703d4034b385p-8, 0x1.fc9657eefc305p-9, 0x1.ebb3f5a9246cap-9, 0x1.db5c84a0c7045p-9, 0x1.cb8c1ebded9a8p-9, 0x1.bc3ef4158ed83p-9, 0x1.ad714a99a6828p-9, 0x1.9f1f7dc8f01dep-9, 0x1.9145fe5e492f9p-9, 0x1.83e151ffd2c15p-9, 0x1.76ee12ede4bbfp-9, 0x1.6a68efb1dc1a7p-9, 0x1.5e4eaaccdefa8p-9, 0x1.529c1a669b9cap-9, 0x1.474e27fc1696cp-9, 0x1.3c61d00e913c6p-9, 0x1.31d421d29ebfbp-9, 0x1.27a23edf689d1p-9, 0x1.1dc95ade3843ep-9, 0x1.1446bb3a4b9f8p-9, 0x1.0b17b6d10201ap-9, 0x1.0239b5a26cb1cp-9, 0x1.f35461049843dp-10, 0x1.e2cd619302388p-10, 0x1.d2d9a00ffc93dp-10, 0x1.c3746f6e82cc9p-10, 0x1.b49941daba3f4p-10, 0x1.a643a8212cebbp-10, 0x1.986f51174754bp-10, 0x1.8b1809052163cp-10, 0x1.7e39b91097f18p-10, 0x1.71d066a9d3187p-10, 0x1.65d832f92cf02p-10, 0x1.5a4d5a4ea1392p-10, 0x1.4f2c3392af73bp-10, 0x1.44712fb8d5ab3p-10, 0x1.3a18d93394317p-10, 0x1.301fd36a166ffp-10, 0x1.2682da2f722cep-10, 0x1.1d3ec13b9de94p-10, 0x1.145073a60d766p-10, 0x1.0bb4f36201233p-10, 0x1.036958bc90dbap-10, 0x1.f6d5a3b8f634ep-11, 0x1.e76d44874e7bcp-11, 0x1.d89444a4ef3cdp-11, 0x1.ca457d99b988ep-11, 0x1.bc7bf0c26aac4p-11, 0x1.af32c661ee0b3p-11, 0x1.a2654cb64d62fp-11, 0x1.960ef71139939p-11, 0x1.8a2b5cf434baep-11, 0x1.7eb639305719ep-11, 0x1.73ab6909b6dddp-11, 0x1.6906eb5e6a40dp-11, 0x1.5ec4dfd129676p-11, 0x1.54e185f7893afp-11, 0x1.4b593c8bd060cp-11, 0x1.422880a261598p-11, 0x1.394bece2b6684p-11, 0x1.30c038c3ed018p-11, 0x1.288237ccd9188p-11, 0x1.208ed8d79fa03p-11, 0x1.18e32558cda8p-11, 0x1.117c40a9ebdcep-11, 0x1.0a5767578364ep-11, 0x1.0371ee729248p-11, 0x1.f99285cac4aecp-12, 0x1.ecb5d1978598cp-12, 0x1.e048f59d2f1f1p-12, 0x1.d44753056ecd8p-12, 0x1.c8ac759627458p-12, 0x1.bd74127c3b2c6p-12, 0x1.b29a071cc784cp-12, 0x1.a81a57ecba14cp-12, 0x1.9df12f4eb0084p-12, 0x1.941adc770e66fp-12, 0x1.8a93d2563f316p-12, 0x1.8158a68901237p-12, 0x1.7866104eb5d7p-12, 0x1.6fb8e7859a758p-12, 0x1.674e23acdd772p-12, 0x1.5f22daec701a7p-12, 0x1.573441228f148p-12, 0x1.4f7fa6f6e3661p-12, 0x1.480278f32951fp-12, 0x1.40ba3ea14d3e5p-12, 0x1.39a499aee3eebp-12, 0x1.32bf4515ec85fp-12, 0x1.2c08144ac7993p-12, 0x1.257cf26f4c5b7p-12, 0x1.1f1be18aebabfp-12, 0x1.18e2f9c7c51a1p-12, 0x1.12d068b4a05d9p-12, 0x1.0ce2708baf555p-12, 0x1.0717677e0cd88p-12, 0x1.016db703d85f6p-12, 0x1.f7c7b661c3d01p-13, 0x1.ecf0c41ba48c6p-13, 0x1.e253d5eb652ffp-13, 0x1.d7ee4bef90211p-13, 0x1.cdbda67b55c0dp-13, 0x1.c3bf84eb0621ap-13, 0x1.b9f1a480bab76p-13, 0x1.b051df48f65bbp-13, 0x1.a6de2b072187cp-13, 0x1.9d949829b7875p-13, 0x1.947350c5fde9dp-13, 0x1.8b78979b1928bp-13, 0x1.82a2c71c67fd8p-13, 0x1.79f05082eadd1p-13, 0x1.715fbae5a4abfp-13, 0x1.68efa258c4f0fp-13, 0x1.609eb71373e22p-13, 0x1.586bbc9c2b965p-13, 0x1.505588fb6768ep-13, 0x1.485b03f4913ddp-13, 0x1.407b264507b8dp-13, 0x1.38b4f8e91b2c5p-13, 0x1.31079466d99f7p-13, 0x1.2972201e8d182p-13, 0x1.21f3d1a0cf55fp-13, 0x1.1a8bec0a050fp-13, 0x1.1339bf632cdd3p-13, 0x1.0bfca807d86d7p-13, 0x1.04d40e113a521p-13, 0x1.fb7ec98c41affp-14, 0x1.ed7c541f7e7bp-14, 0x1.df9fcbe662f54p-14, 0x1.d1e8541f1b22dp-14, 0x1.c4552240e62cep-14, 0x1.b6e57d09ed6e8p-14, 0x1.a998bb958f094p-14, 0x1.9c6e447afcd6dp-14, 0x1.8f658cf3e4c71p-14, 0x1.827e180af79d8p-14, 0x1.75b775d216067p-14, 0x1.6911429feee06p-14, 0x1.5c8b2654dfb5p-14, 0x1.5024d3a6e1e06p-14, 0x1.43de077454d88p-14, 0x1.37b6881d76ecp-14, 0x1.2bae24e4597dep-14, 0x1.1fc4b55327202p-14, 0x1.13fa18a88aeafp-14, 0x1.084e354a0c908p-14, 0x1.f981f07871a86p-15, 0x1.e2a4a940cf781p-15, 0x1.cc04866ff0a1dp-15, 0x1.b5a183d9b5502p-15, 0x1.9f7ba6be776d2p-15, 0x1.8992fcf062227p-15, 0x1.73e79c0272b9ap-15, 0x1.5e79a080dcf77p-15, 0x1.49492d3288ba8p-15, 0x1.34566a635ea43p-15, 0x1.1fa185371efcap-15, 0x1.0b2aaf047f144p-15, 0x1.ede439708b9adp-16, 0x1.c5f00c8057b81p-16, 0x1.9e794bfa6c746p-16, 0x1.7780707ab0c4bp-16, 0x1.5105f578282c5p-16, 0x1.2b0a5853c93bcp-16, 0x1.058e1774694bbp-16, 0x1.c12362deafb6ap-17, 0x1.782b487a56ee6p-17, 0x1.3034d8f4bb9aap-17, 0x1.d28212cd3f44dp-18, 0x1.46a192ed035fp-18, 0x1.7994086f150cdp-19, 0x1.a7e94763f52ap-21, -0x1.430d3a34803a4p-20, -0x1.a8eb8b555547dp-19, -0x1.5618b59d0b372p-18, -0x1.d5aaaf0ce030bp-18, -0x1.29952dda705dcp-17, -0x1.674b3fedeb01bp-17, -0x1.a3f6fdd7b1398p-17, -0x1.df97e64076407p-17, -0x1.0d16c3796e8f8p-16, -0x1.29dbbeaee6197p-16, -0x1.461abb84be3f7p-16, -0x1.61d398fff9484p-16, -0x1.7d063e94a2ee3p-16, -0x1.97b29c4e3108bp-16, -0x1.b1d8aaf24e964p-16, -0x1.cb786c1e6122ep-16, -0x1.e491ea5ffc6dp-16, -0x1.fd2539487d34fp-16, -0x1.0a993abe0779ep-15, -0x1.165ce25e2436bp-15, -0x1.21ddaaf74dd2fp-15, -0x1.2d1bb08f685a9p-15, -0x1.381713bed878ep-15, -0x1.42cff9ae12bb3p-15, -0x1.4d468c1174b78p-15, -0x1.577af92383788p-15, -0x1.616d739da247bp-15, -0x1.6b1e32af5ab13p-15, -0x1.748d71f448daap-15, -0x1.7dbb7168bf449p-15, -0x1.86a8755d36dcp-15, -0x1.8f54c6689e753p-15, -0x1.97c0b15999e58p-15, -0x1.9fec8726c3d51p-15, -0x1.a7d89cde03934p-15, -0x1.af854b9305578p-15, -0x1.b6f2f04ce580fp-15, -0x1.be21ebf31f684p-15, -0x1.c512a339cb4a2p-15, -0x1.cbc57e8d3d4f3p-15, -0x1.d23ae9fd0d41bp-15, -0x1.d87355269c8e8p-15, -0x1.de6f331f1d74dp-15, -0x1.e42efa5d2e7afp-15, -0x1.e9b324a213e47p-15, -0x1.eefc2ee29715p-15, -0x1.f40a992f9a4adp-15, -0x1.f8dee69e6b7edp-15, -0x1.fd799d30d9a89p-15, -0x1.00eda2de8f635p-14, -0x1.030235ead0c64p-14, -0x1.04faced84badbp-14, -0x1.06d7b607c935ep-14, -0x1.0899351380699p-14, -0x1.0a3f96c2d2878p-14, -0x1.0bcb26fe06eb6p-14, -0x1.0d3c32c20b77cp-14, -0x1.0e9308143ac3cp-14, -0x1.0fcff5f62d17dp-14, -0x1.10f34c59957bfp-14, -0x1.11fd5c142eceep-14, -0x1.12ee76d3ba285p-14, -0x1.13c6ef121306bp-14, -0x1.1487180959d4ap-14, -0x1.152f45a837493p-14, -0x1.15bfcc863be35p-14, -0x1.163901d85c09ap-14, -0x1.169b3b658bde7p-14, -0x1.16e6cf7b7a9a8p-14, -0x1.171c14e37279cp-14, -0x1.173b62d75ab35p-14, -0x1.174510f6dfd18p-14, -0x1.1739773cc2c3fp-14, -0x1.1718edf44f65dp-14, -0x1.16e3cdaefccf3p-14, -0x1.169a6f3a37151p-14, -0x1.163d2b9554cffp-14, -0x1.15cc5be7b7b03p-14, -0x1.154859771ad45p-14, -0x1.14b17d9e0dfa2p-14, -0x1.140821c29f2ap-14, }}, 
      {{-0x1.678905d6cefd5p-1, -0x1.67908e6332259p-1, -0x1.679cd0f12f018p-1, -0x1.67ad5f523f229p-1, -0x1.67c1a52be8b11p-1, -0x1.67d8eca3b0f41p-1, -0x1.67f2635d09729p-1, -0x1.680d1f86b4a47p-1, -0x1.682824c8a7856p-1, -0x1.684268f260c28p-1, -0x1.685ad8550877p-1, -0x1.687059bd2ae81p-1, -0x1.6881d2063643p-1, -0x1.688e274671497p-1, -0x1.6894439569f9cp-1, -0x1.689317711c7fdp-1, -0x1.68899bc781f62p-1, -0x1.6876d3ab2945dp-1, -0x1.6859cdb9e6aa8p-1, -0x1.6831a53ccfeep-1, -0x1.67fd8308a3e96p-1, -0x1.67bc9e257c4a6p-1, -0x1.676e3c445188bp-1, -0x1.6711b2086b726p-1, -0x1.66a6632a63126p-1, -0x1.662bc279e707p-1, -0x1.65a151c2f873cp-1, -0x1.6506a19ae1bap-1, -0x1.645b5118bcd76p-1, -0x1.639f0d7cefc84p-1, -0x1.62d191caac3e8p-1, -0x1.61f2a6561d798p-1, -0x1.61022049a364ap-1, -0x1.5fffe1242b6ap-1, -0x1.5eebd63273aabp-1, -0x1.5dc5f804cdacep-1, -0x1.5c8e49e2b4063p-1, -0x1.5b44d93d65c69p-1, -0x1.59e9bd227cd4bp-1, -0x1.587d15af60d9ap-1, -0x1.56ff0b8647194p-1, -0x1.556fcf455b208p-1, -0x1.53cf9900907d2p-1, -0x1.521ea7be826ep-1, -0x1.505d40f8ba9c9p-1, -0x1.4e8bb01f9f4cbp-1, -0x1.4caa46223ce96p-1, -0x1.4ab958fa155eep-1, -0x1.48b9433b0daaap-1, -0x1.46aa63a78f675p-1, -0x1.448d1cc8e524dp-1, -0x1.4261d48bd7edap-1, -0x1.4028f3e18a041p-1, -0x1.3de2e66483ap-1, -0x1.3b901a01ebf6p-1, -0x1.3930fea6d8192p-1, -0x1.36c605f1a01b4p-1, -0x1.344fa2e724ddfp-1, -0x1.31ce49abee9cbp-1, -0x1.2f426f410a75bp-1, -0x1.2cac89448fa1ap-1, -0x1.2a0d0db5ac77ep-1, -0x1.276472bc23b7ap-1, -0x1.24b32e731b85p-1, -0x1.21f9b6b721bbdp-1, -0x1.1f3880f749aacp-1, -0x1.1c700209446d8p-1, -0x1.19a0ae005b0cbp-1, -0x1.16caf80728be6p-1, -0x1.13ef523c002aep-1, -0x1.110e2d8fd8865p-1, -0x1.0e27f9a7af25dp-1, -0x1.0b3d24c03bb1dp-1, -0x1.084e1b93e4457p-1, -0x1.055b4942d1269p-1, -0x1.0265173d0dd75p-1, -0x1.fed7da5d35d2ap-2, -0x1.f8e061dab6eedp-2, -0x1.f2e48cd18f3dbp-2, -0x1.ece51f3698e1ap-2, -0x1.e6e2d8fa8ea75p-2, -0x1.e0de75f30947ap-2, -0x1.dad8adc6614abp-2, -0x1.d4d233da4d872p-2, -0x1.cecbb7451555dp-2, -0x1.c8c5e2c13dda2p-2, -0x1.c2c15ca3826d8p-2, -0x1.bcbec6d3015p-2, -0x1.b6bebec37ac08p-2, -0x1.b0c1dd71817ffp-2, -0x1.aac8b76081ec5p-2, -0x1.a4d3dc9a846dap-2, -0x1.9ee3d8b18f10bp-2, -0x1.98f932c28beacp-2, -0x1.93146d799e499p-2, -0x1.8d360717cd9dcp-2, -0x1.875e7979f021fp-2, -0x1.818e3a20bd7f8p-2, -0x1.7bc5ba39fa0afp-2, -0x1.760566aaa1173p-2, -0x1.704da81a019d6p-2, -0x1.6a9ee2fdb4288p-2, -0x1.64f977a65fe6fp-2, -0x1.5f5dc24d3b878p-2, -0x1.59cc1b22399d1p-2, -0x1.5444d65ad3c6fp-2, -0x1.4ec8444163e7dp-2, -0x1.4956b14503f13p-2, -0x1.43f06609dc83dp-2, -0x1.3e95a779e426bp-2, -0x1.3946b6d5f9886p-2, -0x1.3403d1c74f1dfp-2, -0x1.2ecd327123b8p-2, -0x1.29a30f82b75ap-2, -0x1.24859c497628ep-2, -0x1.1f7508c351887p-2, -0x1.1a7181b13d48cp-2, -0x1.157b30a9c7a78p-2, -0x1.10923c2bcad3fp-2, -0x1.0bb6c7b126cd8p-2, -0x1.06e8f3c188749p-2, -0x1.0228de052e682p-2, -0x1.faed42af53dcp-3, -0x1.f1a4abb52a9a5p-3, -0x1.e878221077488p-3, -0x1.df67cb8c54a4dp-3, -0x1.d673c8ef59a5bp-3, -0x1.cd9c36204c953p-3, -0x1.c4e12a4a9a5c1p-3, -0x1.bc42b8028308dp-3, -0x1.b3c0ed68ec9dcp-3, -0x1.ab5bd44eeb1bcp-3, -0x1.a3137258de1d3p-3, -0x1.9ae7c9212f721p-3, -0x1.92d8d65aa90fap-3, -0x1.8ae693f25b4a2p-3, -0x1.8310f8310fd3ap-3, -0x1.7b57f5dc4a621p-3, -0x1.73bb7c56c8e88p-3, -0x1.6c3b77c0898cbp-3, -0x1.64d7d1164f4eep-3, -0x1.5d906e50a4833p-3, -0x1.566532825331dp-3, -0x1.4f55fdf65b485p-3, -0x1.4862ae4d5889ap-3, -0x1.418b1e9a61083p-3, -0x1.3acf277f535ebp-3, -0x1.342e9f489d731p-3, -0x1.2da95a0866a74p-3, -0x1.273f29b13b607p-3, -0x1.20efde3017961p-3, -0x1.1abb4585ed6fdp-3, -0x1.14a12be091141p-3, -0x1.0ea15bb31a5d2p-3, -0x1.08bb9dcdb1e6ep-3, -0x1.02efb974cebc3p-3, -0x1.fa7ae8efc7856p-4, -0x1.ef49268efd4f8p-4, -0x1.e449b215a7cfdp-4, -0x1.d97c0f6984ff7p-4, -0x1.cedfc0308b314p-4, -0x1.c47443f8c1051p-4, -0x1.ba39185eea496p-4, -0x1.b02db9343b0e3p-4, -0x1.a651a0a2e8726p-4, -0x1.9ca44751ae0a5p-4, -0x1.932524864ebc4p-4, -0x1.89d3ae470e6eap-4, -0x1.80af597b1bbd2p-4, -0x1.77b79a0a04cb7p-4, -0x1.6eebe2fa29a9cp-4, -0x1.664ba68e3382ap-4, -0x1.5dd65661987b8p-4, -0x1.558b63842ab3p-4, -0x1.4d6a3e94b8592p-4, -0x1.457257dac307dp-4, -0x1.3da31f5f4d4f7p-4, -0x1.35fc0504c76efp-4, -0x1.2e7c789e1c193p-4, -0x1.2723ea04e2078p-4, -0x1.1ff1c92eb854cp-4, -0x1.18e58641cdfa5p-4, -0x1.11fe91a89ce22p-4, -0x1.0b3c5c24d93ffp-4, -0x1.049e56e19be36p-4, -0x1.fc47e70993eeap-5, -0x1.ef99487f7ddfdp-5, -0x1.e32fb7be7accep-5, -0x1.d70a1bb554d0ep-5, -0x1.cb275cc52e89dp-5, -0x1.bf8664dd3d8bap-5, -0x1.b4261f9532b32p-5, -0x1.a9057a465817cp-5, -0x1.9e2364236e1b9p-5, -0x1.937ece4f50bfap-5, -0x1.8916abf267589p-5, -0x1.7ee9f24eeed3ap-5, -0x1.74f798d422c45p-5, -0x1.6b3e993047b12p-5, -0x1.61bdef61aaae7p-5, -0x1.587499c690a49p-5, -0x1.4f61992c2626cp-5, -0x1.4683f0dc72a99p-5, -0x1.3ddaa6ab594ep-5, -0x1.3564c302aa6bfp-5, -0x1.2d2150ed52858p-5, -0x1.250f5e21a91b8p-5, -0x1.1d2dfb0ae7d2ep-5, -0x1.157c3ad1d36c6p-5, -0x1.0df93364968e4p-5, -0x1.06a3fd7ddccc1p-5, -0x1.fef7695662315p-6, -0x1.f0feeea5442eep-6, -0x1.e35ccd6f74c1bp-6, -0x1.d60f4dff9a27p-6, -0x1.c914be6b3b774p-6, -0x1.bc6b7298d7515p-6, -0x1.b011c444c86aap-6, -0x1.a406130504af6p-6, -0x1.9846c44bc5b9ep-6, -0x1.8cd243691b54cp-6, -0x1.81a7018b815dep-6, -0x1.76c375bf77a0bp-6, -0x1.6c261cee29bc4p-6, -0x1.61cd79db30ed4p-6, -0x1.57b815217dd0cp-6, -0x1.4de47d2f68018p-6, -0x1.44514641fce67p-6, -0x1.3afd0a5f86a7ep-6, -0x1.31e66951611c4p-6, -0x1.290c089d1a90ap-6, -0x1.206c937cf41f6p-6, -0x1.1806bad7bca9dp-6, -0x1.0fd935381adcp-6, -0x1.07e2bec345864p-6, -0x1.0022192f34dcp-6, -0x1.f12c1770a73eap-7, -0x1.e27ac62d71596p-7, -0x1.d42de2e5d49d1p-7, -0x1.c6431cb479df8p-7, -0x1.b8b82d658978ep-7, -0x1.ab8ad95ddd3p-7, -0x1.9eb8ef817c9a5p-7, -0x1.924049197200dp-7, -0x1.861ec9b908ae9p-7, -0x1.7a525f227610ap-7, -0x1.6ed9012b09cd6p-7, -0x1.63b0b19ed828p-7, -0x1.58d77c23fad71p-7, -0x1.4e4b761d684cdp-7, -0x1.440abe8d717d9p-7, -0x1.3a137df7e5ffbp-7, -0x1.3063e643f4e5cp-7, -0x1.26fa329dc325ap-7, -0x1.1dd4a757cb88p-7, -0x1.14f191cc09ad8p-7, -0x1.0c4f483cf9baep-7, -0x1.03ec29b6748dcp-7, -0x1.f78d3bdcda86ap-8, -0x1.e7ba2a4b31043p-8, -0x1.d85c101006e1dp-8, -0x1.c96fef1b403e8p-8, -0x1.baf2d9b59b21fp-8, -0x1.ace1f241c0fbfp-8, -0x1.9f3a6afd67574p-8, -0x1.91f985c28680bp-8, -0x1.851c93c8b165p-8, -0x1.78a0f566987f9p-8, -0x1.6c8419d3c003ep-8, -0x1.60c37eea73633p-8, -0x1.555cb0e9fb87cp-8, -0x1.4a4d4a3921587p-8, -0x1.3f92f32905848p-8, -0x1.352b61b84f929p-8, -0x1.2b145956c0db3p-8, -0x1.214baaa92c001p-8, -0x1.17cf334ddc6a9p-8, -0x1.0e9cdda16e18fp-8, -0x1.05b2a0841e745p-8, -0x1.fa1cfe3f31fffp-9, -0x1.e95d115a90a81p-9, -0x1.d921b07a5364ep-9, -0x1.c96728fa56c12p-9, -0x1.ba29df0235ac5p-9, -0x1.ab664d1643d36p-9, -0x1.9d1903a9b136p-9, -0x1.8f3ea8b1dffa6p-9, -0x1.81d3f73aea3f9p-9, -0x1.74d5befd68414p-9, -0x1.6840e3f56caadp-9, -0x1.5c125dfacace1p-9, -0x1.5047385a9d2b8p-9, -0x1.44dc91721c9f7p-9, -0x1.39cf9a4abcf1ap-9, -0x1.2f1d96379dfadp-9, -0x1.24c3da744dfefp-9, -0x1.1abfcdc4db8c3p-9, -0x1.110ee81744f1bp-9, -0x1.07aeb22633d9fp-9, -0x1.fd398a3a383c1p-10, -0x1.ebad947b4e99fp-10, -0x1.dab4f50d07f78p-10, -0x1.ca4b3cb70b747p-10, -0x1.ba6c1a5e48a06p-10, -0x1.ab135a5a9cdedp-10, -0x1.9c3ce5cf31baep-10, -0x1.8de4c2058585ep-10, -0x1.80070fcb21a26p-10, -0x1.72a00ad1ff9c2p-10, -0x1.65ac09138d48ap-10, -0x1.59277a365c545p-10, -0x1.4d0ee6f678ba1p-10, -0x1.415ef0904c406p-10, -0x1.3614502e2fa35p-10, -0x1.2b2bd65880e1fp-10, -0x1.20a26a6854146p-10, -0x1.167509fcacc68p-10, -0x1.0ca0c8723eb73p-10, -0x1.0322ce5db197dp-10, -0x1.f3f0b210b7463p-11, -0x1.e23d73def40e1p-11, -0x1.d126ac8ba9199p-11, -0x1.c0a74cef99392p-11, -0x1.b0ba6b63a17dbp-11, -0x1.a15b42d25acbbp-11, -0x1.928531ce6a4acp-11, -0x1.8433b9ad7079ep-11, -0x1.76627da78dad7p-11, -0x1.690d41fb6aa05p-11, -0x1.5c2feb16b75b6p-11, -0x1.4fc67cc31651ap-11, -0x1.43cd19575e12bp-11, -0x1.384000ed2a5eep-11, -0x1.2d1b909aa9b32p-11, -0x1.225c41b09a3cap-11, -0x1.17fea8fc65c49p-11, -0x1.0dff760e50de1p-11, -0x1.045b7283aa6bcp-11, -0x1.f61f02a9e0eb2p-12, -0x1.e4313c4faec4fp-12, -0x1.d2e7b94a511f1p-12, -0x1.c23ccfa4cb97fp-12, -0x1.b22b02de47fc8p-12, -0x1.a2ad02ac1f52bp-12, -0x1.93bda9c31141ap-12, -0x1.8557fca794aeap-12, -0x1.77772885181e6p-12, -0x1.6a16820c2458dp-12, -0x1.5d318457311e6p-12, -0x1.50c3cfd61ee07p-12, -0x1.44c929402c8p-12, -0x1.393d788c528edp-12, -0x1.2e1cc7efe3a5ep-12, -0x1.236342e3597f4p-12, -0x1.190d352d28184p-12, -0x1.0f1709f28ab2cp-12, -0x1.057d4ace1d3a4p-12, -0x1.f8793dd862c21p-13, -0x1.e6a3945987fcap-13, -0x1.d5735895d7e29p-13, -0x1.c4e280136f75p-13, -0x1.b4eb34cca19f1p-13, -0x1.a587d39ea4652p-13, -0x1.96b2eac26bdcp-13, -0x1.8867384f7b103p-13, -0x1.7a9fa8c87c076p-13, -0x1.6d5755b16f1e1p-13, -0x1.6089842f30e8ap-13, -0x1.5431a3b039c3ep-13, -0x1.484b4c9e546ecp-13, -0x1.3cd23f1927a55p-13, -0x1.31c261b9574a8p-13, -0x1.2717c05c1d9a7p-13, -0x1.1cce8af719bdfp-13, -0x1.12e314743d3a9p-13, -0x1.0951d1959764dp-13, -0x1.001757e0dbb4fp-13, -0x1.ee60b924edb3p-14, -0x1.dd33673012371p-14, -0x1.cca09d2427423p-14, -0x1.bca277b96cab7p-14, -0x1.ad334b3ea844bp-14, -0x1.9e4da1c5ec8dfp-14, -0x1.8fec395e7d1cp-14, -0x1.820a025b9a4cap-14, -0x1.74a21da7d80b8p-14, -0x1.67afdb24b8802p-14, -0x1.5b2eb816406c4p-14, -0x1.4f1a5d9a3be9ep-14, -0x1.436e9f2aebd56p-14, -0x1.3827792cd5a31p-14, -0x1.2d410f876f8c7p-14, -0x1.22b7ac4867b05p-14, -0x1.1887be513f2c6p-14, -0x1.0eadd80efd61p-14, -0x1.0526ae3bb5d61p-14, -0x1.f7de2d534b56dp-15, -0x1.e6080e2f52547p-15, -0x1.d4c5281d98721p-15, -0x1.c40fdf917a9dfp-15, -0x1.b3e2d23dc9807p-15, -0x1.a438d503d569cp-15, -0x1.950cf1f2e501dp-15, -0x1.865a6657a87bp-15, -0x1.781ca0db40ccp-15, -0x1.6a4f3fb16f931p-15, -0x1.5cee0ed58897bp-15, -0x1.4ff50655c5716p-15, -0x1.436048ac8f984p-15, -0x1.372c212768f86p-15, -0x1.2b55025b11bfp-15, -0x1.1fd784a48e123p-15, -0x1.14b064b6b143cp-15, -0x1.09dc8233d9786p-15, -0x1.feb1bca7041a2p-16, -0x1.ea453526b3b93p-16, -0x1.d66deee715c79p-16, -0x1.c326a67bc5d95p-16, -0x1.b06a51af19173p-16, -0x1.9e341d3a20c0bp-16, -0x1.8c7f6a9097792p-16, -0x1.7b47cdc036f43p-16, -0x1.6a890b62ddf68p-16, -0x1.5a3f16a2f5d4dp-16, -0x1.4a660f519f1bap-16, -0x1.3afa400e0a724p-16, -0x1.2bf81c7d91a44p-16, -0x1.1d5c3f9402dbfp-16, -0x1.0f2369eb9ff51p-16, -0x1.014a802c6d05dp-16, -0x1.e79d13047d725p-17, -0x1.cd595c42542afp-17, -0x1.b3c46bafa7f63p-17, -0x1.9ad90d5e95368p-17, -0x1.8292472fbffd4p-17, -0x1.6aeb56457102cp-17, -0x1.53dfac8f3b28ep-17, -0x1.3d6aee6d55645p-17, -0x1.2788f06b0d8cfp-17, -0x1.1235b50f72f96p-17, -0x1.fadad5873cd0ap-18, -0x1.d258d39bb03bdp-18, -0x1.aade64c1e9373p-18, -0x1.8464d57e7f3a8p-18, -0x1.5ee5bae0a0b3p-18, -0x1.3a5aef1255996p-18, -0x1.16be8e0c22396p-18, -0x1.e815e4d5bdfd3p-19, -0x1.a47564cd44e24p-19, -0x1.629139d33c9fap-19, -0x1.225f6d8bb875fp-19, -0x1.c7ace0233d4b4p-20, -0x1.4dda25aec676ap-20, -0x1.ae6a0efd8e868p-21, -0x1.8eb2434fbb5fep-22, 0x1.99f1922b82914p-25, 0x1.e93c0424c2157p-22, 0x1.c9c1ce77b9a9cp-21, 0x1.4c93cbfc910b3p-20, 0x1.b175b5ca4c9c1p-20, 0x1.09ca15fd27101p-19, 0x1.397e1ec79181p-19, 0x1.67dd43dfb00b1p-19, 0x1.94ed9e1782ec6p-19, 0x1.c0b5136f27911p-19, 0x1.eb3959e867d3fp-19, 0x1.0a3ffd1be0087p-18, 0x1.1e47292a16a25p-18, 0x1.31b4cbf381de3p-18, 0x1.448b6d4e8722dp-18, 0x1.56cd832d0f153p-18, 0x1.687d72a81a6d3p-18, 0x1.799d90fdb374ep-18, 0x1.8a302481c564ap-18, 0x1.9a3765825d54bp-18, 0x1.a9b57f1fd87d2p-18, 0x1.b8ac90197bfe7p-18, 0x1.c71eab8eef40dp-18, 0x1.d50dd9b70d126p-18, 0x1.e27c188c7ed01p-18, 0x1.ef6b5c708cd05p-18, 0x1.fbdd90c48f499p-18, 0x1.03ea4c3d33722p-17, 0x1.09a9274e2d9bcp-17, 0x1.0f2c43666355ep-17, 0x1.147486def1abep-17, 0x1.1982d4d10c6a5p-17, 0x1.1e580d4a8d944p-17, 0x1.22f50d7f1a363p-17, 0x1.275aaff600e76p-17, 0x1.2b89ccb4fbe9dp-17, 0x1.2f833967f9ee1p-17, 0x1.3347c986125f4p-17, 0x1.36d84e73c7f32p-17, 0x1.3a3597a2b9a0cp-17, 0x1.3d6072aee4bap-17, 0x1.4059ab7993adap-17, 0x1.43220c4219badp-17, 0x1.45ba5dbc78b22p-17, 0x1.482367260944p-17, 0x1.4a5dee5843b1fp-17, 0x1.4c6ab7d9c161bp-17, 0x1.4e4a86ed8eabfp-17, 0x1.4ffe1da0e642ep-17, 0x1.51863cd76cad4p-17, 0x1.52e3a455feda3p-17, 0x1.541712cc2fe9cp-17, 0x1.552145dc7a7b9p-17, 0x1.5602fa2354364p-17, 0x1.56bceb3d186dfp-17, 0x1.574fd3cae6bccp-17, 0x1.57bc6d7699951p-17, 0x1.580370f5badc6p-17, 0x1.5825960bb5f7ep-17, 0x1.5823938b348eap-17, 0x1.57fe1f56ba2ecp-17, 0x1.57b5ee609e894p-17, 0x1.574bb4aa57dcbp-17, 0x1.56c0254340c92p-17, 0x1.5613f246bcbbap-17, 0x1.5547ccd9fd3c3p-17, 0x1.545c6529343bep-17, 0x1.53526a6477204p-17, 0x1.522a8abc35b7ep-17, 0x1.50e5735d5ab75p-17, 0x1.4f83d06d25bdp-17, 0x1.4e064d04be48ap-17, 0x1.4c6d932c87247p-17, 0x1.4aba4bd741629p-17, 0x1.48ed1edcfffp-17, 0x1.4706b2f5f33c6p-17, 0x1.4507adb51756bp-17, 0x1.42f0b382c4a33p-17, 0x1.40c267972f221p-17, 0x1.3e7d6bf4d469bp-17, 0x1.3c226162e1466p-17, 0x1.39b1e7679229p-17, 0x1.372c9c429249fp-17, 0x1.34931ce760211p-17, 0x1.31e604f7b87ecp-17, 0x1.2f25eebe0d765p-17, 0x1.2c5373280ddb2p-17, 0x1.296f29c13cbcap-17, 0x1.2679a8ada0aa4p-17, 0x1.237384a489974p-17, 0x1.205d50eb7347cp-17, 0x1.1d379f5102fa3p-17, 0x1.1a03002827393p-17, 0x1.16c0024356cdcp-17, 0x1.136f32eff573ep-17, 0x1.10111df1dc281p-17, 0x1.0ca64d7f095fep-17, 0x1.092f4a3b789a9p-17, 0x1.05ac9b352475bp-17, 0x1.021ec5e0321d8p-17, 0x1.fd0c9c26931f4p-18, 0x1.f5c76c08327d3p-18, 0x1.ee6efc881083fp-18, 0x1.e7044b7a28f6p-18, 0x1.df88535dc2de6p-18, 0x1.d7fc0b57e7e99p-18, 0x1.d060672e3c4d7p-18, 0x1.c8b657423413bp-18, 0x1.c0fec88ca8f32p-18, 0x1.b93aa499ce693p-18, 0x1.b16ad18584a7bp-18, 0x1.a99031f80c10ep-18, 0x1.a1aba52315ccap-18, 0x1.99be06bf337bcp-18, 0x1.91c82f09a4041p-18, 0x1.89caf2c27f7a8p-18, 0x1.81c7232b3c66dp-18, 0x1.79bd8e05926a9p-18, 0x1.71aefd92b6d5bp-18, 0x1.699c3892f3284p-18, 0x1.6186024592a04p-18, 0x1.596d1a6928d74p-18, 0x1.51523d3c2b194p-18, 0x1.4936237de1a43p-18, 0x1.4119826fa99c3p-18, 0x1.38fd0bd688913p-18, 0x1.30e16dfd1273cp-18, 0x1.28c753b59a30fp-18, 0x1.20af645cb2b85p-18, 0x1.189a43dbf8ee6p-18, 0x1.108892ad288fap-18, 0x1.087aeddd7844bp-18, 0x1.0071ef113b775p-18, 0x1.f0dc590f94623p-19, 0x1.e0e0723f53166p-19, 0x1.d0f148b5ec3dp-19, 0x1.c10ff4c81a93cp-19, 0x1.b13d8824e7b9cp-19, 0x1.a17b0ddff0d89p-19, 0x1.91c98a7c1bb67p-19, 0x1.8229fbf6be7fbp-19, 0x1.729d59d3335c4p-19, 0x1.63249526d17aap-19, 0x1.53c098a54dddbp-19, 0x1.447248ad7bdc2p-19, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.b454f10ddf046p-9, -0x1.b41d7d8e42effp-8, -0x1.46c27e12f7279p-7, -0x1.b2efaafe0d666p-7, -0x1.0f1db7c1a93c7p-6, -0x1.441899bcec45bp-6, -0x1.782291a889b26p-6, -0x1.aaec0656d977dp-6, -0x1.dc1df3cefbb1bp-6, -0x1.05ae256c367d9p-5, -0x1.1c24218c725fbp-5, -0x1.314142c10bdc9p-5, -0x1.44d68f96029f8p-5, -0x1.56b69a1dd97cp-5, -0x1.66b637e674f01p-5, -0x1.74ad18c41a059p-5, -0x1.80763e030ef33p-5, -0x1.89f054575853bp-5, -0x1.90fdf3537140fp-5, -0x1.9585c5624d147p-5, -0x1.97729b48bc827p-5, -0x1.96b36e1c17de9p-5, -0x1.933b527212754p-5, -0x1.8d015f57b2e36p-5, -0x1.84008b60e57bep-5, -0x1.783781e34c6d7p-5, -0x1.69a872308cb2ep-5, -0x1.5858da6845864p-5, -0x1.44514f418aaep-5, -0x1.2d9d41f7b3ffcp-5, -0x1.144ac55728d2bp-5, -0x1.f0d4a578dcd4dp-6, -0x1.b41d1f647e8c6p-6, -0x1.72982974ea023p-6, -0x1.2c726b61da5a9p-6, -0x1.c3b7307b2fcfbp-7, -0x1.260c0efd9e322p-7, -0x1.00994b31774dbp-8, 0x1.68d073468c31bp-10, 0x1.c36feb9e92eedp-8, 0x1.9d1a850ce3a8p-7, 0x1.2f66abac7f4c8p-6, 0x1.932d5fb3e26bcp-6, 0x1.f9a626f64a7c9p-6, 0x1.314ad389ac0fdp-5, 0x1.66e04e3138f61p-5, 0x1.9d76075dba8b8p-5, 0x1.d4eec0e292753p-5, 0x1.0696c83eacc43p-4, 0x1.230af9e6cf9b8p-4, 0x1.3fc5f12db66dbp-4, 0x1.5cb9eee3351cap-4, 0x1.79d9801ba58a9p-4, 0x1.9717849669a88p-4, 0x1.b467345e9b6b8p-4, 0x1.d1bc24b1f2591p-4, 0x1.ef0a4c39a3dafp-4, 0x1.0623035030687p-3, 0x1.14b20bc8466d8p-3, 0x1.232cd6926f43ap-3, 0x1.318e30eacd9d4p-3, 0x1.3fd11ef5f386fp-3, 0x1.4df0dc421f255p-3, 0x1.5be8dc14687e7p-3, 0x1.69b4c986089fep-3, 0x1.7750877584592p-3, 0x1.84b8304f98f9ap-3, 0x1.91e815b3420d8p-3, 0x1.9edcbff44b3acp-3, 0x1.ab92ed7f6d429p-3, 0x1.b8079223025dfp-3, 0x1.c437d63f01d07p-3, 0x1.d02115dee1d56p-3, 0x1.dbc0dfbfd14e3p-3, 0x1.e714f4459141cp-3, 0x1.f21b446006bc5p-3, 0x1.fcd1f06393117p-3, 0x1.039ba36afca16p-2, 0x1.08a4e198d00c1p-2, 0x1.0d8406505dee6p-2, 0x1.12387a58f2b5p-2, 0x1.16c1bb03bddbp-2, 0x1.1b1f59818ea23p-2, 0x1.1f50fa372c1dp-2, 0x1.23565410df644p-2, 0x1.272f2fd5a0901p-2, 0x1.2adb677a6a642p-2, 0x1.2e5ae576125e3p-2, 0x1.31ada4161075cp-2, 0x1.34d3acd48a8ep-2, 0x1.37cd17aff4f74p-2, 0x1.3a9a0a8491722p-2, 0x1.3d3ab8680d5bcp-2, 0x1.3faf6107782e9p-2, 0x1.41f85007ce299p-2, 0x1.4415dc6939dbp-2, 0x1.460867ed3e42bp-2, 0x1.47d05e7feeec5p-2, 0x1.496e35a44b203p-2, 0x1.4ae26be3e119dp-2, 0x1.4c2d8841cdf2p-2, 0x1.4d5019b1276ccp-2, 0x1.4e4ab68ee6fabp-2, 0x1.4f1dfc1f5d687p-2, 0x1.4fca8e0f3a3a2p-2, 0x1.505115f82dbcbp-2, 0x1.50b242e92951dp-2, 0x1.50eec8f23fb8ap-2, 0x1.510760b424726p-2, 0x1.50fcc6f34d566p-2, 0x1.50cfbc2ea7626p-2, 0x1.50810439e8028p-2, 0x1.501165db64d47p-2, 0x1.4f81aa6d779c6p-2, 0x1.4ed29d8357febp-2, 0x1.4e050c916cbfdp-2, 0x1.4d19c698fe8d7p-2, 0x1.4c119bd7485b9p-2, 0x1.4aed5d77d11ap-2, 0x1.49addd4a06d81p-2, 0x1.4853ed7a0a9fbp-2, 0x1.46e0604c9be17p-2, 0x1.455407de18e2dp-2, 0x1.43afb5e47ff3ap-2, 0x1.41f43b7464397p-2, 0x1.402268c8c326ep-2, 0x1.3e3b0d0dadde3p-2, 0x1.3c3ef62daf2fcp-2, 0x1.3a2ef0a1e72adp-2, 0x1.380bc744bde7fp-2, 0x1.35d643272ae9fp-2, 0x1.338f2b6872bcp-2, 0x1.313745105352fp-2, 0x1.2ecf52eb8a166p-2, 0x1.2c58156a9f54fp-2, 0x1.29d24a82ec26ap-2, 0x1.273ead91c7617p-2, 0x1.249df741c6482p-2, 0x1.21f0dd72026e7p-2, 0x1.1f38131f564f9p-2, 0x1.1c74484f7a99fp-2, 0x1.19a629fdfa824p-2, 0x1.16ce620ae991ep-2, 0x1.13ed972b4e2f5p-2, 0x1.11046cdb309a2p-2, 0x1.0e1383513e157p-2, 0x1.0b1b7773f37f8p-2, 0x1.081ce2d03c6dp-2, 0x1.05185b917d1adp-2, 0x1.020e747af3dd1p-2, 0x1.fdff79c4ce174p-3, 0x1.f7d9815825584p-3, 0x1.f1ac108f841bap-3, 0x1.eb78315e21e4ap-3, 0x1.e53ee6c980efdp-3, 0x1.df012cea298eep-3, 0x1.d8bff8ee5f4a1p-3, 0x1.d27c391eb9cb3p-3, 0x1.cc36d4e4864dp-3, 0x1.c5f0acd1d649dp-3, 0x1.bfaa9aab329fp-3, 0x1.b9657172c9cc6p-3, 0x1.b321fd751b131p-3, 0x1.ace10456ed30ap-3, 0x1.a6a345249d083p-3, 0x1.a06978629134p-3, 0x1.9a34501ed604cp-3, 0x1.94047803c406cp-3, 0x1.8dda956ba4bbep-3, 0x1.87b747753c08p-3, 0x1.819b271932cc3p-3, 0x1.7b86c7404223bp-3, 0x1.757ab4da1d817p-3, 0x1.6f7776f503ed4p-3, 0x1.697d8ed5ec115p-3, 0x1.638d78114169fp-3, 0x1.5da7a8a417536p-3, 0x1.57cc910dd81e8p-3, 0x1.51fc9c6a52431p-3, 0x1.4c38308c22cfbp-3, 0x1.467fae1767fa3p-3, 0x1.40d3709cbaefap-3, 0x1.3b33ceb45ca8bp-3, 0x1.35a11a19907bep-3, 0x1.301b9fc61c817p-3, 0x1.2aa3a80ddb904p-3, 0x1.253976ba66183p-3, 0x1.1fdd4b26bf62fp-3, 0x1.1a8f605b03b62p-3, 0x1.154fed280cc82p-3, 0x1.101f244302db2p-3, 0x1.0afd3460db5f2p-3, 0x1.05ea4851b708ep-3, 0x1.00e6871c1d99fp-3, 0x1.f7e428301453fp-4, 0x1.ee1a1e139525fp-4, 0x1.e46f28795b383p-4, 0x1.dae3793ad58b5p-4, 0x1.d1773ba8afe45p-4, 0x1.c82a94bea510bp-4, 0x1.befda356c630fp-4, 0x1.b5f0805c28f4dp-4, 0x1.ad033efcfccb2p-4, 0x1.a435ecdbf56bep-4, 0x1.9b88924101f28p-4, 0x1.92fb32496629cp-4, 0x1.8a8dcb170af1ap-4, 0x1.824055ff1bbadp-4, 0x1.7a12c7b7e2d91p-4, 0x1.72051085e1db5p-4, 0x1.6a171c6823193p-4, 0x1.6248d343c14b2p-4, 0x1.5a9a190ea22f7p-4, 0x1.530acdf961c66p-4, 0x1.4b9ace986d162p-4, 0x1.4449f40c49797p-4, 0x1.3d18142907f28p-4, 0x1.3605019ce3f9bp-4, 0x1.2f108c160b256p-4, 0x1.283a80678f6dbp-4, 0x1.2182a8ad82fc8p-4, 0x1.1ae8cc703b9bdp-4, 0x1.146cb0c6c335ap-4, 0x1.0e0e18786e2f8p-4, 0x1.07ccc41da17afp-4, 0x1.01a8723fc0172p-4, 0x1.f741bef091434p-5, 0x1.eb6b8d1e404cap-5, 0x1.dfcdc13017862p-5, 0x1.d467ca1ebb663p-5, 0x1.c93913eba63afp-5, 0x1.be4107d75253ap-5, 0x1.b37f0c95cf30fp-5, 0x1.a8f28681ca2e3p-5, 0x1.9e9ad7ce0f908p-5, 0x1.947760b58618p-5, 0x1.8a877fa9ab0f2p-5, 0x1.80ca917f96944p-5, 0x1.773ff19b88793p-5, 0x1.6de6fa1b0845cp-5, 0x1.64bf03fd9ad4p-5, 0x1.5bc7674c1436p-5, 0x1.52ff7b3e8b2bcp-5, 0x1.4a669660f6411p-5, 0x1.41fc0eb67455cp-5, 0x1.39bf39db4c2c6p-5, 0x1.31af6d25a4c28p-5, 0x1.29cbfdc4fe2eep-5, 0x1.221440e072104p-5, 0x1.1a878bb3c0d34p-5, 0x1.132533ab32d88p-5, 0x1.0bec8e7e531cfp-5, 0x1.04dcf24989b8dp-5, 0x1.fbeb6b4d3eb7ep-6, 0x1.ee6c5f88538cfp-6, 0x1.e13b70f7e0bffp-6, 0x1.d45750d08c379p-6, 0x1.c7beb1f0cee3dp-6, 0x1.bb704907b554p-6, 0x1.af6accb9c1165p-6, 0x1.a3acf5c3eae1fp-6, 0x1.98357f1cd7d66p-6, 0x1.8d0326144e7b3p-6, 0x1.8214aa70f2897p-6, 0x1.7768ce8c5a7f2p-6, 0x1.6cfe576d876d2p-6, 0x1.62d40ce1c6bedp-6, 0x1.58e8b99410463p-6, 0x1.4f3b2b22ebceap-6, 0x1.45ca3234e1077p-6, 0x1.3c94a28b884acp-6, 0x1.339953153f10cp-6, 0x1.2ad71dfd8c063p-6, 0x1.224ce0bc45121p-6, 0x1.19f97c2375e1cp-6, 0x1.11dbd46c18932p-6, 0x1.09f2d141abbfdp-6, 0x1.023d5dccaa213p-6, 0x1.f574d177e692dp-7, 0x1.e6d1c89a5623bp-7, 0x1.d88f8ca8376cp-7, 0x1.caac108244afcp-7, 0x1.bd254e4d5e284p-7, 0x1.aff9477bc4ffbp-7, 0x1.a32604d4a2033p-7, 0x1.96a99679e34e4p-7, 0x1.8a8213ec8fe55p-7, 0x1.7ead9c0f8e6f1p-7, 0x1.732a5528fe035p-7, 0x1.67f66ce226af6p-7, 0x1.5d1018461b06cp-7, 0x1.527593bf11c83p-7, 0x1.482523128171bp-7, 0x1.3e1d115c1e6a8p-7, 0x1.345bb107af3b7p-7, 0x1.2adf5bc9dd1fp-7, 0x1.21a67297fe3b1p-7, 0x1.18af5d9eeab07p-7, 0x1.0ff88c38e973cp-7, 0x1.078074e2c0e3ep-7, 0x1.fe8b2a5fe91d7p-8, 0x1.ee8ce37c7cf91p-8, 0x1.df032c5097cbp-8, 0x1.cfeb29ef95a62p-8, 0x1.c1420f2da0463p-8, 0x1.b3051c8143c65p-8, 0x1.a5319fe3df743p-8, 0x1.97c4f4b101f1ep-8, 0x1.8abc8384c5c43p-8, 0x1.7e15c21940dfep-8, 0x1.71ce332312c12p-8, 0x1.65e3662d28b18p-8, 0x1.5a52f773c2ef2p-8, 0x1.4f1a8fbecc27bp-8, 0x1.4437e43b8f631p-8, 0x1.39a8b655e0e8ep-8, 0x1.2f6ad390c00a1p-8, 0x1.257c155e841bp-8, 0x1.1bda60f8a06ffp-8, 0x1.1283a7370a565p-8, 0x1.0975e4674e8d4p-8, 0x1.00af202360a84p-8, 0x1.f05ada505cfa4p-9, 0x1.dfddd25808914p-9, 0x1.cfe3796992d5ap-9, 0x1.c06835dc431b6p-9, 0x1.b16882fef03f5p-9, 0x1.a2e0f0c405981p-9, 0x1.94ce236d81256p-9, 0x1.872cd338ffd2ep-9, 0x1.79f9cc0be15f2p-9, 0x1.6d31ed1f982c1p-9, 0x1.60d228ae2faa8p-9, 0x1.54d7839f1a441p-9, 0x1.493f15344cf53p-9, 0x1.3e0606b7bc4b5p-9, 0x1.332993294217cp-9, 0x1.28a706ecf5fbp-9, 0x1.1e7bbf7a06d99p-9, 0x1.14a52b0a19bcbp-9, 0x1.0b20c8493de16p-9, 0x1.01ec260678367p-9, 0x1.f209c5c9e4375p-10, 0x1.e0d15a1ba328cp-10, 0x1.d02a83c58b3bfp-10, 0x1.c010db628b177p-10, 0x1.b08016cd2894fp-10, 0x1.a174088908573p-10, 0x1.92e89f2e0992dp-10, 0x1.84d9e4d4ff0c2p-10, 0x1.7743fe8613eb9p-10, 0x1.6a232ba8db4a4p-10, 0x1.5d73c5761136bp-10, 0x1.51323e6b2a78dp-10, 0x1.455b21bf938d6p-10, 0x1.39eb12dbd0646p-10, 0x1.2edeccd257ba4p-10, 0x1.243321da50531p-10, 0x1.19e4facc23b69p-10, 0x1.0ff1569fe78bfp-10, 0x1.065549edad597p-10, 0x1.fa1bfcdf5b76cp-11, 0x1.e831650cb8b89p-11, 0x1.d6e5717cb6e42p-11, 0x1.c632eeb0b238fp-11, 0x1.b614cfa5a3d3bp-11, 0x1.a6862ceb754cp-11, 0x1.978243c021c65p-11, 0x1.8904752ea3ccdp-11, 0x1.7b084531ad3b7p-11, 0x1.6d8959da293f7p-11, 0x1.60837a7983027p-11, 0x1.53f28ecfada0fp-11, 0x1.47d29e3ceaf1ap-11, 0x1.3c1fcef74acf6p-11, 0x1.30d66543de2bfp-11, 0x1.25f2c2b398f6ap-11, 0x1.1b716563d9d52p-11, 0x1.114ee74294fbp-11, 0x1.0787fd5618e45p-11, 0x1.fc32ee10c9af2p-12, 0x1.ea007aec16aa7p-12, 0x1.d872a5812dfd3p-12, 0x1.c783a2c8d3401p-12, 0x1.b72dd7241cc53p-12, 0x1.a76bd515e42d3p-12, 0x1.98385c02f9b78p-12, 0x1.898e56f9043d2p-12, 0x1.7b68db7bf5845p-12, 0x1.6dc3285a06c38p-12, 0x1.6098a486241c6p-12, 0x1.53e4ddf8b509dp-12, 0x1.47a38896ab3dap-12, 0x1.3bd07d1ec1db9p-12, 0x1.3067b81cde35fp-12, 0x1.256558e3736bp-12, 0x1.1ac5a08ad8ad9p-12, 0x1.1084f0f67bb38p-12, 0x1.069fcbdfda1fdp-12, 0x1.fa25a3ce4f91bp-13, 0x1.e7b583531de2cp-13, 0x1.d5e8edb9ef11ap-13, 0x1.c4b9d2e2675a5p-13, 0x1.b422596d163eap-13, 0x1.a41cdd12ffac9p-13, 0x1.94a3ed0782a95p-13, 0x1.85b24a6460424p-13, 0x1.7742e69fc0895p-13, 0x1.6950e20c04127p-13, 0x1.5bd78a613b378p-13, 0x1.4ed259500a636p-13, 0x1.423cf31de22bep-13, 0x1.3613254a4fc85p-13, 0x1.2a50e53d42c3bp-13, 0x1.1ef24efe16605p-13, 0x1.13f3a3f341dap-13, 0x1.095149aa6ce06p-13, 0x1.fe0f9151b3bdbp-14, 0x1.ea279687c6d77p-14, 0x1.d6e43902f782ap-14, 0x1.c43f4e00cffeap-14, 0x1.b232e7d05e31fp-14, 0x1.a0b953c0ed72dp-14, 0x1.8fcd181f7551bp-14, 0x1.7f68f2425dec8p-14, 0x1.6f87d4a34ab4ep-14, 0x1.6024e506a36cbp-14, 0x1.513b7ab08e9b3p-14, 0x1.42c71ca71175p-14, 0x1.34c3800109bcfp-14, 0x1.272c8641bafe9p-14, 0x1.19fe3bc0a65c6p-14, 0x1.0d34d61d63433p-14, 0x1.00ccb2bf368ap-14, 0x1.e984aac03d589p-15, 0x1.d224cd462b6c3p-15, 0x1.bb73656a825e6p-15, 0x1.a56a4ff39f0edp-15, 0x1.9003ab8089034p-15, 0x1.7b39d609dd141p-15, 0x1.67076a769a3eep-15, 0x1.53673e4447b6p-15, 0x1.40545f42019b7p-15, 0x1.2dca115df5248p-15, 0x1.1bc3cc84cec67p-15, 0x1.0a3d3a92afc55p-15, 0x1.f2646aaa63775p-16, 0x1.d13d893c1f3cdp-16, 0x1.b0fe38cbfe4a6p-16, 0x1.919f35fea718ap-16, 0x1.73198eaffd5e3p-16, 0x1.55669e951731bp-16, 0x1.38800bfb4953p-16, 0x1.1c5fc4a39a106p-16, 0x1.00fffab9c29ccp-16, 0x1.ccb643cc1843p-17, 0x1.98d7d8f290503p-17, 0x1.665a916459387p-17, 0x1.3534bc36ba78fp-17, 0x1.055d1602e7e87p-17, 0x1.ad9588017bb62p-18, 0x1.52ea9e9d88e98p-18, 0x1.f5528198fbf63p-19, 0x1.4983eae7ed449p-19, 0x1.4497c3f52d40bp-20, -0x1.c7964941b924ap-29, -0x1.3da0f9f1fda12p-20, -0x1.38e9c953b39a3p-19, -0x1.ced692127dfa7p-19, -0x1.305747710adf7p-18, -0x1.77443a8411f3ep-18, -0x1.bc3d021c96554p-18, -0x1.ff4c09761ea2fp-18, -0x1.203da68c18a89p-17, -0x1.3fea3041f63e4p-17, -0x1.5eb039d331b12p-17, -0x1.7c942c08d573p-17, -0x1.999a42ff26351p-17, -0x1.b5c6908b8ad3p-17, -0x1.d11cfe886799ap-17, -0x1.eba15107d942ap-17, -0x1.02ab94370da3dp-16, -0x1.0f2101ba31a7fp-16, -0x1.1b32a08a809f4p-16, -0x1.26e21130c4a8cp-16, -0x1.3230e621def48p-16, -0x1.3d20a494fd086p-16, -0x1.47b2c54fe6506p-16, -0x1.51e8b569ba9bap-16, -0x1.5bc3d7047b981p-16, -0x1.654581fdaacd1p-16, -0x1.6e6f049654b5ep-16, -0x1.7741a412d9b11p-16, -0x1.7fbe9d52b59e3p-16, -0x1.87e72560a03cdp-16, -0x1.8fbc69fb40aap-16, -0x1.973f9216c6225p-16, -0x1.9e71be57a11e5p-16, -0x1.a5540986a1f64p-16, -0x1.abe788fec2f2ap-16, -0x1.b22d4d14d48dp-16, -0x1.b82661794cbbp-16, -0x1.bdd3cd9471787p-16, -0x1.c33694dd1f699p-16, -0x1.c84fb72a588bcp-16, -0x1.cd2030ffd8324p-16, -0x1.d1a8fbd5e3ccap-16, -0x1.d5eb0e5c7dee8p-16, -0x1.d9e75cba3bba3p-16, -0x1.dd9ed8c6e44ffp-16, -0x1.e11272420636cp-16, -0x1.e4431705b52eep-16, -0x1.e731b3359980dp-16, -0x1.e9df316a77b28p-16, -0x1.ec4c7ada5e078p-16, -0x1.ee7a777d98f1fp-16, -0x1.f06a0e3099b05p-16, -0x1.f21c24d2f1aedp-16, -0x1.f391a0638489ap-16, -0x1.f4cb651a14b7cp-16, -0x1.f5ca567e4b4bcp-16, -0x1.f68f577c5a7e6p-16, -0x1.f71b4a77588f1p-16, -0x1.f76f115974d73p-16, -0x1.f78b8da21d677p-16, -0x1.f771a072387ep-16, -0x1.f7222a9680f73p-16, -0x1.f69e0c9030f4dp-16, -0x1.f5e6269bfd9d8p-16, -0x1.f4fb58b792136p-16, -0x1.f3de82a58d3a6p-16, -0x1.f29083f026577p-16, -0x1.f1123bea84c78p-16, -0x1.ef6489b0e8599p-16, -0x1.ed884c27a7576p-16, -0x1.eb7e61f927b4ep-16, -0x1.e947a992d871ap-16, -0x1.e6e501213b06fp-16, -0x1.e457468b1d4ecp-16, -0x1.e19f576c004ap-16, -0x1.debe110dc727dp-16, -0x1.dbb45061bdafp-16, -0x1.d882f1f8fa5d4p-16, -0x1.d52ad1fc390e7p-16, -0x1.d1accc23263ebp-16, -0x1.ce09bbab405fep-16, -0x1.ca427b4e43bb1p-16, -0x1.c657e5383db03p-16, -0x1.c24ad2fd45e38p-16, -0x1.be1c1d8eec7a2p-16, -0x1.b9cc9d316df96p-16, -0x1.b55d2970a7039p-16, -0x1.b0ce9914dd921p-16, -0x1.ac21c2176345ap-16, -0x1.a757799719736p-16, -0x1.a27093ccde227p-16, -0x1.9d6de3ffe7becp-16, -0x1.98503c7a1deap-16, -0x1.93186e7c66c4ap-16, -0x1.8dc74a3301e85p-16, -0x1.885d9ea9e58b7p-16, -0x1.82dc39c12fd1cp-16, -0x1.7d43e821a8afdp-16, -0x1.7795753160a15p-16, -0x1.71d1ab08694fbp-16, -0x1.6bf95265b0cffp-16, -0x1.660d32a4081bbp-16, -0x1.600e11af49f8p-16, -0x1.59fcb3f9b7e6ap-16, -0x1.53d9dc71802a6p-16, -0x1.4da64c767b474p-16, -0x1.4762c3d01f8dcp-16, -0x1.411000a3ab697p-16, -0x1.3aaebf6a8ac64p-16, -0x1.343fbae8fb262p-16, -0x1.2dc3ac24ee677p-16, -0x1.273b4a5d2b83bp-16, -0x1.20a74b00b6a47p-16, -0x1.1a0861a678a12p-16, -0x1.135f40052d1b4p-16, -0x1.0cac95eb98a8bp-16, -0x1.05f111390372cp-16, -0x1.fe5abbabf9391p-17, -0x1.f0c44b5ad1332p-17, -0x1.e320214ba6814p-17, -0x1.d56f89362696ep-17, -0x1.c7b3cab061b32p-17, -0x1.b9ee292334fd1p-17, -0x1.ac1fe3bf462ddp-17, -0x1.9e4a357293abbp-17, -0x1.906e54de9bf6ep-17, -0x1.828d744f13c2cp-17, -0x1.74a8c1b137b4bp-17, -0x1.66c1668ba9ecbp-17, -0x1.58d887f6e6e0fp-17, -0x1.4aef469648e58p-17, -0x1.3d06be919b631p-17, -0x1.2f20078f3fe5ap-17, -0x1.213c34aede3d9p-17, -0x1.135c5484a16dap-17, }}, 
      {{-0x1.9020d2f7c9ae7p-1, -0x1.90354dbda999p-1, -0x1.9051db27786fdp-1, -0x1.90701d2e3ec5fp-1, -0x1.90894a50c5fdfp-1, -0x1.9096d88b24632p-1, -0x1.9092e62c0e8b7p-1, -0x1.907873f3af98dp-1, -0x1.90437ec3a8a8fp-1, -0x1.8ff1035128601p-1, -0x1.8f7ef36e70abdp-1, -0x1.8eec22620b21dp-1, -0x1.8e382c2fec461p-1, -0x1.8d635a9050abdp-1, -0x1.8c6e89763bc92p-1, -0x1.8b5b0c6838b8dp-1, -0x1.8a2a957a3d88cp-1, -0x1.88df1e6418783p-1, -0x1.877ad3f4547f7p-1, -0x1.860003f5afe03p-1, -0x1.84710d807c0fbp-1, -0x1.82d0539e16095p-1, -0x1.8120321871f01p-1, -0x1.7f62f448a3c3ep-1, -0x1.7d9acdb3cdbbp-1, -0x1.7bc9d44507121p-1, -0x1.79f1fbf3ae386p-1, -0x1.781513a7b278dp-1, -0x1.7634c3304730fp-1, -0x1.74528a24ba782p-1, -0x1.726fbf8ab825ep-1, -0x1.708d9220d75c7p-1, -0x1.6ead092fd7a9bp-1, -0x1.6ccf05c852cdep-1, -0x1.6af44455dce48p-1, -0x1.691d5e738205bp-1, -0x1.674accf048a9ap-1, -0x1.657ce9f4dc7f1p-1, -0x1.63b3f33dbf625p-1, -0x1.61f00c5f63c85p-1, -0x1.6031410b4e626p-1, -0x1.5e77874effaabp-1, -0x1.5cc2c1c6b2be4p-1, -0x1.5b12c1bf437d1p-1, -0x1.5967494385f72p-1, -0x1.57c00d124f3cep-1, -0x1.561cb67b2191fp-1, -0x1.547ce5202100bp-1, -0x1.52e0309c7824ep-1, -0x1.51462a0ecd84p-1, -0x1.4fae5d87c893dp-1, -0x1.4e18535cf24b1p-1, -0x1.4c83916081f04p-1, -0x1.4aef9bfed09ecp-1, -0x1.495bf7425db64p-1, -0x1.47c827bf63f25p-1, -0x1.4633b3681bf08p-1, -0x1.449e224acedb5p-1, -0x1.4306ff3aec354p-1, -0x1.416dd86654364p-1, -0x1.3fd23fd80dac3p-1, -0x1.3e33cbe99318ap-1, -0x1.3c9217a3e64bp-1, -0x1.3aecc3118d651p-1, -0x1.394373828f3e7p-1, -0x1.3795d3c385c58p-1, -0x1.35e39448c459ap-1, -0x1.342c6b4e90fdcp-1, -0x1.327014ef56d71p-1, -0x1.30ae5330b916ep-1, -0x1.2ee6ee08561e1p-1, -0x1.2d19b35904103p-1, -0x1.2b4676e943f39p-1, -0x1.296d12539c648p-1, -0x1.278d64f17e243p-1, -0x1.25a753c151824p-1, -0x1.23bac94838ebap-1, -0x1.21c7b5701014ep-1, -0x1.1fce0d6225513p-1, -0x1.1dcdcb5f1c92bp-1, -0x1.1bc6ee946d1bbp-1, -0x1.19b97aefd47b5p-1, -0x1.17a578f12158fp-1, -0x1.158af57aa3e68p-1, -0x1.136a01a09325p-1, -0x1.1142b277ae3a1p-1, -0x1.0f1520e354fdap-1, -0x1.0ce169635a9a3p-1, -0x1.0aa7abe1bdc9bp-1, -0x1.08680b807efa3p-1, -0x1.0622ae67bb7f5p-1, -0x1.03d7bd9434f52p-1, -0x1.018764a66b172p-1, -0x1.fe63a364c9b48p-2, -0x1.f9ae6a20888ebp-2, -0x1.f4ef825b84a8dp-2, -0x1.f02754c14211p-2, -0x1.eb564d745c2ap-2, -0x1.e67cdbb7c62c1p-2, -0x1.e19b719a5f251p-2, -0x1.dcb283a4f921bp-2, -0x1.d7c2888ae2e44p-2, -0x1.d2cbf8dd038edp-2, -0x1.cdcf4ebf933e5p-2, -0x1.c8cd05a2829f1p-2, -0x1.c3c599fc8990ap-2, -0x1.beb98908ed1e6p-2, -0x1.b9a95087fb09fp-2, -0x1.b4956e8232fe6p-2, -0x1.af7e610e27173p-2, -0x1.aa64a61901441p-2, -0x1.a548bb31b653bp-2, -0x1.a02b1d56cf583p-2, -0x1.9b0c48c6cf8aep-2, -0x1.95ecb8d31e111p-2, -0x1.90cce7b57724cp-2, -0x1.8bad4e67ca3e2p-2, -0x1.868e647e84ce5p-2, -0x1.8170a00531c9fp-2, -0x1.7c54755d684d2p-2, -0x1.773a571ff58dbp-2, -0x1.7222b60031d62p-2, -0x1.6d0e00b1782d8p-2, -0x1.67fca3cea87cfp-2, -0x1.62ef09c3a9a31p-2, -0x1.5de59ab8dac08p-2, -0x1.58e0bc805f104p-2, -0x1.53e0d2853c631p-2, -0x1.4ee63dbc339a6p-2, -0x1.49f15c964826dp-2, -0x1.45028af4e32e1p-2, -0x1.401a221f86089p-2, -0x1.3b3878baf92dep-2, -0x1.365de2c1e5f7ap-2, -0x1.318ab17ed4a21p-2, -0x1.2cbf338771f4ap-2, -0x1.27fbb4b9197dbp-2, -0x1.23407e368e64p-2, -0x1.1e8dd666d921ap-2, -0x1.19e400f5349a7p-2, -0x1.15433ed20628ap-2, -0x1.10abce34cd461p-2, -0x1.0c1dea9efa8b4p-2, -0x1.0799ccdfaa804p-2, -0x1.031fab182dd13p-2, -0x1.fd5f7182b41fp-3, -0x1.f4944d63210f9p-3, -0x1.ebde4646eae7fp-3, -0x1.e33db37a8f69fp-3, -0x1.dab2e731a4f5dp-3, -0x1.d23e2e97cf68fp-3, -0x1.c9dfd1e2c5ab5p-3, -0x1.c19814653e92ap-3, -0x1.b96734a2c0b61p-3, -0x1.b14d6c643f354p-3, -0x1.a94af0cd6e553p-3, -0x1.a15ff272c5663p-3, -0x1.998c9d7010eb6p-3, -0x1.91d1197f9888p-3, -0x1.8a2d8a11b6653p-3, -0x1.82a20e64de4dbp-3, -0x1.7b2ec19e01253p-3, -0x1.73d3bae13c059p-3, -0x1.6c910d6ad3e24p-3, -0x1.6566c8a85ee97p-3, -0x1.5e54f8521e45dp-3, -0x1.575ba484786c6p-3, -0x1.507ad1d985e27p-3, -0x1.49b28182acf85p-3, -0x1.4302b16241085p-3, -0x1.3c6b5c2514842p-3, -0x1.35ec795c05bb5p-3, -0x1.2f85fd956bf7p-3, -0x1.2937da766a326p-3, -0x1.2301fed41b1f7p-3, -0x1.1ce456cc8f6dep-3, -0x1.16decbdf9bb17p-3, -0x1.10f145076997p-3, -0x1.0b1ba6d0d0cdcp-3, -0x1.055dd3736369dp-3, -0x1.ff6f55d277a68p-4, -0x1.f452160cf1ceap-4, -0x1.e9639f20d0976p-4, -0x1.dea3a4a8ba64p-4, -0x1.d411d67c65539p-4, -0x1.c9ade0dcdde63p-4, -0x1.bf776ca00de14p-4, -0x1.b56e1f5b8e001p-4, -0x1.ab919b8ea4899p-4, -0x1.a1e180cb84254p-4, -0x1.985d6bdfbabe9p-4, -0x1.8f04f6fbc347p-4, -0x1.85d7b9d9d6a83p-4, -0x1.7cd549e3d88a7p-4, -0x1.73fd3a5871004p-4, -0x1.6b4f1c6f4c66fp-4, -0x1.62ca7f7c7e254p-4, -0x1.5a6ef11309cc8p-4, -0x1.523bfd268eea1p-4, -0x1.4a312e2c17303p-4, -0x1.424e0d3a0aa64p-4, -0x1.3a92222744414p-4, -0x1.32fcf3a94e737p-4, -0x1.2b8e0771c212dp-4, -0x1.2444e24acd917p-4, -0x1.1d210832e3a69p-4, -0x1.1621fc7792499p-4, -0x1.0f4741cf85833p-4, -0x1.08905a73b8327p-4, -0x1.01fcc837d12e8p-4, -0x1.f71819436a16dp-5, -0x1.ea7b520090909p-5, -0x1.de223d02d50b4p-5, -0x1.d20bdc8e50f52p-5, -0x1.c63732f856b0ap-5, -0x1.baa342cec9cf4p-5, -0x1.af4f0efdfdc53p-5, -0x1.a4399af51a07cp-5, -0x1.9961eac911a8bp-5, -0x1.8ec703562d073p-5, -0x1.8467ea60318c3p-5, -0x1.7a43a6b12c5f3p-5, -0x1.70594036e71d4p-5, -0x1.66a7c01f0a70dp-5, -0x1.5d2e30f1fc9d1p-5, -0x1.53eb9eac792c9p-5, -0x1.4adf16d7f3008p-5, -0x1.4207a8a1befe1p-5, -0x1.396464f112f6bp-5, -0x1.30f45e7be0889p-5, -0x1.28b6a9da8fd5ep-5, -0x1.20aa5d9aa3938p-5, -0x1.18ce92504cc39p-5, -0x1.112262a6f3bd7p-5, -0x1.09a4eb70c16bep-5, -0x1.02554bb52a289p-5, -0x1.f665497d0d0cbp-6, -0x1.e878344d7900fp-6, -0x1.dae1a3c607edep-6, -0x1.cd9fe89d8fc11p-6, -0x1.c0b1586b63d58p-6, -0x1.b4144db9be408p-6, -0x1.a7c7281698b82p-6, -0x1.9bc84c22f242dp-6, -0x1.901623a09b068p-6, -0x1.84af1d7e8bd6dp-6, -0x1.7991ade3d579ep-6, -0x1.6ebc4e393aa35p-6, -0x1.642d7d3176c1dp-6, -0x1.59e3bed046bbap-6, -0x1.4fdd9c703aa33p-6, -0x1.4619a4c75822p-6, -0x1.3c966beaa14d5p-6, -0x1.33528b5085864p-6, -0x1.2a4ca1d246f27p-6, -0x1.218353ac61edbp-6, -0x1.18f54a7dfb5fdp-6, -0x1.10a135476843fp-6, -0x1.0885c867d298ap-6, -0x1.00a1bd9a0594bp-6, -0x1.f1e7a7e0d4896p-7, -0x1.e2f59fa083e19p-7, -0x1.d46af5d849419p-7, -0x1.c645487b958cbp-7, -0x1.b8823ffe5939ep-7, -0x1.ab1f8f45fb28p-7, -0x1.9e1af39927e5ap-7, -0x1.9172348e6e2a7p-7, -0x1.852323f9cd18fp-7, -0x1.792b9dd93f8b5p-7, -0x1.6d8988404a0c7p-7, -0x1.623ad342a36a3p-7, -0x1.573d78de0322ap-7, -0x1.4c8f7ce32257bp-7, -0x1.422eecddf5557p-7, -0x1.3819dffd3bee9p-7, -0x1.2e4e76f9615bdp-7, -0x1.24cadbfac4ad3p-7, -0x1.1b8d427f6eb8bp-7, -0x1.1293e740439a4p-7, -0x1.09dd1015b8ea5p-7, -0x1.01670bdc1c11ap-7, -0x1.f26064aee3bf3p-8, -0x1.e26dc82df4bd6p-8, -0x1.d2f314b0c0256p-8, -0x1.c3ed2dd53c10dp-8, -0x1.b5590821480fep-8, -0x1.a733a8c781959p-8, -0x1.997a256bb820cp-8, -0x1.8c29a3e70cabdp-8, -0x1.7f3f5a0bcdd64p-8, -0x1.72b88d691d2b4p-8, -0x1.6692930e6d907p-8, -0x1.5acacf4ee6aebp-8, -0x1.4f5eb584b777fp-8, -0x1.444bc7d46864ep-8, -0x1.398f96f037d41p-8, -0x1.2f27c1db8705bp-8, -0x1.2511f5ae684c9p-8, -0x1.1b4bed5955c91p-8, -0x1.11d371691964cp-8, -0x1.08a657caf032ep-8, -0x1.ff850721e6ae4p-9, -0x1.ee4bc96d9435dp-9, -0x1.dd9cefcd671a2p-9, -0x1.cd748c7dd1968p-9, -0x1.bdceca2ec7006p-9, -0x1.aea7eb9016cdbp-9, -0x1.9ffc4adeab99cp-9, -0x1.91c85972af493p-9, -0x1.84089f4ea5c08p-9, -0x1.76b9baaf8b1f3p-9, -0x1.69d85f9df610cp-9, -0x1.5d6157804d658p-9, -0x1.515180ae1de68p-9, -0x1.45a5ce048a338p-9, -0x1.3a5b467becdfp-9, -0x1.2f6f04bea4e7fp-9, -0x1.24de36c11e036p-9, -0x1.1aa61d5b11e6fp-9, -0x1.10c40be20d44dp-9, -0x1.073567c5399abp-9, -0x1.fbef5054e648dp-10, -0x1.ea10ab195b866p-10, -0x1.d8ca12b74e526p-10, -0x1.c816db39e9d84p-10, -0x1.b7f2791cc5592p-10, -0x1.a85880935a89dp-10, -0x1.9944a4d334decp-10, -0x1.8ab2b760ce84bp-10, -0x1.7c9ea75f384bap-10, -0x1.6f0480e26e1d8p-10, -0x1.61e06c4478a81p-10, -0x1.552ead7d3ef32p-10, -0x1.48eba37d21c91p-10, -0x1.3d13c78a4b8d2p-10, -0x1.31a3aca0c0e18p-10, -0x1.2697fed52c7d3p-10, -0x1.1bed82ba59cd7p-10, -0x1.11a114c973c93p-10, -0x1.07afa8cce86ddp-10, -0x1.fc2c929c06bccp-11, -0x1.e9a42e0a5c264p-11, -0x1.d7c09099b8b7cp-11, -0x1.c67c512e2d5ccp-11, -0x1.b5d22fcb476fap-11, -0x1.a5bd148995193p-11, -0x1.96380e914da4p-11, -0x1.873e531a161b7p-11, -0x1.78cb3c6fd479cp-11, -0x1.6ada48fc836fdp-11, -0x1.5d671a56feaa8p-11, -0x1.506d7456b558ep-11, -0x1.43e93c2c39b74p-11, -0x1.37d6777e9cf62p-11, -0x1.2c314b8d8a32cp-11, -0x1.20f5fc5813393p-11, -0x1.1620ebc81e9f1p-11, -0x1.0bae98e2697b2p-11, -0x1.019b9efb0ddcap-11, -0x1.efc969dcf8e36p-12, -0x1.dd0d58bdba6a5p-12, -0x1.cafce1eb89c9fp-12, -0x1.b9920f54637f2p-12, -0x1.a8c71c1576f9cp-12, -0x1.98967317da1cfp-12, -0x1.88faadb563b71p-12, -0x1.79ee926593b93p-12, -0x1.6b6d1372660dp-12, -0x1.5d714db4f3aa5p-12, -0x1.4ff68759b9d6cp-12, -0x1.42f82eac70243p-12, -0x1.3671d8eb475a6p-12, -0x1.2a5f4121706ap-12, -0x1.1ebc4708ce24dp-12, -0x1.1384edf2b3192p-12, -0x1.08b55bb783f12p-12, -0x1.fc93af5a4dd0bp-13, -0x1.e87d934838a4fp-13, -0x1.d52171d641558p-13, -0x1.c27896b272354p-13, -0x1.b07c88bc1d145p-13, -0x1.9f270830e5814p-13, -0x1.8e720ce5e8372p-13, -0x1.7e57c48cc193fp-13, -0x1.6ed291043d0a6p-13, -0x1.5fdd06b461014p-13, -0x1.5171eaf5b14a8p-13, -0x1.438c32835c897p-13, -0x1.3626fff82130dp-13, -0x1.293da255b4f46p-13, -0x1.1ccb93966b1f3p-13, -0x1.10cc7748f061bp-13, -0x1.053c1935d06c3p-13, -0x1.f42cd81d5109ep-14, -0x1.deaf104d6a42ep-14, -0x1.c9f754694463bp-14, -0x1.b5fe643a91193p-14, -0x1.a2bd438e94accp-14, -0x1.902d37ee6be5ap-14, -0x1.7e47c66834d4dp-14, -0x1.6d06b1689427ap-14, -0x1.5c63f6a444dcap-14, -0x1.4c59cd114d1c4p-14, -0x1.3ce2a2ef7a894p-14, -0x1.2df91bdfc7a2ep-14, -0x1.1f980f0a50552p-14, -0x1.11ba85527a056p-14, -0x1.045bb798f7322p-14, -0x1.eeee1a169d7abp-15, -0x1.d610330122425p-15, -0x1.be1537c5d2785p-15, -0x1.a6f4f94b658ddp-15, -0x1.90a7988f91417p-15, -0x1.7b2583c370879p-15, -0x1.6667737f1e276p-15, -0x1.5266680be4e2fp-15, -0x1.3f1ba6c46e8ffp-15, -0x1.2c80b78a65f9fp-15, -0x1.1a8f6250ee1ccp-15, -0x1.0941acbb6d02ap-15, -0x1.f123afa02e8c2p-16, -0x1.d0f4bb7b72273p-16, -0x1.b1ebdf686559p-16, -0x1.93fee79e5109bp-16, -0x1.77240624cf9a7p-16, -0x1.5b51ceef00754p-16, -0x1.407f34182e36ap-16, -0x1.26a3824103be7p-16, -0x1.0db65d0c54ac9p-16, -0x1.eb5f7775468ccp-17, -0x1.bd0fcbc6f1b96p-17, -0x1.906ee0976f9b7p-17, -0x1.656e73b02c567p-17, -0x1.3c00d135cef45p-17, -0x1.1418cdf8da98cp-17, -0x1.db5383f39b458p-18, -0x1.914f063e65fabp-18, -0x1.4a0cc0385a1c7p-18, -0x1.0576370c0689ap-18, -0x1.86eb9c5d1feeap-19, -0x1.07ed7c7cc918ep-19, -0x1.1b9430dea31b5p-20, -0x1.85b01f767fd47p-23, 0x1.6212f6b7853e1p-21, 0x1.89f16afa3733fp-20, 0x1.2d231bc96c064p-19, 0x1.9124dcc724ec4p-19, 0x1.f11da888b1fa5p-19, 0x1.269600392f278p-18, 0x1.52b6a214aa20dp-18, 0x1.7cfedf011a3fap-18, 0x1.a57c5779ad5ffp-18, 0x1.cc3c2d077c1eap-18, 0x1.f14b07c477793p-18, 0x1.0a5a8dd312233p-17, 0x1.1b4316c9043bep-17, 0x1.2b64cc1ecca94p-17, 0x1.3ac5286dba2c5p-17, 0x1.496975cbcd357p-17, 0x1.5756cff22e9b7p-17, 0x1.6492264cccd41p-17, 0x1.71203df3f4d49p-17, 0x1.7d05b3909b524p-17, 0x1.8846fd2c24e79p-17, 0x1.92e86bec5ff68p-17, 0x1.9cee2dbc6627cp-17, 0x1.a65c4ee319abcp-17, 0x1.af36bb87d8718p-17, 0x1.b781412627e1p-17, 0x1.bf3f8ff0d95dbp-17, 0x1.c6753c2558d23p-17, 0x1.cd25bf4fb3f34p-17, 0x1.d354797ff01a7p-17, 0x1.d904b27137a1fp-17, 0x1.de399aa36a8b8p-17, 0x1.e2f64c679e3d8p-17, 0x1.e73dccdfffa11p-17, 0x1.eb130cf3a64dep-17, 0x1.ee78ea36c0864p-17, 0x1.f1722fc793f4fp-17, 0x1.f4019720d4dfep-17, 0x1.f629c8e1a0323p-17, 0x1.f7ed5d8ba2b64p-17, 0x1.f94ede37bfa69p-17, 0x1.fa50c541ab4f3p-17, 0x1.faf57eeac3419p-17, 0x1.fb3f69f49a455p-17, 0x1.fb30d83382f89p-17, 0x1.facc0f196e257p-17, 0x1.fa1348397a7a3p-17, 0x1.f908b1c486584p-17, 0x1.f7ae6eff01b29p-17, 0x1.f60698b067bdep-17, 0x1.f4133d8c875cfp-17, 0x1.f1d6629704edap-17, 0x1.ef520381352bp-17, 0x1.ec881302b777cp-17, 0x1.e97a7b2ce9809p-17, 0x1.e62b1db991e46p-17, 0x1.e29bd454e0254p-17, 0x1.dece70e31b3c8p-17, 0x1.dac4bdc20777p-17, 0x1.d6807e0671218p-17, 0x1.d2036db5d07cbp-17, 0x1.cd4f41fc730fdp-17, 0x1.c865a9602777bp-17, 0x1.c3484befb984p-17, 0x1.bdf8cb6f55b35p-17, 0x1.b878c3820c40ap-17, 0x1.b2c9c9d09378p-17, 0x1.aced6e2d6906cp-17, 0x1.a6e53ab6890a8p-17, 0x1.a0b2b3f4cf0c1p-17, 0x1.9a5758f9209b1p-17, 0x1.93d4a37793fbp-17, 0x1.8d2c07e09b87p-17, 0x1.865ef57866cc7p-17, 0x1.7f6ed66c8372bp-17, 0x1.785d0fe7e92c6p-17, 0x1.712b0225808bcp-17, 0x1.69da088142ff1p-17, 0x1.626b798809916p-17, 0x1.5ae0a7061bbc2p-17, 0x1.533ade14a250ep-17, 0x1.4b7b6726025e7p-17, 0x1.43a386113e30fp-17, 0x1.3bb47a1c6d248p-17, 0x1.33af7e065a929p-17, 0x1.2b95c80f5d267p-17, 0x1.23688a0177995p-17, 0x1.1b28f137d28bep-17, 0x1.12d826a59c9a7p-17, 0x1.0a774edc5fa8bp-17, 0x1.02078a11d813ap-17, 0x1.f313e84ab4a69p-18, 0x1.e1ff4949a699bp-18, 0x1.d0d35da2db1ecp-18, 0x1.bf924347ce079p-18, 0x1.ae3e0fa14047ap-18, 0x1.9cd8cf96dc75fp-18, 0x1.8b64879677014p-18, 0x1.79e3339af14afp-18, 0x1.6856c732dcc54p-18, 0x1.56c12d86de14dp-18, 0x1.4524495feb4d7p-18, 0x1.3381f52d67988p-18, 0x1.21dc030b31056p-18, 0x1.10343cc7a288ep-18, 0x1.fd18c7d33cb09p-19, 0x1.d9cc636d454ap-19, 0x1.b686ae71ed1bap-19, 0x1.934afa8be60c2p-19, 0x1.701c8908e9e7cp-19, 0x1.4cfe8ae6f7641p-19, 0x1.29f420e1f1b5ep-19, 0x1.07005b81bc184p-19, 0x1.c84c765198278p-20, 0x1.82d160468b168p-20, 0x1.3d95356d5391dp-20, 0x1.f13b2cc86276ep-21, 0x1.67e007fcd8927p-21, 0x1.be477d9d8e83cp-22, 0x1.5c4352378dc17p-23, -0x1.8273918d280bfp-24, -0x1.6de01e91c052bp-22, -0x1.3cca3aacf631ap-21, -0x1.c1d36a1b2b5dp-21, -0x1.23012860fcdb5p-20, -0x1.64a6ef73a0bb4p-20, -0x1.a5d6a0c5c3d57p-20, -0x1.e68bf10525955p-20, -0x1.1361596ddb43bp-19, -0x1.333b6b5e6927dp-19, -0x1.52d23558857f8p-19, -0x1.7223cd10440b4p-19, -0x1.912e56cdf6d7ap-19, -0x1.aff00551f326ap-19, -0x1.ce6719b7a5f38p-19, -0x1.ec91e357f49b8p-19, -0x1.05375fd57b76bp-18, -0x1.13fe0d1485068p-18, -0x1.229c36159cedfp-18, -0x1.31111e658918fp-18, -0x1.3f5c1060e5e63p-18, -0x1.4d7c5d2373684p-18, -0x1.5b715c7718002p-18, -0x1.693a6cc29b7cbp-18, -0x1.76d6f2f81cc32p-18, -0x1.84465a834576fp-18, -0x1.918815373cc6dp-18, -0x1.9e9b9b3c5c42p-18, -0x1.ab806afdaa74ep-18, -0x1.b83609161b4bap-18, -0x1.c4bc003d9c00cp-18, -0x1.d111e135e96e9p-18, -0x1.dd3742b738d69p-18, -0x1.e92bc15cae37fp-18, -0x1.f4eeff90aadf9p-18, -0x1.004052bc78393p-17, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      46, 0x1.4p+2, 0x1.ef88d0d4ebb39p+0, 0x1.e7fa87ac41405p+1, -0x1.c0d77be46b524p-5, 
      {{
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.81cbafc0f36aep-3, -0x1.e1fd950686155p-2, 0x1.d27d7586d9ca8p-2, -0x1.96cb4bb9ecf19p-4}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.53e753b0a8385p-3, -0x1.b41ab288e844ep-2, 0x1.c33c3c497a818p-2, -0x1.c1045e698510ep-4}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.2a85743e7ec41p-3, -0x1.87d29a1f846dcp-2, 0x1.b265abf25250ep-2, -0x1.e4ea35546d86bp-4}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.057b1047bbd8ep-3, -0x1.5d4acb44b933ap-2, 0x1.a0367d258e356p-2, -0x1.0540f5d8eda09p-3}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.c933272d3e835p-4, -0x1.34a68c79c8085p-2, 0x1.8c9e6ab5492fep-2, -0x1.17d2b004f80dep-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.8f5dadc4c78f3p-4, -0x1.0e09bcb478aeep-2, 0x1.77a1d0b4e9c83p-2, -0x1.2a73fe826af9p-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.5d0a3f9e7e681p-4, -0x1.d33024232da73p-3, 0x1.613f8404bb5c2p-2, -0x1.3d111cbceac96p-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.31c641dcc49dep-4, -0x1.8eea9b3ab057dp-3, 0x1.4977d51029c04p-2, -0x1.4faf67b1cf5a3p-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.0d17f37bf1bf5p-4, -0x1.4f8a5afe8cbf1p-3, 0x1.304aad493a32ep-2, -0x1.624d30001540cp-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.dcfcdaa4a6b52p-5, -0x1.1556e104628cp-3, 0x1.15b8167c6bce2p-2, -0x1.74ebd62e6ba81p-3}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.aae3442059f69p-5, -0x1.c12f5721f0105p-4, 0x1.f380000b7aa94p-3, -0x1.878787832402cp-3}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.82c4bc7f7059ap-5, -0x1.632869cbd95a8p-4, 0x1.b8c545516875ep-3, -0x1.9a2e2e5e48749p-3}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.6374908a48ef9p-5, -0x1.11280d44a963bp-4, 0x1.7b3e57f677317p-3, -0x1.acabf3f944d6p-3}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.4bb7c0bd2ec92p-5, -0x1.9779c3ca600b3p-5, 0x1.3af159c446776p-3, -0x1.bfc2490e93527p-3}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.3a45014858f35p-5, -0x1.26ee69c16c1e5p-5, 0x1.ef8ed0d0fa568p-4, -0x1.d09f417aaf696p-3}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.2dc4ba0fea77fp-5, -0x1.a3844b97e505dp-6, 0x1.642bd6c5c5b62p-4, -0x1.e9c91d1139336p-3}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.24d106abf26p-5, -0x1.326f776da8bb7p-6, 0x1.a2789c1acf81cp-5, -0x1.cb8a6d677bd9fp-3}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.1df8d6f72c2e8p-5, -0x1.f4a0949555012p-7, 0x1.1d7e4e863d99ep-6, -0x1.75e31bd4ce846p-3}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.17e255314576p-5, -0x1.e86521d175f27p-7, -0x1.4657a5bf0e0f2p-7, -0x1.2888f166ef801p-3}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.116d4c212360bp-5, -0x1.164e86668a0b9p-6, -0x1.0381ad7a53366p-5, -0x1.b1e8e21d9c68ep-4}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.09b647a3a3331p-5, -0x1.5739afe12c2e9p-6, -0x1.85adf15002237p-5, -0x1.13f84275c752cp-4}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.001694ab9a4bcp-5, -0x1.ad70b92d07117p-6, -0x1.d8786ba68abbfp-5, -0x1.d66b2a0335b84p-6}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.e8488283ac463p-6, -0x1.07bb34a16b873p-5, -0x1.fbc0753395299p-5, 0x1.423d6a408f751p-7}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.cb64390a38979p-6, -0x1.39e6f9e956562p-5, -0x1.efaaf46ac2fb9p-5, 0x1.8f529ae864c58p-5}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.a99f6d5454e5ap-6, -0x1.68795f4578703p-5, -0x1.b3c4f6c7e7116p-5, 0x1.61894c3f682cfp-4}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.8392c1f76cbdcp-6, -0x1.8ebf7d34ab6c6p-5, -0x1.49b55fe8149cep-5, 0x1.07f85415844abp-3}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.5a505bb4dbe28p-6, -0x1.a7ccbc98083c5p-5, -0x1.56a727b65747cp-6, 0x1.1aa8744fe8364p-3}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.2f5c25aa04094p-6, -0x1.b073e17d78d56p-5, -0x1.bb4e11a050c25p-13, 0x1.d1aa1e1c5fa89p-4}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.0456bf613c103p-6, -0x1.a9a40f3ecf1c4p-5, 0x1.13ef75edc58f7p-6, 0x1.828a7f3d825b2p-4}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.b550d5c57e69p-7, -0x1.960bc4e15b986p-5, 0x1.fbdc28ac46fcep-6, 0x1.2de9f46e75a2fp-4}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.66f2a1c985a74p-7, -0x1.781fcfd1f78fdp-5, 0x1.588110ddad2fp-5, 0x1.b58bdb7720562p-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.1f630196eccd3p-7, -0x1.52646a914e525p-5, 0x1.9a22d82f8ba21p-5, 0x1.0e6185107fa66p-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.bfe3c2a40e17bp-8, -0x1.2759cce93a482p-5, 0x1.c2b178f2052e2p-5, 0x1.9f1d29d38f8cdp-7}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.52ddf4f637ap-8, -0x1.f30198d60ed49p-6, 0x1.d24290e9f429ap-5, -0x1.00c45947d524p-7}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.f0a74fb99b082p-9, -0x1.96b7948218b61p-6, 0x1.c8a19a5da8f82p-5, -0x1.c681f46db176p-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.5fc707905f27bp-9, -0x1.3eccb6d406f84p-6, 0x1.a68b0e6f0875ep-5, -0x1.9894ab7862c6bp-5}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.e0af2f8298403p-10, -0x1.e0d6e7e8367aep-7, 0x1.69418e502cd84p-5, -0x1.d4021c3d4de17p-5}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.3b6081dc01a4p-10, -0x1.5e60963a9f333p-7, 0x1.230e0a13c7906p-5, -0x1.9589ea754dc53p-5}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.89c6cedb36b04p-11, -0x1.ec3e37956b195p-8, 0x1.cc72b4379166p-6, -0x1.6953ac3ab6eedp-5}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.cda63342bf799p-12, -0x1.49be50dedfbf2p-8, 0x1.600ccd59274ffp-6, -0x1.383bba6b83806p-5}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.f25f9dcd71347p-13, -0x1.9f5098f3f781ap-9, 0x1.0261489f4ca9ep-6, -0x1.0868a361599edp-5}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.e0af2f8298432p-14, -0x1.e0ae03a4422f5p-10, 0x1.661d626a96c1ep-7, -0x1.b0c7a9af4c59fp-6}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.89c6cedb36b6p-15, -0x1.ec3e3661a57dp-11, 0x1.c88fc56bffb5p-8, -0x1.4fc2130e1e2c5p-6}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.f25f9dcd7151ep-17, -0x1.9f26bf2782e4fp-12, 0x1.fe36a72d74d02p-9, -0x1.e61fa34641139p-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.89c6cedb374ffp-19, -0x1.ee99d45007683p-14, 0x1.b51424069b7f8p-10, -0x1.0c1869da5212bp-7}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.89c6cedb3ffffp-23, -0x1.a52c2b47b804p-17, 0x1.cd74fa68e40ffp-12, -0x1.66caff9737f61p-7}, 
      }}, 
      0x1.519e1aeaa2852p-3, -0x1.042fb1aaabdc7p+0
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_s_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{-0x1.76312dd9d8af2p-2, -0x1.74d447f2f6ae6p-2, -0x1.7293a214fe967p-2, -0x1.6f76ca22297e7p-2, -0x1.6b886f41a075fp-2, -0x1.66d406490c24bp-2, -0x1.6166080e6927ap-2, -0x1.5b4d83cf8dd04p-2, -0x1.5498adc10d049p-2, -0x1.4d568cddd5ba5p-2, -0x1.4596645242e37p-2, -0x1.3d6765f302313p-2, -0x1.34d80220a8b2bp-2, -0x1.2bf5be9c450c9p-2, -0x1.22ceec7a08d15p-2, -0x1.197048aab5d2ap-2, -0x1.0fe60a9bcac7cp-2, -0x1.063be2d1022fcp-2, -0x1.f8f9b8a810542p-3, -0x1.e565e98b7e705p-3, -0x1.d1d024dda67bcp-3, -0x1.be49a23d735adp-3, -0x1.aae34376a39a8p-3, -0x1.97ac203976629p-3, -0x1.84b246b23355p-3, -0x1.7202a1ca23ed8p-3, -0x1.5fa9e2ecf77c3p-3, -0x1.4dafd4fa59d72p-3, -0x1.3c20389ebe458p-3, -0x1.2b05009a409ddp-3, -0x1.1a646a16f6369p-3, -0x1.0a43f86cd3fcp-3, -0x1.f554a464c72b1p-4, -0x1.d73b7b0bf57c6p-4, -0x1.ba44acd6e3b2ep-4, -0x1.9e752b44f5b79p-4, -0x1.83d1ab32f76bfp-4, -0x1.6a5f587e106d9p-4, -0x1.52222ee8b3835p-4, -0x1.3b1bae10247e8p-4, -0x1.254b4d53c9094p-4, -0x1.10afbb05c2479p-4, -0x1.fa8ee18c63a9p-5, -0x1.d620a4e482b2fp-5, -0x1.b40e306fb190ap-5, -0x1.944e68771bfeep-5, -0x1.76d6643d9bbbap-5, -0x1.5b9a3ec56bcc6p-5, -0x1.428d5a2751e5p-5, -0x1.2ba22d30b38f7p-5, -0x1.16ca0bdbdb416p-5, -0x1.03f53058b0955p-5, -0x1.e625f23b6e707p-6, -0x1.c82458b10694ep-6, -0x1.addce6224fd03p-6, -0x1.96eb4783a3797p-6, -0x1.8348f3039dfc8p-6, -0x1.72d8faece267bp-6, -0x1.657d5b2ba0c99p-6, -0x1.5b1404b415eb3p-6, -0x1.5375d44dac0bfp-6, -0x1.4e77a895fd037p-6, -0x1.4becedc4571dep-6, -0x1.4baa832147397p-6, -0x1.4d88e8de0fbbbp-6, -0x1.51650fd54c2f1p-6, -0x1.571fb86093a51p-6, -0x1.5e9bcf2be7095p-6, -0x1.67bc7cd9fbcc1p-6, -0x1.72639a2f5b4cdp-6, -0x1.7e70fd431841p-6, -0x1.8bc2bcb36141p-6, -0x1.9a36354eef3bdp-6, -0x1.a9a96c2cc2689p-6, -0x1.b9fc5b813a9b5p-6, -0x1.cb11cf790b0a5p-6, -0x1.dccfa548e4773p-6, -0x1.ef1e7131c8e83p-6, -0x1.00f45cabaa267p-5, -0x1.0a8d04876438ep-5, -0x1.144f1009c050ep-5, -0x1.1e3037710e6b7p-5, -0x1.2825fad08829dp-5, -0x1.3225bf46dfa15p-5, -0x1.3c250b97c5beap-5, -0x1.4619d054be1dep-5, -0x1.4ffaa80fc9123p-5, -0x1.59bf011116c1ap-5, -0x1.635f29bb86f33p-5, -0x1.6cd440ddb4a9cp-5, -0x1.7618118f1ca0bp-5, -0x1.7f24e5a1cd591p-5, -0x1.87f559db10167p-5, -0x1.90843cb34d784p-5, -0x1.98cc7c75211bfp-5, -0x1.a0c9256cfac46p-5, -0x1.a8756d67771c6p-5, -0x1.afccc7845718fp-5, -0x1.b6cafa909e404p-5, -0x1.bd6c349214489p-5, -0x1.c3ad17a60e8c2p-5, -0x1.c98abe60d0e9ep-5, -0x1.cf02b7fa34d7cp-5, -0x1.d412fe4cf4f11p-5, -0x1.d8b9e8a66f244p-5, -0x1.dcf61e7c0c45dp-5, -0x1.e0c68c73b74d6p-5, -0x1.e42a5d12d85c7p-5, -0x1.e720f53c0d511p-5, -0x1.e9a9f3b79a2f1p-5, -0x1.ebdc49a724cp-5, -0x1.ed8b95f7f3dcep-5, -0x1.eecb43468cd57p-5, -0x1.ef9c1a3f8d7aep-5, -0x1.efff477adeebap-5, -0x1.eff64daf7057ap-5, -0x1.ef82f66b3de77p-5, -0x1.eea7426f237fbp-5, -0x1.ed655aa985644p-5, -0x1.ebbf829d5733fp-5, -0x1.e9b80cd2e5acap-5, -0x1.e75151bd9544cp-5, -0x1.e48da952f2953p-5, -0x1.e16f6762116cbp-5, -0x1.ddf8da905a9b5p-5, -0x1.da2c4db9c3fddp-5, -0x1.d60c0b4fc8b38p-5, -0x1.d19a6235e0b31p-5, -0x1.ccd9ab86211c8p-5, -0x1.c7cc509f1f92cp-5, -0x1.c274d0de6850ap-5, -0x1.bcd5c678adcp-5, -0x1.b6f1e9f955d81p-5, -0x1.b0cc1412e2cf8p-5, -0x1.aa673d8ffe596p-5, -0x1.a3c67d5b51faap-5, -0x1.9ced04bb42e46p-5, -0x1.95de1a00fcccfp-5, -0x1.8e9d12066a62ep-5, -0x1.872d48eb151dp-5, -0x1.7f921a8a8be77p-5, -0x1.77cedb27ac687p-5, -0x1.6fe6d0bee07c9p-5, -0x1.67dd2d5f29d96p-5, -0x1.5fb50ad0a6ef3p-5, -0x1.577167b20afc4p-5, -0x1.4f1526177e7d4p-5, -0x1.46a30b98ad7bcp-5, -0x1.3e1dc2a2ae71fp-5, -0x1.3587dccfb4b9bp-5, -0x1.2ce3d5fa2fe92p-5, -0x1.243417bbfd022p-5, -0x1.1b7afd0b49eb8p-5, -0x1.12bad5ad4c969p-5, -0x1.09f5e941445efp-5, -0x1.012e79b360847p-5, -0x1.f0cd89eb7543ep-6, -0x1.df420bd967698p-6, -0x1.cdbee915750abp-6, -0x1.bc488a4a10d0bp-6, -0x1.aae34e2d26fd6p-6, -0x1.999385a094b12p-6, -0x1.885d6ef8337b6p-6, -0x1.774530b9adf99p-6, -0x1.664ed42b85c87p-6, -0x1.557e4006065f5p-6, -0x1.44d7339065893p-6, -0x1.345d4268583b1p-6, -0x1.2413d12371461p-6, -0x1.13fe12e9c04dbp-6, -0x1.041f08188d24ap-6, -0x1.e8f2fbd9d96ccp-7, -0x1.ca201e5011d16p-7, -0x1.abca4b27a03eap-7, -0x1.8df5f88af8708p-7, -0x1.70a744eadd83fp-7, -0x1.53e1fd7faa1d2p-7, -0x1.37a9a540790fap-7, -0x1.1c017bf5f9106p-7, -0x1.00ec8514e0e69p-7, -0x1.ccdb1c29edd05p-8, -0x1.990e680d0be62p-8, -0x1.6677d06e91a4ep-8, -0x1.351be79116d76p-8, -0x1.04fef45312d77p-8, -0x1.ac49e9eb48ab2p-9, -0x1.51233fb955ee9p-9, -0x1.f1218a2b8a27p-10, -0x1.45317cc050b3ap-10, -0x1.3d034966574b1p-11, 0x1.71fe190990e4ep-17, 0x1.3ded8292a8464p-11, 0x1.35af73f020f2fp-10, 0x1.c7085a94b2377p-10, 0x1.297ea27306a75p-9, 0x1.6cc5ca30d8071p-9, 0x1.ad59206001cd5p-9, 0x1.eb38ec00e9f48p-9, 0x1.13331e870a181p-8, 0x1.2f71741cc0a1cp-8, 0x1.4a58c05f3ff29p-8, 0x1.63eaa8427c353p-8, 0x1.7c29276f756e1p-8, 0x1.93168b189fe7fp-8, 0x1.a8b56c6e808e5p-8, 0x1.bd08aadfaf3cp-8, 0x1.d013664e3b1e2p-8, 0x1.e1d8f9622fecep-8, 0x1.f25cf41c56a08p-8, 0x1.00d18b6418c57p-7, 0x1.07d7a6b25d8f1p-7, 0x1.0e42d5cab57e7p-7, 0x1.1415349281ap-7, 0x1.1950ef8e0c7e8p-7, 0x1.1df842b36909cp-7, 0x1.220d787f09f39p-7, 0x1.2592e941f5a23p-7, 0x1.288afa9f4460ap-7, 0x1.2af81f2da6a14p-7, 0x1.2cdcd630fb562p-7, 0x1.2e3bab60862d9p-7, 0x1.2f1736af1b41cp-7, 0x1.2f716676b9075p-7, 0x1.2f51cc2023335p-7, 0x1.2eb6c687d0e5ap-7, 0x1.2da3087a17409p-7, 0x1.2c19516009911p-7, 0x1.2a1c6cea2f92cp-7, 0x1.27af329281bb3p-7, 0x1.24d484f6c27cdp-7, 0x1.218f510d485a9p-7, 0x1.1de28d375cd47p-7, 0x1.19d13835a4dabp-7, 0x1.155e580337ba8p-7, 0x1.108cf89d1a143p-7, 0x1.0b602abb85d8dp-7, 0x1.05db0282efd7ap-7, 0x1.000096324e73bp-7, 0x1.f3a7f9a859afbp-8, 0x1.e6b099eec8c7ap-8, 0x1.d92136e808d57p-8, 0x1.cafff4806625ep-8, 0x1.bc52eeb09461fp-8, 0x1.ad20377987828p-8, 0x1.9d6dd50eef3dfp-8, 0x1.8d41c033447acp-8, 0x1.7ca1e2c5cf3bbp-8, 0x1.6b9416828bf82p-8, 0x1.5a1e23f275838p-8, 0x1.4845c189c724ap-8, 0x1.361092f1354f8p-8, 0x1.238428763c3e5p-8, 0x1.10a5fe9e2d6edp-8, 0x1.faf6fbaf2a89ap-9, 0x1.d413f4897cd16p-9, 0x1.acad67366fb3ep-9, 0x1.84cdaa25d4528p-9, 0x1.5c7eeac15af9ap-9, 0x1.33cb2d6fb7054p-9, 0x1.0abc4d9e80c68p-9, 0x1.c2b7fb96f3926p-10, 0x1.6f678f0f941abp-10, 0x1.1b9a16e060dc3p-10, 0x1.8ec40459bb864p-11, 0x1.cb45b6c9c007p-12, 0x1.dfa2352965a35p-14, -0x1.b8933454ae74cp-13, -0x1.18861b746db34p-11, -0x1.c30e0a6f51a7ap-11, -0x1.36cdd62dd9978p-10, -0x1.8c07611d634d5p-10, -0x1.e123df190339bp-10, -0x1.1b09f18945b36p-9, -0x1.45642d98a4536p-9, -0x1.6f994915a70d7p-9, -0x1.99a2184d36fc4p-9, -0x1.c3779f232fbbp-9, -0x1.ed1311aea29f1p-9, -0x1.0b36ea656af97p-8, -0x1.1fc0bf4d080c8p-8, -0x1.3423eb7bda12fp-8, -0x1.485d6bec2d649p-8, -0x1.5c6a56cada928p-8, -0x1.7047db92e3154p-8, -0x1.83f3431e07a1dp-8, -0x1.9769efaa720a4p-8, -0x1.aaa95cd527caep-8, -0x1.bdaf1f89afa9ap-8, -0x1.d078e5e715308p-8, -0x1.e304771aa8de5p-8, -0x1.f54fb3313e259p-8, -0x1.03ac496fac542p-7, -0x1.0c8e93a08213ap-7, -0x1.154dccc927fc2p-7, -0x1.1de9157070248p-7, -0x1.265f99dbe760cp-7, -0x1.2eb091e324909p-7, -0x1.36db40c104a64p-7, -0x1.3edef4e31b96bp-7, -0x1.46bb07b7cd9bap-7, -0x1.4e6edd7b588e2p-7, -0x1.55f9e5041d01bp-7, -0x1.5d5b978e8396fp-7, -0x1.64937888b2988p-7, -0x1.6ba1155e2555fp-7, -0x1.72840543b70ap-7, -0x1.793be903ba6b8p-7, -0x1.7fc86acad7af3p-7, -0x1.86293df52875ep-7, -0x1.8c5e1edc229cep-7, -0x1.9266d2a5183d6p-7, -0x1.984327104197bp-7, -0x1.9df2f2487c8b8p-7, -0x1.a37612b39b9e4p-7, -0x1.a8cc6ec3448dcp-7, -0x1.adf5f4c639d9cp-7, -0x1.b2f29aba272fcp-7, -0x1.b7c25e1db9d63p-7, -0x1.bc6543c3105a2p-7, -0x1.c0db57a251a45p-7, -0x1.c524acac900e4p-7, -0x1.c9415c9ea134ep-7, -0x1.cd3187d42b45dp-7, -0x1.d0f5551a8814bp-7, -0x1.d48cf183d971ep-7, -0x1.d7f89039d723p-7, -0x1.db386a50c7148p-7, -0x1.de4cbe9a30949p-7, -0x1.e135d177925ecp-7, -0x1.e3f3ecad119e6p-7, -0x1.e6875f340729fp-7, -0x1.e8f07d0d90f7p-7, -0x1.eb2f9f152a984p-7, -0x1.ed4522d34e2cbp-7, -0x1.ef316a5016b74p-7, -0x1.f0f4dbe626045p-7, -0x1.f28fe21598a25p-7, -0x1.f402eb5748a9cp-7, -0x1.f54e69f03ef7dp-7, -0x1.f672d3c596672p-7, -0x1.f770a230a9a0bp-7, -0x1.f84851d3aa79fp-7, -0x1.f8fa626ec1d7p-7, -0x1.f98756b5a9fd8p-7, -0x1.f9efb425d5a52p-7, -0x1.fa3402dd3fe9ap-7, -0x1.fa54cd71c4c18p-7, -0x1.fa52a0c9360afp-7, -0x1.fa2e0bf221ed6p-7, -0x1.f9e79ffd4d5f8p-7, -0x1.f97fefd7e8737p-7, -0x1.f8f790268be43p-7, -0x1.f84f172105856p-7, -0x1.f7871c6ecefdfp-7, -0x1.f6a03904752b7p-7, -0x1.f59b0701bd856p-7, -0x1.f478219088161p-7, -0x1.f33824c4abf74p-7, -0x1.f1dbad7c70068p-7, -0x1.f0635941f2dbp-7, -0x1.eecfc62d5bfbap-7, -0x1.ed2192c7c8448p-7, -0x1.eb595def21536p-7, -0x1.e977c6ba95661p-7, -0x1.e77d6c5ffd107p-7, -0x1.e56aee19f5184p-7, -0x1.e340eb0eba87ep-7, -0x1.e1000237cd324p-7, -0x1.dea8d24a6118fp-7, -0x1.dc3bf9a0774c3p-7, -0x1.d9ba1622ba6b9p-7, -0x1.d723c5332cd91p-7, -0x1.d479a3986ab2bp-7, -0x1.d1bc4d69bd7ecp-7, -0x1.ceec5dfbe5655p-7, -0x1.cc0a6fce800a7p-7, -0x1.c9171c7a33075p-7, -0x1.c612fc9f8217fp-7, -0x1.c2fea7d64888dp-7, -0x1.bfdab49de6cadp-7, -0x1.bca7b84e0805p-7, -0x1.b96647081e9c8p-7, -0x1.b616f3a97049ep-7, -0x1.b2ba4fbdcde11p-7, -0x1.af50eb72cf651p-7, -0x1.abdb558bc2d76p-7, -0x1.a85a1b561f537p-7, -0x1.a4cdc89e7c746p-7, -0x1.a136e7a62b944p-7, -0x1.9d96011947439p-7, -0x1.99eb9c0553b5ep-7, -0x1.96383dd03c125p-7, -0x1.927c6a3003e81p-7, -0x1.8eb8a322b527cp-7, -0x1.8aed68e6ddaa2p-7, -0x1.871b39f47373dp-7, -0x1.834292f622863p-7, -0x1.7f63eec2f1f2ep-7, -0x1.7b7fc65866306p-7, -0x1.779690d4d6191p-7, -0x1.73a8c3723ffc9p-7, -0x1.6fb6d18156fc9p-7, -0x1.6bc12c64f4563p-7, -0x1.67c8438dbf8e6p-7, -0x1.63cc84763bf31p-7, -0x1.5fce5a9f0b979p-7, -0x1.5bce2f8b703d4p-7, -0x1.57cc6abe3461ep-7, -0x1.53c971b6ac3a7p-7, -0x1.4fc5a7ee09b75p-7, -0x1.4bc16ed4ee752p-7, -0x1.47bd25d13fd29p-7, -0x1.43b92a3c2954cp-7, -0x1.3fb5d760740bbp-7, -0x1.3bb38678fc5e3p-7, -0x1.37b28eaf86f84p-7, -0x1.33b3451bbcda1p-7, -0x1.2fb5fcc26f757p-7, -0x1.2bbb06951342ep-7, -0x1.27c2b1719347ep-7, -0x1.23cd4a224b764p-7, -0x1.1fdb1b5e4e0e3p-7, -0x1.1bec6dca03c7p-7, -0x1.180187f7f774bp-7, -0x1.141aae69f10e2p-7, -0x1.1038239268cccp-7, -0x1.0c5a27d63b51ep-7, -0x1.0880f98e9833ep-7, -0x1.04acd50b7175ep-7, -0x1.00ddf496028p-7, -0x1.fa2920e78e856p-8, -0x1.f2a1bdd379ea4p-8, -0x1.eb26287fe7c8bp-8, -0x1.e3b6c58af1dfdp-8, -0x1.dc53f5a900a8dp-8, -0x1.d4fe15adec6cdp-8, -0x1.cdb57e96b6126p-8, -0x1.c67a8593c8266p-8, -0x1.bf4d7c13fe0dfp-8, -0x1.b82eafd02d428p-8, -0x1.b11e6ad7456dp-8, -0x1.aa1cf39b1b5c3p-8, -0x1.a32a8cfdb574dp-8, -0x1.9c47765f20168p-8, -0x1.9573ebabc7fb5p-8, -0x1.8eb0256b6cdeap-8, -0x1.8800055ebd82fp-8, -0x1.815c7ce1fbeeap-8, -0x1.7ac94cdd44a6dp-8, -0x1.7446a0d9cc2dbp-8, -0x1.6dd4a14e45372p-8, -0x1.677373b02d62cp-8, -0x1.61233a8548f7dp-8, -0x1.5ae41575580cap-8, -0x1.54b6215c02498p-8, -0x1.4e99785af2cd2p-8, -0x1.488e31ebefd85p-8, -0x1.429462f329ed1p-8, -0x1.3cac1dd162ad9p-8, -0x1.36d572765087p-8, -0x1.31106e72bcd72p-8, -0x1.2b5d1d0aa0a8cp-8, -0x1.25bb8747311cfp-8, -0x1.202bb408aa879p-8, -0x1.1aada817f8ebdp-8, -0x1.154166382cf6cp-8, -0x1.0fe6ef37a0315p-8, -0x1.0a9e4200dc1d9p-8, -0x1.05675bab39d59p-8, -0x1.0042378b193cbp-8, -0x1.f65d9e83b1b82p-9, -0x1.ec5a359aa60cp-9, -0x1.e27a212e0b5f8p-9, -0x1.d8bd4b05d5d67p-9, -0x1.cf2399fb73e3p-9, -0x1.c5acf215a4182p-9, -0x1.bc5934a39e28p-9, -0x1.b328405715768p-9, -0x1.aa19f15d974a1p-9, -0x1.a12e2178e7b7cp-9, -0x1.9864a81690858p-9, -0x1.8fbd5a669fc13p-9, -0x1.87380b71918ccp-9, -0x1.7ed48c2d5d3cap-9, -0x1.7692ab91c03f1p-9, -0x1.6e7236abd7ae7p-9, -0x1.6672f8b0d9462p-9, -0x1.5e94bb105d708p-9, -0x1.56d7458587f9dp-9, -0x1.4f3a5e280efc1p-9, -0x1.47bdc97c62dd1p-9, -0x1.40614a83462fap-9, -0x1.3924a2c91ab4cp-9, -0x1.32079274385aep-9, -0x1.2b09d8536573ep-9, -0x1.242b31eb8711ep-9, -0x1.1d6b5b850b964p-9, -0x1.16ca1038ebfaep-9, -0x1.104709fd82e27p-9, -0x1.09e201b30ea7dp-9, -0x1.039aaf2fdc2b7p-9, -0x1.fae19298af767p-10, -0x1.eec80bddd6a0dp-10, -0x1.e2e8342f35dfp-10, -0x1.d74173d73d905p-10, -0x1.cbd331817ff0dp-10, -0x1.c09cd2516bbfbp-10, -0x1.b59db9f8940e7p-10, -0x1.aad54accf02e3p-10, -0x1.a042e5df1dddfp-10, -0x1.95e5eb104cc69p-10, -0x1.8bbdb9281d945p-10, -0x1.81c9adea64eb2p-10, -0x1.7809262cf1bacp-10, -0x1.6e7b7ded02833p-10, -0x1.65201064c5daap-10, -0x1.5bf63820d6732p-10, -0x1.52fd4f1525e22p-10, -0x1.4a34aeb270c43p-10, -0x1.419baffaf49ap-10, -0x1.3931ab9749ac7p-10, -0x1.30f5f9eb0264dp-10, -0x1.28e7f329149a3p-10, -0x1.2106ef6803d18p-10, -0x1.195246b5dc343p-10, -0x1.11c9512bcef38p-10, -0x1.0a6b6701bee88p-10, -0x1.0337e0a14858dp-10, -0x1.f85c2d711d0c4p-11, -0x1.ea9ac49987fe3p-11, -0x1.dd2a399868543p-11, -0x1.d009403fefd58p-11, -0x1.c3368d7b536fbp-11, -0x1.b6b0d76fa65c8p-11, -0x1.aa76d59d6151p-11, -0x1.9e874100bf8a2p-11, -0x1.92e0d431066c3p-11, -0x1.87824b7eac01ep-11, -0x1.7c6a6510f6d23p-11, -0x1.7197e10274b36p-11, -0x1.6709817cce5cdp-11, -0x1.5cbe0ad2fee3ep-11, -0x1.52b4439acfa66p-11, -0x1.48eaf4c5ea987p-11, -0x1.3f60e9b9d4396p-11, -0x1.3614f0653db6ap-11, -0x1.2d05d956f64adp-11, -0x1.243277d1a3ffep-11, -0x1.1b99a1dff5d14p-11, -0x1.133a306717459p-11, -0x1.0b12ff38583eap-11, -0x1.0322ed21ff175p-11, -0x1.f6d1b7fd5bedbp-12, -0x1.e7c76189ad8dep-12, -0x1.d924a72767dd7p-12, -0x1.cae75f81891ccp-12, -0x1.bd0d67c772f9fp-12, -0x1.af94a3c299401p-12, -0x1.a27afdeb0ef28p-12, -0x1.95be677a630efp-12, -0x1.895cd87ca4e2cp-12, -0x1.7d544fde240e3p-12, -0x1.71a2d37b5c467p-12, -0x1.6646702b1be95p-12, -0x1.5b3d39c949fe6p-12, -0x1.50854b402ec38p-12, -0x1.461cc68feff55p-12, -0x1.3c01d4d2c76b9p-12, -0x1.3232a642b8f77p-12, -0x1.28ad723c0ebfcp-12, -0x1.1f70773fdf849p-12, -0x1.1679faf2e88a2p-12, -0x1.0dc84a1d6d9e8p-12, -0x1.0559b8a8f0156p-12, -0x1.fa59433928e3ap-13, -0x1.ea7ece3143dacp-13, -0x1.db20e4a1735f8p-13, -0x1.cc3c670b2aa78p-13, -0x1.bdce43f7c85e7p-13, -0x1.afd377ea5df05p-13, -0x1.a2490d4a3bd8fp-13, -0x1.952c1c4ec5d03p-13, -0x1.8879cae6bb3b2p-13, -0x1.7c2f4ca1eb4f9p-13, -0x1.7049e2962b0b7p-13, -0x1.64c6db4373e7p-13, -0x1.59a3927708203p-13, -0x1.4edd712f4cf88p-13, -0x1.4471ed7aa7b9cp-13, -0x1.3a5e8a564f05dp-13, -0x1.30a0d78ebe14dp-13, -0x1.2736719cb28bcp-13, -0x1.1e1d01829835cp-13, -0x1.15523ca8080c1p-13, -0x1.0cd3e4b50cb1bp-13, -0x1.049fc76d91453p-13, -0x1.f9677d16962a5p-14, -0x1.ea1b5f2e99bb1p-14, -0x1.db57178589171p-14, -0x1.cd169f890b2e9p-14, }}, 
      {{-0x1.76465b9fd482fp-2, -0x1.7528479222cbdp-2, -0x1.734e04989dc45p-2, -0x1.70bbe0f61463dp-2, -0x1.6d78602bb69c7p-2, -0x1.698a21e035b15p-2, -0x1.64f8561a3dd9bp-2, -0x1.5fcc8957ded0dp-2, -0x1.5a0f5efe144eep-2, -0x1.53ca69ead3383p-2, -0x1.4d079ffff68aep-2, -0x1.45d135a943ef2p-2, -0x1.3e30fe4fc73dp-2, -0x1.3630856c6d002p-2, -0x1.2dd953a6cc1b7p-2, -0x1.2535bef69def9p-2, -0x1.1c4dce6bc049cp-2, -0x1.132b506181096p-2, -0x1.09d62b3dff571p-2, -0x1.0056e95f2e7d2p-2, -0x1.ed6a6c3bda115p-3, -0x1.d9f12129938efp-3, -0x1.c650294e65c94p-3, -0x1.b294ef70acdc9p-3, -0x1.9ecc364a88f5dp-3, -0x1.8b020438ee5a2p-3, -0x1.7741b3385bb4ep-3, -0x1.6395ae07c59p-3, -0x1.500872cb7ca83p-3, -0x1.3ca325676792dp-3, -0x1.296e20236413cp-3, -0x1.1671a22ab5db1p-3, -0x1.03b57d88122adp-3, -0x1.e2812f20aa431p-4, -0x1.be3235a298c37p-4, -0x1.9a89a2cda6cc5p-4, -0x1.77925b7b9da91p-4, -0x1.55563fc33ebf6p-4, -0x1.33ddfa7955cffp-4, -0x1.133126746da51p-4, -0x1.e6ad1dbb1edf7p-5, -0x1.a8a89183b66c7p-5, -0x1.6c5f46b1ba53fp-5, -0x1.31da2bbf6e362p-5, -0x1.f241164737f63p-6, -0x1.847073d56a9cep-6, -0x1.1a4b84c2ae7d5p-6, -0x1.67b1e597f69dfp-7, -0x1.4474195e5d4c5p-8, 0x1.bcca97ea2fa18p-11, 0x1.a4c5cce9f2425p-8, 0x1.818d6f675460bp-7, 0x1.14aa63a1fb722p-6, 0x1.64e27a1f9f256p-6, 0x1.b176d7fb57f24p-6, 0x1.fa72bf5cd4facp-6, 0x1.1feeb2c2847afp-5, 0x1.40e11fdde392fp-5, 0x1.60175b7c3e6adp-5, 0x1.7d98eecb1a535p-5, 0x1.996df8c54e4adp-5, 0x1.b39eed9132a78p-5, 0x1.cc34689fb6fb6p-5, 0x1.e3371b6fefe7ap-5, 0x1.f8afd6b5f77e6p-5, 0x1.0653d15cdb5e9p-4, 0x1.0f93ec4650d09p-4, 0x1.181d180f727eep-4, 0x1.1ff45e9f71e5ap-4, 0x1.271eee31b215ap-4, 0x1.2da20aad52d26p-4, 0x1.3382fe1d84385p-4, 0x1.38c70c1244bcp-4, 0x1.3d736a36eaa6p-4, 0x1.418d3e8d3a8ccp-4, 0x1.4519a21c3ab87p-4, 0x1.481da5e771b0cp-4, 0x1.4a9e57d09f9f5p-4, 0x1.4ca0c58310473p-4, 0x1.4e29fc715ccfbp-4, 0x1.4f3f06ee75d8bp-4, 0x1.4fe4e7344b4f3p-4, 0x1.502091923e503p-4, 0x1.4ff6e7009762p-4, 0x1.4f6cb10ad1748p-4, 0x1.4e869f8adc6d4p-4, 0x1.4d49482fe8c26p-4, 0x1.4bb927648b02p-4, 0x1.49daa1eeeaac1p-4, 0x1.47b2069f68619p-4, 0x1.45438f84a683ep-4, 0x1.42936255b2d8bp-4, 0x1.3fa590032071cp-4, 0x1.3c7e139788d4cp-4, 0x1.3920d0b4f0fb2p-4, 0x1.359192081bd59p-4, 0x1.31d407fd9a332p-4, 0x1.2debc7e6028b6p-4, 0x1.29dc4b939d375p-4, 0x1.25a8f16020286p-4, 0x1.2154fc7b32824p-4, 0x1.1ce395613c163p-4, 0x1.1857ca6040e39p-4, 0x1.13b49017251dep-4, 0x1.0efcc1e0e9f57p-4, 0x1.0a3322211b9e5p-4, 0x1.055a5a6bbaaeap-4, 0x1.0074fb8adf8e3p-4, 0x1.f70afadb7180bp-5, 0x1.ed1c7e27c2e45p-5, 0x1.e321fd9434981p-5, 0x1.d92291e0b4247p-5, 0x1.cf20b51c080bcp-5, 0x1.c520523c8b9adp-5, 0x1.bb252799fe877p-5, 0x1.b132c88159c59p-5, 0x1.a74c9e6806cdfp-5, 0x1.9d75e9beb633fp-5, 0x1.93b1c26ec1a57p-5, 0x1.8a0318157295cp-5, 0x1.806cb215ed942p-5, 0x1.76f12f9c2c09dp-5, 0x1.6d9307aa33343p-5, 0x1.645489446cbbap-5, 0x1.5b37dbcc1a3d8p-5, 0x1.523eff901688bp-5, 0x1.496bce956f515p-5, 0x1.40bffd9380f08p-5, 0x1.383d1d1b427a7p-5, 0x1.2fe49ade9e1f6p-5, 0x1.27b7c30bf0a2p-5, 0x1.1fb7c1b2370c6p-5, 0x1.17e5a423aaf17p-5, 0x1.10425a4ec187dp-5, 0x1.08ceb807a61afp-5, 0x1.018b763ecc84fp-5, 0x1.f4f26846c3008p-6, 0x1.e730f0649666dp-6, 0x1.d9d362675d45p-6, 0x1.ccda6e543eccap-6, 0x1.c046986cf863fp-6, 0x1.b4183ae7b4153p-6, 0x1.a84f879c2f0e6p-6, 0x1.9cec89aa75046p-6, 0x1.91ef271e78addp-6, 0x1.87572291dc83cp-6, 0x1.7d241cccc96fap-6, 0x1.73559665497cbp-6, 0x1.69eaf15c352d8p-6, 0x1.60e372b5fc5c9p-6, 0x1.583e440d58726p-6, 0x1.4ffa751e318a7p-6, 0x1.4816fd46b2ba4p-6, 0x1.4092bcfd6fc8p-6, 0x1.396c7f3b589dap-6, 0x1.32a2fad95cebep-6, 0x1.2c34d3e1a53e3p-6, 0x1.26209cd4e68p-6, 0x1.2064d7e4cbde2p-6, 0x1.1afff82453458p-6, 0x1.15f062af84157p-6, 0x1.11346fcb2b032p-6, 0x1.0cca6bfdd9f52p-6, 0x1.08b099227d766p-6, 0x1.04e52f75071f5p-6, 0x1.01665e98ff378p-6, 0x1.fc649d341e4f6p-7, 0x1.f68e41cb91b36p-7, 0x1.f145e27cda324p-7, 0x1.ec87ad4bd7daap-7, 0x1.e84fc8812ccf5p-7, 0x1.e49a545d822fcp-7, 0x1.e1636cb9c6131p-7, 0x1.dea72a92e969cp-7, 0x1.dc61a5804aaa3p-7, 0x1.da8ef5141a8b7p-7, 0x1.d92b32252b413p-7, 0x1.d83278024d68p-7, 0x1.d7a0e58fdb125p-7, 0x1.d7729e4fee384p-7, 0x1.d7a3cb5774155p-7, 0x1.d8309c312d12ap-7, 0x1.d91547b0bb4ebp-7, 0x1.da4e0cb7f6edap-7, 0x1.dbd732efeadbp-7, 0x1.ddad0b7789c19p-7, 0x1.dfcbf188da9edp-7, 0x1.e2304b16513d9p-7, 0x1.e4d689606ebb1p-7, 0x1.e7bb29845fa6p-7, 0x1.eadab504057cp-7, 0x1.ee31c2479727ep-7, 0x1.f1bcf518de20ep-7, 0x1.f578ff1861cc5p-7, 0x1.f962a02cb8046p-7, 0x1.fd76a6eb96d7dp-7, 0x1.00d8f87e6afap-6, 0x1.0308b5bb9c289p-6, 0x1.0549099b2cbbcp-6, 0x1.07987a94b87a8p-6, 0x1.09f5974d25154p-6, 0x1.0c5ef6b60a7b5p-6, 0x1.0ed33828bd07p-6, 0x1.1151037cba2c5p-6, 0x1.13d70919b5969p-6, 0x1.166402050fd1ap-6, 0x1.18f6afeaf46b8p-6, 0x1.1b8ddd239d84p-6, 0x1.1e285cb4b891cp-6, 0x1.20c50a4f91064p-6, 0x1.2362ca4c74385p-6, 0x1.260089a3602cep-6, 0x1.289d3de29c464p-6, 0x1.2b37e5237371ep-6, 0x1.2dcf85fd2cadap-6, 0x1.30632f76943a4p-6, 0x1.32f1f8f627c65p-6, 0x1.357b0230e7ae3p-6, 0x1.37fd73181c20fp-6, 0x1.3a787bc5f7a64p-6, 0x1.3ceb54690620ep-6, 0x1.3f553d2ef4574p-6, 0x1.41b4f7d5aabc6p-6, 0x1.440ae65910a83p-6, 0x1.4655d6ea65373p-6, 0x1.48952870f12bfp-6, 0x1.4ac8415493ec6p-6, 0x1.4cee8f66b4f9dp-6, 0x1.4f0787ca9a999p-6, 0x1.5112a6dcc6aecp-6, 0x1.530f7019536ecp-6, 0x1.54fd6e0197b93p-6, 0x1.56dc3200902e3p-6, 0x1.58ab544e77faep-6, 0x1.5a6a73d3590f8p-6, 0x1.5c193608ababfp-6, 0x1.5db746d9fcd1fp-6, 0x1.5f445884dd0d1p-6, 0x1.60c02377d83cap-6, 0x1.622a6630d8e2fp-6, 0x1.6382e51ae129cp-6, 0x1.64c96a6b2b33dp-6, 0x1.65fdc5fde6358p-6, 0x1.671fcd32894c3p-6, 0x1.682f5ac805f6bp-6, 0x1.692c4eb8ab0ap-6, 0x1.6a168e160f62ap-6, 0x1.6aee02e4f208cp-6, 0x1.6bb29bf936799p-6, 0x1.6c644cd223ca9p-6, 0x1.6d030d76be8a1p-6, 0x1.6d8eda527d669p-6, 0x1.6e07b412605ap-6, 0x1.6e6d9f823d505p-6, 0x1.6ec0a56ac477p-6, 0x1.6f00d26faf7a3p-6, 0x1.6f2e36ee853b7p-6, 0x1.6f48e6ddc7168p-6, 0x1.6f50f9acb1383p-6, 0x1.6f468a236536cp-6, 0x1.6f29b64380547p-6, 0x1.6efa9f2959f07p-6, 0x1.6eb968ed7e7c7p-6, 0x1.6e663a86d6249p-6, 0x1.6e013dad1c651p-6, 0x1.6d8a9ebbd8652p-6, 0x1.6d028c95bcc3cp-6, 0x1.6c693888703dbp-6, 0x1.6bbed630d7199p-6, 0x1.6b039b5fa50f6p-6, 0x1.6a37bffe6297p-6, 0x1.695b7df4e2ce4p-6, 0x1.686f110f0d1bap-6, 0x1.6772b6e306851p-6, 0x1.6666aeb7de9d3p-6, 0x1.654b396c8167p-6, 0x1.6420995f1ebd9p-6, 0x1.62e71254f006bp-6, 0x1.619ee962714ddp-6, 0x1.604864d40e79ep-6, 0x1.5ee3cc1724414p-6, 0x1.5d7167a38bbcep-6, 0x1.5bf180e5903e6p-6, 0x1.5a646228485dap-6, 0x1.58ca568095ccbp-6, 0x1.5723a9b86f0efp-6, 0x1.5570a83abfc7p-6, 0x1.53b19effbb03cp-6, 0x1.51e6db79c2084p-6, 0x1.5010ab82ae4b5p-6, 0x1.4e2f5d49ba803p-6, 0x1.4c433f41d748cp-6, 0x1.4a4ca01095cafp-6, 0x1.484bce7d8e1fp-6, 0x1.464119623d5e9p-6, 0x1.442ccf9a87a91p-6, 0x1.420f3ff597bf8p-6, 0x1.3fe8b9275c403p-6, 0x1.3db989ba6fd8ap-6, 0x1.3b82000295f1dp-6, 0x1.39426a0fa95b6p-6, 0x1.36fb15a0fe5fp-6, 0x1.34ac5019594dfp-6, 0x1.3256667347925p-6, 0x1.2ff9a535f115cp-6, 0x1.2d96586a6d3e6p-6, 0x1.2b2ccb9172b2bp-6, 0x1.28bd499990555p-6, 0x1.26481cd5c26fdp-6, 0x1.23cd8ef474ef8p-6, 0x1.214de8f6f7a22p-6, 0x1.1ec973294d389p-6, 0x1.1c40751a63d73p-6, 0x1.19b33594bc219p-6, 0x1.1721fa97580b8p-6, 0x1.148d094f18264p-6, 0x1.11f4a61073b2cp-6, 0x1.0f59145184727p-6, 0x1.0cba96a471765p-6, 0x1.0a196eb2231dap-6, 0x1.0775dd355bb54p-6, 0x1.04d021f619457p-6, 0x1.02287bc541f75p-6, 0x1.fefe50f159527p-7, 0x1.f9a8c9cecededp-7, 0x1.f450d9ccac165p-7, 0x1.eef6f68a19cbdp-7, 0x1.e99b9395f9f23p-7, 0x1.e43f2269c7f02p-7, 0x1.dee21264edc37p-7, 0x1.d984d0c8b6c5p-7, 0x1.d427c8b4b8a49p-7, 0x1.cecb6323b1349p-7, 0x1.c97006e8f0f3p-7, 0x1.c41618ae26addp-7, 0x1.bebdfaf1b3ab7p-7, 0x1.b9680e055f868p-7, 0x1.b414b00d7f721p-7, 0x1.aec43d0082d18p-7, 0x1.a9770ea6fbaa8p-7, 0x1.a42d7c9bdf62p-7, 0x1.9ee7dc4d4e95bp-7, 0x1.99a680fda4badp-7, 0x1.9469bbc4e8da5p-7, 0x1.8f31db928e842p-7, 0x1.89ff2d2f8e056p-7, 0x1.84d1fb40cb6dep-7, 0x1.7faa8e49c995ap-7, 0x1.7a892caf9b0efp-7, 0x1.756e1abc3ca62p-7, 0x1.70599aa204fd5p-7, 0x1.6b4bec7f76acap-7, 0x1.66454e633b33p-7, 0x1.6145fc507527ep-7, 0x1.5c4e30431aep-7, 0x1.575e2234bed76p-7, 0x1.52760821608dep-7, 0x1.4d96160c83c1cp-7, 0x1.48be7e066267ep-7, 0x1.43ef703168cedp-7, 0x1.3f291ac7bd28cp-7, 0x1.3a6baa20f0e19p-7, 0x1.35b748b7f0ddep-7, 0x1.310c1f30f6923p-7, 0x1.2c6a545fa9a86p-7, 0x1.27d20d4d66a8p-7, 0x1.23436d3f89003p-7, 0x1.1ebe95bde9d78p-7, 0x1.1a43a69965e5cp-7, 0x1.15d2bdf27aaabp-7, 0x1.116bf84006f72p-7, 0x1.0d0f7055ff80ep-7, 0x1.08bd3f6c59ec8p-7, 0x1.04757d25dc667p-7, 0x1.00383f9725875p-7, 0x1.f80b369b384ep-8, 0x1.efbb46acfa9dp-8, 0x1.e780d28bdcc42p-8, 0x1.df5bfa7c0e441p-8, 0x1.d74cdbebfae4fp-8, 0x1.cf53918272b39p-8, 0x1.c770332cf5bedp-8, 0x1.bfa2d62df9a2bp-8, 0x1.b7eb8d2b25822p-8, 0x1.b04a683bb0e7cp-8, 0x1.a8bf74f66bf4fp-8, 0x1.a14abe802984ep-8, 0x1.99ec4d99cb4c2p-8, 0x1.92a428ae6a1e9p-8, 0x1.8b7253e15835p-8, 0x1.8456d11c3696fp-8, 0x1.7d51a01cd0d07p-8, 0x1.7662be82fd712p-8, 0x1.6f8a27de5f949p-8, 0x1.68c7d5bc134edp-8, 0x1.621bbfb437c13p-8, 0x1.5b85db77935d4p-8, 0x1.55061cdcb3941p-8, 0x1.4e9c75ed583d2p-8, 0x1.4848d6f3869b3p-8, 0x1.420b2e869b891p-8, 0x1.3be369981e513p-8, 0x1.35d1738094edcp-8, 0x1.2fd5360c1e04dp-8, 0x1.29ee9986ec7dfp-8, 0x1.241d84c9b6fddp-8, 0x1.1e61dd45d921ap-8, 0x1.18bb871174722p-8, 0x1.132a64f35fcd3p-8, 0x1.0dae586ef597fp-8, 0x1.084741cf9bdacp-8, 0x1.02f500348d1adp-8, 0x1.fb6ee33799ef8p-9, 0x1.f11ce5db497adp-9, 0x1.e6f3c00f0fecep-9, 0x1.dcf3278e08825p-9, 0x1.d31ad02910a83p-9, 0x1.c96a6bdbc0d68p-9, 0x1.bfe1aae16b0c1p-9, 0x1.b6803bc9b4856p-9, 0x1.ad45cb8c82a06p-9, 0x1.a432059e4803ep-9, 0x1.9b44940353e34p-9, 0x1.927d1f6333d54p-9, 0x1.89db4f1bb8389p-9, 0x1.815ec9537d4e8p-9, 0x1.7907330c77b6cp-9, 0x1.70d43035b1c09p-9, 0x1.68c563bd1e203p-9, 0x1.60da6fa108207p-9, 0x1.5912f5011c3f3p-9, 0x1.516e942ee01b9p-9, 0x1.49ececbebe731p-9, 0x1.428d9d9762361p-9, 0x1.3b504501d0732p-9, 0x1.343480b8fa066p-9, 0x1.2d39edf890b2bp-9, 0x1.2660298bf8604p-9, 0x1.1fa6cfdcb01f8p-9, 0x1.190d7d00731cep-9, 0x1.1293ccc71ba8ep-9, 0x1.0c395ac7ed1f6p-9, 0x1.05fdc26ed31e1p-9, 0x1.ffc13e1260467p-10, 0x1.f3c317a4c71afp-10, 0x1.e80047ff837ddp-10, 0x1.dc795f83ba1e4p-10, 0x1.d12ae0f7e6afdp-10, 0x1.c6155c9300804p-10, 0x1.bb3809798dfbcp-10, 0x1.b0921f342066fp-10, 0x1.a622d5c36559ep-10, 0x1.9be965b45100ap-10, 0x1.91e50832a224ep-10, 0x1.8814f71b41105p-10, 0x1.7e786d0eff42dp-10, 0x1.750ea58252ca5p-10, 0x1.6bd6dcce94ea6p-10, 0x1.62d05041c675bp-10, 0x1.59fa3e2dcd0cdp-10, 0x1.5153e5f6fe77ap-10, 0x1.48dc88222de58p-10, 0x1.409366625f1b2p-10, 0x1.3877c3a53c1edp-10, 0x1.3088e41f8c05ap-10, 0x1.28c60d58e397bp-10, 0x1.212e8636ca57fp-10, 0x1.19c197074f6e5p-10, 0x1.127e898afc70fp-10, 0x1.0b64a8fea786cp-10, 0x1.0473422421eddp-10, 0x1.fb534695768cfp-11, 0x1.ee0e38af63e73p-11, 0x1.e115fd9a78dcbp-11, 0x1.d4693ba29ec55p-11, 0x1.c8069c6b49943p-11, 0x1.bbecccf7f3b44p-11, 0x1.b01a7db9c98ddp-11, 0x1.a48e6299e86bfp-11, 0x1.99473302b7062p-11, 0x1.8e43a9e95c368p-11, 0x1.838285d57d026p-11, 0x1.790288e8b50e7p-11, 0x1.6ec278e570c5dp-11, 0x1.64c11f3501cb8p-11, 0x1.5afd48ec9d19cp-11, 0x1.5175c6d209309p-11, 0x1.48296d6082c3p-11, 0x1.3f1714caf01dbp-11, 0x1.363d98ff61245p-11, 0x1.2d9bd9a90a332p-11, 0x1.2530ba32c61c1p-11, 0x1.1cfb21c6a4a8ap-11, 0x1.14f9fb51dfb02p-11, 0x1.0d2c3580cc1c6p-11, 0x1.0590c2c16c907p-11, 0x1.fc4d32840ea3dp-12, 0x1.edd965e0e6887p-12, 0x1.dfc41aef55463p-12, 0x1.d20b547dea2d8p-12, 0x1.c4ad1ccd01dd2p-12, 0x1.b7a7858b11ccfp-12, 0x1.aaf8a7cdf6af3p-12, 0x1.9e9ea40bbfc3fp-12, 0x1.9297a214782dp-12, 0x1.86e1d1091ba14p-12, 0x1.7b7b675383458p-12, 0x1.7062a29d76bf1p-12, 0x1.6595c7c5fc43bp-12, 0x1.5b1322d7c4d78p-12, 0x1.50d906fdb3808p-12, 0x1.46e5ce7979414p-12, 0x1.3d37da96620bfp-12, 0x1.33cd939c35861p-12, 0x1.2aa568c45e1d2p-12, 0x1.21bdd02ad0efep-12, 0x1.191546c618d43p-12, 0x1.10aa505167403p-12, 0x1.087b77441cb55p-12, 0x1.00874cc139835p-12, 0x1.f198d1124857bp-13, 0x1.e292d1d529cc6p-13, 0x1.d3f9e5651e964p-13, 0x1.c5cb623a30815p-13, 0x1.b804ab89ef9bbp-13, 0x1.aaa33127e3a6bp-13, 0x1.9da46f62d1fbap-13, 0x1.9105eee5401aep-13, 0x1.84c54491d8622p-13, 0x1.78e01160f298fp-13, 0x1.6d540242460a1p-13, 0x1.621ecff20dd81p-13, 0x1.573e3ede05432p-13, 0x1.4cb01ef895638p-13, 0x1.42724ba26d60dp-13, 0x1.3882ab75f7181p-13, 0x1.2edf30307dd52p-13, 0x1.2585d68527cf8p-13, 0x1.1c74a5fc32a97p-13, 0x1.13a9b0cd802c5p-13, 0x1.0b2313ba60776p-13, 0x1.02def5e993a26p-13, 0x1.f5b711857a1f6p-14, 0x1.e62e0f8dd9e59p-14, 0x1.d71f70da6b55ap-14, 0x1.c887d3f6c4a48p-14, 0x1.ba63eac7d88f6p-14, 0x1.acb07a39c3bd6p-14, 0x1.9f6a59f939917p-14, 0x1.928e7428659dp-14, 0x1.8619c5153c63bp-14, 0x1.7a095aeb74174p-14, 0x1.6e5a5574b6c18p-14, 0x1.6309e5c0b96b6p-14, 0x1.58154deb2be4bp-14, 0x1.4d79e0c268e41p-14, 0x1.4335018c45936p-14, 0x1.394423b5f2ba8p-14, 0x1.2fa4ca9012265p-14, 0x1.2654890515a7ap-14, 0x1.1d51014f21c4ap-14, 0x1.1497e4c14abd2p-14, 0x1.0c26f3690ce5fp-14, 0x1.03fbfbd9f86ecp-14, 0x1.f829b5c4e97f2p-15, 0x1.e8def69360bfep-15, 0x1.da13ab19e4ae2p-15, 0x1.cbc3df2f57587p-15, 0x1.bdebb90888425p-15, 0x1.b08778b284a38p-15, 0x1.a393779095714p-15, 0x1.970c27d62fc79p-15, 0x1.8aee141aa3b4dp-15, 0x1.7f35debc7bc74p-15, 0x1.73e04178befa7p-15, 0x1.68ea0cea37b26p-15, 0x1.5e50280e15f89p-15, 0x1.540f8fc502316p-15, 0x1.4a2556827c923p-15, 0x1.408ea394ccdeap-15, 0x1.3748b2e071e6p-15, 0x1.2e50d45fecb84p-15, 0x1.25a46bbc0fb65p-15, 0x1.1d40efcb5e0d2p-15, 0x1.1523ea3032b03p-15, 0x1.0d4af6e9556ebp-15, 0x1.05b3c3e4d137p-15, 0x1.fcb8213f961bp-16, 0x1.ee835b6944db4p-16, 0x1.e0c4f8ebac677p-16, 0x1.d378dd1fe5353p-16, 0x1.c69b0b4046aeap-16, 0x1.ba27a5b1a93e6p-16, 0x1.ae1aed2e9ac57p-16, 0x1.a271403dd461ap-16, 0x1.97271a32f61e7p-16, 0x1.8c3912a617eb3p-16, 0x1.81a3dcb8febf3p-16, 0x1.7764465e61ebap-16, 0x1.6d7737b1398d4p-16, }}, 
      {{-0x1.768603e29b368p-2, -0x1.76262e8aea90ep-2, -0x1.75869f1bb8959p-2, -0x1.74a836acf371cp-2, -0x1.738cf38bdbcdbp-2, -0x1.72360be27ee43p-2, -0x1.70a4795222c41p-2, -0x1.6edb047afca98p-2, -0x1.6cdb2296174d7p-2, -0x1.6aa70521852e5p-2, -0x1.684106d455f39p-2, -0x1.65abbb6644d84p-2, -0x1.62e96bdfbce91p-2, -0x1.5ffcce4f186a4p-2, -0x1.5ce73bf417234p-2, -0x1.59ac909ac6e22p-2, -0x1.564e1fc9809e4p-2, -0x1.52cede0fc08d6p-2, -0x1.4f30dfe5632c6p-2, -0x1.4b7689d4931bcp-2, -0x1.47a20cc1090abp-2, -0x1.43b59bb57291fp-2, -0x1.3fb3527bf804dp-2, -0x1.3b9d3f64366dap-2, -0x1.37755f56034cp-2, -0x1.333d9df8e4a7p-2, -0x1.2ef7dfe362fadp-2, -0x1.2aa5c7411f35cp-2, -0x1.2649452561a7p-2, -0x1.21e3dcdb7d9edp-2, -0x1.1d771ebd4b3cap-2, -0x1.1904a2fc95f1fp-2, -0x1.148dd58053b42p-2, -0x1.101414a9a3788p-2, -0x1.0b98b5e1b6a14p-2, -0x1.071cfc98a7772p-2, -0x1.02a21c3a831c3p-2, -0x1.fc52712f87a7p-3, -0x1.f366cbf5870dp-3, -0x1.ea8354d9990ddp-3, -0x1.e1a9fc965f9c6p-3, -0x1.d8dc984b4eaa6p-3, -0x1.d01ce18433618p-3, -0x1.c76c770eebd65p-3, -0x1.beccddef9aa01p-3, -0x1.b63f8276b8bf1p-3, -0x1.adc5b96909e17p-3, -0x1.a560c04faecd9p-3, -0x1.9d11bd8a05fcfp-3, -0x1.94d9c16f2b184p-3, -0x1.8cb9c7a996cbep-3, -0x1.84b2b797ded2p-3, -0x1.7cc56487f42cp-3, -0x1.74f28ec9ea5e8p-3, -0x1.6d3adf5b7e721p-3, -0x1.659eff304d39dp-3, -0x1.5e1f763fb8fdcp-3, -0x1.56bcbf4799a05p-3, -0x1.4f7745721a5dbp-3, -0x1.484f65afec972p-3, -0x1.41456fc61e2e8p-3, -0x1.3a59a6f5e1bap-3, -0x1.338c424f92c19p-3, -0x1.2cdd6cdd4abe8p-3, -0x1.264d45d67cd6cp-3, -0x1.1fdbe0ffc786ep-3, -0x1.19894742f5abap-3, -0x1.13557774026c8p-3, -0x1.0d4067293443p-3, -0x1.074a038963715p-3, -0x1.017231fb4f97dp-3, -0x1.f771a15c8d4c3p-4, -0x1.ec3b6e0013566p-4, -0x1.e1416b9590e4fp-4, -0x1.d6832f53724f7p-4, -0x1.cc00428490093p-4, -0x1.c1b823364db62p-4, -0x1.b7aa450544f99p-4, -0x1.add611fd860aep-4, -0x1.a43aeb7e75a38p-4, -0x1.9ad82b157ad98p-4, -0x1.91ad23464137cp-4, -0x1.88b9203aa2fa5p-4, -0x1.7ffb6856c118cp-4, -0x1.77733cb2a2fb7p-4, -0x1.6f1fd980df9f7p-4, -0x1.6700766dd606ep-4, -0x1.5f14470203498p-4, -0x1.575a7b0ca8c66p-4, -0x1.4fd23f14ccbbp-4, -0x1.487abcca45efdp-4, -0x1.41531b70b6e22p-4, -0x1.3a5a80426e755p-4, -0x1.33900ecdd12efp-4, -0x1.2cf2e95195722p-4, -0x1.268231197b0d4p-4, -0x1.203d06d841824p-4, -0x1.1a228af87490fp-4, -0x1.1431dddee5503p-4, -0x1.0e6a201f01716p-4, -0x1.08ca72a783463p-4, -0x1.0351f6f0d28b3p-4, -0x1.fbff9e6831155p-5, -0x1.f1a63d57e108dp-5, -0x1.e79613b1f46edp-5, -0x1.ddcd6d82ab708p-5, -0x1.d44a9a46edf34p-5, -0x1.cb0bed340a308p-5, -0x1.c20fbd6859dddp-5, -0x1.b9546613f552ep-5, -0x1.b0d83a82bbb54p-5, -0x1.a899b48fc86a2p-5, -0x1.a09734c947a37p-5, -0x1.98cf294a7d9b7p-5, -0x1.914005634f254p-5, -0x1.89e841cdb15c1p-5, -0x1.82c65cdfad3bp-5, -0x1.7bd8dab8fb8cp-5, -0x1.751e456b904bdp-5, -0x1.6e952d1ee16fcp-5, -0x1.683c282dfe29cp-5, -0x1.6211d340c08e6p-5, -0x1.5c14d16082cf2p-5, -0x1.5643cc089c4c9p-5, -0x1.509d7332ecdd1p-5, -0x1.4b207d60d4eedp-5, -0x1.45cba7a0e7ec1p-5, -0x1.409db591ce0c6p-5, -0x1.3b957162bae67p-5, -0x1.36b1abd20094p-5, -0x1.31f13c2a11065p-5, -0x1.2d53003d4b7fp-5, -0x1.28d5dc60ba67ep-5, -0x1.2478bb65d3243p-5, -0x1.203a8e934fc5ap-5, -0x1.1c1a4d9cf9d6bp-5, -0x1.1816f69a6f04ep-5, -0x1.142f8dfcd4695p-5, -0x1.10631e8392d2cp-5, -0x1.0cb0b92ff1d83p-5, -0x1.09177537c5132p-5, -0x1.05966ff6eea26p-5, -0x1.022cccdfb8b87p-5, -0x1.fdb36ad3e3997p-6, -0x1.f738b20138948p-6, -0x1.f0e7d9dcc5fbbp-6, -0x1.eabf58917e87dp-6, -0x1.e4bdafb43449dp-6, -0x1.dee16c16139ap-6, -0x1.d9292595d9a1cp-6, -0x1.d3937ef03227ep-6, -0x1.ce1f258f39d1p-6, -0x1.c8cad159934d2p-6, -0x1.c3954480d673p-6, -0x1.be7d4b4f8f794p-6, -0x1.b981bbf6e7a14p-6, -0x1.b4a1765bf04b1p-6, -0x1.afdb63e4ffa0fp-6, -0x1.ab2e77471eda8p-6, -0x1.a699ac53fee72p-6, -0x1.a21c07c85a2b2p-6, -0x1.9db4971b04c06p-6, -0x1.9962704c6f6a3p-6, -0x1.9524b1b6a2de3p-6, -0x1.90fa81dd5732ep-6, -0x1.8ce30f3e39bf5p-6, -0x1.88dd9020f9fbfp-6, -0x1.84e9426760f08p-6, -0x1.81056b5d4bc92p-6, -0x1.7d315788c6c92p-6, -0x1.796c5a7a635a9p-6, -0x1.75b5ce9e13d0cp-6, -0x1.720d150c7e177p-6, -0x1.6e71955d0fe51p-6, -0x1.6ae2bd78a54bap-6, -0x1.6760016cd6c35p-6, -0x1.63e8db3fba9cfp-6, -0x1.607ccac41a903p-6, -0x1.5d1b556df278bp-6, -0x1.59c406276f254p-6, -0x1.56766d262de4cp-6, -0x1.53321fc120bc4p-6, -0x1.4ff6b8472afb1p-6, -0x1.4cc3d5d68a947p-6, -0x1.49991c353bfd3p-6, -0x1.467633aa83789p-6, -0x1.435ac8d981cc3p-6, -0x1.40468c9cc8648p-6, -0x1.3d3933e2df8a4p-6, -0x1.3a32778b9d971p-6, -0x1.373214463302ep-6, -0x1.3437ca6f9f4b1p-6, -0x1.31435df1ca83p-6, -0x1.2e549623151cap-6, -0x1.2b6b3da651f39p-6, -0x1.2887224b65b4fp-6, -0x1.25a814f095803p-6, -0x1.22cde9649385ap-6, -0x1.1ff8764941e78p-6, -0x1.1d2794f78c42ep-6, -0x1.1a5b2163ef09p-6, -0x1.1792fa03df523p-6, -0x1.14ceffb40a04ap-6, -0x1.120f159f2fe7dp-6, -0x1.0f532125a9e5dp-6, -0x1.0c9b09c5827b6p-6, -0x1.09e6b903120aep-6, -0x1.07361a51f8c63p-6, -0x1.04891afeb8554p-6, -0x1.01dfaa18d985bp-6, -0x1.fe7370bab4e95p-7, -0x1.f92e7043fd36ep-7, -0x1.f3f03a823f43ep-7, -0x1.eeb8ba0c5531dp-7, -0x1.e987dc359a3f8p-7, -0x1.e45d90e99c7b8p-7, -0x1.df39ca894a74p-7, -0x1.da1c7dc968d21p-7, -0x1.d505a191fe3efp-7, -0x1.cff52edf235aap-7, -0x1.caeb20a2cbccfp-7, -0x1.c5e773a77a5fp-7, -0x1.c0ea2106922f2p-7, -0x1.bbf333be13c6dp-7, -0x1.b702a8122e23p-7, -0x1.b2188116af7e3p-7, -0x1.ad34c3316a848p-7, -0x1.a857740227a81p-7, -0x1.a3809a4b817c4p-7, -0x1.9eb03ddc7807dp-7, -0x1.99e6677aef1dbp-7, -0x1.952320cee5148p-7, -0x1.9066744e7e014p-7, -0x1.8bb06d2ae20d2p-7, -0x1.8701173d8f32ep-7, -0x1.82587ef6ba9bfp-7, -0x1.7db6b14c48946p-7, -0x1.791bbba95c7dep-7, -0x1.7487abded3ca9p-7, -0x1.6ffa90141130bp-7, -0x1.6b7476b8bcc04p-7, -0x1.66f56e77013ap-7, -0x1.627d8626832cep-7, -0x1.5e0cccbfddc65p-7, -0x1.59a3515098acp-7, -0x1.554122efee1f6p-7, -0x1.50e650b3fd804p-7, -0x1.4c92e9a79194ap-7, -0x1.4846fcc070bdep-7, -0x1.440298d6056afp-7, -0x1.3fc5cc98d56d8p-7, -0x1.3b90a68a27548p-7, -0x1.376334f440797p-7, -0x1.333d85e334943p-7, -0x1.2f1fa71de20f6p-7, -0x1.2b09a61f7794ep-7, -0x1.26fb901179651p-7, -0x1.22f571c61384ep-7, -0x1.1ef757b2e1049p-7, -0x1.1b014debd4c4fp-7, -0x1.1713601ef72c6p-7, -0x1.132d998fde795p-7, -0x1.0f500514091b8p-7, -0x1.0b7aad0f274d6p-7, -0x1.07ad9b7000e57p-7, -0x1.03e8d9ad580f7p-7, -0x1.002c70c34c3b2p-7, -0x1.f8f0d26221496p-8, -0x1.f19995ed1b393p-8, -0x1.ea533b253f6f2p-8, -0x1.e31dd0030618p-8, -0x1.dbf9617688687p-8, -0x1.d4e5fb6537b53p-8, -0x1.cde3a8a84d314p-8, -0x1.c6f2730aa555dp-8, -0x1.c01263480543bp-8, -0x1.b943810c576bcp-8, -0x1.b285d2f331f5cp-8, -0x1.abd95e87e7a3fp-8, -0x1.a53e2845b05b5p-8, -0x1.9eb4339899ccep-8, -0x1.983b82de23ad8p-8, -0x1.91d417668f82dp-8, -0x1.8b7df176ae898p-8, -0x1.853910492c714p-8, -0x1.7f057210ead7ep-8, -0x1.78e313fb1e006p-8, -0x1.72d1f231f68e1p-8, -0x1.6cd207df214f9p-8, -0x1.66e34f2eb9095p-8, -0x1.6105c1525d671p-8, -0x1.5b395684a5207p-8, -0x1.557e060c369b6p-8, -0x1.4fd3c63f94faep-8, -0x1.4a3a8c88ee068p-8, -0x1.44b24d69b2dedp-8, -0x1.3f3afc7ee1bdcp-8, -0x1.39d48c84e7922p-8, -0x1.347eef5bfa139p-8, -0x1.2f3a160c5dda3p-8, -0x1.2a05f0cabbf21p-8, -0x1.24e26efcc5adbp-8, -0x1.1fcf7f3d8e2a6p-8, -0x1.1acd0f62522a5p-8, -0x1.15db0c7f2579ap-8, -0x1.10f962eb8c0f8p-8, -0x1.0c27fe475e55fp-8, -0x1.0766c97f8ec44p-8, -0x1.02b5aed2fc6b3p-8, -0x1.fc292fae85629p-9, -0x1.f306dafbbf813p-9, -0x1.ea04303152afdp-9, -0x1.e120febe3661fp-9, -0x1.d85d14e607aa7p-9, -0x1.cfb83fcb02c6p-9, -0x1.c7324b77c60acp-9, -0x1.becb02e909951p-9, -0x1.b68230176bc8bp-9, -0x1.ae579c0137a13p-9, -0x1.a64b0eb3d6904p-9, -0x1.9e5c4f55af931p-9, -0x1.968b242f49207p-9, -0x1.8ed752b54974ep-9, -0x1.87409f9156136p-9, -0x1.7fc6ceabab5bap-9, -0x1.7869a33449bb1p-9, -0x1.7128dfabf7844p-9, -0x1.6a0445edccb35p-9, -0x1.62fb973732f0cp-9, -0x1.5c0e9431ce388p-9, -0x1.553cfcfb394f5p-9, -0x1.4e86912e3f55dp-9, -0x1.47eb0feb3c0f3p-9, -0x1.416a37e051ef9p-9, -0x1.3b03c751cee38p-9, -0x1.34b77c2234c4bp-9, -0x1.2e8513da26395p-9, -0x1.286c4bb0b1063p-9, -0x1.226ce0923e2a2p-9, -0x1.1c868f2923aefp-9, -0x1.16b913e41cdc3p-9, -0x1.11042afe28737p-9, -0x1.0b679085c67bap-9, -0x1.05e30063aa6fap-9, -0x1.00763661d8f32p-9, -0x1.f641dc64b2e27p-10, -0x1.ebc5c6eb960a4p-10, -0x1.e177a383a2d5dp-10, -0x1.d756e94f05p-10, -0x1.cd630f735797bp-10, -0x1.c39b8d24cd68p-10, -0x1.b9ffd9b2efd46p-10, -0x1.b08f6c934fe7fp-10, -0x1.a749bd6d411cap-10, -0x1.9e2e442470855p-10, -0x1.953c78e3b564ep-10, -0x1.8c73d42737c15p-10, -0x1.83d3cec699388p-10, -0x1.7b5be1fecde38p-10, -0x1.730b877b3ed56p-10, -0x1.6ae2395eda95ep-10, -0x1.62df724e46f78p-10, -0x1.5b02ad770a0e7p-10, -0x1.534b669840992p-10, -0x1.4bb91a0ae190ep-10, -0x1.444b44ca49c9bp-10, -0x1.3d01647a65552p-10, -0x1.35daf77035806p-10, -0x1.2ed77cb8207f4p-10, -0x1.27f6741d2364dp-10, -0x1.21375e2f2d106p-10, -0x1.1a99bc49941ffp-10, -0x1.141d1098ca1adp-10, -0x1.0dc0de20f7abcp-10, -0x1.0784a8c259856p-10, -0x1.0167f53fd52e8p-10, -0x1.f6d4928570ff6p-11, -0x1.eb1656c32e1c8p-11, -0x1.df944644f463cp-11, -0x1.d44d7202dba4ap-11, -0x1.c940ece6a7d02p-11, -0x1.be6dcbd543f64p-11, -0x1.b3d325b5919ep-11, -0x1.a970137829482p-11, -0x1.9f43b01dc8466p-11, -0x1.954d18bddd326p-11, -0x1.8b8b6c8c4e75ep-11, -0x1.81fdccdf5924dp-11, -0x1.78a35d3463a65p-11, -0x1.6f7b433527f6fp-11, -0x1.6684a6bb8c5e9p-11, -0x1.5dbeb1d7cf13fp-11, -0x1.552890d242bdap-11, -0x1.4cc1722ecf908p-11, -0x1.448886b124f7bp-11, -0x1.3c7d015e9cd18p-11, -0x1.349e1782bb747p-11, -0x1.2ceb00ae3e4abp-11, -0x1.2562f6bbb5bcfp-11, -0x1.1e0535cfa59f2p-11, -0x1.16d0fc5a7aaa5p-11, -0x1.0fc58b1981bc4p-11, -0x1.08e22517a129ep-11, -0x1.02260fadf53f9p-11, -0x1.f721250826b6cp-12, -0x1.ea41ef1f1733cp-12, -0x1.ddad162b7bc58p-12, -0x1.d1613750cc9b6p-12, -0x1.c55cf44deb51ap-12, -0x1.b99ef37a6461bp-12, -0x1.ae25dfc2331dfp-12, -0x1.a2f068ab83b8fp-12, -0x1.97fd424710ec3p-12, -0x1.8d4b25353ca94p-12, -0x1.82d8ce9fe7d75p-12, -0x1.78a50036db243p-12, -0x1.6eae802b332dbp-12, -0x1.64f4192a1fbb8p-12, -0x1.5b749a58209f6p-12, -0x1.522ed74be55bbp-12, -0x1.4921a807e1c68p-12, -0x1.404be8f4b48a8p-12, -0x1.37ac7ada742eap-12, -0x1.2f4242da9b8aep-12, -0x1.270c2a68d75c3p-12, -0x1.1f091f435056fp-12, -0x1.1738136d3e3ddp-12, -0x1.0f97fd2718bc5p-12, -0x1.0827d6e36381dp-12, -0x1.00e69f4224c7bp-12, -0x1.f3a6b20f88cb9p-13, -0x1.e5da16267687ep-13, -0x1.d86580b6ac47cp-13, -0x1.cb470fb982832p-13, -0x1.be7ce92f9d3d8p-13, -0x1.b2053b0a75d35p-13, -0x1.a5de3b1a741d9p-13, -0x1.9a0626fc7eabap-13, -0x1.8e7b4406a8028p-13, -0x1.833bdf3515811p-13, -0x1.78464d166cabdp-13, -0x1.6d98e9b87e9ebp-13, -0x1.6332189435716p-13, -0x1.591044783aa6p-13, -0x1.4f31df7a0968p-13, -0x1.459562d9aa299p-13, -0x1.3c399f4f96b23p-13, -0x1.331c7a5041b88p-13, -0x1.2a3cd3a9f3fffp-13, -0x1.2199408afc089p-13, -0x1.19305ce84a0dfp-13, -0x1.1100cb68d5695p-13, -0x1.0909354f6bba5p-13, -0x1.01484a66d8d7ep-13, -0x1.f37981d2adc56p-14, -0x1.e4caaae9d561cp-14, -0x1.d68195d5ae7c7p-14, -0x1.c89bd4b7b2db8p-14, -0x1.bb1705f83457fp-14, -0x1.adf0d40533883p-14, -0x1.a126f53530476p-14, -0x1.94b72b998af98p-14, -0x1.889f44d2e1d0bp-14, -0x1.7cdd19e88ea23p-14, -0x1.716e8f1d6ed0fp-14, -0x1.665193c5f739ap-14, -0x1.5b84221ef9ec3p-14, -0x1.51043f217f658p-14, -0x1.46cffa5c27e6p-14, -0x1.3ce56dc8e154cp-14, -0x1.3342bda1ca5d9p-14, -0x1.29e618389f57p-14, -0x1.20cdb5d7403d3p-14, -0x1.17f7d8849f966p-14, -0x1.0f62cbe55a43bp-14, -0x1.070ce52846aa2p-14, -0x1.fde9056e1d62bp-15, -0x1.ee30185834f65p-15, -0x1.deebe4411ce96p-15, -0x1.d0195c114347ep-15, -0x1.c1b584170342p-15, -0x1.b3bd71bc1b3d5p-15, -0x1.a62e4b395053dp-15, -0x1.9905474b28531p-15, -0x1.8c3face763684p-15, -0x1.7fdad2f40bd78p-15, -0x1.73d41fff71afbp-15, -0x1.682909f267711p-15, -0x1.5cd715d11ca62p-15, -0x1.51dbd76f34adcp-15, -0x1.4734f12843c6dp-15, -0x1.3ce013a66e2p-15, -0x1.32dafd7d49268p-15, -0x1.29237b299b089p-15, -0x1.1fb7667b7f3e9p-15, -0x1.1694a6891c585p-15, -0x1.0db92f5b38a3ap-15, -0x1.052301bd95584p-15, -0x1.f9a055d150703p-16, -0x1.e97d889e0c2e6p-16, -0x1.d9d9e6c0aebbbp-16, -0x1.cab1d2913a9e8p-16, -0x1.bc01c56da5131p-16, -0x1.adc64f34ea49dp-16, -0x1.9ffc15e608977p-16, -0x1.929fd520b6925p-16, -0x1.85ae5dae0d88dp-16, -0x1.7924951af55c9p-16, -0x1.6cff7544e8211p-16, -0x1.613c0beb97357p-16, -0x1.55d77a3c07e91p-16, -0x1.4acef489e7fb4p-16, -0x1.401fc1be5941cp-16, -0x1.35c73afb8a976p-16, -0x1.2bc2cb42389f4p-16, -0x1.220feefaa8376p-16, -0x1.18ac33c8d6b49p-16, -0x1.0f9537daf0475p-16, -0x1.06c8a9bf0eb29p-16, -0x1.fc888ff814d87p-17, -0x1.ec0bc16655fep-17, -0x1.dc16a2884844dp-17, -0x1.cca50bf0739c6p-17, -0x1.bdb2f350f73dbp-17, -0x1.af3c6ad1d1d26p-17, -0x1.a13da06624c28p-17, -0x1.93b2dd2ac2da4p-17, -0x1.869884be1bd11p-17, -0x1.79eb14a5ee50ap-17, -0x1.6da723a477157p-17, -0x1.61c9614a21907p-17, -0x1.564e9523ae14cp-17, -0x1.4b339e38e0917p-17, -0x1.40757274d9aa4p-17, -0x1.36111e7e2f8b7p-17, -0x1.2c03c46646b9ap-17, -0x1.224a9bc9b9c5bp-17, -0x1.18e2f0ea8fc91p-17, -0x1.0fca2456f8eacp-17, -0x1.06fdaa632bc23p-17, -0x1.fcf6151f04064p-18, -0x1.ec7fbe449ef3cp-18, -0x1.dc93a9a457925p-18, -0x1.cd2d540e5d5adp-18, -0x1.be485ce4b317fp-18, -0x1.afe085a631754p-18, -0x1.a1f1b09997179p-18, -0x1.9477e02e0ff33p-18, -0x1.876f360b04891p-18, -0x1.7ad3f242d9ca4p-18, -0x1.6ea27282bc18p-18, -0x1.62d73133ce787p-18, -0x1.576ec514aaf62p-18, -0x1.4c65dfb7e97aap-18, -0x1.41b94dcf73dc1p-18, -0x1.3765f57015ce2p-18, -0x1.2d68d5e99dc8p-18, -0x1.23bf070317ce9p-18, -0x1.1a65b83ff5e98p-18, -0x1.115a303be0a7cp-18, -0x1.0899cbccd13d5p-18, -0x1.0021fe40a115ap-18, -0x1.efe09ed6a287ep-19, -0x1.e004b7f71340ap-19, -0x1.d0aba94a73548p-19, -0x1.c1d0faee5db27p-19, -0x1.b3705aaa6c9dep-19, -0x1.a5859b2dedc49p-19, -0x1.980cb2a3d8b73p-19, -0x1.8b01b9d8f8196p-19, -0x1.7e60eacfdb7dfp-19, -0x1.7226a0348f0dp-19, -0x1.664f54a371b91p-19, -0x1.5ad7a0d8d379fp-19, -0x1.4fbc3b6b303d1p-19, -0x1.44f9f7bb7660dp-19, -0x1.3a8dc518dcfbfp-19, -0x1.3074ad61d9ab5p-19, -0x1.26abd6249d438p-19, -0x1.1d307cdf9d61dp-19, -0x1.13fff8313134p-19, -0x1.0b17b672c2f53p-19, -0x1.02753da500cdbp-19, -0x1.f42c530c2115p-20, -0x1.e3f0578ffa7e3p-20, -0x1.d4321620ef89p-20, -0x1.c4ed44cfdb7d2p-20, -0x1.b61dc0a4c45e5p-20, -0x1.a7bf8cbe58a21p-20, -0x1.99ced15275682p-20, -0x1.8c47d9fd5e2ebp-20, -0x1.7f2714d7da25fp-20, -0x1.7269112193057p-20, -0x1.660a7e0ebd059p-20, -0x1.5a082aec40d4cp-20, -0x1.4e5f040064b55p-20, -0x1.430c12f7e978cp-20, -0x1.380c7d842029cp-20, -0x1.2d5d84ce04e5ap-20, -0x1.22fc828fed1dfp-20, }}, 
      {{0x1.69449e5ab7655p-7, 0x1.61066b32953ffp-6, 0x1.fdc0e4f691da7p-6, 0x1.42576bb5d8479p-5, 0x1.788a37987522dp-5, 0x1.9fd6eef98dfd3p-5, 0x1.b74e64a8440f2p-5, 0x1.be8ab7b9597ddp-5, 0x1.b5b050352ebe9p-5, 0x1.9d45f58378c08p-5, 0x1.761f4a42e5741p-5, 0x1.4147f3573021ep-5, 0x1.fff3b7102055bp-6, 0x1.6720a022d1627p-6, 0x1.7568ddea54f6bp-7, -0x1.422b3962a39e5p-13, -0x1.9ba85d5760ecp-7, -0x1.a49ee5c8a19bfp-6, -0x1.423354d27950ep-5, -0x1.b56585efa6df1p-5, -0x1.1568b4fb2d8d3p-4, -0x1.50b8c79fe17c2p-4, -0x1.8c2da943ca89cp-4, -0x1.c75bd4960861ep-4, -0x1.00f15987eca1dp-3, -0x1.1db6225ea59c6p-3, -0x1.39d795d3e411p-3, -0x1.5530d2e15f549p-3, -0x1.6fa69d7fed9bcp-3, -0x1.8921cfb248957p-3, -0x1.a18bc3f3f9bcdp-3, -0x1.b8d0e0b394f7bp-3, -0x1.cee2e1e9d7219p-3, -0x1.e3b7562a45843p-3, -0x1.f7454451d9a8fp-3, -0x1.04c28294a1c25p-2, -0x1.0d38b9aa5cce8p-2, -0x1.150426db51135p-2, -0x1.1c24b7b175cbp-2, -0x1.229af9ca45f7fp-2, -0x1.28680357b7118p-2, -0x1.2d8d93b2d0da7p-2, -0x1.320e2283db732p-2, -0x1.35ecc4d2bcb81p-2, -0x1.392d03b3e2064p-2, -0x1.3bd2c31db5eb8p-2, -0x1.3de23ba86abf1p-2, -0x1.3f5ff7fc80f3ap-2, -0x1.4050cb88ba6a2p-2, -0x1.40b9c46c1384cp-2, -0x1.40a01e8fd3d92p-2, -0x1.400939e02aaf3p-2, -0x1.3efa91c6f962dp-2, -0x1.3d79b45f4ad72p-2, -0x1.3b8e2a5c3700ep-2, -0x1.3939e3291d441p-2, -0x1.36835334e6217p-2, -0x1.33705136933ebp-2, -0x1.3006dc1dc35e1p-2, -0x1.2c4ce100b645bp-2, -0x1.284807f762c16p-2, -0x1.23fd98572430fp-2, -0x1.1f7279a520c44p-2, -0x1.1aab4bc0d480ep-2, -0x1.15ac89bd5229p-2, -0x1.107aa944bd40ap-2, -0x1.0b1a2bdf7cb3dp-2, -0x1.058f9e030a38ap-2, -0x1.ffbf0d1860b25p-3, -0x1.f41c9bb98120ap-3, -0x1.e8404a60cf4eap-3, -0x1.dc31ea67dfc13p-3, -0x1.cff8af4add702p-3, -0x1.c39b38280f5edp-3, -0x1.b71fa99a93874p-3, -0x1.aa8bce9ebba0ep-3, -0x1.9de536db41ecep-3, -0x1.91314b09e6925p-3, -0x1.84755432afea6p-3, -0x1.77b67693adc37p-3, -0x1.6af9a42a9de5ep-3, -0x1.5e438c3deb98fp-3, -0x1.51988cf7f623bp-3, -0x1.44fcaaa515f87p-3, -0x1.38738e1733d77p-3, -0x1.2c0089b94f99ep-3, -0x1.1fa6a369aac3ap-3, -0x1.1368a079fe753p-3, -0x1.0749113d0ef61p-3, -0x1.f694b45232554p-4, -0x1.dedd73194b818p-4, -0x1.c77093a45cca6p-4, -0x1.b0520229b0b93p-4, -0x1.99855e5ff2bc8p-4, -0x1.830df6f355d01p-4, -0x1.6ceec62ebaf8dp-4, -0x1.572a70ee0b49ep-4, -0x1.41c34823f9ac4p-4, -0x1.2cbb4c9c4f86ep-4, -0x1.18143440a67d1p-4, -0x1.03cf7001e1dbcp-4, -0x1.dfdc6337d84f1p-5, -0x1.b8e2e1474d369p-5, -0x1.92b3dd38568ep-5, -0x1.6d507434cb997p-5, -0x1.48b962638276ap-5, -0x1.24ef06f02432p-5, -0x1.01f167c8d1092p-5, -0x1.bf806ac1df38fp-6, -0x1.7cb59d1e0b31p-6, -0x1.3b82544f5d9adp-6, -0x1.f7f19c391c277p-7, -0x1.7bf89089d5d94p-7, -0x1.030f4cf7a78dp-7, -0x1.1a57a35439b8ep-8, -0x1.a447d9100a10bp-11, 0x1.56bfafa907c8ep-9, 0x1.8574afd3a31fcp-8, 0x1.2ce38c3129fa4p-7, 0x1.943459deeb794p-7, 0x1.f8b5d2be6cc9dp-7, 0x1.2d38bd3294d05p-6, 0x1.5cb8b70d4882ap-6, 0x1.8ae0404083fffp-6, 0x1.b7b523e856a75p-6, 0x1.e33d8f7e25632p-6, 0x1.06c006cd093f1p-5, 0x1.1b41bdfa2c20cp-5, 0x1.2f277eef03c77p-5, 0x1.4274f635869d5p-5, 0x1.552de2b83aca7p-5, 0x1.67560d2a6daedp-5, 0x1.78f13fc2b38a9p-5, 0x1.8a033e9a28c45p-5, 0x1.9a8fc0ed47a5cp-5, 0x1.aa9a6b6677351p-5, 0x1.ba26cb87f7a71p-5, 0x1.c938543a4d7edp-5, 0x1.d7d25b7632844p-5, 0x1.e5f818f618814p-5, 0x1.f3aca5d30b57cp-5, 0x1.00797e75f5fe9p-4, 0x1.06e6fdf9d05d6p-4, 0x1.0d20328158039p-4, 0x1.13267044ef7b1p-4, 0x1.18faffc2a9402p-4, 0x1.1e9f1ee8c8deap-4, 0x1.24140242faf34p-4, 0x1.295ad61d0478p-4, 0x1.2e74bf8efb2ep-4, 0x1.3362dd68824e6p-4, 0x1.382648f28641ap-4, 0x1.3cc01681207b5p-4, 0x1.413155d1ed539p-4, 0x1.457b1235c600bp-4, 0x1.499e52878b3dp-4, 0x1.4d9c18f42b8f9p-4, 0x1.5175629a3e63p-4, 0x1.552b2709518d2p-4, 0x1.58be57aa4474bp-4, 0x1.5c2fdf1abd564p-4, 0x1.5f80a085f77a8p-4, 0x1.62b17704c190cp-4, 0x1.65c3350db77cdp-4, 0x1.68b6a3fd836dcp-4, 0x1.6b8c83bd663f2p-4, 0x1.6e458a8c8ba88p-4, 0x1.70e264eece789p-4, 0x1.7363b5c1b18aep-4, 0x1.75ca1676834c1p-4, 0x1.7816176f02a1cp-4, 0x1.7a484078687e9p-4, 0x1.7c61115fa429bp-4, 0x1.7e610298c0ee7p-4, 0x1.804885f2fc04ap-4, 0x1.82180752fceccp-4, 0x1.83cfed6ccd3c7p-4, 0x1.85709a77bace1p-4, 0x1.86fa6cd701a94p-4, 0x1.886dbfb3076cp-4, 0x1.89caeb7febc7dp-4, 0x1.8b12466f4717fp-4, 0x1.8c4424cbeecfap-4, 0x1.8d60d93f9f06ap-4, 0x1.8e68b5034e5afp-4, 0x1.8f5c07fbbf5d5p-4, 0x1.903b20c490618p-4, 0x1.91064cac9883cp-4, 0x1.91bdd7a6bcb6bp-4, 0x1.92620c32a72dp-4, 0x1.92f33340d4c94p-4, 0x1.9371941554d3p-4, 0x1.93dd742c51049p-4, 0x1.94371723117b8p-4, 0x1.947ebea7acb08p-4, 0x1.94b4aa7105f9fp-4, 0x1.94d91840162bp-4, 0x1.94ec43eae593dp-4, 0x1.94ee67710a58dp-4, 0x1.94dfbb18f9465p-4, 0x1.94c075950d5d7p-4, 0x1.9490cc2ee3f7fp-4, 0x1.9450f2f767d53p-4, 0x1.94011cf9dedd2p-4, 0x1.93a17c7040831p-4, 0x1.933242f7318e5p-4, 0x1.92b3a1c03650ep-4, 0x1.9225c9c0bf51dp-4, 0x1.9188ebdd101a6p-4, 0x1.90dd390e20606p-4, 0x1.9022e281f2bb3p-4, 0x1.8f5a19b5ff9a4p-4, 0x1.8e83108ba9c2dp-4, 0x1.8d9df956d73e7p-4, 0x1.8cab06e70764fp-4, 0x1.8baa6c8b5d484p-4, 0x1.8a9c5e1243583p-4, 0x1.89810fc55dcc6p-4, 0x1.8858b6628eec5p-4, 0x1.87238712db918p-4, 0x1.85e1b75fee68fp-4, 0x1.84937d28f7f36p-4, 0x1.83396711755dfp-4, 0x1.81d275fec841dp-4, 0x1.805fc2685f12ep-4, 0x1.7ee185c72b3cdp-4, 0x1.7d57f971ce63ep-4, 0x1.7bc3568c5409ap-4, 0x1.7a23d5fbbf40dp-4, 0x1.7879b05d6e337p-4, 0x1.76c51e02350b3p-4, 0x1.750656ecf3315p-4, 0x1.733d92d4576d2p-4, 0x1.716b092767916p-4, 0x1.6f8ef11461a35p-4, 0x1.6da9819175b63p-4, 0x1.6bbaf166e26e8p-4, 0x1.69c37739efb68p-4, 0x1.67c3499858468p-4, 0x1.65ba9f03a791ep-4, 0x1.63a9adfc29bf6p-4, 0x1.6190ad0b109fp-4, 0x1.5f6fd2cb7cafp-4, 0x1.5d4755f22ccb8p-4, 0x1.5b176d539cc45p-4, 0x1.58e04fe870b6fp-4, 0x1.56a234d01622ep-4, 0x1.545d53518c762p-4, 0x1.5211e2da60564p-4, 0x1.4fc01afbd9775p-4, 0x1.4d6833667daap-4, 0x1.4b0a63e4013ap-4, 0x1.48a6e44fced5cp-4, 0x1.463dec8e4ffd1p-4, 0x1.43cfb4832b43ap-4, 0x1.415c7406a409ep-4, 0x1.3ee462da582ecp-4, 0x1.3c67b89d8cfe5p-4, 0x1.39e6acc13b625p-4, 0x1.3761767c14afcp-4, 0x1.34d84cbea887p-4, 0x1.324b6627d46a4p-4, 0x1.2fbaf8f9a8aa6p-4, 0x1.2d273b0eda117p-4, 0x1.2a9061d0e12eep-4, 0x1.27f6a22ed8deap-4, 0x1.255a309528p-4, 0x1.22bb40e602276p-4, 0x1.201a0672c1928p-4, 0x1.1d76b3f617bd9p-4, 0x1.1ad17b8f0f507p-4, 0x1.182a8ebcd612p-4, 0x1.15821e5b4047fp-4, 0x1.12d85a9ff822bp-4, 0x1.102d73184556ap-4, 0x1.0d8196a75d658p-4, 0x1.0ad4f38525e79p-4, 0x1.0827b73d5bcfp-4, 0x1.057a0eaf04e8fp-4, 0x1.02cc260c1f781p-4, 0x1.001e28d97dc9fp-4, 0x1.fae083dd7da79p-5, 0x1.f58536eca4d61p-5, 0x1.f02abddb090fcp-5, 0x1.ead16a48fb3e7p-5, 0x1.e5798c7c68116p-5, 0x1.e02373609090cp-5, 0x1.dacf6c858b19cp-5, 0x1.d57dc41f866d9p-5, 0x1.d02ec505d1ff3p-5, 0x1.cae2b8b1a6915p-5, 0x1.c599e73cb034p-5, 0x1.c054975f664bdp-5, 0x1.bb130e6f32572p-5, 0x1.b5d5905c6e96fp-5, 0x1.b09c5fb048382p-5, 0x1.ab67bd8a914d4p-5, 0x1.a637e99f8b0aap-5, 0x1.a10d2235b32d7p-5, 0x1.9be7a423a67eep-5, 0x1.96c7aace1a35dp-5, 0x1.91ad70260045ep-5, 0x1.8c992ca6db877p-5, 0x1.878b17554ac3cp-5, 0x1.828365bdda1e9p-5, 0x1.7d824bf419d1p-5, 0x1.7887fc920683cp-5, 0x1.7394a8b7c07bp-5, 0x1.6ea8800b9b6afp-5, 0x1.69c3b0ba858f7p-5, 0x1.64e66778c65e9p-5, 0x1.6010cf8316f46p-5, 0x1.5b4312a00eef7p-5, 0x1.567d5921e5648p-5, 0x1.51bfc9e8896e8p-5, 0x1.4d0a8a63fd3dfp-5, 0x1.485dbe9705f3ap-5, 0x1.43b9891a1859bp-5, 0x1.3f1e0b1e88d0dp-5, 0x1.3a8b6471f5a4fp-5, 0x1.3601b381e51aep-5, 0x1.3181155f9682p-5, 0x1.2d09a5c3fc16fp-5, 0x1.289b7f13ddb5bp-5, 0x1.2436ba64191acp-5, 0x1.1fdb6f7e04448p-5, 0x1.1b89b4e3e4f14p-5, 0x1.17419fd580be4p-5, 0x1.13034454bc0dbp-5, 0x1.0eceb52a49d07p-5, 0x1.0aa403ea6962p-5, 0x1.068340f9aa065p-5, 0x1.026c7b91ba5ddp-5, 0x1.fcbf838c776fcp-6, 0x1.f4ba41133a46dp-6, 0x1.ecc94763eae2p-6, 0x1.e4ecabfbccb59p-6, 0x1.dd248232fc885p-6, 0x1.d570db46360fep-6, 0x1.cdd1c660a149ap-6, 0x1.c64750a5a0889p-6, 0x1.bed1853a9c667p-6, 0x1.b7706d50d60a3p-6, 0x1.b024102f3ad6bp-6, 0x1.a8ec733c33e0ap-6, 0x1.a1c99a077c6ddp-6, 0x1.9abb8653f4effp-6, 0x1.93c23821781b5p-6, 0x1.8cddadb6b2ceap-6, 0x1.860de3aaf4f15p-6, 0x1.7f52d4f0068a4p-6, 0x1.78ac7adbf89e2p-6, 0x1.721acd32f6c1bp-6, 0x1.6b9dc23110ee9p-6, 0x1.65354e94033b7p-6, 0x1.5ee165a4f95bap-6, 0x1.58a1f94244bf8p-6, 0x1.5276f9e9163a5p-6, 0x1.4c6056bf228afp-6, 0x1.465dfd9c43608p-6, 0x1.406fdb1408e36p-6, 0x1.3a95da7f4218dp-6, 0x1.34cfe6056e0d2p-6, 0x1.2f1de6a626a95p-6, 0x1.297fc44272332p-6, 0x1.23f565a6098acp-6, 0x1.1e7eb09080da9p-6, 0x1.191b89be5f63ap-6, 0x1.13cbd4f224fe1p-6, 0x1.0e8f74fd3427fp-6, 0x1.09664bc89bb5fp-6, 0x1.04503a5dd8119p-6, 0x1.fe9a41ded3161p-7, 0x1.f4b9bdc2ac864p-7, 0x1.eafea5a322ae5p-7, 0x1.e168b54084c56p-7, 0x1.d7f7a6efdd7ep-7, 0x1.ceab33ab0798bp-7, 0x1.c5831320956ccp-7, 0x1.bc7efbc358be1p-7, 0x1.b39ea2d9cd045p-7, 0x1.aae1bc8d344abp-7, 0x1.a247fbf8626edp-7, 0x1.99d113365e274p-7, 0x1.917cb370b3395p-7, 0x1.894a8ced855a6p-7, 0x1.813a4f1d587a1p-7, 0x1.794ba8a89c876p-7, 0x1.717e477cebceep-7, 0x1.69d1d8da089acp-7, 0x1.6246095e9b7eap-7, 0x1.5ada85149a611p-7, 0x1.538ef77d7a0a5p-7, 0x1.4c630b9e0e126p-7, 0x1.45566c0a2781ap-7, 0x1.3e68c2efebf2cp-7, 0x1.3799ba22e362p-7, 0x1.30e8fb26c3b25p-7, 0x1.2a562f39ed3efp-7, 0x1.23e0ff5fad28bp-7, 0x1.1d89146a353p-7, 0x1.174e170444771p-7, 0x1.112fafba9aa4ap-7, 0x1.0b2d87051c131p-7, 0x1.0547454fb8c68p-7, 0x1.fef9260613d82p-8, 0x1.f39a311970142p-8, 0x1.e870fccf282p-8, 0x1.dd7cda46f34fp-8, 0x1.d2bd1ad9d966dp-8, 0x1.c83110290217p-8, 0x1.bdd80c2bf8d45p-8, 0x1.b3b1613e8e2fep-8, 0x1.a9bc622e3843cp-8, 0x1.9ff8624705593p-8, 0x1.9664b5602d73p-8, 0x1.8d00afe82c378p-8, 0x1.83cba6f078562p-8, 0x1.7ac4f038d748cp-8, 0x1.71ebe23a52c9fp-8, 0x1.693fd431cd76dp-8, 0x1.60c01e2a4a09ep-8, 0x1.586c1906b282dp-8, 0x1.50431e8b85b1ap-8, 0x1.4844896800be8p-8, 0x1.406fb53f19b04p-8, 0x1.38c3feb017264p-8, 0x1.3140c35eeea6dp-8, 0x1.29e561fc5585bp-8, 0x1.22b13a4d8853dp-8, 0x1.1ba3ad33d0b8dp-8, 0x1.14bc1cb3d58abp-8, 0x1.0df9ebfc9041dp-8, 0x1.075c7f6e2ba12p-8, 0x1.00e33ca084eabp-8, 0x1.f51b14d2ec624p-9, 0x1.e8b5a1c61179p-9, 0x1.dc94f2e2689e1p-9, 0x1.d0b7dd8f3342bp-9, 0x1.c51d39ddde5d4p-9, 0x1.b9c3e2946418fp-9, 0x1.aeaab5376b18p-9, 0x1.a3d09213cd26ep-9, 0x1.99345c47c85d7p-9, 0x1.8ed4f9cbca5bep-9, 0x1.84b1537ab97c7p-9, 0x1.7aca14ec5da91p-9, 0x1.711ab82aa07a3p-9, 0x1.67a3e298a9db4p-9, 0x1.5e6488e8260adp-9, 0x1.555ba2d1791c9p-9, 0x1.4c882b198ed96p-9, 0x1.43e91f970f402p-9, 0x1.3b7d81375519ap-9, 0x1.33445402c6ec5p-9, 0x1.2b3c9f20c8eb1p-9, 0x1.23656cdb55f17p-9, 0x1.1bbdcaa20e03ep-9, 0x1.1444c90cdb8a4p-9, 0x1.0cf97bde023bcp-9, 0x1.05dafa03f91fdp-9, 0x1.fdd0bb35501e3p-10, 0x1.f04187d865da2p-10, 0x1.e3069ae2cb7c1p-10, 0x1.d61e3ba348a7fp-10, 0x1.c986b7c4cf677p-10, 0x1.bd3e634c9a474p-10, 0x1.b14398977909cp-10, 0x1.a594b856476dcp-10, 0x1.9a3029896fa35p-10, 0x1.8f14597bda628p-10, 0x1.843fbbbcde4dep-10, 0x1.79b0ca1953c7ap-10, 0x1.6f6604944eb4cp-10, 0x1.655df15eaf03p-10, 0x1.5b971cce89c72p-10, 0x1.52101954f646ap-10, 0x1.48c77f742af1bp-10, 0x1.3fbbedb48d466p-10, 0x1.36ec089936174p-10, 0x1.2e567a93e3739p-10, 0x1.25f9f3f86d967p-10, 0x1.1dd52aefc59ddp-10, 0x1.15e6db6a72c65p-10, 0x1.0e2dc71292ae5p-10, 0x1.06a8b53daa4eep-10, 0x1.feace5bbd87d7p-11, 0x1.f06ba4e64ef3ap-11, 0x1.e28b57f71d0eap-11, 0x1.d509b9c865b2cp-11, 0x1.c7e48ff270036p-11, 0x1.bb19aaab47a2bp-11, 0x1.aea6e4a755184p-11, 0x1.a28a22f7def65p-11, 0x1.96c154eab7298p-11, 0x1.8b4a73e8f4a37p-11, 0x1.802383567b0f7p-11, 0x1.754a906fbdeafp-11, 0x1.6abdb2293ec4bp-11, 0x1.607b090e0407p-11, 0x1.5680bf1e92958p-11, 0x1.4ccd07afa0099p-11, 0x1.435e1f49217bp-11, 0x1.3a324b8537d57p-11, 0x1.3147daefb4658p-11, 0x1.289d24e547d58p-11, 0x1.203089735637fp-11, 0x1.180071378cb2ap-11, 0x1.100b4d4020455p-11, 0x1.084f96ec2796ap-11, 0x1.00cbcfcc188e5p-11, 0x1.f2fd0304dc08ap-12, 0x1.e4cc7b4a1dbc6p-12, 0x1.d7033b3d16214p-12, 0x1.c99e851f3bf7ap-12, 0x1.bc9baa621dcfdp-12, 0x1.aff80b6d621f5p-12, 0x1.a3b11760cbb87p-12, 0x1.97c44bdc08d7bp-12, 0x1.8c2f34c3bce01p-12, 0x1.80ef6c087d171p-12, 0x1.7602996d71811p-12, 0x1.6b6672506f248p-12, 0x1.6118b971d6674p-12, 0x1.57173ebd595b7p-12, 0x1.4d5fdf12e52d3p-12, 0x1.43f084109e481p-12, 0x1.3ac723dce4988p-12, 0x1.31e1c0f0c863cp-12, 0x1.293e69e380bb3p-12, 0x1.20db39351d20bp-12, 0x1.18b6551bce196p-12, 0x1.10cdef4f2f7e5p-12, 0x1.092044d61f5fp-12, 0x1.01ab9dd35ccb6p-12, 0x1.f4dc9aa6f377cp-13, 0x1.e6cd623802f2p-13, 0x1.d92662f151b8cp-13, 0x1.cbe482170244ap-13, 0x1.bf04b9376f456p-13, 0x1.b28415ce5b8adp-13, 0x1.a65fb8e11cfdcp-13, 0x1.9a94d6a390b23p-13, 0x1.8f20b61a3f4c5p-13, 0x1.8400b0bcf1fcep-13, 0x1.7932321c22dfbp-13, 0x1.6eb2b785274bp-13, 0x1.647fcfa985abp-13, 0x1.5a971a454c763p-13, 0x1.50f647c74936dp-13, 0x1.479b18f9e8eaap-13, 0x1.3e835ead6b0e3p-13, 0x1.35acf961e4eacp-13, 0x1.2d15d8f3ecf05p-13, 0x1.24bbfc4875fd5p-13, 0x1.1c9d70fb4e31fp-13, 0x1.14b8530cfe54fp-13, 0x1.0d0acc92e3612p-13, 0x1.059315679922bp-13, 0x1.fc9ee5b90dba6p-14, 0x1.ee7c6ed941c7dp-14, 0x1.e0bb84de816d4p-14, 0x1.d358ff9a90c6dp-14, 0x1.c651cf709d0c9p-14, 0x1.b9a2fcbaca91dp-14, 0x1.ad49a741fe4c8p-14, 0x1.a14305a7cae2cp-14, 0x1.958c64deb67fp-14, 0x1.8a23279d70248p-14, 0x1.7f04c5d728f89p-14, 0x1.742ecc34b2142p-14, 0x1.699edb90b664bp-14, 0x1.5f52a872f9c9fp-14, 0x1.5547fa944ac82p-14, 0x1.4b7cac5ce00bcp-14, 0x1.41eeaa6999e5ap-14, 0x1.389bf311e3ed2p-14, 0x1.2f8295efbb59ap-14, 0x1.26a0b368e7f7bp-14, 0x1.1df47c3cdec03p-14, 0x1.157c31124bfbdp-14, 0x1.0d3622063cd08p-14, 0x1.0520ae4152fbcp-14, 0x1.fa748710a0b67p-15, 0x1.eb02bbab67f3cp-15, 0x1.dbe90de18791bp-15, 0x1.cd24ac116a8a5p-15, 0x1.beb2de9fe5df6p-15, 0x1.b091073a98d8p-15, 0x1.a2bca012da3cfp-15, 0x1.95333b2598f3cp-15, 0x1.87f2818229b39p-15, 0x1.7af832a03dbf2p-15, 0x1.6e4223a2a40dbp-15, 0x1.61ce3eb32d30fp-15, 0x1.559a825b9d27p-15, 0x1.49a500e02c5e4p-15, 0x1.3debdf9ebb02p-15, 0x1.326d567523b18p-15, 0x1.2727af2484b68p-15, }}, 
      {{0x1.3a14664c5e14bp-7, 0x1.36786efb018afp-6, 0x1.c8f0b102e7cabp-6, 0x1.28c169f782581p-5, 0x1.66d7ebf86657ep-5, 0x1.9dbebba8d901p-5, 0x1.ccbd8ff9d9c9p-5, 0x1.f34c213757389p-5, 0x1.0890107b5e6b8p-4, 0x1.130c9ac6f96bdp-4, 0x1.191f1bb74feb4p-4, 0x1.1ada1a88f4f99p-4, 0x1.185f2cec04282p-4, 0x1.11d99fe434e09p-4, 0x1.078255cb904f2p-4, 0x1.f317421a0257bp-5, 0x1.d0755f1b2ba2cp-5, 0x1.a7975c7032537p-5, 0x1.7906f7c55067ep-5, 0x1.45464e0fdf96cp-5, 0x1.0cd9fa1596805p-5, 0x1.a0852853881cap-6, 0x1.1ffa4dffd5578p-6, 0x1.32094e814f604p-7, 0x1.9158087c99009p-11, -0x1.09300181db5cp-7, -0x1.1994f0cbc8398p-6, -0x1.b1a3808001cd5p-6, -0x1.2609870acb10ap-5, -0x1.741a6e4606ccdp-5, -0x1.c2b345d49113ap-5, -0x1.08c55502de2afp-4, -0x1.302e3c7702fb5p-4, -0x1.5774afef3025fp-4, -0x1.7e7b74209b185p-4, -0x1.a527d27fae3ccp-4, -0x1.cb61a1692c529p-4, -0x1.f112ffaf50ceep-4, -0x1.0b140779ebe07p-3, -0x1.1d476e54eab49p-3, -0x1.2f1baf3d6f7fbp-3, -0x1.4089b09fcd0acp-3, -0x1.518b337232f25p-3, -0x1.621ac0e82066cp-3, -0x1.72339c22c37a3p-3, -0x1.81d1b823b25eap-3, -0x1.90f1aee309aa5p-3, -0x1.9f90b644417eap-3, -0x1.adac94021549ep-3, -0x1.bb4393701c5dap-3, -0x1.c8547c43d3ecdp-3, -0x1.d4de888b62b5cp-3, -0x1.e0e15b141286ep-3, -0x1.ec5cf7c64ca95p-3, -0x1.f751ef241d64bp-3, -0x1.00e02ee66774ap-2, -0x1.05d4cf2fd9f7fp-2, -0x1.0a8781ac0648ep-2, -0x1.0ef90a3452759p-2, -0x1.132a428807507p-2, -0x1.171c1828f398bp-2, -0x1.1acf8c1f87f2bp-2, -0x1.1e45b37b592cap-2, -0x1.217fb767a231p-2, -0x1.247ed4135641dp-2, -0x1.274456413ad5p-2, -0x1.29d197dad28d6p-2, -0x1.2c27fc2e5841ep-2, -0x1.2e48ec85e4526p-2, -0x1.3035d592bddc1p-2, -0x1.31f025da5ea09p-2, -0x1.33794d07efaa9p-2, -0x1.34d2bbd03c9d3p-2, -0x1.35fde4022bab7p-2, -0x1.36fc386be0cf7p-2, -0x1.37cf2c6214fd3p-2, -0x1.387832e103b39p-2, -0x1.38f8bd5ee8d45p-2, -0x1.39523a7b01707p-2, -0x1.398614ba59887p-2, -0x1.3995b17d3a33p-2, -0x1.3982704640ff7p-2, -0x1.394daa5456341p-2, -0x1.38f8b27cf6a75p-2, -0x1.3884d52af392p-2, -0x1.37f35867f8d65p-2, -0x1.37457bdf6783fp-2, -0x1.367c78d21e648p-2, -0x1.359981f8c6333p-2, -0x1.349dc35589b73p-2, -0x1.338a61f89986fp-2, -0x1.32607bbe362c6p-2, -0x1.31212710e7e35p-2, -0x1.2fcd72bc6235fp-2, -0x1.2e6665dac0e1p-2, -0x1.2cecffddc5193p-2, -0x1.2b6238ac1618cp-2, -0x1.29c700c45822p-2, -0x1.281c415927989p-2, -0x1.2662dc60e491cp-2, -0x1.249bac9e0cb88p-2, -0x1.22c785aa9e53dp-2, -0x1.20e7340f8b2b9p-2, -0x1.1efb7d69ee431p-2, -0x1.1d0520976415fp-2, -0x1.1b04d5de966c9p-2, -0x1.18fb4f0b21e83p-2, -0x1.16e9377b166fbp-2, -0x1.14cf34245522ep-2, -0x1.12ade39ce020cp-2, -0x1.1086191f9776cp-2, -0x1.0e57ef3d89a66p-2, -0x1.0c2429e47c629p-2, -0x1.09eb50c2cf21dp-2, -0x1.07ade63bddc03p-2, -0x1.056c6768de98fp-2, -0x1.03274c1a68a1fp-2, -0x1.00df06dd7573ap-2, -0x1.fd280a0c19d25p-3, -0x1.f88d5d821dbbp-3, -0x1.f3eece5b9a468p-3, -0x1.ef4d18feeb701p-3, -0x1.eaa8f04b3d31bp-3, -0x1.e602fdf5788cbp-3, -0x1.e15be2ede11a9p-3, -0x1.dcb437cab353dp-3, -0x1.d80c8d3446bfp-3, -0x1.d3656c4f462edp-3, -0x1.cebf572240211p-3, -0x1.ca1ac8f44ab43p-3, -0x1.c57836a33acf5p-3, -0x1.c0d80ef09fc79p-3, -0x1.bc3abac55ccf5p-3, -0x1.b7a09d6c706fdp-3, -0x1.b30a14c5ef4dp-3, -0x1.ae777973b7dc7p-3, -0x1.a9e91f019c26cp-3, -0x1.a55f540ade50dp-3, -0x1.a0da625eaa8aap-3, -0x1.9c5a8f2518738p-3, -0x1.97e01b05bf5b5p-3, -0x1.936b425091b11p-3, -0x1.8efc3d293c526p-3, -0x1.8a933fb4e92ep-3, -0x1.86307a4a17d38p-3, -0x1.81d419a1e1496p-3, -0x1.7d7e470a1ed47p-3, -0x1.792f2897ab22p-3, -0x1.74e6e1581bfcap-3, -0x1.70a59182384ecp-3, -0x1.6c6b56a492466p-3, -0x1.68384bd1abaccp-3, -0x1.640c89c93054ap-3, -0x1.5fe8271def8b9p-3, -0x1.5bcb38586ebaep-3, -0x1.57b5d016250dcp-3, -0x1.53a7ff25842c6p-3, -0x1.4fa1d49f4bd62p-3, -0x1.4ba35dfd74df9p-3, -0x1.47aca73051093p-3, -0x1.43bdbab23ead6p-3, -0x1.3fd6a19a564efp-3, -0x1.3bf763ae5f6f6p-3, -0x1.3820077436e69p-3, -0x1.34509242baf61p-3, -0x1.308908525cc31p-3, -0x1.2cc96ccd52d0ap-3, -0x1.2911c1df7d316p-3, -0x1.256208c6035a5p-3, -0x1.21ba41dec89e6p-3, -0x1.1e1a6cb7a77d8p-3, -0x1.1a82881d88019p-3, -0x1.16f2922b43f8dp-3, -0x1.136a88582526cp-3, -0x1.0fea6785ebd4ep-3, -0x1.0c722c0e1927p-3, -0x1.0901d1ce4bf09p-3, -0x1.0599543389581p-3, -0x1.0238ae444c558p-3, -0x1.fdbfb552c62e9p-4, -0x1.f71da76b39de6p-4, -0x1.f08b26d8eece2p-4, -0x1.ea08270fdd1afp-4, -0x1.e3949afb64e5p-4, -0x1.dd307507c13c5p-4, -0x1.d6dba72aec8ecp-4, -0x1.d09622ed0f37ap-4, -0x1.ca5fd97082bf6p-4, -0x1.c438bb79826c5p-4, -0x1.be20b9753f41ap-4, -0x1.b817c3806ac5cp-4, -0x1.b21dc96d0ad3dp-4, -0x1.ac32bac79839dp-4, -0x1.a65686db87ce2p-4, -0x1.a0891cb73fbedp-4, -0x1.9aca6b2fc844fp-4, -0x1.951a60e44d325p-4, -0x1.8f78ec419e43dp-4, -0x1.89e5fb85dec69p-4, -0x1.84617cc450db7p-4, -0x1.7eeb5de94f2c9p-4, -0x1.79838cbe4e8d1p-4, -0x1.7429f6edc69dbp-4, -0x1.6ede8a06d73e2p-4, -0x1.69a1338083bbfp-4, -0x1.6471e0bc61cc5p-4, -0x1.5f507f08a6524p-4, -0x1.5a3cfba193a3dp-4, -0x1.553743b249d48p-4, -0x1.503f4455133bep-4, -0x1.4b54ea9354197p-4, -0x1.4678236534e8p-4, -0x1.41a8dbb132208p-4, -0x1.3ce7004bb3bb1p-4, -0x1.38327df6b8905p-4, -0x1.338b4161b167ep-4, -0x1.2ef13729836f1p-4, -0x1.2a644bd8b6232p-4, -0x1.25e46be7c410bp-4, -0x1.217183bd78112p-4, -0x1.1d0b7faf4f1a4p-4, -0x1.18b24c01cc28bp-4, -0x1.1465cd646b7e3p-4, -0x1.1025fd752a74ep-4, -0x1.0bf2c29bfbd4bp-4, -0x1.07cc08dceb8c7p-4, -0x1.03b1bc27da698p-4, -0x1.ff4790b137ffcp-5, -0x1.f744326e56883p-5, -0x1.ef5934efda6f5p-5, -0x1.e7866f7807303p-5, -0x1.dfcbb9235925p-5, -0x1.d828e8e952a71p-5, -0x1.d09dd59d51fa9p-5, -0x1.c92a55ef765b7p-5, -0x1.c1ce406d7da6cp-5, -0x1.ba896b83a47a7p-5, -0x1.b35bad7d82d0cp-5, -0x1.ac44dc86db964p-5, -0x1.a544ceac712ddp-5, -0x1.9e5b59dcc74ddp-5, -0x1.978853e8e20dap-5, -0x1.90cb92850222p-5, -0x1.8a24eb495035dp-5, -0x1.839433b296b0bp-5, -0x1.7d194122e6ba3p-5, -0x1.76b3e8e247cc1p-5, -0x1.7064001f64cdap-5, -0x1.6a295bf035aa6p-5, -0x1.6403d152b9cc2p-5, -0x1.5df3352dacf42p-5, -0x1.57f75c514b353p-5, -0x1.52101b781b42dp-5, -0x1.4c3d4747c679dp-5, -0x1.467eb451fc848p-5, -0x1.40d437156bc1ap-5, -0x1.3b3da3fec1c32p-5, -0x1.35bacf69c1429p-5, -0x1.304b8da26cd89p-5, -0x1.2aefb2e63d505p-5, -0x1.25a7136569384p-5, -0x1.2071834448f36p-5, -0x1.1b4ed69cbbd7fp-5, -0x1.163ee17fa5efep-5, -0x1.114177f67846dp-5, -0x1.0c566e04c589p-5, -0x1.077d97a9e5c33p-5, -0x1.02b6c8e29a227p-5, -0x1.fc03ab558c55p-6, -0x1.f2bd23fe49666p-6, -0x1.e999a3be10503p-6, -0x1.e098d29c3a7d9p-6, -0x1.d7ba58ac65342p-6, -0x1.cefdde11f37bap-6, -0x1.c6630b03b6b9cp-6, -0x1.bde987cf736a5p-6, -0x1.b590fcdd776f1p-6, -0x1.ad5912b427edfp-6, -0x1.a54171fb8baacp-6, -0x1.9d49c380d343bp-6, -0x1.9571b039d4103p-6, -0x1.8db8e14882febp-6, -0x1.861efffe6701ap-6, -0x1.7ea3b5dff7139p-6, -0x1.7746aca802c9bp-6, -0x1.70078e4afec0dp-6, -0x1.68e604fa51be4p-6, -0x1.61e1bb278ed0ap-6, -0x1.5afa5b87b3aap-6, -0x1.542f91164cf07p-6, -0x1.4d81071899264p-6, -0x1.46ee69209c17p-6, -0x1.407763102b3b7p-6, -0x1.3a1ba11bef8ecp-6, -0x1.33dacfce52fcp-6, -0x1.2db49c0a77a5bp-6, -0x1.27a8b30f0bfdap-6, -0x1.21b6c279296b6p-6, -0x1.1bde784716189p-6, -0x1.161f82db08da1p-6, -0x1.107990fddaccbp-6, -0x1.0aec51e1ab93bp-6, -0x1.0577752480aa6p-6, -0x1.001aaad2d485cp-6, -0x1.f5ab46d4256dep-7, -0x1.eb501fb62aeb5p-7, -0x1.e123431910dap-7, -0x1.d72414ba862dcp-7, -0x1.cd51f94d2fa9ap-7, -0x1.c3ac567d1d41cp-7, -0x1.ba3292f41f1dfp-7, -0x1.b0e4165e1934ap-7, -0x1.a7c0496d11ef3p-7, -0x1.9ec695dd39c51p-7, -0x1.95f66678c735dp-7, -0x1.8d4f271bbda75p-7, -0x1.84d044b784695p-7, -0x1.7c792d56689d9p-7, -0x1.7449501ef7b74p-7, -0x1.6c401d573833cp-7, -0x1.645d0667c1f4ep-7, -0x1.5c9f7ddebd45ep-7, -0x1.5506f772a9948p-7, -0x1.4d92e80518e88p-7, -0x1.4642c5a539d08p-7, -0x1.3f1607924841ep-7, -0x1.380c263dde85dp-7, -0x1.31249b4e0c975p-7, -0x1.2a5ee19f7ddb6p-7, -0x1.23ba754746bf6p-7, -0x1.1d36d394bc55ep-7, -0x1.16d37b1313835p-7, -0x1.108feb8ae6f9ep-7, -0x1.0a6ba6039c469p-7, -0x1.04662cc4abe06p-7, -0x1.fcfe06ad95a23p-8, -0x1.f16b5d09e065dp-8, -0x1.e61368ba6f455p-8, -0x1.daf538637cb23p-8, -0x1.d00fdd32841eep-8, -0x1.c5626adf7f379p-8, -0x1.baebf7adbcee5p-8, -0x1.b0ab9c6ca99bcp-8, -0x1.a6a0747831cbbp-8, -0x1.9cc99db91a56ap-8, -0x1.932638a50a847p-8, -0x1.89b5683e6f55ep-8, -0x1.807652142202cp-8, -0x1.77681e40daf4dp-8, -0x1.6e89f76a75314p-8, -0x1.65db0ac11e561p-8, -0x1.5d5a87fe2f9ddp-8, -0x1.5507a162dd3aap-8, -0x1.4ce18bb6d365bp-8, -0x1.44e77e4693896p-8, -0x1.3d18b2e1ab23ep-8, -0x1.357465d8c1915p-8, -0x1.2df9d5fb7cbdp-8, -0x1.26a8449634497p-8, -0x1.1f7ef56f97c5p-8, -0x1.187d2ec62bc63p-8, -0x1.11a2394d5bca7p-8, -0x1.0aed602ae987ap-8, -0x1.045df0f3cc202p-8, -0x1.fbe6775248e6ep-9, -0x1.ef592569d6208p-9, -0x1.e31295cd6955cp-9, -0x1.d71176e05f4b6p-9, -0x1.cb547bc309c6ap-9, -0x1.bfda5c4b559c1p-9, -0x1.b4a1d4fd3bd3bp-9, -0x1.a9a9a702eeaf6p-9, -0x1.9ef09824e189p-9, -0x1.947572c16c7cdp-9, -0x1.8a3705c4b9427p-9, -0x1.803424a00602ep-9, -0x1.766ba74114a82p-9, -0x1.6cdc6a08f92b8p-9, -0x1.63854dc38fa64p-9, -0x1.5a65379e11c46p-9, -0x1.517b111dc8ed8p-9, -0x1.48c5c816b64afp-9, -0x1.40444ea208b48p-9, -0x1.37f59b146743bp-9, -0x1.2fd8a7f439a6bp-9, -0x1.27ec73efc3fa6p-9, -0x1.203001d330a06p-9, -0x1.18a2587e9744bp-9, -0x1.114282dbbbd4cp-9, -0x1.0a0f8fd3ff003p-9, -0x1.030892460b2c4p-9, -0x1.f85941f67bb22p-10, -0x1.eaf5ad3b6d119p-10, -0x1.dde4a35b2cf93p-10, -0x1.d12468ed2664cp-10, -0x1.c4b34a0af7dffp-10, -0x1.b88f9a3ae9fdcp-10, -0x1.acb7b45b481f3p-10, -0x1.a129fa8ce8ee6p-10, -0x1.95e4d61da717p-10, -0x1.8ae6b77367dbep-10, -0x1.802e15f67f8aap-10, -0x1.75b96ffc85672p-10, -0x1.6b874ab2dd47p-10, -0x1.6196320969b5bp-10, -0x1.57e4b89d4ddbep-10, -0x1.4e7177a34e92ep-10, -0x1.453b0ed2f63fdp-10, -0x1.3c40245118ceap-10, -0x1.337f649ab3ff2p-10, -0x1.2af7826fe5171p-10, -0x1.22a736be6f1d6p-10, -0x1.1a8d408d572dep-10, -0x1.12a864e799fe3p-10, -0x1.0af76ec76abe8p-10, -0x1.03792f016deccp-10, -0x1.f858f8600b71p-11, -0x1.ea20653dcdd0ap-11, -0x1.dc46686d070dcp-11, -0x1.cec8d0cf7c5ddp-11, -0x1.c1a5782f4783cp-11, -0x1.b4da4316ee9f5p-11, -0x1.a86520a955077p-11, -0x1.9c440a79940cbp-11, -0x1.907504640a07cp-11, -0x1.84f61c66f1629p-11, -0x1.79c56a7bebba4p-11, -0x1.6ee110700cd82p-11, -0x1.644739bf561f8p-11, -0x1.59f61b6d9a603p-11, -0x1.4febf3e0f93c4p-11, -0x1.46270abc8062ep-11, -0x1.3ca5b0baa72f9p-11, -0x1.33663f894c79p-11, -0x1.2a6719a478e5ap-11, -0x1.21a6aa32a0f4ap-11, -0x1.192364e0add58p-11, -0x1.10dbc5be56a31p-11, -0x1.08ce511b16915p-11, -0x1.00f99363422f4p-11, -0x1.f2b841fb271a4p-12, -0x1.e3e92c51a1ea9p-12, -0x1.d5832db417bb6p-12, -0x1.c7839d364d1cap-12, -0x1.b9e7e0d2d1bb8p-12, -0x1.acad6d29ed1e8p-12, -0x1.9fd274946b59fp-12, -0x1.935329751a243p-12, -0x1.872dd9fda164p-12, -0x1.7b6032e39471fp-12, -0x1.6fe7ee4401484p-12, -0x1.64c2d3658c663p-12, -0x1.59eeb67c235f7p-12, -0x1.4f69786c18197p-12, -0x1.4531068f38f16p-12, -0x1.3b435a79161cfp-12, -0x1.319e79be14eadp-12, -0x1.284075b9c2b5bp-12, -0x1.1f276b547cb3fp-12, -0x1.165182cdec04ap-12, -0x1.0dbcef83ffb77p-12, -0x1.0567efbcaa591p-12, -0x1.faa198e07c0ccp-13, -0x1.eaebb2276ddd8p-13, -0x1.dbaae6c8cb243p-13, -0x1.ccdc06681b46ap-13, -0x1.be7bf46b39606p-13, -0x1.b087a796140c7p-13, -0x1.a2fc29a64cc18p-13, -0x1.95d696f10f894p-13, -0x1.89141e034b9a9p-13, -0x1.7cb1ff4065f0ap-13, -0x1.70ad8c862573bp-13, -0x1.650428cf398c2p-13, -0x1.59b347d89cfe2p-13, -0x1.4eb86dc2f5f3cp-13, -0x1.44112ec1d2dcbp-13, -0x1.39bb2ebfeedc8p-13, -0x1.2fb4210935ff5p-13, -0x1.25f9c7f70c988p-13, -0x1.1c89f49d3e2a1p-13, -0x1.13628677dcc97p-13, -0x1.0a816b1ab88bfp-13, -0x1.01e49de23e558p-13, -0x1.f3144f4b91b3fp-14, -0x1.e2e03cd549b97p-14, -0x1.d3294a3172589p-14, -0x1.c3ebd6636aab6p-14, -0x1.b524590d45d35p-14, -0x1.a6cf61e2b41a9p-14, -0x1.98e9981b62747p-14, -0x1.8b6fb9ed46695p-14, -0x1.7e5e9c015a274p-14, -0x1.71b328e96c31p-14, -0x1.656a60a9ce23ap-14, -0x1.59815830a83edp-14, -0x1.4df538dba133cp-14, -0x1.42c33ff7eaec8p-14, -0x1.37e8be4f17482p-14, -0x1.2d6317adb8deap-14, -0x1.232fc26d8200ep-14, -0x1.194c4704a875ep-14, -0x1.0fb63f949ad66p-14, -0x1.066b577f2ff45p-14, -0x1.fad295ec8bb8fp-15, -0x1.e95bcd298db0ep-15, -0x1.d86e0df0e81e6p-15, -0x1.c80530b3b2238p-15, -0x1.b81d2c5419bfbp-15, -0x1.a8b21562d0eadp-15, -0x1.99c01d5f4c591p-15, -0x1.8b43920213be9p-15, -0x1.7d38dc7ab09ecp-15, -0x1.6f9c80c60e978p-15, -0x1.626b1d00d87d7p-15, -0x1.55a168b45f8ddp-15, -0x1.493c342a1416bp-15, -0x1.3d3867d74a7edp-15, -0x1.319303afe85ep-15, -0x1.26491e8b9f427p-15, -0x1.1b57e58b75a54p-15, -0x1.10bc9b84a0ad5p-15, -0x1.0674986a758fap-15, -0x1.f8fa917efbe96p-16, -0x1.e5a85a0f6571fp-16, -0x1.d2edb27ea766dp-16, -0x1.c0c5e8a50cba1p-16, -0x1.af2c6f3456acep-16, -0x1.9e1cdcb57d68dp-16, -0x1.8d92ea874c5fap-16, -0x1.7d8a73fbeff58p-16, -0x1.6dff7546db199p-16, -0x1.5eee0ab1632cap-16, -0x1.50526fa739f02p-16, -0x1.4228fdbd9eeebp-16, -0x1.346e2c0b58b49p-16, -0x1.271e8e2de0d8ep-16, -0x1.1a36d38167caap-16, -0x1.0db3c654be03bp-16, -0x1.01924b20fdc37p-16, -0x1.eb9ebf95289bp-17, -0x1.d4d035caf7252p-17, -0x1.beb355d045b9ep-17, -0x1.a942ab1bd3e3bp-17, -0x1.9478ee56e7668p-17, -0x1.805103c8c483ep-17, -0x1.6cc5fa4080e71p-17, -0x1.59d309aeac8fcp-17, -0x1.477391f3aa7afp-17, -0x1.35a319a6cc1e2p-17, -0x1.245d4ce6255f6p-17, -0x1.139dfc37f5b42p-17, -0x1.03611b4725993p-17, -0x1.e7458026582d5p-18, -0x1.c8be433865a6p-18, -0x1.ab252dde48b4ap-18, -0x1.8e732c5e040fep-18, -0x1.72a167154ca9fp-18, -0x1.57a9409c8e9fp-18, -0x1.3d8453ea5c34bp-18, -0x1.242c72a1cf1cdp-18, -0x1.0b9ba2cde2ddp-18, -0x1.e7983be25e96bp-19, -0x1.b9709d95b1e8cp-19, -0x1.8cb59fd640aecp-19, -0x1.615cd4214e02fp-19, -0x1.375c2591e420cp-19, -0x1.0ea9d554d183cp-19, -0x1.ce78f0704cdd5p-20, -0x1.8215e741cc5acp-20, -0x1.3818f642d2506p-20, -0x1.e0e2350903c4fp-21, -0x1.561bc73c9411dp-21, -0x1.9f7db2c478342p-22, -0x1.36b2c6f16d61ap-23, 0x1.81c31ca2ad94bp-24, 0x1.541a3b5c341b4p-22, 0x1.1fed3e89e3634p-21, 0x1.91f3a04f98583p-21, 0x1.001d1b436910bp-20, 0x1.356d0d634caffp-20, 0x1.68f5c9cd5cb99p-20, 0x1.9ac30e3f7cfcep-20, 0x1.cae035bd85589p-20, 0x1.f9583d202b6b1p-20, 0x1.131ae2fc2b635p-19, 0x1.28c18d176502ep-19, 0x1.3da5174b32a1p-19, 0x1.51ca5374e89e9p-19, 0x1.6535ec2b884d9p-19, 0x1.77ec6638a3e8p-19, 0x1.89f221f7cecabp-19, 0x1.9b4b5d102cccep-19, 0x1.abfc32c8189d8p-19, 0x1.bc089ec704a48p-19, 0x1.cb747d09ec0a3p-19, 0x1.da438ba8ef461p-19, 0x1.e8796be401b09p-19, 0x1.f619a35fef1d2p-19, 0x1.0193ce5538f1cp-18, }}, 
      {{-0x1.1bb1f4f331388p+1, -0x1.149491e072032p+1, -0x1.096eab7abecc5p+1, -0x1.f614e1a96461cp+0, -0x1.d47847d1b00ccp+0, -0x1.af9cf5031c5abp+0, -0x1.88f02076a436ap+0, -0x1.61ad1de9ea23dp+0, -0x1.3ad87db918725p+0, -0x1.15422349ba8e2p+0, -0x1.e31221c459455p-1, -0x1.a04161a90da6ap-1, -0x1.62ad5642dc3f8p-1, -0x1.2ab19a6a9de21p-1, -0x1.f0f018fd48c1fp-2, -0x1.9800ce9dff0c6p-2, -0x1.4a54ac4c20048p-2, -0x1.077ca05517d6cp-2, -0x1.9dca9984d6ee9p-3, -0x1.3fc78fa7eae6fp-3, -0x1.e6f822f8212e6p-4, -0x1.6ec57459a4e3cp-4, -0x1.13e4f37a2c637p-4, -0x1.a69623a188df3p-5, -0x1.54047e4a82726p-5, -0x1.2a683822f7343p-5, -0x1.24648071bd8d3p-5, -0x1.3ce24f1bafdep-5, -0x1.6f3cfd5136458p-5, -0x1.b727507cf8075p-5, -0x1.085189dfa5c5fp-4, -0x1.3c080afce05bp-4, -0x1.75184016b6dfp-4, -0x1.b20d7eaddfe8dp-4, -0x1.f19778eafa7d5p-4, -0x1.1944ee3e829d7p-3, -0x1.39ee8c5f0d92ep-3, -0x1.5a5601aefe7aep-3, -0x1.7a179ebb5ef38p-3, -0x1.98dcc903185dp-3, -0x1.b65b359d479cp-3, -0x1.d25478f961cc4p-3, -0x1.ec9529347eba5p-3, -0x1.0279c8a8d5036p-2, -0x1.0da7385892308p-2, -0x1.17c60cb1086d3p-2, -0x1.20ccec566e718p-2, -0x1.28b5b40c5b8bbp-2, -0x1.2f7d215dbc152p-2, -0x1.352275c271216p-2, -0x1.39a721ed8a902p-2, -0x1.3d0e807acacf8p-2, -0x1.3f5d9b79fc61ap-2, -0x1.409af5a2ea3dap-2, -0x1.40d0065c6f9d2p-2, -0x1.4001801a35aabp-2, -0x1.3e3b331e8d13fp-2, -0x1.3b8807db5dfb4p-2, -0x1.37f35d0c3ec2cp-2, -0x1.3388c146dab52p-2, -0x1.2e53cf7289b6fp-2, -0x1.28602add6efe2p-2, -0x1.21b98d201ac42p-2, -0x1.1a6bd4e087d9ep-2, -0x1.1283082c4876ep-2, -0x1.0a0b44bd1b925p-2, -0x1.0110a091fbc7bp-2, -0x1.ef3e05eff32fep-3, -0x1.db83ffdb47573p-3, -0x1.c7097bc0be7c9p-3, -0x1.b1e3d3104f06ep-3, -0x1.9c276e02577eap-3, -0x1.85e7d7929a383p-3, -0x1.6f37d790b00eap-3, -0x1.582988095bffap-3, -0x1.40ce5f1427a59p-3, -0x1.29372b09053c3p-3, -0x1.117403b291c0ap-3, -0x1.f3286c1973ff2p-4, -0x1.c34c61faa3e0bp-4, -0x1.936ef0bd9292bp-4, -0x1.63a942b84bbd1p-4, -0x1.3412b0c97a917p-4, -0x1.04c0dd61f66fap-4, -0x1.ab8fafc2f8c17p-5, -0x1.4e7481c4f9557p-5, -0x1.e4a5a5787b90dp-6, -0x1.2e95a43f65f64p-6, -0x1.ebd2b57d2c00bp-8, 0x1.b031764033e7p-9, 0x1.c850f5c8ad7b8p-7, 0x1.8f445deac9945p-6, 0x1.1b98495f92694p-5, 0x1.6de42719357a5p-5, 0x1.be75888b753a7p-5, 0x1.069f1a5856d1cp-4, 0x1.2d18ea3038e6dp-4, 0x1.52a2e61470dbbp-4, 0x1.77388c138864cp-4, 0x1.9ad616246be71p-4, 0x1.bd786d0b89879p-4, 0x1.df1d1df63561dp-4, 0x1.ffc2524530096p-4, 0x1.0fb3645cb716p-3, 0x1.1f04e793c5cep-3, 0x1.2dd59dfc5fce8p-3, 0x1.3c25b382630ddp-3, 0x1.49f590d146d8fp-3, 0x1.5745d70b4dfb4p-3, 0x1.64175b5a76735p-3, 0x1.7068b9b91e824p-3, 0x1.7c3fc29b67d2ap-3, 0x1.879bdbda94e72p-3, 0x1.927e770f95af3p-3, 0x1.9ce9215e2eed3p-3, 0x1.a6dd8240ae638p-3, 0x1.b05d5aa95be56p-3, 0x1.b96a843613247p-3, 0x1.c206f038068e6p-3, 0x1.ca34a65f87e81p-3, 0x1.d1f5c2ef78976p-3, 0x1.d94c7472f2125p-3, 0x1.e03af9052cf0ap-3, 0x1.e6c39b4d51ed8p-3, 0x1.ece8af5a6902ap-3, 0x1.f2ac8f8eaeed7p-3, 0x1.f81199c5781f3p-3, 0x1.fd1a2cd4ca35ap-3, 0x1.00e4533f5e739p-2, 0x1.030fb0ec41419p-2, 0x1.05105b10213e7p-2, 0x1.06e77af87a27fp-2, 0x1.0896375ea37a4p-2, 0x1.0a1db43c23b8fp-2, 0x1.0b7f12a9cfe4bp-2, 0x1.0cbb70bf79ep-2, 0x1.0dd3e96cb0381p-2, 0x1.0ec994460f069p-2, 0x1.0f9d8545b9ba3p-2, 0x1.1050cc802e1ep-2, 0x1.10e475d0caae6p-2, 0x1.11598882bf7efp-2, 0x1.11b106fbe1984p-2, 0x1.11ebee6ed36b7p-2, 0x1.120b369961342p-2, 0x1.120fd192d556cp-2, 0x1.11faabaca175fp-2, 0x1.11ccab6629324p-2, 0x1.1186b172f4194p-2, 0x1.112998d12ff7fp-2, 0x1.10b636ed67f3fp-2, 0x1.102d5bcf99756p-2, 0x1.0f8fd24d981p-2, 0x1.0ede603eba658p-2, 0x1.0e19c6ad354b4p-2, 0x1.0d42c2022e198p-2, 0x1.0c5a0a2a58aa3p-2, 0x1.0b6052b1ced2bp-2, 0x1.0a564ad6b0c03p-2, 0x1.093c9d92ea231p-2, 0x1.0813f19e240acp-2, 0x1.06dce9697b95bp-2, 0x1.05982316f265ap-2, 0x1.0446386ebdb7ap-2, 0x1.02e7bed4aa995p-2, 0x1.017d473fa68d4p-2, 0x1.00075e353b4bdp-2, 0x1.fd0d1794e7cd4p-3, 0x1.f9f6a7566f2c9p-3, 0x1.f6cc6a514dde8p-3, 0x1.f38f569d3d5a8p-3, 0x1.f0405a0013c23p-3, 0x1.ece05a32aaafap-3, 0x1.e970352ff6ef8p-3, 0x1.e5f0c18be6c95p-3, 0x1.e262cecf3bb66p-3, 0x1.dec725d59c53cp-3, 0x1.db1e892b0fe9dp-3, 0x1.d769b56665d2bp-3, 0x1.d3a9617e5db7p-3, 0x1.cfde3f17c578cp-3, 0x1.cc08facb50237p-3, 0x1.c82a3c625c73fp-3, 0x1.c442a70a61f4fp-3, 0x1.c052d97f3430cp-3, 0x1.bc5b6e2ca8b53p-3, 0x1.b85cfb488e484p-3, 0x1.b45812e61dbccp-3, 0x1.b04d430432a62p-3, 0x1.ac3d1597c1c18p-3, 0x1.a8281093fbep-3, 0x1.a40eb5f176207p-3, 0x1.9ff183b59dcedp-3, 0x1.9bd0f3fb88971p-3, 0x1.97ad7cfef88bfp-3, 0x1.9387912a36bcbp-3, 0x1.8f5f9f271a8d1p-3, 0x1.8b3611f35f3cap-3, 0x1.870b50f82d395p-3, 0x1.82dfc024848f5p-3, 0x1.7eb3c00a1a822p-3, 0x1.7a87adfc0a381p-3, 0x1.765be42ec3d11p-3, 0x1.7230b9d87f6e4p-3, 0x1.6e06835195d6ap-3, 0x1.69dd92341cdeap-3, 0x1.65b6357a3d7a3p-3, 0x1.6190b99ad585bp-3, 0x1.5d6d68a402c13p-3, 0x1.594c8a5362378p-3, 0x1.552e642bd4918p-3, 0x1.51133988cc9c7p-3, 0x1.4cfb4baf2b881p-3, 0x1.48e6d9dbc6213p-3, 0x1.44d6214fda484p-3, 0x1.40c95d5b98b4ap-3, 0x1.3cc0c767282b4p-3, 0x1.38bc96fa552eap-3, 0x1.34bd01c34e078p-3, 0x1.30c23b9cb88e6p-3, 0x1.2ccc76935bc47p-3, 0x1.28dbe2ebab83ep-3, 0x1.24f0857bf698p-3, 0x1.210ac6f75c12ep-3, 0x1.1d2ac27ce3eaap-3, 0x1.1950a1ca75359p-3, 0x1.157c8cdf83012p-3, 0x1.11aeaa0446237p-3, 0x1.0de71dd1de63p-3, 0x1.0a260b3b5d987p-3, 0x1.066b93978b882p-3, 0x1.02b7d6ab529e3p-3, 0x1.fe15e569418c8p-4, 0x1.f6ca08eb4b00fp-4, 0x1.ef8c4e8070d94p-4, 0x1.e85cea029d929p-4, 0x1.e13c0c98a2917p-4, 0x1.da29e4cc868e3p-4, 0x1.d3269ea10ef8dp-4, 0x1.cc3263a686176p-4, 0x1.c54d5b0e7cc6ep-4, 0x1.be77a9be6f3dbp-4, 0x1.b7b172613cfadp-4, 0x1.b0fad577721eap-4, 0x1.aa53f1665962dp-4, 0x1.a3bce285d6af7p-4, 0x1.9d35c32d2837ap-4, 0x1.96beabbe97146p-4, 0x1.9057b2b22f4c7p-4, 0x1.8a00ec9f99ab2p-4, 0x1.83ba6c4737986p-4, 0x1.7d84429a9ead4p-4, 0x1.775e7ec48e67dp-4, 0x1.71492e308388p-4, 0x1.6b445c92042cbp-4, 0x1.655013ebbc446p-4, 0x1.5f6c5c9688ed4p-4, 0x1.59993d4885101p-4, 0x1.53d6bb1c2955cp-4, 0x1.4e24d99791ef3p-4, 0x1.48839ab3f464p-4, 0x1.42f2fee54f6f1p-4, 0x1.3d73052258f54p-4, 0x1.3803aaecafe33p-4, 0x1.32a4ec5950319p-4, 0x1.2d56c419466a8p-4, 0x1.28192b829e1e8p-4, 0x1.22ec1a99884aep-4, 0x1.1dcf8819ab9e9p-4, 0x1.18c3697f9c53fp-4, 0x1.13c7b3126cabep-4, 0x1.0edc57ed51771p-4, 0x1.0a014a094ad78p-4, 0x1.05367a46cca9p-4, 0x1.007bd87758217p-4, 0x1.f7a2a6ce075bp-5, 0x1.ee6db1cbc4dbcp-5, 0x1.e558aba29544dp-5, 0x1.dc636c39dc54dp-5, 0x1.d38dc9b78f7c7p-5, 0x1.cad79891a014ep-5, 0x1.c240ab9eff32dp-5, 0x1.b9c8d4282a8dap-5, 0x1.b16fe1f749dd4p-5, 0x1.a935a367d2218p-5, 0x1.a119e575b9ba6p-5, 0x1.991c73cc37568p-5, 0x1.913d18d414294p-5, 0x1.897b9dc193851p-5, 0x1.81d7caa1f250ap-5, 0x1.7a5166688d1d8p-5, 0x1.72e836fba46ecp-5, 0x1.6b9c0140d33e2p-5, 0x1.646c892932778p-5, 0x1.5d5991bd39f58p-5, 0x1.5662dd2859b6ap-5, 0x1.4f882cc457f71p-5, 0x1.48c9412477586p-5, 0x1.4225da2068f74p-5, 0x1.3b9db6df0df27p-5, 0x1.353095e10adb3p-5, 0x1.2ede350b32547p-5, 0x1.28a651b0c84aep-5, 0x1.2288a89d9ba78p-5, 0x1.1c84f61ffcd3ep-5, 0x1.169af6128de4p-5, 0x1.10ca63e5eeddp-5, 0x1.0b12faaa44563p-5, 0x1.057475189765fp-5, 0x1.ffdd1b38213aep-6, 0x1.f501fcb6151b7p-6, 0x1.ea57027ff6452p-6, 0x1.dfdba00466f15p-6, 0x1.d58f485ce6be3p-6, 0x1.cb716e5ea26ecp-6, 0x1.c18184aae2902p-6, 0x1.b7befdbf239p-6, 0x1.ae294c04c22a4p-6, 0x1.a4bfe1e048d6p-6, 0x1.9b8231c05ccbcp-6, 0x1.926fae2c3d44bp-6, 0x1.8987c9d1dbfdp-6, 0x1.80c9f79391159p-6, 0x1.7835aa955fc74p-6, 0x1.6fca5649d9f9bp-6, 0x1.67876e7e8da28p-6, 0x1.5f6c67681811dp-6, 0x1.5778b5adc68b2p-6, 0x1.4fabce74d189dp-6, 0x1.4805276b39ba2p-6, 0x1.408436d2323e9p-6, 0x1.39287388351c3p-6, 0x1.31f15512b0353p-6, 0x1.2ade53a752904p-6, 0x1.23eee834fd71p-6, 0x1.1d228c6c59414p-6, 0x1.1678bac80fb45p-6, 0x1.0ff0ee94b1786p-6, 0x1.098aa3f84121cp-6, 0x1.034557f96f45cp-6, 0x1.fa41110d0178ap-7, 0x1.ee3768f7d32b3p-7, 0x1.e26cb755246dbp-7, 0x1.d6dffdbbb8dabp-7, 0x1.cb903fc2a6b94p-7, 0x1.c07c830c2b83ep-7, 0x1.b5a3cf4ffabc7p-7, 0x1.ab052e64f6299p-7, 0x1.a09fac4a68d2p-7, 0x1.96725730b53b2p-7, 0x1.8c7c3f818c079p-7, 0x1.82bc77e7947p-7, 0x1.79321555ab2edp-7, 0x1.6fdc2f0d9a504p-7, 0x1.66b9dea6633b4p-7, 0x1.5dca40120fb2dp-7, 0x1.550c71a316781p-7, 0x1.4c7f941146e41p-7, 0x1.4422ca7e5dcfdp-7, 0x1.3bf53a7a17518p-7, 0x1.33f60c05e883ap-7, 0x1.2c24699856c7ep-7, 0x1.247f801fe4ec9p-7, 0x1.1d067f05a392dp-7, 0x1.15b8982f67168p-7, 0x1.0e9500019e9a7p-7, 0x1.079aed60da046p-7, 0x1.00c999b2ed749p-7, 0x1.f44081bfa25edp-8, 0x1.e73c42a44f7a8p-8, 0x1.da84f7eee2d92p-8, 0x1.ce19287ffc36ap-8, 0x1.c1f7603d199ep-8, 0x1.b61e300f4fc6cp-8, 0x1.aa8c2de1729bep-8, 0x1.9f3ff49db8a0dp-8, 0x1.9438242adf63p-8, 0x1.89736168cd523p-8, 0x1.7ef0562cbbf7p-8, 0x1.74adb13cec825p-8, 0x1.6aaa264beaecep-8, 0x1.60e46df361587p-8, 0x1.575b45ae8152dp-8, 0x1.4e0d6fd4107e6p-8, 0x1.44f9b39000fa8p-8, 0x1.3c1edcdcbb43fp-8, 0x1.337bbc7c02c08p-8, 0x1.2b0f27ef86b1fp-8, 0x1.22d7f97120af5p-8, 0x1.1ad50feabc254p-8, 0x1.13054eedf3865p-8, 0x1.0b679eab64053p-8, 0x1.03faebe9baa77p-8, 0x1.f97c4ff8ef33cp-9, 0x1.eb609174efa21p-9, 0x1.dda090e87b47dp-9, 0x1.d03a4bd3edf37p-9, 0x1.c32bc882bf6f9p-9, 0x1.b67315f6b3c13p-9, 0x1.aa0e4bd2c988p-9, 0x1.9dfb8a45a9b4dp-9, 0x1.9238f9f3e7f66p-9, 0x1.86c4cbe1cc5dbp-9, 0x1.7b9d395ce9384p-9, 0x1.70c083e562a9ap-9, 0x1.662cf516f3d7dp-9, 0x1.5be0de91b59adp-9, 0x1.51da99e2cbd6ep-9, 0x1.4818886cb9549p-9, 0x1.3e99134fa7c64p-9, 0x1.355aab518985dp-9, 0x1.2c5bc8c5f7c4ep-9, 0x1.239aeb7638246p-9, 0x1.1b169a88f37cap-9, 0x1.12cd6469eb853p-9, 0x1.0abddeb1ba0dfp-9, 0x1.02e6a60d6c31bp-9, 0x1.f68cbc4c5856ap-10, 0x1.e7b76311d655dp-10, 0x1.d94aa31bfeb13p-10, 0x1.cb43ec81e4828p-10, 0x1.bda0bc9050d68p-10, 0x1.b05e9d9995914p-10, 0x1.a37b26c55e128p-10, 0x1.96f3fbe09bffp-10, 0x1.8ac6cd2dcf3d4p-10, 0x1.7ef157356c57fp-10, 0x1.73716296a1741p-10, 0x1.6844c3d8460f8p-10, 0x1.5d695b3a150f4p-10, 0x1.52dd14864e624p-10, 0x1.489de6e3a8953p-10, 0x1.3ea9d4a74fe86p-10, 0x1.34feeb27beb2fp-10, 0x1.2b9b428f95c53p-10, 0x1.227cfdb0d35eep-10, 0x1.19a249d893816p-10, 0x1.11095ea32933fp-10, 0x1.08b07dd08457dp-10, 0x1.0095f31912358p-10, 0x1.f1702805e52ffp-11, 0x1.e22a7f6f6ba13p-11, 0x1.d357bdb4bdec7p-11, 0x1.c4f4c6bbc6e7ap-11, 0x1.b6fe90b7fa04p-11, 0x1.a97223d92ead2p-11, 0x1.9c4e00034f1acp-11, 0x1.8f8c89e6fb4bdp-11, 0x1.832c5d85e2578p-11, 0x1.772ac7e5af2dcp-11, 0x1.6b85267dcff9bp-11, 0x1.6038e6eb13f3ap-11, 0x1.554386a3e28c8p-11, 0x1.4aa292ad8b2b7p-11, 0x1.4053a7524eb26p-11, 0x1.36546fd7aed02p-11, 0x1.2ca2a636b379dp-11, 0x1.233c12d3c73bp-11, 0x1.1a1e8c3807f8fp-11, 0x1.1147f6cb43857p-11, 0x1.08b6448eaad11p-11, 0x1.006774d85df5fp-11, 0x1.f0b3281f448bbp-12, 0x1.e11576d4250ap-12, 0x1.d1f22152ee412p-12, 0x1.c3458bb4c2cdep-12, 0x1.b50c32275c05p-12, 0x1.a742a86d069b1p-12, 0x1.99e5995f1b351p-12, 0x1.8cf1c671732cfp-12, 0x1.8064073714151p-12, 0x1.743948e9954afp-12, 0x1.686e8df0c5f09p-12, 0x1.5d00ed6cd1826p-12, 0x1.51ed92c2048e6p-12, 0x1.4731bd24ceacp-12, 0x1.3ccabf29f85c1p-12, 0x1.32b5fe556e5fp-12, 0x1.28f0f2ad4a691p-12, 0x1.1f79264cd5152p-12, 0x1.164c34f9bacadp-12, 0x1.0d67cbbb0aa86p-12, 0x1.04c9a8719f109p-12, 0x1.f8df32e492f64p-13, 0x1.e8aefa432e64dp-13, 0x1.d8fe8322c02aap-13, 0x1.c9c9c83fecc33p-13, 0x1.bb0ce2315a6f5p-13, 0x1.acc406ad9854p-13, 0x1.9eeb87d2f5e5bp-13, 0x1.917fd3738b156p-13, 0x1.847d72633b985p-13, 0x1.77e107cb8ce15p-13, 0x1.6ba7508021d5p-13, 0x1.5fcd2258c4bbp-13, 0x1.544f6b8ce614fp-13, 0x1.492b32135452cp-13, 0x1.3e5d930511904p-13, 0x1.33e3c203891dbp-13, 0x1.29bb08a165de1p-13, 0x1.1fe0c5cf42fp-13, 0x1.16526d4afc45cp-13, 0x1.0d0d8712b5805p-13, 0x1.040faed8ee1adp-13, 0x1.f6ad26ff2a3c3p-14, 0x1.e5bfed246ab11p-14, 0x1.d55357884a9bfp-14, 0x1.c56330e670281p-14, 0x1.b5eb6656b0bbfp-14, 0x1.a6e8065ba52d8p-14, 0x1.98553ff675e7dp-14, 0x1.8a2f61bf9723ap-14, 0x1.7c72d904e6af1p-14, 0x1.6f1c30efe63adp-14, 0x1.622811aa94639p-14, 0x1.55933f915ec12p-14, 0x1.495a9a6275d2bp-14, 0x1.3d7b1c78147f4p-14, 0x1.31f1da032c786p-14, 0x1.26bc004d069cfp-14, 0x1.1bd6d4fd08f2ep-14, 0x1.113fb5622789dp-14, 0x1.06f415c19a771p-14, 0x1.f9e30152dbda9p-15, 0x1.e66b2c8e982fp-15, 0x1.d37c178724c01p-15, 0x1.c111553fc92d2p-15, 0x1.af26a034e4bd5p-15, 0x1.9db7d928c4cd7p-15, 0x1.8cc105f9d38ddp-15, 0x1.7c3e50799c672p-15, 0x1.6c2c05591e0c9p-15, 0x1.5c86930b9f7eap-15, 0x1.4d4a88bdca47ep-15, 0x1.3e749547e0015p-15, 0x1.30018632b89a4p-15, 0x1.21ee46b920e1ep-15, 0x1.1437ded54636dp-15, 0x1.06db7252e28b6p-15, 0x1.f3ac7fce8fc9fp-16, 0x1.da4b40984444ap-16, 0x1.c18e0ad092f26p-16, 0x1.a96ff2f034e95p-16, 0x1.91ec3c7a2b71p-16, 0x1.7afe585ce75dbp-16, 0x1.64a1e374327b5p-16, 0x1.4ed2a4fe764eep-16, 0x1.398c8d2d1eb4bp-16, 0x1.24cbb3b2a2d15p-16, 0x1.108c566318713p-16, 0x1.f995afb7c899dp-17, 0x1.d3077c6dfaa15p-17, 0x1.ad67637af8ecdp-17, 0x1.88aef75e60e4fp-17, 0x1.64d80a2a90e31p-17, 0x1.41dcab234afefp-17, 0x1.1fb7247b4542cp-17, 0x1.fcc3f23d6e15p-18, 0x1.bbafc5340da18p-18, 0x1.7c279df63ea41p-18, 0x1.3e21bdac2856cp-18, 0x1.0194c6a082797p-18, 0x1.8cef70e7c04aap-19, 0x1.1983d90823c86p-19, 0x1.51ac491401d46p-20, 0x1.d6b2bd7188541p-22, -0x1.84575431f41e7p-22, -0x1.32b8cdb25081cp-20, -0x1.ff58a02b9a692p-20, -0x1.63884d1204814p-19, -0x1.c4fd7e9a188c7p-19, -0x1.120c427dd139ep-18, -0x1.4072c2f37f764p-18, -0x1.6db81886364e2p-18, -0x1.99e1e2e74b7ddp-18, -0x1.c4f58bfc91544p-18, -0x1.eef84a4ac62afp-18, -0x1.0bf79199d6888p-17, -0x1.1fef76a71d3a7p-17, -0x1.33662940c64c4p-17, -0x1.465de9005a2bp-17, -0x1.58d8e12ec5b3ap-17, -0x1.6ad929b42e706p-17, -0x1.7c60c815082ccp-17, -0x1.8d71b04146d7ap-17, -0x1.9e0dc57e312fep-17, -0x1.ae36db33fbf59p-17, -0x1.bdeeb5b917abcp-17, -0x1.cd370b1aeea1dp-17, -0x1.dc1183d42c01bp-17, -0x1.ea7fbb802df87p-17, -0x1.f883418f573f4p-17, -0x1.030ecceef644ap-16, -0x1.09a81eb4ffab4p-16, -0x1.100e4d71462d9p-16, -0x1.16420b94ca425p-16, -0x1.1c4406fa5779cp-16, -0x1.2214e923fa445p-16, -0x1.27b5577cbc46ep-16, -0x1.2d25f39745e42p-16, }}, 
      {{-0x1.1d54290244e34p+1, -0x1.1ae948ff6d123p+1, -0x1.170945fcb9f4bp+1, -0x1.11e280bd37e99p+1, -0x1.0ba86db438d94p+1, -0x1.048ee90067c91p+1, -0x1.f98f6ad78aadep+0, -0x1.e90296f554475p+0, -0x1.d7ca60d0b0b1dp+0, -0x1.c6302109b37ddp+0, -0x1.b4732a868d34ap+0, -0x1.a2c92064d8518p+0, -0x1.915e5c29f71d5p+0, -0x1.8056fe80becc4p+0, -0x1.6fcf56f05dbddp+0, -0x1.5fde22e6dc128p+0, -0x1.5093445469c42p+0, -0x1.41faa579b93ebp+0, -0x1.341b826777c69p+0, -0x1.26f9e33baee4fp+0, -0x1.1a96cd3550ba7p+0, -0x1.0ef0f5f73b389p+0, -0x1.040527934b3f3p+0, -0x1.f39d542dcacd5p-1, -0x1.e08f34c47e95bp-1, -0x1.ced267447ca97p-1, -0x1.be58282af5a7bp-1, -0x1.af10a0d36324ap-1, -0x1.a0ebde1554cddp-1, -0x1.93d94f704a9f3p-1, -0x1.87c86f674cb79p-1, -0x1.7ca9082e3e4f2p-1, -0x1.726b1f874f5fp-1, -0x1.68ff20a5bb8c3p-1, -0x1.6055fba806ed8p-1, -0x1.586134e4dde7fp-1, -0x1.5112f253a7abdp-1, -0x1.4a5dff4cb22a7p-1, -0x1.4435ce0e34985p-1, -0x1.3e8e7b871d55fp-1, -0x1.395cd1b07518bp-1, -0x1.349645e9bae98p-1, -0x1.3030f45ff8ab7p-1, -0x1.2c239ab500685p-1, -0x1.286592ec693e5p-1, -0x1.24eece8e4c789p-1, -0x1.21b7d160ef8aep-1, -0x1.1eb9ab053af6ep-1, -0x1.1bedeff27153cp-1, -0x1.194eb2e69f53bp-1, -0x1.16d67eb02131cp-1, -0x1.14804fa8e900bp-1, -0x1.12478d2805f69p-1, -0x1.102803716e108p-1, -0x1.0e1ddb703f0e8p-1, -0x1.0c2598e1f2191p-1, -0x1.0a3c1a5c7e13dp-1, -0x1.085e865033c21p-1, -0x1.068a4a35097f4p-1, -0x1.04bd1647b9d8dp-1, -0x1.02f4d9cf9e359p-1, -0x1.012fbf768bf63p-1, -0x1.fed852c5d9412p-2, -0x1.fb515a01da021p-2, -0x1.f7c81d3b7f51p-2, -0x1.f43a7a2aa4133p-2, -0x1.f0a69ba569cdfp-2, -0x1.ed0af298ffd6p-2, -0x1.e966300aed75fp-2, -0x1.e5b73ff8d3b3cp-2, -0x1.e1fd44cc3d037p-2, -0x1.de3793158092dp-2, -0x1.da65ad545ddccp-2, -0x1.d6873fb3458d2p-2, -0x1.d29c1bba99dep-2, -0x1.cea4341964ff1p-2, -0x1.ca9f98a9eb294p-2, -0x1.c68e72d1d633ep-2, -0x1.c271024e6f1d4p-2, -0x1.be479a6de0a8fp-2, -0x1.ba129faa6a5fbp-2, -0x1.b5d28593c311fp-2, -0x1.b187ccee8ea53p-2, -0x1.ad3301f3145d5p-2, -0x1.a8d4ba9bc9f31p-2, -0x1.a46d94feca10bp-2, -0x1.9ffe35b679cc5p-2, -0x1.9b87466224881p-2, -0x1.97097446d612cp-2, -0x1.92856f14ffa43p-2, -0x1.8dfbe7d37a28ep-2, -0x1.896d8fedfb7b9p-2, -0x1.84db18649c1ap-2, -0x1.8045311a505efp-2, -0x1.7bac883fb6fdep-2, -0x1.7711c9d59390fp-2, -0x1.72759f3ff5e46p-2, -0x1.6dd8aee23d55bp-2, -0x1.693b9bbe7d4a1p-2, -0x1.649f05176c8f2p-2, -0x1.60038618ee758p-2, -0x1.5b69b58d63309p-2, -0x1.56d225a48e7d2p-2, -0x1.523d63cc7ccc6p-2, -0x1.4dabf8986552p-2, -0x1.491e67af31a4cp-2, -0x1.44952fbc0e89bp-2, -0x1.4010ca5ed2f8p-2, -0x1.3b91ac1d8ea8bp-2, -0x1.3718445b12534p-2, -0x1.32a501782c61ep-2, -0x1.2e383cbbcd0a5p-2, -0x1.29d25e3a622c9p-2, -0x1.2573c1764b608p-2, -0x1.211cbcfdb9af5p-2, -0x1.1ccda27cdee89p-2, -0x1.1886bed421ab2p-2, -0x1.14485a3197b2cp-2, -0x1.1012b82d209bdp-2, -0x1.0be617e68ffa5p-2, -0x1.07c2b4257075bp-2, -0x1.03a8c37a06a16p-2, -0x1.ff30f0be6925ep-3, -0x1.f72402b9e43fcp-3, -0x1.ef2b12560398cp-3, -0x1.e7466da73abe6p-3, -0x1.df765bab9a45ep-3, -0x1.d7bb1c8e74aa9p-3, -0x1.d014e9ea937efp-3, -0x1.c883f70ac90acp-3, -0x1.c1087128bf8d1p-3, -0x1.b9a27fa9ee628p-3, -0x1.b252445ad67cp-3, -0x1.ab17dba89195bp-3, -0x1.a3f35cd8f464ap-3, -0x1.9ce4da417b246p-3, -0x1.95ec617d4a693p-3, -0x1.8f09fba2846b5p-3, -0x1.883dad773221dp-3, -0x1.818777a5eeca3p-3, -0x1.7ae756f255de1p-3, -0x1.745d446d21de3p-3, -0x1.6de935a7d0d95p-3, -0x1.678b1ce7830a3p-3, -0x1.6142e956c623cp-3, -0x1.5b10873601a66p-3, -0x1.54f3e00a486e9p-3, -0x1.4eecdaca483cap-3, -0x1.48fb5c0944bd1p-3, -0x1.431f461ff2f7ep-3, -0x1.3d587953246fcp-3, -0x1.37a6d3f83f4ebp-3, -0x1.320a3297766d6p-3, -0x1.2c82700be464ep-3, -0x1.270f65a187e82p-3, -0x1.21b0eb3167c49p-3, -0x1.1c66d73bfc6ffp-3, -0x1.1730ff0224a3p-3, -0x1.120f369cdc69bp-3, -0x1.0d015113ee136p-3, -0x1.08072073cf278p-3, -0x1.032075e2bbd6p-3, -0x1.fc9a436a5f5b7p-4, -0x1.f319e7038e0f4p-4, -0x1.e9bf7468e2cf2p-4, -0x1.e08a88421ca82p-4, -0x1.d77abe2aa9f69p-4, -0x1.ce8fb0d40d49dp-4, -0x1.c5c8fa26d9a3ap-4, -0x1.bd2633623d48fp-4, -0x1.b4a6f53a0605dp-4, -0x1.ac4ad7f334025p-4, -0x1.a411737f060b2p-4, -0x1.9bfa5f946bf4fp-4, -0x1.940533c7ed2bdp-4, -0x1.8c3187a1d1d47p-4, -0x1.847ef2b2a52f5p-4, -0x1.7ced0ca5f7623p-4, -0x1.757b6d537748dp-4, -0x1.6e29acce7124cp-4, -0x1.66f76373d8b2bp-4, -0x1.5fe429f70baecp-4, -0x1.58ef996d737bdp-4, -0x1.52194b593fce9p-4, -0x1.4b60d9b35b15p-4, -0x1.44c5def4c2d2ap-4, -0x1.3e47f61f53f4dp-4, -0x1.37e6bac61d694p-4, -0x1.31a1c9153a60bp-4, -0x1.2b78bdd93a919p-4, -0x1.256b36860ba46p-4, -0x1.1f78d13d71276p-4, -0x1.19a12cd4ff9acp-4, -0x1.13e3e8dba7403p-4, -0x1.0e40a59ed36cfp-4, -0x1.08b7042f2e8e9p-4, -0x1.0346a6650c4a2p-4, -0x1.fbde5dc915e77p-5, -0x1.f1608242d6f91p-5, -0x1.e71302c551a27p-5, -0x1.dcf5298b899b4p-5, -0x1.d30642839b883p-5, -0x1.c9459b541877cp-5, -0x1.bfb28360c4cc9p-5, -0x1.b64c4bce9111ap-5, -0x1.ad124786d8542p-5, -0x1.a403cb39eccf1p-5, -0x1.9b202d60f1da3p-5, -0x1.9266c63f17de8p-5, -0x1.89d6efe249cc2p-5, -0x1.81700623742c5p-5, -0x1.793166a664695p-5, -0x1.711a70d965efbp-5, -0x1.692a85f4a8c73p-5, -0x1.616108f98448p-5, -0x1.59bd5eb18f3d1p-5, -0x1.523eedada94p-5, -0x1.4ae51e44df22bp-5, -0x1.43af5a933820cp-5, -0x1.3c9d0e78641a7p-5, -0x1.35ada7963f96bp-5, -0x1.2ee0954f3e164p-5, -0x1.28353ff18df88p-5, -0x1.21ab2bf25a918p-5, -0x1.1b41c558a5a71p-5, -0x1.14f882708ba55p-5, -0x1.0ecedb3bae8c8p-5, -0x1.08c4496f24c48p-5, -0x1.02d8487157677p-5, -0x1.fa14aaaf86af7p-6, -0x1.eeb3ddc949c0bp-6, -0x1.e38d2b09161b7p-6, -0x1.d89f9697a6338p-6, -0x1.cdea27e8063eap-6, -0x1.c36be9b23c3cbp-6, -0x1.b923e9ed9fc73p-6, -0x1.af1139cb194p-6, -0x1.a532edaf2a1cbp-6, -0x1.9b881d2bdbdcdp-6, -0x1.920fe2fa84c79p-6, -0x1.88c95cf56db2ep-6, -0x1.7fb3ac115ba5p-6, -0x1.76cdf456fd503p-6, -0x1.6e175cdc4f689p-6, -0x1.658f0fbde4203p-6, -0x1.5d343a18217d1p-6, -0x1.55060c00773d5p-6, -0x1.4d03b87e78962p-6, -0x1.452c758519d57p-6, -0x1.3d7f7bebbf928p-6, -0x1.35fc076761923p-6, -0x1.2ea15683acf79p-6, -0x1.276eaa9c23a36p-6, -0x1.206347d53adffp-6, -0x1.197e75158602fp-6, -0x1.12bf7bfee3e02p-6, -0x1.0c25a8e7aa1fap-6, -0x1.05b04ad3dbd65p-6, -0x1.febd66dcbd6c3p-7, -0x1.f2606e048242fp-7, -0x1.e64858e7e891ep-7, -0x1.da73da7538312p-7, -0x1.cee1aab2aa972p-7, -0x1.c39086b10eed6p-7, -0x1.b87f307e5ea8dp-7, -0x1.adac6f18879e6p-7, -0x1.a3170e600d468p-7, -0x1.98bddf0ab2725p-7, -0x1.8e9fb6964ea23p-7, -0x1.84bb6f3b7ec48p-7, -0x1.7b0fe7e0721a2p-7, -0x1.719c040ba9084p-7, -0x1.685eabd6db52p-7, -0x1.5f56cbe1b2b18p-7, -0x1.56835544bdbc2p-7, -0x1.4de33d844ad9cp-7, -0x1.45757e8347517p-7, -0x1.3d3916763db7ep-7, -0x1.352d07d650fd9p-7, -0x1.2d5059543cb1bp-7, -0x1.25a215cb5f439p-7, -0x1.1e214c34db104p-7, -0x1.16cd0f9abde9bp-7, -0x1.0fa4770b2c6aap-7, -0x1.08a69d8bacadp-7, -0x1.01d2a20c69aebp-7, -0x1.f64f4eb7441e9p-8, -0x1.e949a8321a2f5p-8, -0x1.dc92a552b34e7p-8, -0x1.d028a25395a59p-8, -0x1.c40a02c7a55edp-8, -0x1.b8353181908d1p-8, -0x1.aca8a07b7480cp-8, -0x1.a162c8be8cad8p-8, -0x1.96622a4b14cb5p-8, -0x1.8ba54c005ec1bp-8, -0x1.812abb84fa96bp-8, -0x1.76f10d2f197a2p-8, -0x1.6cf6dbed25bb4p-8, -0x1.633ac92e64511p-8, -0x1.59bb7ccbe2f18p-8, -0x1.5077a4f175a43p-8, -0x1.476df607012d4p-8, -0x1.3e9d2a99c9682p-8, -0x1.360403461023bp-8, -0x1.2da146a0d0234p-8, -0x1.2573c1219f88dp-8, -0x1.1d7a450ccdeap-8, -0x1.15b3aa5da5ddep-8, -0x1.0e1eceb0e133bp-8, -0x1.06ba952f417a3p-8, -0x1.ff0bccf0cd758p-9, -0x1.f0ff611b84b6p-9, -0x1.e34dcd7b89a4p-9, -0x1.d5f5031e85a1ep-9, -0x1.c8f2fd59cd0cbp-9, -0x1.bc45c1a1f6778p-9, -0x1.afeb5f62967ep-9, -0x1.a3e1efd65f3bdp-9, -0x1.982795dfcf511p-9, -0x1.8cba7de2096f4p-9, -0x1.8198dd9a11cabp-9, -0x1.76c0f3f8a14b4p-9, -0x1.6c3108fc2d171p-9, -0x1.61e76d8b47ap-9, -0x1.57e27b4f895cep-9, -0x1.4e209490c7c28p-9, -0x1.44a02410983c6p-9, -0x1.3b5f9ce682393p-9, -0x1.325d7a5c25f5p-9, -0x1.29983fca2e7d1p-9, -0x1.210e787580803p-9, -0x1.18beb76c91a6ep-9, -0x1.10a79765a6bb9p-9, -0x1.08c7ba9d05ff8p-9, -0x1.011dcab39fb8ap-9, -0x1.f350f11cbac1fp-10, -0x1.e4ccf86b03738p-10, -0x1.d6ad29696fe4ap-10, -0x1.c8ef0ff6339a5p-10, -0x1.bb9045787cb66p-10, -0x1.ae8e70a2351aap-10, -0x1.a1e74532df46dp-10, -0x1.959883bb9fd34p-10, -0x1.899ff96385f91p-10, -0x1.7dfb7face371cp-10, -0x1.72a8fc3b50997p-10, -0x1.67a6609a867dep-10, -0x1.5cf1aa05f4f32p-10, -0x1.5288e130e8c62p-10, -0x1.486a1a0ff9921p-10, -0x1.3e9373a283f8ap-10, -0x1.350317bd96458p-10, -0x1.2bb73ad729a21p-10, -0x1.22ae1bd20e4dbp-10, -0x1.19e603cb08f3cp-10, -0x1.115d45e63c927p-10, -0x1.09123f1d52a77p-10, -0x1.0103560ede477p-10, -0x1.f25df59baded7p-11, -0x1.e3274d63f8ea3p-11, -0x1.d45fb8529f044p-11, -0x1.c6044d13389d8p-11, -0x1.b81233c6addb8p-11, -0x1.aa86a5a9a28c9p-11, -0x1.9d5eecbbda6cdp-11, -0x1.9098636a97a74p-11, -0x1.8430743a19823p-11, -0x1.78249972baca3p-11, -0x1.6c725ccd95499p-11, -0x1.6117572372527p-11, -0x1.5611301ce9401p-11, -0x1.4b5d9de36b157p-11, -0x1.40fa64d419b39p-11, -0x1.36e55733893fep-11, -0x1.2d1c54e309cd6p-11, -0x1.239d4b16fecbp-11, -0x1.1a66340e3a85dp-11, -0x1.117516cb9bef8p-11, -0x1.08c806cf20545p-11, -0x1.005d23d22b6c9p-11, -0x1.f06533076283ep-12, -0x1.e08d3e8acf87bp-12, -0x1.d12eefd64cb61p-12, -0x1.c246e2f5afb65p-12, -0x1.b3d1c9dafa4b5p-12, -0x1.a5cc6be1dfc19p-12, -0x1.9833a558c047ep-12, -0x1.8b046707c265dp-12, -0x1.7e3bb5bb9f8d4p-12, -0x1.71d6a9d4a915ep-12, -0x1.65d26ed49afa2p-12, -0x1.5a2c42f04783ep-12, -0x1.4ee176a39ee81p-12, -0x1.43ef6c46b22f3p-12, -0x1.395397a59c4f6p-12, -0x1.2f0b7d992052p-12, -0x1.2514b3a3dca8fp-12, -0x1.1b6cdf8d36d9ep-12, -0x1.1211b7030155fp-12, -0x1.0900ff39cbf2dp-12, -0x1.00388c8f529eap-12, -0x1.ef6c84601523dp-13, -0x1.def0237b00effp-13, -0x1.cef7f5eda359dp-13, -0x1.bf8016c55d4a5p-13, -0x1.b084bbf7fb70ap-13, -0x1.a20235bc74bc9p-13, -0x1.93f4edeb22e03p-13, -0x1.8659675f0f56fp-13, -0x1.792c3d5ba8202p-13, -0x1.6c6a22f25df55p-13, -0x1.600fe271f5c8dp-13, -0x1.541a5cd2fc2fp-13, -0x1.48868927f7244p-13, -0x1.3d517413fc6f7p-13, -0x1.32783f41ef8c7p-13, -0x1.27f820dd4db57p-13, -0x1.1dce6311b4193p-13, -0x1.13f86387630cdp-13, -0x1.0a7392e9f8ef2p-13, -0x1.013d746ced7bbp-13, -0x1.f0a73a9ff8036p-14, -0x1.df6768dd8bffp-14, -0x1.ceb6e39731e5ap-14, -0x1.be913c3fb3a1fp-14, -0x1.aef224dbb6f8ap-14, -0x1.9fd56f2cbb96cp-14, -0x1.91370bde3336ep-14, -0x1.831309b955084p-14, -0x1.756594dbe9d58p-14, -0x1.682af5f739031p-14, -0x1.5b5f918658692p-14, -0x1.4effe7235864cp-14, -0x1.430890c439556p-14, -0x1.3776420c0a3bp-14, -0x1.2c45c79df772p-14, -0x1.2174066f48275p-14, -0x1.16fdfb23597c2p-14, -0x1.0ce0b9685ebdbp-14, -0x1.03196b588b4b3p-14, -0x1.f34aa1bd85a77p-15, -0x1.e1037e3e85574p-15, -0x1.cf583fc53e195p-15, -0x1.be43e213ddb52p-15, -0x1.adc187f5c5447p-15, -0x1.9dcd1abf7844ep-15, -0x1.8e60c54a873bp-15, -0x1.7f78bb5982261p-15, -0x1.7110b18078e69p-15, -0x1.63247e4494a4ap-15, -0x1.55b019280c706p-15, -0x1.48af99bdfebccp-15, -0x1.3c1f36c119fcfp-15, -0x1.2ffb453654905p-15, -0x1.2440378032e2p-15, -0x1.18ea9c9f7d6dbp-15, -0x1.0df71f5207811p-15, -0x1.0362854f54058p-15, -0x1.f2535ced247f2p-16, -0x1.de932828d4898p-16, -0x1.cb7e90471c815p-16, -0x1.b90fe929f0c16p-16, -0x1.a741b53647ad1p-16, -0x1.960ea3f6f5732p-16, -0x1.857190c741cb6p-16, -0x1.7565818984ba1p-16, -0x1.65e5a558b190cp-16, -0x1.56ed5358d3f31p-16, -0x1.48780982d2497p-16, -0x1.3a816b718fd88p-16, -0x1.2d054149a05c2p-16, -0x1.1fff768c867d9p-16, -0x1.136c191d3687p-16, -0x1.07475820ec82cp-16, -0x1.f71b05fcc8803p-17, -0x1.e07610cb723a8p-17, -0x1.ca98ea9be12bbp-17, -0x1.b57ce82229a8dp-17, -0x1.a11b96f3ffb73p-17, -0x1.8d6ebbc8af88dp-17, -0x1.7a7050bb072bap-17, -0x1.681a839d77c9cp-17, -0x1.5667b457a7b99p-17, -0x1.4552735078d06p-17, -0x1.34d57fe28ee3dp-17, -0x1.24ebc6db6652fp-17, -0x1.1590610d18042p-17, -0x1.06be91da7429bp-17, -0x1.f0e38bbad024p-18, -0x1.d54b233240f5fp-18, -0x1.baab600fb374dp-18, -0x1.a0fc033ce6233p-18, -0x1.8835159382d36p-18, -0x1.704ee5e897d2bp-18, -0x1.594206818cb6ep-18, -0x1.43074b06f7e7p-18, -0x1.2d97c641475cbp-18, -0x1.18ecc7e849dd8p-18, -0x1.04ffdabf5118p-18, -0x1.e395850ff186fp-19, -0x1.be8ef439507d6p-19, -0x1.9ae063493df49p-19, -0x1.787e98fe3dbd1p-19, -0x1.575ebfdcc7c7bp-19, -0x1.37766246456fdp-19, -0x1.18bb673556fdbp-19, -0x1.f6481e7c53addp-20, -0x1.bd4de2ac82e3fp-20, -0x1.8675efc690571p-20, -0x1.51aebbd24638p-20, -0x1.1ee758170735ep-20, -0x1.dc1ed75df7f6dp-21, -0x1.7e2e5e8294cf7p-21, -0x1.23decc8b6d924p-21, -0x1.9a256d3f137bfp-22, -0x1.e6b6de27f7abcp-23, -0x1.4ca316d06bd49p-24, 0x1.1a9e09d2fce81p-24, 0x1.b491153e039cp-23, 0x1.67ebb2b2fa32p-22, 0x1.efc0a74e2d83ap-22, 0x1.38faba49cf188p-21, 0x1.775b4997133dap-21, 0x1.b3177bb6d3e16p-21, 0x1.ec440fb0e0e84p-21, 0x1.117a881fab6d3p-20, 0x1.2b9eed31b690bp-20, 0x1.449891e288fb4p-20, 0x1.5c7080299f5f7p-20, 0x1.732f75203da36p-20, 0x1.88dde26046ec5p-20, 0x1.9d83f1a7adff7p-20, 0x1.b1298752c106fp-20, 0x1.c3d645747e82dp-20, 0x1.d5918d805f17ep-20, 0x1.e66282c958718p-20, 0x1.f6500d837e50dp-20, 0x1.02b06e37f76c7p-19, 0x1.09cdb3945f58bp-19, 0x1.1082f8086689bp-19, 0x1.16d3436fd08cap-19, 0x1.1cc184c773612p-19, 0x1.2250939bceb4ep-19, 0x1.278330a44ad2cp-19, 0x1.2c5c06bcba377p-19, 0x1.30ddaba9e9676p-19, 0x1.350aa0f4ccbd7p-19, 0x1.38e554a5aa1afp-19, 0x1.3c7022049962p-19, 0x1.3fad52524cd4p-19, 0x1.429f1d58887bfp-19, 0x1.4547aa6aea4ecp-19, 0x1.47a910b3d7ccp-19, 0x1.49c557ec66b22p-19, 0x1.4b9e78dd850d2p-19, 0x1.4d365e10b8321p-19, 0x1.4e8ee44e07475p-19, 0x1.4fa9db23ecc77p-19, 0x1.5089056080211p-19, 0x1.512e19912cd69p-19, 0x1.519ac276a508bp-19, 0x1.51d09f8f7165fp-19, 0x1.51d1452093514p-19, 0x1.519e3d41c7ce1p-19, 0x1.513907a86dfaep-19, 0x1.50a31a610c842p-19, 0x1.4fdde21375ebap-19, 0x1.4eeac2529dcbdp-19, 0x1.4dcb160752c6cp-19, 0x1.4c802f7bd2af9p-19, 0x1.4b0b58f2ea8cfp-19, 0x1.496dd520ee122p-19, 0x1.47a8ded97f4eep-19, 0x1.45bda9c1523a1p-19, 0x1.43ad6275ddf8p-19, 0x1.41792ec98da5ep-19, 0x1.3f222df14615p-19, 0x1.3ca978e9212fdp-19, 0x1.3a10228a52e7ap-19, 0x1.375737b887bc6p-19, 0x1.347fbf9e5d978p-19, 0x1.318abbb11657dp-19, 0x1.2e79285118ca5p-19, 0x1.2b4bfc7d467aep-19, 0x1.28042a34cdbcbp-19, 0x1.24a29e96dff5fp-19, 0x1.21284203bae19p-19, 0x1.1d95f836f195dp-19, 0x1.19eca0827b5a4p-19, 0x1.162d15ded974cp-19, 0x1.12582f2e89e4p-19, 0x1.0e6ebeb1adba2p-19, 0x1.0a7193490af2fp-19, 0x1.066177cc96525p-19, 0x1.023f331b45075p-19, 0x1.fc1710ef17e74p-20, 0x1.f38e6f1c21d1fp-20, 0x1.eae5f91bacc87p-20, 0x1.e21f201969ca9p-20, }}, 
      {{0x1.35d9a9f60d46bp-12, 0x1.17d73b092ed3cp-10, 0x1.0c92ef0afba46p-9, 0x1.7f12d490066eap-9, 0x1.bb2d4b3e6734cp-9, 0x1.9e47113779d24p-9, 0x1.0d6bba2dbac5fp-9, -0x1.4282b4083c12dp-14, -0x1.b316972ffba36p-9, -0x1.f8b568c63a32ep-8, -0x1.b0b0a1c48446ep-7, -0x1.43fcb4688cf61p-6, -0x1.bfbc93d1874f5p-6, -0x1.24f8616748918p-5, -0x1.7044efa1e5d62p-5, -0x1.c0c20afb163a3p-5, -0x1.0aace2783551bp-4, -0x1.367c6f8298c31p-4, -0x1.634a36020480ep-4, -0x1.90969511e1374p-4, -0x1.bde8a155eabb2p-4, -0x1.ead1e046c6f88p-4, -0x1.0b76031562917p-3, -0x1.20edf47ca2939p-3, -0x1.35a81ba783b14p-3, -0x1.4980c2013b77p-3, -0x1.5c583e1100717p-3, -0x1.6e1648733cff7p-3, -0x1.7ea36bf8b6c35p-3, -0x1.8dec96f478c9ep-3, -0x1.9be4cd52b7aecp-3, -0x1.a88240e7778cfp-3, -0x1.b3bc7c7f6d84ap-3, -0x1.bd8dbf34598bep-3, -0x1.c5f4007eebd54p-3, -0x1.ccf01291906bfp-3, -0x1.d2844e4f2bcdp-3, -0x1.d6b4393d087f6p-3, -0x1.d984fca9e3092p-3, -0x1.dafda7af71312p-3, -0x1.db26cdf6d4c39p-3, -0x1.da09f010473fep-3, -0x1.d7b131ac26902p-3, -0x1.d42768140cdb5p-3, -0x1.cf7832a8f7f45p-3, -0x1.c9afe3a35f54ep-3, -0x1.c2db431a7fabbp-3, -0x1.bb0756f3a5704p-3, -0x1.b241484fd72aap-3, -0x1.a8965e698afap-3, -0x1.9e13f9bf2d88p-3, -0x1.92c784cbd0f12p-3, -0x1.86be5eab3de05p-3, -0x1.7a05c8408f1ffp-3, -0x1.6ca83a825f211p-3, -0x1.5eb8c213efba6p-3, -0x1.50412b423d1f2p-3, -0x1.414d2188a54dap-3, -0x1.31e80c2f8df8cp-3, -0x1.221d48a560e01p-3, -0x1.11f83f3c81c97p-3, -0x1.01844e2c0c6f4p-3, -0x1.e1992f2e394f7p-4, -0x1.bfb78fefdf053p-4, -0x1.9d77d321a3481p-4, -0x1.7aeca38891ff6p-4, -0x1.582754e089266p-4, -0x1.35381f99f8623p-4, -0x1.122e6bdbf6021p-4, -0x1.de322390ca04ep-5, -0x1.980cfa75b7908p-5, -0x1.52095ed9de579p-5, -0x1.0c4248b2c3889p-5, -0x1.8da2a4682422ap-6, -0x1.039cca5c20cb5p-6, -0x1.ea7c147942763p-8, 0x1.a5d3693d475cfp-11, 0x1.274f8abb640a1p-7, 0x1.18ab739ba6d53p-6, 0x1.9c1b5c67a1897p-6, 0x1.0eedb425c1d0cp-5, 0x1.4ee8a5442a4bep-5, 0x1.8df224f967a77p-5, 0x1.cbfe9c9a07967p-5, 0x1.0481a47ecfff9p-4, 0x1.227b282a9b824p-4, 0x1.3fe76b6d47974p-4, 0x1.5cc2858101102p-4, 0x1.7909129630b99p-4, 0x1.94b82d3a1a81cp-4, 0x1.afcd62a34c176p-4, 0x1.ca46a439ac1ccp-4, 0x1.e42238ff981f1p-4, 0x1.fd5eb127ceb6ap-4, 0x1.0afd6ea4b0d78p-3, 0x1.16fae4c5ec514p-3, 0x1.22a75e12608a1p-3, 0x1.2e029aed6c521p-3, 0x1.390c798e84e8fp-3, 0x1.43c4f6430df1bp-3, 0x1.4e2c2b1606368p-3, 0x1.58424ecef0a67p-3, 0x1.6207b363dffc6p-3, 0x1.6b7cc40a029a7p-3, 0x1.74a2030d63552p-3, 0x1.7d7807923984bp-3, 0x1.85ff7b5ff7a89p-3, 0x1.8e3918d855eb9p-3, 0x1.9625a93bcf0d4p-3, 0x1.9dc603535a1a2p-3, 0x1.a51db87fa2218p-3, 0x1.ac29634737728p-3, 0x1.b2eb4f0476ce2p-3, 0x1.b96476cfac8ap-3, 0x1.bf95e82abe73p-3, 0x1.c580c1a66e07ap-3, 0x1.cb2630e93e61bp-3, 0x1.d087703b67116p-3, 0x1.d5a5c3c0e41e6p-3, 0x1.da82768d57d1ap-3, 0x1.df1ed7bcc21adp-3, 0x1.e37c37b905301p-3, 0x1.e79be5cea4354p-3, 0x1.eb7f2e2c25718p-3, 0x1.ef27585f10652p-3, 0x1.f295a658402a6p-3, 0x1.f5cb53f7ca571p-3, 0x1.f8c997173fbd9p-3, 0x1.fb91a000a2424p-3, 0x1.fe249a3951b3dp-3, 0x1.0041d6c1ca935p-2, 0x1.0157ff7b91542p-2, 0x1.02555908d7914p-2, 0x1.033a74d1ebb5ap-2, 0x1.0407e441f4edep-2, 0x1.04be38fb8ae5ap-2, 0x1.055e04e484ffp-2, 0x1.05e7da08e3fdap-2, 0x1.065c4a583b32ap-2, 0x1.06bbe743f946fp-2, 0x1.070741470bf57p-2, 0x1.073ee760aa075p-2, 0x1.0763668c5697ap-2, 0x1.07754940c23ccp-2, 0x1.077516fdd3455p-2, 0x1.076353f070f73p-2, 0x1.074080b06ee9fp-2, 0x1.070d1a1acaffcp-2, 0x1.06c9994825cd4p-2, 0x1.0676739d7ac6dp-2, 0x1.06141af377c7cp-2, 0x1.05a2fdcfbee11p-2, 0x1.052387aaad047p-2, 0x1.0496213c17a63p-2, 0x1.03fb30c9a83acp-2, 0x1.03531a7215804p-2, 0x1.029e40713a454p-2, 0x1.01dd0359fc258p-2, 0x1.010fc243f0b55p-2, 0x1.0036daeba883ap-2, 0x1.fea5538ac13b1p-3, 0x1.fcc7140581a5cp-3, 0x1.fad3ab19c6c7dp-3, 0x1.f8cbc9e914a41p-3, 0x1.f6b01eb57ec8fp-3, 0x1.f48154a8e1a6ap-3, 0x1.f24013976977bp-3, 0x1.efecffc2b69d7p-3, 0x1.ed88b9a26d211p-3, 0x1.eb13ddb673d29p-3, 0x1.e88f046615107p-3, 0x1.e5fac1ee3185bp-3, 0x1.e357a65f7b2a7p-3, 0x1.e0a63dac7d96fp-3, 0x1.dde70fc64897fp-3, 0x1.db1aa0c5a00f8p-3, 0x1.d841711e02275p-3, 0x1.d55bfdd7a71f1p-3, 0x1.d26ac0cd55de2p-3, 0x1.cf6e30eb52e01p-3, 0x1.cc66c26cd2423p-3, 0x1.c954e715ea602p-3, 0x1.c6390e685477fp-3, 0x1.c313a5d1e6428p-3, 0x1.bfe518d3e18fcp-3, 0x1.bcadd122d0e4cp-3, 0x1.b96e36beb1c64p-3, 0x1.b626b003b06b6p-3, 0x1.b2d7a1b3d052ap-3, 0x1.af816efa2c5dep-3, 0x1.ac247968b247dp-3, 0x1.a8c120f177519p-3, 0x1.a557c3dcdae6cp-3, 0x1.a1e8bebde523bp-3, 0x1.9e746c663685fp-3, 0x1.9afb25dadfd57p-3, 0x1.977d424b472dp-3, 0x1.93fb170afa715p-3, 0x1.9074f78f1aba3p-3, 0x1.8ceb356f9495fp-3, 0x1.895e206c30945p-3, 0x1.85ce067518b51p-3, 0x1.823b33b656b2dp-3, 0x1.7ea5f2a592734p-3, 0x1.7b0e8c1159a63p-3, 0x1.7775473120fe3p-3, 0x1.73da69b55eeafp-3, 0x1.703e37d725e79p-3, 0x1.6ca0f466c1755p-3, 0x1.6902e0d913c95p-3, 0x1.65643d537be34p-3, 0x1.61c548b628c6fp-3, 0x1.5e2640a4e62a4p-3, 0x1.5a87618e6d257p-3, 0x1.56e8e6b24d20ap-3, 0x1.534b0a25902e1p-3, 0x1.4fae04d63fc23p-3, 0x1.4c120e8ddee6bp-3, 0x1.48775df309673p-3, 0x1.44de288a4ed73p-3, 0x1.4146a2b6780f7p-3, 0x1.3db0ffb84ee22p-3, 0x1.3a1e06cedc47cp-3, 0x1.368ca218ac07dp-3, 0x1.32fdb0dfa7a58p-3, 0x1.2f7162b4b0d6ap-3, 0x1.2be7e60338ec9p-3, 0x1.2861680bd3ec9p-3, 0x1.24de14dfc577cp-3, 0x1.215e175d9d8p-3, 0x1.1de1992ef903bp-3, 0x1.1a68c2c78216ep-3, 0x1.16f3bb651696cp-3, 0x1.1382a911239c2p-3, 0x1.1015b0a3143e9p-3, 0x1.0cacf5c3bf6e1p-3, 0x1.09489af1c1891p-3, 0x1.05e8c186922ebp-3, 0x1.028d89bc3b09p-3, 0x1.fe6e256725111p-4, 0x1.f7caf4f589d0bp-4, 0x1.f131bc2832057p-4, 0x1.eaa2b2f992c1dp-4, 0x1.e41e0f679e6fcp-4, 0x1.dda405810ba01p-4, 0x1.d734c77225fbfp-4, 0x1.d0d08590ef4ap-4, 0x1.ca776e687b6bap-4, 0x1.c429aec35d18dp-4, 0x1.bde771b538779p-4, 0x1.b7b0e0a34505bp-4, 0x1.b186234be0418p-4, 0x1.ab675fcd24c0dp-4, 0x1.a554baaaa5615p-4, 0x1.9f4e56d24e541p-4, 0x1.995455a08afacp-4, 0x1.9366d6e3c9bfp-4, 0x1.8d85f8df7cd96p-4, 0x1.87b1d84eb3a7dp-4, 0x1.81ea90666ad49p-4, 0x1.7c303ad7b217dp-4, 0x1.7682efd1c223dp-4, 0x1.70e2c6041ee1cp-4, 0x1.6b4fd2a0db487p-4, 0x1.65ca295f15514p-4, 0x1.6051dc7dbac25p-4, 0x1.5ae6fcc6a3d22p-4, 0x1.5589999210d63p-4, 0x1.5039c0ca90177p-4, 0x1.4af77ef1516cdp-4, 0x1.45c2df22e8235p-4, 0x1.409beb1c79f8ap-4, 0x1.3b82ab41571c5p-4, 0x1.367726a0f50eap-4, 0x1.317962fd4419ap-4, 0x1.2c8964d156f1cp-4, 0x1.27a72f5850b4bp-4, 0x1.22d2c4948f3fap-4, 0x1.1e0c2557058cbp-4, 0x1.19535146bb5b8p-4, 0x1.14a846e865211p-4, 0x1.100b03a60b458p-4, 0x1.0b7b83d6b405bp-4, 0x1.06f9c2c608948p-4, 0x1.0285babbeac17p-4, 0x1.fc3eca07eaaa1p-5, 0x1.f38d73e9becebp-5, 0x1.eaf761ef7acf8p-5, 0x1.e27c811e3687bp-5, 0x1.da1cbcbbdb7c9p-5, 0x1.d1d7fe5cab5cp-5, 0x1.c9ae2df070fb2p-5, 0x1.c19f31cf4e779p-5, 0x1.b9aaeec6395cdp-5, 0x1.b1d1482313ecap-5, 0x1.aa121fc07a66cp-5, 0x1.a26d561139c39p-5, 0x1.9ae2ca2b7c8b7p-5, 0x1.937259d3b3123p-5, 0x1.8c1be1873a9afp-5, 0x1.84df3c86cc30ap-5, 0x1.7dbc44e0b87a3p-5, 0x1.76b2d37af8479p-5, 0x1.6fc2c01d144ebp-5, 0x1.68ebe179ee4c2p-5, 0x1.622e0d396c3b5p-5, 0x1.5b8918020cb0bp-5, 0x1.54fcd58267d91p-5, 0x1.4e89187a9d2p-5, 0x1.482db2c5b593p-5, 0x1.41ea7562f5bbcp-5, 0x1.3bbf307f26aecp-5, 0x1.35abb37dd1ba9p-5, 0x1.2fafcd026f6d5p-5, 0x1.29cb4af98c653p-5, 0x1.23fdfaa1dce45p-5, 0x1.1e47a895457bap-5, 0x1.18a820d1ce3fdp-5, 0x1.131f2ec28466ap-5, 0x1.0dac9d4844ab3p-5, 0x1.085036c270964p-5, 0x1.0309c51785de2p-5, 0x1.fbb2237b31d9bp-6, 0x1.f17bcb856464cp-6, 0x1.e77013aa0d0a4p-6, 0x1.dd8e8c961b773p-6, 0x1.d3d6c656e4706p-6, 0x1.ca485069b0b12p-6, 0x1.c0e2b9cafc461p-6, 0x1.b7a591055df1cp-6, 0x1.ae90644015333p-6, 0x1.a5a2c14d45f75p-6, 0x1.9cdc35b7d1c66p-6, 0x1.943c4ed0dbcbep-6, 0x1.8bc299bcec76fp-6, 0x1.836ea380bd248p-6, 0x1.7b3ff90da4ca1p-6, 0x1.7336274dae12ep-6, 0x1.6b50bb2f4dc97p-6, 0x1.638f41b0c7a04p-6, 0x1.5bf147eb31defp-6, 0x1.54765b1d2c5b3p-6, 0x1.4d1e08b53d6p-6, 0x1.45e7de5bdc3f5p-6, 0x1.3ed369fd2d14p-6, 0x1.37e039d268c68p-6, 0x1.310ddc6afc96ep-6, 0x1.2a5be0b55ad67p-6, 0x1.23c9d60780561p-6, 0x1.1d574c27320ep-6, 0x1.1703d351f6837p-6, 0x1.10cefc44c6b39p-6, 0x1.0ab858437a07fp-6, 0x1.04bf791ff3abp-6, 0x1.fdc7e28215cabp-7, 0x1.f24aa752684e1p-7, 0x1.e70667f9db178p-7, 0x1.dbfa4d11cfa38p-7, 0x1.d125808ff3aaep-7, 0x1.c6872dd1a3cfp-7, 0x1.bc1e81a6ddaf9p-7, 0x1.b1eaaa5cbe98p-7, 0x1.a7ead7c78653ep-7, 0x1.9e1e3b4c3a4fdp-7, 0x1.948407e9c5d7ap-7, 0x1.8b1b7241baa08p-7, 0x1.81e3b0a09f544p-7, 0x1.78dbfb05cab4fp-7, 0x1.70038b2aed1f6p-7, 0x1.67599c8b145afp-7, 0x1.5edd6c6962011p-7, 0x1.568e39d74bac6p-7, 0x1.4e6b45ba881f8p-7, 0x1.4673d2d28807bp-7, 0x1.3ea725bda6442p-7, 0x1.370484fde59eep-7, 0x1.2f8b38fd5edcap-7, 0x1.283a8c12505d4p-7, 0x1.2111ca82d70b3p-7, 0x1.1a1042884f784p-7, 0x1.1335445264edbp-7, 0x1.0c802209cc0b8p-7, 0x1.05f02fd2ad0aap-7, 0x1.ff09879d800f5p-8, 0x1.f27a6c3e3b2bbp-8, 0x1.e631c1cb82b46p-8, 0x1.da2e408d91117p-8, 0x1.ce6ea4d2ce1cfp-8, 0x1.c2f1aef12e6b3p-8, 0x1.b7b623470cdfp-8, 0x1.acbaca3b8aa59p-8, 0x1.a1fe703e64fd9p-8, 0x1.977fe5c7598f8p-8, 0x1.8d3dff55109cdp-8, 0x1.8337956b95bfdp-8, 0x1.796b84925ef44p-8, 0x1.6fd8ad51edbb5p-8, 0x1.667df43103e14p-8, 0x1.5d5a41b1725e1p-8, 0x1.546c824c90ac9p-8, 0x1.4bb3a66f50349p-8, 0x1.432ea275f43afp-8, 0x1.3adc6ea77a70dp-8, 0x1.32bc0730adf1dp-8, 0x1.2acc6c1eea997p-8, 0x1.230ca15a96e21p-8, 0x1.1b7baea1532bep-8, 0x1.14189f7fe577p-8, 0x1.0ce2834be2f6fp-8, 0x1.05d86d1d1d6adp-8, 0x1.fdf2e78da1af3p-9, 0x1.f08963a13a60fp-9, 0x1.e3728ade93571p-9, 0x1.d6aca0faaec9dp-9, 0x1.ca35f0e6c45ebp-9, 0x1.be0cccc0b1299p-9, 0x1.b22f8dc3121bdp-9, 0x1.a69c943514246p-9, 0x1.9b524759fdf1ap-9, 0x1.904f156077456p-9, 0x1.859173518b9afp-9, 0x1.7b17dcff90174p-9, 0x1.70e0d4f4aff6ep-9, 0x1.66eae4616db97p-9, 0x1.5d349b0aed222p-9, 0x1.53bc8f3915cf7p-9, 0x1.4a815da49f4f7p-9, 0x1.4181a964f4aa6p-9, 0x1.38bc1bde0dcc9p-9, 0x1.302f64ae2968ap-9, 0x1.27da399b7cb89p-9, 0x1.1fbb5681cefa3p-9, 0x1.17d17d400b59cp-9, 0x1.101b75a5d63d4p-9, 0x1.08980d610dbb8p-9, 0x1.014617eb50d45p-9, 0x1.f448dcef0c329p-10, 0x1.e663dfbebf0a1p-10, 0x1.d8db0121d0eaap-10, 0x1.cbac14f82aaa1p-10, 0x1.bed4fa00c2b28p-10, 0x1.b25399b4dabd3p-10, 0x1.a625e8235ad2bp-10, 0x1.9a49e3cc4630ep-10, 0x1.8ebd957c56786p-10, 0x1.837f10288ef8ep-10, 0x1.788d7a4e1d262p-10, 0x1.6de4eeab69405p-10, 0x1.63849fc97c3c4p-10, 0x1.596ac7d528357p-10, 0x1.4f95aa704427fp-10, 0x1.4603948e22abp-10, 0x1.3cb2dc5043376p-10, 0x1.33a1e0e317b24p-10, 0x1.2acf0a5b0483dp-10, 0x1.2238c99171913p-10, 0x1.19dd98022e882p-10, 0x1.11bbf7a8d7298p-10, 0x1.09d272de7d635p-10, 0x1.021f9c37781e3p-10, 0x1.f5441cc2c72a7p-11, 0x1.e6b0d8029cc1dp-11, 0x1.d882bf243d26bp-11, 0x1.cab7368630c47p-11, 0x1.bd4bb1ad4e7c4p-11, 0x1.b03db302a3654p-11, 0x1.a38acb91d0186p-11, 0x1.97309ac7cd56fp-11, 0x1.8b2cce321606ep-11, 0x1.7f7d213e6799dp-11, 0x1.741f5cfac58f3p-11, 0x1.691157d6235e6p-11, 0x1.5e50f5616cbafp-11, 0x1.53dc261135d4bp-11, 0x1.49b0e6ffab514p-11, 0x1.3fcd41af66d52p-11, 0x1.362f4bce74dc7p-11, 0x1.2cd526fa1420bp-11, 0x1.23bd00832755bp-11, 0x1.1ae51132ff661p-11, 0x1.124b9d10ee17ep-11, 0x1.09eef328656ecp-11, 0x1.01cd6d4fb8bbcp-11, 0x1.f3cadfdf1b888p-12, 0x1.e46ad395f53eep-12, 0x1.d577a79076b2cp-12, 0x1.c6ee617458566p-12, 0x1.b8cc1a550633dp-12, 0x1.ab0dfe49385b4p-12, 0x1.9db14c0232a6bp-12, 0x1.90b35464834c9p-12, 0x1.84117a220d5ccp-12, 0x1.77c93155e4762p-12, 0x1.6bd7ff216fe56p-12, 0x1.603b794b11fa2p-12, 0x1.54f145de7725ap-12, 0x1.49f71ace9f5a5p-12, 0x1.3f4abd98e8203p-12, 0x1.34ea02ea47cebp-12, 0x1.2ad2ce45d18aap-12, 0x1.210311ac9c98cp-12, 0x1.1778cd4793e1ap-12, 0x1.0e320f129fc9p-12, 0x1.052cf2896cffep-12, 0x1.f8cf40ab71cd5p-13, 0x1.e7c09bfe52b2dp-13, 0x1.d72a7b394eb0ep-13, 0x1.c7097b0eae3d9p-13, 0x1.b75a501dbbe0cp-13, 0x1.a819c65e96623p-13, 0x1.9944c090dd73bp-13, 0x1.8ad837ad22521p-13, 0x1.7cd13a599ef8ep-13, 0x1.6f2cec6124c98p-13, 0x1.61e8862d2cd6ap-13, 0x1.55015442a6bf7p-13, 0x1.4874b6c1ee965p-13, 0x1.3c4020e8053cdp-13, 0x1.30611893dcae8p-13, 0x1.24d535cd92cb1p-13, 0x1.199a2250430e4p-13, 0x1.0ead99167583bp-13, 0x1.040d65e8adc41p-13, 0x1.f36ec9dd72d09p-14, 0x1.df53048650dc9p-14, 0x1.cbc373127f71dp-14, 0x1.b8bc2b09b7b7dp-14, 0x1.a6395f69e7af7p-14, 0x1.94375fe00e5a7p-14, 0x1.82b29805a25a3p-14, 0x1.71a78ea1f4b72p-14, 0x1.6112e4efeaf68p-14, 0x1.50f155e85382cp-14, 0x1.413fb58ea931fp-14, 0x1.31faf042e779ap-14, 0x1.23200a17977fcp-14, 0x1.14ac1e2afb913p-14, 0x1.069c5e0343eaep-14, 0x1.f1dc21dfca9abp-15, 0x1.d73d26da835a3p-15, 0x1.bd56ad1a4e65ap-15, 0x1.a423bec208e1cp-15, 0x1.8b9f8cd0f0d1dp-15, 0x1.73c56e077b26ep-15, 0x1.5c90ddd18a1c1p-15, 0x1.45fd7b352afbp-15, 0x1.300707cbe2658p-15, 0x1.1aa966be0d204p-15, 0x1.05e09bc69621cp-15, 0x1.e351947891797p-16, 0x1.bbfc684170d4p-16, 0x1.95ba726a4bea2p-16, 0x1.7084ac29af62ep-16, 0x1.4c5446a9cc549p-16, 0x1.2922a954a3bacp-16, 0x1.06e9702855d5p-16, 0x1.cb44d432dd8fbp-17, 0x1.8a8f2ef5977f8p-17, 0x1.4ba650e94cb8dp-17, 0x1.0e7ef7043bcdep-17, 0x1.a61c6febbe2d5p-18, 0x1.3293028bf5a04p-18, 0x1.849a5246b9349p-19, 0x1.54dc26bea9d84p-20, -0x1.4c2986c7aab8dp-22, -0x1.eec985ec60794p-20, -0x1.bf54c4e4441bep-19, -0x1.40bc1de52558cp-18, -0x1.9ef88cb0a2b9ap-18, -0x1.fa70229fdb2eep-18, -0x1.2999697029ac3p-17, -0x1.54a80a3354e0dp-17, -0x1.7e6b7313dae1p-17, -0x1.a6eae99a59d62p-17, -0x1.ce2d7b5f96871p-17, -0x1.f439fffd500c9p-17, -0x1.0c8b8d78e8a97p-16, -0x1.1e659eb9814b9p-16, -0x1.2fae541e4f969p-16, -0x1.4068b6a092a4bp-16, -0x1.5097b8add6e8p-16, -0x1.603e36f897f98p-16, -0x1.6f5ef93edaff2p-16, -0x1.7dfcb3111401bp-16, -0x1.8c1a048e06edep-16, -0x1.99b97b1a14ecdp-16, -0x1.a6dd921261726p-16, -0x1.b388b374e039ap-16, -0x1.bfbd388cbc8bbp-16, -0x1.cb7d6a8fd4c08p-16, -0x1.d6cb833b2f75ap-16, -0x1.e1a9ad6ac77ebp-16, -0x1.ec1a05a96435cp-16, -0x1.f61e9abf81d74p-16, -0x1.ffb96e3b17362p-16, -0x1.04763a78dd23ep-15, -0x1.08dccbc04f724p-15, -0x1.0d1159634fac7p-15, -0x1.1114cc2dac819p-15, -0x1.14e8077ec22b9p-15, }}, 
      {{-0x1.b917da1a67944p-4, -0x1.92ee4e9f6c25fp-3, -0x1.085a4b3980b85p-2, -0x1.28949c5046eefp-2, -0x1.2bc3fa3c4fcd7p-2, -0x1.15a76295e525dp-2, -0x1.d5e6f9765bc3ep-3, -0x1.6125a42a61b32p-3, -0x1.ace7f70007267p-4, -0x1.f24c1e85e99d5p-6, 0x1.80417f9e6cc62p-5, 0x1.fd23bdef4acbap-4, 0x1.9869df6cf6e34p-3, 0x1.14f3452f61116p-2, 0x1.582c63bcfc828p-2, 0x1.94f83a18360f7p-2, 0x1.cac7dee48e189p-2, 0x1.f95b6859196e2p-2, 0x1.1056973b6d5a6p-1, 0x1.2073b6de1eda5p-1, 0x1.2d2bf40439773p-1, 0x1.36b2e0d5b7bfap-1, 0x1.3d451a3309da3p-1, 0x1.41249d5ad57bdp-1, 0x1.4296391bc0af3p-1, 0x1.41df6d0397645p-1, 0x1.3f450d8c03f9ap-1, 0x1.3b08bf9de5ba8p-1, 0x1.356a59ba4bf73p-1, 0x1.2ea5a3d459d27p-1, 0x1.26f1b5481085bp-1, 0x1.1e816cf6d3818p-1, 0x1.15839d84fc28ep-1, 0x1.0c22c3d304b42p-1, 0x1.0284cd1458228p-1, 0x1.f196aa46df7eep-2, 0x1.de283845645c8p-2, 0x1.caf29be58ed88p-2, 0x1.b82339f2bc816p-2, 0x1.a5e0cdce067f1p-2, 0x1.944bf456c2574p-2, 0x1.837fcfa61f581p-2, 0x1.73929128841d2p-2, 0x1.6495e2d0fc008p-2, 0x1.569746a19a417p-2, 0x1.49a07dfa24386p-2, 0x1.3db7f56b1574ap-2, 0x1.32e128ac1e35cp-2, 0x1.291cf9bd6cf8dp-2, 0x1.2069ff1e0b535p-2, 0x1.18c4cce4d718bp-2, 0x1.122838f2af045p-2, 0x1.0c8d99dafdd45p-2, 0x1.07ed00d4199bep-2, 0x1.043ea1ddb9893p-2, 0x1.01761424f143p-2, 0x1.ff134d0c27cc9p-3, 0x1.fcdcf1c77b1a4p-3, 0x1.fc32ac9dbb50dp-3, 0x1.fcfd6b99bb417p-3, 0x1.ff2581dcede6bp-3, 0x1.01496704ac4cp-2, 0x1.03967ccf18fddp-2, 0x1.066de327a7d11p-2, 0x1.09c3acd58c8p-2, 0x1.0d8c3c7d9dd0fp-2, 0x1.11bc56c0b3915p-2, 0x1.16492885f75bbp-2, 0x1.1b2844a8a49adp-2, 0x1.204f9dd0998e8p-2, 0x1.25b581017513bp-2, 0x1.2b5093e7d45bep-2, 0x1.3117d7e4433bfp-2, 0x1.3702b0fc36654p-2, 0x1.3d08eea8d173bp-2, 0x1.4322d41b87692p-2, 0x1.49491decefcfbp-2, 0x1.4f75040658fa4p-2, 0x1.55a037a3f5c9ap-2, 0x1.5bc4de3a345f6p-2, 0x1.61dd8a951d12fp-2, 0x1.67e5359cd8f89p-2, 0x1.6dd737dc38781p-2, 0x1.73af446602149p-2, 0x1.79696534ebde8p-2, 0x1.7f01f8bf4b9ffp-2, 0x1.8475b03e7c5cdp-2, 0x1.89c18e19e47e4p-2, 0x1.8ee2e3f82be21p-2, 0x1.93d75024288c1p-2, 0x1.989cba2a4a95dp-2, 0x1.9d314ec901a23p-2, 0x1.a1937b766fcefp-2, 0x1.a5c1e9cf0379fp-2, 0x1.a9bb7b390129fp-2, 0x1.ad7f44edf78f9p-2, 0x1.b10c8c78c1a0fp-2, 0x1.b462c49a78ec9p-2, 0x1.b7818a7b8b2fcp-2, 0x1.ba68a3103199bp-2, 0x1.bd17f8a1836b3p-2, 0x1.bf8f9874e37dcp-2, 0x1.c1cfb08d4fe45p-2, 0x1.c3d88d7e22716p-2, 0x1.c5aa9842be98cp-2, 0x1.c746541000a17p-2, 0x1.c8ac5c1c61efcp-2, 0x1.c9dd61676dd4p-2, 0x1.cada2892774eep-2, 0x1.cba387dec303dp-2, 0x1.cc3afe0f4848dp-2, 0x1.cca0be97b2316p-2, 0x1.ccd5d90aa537dp-2, 0x1.ccdb53bc93d02p-2, 0x1.ccb24215cd79p-2, 0x1.cc5bc33c32bcp-2, 0x1.cbd9009188fe2p-2, 0x1.cb2b2c10d838ap-2, 0x1.ca537e96c5e24p-2, 0x1.c9533621ec98cp-2, 0x1.c82b9418baa47p-2, 0x1.c6dddba285f09p-2, 0x1.c56b502100219p-2, 0x1.c3d533d5e966ap-2, 0x1.c21cc6beadae6p-2, 0x1.c04345ac5b512p-2, 0x1.be49e99a8522ap-2, 0x1.bc31e74334ee9p-2, 0x1.b9fc6ee9d1fd7p-2, 0x1.b7aaac5325bf2p-2, 0x1.b53dc6ddf71d7p-2, 0x1.b2b6e1ae7a819p-2, 0x1.b0171bded5e92p-2, 0x1.ad5f90a87e13dp-2, 0x1.aa91577cb0d91p-2, 0x1.a7ad840569b08p-2, 0x1.a4b5260bc201fp-2, 0x1.a1a94943e776fp-2, 0x1.9e8af501de4bp-2, 0x1.9b5b2bdc815a4p-2, 0x1.981aeb45bc9bcp-2, 0x1.94cb2b1faf155p-2, 0x1.916cdd565a4a8p-2, 0x1.8e00ed84b593bp-2, 0x1.8a8840aacda2ep-2, 0x1.8703b4f8e586dp-2, 0x1.837421b1c9ec7p-2, 0x1.7fda5724b921cp-2, 0x1.7c371ebd90b9ep-2, 0x1.788b3b288de2fp-2, 0x1.74d76885edf7bp-2, 0x1.711c5ca905e27p-2, 0x1.6d5ac75e48fd8p-2, 0x1.699352b3c2accp-2, 0x1.65c6a3400889cp-2, 0x1.61f5586457d51p-2, 0x1.5e200c8755054p-2, 0x1.5a475546cba47p-2, 0x1.566bc39fa1873p-2, 0x1.528de40bef4cbp-2, 0x1.4eae3e97e6977p-2, 0x1.4acd56eeac3b4p-2, 0x1.46ebac60b7ea2p-2, 0x1.4309b9e5895e9p-2, 0x1.3f27f61aa9456p-2, 0x1.3b46d341e20b3p-2, 0x1.3766bf40816cep-2, 0x1.338823a1450c7p-2, 0x1.2fab659a33187p-2, 0x1.2bd0e6175a281p-2, 0x1.27f901caf7d54p-2, 0x1.242411432e1bep-2, 0x1.2052690502e19p-2, 0x1.1c8459ac15dfcp-2, 0x1.18ba300e2fb72p-2, 0x1.14f43561a47dfp-2, 0x1.1132af656a976p-2, 0x1.0d75e089c713cp-2, 0x1.09be081884322p-2, 0x1.060b625bcc705p-2, 0x1.025e28c2e6721p-2, 0x1.fd6d2408a0e46p-3, 0x1.f629a479a7c54p-3, 0x1.eef23616d895cp-3, 0x1.e7c73753ecc97p-3, 0x1.e0a9020580328p-3, 0x1.d997eb866de0fp-3, 0x1.d29444d7eeb9p-3, 0x1.cb9e5abd38a0fp-3, 0x1.c4b675d373243p-3, 0x1.bddcdaa6d6683p-3, 0x1.b711c9c5e2d48p-3, 0x1.b0557fd38aaffp-3, 0x1.a9a8359924538p-3, 0x1.a30a2018e9fbcp-3, 0x1.9c7b70a18f8e8p-3, 0x1.95fc54e36a5bep-3, 0x1.8f8cf7076e95ap-3, 0x1.892d7dc8187a2p-3, 0x1.82de0c8c1e039p-3, 0x1.7c9ec382bfc41p-3, 0x1.766fbfc15042ap-3, 0x1.70511b618d91ap-3, 0x1.6a42eda04f575p-3, 0x1.64454afc1fb91p-3, 0x1.5e58455344e73p-3, 0x1.587bec00ec1d8p-3, 0x1.52b04bf920c73p-3, 0x1.4cf56fe361278p-3, 0x1.474b6033a80fdp-3, 0x1.41b22341e73ebp-3, 0x1.3c29bd5fe4543p-3, 0x1.36b230ed8ad3fp-3, 0x1.314b7e6bd11e4p-3, 0x1.2bf5a48e43b8ep-3, 0x1.26b0a04b55b18p-3, 0x1.217c6cebaae0ep-3, 0x1.1c5904186e86bp-3, 0x1.17465de8e3fc4p-3, 0x1.124470ef58318p-3, 0x1.0d5332458bb4p-3, 0x1.08729598c05adp-3, 0x1.03a2a8eddfbd6p-3, 0x1.fdc62ef72804bp-4, 0x1.f467f678f5b56p-4, 0x1.eb2a85e8f74abp-4, 0x1.e20db857f3be3p-4, 0x1.d9116673fc477p-4, 0x1.d035669d8fb77p-4, 0x1.c7798cfd519ap-4, 0x1.beddab9a7d93cp-4, 0x1.b6619271cedcp-4, 0x1.ae050f8ce9e5p-4, 0x1.a5c7ef19f908bp-4, 0x1.9da9fb8371ac3p-4, 0x1.95aafd87dce72p-4, 0x1.8dcabc5166781p-4, 0x1.8608fd8d260e2p-4, 0x1.7e658581f2007p-4, 0x1.76e01726a3598p-4, 0x1.6f787437ae898p-4, 0x1.682e5d4bfcde6p-4, 0x1.610191e8f4dp-4, 0x1.59f1d095a41c8p-4, 0x1.52fed6ed063efp-4, 0x1.4c2861af61745p-4, 0x1.456e2cd2bb885p-4, 0x1.3ecff3926b84ep-4, 0x1.384d707dcf7afp-4, 0x1.31e65d862f026p-4, 0x1.2b9a740bd9395p-4, 0x1.25696cea89576p-4, 0x1.1f53008524d49p-4, 0x1.1956e6d0dddfap-4, 0x1.1374d75fcfc6fp-4, 0x1.0dac896b214a3p-4, 0x1.07fdb3dcbcaaap-4, 0x1.02680d58ae2fap-4, 0x1.f9d6988c659adp-5, 0x1.ef0e4db10c1cp-5, 0x1.e476a62eef5dep-5, 0x1.da0f0dcfa540ep-5, 0x1.cfd6f02735b45p-5, 0x1.c5cdb8a457beap-5, 0x1.bbf2d2a06af88p-5, 0x1.b245a96f3f6b3p-5, 0x1.a8c5a86ea79a8p-5, 0x1.9f723b15d350ap-5, 0x1.964acd0479dcep-5, 0x1.8d4eca11c4fcep-5, 0x1.847d9e5b00501p-5, 0x1.7bd6b652053cbp-5, 0x1.73597ecb5a21fp-5, 0x1.6b05650c0042dp-5, 0x1.62d9d6d6e9614p-5, 0x1.5ad6427a0eb3bp-5, 0x1.52fa16db2177dp-5, 0x1.4b44c383cdbeep-5, 0x1.43b5b8ad8f735p-5, 0x1.3c4c674d1180bp-5, 0x1.3508411d12e4p-5, 0x1.2de8b8a8d14bbp-5, 0x1.26ed4155f99ffp-5, 0x1.20154f6e1603p-5, 0x1.1960582784304p-5, 0x1.12cdd1adeb6fbp-5, 0x1.0c5d332a3c50ep-5, 0x1.060df4ca348c5p-5, 0x1.ffbf1f8ee334ep-6, 0x1.f3a2fcdc2077fp-6, 0x1.e7c67845bc79cp-6, 0x1.dc288ad24c5b4p-6, 0x1.d0c82fd023d2fp-6, 0x1.c5a464df64ab9p-6, 0x1.babc29fb4c0b9p-6, 0x1.b00e8182dde32p-6, 0x1.a59a7040e1d6bp-6, 0x1.9b5efd734afa9p-6, 0x1.915b32d208f87p-6, 0x1.878e1c954ddf9p-6, 0x1.7df6c97b527b2p-6, 0x1.74944acd98797p-6, 0x1.6b65b465be19p-6, 0x1.626a1cb1d8186p-6, 0x1.59a09cb863808p-6, 0x1.5108501bd4ebdp-6, 0x1.48a0551dbb6dcp-6, 0x1.4067cca18cedfp-6, 0x1.385dda2f1166bp-6, 0x1.3081a3f476e1ap-6, 0x1.28d252c80b629p-6, 0x1.214f1229a8b59p-6, 0x1.19f71043c4c2dp-6, 0x1.12c97dec374bp-6, 0x1.0bc58ea4aeb77p-6, 0x1.04ea789acfc45p-6, 0x1.fc6ee9502a442p-7, 0x1.ef577ca2ae41ep-7, 0x1.e28d278c18935p-7, 0x1.d60e6bbe8fa19p-7, 0x1.c9d9d03ccb6a7p-7, 0x1.bdede156f34c2p-7, 0x1.b24930a6e3d2p-7, 0x1.a6ea550bf5d79p-7, 0x1.9bcfeaa648697p-7, 0x1.90f892d17b197p-7, 0x1.8662f41f01955p-7, 0x1.7c0dba4fe9184p-7, 0x1.71f7964e3f91cp-7, 0x1.681f3e25fc21cp-7, 0x1.5e836cfd85113p-7, 0x1.5522e30dd0759p-7, 0x1.4bfc659a18767p-7, 0x1.430ebee73cd1dp-7, 0x1.3a58be32c9523p-7, 0x1.31d937a9a3525p-7, 0x1.298f045e6d5d7p-7, 0x1.2179023f999b9p-7, 0x1.1996140d3bec2p-7, 0x1.11e5214e91d5ap-7, 0x1.0a6516475349fp-7, 0x1.0314e3ecc3a9ap-7, 0x1.f7e6ffb51d692p-8, 0x1.e9ffc88ee6789p-8, 0x1.dc721ff37a00ap-8, 0x1.cf3c0c772b748p-8, 0x1.c25b9d9e57e21p-8, 0x1.b5ceebc56f32bp-8, 0x1.a9941808b5a57p-8, 0x1.9da94c2bc9549p-8, 0x1.920cba80f6798p-8, 0x1.86bc9dd051246p-8, 0x1.7bb7393ea8f42p-8, 0x1.70fad83452ddap-8, 0x1.6685ce43d12c9p-8, 0x1.5c5677105c44fp-8, 0x1.526b363456015p-8, 0x1.48c277279fca1p-8, 0x1.3f5aad25eb546p-8, 0x1.36325314f32b8p-8, 0x1.2d47eb6aaf01dp-8, 0x1.249a001381403p-8, 0x1.1c27225864dd4p-8, 0x1.13edeac5178c7p-8, 0x1.0becf90e4cee3p-8, 0x1.0422f3f7e3293p-8, 0x1.f91d127659ce3p-9, 0x1.ea5cdada7b256p-9, 0x1.dc02b7ca9833cp-9, 0x1.ce0c2d464e476p-9, 0x1.c076cc6b84162p-9, 0x1.b3403343a7bb6p-9, 0x1.a6660c9130d2bp-9, 0x1.99e60f9d565dfp-9, 0x1.8dbe0005ff36dp-9, 0x1.81ebad8c0270fp-9, 0x1.766cf3e1a2d86p-9, 0x1.6b3fba79578f1p-9, 0x1.6061f454f21e9p-9, 0x1.55d19fd504b59p-9, 0x1.4b8cc688ac9b5p-9, 0x1.41917cfdad225p-9, 0x1.37dde290eed04p-9, 0x1.2e70213f5bf8cp-9, 0x1.25466d771f4c7p-9, 0x1.1c5f05e94ccd3p-9, 0x1.13b8335be3b57p-9, 0x1.0b50487c52693p-9, 0x1.0325a1b2559a9p-9, 0x1.f66d49e692496p-10, 0x1.e703832bd9be8p-10, 0x1.d80ae04d39b21p-10, 0x1.c9806477ed91bp-10, 0x1.bb612497ffb24p-10, 0x1.adaa47036bf21p-10, 0x1.a059032646713p-10, 0x1.936aa12fcb588p-10, 0x1.86dc79c06bf5ap-10, 0x1.7aabf598c605dp-10, 0x1.6ed68d49affa4p-10, 0x1.6359c8e51fa88p-10, 0x1.58333fb02954cp-10, 0x1.4d6097d5eb2c1p-10, 0x1.42df861b86f64p-10, 0x1.38adcd95137a4p-10, 0x1.2ec93f5b8fb71p-10, 0x1.252fba43ed566p-10, 0x1.1bdf2a96efea4p-10, 0x1.12d589ca476b4p-10, 0x1.0a10de3a8884ap-10, 0x1.018f3ae642da2p-10, 0x1.f29d7e53ed981p-11, 0x1.e29b2cfa8f383p-11, 0x1.d313f06210aa8p-11, 0x1.c4044e5c97c41p-11, 0x1.b568e36d2a82bp-11, 0x1.a73e6249eea4fp-11, 0x1.998193606d5f2p-11, 0x1.8c2f545bf8e68p-11, 0x1.7f4497add53ebp-11, 0x1.72be6417cf33fp-11, 0x1.6699d43849cep-11, 0x1.5ad41618a705dp-11, 0x1.4f6a6abd8d688p-11, 0x1.445a25b919bfdp-11, 0x1.39a0acbf02604p-11, 0x1.2f3b773ab7d24p-11, 0x1.25280de75a156p-11, 0x1.1b640a69a4b6bp-11, 0x1.11ed16ebaed43p-11, 0x1.08c0edba9a11cp-11, 0x1.ffbab1cc17256p-12, 0x1.ee8063c294125p-12, 0x1.ddcec24d7376ap-12, 0x1.cda1bbb8d5275p-12, 0x1.bdf55af5cf1bep-12, 0x1.aec5c6eb0fbfap-12, 0x1.a00f41c934b82p-12, 0x1.91ce28624fec4p-12, 0x1.83fef184dd71dp-12, 0x1.769e2d5a07b67p-12, 0x1.69a884c71973fp-12, 0x1.5d1ab8d22da93p-12, 0x1.50f1a209f3b3fp-12, 0x1.452a2ff0e85f6p-12, 0x1.39c1686ad9c4ep-12, 0x1.2eb5562208211p-12, 0x1.240151418158ep-12, 0x1.19a388adf58p-12, 0x1.0f9956580333dp-12, 0x1.05e027e492019p-12, 0x1.f8eafc5811cbcp-13, 0x1.e6add978cc134p-13, 0x1.d50432bb66a7ep-13, 0x1.c3e97732ed982p-13, 0x1.b359388834103p-13, 0x1.a34f2a1398d81p-13, 0x1.93c71ff9b01bdp-13, 0x1.84bd0e4e66873p-13, 0x1.762d083b9c7dfp-13, 0x1.68133f2d6f15fp-13, 0x1.5a6c0202ad53bp-13, 0x1.4d33bc420629ep-13, 0x1.4066f5535e39ap-13, 0x1.34024fbdd9d58p-13, 0x1.2802886a0a444p-13, 0x1.1c6475e86fccp-13, 0x1.112507bbd0a0dp-13, 0x1.064145a82ca9fp-13, 0x1.f76c9e0afc1efp-14, 0x1.e302b42c04337p-14, 0x1.cf3f66c248a0bp-14, 0x1.bc1d7a2309df5p-14, 0x1.a997dcaf0d2f2p-14, 0x1.97a9a59d88d99p-14, 0x1.864e13ce2db4dp-14, 0x1.75808ca5383f7p-14, 0x1.653c9aeb22318p-14, 0x1.557dedb4c28a3p-14, 0x1.464057522ca81p-14, 0x1.377fcc441608bp-14, 0x1.29386237edec4p-14, 0x1.1b664f0a33c02p-14, 0x1.0e05e7cf64963p-14, 0x1.01139fe2fe223p-14, 0x1.e9180ff9608fcp-15, 0x1.d0d79a96fba0dp-15, 0x1.b95f712e8c79bp-15, 0x1.a2a95ace3feafp-15, 0x1.8caf525cd49e7p-15, 0x1.776b84fe0faedp-15, 0x1.62d85081724dap-15, 0x1.4ef041de0c93ep-15, 0x1.3bae13b525e0ep-15, 0x1.290cace3e3032p-15, 0x1.17071f1b0a8cep-15, 0x1.0598a5821dd69p-15, 0x1.e97946cda1df7p-16, 0x1.c8dd45dfdf00fp-16, 0x1.a954a7c024731p-16, 0x1.8ad714ba8ecc8p-16, 0x1.6d5c7b871a0e6p-16, 0x1.50dd0eff8c0ap-16, 0x1.355143e1b0bdp-16, 0x1.1ab1ceac8a31p-16, 0x1.00f7a18370c57p-16, 0x1.d037d44984134p-17, 0x1.a0301fe5d37bep-17, 0x1.71cb640eea419p-17, 0x1.44fd4ab10ee6p-17, 0x1.19b9e5d5dd8b7p-17, 0x1.dfeb584ded405p-18, 0x1.8f4aeb05d5744p-18, 0x1.417cef806ec91p-18, 0x1.ecd90dc6e8c81p-19, 0x1.5c0b035d8ec64p-19, 0x1.a0d166fabb0cdp-20, 0x1.273163b73aeeap-21, -0x1.bf74ad474edd5p-22, -0x1.69d6e14d98fe3p-20, -0x1.2d4c6a027931dp-19, -0x1.a1329768fa45bp-19, -0x1.085efe23a90f7p-18, -0x1.3e06c9a1d1f7fp-18, -0x1.719fabc4580e2p-18, -0x1.a33826e00610ep-18, -0x1.d2de466066432p-18, -0x1.004fd17d1ecd5p-17, -0x1.1644b35fb8ddap-17, -0x1.2b542884d2561p-17, -0x1.3f845d2834e8ep-17, -0x1.52db4be754e76p-17, -0x1.655ebf8927cb9p-17, -0x1.771454b80feffp-17, -0x1.88017bb0acbe5p-17, -0x1.982b79d32cd2p-17, -0x1.a7976b376c7f1p-17, -0x1.b64a442cd768ap-17, -0x1.c448d2ac8daeap-17, -0x1.d197bfbf6bbefp-17, -0x1.de3b90dd52366p-17, -0x1.ea38a936bb8dep-17, -0x1.f5934af4b169ep-17, -0x1.0027cc3c9fa51p-16, -0x1.0538cac205ecbp-16, -0x1.09fe942d8f10ap-16, -0x1.0e7b0d6ee4d14p-16, -0x1.12b00dcac4c2bp-16, -0x1.169f5f5c887c4p-16, -0x1.1a4abf93d9cb7p-16, -0x1.1db3dfad62d6dp-16, -0x1.20dc65266d36dp-16, -0x1.23c5ea31204e4p-16, -0x1.2671fe1bff6d1p-16, -0x1.28e225bb0eedcp-16, -0x1.2b17dbcd685a1p-16, -0x1.2d14915cb45aep-16, -0x1.2ed9ae1a7b40cp-16, -0x1.306890b8f277p-16, -0x1.31c28f410e496p-16, -0x1.32e8f764f5002p-16, -0x1.33dd0ecf3bcf2p-16, -0x1.34a0136f337c8p-16, -0x1.35333bc1dcfc9p-16, -0x1.3597b718725b3p-16, -0x1.35ceaddc7c064p-16, -0x1.35d941cddbbd2p-16, -0x1.35b88e449f3bbp-16, -0x1.356da86a422efp-16, -0x1.34f99f747c7aep-16, -0x1.345d7cd7c7d88p-16, -0x1.339a448150e44p-16, -0x1.32b0f507373aap-16, -0x1.31a287d6c553cp-16, -0x1.306ff1646c2bdp-16, -0x1.2f1a2157430abp-16, -0x1.2da202b3212bdp-16, -0x1.2c087c0065a44p-16, -0x1.2a4e6f745a35ap-16, -0x1.2874bb14817d3p-16, -0x1.267c38d8ff45ep-16, -0x1.2465becf93d99p-16, -0x1.22321f39ff57bp-16, -0x1.1fe228af76794p-16, -0x1.1d76a636ce7adp-16, -0x1.1af05f638f38ap-16, -0x1.18501870a8015p-16, -0x1.1596925835925p-16, -0x1.12c48aed9410dp-16, -0x1.0fdabcf2aaeadp-16, -0x1.0cd9e02e429c2p-16, -0x1.09c2a98142259p-16, -0x1.0695caf6aca4bp-16, -0x1.0353f3dc115ep-16, -0x1.fffba1a2828b6p-17, -0x1.f92817ab2d5a6p-17, -0x1.f22e98b732e19p-17, -0x1.eb106eae84408p-17, -0x1.e3cede9928afep-17, -0x1.dc6b28b5e6243p-17, }}, 
      {{-0x1.a071847778601p+1, -0x1.8a1010c13b3aep+1, -0x1.6e470901a1001p+1, -0x1.517e7e2176b77p+1, -0x1.363ea0bcce7dp+1, -0x1.1dd7f071f523ep+1, -0x1.08d497ab17793p+1, -0x1.ee89a57755fc3p+0, -0x1.d1e107759b4b3p+0, -0x1.baf2f4806c009p+0, -0x1.a8e27502cd5c8p+0, -0x1.9acdc1289dcd5p+0, -0x1.8fdec19fba7d4p+0, -0x1.8754a4a5b8a9ep+0, -0x1.808835861db5ap+0, -0x1.7aedd184a27dap+0, -0x1.761278a1ddd8cp+0, -0x1.719c0b6ff98a7p+0, -0x1.6d44d72c1d383p+0, -0x1.68d9b6ef5be15p+0, -0x1.6436c478c2249p+0, -0x1.5f44c225c16fdp+0, -0x1.59f6bb448d5ccp+0, -0x1.5447c6f717e3ep+0, -0x1.4e3936517ed0ap+0, -0x1.47d0f886f2c2bp+0, -0x1.41185cb5241ap+0, -0x1.3a1aa07199371p+0, -0x1.32e4dea1513a5p+0, -0x1.2b84926d703aep+0, -0x1.24073370284b3p+0, -0x1.1c7a0e952839p+0, -0x1.14e9efb80957ep+0, -0x1.0d62cf74bf5f4p+0, -0x1.05ef9bc954d77p+0, -0x1.fd3460455a4f9p-1, -0x1.eed6c0ad0ea72p-1, -0x1.e0d5e6b5407a7p-1, -0x1.d33f2e9618a2dp-1, -0x1.c61dc870982c4p-1, -0x1.b97adf96298dfp-1, -0x1.ad5dc9bd2b51p-1, -0x1.a1cc2a1a7798dp-1, -0x1.96ca0a4162016p-1, -0x1.8c59f5481b8e2p-1, -0x1.827d1bc62c8aep-1, -0x1.79337c91fc777p-1, -0x1.707c0a674fep-1, -0x1.6854cba35ae45p-1, -0x1.60baf6a028f7p-1, -0x1.59ab0d204f546p-1, -0x1.5320f702f77a3p-1, -0x1.4d181bbe54141p-1, -0x1.478b7a04ae4d8p-1, -0x1.42760cfe1539ap-1, -0x1.3dd171e5793b9p-1, -0x1.3998520ec9deap-1, -0x1.35c4dcd07049dp-1, -0x1.325127230ff6bp-1, -0x1.2f3732d4578d1p-1, -0x1.2c70fa7046c7bp-1, -0x1.29f88093fe0ecp-1, -0x1.27c7dfcad18dap-1, -0x1.25d957fcd66d3p-1, -0x1.242757804eaap-1, -0x1.22ac7f69f7c54p-1, -0x1.2163a41e223ffp-1, -0x1.2047cbf2bc146p-1, -0x1.1f542dc0f14a2p-1, -0x1.1e8430b692b37p-1, -0x1.1dd36dddce011p-1, -0x1.1d3db30472678p-1, -0x1.1cbf0628503abp-1, -0x1.1c53a86bdefe5p-1, -0x1.1bf817ca21f4p-1, -0x1.1ba90f28099c2p-1, -0x1.1b6384d238cefp-1, -0x1.1b24a7ce69825p-1, -0x1.1ae9dc961fe01p-1, -0x1.1ab0b9d19d5a7p-1, -0x1.1a77058565012p-1, -0x1.1a3ab2e9807e9p-1, -0x1.19f9e0e3f96d1p-1, -0x1.19b2d8f1f6174p-1, -0x1.19640e362b656p-1, -0x1.190c1c676765ep-1, -0x1.18a9c66f03b4cp-1, -0x1.183bf4a355f93p-1, -0x1.17c1b2a56974ap-1, -0x1.173a2cfdce1b1p-1, -0x1.16a4ae9f59988p-1, -0x1.16009e781529ep-1, -0x1.154d7d31b2705p-1, -0x1.148ae3367aa85p-1, -0x1.13b87f0091972p-1, -0x1.12d613ab09d2cp-1, -0x1.11e377b1d3d51p-1, -0x1.10e093c9a3032p-1, -0x1.0fcd61bbf89d7p-1, -0x1.0ea9eb3bb713ap-1, -0x1.0d7648b03d244p-1, -0x1.0c329ffc2b5b9p-1, -0x1.0adf2347ca38dp-1, -0x1.097c0fd5e0cbfp-1, -0x1.0809ace6ca683p-1, -0x1.06884aab282efp-1, -0x1.04f84146a4f9dp-1, -0x1.0359efe3d2dd5p-1, -0x1.01adbbdada82bp-1, -0x1.ffe81fd8ef5b2p-2, -0x1.fc5b48e3c3a39p-2, -0x1.f8b4b62e6595dp-2, -0x1.f4f5de0fff2eep-2, -0x1.f11fb66741439p-2, -0x1.ed333a277aba6p-2, -0x1.e931681a42f16p-2, -0x1.e51b41bb0b12fp-2, -0x1.e0f1ca2bfc6bbp-2, -0x1.dcb60541fd8ecp-2, -0x1.d868f6a53a4e6p-2, -0x1.d40ba103ed81ep-2, -0x1.cf9f05562b1acp-2, -0x1.cb242232acba7p-2, -0x1.c69bf335a5986p-2, -0x1.c207707b503dap-2, -0x1.bd678e2fcb268p-2, -0x1.b8bd3c352c10ap-2, -0x1.b40965df7513fp-2, -0x1.af4cf1c4a290fp-2, -0x1.aa88c19d8fa5fp-2, -0x1.a5bdb233699dp-2, -0x1.a0ec9b54c4f64p-2, -0x1.9c164fcd799ccp-2, -0x1.973b9d5d06a22p-2, -0x1.925d4ca83579fp-2, -0x1.8d7c212429a34p-2, -0x1.8898d8fa51c4ap-2, -0x1.83b42ce62749ap-2, -0x1.7eced00eaad86p-2, -0x1.79e96fde6b622p-2, -0x1.7504b3dd3f4a9p-2, -0x1.70213d8ee451ap-2, -0x1.6b3fa85971ec7p-2, -0x1.66608975eb625p-2, -0x1.61846fec8d571p-2, -0x1.5cabe49d89c2cp-2, -0x1.57d76a5607acfp-2, -0x1.53077df074c7cp-2, -0x1.4e3c967e76d3cp-2, -0x1.4977257a570bap-2, -0x1.44b796fd6e461p-2, -0x1.3ffe51f8fb045p-2, -0x1.3b4bb86f004cbp-2, -0x1.36a027a8f6d8bp-2, -0x1.31fbf86aabb32p-2, -0x1.2d5f7f2006cfep-2, -0x1.28cb0c050fdb7p-2, -0x1.243eeb47f6c2ap-2, -0x1.1fbb65255fb83p-2, -0x1.1b40bdff867efp-2, -0x1.16cf367116a15p-2, -0x1.12670b5cb6cb7p-2, -0x1.0e0875fa6df3ap-2, -0x1.09b3abe3f6f34p-2, -0x1.0568df2117343p-2, -0x1.01283e34e7b36p-2, -0x1.f9e3e859befb7p-3, -0x1.f18c51646a633p-3, -0x1.e94a003c0a0bbp-3, -0x1.e11d3720c173ep-3, -0x1.d9063214949ffp-3, -0x1.d1052714b7199p-3, -0x1.c91a46575cfdbp-3, -0x1.c145ba8d16e98p-3, -0x1.b987a9245c75ep-3, -0x1.b1e0328e05119p-3, -0x1.aa4f7281558c3p-3, -0x1.a2d5803e6304ap-3, -0x1.9b726ecdc9815p-3, -0x1.94264d3cd17fep-3, -0x1.8cf126d56b6eap-3, -0x1.85d30351af42p-3, -0x1.7ecbe70aae031p-3, -0x1.77dbd322b5014p-3, -0x1.7102c5ab3cb57p-3, -0x1.6a40b9c6d604ep-3, -0x1.6395a7c79c794p-3, -0x1.5d01854aa188dp-3, -0x1.56844550df6e4p-3, -0x1.501dd8564e5fcp-3, -0x1.49ce2c678bdb4p-3, -0x1.43952d36aed79p-3, -0x1.3d72c42fb6cdbp-3, -0x1.3766d88cf499ep-3, -0x1.31714f6bc9906p-3, -0x1.2b920be1f5115p-3, -0x1.25c8ef139911fp-3, -0x1.2015d849f4ba7p-3, -0x1.1a78a50adc20ep-3, -0x1.14f13130bda2cp-3, -0x1.0f7f57030c65bp-3, -0x1.0a22ef4ed5f26p-3, -0x1.04dbd17f3c8acp-3, -0x1.ff53a76b26c3cp-4, -0x1.f51995c1ce1bp-4, -0x1.eb0915a965b9ap-4, -0x1.e121ccbd2ff39p-4, -0x1.d7635eb5f6223p-4, -0x1.cdcd6d90ddfc3p-4, -0x1.c45f99b3c3da3p-4, -0x1.bb19820f1f2ddp-4, -0x1.b1fac43d89cd3p-4, -0x1.a902fca0f9e81p-4, -0x1.a031c67dea762p-4, -0x1.9786bc148795ep-4, -0x1.8f0176b8350ecp-4, -0x1.86a18ee580619p-4, -0x1.7e669c56c8fefp-4, -0x1.76503617c5295p-4, -0x1.6e5df298170fbp-4, -0x1.668f67bd17f24p-4, -0x1.5ee42af30141cp-4, -0x1.575bcd8ab6755p-4, -0x1.4ff5de69eb703p-4, -0x1.48b1fc814f687p-4, -0x1.418fbc333dc03p-4, -0x1.3a8eb1acf7d7p-4, -0x1.33ae70f59d252p-4, -0x1.2cee8dfd2db76p-4, -0x1.264e9cab8c24dp-4, -0x1.1fce30ef70351p-4, -0x1.196cdecd370cep-4, -0x1.132a3a6d80af4p-4, -0x1.0d05d82b839c1p-4, -0x1.06ff4ca307106p-4, -0x1.01162cbdf033fp-4, -0x1.f6941b82a3573p-5, -0x1.eb350ab3e0bbfp-5, -0x1.e00e535061da8p-5, -0x1.d51f2296c9da3p-5, -0x1.ca66a6d8e4c1dp-5, -0x1.bfe40f8f9e59p-5, -0x1.b5968d6da528dp-5, -0x1.ab7d5270b66f6p-5, -0x1.a19791f19c883p-5, -0x1.97e480b2e9a1p-5, -0x1.8e6354ee7ab42p-5, -0x1.85134661d67a2p-5, -0x1.7bf38e5976674p-5, -0x1.730367bb0f83bp-5, -0x1.6a420f0ef096cp-5, -0x1.61aec288862cbp-5, -0x1.5948c20e1edb8p-5, -0x1.510f4f3ffe338p-5, -0x1.4901ad7ed2c4p-5, -0x1.411f21f1a44f9p-5, -0x1.3966f38b45195p-5, -0x1.31d86b0f56d3ep-5, -0x1.2a72d316f144fp-5, -0x1.23357814f2011p-5, -0x1.1c1fa85a01ea7p-5, -0x1.1530b4185450ep-5, -0x1.0e67ed6726639p-5, -0x1.07c4a84605fcp-5, -0x1.01463a9fda237p-5, -0x1.f5d7f89b74aaep-6, -0x1.e96a8e331330ep-6, -0x1.dd42ed80b8eabp-6, -0x1.d15fd1e94dfb7p-6, -0x1.c5bffac05b32fp-6, -0x1.ba622b4b7de27p-6, -0x1.af452ac55495fp-6, -0x1.a467c45ff2c46p-6, -0x1.99c8c746d306p-6, -0x1.8f6706a03b24dp-6, -0x1.8541598e1d4adp-6, -0x1.7b569b2e6bbf3p-6, -0x1.71a5aa9adf327p-6, -0x1.682d6ae8331e5p-6, -0x1.5eecc324d2988p-6, -0x1.55e29e56fca12p-6, -0x1.4d0deb7a6426ap-6, -0x1.446d9d7d412fep-6, -0x1.3c00ab3cec82ap-6, -0x1.33c60f81f64a8p-6, -0x1.2bbcc8fbcac0fp-6, -0x1.23e3da3be150dp-6, -0x1.1c3a49b0822cbp-6, -0x1.14bf219f2527cp-6, -0x1.0d71701e718fbp-6, -0x1.0650470fe3f3cp-6, -0x1.feb5783244971p-7, -0x1.f11fd13a06d32p-7, -0x1.e3ddd3689eb7cp-7, -0x1.d6edc04c7f85fp-7, -0x1.ca4de0c18ceadp-7, -0x1.bdfc84e134debp-7, -0x1.b1f803f237e36p-7, -0x1.a63ebc5807b55p-7, -0x1.9acf1381e53f3p-7, -0x1.8fa775d9b28dep-7, -0x1.84c656b27fce9p-7, -0x1.7a2a3036e9db3p-7, -0x1.6fd18357407b6p-7, -0x1.65bad7b77892bp-7, -0x1.5be4bb9d02296p-7, -0x1.524dc3dc70033p-7, -0x1.48f48bc704791p-7, -0x1.3fd7b5181853p-7, -0x1.36f5e7e2748afp-7, -0x1.2e4dd27d87c0ap-7, -0x1.25de29728e4ebp-7, -0x1.1da5a769a58bp-7, -0x1.15a30d16ce242p-7, -0x1.0dd52126e167ep-7, -0x1.063ab02c78bf1p-7, -0x1.fda5191998067p-8, -0x1.ef371cd90da57p-8, -0x1.e12927392e46ep-8, -0x1.d378ff0df0594p-8, -0x1.c6247636f3e03p-8, -0x1.b92969790fd67p-8, -0x1.ac85c057e3c8dp-8, -0x1.a0376cef707a9p-8, -0x1.943c6bcdb8fbap-8, -0x1.8892c3cc769a5p-8, -0x1.7d3885eadd709p-8, -0x1.722bcd277926cp-8, -0x1.676abe5a27436p-8, -0x1.5cf3880e302a5p-8, -0x1.52c4625c83da2p-8, -0x1.48db8ec621735p-8, -0x1.3f37580ea6fecp-8, -0x1.35d6121717883p-8, -0x1.2cb619b8cfa96p-8, -0x1.23d5d4a0b459dp-8, -0x1.1b33b12a9e427p-8, -0x1.12ce263d014dep-8, -0x1.0aa3b324d7366p-8, -0x1.02b2df71cf099p-8, -0x1.f5f475a58a972p-9, -0x1.e6f0b9e50b217p-9, -0x1.d857caa9af0dfp-9, -0x1.ca26f667bea07p-9, -0x1.bc5b9abb9688fp-9, -0x1.aef32425ad6bp-9, -0x1.a1eb0dc746c85p-9, -0x1.9540e11fcd1dap-9, -0x1.88f235cae1d4bp-9, -0x1.7cfcb13f1d6aap-9, -0x1.715e068d8a7c4p-9, -0x1.6613f621cf55ep-9, -0x1.5b1c4d831c8c3p-9, -0x1.5074e715cce8ap-9, -0x1.461ba9ddcaee8p-9, -0x1.3c0e8941ad55bp-9, -0x1.324b84ce988d6p-9, -0x1.28d0a7fcdbb59p-9, -0x1.1f9c09f553303p-9, -0x1.16abcd578a9aap-9, -0x1.0dfe20009d0cdp-9, -0x1.05913ad2e1233p-9, -0x1.fac6c2fc9b5b6p-10, -0x1.eae5c4934fd08p-10, -0x1.db7c2bb8dff49p-10, -0x1.cc86be13273d2p-10, -0x1.be025535c2a54p-10, -0x1.afebde3a7b7bap-10, -0x1.a240595b38e0dp-10, -0x1.94fcd98d6a727p-10, -0x1.881e841f04e8bp-10, -0x1.7ba29054eb7ebp-10, -0x1.6f86470ae7ebfp-10, -0x1.63c7025513a9fp-10, -0x1.58622d22c6c91p-10, -0x1.4d5542e2f9313p-10, -0x1.429dcf2a19af4p-10, -0x1.38396d5960701p-10, -0x1.2e25c84795075p-10, -0x1.246099eb35febp-10, -0x1.1ae7ab0625f51p-10, -0x1.11b8d2d2acc31p-10, -0x1.08d1f6b1ef8c1p-10, -0x1.003109dbc98e8p-10, -0x1.efa81a20083d1p-11, -0x1.df721c91e91aap-11, -0x1.cfbc50ded771ap-11, -0x1.c08306201bca6p-11, -0x1.b1c2a423de973p-11, -0x1.a377aadd142cfp-11, -0x1.959eb1d60f32cp-11, -0x1.883467a5949b6p-11, -0x1.7b3591668d145p-11, -0x1.6e9f0a3238728p-11, -0x1.626dc29ce0a0ep-11, -0x1.569ec03508b1bp-11, -0x1.4b2f1d050527ep-11, -0x1.401c07170e5b5p-11, -0x1.3562bffb9d755p-11, -0x1.2b009c523cc7p-11, -0x1.20f303549d16fp-11, -0x1.17376e63f5f97p-11, -0x1.0dcb6898b1e19p-11, -0x1.04ac8e54528dp-11, -0x1.f7b119ab169f5p-12, -0x1.e69a439d0f248p-12, -0x1.d61035fac06afp-12, -0x1.c60eab8d3b421p-12, -0x1.b6917da3c5babp-12, -0x1.a794a35140c88p-12, -0x1.991430ada079p-12, -0x1.8b0c561b5dfaep-12, -0x1.7d795f90f3388p-12, -0x1.7057b3e62506ep-12, -0x1.63a3d4251ff65p-12, -0x1.575a5adf713a7p-12, -0x1.4b77fb86abeb7p-12, -0x1.3ff981c8acac3p-12, -0x1.34dbd0ef90de5p-12, -0x1.2a1be34514627p-12, -0x1.1fb6c979a0334p-12, -0x1.15a9aa0ea15f8p-12, -0x1.0bf1c0c4374p-12, -0x1.028c5e0a63b27p-12, -0x1.f2edcceaa450dp-13, -0x1.e15da469cffa5p-13, -0x1.d063591ef4f87p-13, -0x1.bffa26bf29f83p-13, -0x1.b01d6d29a54d7p-13, -0x1.a0c8af6f63a24p-13, -0x1.91f792e0a0704p-13, -0x1.83a5de202b13ap-13, -0x1.75cf783c0940dp-13, -0x1.687067cc480a8p-13, -0x1.5b84d21685acp-13, -0x1.4f08fa3732ffp-13, -0x1.42f9404ffab24p-13, -0x1.375220bb25b89p-13, -0x1.2c1033441d5dap-13, -0x1.21302a64cdc08p-13, -0x1.16aed287c4acdp-13, -0x1.0c89114f0e9f4p-13, -0x1.02bbe4dfa7a08p-13, -0x1.f288c662bd453p-14, -0x1.e03f72c69ed09p-14, -0x1.ce9656289173bp-14, -0x1.bd8969d4b60fap-14, -0x1.ad1101768722dp-14, -0x1.9d296654e6dc5p-14, -0x1.8dcdc744ab8c1p-14, -0x1.7ef97a0b8d3bap-14, -0x1.70a7fa41063fcp-14, -0x1.62d4e83699a51p-14, -0x1.557c07e7233b7p-14, -0x1.48993fed5d066p-14, -0x1.3c289880b1536p-14, -0x1.30263a79bd3f8p-14, -0x1.248e6e5c40de6p-14, -0x1.195d9b6843834p-14, -0x1.0e9046b0c27e6p-14, -0x1.04231239088e6p-14, -0x1.f425782f54813p-15, -0x1.e0b83b3ed0efp-15, -0x1.cdf8551b5d601p-15, -0x1.bbdfe07d4ee24p-15, -0x1.aa6929cd6f642p-15, -0x1.998eada299012p-15, -0x1.894b17493cf9cp-15, -0x1.79993f55b66fdp-15, -0x1.6a742a40020f8p-15, -0x1.5bd70708f4f11p-15, -0x1.4dbd2de951195p-15, -0x1.40221f0984fd2p-15, -0x1.33018143076d8p-15, -0x1.265720e9c8493p-15, -0x1.1a1eee9e932c7p-15, -0x1.0e54fe29f410ep-15, -0x1.02f5855ed6a17p-15, -0x1.eff9b60b3db32p-16, -0x1.daceeb9d5e7b1p-16, -0x1.c663d69982645p-16, -0x1.b2b1dded3797bp-16, -0x1.9fb2a260304cep-16, -0x1.8d5ffcb46e363p-16, -0x1.7bb3fbd462895p-16, -0x1.6aa8e30e79bcep-16, -0x1.5a39285de64e3p-16, -0x1.4a5f72c086872p-16, -0x1.3b169898e9108p-16, -0x1.2c599e1d057abp-16, -0x1.1e23b3d0f26dp-16, -0x1.1070350c6ad81p-16, -0x1.033aa68daf032p-16, -0x1.ecfd6a29d41e5p-17, -0x1.d470681963855p-17, -0x1.bcc638772bbacp-17, -0x1.a5f71501d95e4p-17, -0x1.8ffb7d363aedp-17, -0x1.7acc33ee8a71ep-17, -0x1.66623d16e1f1p-17, -0x1.52b6db726f404p-17, -0x1.3fc38e733d8c8p-17, -0x1.2d821023f2fe5p-17, -0x1.1bec531fe6b63p-17, -0x1.0afc80a0e235fp-17, -0x1.f559ed30299d8p-18, -0x1.d5f08bb0d9e1bp-18, -0x1.b7b260a1e5ecep-18, -0x1.9a954ea927eccp-18, -0x1.7e8f93e1bd1e3p-18, -0x1.6397c6a54fd4ep-18, -0x1.49a4d2706a358p-18, -0x1.30adf4ddbed23p-18, -0x1.18aabac38dcafp-18, -0x1.0192fd5d83857p-18, -0x1.d6bdbf31c5c8fp-19, -0x1.ac0d96ead7186p-19, -0x1.8306deeadcb87p-19, -0x1.5b9b785b5cce7p-19, -0x1.35bdc3ca6d6f3p-19, -0x1.11609c93a990ep-19, -0x1.dceea8ed8d9f4p-20, -0x1.99eb5e94a310bp-20, -0x1.599fbdbab165ep-20, -0x1.1bf4fdf12950bp-20, -0x1.c1aa460d3a6d9p-21, -0x1.5055eb2a83868p-21, -0x1.c787ef43b9bd5p-22, -0x1.ef3394be82c97p-23, -0x1.84a8d80f6571bp-25, 0x1.1b9f8b3977ad8p-23, 0x1.43dbf12a6e2f7p-22, 0x1.f1d40c6ec0dcfp-22, 0x1.4bfd2f43cfd1cp-21, 0x1.9b4773ba950aep-21, 0x1.e6e7bac6d9b1p-21, 0x1.177dee984674ep-20, 0x1.39d057c235fcbp-20, 0x1.5a7905db6d296p-20, 0x1.79856d40e1f1ap-20, 0x1.97028e379320ap-20, 0x1.b2fcf9485018dp-20, 0x1.cd80d3652ce5ap-20, 0x1.e699da0339ca1p-20, 0x1.fe5366f449a0cp-20, 0x1.0a5c3a15e01dfp-19, 0x1.14e9cfac6bb68p-19, 0x1.1ed796b1e179fp-19, 0x1.282a86e28ca06p-19, 0x1.30e76ee04eb29p-19, 0x1.3912f5c07248ap-19, 0x1.40b19c87faa5fp-19, 0x1.47c7bfa1fcdd6p-19, 0x1.4e59983c217efp-19, 0x1.546b3d9b99f8fp-19, 0x1.5a00a66796845p-19, 0x1.5f1da9e3e2eecp-19, 0x1.63c6011fbd14fp-19, 0x1.67fd481a5a984p-19, 0x1.6bc6fed9d8cb3p-19, 0x1.6f268a798828ep-19, 0x1.721f362c52ee6p-19, 0x1.74b43436ff39ap-19, 0x1.76e89eda0e3fcp-19, 0x1.78bf793eeca47p-19, 0x1.7a3bb04dce1b4p-19, 0x1.7b601b8434d2p-19, 0x1.7c2f7dc0058dfp-19, 0x1.7cac860133e81p-19, 0x1.7cd9d0269f37ap-19, 0x1.7cb9e59d396b3p-19, 0x1.7c4f3e1113d5cp-19, 0x1.7b9c40128e0a1p-19, 0x1.7aa341b01167ap-19, 0x1.79668910d6fb7p-19, 0x1.77e84d061a43dp-19, 0x1.762ab596222eap-19, 0x1.742fdc819711ap-19, 0x1.71f9cdc526aa5p-19, 0x1.6f8a8813312c3p-19, 0x1.6ce3fd483a9d8p-19, 0x1.6a0812dc53b6p-19, 0x1.66f8a24b417c2p-19, 0x1.63b77984055f3p-19, 0x1.60465b433a029p-19, 0x1.5ca6ff750abddp-19, 0x1.58db138f3b17p-19, 0x1.54e43ae720086p-19, 0x1.50c40f047c9a5p-19, 0x1.4c7c1ff07d401p-19, 0x1.480df481db22p-19, 0x1.437b0aa603053p-19, 0x1.3ec4d79e7427dp-19, 0x1.39ecc850ce02cp-19, 0x1.34f4417dcce1fp-19, 0x1.2fdc9ffabedd8p-19, 0x1.2aa738f046631p-19, 0x1.25555a10accp-19, 0x1.1fe849cc4a1a2p-19, 0x1.1a614781f4879p-19, }}, 
      {{0x1.fe96c264d8069p-1, 0x1.fe302cc088f0bp-1, 0x1.fd856cb81590bp-1, 0x1.fc96d7c37cb5bp-1, 0x1.fb64e46848848p-1, 0x1.f9f0292b0d771p-1, 0x1.f8395b4af9796p-1, 0x1.f6414d53041e8p-1, 0x1.f408ed8b6b906p-1, 0x1.f1914454f3c84p-1, 0x1.eedb72762018ep-1, 0x1.ebe8af6165b22p-1, 0x1.e8ba477a37b2dp-1, 0x1.e5519a5dcabddp-1, 0x1.e1b0193381df3p-1, 0x1.ddd745082bca9p-1, 0x1.d9c8ad36797ecp-1, 0x1.d585edde80103p-1, 0x1.d110ae6d84046p-1, 0x1.cc6aa036e4decp-1, 0x1.c7957d1e95808p-1, 0x1.c2930655479f1p-1, 0x1.bd6503263106ap-1, 0x1.b80d3fd622508p-1, 0x1.b28d8c9383bccp-1, 0x1.ace7bc76b4762p-1, 0x1.a71da49231e2ap-1, 0x1.a1311b11e8016p-1, 0x1.9b23f668fb948p-1, 0x1.94f80c8d613e3p-1, 0x1.8eaf324092861p-1, 0x1.884b3a64aa7bp-1, 0x1.81cdf55d43413p-1, 0x1.7b39307b61fcdp-1, 0x1.748eb573cc9d9p-1, 0x1.6dd049df257dbp-1, 0x1.66ffaec32e49p-1, 0x1.601ea0249b184p-1, 0x1.592ed4a0e3858p-1, 0x1.5231fd0f86bebp-1, 0x1.4b29c42a41b9p-1, 0x1.4417ce3bbb802p-1, 0x1.3cfdb8d433f46p-1, 0x1.35dd1a83ceb7dp-1, 0x1.2eb7829a14b21p-1, 0x1.278e78ea562e6p-1, 0x1.20637d949e32bp-1, 0x1.193808d2eaf91p-1, 0x1.120d8aca72265p-1, 0x1.0ae56b60b1695p-1, 0x1.03c10a14214a3p-1, 0x1.f9437bb0b31fap-2, 0x1.eb11a9eb0c0f9p-2, 0x1.dcef29d619cdfp-2, 0x1.cede74aa90d45p-2, 0x1.c0e1f1ac835d8p-2, 0x1.b2fbf602ac394p-2, 0x1.a52ec493722dap-2, 0x1.977c8de786dd2p-2, 0x1.89e7701208926p-2, 0x1.7c71769e0b3a8p-2, 0x1.6f1c9a817f534p-2, 0x1.61eac215540d6p-2, 0x1.54ddc112ccb9p-2, 0x1.47f75895e960ep-2, 0x1.3b393724d39ffp-2, 0x1.2ea4f8bc34deap-2, 0x1.223c26e05a40bp-2, 0x1.160038b30d33cp-2, 0x1.09f2930dfec04p-2, 0x1.fc2911434cc58p-3, 0x1.e4ceb430e6e43p-3, 0x1.cdd86c7c4a2d9p-3, 0x1.b74874564faebp-3, 0x1.a120e2e79a5fbp-3, 0x1.8b63acb65c495p-3, 0x1.7612a41323595p-3, 0x1.612f798c46fa8p-3, 0x1.4cbbbc679af6ap-3, 0x1.38b8db220de95p-3, 0x1.252823f4c2accp-3, 0x1.120ac55f5131p-3, 0x1.fec39d6d889b3p-4, 0x1.da5c6171e4165p-4, 0x1.b6e17c47ab184p-4, 0x1.945458a0f8632p-4, 0x1.72b627a26b59bp-4, 0x1.5207e22549a7ep-4, 0x1.324a49feac5cdp-4, 0x1.137deb4b0d1d2p-4, 0x1.eb463b7b1c1e7p-5, 0x1.b1740be4a95bdp-5, 0x1.79852d86c0c6p-5, 0x1.4379253e8a3p-5, 0x1.0f4f19c27d84bp-5, 0x1.ba0baca8559c8p-6, 0x1.59379ae550a08p-6, 0x1.f83c6e32ce4dep-7, 0x1.457626c6a4206p-7, 0x1.34248203e9528p-8, -0x1.3f533606e7b71p-12, -0x1.4d79daa54c349p-8, -0x1.3c4260c37bba2p-7, -0x1.ca99b33cbb081p-7, -0x1.28e958f4fdbeep-6, -0x1.68ff16caabc08p-6, -0x1.a596f836be604p-6, -0x1.deba59f347b6dp-6, -0x1.0a3985add5cffp-5, -0x1.2365a4bd1146cp-5, -0x1.3ae6dd1257307p-5, -0x1.50c2b3950db19p-5, -0x1.64fedcc7cc59ep-5, -0x1.77a13a6fa0c5p-5, -0x1.88afd944006bap-5, -0x1.9830eea798337p-5, -0x1.a62ad66a17ff2p-5, -0x1.b2a410931e22fp-5, -0x1.bda33f365c11dp-5, -0x1.c72f24510d997p-5, -0x1.cf4e9fb0d38f5p-5, -0x1.d608ace40279ep-5, -0x1.db64613373a1p-5, -0x1.df68e9a5de827p-5, -0x1.e21d890cc6f94p-5, -0x1.e389961b0290fp-5, -0x1.e3b47984d7d1fp-5, -0x1.e2a5ac29bb0f4p-5, -0x1.e064b547a9c0fp-5, -0x1.dcf928b820e8p-5, -0x1.d86aa536af301p-5, -0x1.d2c0d2b11cd26p-5, -0x1.cc0360a129958p-5, -0x1.c43a046fd8774p-5, -0x1.bb6c77e246e47p-5, -0x1.b1a27790070d6p-5, -0x1.a6e3c162fa857p-5, -0x1.9b381320a3aedp-5, -0x1.8ea728fce7f69p-5, -0x1.8138bc363d9a5p-5, -0x1.72f481bb37f27p-5, -0x1.63e228d9707efp-5, -0x1.540959f5c00bcp-5, -0x1.4371b54dc08a2p-5, -0x1.3222d1c28d691p-5, -0x1.20243bacbb65ep-5, -0x1.0d7d73b979bf8p-5, -0x1.f46bdba1ada63p-6, -0x1.ccaa200a34d0ep-6, -0x1.a3c46316536f3p-6, -0x1.79c93377d96cfp-6, -0x1.4ec6fe3d46e0bp-6, -0x1.22cc0cf848bc7p-6, -0x1.ebcd07ebc02fdp-7, -0x1.9048c1103c86ap-7, -0x1.3326eec2b4abep-7, -0x1.a905cc02e18ddp-8, -0x1.d1de917f64d38p-9, -0x1.31fcd241f50bdp-11, 0x1.3da965e4d07ap-9, 0x1.6619d1d832735p-8, 0x1.17ae5cd29508fp-7, 0x1.7d359551479d9p-7, 0x1.e389d94f4fcd9p-7, 0x1.25496c48ee0fbp-6, 0x1.591c56dbded07p-6, 0x1.8d31f00aacd94p-6, 0x1.c17eb2b8b3377p-6, 0x1.f5f751d15d4b8p-6, 0x1.15485c83ec9f3p-5, 0x1.2fa006c3df3d8p-5, 0x1.49fd574b7365ep-5, 0x1.645b1b1453391p-5, 0x1.7eb43cb1568d9p-5, 0x1.9903c489da7e4p-5, 0x1.b344d90e26c08p-5, 0x1.cd72bee4f9647p-5, 0x1.e788d9125d94fp-5, 0x1.00c1548bf2d01p-4, 0x1.0dade78738b89p-4, 0x1.1a8804dccd96p-4, 0x1.274d9b4a77c7dp-4, 0x1.33fca8ed89122p-4, 0x1.40933b4379406p-4, 0x1.4d0f6f2797ed7p-4, 0x1.596f70cdeb14fp-4, 0x1.65b17bbb48da7p-4, 0x1.71d3dabac0eeep-4, 0x1.7dd4e7d0661d7p-4, 0x1.89b30c298bb3ep-4, 0x1.956cc00a888b7p-4, 0x1.a1008aba130b8p-4, 0x1.ac6d026a451aap-4, 0x1.b7b0cc1f65b8ep-4, 0x1.c2ca9b94797eep-4, 0x1.cdb9331dbef27p-4, 0x1.d87b63891aeafp-4, 0x1.e3100bfc93193p-4, 0x1.ed7619d2e4c6ap-4, 0x1.f7ac887645de3p-4, 0x1.00d9309cb7f5p-3, 0x1.05c35d9778bffp-3, 0x1.0a945d7f7f35p-3, 0x1.0f4bc95dd0511p-3, 0x1.13e940d9c3d8fp-3, 0x1.186c6a21b514dp-3, 0x1.1cd4f1d311b1ep-3, 0x1.21228ae1c6cbp-3, 0x1.2554ee7f18694p-3, 0x1.296bdbffeb65bp-3, 0x1.2d6718c28fc0ep-3, 0x1.314670140a8d6p-3, 0x1.3509b314ee629p-3, 0x1.38b0b89dcce4fp-3, 0x1.3c3b5d233fa2ap-3, 0x1.3fa982999b9cap-3, 0x1.42fb105854c59p-3, 0x1.462ff2fd11742p-3, 0x1.49481c4e7da04p-3, 0x1.4c43831ee958cp-3, 0x1.4f22232ea9a72p-3, 0x1.51e3fd0e58e6cp-3, 0x1.54891600e6bc3p-3, 0x1.571177dd94b1dp-3, 0x1.597d30f1d7901p-3, 0x1.5bcc53e3263dp-3, 0x1.5dfef790c354dp-3, 0x1.601536f58099ep-3, 0x1.620f3109888d2p-3, 0x1.63ed08a42b8b7p-3, 0x1.65aee45dc2e81p-3, 0x1.6754ee719f768p-3, 0x1.68df54a01ec8ep-3, 0x1.6a4e4810cf614p-3, 0x1.6ba1fd34c8c9dp-3, 0x1.6cdaaba92518ep-3, 0x1.6df88e19a751bp-3, 0x1.6efbe2239a108p-3, 0x1.6fe4e838e4bfcp-3, 0x1.70b3e38354b33p-3, 0x1.716919c831e8p-3, 0x1.7204d34c0f958p-3, 0x1.72875ab6e4de9p-3, 0x1.72f0fcf872eafp-3, 0x1.7342092cfb0b7p-3, 0x1.737ad0823de0ep-3, 0x1.739ba61cdd06ap-3, 0x1.73a4defe0862ap-3, 0x1.7396d1e98dfap-3, 0x1.7371d74c3ff8cp-3, 0x1.73364922c609cp-3, 0x1.72e482e0bf9b4p-3, 0x1.727ce1585dc3ep-3, 0x1.71ffc2a2543c5p-3, 0x1.716d8606376b6p-3, 0x1.70c68be34b095p-3, 0x1.700b3599b0a33p-3, 0x1.6f3be5740959cp-3, 0x1.6e58fe918ad9bp-3, 0x1.6d62e4d075f82p-3, 0x1.6c59fcb90dba4p-3, 0x1.6b3eab68f547ep-3, 0x1.6a11567f02da7p-3, 0x1.68d2640785e6ep-3, 0x1.67823a6904e78p-3, 0x1.6621405166769p-3, 0x1.64afdca3958d6p-3, 0x1.632e76659c83p-3, 0x1.619d74af2a79ap-3, 0x1.5ffd3e989afafp-3, 0x1.5e4e3b2a647dcp-3, 0x1.5c90d14d09fc7p-3, 0x1.5ac567b976f97p-3, 0x1.58ec64e9cebe7p-3, 0x1.57062f0ab964ap-3, 0x1.55132bed19892p-3, 0x1.5313c0f839a1dp-3, 0x1.5108531c6c8cdp-3, 0x1.4ef146c619702p-3, 0x1.4cceffd13e586p-3, 0x1.4aa1e17d60cafp-3, 0x1.486a4e61ea897p-3, 0x1.4628a862f448ap-3, 0x1.43dd50a68483p-3, 0x1.4188a78a2d4bp-3, 0x1.3f2b0c991c767p-3, 0x1.3cc4de8298dc6p-3, 0x1.3a567b10da2c5p-3, 0x1.37e03f2055c2ap-3, 0x1.3562869766f79p-3, 0x1.32ddac5e60fbbp-3, 0x1.30520a5801769p-3, 0x1.2dbff95a4061fp-3, 0x1.2b27d1278891dp-3, 0x1.2889e86843cc8p-3, 0x1.25e694a4cb28ep-3, 0x1.233e2a3faf633p-3, 0x1.2090fc7059274p-3, 0x1.1ddf5d3e06987p-3, 0x1.1b299d7b155f8p-3, 0x1.18700cc0ad7aep-3, 0x1.15b2f96ab34e5p-3, 0x1.12f2b094136aap-3, 0x1.102f7e1359fb8p-3, 0x1.0d69ac7794f8fp-3, 0x1.0aa1850589e93p-3, 0x1.07d74fb532012p-3, 0x1.050b532f7ae08p-3, 0x1.023dd4cc57597p-3, 0x1.fede3122164eep-4, 0x1.f93ec25d86591p-4, 0x1.f39de002d4c07p-4, 0x1.edfc0a1d7c266p-4, 0x1.e859be0b4f609p-4, 0x1.e2b7767b8bfa9p-4, 0x1.dd15ab6e7ebadp-4, 0x1.d774d2358c6edp-4, 0x1.d1d55d73a7c8ep-4, 0x1.cc37bd1e36132p-4, 0x1.c69c5e7e62b6dp-4, 0x1.c103ac32d0012p-4, 0x1.bb6e0e31a6e6fp-4, 0x1.b5dbe9cb1218ep-4, 0x1.b04da1ac0a03bp-4, 0x1.aac395e178c6fp-4, 0x1.a53e23dbbd2aep-4, 0x1.9fbda67273f4cp-4, 0x1.9a4275e895ac5p-4, 0x1.94cce7f0de71ep-4, 0x1.8f5d4fb283efcp-4, 0x1.89f3fdce2939p-4, 0x1.849140631ac83p-4, 0x1.7f356314c898dp-4, 0x1.79e0af107e867p-4, 0x1.74936b1356066p-4, 0x1.6f4ddb705fff7p-4, 0x1.6a1042170449cp-4, 0x1.64dade9992169p-4, 0x1.5fadee3400b91p-4, 0x1.5a89abd2de2c7p-4, 0x1.556e501a66f17p-4, 0x1.505c116dc6622p-4, 0x1.4b5323f67db9dp-4, 0x1.4653b9abece38p-4, 0x1.415e025afce29p-4, 0x1.3c722bade95e9p-4, 0x1.3790613425a1p-4, 0x1.32b8cc6a5d042p-4, 0x1.2deb94c28a9bp-4, 0x1.2928dfac267cep-4, 0x1.2470d09c68b3dp-4, 0x1.1fc389169d0f1p-4, 0x1.1b2128b4869d3p-4, 0x1.1689cd2ed21acp-4, 0x1.11fd9265950b7p-4, 0x1.0d7c9268d625bp-4, 0x1.0906e5811ff33p-4, 0x1.049ca2381911cp-4, 0x1.003ddd6123aafp-4, 0x1.f7d55443fe6b7p-5, 0x1.ef4633f6db775p-5, 0x1.e6ce79a3b1e48p-5, 0x1.de6e41ebef012p-5, 0x1.d625a65adff79p-5, 0x1.cdf4bd76efaf2p-5, 0x1.c5db9ad2ddfe5p-5, 0x1.bdda4f1ee7bb4p-5, 0x1.b5f0e839e32fep-5, 0x1.ae1f714248809p-5, 0x1.a665f2a72a3cbp-5, 0x1.9ec4723917111p-5, 0x1.973af33ae38d5p-5, 0x1.8fc976725a3ap-5, 0x1.886ffa38d259bp-5, 0x1.812e7a8ba7595p-5, 0x1.7a04f11c914a7p-5, 0x1.72f35561ddb3p-5, 0x1.6bf99ca6841fap-5, 0x1.6517ba1a183bp-5, 0x1.5e4d9ee096f36p-5, 0x1.579b3a2208b38p-5, 0x1.5100791a00c69p-5, 0x1.4a7d4726ef58ap-5, 0x1.44118dd94a4c8p-5, 0x1.3dbd350288af1p-5, 0x1.378022c3f33c8p-5, 0x1.315a3b9d461b7p-5, 0x1.2b4b627b22092p-5, 0x1.255378c54f6e8p-5, 0x1.1f725e6cd19b7p-5, 0x1.19a7f1f9c53b6p-5, 0x1.13f41099110c5p-5, 0x1.0e569629defe9p-5, 0x1.08cf5d4ae6e32p-5, 0x1.035e3f6780742p-5, 0x1.fc06298908eb1p-6, 0x1.f17b6919f16a1p-6, 0x1.e71be9bd055fep-6, 0x1.dce755ab56276p-6, 0x1.d2dd5533cadbdp-6, 0x1.c8fd8ed2cb187p-6, 0x1.bf47a7497a89dp-6, 0x1.b5bb41b48603fp-6, 0x1.ac57ffa285a2ap-6, 0x1.a31d8129ef074p-6, 0x1.9a0b64fe9ca08p-6, 0x1.91214886e7df9p-6, 0x1.885ec7f05005dp-6, 0x1.7fc37e43bb9e4p-6, 0x1.774f057945da5p-6, 0x1.6f00f68ba69abp-6, 0x1.66d8e98b243fap-6, 0x1.5ed675b02240dp-6, 0x1.56f9316d3f2e8p-6, 0x1.4f40b2810870ep-6, 0x1.47ac8e07425d2p-6, 0x1.403c5889ca41cp-6, 0x1.38efa61109448p-6, 0x1.31c60a34029fp-6, 0x1.2abf1827f9b69p-6, 0x1.23da62cfac8a2p-6, 0x1.1d177cca313c9p-6, 0x1.1675f88161a03p-6, 0x1.0ff56837ed64p-6, 0x1.09955e170366dp-6, 0x1.03556c3b97d32p-6, 0x1.fa6a498696751p-7, 0x1.ee6833b1de5b6p-7, 0x1.e2a3bb815d4a3p-7, 0x1.d71c05c7a4facp-7, 0x1.cbd037b8592b5p-7, 0x1.c0bf76fe51b5fp-7, 0x1.b5e8e9d0fa708p-7, 0x1.ab4bb7090cfa3p-7, 0x1.a0e706348c8a4p-7, 0x1.96b9ffaa241e9p-7, 0x1.8cc3cc9bc2727p-7, 0x1.83039728a4ffcp-7, 0x1.79788a6ea6695p-7, 0x1.7021d29af4e68p-7, 0x1.66fe9cfa29a6p-7, 0x1.5e0e1807b044fp-7, 0x1.554f737ca891fp-7, 0x1.4cc1e05e18653p-7, 0x1.4464910a9b25p-7, 0x1.3c36b94768684p-7, 0x1.34378e4cd9423p-7, 0x1.2c6646d255231p-7, 0x1.24c21b19b580cp-7, 0x1.1d4a44fa1f272p-7, 0x1.15fdffea53946p-7, 0x1.0edc890a7fdedp-7, 0x1.07e51f2d872b9p-7, 0x1.011702e1d0bbdp-7, 0x1.f4e2ecf32fc06p-8, 0x1.e7e77c2584ee8p-8, 0x1.db3a3f3c8147bp-8, 0x1.ced9c5cdeff7p-8, 0x1.c2c4a33078dadp-8, 0x1.b6f96e87b55dbp-8, 0x1.ab76c2cf6a0a6p-8, 0x1.a03b3ee5eeb51p-8, 0x1.95458595c4193p-8, 0x1.8a943d9e62bfp-8, 0x1.802611bc42e02p-8, 0x1.75f9b0b025bd4p-8, 0x1.6c0dcd45a335ap-8, 0x1.62611e5901409p-8, 0x1.58f25edc5aebep-8, 0x1.4fc04ddc19f5dp-8, 0x1.46c9ae82ca0ddp-8, 0x1.3e0d481c47fafp-8, 0x1.3589e6185292bp-8, 0x1.2d3e580c8367fp-8, 0x1.252971b5b09b7p-8, 0x1.1d4a0af8bfaf2p-8, 0x1.159effe2e95bap-8, 0x1.0e2730a979f3bp-8, 0x1.06e181a9098adp-8, 0x1.ff99b6c870873p-9, 0x1.f1d05503db46ap-9, 0x1.e464bf96450dp-9, 0x1.d754e0506a49ep-9, 0x1.ca9ea93ba4cf6p-9, 0x1.be401492e141fp-9, 0x1.b23724bacafd9p-9, 0x1.a681e4392d52fp-9, 0x1.9b1e65ab98bdp-9, 0x1.900ac3bd50015p-9, 0x1.8545211c82dcp-9, 0x1.7acba86ee1796p-9, 0x1.709c8c458a6d7p-9, 0x1.66b60710613cep-9, 0x1.5d165b10cbc66p-9, 0x1.53bbd24be25fp-9, 0x1.4aa4be7c19638p-9, 0x1.41cf790269de8p-9, 0x1.393a62d6f824cp-9, 0x1.30e3e4794eeb2p-9, 0x1.28ca6de021e3bp-9, 0x1.20ec7668ab96ep-9, 0x1.19487cc5a7073p-9, 0x1.11dd06ede6d19p-9, 0x1.0aa8a20a97dc3p-9, 0x1.03a9e2652d535p-9, 0x1.f9bec6a9ff0d6p-10, 0x1.ec8f8e593b4dfp-10, 0x1.dfc36e4dc20cep-10, 0x1.d357c6a771b6p-10, 0x1.c74a0509834b5p-10, 0x1.bb97a4733f9a9p-10, 0x1.b03e2d185940ap-10, 0x1.a53b3438e3984p-10, 0x1.9a8c5bf8fbf9p-10, 0x1.902f533823062p-10, 0x1.8621d568514eep-10, 0x1.7c61aa64d824cp-10, 0x1.72eca64903642p-10, 0x1.69c0a94699772p-10, 0x1.60db9f7c278c8p-10, 0x1.583b80cb3cec2p-10, 0x1.4fde50ae85a47p-10, 0x1.47c21e0fd4544p-10, 0x1.3fe5031e1f924p-10, 0x1.384525237f549p-10, 0x1.30e0b45b20361p-10, 0x1.29b5ebc7467edp-10, 0x1.22c3110757ee6p-10, 0x1.1c06742df4286p-10, 0x1.157e6f9724c6bp-10, 0x1.0f2967beaab12p-10, 0x1.0905cb16643a2p-10, 0x1.031211dcdd3aep-10, 0x1.fa997be80a40bp-11, 0x1.ef68b5701c959p-11, 0x1.e48ef9ad04758p-11, 0x1.da09844b10984p-11, 0x1.cfd5a2f6c7721p-11, 0x1.c5f0b50c5cd25p-11, 0x1.bc582b47a408ap-11, 0x1.b309877486e51p-11, 0x1.aa025c2007e1dp-11, 0x1.a1404c49d469dp-11, 0x1.98c10b166dff2p-11, 0x1.90825b81ef334p-11, 0x1.8882101370bb3p-11, 0x1.80be0a9115976p-11, 0x1.79343bb4c13fbp-11, 0x1.71e2a2e17b6bfp-11, 0x1.6ac74dd9883adp-11, 0x1.63e0587536be9p-11, 0x1.5d2bec5a69fc1p-11, 0x1.56a840b4de645p-11, 0x1.505399ef33357p-11, 0x1.4a2c496cb54ap-11, 0x1.4430ad43f1ddfp-11, 0x1.3e5f2ffa11f61p-11, 0x1.38b6483f0324ep-11, 0x1.333478aa6c8c7p-11, 0x1.2dd84f79749e1p-11, 0x1.28a0664d5797dp-11, 0x1.238b61ead37acp-11, 0x1.1e97f1fa66c5bp-11, 0x1.19c4d0c965c8ap-11, 0x1.1510c30be7eb2p-11, 0x1.107a979f8c37bp-11, 0x1.0c01274f1854bp-11, 0x1.07a35496eefbbp-11, 0x1.03600b6a62e5p-11, 0x1.fe6c81f3c4a47p-12, 0x1.f649e6f4005ap-12, 0x1.ee5653d6a862dp-12, 0x1.e68fe7c675661p-12, 0x1.def4d2aad5827p-12, 0x1.d78354bcd5177p-12, 0x1.d039be1db7e7bp-12, 0x1.c9166e6f4787dp-12, 0x1.c217d46dd37f4p-12, 0x1.bb3c6d8be402ap-12, 0x1.b482c58f996b8p-12, 0x1.ade97631be4ap-12, 0x1.a76f26be81b2bp-12, 0x1.a1128bb7dc0aap-12, 0x1.9ad266799d6abp-12, 0x1.94ad84df21185p-12, 0x1.8ea2c0eaa2079p-12, 0x1.88b1006e31bf6p-12, 0x1.82d734b64c382p-12, 0x1.7d145a36051bdp-12, 0x1.77677834ce65dp-12, 0x1.71cfa07dd12f3p-12, 0x1.6c4bef10da006p-12, 0x1.66db89d4d1011p-12, 0x1.617da04bbc382p-12, 0x1.5c316b4848426p-12, 0x1.56f62ca4d70c2p-12, 0x1.51cb2efc0864fp-12, 0x1.4cafc562c248p-12, 0x1.47a34b23ae0aep-12, 0x1.42a5237c29fe4p-12, }}, 
      {{0x1.fe9cfaad324edp-1, 0x1.fe490636f0424p-1, 0x1.fdbd395ae3063p-1, 0x1.fcf9c3b852fa5p-1, 0x1.fbfee781c69a8p-1, 0x1.faccf90a94de3p-1, 0x1.f9645e3bf94bbp-1, 0x1.f7c58df5f116p-1, 0x1.f5f10f5ff5243p-1, 0x1.f3e7792d4c44bp-1, 0x1.f1a970d84e11cp-1, 0x1.ef37a9d788209p-1, 0x1.ec92e4cf50d6ep-1, 0x1.e9bbeec1fd7bcp-1, 0x1.e6b3a0409568ep-1, 0x1.e37adc9d917aep-1, 0x1.e0129122f5c92p-1, 0x1.dc7bb44ccb538p-1, 0x1.d8b74508d2b27p-1, 0x1.d4c649fc0fdeep-1, 0x1.d0a9d0cea8754p-1, 0x1.cc62ed7e6adffp-1, 0x1.c7f2b9b831a58p-1, 0x1.c35a54384284ap-1, 0x1.be9ae031ae35fp-1, 0x1.b9b584bca957bp-1, 0x1.b4ab6c4bc7353p-1, 0x1.af7dc427f4fd4p-1, 0x1.aa2dbbf30b2e1p-1, 0x1.a4bc8530c7b2ap-1, 0x1.9f2b52d5f8651p-1, 0x1.997b58dda39b8p-1, 0x1.93adcbe3eef85p-1, 0x1.8dc3e0c68df6cp-1, 0x1.87becc4a7a9fp-1, 0x1.819fc2c6bb41ap-1, 0x1.7b67f7d3fabacp-1, 0x1.75189e00b8161p-1, 0x1.6eb2e689d233fp-1, 0x1.68380117375c6p-1, 0x1.61a91b7c84316p-1, 0x1.5b07617d56308p-1, 0x1.5453fc9524e73p-1, 0x1.4d9013c26dbc7p-1, 0x1.46bccb5501b5fp-1, 0x1.3fdb44bf4ba9ap-1, 0x1.38ec9e6a63c17p-1, 0x1.31f1f38cc650dp-1, 0x1.2aec5c038d385p-1, 0x1.23dcec2e0604ap-1, 0x1.1cc4b4cb851e2p-1, 0x1.15a4c2db5b351p-1, 0x1.0e7e1f7ecde98p-1, 0x1.0751cfdcfe58ep-1, 0x1.0020d508a562dp-1, 0x1.f1d857cf210d8p-2, 0x1.e3699a379cda5p-2, 0x1.d4f759dcf1b65p-2, 0x1.c68376781b1aep-2, 0x1.b80fc6c49190bp-2, 0x1.a99e185ee8675p-2, 0x1.9b302fa63c434p-2, 0x1.8cc7c7a064708p-2, 0x1.7e6691e0cec89p-2, 0x1.700e3671f2619p-2, 0x1.61c053c152deap-2, 0x1.537e7e8dfd819p-2, 0x1.454a41d9717c7p-2, 0x1.37251edaeb255p-2, 0x1.29108cf500774p-2, 0x1.1b0df9ad85311p-2, 0x1.0d1ec8a7a41adp-2, 0x1.fe88a74052175p-3, 0x1.e2ffd4d7c8c03p-3, 0x1.c7a5a5f04e014p-3, 0x1.ac7c929a75a41p-3, 0x1.9186ff25b1c31p-3, 0x1.76c73c2d0957bp-3, 0x1.5c3f86a786851p-3, 0x1.41f207fc388eep-3, 0x1.27e0d619b622ep-3, 0x1.0e0df390f5bc1p-3, 0x1.e8f69f66cc447p-4, 0x1.b6558d68496efp-4, 0x1.843c43985a26cp-4, 0x1.52ae2ec2d618fp-4, 0x1.21ae96611044cp-4, 0x1.e28139e555497p-5, 0x1.82ce80b6c86ffp-5, 0x1.244ab48b3abp-5, 0x1.8df6822551006p-6, 0x1.ab952cbabd0c2p-7, 0x1.00db1d0df0f7fp-9, -0x1.261bc47dff515p-7, -0x1.43a88fb170a06p-6, -0x1.f1ac7f76ed91ap-6, -0x1.4e89085996c1ap-5, -0x1.a2e91277653ap-5, -0x1.f5f30f07c601dp-5, -0x1.23d1f711d877fp-4, -0x1.4bfc6efeb8202p-4, -0x1.7377a4e804a6ap-4, -0x1.9a426c659b309p-4, -0x1.c05bb67e2c886p-4, -0x1.e5c2911a55bf1p-4, -0x1.053b133b50fbbp-3, -0x1.173ade4a3b1e2p-3, -0x1.28e05a55212adp-3, -0x1.3a2b45497ab0bp-3, -0x1.4b1b6a1e7ac1dp-3, -0x1.5bb0a08c5b6b8p-3, -0x1.6beaccc388a19p-3, -0x1.7bc9df23c25f3p-3, -0x1.8b4dd3f33a608p-3, -0x1.9a76b315c7dacp-3, -0x1.a9448fc439fd4p-3, -0x1.b7b78843d4aaep-3, -0x1.c5cfc59e0741cp-3, -0x1.d38d7b586f085p-3, -0x1.e0f0e72d1c74p-3, -0x1.edfa50c346635p-3, -0x1.faaa096852aacp-3, -0x1.038035e4ac02p-2, -0x1.097eedd687693p-2, -0x1.0f5162d72751ep-2, -0x1.14f7cf7b836b4p-2, -0x1.1a72727de5832p-2, -0x1.1fc18e9bfcb35p-2, -0x1.24e56a753ca51p-2, -0x1.29de50698d50bp-2, -0x1.2eac8e78500f8p-2, -0x1.3350761fbb51fp-2, -0x1.37ca5c3c8f2cdp-2, -0x1.3c1a98ea21ddp-2, -0x1.40418762cfafcp-2, -0x1.443f85e0c4335p-2, -0x1.4814f57f273d6p-2, -0x1.4bc23a1bab946p-2, -0x1.4f47ba3883312p-2, -0x1.52a5dedeb7566p-2, -0x1.55dd1380e8034p-2, -0x1.58edc5de73306p-2, -0x1.5bd865e707ce3p-2, -0x1.5e9d659e9d79dp-2, -0x1.613d3901de1b4p-2, -0x1.63b855eaf5fc9p-2, -0x1.660f33f6d3973p-2, -0x1.68424c6ad4031p-2, -0x1.6a521a1ade3a1p-2, -0x1.6c3f194fea8cep-2, -0x1.6e09c7aefd528p-2, -0x1.6fb2a4208d57fp-2, -0x1.713a2eb85d8bp-2, -0x1.72a0e89dc3b6dp-2, -0x1.73e753f4627b7p-2, -0x1.750df3c552fbp-2, -0x1.76154be8bf1ep-2, -0x1.76fde0efeea1ap-2, -0x1.77c8380fc2facp-2, -0x1.7874d70ba602dp-2, -0x1.79044420e93bdp-2, -0x1.797705f2961bcp-2, -0x1.79cda375aeefcp-2, -0x1.7a08a3dde3695p-2, -0x1.7a288e8aaf9b4p-2, -0x1.7a2deaf4f3074p-2, -0x1.7a19409cf058p-2, -0x1.79eb16f8c3da8p-2, -0x1.79a3f56342a3ep-2, -0x1.7944630b4dd2dp-2, -0x1.78cce6e392e3dp-2, -0x1.783e0792b7547p-2, -0x1.77984b63f7825p-2, -0x1.76dc38382b91ep-2, -0x1.760a53773eaf7p-2, -0x1.75232202104dfp-2, -0x1.74272824bcc05p-2, -0x1.7316e98955f9bp-2, -0x1.71f2e92b02c6ap-2, -0x1.70bba94986b31p-2, -0x1.6f71ab5d337dcp-2, -0x1.6e15700b4094ap-2, -0x1.6ca7771a8899cp-2, -0x1.6b283f68aeb43p-2, -0x1.699846dfa4314p-2, -0x1.67f80a6b96d2ep-2, -0x1.664805f13dac3p-2, -0x1.6488b44488126p-2, -0x1.62ba8f1faf111p-2, -0x1.60de0f1aa41cp-2, -0x1.5ef3aba2dec08p-2, -0x1.5cfbdaf387935p-2, -0x1.5af7120dff7bp-2, -0x1.58e5c4b2bef01p-2, -0x1.56c8655a93cbdp-2, -0x1.549f65303317fp-2, -0x1.526b340a23451p-2, -0x1.502c4064fd05p-2, -0x1.4de2f75dfe63ap-2, -0x1.4b8fc4adf5651p-2, -0x1.493312a476b9fp-2, -0x1.46cd4a2368749p-2, -0x1.445ed29adc587p-2, -0x1.41e8120536403p-2, -0x1.3f696ce39f0a2p-2, -0x1.3ce3463ac32a1p-2, -0x1.3a55ff8fdaadfp-2, -0x1.37c1f8e5f8113p-2, -0x1.352790bba083p-2, -0x1.32872408a7763p-2, -0x1.2fe10e3c4bb9cp-2, -0x1.2d35a93b9d92ep-2, -0x1.2a854d601ee4ep-2, -0x1.27d05176a551dp-2, -0x1.25170abe7c91p-2, -0x1.2259cce8c1115p-2, -0x1.1f98ea17f90f1p-2, -0x1.1cd4b2dfe5145p-2, -0x1.1a0d76458a165p-2, -0x1.174381bf713b5p-2, -0x1.147721361d47cp-2, -0x1.11a89f04b29fep-2, -0x1.0ed843f9d2be4p-2, -0x1.0c065758aa3d9p-2, -0x1.09331eda28ab7p-2, -0x1.065edeae6c4p-2, -0x1.0389d97e56ed7p-2, -0x1.00b4506d4e892p-2, -0x1.fbbd063651dfcp-3, -0x1.f6115f4c7a375p-3, -0x1.f066255b3a408p-3, -0x1.eabbcea6ecd64p-3, -0x1.e512ce7f28a33p-3, -0x1.df6b95440b9b9p-3, -0x1.d9c6906bcb14p-3, -0x1.d4242a88840dbp-3, -0x1.ce84cb4e47536p-3, -0x1.c8e8d79962479p-3, -0x1.c350b174dffe2p-3, -0x1.bdbcb8213e3b8p-3, -0x1.b82d481b5ba11p-3, -0x1.b2a2bb2390f2bp-3, -0x1.ad1d6844f81ap-3, -0x1.a79da3dcea94p-3, -0x1.a223bfa29a41ep-3, -0x1.9cb00aaedf00dp-3, -0x1.9742d1842148dp-3, -0x1.91dc5e166b7efp-3, -0x1.8c7cf7d39cb52p-3, -0x1.8724e3abb8704p-3, -0x1.81d4641955382p-3, -0x1.7c8bb92a22056p-3, -0x1.774b20878a79cp-3, -0x1.7212d57f6aec5p-3, -0x1.6ce3110ce09ccp-3, -0x1.67bc09e122b12p-3, -0x1.629df46c791d4p-3, -0x1.5d8902e7362c1p-3, -0x1.587d655ac5268p-3, -0x1.537b49aac1c5ap-3, -0x1.4e82db9e1b14p-3, -0x1.499444e83e3a5p-3, -0x1.44afad3243eebp-3, -0x1.3fd53a242b164p-3, -0x1.3b050f6e10c32p-3, -0x1.363f4ed16bb6dp-3, -0x1.3184182a47e53p-3, -0x1.2cd38978857b6p-3, -0x1.282dbee90ffcbp-3, -0x1.2392d2df1721ep-3, -0x1.1f02ddfd3c486p-3, -0x1.1a7df72ec529ap-3, -0x1.160433b0b8942p-3, -0x1.1195a71b030f4p-3, -0x1.0d32636984a0dp-3, -0x1.08da79051bee9p-3, -0x1.048df6cca42e4p-3, -0x1.004cea1de3406p-3, -0x1.f82ebdbce507ap-4, -0x1.efdabf091c4f3p-4, -0x1.e79dea3fbe69bp-4, -0x1.df784ec460fa8p-4, -0x1.d769f95025a4dp-4, -0x1.cf72f402e4937p-4, -0x1.c79346742941fp-4, -0x1.bfcaf5c416a61p-4, -0x1.b81a04ac0f87ep-4, -0x1.b080738f4f054p-4, -0x1.a8fe408b3c792p-4, -0x1.a1936787af8d6p-4, -0x1.9a3fe246ec2c5p-4, -0x1.9303a87589dccp-4, -0x1.8bdeafba18f83p-4, -0x1.84d0ebc4a7292p-4, -0x1.7dda4e5e0b42ep-4, -0x1.76fac77702a8ap-4, -0x1.703245371d71fp-4, -0x1.6980b40b77b7fp-4, -0x1.62e5feb53fb15p-4, -0x1.5c620e58086f5p-4, -0x1.55f4ca87e801ap-4, -0x1.4f9e1957620ddp-4, -0x1.495ddf651b57ap-4, -0x1.4333ffe959e99p-4, -0x1.3d205cc34e5b6p-4, -0x1.3722d68626346p-4, -0x1.313b4c85ea0ebp-4, -0x1.2b699ce422609p-4, -0x1.25ada49c47d8bp-4, -0x1.20073f8ffb6f9p-4, -0x1.1a764893073b2p-4, -0x1.14fa997729f47p-4, -0x1.0f940b17a8cap-4, -0x1.0a427564abe38p-4, -0x1.0505af6e63221p-4, -0x1.ffbb1edfe8527p-5, -0x1.f593d5b46257p-5, -0x1.eb952cbc31a66p-5, -0x1.e1becbee4052fp-5, -0x1.d81059ea8b33fp-5, -0x1.ce897c0ddadacp-5, -0x1.c529d68512fa4p-5, -0x1.bbf10c601353ep-5, -0x1.b2debfa430d93p-5, -0x1.a9f2915e42154p-5, -0x1.a12c21b4447efp-5, -0x1.988b0ff696d57p-5, -0x1.900efab0cd73dp-5, -0x1.87b77fba1e7f1p-5, -0x1.7f843c4566fd8p-5, -0x1.7774ccf0cd699p-5, -0x1.6f88cdd4fb6b6p-5, -0x1.67bfda93f8ed1p-5, -0x1.60198e67a017ap-5, -0x1.5895842fb250cp-5, -0x1.5133567f8c767p-5, -0x1.49f29fab7ab36p-5, -0x1.42d2f9d5aebbbp-5, -0x1.3bd3fefad872cp-5, -0x1.34f548fe62086p-5, -0x1.2e3671b65202cp-5, -0x1.279712f6d11a6p-5, -0x1.2116c69d5ba48p-5, -0x1.1ab5269b96ce1p-5, -0x1.1471cd01d2749p-5, -0x1.0e4c540934707p-5, -0x1.0844561d91e52p-5, -0x1.02596de6f36b7p-5, -0x1.f9166ca59424p-6, -0x1.edb29539a62d4p-6, -0x1.e2868caf5b086p-6, -0x1.d7918aea42b48p-6, -0x1.ccd2c89c36d23p-6, -0x1.c2497f54bbc57p-6, -0x1.b7f4e98fcca87p-6, -0x1.add442c41a82p-6, -0x1.a3e6c770b91dep-6, -0x1.9a2bb52a44154p-6, -0x1.90a24aa775b24p-6, -0x1.8749c7cd3c58dp-6, -0x1.7e216dba48d42p-6, -0x1.75287ed21f623p-6, -0x1.6c5e3ec7a30c3p-6, -0x1.63c1f2a72c2eep-6, -0x1.5b52e0e020595p-6, -0x1.5310514e155b1p-6, -0x1.4af98d417d66ep-6, -0x1.430ddf87e78aap-6, -0x1.3b4c9473c44e5p-6, -0x1.33b4f9e3ccbcp-6, -0x1.2c465f49eef63p-6, -0x1.250015b1e0bc5p-6, -0x1.1de16fc740a3cp-6, -0x1.16e9c1db5d3e7p-6, -0x1.101861ea92b42p-6, -0x1.096ca7a14fb1p-6, -0x1.02e5ec60bd71cp-6, -0x1.f90716861308bp-7, -0x1.ec89c23ebbcf1p-7, -0x1.e052991afb60fp-7, -0x1.d4605bd225bf2p-7, -0x1.c8b1cea95529ap-7, -0x1.bd45b978bc76cp-7, -0x1.b21ae7b06f7d3p-7, -0x1.a730285c883d8p-7, -0x1.9c844e28c0b6ap-7, -0x1.92162f6382ce3p-7, -0x1.87e4a6006a13fp-7, -0x1.7dee8f9a48436p-7, -0x1.7432cd74a1418p-7, -0x1.6ab0447cb0e27p-7, -0x1.6165dd49f204fp-7, -0x1.5852841e3c209p-7, -0x1.4f7528e55f594p-7, -0x1.46ccbf3460bb3p-7, -0x1.3e583e4847b4p-7, -0x1.3616a10484f34p-7, -0x1.2e06e5f0f7c2bp-7, -0x1.26280f37945f1p-7, -0x1.1e7922a1ad01fp-7, -0x1.16f92994e4a6p-7, -0x1.0fa7310fcb854p-7, -0x1.088249a6291f1p-7, -0x1.0189877cf91d8p-7, -0x1.f578048c35178p-8, -0x1.e831aa77715abp-8, -0x1.db3e3e36d81e3p-8, -0x1.ce9c0442344d5p-8, -0x1.c249480329d19p-8, -0x1.b6445bc9f9763p-8, -0x1.aa8b98c1d23c6p-8, -0x1.9f1d5ee4b067dp-8, -0x1.93f814eed5864p-8, -0x1.891a2851d8e2p-8, -0x1.7e820d275ac95p-8, -0x1.742e3e235a628p-8, -0x1.6a1d3c8635ee9p-8, -0x1.604d900e5a8bbp-8, -0x1.56bdc6e9a5ff6p-8, -0x1.4d6c75a6802ap-8, -0x1.44583724afcbfp-8, -0x1.3b7fac85f03ebp-8, -0x1.32e17d1e4b80bp-8, -0x1.2a7c56643a45ep-8, -0x1.224eebe0939e7p-8, -0x1.1a57f71e4962bp-8, -0x1.12963799f9d66p-8, -0x1.0b0872b1587bep-8, -0x1.03ad739271773p-8, -0x1.f90816559655p-9, -0x1.eb16202cd0984p-9, -0x1.dd82bd1d62fedp-9, -0x1.d04bb0b286bp-9, -0x1.c36ec96d54b2ep-9, -0x1.b6e9e0a214d54p-9, -0x1.aabada556ebc4p-9, -0x1.9edfa51987d11p-9, -0x1.935639eb02c77p-9, -0x1.881c9c0dfb33ap-9, -0x1.7d30d8eaf0ccbp-9, -0x1.729107ebb18e8p-9, -0x1.683b4a58407b8p-9, -0x1.5e2dcb33c55ffp-9, -0x1.5466bf1982c65p-9, -0x1.4ae46419d8dedp-9, -0x1.41a501975afa4p-9, -0x1.38a6e823f9d97p-9, -0x1.2fe8715e46315p-9, -0x1.2767ffced1059p-9, -0x1.1f23fec5aaf9p-9, -0x1.171ae2380715cp-9, -0x1.0f4b269e058d4p-9, -0x1.07b350d0a790fp-9, -0x1.0051ede7edf37p-9, -0x1.f24b263256088p-10, -0x1.e459bb2b064adp-10, -0x1.d6cce4d14a37cp-10, -0x1.c9a1fcaf6d766p-10, -0x1.bcd66b80fcbaap-10, -0x1.b067a8f18b8c9p-10, -0x1.a4533b5bfb8a3p-10, -0x1.9896b78a3c21fp-10, -0x1.8d2fc07593a91p-10, -0x1.821c070770ae2p-10, -0x1.775949dac5c7ep-10, -0x1.6ce554fded9fbp-10, -0x1.62be01b52c9c8p-10, -0x1.58e1363db8893p-10, -0x1.4f4ce591637c3p-10, -0x1.45ff0f2ad91d2p-10, -0x1.3cf5beca798aep-10, -0x1.342f0c3bd1e17p-10, -0x1.2ba91b1bb801cp-10, -0x1.23621a9f01b8fp-10, -0x1.1b584559e3aap-10, -0x1.1389e107fa3a4p-10, -0x1.0bf53e54ea7cep-10, -0x1.0498b8a5beeb7p-10, -0x1.fae56bc5b058bp-11, -0x1.ed034c8531f36p-11, -0x1.df88082966112p-11, -0x1.d270a71c46b5ep-11, -0x1.c5ba452bb369p-11, -0x1.b96211241aac3p-11, -0x1.ad654c6c7d52fp-11, -0x1.a1c14aa3cd4d9p-11, -0x1.9673713fa7755p-11, -0x1.8b79372c69ecp-11, -0x1.80d0246ea57cdp-11, -0x1.7675d1c5e98a2p-11, -0x1.6c67e850ee5cap-11, -0x1.62a42133157ecp-11, -0x1.5928453b48b36p-11, -0x1.4ff22c8c2e4bcp-11, -0x1.46ffbe45b7975p-11, -0x1.3e4ef0300646bp-11, -0x1.35ddc667a5d41p-11, -0x1.2daa530b1af87p-11, -0x1.25b2b5e9c4e54p-11, -0x1.1df51c340ee9dp-11, -0x1.166fc02cf2bd4p-11, -0x1.0f20e8dcc5597p-11, -0x1.0806e9c552accp-11, -0x1.012022973e028p-11, -0x1.f4d5fdd15adc8p-12, -0x1.e7cbebda6bbf1p-12, -0x1.db1f145e17d66p-12, -0x1.cecc9292e511fp-12, -0x1.c2d19748cf173p-12, -0x1.b72b686313189p-12, -0x1.abd760546bdfcp-12, -0x1.a0d2ed9db7489p-12, -0x1.961b924efd869p-12, -0x1.8baee38ad94ccp-12, -0x1.818a890c3355dp-12, -0x1.77ac3cae54009p-12, -0x1.6e11c9f73e63cp-12, -0x1.64b90da44f729p-12, -0x1.5b9ff5391e7d4p-12, -0x1.52c47e9093592p-12, -0x1.4a24b77032a28p-12, -0x1.41bebd1d8fe25p-12, -0x1.3990bbf5e8beep-12, -0x1.3198ef07dd0ep-12, -0x1.29d59faf3c94dp-12, -0x1.22452532e8a71p-12, -0x1.1ae5e464bc978p-12, -0x1.13b64f43795e3p-12, -0x1.0cb4e49eaff43p-12, -0x1.05e02fbc9eaefp-12, -0x1.fe6d9003f7812p-13, -0x1.f16ea137561f8p-13, -0x1.e4c0f054a1fcap-13, -0x1.d861f0df80a1cp-13, -0x1.cc4f2bfc746b3p-13, -0x1.c0863fd2f606bp-13, -0x1.b504def316436p-13, -0x1.a9c8cfbe99cbbp-13, -0x1.9ecfebd5887a2p-13, -0x1.94181f8617f78p-13, -0x1.899f693fea6e2p-13, -0x1.7f63d90a94b53p-13, -0x1.75638fff5ad84p-13, -0x1.6b9cbfc6148fdp-13, -0x1.620daa152fc4ep-13, -0x1.58b4a034c81b4p-13, -0x1.4f900284b3171p-13, -0x1.469e4005902d7p-13, -0x1.3dddd5e4b6ea8p-13, -0x1.354d4f0b007adp-13, -0x1.2ceb43ae6561cp-13, -0x1.24b658e654588p-13, -0x1.1cad4042bfa1cp-13, -0x1.14ceb765d7cfbp-13, -0x1.0d1987a0555cep-13, -0x1.058c85905db42p-13, -0x1.fc4d2185c2da8p-14, -0x1.edcd26aeece44p-14, -0x1.df97034d2b753p-14, -0x1.d1a8b3d47cd8bp-14, -0x1.c40047d1ca4c6p-14, -0x1.b69be1455eeep-14, -0x1.a979b401c2c28p-14, -0x1.9c98050f0b7d8p-14, -0x1.8ff52a126372cp-14, -0x1.838f88b9cb5f4p-14, -0x1.7765962bf5e5ep-14, -0x1.6b75d67c2807ap-14, -0x1.5fbedc220c36cp-14, -0x1.543f47755f2ap-14, -0x1.48f5c62d6328cp-14, -0x1.3de112e404bbfp-14, -0x1.32fff49c9d7e7p-14, -0x1.28513e4e3dce7p-14, -0x1.1dd3ce716cce8p-14, -0x1.13868e914a2bbp-14, -0x1.096872dffc0b9p-14, -0x1.fef0f39cb28edp-15, -0x1.eb6b574d78a42p-15, -0x1.d83e3455d421fp-15, -0x1.c567c069fab0ap-15, -0x1.b2e642b6889cbp-15, -0x1.a0b8132df882p-15, -0x1.8edb99dbbaad6p-15, -0x1.7d4f4e3cc602ep-15, -0x1.6c11b69d8258dp-15, -0x1.5b21677ceb218p-15, -0x1.4a7d02f4c99aap-15, -0x1.3a233826e5b8fp-15, -0x1.2a12c2af10a14p-15, -0x1.1a4a6a19e7e5dp-15, -0x1.0ac9016032e7cp-15, -0x1.f71acccd7df5dp-16, -0x1.d92d030530dd7p-16, -0x1.bbc68a031448dp-16, -0x1.9ee5596d82f33p-16, -0x1.82877b16fcc5dp-16, -0x1.66ab0a276456fp-16, -0x1.4b4e324cea246p-16, -0x1.306f2ef46b2afp-16, }}, 
      {{0x1.feafa4cdf84f9p-1, 0x1.fe93a70d4b93ap-1, 0x1.fe650684ead3bp-1, 0x1.fe23ccc0ff14bp-1, 0x1.fdd0070dd4153p-1, 0x1.fd69c66719f74p-1, 0x1.fcf11f635d95fp-1, 0x1.fc662a1c3863dp-1, 0x1.fbc90213c41d8p-1, 0x1.fb19c617cec83p-1, 0x1.fa58982343f94p-1, 0x1.f9859d3e3796cp-1, 0x1.f8a0fd5cec3bap-1, 0x1.f7aae33e30b87p-1, 0x1.f6a37c4955c9ap-1, 0x1.f58af86c045bp-1, 0x1.f46189f825633p-1, 0x1.f32765820e22dp-1, 0x1.f1dcc1bf193d6p-1, 0x1.f081d764c9ebep-1, 0x1.ef16e1089b964p-1, 0x1.ed9c1b008b769p-1, 0x1.ec11c344759p-1, 0x1.ea7819504c022p-1, 0x1.e8cf5e0737e5fp-1, 0x1.e717d397a5768p-1, 0x1.e551bd6043377p-1, 0x1.e37d5fd5f451ap-1, 0x1.e19b006ab6266p-1, 0x1.dfaae57579c17p-1, 0x1.ddad561aeaca3p-1, 0x1.dba29a37249b8p-1, 0x1.d98afa484c7f9p-1, 0x1.d766bf5a10663p-1, 0x1.d53632f1ffbf6p-1, 0x1.d2f99efcbdd21p-1, 0x1.d0b14dbc005c9p-1, 0x1.ce5d89b55b608p-1, 0x1.cbfe9da1cc3f4p-1, 0x1.c994d45e0346p-1, 0x1.c72078db60399p-1, 0x1.c4a1d6119db54p-1, 0x1.c21936f1248abp-1, 0x1.bf86e655fde6cp-1, 0x1.bceb2efb60465p-1, 0x1.ba465b6fd0d9ep-1, 0x1.b798b609d01c3p-1, 0x1.b4e288dd0fa0bp-1, 0x1.b2241db02734ep-1, 0x1.af5dbdf2c721bp-1, 0x1.ac8fb2b46082fp-1, 0x1.a9ba449b3d1c8p-1, 0x1.a6ddbbdc055bap-1, 0x1.a3fa6031ad417p-1, 0x1.a11078d5c2b93p-1, 0x1.9e204c791d201p-1, 0x1.9b2a213ce6f65p-1, 0x1.982e3cabfd536p-1, 0x1.952ce3b4a5557p-1, 0x1.92265aa2912b7p-1, 0x1.8f1ae51931a62p-1, 0x1.8c0ac60e54175p-1, 0x1.88f63fc507e17p-1, 0x1.85dd93c8c8321p-1, 0x1.82c102e8ea918p-1, 0x1.7fa0cd344e188p-1, 0x1.7c7d31f549c3p-1, 0x1.79566fadd73bcp-1, 0x1.762cc413fb3acp-1, 0x1.73006c0e64dd3p-1, 0x1.6fd1a3b147b47p-1, 0x1.6ca0a63b6b0c3p-1, 0x1.696dae13702a8p-1, 0x1.6638f4c54ab2ep-1, 0x1.6302b2ffecb7p-1, 0x1.5fcb209325cbcp-1, 0x1.5c92746daf328p-1, 0x1.5958e49b6a5e5p-1, 0x1.561ea643cb3bap-1, 0x1.52e3eda871bf5p-1, 0x1.4fa8ee23ec24ap-1, 0x1.4c6dda28a7206p-1, 0x1.4932e34006527p-1, 0x1.45f83a09a44cp-1, 0x1.42be0e3abd077p-1, 0x1.3f848e9dbbc69p-1, 0x1.3c4be911f0872p-1, 0x1.39144a8b6a301p-1, 0x1.35dddf12f1824p-1, 0x1.32a8d1c62a155p-1, 0x1.2f754cd7d21cdp-1, 0x1.2c437990232a2p-1, 0x1.2913804d5341cp-1, 0x1.25e58884324e6p-1, 0x1.22b9b8c0e7063p-1, 0x1.1f9036a7c634p-1, 0x1.1c6926f6465dcp-1, 0x1.1944ad840d96cp-1, 0x1.1622ed4417f26p-1, 0x1.13040845f6988p-1, 0x1.0fe81fb726d14p-1, 0x1.0ccf53e47df5ap-1, 0x1.09b9c43bab5cep-1, 0x1.06a78f4cd00fbp-1, 0x1.0398d2cc27da5p-1, 0x1.008dab93c5b8ap-1, 0x1.fb0c6b4ac5768p-2, 0x1.f50518587ad55p-2, 0x1.ef0592fe0eeabp-2, 0x1.e90e0e43cc1e7p-2, 0x1.e31ebb90f7fbbp-2, 0x1.dd37cab00b5a2p-2, 0x1.d75969d2fde0dp-2, 0x1.d183c597aa9afp-2, 0x1.cbb7090c4cbcap-2, 0x1.c5f35db40fc24p-2, 0x1.c038eb8bb43aep-2, 0x1.ba87d90e43877p-2, 0x1.b4e04b39da072p-2, 0x1.af4265947b626p-2, 0x1.a9ae4a30f71aep-2, 0x1.a42419b3db9f5p-2, 0x1.9ea3f358737cep-2, 0x1.992df4f5cbccbp-2, 0x1.93c23b03ca069p-2, 0x1.8e60e0a041d32p-2, 0x1.8909ff941ab38p-2, 0x1.83bdb058776b2p-2, 0x1.7e7c0a1be3924p-2, 0x1.794522c786dfbp-2, 0x1.74190f045d494p-2, 0x1.6ef7e2406dd25p-2, 0x1.69e1aeb409451p-2, 0x1.64d6856706b8dp-2, 0x1.5fd67635ff374p-2, 0x1.5ae18fd78e37cp-2, 0x1.55f7dfe18e25ep-2, 0x1.511972ce51d38p-2, 0x1.4c465401e01dfp-2, 0x1.477e8dcf29db5p-2, 0x1.42c2297d3bd2bp-2, 0x1.3e112f4c6fd33p-2, 0x1.396ba67b9813p-2, 0x1.34d1954d2233bp-2, 0x1.3043010c3c089p-2, 0x1.2bbfee11eababp-2, 0x1.27485fca217cbp-2, 0x1.22dc58b8cd3f5p-2, 0x1.1e7bda7edc71p-2, 0x1.1a26e5df3d108p-2, 0x1.15dd7ac3d2d4ap-2, 0x1.119f984266bb6p-2, 0x1.0d6d3ca18ab8fp-2, 0x1.0946655d78908p-2, 0x1.052b0f2ce299ep-2, 0x1.011b3605bf402p-2, 0x1.fa2daa440e9d5p-3, 0x1.f23bce08d6e48p-3, 0x1.ea60caf9ff397p-3, 0x1.e29c935bb42ffp-3, 0x1.daef181f52b9ap-3, 0x1.d35848ec7c12dp-3, 0x1.cbd8142a110fcp-3, 0x1.c46e67071aefcp-3, 0x1.bd1b2d8394869p-3, 0x1.b5de52792634p-3, 0x1.aeb7bfa3bf8d5p-3, 0x1.a7a75daa1ccb9p-3, 0x1.a0ad1426355b5p-3, 0x1.99c8c9ad8e468p-3, 0x1.92fa63d9723b3p-3, 0x1.8c41c74f13941p-3, 0x1.859ed7c78eb78p-3, 0x1.7f117817dbbf8p-3, 0x1.78998a38988c8p-3, 0x1.7236ef4dc84aap-3, 0x1.6be987ae661ap-3, 0x1.65b132ebeeebdp-3, 0x1.5f8dcfd9c207bp-3, 0x1.597f3c946f187p-3, 0x1.53855688e48ep-3, 0x1.4d9ffa7b88025p-3, 0x1.47cf048f29ac5p-3, 0x1.4212504be71c9p-3, 0x1.3c69b8a5ed6e7p-3, 0x1.36d518041bce9p-3, 0x1.315448469388ap-3, 0x1.2be722cd25c7p-3, 0x1.268d807da7d05p-3, 0x1.214739ca2ce1ep-3, 0x1.1c1426b71f7dap-3, 0x1.16f41ee1467dep-3, 0x1.11e6f983ab5f2p-3, 0x1.0cec8d7d61c0ep-3, 0x1.0804b1573807ap-3, 0x1.032f3b494cba6p-3, 0x1.fcd8028104e6ap-4, 0x1.f375b1c7c9b89p-4, 0x1.ea372f33c5232p-4, 0x1.e11c251af72aap-4, 0x1.d8243d6695a2dp-4, 0x1.cf4f219cec2e1p-4, 0x1.c69c7aeb13c6ap-4, 0x1.be0bf22e692ffp-4, 0x1.b59d2ffdcea1ap-4, 0x1.ad4fdcb2c1779p-4, 0x1.a523a07235d3ap-4, 0x1.9d18233542cp-4, 0x1.952d0cd193bc9p-4, 0x1.8d620501b14edp-4, 0x1.85b6b36d1091dp-4, 0x1.7e2abfaff2ed2p-4, 0x1.76bdd163137a9p-4, 0x1.6f6f902323b15p-4, 0x1.683fa39817b0cp-4, 0x1.612db37c4148p-4, 0x1.5a3967a33babep-4, 0x1.53626800a8339p-4, 0x1.4ca85caebb961p-4, 0x1.460aedf49c2e7p-4, 0x1.3f89c44c9472bp-4, 0x1.3924886a15635p-4, 0x1.32dae33f8d879p-4, 0x1.2cac7e0413edfp-4, 0x1.26990238e5cap-4, 0x1.20a019aeba336p-4, 0x1.1ac16e8aea44p-4, 0x1.14fcab4c6f2a6p-4, 0x1.0f517ad0b6e4dp-4, 0x1.09bf88584f1dfp-4, 0x1.04467f8b6846dp-4, 0x1.fdcc18fc5fc29p-5, 0x1.f33bb76a08dfap-5, 0x1.e8db345101df1p-5, 0x1.dea9ea92c71b3p-5, 0x1.d4a736089d136p-5, 0x1.cad2738ac3bb5p-5, 0x1.c12b00f7674acp-5, 0x1.b7b03d3943ffp-5, 0x1.ae61884e0540dp-5, 0x1.a53e434c5f202p-5, 0x1.9c45d069e2d9p-5, 0x1.93779300907f9p-5, 0x1.8ad2ef94262c6p-5, 0x1.82574bd730e14p-5, 0x1.7a040eafd7c4dp-5, 0x1.71d8a03c71886p-5, 0x1.69d469d7d3c9cp-5, 0x1.61f6d61d6becp-5, 0x1.5a3f50ed1c1f9p-5, 0x1.52ad476edcf49p-5, 0x1.4b40281626a19p-5, 0x1.43f762a525837p-5, 0x1.3cd2682fb3811p-5, 0x1.35d0ab1e21ef8p-5, 0x1.2ef19f2fca764p-5, 0x1.2834b97d6fcp-5, 0x1.2199707b6ce91p-5, 0x1.1b1f3bfbb18f3p-5, 0x1.14c5952f918c7p-5, 0x1.0e8bf6a963ca6p-5, 0x1.0871dc5df573ap-5, 0x1.0276c3a5d12b2p-5, 0x1.f934567cb1bf2p-6, 0x1.edb726956f06p-6, 0x1.e274faa95497fp-6, 0x1.d76cd89a3f7c3p-6, 0x1.cc9dc91964ea3p-6, 0x1.c206d7a7f6f38p-6, 0x1.b7a7129784eb5p-6, 0x1.ad7d8b0a0f1abp-6, 0x1.a38954f1d84efp-6, 0x1.99c98710f271fp-6, 0x1.903d3af88b19ap-6, 0x1.86e38d07f1b8cp-6, 0x1.7dbb9c6b6c8dap-6, 0x1.74c48b1ac2f9dp-6, 0x1.6bfd7dd79968p-6, 0x1.63659c2b8e917p-6, 0x1.5afc10662293dp-6, 0x1.52c0079a6d79cp-6, 0x1.4ab0b19c9edf9p-6, 0x1.42cd40ff4aedep-6, 0x1.3b14eb108fec6p-6, 0x1.3386e7d7016c1p-6, 0x1.2c22720e7313ap-6, 0x1.24e6c72492dd1p-6, 0x1.1dd327355a83ap-6, 0x1.16e6d50759897p-6, 0x1.10211607dcc1fp-6, 0x1.09813246eba3fp-6, 0x1.0306747328c17p-6, 0x1.f96053ab1718p-7, 0x1.ecfb4499fd4ep-7, 0x1.e0dc6093b4adfp-7, 0x1.d502519293a87p-7, 0x1.c96bc6a113d3fp-7, 0x1.be1773d03033bp-7, 0x1.b304122d7d215p-7, 0x1.a8305fb9213f1p-7, 0x1.9d9b1f5b961f7p-7, 0x1.934318db42ec8p-7, 0x1.892718d1ea061p-7, 0x1.7f45f0a1f4d91p-7, 0x1.759e766b99b6fp-7, 0x1.6c2f8501e14efp-7, 0x1.62f7fbdf88f77p-7, 0x1.59f6bf1bce735p-7, 0x1.512ab75f171f7p-7, 0x1.4892d1d7836c5p-7, 0x1.402e002d6eebcp-7, 0x1.37fb3877d023fp-7, 0x1.2ff975308ed03p-7, 0x1.2827b528c40ap-7, 0x1.2084fb7cea65dp-7, 0x1.19104f8901ae4p-7, 0x1.11c8bcdca48b7p-7, 0x1.0aad532f14bd7p-7, 0x1.03bd26533d33ap-7, 0x1.f9ee9c575a371p-8, 0x1.ecb5cd3d18eb2p-8, 0x1.dfce1f131853p-8, 0x1.d335d96ba723bp-8, 0x1.c6eb4b97d595fp-8, 0x1.baeccc8f4c8cdp-8, 0x1.af38bad8242bap-8, 0x1.a3cd7c6ebeedcp-8, 0x1.98a97eadac571p-8, 0x1.8dcb363595372p-8, 0x1.83311ed530a55p-8, 0x1.78d9bb7149995p-8, 0x1.6ec395ecd325ap-8, 0x1.64ed3f110dde7p-8, 0x1.5b554e75c2143p-8, 0x1.51fa62698f2abp-8, 0x1.48db1fda536d4p-8, 0x1.3ff6323dac17ap-8, 0x1.374a4b79913cep-8, 0x1.2ed623cd0eacp-8, 0x1.269879b91aaaap-8, 0x1.1e9011e98cc6ap-8, 0x1.16bbb71e3625ep-8, 0x1.0f1a3a141cbe1p-8, 0x1.07aa716eda03p-8, 0x1.006b39a21f952p-8, 0x1.f2b6e9b6c61f5p-9, 0x1.e4f415d75f1e3p-9, 0x1.d78bd263451fcp-9, 0x1.ca7c0507233b8p-9, 0x1.bdc29e33b507ap-9, 0x1.b15d98f2c19bcp-9, 0x1.a54afabc6cb4fp-9, 0x1.9988d34ce66d2p-9, 0x1.8e153c7a75058p-9, 0x1.82ee5a0be0141p-9, 0x1.7812598f3a451p-9, 0x1.6d7f72310a3f8p-9, 0x1.6333e493da8f5p-9, 0x1.592dfaa828224p-9, 0x1.4f6c0784ba9abp-9, 0x1.45ec673f5e068p-9, 0x1.3cad7ec604bbp-9, 0x1.33adbbb85396ep-9, 0x1.2aeb94418fa7dp-9, 0x1.226586f2fcf77p-9, 0x1.1a1a1a9ea0fccp-9, 0x1.1207de3270932p-9, 0x1.0a2d6893eb284p-9, 0x1.0289587c1cee9p-9, 0x1.f634a8a81ecdbp-10, 0x1.e7be14234ade7p-10, 0x1.d9ac5e29c0104p-10, 0x1.cbfd000b287ffp-10, 0x1.bead816314c98p-10, 0x1.b1bb77d610565p-10, 0x1.a52486cf991a8p-10, 0x1.98e65f40de9aep-10, 0x1.8cfebf606fa39p-10, 0x1.816b726aabe6ep-10, 0x1.762a506316ca3p-10, 0x1.6b393dd685bfep-10, 0x1.60962b9e1cab3p-10, 0x1.563f16a326f17p-10, 0x1.4c3207a3bfb5ap-10, 0x1.426d12f85b41dp-10, 0x1.38ee585a15797p-10, 0x1.2fb402a9df386p-10, 0x1.26bc47b8765c6p-10, 0x1.1e05680f383a7p-10, 0x1.158daeb9b6dc8p-10, 0x1.0d53711029cc2p-10, 0x1.05550e82a82c3p-10, 0x1.fb21e0ca5965cp-11, 0x1.ec0b1378d1d55p-11, 0x1.dd62ae16c29efp-11, 0x1.cf25bc43a16a1p-11, 0x1.c1515bd6a8d81p-11, 0x1.b3e2bc7ebae0ap-11, 0x1.a6d71f63cac39p-11, 0x1.9a2bd6c9ccfe3p-11, 0x1.8dde45b529e2ep-11, 0x1.81ebdf90abd8p-11, 0x1.765227d4edbeap-11, 0x1.6b0eb1b13bff8p-11, 0x1.601f1fb5ee50ep-11, 0x1.55812380304eep-11, 0x1.4b327d6737c4p-11, 0x1.4130fc2ae5432p-11, 0x1.377a7ca3caca2p-11, 0x1.2e0ce9749546fp-11, 0x1.24e63abcd3977p-11, 0x1.1c0475cd1a56fp-11, 0x1.1365acdc7df1ap-11, 0x1.0b07febf60844p-11, 0x1.02e9969f8f402p-11, 0x1.f611576b57736p-12, 0x1.e6c70207b9408p-12, 0x1.d7f0ca238897ap-12, 0x1.c98b63536997ap-12, 0x1.bb93972e43d3bp-12, 0x1.ae0644cc97e6ap-12, 0x1.a0e0604a39f5ap-12, 0x1.941ef24a6fcadp-12, 0x1.87bf177e69108p-12, 0x1.7bbe002e05127p-12, 0x1.7018efc2e6046p-12, 0x1.64cd3c55c1243p-12, 0x1.59d84e3ded115p-12, 0x1.4f379fa31e96fp-12, 0x1.44e8bc1150c0dp-12, 0x1.3ae9400ecf39dp-12, 0x1.3136d8b4597efp-12, 0x1.27cf43475ad84p-12, 0x1.1eb04cd62bd6cp-12, 0x1.15d7d1d65621bp-12, 0x1.0d43bdc4d6f9p-12, 0x1.04f20ac85190cp-12, 0x1.f9c182aa60bc7p-13, 0x1.ea1befa756de2p-13, 0x1.daefa48f51f5cp-13, 0x1.cc3903f4ee917p-13, 0x1.bdf48a4ca866dp-13, 0x1.b01ecd4771ad9p-13, 0x1.a2b47b30d3b39p-13, 0x1.95b25a50783d4p-13, 0x1.8915484f19e4cp-13, 0x1.7cda399ec88ep-13, 0x1.70fe38e671b91p-13, 0x1.657e6670a4971p-13, 0x1.5a57f79d7d2b5p-13, 0x1.4f883657ad758p-13, 0x1.450c808c98f07p-13, 0x1.3ae247a76a12bp-13, 0x1.3107100f22b89p-13, 0x1.277870a78d57ap-13, 0x1.1e34125511b07p-13, 0x1.1537af8346423p-13, 0x1.0c8113ae53391p-13, 0x1.040e1aeefe4dfp-13, 0x1.f7b96312b2934p-14, 0x1.e7d5a6fc368efp-14, 0x1.d86d183ce2be3p-14, 0x1.c97beb44ce45ep-14, 0x1.bafe7183639e1p-14, 0x1.acf1189deec05p-14, 0x1.9f5069aac06f5p-14, 0x1.921908711d5a8p-14, 0x1.8547b2ada07d5p-14, 0x1.78d93f5b21a81p-14, 0x1.6cca9dfffb45p-14, 0x1.6118d5ff9b886p-14, 0x1.55c105f04d0d4p-14, 0x1.4ac062f51e01bp-14, 0x1.4014381bd6096p-14, 0x1.35b9e5bee19d4p-14, 0x1.2baee0eb1fa27p-14, 0x1.21f0b2c97eaap-14, 0x1.187cf80c54694p-14, 0x1.0f5160605c259p-14, 0x1.066bade1489cfp-14, 0x1.fb936923adbe4p-15, 0x1.ead2b3ae9f10ep-15, 0x1.da9127f0c7a08p-15, 0x1.cacad33ea4d87p-15, 0x1.bb7be2be8d8b7p-15, 0x1.aca0a279b740ep-15, 0x1.9e357c736816fp-15, 0x1.9036f7c6307aep-15, 0x1.82a1b7c708aedp-15, 0x1.75727b2e3492ep-15, 0x1.68a61b45cdfcap-15, 0x1.5c398b1dcfc81p-15, 0x1.5029d6c58ba8ep-15, 0x1.4474228a6204p-15, 0x1.3915aa3ba57cbp-15, 0x1.2e0bc073890e3p-15, 0x1.2353cde4facb7p-15, 0x1.18eb50ae4ece3p-15, 0x1.0ecfdbb0a2318p-15, 0x1.04ff15ebd4f2cp-15, 0x1.f6ed73be018f2p-16, 0x1.e46929daaafccp-16, 0x1.d26d0d8e7b739p-16, 0x1.c0f501af642cdp-16, 0x1.affd0b6b48112p-16, 0x1.9f815132c7f6p-16, 0x1.8f7e19abddbbcp-16, 0x1.7fefcaac0e184p-16, 0x1.70d2e83a0a241p-16, 0x1.6224139688765p-16, 0x1.53e00a4c3338fp-16, 0x1.4603a5467d168p-16, 0x1.388bd7ef2c03p-16, 0x1.2b75af5270cbfp-16, 0x1.1ebe51496b035p-16, 0x1.1262fbaae4ab4p-16, 0x1.0661038223c4p-16, 0x1.f56ba8975718p-17, 0x1.debdde6f81898p-17, 0x1.c8b3d4e52b352p-17, 0x1.b348e0e3de239p-17, 0x1.9e787e904cdbcp-17, 0x1.8a3e4ff8b81dbp-17, 0x1.76961bcf868acp-17, 0x1.637bcc2fbaa4bp-17, 0x1.50eb6d6b0a9cp-17, 0x1.3ee12ce15b3d6p-17, 0x1.2d5957e15862bp-17, 0x1.1c505a91f7742p-17, 0x1.0bc2bee49ca38p-17, 0x1.f75a571f5a8a2p-18, 0x1.d818c622ac201p-18, 0x1.b9ba857491c5ap-18, 0x1.9c3983807ce99p-18, 0x1.7f8fe0b0078p-18, 0x1.63b7edadbcc85p-18, 0x1.48ac29b6296a3p-18, 0x1.2e6740f6cfc1cp-18, 0x1.14e40afa992bap-18, 0x1.f83b1246d02bep-19, 0x1.c81dca60d2d09p-19, 0x1.9966dfa19ab7cp-19, 0x1.6c0d3e8511dcap-19, 0x1.40081bf9981f3p-19, 0x1.154ef2cbaa6c3p-19, 0x1.d7b3024f39e03p-20, 0x1.873f8c61914fap-20, 0x1.3933ff5b112f6p-20, 0x1.db029f1dbd96ap-21, 0x1.4831cb7c638bdp-21, 0x1.73b26b98473bp-22, 0x1.7eeb43206bb82p-24, -0x1.5771076ad68e6p-23, -0x1.aedb4a2470b69p-22, -0x1.54efdbb1a3e18p-21, -0x1.ce7b457da0855p-21, -0x1.2213c72ca5514p-20, -0x1.5b05da68cdf05p-20, -0x1.921f0836a31b1p-20, -0x1.c76a2be15036fp-20, -0x1.faf1d32adc2ffp-20, -0x1.16602090021e8p-19, -0x1.2e6fb868e966ep-19, -0x1.45ac8bfae080fp-19, -0x1.5c1b54b69d207p-19, -0x1.71c0abda99c06p-19, -0x1.86a10b9f5caep-19, -0x1.9ac0d0588973bp-19, -0x1.ae24398b29059p-19, -0x1.c0cf6af974326p-19, -0x1.d2c66da481c5fp-19, -0x1.e40d30c429a3dp-19, -0x1.f4a78ab56eb6ep-19, -0x1.024c9cefe2cccp-18, -0x1.09f2f2c8bedb9p-18, -0x1.11488f69d0d28p-18, -0x1.184f309ac9a4fp-18, -0x1.1f0889c856868p-18, -0x1.257644621856p-18, -0x1.2b9a0034e020bp-18, -0x1.317553c157a61p-18, -0x1.3709cc8f2ef07p-18, -0x1.3c58ef7cf353p-18, -0x1.4164390cad33ap-18, -0x1.462d1dad5e48p-18, -0x1.4ab50a0181fe2p-18, -0x1.4efd6322a76a7p-18, -0x1.530786e242201p-18, -0x1.56d4cc07ca748p-18, -0x1.5a66828c45f7ep-18, -0x1.5dbdf3d354f44p-18, -0x1.60dc62e1d35ddp-18, -0x1.63c30c92305d9p-18, -0x1.667327c68720ep-18, -0x1.68ede598969ddp-18, -0x1.6b347187a903ep-18, -0x1.6d47f1a4810afp-18, -0x1.6f2986bb5effp-18, -0x1.70da4c7c32935p-18, -0x1.725b59a109ea6p-18, }}, 
      {{0x1.75039c8e99448p-7, 0x1.751550dad1f25p-6, 0x1.17e560ad3bb0ap-5, 0x1.7557c40e6684p-5, 0x1.d2e68fe6e16a5p-5, 0x1.184a0ef646342p-4, 0x1.47300c55bb49ep-4, 0x1.7623a74d8254cp-4, 0x1.a521cfffcc91dp-4, 0x1.d42601b121609p-4, 0x1.0195271daa432p-3, 0x1.1913b8641cb53p-3, 0x1.308a730b56bd3p-3, 0x1.47f484613ac9bp-3, 0x1.5f4c981ea93ep-3, 0x1.768ce8ad9891bp-3, 0x1.8daf4fc1b2221p-3, 0x1.a4ad56e268e7fp-3, 0x1.bb80479957e3p-3, 0x1.d2213b096c6f1p-3, 0x1.e88928c2979fep-3, 0x1.feb0f4b2fc401p-3, 0x1.0a48be10c2f23p-2, 0x1.1511d0d357416p-2, 0x1.1fb02c0fc375ep-2, 0x1.2a20564e3b8c7p-2, 0x1.345ee7a8b2287p-2, 0x1.3e688dc7ed26fp-2, 0x1.483a0f6af3eebp-2, 0x1.51d04f7ed03fdp-2, 0x1.5b284fccf8d5p-2, 0x1.643f3346e3db3p-2, 0x1.6d123ff53fb68p-2, 0x1.759ee09138cacp-2, 0x1.7de2a5ce00696p-2, 0x1.85db4758a5d8dp-2, 0x1.8d86a49409d64p-2, 0x1.94e2c5167f4d3p-2, 0x1.9bedd8ee7a4a7p-2, 0x1.a2a638b364c03p-2, 0x1.a90a656786776p-2, 0x1.af19082fab208p-2, 0x1.b4d0f1e4fcb14p-2, 0x1.ba311a855535bp-2, 0x1.bf38a08607826p-2, 0x1.c3e6c80cf31acp-2, 0x1.c83afa1372916p-2, 0x1.cc34c3767b5e5p-2, 0x1.cfd3d3f71401bp-2, 0x1.d317fd2df702ep-2, 0x1.d601317513f71p-2, 0x1.d88f82c95103cp-2, 0x1.dac321a6c1912p-2, 0x1.dc9c5be1455bap-2, 0x1.de1b9b7b50ed7p-2, 0x1.df41657c6d874p-2, 0x1.e00e58c8beb79p-2, 0x1.e0832cfabca7ep-2, 0x1.e0a0b1401d5f3p-2, 0x1.e067cb3ab829ep-2, 0x1.dfd975e617ea5p-2, 0x1.def6c0823c4d5p-2, 0x1.ddc0cd83fcacdp-2, 0x1.dc38d18b528ddp-2, 0x1.da60125fccd2p-2, 0x1.d837e5f3451e4p-2, 0x1.d5c1b16aed748p-2, 0x1.d2fee82eb751ap-2, 0x1.cff10aff0951bp-2, 0x1.cc99a710afffap-2, 0x1.c8fa552ef2116p-2, 0x1.c514b8e3a23d2p-2, 0x1.c0ea7fa5104efp-2, 0x1.bc7d6009b25bp-2, 0x1.b7cf19015b621p-2, 0x1.b2e17113dcaadp-2, 0x1.adb635a4ef101p-2, 0x1.a84f3a3d35a6fp-2, 0x1.a2ae57d8434d4p-2, 0x1.9cd56c377f81ap-2, 0x1.96c65939cc9cap-2, 0x1.90830437d88bfp-2, 0x1.8a0d556500c14p-2, 0x1.83673734b74bbp-2, 0x1.7c9295c456a38p-2, 0x1.75915e4955a49p-2, 0x1.6e657e83d58f5p-2, 0x1.6710e43578e9p-2, 0x1.5f957c9c8097ep-2, 0x1.57f533f32b463p-2, 0x1.5031f4f34c0c8p-2, 0x1.484da85e18647p-2, 0x1.404a348830069p-2, 0x1.38297ce9cede3p-2, 0x1.2fed61b337268p-2, 0x1.2797bf6542fa3p-2, 0x1.1f2a6e6e2691dp-2, 0x1.16a742ca59146p-2, 0x1.0e100ba9a1547p-2, 0x1.05669318475dep-2, 0x1.f9593b58c086p-3, 0x1.e7c7d46e622f8p-3, 0x1.d61c62f53df65p-3, 0x1.c45a4bc55319ep-3, 0x1.b284e685c0d4p-3, 0x1.a09f7d2f994ccp-3, 0x1.8ead4b988307dp-3, 0x1.7cb17f050f47ep-3, 0x1.6aaf35c2a9439p-3, 0x1.58a97ec8fbdcap-3, 0x1.46a35962b8bebp-3, 0x1.349fb4dd8979p-3, 0x1.22a170411d641p-3, 0x1.10ab5a0d206b2p-3, 0x1.fd805ffbd4b4bp-4, 0x1.d9c53dafaf79ap-4, 0x1.b62a84720149bp-4, 0x1.92b548e27653dp-4, 0x1.6f6a7cc05b0f9p-4, 0x1.4c4eeeb2884f9p-4, 0x1.29674a1ac0139p-4, 0x1.06b816f41678cp-4, 0x1.c88b737808e41p-5, 0x1.8428e6cb90e51p-5, 0x1.4050c2af5dab2p-5, 0x1.fa15f5c7969c5p-6, 0x1.74be7879d4411p-6, 0x1.e153b3500ba3cp-7, 0x1.b799624f37161p-8, -0x1.37e57cd615beep-10, -0x1.26ee201db34dbp-7, -0x1.11f7336c13a03p-6, -0x1.8ef2aecc467e2p-6, -0x1.052efbd5d0afcp-5, -0x1.42170575bf5ap-5, -0x1.7e2c35c57befep-5, -0x1.b96990a48cbep-5, -0x1.f3ca5b990999dp-5, -0x1.16a50e8625555p-4, -0x1.32f24dbf29889p-4, -0x1.4ecaee58429c4p-4, -0x1.6a2d12641fc03p-4, -0x1.8516fab4f3d29p-4, -0x1.9f8706667bfd7p-4, -0x1.b97bb264c718fp-4, -0x1.d2f398f0007f4p-4, -0x1.ebed711d7b304p-4, -0x1.0234072b21feep-3, -0x1.0e312fe9b0063p-3, -0x1.19edb80c030edp-3, -0x1.2569323500312p-3, -0x1.30a33e242fa54p-3, -0x1.3b9b8870655d7p-3, -0x1.4651ca41c3626p-3, -0x1.50c5c90b31343p-3, -0x1.5af756436294bp-3, -0x1.64e64f1d8033cp-3, -0x1.6e929c4182f33p-3, -0x1.77fc31845d07ep-3, -0x1.81230d9ff63eap-3, -0x1.8a0739eb22184p-3, -0x1.92a8ca1187d3ep-3, -0x1.9b07dbcba3fa1p-3, -0x1.a3249696dfe6cp-3, -0x1.aaff2b6dd8d2p-3, -0x1.b297d480e46bdp-3, -0x1.b9eed4eed9326p-3, -0x1.c104787e30818p-3, -0x1.c7d9135682594p-3, -0x1.ce6d01ba78c61p-3, -0x1.d4c0a7c22cd5ep-3, -0x1.dad4711615918p-3, -0x1.e0a8d0aa70586p-3, -0x1.e63e407b4f7bep-3, -0x1.eb9541493e62fp-3, -0x1.f0ae5a5687869p-3, -0x1.f58a192534e91p-3, -0x1.fa291135b88e3p-3, -0x1.fe8bdbc65e61ap-3, -0x1.01598bc9bbdb4p-2, -0x1.034fb44c2abe1p-2, -0x1.0528bbe888239p-2, -0x1.06e4f97e937dp-2, -0x1.0884c6317a778p-2, -0x1.0a087d4a04a83p-2, -0x1.0b707c193202p-2, -0x1.0cbd21db4a537p-2, -0x1.0deecf9b63f4p-2, -0x1.0f05e81763d47p-2, -0x1.1002cfa475a07p-2, -0x1.10e5ec13fb802p-2, -0x1.11afa4990008bp-2, -0x1.126061ae20aedp-2, -0x1.12f88cfbf8a4cp-2, -0x1.137891400bb4bp-2, -0x1.13e0da3431873p-2, -0x1.1431d4767f22bp-2, -0x1.146bed71b770cp-2, -0x1.148f9346398b2p-2, -0x1.149d34b374bd5p-2, -0x1.14954101de433p-2, -0x1.147827ed6a887p-2, -0x1.144659908c1bap-2, -0x1.1400464fb29c3p-2, -0x1.13a65ec54e7b8p-2, -0x1.133913ae5c33p-2, -0x1.12b8d5d76cd2dp-2, -0x1.1226160a32f1cp-2, -0x1.118144fb9713p-2, -0x1.10cad33a46c0fp-2, -0x1.1003311dcb8d7p-2, -0x1.0f2aceb61d37fp-2, -0x1.0e421bbbb9f77p-2, -0x1.0d4987803aca9p-2, -0x1.0c4180df6671dp-2, -0x1.0b2a7630c3137p-2, -0x1.0a04d539a457p-2, -0x1.08d10b1fb6d7ep-2, -0x1.078f845c048b5p-2, -0x1.0640acae71a72p-2, -0x1.04e4ef11b5fffp-2, -0x1.037cb5afca125p-2, -0x1.020869d6cc1d4p-2, -0x1.008873ee57251p-2, -0x1.fdfa76daa24cep-3, -0x1.face4da04f5b4p-3, -0x1.f78d371efa09p-3, -0x1.f437fc2e90551p-3, -0x1.f0cf637cb76e7p-3, -0x1.ed54317cbb875p-3, -0x1.e9c728584f3f4p-3, -0x1.e62907e11aa3fp-3, -0x1.e27a8d831c6b6p-3, -0x1.debc7437cf55fp-3, -0x1.daef747a1ba18p-3, -0x1.d714443b083e5p-3, -0x1.d32b96d72ca61p-3, -0x1.cf361d0cde0e6p-3, -0x1.cb3484f317151p-3, -0x1.c72779f10f594p-3, -0x1.c30fa4b68aea3p-3, -0x1.beedab34cff57p-3, -0x1.bac230984b805p-3, -0x1.b68dd542d7186p-3, -0x1.b25136c6a686p-3, -0x1.ae0cefe1cbe8ap-3, -0x1.a9c1987a5e8cfp-3, -0x1.a56fc59b2e802p-3, -0x1.a11809711758fp-3, -0x1.9cbaf348d52ebp-3, -0x1.98590f8d6f19bp-3, -0x1.93f2e7c7213e1p-3, -0x1.8f89029ad00f3p-3, -0x1.8b1be3c9f6b7fp-3, -0x1.86ac0c3315ef6p-3, -0x1.8239f9d298abbp-3, -0x1.7dc627c42cf0ap-3, -0x1.79510e448e162p-3, -0x1.74db22b3bde42p-3, -0x1.7064d797a2d56p-3, -0x1.6bee9c9f128bdp-3, -0x1.6778dea53a636p-3, -0x1.630407b5645fep-3, -0x1.5e907f0f1dbfp-3, -0x1.5a1ea92ab2dbdp-3, -0x1.55aee7bdf95bcp-3, -0x1.514199c17879fp-3, -0x1.4cd71b75ce038p-3, -0x1.486fc6696dedbp-3, -0x1.440bf17e9cdb6p-3, -0x1.3fabf0f1b484fp-3, -0x1.3b50165fa6948p-3, -0x1.36f8b0ccbdf5fp-3, -0x1.32a60cab96af8p-3, -0x1.2e5873e456d27p-3, -0x1.2a102ddc0d3dfp-3, -0x1.25cd7f7c4ed62p-3, -0x1.2190ab3afb4fap-3, -0x1.1d59f1222ed83p-3, -0x1.19298ed85d15cp-3, -0x1.14ffbfa8957ep-3, -0x1.10dcbc8ae3d29p-3, -0x1.0cc0bc2cd6713p-3, -0x1.08abf2fa26f0bp-3, -0x1.049e93257456ap-3, -0x1.0098ccb1223dbp-3, -0x1.f9359af08a5c2p-4, -0x1.f149826f54759p-4, -0x1.e96da32de06bep-4, -0x1.e1a24c635a6c1p-4, -0x1.d9e7c941526e7p-4, -0x1.d23e61063a459p-4, -0x1.caa65710089e9p-4, -0x1.c31feaeeda3e8p-4, -0x1.bbab5877af668p-4, -0x1.b448d7d72af97p-4, -0x1.acf89da451a2p-4, -0x1.a5badaf35e152p-4, -0x1.9e8fbd6873e72p-4, -0x1.97776f4a6dd31p-4, -0x1.907217959306ap-4, -0x1.897fda0e3f966p-4, -0x1.82a0d75388054p-4, -0x1.7bd52cf1c565dp-4, -0x1.751cf575111fep-4, -0x1.6e78487ba8414p-4, -0x1.67e73ac837f09p-4, -0x1.6169de540d8cbp-4, -0x1.5b0042612a4dp-4, -0x1.54aa738c35742p-4, -0x1.4e687bde4f059p-4, -0x1.483a62debd5ccp-4, -0x1.42202da4743d7p-4, -0x1.3c19dee776107p-4, -0x1.362777120abbfp-4, -0x1.3048f451cb072p-4, -0x1.2a7e52a880b6fp-4, -0x1.24c78bfcd6feap-4, -0x1.1f24982adcd84p-4, -0x1.19956d1455c16p-4, -0x1.1419feb0d7fa8p-4, -0x1.0eb23f1db929fp-4, -0x1.095e1eadc4761p-4, -0x1.041d8bf8bce69p-4, -0x1.fde0e7d552796p-5, -0x1.f3ad83a5cf5a3p-5, -0x1.e9a0bee6156c7p-5, -0x1.dfba6a1af9eebp-5, -0x1.d5fa52e7d6a6ep-5, -0x1.cc60442aea0d1p-5, -0x1.c2ec0619440dfp-5, -0x1.b99d5e5a3be15p-5, -0x1.b07410226de5ep-5, -0x1.a76fdc4e42eb1p-5, -0x1.9e90817c019c2p-5, -0x1.95d5bc2562505p-5, -0x1.8d3f46b8ae0aap-5, -0x1.84ccd9b161a02p-5, -0x1.7c7e2bb0593e5p-5, -0x1.7452f1938125fp-5, -0x1.6c4ade8d0b9abp-5, -0x1.6465a43a2fe7p-5, -0x1.5ca2f2b96ddfep-5, -0x1.550278c057ac6p-5, -0x1.4d83e3b0e662fp-5, -0x1.4626dfae4ffccp-5, -0x1.3eeb17b16c583p-5, -0x1.37d0359c9c451p-5, -0x1.30d5e24f3dddep-5, -0x1.29fbc5b8a99a7p-5, -0x1.234186eab8763p-5, -0x1.1ca6cc2bd7bd1p-5, -0x1.162b3b08a7ae8p-5, -0x1.0fce786526b8bp-5, -0x1.0990288d6b0ecp-5, -0x1.036fef45ed0ffp-5, -0x1.fadadfb6bd432p-6, -0x1.ef109a642aecep-6, -0x1.e38053aa113bep-6, -0x1.d8295008bbad1p-6, -0x1.cd0ad38721adcp-6, -0x1.c22421ce54b4dp-6, -0x1.b7747e4429532p-6, -0x1.acfb2c25061f7p-6, -0x1.a2b76e9cece5bp-6, -0x1.98a888dfb92d3p-6, -0x1.8ecdbe409414cp-6, -0x1.85265248a8c86p-6, -0x1.7bb188cd13ee1p-6, -0x1.726ea60417e46p-6, -0x1.695cee99919a5p-6, -0x1.607ba7c2baaa1p-6, -0x1.57ca17512c0ccp-6, -0x1.4f4783c539542p-6, -0x1.46f3345f9656fp-6, -0x1.3ecc71324cf12p-6, -0x1.36d2833113bbep-6, -0x1.2f04b440f0a09p-6, -0x1.27624f4744d4fp-6, -0x1.1feaa0382e8c3p-6, -0x1.189cf42454c63p-6, -0x1.1178994612acbp-6, -0x1.0a7cdf0e10939p-6, -0x1.03a9162f43914p-6, -0x1.f9f92154c926bp-7, -0x1.eced43b19ee7dp-7, -0x1.e02d3cedbb87fp-7, -0x1.d3b7b95b6f538p-7, -0x1.c78b68393b461p-7, -0x1.bba6fbc36fadbp-7, -0x1.b0092944b58c9p-7, -0x1.a4b0a925b5658p-7, -0x1.999c36fbbde2ep-7, -0x1.8eca91968c20ep-7, -0x1.843a7b0d1c448p-7, -0x1.79eab8c9a6f7fp-7, -0x1.6fda1394c088dp-7, -0x1.6607579f9de25p-7, -0x1.5c71548d947ecp-7, -0x1.5316dd7cc19cep-7, -0x1.49f6c90dfd502p-7, -0x1.410ff16bfe66cp-7, -0x1.38613451d1a0ap-7, -0x1.2fe97310942bp-7, -0x1.27a792948269cp-7, -0x1.1f9a7b695b31p-7, -0x1.17c119be1f758p-7, -0x1.101a5d6830001p-7, -0x1.08a539e5d2012p-7, -0x1.0160a6601c35fp-7, -0x1.f4973b58a5e74p-8, -0x1.e6ca3c99712bap-8, -0x1.d95854e1a7ba7p-8, -0x1.cc3f8fea6a7edp-8, -0x1.bf7e00c578497p-8, -0x1.b311c1dac2d9cp-8, -0x1.a6f8f4e51a47ap-8, -0x1.9b31c2edf1e5cp-8, -0x1.8fba5c484caf9p-8, -0x1.8490f88ad533fp-8, -0x1.79b3d6892b1e7p-8, -0x1.6f213c4c6e88bp-8, -0x1.64d7770b0f457p-8, -0x1.5ad4db1fe96eep-8, -0x1.5117c400b642p-8, -0x1.479e9433d8081p-8, -0x1.3e67b54588effp-8, -0x1.357197bc7278cp-8, -0x1.2cbab30db7d72p-8, -0x1.2441859075067p-8, -0x1.1c049470bca74p-8, -0x1.14026ba21b6d1p-8, -0x1.0c399dd1a4334p-8, -0x1.04a8c4578d2bbp-8, -0x1.fa9cfe50c93f6p-9, -0x1.ec52e98bc4195p-9, -0x1.de70a45eafaadp-9, -0x1.d0f395a39e333p-9, -0x1.c3d930ef9e386p-9, -0x1.b71ef671af13bp-9, -0x1.aac272d12561ap-9, -0x1.9ec13f0b86a55p-9, -0x1.93190051ea332p-9, -0x1.87c767e5e5933p-9, -0x1.7cca32f60e7e6p-9, -0x1.721f2a7a18a68p-9, -0x1.67c4230ea02ddp-9, -0x1.5db6fcd09facdp-9, -0x1.53f5a3389d99dp-9, -0x1.4a7e0cf59d733p-9, -0x1.414e3bc7d2fe4p-9, -0x1.38643c5b287bap-9, -0x1.2fbe262197d34p-9, -0x1.275a1b2d655a2p-9, -0x1.1f36480b38405p-9, -0x1.1750e39c22ac8p-9, -0x1.0fa82eef97433p-9, -0x1.083a751d563c9p-9, -0x1.01060b1f5718ep-9, -0x1.f4129f576feeap-10, -0x1.e685561d58b69p-10, -0x1.d9611e0904eedp-10, -0x1.cca2ed276894dp-10, -0x1.c047cbce2542cp-10, -0x1.b44cd450151f3p-10, -0x1.a8af32b214d91p-10, -0x1.9d6c24601d94ep-10, -0x1.9280f7e2a807ep-10, -0x1.87eb0c946d071p-10, -0x1.7da7d25883892p-10, -0x1.73b4c950ee1f4p-10, -0x1.6a0f81959122ep-10, -0x1.60b59aeb9f1c8p-10, -0x1.57a4c47d82234p-10, -0x1.4edabc934a183p-10, -0x1.4655504b9e9c4p-10, -0x1.3e125b554243ep-10, -0x1.360fc7a920476p-10, -0x1.2e4b8d44fe949p-10, -0x1.26c3b1e6bedd9p-10, -0x1.1f7648c8488abp-10, -0x1.1861725c0f2bcp-10, -0x1.11835c0a4d0e9p-10, -0x1.0ada3feedc95cp-10, -0x1.04646497c5b4fp-10, -0x1.fc4039890943ap-11, -0x1.f0178e4bf344dp-11, -0x1.e44b9c3e32515p-11, -0x1.d8d94f0ca7209p-11, -0x1.cdbda8cf74edcp-11, -0x1.c2f5c18fc75bap-11, -0x1.b87ec6cf1c54ep-11, -0x1.ae55fb101175p-11, -0x1.a478b560b9ee6p-11, -0x1.9ae460e67f2e7p-11, -0x1.91967c6b8ef22p-11, -0x1.888c99edd779bp-11, -0x1.7fc45e2f96949p-11, -0x1.773b804978d2dp-11, -0x1.6eefc93e4f293p-11, -0x1.66df139056881p-11, -0x1.5f074ad815e51p-11, -0x1.57666b5cd1d1ap-11, -0x1.4ffa81ae952a7p-11, -0x1.48c1aa41cee06p-11, -0x1.41ba110c866eap-11, -0x1.3ae1f12522425p-11, -0x1.34379462c3af5p-11, -0x1.2db952ff354a4p-11, -0x1.2765933a68f48p-11, -0x1.213ac8ff87672p-11, -0x1.1b37758b8d688p-11, -0x1.155a271576004p-11, -0x1.0fa17877ed287p-11, -0x1.0a0c10dc8de8cp-11, -0x1.0498a368a3fbp-11, -0x1.fe8bddd6e431ap-12, -0x1.f4257b1bf23bap-12, -0x1.e9fbc9087bf23p-12, -0x1.e00c878014bd4p-12, -0x1.d6558b4a4e32cp-12, -0x1.ccd4bd7e14b9ep-12, -0x1.c3881aeff49fbp-12, -0x1.ba6db3a339a7bp-12, -0x1.b183aa3de8a57p-12, -0x1.a8c8337f884f3p-12, -0x1.a03995bab4562p-12, -0x1.97d6285172355p-12, -0x1.8f9c53343eb5dp-12, -0x1.878a8e63d49abp-12, -0x1.7f9f617596d79p-12, -0x1.77d9631aa585fp-12, -0x1.703738a98b226p-12, -0x1.68b795aa7e777p-12, -0x1.61593b66311adp-12, -0x1.5a1af87720944p-12, -0x1.52fba85d62fa1p-12, -0x1.4bfa3314e927ap-12, -0x1.45158cae2898bp-12, -0x1.3e4cb4e927811p-12, -0x1.379eb6d2e86ep-12, -0x1.310aa8651e04cp-12, -0x1.2a8faa2831aeep-12, -0x1.242ce6d78313ep-12, -0x1.1de19307e22e6p-12, -0x1.17acecd039a09p-12, -0x1.118e3b745f5f8p-12, -0x1.0b84cf120073dp-12, -0x1.0590004fa58d9p-12, -0x1.ff5e601b87a21p-13, -0x1.f3c38e33a2998p-13, -0x1.e84e6bc6a9fb7p-13, -0x1.dcfde865d3a68p-13, -0x1.d1d101c65db04p-13, -0x1.c6c6c3372ee15p-13, -0x1.bbde451a280dp-13, -0x1.b116ac6121c31p-13, -0x1.a66f2a0e733a6p-13, -0x1.9be6fab8feda8p-13, -0x1.917d6613b260ap-13, -0x1.8731be785f9a3p-13, -0x1.7d036075ef82p-13, -0x1.72f1b261cf53cp-13, -0x1.68fc23ec9146bp-13, -0x1.5f222db9a984ep-13, -0x1.556350fa41117p-13, -0x1.4bbf170b064adp-13, -0x1.42351114ee6dbp-13, -0x1.38c4d7b0de302p-13, -0x1.2f6e0a8e1d888p-13, -0x1.2630501b94d32p-13, -0x1.1d0b5533bf863p-13, -0x1.13fecccb426f2p-13, -0x1.0b0a6fa218defp-13, -0x1.022dfbf750a8cp-13, -0x1.f2d26a7e70413p-14, -0x1.e177c7b80a9dcp-14, -0x1.d04ba9b19ba11p-14, -0x1.bf4db34dbf33fp-14, -0x1.ae7d8fbaa08fp-14, -0x1.9ddaf1f592c19p-14, -0x1.8d65945300866p-14, -0x1.7d1d380a86e96p-14, -0x1.6d01a4c73a32ap-14, -0x1.5d12a83bec047p-14, -0x1.4d5015bb5ead8p-14, -0x1.3db9c5d44de7dp-14, -0x1.2e4f95f1325aep-14, -0x1.1f1167fba98a9p-14, -0x1.0fff22036b80cp-14, -0x1.0118ade8b5541p-14, -0x1.e4bbf21425267p-15, -0x1.c79de7eadfeb3p-15, -0x1.aad72438c0e1fp-15, -0x1.8e679316fd16ep-15, -0x1.724f2549aeb8cp-15, -0x1.568dcfba8c61fp-15, -0x1.3b238af95f14dp-15, -0x1.201052c20fa3bp-15, -0x1.0554258819718p-15, }}, 
      {{0x1.430790e85cc75p-7, 0x1.430f4961a35dfp-6, 0x1.e4a9ccfc8131ap-6, 0x1.432ce48ae79d6p-5, 0x1.94124341c01c3p-5, 0x1.e506ec4c2564bp-5, 0x1.1b05f94f2ce6cp-4, 0x1.4390bf402271bp-4, 0x1.6c236072ea218p-4, 0x1.94bcf6a0169e9p-4, 0x1.bd5c1c71a8cfep-4, 0x1.e5feef8fb3edp-4, 0x1.07518a4e6a9e2p-3, 0x1.1ba2de609da99p-3, 0x1.2ff1d63670ebbp-3, 0x1.443ca181bbe4cp-3, 0x1.58814197239fcp-3, 0x1.6cbd8dccea70ep-3, 0x1.80ef37f6bb346p-3, 0x1.9513d0e9b0fap-3, 0x1.a928ccf77961fp-3, 0x1.bd2b8852a8207p-3, 0x1.d1194b515ad11p-3, 0x1.e4ef4e85bcc7bp-3, 0x1.f8aabea623d2bp-3, 0x1.062460203b73ap-2, 0x1.0fe3399af4afcp-2, 0x1.19907afec6857p-2, 0x1.232ab4568ad8bp-2, 0x1.2cb077e409c4ep-2, 0x1.36205b6b40b3dp-2, 0x1.3f78f961fed7ep-2, 0x1.48b8f204b04c3p-2, 0x1.51deec51552f8p-2, 0x1.5ae996e9b484ep-2, 0x1.63d7a8dde6885p-2, 0x1.6ca7e2606c86p-2, 0x1.75590d64efafp-2, 0x1.7de9fe2ae8da1p-2, 0x1.865993b548e85p-2, 0x1.8ea6b830584edp-2, 0x1.96d06146e57b2p-2, 0x1.9ed59067e0d5p-2, 0x1.a6b552fd76283p-2, 0x1.ae6ec296b506ap-2, 0x1.b6010504c02f5p-2, 0x1.bd6b4c6c8856fp-2, 0x1.c4acd74dfa89fp-2, 0x1.cbc4f081866a9p-2, 0x1.d2b2ef2ce08c5p-2, 0x1.d97636afc90a2p-2, 0x1.e00e3689a0a6p-2, 0x1.e67a6a388ae1ep-2, 0x1.ecba5912c664ep-2, 0x1.f2cd961aeb98ep-2, 0x1.f8b3bfcfa5b72p-2, 0x1.fe6c7ff77999ap-2, 0x1.01fbc5b490ab5p-1, 0x1.04aa50e87c1dfp-1, 0x1.0741c6b9f531cp-1, 0x1.09c211782685fp-1, 0x1.0c2b207e81c34p-1, 0x1.0e7ce813a3ea4p-1, 0x1.10b76147aea68p-1, 0x1.12da89d240e0ap-1, 0x1.14e663f025a51p-1, 0x1.16daf640dda91p-1, 0x1.18b84ba416c72p-1, 0x1.1a7e731728c29p-1, 0x1.1c2d7f92adc0bp-1, 0x1.1dc587e840cc5p-1, 0x1.1f46a6a078d31p-1, 0x1.20b0f9d9259adp-1, 0x1.2204a323def54p-1, 0x1.2341c764eb798p-1, 0x1.24688eb28988fp-1, 0x1.257924349e252p-1, 0x1.2673b604d30a9p-1, 0x1.2758750f23d89p-1, 0x1.282794f2e2d9fp-1, 0x1.28e14be433ab4p-1, 0x1.2985d28e0371fp-1, 0x1.2a1563f47b1efp-1, 0x1.2a903d57f1e54p-1, 0x1.2af69e185dea3p-1, 0x1.2b48c799475c1p-1, 0x1.2b86fd263adcp-1, 0x1.2bb183d7bf2fep-1, 0x1.2bc8a278cc79bp-1, 0x1.2bcca16cc6b77p-1, 0x1.2bbdca95fb1a6p-1, 0x1.2b9c693ca06ep-1, 0x1.2b68c9f65aff6p-1, 0x1.2b233a8e44053p-1, 0x1.2acc09ed74c04p-1, 0x1.2a63880414739p-1, 0x1.29ea05b2eb2e8p-1, 0x1.295fd4b57817bp-1, 0x1.28c5478c8a8fp-1, 0x1.281ab1695fb16p-1, 0x1.276066194324dp-1, 0x1.2696b9f1b3d51p-1, 0x1.25be01bd0bf8ep-1, 0x1.24d692a7aa9c9p-1, 0x1.23e0c22da26fap-1, 0x1.22dce608e8c61p-1, 0x1.21cb542008c39p-1, 0x1.20ac62755610fp-1, 0x1.1f806716a2318p-1, 0x1.1e47b80d720c2p-1, 0x1.1d02ab4fb1756p-1, 0x1.1bb196b0e8e84p-1, 0x1.1a54cfd3edf3ap-1, 0x1.18ecac1d13db7p-1, 0x1.177980a4d59d2p-1, 0x1.15fba22afd13ap-1, 0x1.1473650a430d6p-1, 0x1.12e11d2c67ac8p-1, 0x1.11451dfec30f3p-1, 0x1.0f9fba674a85dp-1, 0x1.0df144ba0a8c3p-1, 0x1.0c3a0eaf14a7ap-1, 0x1.0a7a6958dba83p-1, 0x1.08b2a51b0243cp-1, 0x1.06e311a195a9cp-1, 0x1.050bfdd8b40fdp-1, 0x1.032db7e49dad7p-1, 0x1.01488d1a2d49fp-1, 0x1.feb993ef6e189p-2, 0x1.fad5743c98e48p-2, 0x1.f6e55096be8e2p-2, 0x1.f2e9bca591c15p-2, 0x1.eee34a32570b8p-2, 0x1.ead2891d64c5cp-2, 0x1.e6b80754527a2p-2, 0x1.e29450c8d986dp-2, 0x1.de67ef685f145p-2, 0x1.da336b1427cfdp-2, 0x1.d5f7499a29f94p-2, 0x1.d1b40eae7dc64p-2, 0x1.cd6a3be56b384p-2, 0x1.c91a50ae08341p-2, 0x1.c4c4ca4d6ad02p-2, 0x1.c06a23da677e9p-2, 0x1.bc0ad639d78e2p-2, 0x1.b7a7581b639c3p-2, 0x1.b3401df6d0a59p-2, 0x1.aed59a09c599ap-2, 0x1.aa683c560b30ep-2, 0x1.a5f872a040503p-2, 0x1.a186a86efcd01p-2, 0x1.9d13470a60e59p-2, 0x1.989eb57c0f6a8p-2, 0x1.9429588f88e7fp-2, 0x1.8fb392d2e924p-2, 0x1.8b3dc498033f6p-2, 0x1.86c84bf5d71a2p-2, 0x1.825384ca59675p-2, 0x1.7ddfc8bc9427cp-2, 0x1.796d6f3f11e86p-2, 0x1.74fccd92982b5p-2, 0x1.708e36c927bebp-2, 0x1.6c21fbc944c35p-2, 0x1.67b86b51818d5p-2, 0x1.6351d1fc46a6dp-2, 0x1.5eee7a43db79p-2, 0x1.5a8eac86a34bfp-2, 0x1.5632af0b95a56p-2, 0x1.51dac606e9acap-2, 0x1.4d87339ef17e6p-2, 0x1.493837f126c2ap-2, 0x1.44ee1117610abp-2, 0x1.40a8fb2d382a7p-2, 0x1.3c6930558db58p-2, 0x1.382ee8c03a1cfp-2, 0x1.33fa5aafdebdfp-2, 0x1.2fcbba7fd6b9fp-2, 0x1.2ba33aaa485acp-2, 0x1.27810bce50d98p-2, 0x1.23655cb64afa1p-2, 0x1.1f505a5e307a2p-2, 0x1.1b422ffa0ca7bp-2, 0x1.173b06fc8b1cbp-2, 0x1.133b071d917a1p-2, 0x1.0f425660f071bp-2, 0x1.0b51191d1fcefp-2, 0x1.076772020ba6cp-2, 0x1.0385821fec86p-2, 0x1.ff56d1dc4f153p-3, 0x1.f7b288a4791f4p-3, 0x1.f01e614d709d5p-3, 0x1.e89a91845db84p-3, 0x1.e1274bfc7351bp-3, 0x1.d9c4c07cf20fap-3, 0x1.d2731bef36d7ep-3, 0x1.cb32886cc07f8p-3, 0x1.c4032d4d40089p-3, 0x1.bce52f34a013dp-3, 0x1.b5d8b02108ce2p-3, 0x1.aeddcf78e3dd6p-3, 0x1.a7f4aa18ca503p-3, 0x1.a11d5a6177d4ap-3, 0x1.9a57f845a2aa8p-3, 0x1.93a49957d1d2dp-3, 0x1.8d0350d81d427p-3, 0x1.86742fc1d816ap-3, 0x1.7ff744d933c08p-3, 0x1.798c9cb8c1c36p-3, 0x1.733441dee760bp-3, 0x1.6cee3cbb351d8p-3, 0x1.66ba93bba92c8p-3, 0x1.60994b59d30dbp-3, 0x1.5a8a6627e0508p-3, 0x1.548de4dd89aa8p-3, 0x1.4ea3c664e2268p-3, 0x1.48cc07e7086b8p-3, 0x1.4306a4d8ba1b4p-3, 0x1.3d539706c15e5p-3, 0x1.37b2d6a2464a6p-3, 0x1.32245a4cf8b33p-3, 0x1.2ca817251b32bp-3, 0x1.273e00d1669b6p-3, 0x1.21e6098ccbfe9p-3, 0x1.1ca022320ab72p-3, 0x1.176c3a47288c1p-3, 0x1.124a4008beb9dp-3, 0x1.0d3a20751e84ep-3, 0x1.083bc757537e2p-3, 0x1.034f1f51f485ep-3, 0x1.fce823d3af8e4p-4, 0x1.f3550f21275e2p-4, 0x1.e9e4cf5db5e4ep-4, 0x1.e097315d63bfp-4, 0x1.d76c000ae4db3p-4, 0x1.ce63047b5bfd6p-4, 0x1.c57c0601bd807p-4, 0x1.bcb6ca41e4af9p-4, 0x1.b4131543512a4p-4, 0x1.ab90a983935aep-4, 0x1.a32f480854a7cp-4, 0x1.9aeeb07123d2fp-4, 0x1.92cea108d00fdp-4, 0x1.8aced6d6821f4p-4, 0x1.82ef0dae76c75p-4, 0x1.7b2f0042674f6p-4, 0x1.738e68319a8e1p-4, 0x1.6c0cfe18a2c06p-4, 0x1.64aa79a0c5b53p-4, 0x1.5d66918f113aep-4, 0x1.5640fbd31ac1ep-4, 0x1.4f396d956bc95p-4, 0x1.484f9b459b6f8p-4, 0x1.418338a814459p-4, 0x1.3ad3f8e388aecp-4, 0x1.34418e8e15a01p-4, 0x1.2dcbabba13eb4p-4, 0x1.2772020298f8p-4, 0x1.21344297a8255p-4, 0x1.1b121e4a14a74p-4, 0x1.150b459714c11p-4, 0x1.0f1f68b3876aap-4, 0x1.094e3796edc97p-4, 0x1.03976206168d4p-4, 0x1.fbf52f3affe27p-5, 0x1.f0ef0fb6dc2e7p-5, 0x1.e61bc4536ea5bp-5, 0x1.db7aabce91b6bp-5, 0x1.d10b24e2c38dcp-5, 0x1.c6cc8e59116bep-5, 0x1.bcbe471a7315cp-5, 0x1.b2dfae409f81bp-5, 0x1.a930232655223p-5, 0x1.9faf05771d31cp-5, 0x1.965bb53e8c1bep-5, 0x1.8d3592f6fa161p-5, 0x1.843bff97c093bp-5, 0x1.7b6e5ca2f4d74p-5, 0x1.72cc0c32a59bep-5, 0x1.6a547105a11e9p-5, 0x1.6206ee8bbfa7ap-5, 0x1.59e2e8f1b6ce9p-5, 0x1.51e7c52c79afdp-5, 0x1.4a14e90425bacp-5, 0x1.4269bb1e7ddb1p-5, 0x1.3ae5a308f99d9p-5, 0x1.338809426417fp-5, 0x1.2c505744135fdp-5, 0x1.253df78ab619ap-5, 0x1.1e50559ebb593p-5, 0x1.1786de1c541ecp-5, 0x1.10e0febb173d7p-5, 0x1.0a5e26553f388p-5, 0x1.03fdc4ee8e0e2p-5, 0x1.fb7e9775a56e5p-6, 0x1.ef445a482bf94p-6, 0x1.e34bb9a0dbdd7p-6, 0x1.d7939f4ef7b93p-6, 0x1.cc1af7af2b015p-6, 0x1.c0e0b1b53b34fp-6, 0x1.b5e3bef51196ep-6, 0x1.ab2313ab32891p-6, 0x1.a09da6c490f27p-6, 0x1.965271e5d704bp-6, 0x1.8c407172159a2p-6, 0x1.8266a490ebc47p-6, 0x1.78c40d341f818p-6, 0x1.6f57b01cb7c6ep-6, 0x1.662094df8ca09p-6, 0x1.5d1dc5e95b77p-6, 0x1.544e5082624bbp-6, 0x1.4bb144d17db49p-6, 0x1.4345b5dedb2d5p-6, 0x1.3b0ab9962f8f3p-6, 0x1.32ff68c888345p-6, 0x1.2b22df2db124cp-6, 0x1.23743b652ee5dp-6, 0x1.1bf29ef6dc1a4p-6, 0x1.149d2e531efd3p-6, 0x1.0d7310d2c9038p-6, 0x1.067370b696158p-6, 0x1.ff3af64cad46p-7, 0x1.f1e0c05f9196bp-7, 0x1.e4d6a58a31b5p-7, 0x1.d81b117639a1ap-7, 0x1.cbac758e74216p-7, 0x1.bf8948fa149e7p-7, 0x1.b3b008976d437p-7, 0x1.a81f36f620cb6p-7, 0x1.9cd55c50d0062p-7, 0x1.91d106864e55p-7, 0x1.8710c9125fee5p-7, 0x1.7c933d05fdb02p-7, 0x1.725700ff366f6p-7, 0x1.685ab9209e469p-7, 0x1.5e9d0f086102cp-7, 0x1.551cb1c6f20b2p-7, 0x1.4bd855d55c963p-7, 0x1.42ceb50b4babp-7, 0x1.39fe8e94aa6a4p-7, 0x1.3166a6e70a7eep-7, 0x1.2905c7b6b424ep-7, 0x1.20dabfeb74e38p-7, 0x1.18e463952a94cp-7, 0x1.11218be010a4dp-7, 0x1.09911708d2111p-7, 0x1.0231e85064ccp-7, 0x1.f605cfdf61d4fp-8, 0x1.e806061610c6dp-8, 0x1.da62574ae2b3ap-8, 0x1.cd18b1278d7d4p-8, 0x1.c0270adf65e53p-8, 0x1.b38b65150e723p-8, 0x1.a743c9bfe237bp-8, 0x1.9b4e4c1129da6p-8, 0x1.8fa908591650dp-8, 0x1.845223eb8f2bp-8, 0x1.7947cd04d418dp-8, 0x1.6e883aadf9909p-8, 0x1.6411aca146c7dp-8, 0x1.59e26b2e73dd6p-8, 0x1.4ff8c71ed68fbp-8, 0x1.4653199977067p-8, 0x1.3cefc4071ac2p-8, 0x1.33cd2ff64370cp-8, 0x1.2ae9ceff29431p-8, 0x1.22441aa7b1deep-8, 0x1.19da94476b8bdp-8, 0x1.11abc4eb8d28bp-8, 0x1.09b63d3afe027p-8, 0x1.01f8955a6c4ep-8, 0x1.f4e2d9a0e75acp-9, 0x1.e63ed4d3aa514p-9, 0x1.d802783b8d069p-9, 0x1.ca2b2de4b53ep-9, 0x1.bcb66dc20b784p-9, 0x1.afa1bd7681605p-9, 0x1.a2eab01e97d66p-9, 0x1.968ee61a2f491p-9, 0x1.8a8c0cd6a2eefp-9, 0x1.7edfde99350f6p-9, 0x1.73882249cfbe1p-9, 0x1.6882ab3e1cd74p-9, 0x1.5dcd5904fe404p-9, 0x1.5366173264bb5p-9, 0x1.494add2b88af4p-9, 0x1.3f79adf39025ap-9, 0x1.35f097f898fd6p-9, 0x1.2cadb4e133b46p-9, 0x1.23af295a4fe8bp-9, 0x1.1af324e5984ffp-9, 0x1.1277e1a847b8p-9, 0x1.0a3ba43a716f3p-9, 0x1.023cbb76ca96ap-9, 0x1.f4f30095cff93p-10, 0x1.e5e0ab0ffe439p-10, 0x1.d73f4f68475p-10, 0x1.c90bd9b812175p-10, 0x1.bb4348ca8bb07p-10, 0x1.ade2adc22f8d4p-10, 0x1.a0e72bbf6b71dp-10, 0x1.944df78839fe4p-10, 0x1.88145730e1f42p-10, 0x1.7c37a1c5b5107p-10, 0x1.70b53ef5ecdfcp-10, 0x1.658aa6bf9389dp-10, 0x1.5ab5611c8976ap-10, 0x1.503305b096eb1p-10, 0x1.46013b789dep-10, 0x1.3c1db87ad8f0dp-10, 0x1.328641783de53p-10, 0x1.2938a99eed528p-10, 0x1.2032d23dbcd67p-10, 0x1.1772aa78df4ccp-10, 0x1.0ef62eff98fb1p-10, 0x1.06bb69c317595p-10, 0x1.fd80e35ca8f3p-11, 0x1.ee06d4be2c551p-11, 0x1.df0507c003ec2p-11, 0x1.d077f4c78533fp-11, 0x1.c25c2c02852e5p-11, 0x1.b4ae54e1eee3dp-11, 0x1.a76b2d967c2d3p-11, 0x1.9a8f8a8f8d2cbp-11, 0x1.8e1855fc18d49p-11, 0x1.82028f4db882dp-11, 0x1.764b4abdc7092p-11, 0x1.6aefb0d490a7fp-11, 0x1.5fecfdf291bb8p-11, 0x1.554081dbbeb35p-11, 0x1.4ae79f44d1472p-11, 0x1.40dfcb6299c85p-11, 0x1.37268d7b4a34bp-11, 0x1.2db97e79bdf73p-11, 0x1.24964882b3c2ap-11, 0x1.1bbaa68bf9116p-11, 0x1.132463f580505p-11, 0x1.0ad15c245c86ap-11, 0x1.02bf7a1fa073ap-11, 0x1.f5d9705e3282bp-12, 0x1.e6ae3ef7c17b4p-12, 0x1.d7f98f65844c9p-12, 0x1.c9b7ad50d7cccp-12, 0x1.bbe4fffed4e2fp-12, 0x1.ae7e099fc75adp-12, 0x1.a17f66a2247cep-12, 0x1.94e5cd08ecb35p-12, 0x1.88ae0bc575faap-12, 0x1.7cd50a148c34bp-12, 0x1.7157c6dee51dp-12, 0x1.6633581cd326ep-12, 0x1.5b64ea3d365f5p-12, 0x1.50e9bf8f95b42p-12, 0x1.46bf2fb15e5ffp-12, 0x1.3ce2a6fe38d1ap-12, 0x1.3351a6036926p-12, 0x1.2a09c0f633199p-12, 0x1.21089f2d2fe09p-12, 0x1.184bfa9c90f2bp-12, 0x1.0fd19f5541d2ep-12, 0x1.07976b06da6bp-12, 0x1.ff369908c228cp-13, 0x1.efb68697870f6p-13, 0x1.e0aabe200b9dp-13, 0x1.d20f7e8c30b2cp-13, 0x1.c3e1256894d62p-13, 0x1.b61c2e08a0969p-13, 0x1.a8bd30af95923p-13, 0x1.9bc0e1bea3b56p-13, 0x1.8f2410e7d5de3p-13, 0x1.82e3a865d32ffp-13, 0x1.76fcac3850294p-13, 0x1.6b6c39652daf5p-13, 0x1.602f853e19ebp-13, 0x1.5543dcaab3e02p-13, 0x1.4aa6a3770db53p-13, 0x1.405553a681f87p-13, 0x1.364d7ccac55b5p-13, 0x1.2c8cc35f1c947p-13, 0x1.2310e027aab15p-13, 0x1.19d79f94bdb95p-13, 0x1.10dee12a096b5p-13, 0x1.082496e9b6dddp-13, 0x1.ff4d89868733p-14, 0x1.eec7000c14b4ap-14, 0x1.deb1ddaeee87dp-14, 0x1.cf0a8f598369ep-14, 0x1.bfcda1904ca3dp-14, 0x1.b0f7bf731e86ap-14, 0x1.a285b1c51a95ep-14, 0x1.94745dfb3e253p-14, 0x1.86c0c55155929p-14, 0x1.796803e53a865p-14, 0x1.6c674fd83ad36p-14, 0x1.5fbbf87685305p-14, 0x1.536365647b5eap-14, 0x1.475b15d1caf0dp-14, 0x1.3ba09fb22a18fp-14, 0x1.3031aefb9b234p-14, 0x1.250c04ea16e81p-14, 0x1.1a2d77487f946p-14, 0x1.0f93efbebde2dp-14, 0x1.053d6b24eb393p-14, 0x1.f64ff1b6d69abp-15, 0x1.e2a3744fb0ffbp-15, 0x1.cf71c32d4eb54p-15, 0x1.bcb764c2c80d3p-15, 0x1.aa70ffb2e26e9p-15, 0x1.989b59ae52c4ap-15, 0x1.8733565a96c4cp-15, 0x1.7635f6412f5bbp-15, 0x1.65a055c707a81p-15, 0x1.556fac2bd5599p-15, 0x1.45a14a914738p-15, 0x1.36329b09c6bc6p-15, 0x1.27211faeaa257p-15, 0x1.186a71bd9d05dp-15, 0x1.0a0c40bd15816p-15, 0x1.f808a34f5b049p-16, 0x1.dca0fc3c58c24p-16, 0x1.c1dd6740314c4p-16, 0x1.a7b9e59555f27p-16, 0x1.8e329d3bdeeap-16, 0x1.7543d78ff33bfp-16, 0x1.5ce9ffebe4dbbp-16, 0x1.4521a255d4f05p-16, 0x1.2de76a3873829p-16, 0x1.17382126a6ad9p-16, 0x1.0110ada9c2da6p-16, 0x1.d6dc243419609p-17, 0x1.ac9ad70281fa6p-17, 0x1.8357e10db6814p-17, 0x1.5b0de0cbacc91p-17, 0x1.33b7a3d748f7p-17, 0x1.0d50250036734p-17, 0x1.cfa514d86a005p-18, 0x1.867447929a54fp-18, 0x1.3f04d120f9a07p-18, 0x1.f29bd9617ceb7p-19, 0x1.6a8e3cdd74df1p-19, 0x1.cba0c1a78bae4p-20, 0x1.91497c991c858p-21, -0x1.9fb2e4cbf960ep-23, -0x1.2a4e6675ca725p-20, -0x1.0d4026485e8a9p-19, -0x1.82540e2ec6ff4p-19, -0x1.f47086b18518ep-19, -0x1.31d162b0a8504p-18, -0x1.67fbcf18274a1p-18, -0x1.9cbdc3ec24677p-18, -0x1.d01d500a2b0e2p-18, -0x1.01102bebda7f4p-17, -0x1.19664b9a452cep-17, -0x1.3113d1ac743adp-17, -0x1.481b7650082a5p-17, -0x1.5e7fe01fef5e9p-17, -0x1.7443a4f707193p-17, -0x1.89694ab9d46a9p-17, -0x1.9df34817b30d3p-17, -0x1.b1e40543ab504p-17, -0x1.c53ddca540593p-17, -0x1.d8031b818805p-17, -0x1.ea36029cb6337p-17, -0x1.fbd8c6d46da22p-17, -0x1.0676c8d987fe2p-16, -0x1.0ebb40fe2c084p-16, -0x1.16bad619ad7f7p-16, -0x1.1e768d8d292f3p-16, -0x1.25ef681624a5cp-16, -0x1.2d266208797eep-16, -0x1.341c7385701aap-16, -0x1.3ad290b01ea6bp-16, -0x1.4149a9df2e57ap-16, -0x1.4782abcc198e8p-16, -0x1.4d7e7fbffab2p-16, -0x1.533e0bbe04f3ap-16, -0x1.58c232abc31b4p-16, -0x1.5e0bd47725b6cp-16, -0x1.631bce3a81d3cp-16, -0x1.67f2fa5e8eac9p-16, -0x1.6c9230ba7ac7cp-16, -0x1.70fa46b2263c4p-16, -0x1.752c0f529cc28p-16, -0x1.79285b6cd8f08p-16, -0x1.7ceff9aeeee5bp-16, -0x1.8083b6bb9cf4p-16, -0x1.83e45d406c128p-16, -0x1.8712b60a5602bp-16, -0x1.8a0f881915e7ep-16, -0x1.8cdb98b127a4p-16, -0x1.8f77ab6c868cbp-16, -0x1.91e4824a3b52p-16, -0x1.9422ddbcc6107p-16, -0x1.96337cb772f6ap-16, -0x1.98171cbaa2dd3p-16, -0x1.99ce79df1bfe1p-16, -0x1.9b5a4ee064f3fp-16, -0x1.9cbb55263cbefp-16, -0x1.9df244cd39e45p-16, -0x1.9effd4ae9acp-16, -0x1.9fe4ba674e3cfp-16, }}, 
      {{0x1.fc4832615fc15p-1, 0x1.fb695236153bap-1, 0x1.f9fab003449ccp-1, 0x1.f8030e3f44734p-1, 0x1.f58b1c11e5828p-1, 0x1.f29cedda324fbp-1, 0x1.ef437d3920d76p-1, 0x1.eb8a377b588eep-1, 0x1.e77c9d5434d3dp-1, 0x1.e325f476c6834p-1, 0x1.de910a347c59cp-1, 0x1.d9c8058a6ab46p-1, 0x1.d4d446b10820ap-1, 0x1.cfbe522dd990bp-1, 0x1.ca8dc5783945ep-1, 0x1.c5495368c6b82p-1, 0x1.bff6c6db400b8p-1, 0x1.ba9b0a1dbfba8p-1, 0x1.b53a31fab1d03p-1, 0x1.afd78b5a09a79p-1, 0x1.aa75aaa13a35ep-1, 0x1.a5167c1fc83f1p-1, 0x1.9fbb54f7f3a1ep-1, 0x1.9a6504102729ap-1, 0x1.9513e2b2ea04cp-1, 0x1.8fc7e4985ab48p-1, 0x1.8a80a726324fcp-1, 0x1.853d7fc23d864p-1, 0x1.7ffd891fa347fp-1, 0x1.7abfaf7961c47p-1, 0x1.7582bbb493197p-1, 0x1.70455d6b80b12p-1, 0x1.6b0633e790c3cp-1, 0x1.65c3d613edfcdp-1, 0x1.607cd97590dbep-1, 0x1.5b2fd83748e76p-1, 0x1.55db7659a3478p-1, 0x1.507e66173f63fp-1, 0x1.4b176b8e56a9ep-1, 0x1.45a55fc027bf6p-1, 0x1.402732f681b9fp-1, 0x1.3a9bee9f1a5edp-1, 0x1.3502b6ab8ecfap-1, 0x1.2f5aca8415dd4p-1, 0x1.29a38599fcda8p-1, 0x1.23dc5fa60a74bp-1, 0x1.1e04ec9df723bp-1, 0x1.181cdc6b2827ap-1, 0x1.1223fa6bf395ep-1, 0x1.0c1a2cc7d0252p-1, 0x1.05ff739df0af8p-1, 0x1.ffa7d02a1cfc5p-2, 0x1.f32f76a4b0f86p-2, 0x1.e6966ab9b1083p-2, 0x1.d9dd67e3f2225p-2, 0x1.cd05529e89d9bp-2, 0x1.c00f35e9e2e23p-2, 0x1.b2fc40c89ed4ap-2, 0x1.a5cdc3b996663p-2, 0x1.98852e3397959p-2, 0x1.8b240c26c0bp-2, 0x1.7dac0386cc147p-2, 0x1.701ed1e10d46p-2, 0x1.627e4a006ca5p-2, 0x1.54cc51a145967p-2, 0x1.470adf36a940fp-2, 0x1.393bf7c23f02dp-2, 0x1.2b61acbfa9f75p-2, 0x1.1d7e1a243038dp-2, 0x1.0f93647312439p-2, 0x1.01a3b6e6f2cap-2, 0x1.e7628360d1dc7p-3, 0x1.cb7c7093a2362p-3, 0x1.af999fc07eebfp-3, 0x1.93be7ba2e4fa2p-3, 0x1.77ef6c7cf3762p-3, 0x1.5c30d5659e131p-3, 0x1.408711bef0c52p-3, 0x1.24f672d39cd9cp-3, 0x1.09833d9af2bbp-3, 0x1.dc6351448640ap-4, 0x1.a60bb435680bap-4, 0x1.7007cc15041e1p-4, 0x1.3a5f994129e43p-4, 0x1.051af152bef42p-4, 0x1.a082f88fa0f4cp-5, 0x1.37b563d7a4d2ep-5, 0x1.9fb75def436a8p-6, 0x1.a40fec23245a6p-7, 0x1.9dfdf7386df4ap-12, -0x1.85bc2c5065d89p-7, -0x1.89e094be7cd9cp-6, -0x1.273b689891222p-5, -0x1.884484ee39dd1p-5, -0x1.e8003900788f2p-5, -0x1.2331cd3aa8f3dp-4, -0x1.51b21e1d2f6a1p-4, -0x1.7f7c17bc57961p-4, -0x1.ac8b021f45213p-4, -0x1.d8da64f16affp-4, -0x1.023303c9735cp-3, -0x1.1794f884a32b2p-3, -0x1.2c9133e93ecc3p-3, -0x1.4125f8cddea71p-3, -0x1.5551a96ee7564p-3, -0x1.6912c7304721bp-3, -0x1.7c67f2538e7a8p-3, -0x1.8f4fe9a31c2f9p-3, -0x1.a1c98a1326c96p-3, -0x1.b3d3ce594cd04p-3, -0x1.c56dce7b5b08ap-3, -0x1.d696bf55feb8dp-3, -0x1.e74df21bffa9dp-3, -0x1.f792d3ce976b4p-3, -0x1.03b27657ca022p-2, -0x1.0b61efd6e10bep-2, -0x1.12d7b4e61d166p-2, -0x1.1a13b0c28a864p-2, -0x1.2115db1400bc4p-2, -0x1.27de379aa239cp-2, -0x1.2e6cd5dac906cp-2, -0x1.34c1d0c799d9bp-2, -0x1.3add4e6c74884p-2, -0x1.40bf7f9574c78p-2, -0x1.46689f7737901p-2, -0x1.4bd8f3560e7fp-2, -0x1.5110ca2cd436ap-2, -0x1.56107c5387932p-2, -0x1.5ad86b25db6f7p-2, -0x1.5f6900a9d6b07p-2, -0x1.63c2af36b485dp-2, -0x1.67e5f11c20968p-2, -0x1.6bd34849ec8fdp-2, -0x1.6f8b3df862b74p-2, -0x1.730e62514f71fp-2, -0x1.765d4c19d89fcp-2, -0x1.7978985d4042ap-2, -0x1.7c60ea18a71c9p-2, -0x1.7f16e9e7e29fdp-2, -0x1.819b45b37e602p-2, -0x1.83eeb05ff4755p-2, -0x1.8611e17e36517p-2, -0x1.880594fd88ad9p-2, -0x1.89ca8aded0e65p-2, -0x1.8b6186e94e80ap-2, -0x1.8ccb5060dbab8p-2, -0x1.8e08b1bdb2fb6p-2, -0x1.8f1a7865cb87p-2, -0x1.90017467ce797p-2, -0x1.90be7837b037p-2, -0x1.9152586cee66ep-2, -0x1.91bdeb827d6f2p-2, -0x1.920209986564p-2, -0x1.921f8c3711ee7p-2, -0x1.92174e145a00cp-2, -0x1.91ea2ada3d26p-2, -0x1.9198feef5ad2cp-2, -0x1.9124a74120a26p-2, -0x1.908e010fb305fp-2, -0x1.8fd5e9bb88ea8p-2, -0x1.8efd3e94c07f9p-2, -0x1.8e04dcac2450cp-2, -0x1.8ceda0a5e0b44p-2, -0x1.8bb8668de526dp-2, -0x1.8a6609adf2771p-2, -0x1.88f7646546cc3p-2, -0x1.876d5001f2865p-2, -0x1.85c8a49bbf1a5p-2, -0x1.840a38f0b51aap-2, -0x1.8232e2432c503p-2, -0x1.8043743969699p-2, -0x1.7e3cc0bebf91ap-2, -0x1.7c1f97e631896p-2, -0x1.79ecc7ce88264p-2, -0x1.77a51c87db91bp-2, -0x1.75495ffa876p-2, -0x1.72da59cf7f5ffp-2, -0x1.7058cf5a019ecp-2, -0x1.6dc583829d45bp-2, -0x1.6b2136b385143p-2, -0x1.686ca6c629111p-2, -0x1.65a88ef20c74p-2, -0x1.62d5a7bcd3615p-2, -0x1.5ff4a6eb7de96p-2, -0x1.5d063f74c9b47p-2, -0x1.5a0b2174b4303p-2, -0x1.5703fa2113945p-2, -0x1.53f173bf3d0fdp-2, -0x1.50d4359ab65cdp-2, -0x1.4dace3fce438p-2, -0x1.4a7c2025b3f8cp-2, -0x1.4742884532375p-2, -0x1.4400b7760f61ep-2, -0x1.40b745b8ffc8dp-2, -0x1.3d66c7f0fbf6ep-2, -0x1.3a0fcfe04ede2p-2, -0x1.36b2ec2671685p-2, -0x1.3350a83ea9bd8p-2, -0x1.2fe98c7f67a8bp-2, -0x1.2c7e1e1a54ddap-2, -0x1.290edf1d17ce5p-2, -0x1.259c4e72b8c9ep-2, -0x1.2226e7e5aeac6p-2, -0x1.1eaf242281883p-2, -0x1.1b3578bb0115p-2, -0x1.17ba582a0c41dp-2, -0x1.143e31d7daf5bp-2, -0x1.10c1721ecd839p-2, -0x1.0d448250b34e5p-2, -0x1.09c7c8bc889c4p-2, -0x1.064ba8b4a02bbp-2, -0x1.02d082953b2b2p-2, -0x1.fead67970305ap-3, -0x1.f7bd2db9acf5p-3, -0x1.f0d106dd16f9ep-3, -0x1.e9e99c9bc7908p-3, -0x1.e30792f0c7878p-3, -0x1.dc2b8848e365cp-3, -0x1.d5561594638f6p-3, -0x1.ce87ce5957506p-3, -0x1.c7c140c64892ap-3, -0x1.c102f5c565733p-3, -0x1.ba4d71100e1d7p-3, -0x1.b3a13142c1a5bp-3, -0x1.acfeaff15bd05p-3, -0x1.a66661bba3c62p-3, -0x1.9fd8b6622044bp-3, -0x1.995618db28816p-3, -0x1.92deef6830dbdp-3, -0x1.8c739bab4006fp-3, -0x1.86147abc9492bp-3, -0x1.7fc1e5406e86ap-3, -0x1.797c2f7cee183p-3, -0x1.7343a97012ed2p-3, -0x1.6d189ee5c50a9p-3, -0x1.66fb578df03d4p-3, -0x1.60ec1712a0626p-3, -0x1.5aeb1d2e2216fp-3, -0x1.54f8a5c11f01p-3, -0x1.4f14e8e8b06b7p-3, -0x1.49401b146ad94p-3, -0x1.437a6d1c4f347p-3, -0x1.3dc40c56ad09dp-3, -0x1.381d22aded03dp-3, -0x1.3285d6b637563p-3, -0x1.2cfe4bc30268dp-3, -0x1.2786a1fc7588p-3, -0x1.221ef674aa27dp-3, -0x1.1cc7633cc04b8p-3, -0x1.177fff79c6f13p-3, -0x1.1248df79725b7p-3, -0x1.0d2214c6a65e9p-3, -0x1.080bae3dbeb68p-3, -0x1.0305b820b34bap-3, -0x1.fc207855da9b8p-4, -0x1.f2568349ecf83p-4, -0x1.e8ad9aefb0c44p-4, -0x1.df25c4809666cp-4, -0x1.d5bf00c333c5dp-4, -0x1.cc794c309697ep-4, -0x1.c3549f1904b06p-4, -0x1.ba50edc83f65bp-4, -0x1.b16e28a926dfap-4, -0x1.a8ac3c68eccf2p-4, -0x1.a00b12199abefp-4, -0x1.978a8f541c8a9p-4, -0x1.8f2a9659a6dfep-4, -0x1.86eb063499cfap-4, -0x1.7ecbbad8c1df2p-4, -0x1.76cc8d43098c3p-4, -0x1.6eed539891971p-4, -0x1.672de145325b3p-4, -0x1.5f8e071965564p-4, -0x1.580d936796dcfp-4, -0x1.50ac5220de3b2p-4, -0x1.496a0cf11f6a7p-4, -0x1.42468b5a9307cp-4, -0x1.3b4192d0b675cp-4, -0x1.345ae6d2a61dbp-4, -0x1.2d924904ddc0fp-4, -0x1.26e7794a65322p-4, -0x1.205a35dd64b43p-4, -0x1.19ea3b6726a23p-4, -0x1.1397451782d9dp-4, -0x1.0d610cbbb8d6bp-4, -0x1.07474ad4b6bb1p-4, -0x1.0149b6accf091p-4, -0x1.f6d00cd9c121fp-5, -0x1.eb43de61da791p-5, -0x1.dfee4a384d28bp-5, -0x1.d4ceb6d8d899bp-5, -0x1.c9e4891a86078p-5, -0x1.bf2f24548005fp-5, -0x1.b4adea81dfae7p-5, -0x1.aa603c646ec0cp-5, -0x1.a04579a65fc54p-5, -0x1.965d00fb06bf2p-5, -0x1.8ca6303e8ccc8p-5, -0x1.83206494abbadp-5, -0x1.79cafa866ca05p-5, -0x1.70a54e1ef4651p-5, -0x1.67aebb075cd17p-5, -0x1.5ee69ca19fc42p-5, -0x1.564c4e229b992p-5, -0x1.4ddf2aab2d968p-5, -0x1.459e8d606da1dp-5, -0x1.3d89d18309d5dp-5, -0x1.35a05285ca0f7p-5, -0x1.2de16c233c274p-5, -0x1.264c7a728dc3bp-5, -0x1.1ee0d9fb9a736p-5, -0x1.179de7ca2e6a5p-5, -0x1.1083018082cdcp-5, -0x1.098f8568f8236p-5, -0x1.02c2d287169f7p-5, -0x1.f838914f9d644p-6, -0x1.eb3690e210817p-6, -0x1.de7e66e0fe442p-6, -0x1.d20ed853e0c5fp-6, -0x1.c5e6ac4940218p-6, -0x1.ba04abf06c41cp-6, -0x1.ae67a2b1f7ec6p-6, -0x1.a30e5e46f5bb2p-6, -0x1.97f7aecf0029cp-6, -0x1.8d2266e5130e2p-6, -0x1.828d5bb3448d5p-6, -0x1.783765055abd4p-6, -0x1.6e1f5d5a4ed5ep-6, -0x1.644421f4bdf25p-6, -0x1.5aa492ea56dd2p-6, -0x1.513f93323f467p-6, -0x1.481408b28a6cfp-6, -0x1.3f20dc4cb0572p-6, -0x1.3664f9e926ae9p-6, -0x1.2ddf5082083e3p-6, -0x1.258ed22ce8a0cp-6, -0x1.1d727423cbaedp-6, -0x1.15892ecd491cfp-6, -0x1.0dd1fdc3ec79ep-6, -0x1.064bdfdccebcap-6, -0x1.fdebae5ad8635p-7, -0x1.ef9dd2219391cp-7, -0x1.e1ac3c57cf4c9p-7, -0x1.d41504e308f6bp-7, -0x1.c6d64a4a786c4p-7, -0x1.b9ee31bc12218p-7, -0x1.ad5ae71049c77p-7, -0x1.a11a9cccb73e4p-7, -0x1.952b8c25912b3p-7, -0x1.898bf4fe1abe9p-7, -0x1.7e3a1de7f9693p-7, -0x1.73345421a3c23p-7, -0x1.6878eb93b9c41p-7, -0x1.5e063ecd8e271p-7, -0x1.53daaf00b3d04p-7, -0x1.49f4a3fbc7a0ap-7, -0x1.40528c2456b19p-7, -0x1.36f2dc70091abp-7, -0x1.2dd4105d09185p-7, -0x1.24f4a9e9b3efbp-7, -0x1.1c53318b9cbc9p-7, -0x1.13ee3625ea046p-7, -0x1.0bc44cff14651p-7, -0x1.03d411b60e65p-7, -0x1.f8384c6dbe341p-8, -0x1.e936655d64f0cp-8, -0x1.da9fcafed8773p-8, -0x1.cc71e6657decdp-8, -0x1.beaa2cd9a28e3p-8, -0x1.b1461fbcee7bfp-8, -0x1.a4434c6e0b75cp-8, -0x1.979f4c2b8b563p-8, -0x1.8b57c3f61d39ep-8, -0x1.7f6a64721bbd1p-8, -0x1.73d4e9c87d086p-8, -0x1.68951b873500bp-8, -0x1.5da8cc810f834p-8, -0x1.530ddaad0fa0ap-8, -0x1.48c22f055df86p-8, -0x1.3ec3bd65cd874p-8, -0x1.3510846a058b1p-8, -0x1.2ba68d4b51e38p-8, -0x1.2283ebbe2b1d3p-8, -0x1.19a6bdcf77d53p-8, -0x1.110d2bc195d1cp-8, -0x1.08b567e92b5f8p-8, -0x1.009dae89d1d68p-8, -0x1.f1888b652fbep-9, -0x1.e24efa34d0421p-9, -0x1.d38b5bf8b6cebp-9, -0x1.c53a75e7ed8c9p-9, -0x1.b7591fb2cc346p-9, -0x1.a9e4433b5d47dp-9, -0x1.9cd8dc4dd03dap-9, -0x1.9033f858f77fep-9, -0x1.83f2b626e7a11p-9, -0x1.78124595b858p-9, -0x1.6c8fe7507946bp-9, -0x1.6168ec885e7c2p-9, -0x1.569ab6ae33e5p-9, -0x1.4c22b72c183adp-9, -0x1.41fe6f1f8fc4dp-9, -0x1.382b6f13f1bcp-9, -0x1.2ea756bd3cb3bp-9, -0x1.256fd4b350e73p-9, -0x1.1c82a62da14f9p-9, -0x1.13dd96bf5d327p-9, -0x1.0b7e801414699p-9, -0x1.036349ace626bp-9, -0x1.f713d13c6a463p-10, -0x1.e7e0be9bdd79cp-10, -0x1.d9297a64c7c43p-10, -0x1.caea3d237bd8p-10, -0x1.bd1f58841932ap-10, -0x1.afc536d3f435dp-10, -0x1.a2d85a8447032p-10, -0x1.96555dae29fbbp-10, -0x1.8a38f197f4889p-10, -0x1.7e7fde3bed68cp-10, -0x1.732701d068e93p-10, -0x1.682b50514d26ap-10, -0x1.5d89d30afe991p-10, -0x1.533fa826c80cap-10, -0x1.494a0238b1a5cp-10, -0x1.3fa627ced353p-10, -0x1.3651730223cc9p-10, -0x1.2d495108c6626p-10, -0x1.248b41c9d8b8ap-10, -0x1.1c14d772c613bp-10, -0x1.13e3b60e1f144p-10, -0x1.0bf5931bf7028p-10, -0x1.0448352bc9b37p-10, -0x1.f9b2e6efcad53p-11, -0x1.eb4e6b04c8da2p-11, -0x1.dd5ee567514ecp-11, -0x1.cfe063f4c661p-11, -0x1.c2cf12da45e14p-11, -0x1.b6273bdad548ep-11, -0x1.a9e545989d27dp-11, -0x1.9e05b2e12cfep-11, -0x1.928521fcc9fa3p-11, -0x1.87604c00c370dp-11, -0x1.7c940424c7302p-11, -0x1.721d371b38652p-11, -0x1.67f8ea6c7d954p-11, -0x1.5e243bd546cd5p-11, -0x1.549c60a7c4d11p-11, -0x1.4b5ea52fcc1d4p-11, -0x1.42686c19e0952p-11, -0x1.39b72ddd1fb9ap-11, -0x1.314878280a8a4p-11, -0x1.2919ed5021532p-11, -0x1.212943c45168bp-11, -0x1.19744582291abp-11, -0x1.11f8cf8dd0befp-11, -0x1.0ab4d16cbbc41p-11, -0x1.03a64ca30f8bdp-11, -0x1.f996a8676da2bp-12, -0x1.ec44184631a6bp-12, -0x1.df5151f8e2a9fp-12, -0x1.d2badeb37616ap-12, -0x1.c67d66dc55571p-12, -0x1.ba95b12660792p-12, -0x1.af00a1afe9fd6p-12, -0x1.a3bb3926a4291p-12, -0x1.98c293f06461dp-12, -0x1.8e13e958b812fp-12, -0x1.83ac8ac33089cp-12, -0x1.7989e2e25af94p-12, -0x1.6fa974f34f7bdp-12, -0x1.6608dbfdcc429p-12, -0x1.5ca5ca18c2d41p-12, -0x1.537e07b352d9bp-12, -0x1.4a8f72e2120dcp-12, -0x1.41d7feb09ff1bp-12, -0x1.3955b27765c49p-12, -0x1.3106a9357ead9p-12, -0x1.28e910eeaca0bp-12, -0x1.20fb2a0d4dd4dp-12, -0x1.193b46c84308fp-12, -0x1.11a7ca8cb0f9p-12, -0x1.0a3f296b8ff44p-12, -0x1.02ffe78af7904p-12, -0x1.f7d1313628ec8p-13, -0x1.e9efbe9d7759dp-13, -0x1.dc58d9af05368p-13, -0x1.cf0a00caaa03fp-13, -0x1.c200cd52e3016p-13, -0x1.b53af2b97f2ecp-13, -0x1.a8b63d92d95a2p-13, -0x1.9c7092af86ff9p-13, -0x1.9067ee3c528bdp-13, -0x1.849a62e86a7e5p-13, -0x1.79061911a07b6p-13, -0x1.6da94df69d49ep-13, -0x1.628252eee133ep-13, -0x1.578f8ca88514bp-13, -0x1.4ccf726b86ef5p-13, -0x1.42408d629825fp-13, -0x1.37e177e942fc1p-13, -0x1.2db0dcdf51c56p-13, -0x1.23ad770152d44p-13, -0x1.19d61046246f1p-13, -0x1.102981416dc81p-13, -0x1.06a6b08ade3bep-13, -0x1.fa99245441a6ap-14, -0x1.e8344e0ed205bp-14, -0x1.d61cf8c0f2429p-14, -0x1.c45156840f204p-14, -0x1.b2cfb00ae68bdp-14, -0x1.a19663a53986p-14, -0x1.90a3e44bbad1cp-14, -0x1.7ff6b8b3e5bb4p-14, -0x1.6f8d7a6ba3edbp-14, -0x1.5f66d4fc879e2p-14, -0x1.4f8185166db9ep-14, -0x1.3fdc57c15775ap-14, -0x1.307629964f486p-14, -0x1.214de5ff2995p-14, -0x1.1262867cf81ebp-14, -0x1.03b311f50171p-14, -0x1.ea7d38082485cp-15, -0x1.ce0888affe129p-15, -0x1.b2066c1e57247p-15, -0x1.96754e3be3213p-15, -0x1.7b53af7375ba4p-15, -0x1.60a023935725ap-15, -0x1.465950b9675ap-15, -0x1.2c7dee49c4a46p-15, -0x1.130cc3efacd12p-15, -0x1.f40951509ece2p-16, -0x1.c2c903ae92879p-16, -0x1.925684c9081e1p-16, -0x1.62afd3c66adaep-16, -0x1.33d30783718abp-16, -0x1.05be4d040bf4bp-16, -0x1.b0dfcbe9f440cp-17, -0x1.57cc4e7b486cfp-17, -0x1.003eef4344bcbp-17, -0x1.546939c623c1bp-18, -0x1.56a99253fe4e6p-19, -0x1.4eb7e42cb55ccp-24, 0x1.3bd3f89bdcceep-19, 0x1.3e1f143bbdf87p-18, 0x1.db6986ab01da7p-18, 0x1.3ae72555581a5p-17, 0x1.86a919d4e945dp-17, 0x1.d0fcfa85cd7afp-17, 0x1.0cf289637101ap-16, 0x1.30b1d0a0a9815p-16, 0x1.53bd6cb822f0ap-16, 0x1.76167289ee344p-16, 0x1.97bdf2c81f55fp-16, 0x1.b8b4fa9cadc72p-16, 0x1.d8fc94460b759p-16, 0x1.f895c7aab66ep-16, 0x1.0bc0cd7217d8bp-15, 0x1.1ae08960c5339p-15, 0x1.29aa99a0fb116p-15, 0x1.381f8003c28c2p-15, 0x1.463fbe613c3bap-15, 0x1.540bd6cab0bb7p-15, 0x1.61844bb926334p-15, 0x1.6ea9a038a9b73p-15, 0x1.7b7c58105dcc2p-15, 0x1.87fcf7e77c2d2p-15, 0x1.942c056761299p-15, 0x1.a00a075ac2d4ap-15, 0x1.ab9785ca2f0d3p-15, 0x1.b6d50a15f182ap-15, 0x1.c1c31f0d76f8ep-15, 0x1.cc6251044e94dp-15, 0x1.d6b32de4e1b06p-15, 0x1.e0b64540fa5b5p-15, 0x1.ea6c286032d43p-15, 0x1.f3d56a4c65c21p-15, 0x1.fcf29fdc36f6p-15, 0x1.02e22fdde4427p-14, 0x1.0725a139dc587p-14, 0x1.0b43f1373accdp-14, 0x1.0f3d6dfe00afp-14, 0x1.131266aa1c59p-14, 0x1.16c32b4bd8392p-14, 0x1.1a500ce79bf37p-14, 0x1.1db95d750db9p-14, 0x1.20ff6fdd97708p-14, 0x1.242297fa5beebp-14, 0x1.27232a91a2605p-14, 0x1.2a017d53c0896p-14, 0x1.2cbde6d78cdd3p-14, 0x1.2f58be965b7e1p-14, 0x1.31d25ce793a7bp-14, 0x1.342b1afbdf52p-14, 0x1.366352d7fcf8cp-14, 0x1.387b5f4f3bffbp-14, 0x1.3a739bfda6c39p-14, 0x1.3c4c6541e3877p-14, 0x1.3e061836ce3a2p-14, 0x1.3fa112acd4fbap-14, 0x1.411db32318d3ep-14, }}, 
      {{0x1.fc7a0a4f7472p-1, 0x1.fc2f80036489ep-1, 0x1.fbb43ecff2257p-1, 0x1.fb09ac033186dp-1, 0x1.fa319cb356b73p-1, 0x1.f92e3f62ca6bep-1, 0x1.f80205e09be58p-1, 0x1.f6af909bb65eep-1, 0x1.f5399c1262684p-1, 0x1.f3a2f0aa19dc2p-1, 0x1.f1ee54ff6e8e4p-1, 0x1.f01e829863726p-1, 0x1.ee361ccdc4405p-1, 0x1.ec37a9b4b662fp-1, 0x1.ea258ccd32ba7p-1, 0x1.e8020339f4f6fp-1, 0x1.e5cf2148f2876p-1, 0x1.e38ed11771fa5p-1, 0x1.e142d221b2302p-1, 0x1.deecb99322d01p-1, 0x1.dc8df331434bdp-1, 0x1.da27c2c0131f9p-1, 0x1.d7bb45c37e0e6p-1, 0x1.d549758554236p-1, 0x1.d2d3294b128eep-1, 0x1.d05918aa1893fp-1, 0x1.cddbddebd4a9cp-1, 0x1.cb5bf8760820cp-1, 0x1.c8d9cf2d85e8ep-1, 0x1.c655b2cbbf6bep-1, 0x1.c3cfe02121025p-1, 0x1.c148823fb19fep-1, 0x1.bebfb48a99e73p-1, 0x1.bc3584a844a43p-1, 0x1.b9a9f4559e3a6p-1, 0x1.b71cfb19b45eap-1, 0x1.b48e87d983891p-1, 0x1.b1fe824c3e6cdp-1, 0x1.af6ccc50b3f37p-1, 0x1.acd94324c728dp-1, 0x1.aa43c08022a09p-1, 0x1.a7ac1b9375cc4p-1, 0x1.a51229edad7a3p-1, 0x1.a275c048a656cp-1, 0x1.9fd6b33ee114dp-1, 0x1.9d34d7ebc2169p-1, 0x1.9a900477e6a63p-1, 0x1.97e810930952ap-1, 0x1.953cd5dcec955p-1, 0x1.928e303eaeaf9p-1, 0x1.8fdbfe35da0cdp-1, 0x1.8d2621127999fp-1, 0x1.8a6c7d295c934p-1, 0x1.87aef9fbae091p-1, 0x1.84ed8254e78c9p-1, 0x1.822804601e1a9p-1, 0x1.7f5e71b58aab5p-1, 0x1.7c90bf612c80dp-1, 0x1.79bee5e344bc8p-1, 0x1.76e8e12b665f9p-1, 0x1.740eb08ebf6aep-1, 0x1.713056ba34643p-1, 0x1.6e4dd9a0db353p-1, 0x1.6b674267540f1p-1, 0x1.687c9d4c74358p-1, 0x1.658df98fac069p-1, 0x1.629b69558625cp-1, 0x1.5fa5018a99114p-1, 0x1.5caad9c53342fp-1, 0x1.59ad0c260d822p-1, 0x1.56abb5383d744p-1, 0x1.53a6f3d0a2093p-1, 0x1.509ee8ecfda9cp-1, 0x1.4d93b792e69dep-1, 0x1.4a8584aeb8fcdp-1, 0x1.477476f2ac04fp-1, 0x1.4460b6b62a152p-1, 0x1.414a6dd584c9p-1, 0x1.3e31c792200dep-1, 0x1.3b16f07326a74p-1, 0x1.37fa1626dc267p-1, 0x1.34db676498a6fp-1, 0x1.31bb13cf7fac7p-1, 0x1.2e994bd9f99f3p-1, 0x1.2b7640a9fb8cp-1, 0x1.285223fe23523p-1, 0x1.252d2813b0d13p-1, 0x1.22077f8d5b6e2p-1, 0x1.1ee15d5b0fd0fp-1, 0x1.1bbaf4a28f07dp-1, 0x1.189478a8f966ap-1, 0x1.156e1cbd3d387p-1, 0x1.124814237083ep-1, 0x1.0f229201109c5p-1, 0x1.0bfdc94a26652p-1, 0x1.08d9ecaf4f104p-1, 0x1.05b72e8ca4804p-1, 0x1.0295c0d9854e5p-1, 0x1.feebaa3267c26p-2, 0x1.f8af38989fc19p-2, 0x1.f2768dc63ef0dp-2, 0x1.ec4209614f7e8p-2, 0x1.e61209bd20a25p-2, 0x1.dfe6ebc39308ep-2, 0x1.d9c10adfea7a5p-2, 0x1.d3a0c0eb1392cp-2, 0x1.cd86661956f66p-2, 0x1.c77250e970518p-2, 0x1.c164d614fa331p-2, 0x1.bb5e48822a59bp-2, 0x1.b55ef936cff0ep-2, 0x1.af67374c8a111p-2, 0x1.a9774fe62b84p-2, 0x1.a38f8e264452dp-2, 0x1.9db03b26c1499p-2, 0x1.97d99df19c987p-2, 0x1.920bfb7a91811p-2, 0x1.8c479699c9d2ep-2, 0x1.868cb0077c6a5p-2, 0x1.80db86587225ap-2, 0x1.7b3455fb656ecp-2, 0x1.7597593737f4ep-2, 0x1.7004c829ed6d5p-2, 0x1.6a7cd8c86b5ep-2, 0x1.64ffbedeebe72p-2, 0x1.5f8dac12223bap-2, 0x1.5a26cfe101632p-2, 0x1.54cb57a723f42p-2, 0x1.4f7b6e9fc5d19p-2, 0x1.4a373de94b164p-2, 0x1.44feec894d94dp-2, 0x1.3fd29f71273ebp-2, 0x1.3ab27982f0a77p-2, 0x1.359e9b96f1e13p-2, 0x1.3097248176beap-2, 0x1.2b9c311908acdp-2, 0x1.26addc3cff31ep-2, 0x1.21cc3edc669ebp-2, 0x1.1cf76ffd350a4p-2, 0x1.182f84c3c3e84p-2, 0x1.1374907a90e03p-2, 0x1.0ec6a49a37d07p-2, 0x1.0a25d0d1a51dp-2, 0x1.0592230e7a21fp-2, 0x1.010ba7859ef1ep-2, 0x1.f924d177fbba6p-3, 0x1.f04cdf1ebf091p-3, 0x1.e78f867ed5f77p-3, 0x1.deecd2ed7996dp-3, 0x1.d664cca830ac4p-3, 0x1.cdf778e7592eap-3, 0x1.c5a4d9f0c9848p-3, 0x1.bd6cef2a94f11p-3, 0x1.b54fb52ddc51cp-3, 0x1.ad4d25d9a6c67p-3, 0x1.a5653865c4e7fp-3, 0x1.9d97e175b0798p-3, 0x1.95e5132b6895ap-3, 0x1.8e4cbd3a3c43bp-3, 0x1.86ceccf98c412p-3, 0x1.7f6b2d7770a56p-3, 0x1.7821c78b47a71p-3, 0x1.70f281e829fd7p-3, 0x1.69dd412f35097p-3, 0x1.62e1e801b7f82p-3, 0x1.5c0057132fa22p-3, 0x1.55386d3b1f3d2p-3, 0x1.4e8a0786afdf7p-3, 0x1.47f5014a24ea9p-3, 0x1.417934321748dp-3, 0x1.3b1678547be4p-3, 0x1.34cca4416ba8ap-3, 0x1.2e9b8d13b5e0cp-3, 0x1.288306813096ap-3, 0x1.2282e2eac9a25p-3, 0x1.1c9af36c58626p-3, 0x1.16cb07ec27539p-3, 0x1.1112ef2a42b9cp-3, 0x1.0b7276cf79e1p-3, 0x1.05e96b7c1bc25p-3, 0x1.007798d671b03p-3, 0x1.f6399331d22d1p-4, 0x1.ebb18f3ff683dp-4, 0x1.e156b7ef984a5p-4, 0x1.d7289dd2eea1fp-4, 0x1.cd26d0104236dp-4, 0x1.c350dc7b5514ap-4, 0x1.b9a64fae5f2b4p-4, 0x1.b026b5224e978p-4, 0x1.a6d1974693cf1p-4, 0x1.9da67f983de1ap-4, 0x1.94a4f6b898c34p-4, 0x1.8bcc848322b4ep-4, 0x1.831cb023008bep-4, 0x1.7a950027d2c4ap-4, 0x1.7234fa99fe048p-4, 0x1.69fc250e616bep-4, 0x1.61ea04b97d872p-4, 0x1.59fe1e820bdf6p-4, 0x1.5237f71309fcp-4, 0x1.4a9712ed382dbp-4, 0x1.431af6780d058p-4, 0x1.3bc3261221b04p-4, 0x1.348f262114925p-4, 0x1.2d7e7b20e84d3p-4, 0x1.2690a9b2dd3dfp-4, 0x1.1fc536abca35fp-4, 0x1.191ba721f35ecp-4, 0x1.1293807a64366p-4, 0x1.0c2c4875cb962p-4, 0x1.05e5853cddcfp-4, 0x1.ff7d7ad87fp-5, 0x1.f36ef03fedb94p-5, 0x1.e79e79fcd85e1p-5, 0x1.dc0b2885e952ap-5, 0x1.d0b40d8fdfeeep-5, 0x1.c5983c20ea19ap-5, 0x1.bab6c8a329bb6p-5, 0x1.b00ec8f6649e4p-5, 0x1.a59f5480e56c5p-5, 0x1.9b67843f925e6p-5, 0x1.916672d53c11fp-5, 0x1.879b3c992b354p-5, 0x1.7e04ffa4ee188p-5, 0x1.74a2dbe170578p-5, 0x1.6b73f3135809bp-5, 0x1.627768e6b7f22p-5, 0x1.59ac62fa0e404p-5, 0x1.511208e8a00dap-5, 0x1.48a784542ecb1p-5, 0x1.406c00ee0c2dep-5, 0x1.385eac7f93a7dp-5, 0x1.307eb6f20c3a1p-5, 0x1.28cb5255f6279p-5, 0x1.2143b2e9c7b23p-5, 0x1.19e70f2020f98p-5, 0x1.12b49fa575395p-5, 0x1.0bab9f6531d99p-5, 0x1.04cb4b8e672e7p-5, 0x1.fc25c72fdf7bcp-6, 0x1.ef0352884e905p-6, 0x1.e22dc14849d21p-6, 0x1.d5a3a0351539bp-6, 0x1.c96380bbc9c5cp-6, 0x1.bd6bf8f540f01p-6, 0x1.b1bba3a9362dcp-6, 0x1.a65120509fe23p-6, 0x1.9b2b13174c6f5p-6, 0x1.904824dcc6e8ap-6, 0x1.85a7033488557p-6, 0x1.7b46606580c4p-6, 0x1.7124f368f8e37p-6, 0x1.674177e8d5488p-6, 0x1.5d9aae3d45383p-6, 0x1.542f5b69d9737p-6, 0x1.4afe491a1116p-6, 0x1.4206459d61773p-6, 0x1.394623e2b6edbp-6, 0x1.30bcbb7381788p-6, 0x1.2868e86e4209cp-6, 0x1.20498b80acdb1p-6, 0x1.185d89e160188p-6, 0x1.10a3cd492c109p-6, 0x1.091b43ec02062p-6, 0x1.01c2e0717e617p-6, 0x1.f53333da3e493p-7, 0x1.e73cd7ac3dc8dp-7, 0x1.d9a0abfe17007p-7, 0x1.cc5cb91a02bcdp-7, 0x1.bf6f0fdd5cbb3p-7, 0x1.b2d5c9a60d53bp-7, 0x1.a68f083f7e53bp-7, 0x1.9a98f5cf1296dp-7, 0x1.8ef1c4c0357a6p-7, 0x1.8397afaff8518p-7, 0x1.7888f95855c71p-7, 0x1.6dc3ec7b158bep-7, 0x1.6346dbcc5fcc5p-7, 0x1.591021dcff059p-7, 0x1.4f1e21045e4cap-7, 0x1.456f434a4720ep-7, 0x1.3c01fa505b43ap-7, 0x1.32d4bf3b65302p-7, 0x1.29e6129c6f6fbp-7, 0x1.21347c59b4a95p-7, 0x1.18be8b97696a2p-7, 0x1.1082d6a064929p-7, 0x1.087ffacead4e2p-7, 0x1.00b49c73effe6p-7, 0x1.f23ecd83c3f46p-8, 0x1.e37e17652a3afp-8, 0x1.d52487e1853efp-8, 0x1.c72f9d801d2fp-8, 0x1.b99ce3ca9282p-8, 0x1.ac69f31d62bffp-8, 0x1.9f94707876951p-8, 0x1.931a0d4fc157bp-8, 0x1.86f8875bf51b3p-8, 0x1.7b2da86b5768dp-8, 0x1.6fb74632b4a78p-8, 0x1.6493421e80d47p-8, 0x1.59bf89242304cp-8, 0x1.4f3a139376a9dp-8, 0x1.4500e4e885218p-8, 0x1.3b120b9d7c5aap-8, 0x1.316ba0fce6c6ep-8, 0x1.280bc8f42ba35p-8, 0x1.1ef0b1e657983p-8, 0x1.1618947f34708p-8, 0x1.0d81b386b34a9p-8, 0x1.052a5bb4aca2p-8, 0x1.fa21c709ed877p-9, 0x1.ea675617b7eaap-9, 0x1.db223795d70ddp-9, 0x1.cc4f510c61043p-9, 0x1.bdeb9a3393793p-9, 0x1.aff41c9fd3003p-9, 0x1.a265f36e7c5f6p-9, 0x1.953e4af38c56bp-9, 0x1.887a606821d2ap-9, 0x1.7c178199da8ccp-9, 0x1.70130c9b15eacp-9, 0x1.646a6f7416cb1p-9, 0x1.591b27d51011dp-9, 0x1.4e22c2c915c47p-9, 0x1.437edc6a00c6cp-9, 0x1.392d1f9539f7dp-9, 0x1.2f2b45a175af3p-9, 0x1.25771615653dap-9, 0x1.1c0e665f532cbp-9, 0x1.12ef198dbb229p-9, 0x1.0a172008cda62p-9, 0x1.0184774cf2e69p-9, 0x1.f26a534c73e87p-10, 0x1.e24e9bd989792p-10, 0x1.d2b20e8452f12p-10, 0x1.c391099f8d797p-10, 0x1.b4e8030c2899cp-10, 0x1.a6b387b9c781ep-10, 0x1.98f03b293ababp-10, 0x1.8b9ad6f0dbb99p-10, 0x1.7eb02a42d3584p-10, 0x1.722d19754b313p-10, 0x1.660e9d8c855f4p-10, 0x1.5a51c3c6d07f3p-10, 0x1.4ef3ad2a69f62p-10, 0x1.43f18e1534978p-10, 0x1.3948adce548efp-10, 0x1.2ef666199c48dp-10, 0x1.24f822ccd8fd3p-10, 0x1.1b4b6166ebb8cp-10, 0x1.11edb0a8b9065p-10, 0x1.08dcb02fdf751p-10, 0x1.001610133ca46p-10, 0x1.ef2f2102637b1p-11, 0x1.debe02bf5e0a8p-11, 0x1.ced483dbf2e6cp-11, 0x1.bf6e80d055523p-11, 0x1.b087f358cad35p-11, 0x1.a21cf1c376312p-11, 0x1.9429ae417b055p-11, 0x1.86aa763b6f4edp-11, 0x1.799bb1a9147c9p-11, 0x1.6cf9e26c4d224p-11, 0x1.60c1a3af45a77p-11, 0x1.54efa945c67cdp-11, 0x1.4980bf11a6d4bp-11, 0x1.3e71c86a5630ep-11, 0x1.33bfbf8771bcep-11, 0x1.2967b4ee5b189p-11, 0x1.1f66cee2ca0cp-11, 0x1.15ba48da4a80ep-11, 0x1.0c5f72f29fc7p-11, 0x1.0353b16b01e19p-11, 0x1.f528f840548dfp-12, 0x1.e43ebc164e991p-12, 0x1.d3e3e985d3b3fp-12, 0x1.c413e0010b7b9p-12, 0x1.b4ca224c300b8p-12, 0x1.a602559095277p-12, 0x1.97b84074d4b24p-12, 0x1.89e7ca3a0c2e4p-12, 0x1.7c8cf9de1702dp-12, 0x1.6fa3f542af764p-12, 0x1.63290059653dbp-12, 0x1.57187c5453938p-12, 0x1.4b6ee6db845b7p-12, 0x1.4028d946e8772p-12, 0x1.354307dcd66e2p-12, 0x1.2aba4114fa3e8p-12, 0x1.208b6cdf9f5e2p-12, 0x1.16b38bf1476ap-12, 0x1.0d2fb71272f1bp-12, 0x1.03fd1e73935cp-12, 0x1.f632120a0a0c5p-13, 0x1.e501a7a61b1c2p-13, 0x1.d463e2cb8206cp-13, 0x1.c453d2497d5bbp-13, 0x1.b4ccad7d6c352p-13, 0x1.a5c9d3293aed7p-13, 0x1.9746c85113d26p-13, 0x1.893f37202ee63p-13, 0x1.7baeedd4a20fdp-13, 0x1.6e91ddb202e3ap-13, 0x1.61e419fac8002p-13, 0x1.55a1d6f038763p-13, 0x1.49c768d8d483ap-13, 0x1.3e51430d0a981p-13, 0x1.333bf70a24d2cp-13, 0x1.2884338b41f02p-13, 0x1.1e26c3a8406eep-13, 0x1.14208dfa7d4cfp-13, 0x1.0a6e93c747bb7p-13, 0x1.010df02fdf75fp-13, 0x1.eff7aecde5d8p-14, 0x1.de6b2bd6e5d25p-14, 0x1.cd711f9131336p-14, 0x1.bd047fb62f3cap-14, 0x1.ad206e3686dffp-14, 0x1.9dc037d848c4fp-14, 0x1.8edf52de982abp-14, 0x1.80795dbac3e12p-14, 0x1.728a1dc678859p-14, 0x1.650d7e06e93d3p-14, 0x1.57ff8df8b7444p-14, 0x1.4b5c806462ff2p-14, 0x1.3f20aa3b16fd9p-14, 0x1.3348817b9aaf7p-14, 0x1.27d09c1f3bf6ap-14, 0x1.1cb5af0e80667p-14, 0x1.11f48d1d6f857p-14, 0x1.078a260f476bbp-14, 0x1.fae70b42df8eap-15, 0x1.e75ba53af99cfp-15, 0x1.d46c9be4315d7p-15, 0x1.c214a3a551edep-15, 0x1.b04ea1bb04742p-15, 0x1.9f15aa910d92ep-15, 0x1.8e6500280476ap-15, 0x1.7e3810873b0ecp-15, 0x1.6e8a743a89fd8p-15, 0x1.5f57ecdbaf89fp-15, 0x1.509c63a6f9856p-15, 0x1.4253e81af2155p-15, 0x1.347aaea2c6f7p-15, 0x1.270d0f4b1f376p-15, 0x1.1a07848126729p-15, 0x1.0d66a9db7c8a2p-15, 0x1.01273aecd255ap-15, 0x1.ea8c243fd7f1bp-16, 0x1.d3804f3998ac4p-16, 0x1.bd25206d9523dp-16, 0x1.a774f8c6abaeap-16, 0x1.926a6e7254f6ap-16, 0x1.7e004aef814aap-16, 0x1.6a31892d6b9a7p-16, 0x1.56f953ba0528dp-16, 0x1.445302ff7d4acp-16, 0x1.323a1b907ee18p-16, 0x1.20aa4c82c01f4p-16, 0x1.0f9f6dd7787f6p-16, 0x1.fe2afde2bd1d1p-17, 0x1.de114a2f8fcep-17, 0x1.beea540d1e4dcp-17, 0x1.a0aef514bea13p-17, 0x1.83584a5227c39p-17, 0x1.66dfb1ab88d81p-17, 0x1.4b3ec7606d05ep-17, 0x1.306f639ea68e7p-17, 0x1.166b982cb42bbp-17, 0x1.fa5b5c51d8dafp-18, 0x1.c96047b9b99c3p-18, 0x1.99db554881209p-18, 0x1.6bc249cdf2bfcp-18, 0x1.3f0b484af0038p-18, 0x1.13acce2e0e3f4p-18, 0x1.d33b5f65b62ep-19, 0x1.81aa28c57f2a9p-19, 0x1.3294e76cfa824p-19, 0x1.cbd6475d072cep-20, 0x1.3739f1f9547b3p-20, 0x1.4e6c3f939e8a6p-21, 0x1.bad308785bb59p-24, -0x1.adf5e27b1525p-22, -0x1.dccaff82781fap-21, -0x1.6d259a93406ffp-20, -0x1.e7d79a52ba871p-20, -0x1.2f4a3aaad222ep-19, -0x1.68ba281c828cp-19, -0x1.a047435a3adbcp-19, -0x1.d5fcda0a8afdep-19, -0x1.04f2eed8c052dp-18, -0x1.1e0673cd003ddp-18, -0x1.363e1e4b8e151p-18, -0x1.4d9ee84f67effp-18, -0x1.642da51fae225p-18, -0x1.79ef02f84accep-18, -0x1.8ee78ca12da3p-18, -0x1.a31baaf4b3833p-18, -0x1.b68fa655d45f1p-18, -0x1.c947a816a2174p-18, -0x1.db47bbcfaa21fp-18, -0x1.ec93d0a8bd6d5p-18, -0x1.fd2fba93a8d4bp-18, -0x1.068f99bcace9p-17, -0x1.0e32ee2cf71d8p-17, -0x1.15839f3014eb2p-17, -0x1.1c8365f46263p-17, -0x1.2333f0bf030b4p-17, -0x1.2996e3640d468p-17, -0x1.2fadd7b9474f1p-17, -0x1.357a5e03ad669p-17, -0x1.3afdfd5fef0e5p-17, -0x1.403a342619536p-17, -0x1.4530784898681p-17, -0x1.49e237aec2d6cp-17, -0x1.4e50d88b17f46p-17, -0x1.527db9ad5dd09p-17, -0x1.566a32d0c6208p-17, -0x1.5a1794e648d5ep-17, -0x1.5d872a5b55194p-17, -0x1.60ba375cf9a71p-17, -0x1.63b1fa17bcea8p-17, -0x1.666faaf42fc8cp-17, -0x1.68f47cd06d8ddp-17, -0x1.6b419d36a73eap-17, -0x1.6d583490d15f3p-17, -0x1.6f3966599df84p-17, -0x1.70e6514ae2905p-17, -0x1.72600f89742f8p-17, -0x1.73a7b6cead4fp-17, -0x1.74be588fa4e9fp-17, -0x1.75a5022244cbdp-17, -0x1.765cbce0395acp-17, -0x1.76e68e47fd27p-17, -0x1.7743781beef59p-17, -0x1.7774787fa0631p-17, -0x1.777a8a136b88dp-17, -0x1.7756a40e6de7p-17, -0x1.7709ba56e4423p-17, -0x1.7694bd9918731p-17, -0x1.75f89b5ce2999p-17, -0x1.75363e19d4c28p-17, -0x1.744e8d4a16c3cp-17, -0x1.73426d7c206bdp-17, -0x1.7212c0633af71p-17, -0x1.70c064e6ff1c9p-17, -0x1.6f4c3731b732ap-17, -0x1.6db710bde081ap-17, -0x1.6c01c862ad814p-17, -0x1.6a2d325fb71e6p-17, -0x1.683a2067d4638p-17, -0x1.662961ab33e6p-17, -0x1.63fbc2e0b6f7fp-17, -0x1.61b20e4e9e78ap-17, -0x1.5f4d0bd2935abp-17, -0x1.5ccd80e91c2afp-17, -0x1.5a3430b474101p-17, -0x1.5781dc02ee7ffp-17, -0x1.54b74154c7f51p-17, -0x1.51d51ce193341p-17, -0x1.4edc289d2c363p-17, -0x1.4bcd1c3c51953p-17, -0x1.48a8ad38d42f4p-17, -0x1.456f8ed577ac6p-17, -0x1.422272218095p-17, -0x1.3ec205fbf7777p-17, -0x1.3b4ef716aaea1p-17, -0x1.37c9eff8f0fccp-17, -0x1.34339902327abp-17, -0x1.308c986c42008p-17, -0x1.2cd5924d85882p-17, -0x1.290f289af6e23p-17, -0x1.2539fb29fe91fp-17, -0x1.2156a7b22f19ap-17, -0x1.1d65c9cee3743p-17, -0x1.1967fb00c431bp-17, -0x1.155dd2af38b07p-17, -0x1.1147e629c62d7p-17, -0x1.0d26c8a95fb34p-17, -0x1.08fb0b51ab39ap-17, -0x1.04c53d323e447p-17, -0x1.0085eb47d4069p-17, -0x1.f87b40fb00684p-18, -0x1.efd9cb5bc0c77p-18, -0x1.e72883489ee88p-18, -0x1.de68723c347dap-18, -0x1.d59a9d9775899p-18, -0x1.ccc006a43242ep-18, -0x1.c3d9aa97a9afbp-18, -0x1.bae882953194dp-18, -0x1.b1ed83b0f0d78p-18, -0x1.a8e99ef2b7461p-18, -0x1.9fddc158ed4bbp-18, -0x1.96cad3dba19f3p-18, -0x1.8db1bb6fb6ef7p-18, -0x1.8493590a31d81p-18, -0x1.7b7089a3a88f8p-18, -0x1.724a263bd7c34p-18, -0x1.692103dd5b31dp-18, }}, 
      {{0x1.2a15d752a8dd3p-16, 0x1.2ad144c924e9ap-14, 0x1.51649ec2cd724p-13, 0x1.2d309ee6b0fep-12, 0x1.d8a73fefe58cdp-12, 0x1.559cbadc0fdfp-11, 0x1.d2434274a0c6p-11, 0x1.30e15f9d010c3p-10, 0x1.819b28cfc1236p-10, 0x1.daa8ea09c1d7bp-10, 0x1.1d97f0c35e254p-9, 0x1.5110c94eaff59p-9, 0x1.871f2b4df82ccp-9, 0x1.bf0c96c27668dp-9, 0x1.f80e3d83caaefp-9, 0x1.18a3d98e78f28p-8, 0x1.34e6e72f948aap-8, 0x1.5054d0ee6d484p-8, 0x1.6a6dba88640f4p-8, 0x1.82aed6192d074p-8, 0x1.9893c84c127d7p-8, 0x1.ab97f7836df3bp-8, 0x1.bb37c2300a335p-8, 0x1.c6f199e75d8e3p-8, 0x1.ce4701e77b934p-8, 0x1.d0bd70a3f0957p-8, 0x1.cddf14b29a6efp-8, 0x1.c53b7dff6f816p-8, 0x1.b6682c96f63e6p-8, 0x1.a101069ee6298p-8, 0x1.84a8b74047932p-8, 0x1.6108f85c49827p-8, 0x1.35d2c8e97f226p-8, 0x1.02be91cf1b918p-8, 0x1.8f187604e51c1p-9, 0x1.08066527de60cp-9, 0x1.bf9339efe6fa2p-11, -0x1.ccfc813d02b34p-12, -0x1.e99699ae4a7cfp-10, -0x1.c1d496bfd759ep-9, -0x1.5071c4f764c7p-8, -0x1.c90947cdc0a4dp-8, -0x1.255bb243e0d22p-7, -0x1.6abe20db9fcdfp-7, -0x1.b4a8ecb28fc54p-7, -0x1.018b0e623272dp-6, -0x1.2afe71b16c048p-6, -0x1.56a8e035a9aefp-6, -0x1.848352076bb71p-6, -0x1.b48588f70df95p-6, -0x1.e6a6222916211p-6, -0x1.0d6d53d3fa9p-5, -0x1.288bd0ea9cbbep-5, -0x1.44a8545369b96p-5, -0x1.61bc3a4fc7175p-5, -0x1.7fc077ba2570dp-5, -0x1.9eada228d0962p-5, -0x1.be7bf7dbd8e45p-5, -0x1.df236771e0cddp-5, -0x1.004dcbb0446acp-4, -0x1.116df696f4e6bp-4, -0x1.22edca34ae5efp-4, -0x1.34c8c2b131777p-4, -0x1.46fa45ce8b907p-4, -0x1.597da6020b2f9p-4, -0x1.6c4e256c1b7c9p-4, -0x1.7f66f8af5f7acp-4, -0x1.92c349a7930e4p-4, -0x1.a65e3a00d1b53p-4, -0x1.ba32e5affa17fp-4, -0x1.ce3c654d0e09fp-4, -0x1.e275d0504e334p-4, -0x1.f6da3f3316a3fp-4, -0x1.05b266baabc0bp-3, -0x1.10084dc44a99p-3, -0x1.1a6c6850afa35p-3, -0x1.24dc4e381a36cp-3, -0x1.2f559c6146f3ap-3, -0x1.39d5f5869358dp-3, -0x1.445b02f00ad9cp-3, -0x1.4ee27522d5f57p-3, -0x1.596a048667ac3p-3, -0x1.63ef71ffbc011p-3, -0x1.6e70878303038p-3, -0x1.78eb189c11373p-3, -0x1.835d02edd0495p-3, -0x1.8dc42ea90b8ecp-3, -0x1.981e8efacc2f9p-3, -0x1.a26a227297b01p-3, -0x1.aca4f360b86b3p-3, -0x1.b6cd182ce2ae3p-3, -0x1.c0e0b3a55a859p-3, -0x1.caddf546ddf61p-3, -0x1.d4c3197d7a55ap-3, -0x1.de8e69de94e59p-3, -0x1.e83e3d5c3bc91p-3, -0x1.f1d0f872077abp-3, -0x1.fb450d4bb1b06p-3, -0x1.024c7df2c8979p-2, -0x1.06e5a91396c9p-2, -0x1.0b6d55fc0a2e5p-2, -0x1.0fe2d9a790bdbp-2, -0x1.1445901e35595p-2, -0x1.1894dc76fb386p-2, -0x1.1cd028d7be3dp-2, -0x1.20f6e672a2531p-2, -0x1.25088d813a4fap-2, -0x1.29049d3d6ce86p-2, -0x1.2cea9bd8403a9p-2, -0x1.30ba166e943c3p-2, -0x1.3472a0fbeed5dp-2, -0x1.3813d64b6fa2dp-2, -0x1.3b9d57e6fb2d4p-2, -0x1.3f0ece04c2971p-2, -0x1.4267e773331f5p-2, -0x1.45a859836b6c5p-2, -0x1.48cfdff24c981p-2, -0x1.4bde3cd03e4dbp-2, -0x1.4ed33867b78fep-2, -0x1.51aea122ac43ep-2, -0x1.54704b6eeaef1p-2, -0x1.571811a186ce5p-2, -0x1.59a5d3d9604e7p-2, -0x1.5c1977e0e1027p-2, -0x1.5e72e90effc2dp-2, -0x1.60b218279dadp-2, -0x1.62d6fb3b52e12p-2, -0x1.64e18d86b981ep-2, -0x1.66d1cf51496edp-2, -0x1.68a7c5cbd7329p-2, -0x1.6a637aeec5184p-2, -0x1.6c04fd57f55cdp-2, -0x1.6d8c60288f83cp-2, -0x1.6ef9bae29fd9ep-2, -0x1.704d2946abf89p-2, -0x1.7186cb313773fp-2, -0x1.72a6c47858cf4p-2, -0x1.73ad3cc9565b8p-2, -0x1.749a5f8669599p-2, -0x1.756e5ba4a1374p-2, -0x1.76296389fab22p-2, -0x1.76cbacebb3abdp-2, -0x1.775570acdde23p-2, -0x1.77c6eabd3e9fbp-2, -0x1.782059f880a8ep-2, -0x1.78620005c0c4bp-2, -0x1.788c213777f14p-2, -0x1.789f046bcc83ap-2, -0x1.789af2ed4d453p-2, -0x1.78803854211dap-2, -0x1.784f2267a2ee1p-2, -0x1.780801007f9aap-2, -0x1.77ab25eb4981ep-2, -0x1.7738e4cb8e93p-2, -0x1.76b192ff72c61p-2, -0x1.76158783c9ae9p-2, -0x1.75651ad8be8cdp-2, -0x1.74a0a6e702843p-2, -0x1.73c886e58397bp-2, -0x1.72dd173fb53abp-2, -0x1.71deb57c62197p-2, -0x1.70cdc0250cd12p-2, -0x1.6faa96ade1cafp-2, -0x1.6e75995e36449p-2, -0x1.6d2f29399799cp-2, -0x1.6bd7a7e9690d9p-2, -0x1.6a6f77a714079p-2, -0x1.68f6fb26c34c2p-2, -0x1.676e9582afc76p-2, -0x1.65d6aa26fa152p-2, -0x1.642f9cbe10c6p-2, -0x1.6279d11da5939p-2, -0x1.60b5ab342a7b8p-2, -0x1.5ee38ef6db971p-2, -0x1.5d03e0505149dp-2, -0x1.5b17030f9ba8p-2, -0x1.591d5ad7e3202p-2, -0x1.57174b108df66p-2, -0x1.550536d5ed362p-2, -0x1.52e780ea6619fp-2, -0x1.50be8ba8243b8p-2, -0x1.4e8ab8f341a14p-2, -0x1.4c4c6a2c76423p-2, -0x1.4a0400243b349p-2, -0x1.47b1db0e6e48bp-2, -0x1.45565a7669c01p-2, -0x1.42f1dd339729p-2, -0x1.4084c15e7423ap-2, -0x1.3e0f64460ad1bp-2, -0x1.3b922265ddf1ep-2, -0x1.390d575c42ee3p-2, -0x1.36815de12a4ecp-2, -0x1.33ee8fbd545dbp-2, -0x1.315545c1f11aep-2, -0x1.2eb5d7c0a4e6dp-2, -0x1.2c109c83fab08p-2, -0x1.2965e9c8327f1p-2, -0x1.26b614347a6a5p-2, -0x1.24016f54837e9p-2, -0x1.21484d927995p-2, -0x1.1e8b003154746p-2, -0x1.1bc9d7478941fp-2, -0x1.190521ba1146p-2, -0x1.163d2d37cbb9bp-2, -0x1.1372463534e7ap-2, -0x1.10a4b7e86f1a2p-2, -0x1.0dd4cc45a22dfp-2, -0x1.0b02cbfba6ca1p-2, -0x1.082efe7106ea5p-2, -0x1.0559a9c143764p-2, -0x1.028312ba6b35cp-2, -0x1.ff56f9b5f3cb5p-3, -0x1.f9a6549ff60fbp-3, -0x1.f3f4b7e6f1925p-3, -0x1.ee42a29655597p-3, -0x1.e890910ecd415p-3, -0x1.e2defd04aab9dp-3, -0x1.dd2e5d7ec7c7fp-3, -0x1.d77f26d5e0c71p-3, -0x1.d1d1cab46e95fp-3, -0x1.cc26b816eb32fp-3, -0x1.c67e5b4c8a73cp-3, -0x1.c0d91df85eee6p-3, -0x1.bb376712ea31ep-3, -0x1.b5999aec0f83bp-3, -0x1.b0001b2d6bc3fp-3, -0x1.aa6b46dd0d336p-3, -0x1.a4db7a6089568p-3, -0x1.9f510f8065886p-3, -0x1.99cc5d6bddab5p-3, -0x1.944db8bcfbc65p-3, -0x1.8ed5737cfa66bp-3, -0x1.8963dd28fb72ep-3, -0x1.83f942b70399bp-3, -0x1.7e95ee9b3de1cp-3, -0x1.793a28cd883b5p-3, -0x1.73e636cf369b2p-3, -0x1.6e9a5bb11f172p-3, -0x1.6956d819dacap-3, -0x1.641bea4c43682p-3, -0x1.5ee9ce2e20549p-3, -0x1.59c0bd4f1066ap-3, -0x1.54a0eeef9c27p-3, -0x1.4f8a9808786c4p-3, -0x1.4a7deb51f4f3ep-3, -0x1.457b194b93705p-3, -0x1.40825043c54bdp-3, -0x1.3b93bc5fc9f65p-3, -0x1.36af87a3b4c8fp-3, -0x1.31d5d9fa8aa8ep-3, -0x1.2d06d93e7f555p-3, -0x1.2842a94153403p-3, -0x1.23896bd4bcd76p-3, -0x1.1edb40d2f3399p-3, -0x1.1a38462746ffp-3, -0x1.15a097d6cc993p-3, -0x1.111450091aedfp-3, -0x1.0c93871111dd1p-3, -0x1.081e5375b17cap-3, -0x1.03b4c9faf85e3p-3, -0x1.feadfb5591bbep-4, -0x1.f609ffbbb03d7p-4, -0x1.ed7dc0893f52dp-4, -0x1.e50959e0a5224p-4, -0x1.dcace4b79fe7ep-4, -0x1.d46876e937479p-4, -0x1.cc3c2347a14e6p-4, -0x1.c427f9ae1b233p-4, -0x1.bc2c0712c8c12p-4, -0x1.b448559871827p-4, -0x1.ac7ceca04577ap-4, -0x1.a4c9d0db76c3p-4, -0x1.9d2f045cd4b75p-4, -0x1.95ac86aa42e52p-4, -0x1.8e4254ce18f03p-4, -0x1.86f06968690f6p-4, -0x1.7fb6bcc026b4fp-4, -0x1.789544d42c514p-4, -0x1.718bf56c20b6cp-4, -0x1.6a9ac02936ab7p-4, -0x1.63c19496c83c9p-4, -0x1.5d00603ac8e85p-4, -0x1.56570ea60ef69p-4, -0x1.4fc589847299bp-4, -0x1.494bb8acbef77p-4, -0x1.42e9823077372p-4, -0x1.3c9eca6b6ad48p-4, -0x1.366b74131aa05p-4, -0x1.304f6045eabcp-4, -0x1.2a4a6e9a2326fp-4, -0x1.245c7d2cbb841p-4, -0x1.1e8568aff2faap-4, -0x1.18c50c79b0ac1p-4, -0x1.131b4291afbd4p-4, -0x1.0d87e3bf72339p-4, -0x1.080ac797fd1adp-4, -0x1.02a3c48b5b257p-4, -0x1.faa55fe3cd4c6p-5, -0x1.f02ebc32b190dp-5, -0x1.e5e344a33f90ep-5, -0x1.dbc29df2f41fcp-5, -0x1.d1cc6b15abb78p-5, -0x1.c8004d4dec9b6p-5, -0x1.be5de444b8a58p-5, -0x1.b4e4ce20e9ea9p-5, -0x1.ab94a79e15a0dp-5, -0x1.a26d0c22f6b21p-5, -0x1.996d95d7648c3p-5, -0x1.9095ddb9cbfc2p-5, -0x1.87e57bb436bdp-5, -0x1.7f5c06b0d56c9p-5, -0x1.76f914ae16cbp-5, -0x1.6ebc3ad2464cfp-5, -0x1.66a50d7eb366bp-5, -0x1.5eb320626515ep-5, -0x1.56e6068c54081p-5, -0x1.4f3d527d3593p-5, -0x1.47b89638cda3ap-5, -0x1.40576356cf624p-5, -0x1.39194b134c316p-5, -0x1.31fdde5eaeebp-5, -0x1.2b04aded48489p-5, -0x1.242d4a466a5adp-5, -0x1.1d7743d317a2dp-5, -0x1.16e22aec3fd18p-5, -0x1.106d8fe8967fp-5, -0x1.0a190329f949fp-5, -0x1.03e4152a6dd28p-5, -0x1.fb9cad117087p-6, -0x1.efaeb0290fe87p-6, -0x1.e3fd55b47e1edp-6, -0x1.d887c05cab337p-6, -0x1.cd4d1370ae472p-6, -0x1.c24c72fb045eap-6, -0x1.b78503d603d24p-6, -0x1.acf5ebbf98c7ap-6, -0x1.a29e516c42442p-6, -0x1.987d5c9959b2ap-6, -0x1.8e92361ea0a2ep-6, -0x1.84dc07ff1e9cfp-6, -0x1.7b59fd7951254p-6, -0x1.720b4316a84fcp-6, -0x1.68ef06ba644a8p-6, -0x1.600477afc1944p-6, -0x1.574ac6b789aecp-6, -0x1.4ec1261501f89p-6, -0x1.4666c99a3ac96p-6, -0x1.3e3ae6b3c7f84p-6, -0x1.363cb473e1629p-6, -0x1.2e6b6b9cefac4p-6, -0x1.26c646ab8a278p-6, -0x1.1f4c81dfe52ecp-6, -0x1.17fd5b46b5de3p-6, -0x1.10d812c19452fp-6, -0x1.09dbea0ed349fp-6, -0x1.030824d0d860ap-6, -0x1.f8b81129f96a7p-7, -0x1.ebadb9b3cfa71p-7, -0x1.deefd62afc876p-7, -0x1.d27cfd74a5aebp-7, -0x1.c653ca7955c8bp-7, -0x1.ba72dc2e26a19p-7, -0x1.aed8d59d0e48ep-7, -0x1.a3845dec618acp-7, -0x1.987420658a57dp-7, -0x1.8da6cc7aec798p-7, -0x1.831b15cd1a5bp-7, -0x1.78cfb42f43619p-7, -0x1.6ec363aaf0efbp-7, -0x1.64f4e483137dbp-7, -0x1.5b62fb3662958p-7, -0x1.520c7081198e1p-7, -0x1.48f0115e180e3p-7, -0x1.400caf075f724p-7, -0x1.37611ef5feabfp-7, -0x1.2eec3ae170d59p-7, -0x1.26ace0be6a62fp-7, -0x1.1ea1f2bd222bcp-7, -0x1.16ca57471846fp-7, -0x1.0f24f8fc5e3c8p-7, -0x1.07b0c6b068b6ep-7, -0x1.006cb3666a6bdp-7, -0x1.f2af6c9a827e8p-8, -0x1.e4e19575ed36cp-8, -0x1.d76de04fb458fp-8, -0x1.ca52545270879p-8, -0x1.bd8d00d765d71p-8, -0x1.b11bfd5a7eb82p-8, -0x1.a4fd696d99c68p-8, -0x1.992f6cab340efp-8, -0x1.8db036a8729b4p-8, -0x1.827dfee697611p-8, -0x1.779704c3e7c26p-8, -0x1.6cf98f6c07727p-8, -0x1.62a3edc7d780bp-8, -0x1.5894766cd74a3p-8, -0x1.4ec9878c12937p-8, -0x1.454186e0a4645p-8, -0x1.3bfae19dd1768p-8, -0x1.32f40c5cc218ap-8, -0x1.2a2b8309e2463p-8, -0x1.219fc8d1eddf2p-8, -0x1.194f680eaaf64p-8, -0x1.1138f2335e997p-8, -0x1.095affb8fb3b9p-8, -0x1.01b4300a1059ap-8, -0x1.f48652dd05585p-9, -0x1.e60d31ee1a5bap-9, -0x1.d7fa64d127607p-9, -0x1.ca4b604e96708p-9, -0x1.bcfda64373a3cp-9, -0x1.b00ec5772c0b4p-9, -0x1.a37c59710fcf2p-9, -0x1.97440a4da1129p-9, -0x1.8b638c93b65e6p-9, -0x1.7fd8a1097c64cp-9, -0x1.74a1148958cf4p-9, -0x1.69babfd6ba784p-9, -0x1.5f238772d951ap-9, -0x1.54d95b7172eabp-9, -0x1.4ada374d85454p-9, -0x1.412421be0bebdp-9, -0x1.37b52c8ad02b4p-9, -0x1.2e8b746142decp-9, -0x1.25a520a976521p-9, -0x1.1d00635b2c67dp-9, -0x1.149b78d30e68fp-9, -0x1.0c74a7a8069a1p-9, -0x1.048a4080c76b6p-9, -0x1.f9b53bd30aa39p-10, -0x1.eac84853bfd49p-10, -0x1.dc4a82361454ep-10, -0x1.ce38d7fc5a387p-10, -0x1.c0904aa6122e7p-10, -0x1.b34ded5dbcf01p-10, -0x1.a66ee5273f0e2p-10, -0x1.99f0688ed05a6p-10, -0x1.8dcfbf589794ap-10, -0x1.820a4230d515p-10, -0x1.769d5a5cccdd2p-10, -0x1.6b86816c49c91p-10, -0x1.60c340ebe1475p-10, -0x1.56513217e7d5p-10, -0x1.4c2dfd9023c13p-10, -0x1.42575b0c3d16dp-10, -0x1.38cb1110fa706p-10, -0x1.2f86f4a63671dp-10, -0x1.2688e90dafae6p-10, -0x1.1dcedf7a9a37p-10, -0x1.1556d6ca0ef58p-10, -0x1.0d1edb3c3eefdp-10, -0x1.0525062e8e416p-10, -0x1.facefbaceda0cp-11, -0x1.ebc8e9faa538p-11, -0x1.dd345579f4191p-11, -0x1.cf0dd47a87562p-11, -0x1.c15214e4c34d6p-11, -0x1.b3fddbb841bc6p-11, -0x1.a70e048c0f426p-11, -0x1.9a7f8110b0df7p-11, -0x1.8e4f5893ed9dbp-11, -0x1.827aa7865f16ap-11, -0x1.76fe9f02caa3cp-11, -0x1.6bd8845741a4ep-11, -0x1.6105b0900b91cp-11, -0x1.568390045601dp-11, -0x1.4c4fa1e4af64dp-11, -0x1.426777cb461ebp-11, -0x1.38c8b54deef3cp-11, -0x1.2f710f91f1a51p-11, -0x1.265e4ce1973bbp-11, -0x1.1d8e44437bd0cp-11, -0x1.14fedd13a0377p-11, -0x1.0cae0e9e390eap-11, -0x1.0499dfbc3be7cp-11, -0x1.f980cce34868ap-12, -0x1.ea3f8f1adff45p-12, -0x1.db6c6c96a335cp-12, -0x1.cd03e7ee23007p-12, -0x1.bf029f233fcfp-12, -0x1.b1654aefa2c87p-12, -0x1.a428be15848cp-12, -0x1.9749e4b3c1509p-12, -0x1.8ac5c39d2b074p-12, -0x1.7e9977b317415p-12, -0x1.72c235432130bp-12, -0x1.673d476815db8p-12, -0x1.5c080f6e01f3p-12, -0x1.512004395f0efp-12, -0x1.4682b1b14ebb4p-12, -0x1.3c2db82ce18c5p-12, -0x1.321ecbe3621ddp-12, -0x1.2853b45f9605ep-12, -0x1.1eca4bf5eee2fp-12, -0x1.15807f3da4c17p-12, -0x1.0c744c8cad3dfp-12, -0x1.03a3c376857b7p-12, -0x1.f61a089b978cbp-13, -0x1.e55c7f512ea78p-13, -0x1.d50b6bcf16d3ap-13, -0x1.c5236d7f32a8ap-13, -0x1.b5a1418ccf61ap-13, -0x1.a681c202aded9p-13, -0x1.97c1e4ee2f0cfp-13, -0x1.895ebb8794f99p-13, -0x1.7b55715f41604p-13, -0x1.6da34b8fe1435p-13, -0x1.6045a7f571279p-13, -0x1.5339fc6907882p-13, -0x1.467dd6014c58ep-13, -0x1.3a0ed85799167p-13, -0x1.2deabcd19aa8bp-13, -0x1.220f51ef7517fp-13, -0x1.167a7a9e433f9p-13, -0x1.0b2a2d8ef44c5p-13, -0x1.001c74915cb02p-13, -0x1.ea9ed7e6fc4acp-14, -0x1.d58283c9d046bp-14, -0x1.c0e06bbc30dffp-14, -0x1.acb53017b06c5p-14, -0x1.98fd917cf8cf9p-14, -0x1.85b66fb9de6ap-14, -0x1.72dcc8b6fd741p-14, -0x1.606db76ca84e9p-14, -0x1.4e6672df0cd6fp-14, -0x1.3cc44d21691e7p-14, -0x1.2b84b26030873p-14, -0x1.1aa527f1f9784p-14, -0x1.0a234b6f1507dp-14, -0x1.f3f9a39f58719p-15, -0x1.d45f0d20868a1p-15, -0x1.b57295b8fb53fp-15, -0x1.973029800d01cp-15, -0x1.7993dcbaf0c77p-15, -0x1.5c99ea564ea55p-15, -0x1.403eb26b54c0bp-15, -0x1.247eb8d00fec5p-15, -0x1.0956a3b2c4ebcp-15, -0x1.dd86748022522p-16, -0x1.a982c6a730448p-16, -0x1.769c4865ede22p-16, -0x1.44cd3ea5a3384p-16, -0x1.1410264b62d45p-16, -0x1.c8bf63d21584ep-17, -0x1.6b6d8f0211cf2p-17, -0x1.1020fcb8fcae8p-17, -0x1.6da073cd26f7ep-18, -0x1.7dc8b72c8e111p-19, -0x1.3fc2c198afd9cp-22, 0x1.2651f4485ad58p-19, 0x1.369b58b72fb76p-18, 0x1.d66a9a5f67b5p-18, 0x1.3952ecee7b0c7p-17, 0x1.85add4443b0f6p-17, 0x1.d04d0a583a7bp-17, 0x1.0c9babef6b1b1p-16, 0x1.3039a507d529p-16, 0x1.53039ac0493f7p-16, 0x1.74fc9c7316f0cp-16, 0x1.96279fdd499d3p-16, 0x1.b68782657d674p-16, 0x1.d61f0a5672c4fp-16, 0x1.f4f0e80dc9e1bp-16, 0x1.097fdb8f93b24p-15, 0x1.1826ffb6107f2p-15, 0x1.266f1b189a623p-15, 0x1.34595f8413116p-15, 0x1.41e6f67001b45p-15, 0x1.4f19017593c2cp-15, 0x1.5bf09ac1bc68fp-15, 0x1.686ed58298fep-15, 0x1.7494be504061ep-15, 0x1.80635b9118472p-15, 0x1.8bdbadd9dc5e6p-15, 0x1.96feb049709afp-15, 0x1.a1cd58e0a23bep-15, 0x1.ac4898d5f862ep-15, 0x1.b6715ce5b1685p-15, 0x1.c0488d9e0b2f2p-15, 0x1.c9cf0fa7f8574p-15, 0x1.d305c40c57907p-15, 0x1.dbed8875d3f5fp-15, 0x1.e487376f801b8p-15, 0x1.ecd3a8a04c947p-15, 0x1.f4d3b103760e8p-15, 0x1.fc88231dfe767p-15, 0x1.01f8e798a8c8fp-14, 0x1.0588c1b594cc9p-14, 0x1.08f40609656f7p-14, 0x1.0c3b19d9da92fp-14, 0x1.0f5e61a2ec2bp-14, 0x1.125e4129b3f92p-14, 0x1.153b1b8e33157p-14, 0x1.17f5535bf9c2cp-14, 0x1.1a8d4a99c052dp-14, 0x1.1d0362d7f7f33p-14, 0x1.1f57fd3e5fa2ap-14, 0x1.218b7a98a50e9p-14, 0x1.239e3b621bca6p-14, 0x1.25909fd0943fap-14, }}, 
      {{-0x1.370a04d4450b6p-7, -0x1.37e5924d9f6b4p-6, -0x1.d5d26bc50c0fp-6, -0x1.3addf8cb8d1d3p-5, -0x1.8be6d1ace9012p-5, -0x1.ddf9a4d0d3f14p-5, -0x1.1878c3ef7ec1dp-4, -0x1.424a6259e6eb5p-4, -0x1.6c4d74e69e018p-4, -0x1.96593240b0d7cp-4, -0x1.c042b128cd15dp-4, -0x1.e9deefe0c097p-4, -0x1.09823904ca87cp-3, -0x1.1dc63de7f56d7p-3, -0x1.31a9fa7c940aep-3, -0x1.451dfff4b31a4p-3, -0x1.581528737c6f3p-3, -0x1.6a84a8a1c6e53p-3, -0x1.7c640c848b61fp-3, -0x1.8dad24476adf5p-3, -0x1.9e5be50a02ce7p-3, -0x1.ae6e4120ebfe2p-3, -0x1.bde3faa84a679p-3, -0x1.ccbe72c183661p-3, -0x1.db0077607d447p-3, -0x1.e8ae112757b4ep-3, -0x1.f5cc527837bf2p-3, -0x1.0130944d99f26p-2, -0x1.073997cc504acp-2, -0x1.0d04c49a9018bp-2, -0x1.1295dba98f0cbp-2, -0x1.17f0bcedf2063p-2, -0x1.1d19581bedca9p-2, -0x1.22139f2469c31p-2, -0x1.26e37a64c0823p-2, -0x1.2b8cbe74de873p-2, -0x1.3013237b812aap-2, -0x1.347a3deda27cbp-2, -0x1.38c5789c9e099p-2, -0x1.3cf80ff5fb42ep-2, -0x1.41150e57e27e5p-2, -0x1.451f495deb3bep-2, -0x1.4919600af6c43p-2, -0x1.4d05b9b63506bp-2, -0x1.50e685a2e4d08p-2, -0x1.54bdbb2c2f926p-2, -0x1.588d1a7019f06p-2, -0x1.5c562d6668c43p-2, -0x1.601a4951f4ff7p-2, -0x1.63da907cb324p-2, -0x1.6797f4303e6a5p-2, -0x1.6b5336de44d2p-2, -0x1.6f0cee6da4fc4p-2, -0x1.72c586a256c6fp-2, -0x1.767d43977df5ep-2, -0x1.7a3444442091bp-2, -0x1.7dea8503fdb02p-2, -0x1.819fe21ef3adap-2, -0x1.85541a4a386cdp-2, -0x1.8906d11f63be9p-2, -0x1.8cb79185f648dp-2, -0x1.9065d00ca1321p-2, -0x1.9410ed301575ap-2, -0x1.97b8378d96c2ep-2, -0x1.9b5aedfff6e4fp-2, -0x1.9ef841a5f2425p-2, -0x1.a28f57d13df8ap-2, -0x1.a61f4bddcb8e1p-2, -0x1.a9a730f110861p-2, -0x1.ad2613a13f606p-2, -0x1.b09afb8496838p-2, -0x1.b404eca90afffp-2, -0x1.b762e8f4a0facp-2, -0x1.bab3f16ef9349p-2, -0x1.bdf7077491759p-2, -0x1.c12b2dd458d78p-2, -0x1.c44f69d83954bp-2, -0x1.c762c4394c40fp-2, -0x1.ca644a006ae9bp-2, -0x1.cd530d53db1e5p-2, -0x1.d02e2632d4bfp-2, -0x1.d2f4b31f9fa2p-2, -0x1.d5a5d9b9110b8p-2, -0x1.d840c7441d08ap-2, -0x1.dac4b12647c12p-2, -0x1.dd30d551a7fbfp-2, -0x1.df847aa337f4fp-2, -0x1.e1bef1342dacbp-2, -0x1.e3df929f00f01p-2, -0x1.e5e5c238d993bp-2, -0x1.e7d0ed4003c4ap-2, -0x1.e9a08b0012e2bp-2, -0x1.eb541cec50c66p-2, -0x1.eceb2eb1112f2p-2, -0x1.ee65563c81854p-2, -0x1.efc233bf7e28p-2, -0x1.f10171a6fe6adp-2, -0x1.f222c48e973c3p-2, -0x1.f325eb2c9473ep-2, -0x1.f40aae38253dp-2, -0x1.f4d0e04a141fcp-2, -0x1.f5785db870b28p-2, -0x1.f6010c6da6883p-2, -0x1.f66adbbb5a33ep-2, -0x1.f6b5c429773f6p-2, -0x1.f6e1c741c8cf5p-2, -0x1.f6eeef587d43ap-2, -0x1.f6dd4f51dcf78p-2, -0x1.f6ad026595c1cp-2, -0x1.f65e2bdfd7779p-2, -0x1.f5f0f6e098868p-2, -0x1.f56596193e753p-2, -0x1.f4bc4388ed254p-2, -0x1.f3f54037bfaf6p-2, -0x1.f310d3f11c8d2p-2, -0x1.f20f4cfd63f3fp-2, -0x1.f0f0ffdb24cd5p-2, -0x1.efb646f80df44p-2, -0x1.ee5f8269c6d17p-2, -0x1.eced17a6d7cd5p-2, -0x1.eb5f713fcccfp-2, -0x1.e9b6fe98b64afp-2, -0x1.e7f433a3296bap-2, -0x1.e6178898ddadap-2, -0x1.e42179b70ce0ap-2, -0x1.e21286faa480ap-2, -0x1.dfeb33dd6b983p-2, -0x1.ddac07142de03p-2, -0x1.db558a4e04bf8p-2, -0x1.d8e849f4cb5cp-2, -0x1.d664d4eed5edp-2, -0x1.d3cbbc61f4aa7p-2, -0x1.d11d9377d5429p-2, -0x1.ce5aef23ca4fcp-2, -0x1.cb8465ea0751dp-2, -0x1.c89a8fa857c47p-2, -0x1.c59e056058cbcp-2, -0x1.c28f61033e433p-2, -0x1.bf6f3d3f26438p-2, -0x1.bc3e354e0065dp-2, -0x1.b8fce4c60cb9cp-2, -0x1.b5abe76bf03bap-2, -0x1.b24bd9066807p-2, -0x1.aedd553392ea5p-2, -0x1.ab60f73fd6322p-2, -0x1.a7d759fe5c5a3p-2, -0x1.a44117a3277c9p-2, -0x1.a09ec99ebb024p-2, -0x1.9cf1087b535aap-2, -0x1.99386bbbad0a3p-2, -0x1.957589bb5244cp-2, -0x1.91a8f7906ea43p-2, -0x1.8dd348ef1dfa6p-2, -0x1.89f5100e3954bp-2, -0x1.860edd8d9179ap-2, -0x1.8221405d9a655p-2, -0x1.7e2cc5a878d0dp-2, -0x1.7a31f8bc7316ap-2, -0x1.763162f7b44c7p-2, -0x1.722b8bb566693p-2, -0x1.6e20f83c0ecbdp-2, -0x1.6a122bad31176p-2, -0x1.65ffa6f6281f7p-2, -0x1.61e9e8c2315f9p-2, -0x1.5dd16d6da06ffp-2, -0x1.59b6aefa36f23p-2, -0x1.559a25048fcfcp-2, -0x1.517c44ba9ffc3p-2, -0x1.4d5d80d33e38dp-2, -0x1.493e4986a89c4p-2, -0x1.451f0c8805abcp-2, -0x1.410034ffd130cp-2, -0x1.3ce22b8735ab9p-2, -0x1.38c556243db83p-2, -0x1.34aa1846e54f2p-2, -0x1.3090d2c6f1d0bp-2, -0x1.2c79e3e29937p-2, -0x1.2865a73de18ep-2, -0x1.245475e2bd19bp-2, -0x1.2046a641d5f73p-2, -0x1.1c3c8c33feaaep-2, -0x1.183678fc495ecp-2, -0x1.1434bb4ab3573p-2, -0x1.10379f3f6975p-2, -0x1.0c3f6e6e90a8ap-2, -0x1.084c6fe49b92dp-2, -0x1.045ee82b1603p-2, -0x1.0077194df071fp-2, -0x1.f92a85c2676fcp-3, -0x1.f173440e4e37dp-3, -0x1.e9c8e2edaba76p-3, -0x1.e22bd305ea89ep-3, -0x1.da9c8042475abp-3, -0x1.d31b51e2f211ap-3, -0x1.cba8aa8ccc81dp-3, -0x1.c444e859b8f9ep-3, -0x1.bcf064e96b12cp-3, -0x1.b5ab7572b8ea9p-3, -0x1.ae766ad558915p-3, -0x1.a75191ac0b682p-3, -0x1.a03d325f20964p-3, -0x1.9939913753d93p-3, -0x1.9246ee70f719bp-3, -0x1.8b65864f5df8cp-3, -0x1.849591308a748p-3, -0x1.7dd743a10bafcp-3, -0x1.772ace7007d3ep-3, -0x1.70905ec372ce6p-3, -0x1.6a081e2c5a2b5p-3, -0x1.639232bb55e0ep-3, -0x1.5d2ebf14fc9fbp-3, -0x1.56dde28670c4ap-3, -0x1.509fb919eb879p-3, -0x1.4a745bab49ed1p-3, -0x1.445bdffc97f56p-3, -0x1.3e5658ca8cd77p-3, -0x1.3863d5e0faebcp-3, -0x1.3284642f2d1d9p-3, -0x1.2cb80ddc24b2ap-3, -0x1.26feda5ac65bdp-3, -0x1.2158ce7ddc2c3p-3, -0x1.1bc5ec8bf9a8p-3, -0x1.1646345333d87p-3, -0x1.10d9a33cb38dp-3, -0x1.0b80346010322p-3, -0x1.0639e09684d56p-3, -0x1.01069e8de9596p-3, -0x1.f7ccc5b6e1751p-4, -0x1.edb2401c7bf8bp-4, -0x1.e3bd8d8350548p-4, -0x1.d9ee8b5ea83f8p-4, -0x1.d045138201d15p-4, -0x1.c6c0fc4435e98p-4, -0x1.bd6218a20c93p-4, -0x1.b428386052bd3p-4, -0x1.ab13282d5a6d3p-4, -0x1.a222b1c1eff3dp-4, -0x1.99569c01c1593p-4, -0x1.90aeab1b31d4cp-4, -0x1.882aa0a6910d5p-4, -0x1.7fca3bc4c732p-4, -0x1.778d393d62912p-4, -0x1.6f73539c10011p-4, -0x1.677c434d77c53p-4, -0x1.5fa7bebb81ec7p-4, -0x1.57f57a68ffb34p-4, -0x1.5065290cb934cp-4, -0x1.48f67babe1e19p-4, -0x1.41a921b3efb01p-4, -0x1.3a7cc913d9f43p-4, -0x1.33711e54baf07p-4, -0x1.2c85ccb1da491p-4, -0x1.25ba7e301bf3cp-4, -0x1.1f0edbb4d673dp-4, -0x1.18828d1c1360ap-4, -0x1.1215394e35d0dp-4, -0x1.0bc686550db35p-4, -0x1.0596197054be4p-4, -0x1.ff072e5331a74p-5, -0x1.f31d46cf28683p-5, -0x1.e76dc301e9d41p-5, -0x1.dbf7e89d294d3p-5, -0x1.d0bafc7a4878ep-5, -0x1.c5b642bc96231p-5, -0x1.bae8fef2756b1p-5, -0x1.b05274357a3d8p-5, -0x1.a5f1e54973044p-5, -0x1.9bc694ba6d9eap-5, -0x1.91cfc4f9b4784p-5, -0x1.880cb879cb7acp-5, -0x1.7e7cb1c96e9dep-5, -0x1.751ef3ad98c51p-5, -0x1.6bf2c13a9506p-5, -0x1.62f75dec1e92dp-5, -0x1.5a2c0dbc937fp-5, -0x1.5190153b42d1cp-5, -0x1.4922b9a1d1acbp-5, -0x1.40e340e8c53ffp-5, -0x1.38d0f1db2e602p-5, -0x1.30eb142981a7bp-5, -0x1.2930f07b9aba8p-5, -0x1.21a1d081f1b5p-5, -0x1.1a3cff0609d12p-5, -0x1.1301c7fa18323p-5, -0x1.0bef7887eaef8p-5, -0x1.05055f1f15fe9p-5, -0x1.fc859704c7c37p-6, -0x1.ef4e1da932744p-6, -0x1.e262f74904e6fp-6, -0x1.d5c2cbf0b98b3p-6, -0x1.c96c46b12a8acp-6, -0x1.bd5e15b3cc39p-6, -0x1.b196ea4dafc6dp-6, -0x1.a61579114eeecp-6, -0x1.9ad879df2eac4p-6, -0x1.8fdea7f55b1afp-6, -0x1.8526c1fdd0317p-6, -0x1.7aaf8a1bca6a7p-6, -0x1.7077c5f80b53dp-6, -0x1.667e3ecc22313p-6, -0x1.5cc1c16cb25eap-6, -0x1.53411e52cb25cp-6, -0x1.49fb29a4526e8p-6, -0x1.40eebb3b8abdap-6, -0x1.381aaeadbc3d5p-6, -0x1.2f7de351088e4p-6, -0x1.27173c416e4ecp-6, -0x1.1ee5a065084cbp-6, -0x1.16e7fa6f89cc8p-6, -0x1.0f1d38e4feecfp-6, -0x1.07844e1bdb031p-6, -0x1.001c303e5ec76p-6, -0x1.f1c7b2969bc64p-7, -0x1.e3b48e2c1a646p-7, -0x1.d5fcf68c48332p-7, -0x1.c89ef6ac48eb5p-7, -0x1.bb98a1241c7c7p-7, -0x1.aee8102a43002p-7, -0x1.a28b658e64c2p-7, -0x1.9680cab2fb8c1p-7, -0x1.8ac6708609e0cp-7, -0x1.7f5a8f78f9794p-7, -0x1.743b67778649bp-7, -0x1.69673fddf29p-7, -0x1.5edc676e638edp-7, -0x1.549934458049p-7, -0x1.4a9c03ce648afp-7, -0x1.40e33ab5e406dp-7, -0x1.376d44dd24b34p-7, -0x1.2e38954baa4ffp-7, -0x1.2543a620c7cfap-7, -0x1.1c8cf8848ac5cp-7, -0x1.1413149824a5ep-7, -0x1.0bd48965d9da9p-7, -0x1.03cfecd07edbfp-7, -0x1.f807b70514a29p-8, -0x1.e8ddf1b984db1p-8, -0x1.da1fddc91c39fp-8, -0x1.cbcadc63de728p-8, -0x1.bddc5bba59e1fp-8, -0x1.b051d6d8669fep-8, -0x1.a328d57f62ac7p-8, -0x1.965eebffed335p-8, -0x1.89f1bb1334994p-8, -0x1.7ddeefb3de13ep-8, -0x1.722442f6920f4p-8, -0x1.66bf79e239334p-8, -0x1.5bae6547f0819p-8, -0x1.50eee19ac1c82p-8, -0x1.467ed6c727b84p-8, -0x1.3c5c380a66ed8p-8, -0x1.328503c9c3347p-8, -0x1.28f743699bc56p-8, -0x1.1fb10b247339fp-8, -0x1.16b079e1ef118p-8, -0x1.0df3b90dd0bbfp-8, -0x1.0578fc6ef3b6p-8, -0x1.fa7d03fca8bd2p-9, -0x1.ea85237c51a0ep-9, -0x1.db06fb221ed03p-9, -0x1.cbff4222b1be8p-9, -0x1.bd6ac2d0ec4f6p-9, -0x1.af465a4d1accp-9, -0x1.a18ef834751b2p-9, -0x1.94419e5104bcdp-9, -0x1.875b6049f64cfp-9, -0x1.7ad9635462edap-9, -0x1.6eb8dde4922abp-9, -0x1.62f7175fc5393p-9, -0x1.579167ce9013ap-9, -0x1.4c85378fc3d4ap-9, -0x1.41cfff0bf5909p-9, -0x1.376f4669a901bp-9, -0x1.2d60a5421de53p-9, -0x1.23a1c256ce1c2p-9, -0x1.1a3053479db12p-9, -0x1.110a1c49c1d3ap-9, -0x1.082cefdf6198ap-9, -0x1.ff2d5d1ff8a89p-10, -0x1.ee8a8d431a344p-10, -0x1.de6d67a4facf4p-10, -0x1.ced1fe28bbee8p-10, -0x1.bfb47c8edfbc6p-10, -0x1.b11127edfd09cp-10, -0x1.a2e45e2d1df64p-10, -0x1.952a957fc4cedp-10, -0x1.87e05be3a9268p-10, -0x1.7b0256a021e6dp-10, -0x1.6e8d41c74c1b7p-10, -0x1.627defb8e8d75p-10, -0x1.56d148a6fa15bp-10, -0x1.4b844a1c1d76p-10, -0x1.40940683a4d31p-10, -0x1.35fda4b37256ep-10, -0x1.2bbe5f779c8b8p-10, -0x1.21d3851fc625p-10, -0x1.183a770e4c6c2p-10, -0x1.0ef0a9492600ep-10, -0x1.05f3a20c91261p-10, -0x1.fa81f2bf0008dp-11, -0x1.e9acb15382a54p-11, -0x1.d962f497dc8d7p-11, -0x1.c9a052722797cp-11, -0x1.ba6081242fff6p-11, -0x1.ab9f5685b574ep-11, -0x1.9d58c74219ee9p-11, -0x1.8f88e6197e731p-11, -0x1.822be32542627p-11, -0x1.753e0b1fe7099p-11, -0x1.68bbc6b0498cp-11, -0x1.5ca199b834efp-11, -0x1.50ec22a63dde8p-11, -0x1.459819cae8642p-11, -0x1.3aa250b10af56p-11, -0x1.3007b17969e32p-11, -0x1.25c53e3983f7cp-11, -0x1.1bd8105d86cd2p-11, -0x1.123d580d63e01p-11, -0x1.08f25b94fc795p-11, -0x1.ffe8ed9ebd92dp-12, -0x1.ee82352a11081p-12, -0x1.ddab985a506e7p-12, -0x1.cd604983a5955p-12, -0x1.bd9ba1ae4a897p-12, -0x1.ae591f8a924d4p-12, -0x1.9f94666aa5a26p-12, -0x1.91493d41db929p-12, -0x1.83738da9a11bap-12, -0x1.760f62ebdc2e1p-12, -0x1.6918e912af6b6p-12, -0x1.5c8c6bfd96fccp-12, -0x1.5066567bbcbb3p-12, -0x1.44a3316b800ddp-12, -0x1.393fa2df0ed29p-12, -0x1.2e386d46064d7p-12, -0x1.238a6e9c035bp-12, -0x1.19329f9c0c46ep-12, -0x1.0f2e12f8ca5e9p-12, -0x1.0579f49970928p-12, -0x1.f82711b68fe29p-13, -0x1.e5f057af9522bp-13, -0x1.d44aa15e6be3p-13, -0x1.c33101af0a1a2p-13, -0x1.b29eb6df79f12p-13, -0x1.a28f292ef7a25p-13, -0x1.92fde99560a49p-13, -0x1.83e6b082dbd28p-13, -0x1.75455ca789034p-13, -0x1.6715f1c31edbap-13, -0x1.5954977c3d33bp-13, -0x1.4bfd983f6dc1p-13, -0x1.3f0d60258677cp-13, -0x1.32807be172216p-13, -0x1.265397b51468ep-13, -0x1.1a837e6d4b277p-13, -0x1.0f0d1864c230bp-13, -0x1.03ed6a8d999d9p-13, -0x1.f2432b0342ad9p-14, -0x1.dd4da93236e93p-14, -0x1.c8f4fa0f9d06dp-14, -0x1.b533fa00b6204p-14, -0x1.a205b5bb4417ap-14, -0x1.8f6568a44e428p-14, -0x1.7d4e7b3a89a9cp-14, -0x1.6bbc818c326dap-14, -0x1.5aab39b80ec99p-14, -0x1.4a168a7960fd8p-14, -0x1.39fa81be87714p-14, -0x1.2a53534a0ffadp-14, -0x1.1b1d575e0164fp-14, -0x1.0c5509711fc2dp-14, -0x1.fbee0ddbe2c25p-15, -0x1.e0001bf69392bp-15, -0x1.c4d9f89c48246p-15, -0x1.aa759c0924fabp-15, -0x1.90cd39131c792p-15, -0x1.77db3b02df69ep-15, -0x1.5f9a437db7d1p-15, -0x1.4805287fdf154p-15, -0x1.3116f266f1d08p-15, -0x1.1acada0c13661p-15, -0x1.051c46ed61873p-15, -0x1.e00d9accb0596p-16, -0x1.b70c59ed83017p-16, -0x1.8f2c9d2fadd98p-16, -0x1.6866863e685e3p-16, -0x1.42b2835e87abcp-16, -0x1.1e094c69978bdp-16, -0x1.f4c7bfc4f9265p-17, -0x1.af77004605e65p-17, -0x1.6c1361433bd8p-17, -0x1.2a90669d90ad8p-17, -0x1.d5c418254028dp-18, -0x1.59f980a3edf4p-18, -0x1.c35580f73e698p-19, -0x1.b30992b08122fp-20, 0x1.350ed9cf52124p-24, 0x1.ccb419fe2ff9dp-20, 0x1.bcb653790ce52p-19, 0x1.4671208b52bafp-18, 0x1.ab80bc4bf73bbp-18, 0x1.06cd95d7c7ee8p-17, 0x1.366880e8aabdap-17, 0x1.64991e863c53dp-17, 0x1.916726c864343p-17, 0x1.bcda0ddc07578p-17, 0x1.e6f9070efce1cp-17, 0x1.07e583df20bf1p-16, 0x1.1bab65139e097p-16, 0x1.2ed1680e833edp-16, 0x1.415ab2d1437edp-16, 0x1.534a51b51cd5ep-16, 0x1.64a3389e37b8dp-16, 0x1.7568442273192p-16, 0x1.859c3aa42dc73p-16, 0x1.9541cd61806bep-16, 0x1.a45b99783e939p-16, 0x1.b2ec28df16b18p-16, 0x1.c0f5f35436b7p-16, 0x1.ce7b5f41c4812p-16, 0x1.db7ec2987e6bcp-16, 0x1.e80263a0e045bp-16, 0x1.f40879c316261p-16, 0x1.ff932e461170bp-16, 0x1.05524e83023f8p-15, 0x1.0a9f6a914fdbcp-15, 0x1.0fb1ecd2a4dc9p-15, 0x1.148ad10fd0efcp-15, 0x1.192b0da14758p-15, 0x1.1d9393b712499p-15, 0x1.21c54f9d4b495p-15, 0x1.25c128fd41439p-15, 0x1.2988031b636abp-15, 0x1.2d1abd1216556p-15, 0x1.307a32098b241p-15, 0x1.33a7396cb74cep-15, 0x1.36a2a71b8af6dp-15, 0x1.396d4b9a7ac7dp-15, 0x1.3c07f43f7fbe4p-15, 0x1.3e736b5c9d4a4p-15, 0x1.40b078680ece8p-15, 0x1.42bfe0222dd1bp-15, 0x1.44a264b92be7ap-15, 0x1.4658c5eab6a8p-15, 0x1.47e3c12396fdap-15, 0x1.4944119d6acaep-15, 0x1.4a7a707a7fbbbp-15, 0x1.4b8794dff0c65p-15, 0x1.4c6c340e10158p-15, 0x1.4d29017735243p-15, 0x1.4dbeaed4fd725p-15, 0x1.4e2dec3c162b8p-15, 0x1.4e77682e99301p-15, 0x1.4e9bcfad14356p-15, 0x1.4e9bce46463b4p-15, 0x1.4e780e25a38f1p-15, 0x1.4e313820aec3ep-15, 0x1.4dc7f3c3361f7p-15, 0x1.4d3ce75a815e6p-15, 0x1.4c90b7ff80072p-15, 0x1.4bc409a002618p-15, 0x1.4ad77f070a679p-15, 0x1.49cbb9e4414c8p-15, 0x1.48a15ad29e352p-15, 0x1.4759015e466bbp-15, 0x1.45f34c09b2966p-15, 0x1.4470d852286e7p-15, 0x1.42d242b3883fep-15, 0x1.411826ab842b3p-15, 0x1.3f431ebc41e2ep-15, 0x1.3d53c46e720e6p-15, 0x1.3b4ab052e822dp-15, 0x1.39287a03b75fbp-15, 0x1.36edb824e077dp-15, 0x1.349b006493dc3p-15, 0x1.3230e77b13d46p-15, 0x1.2fb0012a39ff8p-15, 0x1.2d18e03ca7cd2p-15, 0x1.2a6c1684ad1b3p-15, 0x1.27aa34dae0482p-15, 0x1.24d3cb1c7b2f4p-15, 0x1.21e9682978035p-15, 0x1.1eeb99e27932bp-15, 0x1.1bdaed267d6ap-15, 0x1.18b7edd06a84p-15, 0x1.158326b46f66ep-15, 0x1.123d219d3f547p-15, 0x1.0ee6674934022p-15, 0x1.0b7f7f6750b4ep-15, 0x1.0808f0942f628p-15, 0x1.04834056da5ebp-15, 0x1.00eef31d98573p-15, 0x1.fa99187550eafp-16, 0x1.f3391bc1f3a2ap-16, 0x1.ebbef241ae004p-16, 0x1.e42b9bc9290b3p-16, 0x1.dc8015da7472dp-16, 0x1.d4bd5b9e61ff4p-16, 0x1.cce465dde837p-16, 0x1.c4f62afb92b53p-16, }}, 
      {{0x1.fb7f1295a9346p-1, 0x1.faf1c152057aap-1, 0x1.fa11f4ba2d343p-1, 0x1.f8ec1adc85331p-1, 0x1.f78c868f952b3p-1, 0x1.f5fe3b9825d9ep-1, 0x1.f44a6630d4939p-1, 0x1.f2783b08cfd27p-1, 0x1.f08d13611e4ebp-1, 0x1.ee8ca873f79d3p-1, 0x1.ec795be11dfb5p-1, 0x1.ea5481f4f18f3p-1, 0x1.e81ea756c7e79p-1, 0x1.e5d7cebe13eb5p-1, 0x1.e37fa54377a68p-1, 0x1.e115ad18450e5p-1, 0x1.de995f248ece3p-1, 0x1.dc0a446ddd6e4p-1, 0x1.d9680854a5fdap-1, 0x1.d6b284c11795cp-1, 0x1.d3e9c94e0d776p-1, 0x1.d10e1e6bc6af5p-1, 0x1.ce200559482e8p-1, 0x1.cb2035b6939bfp-1, 0x1.c80f995566ec1p-1, 0x1.c4ef46d36d23ep-1, 0x1.c1c07b703cc27p-1, 0x1.be84947bad034p-1, 0x1.bb3d08a5dcc0ap-1, 0x1.b7eb6169cd1dap-1, 0x1.b49134bd659d4p-1, 0x1.b1301f25f0a8cp-1, 0x1.adc9be4666ad9p-1, 0x1.aa5fabf4dc7bep-1, 0x1.a6f379de0cf71p-1, 0x1.a386adb8dece3p-1, 0x1.a01abe07d98abp-1, 0x1.9cb10f639082ep-1, 0x1.994af246d77f8p-1, 0x1.95e9a1541f819p-1, 0x1.928e400a631fdp-1, 0x1.8f39d9df886f9p-1, 0x1.8bed61b5ed298p-1, 0x1.88a9b1a2f27ecp-1, 0x1.856f8afca1ce4p-1, 0x1.823f96a4fb0a9p-1, 0x1.7f1a658a07b91p-1, 0x1.7c0071526924cp-1, 0x1.78f21d2ec7a29p-1, 0x1.75efb6c929123p-1, 0x1.72f9774be91bcp-1, 0x1.700f847ab141ap-1, 0x1.6d31f1d86b035p-1, 0x1.6a60c1d5c7441p-1, 0x1.679be7047a513p-1, 0x1.64e3454bd5c5bp-1, 0x1.6236b31be0b8ap-1, 0x1.5f95fa9c7e20fp-1, 0x1.5d00dad69171ep-1, 0x1.5a7708d573c0ep-1, 0x1.57f830bf4ed52p-1, 0x1.5583f6e34b085p-1, 0x1.5319f8bcabb69p-1, 0x1.50b9cdea3a5efp-1, 0x1.4e630919889b7p-1, 0x1.4c1538e5bbf9bp-1, 0x1.49cfe8a9bfa3fp-1, 0x1.4792a145cff98p-1, 0x1.455ce9d87177cp-1, 0x1.432e486afb681p-1, 0x1.41064291ec6c9p-1, 0x1.3ee45e0154906p-1, 0x1.3cc82115a5c88p-1, 0x1.3ab113514b363p-1, 0x1.389ebdcf6a1fcp-1, 0x1.3690abac39ea1p-1, 0x1.34866a63605dep-1, 0x1.327f8a24c3b1p-1, 0x1.307b9e2047177p-1, 0x1.2e7a3cc8e2748p-1, 0x1.2c7b000f8c5b1p-1, 0x1.2a7d859662fedp-1, 0x1.28816edc89f4dp-1, 0x1.2686616325e04p-1, 0x1.248c06cbe5c13p-1, 0x1.22920cf1805efp-1, 0x1.209825fa8a145p-1, 0x1.1e9e086709e84p-1, 0x1.1ca36f1926912p-1, 0x1.1aa819594c5d6p-1, 0x1.18abcad62001cp-1, 0x1.16ae4ba092867p-1, 0x1.14af68246901ap-1, 0x1.12aef11d82e45p-1, 0x1.10acbb8a27dafp-1, 0x1.0ea8a09aa3a03p-1, 0x1.0ca27d9e71bacp-1, 0x1.0a9a33ef380a2p-1, 0x1.088fa8d9ca309p-1, 0x1.0682c5856f779p-1, 0x1.047376d99f843p-1, 0x1.0261ad6268388p-1, 0x1.004d5d33a92bep-1, 0x1.fc6cfb96ad4cap-2, 0x1.f83a13e5ca353p-2, 0x1.f401ff40193e4p-2, 0x1.efc4bfaa03493p-2, 0x1.eb825d0090287p-2, 0x1.e73ae4b8801fap-2, 0x1.e2ee699d0e4ebp-2, 0x1.de9d038e98b96p-2, 0x1.da46cf415c19ap-2, 0x1.d5ebedfc6db53p-2, 0x1.d18c855925c9ap-2, 0x1.cd28bf031c6ddp-2, 0x1.c8c0c878dac47p-2, 0x1.c454d2cd63bp-2, 0x1.bfe5126ab09e4p-2, 0x1.bb71bed53cce7p-2, 0x1.b6fb1270b50fcp-2, 0x1.b2814a45e2d7p-2, 0x1.ae04a5c9e3d26p-2, 0x1.a98566a6c0e43p-2, 0x1.a503d08570656p-2, 0x1.a08028d94eae2p-2, 0x1.9bfab6ad1cb96p-2, 0x1.9773c2718868cp-2, 0x1.92eb95cd441ffp-2, 0x1.8e627b6ebcac3p-2, 0x1.89d8bedf63ca7p-2, 0x1.854eac589c7d8p-2, 0x1.80c4909a48c4fp-2, 0x1.7c3ab8c2f28bp-2, 0x1.77b172299906cp-2, 0x1.73290a3918044p-2, 0x1.6ea1ce4d2bb5dp-2, 0x1.6a1c0b910c386p-2, 0x1.65980edf9c64ep-2, 0x1.611624a52474dp-2, 0x1.5c9698c29aac5p-2, 0x1.5819b6726a351p-2, 0x1.539fc82eb7b9ep-2, 0x1.4f2917991c475p-2, 0x1.4ab5ed63cd371p-2, 0x1.4646913c2939ap-2, 0x1.41db49b6a6198p-2, 0x1.3d745c3c0ef1dp-2, 0x1.39120cf8165cbp-2, 0x1.34b49ec9269c5p-2, 0x1.305c53316fbeep-2, 0x1.2c096a49292e7p-2, 0x1.27bc22b1fa5cep-2, 0x1.2374b98b8230ap-2, 0x1.1f336a68f8ccp-2, 0x1.1af86f47db698p-2, 0x1.16c400879d76ep-2, 0x1.129654e253ef6p-2, 0x1.0e6fa16651b98p-2, 0x1.0a501970af50cp-2, 0x1.0637eea8ad045p-2, 0x1.022750fbee78dp-2, 0x1.fc3cdd3707fe2p-3, 0x1.f43ae7f36d7edp-3, 0x1.ec4917912244p-3, 0x1.e467bdf238d3dp-3, 0x1.dc9729768e661p-3, 0x1.d4d7a4fce0d8dp-3, 0x1.cd2977e517a17p-3, 0x1.c58ce613b60bap-3, 0x1.be022ff6628d4p-3, 0x1.b68992897194fp-3, 0x1.af23475e7132bp-3, 0x1.a7cf84a39a531p-3, 0x1.a08e7d2c1b3eep-3, 0x1.99606079399b8p-3, 0x1.92455ac42e043p-3, 0x1.8b3d9508bbdfep-3, 0x1.84493510686cdp-3, 0x1.7d685d7e580b1p-3, 0x1.769b2ddbb6811p-3, 0x1.6fe1c2a4a4f47p-3, 0x1.693c3555a76cdp-3, 0x1.62aa9c7978608p-3, 0x1.5c2d0bb74db8bp-3, 0x1.55c393e17409bp-3, 0x1.4f6e430438f52p-3, 0x1.492d2475283b4p-3, 0x1.430040e280368p-3, 0x1.3ce79e62e5abep-3, 0x1.36e34085463a3p-3, 0x1.30f32860e17cdp-3, 0x1.2b1754a5747cfp-3, 0x1.254fc1ab830a7p-3, 0x1.1f9c6984ad65ap-3, 0x1.19fd440c1da8dp-3, 0x1.147246f6f28e1p-3, 0x1.0efb65e4ae9b3p-3, 0x1.0998926fa91p-3, 0x1.0449bc3d6b7a5p-3, 0x1.fe1da21e1406fp-4, 0x1.f3cf79a2c6387p-4, 0x1.e9a8d35a94192p-4, 0x1.dfa9802f2c7e3p-4, 0x1.d5d14dc2223e8p-4, 0x1.cc20068c889adp-4, 0x1.c29571fe3b33ep-4, 0x1.b931549cd514bp-4, 0x1.aff37022534b6p-4, 0x1.a6db839b4a6f1p-4, 0x1.9de94b84ccfcap-4, 0x1.951c81e9d0bf2p-4, 0x1.8c74de8036cedp-4, 0x1.83f216c55e0b7p-4, 0x1.7b93de1a3ce88p-4, 0x1.7359e5df04d3dp-4, 0x1.6b43dd8e4995fp-4, 0x1.635172d7a8cd6p-4, 0x1.5b8251b9f20bap-4, 0x1.53d6249cc9c64p-4, 0x1.4c4c9469c8565p-4, 0x1.44e548a5120a5p-4, 0x1.3d9fe78565a4ap-4, 0x1.367c160ba3ec8p-4, 0x1.2f797819ca278p-4, 0x1.2897b08963e24p-4, 0x1.21d6614170565p-4, 0x1.1b352b4bbbf47p-4, 0x1.14b3aee9adb98p-4, 0x1.0e518ba88a96bp-4, 0x1.080e60752a87dp-4, 0x1.01e9cbaf24f8cp-4, 0x1.f7c6d676e2f81p-5, 0x1.ebf5b92cfcd12p-5, 0x1.e05f79cb7e9a3p-5, 0x1.d503521164576p-5, 0x1.c9e07b52be047p-5, 0x1.bef62e98a17b8p-5, 0x1.b443a4c0125e4p-5, 0x1.a9c81697e5fb8p-5, 0x1.9f82bcfda2d7bp-5, 0x1.9572d0f95ea89p-5, 0x1.8b978bd8a1cdcp-5, 0x1.81f027484febbp-5, 0x1.787bdd6d99885p-5, 0x1.6f39e8fdfec0dp-5, 0x1.662985565e2b8p-5, 0x1.5d49ee911fbabp-5, 0x1.549a619b727bcp-5, 0x1.4c1a1c49ab43cp-5, 0x1.43c85d6ac4ff3p-5, 0x1.3ba464db05749p-5, 0x1.33ad7395cb66cp-5, 0x1.2be2cbc68bb95p-5, 0x1.2443b0d902286p-5, 0x1.1ccf678896fdp-5, 0x1.158535eeffb9dp-5, 0x1.0e6463922113bp-5, 0x1.076c39713346ap-5, 0x1.009c021130829p-5, 0x1.f3e613111b972p-6, 0x1.e6e13b148b609p-6, 0x1.da281ae07657ap-6, 0x1.cdb95489e311bp-6, 0x1.c1938d994eb16p-6, 0x1.b5b56f1ba13e5p-6, 0x1.aa1da5b1f14b4p-6, 0x1.9ecae1a020c34p-6, 0x1.93bbd6da56639p-6, 0x1.88ef3d115b9f6p-6, 0x1.7e63cfbdedb4cp-6, 0x1.74184e2b04c2cp-6, 0x1.6a0b7b7f1c23ep-6, 0x1.603c1ec47f90ep-6, 0x1.56a902f0ab1efp-6, 0x1.4d50f6eabe198p-6, 0x1.4432cd9113b7ap-6, 0x1.3b4d5dbdfcbf2p-6, 0x1.329f824babae7p-6, 0x1.2a281a17509b4p-6, 0x1.21e60803792ecp-6, 0x1.19d832f9afd2fp-6, 0x1.11fd85eb65524p-6, 0x1.0a54efd23194bp-6, 0x1.02dd63af65258p-6, 0x1.f72bb11601395p-7, 0x1.e8fa92e41730ap-7, 0x1.db256ae8bdf16p-7, 0x1.cdaa3f43b10b6p-7, 0x1.c0871e0e1a33ap-7, 0x1.b3ba1d52ee6c1p-7, 0x1.a7415b064f407p-7, 0x1.9b1afcfc00fa6p-7, 0x1.8f4530dd03e08p-7, 0x1.83be2c1c4db02p-7, 0x1.78842beabb3d8p-7, 0x1.6d95752a3fdc9p-7, 0x1.62f054605b03bp-7, 0x1.58931da7e3a3ap-7, 0x1.4e7c2ca2222bp-7, 0x1.44a9e4675d3d3p-7, 0x1.3b1aaf76cd257p-7, 0x1.31ccffa601fd5p-7, 0x1.28bf4e0fcc6dap-7, 0x1.1ff01b02ab91ep-7, 0x1.175dedeec8b89p-7, 0x1.0f0755538a26p-7, 0x1.06eae6acc27abp-7, 0x1.fe0e7cbf0c9f5p-8, 0x1.eeb5ff4d59114p-8, 0x1.dfc9a8fe042ebp-8, 0x1.d146db266fe05p-8, 0x1.c32b044f1d222p-8, 0x1.b573a00a94bb2p-8, 0x1.a81e36cbe2be7p-8, 0x1.9b285dbcb8426p-8, 0x1.8e8fb6933b2e5p-8, 0x1.8251ef678db23p-8, 0x1.766cc2891ae9cp-8, 0x1.6addf653afb53p-8, 0x1.5fa35d046b99ap-8, 0x1.54bad48e8f4acp-8, 0x1.4a22467036efdp-8, 0x1.3fd7a787045e1p-8, 0x1.35d8f7e4c2913p-8, 0x1.2c2442a40ad45p-8, 0x1.22b79dbcf25cep-8, 0x1.199129d9c7f09p-8, 0x1.10af122be8e7fp-8, 0x1.080f8c40b0ef3p-8, 0x1.ff61afad21cb9p-9, 0x1.ef227d64980e4p-9, 0x1.df5e28e8ca686p-9, 0x1.d0116cdd8250dp-9, 0x1.c13916f503145p-9, 0x1.b2d2079c3d7fdp-9, 0x1.a4d931a78745ep-9, 0x1.974b99ffe5e2bp-9, 0x1.8a265750ebdd7p-9, 0x1.7d6691b7370aep-9, 0x1.7109826f9451ap-9, 0x1.650c7386cfb24p-9, 0x1.596cbf8a3b43dp-9, 0x1.4e27d138e9361p-9, 0x1.433b2335adabep-9, 0x1.38a43fb9dc0c3p-9, 0x1.2e60c048d52dbp-9, 0x1.246e4d64602c5p-9, 0x1.1aca9e41d418bp-9, 0x1.117378801d356p-9, 0x1.0866afde94beap-9, 0x1.ff444be97961bp-10, 0x1.ee4793d5abf83p-10, 0x1.ddd33066b9eccp-10, 0x1.cde3348ad0387p-10, 0x1.be73ccafe202cp-10, 0x1.af813e3c07014p-10, 0x1.a107e707b2b73p-10, 0x1.93043cd9bef5fp-10, 0x1.8572cce5583fp-10, 0x1.78503b49bfa69p-10, 0x1.6b994293ea17ap-10, 0x1.5f4ab342071bfp-10, 0x1.53617348d782cp-10, 0x1.47da7d9af24cfp-10, 0x1.3cb2e1b1e2794p-10, 0x1.31e7c3191ff2ep-10, 0x1.277658faedc22p-10, 0x1.1d5bedaf147f5p-10, 0x1.1395de4b7005p-10, 0x1.0a219a3661455p-10, 0x1.00fca2bb16694p-10, 0x1.f049153f44095p-11, 0x1.df2deb79dc6b9p-11, 0x1.cea33130f72bbp-11, 0x1.bea46fffe217ap-11, 0x1.af2d514ce8935p-11, 0x1.a0399d8798617p-11, 0x1.91c53b6a8cf1bp-11, 0x1.83cc2f40bbcd6p-11, 0x1.764a9a2e3b99ap-11, 0x1.693cb97c7eeefp-11, 0x1.5c9ee5e9f5828p-11, 0x1.506d92fd12482p-11, 0x1.44a54e5aa97c3p-11, 0x1.3942bf1f9e08cp-11, 0x1.2e42a53dd7828p-11, 0x1.23a1d8dc75431p-11, 0x1.195d49bb3564dp-11, 0x1.0f71fe99086acp-11, 0x1.05dd149dc4867p-11, 0x1.f9377d8ddf641p-12, 0x1.e7568aaf334a5p-12, 0x1.d6120a966b4c7p-12, 0x1.c564df96dfe42p-12, 0x1.b54a1351dfb8ep-12, 0x1.a5bcd5ae00b7cp-12, 0x1.96b87bd421a19p-12, 0x1.88387f320a7fbp-12, 0x1.7a387c829ae1fp-12, 0x1.6cb432db665fep-12, 0x1.5fa782bfb89acp-12, 0x1.530e6d38dcba5p-12, 0x1.46e512f39f61bp-12, 0x1.3b27b362ecef9p-12, 0x1.2fd2abe77efb2p-12, 0x1.24e276fc7cadap-12, 0x1.1a53ab68fd4ebp-12, 0x1.1022fb7656f2fp-12, 0x1.064d342b257abp-12, 0x1.f99e7915e1536p-13, 0x1.e74c29b4c5dbcp-13, 0x1.d59dabcff5878p-13, 0x1.c48d60b2367ffp-13, 0x1.b415d7f6e3aabp-13, 0x1.a431ce352e711p-13, 0x1.94dc2bb3af213p-13, 0x1.861003241e13ap-13, 0x1.77c890670edb5p-13, 0x1.6a0137578977dp-13, 0x1.5cb5829e4b7fp-13, 0x1.4fe1228ca588bp-13, 0x1.437febfeb401cp-13, 0x1.378dd744debp-13, 0x1.2c06ff147490ap-13, 0x1.20e79f7f3f23cp-13, 0x1.162c14f1e6696p-13, 0x1.0bd0db3909a4cp-13, 0x1.01d28c8ce0c1ep-13, 0x1.f05bc1468be39p-14, 0x1.ddbf579011b92p-14, 0x1.cbc9bbf6c78fep-14, 0x1.ba75042cef595p-14, 0x1.a9bb79eb3efbfp-14, 0x1.9997995127c35p-14, 0x1.8a040f5042923p-14, 0x1.7afbb822ce49fp-14, 0x1.6c799dcceb30dp-14, 0x1.5e78f6a85c941p-14, 0x1.50f523fa92adap-14, 0x1.43e9b094c2418p-14, 0x1.37524f7dcd6bp-14, 0x1.2b2adaa5c36b8p-14, 0x1.1f6f51a2c1c9cp-14, 0x1.141bd876fa6adp-14, 0x1.092cb65faa36cp-14, 0x1.fd3ca959930e9p-15, 0x1.e8da7b42849d9p-15, 0x1.d52c36b6e7e61p-15, 0x1.c22b6d8badd51p-15, 0x1.afd1ed1f12576p-15, 0x1.9e19bc5927bd1p-15, 0x1.8cfd19bb76992p-15, 0x1.7c76797f47d4bp-15, 0x1.6c8083c24bdb7p-15, 0x1.5d1612c130fe3p-15, 0x1.4e32311fdf8bdp-15, 0x1.3fd0183ef606ap-15, 0x1.31eb2e9e37a3dp-15, 0x1.247f064b94734p-15, 0x1.17875b5e7799dp-15, 0x1.0b00127f0d6f2p-15, 0x1.fdca6ef258364p-16, 0x1.e665f7b52f751p-16, 0x1.cfcb6b389c2c9p-16, 0x1.b9f3bbad28131p-16, 0x1.a4d81efef4039p-16, 0x1.90720c671c31dp-16, 0x1.7cbb3a10edf24p-16, 0x1.69ad9ad265738p-16, 0x1.57435bf76bf27p-16, 0x1.4576e31f556bfp-16, 0x1.3442cc2c142c8p-16, 0x1.23a1e742b4b59p-16, 0x1.138f36dc9404cp-16, 0x1.0405ede8e650ep-16, 0x1.ea02dbfc2a5a1p-17, 0x1.ccfa8b34f6983p-17, 0x1.b0ea5ce82db14p-17, 0x1.95ca17ad82811p-17, 0x1.7b91d221022d7p-17, 0x1.6239efd71c8e2p-17, 0x1.49bb1e6b426c2p-17, 0x1.320e52a85529bp-17, 0x1.1b2cc5ca2ae4dp-17, 0x1.050ff2d75d74ep-17, 0x1.df6328256b32ep-18, 0x1.b6174106f253ep-18, 0x1.8e309327ddcdep-18, 0x1.67a3f18ad362dp-18, 0x1.42669af26d6fdp-18, 0x1.1e6e359b9378p-18, 0x1.f761963e255e1p-19, 0x1.b44988f283a29p-19, 0x1.7381cc6cfeafdp-19, 0x1.34f89986cefcbp-19, 0x1.f139a37e8f8fp-20, 0x1.7cbbf0c8ecb7fp-20, 0x1.0c5857f94c47fp-20, 0x1.3fe07fbaea471p-21, 0x1.bb316675a438cp-23, -0x1.6b1258709473p-23, -0x1.1d09162cd56e4p-21, -0x1.d835f614326e2p-21, -0x1.463f11804a042p-20, -0x1.9d095df5a2e6p-20, -0x1.f09192769ae83p-20, -0x1.20774674bb1e2p-19, -0x1.471b2ffd85871p-19, -0x1.6c3f2dd8c11b2p-19, -0x1.8fed8ad40995fp-19, -0x1.b230387b5aa6p-19, -0x1.d310d2e450214p-19, -0x1.f298a45238f59p-19, -0x1.0868545a262b2p-18, -0x1.16e0c87faf875p-18, -0x1.24b9e33229dd5p-18, -0x1.31f7b6b246a8dp-18, -0x1.3e9e3462c79a3p-18, -0x1.4ab12e327e211p-18, -0x1.563457f709281p-18, -0x1.612b48b8df63ap-18, -0x1.6b997bf12c854p-18, -0x1.758252ba067c5p-18, -0x1.7ee914f17d0c7p-18, -0x1.87d0f24ffb573p-18, -0x1.903d0372786fep-18, -0x1.98304ad8e8d44p-18, -0x1.9fadb5d9620fdp-18, -0x1.a6b81d8860158p-18, -0x1.ad524796937f2p-18, -0x1.b37ee724a1e7cp-18, -0x1.b9409d8d39cbcp-18, -0x1.be99fb25dac7dp-18, -0x1.c38d7ff6b1e7fp-18, -0x1.c81d9c69dde6cp-18, -0x1.cc4cb1f279e64p-18, -0x1.d01d13abbd097p-18, -0x1.d39106f08565fp-18, -0x1.d6aac3eb96a66p-18, -0x1.d96c7620e03dbp-18, -0x1.dbd83cf00e53cp-18, -0x1.ddf02c10b0efp-18, -0x1.dfb64c083a7fep-18, -0x1.e12c9a9a1af9bp-18, -0x1.e2550b3235bc7p-18, -0x1.e3318749f16cep-18, -0x1.e3c3eec81cd3fp-18, -0x1.e40e185be0acep-18, -0x1.e411d1d2fa0f5p-18, -0x1.e3d0e06b6e28bp-18, -0x1.e34d0120ee538p-18, -0x1.e287e8f61dd64p-18, -0x1.e1834539e6d36p-18, -0x1.e040bbc910487p-18, -0x1.dec1eb4c3ee6bp-18, -0x1.dd086b728c957p-18, -0x1.db15cd28df8b9p-18, -0x1.d8eb9ace2a814p-18, -0x1.d68b5864b924fp-18, -0x1.d3f683c0af27cp-18, -0x1.d12e94b3de33bp-18, -0x1.ce34fd3713f0cp-18, -0x1.cb0b2990ff39cp-18, -0x1.c7b2807acecddp-18, -0x1.c42c6342a44c3p-18, -0x1.c07a2debfceaep-18, -0x1.bc9d374e26f51p-18, -0x1.b896d130e052ep-18, -0x1.b46848673a0d9p-18, -0x1.b012e4e8d625fp-18, -0x1.ab97e9e997f21p-18, -0x1.a6f895efdf398p-18, -0x1.a23622e9615e6p-18, -0x1.9d51c63eb6c65p-18, -0x1.984cb0e5af3e4p-18, -0x1.93280f728186bp-18, -0x1.8de50a27e505fp-18, -0x1.8884c5062cad9p-18, -0x1.83085fd96c4e9p-18, -0x1.7d70f646be41cp-18, -0x1.77bf9fd8b4a3fp-18, -0x1.71f5700b05b53p-18, -0x1.6c13765581c51p-18, -0x1.661abe365e7cep-18, -0x1.600c4f3be436dp-18, -0x1.59e92d0d897cep-18, -0x1.53b2577487597p-18, -0x1.4d68ca63f2952p-18, -0x1.470d7e0060828p-18, -0x1.40a166a7269ecp-18, -0x1.3a2574f5387c5p-18, -0x1.339a95cdaeebcp-18, -0x1.2d01b260022fbp-18, -0x1.265bb02dfb8e1p-18, -0x1.1fa9711168e9ap-18, -0x1.18ebd34196ff3p-18, -0x1.1223b1589933p-18, -0x1.0b51e2586543ep-18, -0x1.047739afcaadcp-18, -0x1.fb290e7e8c9cep-19, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      66, 0x1.acccccccccccdp+2, 0x1.986e370109861p+1, 0x1.02916c17fab7fp+3, 0x1.e194380949a2ap-7, 
      {{
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.3d32eb41acd48p-4, -0x1.9a07452a0599ap-3, 0x1.47160eb9f50fdp-2, -0x1.3be848cdfdeb5p-2}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.174f18accc293p-4, -0x1.5d598afdae27ep-3, 0x1.17b33701755f7p-2, -0x1.166e3799c884p-2}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.ee10453034d29p-5, -0x1.299612be6a547p-3, 0x1.dbdef6ee61cafp-3, -0x1.ed247252c69fbp-3}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.b70ef68a29656p-5, -0x1.fb65386050e1bp-4, 0x1.91e64c2ec3ffep-3, -0x1.aa63986a3ad44p-3}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.881fed1b9192dp-5, -0x1.b1694b6d09482p-4, 0x1.51f0f55207f96p-3, -0x1.688a0d190f4e4p-3}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.5ffb93c9aa30ap-5, -0x1.733b2c7a72286p-4, 0x1.1bdc4027df476p-3, -0x1.261c247229b88p-3}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.3d8d18aad15e9p-5, -0x1.3edee7dfb434ep-4, 0x1.df7cdbc718709p-4, -0x1.ca30c5159033p-4}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.1ff26d06868a2p-5, -0x1.125bbee4ea865p-4, 0x1.9ac257d0a9362p-4, -0x1.3e00c5f61d7ddp-4}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.067c45556a6cp-5, -0x1.d755c11d644a7p-5, 0x1.6b0f06ebbe634p-4, -0x1.eada72d7de26fp-5}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.e15861c3aaef1p-6, -0x1.9267965a1a1e3p-5, 0x1.463ea4b527535p-4, -0x1.e0e6d9ba5c1e3p-5}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.bc3f3b5c9d4dp-6, -0x1.54c330a4b5813p-5, 0x1.222d5460c6d13p-4, -0x1.c2b2799706febp-5}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.9cf5b8b8047f1p-6, -0x1.1e1b767090fe1p-5, 0x1.005ff1a8a64abp-4, -0x1.a9eb5b3705b79p-5}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.82ce6f96b08ep-6, -0x1.dc0dad9589cbap-6, 0x1.c0dc95a2a553bp-5, -0x1.8faffccf7b596p-5}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.6d25ea37e8fd4p-6, -0x1.8846c2cf294d4p-6, 0x1.84e8961d1fa02p-5, -0x1.75d85cc2cc35bp-5}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.5b62a7596ccabp-6, -0x1.401a3589b2d73p-6, 0x1.4cd4ee9980febp-5, -0x1.5be60352352c2p-5}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.4cf51a37726ebp-6, -0x1.02c12725d4b74p-6, 0x1.18a5a14d2c374p-5, -0x1.41fad1166358dp-5}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.4157aa8ca7dd7p-6, -0x1.9ee8dbba43afbp-7, 0x1.d0b33713a1077p-6, -0x1.280dbb6b61e6dp-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.380eb4923284fp-6, -0x1.4ad9e8413d759p-7, 0x1.77e24ba69d429p-6, -0x1.0e210c485c7f7p-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.30a888ffaf4e1p-6, -0x1.07c73d5549be3p-7, 0x1.26d86190e7e97p-6, -0x1.e8694ce931149p-6}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.2abd6d0b329c6p-6, -0x1.a84553632127bp-8, 0x1.bb2ac5a8a780bp-7, -0x1.b48d69b79ae4dp-6}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.25ef9a69484e6p-6, -0x1.5cbbe4c9777f6p-8, 0x1.38338c57f906ap-7, -0x1.80bd520fc227ap-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.21eb3f4cf3bd4p-6, -0x1.29d5fbd1f1eafp-8, 0x1.898f1aa67d8ffp-8, -0x1.4cc123cb002f3p-6}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.1e667e67afbdp-6, -0x1.0c766d6dc9351p-8, 0x1.83d00a59614f5p-9, -0x1.19698470222f6p-6}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.1b216ee96e9bfp-6, -0x1.0183abc3b8914p-8, 0x1.90f1c1c9c257fp-12, -0x1.c75780156f61ep-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.17e61c809a23p-6, -0x1.05d6ac2794ddp-8, -0x1.be2c8fa748439p-10, -0x1.7be35389ad8d9p-7}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.14884d81ba849p-6, -0x1.16b0f4d6c9ea2p-8, -0x1.c305138ca5e0ap-9, -0x1.5076834d5ad99p-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.10e3069ba28b5p-6, -0x1.324a072561a69p-8, -0x1.4672e45d87cadp-8, -0x1.203d68c979f3p-7}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.0cd60e8b9bcebp-6, -0x1.5741f5507a04cp-8, -0x1.9cebb7005f935p-8, -0x1.e29ad9a724989p-8}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.0845b4450d9efp-6, -0x1.842b54c453d99p-8, -0x1.e54fbe0ca5107p-8, -0x1.840a81dade1e6p-8}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.031acef17d05fp-6, -0x1.b79c581b12d24p-8, -0x1.0fc2425d2330cp-7, -0x1.25a96c74289a7p-8}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.fa857be1198c6p-7, -0x1.f02a3a082c166p-8, -0x1.25c890e5d96fep-7, -0x1.8e775aafe9264p-9}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.ed5ed1affab8p-7, -0x1.16353bd5f5fbfp-7, -0x1.34b9d77fa5615p-7, -0x1.a3454aafeddcfp-10}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.deae7ee759f9ap-7, -0x1.35793e2cf86cbp-7, -0x1.3c96574c8b709p-7, -0x1.4cc1fe9523069p-13}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.ce6a738b2f2dfp-7, -0x1.552bdc15dcc33p-7, -0x1.3d5dfee54b526p-7, 0x1.5013dc1612bbep-10}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.bc91b00bada44p-7, -0x1.7497ccf7f898ep-7, -0x1.3710d2c4e15eep-7, 0x1.64e009d1d18cdp-9}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.a92c4545441ep-7, -0x1.9307c86d5880ap-7, -0x1.29aed2669cb62p-7, 0x1.10db32e49581cp-8}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.944b54809cd08p-7, -0x1.afc685ea96f8fp-7, -0x1.1537fb6244b2fp-7, 0x1.6f45d995f6663p-8}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.7e090f729d61ap-7, -0x1.ca1ebd475fcc6p-7, -0x1.f358afbad7a39p-8, 0x1.cdb27d582f8ep-8}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.6688b83c66eafp-7, -0x1.e15b24f48bae4p-7, -0x1.ae17835403b4fp-8, 0x1.160bda10ad02dp-7}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.4df6a16b55f75p-7, -0x1.f4c6789b2e688p-7, -0x1.5aad8eb569679p-8, 0x1.454c50def5f16p-7}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.34882df902851p-7, -0x1.01d5b035213cep-6, -0x1.f22d534b726ebp-9, 0x1.74591082ef42dp-7}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.1a7bd14b4004cp-7, -0x1.06aa66a076403p-6, -0x1.12c4afc9afadfp-9, 0x1.a426d166808c2p-7}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.00190f341d592p-7, -0x1.0886505be0ecbp-6, -0x1.6ad6558fc27bbp-13, 0x1.d1244475ecbacp-7}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.cb60f7e3c9ae2p-8, -0x1.07105868b56dep-6, 0x1.00685d542b7a8p-9, 0x1.0450f6cb39107p-6}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.9737785e388cdp-8, -0x1.01e808976993fp-6, 0x1.1c64c2bd9e6p-8, 0x1.fa06a1aa219f5p-7}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.64790fa001c9bp-8, -0x1.f1cc4264b5392p-7, 0x1.b4338cd70edfp-8, 0x1.a5525f26be65bp-7}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.33e3918db72cdp-8, -0x1.d8d3f1ad8121cp-7, 0x1.194c87e48a64fp-7, 0x1.5b1e57531c6cp-7}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.061973d0aa213p-8, -0x1.ba1839318c0a4p-7, 0x1.4d5de1ca9b74dp-7, 0x1.0e19f0bb1018cp-7}, 
        {0x1.7333333333333p+2, 0x1.7666666666666p+2, 0x1.b73fa6e3c782ep-9, -0x1.96bb70cf15559p-7, 0x1.75e1c5e6aaabdp-7, 0x1.83ad9509ca107p-8}, 
        {0x1.7666666666666p+2, 0x1.799999999999ap+2, 0x1.69bce9b449acbp-9, -0x1.6fe3e475bd6dep-7, 0x1.92f53114336cap-7, 0x1.d57c062e98b15p-9}, 
        {0x1.799999999999ap+2, 0x1.7cccccccccccdp+2, 0x1.243f87a3cbadap-9, -0x1.46b6d219b665ep-7, 0x1.a4903e1c5926dp-7, 0x1.47c419e673715p-10}, 
        {0x1.7cccccccccccdp+2, 0x1.8p+2, 0x1.ce434e055ba7p-10, -0x1.1c59bb8b8aa7dp-7, 0x1.aab584ff11b78p-7, -0x1.1bf417c46361cp-10}, 
        {0x1.8p+2, 0x1.8333333333333p+2, 0x1.650579c17f8abp-10, -0x1.e3e4424ba33c2p-8, 0x1.a5628af3630ddp-7, -0x1.bf12d0f9152bcp-9}, 
        {0x1.8333333333333p+2, 0x1.8666666666666p+2, 0x1.0c8f1a1a81104p-10, -0x1.914a8a7d2ca01p-8, 0x1.949ea31d3f0f3p-7, -0x1.797b62b801816p-8}, 
        {0x1.8666666666666p+2, 0x1.899999999999ap+2, 0x1.8868a85b79f7cp-11, -0x1.4332c76810aa7p-8, 0x1.784efbb5d88c3p-7, -0x1.071c5409554ap-7}, 
        {0x1.899999999999ap+2, 0x1.8cccccccccccdp+2, 0x1.15a7d52edd942p-11, -0x1.f7c4412145954p-9, 0x1.50d788b47226dp-7, -0x1.5b3194a042906p-7}, 
        {0x1.8cccccccccccdp+2, 0x1.9p+2, 0x1.7b5cf5cac2d0fp-12, -0x1.7b72169638a42p-9, 0x1.1cc34c02ce915p-7, -0x1.6e6fc31bfd671p-7}, 
        {0x1.9p+2, 0x1.9333333333333p+2, 0x1.f1cce004fe83ap-13, -0x1.14889a3219234p-9, 0x1.cb9843e39dea9p-8, -0x1.40d716417f161p-7}, 
        {0x1.9333333333333p+2, 0x1.9666666666666p+2, 0x1.36c636b74e165p-13, -0x1.847acdc566417p-10, 0x1.6b57bd365e312p-8, -0x1.1cf46301b4b1bp-7}, 
        {0x1.9666666666666p+2, 0x1.999999999999ap+2, 0x1.6c5720e5a66ccp-14, -0x1.043d694e7980ap-10, 0x1.15db391c4195cp-8, -0x1.ecf35f9035942p-8}, 
        {0x1.999999999999ap+2, 0x1.9cccccccccccdp+2, 0x1.8952dd3ffed0cp-15, -0x1.47c5910eff2e9p-11, 0x1.97d3d58d3fe32p-9, -0x1.a15205b6162d8p-8}, 
        {0x1.9cccccccccccdp+2, 0x1.ap+2, 0x1.7b5cf5cac2ce9p-16, -0x1.7b5c260a863d4p-12, 0x1.1aa1a0a36c6f9p-9, -0x1.5590796b44311p-8}, 
        {0x1.ap+2, 0x1.a333333333333p+2, 0x1.36c636b74e13fp-17, -0x1.847c35005adfp-13, 0x1.6852f86ce328dp-10, -0x1.08fbaa4a28c41p-8}, 
        {0x1.a333333333333p+2, 0x1.a666666666666p+2, 0x1.8952dd3ffec21p-19, -0x1.47a4c7dc7c944p-14, 0x1.92ab2480c89afp-11, -0x1.7fa831e5c919cp-9}, 
        {0x1.a666666666666p+2, 0x1.a99999999999ap+2, 0x1.36c636b74d5p-21, -0x1.86589d18d548ep-16, 0x1.58f2d9edd318ep-12, -0x1.a72b4d2a340cep-10}, 
        {0x1.a99999999999ap+2, 0x1.acccccccccccdp+2, 0x1.36c636b73dp-25, -0x1.4c656909b0d6p-19, 0x1.6c30481ecf68p-14, -0x1.1b29ced5bc64fp-9}, 
      }}, 
      0x1.0a7353966188ap-5, -0x1.9aae731e6c614p-3
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_p_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.0288a6e33c987p-2, -0x1.fdf84b32850d3p-3, -0x1.f4aab9e38dfc6p-3, -0x1.eaa1f02e34c1bp-3, -0x1.e0e86227c01a7p-3, -0x1.d83b03ea907bfp-3, -0x1.d116d98118949p-3, -0x1.cbcc88e27cb92p-3, -0x1.c888ababf64b5p-3, -0x1.c75ea9e967d05p-3, -0x1.c84c759e22ee5p-3, -0x1.cb427c9b77285p-3, -0x1.d028f7f1443bp-3, -0x1.d6deecd929e69p-3, -0x1.df3d4be982b86p-3, -0x1.e91eee0c58bb4p-3, -0x1.f45912be7c09p-3, -0x1.0061e3b822037p-2, -0x1.071af65176d55p-2, -0x1.0e43efe40093ap-2, -0x1.15ca7c76d0415p-2, -0x1.1d9cd93479c2ap-2, -0x1.25aa619c6455p-2, -0x1.2de352c881893p-2, -0x1.36391b964780ep-2, -0x1.3e9e7d35cc675p-2, -0x1.4707c77300ccfp-2, -0x1.4f69c29d7adcp-2, -0x1.57ba6482c16b5p-2, -0x1.5ff0a4690ccc3p-2, -0x1.6804738e43583p-2, -0x1.6feeb4478f09p-2, -0x1.77a91e653060bp-2, -0x1.7f2e2742441f2p-2, -0x1.8678ef6268e38p-2, -0x1.8d853bb58e62dp-2, -0x1.944f72b7d0316p-2, -0x1.9ad48cee554f2p-2, -0x1.a111fea34888dp-2, -0x1.a705b208a8865p-2, -0x1.acae1101f7511p-2, -0x1.b209ff83bd8fdp-2, -0x1.b718b8c51085p-2, -0x1.bbd9acc7a5689p-2, -0x1.c04c8057a6be7p-2, -0x1.c47129309e5d1p-2, -0x1.c84800713c4b5p-2, -0x1.cbd1b215072c5p-2, -0x1.cf0f14e1a1449p-2, -0x1.d2010ae7d97eep-2, -0x1.d4a87fe37ef26p-2, -0x1.d70680ac0d708p-2, -0x1.d91c559d6f86ep-2, -0x1.daeb8b832bd7ap-2, -0x1.dc75f58c6f14bp-2, -0x1.ddbd9e716a44ap-2, -0x1.dec3de649947ep-2, -0x1.df8a77af64cecp-2, -0x1.e01338dc9f639p-2, -0x1.e05ffc61a39d6p-2, -0x1.e072a54a02002p-2, -0x1.e04d19a3e5705p-2, -0x1.dff13d7e973b8p-2, -0x1.df60f129791d4p-2, -0x1.de9e12fe98fb3p-2, -0x1.ddaa824ede0fdp-2, -0x1.dc88202d091cfp-2, -0x1.db38cc750579ep-2, -0x1.d9be603346a8ap-2, -0x1.d81aa8671e034p-2, -0x1.d64f63dff44ebp-2, -0x1.d45e450907a7p-2, -0x1.d248f63438656p-2, -0x1.d0111dc0c8b8dp-2, -0x1.cdb85fc536fc7p-2, -0x1.cb405c67b1991p-2, -0x1.c8aaabc43bb79p-2, -0x1.c5f8d95db4e83p-2, -0x1.c32c61060ab0cp-2, -0x1.c046ae4e0bb4p-2, -0x1.bd491e5850ebep-2, -0x1.ba3502fdba4e9p-2, -0x1.b70ba5dd27f84p-2, -0x1.b3ce4a34b2ccfp-2, -0x1.b07e2d0c689c3p-2, -0x1.ad1c83ecd7acp-2, -0x1.a9aa7adba5cedp-2, -0x1.a629327d72507p-2, -0x1.a299bf0902a64p-2, -0x1.9efd28524d7f6p-2, -0x1.9b546ac39f3d9p-2, -0x1.97a078d59fc24p-2, -0x1.93e23c793acd7p-2, -0x1.901a9810b42fdp-2, -0x1.8c4a66cca589fp-2, -0x1.88727c84d4f38p-2, -0x1.8493a54db42bep-2, -0x1.80aea5116b1c3p-2, -0x1.7cc4375ee63edp-2, -0x1.78d50f7eee8b5p-2, -0x1.74e1d8c375167p-2, -0x1.70eb36f3532d1p-2, -0x1.6cf1c6bb1a1abp-2, -0x1.68f61e1301358p-2, -0x1.64f8cc92b9b2dp-2, -0x1.60fa5bc5cd757p-2, -0x1.5cfb4f75a4094p-2, -0x1.58fc25f25acb8p-2, -0x1.54fd58502a377p-2, -0x1.50ff5a918abf2p-2, -0x1.4d029f274e764p-2, -0x1.49078e9e395a8p-2, -0x1.450e8958ba94ap-2, -0x1.4117eee5b3516p-2, -0x1.3d241a4fe1cd2p-2, -0x1.39336242d587p-2, -0x1.35461931e4b3fp-2, -0x1.315c8d7f082f9p-2, -0x1.2d7709ad532fep-2, -0x1.2995d479db1e6p-2, -0x1.25b9311613515p-2, -0x1.21e15f465af8ep-2, -0x1.1e0e9b89d26e9p-2, -0x1.1a411f3971e99p-2, -0x1.167920ab8e04ap-2, -0x1.12b6d34f79ff8p-2, -0x1.0efa67ca802c7p-2, -0x1.0b440c1318715p-2, -0x1.0793eb8cf3a6ep-2, -0x1.03ea2f2216e6cp-2, -0x1.0046fd630a67ap-2, -0x1.f954f52ba688ep-3, -0x1.f22991b6e9b89p-3, -0x1.eb0c1013c80ecp-3, -0x1.e3fcad8d0cbc6p-3, -0x1.dcfba1349731bp-3, -0x1.d60920043e8aep-3, -0x1.cf255b0187002p-3, -0x1.c8507fc75ecb8p-3, -0x1.c18ab8a68f6e4p-3, -0x1.bad42cc602fb8p-3, -0x1.b42d0043b325fp-3, -0x1.ad95545527b75p-3, -0x1.a70d476812ef7p-3, -0x1.a094f53ebcc3bp-3, -0x1.9a2c77120b66fp-3, -0x1.93d3e3b1be05dp-3, -0x1.8d8b4f72f93d4p-3, -0x1.8752cca112eb6p-3, -0x1.812a6b39e5663p-3, -0x1.7b12392d45dep-3, -0x1.750a4266e53dep-3, -0x1.6f1290df5783bp-3, -0x1.692b2cb4c742cp-3, -0x1.63541c2a566e9p-3, -0x1.5d8d63cc80896p-3, -0x1.57d70675459bcp-3, -0x1.52310562475ebp-3, -0x1.4c9b6042e4079p-3, -0x1.47161547dea94p-3, -0x1.41a12132d490fp-3, -0x1.3c3c7f637b49cp-3, -0x1.36e829e44f4p-3, -0x1.31a4197a8280ep-3, -0x1.2c7045aaf200fp-3, -0x1.274ca4ca145cp-3, -0x1.22392c0049bddp-3, -0x1.1d35cf6e8c59cp-3, -0x1.18428201edf5dp-3, -0x1.135f35bbaa996p-3, -0x1.0e8bdb7977d87p-3, -0x1.09c8634ff7a94p-3, -0x1.0514bc46e162cp-3, -0x1.0070d48d1a5fbp-3, -0x1.f7b932dbac0f6p-4, -0x1.eeafeed0373b1p-4, -0x1.e5c5b451c6f3bp-4, -0x1.dcfa593817d4bp-4, -0x1.d44db1e0d54dap-4, -0x1.cbbf913f28816p-4, -0x1.c34fc8eab35efp-4, -0x1.bafe292d626aep-4, -0x1.b2ca8111ee75cp-4, -0x1.aab49e700125bp-4, -0x1.a2bc4dfa5eb6ap-4, -0x1.9ae15b47055fap-4, -0x1.932390e871f87p-4, -0x1.8b82b86b026a8p-4, -0x1.83fe9a5820841p-4, -0x1.7c96fe267d9ddp-4, -0x1.754bab78b7498p-4, -0x1.6e1c672d7e337p-4, -0x1.6708f711cc1cep-4, -0x1.60111f7264dd7p-4, -0x1.5934a4036dd05p-4, -0x1.527347e2df3b5p-4, -0x1.4bcccd6df4966p-4, -0x1.4540f67ead061p-4, -0x1.3ecf845e8ddf3p-4, -0x1.387837cd1dc51p-4, -0x1.323ad11006f4dp-4, -0x1.2c170ff9f6233p-4, -0x1.260cb3cc3b44ap-4, -0x1.201b7be6eb615p-4, -0x1.1a4326aa907fep-4, -0x1.14837269d87bcp-4, -0x1.0edc1d35b0cf4p-4, -0x1.094ce4d3dbeb5p-4, -0x1.03d586c87f961p-4, -0x1.fceb80c0bf06dp-5, -0x1.f25a9d7a3afc3p-5, -0x1.e7f7ddaf9e17cp-5, -0x1.ddc2baf545b54p-5, -0x1.d3baaf05c68e7p-5, -0x1.c9df32fa35437p-5, -0x1.c02fc0122598cp-5, -0x1.b6abcf764fcfbp-5, -0x1.ad52da5015663p-5, -0x1.a42459b75bb24p-5, -0x1.9b1fc6db33c59p-5, -0x1.92449b316ee7ep-5, -0x1.8992504cda0f4p-5, -0x1.80e8c30186a4fp-5, -0x1.788470fff9809p-5, -0x1.704765b2e768dp-5, -0x1.68311d22100ccp-5, -0x1.604113bf0cp-5, -0x1.5876c656c7da1p-5, -0x1.50d1b23a02ef9p-5, -0x1.4951553627456p-5, -0x1.41f52da15fadbp-5, -0x1.3abcba6e5008dp-5, -0x1.33a77b1fb4373p-5, -0x1.2cb4efde162c3p-5, -0x1.25e4999f97ce7p-5, -0x1.1f35f9d7959c5p-5, -0x1.18a892e8637fap-5, -0x1.123be7f238d0dp-5, -0x1.0bef7cadbcf33p-5, -0x1.05c2d5f29c389p-5, -0x1.ff6af22749411p-6, -0x1.f38dd9c261d1dp-6, -0x1.e7ed6f486c8e5p-6, -0x1.dc88c63f89339p-6, -0x1.d15eeda0d188cp-6, -0x1.c66efab870625p-6, -0x1.bbb8037ff6978p-6, -0x1.b1391eb4a69e4p-6, -0x1.a6f166fc0a14ap-6, -0x1.9cdff64c6e859p-6, -0x1.9303efcd0ee5cp-6, -0x1.895c64f16361cp-6, -0x1.7fe884bd3c8f1p-6, -0x1.76a77093d19d4p-6, -0x1.6d9845ccb9283p-6, -0x1.64ba33ea9b6d9p-6, -0x1.5c0c61a7886a6p-6, -0x1.538dfa5e30c45p-6, -0x1.4b3e2c94a62ep-6, -0x1.431c2721dba6fp-6, -0x1.3b271c6aa693ap-6, -0x1.335e405b6649dp-6, -0x1.2bc0c9511e2b2p-6, -0x1.244df10eafb5ep-6, -0x1.1d04ee7b25f5cp-6, -0x1.15e5024a400cp-6, -0x1.0eed6ab17f35fp-6, -0x1.081d690339d3fp-6, -0x1.017441367dadfp-6, -0x1.f5e26ad7fcf44p-7, -0x1.e927337a1efc1p-7, -0x1.dcb55acef835ap-7, -0x1.d08b835be636cp-7, -0x1.c4a84c3ebb38cp-7, -0x1.b90a5b54a4462p-7, -0x1.adb052e84f3adp-7, -0x1.a298e779cded3p-7, -0x1.97c2c973a0631p-7, -0x1.8d2caeda7d68bp-7, -0x1.82d5544c4593p-7, -0x1.78bb7b93cb41ap-7, -0x1.6edde9e51c413p-7, -0x1.653b69ea14198p-7, -0x1.5bd2cb16d3241p-7, -0x1.52a2e210623c8p-7, -0x1.49aa86f33d247p-7, -0x1.40e897f4fdcf1p-7, -0x1.385bf816f7adap-7, -0x1.30038e5ad7ae4p-7, -0x1.27de46bb75bd9p-7, -0x1.1feb148301dbep-7, -0x1.1828e4ddd187dp-7, -0x1.1096b99a0a653p-7, -0x1.09338e7c3f1c4p-7, -0x1.01fe67fb45444p-7, -0x1.f5ec906a1898ap-8, -0x1.e8347fc970731p-8, -0x1.dad2bad4ba7f5p-8, -0x1.cdc566856b539p-8, -0x1.c10ab19ca12f8p-8, -0x1.b4a0f041a7d85p-8, -0x1.a8864137787c6p-8, -0x1.9cb8fc03be2d4p-8, -0x1.91377198104ep-8, -0x1.85fffb619226ap-8, -0x1.7b10facf42a59p-8, -0x1.7068d78ec92d7p-8, -0x1.6606031522591p-8, -0x1.5be6f4a671265p-8, -0x1.520a2c8510a4cp-8, -0x1.486e2d11cb99ap-8, -0x1.3f116b75f59b2p-8, -0x1.35f2cd276d1a7p-8, -0x1.2d1099b83fc78p-8, -0x1.24698f6829f74p-8, -0x1.1bfc53a60899fp-8, -0x1.13c79bb86529fp-8, -0x1.0bca15ee0ade8p-8, -0x1.04027fea851f4p-8, -0x1.f8df3594cb283p-9, -0x1.ea205a939705ap-9, -0x1.dbc61031a5591p-9, -0x1.cdcdfd29d2191p-9, -0x1.c035c1ea1756fp-9, -0x1.b2fb305889e87p-9, -0x1.a61c0ad70e7e6p-9, -0x1.9996256fedfa2p-9, -0x1.8d675efe571c3p-9, -0x1.818da27769d7bp-9, -0x1.7606de0bad1c8p-9, -0x1.6ad119f06caf2p-9, -0x1.5fea56c53033cp-9, -0x1.5550ab03b9783p-9, -0x1.4b02326d212b9p-9, -0x1.40fd141a2d0fcp-9, -0x1.373f7fe4ef012p-9, -0x1.2dc7af539281dp-9, -0x1.2493eb1aa96b4p-9, -0x1.1ba26e72641e1p-9, -0x1.12f19ee5d5f66p-9, -0x1.0a7fc7db6cf56p-9, -0x1.024b7a054b1c5p-9, -0x1.f4a5f3ee9c79dp-10, -0x1.e5299c7bcf02dp-10, -0x1.d61eee429767bp-10, -0x1.c782d3000a1ap-10, -0x1.b952e670323c3p-10, -0x1.ab8bd54e3ad6ap-10, -0x1.9e2b17bb0d539p-10, -0x1.912e123cb68ep-10, -0x1.8491d2c3812dbp-10, -0x1.78541a5cfc604p-10, -0x1.6c724a711010ap-10, -0x1.60e9ee716eb02p-10, -0x1.55b89fb12e241p-10, -0x1.4adc05445721ep-10, -0x1.4051d5a090f19p-10, -0x1.3617d264b4db1p-10, -0x1.2c2bc99f94838p-10, -0x1.228b9aa6bae4ap-10, -0x1.19352e8e26ff8p-10, -0x1.1026b6ef3f183p-10, -0x1.075d818b08547p-10, -0x1.fdb0a2080e13p-11, -0x1.ed29fce152c0fp-11, -0x1.dd2381120e4e6p-11, -0x1.cd9972acb98c6p-11, -0x1.be88616acbc0ap-11, -0x1.afecb53b705ecp-11, -0x1.a1c33c7e1c306p-11, -0x1.9408a442c2aa2p-11, -0x1.86b9bd0b9ce94p-11, -0x1.79d36bbb48989p-11, -0x1.6d52a94dad108p-11, -0x1.613482c818974p-11, -0x1.55761857b66dcp-11, -0x1.4a14a95c52ddfp-11, -0x1.3f0d6a696f7a5p-11, -0x1.345d736d616e7p-11, -0x1.2a02f437cad3fp-11, -0x1.1ffab40fea67bp-11, -0x1.16427571f3fcap-11, -0x1.0cd7eb87c87aep-11, -0x1.03b8b1d7cd10ep-11, -0x1.f5c51f6e94b9ap-12, -0x1.e4a6abe3c439p-12, -0x1.d411c9ae2a449p-12, -0x1.c40257ac3d2eap-12, -0x1.b4744f5ad944p-12, -0x1.a563d7ac4c775p-12, -0x1.96cd1b3f2e13dp-12, -0x1.88ac4b94a0fcdp-12, -0x1.7afe3e9618309p-12, -0x1.6dbf14be3734fp-12, -0x1.60eb91c21634p-12, -0x1.54806f6a5cae2p-12, -0x1.487a7fed01dc9p-12, -0x1.3cd6ad3656ce9p-12, -0x1.3191fd4f1878ep-12, -0x1.26aa7382a4f58p-12, -0x1.1c1a584345e09p-12, -0x1.11e1d533653fcp-12, -0x1.07fd512bfcdaap-12, -0x1.fcd456e046c6ep-13, -0x1.ea4bcf96f23d1p-13, -0x1.d85bc28d9f7d2p-13, -0x1.c700873e47a53p-13, -0x1.b6349f1abf5e4p-13, -0x1.a5f35b83a7d81p-13, -0x1.96391040e79c2p-13, -0x1.870140380689bp-13, -0x1.7847e89ee17a3p-13, -0x1.6a0903454d0e3p-13, -0x1.5c40bc085446dp-13, -0x1.4eeb4959b2c8bp-13, -0x1.42051a1273d28p-13, -0x1.358ab366fe1f3p-13, -0x1.297882d6da3b2p-13, -0x1.1dcb506ca7307p-13, -0x1.127feb877e4afp-13, -0x1.0793d26474d5bp-13, -0x1.fa041a110fce5p-14, -0x1.e59368aa73e09p-14, -0x1.d1ce54bc96477p-14, -0x1.beaf71528635ap-14, -0x1.ac31665a7f2ddp-14, -0x1.9a4f067dff5bp-14, -0x1.8903497e26f01p-14, -0x1.7849504a87115p-14, -0x1.681c67234c391p-14, -0x1.5877f3381c329p-14, -0x1.4957a6d85dd0bp-14, -0x1.3ab74fd8657ffp-14, -0x1.2c90dcc61fb3cp-14, -0x1.1ee45454cfdf3p-14, -0x1.11ab3c9a61885p-14, -0x1.04e190bebbcb3p-14, -0x1.f1088a690d2cfp-15, -0x1.d91f93cbdb69p-15, -0x1.c20152f4c31fap-15, -0x1.aba2ed99be5bfp-15, -0x1.960b276ae0d57p-15, -0x1.8126fe4f41b9ep-15, -0x1.6cf4592aba2f6p-15, -0x1.596da9a01185cp-15, -0x1.468d626119783p-15, -0x1.343362057b81bp-15, -0x1.2291e7665a001p-15, -0x1.11874286e3103p-15, -0x1.010e6bbaa22cap-15, -0x1.e245f747201bcp-16, -0x1.c37f5b5557a41p-16, -0x1.a5c1ea6d98b7p-16, -0x1.89049f608bb41p-16, -0x1.6d3f193229003p-16, -0x1.5269ace2d1225p-16, -0x1.387cc37d06699p-16, -0x1.1f7109cf780b7p-16, -0x1.073f773573338p-16, -0x1.dfc2569167211p-17, -0x1.b29ff8944a5a1p-17, -0x1.86e1dd276cd9dp-17, -0x1.5cf5bdd7bc8f4p-17, -0x1.34513144235ddp-17, -0x1.0d1878c80dc88p-17, -0x1.ce7c226f2ded7p-18, -0x1.856dd03efbf42p-18, -0x1.3eec7c6a00a25p-18, -0x1.f5ec5675386e3p-19, -0x1.72bde3a296059p-19, -0x1.e8b6c7ee9a8dcp-20, -0x1.e9e53c2a093ffp-21, -0x1.40594e2db39b7p-25, 0x1.b0a5625169f77p-21, 0x1.b24f4c11dc16cp-20, 0x1.421bd7aa1b0c2p-19, 0x1.a7228e50ab8ddp-19, 0x1.042bfebc7e4f5p-18, 0x1.32eb3b6f23d38p-18, 0x1.5fdd9f099c1abp-18, 0x1.8b0fb64d7b983p-18, 0x1.b48decce5f89cp-18, 0x1.dc648237e596ep-18, 0x1.014fa10412be4p-17, 0x1.139a535e3f60dp-17, 0x1.2535a8b8cfa59p-17, 0x1.360995a7732afp-17, 0x1.4624db5463fa8p-17, 0x1.558c6a59f5bdep-17, 0x1.6444f07427942p-17, 0x1.72520c6e8f761p-17, 0x1.7fba5c4d4bf79p-17, 0x1.8c8248d98cb8ep-17, 0x1.9899342fe68d4p-17, 0x1.a43b89ca95bd5p-17, 0x1.af3464affadfap-17, 0x1.b9a6814aee6d8p-17, 0x1.c37e44e00f31ap-17, 0x1.ccc5861eee714p-17, 0x1.d58d30179f23bp-17, 0x1.ddd1898b5ea8fp-17, 0x1.e59511a2c6fe1p-17, 0x1.ecdadcfd257e3p-17, 0x1.f3a63acb57e83p-17, 0x1.f9fa069b4649ap-17, 0x1.ffd91fa926c6dp-17, 0x1.02a338c3debe1p-16, 0x1.0522159e26491p-16, 0x1.076ad47450f2fp-16, 0x1.097e5f1a1f439p-16, 0x1.0b5e349f58b8fp-16, 0x1.0d0b7a1bfbaf9p-16, 0x1.0e8759a777968p-16, 0x1.0fd232791f96cp-16, 0x1.10f06be237842p-16, 0x1.11dcf1d28ec86p-16, 0x1.128f240f91979p-16, 0x1.1333babd7fd12p-16, 0x1.139f72209ca31p-16, 0x1.13e057b9a879p-16, 0x1.13f8b5528d147p-16, 0x1.13f4683981276p-16, 0x1.13b0c7f6c7b11p-16, 0x1.1352df77e14a7p-16, 0x1.12cfa179af312p-16, 0x1.122ae914b1f65p-16, 0x1.115d6e899b9d4p-16, 0x1.106fb88bfbe6fp-16, 0x1.0f611e68f5198p-16, 0x1.0e30d34372f34p-16, 0x1.0ce02064d1543p-16, 0x1.0b70606802024p-16, 0x1.09f05bdae7ac6p-16, 0x1.08340a0d1a454p-16, 0x1.06695cc659a62p-16, 0x1.048273e078afdp-16, 0x1.027f7cb4b6927p-16, 0x1.0061e9b0d577ap-16, 0x1.fc51b08e93ea7p-17, 0x1.f7af499cc8808p-17, 0x1.f2d93e09bb1bbp-17, 0x1.edd2502cb1f37p-17, 0x1.e89be0ef2648p-17, 0x1.e3373c6f334edp-17, 0x1.dda5ac2e2e477p-17, 0x1.d7e88cbe31ae8p-17, 0x1.d200afcb96e8bp-17, 0x1.cbe0d2388e85cp-17, 0x1.c5b73cdc79139p-17, 0x1.bf56cce35add3p-17, 0x1.b8d1d58388023p-17, 0x1.b227f046d3d1cp-17, 0x1.ab5ac7cd1bea4p-17, 0x1.a46b7779c3c9dp-17, 0x1.9d5b1bca21954p-17, 0x1.962acffa057ebp-17, 0x1.8edba4521cep-17, 0x1.876dd9839acbap-17, 0x1.7fe4920a2b245p-17, 0x1.78367eae4bbf7p-17, 0x1.707ff03d037ap-17, 0x1.68a75d277f427p-17, 0x1.60b570cc6945fp-17, 0x1.58ac33dd6d5bap-17, 0x1.508c81d747235p-17, 0x1.4857563620cb1p-17, 0x1.400dae853613cp-17, 0x1.37b094f3c88cp-17, 0x1.2f41b5ad46164p-17, 0x1.26df0718215p-17, 0x1.1e27ebf323b34p-17, 0x1.15718271ac822p-17, 0x1.0cda357994f58p-17, 0x1.042ea2cd6f926p-17, 0x1.f69ff9152e7e1p-18, 0x1.e4f1553954bddp-18, 0x1.d32b62c29ba95p-18, 0x1.c150858aa1a8dp-18, 0x1.af62875e3f2cfp-18, 0x1.9d631e5ea874dp-18, 0x1.8b5426f0579c1p-18, 0x1.792fb3424ce7ep-18, 0x1.670cf3c585947p-18, 0x1.54d83bb2f666ep-18, 0x1.429a43fedc271p-18, 0x1.30549be1faafbp-18, 0x1.1e08c0d927728p-18, 0x1.0bb84305e05f9p-18, 0x1.f2c3ccf686e8bp-19, 0x1.ce3797c8cbe9dp-19, 0x1.a972f232b3ec4p-19, 0x1.84ca3ad4091adp-19, 0x1.6026a9f3bc9ecp-19, 0x1.3b8afa4680243p-19, 0x1.16f6c86192c78p-19, 0x1.e511fc0eb7369p-20, 0x1.9c07a60c68f25p-20, 0x1.534859df74262p-20, 0x1.0ab2842125082p-20, 0x1.849db9fb1b7bfp-21, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.60b653fcfae4cp-1, 0x1.60b90c673e9c5p-1, 0x1.60bdd1e2ed2b4p-1, 0x1.60c4e8351c84ep-1, 0x1.60ce94a08622ap-1, 0x1.60db1511a534p-1, 0x1.60ea9a3e34183p-1, 0x1.60fd43f96ec8ap-1, 0x1.61131f2bc364p-1, 0x1.612c24ff1e97cp-1, 0x1.61483aeb58f3dp-1, 0x1.61673362769c6p-1, 0x1.6188ceebc5c65p-1, 0x1.61acbd88b7a3fp-1, 0x1.61d2a0475a875p-1, 0x1.61fa0aed4deaap-1, 0x1.622285ab65aecp-1, 0x1.624b8ece524a2p-1, 0x1.62749c63d2974p-1, 0x1.629d1dce6d0bbp-1, 0x1.62c47d4392585p-1, 0x1.62ea21318346fp-1, 0x1.630d6d8b714d5p-1, 0x1.632dc4fb2ddf2p-1, 0x1.634a89f8613ep-1, 0x1.63631fc5ba061p-1, 0x1.6376eb54e49ecp-1, 0x1.63855412577e5p-1, 0x1.638dc49a2900ep-1, 0x1.638fab5745a4ap-1, 0x1.638a7b0e65db7p-1, 0x1.637dab562ba55p-1, 0x1.6368b8fdcb16dp-1, 0x1.634b26639da52p-1, 0x1.63247bbced5d4p-1, 0x1.62f44750421a2p-1, 0x1.62ba1da35ab08p-1, 0x1.6275999dfbd11p-1, 0x1.62265ca29f251p-1, 0x1.61cc0e9e014c9p-1, 0x1.61665e0e7b219p-1, 0x1.60f50003fdfb8p-1, 0x1.6077b0197de96p-1, 0x1.5fee306882d46p-1, 0x1.5f5849778933dp-1, 0x1.5eb5ca23ce3c6p-1, 0x1.5e0687871642p-1, 0x1.5d4a5cd9edf0ep-1, 0x1.5c812b52dcabep-1, 0x1.5baada02f4b3p-1, 0x1.5ac755b01ebfp-1, 0x1.59d690ad7f683p-1, 0x1.58d882b23fcc8p-1, 0x1.57cd28af06a26p-1, 0x1.56b484a261f08p-1, 0x1.558e9d6c5b3e7p-1, 0x1.545b7ea16cc85p-1, 0x1.531b385d084eap-1, 0x1.51cddf13d910ep-1, 0x1.50738b65ea4c9p-1, 0x1.4f0c59f0d1e89p-1, 0x1.4d986b22019cfp-1, 0x1.4c17e3095abc1p-1, 0x1.4a8ae92c1a297p-1, 0x1.48f1a85836e2dp-1, 0x1.474c4e7845cc2p-1, 0x1.459b0c67f3035p-1, 0x1.43de15c922fe1p-1, 0x1.4215a0d9c66eep-1, 0x1.4041e64a701e7p-1, 0x1.3e632115b4335p-1, 0x1.3c798e585cc7ap-1, 0x1.3a856d2a7bb79p-1, 0x1.3886fe795c13ep-1, 0x1.367e84e2606a5p-1, 0x1.346c448ecc20fp-1, 0x1.325083107e0d7p-1, 0x1.302b873fa18f3p-1, 0x1.2dfd991953c03p-1, 0x1.2bc7019f44384p-1, 0x1.29880ab84c19fp-1, 0x1.2740ff12015a7p-1, 0x1.24f22a03432edp-1, 0x1.229bd76fbfd9p-1, 0x1.203e53ac72f0dp-1, 0x1.1dd9eb651ad9bp-1, 0x1.1b6eeb82a3304p-1, 0x1.18fda112834fcp-1, 0x1.1686592f0cf95p-1, 0x1.140960e8aa046p-1, 0x1.118705300521ep-1, 0x1.0eff92c11a9edp-1, 0x1.0c73560f2fd4cp-1, 0x1.09e29b31a9cd2p-1, 0x1.074dadd1c469dp-1, 0x1.04b4d919217fep-1, 0x1.021867a12fab3p-1, 0x1.fef146c6c566dp-2, 0x1.f9abab5475bcep-2, 0x1.f4608e0627ddcp-2, 0x1.ef107e6178ee4p-2, 0x1.e9bc0a3d996b1p-2, 0x1.e463bdab743abp-2, 0x1.df0822df472fep-2, 0x1.d9a9c21ba5101p-2, 0x1.d449219dd0d9ep-2, 0x1.cee6c58b747cdp-2, 0x1.c9832fe19ec8bp-2, 0x1.c41ee06509e56p-2, 0x1.beba54939617fp-2, 0x1.b9560796f9b73p-2, 0x1.b3f27238991cbp-2, 0x1.ae900ad67a428p-2, 0x1.a92f4559532c6p-2, 0x1.a3d0932ba1143p-2, 0x1.9e746331c7e89p-2, 0x1.991b21c32a496p-2, 0x1.93c538a4383ebp-2, 0x1.8e730f0164659p-2, 0x1.8925096aff91p-2, 0x1.83db89d1ea9b6p-2, 0x1.7e96ef851ca3ep-2, 0x1.7957972ff1d99p-2, 0x1.741ddad93bc9bp-2, 0x1.6eea11e30c287p-2, 0x1.69bc910b3299ap-2, 0x1.6495aa6c620a1p-2, 0x1.5f75ad7ffd298p-2, 0x1.5a5ce7207cd2dp-2, 0x1.554ba18c6b8c1p-2, 0x1.50422469ef861p-2, 0x1.4b40b4cad9de6p-2, 0x1.464795313a433p-2, 0x1.4157059468751p-2, 0x1.3c6f43668174p-2, 0x1.3790899a56953p-2, 0x1.32bb10a9bd5aep-2, 0x1.2def0e9c4635ap-2, 0x1.292cb70e4acbfp-2, 0x1.24743b385355ap-2, 0x1.1fc5c9f6cf17ap-2, 0x1.1b218fd2125c8p-2, 0x1.1687b706a1644p-2, 0x1.11f8678db481p-2, 0x1.0d73c725ffee8p-2, 0x1.08f9f95cac7acp-2, 0x1.048b1f96880a5p-2, 0x1.002759195fe3dp-2, 0x1.f79d862b12543p-3, 0x1.ef02f15f1acc6p-3, 0x1.e67f2613ed78ap-3, 0x1.de12529e7dbdfp-3, 0x1.d5bca177a71ebp-3, 0x1.cd7e39506a205p-3, 0x1.c5573d264c612p-3, 0x1.bd47cc57d7768p-3, 0x1.b55002b93694dp-3, 0x1.ad6ff8a8dd035p-3, 0x1.a5a7c3244611ep-3, 0x1.9df773dcb26b7p-3, 0x1.965f194beb909p-3, 0x1.8edebec903cd7p-3, 0x1.87766c9d0e451p-3, 0x1.80262817c7275p-3, 0x1.78edf3a43077ep-3, 0x1.71cdcedd0e48dp-3, 0x1.6ac5b6a154e33p-3, 0x1.63d5a528711c6p-3, 0x1.5cfd92166f3e9p-3, 0x1.563d728fffa34p-3, 0x1.4f95394e51156p-3, 0x1.4904d6b2bf385p-3, 0x1.428c38da516ebp-3, 0x1.3c2b4bb1087ffp-3, 0x1.35e1f904f8579p-3, 0x1.2fb028992c1cfp-3, 0x1.2995c0384cb7dp-3, 0x1.2392a3c70f0a3p-3, 0x1.1da6b55666593p-3, 0x1.17d1d53574bdfp-3, 0x1.1213e2033a7edp-3, 0x1.0c6cb8c004519p-3, 0x1.06dc34de95012p-3, 0x1.0162305508b59p-3, 0x1.f7fd075ae57c6p-4, 0x1.ed620c2c69fb3p-4, 0x1.e2f31ae4159e4p-4, 0x1.d8afdccf97969p-4, 0x1.ce97f8e3d05c2p-4, 0x1.c4ab13db2c257p-4, 0x1.bae8d05362906p-4, 0x1.b150ceeaab4f6p-4, 0x1.a7e2ae5c4d7a2p-4, 0x1.9e9e0b9c9e9b6p-4, 0x1.958281f466692p-4, 0x1.8c8fab1b9ee0cp-4, 0x1.83c51f53aa49cp-4, 0x1.7b227580e3541p-4, 0x1.72a7434398e89p-4, 0x1.6a531d106fb14p-4, 0x1.6225964829dffp-4, 0x1.5a1e414ed830ep-4, 0x1.523cafa272c19p-4, 0x1.4a8071f0db50bp-4, 0x1.42e9182d49f52p-4, 0x1.3b7631a525881p-4, 0x1.34274d1447949p-4, 0x1.2cfbf8b8afd84p-4, 0x1.25f3c265a4b27p-4, 0x1.1f0e379646222p-4, 0x1.184ae57f90823p-4, 0x1.11a95921d586dp-4, 0x1.0b291f59a6e88p-4, 0x1.04c9c4f03b891p-4, 0x1.fd15ad56933b3p-5, 0x1.f0d7c2b8bb38ep-5, 0x1.e4d8e3df57a24p-5, 0x1.d9182af4c2549p-5, 0x1.cd94b290e357dp-5, 0x1.c24d95d3d6c49p-5, 0x1.b741f07f96641p-5, 0x1.ac70df10afd6dp-5, 0x1.a1d97ed60ac5fp-5, 0x1.977aee07c357fp-5, 0x1.8d544bdd1aac8p-5, 0x1.8364b8a18574dp-5, 0x1.79ab55c8d9b91p-5, 0x1.70274602a1107p-5, 0x1.66d7ad4c9438fp-5, 0x1.5dbbb10444fd1p-5, 0x1.54d277f7f71a1p-5, 0x1.4c1b2a76af8b3p-5, 0x1.4394f25f8034ep-5, 0x1.3b3efb300e87dp-5, 0x1.331872125fa97p-5, 0x1.2b2085e9e9c89p-5, 0x1.2356675ff0f3p-5, 0x1.1bb948ef33feep-5, 0x1.14485eeeedc19p-5, 0x1.0d02df9d2ba0ap-5, 0x1.05e8032882a4dp-5, 0x1.fdee0772499f1p-6, 0x1.f05e3af2b4718p-6, 0x1.e31f1d3ac0d6fp-6, 0x1.d62f2ed577ee1p-6, 0x1.c98cf47de83b9p-6, 0x1.bd36f72b90387p-6, 0x1.b12bc41db4542p-6, 0x1.a569ece5ae7c2p-6, 0x1.99f007703f9c9p-6, 0x1.8ebcae0de8b93p-6, 0x1.83ce7f7a54119p-6, 0x1.79241ee2d120ep-6, 0x1.6ebc33ebf5c4cp-6, 0x1.64956ab65eea1p-6, 0x1.5aae73e2a1a3cp-6, 0x1.510604946d5e8p-6, 0x1.479ad674e6f09p-6, 0x1.3e6ba7b44bff5p-6, 0x1.35773b0ad3795p-6, 0x1.2cbc57b8e7fe2p-6, 0x1.2439c986aa9cep-6, 0x1.1bee60c2db76ep-6, 0x1.13d8f2411e6d2p-6, 0x1.0bf85757a5b1ep-6, 0x1.044b6ddc4c19p-6, 0x1.f9a2304248275p-7, 0x1.eb1079e0f2765p-7, 0x1.dcdf8f10aa9c4p-7, 0x1.cf0d4f2b1411ap-7, 0x1.c197a25c7cdfp-7, 0x1.b47c79981ca5ap-7, 0x1.a7b9ce8b7aeb5p-7, 0x1.9b4da39107ec4p-7, 0x1.8f3603a1e252p-7, 0x1.83710246f8404p-7, 0x1.77fcbb8960893p-7, 0x1.6cd753e21be26p-7, 0x1.61fef82924c5cp-7, 0x1.5771dd83f565dp-7, 0x1.4d2e415379dc3p-7, 0x1.433269217847cp-7, 0x1.397ca28d7ba8dp-7, 0x1.300b43394a11dp-7, 0x1.26dca8b4e6bc1p-7, 0x1.1def386a2e5bdp-7, 0x1.15415f881113fp-7, 0x1.0cd192ed7233ap-7, 0x1.049e4f13b45a3p-7, 0x1.f94c2ff1f1d06p-8, 0x1.e9cef2142e798p-8, 0x1.dac20a18aaa6p-8, 0x1.cc22ac0dc844cp-8, 0x1.bdee1a584f01cp-8, 0x1.b021a5859dbe1p-8, 0x1.a2baac1d886ffp-8, 0x1.95b69a73ebb29p-8, 0x1.8912ea7a0149ap-8, 0x1.7ccd238f7f29dp-8, 0x1.70e2da538b704p-8, 0x1.6551b0758aa29p-8, 0x1.5a175485d691cp-8, 0x1.4f3181c66189ap-8, 0x1.449dfffb507dbp-8, 0x1.3a5aa33b921dfp-8, 0x1.30654bc17e151p-8, 0x1.26bbe5bb7d489p-8, 0x1.1d5c691cca05dp-8, 0x1.1444d96e47d3ep-8, 0x1.0b73459f7ba41p-8, 0x1.02e5c7d7ae3acp-8, 0x1.f5350a8e6db25p-9, 0x1.e51f5bf1f903p-9, 0x1.d586f94857bdp-9, 0x1.c6686cfc559e8p-9, 0x1.b7c056199de15p-9, 0x1.a98b67f1affa8p-9, 0x1.9bc669c16f286p-9, 0x1.8e6e36574970ap-9, 0x1.817fbbba0a50cp-9, 0x1.74f7fad058021p-9, 0x1.68d40708e2116p-9, 0x1.5d110603510e9p-9, 0x1.51ac2f39f2d2ep-9, 0x1.46a2cbac2e0f4p-9, 0x1.3bf23589c6b65p-9, 0x1.3197d7def0701p-9, 0x1.27912e4138a98p-9, 0x1.1ddbc47d4de2p-9, 0x1.14753645a555cp-9, 0x1.0b5b2ee20386dp-9, 0x1.028b68dfef865p-9, 0x1.f4075b881a193p-10, 0x1.e383ab78c844ap-10, 0x1.d3878ea73b565p-10, 0x1.c40eee4a5b03ap-10, 0x1.b515cf24ed0cdp-10, 0x1.a69850f1c05ep-10, 0x1.9892add1d6375p-10, 0x1.8b0139bc775acp-10, 0x1.7de061f143e11p-10, 0x1.712cac6c3ff6dp-10, 0x1.64e2b75bd36p-10, 0x1.58ff3898cee4fp-10, 0x1.4d7efd206c674p-10, 0x1.425ee890475e2p-10, 0x1.379bf4a45fbd1p-10, 0x1.2d3330b70e811p-10, 0x1.2321c14304a8p-10, 0x1.1964df673bce3p-10, 0x1.0ff9d86cedd69p-10, 0x1.06de0d4f80782p-10, 0x1.fc1de48cd0d3bp-11, 0x1.eb141ca220e26p-11, 0x1.da99f5894de21p-11, 0x1.caaac5b7cf67ep-11, 0x1.bb420691a74ap-11, 0x1.ac5b5390ad9bap-11, 0x1.9df2696fb0a47p-11, 0x1.9003255965e7p-11, 0x1.8289841b236cap-11, 0x1.7581a15b588f6p-11, 0x1.68e7b6d3c3c83p-11, 0x1.5cb81b8f5750cp-11, 0x1.50ef432bcacc6p-11, 0x1.4589bd1ecd5bcp-11, 0x1.3a8433fed0e6dp-11, 0x1.2fdb6ccf659acp-11, 0x1.258c46511e679p-11, 0x1.1b93b854f16ep-11, 0x1.11eed3130e825p-11, 0x1.089abe85200f6p-11, 0x1.ff297387d9c74p-12, 0x1.edb434d0a4421p-12, 0x1.dcd097df124c6p-12, 0x1.cc799e456151ap-12, 0x1.bcaa73031d4bbp-12, 0x1.ad5e6960ff563p-12, 0x1.9e90fbd313244p-12, 0x1.903dcae10f148p-12, 0x1.82609c14c61e6p-12, 0x1.74f558eea361cp-12, 0x1.67f80de01213bp-12, 0x1.5b64e94bc444dp-12, 0x1.4f383a8bbd08ap-12, 0x1.436e70fd09ba3p-12, 0x1.38041b1113658p-12, 0x1.2cf5e564781f8p-12, 0x1.224099db4af9p-12, 0x1.17e11ec2b0a42p-12, 0x1.0dd475f7bb12dp-12, 0x1.0417bc13720adp-12, 0x1.f5504f37dfd5p-13, 0x1.e3061074ff667p-13, 0x1.d14b8bed4c921p-13, 0x1.c01bc0ebf8a9bp-13, 0x1.af71dc819dc17p-13, 0x1.9f493816c1b3cp-13, 0x1.8f9d580791085p-13, 0x1.8069ea4891ca4p-13, 0x1.71aac5142c138p-13, 0x1.635be5a0dfc52p-13, 0x1.55796edffa636p-13, 0x1.47ffa844a740cp-13, 0x1.3aeafc932dd5ap-13, 0x1.2e37f8b83b237p-13, 0x1.21e34aa80499ep-13, 0x1.15e9c0452d11cp-13, 0x1.0a48464f2db8ap-13, 0x1.fdf7ceb0703abp-14, 0x1.e80395849469cp-14, 0x1.d2ae6786e34a3p-14, 0x1.bdf300e1ee586p-14, 0x1.a9cc51a2d5e07p-14, 0x1.96357bea9f62fp-14, 0x1.8329d22cbcf3ep-14, 0x1.70a4d57a4947cp-14, 0x1.5ea233d9d2f67p-14, 0x1.4d1dc6ab652abp-14, 0x1.3c139118877c9p-14, 0x1.2b7fbe8ff532p-14, 0x1.1b5ea14cc714p-14, 0x1.0bacb0e8cc1d3p-14, 0x1.f8cd11f3a4fep-15, 0x1.db11cf733c4fep-15, 0x1.be215970a0e42p-15, 0x1.a1f5af31fe15ap-15, 0x1.86890db07f6c3p-15, 0x1.6bd5ed38d41cap-15, 0x1.51d6ff1eadbc6p-15, 0x1.38872b82bc102p-15, 0x1.1fe18f2abd78ap-15, 0x1.07e1796b280dfp-15, 0x1.e104d4440b9d6p-16, 0x1.b3801f851c275p-16, 0x1.872c8ae22d59ap-16, 0x1.5c02225de1254p-16, 0x1.31f9442b9016dp-16, 0x1.090a9d44460eap-16, 0x1.c25e4c3261d5dp-17, 0x1.74c03ec587414p-17, 0x1.292e1e178748ap-17, 0x1.bf36f4de18e3cp-18, 0x1.2ff8c58aa8051p-18, 0x1.49157cec77a34p-19, 0x1.cd6d77f76de0bp-22, -0x1.9ce068b905723p-20, -0x1.cf6cdc18ac12ep-19, -0x1.64b7b1ce5be08p-18, -0x1.de4eb29dd43b8p-18, -0x1.2a46c2ff6a0bep-17, -0x1.63c2c930047acp-17, -0x1.9ba3cbac42d85p-17, -0x1.d1f1dacadd30ap-17, -0x1.035a5d9ef9f6ep-16, -0x1.1cf9f4dece0dfp-16, -0x1.35db4f46fd1dfp-16, -0x1.4e01e870ea44dp-16, -0x1.65711d0d69ffcp-16, -0x1.7c2c2c7435428p-16, -0x1.92363a233022p-16, -0x1.a7924f2e050bep-16, -0x1.bc435b9e935ep-16, -0x1.d04c37c6a1c7bp-16, -0x1.e3afa58357983p-16, -0x1.f6705172dfb36p-16, -0x1.04486a0e5b709p-15, -0x1.0d09d98684171p-15, -0x1.157db0f1c1bb1p-15, -0x1.1da521ab0f9b5p-15, -0x1.258155140fdf5p-15, -0x1.2d136d0ae9596p-15, -0x1.345c845aab66ap-15, -0x1.3b5daf266b17dp-15, -0x1.4217fb4f44808p-15, -0x1.488c70d56ea91p-15, -0x1.4ebc1234903fdp-15, -0x1.54a7dcbb79c9ap-15, -0x1.5a50c8df7599ap-15, -0x1.5fb7ca8b513a8p-15, -0x1.64ddd16a4a155p-15, -0x1.69c3c92f03297p-15, -0x1.6e6a99d6a781bp-15, -0x1.72d327e86163ep-15, -0x1.76fe54b145ef9p-15, -0x1.7aecfe7cd81fp-15, -0x1.7ea000ca47316p-15, -0x1.8218347e86653p-15, -0x1.855670135bebbp-15, -0x1.885b87c38b771p-15, -0x1.8b284db432bb7p-15, -0x1.8dbd921b7cfdfp-15, -0x1.901c2364c012p-15, -0x1.9244ce5227849p-15, -0x1.94385e1c027eap-15, -0x1.95f79c8dcd98p-15, -0x1.9783522116803p-15, -0x1.98dc46164b834p-15, -0x1.9a033e8b93bbp-15, -0x1.9af90091c139dp-15, -0x1.9bbe503f771e9p-15, -0x1.9c53f0c29706cp-15, -0x1.9cbaa4700bd9p-15, -0x1.9cf32cd201c28p-15, -0x1.9cfe4ab4a557ap-15, -0x1.9cdcbe3174a78p-15, -0x1.9c8f46b93c328p-15, -0x1.9c16a31cc97ecp-15, -0x1.9b7391946a592p-15, -0x1.9aa6cfc645bb6p-15, -0x1.99b11acb9d791p-15, -0x1.98932f350a5acp-15, -0x1.974dc90dc0588p-15, -0x1.95e1a3dde7339p-15, -0x1.944f7aac16ed1p-15, -0x1.929807fe05cbp-15, -0x1.90bc05d873166p-15, -0x1.8ebc2dbe59be1p-15, -0x1.8c9938af79a39p-15, -0x1.8a53df26414c9p-15, -0x1.87ecd9152156fp-15, -0x1.8564dde3564b2p-15, -0x1.82bca46932e44p-15, -0x1.7ff4e2ebf25e3p-15, -0x1.7d0e4f191d3c8p-15, -0x1.7a099e018a44dp-15, -0x1.76e78414033d4p-15, -0x1.73a8b51795b88p-15, -0x1.704de42596c7bp-15, -0x1.6cd7c3a362f06p-15, -0x1.6947053be1f7fp-15, -0x1.659c59d8d164fp-15, -0x1.61d8719be19bep-15, -0x1.5dfbfbd7a7bf6p-15, -0x1.5a07a7086ad0cp-15, -0x1.55fc20ccd7983p-15, -0x1.51da15de9590dp-15, -0x1.4da2320acc56bp-15, -0x1.4955202a9a4f4p-15, -0x1.44f38a1b81974p-15, -0x1.407e18b7cd605p-15, -0x1.3bf573cef9774p-15, -0x1.375a421e1b3bcp-15, -0x1.32ad29484fa33p-15, -0x1.2deecdcf3800fp-15, -0x1.291fd30b7fd0ap-15, -0x1.2440db257599p-15, -0x1.1f52870db7fb4p-15, -0x1.1a557675f9d21p-15, -0x1.154a47c9dd5eep-15, -0x1.10319827ee17ep-15, -0x1.0b0c035ab747bp-15, -0x1.05da23d1fbd36p-15, -0x1.009c929c0f81dp-15, -0x1.f6a7cebeab76ep-16, -0x1.ec0170a7ca13ap-16, -0x1.e147347aa97dp-16, -0x1.d67a40c95eb4p-16, -0x1.cb9bb9252a735p-16, -0x1.c0acbe130a34cp-16, -0x1.b5ae6d00aed06p-16, -0x1.aaa1e039c25f1p-16, -0x1.9f882edd98c26p-16, -0x1.94626cd533c26p-16, -0x1.8931aac9afa78p-16, -0x1.7df6f61b0e39ap-16, -0x1.72b358d766a06p-16, -0x1.6767d9b277433p-16, -0x1.5c157bfd9b19cp-16, -0x1.50bd3fa028e98p-16, -0x1.45602110353a9p-16, -0x1.39ff194bb7056p-16, -0x1.2e9b1dd21875ep-16, -0x1.2335209e28f62p-16, -0x1.17ce102077b4bp-16, -0x1.0c66d73a119b5p-16, -0x1.01005d37a7094p-16, -0x1.eb370b9a2b6c4p-17, -0x1.d4726222a929bp-17, -0x1.bdb476f58ef2fp-17, -0x1.a6fefbb7e248cp-17, -0x1.90539ac11b92fp-17, -0x1.79b3f7160de1dp-17, -0x1.6321ac6499e45p-17, -0x1.4c9e4f002064fp-17, -0x1.362b6bdeaa5cfp-17, -0x1.1fca8896cf679p-17, -0x1.097d235e53aa9p-17, -0x1.e6896612f179dp-18, -0x1.ba454e1607b1ep-18, -0x1.8e30cee9e1b4ap-18, -0x1.624ea9f3a8606p-18, -0x1.36a191ddcb6ep-18, -0x1.0b2c2a9d657cap-18, -0x1.bfe212f1d0d27p-19, -0x1.69e56a2014e6p-19, -0x1.14674ac9dd64ep-19, -0x1.7ed90f9a0c7fcp-20, -0x1.abe75be05b32dp-21, -0x1.713d123ac8424p-23, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      36, 0x1p+2, 0x1.402ec75b56a2p+1, 0x1.912b41dc2252fp+1, -0x1.7e406f0d0ff8fp-5, 
      {{
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.804d6b3a79p-5, -0x1.df5eb1a4344a7p-3, 0x1.2bc6fb2f68ebdp-2, -0x1.14372b657185p-3}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.26492f2256585p-5, -0x1.a57c6e7329c26p-3, 0x1.170fa4bb00685p-2, -0x1.14375e75214f7p-3}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.aedd11ed550f1p-6, -0x1.6fbed6883dc4bp-3, 0x1.02584a7237827p-2, -0x1.143692366210bp-3}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.25d2ad069d30fp-6, -0x1.3e25e8bd5366ap-3, 0x1.db41fef5e04efp-3, -0x1.14399021a3043p-3}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.5f95d6506e643p-7, -0x1.10b1a948d497dp-3, 0x1.b1d2f62407db3p-3, -0x1.142e64b382124p-3}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.2c761fa754827p-8, -0x1.cec410ee6d675p-4, 0x1.88659a3c4df1dp-3, -0x1.14581480a20f1p-3}, 
        {0x1.4p+1, 0x1.4666666666666p+1, -0x1.3bb8239add09dp-11, -0x1.846e81c074ba2p-4, 0x1.5ef1fd8f68d62p-3, -0x1.13bc80ba4e464p-3}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, -0x1.433cd1506b4d6p-8, -0x1.4260efb0cf03dp-4, 0x1.3595b70d104bfp-3, -0x1.160120067b444p-3}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, -0x1.16be2c488914p-7, -0x1.08a1baebbbafp-4, 0x1.0be258a5b1014p-3, -0x1.05134cd25db26p-3}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, -0x1.766700759d211p-7, -0x1.adf12e4994a85p-5, 0x1.c9721a3f791a3p-4, -0x1.c1e609c2d2de1p-4}, 
        {0x1.599999999999ap+1, 0x1.6p+1, -0x1.c3b117069552dp-7, -0x1.59339224edadap-5, 0x1.85f5ff2f0cabbp-4, -0x1.7f65ed71660c3p-4}, 
        {0x1.6p+1, 0x1.6666666666666p+1, -0x1.00a87a204c773p-6, -0x1.10f5d20775a2dp-5, 0x1.4c7381f7a3c3bp-4, -0x1.3b5b18c42d40dp-4}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, -0x1.18c98cb09619fp-6, -0x1.a666921826015p-6, 0x1.1d25d7da3693cp-4, -0x1.ef7563eb46547p-5}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, -0x1.2b2e024f182dap-6, -0x1.3bc5fe883b777p-6, 0x1.effa13eabc34p-5, -0x1.67f698105d11ep-5}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, -0x1.38941892f1c92p-6, -0x1.bbf479a8d2495p-7, 0x1.b9fb7d1b7b0b2p-5, -0x1.c135d2dec7ba2p-6}, 
        {0x1.799999999999ap+1, 0x1.8p+1, -0x1.41860b8f70803p-6, -0x1.11e67275a69f4p-7, 0x1.984aa6e45f436p-5, -0x1.63c31092160fdp-7}, 
        {0x1.8p+1, 0x1.8666666666666p+1, -0x1.465a15d41062p-6, -0x1.c501cc1babb29p-9, 0x1.8af356454b3c7p-5, 0x1.6d151dc5906ccp-8}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, -0x1.4732706c7bfacp-6, 0x1.70c7b79f86a24p-10, 0x1.91cbbba0ff8b3p-5, 0x1.708515455e458p-6}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, -0x1.43fd52e08c512p-6, 0x1.a8aff2ba1f028p-8, 0x1.ad6f506c99d0ap-5, 0x1.33c732c727cd9p-5}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, -0x1.3c74f33448e91p-6, 0x1.8959d5efc16c1p-7, 0x1.db99fe70dfc8ep-5, 0x1.e7ac56f525f6p-5}, 
        {0x1.999999999999ap+1, 0x1.ap+1, -0x1.301f85e7e7bf1p-6, 0x1.2b1c61b887a3dp-6, 0x1.1260528ad2bd8p-4, 0x1.224a88f0973cfp-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, -0x1.1e59ec106e2dep-6, 0x1.9d373a8d449a5p-6, 0x1.2825e99cde153p-4, -0x1.21fec1508e935p-5}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, -0x1.06cd2e669a3a8p-6, 0x1.07a99b3048872p-5, 0x1.12660183a030ap-4, -0x1.8e82f8b5da0dcp-4}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, -0x1.d3c7f0ab97f4cp-7, 0x1.389085d73d9dcp-5, 0x1.ad3e5203e55c7p-5, -0x1.594393acda865p-3}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, -0x1.91aa8c294cd98p-7, 0x1.5921870d531dcp-5, 0x1.bc2b8c6b914c6p-6, -0x1.8333df3d96974p-3}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, -0x1.4b318d4fb14dcp-7, 0x1.63b93055f9b4p-5, -0x1.479191189d239p-10, -0x1.46fe763c96604p-3}, 
        {0x1.cp+1, 0x1.c666666666666p+1, -0x1.04ce240185badp-7, 0x1.58e3d1ef70dc7p-5, -0x1.9cdda6f3d7dddp-6, -0x1.184512f858c2cp-3}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, -0x1.84e77c706da17p-8, 0x1.3bd6aa4c7034ap-5, -0x1.76984542212ffp-5, -0x1.d8c050695a96fp-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, -0x1.0f019812dfcc8p-8, 0x1.0f49ac6815c45p-5, -0x1.0235c84a77c8ap-4, -0x1.25f0b996e31f9p-4}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, -0x1.5ad0963845fd8p-9, 0x1.ae792c16d0f7dp-6, -0x1.2e4d17544d0d3p-4, -0x1.201d320448e64p-8}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, -0x1.8dc35e7647b12p-10, 0x1.35033db420ba8p-6, -0x1.3100909924229p-4, 0x1.d3eeee943af7dp-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, -0x1.8af69b0a82c9bp-11, 0x1.840fc2160799bp-7, -0x1.0de83eb46c835p-4, 0x1.0708ea072b5b2p-3}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, -0x1.44ef3b8381b9ap-12, 0x1.976662404d457p-8, -0x1.7dfe57648bd09p-5, 0x1.2024b01fb9e9bp-3}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, -0x1.9b3ec752702c9p-14, 0x1.55eb45888ef2ep-9, -0x1.a2370ea305539p-6, 0x1.8b4d98fb52bf7p-4}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, -0x1.44ef3b8381bdbp-16, 0x1.98e0ff4746ffap-11, -0x1.6a10ff4ba75cbp-7, 0x1.bcc8d96ee0963p-5}, 
        {0x1.f99999999999ap+1, 0x1p+2, -0x1.44ef3b838227ep-20, 0x1.588dd58c42608p-14, -0x1.7cc859be1c04p-9, 0x1.2f1143e9c1585p-4}, 
      }}, 
      -0x1.2242d770fe1aap+0, 0x1.c3466a0af2bccp+2
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_o_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.fa906c144964ep+0, -0x1.f8171047df7f8p+0, -0x1.f406a91e3596bp+0, -0x1.ee7380ff50c72p+0, -0x1.e775a0fd795a9p+0, -0x1.df281d3a8c53p+0, -0x1.d5a76f33feadfp+0, -0x1.cb11051acdbccp+0, -0x1.bf825d85da2e9p+0, -0x1.b318824410b52p+0, -0x1.a5f0c4773a078p+0, -0x1.9824b2f480f9dp+0, -0x1.89d12acd6c626p+0, -0x1.7b0d4bd3a7bedp+0, -0x1.6bf1218d4c759p+0, -0x1.5c92bf4722e81p+0, -0x1.4d0632b74f94cp+0, -0x1.3d5efc41c586fp+0, -0x1.2dae4c4b893ecp+0, -0x1.1e03687864246p+0, -0x1.0e6d29769657bp+0, -0x1.fdf23f2ab01b1p-1, -0x1.df65080a61712p-1, -0x1.c145ebf64bad1p-1, -0x1.a3a74038f2176p-1, -0x1.869a5adac1254p-1, -0x1.6a2eb477b8f56p-1, -0x1.4e6cc45dbf1f2p-1, -0x1.335fb2ddd6513p-1, -0x1.190f77c99c8afp-1, -0x1.ff05317aad038p-2, -0x1.cd7cccb6763d7p-2, -0x1.9d8defe3f0efap-2, -0x1.6f3e24cd147c3p-2, -0x1.42905e3c1d31ep-2, -0x1.1785625b5fc79p-2, -0x1.dc38bed54f74fp-3, -0x1.8ca6c111843aep-3, -0x1.404ef1eee9244p-3, -0x1.ee52c4ff1c75fp-4, -0x1.62578a7f3545fp-4, -0x1.b9255afeae28p-5, -0x1.7398ea6da5ad5p-6, 0x1.ccf1c9fec046bp-8, 0x1.21616d3325f88p-5, 0x1.fdc5c582b1dc4p-5, 0x1.678a3b59d939ep-4, 0x1.cacb8ea5249cap-4, 0x1.1466180407114p-3, 0x1.40d931128f09ap-3, 0x1.6ad2c7a73cf7p-3, 0x1.926717a4c0f8ep-3, 0x1.b7aab53ef6423p-3, 0x1.dab2533148d9bp-3, 0x1.fb9201f9dd711p-3, 0x1.0d30860476648p-2, 0x1.1b989312111d9p-2, 0x1.290b132acd5c7p-2, 0x1.3591d4307219ep-2, 0x1.413680ca2465ep-2, 0x1.4c0299873bb09p-2, 0x1.55ff6d61d3c6cp-2, 0x1.5f36121d39516p-2, 0x1.67af5d6fa3ef1p-2, 0x1.6f73e02791579p-2, 0x1.768be448804f6p-2, 0x1.7cff6e6d1277fp-2, 0x1.82d641d556687p-2, 0x1.8817e5c51b209p-2, 0x1.8ccbaa8249cbcp-2, 0x1.90f8ac781e429p-2, 0x1.94a5d4a71f4fcp-2, 0x1.97d9d65e0f255p-2, 0x1.9a9b2af7932f1p-2, 0x1.9cf00ccd49a56p-2, 0x1.9ede72a49ec39p-2, 0x1.a06c0c9785cb7p-2, 0x1.a19e43067248dp-2, 0x1.a27a37a3b66dap-2, 0x1.a304c84495e03p-2, 0x1.a34292eb0ab49p-2, 0x1.a337fa6d49b2ep-2, 0x1.a2e92b33126a8p-2, 0x1.a25a1fa5ff3bp-2, 0x1.a18ea41b1d327p-2, 0x1.a08a5a1f0bdeap-2, 0x1.9f50bb2598b6fp-2, 0x1.9de51aaa036c8p-2, 0x1.9c4aa7d0e85a5p-2, 0x1.9a846e9ca80dep-2, 0x1.989558c4c5a0ap-2, 0x1.96802e41fbf39p-2, 0x1.944795a3a4dp-2, 0x1.91ee1445e1bf1p-2, 0x1.8f760e80fa55p-2, 0x1.8ce1c7e8b51bfp-2, 0x1.8a3363adf4d66p-2, 0x1.876ce52ec61e1p-2, 0x1.849030bacf182p-2, 0x1.819f0c8cae6bdp-2, 0x1.7e9b21f53f083p-2, 0x1.7b85feb383506p-2, 0x1.78611672c2e6p-2, 0x1.752dc467aa0b9p-2, 0x1.71ed4d04426dfp-2, 0x1.6ea0dfb994d08p-2, 0x1.6b4998bcab61bp-2, 0x1.67e882c3ecbaap-2, 0x1.647e98b1c084fp-2, 0x1.610cc72234397p-2, 0x1.5d91c2b75b165p-2, 0x1.5a1198bb3b27bp-2, 0x1.568c32a9eb1c8p-2, 0x1.53025be8a1823p-2, 0x1.4f74d3649a69dp-2, 0x1.4be44bded4319p-2, 0x1.48516c4b1eca4p-2, 0x1.44bcd043a02e5p-2, 0x1.4127089023652p-2, 0x1.3d909bbf22c09p-2, 0x1.39fa06cd5b495p-2, 0x1.3663bdd7e3563p-2, 0x1.32ce2cd44ccf6p-2, 0x1.2f39b84a33296p-2, 0x1.2ba6be09b0686p-2, 0x1.281595da9eeb3p-2, 0x1.2486922113e02p-2, 0x1.20fa007421729p-2, 0x1.1d702a24bd224p-2, 0x1.19e954b34cf4cp-2, 0x1.1665c23333f06p-2, 0x1.12e5b19c4eecdp-2, 0x1.0f695f0b198f6p-2, 0x1.0bf103f0b4275p-2, 0x1.087cd73495206p-2, 0x1.050d0d4a13487p-2, 0x1.01a1d83c44dc1p-2, 0x1.fc76cf658c5d8p-3, 0x1.f5b3d1e4071c8p-3, 0x1.eefb0db2e17bcp-3, 0x1.e84cd3c39fadcp-3, 0x1.e1a9703a92f1dp-3, 0x1.db112a7559cc8p-3, 0x1.d484451969a83p-3, 0x1.ce02fe2b8cb86p-3, 0x1.c78d8f3078311p-3, 0x1.c1242d55ffab8p-3, 0x1.bac709a3f678cp-3, 0x1.b47651336edeap-3, 0x1.ae322d6ae4ee7p-3, 0x1.a7fac43dc67eap-3, 0x1.a1d0386dcf188p-3, 0x1.9bb2a9ccc2042p-3, 0x1.95a2357d245cdp-3, 0x1.8f9ef630ca5a8p-3, 0x1.89a904642e2c4p-3, 0x1.83c07695b0f79p-3, 0x1.7de561781fbd6p-3, 0x1.7817d81ff6722p-3, 0x1.7257ec2b18466p-3, 0x1.6ca5ade2d3c89p-3, 0x1.67012c5843968p-3, 0x1.616a757b35d7p-3, 0x1.5be1962be621bp-3, 0x1.56669a480336dp-3, 0x1.50f98cb375852p-3, 0x1.4b9a775d7c058p-3, 0x1.46496342b87a8p-3, 0x1.4106586cbdf7fp-3, 0x1.3bd15defc1c9dp-3, 0x1.36aa79e6eba2bp-3, 0x1.3191b16fdb797p-3, 0x1.2c8708a5c175p-3, 0x1.278a829c884f8p-3, 0x1.229c215c4d226p-3, 0x1.1dbbe5dd80141p-3, 0x1.18e9d005dd68ep-3, 0x1.1425dea66305dp-3, 0x1.0f700f7a691a2p-3, 0x1.0ac85f27edc55p-3, 0x1.062ec94107674p-3, 0x1.01a34846971efp-3, 0x1.fa4bab581d33cp-4, 0x1.f16cd3b8a786ap-4, 0x1.e8a9f87f17934p-4, 0x1.e00306839066p-4, 0x1.d777e8b4cec5dp-4, 0x1.cf08882818d51p-4, 0x1.c6b4cc2a028f8p-4, 0x1.be7c9a4fecc31p-4, 0x1.b65fd689c51f8p-4, 0x1.ae5e6333fe91cp-4, 0x1.a678212968324p-4, 0x1.9eacefd4c4decp-4, 0x1.96fcad41e7271p-4, 0x1.8f67362e4cfb8p-4, 0x1.87ec66190329cp-4, 0x1.808c1751cc9dfp-4, 0x1.794623077faddp-4, 0x1.721a61558d789p-4, 0x1.6b08a950b7ed9p-4, 0x1.6410d112f7017p-4, 0x1.5d32adc69339ep-4, 0x1.566e13b083fc9p-4, 0x1.4fc2d63a19e66p-4, 0x1.4930c7fa09ed6p-4, 0x1.42b7babcde0cdp-4, 0x1.3c577f8ce7472p-4, 0x1.360fe6b9baab7p-4, 0x1.2fe0bfdf47169p-4, 0x1.29c9d9ec97be3p-4, 0x1.23cb032a4d32bp-4, 0x1.1de40940dd8eep-4, 0x1.1814b93ea2b0fp-4, 0x1.125cdf9dc67fdp-4, 0x1.0cbc484a1391ep-4, 0x1.0732bea6b2d35p-4, 0x1.01c00d93df535p-4, 0x1.f8c7fee929ec8p-5, 0x1.ee3cbc687b80cp-5, 0x1.e3dde698cdbb2p-5, 0x1.d9ab0f94f4d2dp-5, 0x1.cfa270ef73122p-5, 0x1.c5c6767778a7ap-5, 0x1.bc15300c58fbfp-5, 0x1.b28e2c2085a0ep-5, 0x1.a930f89299083p-5, 0x1.9ffd22bab86a8p-5, 0x1.96f23777ac255p-5, 0x1.8e0fc33bbca2dp-5, 0x1.8555521945b84p-5, 0x1.7cc26fcf153e9p-5, 0x1.7456a7d488925p-5, 0x1.6c11856573e59p-5, 0x1.63f2938dd091ap-5, 0x1.5bf95d3537b08p-5, 0x1.54256d2a28a35p-5, 0x1.4c764e2d1be06p-5, 0x1.44eb8afb658d9p-5, 0x1.3d84ae59e6241p-5, 0x1.3641431f8a866p-5, 0x1.2f20d43f9b2e9p-5, 0x1.2822ecd3db825p-5, 0x1.2147182678992p-5, 0x1.1a8ce1bbc22dfp-5, 0x1.13f3d55bb8a33p-5, 0x1.0d7b7f1b5feb8p-5, 0x1.07236b65e45a9p-5, 0x1.00eb27058838dp-5, 0x1.f5a47e58b59bbp-6, 0x1.e9b082f977651p-6, 0x1.ddf9782345593p-6, 0x1.d27e7b0d65873p-6, 0x1.c73eaa002473dp-6, 0x1.bc39246410ef1p-6, 0x1.b16d0ad0cc407p-6, 0x1.a6d97f1b58241p-6, 0x1.9c7da463f64d6p-6, 0x1.92589f2398071p-6, 0x1.88699538c81f4p-6, 0x1.7eafadf4319bfp-6, 0x1.752a12249c82dp-6, 0x1.6bd7ec228a394p-6, 0x1.62b867db4a15p-6, 0x1.59cab2dba897bp-6, 0x1.510dfc5a2168fp-6, 0x1.48817540a65a8p-6, 0x1.40245035ecaf6p-6, 0x1.37f5c1a657df3p-6, 0x1.2ff4ffcc65af1p-6, 0x1.282142b8b65e9p-6, 0x1.2079c459a92a2p-6, 0x1.18fdc08288371p-6, 0x1.11ac74f24dc2p-6, 0x1.0a85215a0073fp-6, 0x1.03870762aa631p-6, 0x1.f962d565d57cp-7, 0x1.ec0721e83a6c5p-7, 0x1.def983ae4bddcp-7, 0x1.d2388e31b5d0dp-7, 0x1.c5c2d90c102cdp-7, 0x1.b996fffe3868cp-7, 0x1.adb3a2f6e62c2p-7, 0x1.a21766188791ep-7, 0x1.96c0f1be75f0fp-7, 0x1.8baef2816b3e1p-7, 0x1.80e0193b4ff2dp-7, 0x1.76531b0a5367ep-7, 0x1.6c06b1536f00bp-7, 0x1.61f999c430f92p-7, 0x1.582a9653edcc1p-7, 0x1.4e986d4451294p-7, 0x1.4541e92158cp-7, 0x1.3c25d8c0b5eacp-7, 0x1.33430f408d81cp-7, 0x1.2a986405c3d9dp-7, 0x1.2224b2b9abfaep-7, 0x1.19e6db4726956p-7, 0x1.11ddc1d75f034p-7, 0x1.0a084ecde2372p-7, 0x1.02656ec462127p-7, 0x1.f5e8250bc178fp-8, 0x1.e7665e131979cp-8, 0x1.d9437ada33475p-8, 0x1.cb7d75dd7e157p-8, 0x1.be1251cda7e5ep-8, 0x1.b10019821d04fp-8, 0x1.a444dfead902ep-8, 0x1.97dec001907a4p-8, 0x1.8bcbdcba45a8ap-8, 0x1.800a60f34d314p-8, 0x1.74987f64c9ccp-8, 0x1.6974728fac1a9p-8, 0x1.5e9c7cac422f7p-8, 0x1.540ee79855eccp-8, 0x1.49ca04c4f0c16p-8, 0x1.3fcc2d23c4332p-8, 0x1.3613c1143b6edp-8, 0x1.2c9f2850500c8p-8, 0x1.236cd1d918bcbp-8, 0x1.1a7b33e314687p-8, 0x1.11c8cbc250713p-8, 0x1.09541dd6526dp-8, 0x1.011bb575f266cp-8, 0x1.f23c49b5f8873p-9, 0x1.e2b40a1b90db7p-9, 0x1.d39beba15f40fp-9, 0x1.c4f13b16dcc0cp-9, 0x1.b6b1526d21cadp-9, 0x1.a8d9988d75fb1p-9, 0x1.9b67812ffdb55p-9, 0x1.8e588cb23004dp-9, 0x1.81aa47ed9bdd3p-9, 0x1.755a4c0e7ea0ap-9, 0x1.69663e6a77ed4p-9, 0x1.5dcbd05757debp-9, 0x1.5288bf01ec309p-9, 0x1.479ad34524a1ep-9, 0x1.3cffe18111115p-9, 0x1.32b5c9723c7cp-9, 0x1.28ba7608ef378p-9, 0x1.1f0bdd40e5236p-9, 0x1.15a7fff8ff5a1p-9, 0x1.0c8ce9cb1ef9ep-9, 0x1.03b8b0e44f4e7p-9, 0x1.f652ebba1a7fep-10, 0x1.e5bac72354b06p-10, 0x1.d5a55df63b1c6p-10, 0x1.c60f2e0f865cp-10, 0x1.b6f4c8e92952bp-10, 0x1.a852d34c9727ap-10, 0x1.9a2605061775ep-10, 0x1.8c6b28980096cp-10, 0x1.7f1f1aeeb6f4ap-10, 0x1.723ecb14f34c7p-10, 0x1.65c739e88b89bp-10, 0x1.59b579cf91344p-10, 0x1.4e06ae6e3a874p-10, 0x1.42b80c5cc3a6ap-10, 0x1.37c6d8de2ec23p-10, 0x1.2d30699758aap-10, 0x1.22f22446935e2p-10, 0x1.19097e7b9990bp-10, 0x1.0f73fd505ed4ep-10, 0x1.062f352207365p-10, 0x1.fa71929573269p-11, 0x1.e91cd7b7432e3p-11, 0x1.d85bbaafe7fa1p-11, 0x1.c829d8e0059ecp-11, 0x1.b882eb7b337acp-11, 0x1.a962c700b09abp-11, 0x1.9ac55ab5e98fdp-11, 0x1.8ca6b022512c2p-11, 0x1.7f02ea8c5cda1p-11, 0x1.71d646783d3bep-11, 0x1.651d19273f73ep-11, 0x1.58d3d019bc1f5p-11, 0x1.4cf6f091810a7p-11, 0x1.41831716299ccp-11, 0x1.3674f6faee321p-11, 0x1.2bc959e5fa971p-11, 0x1.217d1f5920a64p-11, 0x1.178d3c3cd2c9bp-11, 0x1.0df6ba6bd58e3p-11, 0x1.04b6b84122974p-11, 0x1.f794d04e7046p-12, 0x1.e65e205261185p-12, 0x1.d5c4130a3e5c2p-12, 0x1.c5c18081ac1b5p-12, 0x1.b651657ef2a56p-12, 0x1.a76ee2b29cf96p-12, 0x1.99153be9c1076p-12, 0x1.8b3fd74486aa3p-12, 0x1.7dea3c6deed61p-12, 0x1.711013d9e21cep-12, 0x1.64ad2603cedc3p-12, 0x1.58bd5ab20ff33p-12, 0x1.4d3cb83b81041p-12, 0x1.422762d167f21p-12, 0x1.37799bcbcd384p-12, 0x1.2d2fc0f8d250ap-12, 0x1.23464bef2b191p-12, 0x1.19b9d1649095p-12, 0x1.1087008616788p-12, 0x1.07aaa253d7088p-12, 0x1.fe4331ffbe7dcp-13, 0x1.edd1be9f88a76p-13, 0x1.ddfb10025d8f3p-13, 0x1.ceb97a621af34p-13, 0x1.c0077f8c81b2p-13, 0x1.b1dfcdbceadf6p-13, 0x1.a43d3e7b4a3cfp-13, 0x1.971ad581e7445p-13, 0x1.8a73bfa625d28p-13, 0x1.7e4351caf1e51p-13, 0x1.728507d2ccc47p-13, 0x1.6734839c22154p-13, 0x1.5c4d8bff555d8p-13, 0x1.51cc0bd36696p-13, 0x1.47ac10f72b78dp-13, 0x1.3de9cb5f6be92p-13, 0x1.34818c2ae4ddp-13, 0x1.2b6fc4b8e31bbp-13, 0x1.22b105c79b91ap-13, 0x1.1a41fe9278d54p-13, 0x1.121f7bfc9e2b4p-13, 0x1.0a4667b89911p-13, 0x1.02b3c77859455p-13, 0x1.f6c978419f86dp-14, 0x1.e8ad02048969ep-14, 0x1.db0cd628a5134p-14, 0x1.cde3d06ee5cb1p-14, 0x1.c12cfcf2e1b46p-14, 0x1.b4e396bbca4dep-14, 0x1.a903065aa3409p-14, 0x1.9d86e08ab5dd3p-14, 0x1.926ae4dc5b739p-14, 0x1.87aafc68c477cp-14, 0x1.7d43388bdc8efp-14, 0x1.732fd1a710929p-14, 0x1.696d25e980394p-14, 0x1.5ff7b824a789ep-14, 0x1.56cc2ea006583p-14, 0x1.4de751fe316a1p-14, 0x1.45460c203e425p-14, 0x1.3ce567146d706p-14, 0x1.34c0ad861c008p-14, 0x1.2cd8fead9c2ccp-14, 0x1.2529c5e862886p-14, 0x1.1db083f5279e2p-14, 0x1.166ad4c82b346p-14, 0x1.0f566ea0395c1p-14, 0x1.08712120e06c4p-14, 0x1.01b8d47480adp-14, 0x1.f65710eb07113p-15, 0x1.e98ea7b0eeadcp-15, 0x1.dd14c6c135bf8p-15, 0x1.d0e5f22f6a0bp-15, 0x1.c4fed71aa54b5p-15, 0x1.b95c4a2ebae78p-15, 0x1.adfb463c6bf7dp-15, 0x1.a2d8ead0c4ebbp-15, 0x1.97f27ad916a5bp-15, 0x1.8d455b5787068p-15, 0x1.82cf1217e75d3p-15, 0x1.788d44744f265p-15, 0x1.6e7db621fc341p-15, 0x1.649e47fe838bp-15, 0x1.5aecf6f8ea093p-15, 0x1.5167daf08ac3bp-15, 0x1.480d25a2e2adap-15, 0x1.3edb21a666519p-15, 0x1.35d03165ec561p-15, 0x1.2ceace2902043p-15, 0x1.2429871fc70adp-15, 0x1.1b8b007aa67d2p-15, 0x1.130df28534b2ap-15, 0x1.0ab128cbaa15ep-15, 0x1.02738141f3463p-15, 0x1.f4a7d6f3fc1f1p-16, 0x1.e4a2cfb432f71p-16, 0x1.d4d60da9fe0a7p-16, 0x1.c53fd0719b284p-16, 0x1.b5de74e615e03p-16, 0x1.a6b073c54fc07p-16, 0x1.97b4605edbe8fp-16, 0x1.88e8e74668b52p-16, 0x1.7a4ccd1f3009cp-16, 0x1.6bdeed6553d97p-16, 0x1.5d9e3946a5fa4p-16, 0x1.4f89b687d3f4fp-16, 0x1.41a07e7017ae4p-16, 0x1.33e1bcc0634b9p-16, 0x1.264caeb4bfbcdp-16, 0x1.18e0a20dbe9b3p-16, 0x1.0b9cf422f967ep-16, 0x1.fd02220639d7ap-17, 0x1.e318e51e07f6bp-17, 0x1.c97d3f61fb80ep-17, 0x1.b02e571e8bfcap-17, 0x1.972b698cbde4bp-17, 0x1.7e73c9690ad9fp-17, 0x1.6606dd7032186p-17, 0x1.4de41f31f4362p-17, 0x1.360b199fa84dfp-17, 0x1.1e7b67ea59084p-17, 0x1.0734b44743ae9p-17, 0x1.e06d6da9725d4p-18, 0x1.b30268f5e5485p-18, 0x1.8627fbdf9ae9fp-18, 0x1.59dddd7a1bdafp-18, 0x1.2e23d851f377p-18, 0x1.02f9c9093e1bcp-18, 0x1.b0bf38c4e62a4p-19, 0x1.5caa9b4b598ap-19, 0x1.09b5ca25ae16cp-19, 0x1.6fc1d992fa2e6p-20, 0x1.9cb0fb34e0693p-21, 0x1.7980d36e08b1dp-23, -0x1.b6da6096cc862p-22, -0x1.085ac96934f35p-20, -0x1.a0bb946920d13p-20, -0x1.1b6c0217918ecp-19, -0x1.65578c054c839p-19, -0x1.ae1fe3af5d488p-19, -0x1.f5c482b2553c3p-19, -0x1.1e22712bc0afcp-18, -0x1.40d03e92f0553p-18, -0x1.62eb683069e96p-18, -0x1.8473aefa044d9p-18, -0x1.a568d685cadfdp-18, -0x1.c5caa5f49495dp-18, -0x1.e598e8725e402p-18, -0x1.0269b6e700121p-17, -0x1.11bd057a0d0e9p-17, -0x1.20c64d36e0a2fp-17, -0x1.2f857e69084f3p-17, -0x1.3dfa8c991a894p-17, -0x1.4c256eb87a8abp-17, -0x1.5a061f5610203p-17, -0x1.679c9cbfbfe33p-17, -0x1.74e8e9253ec47p-17, -0x1.81eb0abca5a4ap-17, -0x1.8ea30bd947f09p-17, -0x1.9b10fb21c3025p-17, -0x1.a734eb7cb62fep-17, -0x1.b30ef43a47495p-17, -0x1.be9f312a0e71cp-17, -0x1.c9e5c29fd0b03p-17, -0x1.d4e2cd855b453p-17, -0x1.df967b5dc0549p-17, -0x1.ea00fa4e6ce9fp-17, -0x1.f4227d259b177p-17, -0x1.fdfb3b590c425p-17, -0x1.03c5b882e7065p-16, -0x1.0869af746a547p-16, -0x1.0ce9a53ec798p-16, -0x1.1145beded3e21p-16, -0x1.157e23a3cb2afp-16, -0x1.1992fd209080dp-16, -0x1.1d8477295682fp-16, -0x1.2152bfcf5a44ap-16, -0x1.24fe075644915p-16, -0x1.2886802f8a04ap-16, -0x1.2bec5ef28b974p-16, -0x1.2f2fda517bf28p-16, -0x1.32512b145c17fp-16, -0x1.35508c0cf2eb3p-16, -0x1.382e3a0d9043ap-16, -0x1.3aea73de158f4p-16, -0x1.3d857a33dee36p-16, -0x1.3fff8fa2eb63bp-16, -0x1.4258f895c7c3fp-16, -0x1.4491fb3e4b512p-16, -0x1.46aadf8dd327ep-16, -0x1.48a3ef26ce0b9p-16, -0x1.4a7d75509ab81p-16, -0x1.4c37beea2ee91p-16, -0x1.4dd31a5c075a8p-16, -0x1.4f4fd799bd781p-16, -0x1.50ae47faa739fp-16, -0x1.51eebe40acb3dp-16, -0x1.53118e8494c54p-16, -0x1.54170e29db7dfp-16, -0x1.54ff93ccd8f1ap-16, -0x1.55cb774704e42p-16, -0x1.567b11868e332p-16, -0x1.570ebc93dd008p-16, -0x1.5786d3805e89ap-16, -0x1.57e3b25634b2p-16, -0x1.5825b60d9dc3ep-16, -0x1.584d3c7f2bc7p-16, -0x1.585aa457a895fp-16, -0x1.584e4d0a018bbp-16, -0x1.582896c167137p-16, -0x1.57e9e256a999ep-16, -0x1.57929142cdd8ap-16, -0x1.57230591b0434p-16, -0x1.569ba1d16bcabp-16, -0x1.55fcc919d8c21p-16, }}, 
      {{-0x1.fb1dba1719756p+0, -0x1.fa48370e018c7p+0, -0x1.f8e7652a9dd6ap+0, -0x1.f6ffecea9cb53p+0, -0x1.f4971afc8f75cp+0, -0x1.f1b32c9994d2cp+0, -0x1.ee5aca4a57971p+0, -0x1.ea9506e85814dp+0, -0x1.e669228adf137p+0, -0x1.e1de57be4d319p+0, -0x1.dcfc4341fbda2p+0, -0x1.d7c9a4fd8a08dp+0, -0x1.d24e1e8b9d95ap+0, -0x1.cc90372494082p+0, -0x1.c696c31dd0b16p+0, -0x1.c068220a645a9p+0, -0x1.ba0a8e0a23beep+0, -0x1.b383e3236d43ep+0, -0x1.acd9bc0a5b2ap+0, -0x1.a61160019b42ap+0, -0x1.9f2fe204958e7p+0, -0x1.9839f8002daa9p+0, -0x1.9133f776405cbp+0, -0x1.8a220a32cb4b5p+0, -0x1.83081ef03375bp+0, -0x1.7be9cab14f59cp+0, -0x1.74ca4c4e5433ep+0, -0x1.6dacc03b613f2p+0, -0x1.6693f8686f9fbp+0, -0x1.5f828db5ab19cp+0, -0x1.587ae1f888abap+0, -0x1.517f213bd50f6p+0, -0x1.4a9143e212b48p+0, -0x1.43b311d0bc1ap+0, -0x1.3ce6261ac9ca3p+0, -0x1.362bf2a378d1p+0, -0x1.2f85c32d6b499p+0, -0x1.28f4bf9a6eb29p+0, -0x1.2279eda132758p+0, -0x1.1c163265ce261p+0, -0x1.15ca5453c635ap+0, -0x1.0f96fd8b98df9p+0, -0x1.097cbed43d2fp+0, -0x1.037c126274d03p+0, -0x1.fb2abb63a4032p-1, -0x1.ef91e4beb66a8p-1, -0x1.e42e1d772b143p-1, -0x1.d8ffbdb50db15p-1, -0x1.ce06fc999e9bap-1, -0x1.c343f418fc2cdp-1, -0x1.b8b6a410ccf09p-1, -0x1.ae5ef42808c48p-1, -0x1.a43cb4eb28e3dp-1, -0x1.9a4fa0fe4bfe2p-1, -0x1.909751305a02ep-1, -0x1.871372ea27f42p-1, -0x1.7dc386f232226p-1, -0x1.74a707e6b56bbp-1, -0x1.6bbd63b879bbep-1, -0x1.6305fd082e15dp-1, -0x1.5a802ca197661p-1, -0x1.522b42ec1cf1fp-1, -0x1.4a068924f565cp-1, -0x1.421142504f16cp-1, -0x1.3a4aabf02fe63p-1, -0x1.32b1fea4e7453p-1, -0x1.2b466eda5b47ep-1, -0x1.24072d93074ddp-1, -0x1.1cf36949b547fp-1, -0x1.160a4ed21d144p-1, -0x1.0f4b0a1d5a5a8p-1, -0x1.08b4c6d06cf92p-1, -0x1.0246b0aa7b838p-1, -0x1.f7ffe78de9c13p-2, -0x1.ebbf799f34f75p-2, -0x1.dfca7264af7d3p-2, -0x1.d41f2ecff4d12p-2, -0x1.c8bc0e9d84d59p-2, -0x1.bd9f75245cee7p-2, -0x1.b2c7ca270926ap-2, -0x1.a8337a8b3f6e7p-2, -0x1.9de0f8e4a5443p-2, -0x1.93cebdcc4b705p-2, -0x1.89fb480bbb86p-2, -0x1.80651cabe7fd7p-2, -0x1.770ac6fb46d41p-2, -0x1.6dead89b4bd0cp-2, -0x1.6503e99e15b3dp-2, -0x1.5c5498b46fbddp-2, -0x1.53db8b651634p-2, -0x1.4b976e420ebffp-2, -0x1.4386f510bf46bp-2, -0x1.3ba8dadc6f7cdp-2, -0x1.33fbe1efffa6fp-2, -0x1.2c7ed3b9201d7p-2, -0x1.2530809bcc334p-2, -0x1.1e0fbfbf3ac6fp-2, -0x1.171b6edda4f17p-2, -0x1.1052721e49106p-2, -0x1.09b3b3fdd3602p-2, -0x1.033e2545a5892p-2, -0x1.f9e17a1e4294ep-3, -0x1.ed94f19bda5f9p-3, -0x1.e194b8b63249p-3, -0x1.d5dee3f6e6434p-3, -0x1.ca7194b9264f1p-3, -0x1.bf4af90c2734ep-3, -0x1.b4694b7cc6383p-3, -0x1.a9cad2c8dad9cp-3, -0x1.9f6de1815e13p-3, -0x1.9550a2bba8e71p-3, -0x1.8b71efac0cefbp-3, -0x1.81cfffad9578bp-3, -0x1.78694f7060646p-3, -0x1.6f3c65b9c8654p-3, -0x1.6647d326324dap-3, -0x1.5d8a31ec930fp-3, -0x1.550225a3eb19fp-3, -0x1.4cae5b0acdfcap-3, -0x1.448d87d0a1d06p-3, -0x1.3c9e6a60279f8p-3, -0x1.34dfc9aa9a35cp-3, -0x1.2d5074f2d3f9ap-3, -0x1.25ef4397e565ap-3, -0x1.1ebb14deef44fp-3, -0x1.17b2cfbc1ca32p-3, -0x1.10d5629b20b5dp-3, -0x1.0a21c3278ef2ep-3, -0x1.0396ee15b4751p-3, -0x1.fa67cdd8f445cp-4, -0x1.edef6fa1ac5bbp-4, -0x1.e1c2e2a65d183p-4, -0x1.d5e0547dbb5dbp-4, -0x1.ca45fed7bd798p-4, -0x1.bef227251bec1p-4, -0x1.b3e31e4284a71p-4, -0x1.a9174026f7892p-4, -0x1.9e8cf394d7fb6p-4, -0x1.9442a9cd1420bp-4, -0x1.8a36de44267bfp-4, -0x1.8068165896eacp-4, -0x1.76d4e10af0684p-4, -0x1.6d7bd6b71c485p-4, -0x1.645b98cf461bdp-4, -0x1.5b72d19864bc8p-4, -0x1.52c033e8974cfp-4, -0x1.4a427ae77dee6p-4, -0x1.41f869d0b34aap-4, -0x1.39e0cbb87be26p-4, -0x1.31fa7352b7154p-4, -0x1.2a443abc0bbbfp-4, -0x1.22bd03453bec1p-4, -0x1.1b63b54088263p-4, -0x1.14373fd0fa857p-4, -0x1.0d3698bb603d3p-4, -0x1.0660bc38d511fp-4, -0x1.ff6959955050dp-5, -0x1.f262e61ee365fp-5, -0x1.e5ac3b326c469p-5, -0x1.d9438188ff4b6p-5, -0x1.cd26ed20ad02dp-5, -0x1.c154bcee2c81dp-5, -0x1.b5cb3a9030d7fp-5, -0x1.aa88ba0485cc7p-5, -0x1.9f8b995efe194p-5, -0x1.94d240825d5adp-5, -0x1.8a5b20db505cap-5, -0x1.8024b51d95e1dp-5, -0x1.762d81036d61p-5, -0x1.6c74110f54d93p-5, -0x1.62f6fa501a527p-5, -0x1.59b4da274326cp-5, -0x1.50ac5611ab2b9p-5, -0x1.47dc1b724f103p-5, -0x1.3f42df5f27352p-5, -0x1.36df5e6fe1047p-5, -0x1.2eb05c8e6eb58p-5, -0x1.26b4a4c92d70ap-5, -0x1.1eeb092699092p-5, -0x1.1752627a5cbep-5, -0x1.0fe9903ba8bbbp-5, -0x1.08af785cc0676p-5, -0x1.01a3072395799p-5, -0x1.f5865e06f0b25p-6, -0x1.e81dd0ef7ab1ep-6, -0x1.db0a63bea7588p-6, -0x1.ce4a1eb297394p-6, -0x1.c1db15447201bp-6, -0x1.b5bb65e4f580bp-6, -0x1.a9e939baaf1d4p-6, -0x1.9e62c461f58cep-6, -0x1.932643ae76743p-6, -0x1.8831ff6e76351p-6, -0x1.7d84492fbe648p-6, -0x1.731b7c05f3d5ep-6, -0x1.68f5fc52b7748p-6, -0x1.5f12378f16115p-6, -0x1.556ea416a8f5ap-6, -0x1.4c09c0f3fb8fep-6, -0x1.42e215ae8aac6p-6, -0x1.39f63219fab5fp-6, -0x1.3144ae26b2bb1p-6, -0x1.28cc29b3c7d03p-6, -0x1.208b4c6217bc1p-6, -0x1.1880c56899f79p-6, -0x1.10ab4b69d4011p-6, -0x1.09099c4a726bbp-6, -0x1.019a7d08e2c71p-6, -0x1.f4b9732bf3448p-7, -0x1.e69e495d2ffd7p-7, -0x1.d8e12f6c71f51p-7, -0x1.cb7fe524d93f7p-7, -0x1.be78370e5f50ap-7, -0x1.b1c7fe283f073p-7, -0x1.a56d1fa4ef39ap-7, -0x1.99658ca7c4e15p-7, -0x1.8daf4203f3b67p-7, -0x1.824847fd3aa28p-7, -0x1.772eb209f4444p-7, -0x1.6c609e965e7aep-7, -0x1.61dc36c98286bp-7, -0x1.579fae4b4bbfcp-7, -0x1.4da99e1ff07fep-7, -0x1.43f79d9221d53p-7, -0x1.3a885400d927p-7, -0x1.315a1cea2546cp-7, -0x1.286b5d3e937e5p-7, -0x1.1fba832e7135cp-7, -0x1.174605f846bd6p-7, -0x1.0f0c65b84495ap-7, -0x1.070c2b38e69dep-7, -0x1.fe87cf88e7997p-8, -0x1.ef6469ef00e28p-8, -0x1.e0ab6928f7fd6p-8, -0x1.d25a20b028affp-8, -0x1.c46df39d1febdp-8, -0x1.b6e45454026afp-8, -0x1.a9bac432c914fp-8, -0x1.9ceed34110becp-8, -0x1.907e1fe195797p-8, -0x1.8466568555383p-8, -0x1.78a531601f88ap-8, -0x1.6d38781ec748bp-8, -0x1.621dff9ee25e1p-8, -0x1.5753a9a7a9189p-8, -0x1.4cd764a4b897p-8, -0x1.42a72b61b389bp-8, -0x1.38c104c7b70d3p-8, -0x1.2f23039bc736ep-8, -0x1.25cb463eb8784p-8, -0x1.1cb7f66e214fdp-8, -0x1.13e74906eb6f2p-8, -0x1.0b577dc8b91c4p-8, -0x1.0306df1aa55a4p-8, -0x1.f5e783a2615e8p-9, -0x1.e63909ea4c59ap-9, -0x1.d6ff2317cf45p-9, -0x1.c836b4c110d4ap-9, -0x1.b9dcb79c3727dp-9, -0x1.abee371618ad8p-9, -0x1.9e6850eaca692p-9, -0x1.914834c08bf47p-9, -0x1.848b23c44d548p-9, -0x1.782e70485c7fep-9, -0x1.6c2f7d64cc3f2p-9, -0x1.608bbe99ed59ap-9, -0x1.5540b7747159bp-9, -0x1.4a4bfb334dfc3p-9, -0x1.3fab2c6f8553fp-9, -0x1.355bfcc59542ep-9, -0x1.2b5c2c806e342p-9, -0x1.21a98a468643ep-9, -0x1.1841f2c7fbbf9p-9, -0x1.0f23506eb99e8p-9, -0x1.064b9b0fbc35fp-9, -0x1.fb71af3d2a856p-10, -0x1.ead22fc369f61p-10, -0x1.dab4f45142cbdp-10, -0x1.cb165206f94cfp-10, -0x1.bbf2b5f7756bcp-10, -0x1.ad46a49de4d68p-10, -0x1.9f0eb95482e3cp-10, -0x1.9147a5cf093e7p-10, -0x1.83ee319783eebp-10, -0x1.76ff398dd42f8p-10, -0x1.6a77af694e929p-10, -0x1.5e54993dec7fap-10, -0x1.52931102f13f9p-10, -0x1.4730441c5e7afp-10, -0x1.3c2972e6de192p-10, -0x1.317bf045f5976p-10, -0x1.27252134983cp-10, -0x1.1d227c57ad2ffp-10, -0x1.13718993698c1p-10, -0x1.0a0fe1a25e207p-10, -0x1.00fb2daecbc5p-10, -0x1.f0624ddc8dfbp-11, -0x1.df5f2c7df9124p-11, -0x1.cee8a78f04219p-11, -0x1.befa8d314eb03p-11, -0x1.af90c8a1ce3a2p-11, -0x1.a0a76183251e3p-11, -0x1.923a7b2e3f4dep-11, -0x1.84465403b2e5cp-11, -0x1.76c744c2ff65fp-11, -0x1.69b9bfe3303ffp-11, -0x1.5d1a50f298254p-11, -0x1.50e59bf64f163p-11, -0x1.45185ccf6a962p-11, -0x1.39af66a2d522ep-11, -0x1.2ea7a34490457p-11, -0x1.23fe12a6ab517p-11, -0x1.19afca49bfee5p-11, -0x1.0fb9f4b3a5857p-11, -0x1.0619d0e660239p-11, -0x1.f99963b6c3515p-12, -0x1.e79ffc033c0bep-12, -0x1.d6425d7d2578dp-12, -0x1.c57b9fe3fe5dap-12, -0x1.b546fef988e58p-12, -0x1.a59fd9934b54p-12, -0x1.9681b0b4d2297p-12, -0x1.87e826ac1169ap-12, -0x1.79cefe342c4acp-12, -0x1.6c32199d9a7e5p-12, -0x1.5f0d79fad6806p-12, -0x1.525d3e5252153p-12, -0x1.461da2d51daffp-12, -0x1.3a4b0019eaf0ep-12, -0x1.2ee1ca5db6255p-12, -0x1.23de90c5fd723p-12, -0x1.193dfcad2ba22p-12, -0x1.0efcd0ec58a82p-12, -0x1.0517e92f09136p-12, -0x1.f71872905356ap-13, -0x1.e4ad991396cefp-13, -0x1.d2e98a4be854ep-13, -0x1.c1c6b71c8f32p-13, -0x1.b13fbbb2855f1p-13, -0x1.a14f5e5793bf2p-13, -0x1.91f08e4ce2fcp-13, -0x1.831e62a5e6741p-13, -0x1.74d4193821ba2p-13, -0x1.670d1583fb28dp-13, -0x1.59c4dfabd1fa9p-13, -0x1.4cf7236e79941p-13, -0x1.409faf2a0b82ep-13, -0x1.34ba72e409929p-13, -0x1.29437f57b4c0fp-13, -0x1.1e37050b2a142p-13, -0x1.1391536659393p-13, -0x1.094ed7d83ea67p-13, -0x1.fed839f245aafp-14, -0x1.ebcb936c32f61p-14, -0x1.d9714103a8dfap-14, -0x1.c7c2fd1402da6p-14, -0x1.b6bab5e5a5811p-14, -0x1.a6528c2afccdp-14, -0x1.9684d18c6f41fp-14, -0x1.874c073a1a6dap-14, -0x1.78a2dc898a888p-14, -0x1.6a842d968a2e7p-14, -0x1.5ceb01f965f61p-14, -0x1.4fd28b77eb4b2p-14, -0x1.433624c7a1079p-14, -0x1.371150559917ep-14, -0x1.2b5fb71592e6ep-14, -0x1.201d275c506acp-14, -0x1.154593bc791e3p-14, -0x1.0ad511f27da53p-14, -0x1.00c7d9d15f25cp-14, -0x1.ee34887083689p-15, -0x1.db9194271a837p-15, -0x1.c9a006aeff8cfp-15, -0x1.b8594c32d4ec8p-15, -0x1.a7b70b31de666p-15, -0x1.97b322b1d6802p-15, -0x1.8847a8817deb7p-15, -0x1.796ee77b1bceep-15, -0x1.6b235de4d7678p-15, -0x1.5d5fbbbc231a6p-15, -0x1.501ee140904cbp-15, -0x1.435bdd56bf3b1p-15, -0x1.3711ec12b3fecp-15, -0x1.2b3c75430c65bp-15, -0x1.1fd70b09f79a1p-15, -0x1.14dd68809b2a4p-15, -0x1.0a4b7061a9db3p-15, -0x1.001d2bbde062cp-15, -0x1.ec9d917d7fc59p-16, -0x1.d9b932d7f286fp-16, -0x1.c78624fe98b2bp-16, -0x1.b5fd947e0531bp-16, -0x1.a518eeab016d2p-16, -0x1.94d1df9deca2ep-16, -0x1.852250013d3fp-16, -0x1.76046309ae55fp-16, -0x1.677274802dca5p-16, -0x1.596716d37b107p-16, -0x1.4bdd1138e87acp-16, -0x1.3ecf5de27d4c9p-16, -0x1.3239283db3527p-16, -0x1.2615cb3b42923p-16, -0x1.1a60cfac8031cp-16, -0x1.0f15eaac0f863p-16, -0x1.0430fc086b1dp-16, -0x1.f35c19930d822p-17, -0x1.df129b91fda2p-17, -0x1.cb7e2c3f10643p-17, -0x1.b897c3f42a53cp-17, -0x1.a658a246ea544p-17, -0x1.94ba4b9aad15ap-17, -0x1.83b6869bacce6p-17, -0x1.734759a6f4665p-17, -0x1.636708ca532b4p-17, -0x1.54101350b396cp-17, -0x1.453d3191f4396p-17, -0x1.36e952e12bc52p-17, -0x1.290f9b77f507bp-17, -0x1.1bab6284a7f12p-17, -0x1.0eb83037fc017p-17, -0x1.0231bbf2685b4p-17, -0x1.ec27d4dc5d107p-18, -0x1.d4b5983b8d741p-18, -0x1.be05367905913p-18, -0x1.a80f751493a8dp-18, -0x1.92cd67013fc41p-18, -0x1.7e3869bb1fa28p-18, -0x1.6a4a225f8105cp-18, -0x1.56fc7ac736c36p-18, -0x1.44499eea15f7p-18, -0x1.322bfa248f442p-18, -0x1.209e34b40701ap-18, -0x1.0f9b3150d96b9p-18, -0x1.fe3c15675894ap-19, -0x1.de4422b3166cdp-19, -0x1.bf4592c8015ffp-19, -0x1.a137d0a47fd7p-19, -0x1.8412a61a3501cp-19, -0x1.67ce37f5abf96p-19, -0x1.4c63018af5874p-19, -0x1.31c9d1f77096bp-19, -0x1.17fbc81096d34p-19, -0x1.fde49dc94420bp-20, -0x1.cd4e355a32c3ap-20, -0x1.9e284b61e0b1ep-20, -0x1.706847ea48bc8p-20, -0x1.44018d9b7373ap-20, -0x1.18ea3c48a5e2cp-20, -0x1.de3079217bed4p-21, -0x1.8d03ccee7fd38p-21, -0x1.3e3bf96d0ed95p-21, -0x1.e38ea0094f9b7p-22, -0x1.4f29c61a4df07p-22, -0x1.7e51fd88bcdd1p-23, -0x1.9b6a21bf7a89ap-25, 0x1.509c784126a8p-24, 0x1.af613776a1053p-23, 0x1.574a74bb19853p-22, 0x1.d30ec7bf4a094p-22, 0x1.258b4e08ee109p-21, 0x1.5fbcf870dbd18p-21, 0x1.9827e4d2b05b7p-21, 0x1.ced71d9042c8fp-21, 0x1.01ea9d6239522p-20, 0x1.1b963469b358fp-20, 0x1.3473362e62eb1p-20, 0x1.4c86557b2973bp-20, 0x1.63d4156e732e8p-20, 0x1.7a60cdcf4a37cp-20, 0x1.9030ac638c70dp-20, 0x1.a547b789f0736p-20, 0x1.b9a9d035e7fc2p-20, 0x1.cd5ab36dba639p-20, 0x1.e05dfcf5d4c91p-20, 0x1.f2b728990fadp-20, 0x1.0234c9f41dd56p-19, 0x1.0abc400116e19p-19, 0x1.12f3896e5e236p-19, 0x1.1adc2c8d24105p-19, 0x1.2277a3670f90bp-19, 0x1.29c75d3fb76ecp-19, 0x1.30ccbe01f3af6p-19, 0x1.37891fa94e709p-19, 0x1.3dfdd29e445acp-19, 0x1.442c1e56ab14fp-19, 0x1.4a1541a7026b2p-19, 0x1.4fba737d24effp-19, 0x1.551ce3345ab9dp-19, 0x1.5a3db90376516p-19, 0x1.5f1e169139749p-19, 0x1.63bf171a7525bp-19, 0x1.6821cffb7cd51p-19, 0x1.6c47510eefeb6p-19, 0x1.7030a4c681bccp-19, 0x1.73ded0d3a0236p-19, 0x1.7752d62ea7991p-19, 0x1.7a8db18927239p-19, 0x1.7d905b7dea8b2p-19, 0x1.805bc8bb8ea6cp-19, 0x1.82f0ea5b458b8p-19, 0x1.8550adf21e4f1p-19, 0x1.877bfe3cb8bd3p-19, 0x1.8973c272a7973p-19, 0x1.8b38df6a5aa4fp-19, 0x1.8ccc36ff024fp-19, 0x1.8e2ea89b09a6bp-19, 0x1.8f611141fb5d9p-19, 0x1.90644bbd719fap-19, 0x1.913930a7fddffp-19, 0x1.91e0966befd3ap-19, 0x1.925b521d2a87cp-19, 0x1.92aa36404efe1p-19, 0x1.92ce13f5d11e1p-19, 0x1.92c7baa19478p-19, 0x1.9297f80c3d019p-19, 0x1.923f98735e1c1p-19, 0x1.91bf6697fc237p-19, 0x1.91182bcb8b3p-19, 0x1.904aaffb71608p-19, 0x1.8f57b9c6d54c9p-19, 0x1.8e400e5381ad3p-19, 0x1.8d0471b03e495p-19, 0x1.8ba5a68e734a6p-19, 0x1.8a246e5d81c66p-19, 0x1.8881897a2b66cp-19, 0x1.86bdb6d0d331bp-19, 0x1.84d9b44293706p-19, 0x1.82d63e4bf7e58p-19, 0x1.80b410bd42bd3p-19, 0x1.7e73e5a6f3395p-19, 0x1.7c167625fe128p-19, 0x1.799c7a21d0dd1p-19, 0x1.7706a84f4e6bep-19, 0x1.7455b62af4044p-19, 0x1.718a5801a87b6p-19, 0x1.6ea540e571429p-19, 0x1.6ba722adbcc49p-19, 0x1.6890ade01d406p-19, 0x1.656291dfd554bp-19, 0x1.621d7cbe9134cp-19, 0x1.5ec21b32c649cp-19, 0x1.5b5118b197583p-19, 0x1.57cb1f41fe035p-19, 0x1.5430d7cd00e8cp-19, 0x1.5082e9acb15e5p-19, 0x1.4cc1fad37fe89p-19, 0x1.48eeafe44fbf8p-19, 0x1.4509ac0d23f84p-19, 0x1.411390fd83c33p-19, 0x1.3d0cff0fa795p-19, 0x1.38f694fc42d68p-19, 0x1.34d0f01152f28p-19, 0x1.309cac08ee236p-19, 0x1.2c5a6332feff7p-19, 0x1.280aadda29dacp-19, 0x1.23ae23733ee68p-19, 0x1.1f4559408b8cbp-19, 0x1.1ad0e32ea5913p-19, 0x1.16515364989bp-19, 0x1.11c73a6de1bcfp-19, 0x1.0d332728892c5p-19, 0x1.0895a6c40c663p-19, 0x1.03ef44bb4a518p-19, 0x1.fe8115a15426p-20, 0x1.f5140218d8defp-20, 0x1.eb985b6c4134p-20, 0x1.e20f2aa67ebf3p-20, 0x1.d8797546eee72p-20, 0x1.ced83d4ec7bb1p-20, 0x1.c52c80ec5f309p-20, 0x1.bb773aedfcdf2p-20, 0x1.b1b9626ac51c8p-20, 0x1.a7f3eac94d67bp-20, 0x1.9e27c3ea12276p-20, 0x1.9455d9d81c2fdp-20, 0x1.8a7f14fa01b35p-20, 0x1.80a45a1f5b3p-20, 0x1.76c689b6d3973p-20, 0x1.6ce681b9db1ep-20, 0x1.63051b4fc1be5p-20, 0x1.59232c591d1bap-20, 0x1.4f4186cdc79efp-20, 0x1.4560f8f303bbcp-20, 0x1.3b824d11563cbp-20, 0x1.31a64a675bcaep-20, 0x1.27cdb3b538581p-20, 0x1.1df94841627fap-20, 0x1.1429c398dd013p-20, 0x1.0a5fdd82bc5a1p-20, 0x1.009c49da6771ep-20, 0x1.edbf7205f022fp-21, 0x1.da55af36c8c2cp-21, 0x1.c6fc9cf42fa29p-21, 0x1.b3b585904bdd2p-21, 0x1.a081ac1b9c7e3p-21, 0x1.8d624bedba24ep-21, 0x1.7a589969ba769p-21, 0x1.6765c10aaff5fp-21, 0x1.548ae98151f4ep-21, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.1418c5377da54p-5, -0x1.0cba61b4fcb51p-4, -0x1.82b3a82742ffbp-4, -0x1.e85db703382fdp-4, -0x1.1dbfb139a78e2p-3, -0x1.3d736dcee8ad9p-3, -0x1.5317a4adaf9cap-3, -0x1.5ec44e3e0064bp-3, -0x1.60c98be80e304p-3, -0x1.599fda9288cf4p-3, -0x1.49d6798786a85p-3, -0x1.321d51cdd7cf9p-3, -0x1.1318a558900d9p-3, -0x1.db0f1bd335dcdp-4, -0x1.843d8e5bd3dadp-4, -0x1.232528172c1a7p-4, -0x1.72529e399c5dap-5, -0x1.1e5f09759245dp-6, 0x1.826fe84a4b6f2p-7, 0x1.5aa43d7dd07fap-5, 0x1.2e5aee81b0b83p-4, 0x1.b26612d5688ep-4, 0x1.1c3e7e14d3675p-3, 0x1.5fdcac60e6e7bp-3, 0x1.a3a6e157ef207p-3, 0x1.e742e9f33963ep-3, 0x1.153111544c875p-2, 0x1.36595ec01c4e9p-2, 0x1.56fa985b3e6e5p-2, 0x1.76f75c8cfb13bp-2, 0x1.96360d13f2663p-2, 0x1.b4a0b819a98a2p-2, 0x1.d224c613d1adfp-2, 0x1.eeb286ee0d2cap-2, 0x1.051e67eb58861p-1, 0x1.125c61d18adefp-1, 0x1.1f0ede8037ec8p-1, 0x1.2b32a05452d57p-1, 0x1.36c570d12b655p-1, 0x1.41c6073c62d1p-1, 0x1.4c33e5e28b3c2p-1, 0x1.560f35188178dp-1, 0x1.5f58a3c01cb79p-1, 0x1.68115175ac8a9p-1, 0x1.703ac21d3f1cap-1, 0x1.77d6d857a8fb3p-1, 0x1.7ee7d40b56c9bp-1, 0x1.857051cf3a165p-1, 0x1.8b73476d19643p-1, 0x1.90f3fa30e70f5p-1, 0x1.95f5ee1b4fd41p-1, 0x1.9a7cd05cc91ebp-1, 0x1.9e8c61dd114cep-1, 0x1.a22866b82eb92p-1, 0x1.a5554650a3f06p-1, 0x1.a8149f86d6fb4p-1, 0x1.aa6b9499d1c8ap-1, 0x1.ac5e0ac924319p-1, 0x1.adefe6173152dp-1, 0x1.af2505ea8b853p-1, 0x1.b00142833923bp-1, 0x1.b0886abaf1832p-1, 0x1.b0be418b6b7bap-1, 0x1.b0a67b2ad5c76p-1, 0x1.b044b9fce6d61p-1, 0x1.af9c8bdd89474p-1, 0x1.aeb16845e74cep-1, 0x1.ad86af865f877p-1, 0x1.ac1faaf07c217p-1, 0x1.aa7f8d815a987p-1, 0x1.a8a97483e2178p-1, 0x1.a6a067bd9f6cep-1, 0x1.a46758f6a10f9p-1, 0x1.a20122f0924d4p-1, 0x1.9f70881310da9p-1, 0x1.9cb831261463p-1, 0x1.99daac678ea03p-1, 0x1.96da6d29d4072p-1, 0x1.93b9cc02c0056p-1, 0x1.907b07744de4fp-1, 0x1.8d2044e55f264p-1, 0x1.89ab91be267bp-1, 0x1.861ee483e6214p-1, 0x1.827c1dde39569p-1, 0x1.7ec5097f1d758p-1, 0x1.7afb5ef238d4dp-1, 0x1.7720c25d2b2bcp-1, 0x1.7336c53a438a2p-1, 0x1.6f3ee712aea2cp-1, 0x1.6b3a9637ae92bp-1, 0x1.672b30760732fp-1, 0x1.631203bce27a2p-1, 0x1.5ef04eb21a01bp-1, 0x1.5ac74130627eep-1, 0x1.5697fcaf24313p-1, 0x1.52639496d3f95p-1, 0x1.4e2b0e86cf90bp-1, 0x1.49ef6292e28p-1, 0x1.45b17b7ee4398p-1, 0x1.417236fe84aeap-1, 0x1.3d3265fea7f8bp-1, 0x1.38f2ccfcad156p-1, 0x1.34b4246eaf01ap-1, 0x1.3077193e41e88p-1, 0x1.2c3c4d5560184p-1, 0x1.2804583b59f13p-1, 0x1.23cfc7bdd7e69p-1, 0x1.1f9f20a09fc9dp-1, 0x1.1b72df4df4accp-1, 0x1.174b78815191ap-1, 0x1.1329378bce9d8p-1, 0x1.0f0c68f6ad1fap-1, 0x1.0af5b53c588f4p-1, 0x1.06e57bf296277p-1, 0x1.02dc164d6e113p-1, 0x1.fdb3aea2342e1p-2, 0x1.f5be1814555dp-2, 0x1.edd7f79796efbp-2, 0x1.e601d0e6cd952p-2, 0x1.de3c1d60f6f6p-2, 0x1.d6874c9e51461p-2, 0x1.cee3c507be691p-2, 0x1.c751e46d53fd7p-2, 0x1.bfd2009948554p-2, 0x1.b86467dcdc1e5p-2, 0x1.b10961955eb3p-2, 0x1.a9c12ea7f4449p-2, 0x1.a28c09f347b05p-2, 0x1.9b6a28b6c114fp-2, 0x1.945bbaef3da3ap-2, 0x1.8d60eba98872cp-2, 0x1.8679e14b210e8p-2, 0x1.7fa6bdd1f91a6p-2, 0x1.78e79f0c040a9p-2, 0x1.723c9ec78d7b7p-2, 0x1.6ba5d2fd58c4p-2, 0x1.65234df59fb64p-2, 0x1.5eb51e6902ff8p-2, 0x1.585b4f9e76ac9p-2, 0x1.5215e987226f3p-2, 0x1.4be4f0d91ac72p-2, 0x1.45c86729a6804p-2, 0x1.3fc04b07aca74p-2, 0x1.39cc9816b8771p-2, 0x1.33ed472ad7db9p-2, 0x1.2e224e657c8fap-2, 0x1.286ba1535c50bp-2, 0x1.22c9310b3f025p-2, 0x1.1d3aec4d8a5f3p-2, 0x1.17c0bfa44e87ap-2, 0x1.125a95838e5ffp-2, 0x1.0d085669781ap-2, 0x1.07c9e8fe3baa9p-2, 0x1.029f323333f6cp-2, 0x1.fb102ac239962p-3, 0x1.f108e8ca25848p-3, 0x1.e7285f7848c0fp-3, 0x1.dd6e4d3a9c3d9p-3, 0x1.d3da6e2371013p-3, 0x1.ca6c7c165d0b7p-3, 0x1.c1242ef18132cp-3, 0x1.b8013cb331a91p-3, 0x1.af03599c2c409p-3, 0x1.a62a384e85c92p-3, 0x1.9d7589e99787p-3, 0x1.94e4fe233868fp-3, 0x1.8c78435e94acfp-3, 0x1.842f06c0ff6d8p-3, 0x1.7c08f4450f051p-3, 0x1.7405b6cc5a79cp-3, 0x1.6c24f8302014p-3, 0x1.6466615120c3ep-3, 0x1.5cc99a26e2799p-3, 0x1.554e49ce937e2p-3, 0x1.4df41699b7434p-3, 0x1.46baa61caf229p-3, 0x1.3fa19d3d4e8c2p-3, 0x1.38a8a041682c1p-3, 0x1.31cf52dd8000fp-3, 0x1.2b15584380163p-3, 0x1.247a53317fb75p-3, 0x1.1dfde60096125p-3, 0x1.179fb2b396dc7p-3, 0x1.115f5b05c54a6p-3, 0x1.0b3c807957887p-3, 0x1.0536c465c1061p-3, 0x1.fe9b900b7753ep-4, 0x1.f3025909e40dfp-4, 0x1.e7a1261a88d29p-4, 0x1.dc7739a73fdfbp-4, 0x1.d183d648aa737p-4, 0x1.c6c63eddeb614p-4, 0x1.bc3db6a342e5fp-4, 0x1.b1e98147a61eep-4, 0x1.a7c8e30145d33p-4, 0x1.9ddb20a10b987p-4, 0x1.941f7fa50947ap-4, 0x1.8a95464a06351p-4, 0x1.813bbb9c05c2bp-4, 0x1.7812278603a19p-4, 0x1.6f17d2e0d2c58p-4, 0x1.664c0781393e9p-4, 0x1.5dae10455b467p-4, 0x1.553d392173ea4p-4, 0x1.4cf8cf2bf1d78p-4, 0x1.44e020a8f9b2bp-4, 0x1.3cf27d1560f89p-4, 0x1.352f35311ca97p-4, 0x1.2d959b092df34p-4, 0x1.26250201181cp-4, 0x1.1edcbedbd8767p-4, 0x1.17bc27c46a3b7p-4, 0x1.10c29455d6cdfp-4, 0x1.09ef5da2d50e9p-4, 0x1.0341de3cf817bp-4, 0x1.f972e476df581p-5, 0x1.ecaaee82b6187p-5, 0x1.e02a990765302p-5, 0x1.d3f0a59d8b33p-5, 0x1.c7fbd916a1962p-5, 0x1.bc4afb8661e3cp-5, 0x1.b0dcd84b63169p-5, 0x1.a5b007af4fc8fp-5, 0x1.9ac3ccbe47b4bp-5, 0x1.9016c442853fp-5, 0x1.85a7c6ebb04a8p-5, 0x1.7b75b0d245c42p-5, 0x1.717f617c64466p-5, 0x1.67c3bbe1fefb6p-5, 0x1.5e41a6707446cp-5, 0x1.54f80b0d9867p-5, 0x1.4be5d71a3197bp-5, 0x1.4309fb73e4a61p-5, 0x1.3a636c76afe0fp-5, 0x1.31f121fdd9a52p-5, 0x1.29b217646f61ap-5, 0x1.21a54b854c47p-5, 0x1.19c9c0bab3986p-5, 0x1.121e7cdd7deabp-5, 0x1.0aa28943dc7b8p-5, 0x1.0354f2bfbb6cap-5, 0x1.f869933980d9cp-6, 0x1.ea82433bdf519p-6, 0x1.dcf223f5e20f5p-6, 0x1.cfb76aba06db7p-6, 0x1.c2d053b736663p-6, 0x1.b63b21f15419fp-6, 0x1.a9f61f3948ee5p-6, 0x1.9dff9c2461d41p-6, 0x1.9255f0032bf27p-6, 0x1.86f778d7bd1ep-6, 0x1.7be29b4b86cbep-6, 0x1.7115c2a49c479p-6, 0x1.668f60ba8581fp-6, 0x1.5c4dedeaa418cp-6, 0x1.524fe90c1dee5p-6, 0x1.4893d7636fca2p-6, 0x1.3f184495945p-6, 0x1.35dbc29ace14p-6, 0x1.2cdce9b11bd51p-6, 0x1.241a584e55758p-6, 0x1.1b92b3120565ap-6, 0x1.1344a4b6ec353p-6, 0x1.0b2ede0448541p-6, 0x1.035015bed3f06p-6, 0x1.f74e1133275d1p-7, 0x1.e864f24cc9485p-7, 0x1.d9e25f8ca9b06p-7, 0x1.cbc3f533a043bp-7, 0x1.be075ae1459e6p-7, 0x1.b0aa43739071bp-7, 0x1.a3aa6ce645a22p-7, 0x1.9705a03208b2dp-7, 0x1.8ab9b12b408ebp-7, 0x1.7ec47e60aeeaep-7, 0x1.7323f0f9f28c5p-7, 0x1.67d5fc95c32efp-7, 0x1.5cd89f2811476p-7, 0x1.5229e0d8012cdp-7, 0x1.47c7d3ddc0437p-7, 0x1.3db094605c43p-7, 0x1.33e248536d082p-7, 0x1.2a5b1f54b5643p-7, 0x1.21195289c554dp-7, 0x1.181b247d8bc49p-7, 0x1.0f5ee0fde1f61p-7, 0x1.06e2dcf932cccp-7, 0x1.fd4aecb8257dap-8, 0x1.ed4a27ddc80a9p-8, 0x1.ddc04a672f94ap-8, 0x1.ceaa4486ea81p-8, 0x1.c005175a0f246p-8, 0x1.b1cdd4a413b11p-8, 0x1.a4019e8b3449bp-8, 0x1.969da754df457p-8, 0x1.899f312278fe4p-8, 0x1.7d038dae8613fp-8, 0x1.70c81e0a2286fp-8, 0x1.64ea525ac4429p-8, 0x1.5967a99899972p-8, 0x1.4e3db14d1b7ecp-8, 0x1.436a0552293e4p-8, 0x1.38ea4f91a898fp-8, 0x1.2ebc47c593cb6p-8, 0x1.24ddb33898331p-8, 0x1.1b4c6487180b3p-8, 0x1.12063b61040cap-8, 0x1.0909244c058f5p-8, 0x1.0053186657beep-8, 0x1.efc43a5487017p-9, 0x1.df68886465021p-9, 0x1.cf8f55fae697fp-9, 0x1.c034f56af3a13p-9, 0x1.b155cfe84b518p-9, 0x1.a2ee6514a3b16p-9, 0x1.94fb4a8ea8be7p-9, 0x1.87792b82348c6p-9, 0x1.7a64c83a16875p-9, 0x1.6dbaf5b31296p-9, 0x1.61789d30a3287p-9, 0x1.559abbd2bbfaep-9, 0x1.4a1e622da797p-9, 0x1.3f00b3e2e7ca4p-9, 0x1.343ee73b9e7c5p-9, 0x1.29d644c4a64e4p-9, 0x1.1fc426ec10b22p-9, 0x1.1605f9a00fadbp-9, 0x1.0c9939ef98672p-9, 0x1.037b75ac336f2p-9, 0x1.f554961b30d34p-10, 0x1.e446d0acf247ep-10, 0x1.d3c916f67ee2dp-10, 0x1.c3d7039345483p-10, 0x1.b46c4f247f1d3p-10, 0x1.a584cfa6c1088p-10, 0x1.971c77ca49421p-10, 0x1.892f564efec47p-10, 0x1.7bb995622557bp-10, 0x1.6eb779ffb6fabp-10, 0x1.6225635633cddp-10, 0x1.55ffca2d819e3p-10, 0x1.4a43404fa3311p-10, 0x1.3eec6ff58a063p-10, 0x1.33f81b35830e6p-10, 0x1.29631b748298cp-10, 0x1.1f2a60da334ffp-10, 0x1.154af1c79fc0ap-10, 0x1.0bc1ea5021f66p-10, 0x1.028c7bb51ff51p-10, 0x1.f34fd7c86afp-11, 0x1.e22329ee7c396p-11, 0x1.d18dc96fe7d8bp-11, 0x1.c18ab849c3293p-11, 0x1.b2151df2033f1p-11, 0x1.a328466b932e9p-11, 0x1.94bfa15ea97efp-11, 0x1.86d6c13604c3cp-11, 0x1.79695a3fe9823p-11, 0x1.6c7341d405363p-11, 0x1.5ff06d7d7aab7p-11, 0x1.53dcf22944ec8p-11, 0x1.48350357e8a61p-11, 0x1.3cf4f255685e5p-11, 0x1.32192d7295eddp-11, 0x1.279e3f44478cfp-11, 0x1.1d80cde5e7f08p-11, 0x1.13bd9a3fc07d8p-11, 0x1.0a517f515d8p-11, 0x1.0139717ff3674p-11, 0x1.f0e4fbcf88312p-12, 0x1.dff39363f2097p-12, 0x1.cf9922db7f11cp-12, 0x1.bfd050da8a008p-12, 0x1.b093f04a9d703p-12, 0x1.a1deff24192b9p-12, 0x1.93aca53c3cecbp-12, 0x1.85f833196aae8p-12, 0x1.78bd20d028a1fp-12, 0x1.6bf70ce5abf8ep-12, 0x1.5fa1bb395301ep-12, 0x1.53b913f235742p-12, 0x1.48392278c4d9dp-12, 0x1.3d1e146f96276p-12, 0x1.326438b748403p-12, 0x1.2807fe761747dp-12, 0x1.1e05f42654034p-12, 0x1.145ac6aa14cb1p-12, 0x1.0b034065a2057p-12, 0x1.01fc485dd12dbp-12, 0x1.f285c2bab1452p-13, 0x1.e1a8523dcef66p-13, 0x1.d15aaefa4253fp-13, 0x1.c1977b4de9548p-13, 0x1.b2598ab193701p-13, 0x1.a39be03a0e5e1p-13, 0x1.9559ad1db8405p-13, 0x1.878e4f45661f5p-13, 0x1.7a354fe8a7bap-13, 0x1.6d4a622fc04d3p-13, 0x1.60c961e209182p-13, 0x1.54ae521a9c915p-13, 0x1.48f55c08ae314p-13, 0x1.3d9acdb41218ep-13, 0x1.329b18cddd652p-13, 0x1.27f2d1880609dp-13, 0x1.1d9ead7392854p-13, 0x1.139b8268441d4p-13, 0x1.09e6457532bdbp-13, 0x1.007c09d1c59d3p-13, 0x1.eeb3ffc17f903p-14, 0x1.dcfae863981f7p-14, 0x1.cbc79d1aaac4p-14, 0x1.bb15220f2ed01p-14, 0x1.aadeae2d8a265p-14, 0x1.9b1fa96bddd86p-14, 0x1.8bd3ab13f7d19p-14, 0x1.7cf678168a9fdp-14, 0x1.6e84017303d0bp-14, 0x1.607862a6768e4p-14, 0x1.52cfe026b1a4cp-14, 0x1.4586e5e90fcfep-14, 0x1.389a05f3fc057p-14, 0x1.2c05f6fb4e215p-14, 0x1.1fc793091eff9p-14, 0x1.13dbd629c73c2p-14, 0x1.083fdd2df8d02p-14, 0x1.f9e1c8d776aa7p-15, 0x1.e3d88d1c3d1dcp-15, 0x1.ce5ef6da6a214p-15, 0x1.b9702ddf2c717p-15, 0x1.a5078fe803764p-15, 0x1.9120ae8897fd2p-15, 0x1.7db74d201528bp-15, 0x1.6ac75ee605ca6p-15, 0x1.584d04f83e25ep-15, 0x1.46448c868b992p-15, 0x1.34aa6d0d1df56p-15, 0x1.237b469110298p-15, 0x1.12b3dff9d76ebp-15, 0x1.02512574c8a5p-15, 0x1.e4a04db17fd3dp-16, 0x1.c55c2c678e59ap-16, 0x1.a6d08c9e29a8dp-16, 0x1.88f85282fa365p-16, 0x1.6bce9e2b2418bp-16, 0x1.4f4ec8fd3e213p-16, 0x1.33675aa8a66dfp-16, 0x1.182eccf748481p-16, 0x1.fb26d4d8cc4bcp-17, 0x1.c722b153b3d37p-17, 0x1.9449d599520eep-17, 0x1.62953e981a2dcp-17, 0x1.31fe3bfd97987p-17, 0x1.027e6c16a5658p-17, 0x1.a81f7077299e7p-18, 0x1.4d58a22ca9802p-18, 0x1.e93aaca1cf205p-19, 0x1.3bc5edb485679p-19, 0x1.247da13f1521ap-20, -0x1.36df93847ed85p-23, -0x1.6aa5c313b9233p-20, -0x1.5381890167ca3p-19, -0x1.ee0ac9e680a4dp-19, -0x1.427f6190da248p-18, -0x1.8c3670e96bbc1p-18, -0x1.d431f5c1a9a86p-18, -0x1.0d3c81c070341p-17, -0x1.2f893183ca59dp-17, -0x1.51024b37c44cp-17, -0x1.71aaeec483c76p-17, -0x1.91861cbe9f5adp-17, -0x1.b096b868ae14p-17, -0x1.cedf8966c163p-17, -0x1.ec633d7799f09p-17, -0x1.0492350d6cd7dp-16, -0x1.1292c70c925eap-16, -0x1.203489828b1cep-16, -0x1.2d78a754f622ap-16, -0x1.3a604226abb91p-16, -0x1.46ec730df26d8p-16, -0x1.531e4b1daae4ep-16, -0x1.5ef6d419b4d9ep-16, -0x1.6a7710da471e7p-16, -0x1.759ffdec514e8p-16, -0x1.8072920bdc4a7p-16, -0x1.8aefbe9d10d22p-16, -0x1.95187015ec06ap-16, -0x1.9eed8e790cb45p-16, -0x1.a86ffdb0856ccp-16, -0x1.b1a09df2f855fp-16, -0x1.ba804c1b1d799p-16, -0x1.c30fe1ffa26d7p-16, -0x1.cb5036c262f03p-16, -0x1.d3421f1fceeaap-16, -0x1.dae66da7bb42fp-16, -0x1.e23df314d851ap-16, -0x1.e9497e7c1edd5p-16, -0x1.f009dd8646a9ap-16, -0x1.f67fdcae961ep-16, -0x1.fcac476b9514ap-16, -0x1.0147f43126e8ep-15, -0x1.0415c4c61910bp-15, -0x1.06bffa349dad6p-15, -0x1.0946f90886432p-15, -0x1.0bab25b66e778p-15, -0x1.0dece49e5f3fbp-15, -0x1.100c9a207e074p-15, -0x1.120aaaa938d19p-15, -0x1.13e77ab71cb3ap-15, -0x1.15a36eebc4cfbp-15, -0x1.173eec0d7b8c7p-15, -0x1.18ba571c7a915p-15, -0x1.1a161540d5702p-15, -0x1.1b528be7521acp-15, -0x1.1c7020bb2c741p-15, -0x1.1d6f39abc8092p-15, -0x1.1e503cef9304dp-15, -0x1.1f1391061f04p-15, -0x1.1fb99cb97c66dp-15, -0x1.2042c71ee2eep-15, -0x1.20af779725622p-15, -0x1.210015cc45851p-15, -0x1.213509b2ec365p-15, -0x1.214ebb86bc604p-15, -0x1.214d93c944088p-15, -0x1.2131fb3fddb7fp-15, -0x1.20fc5aeade31cp-15, -0x1.20ad1c0af7fe3p-15, -0x1.2044a814078e7p-15, -0x1.1fc368b8aaed4p-15, -0x1.1f29c7cdc91f3p-15, -0x1.1e782f58544f4p-15, -0x1.1daf0981bc346p-15, -0x1.1ccec0928fee1p-15, -0x1.1bd7beec6e9dbp-15, -0x1.1aca6f0673e92p-15, -0x1.19a73b64c472cp-15, -0x1.186e8e94a0496p-15, -0x1.1720d321ff9f3p-15, -0x1.15be739630ap-15, -0x1.1447da6e5a614p-15, -0x1.12bd721490fcfp-15, -0x1.111fa4da33b2p-15, -0x1.0f6edcf03b32cp-15, -0x1.0dab84621e84ep-15, -0x1.0bd6050c6db8ep-15, -0x1.09eec897736afp-15, -0x1.07f6387018398p-15, -0x1.05ecbdc078c61p-15, -0x1.03d2c16a50162p-15, -0x1.01a8abfe3d114p-15, -0x1.feddcb6b685f4p-16, -0x1.fa4bacdb056d2p-16, -0x1.f59bcb393ef6ep-16, -0x1.f0cef4a4e53c3p-16, -0x1.ebe5f6406553p-16, -0x1.e6e19c613d585p-16, -0x1.e1c2b245aa59fp-16, -0x1.dc8a022dbcab5p-16, -0x1.d738553bf4c1p-16, -0x1.d1ce7371392a1p-16, -0x1.cc4d23a0d54e5p-16, -0x1.c6b52b610630ap-16, -0x1.c1074f01bef1ap-16, -0x1.bb44517ff9e58p-16, -0x1.b56cf47d2abf5p-16, -0x1.af81f83078438p-16, -0x1.a9841b5eaa63fp-16, -0x1.a3741b4f275abp-16, -0x1.9d52b3c1dd1f8p-16, -0x1.97209ee56afd5p-16, -0x1.90de954d95617p-16, -0x1.8a8d4de953571p-16, -0x1.842d7dfcc42c4p-16, -0x1.7dbfd91410d77p-16, -0x1.774510fe12df2p-16, -0x1.70bdd5c370c59p-16, -0x1.6a2ad5a2808dbp-16, -0x1.638cbcf2b3006p-16, -0x1.5ce4364d4fd97p-16, -0x1.5631ea4f737dfp-16, -0x1.4f767fb6d3fdcp-16, -0x1.48b29b4c92be4p-16, -0x1.41e6dfe4c7be8p-16, -0x1.3b13ee54218c1p-16, -0x1.343a6577d0f6cp-16, -0x1.2d5ae21c0cf84p-16, -0x1.2675ff04dc575p-16, -0x1.1f8c54e764d8fp-16, -0x1.189e7a66e83c1p-16, -0x1.11ad040414a67p-16, -0x1.0ab8842f0e184p-16, -0x1.03c18b3445763p-16, -0x1.f9914e7b374c1p-17, -0x1.eb9cc8a1780b3p-17, -0x1.dda6989995529p-17, -0x1.cfafcdc050b12p-17, -0x1.c1b97327cd27dp-17, -0x1.b3c48f7699384p-17, -0x1.a5d22514bc6e2p-17, }}, 
      {{-0x1.869d79d2df757p+1, -0x1.7f50428ce9d1p+1, -0x1.74c0287446c22p+1, -0x1.67ef6fe16a35dp+1, -0x1.59a8dd9899a74p+1, -0x1.4a8aaa641f014p+1, -0x1.3b0f6126a7a04p+1, -0x1.2b94a5783ff99p+1, -0x1.1c6121bc649aap+1, -0x1.0da9240155a58p+1, -0x1.ff250200291e9p+0, -0x1.e46dc9bfbd0b5p+0, -0x1.cb4f3b784e717p+0, -0x1.b3dbce22dd45fp+0, -0x1.9e1b65f621ecp+0, -0x1.8a0ce9c1b8644p+0, -0x1.77a84b4b3a1a2p+0, -0x1.66e09d1c15743p+0, -0x1.57a514030a39cp+0, -0x1.49e1ed669079dp+0, -0x1.3d81e3a7c2749p+0, -0x1.326ec065e52cbp+0, -0x1.28916e78de784p+0, -0x1.1fd29686a3aa4p+0, -0x1.181b54c7a1778p+0, -0x1.1155808b63b8ep+0, -0x1.0b6bd2fc100ap+0, -0x1.064913df3053cp+0, -0x1.01d9b522797c8p+0, -0x1.fc1602b1d6bf5p-1, -0x1.f596c3319b3e1p-1, -0x1.f014d31346b88p-1, -0x1.eb71a8def8488p-1, -0x1.e790f1182700fp-1, -0x1.e45874d9a7301p-1, -0x1.e1b00b61ce6abp-1, -0x1.df819382f5999p-1, -0x1.ddb8ea24bd77ap-1, -0x1.dc43d56a89b05p-1, -0x1.db11e3c36c68ep-1, -0x1.da1444dd2efc4p-1, -0x1.d93da4d68479fp-1, -0x1.d8820f548b734p-1, -0x1.d7d6da7d4b3e5p-1, -0x1.d732959a52561p-1, -0x1.d68cf6f1cd011p-1, -0x1.d5dec70d71b52p-1, -0x1.d521ca3477843p-1, -0x1.d450a9a33bdafp-1, -0x1.d366dd7d32778p-1, -0x1.d26097d67e17ep-1, -0x1.d13ab1244ffc5p-1, -0x1.cff296a316d48p-1, -0x1.ce863b43a977cp-1, -0x1.ccf42fb8d74adp-1, -0x1.cb3adf2225fc7p-1, -0x1.c959da6834372p-1, -0x1.c750c2f256877p-1, -0x1.c51f88348c7ecp-1, -0x1.c2c65e67983dp-1, -0x1.c045b6a764f55p-1, -0x1.bd9e380cddefbp-1, -0x1.bad0b933cab2fp-1, -0x1.b7de39c3a8a98p-1, -0x1.b4c7dbe6c7922p-1, -0x1.b18eddec29c77p-1, -0x1.ae34947763b33p-1, -0x1.aaba659289321p-1, -0x1.a721c4c160cf2p-1, -0x1.a36c2ff8c79cap-1, -0x1.9f9b2d33be956p-1, -0x1.9bb0485543424p-1, -0x1.97ad11176c8bap-1, -0x1.939318e895585p-1, -0x1.8f63f0b7e848p-1, -0x1.8b2126c8ce2aap-1, -0x1.86cc44ac4b5acp-1, -0x1.8266cd79f914dp-1, -0x1.7df23c55aa681p-1, -0x1.797003417c537p-1, -0x1.74e18a3337a17p-1, -0x1.70482e6172343p-1, -0x1.6ba541bfb3231p-1, -0x1.66fa0aa5ce58bp-1, -0x1.6247c3a282ea6p-1, -0x1.5d8f9b79e2bc3p-1, -0x1.58d2b54d194d1p-1, -0x1.541228e3ffe31p-1, -0x1.4f4f030bc88a8p-1, -0x1.4a8a45fad8693p-1, -0x1.45c4e9a9d53cep-1, -0x1.40ffdc1522452p-1, -0x1.3c3c015fb1909p-1, -0x1.377a33d6d02cbp-1, -0x1.32bb43dcf214ap-1, -0x1.2dfff7c6255p-1, -0x1.29490bb30db32p-1, -0x1.24973176ed00ap-1, -0x1.1feb1092b5c61p-1, -0x1.1b45464b40b63p-1, -0x1.16a665dc6bedep-1, -0x1.120ef8c6f7c75p-1, -0x1.0d7f7f341273ep-1, -0x1.08f87067d5727p-1, -0x1.047a3b3b9cb55p-1, -0x1.00054699bcbf5p-1, -0x1.f733e3eaded8cp-2, -0x1.ee712b76b8efp-2, -0x1.e5c307717dd2fp-2, -0x1.dd2a0ef0fae6dp-2, -0x1.d4a6d4c3cc3ep-2, -0x1.cc396ce8c4797p-2, -0x1.c3e2b7daa55e1p-2, -0x1.bba324377e217p-2, -0x1.b37b1617aaab5p-2, -0x1.ab6ae7666f633p-2, -0x1.a372e8404e6c7p-2, -0x1.9b935f57dcaap-2, -0x1.93cc8a60e5b85p-2, -0x1.8c1e9e80d2966p-2, -0x1.8489c8c2b602bp-2, -0x1.7d0e2e8cebb54p-2, -0x1.75abee1632c7p-2, -0x1.6e631ed83626bp-2, -0x1.6733d1fdda414p-2, -0x1.601e12cc1101cp-2, -0x1.5921e7046abb5p-2, -0x1.523f4f41064ddp-2, -0x1.4b764749e8725p-2, -0x1.44c6c663f1975p-2, -0x1.3e30bf99d30fcp-2, -0x1.37b421ff7902ap-2, -0x1.3150d8f04f22ep-2, -0x1.2b06cc48ccd27p-2, -0x1.24d5e09ba3495p-2, -0x1.1ebdf762df8eep-2, -0x1.18beef2d60258p-2, -0x1.12d8a3c8e8bcap-2, -0x1.0d0aee693c24fp-2, -0x1.0755a5cc9872p-2, -0x1.01b89e5e03ad8p-2, -0x1.f86754ab9ba5fp-3, -0x1.ed8d33b15fbeep-3, -0x1.e2e2762bcb456p-3, -0x1.d866b4c9302a5p-3, -0x1.ce1984c1a805p-3, -0x1.c3fa7810839fdp-3, -0x1.ba091dad796d7p-3, -0x1.b04501c59e561p-3, -0x1.a6adadf42d42cp-3, -0x1.9d42a97ae980bp-3, -0x1.94037979dca85p-3, -0x1.8aefa1262b6b4p-3, -0x1.8206a1ff9b40dp-3, -0x1.7947fc0476428p-3, -0x1.70b32de36b93fp-3, -0x1.6847b52b2a603p-3, -0x1.60050e7762f8bp-3, -0x1.57eab59b0e6d3p-3, -0x1.4ff825c7cdfdp-3, -0x1.482cd9b25d1b1p-3, -0x1.40884bb42093p-3, -0x1.3909f5e9dc7b8p-3, -0x1.31b1524fccc75p-3, -0x1.2a7ddadb3ad74p-3, -0x1.236f0991e2bcbp-3, -0x1.1c84589f48b8p-3, -0x1.15bd426865dd6p-3, -0x1.0f19419dbad32p-3, -0x1.0897d14c2cf17p-3, -0x1.02386cecbf59cp-3, -0x1.f7f520e6ceb73p-4, -0x1.ebbb70ba2ed64p-4, -0x1.dfc2c37a3ee5ep-4, -0x1.d40a1493e9f2dp-4, -0x1.c89060d2f22f8p-4, -0x1.bd54a67988599p-4, -0x1.b255e556ecd55p-4, -0x1.a7931edd4679bp-4, -0x1.9d0b56368a1b4p-4, -0x1.92bd90588fb01p-4, -0x1.88a8d41844835p-4, -0x1.7ecc2a3c03173p-4, -0x1.75269d8d07bc1p-4, -0x1.6bb73ae800fc4p-4, -0x1.627d114cbdf88p-4, -0x1.597731ecf56dep-4, -0x1.50a4b03a2a259p-4, -0x1.4804a1f2aa57ap-4, -0x1.3f961f2daddfep-4, -0x1.375842669560fp-4, -0x1.2f4a28874c452p-4, -0x1.276af0f1d55a8p-4, -0x1.1fb9bd8905355p-4, -0x1.1835b2b86adf2p-4, -0x1.10ddf77b77028p-4, -0x1.09b1b563db10fp-4, -0x1.02b0189f33352p-4, -0x1.f7b09ff7f0df3p-5, -0x1.ea5319db8d4a2p-5, -0x1.dd460721f774ep-5, -0x1.d087d55b6c25p-5, -0x1.c416f7747781cp-5, -0x1.b7f1e5b99bed5p-5, -0x1.ac171dd9e072bp-5, -0x1.a08522e85481p-5, -0x1.953a7d5c9652fp-5, -0x1.8a35bb1260efap-5, -0x1.7f756f483686ap-5, -0x1.74f8329d27817p-5, -0x1.6abca30dcd836p-5, -0x1.60c163f0783b6p-5, -0x1.57051df09d44ap-5, -0x1.4d867f0994975p-5, -0x1.44443a80a8912p-5, -0x1.3b3d08de87502p-5, -0x1.326fa7e8139c5p-5, -0x1.29dada96b2947p-5, -0x1.217d69100d525p-5, -0x1.1956209d4ef7ep-5, -0x1.1163d3a1f9e33p-5, -0x1.09a559924541bp-5, -0x1.021985cc06d9ep-5, -0x1.f57e9f17dadebp-6, -0x1.e72b2305db743p-6, -0x1.d9366dd03a493p-6, -0x1.cb9e5f9ac9dcap-6, -0x1.be60e22857a02p-6, -0x1.b17be8c36d966p-6, -0x1.a4ed70268e3dfp-6, -0x1.98b37e63f33b1p-6, -0x1.8ccc22ccde3abp-6, -0x1.813575d879f25p-6, -0x1.75ed990a65fafp-6, -0x1.6af2b6d8e5c89p-6, -0x1.60430292c456bp-6, -0x1.55dcb844f3927p-6, -0x1.4bbe1c9fec701p-6, -0x1.41e57cdcd6b4bp-6, -0x1.38512ea2873bap-6, -0x1.2eff8fea4e621p-6, -0x1.25ef06e4a1db2p-6, -0x1.1d1e01ddade2bp-6, -0x1.148af721d370dp-6, -0x1.0c3464e201d53p-6, -0x1.0418d1181a2cfp-6, -0x1.f86d92d6638aap-7, -0x1.e919c627cc2dp-7, -0x1.da3375814c5f7p-7, -0x1.cbb7e8f3fc804p-7, -0x1.bda4770ddf941p-7, -0x1.aff684a2b8448p-7, -0x1.a2ab8494e4e76p-7, -0x1.95c0f79e76a2dp-7, -0x1.89346c1a72c95p-7, -0x1.7d037dce413f9p-7, -0x1.712bd5b361408p-7, -0x1.65ab29c15aa58p-7, -0x1.5a7f3cb7f85dep-7, -0x1.4fa5dde9c50bcp-7, -0x1.451ce906eecap-7, -0x1.3ae245e86c1bdp-7, -0x1.30f3e85b87e0bp-7, -0x1.274fcfedccb4ep-7, -0x1.1df407b94f2c5p-7, -0x1.14dea63167a92p-7, -0x1.0c0dccefd0d22p-7, -0x1.037fa882343c8p-7, -0x1.f664e07066fc2p-8, -0x1.e648cbe3ba1d6p-8, -0x1.d6a7abdd30724p-8, -0x1.c77e2d3933b09p-8, -0x1.b8c910d17f12dp-8, -0x1.aa852b1dfe213p-8, -0x1.9caf63d6823e6p-8, -0x1.8f44b595afcc6p-8, -0x1.82422d7cd1901p-8, -0x1.75a4ead8b5cb8p-8, -0x1.696a1ec7ae638p-8, -0x1.5d8f0be0850f8p-8, -0x1.521105daab597p-8, -0x1.46ed7137516dap-8, -0x1.3c21c2eba78f1p-8, -0x1.31ab800c400f3p-8, -0x1.27883d796e994p-8, -0x1.1db59f8cd65bdp-8, -0x1.143159c806f9ap-8, -0x1.0af92e843fe67p-8, -0x1.020aeea33310bp-8, -0x1.f2c8f2820355ap-9, -0x1.e20776ce79843p-9, -0x1.d1cd5f8224e5dp-9, -0x1.c216bca103757p-9, -0x1.b2dfb84981a19p-9, -0x1.a42496235168cp-9, -0x1.95e1b2d08aed6p-9, -0x1.881383610b3fap-9, -0x1.7ab694c7d6404p-9, -0x1.6dc78b52ede48p-9, -0x1.6143222533547p-9, -0x1.55262ab27b8d5p-9, -0x1.496d8c3dad4d7p-9, -0x1.3e1643595fa45p-9, -0x1.331d616a5af4cp-9, -0x1.28800c2c570c8p-9, -0x1.1e3b7d38bf25cp-9, -0x1.144d018febd9bp-9, -0x1.0ab1f92426309p-9, -0x1.0167d666d9b3cp-9, -0x1.f0d83bb003cadp-10, -0x1.df78cb2f02f78p-10, -0x1.ceaca9f161016p-10, -0x1.be6f482f7fe28p-10, -0x1.aebc36e30b96cp-10, -0x1.9f8f26f9b73cp-10, -0x1.90e3e88c9aa48p-10, -0x1.82b66a1b408a7p-10, -0x1.7502b7cacf3bp-10, -0x1.67c4faa8c01b5p-10, -0x1.5af977f1e20e3p-10, -0x1.4e9c905caa876p-10, -0x1.42aabf67a3566p-10, -0x1.37209aab80102p-10, -0x1.2bfad130978a9p-10, -0x1.21362ac840a46p-10, -0x1.16cf8769c4a79p-10, -0x1.0cc3de9278f1dp-10, -0x1.03103ea9cc756p-10, -0x1.f36398d0965d6p-11, -0x1.e14b8484b1858p-11, -0x1.cfd2dfab9cfd5p-11, -0x1.bef472b71652p-11, -0x1.aeab2e36a531ap-11, -0x1.9ef229c7324e2p-11, -0x1.8fc4a30802d43p-11, -0x1.811dfc9586594p-11, -0x1.72f9bd0b61cb6p-11, -0x1.65538e0ad3717p-11, -0x1.58273b47fe5b9p-11, -0x1.4b70b19c17ccep-11, -0x1.3f2bfe1dd4c61p-11, -0x1.33554d3e81b13p-11, -0x1.27e8e9ed6009ap-11, -0x1.1ce33cbf7c60cp-11, -0x1.1240cb1d2e525p-11, -0x1.07fe36741723bp-11, -0x1.fc3076dd4df0dp-12, -0x1.e91762604fcc1p-12, -0x1.d6ab112af68a7p-12, -0x1.c4e596f5c37afp-12, -0x1.b3c1380b1b3c8p-12, -0x1.a33867e505a8p-12, -0x1.9345c7d2cca39p-12, -0x1.83e425a6d54b7p-12, -0x1.750e7a6d9bd2dp-12, -0x1.66bfe92c272bbp-12, -0x1.58f3bda75b662p-12, -0x1.4ba56b32087cep-12, -0x1.3ed08b835f9ap-12, -0x1.3270dd94d3fa1p-12, -0x1.26824487148f8p-12, -0x1.1b00c68ea25b7p-12, -0x1.0fe88be7057aap-12, -0x1.0535ddccbc5fap-12, -0x1.f5ca4afcff675p-13, -0x1.e1e5d689f52b9p-13, -0x1.ceb7ab004635fp-13, -0x1.bc394f77da9ep-13, -0x1.aa64839645bb5p-13, -0x1.99333dcec012fp-13, -0x1.889fa9af3d59ep-13, -0x1.78a426393c915p-13, -0x1.693b4445895fap-13, -0x1.5a5fc4f26ec01p-13, -0x1.4c0c981e7f91ep-13, -0x1.3e3cdaeccd15fp-13, -0x1.30ebd652e7399p-13, -0x1.2414fdb2768ep-13, -0x1.17b3ed7c74d11p-13, -0x1.0bc469dd41796p-13, -0x1.00425d71b3995p-13, -0x1.ea53b012c21eep-14, -0x1.d4ee1ad8fc807p-14, -0x1.c04ca85e81268p-14, -0x1.ac6849148abbap-14, -0x1.993a2e7c3a0b7p-14, -0x1.86bbc8fca2248p-14, -0x1.74e6c5c779748p-14, -0x1.63b50cd05a021p-14, -0x1.5320bed0271e4p-14, -0x1.4324335a0cd87p-14, -0x1.33b9f6ff8eb59p-14, -0x1.24dcc97f61a16p-14, -0x1.16879c059b5cdp-14, -0x1.08b58f786b5e3p-14, -0x1.f6c3e5a5d682dp-15, -0x1.dd10831340bp-15, -0x1.c44843ffe280ap-15, -0x1.ac62c80c8851dp-15, -0x1.9557fecdc43d1p-15, -0x1.7f2024f7607adp-15, -0x1.69b3c1a3cf89cp-15, -0x1.550ba3abc9d89p-15, -0x1.4120df1913314p-15, -0x1.2deccaaab18d4p-15, -0x1.1b68fd6b5279p-15, -0x1.098f4c5f479d4p-15, -0x1.f0b39092ba8ddp-16, -0x1.cf8576ea9ace6p-16, -0x1.af894f402b4d8p-16, -0x1.90b487dbce972p-16, -0x1.72fcf5de74c1bp-16, -0x1.5658d17761f21p-16, -0x1.3abeb222e9bffp-16, -0x1.20258b2dd8a6dp-16, -0x1.0684a8386dc74p-16, -0x1.dba753b7d06b8p-17, -0x1.ac1504ea7656ap-17, -0x1.7e42e617034cfp-17, -0x1.5222108a4f8dap-17, -0x1.27a42f0819108p-17, -0x1.fd76f060f491bp-18, -0x1.aeb552091b6eep-18, -0x1.62e9ff900f08dp-18, -0x1.19fc6d8797debp-18, -0x1.a7a9fe3bec579p-19, -0x1.20b9f916864p-19, -0x1.3dfa280a3b1f8p-20, -0x1.1249ee8d5b86dp-22, 0x1.5628145201e8cp-21, 0x1.9147564482dc4p-20, 0x1.37293542fc4dap-19, 0x1.a13ebe0e33528p-19, 0x1.03838416e2c0ep-18, 0x1.3451c65df9c7dp-18, 0x1.631a4454f080fp-18, 0x1.8fec84c68437ap-18, 0x1.bad77d4ccd7e7p-18, 0x1.e3e998366954ep-18, 0x1.05985d2f8f74bp-17, 0x1.185d2462bdc59p-17, 0x1.2a4996f7c7431p-17, 0x1.3b63ef87fa56cp-17, 0x1.4bb2307dcb607p-17, 0x1.5b3a267bd1554p-17, 0x1.6a016a9d8dfd6p-17, 0x1.781d4c11cf125p-17, 0x1.8572aae0ad9c8p-17, 0x1.9216fc99c880ep-17, 0x1.9e0f224a00ec2p-17, 0x1.a95fd3a53bf46p-17, 0x1.b40da0db9eee5p-17, 0x1.be1cf448d612ap-17, 0x1.c792140b3d3e3p-17, 0x1.d07123ad88523p-17, 0x1.d8be259c870aep-17, 0x1.e07cfc9221079p-17, 0x1.e7b16cfe07468p-17, 0x1.ee5f1e49a8ab7p-17, 0x1.f4899c3a4a73ep-17, 0x1.fa3457fb2c1c4p-17, 0x1.ff62a962e430ap-17, 0x1.020be8015a77fp-16, 0x1.042b7a1c052b1p-16, 0x1.061194127d70bp-16, 0x1.07bfb458fe4f4p-16, 0x1.09374f352691cp-16, 0x1.0a79cf3aeebfep-16, 0x1.0b8895a712bcbp-16, 0x1.0c64fac9710f9p-16, 0x1.0d104e6cebbf3p-16, 0x1.0d8bd82ee6b38p-16, 0x1.0dd8d7d7f4036p-16, 0x1.0df885af392e1p-16, 0x1.0dec12c597345p-16, 0x1.0db4a94c1fce2p-16, 0x1.0d536cd441d43p-16, 0x1.0cc97a96a5bf8p-16, 0x1.0c17e9b2a2537p-16, 0x1.0b3fcb6ee94a3p-16, 0x1.0a422b708538ep-16, 0x1.09200ffa59c18p-16, 0x1.07da7a17d76e1p-16, 0x1.067265d4dbd7dp-16, 0x1.04e8ca6c4c3aep-16, 0x1.033e9a76a02f2p-16, 0x1.0174c40fd4766p-16, 0x1.ff18620a7799bp-17, 0x1.fb0b8df01f2acp-17, 0x1.f6c4cf097bf17p-17, 0x1.f245e0bb4d4bcp-17, 0x1.ed9076e85dcf8p-17, 0x1.e8a63e25453ddp-17, 0x1.e388dbf585a83p-17, 0x1.de39eeedd6efdp-17, 0x1.d8bb0f0876e74p-17, 0x1.d30dcdbbcac0ap-17, 0x1.cd33b62dcd6adp-17, 0x1.c72e4d62fb917p-17, 0x1.c0ff125ba974fp-17, 0x1.baa77e40fad6p-17, 0x1.b42904810b9a1p-17, 0x1.ad8512fe8a2c9p-17, 0x1.a6bd121c4d631p-17, 0x1.9fd264db9c71dp-17, 0x1.98c669055e637p-17, 0x1.919a7736136d8p-17, 0x1.8a4fe2fb7b7c4p-17, 0x1.82e7fae276a37p-17, 0x1.7b640893fbd82p-17, 0x1.73c550def8b86p-17, 0x1.6c0d13e1d0468p-17, 0x1.643c8ceb9fa94p-17, 0x1.5c54f2b89a33ep-17, 0x1.5457776b2f844p-17, 0x1.4c45489cf6bfdp-17, 0x1.441f8f6ae72c3p-17, 0x1.3be77080c1417p-17, 0x1.339e0c23ac3e8p-17, 0x1.2b447e3c1e71bp-17, 0x1.22dbde60cff94p-17, 0x1.1a653fd905e38p-17, 0x1.11e1b1ad2a69p-17, 0x1.09523ea9179ddp-17, 0x1.00b7ed6ab9b82p-17, 0x1.f02780adfe657p-18, 0x1.decd6b63d24cbp-18, 0x1.cd638f418baep-18, 0x1.bbebd852861cep-18, 0x1.aa682a91210c5p-18, 0x1.98da61a56c1acp-18, 0x1.87445147824dp-18, 0x1.75a7c515401f2p-18, 0x1.640680af05359p-18, 0x1.52623fb16c9ddp-18, 0x1.40bcb5cd163f6p-18, 0x1.2f178ec667bcbp-18, 0x1.1d746e884c0fdp-18, 0x1.0bd4f116858a8p-18, 0x1.f4755579f9678p-19, 0x1.d14e4fe91a6b2p-19, 0x1.ae37daeac00a1p-19, 0x1.8b34f08de13ap-19, 0x1.68487b79ca2aap-19, 0x1.45755734a14adp-19, 0x1.22be4ff1dbfecp-19, 0x1.002622c95402p-19, 0x1.bb5efb83361adp-20, 0x1.76b9ffc63698cp-20, 0x1.326272bec40dbp-20, 0x1.dcbaadc4f08dcp-21, 0x1.555f22f014933p-21, 0x1.9d77a8008c863p-22, 0x1.2368592e23dbdp-23, -0x1.e1e7d61dc726fp-24, -0x1.8100fd445f2eep-22, -0x1.43e7cc5659a85p-21, -0x1.c66a74de6999cp-21, -0x1.24002112dcc79p-20, -0x1.64509ad6dc7bep-20, -0x1.a422c488e6a9dp-20, -0x1.e372d69c8bcfcp-20, -0x1.111e928f14315p-19, -0x1.303f0fb28c0b2p-19, -0x1.4f1927f6ae5e9p-19, -0x1.6dab2dfee9aa5p-19, -0x1.8bf381d2d858bp-19, -0x1.a9f090b058716p-19, -0x1.c7a0d4f33817dp-19, -0x1.e502d5f5ba9f7p-19, -0x1.010a93fde87bap-18, -0x1.0f6b3603d3239p-18, -0x1.1da2a7e3dd1cap-18, -0x1.2bb046b20036bp-18, -0x1.399375bec6ba7p-18, -0x1.474b9e79be85p-18, -0x1.54d830671b4aep-18, -0x1.6238a109fce67p-18, -0x1.6f6c6bee22293p-18, -0x1.7c731259cd73bp-18, -0x1.894c1b87d0b6fp-18, -0x1.95f7145c4c22cp-18, -0x1.a2738f77e5607p-18, -0x1.aec12513eb6f3p-18, -0x1.badf72f795773p-18, -0x1.c6ce1c6078773p-18, -0x1.d28cc9f1d519fp-18, -0x1.de1b29ae3a0e1p-18, -0x1.e978eed360682p-18, -0x1.f4a5d1c9c41e2p-18, -0x1.ffa1903c3a74cp-18, -0x1.0535f65ecf36cp-17, -0x1.0a8257740ea55p-17, -0x1.0fb5d19f5a7a9p-17, -0x1.14d04d8bab46ep-17, -0x1.19d1b6453d6fep-17, -0x1.1eb9f9325e197p-17, -0x1.23890605143efp-17, -0x1.283eceb95970dp-17, -0x1.2cdb4779d8592p-17, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.eb96761be624bp-1, 0x1.eacb4d3d189fdp-1, 0x1.e9799b06f5189p-1, 0x1.e7a2b4d0abca1p-1, 0x1.e5486e70289e7p-1, 0x1.e26d11c21a09cp-1, 0x1.df13552a7f3c3p-1, 0x1.db3e517cb6a09p-1, 0x1.d6f177a2afc06p-1, 0x1.d230864715cc1p-1, 0x1.ccff7fb5ba827p-1, 0x1.c762a017e9c35p-1, 0x1.c15e542736b8bp-1, 0x1.baf730686ae6dp-1, 0x1.b431e8f939beep-1, 0x1.ad1349f5e28a1p-1, 0x1.a5a03077bab3ap-1, 0x1.9ddd842a7ff8ep-1, 0x1.95d031740c26bp-1, 0x1.8d7d242871a26p-1, 0x1.84e942c379105p-1, 0x1.7c196a1fe2a7ap-1, 0x1.731269a472831p-1, 0x1.69d8ffdec8a36p-1, 0x1.6071d7841e32fp-1, 0x1.56e184d039036p-1, 0x1.4d2c833b3e34ep-1, 0x1.4357337f62f12p-1, 0x1.3965d9e7e96b1p-1, 0x1.2f5c9ce335561p-1, 0x1.253f83d2395a4p-1, 0x1.1b12760fd9a0ep-1, 0x1.10d93a2b4b1f3p-1, 0x1.06977550cd075p-1, 0x1.f8a155b8f7b66p-2, 0x1.e41078268c5ddp-2, 0x1.cf82cffcbdde5p-2, 0x1.bafe96cba1653p-2, 0x1.a689c1ce273bfp-2, 0x1.922a02499168ap-2, 0x1.7de4c619ee812p-2, 0x1.69bf3866afbcp-2, 0x1.55be427ae4835p-2, 0x1.41e68cbcef3fbp-2, 0x1.2e3c7fc1e2fe5p-2, 0x1.1ac445790e762p-2, 0x1.0781ca6c6b13p-2, 0x1.e8f17e260d1e6p-3, 0x1.c35932654529dp-3, 0x1.9e412a9c24cedp-3, 0x1.79af703c0d344p-3, 0x1.55a9a02467fb3p-3, 0x1.3234edb1deaabp-3, 0x1.0f5625d6f999dp-3, 0x1.da236476013bp-4, 0x1.96d738b8961fap-4, 0x1.54cf2166c74bfp-4, 0x1.1411c3a9546dcp-4, 0x1.a94a2e398e05cp-5, 0x1.2d1cd80553adcp-5, 0x1.6749c5921afc3p-6, 0x1.e753b25b6ec69p-8, -0x1.b85b7fe943acdp-8, -0x1.506de2355f38ep-6, -0x1.169340f7a5796p-5, -0x1.821c9af2b6cdbp-5, -0x1.ead036a8e6467p-5, -0x1.28561e7c50443p-4, -0x1.59d7de9fec4bdp-4, -0x1.89ed516b6be2dp-4, -0x1.b896d56490807p-4, -0x1.e5d52ce6b1899p-4, -0x1.08d4bc9f58afcp-3, -0x1.1e0a9af38979bp-3, -0x1.328d19f237b16p-3, -0x1.465d4aa124a88p-3, -0x1.597c645819cfep-3, -0x1.6bebc29f97ae8p-3, -0x1.7dace31f81ac1p-3, -0x1.8ec1639dae0bbp-3, -0x1.9f2b000c2b7aep-3, -0x1.aeeb90a70cb25p-3, -0x1.be05082191b48p-3, -0x1.cc7971e2692bcp-3, -0x1.da4af04ed601fp-3, -0x1.e77bbb2479ddap-3, -0x1.f40e1de1844e6p-3, -0x1.00023b1d7e62p-2, -0x1.05b0995074e03p-2, -0x1.0b13686805aefp-2, -0x1.102bee3870f6bp-2, -0x1.14fb76e1dc451p-2, -0x1.1983542cb46eep-2, -0x1.1dc4dcec4b803p-2, -0x1.21c16c67880f4p-2, -0x1.257a61c789ce5p-2, -0x1.28f11f8c160e3p-2, -0x1.2c270b05b0ee1p-2, -0x1.2f1d8bd5396f5p-2, -0x1.31d60b70ea86cp-2, -0x1.3451f4ae99948p-2, -0x1.3692b353130a4p-2, -0x1.3899b3a6704cbp-2, -0x1.3a68620d4cdefp-2, -0x1.3c002aa6adfa8p-2, -0x1.3d6278ee87783p-2, -0x1.3e90b764b755ap-2, -0x1.3f8c4f385b418p-2, -0x1.4056a7f75ec12p-2, -0x1.40f127422a2fep-2, -0x1.415d308348d06p-2, -0x1.419c24aaf5a99p-2, -0x1.41af61ee695cap-2, -0x1.4198438ad0537p-2, -0x1.4158218bccb03p-2, -0x1.40f050956a0cdp-2, -0x1.406221b1635dep-2, -0x1.3faee21fa8f24p-2, -0x1.3ed7db2a02ef7p-2, -0x1.3dde51fac1c66p-2, -0x1.3cc38776565e6p-2, -0x1.3b88b817c7d7fp-2, -0x1.3a2f1bcfe428fp-2, -0x1.38b7e5e718a99p-2, -0x1.372444e1dad07p-2, -0x1.3575626789d1p-2, -0x1.33ac632bb4de8p-2, -0x1.31ca66d9ac93dp-2, -0x1.2fd088024de65p-2, -0x1.2dbfdc0beee57p-2, -0x1.2b9973245c1f7p-2, -0x1.295e5834cd28cp-2, -0x1.270f90d7c3152p-2, -0x1.24ae1d50b8403p-2, -0x1.223af88591215p-2, -0x1.1fb717f9bc91ap-2, -0x1.1d236bcaedf81p-2, -0x1.1a80deaf62d7dp-2, -0x1.17d055f5a229cp-2, -0x1.1512b185a3077p-2, -0x1.1248cbe34a631p-2, -0x1.0f737a32337ap-2, -0x1.0c938c3aac963p-2, -0x1.09a9cc6fde6efp-2, -0x1.06b6fff70d74cp-2, -0x1.03bbe6afe4c15p-2, -0x1.00b93b3dc08dcp-2, -0x1.fb5f6623cc508p-3, -0x1.f53ffced386c5p-3, -0x1.ef1591363873p-3, -0x1.e8e16f408eb93p-3, -0x1.e2a4d94c335a4p-3, -0x1.dc6107b399a5p-3, -0x1.d61729093afd6p-3, -0x1.cfc86236567c1p-3, -0x1.c975ce9aca078p-3, -0x1.c320802df6d44p-3, -0x1.bcc97fa08efd4p-3, -0x1.b671cc7f4a732p-3, -0x1.b01a5d5665592p-3, -0x1.a9c41fd5d010ep-3, -0x1.a36ff8f611d58p-3, -0x1.9d1ec51db7322p-3, -0x1.96d1584747ee9p-3, -0x1.90887e27b820bp-3, -0x1.8a44fa5533d7fp-3, -0x1.8407886e4e2d8p-3, -0x1.7dd0dc416de79p-3, -0x1.77a1a1f47b33cp-3, -0x1.717a7e2cbdc26p-3, -0x1.6b5c0e36d382ep-3, -0x1.6546e82ec386p-3, -0x1.5f3b9b281d303p-3, -0x1.593aaf560ea0cp-3, -0x1.5344a633740efp-3, -0x1.4d59faaad5901p-3, -0x1.477b213e3e293p-3, -0x1.41a8882eefb1dp-3, -0x1.3be297a4e8181p-3, -0x1.3629b1d628313p-3, -0x1.307e332dc23e1p-3, -0x1.2ae072729be9cp-3, -0x1.2550c0ede11d6p-3, -0x1.1fcf6a9125e74p-3, -0x1.1a5cb61c2eaaap-3, -0x1.14f8e5425082bp-3, -0x1.0fa434cf762c8p-3, -0x1.0a5edcccb5399p-3, -0x1.052910a470091p-3, -0x1.0002ff460f13ap-3, -0x1.f5d9a6926e50ap-4, -0x1.ebcd66211e23p-4, -0x1.e1e181d7ff0eap-4, -0x1.d8163674e72cdp-4, -0x1.ce6bb916367c7p-4, -0x1.c4e2377c36546p-4, -0x1.bb79d8497d443p-4, -0x1.b232bb4237b9p-4, -0x1.a90cf98a501fbp-4, -0x1.a008a5e27d8cbp-4, -0x1.9725cce4426afp-4, -0x1.8e64753cb044p-4, -0x1.85c49fe61ff47p-4, -0x1.7d464860b92ddp-4, -0x1.74e964e9d9762p-4, -0x1.6cade6b254a81p-4, -0x1.6493ba138ec8fp-4, -0x1.5c9ac6c372034p-4, -0x1.54c2f0073c34p-4, -0x1.4d0c14e5297e1p-4, -0x1.45761054fa22p-4, -0x1.3e00b96f54d54p-4, -0x1.36abe39c083bbp-4, -0x1.2f775ebf2bb2p-4, -0x1.2862f7652291bp-4, -0x1.216e76ed82feap-4, -0x1.1a99a3b4e2596p-4, -0x1.13e4413d8be9dp-4, -0x1.0d4e105720b3dp-4, -0x1.06d6cf45269ep-4, -0x1.007e39e48825fp-4, -0x1.f48813a00f991p-5, -0x1.e84fed07557e7p-5, -0x1.dc536afe3c2b2p-5, -0x1.d091f4ce339c6p-5, -0x1.c50aee4b8a79p-5, -0x1.b9bdb814407e3p-5, -0x1.aea9afcceaeeep-5, -0x1.a3ce305bb15bfp-5, -0x1.992a92216b35ap-5, -0x1.8ebe2b30e6996p-5, -0x1.84884f845dfbep-5, -0x1.7a88513126e44p-5, -0x1.70bd8099a176p-5, -0x1.67272c9d702c7p-5, -0x1.5dc4a2c800948p-5, -0x1.54952f7d6c676p-5, -0x1.4b981e25bce0ap-5, -0x1.42ccb95697b37p-5, -0x1.3a324afb5ca7fp-5, -0x1.31c81c7bbf7cep-5, -0x1.298d76e0e409ep-5, -0x1.2181a2f902421p-5, -0x1.19a3e979a3afcp-5, -0x1.11f3932075218p-5, -0x1.0a6fe8d2c1ff5p-5, -0x1.031833bb99475p-5, -0x1.f7d77ad14895bp-6, -0x1.e9d39fcb7c96ap-6, -0x1.dc236bae9888ep-6, -0x1.cec57526c5369p-6, -0x1.c1b854737b3fep-6, -0x1.b4faa3952f93ap-6, -0x1.a88afe78c049bp-6, -0x1.9c680320beba1p-6, -0x1.909051cc9a546p-6, -0x1.85028d1dbe84p-6, -0x1.79bd5a3aba25dp-6, -0x1.6ebf60f06f263p-6, -0x1.64074bd1688a9p-6, -0x1.5993c85359b6bp-6, -0x1.4f6386eaded9fp-6, -0x1.45753b257fee3p-6, -0x1.3bc79bc20f9c4p-6, -0x1.325962c76a3f5p-6, -0x1.29294d99a8bb8p-6, -0x1.20361d0dcee4ap-6, -0x1.177e957c070d5p-6, -0x1.0f017ed0705f5p-6, -0x1.06bda49a9194cp-6, -0x1.fd63ac36f540dp-7, -0x1.edb9cca5410e1p-7, -0x1.de7b5812f920dp-7, -0x1.cfa603bc0235bp-7, -0x1.c1378c97c3eb2p-7, -0x1.b32db76995fdbp-7, -0x1.a58650cf073cp-7, -0x1.983f2d4c161efp-7, -0x1.8b56295581059p-7, -0x1.7ec9295922d39p-7, -0x1.729619c48bca9p-7, -0x1.66baef09dad83p-7, -0x1.5b35a5a2e6d38p-7, -0x1.50044212d5389p-7, -0x1.4524d0e62ae76p-7, -0x1.3a9566b157e42p-7, -0x1.3054200dee393p-7, -0x1.265f219676e49p-7, -0x1.1cb497e103c7cp-7, -0x1.1352b77888df1p-7, -0x1.0a37bcd50c60cp-7, -0x1.0161ec52bc418p-7, -0x1.f19f244fed8dcp-8, -0x1.e0fe04b4a7092p-8, -0x1.d0dd316574498p-8, -0x1.c139716127da3p-8, -0x1.b20f9af848c74p-8, -0x1.a35c93b027d2bp-8, -0x1.951d502475033p-8, -0x1.874ed3e7654fep-8, -0x1.79ee316084d5ep-8, -0x1.6cf889aa4634dp-8, -0x1.606b0c6e65dd1p-8, -0x1.5442f7c134bdp-8, -0x1.487d97fbdc087p-8, -0x1.3d184795afc69p-8, -0x1.32106efc9e819p-8, -0x1.2763846cd25cp-8, -0x1.1d0f0bc7919e8p-8, -0x1.13109669719a9p-8, -0x1.0965c2ffe963dp-8, -0x1.000c3d5e54b45p-8, -0x1.ee037ca4e59b8p-9, -0x1.dc8816f0e866fp-9, -0x1.cba1ee1d3dadbp-9, -0x1.bb4cbf913573dp-9, -0x1.ab846144ddd2cp-9, -0x1.9c44c1667d24p-9, -0x1.8d89e5ff9cb45p-9, -0x1.7f4fec99c0265p-9, -0x1.719309e2d826ap-9, -0x1.644f89518a57dp-9, -0x1.5781ccc95c87dp-9, -0x1.4b264c3eda44cp-9, -0x1.3f39955bc132fp-9, -0x1.33b84b234e093p-9, -0x1.289f2596abe5p-9, -0x1.1deaf159a57b6p-9, -0x1.13988f5799d7cp-9, -0x1.09a4f468c97d6p-9, -0x1.000d28f8060c6p-9, -0x1.ed9c9151aa9cep-10, -0x1.dbcb03fc16188p-10, -0x1.caa02c01e05ebp-10, -0x1.ba16afd1eb019p-10, -0x1.aa29598813526p-10, -0x1.9ad3163f1e22fp-10, -0x1.8c0ef56402cf1p-10, -0x1.7dd8280aac127p-10, -0x1.702a00442c6a4p-10, -0x1.62fff0768469ap-10, -0x1.56558ab60642p-10, -0x1.4a26802057a0cp-10, -0x1.3e6ea0393047ap-10, -0x1.3329d848d5601p-10, -0x1.285432bc596b5p-10, -0x1.1de9d687b2d2bp-10, -0x1.13e70689ac793p-10, -0x1.0a4820f1bb8fbp-10, -0x1.01099ea7bcb41p-10, -0x1.f050256b45a48p-11, -0x1.df405366427b7p-11, -0x1.cedd526699af7p-11, -0x1.bf20de68826bbp-11, -0x1.b004e321943e2p-11, -0x1.a1837ae82b12cp-11, -0x1.9396ed9ee27f8p-11, -0x1.8639afa42c6dp-11, -0x1.796660c6084b7p-11, -0x1.6d17cb39db7efp-11, -0x1.6148e2986ed92p-11, -0x1.55f4c2de12b18p-11, -0x1.4b16af6ee63ep-11, -0x1.40aa121f45c46p-11, -0x1.36aa7a405c7dep-11, -0x1.2d139bb0d77a8p-11, -0x1.23e14df1b7415p-11, -0x1.1b0f8b3f3d7bep-11, -0x1.129a6fadf1b84p-11, -0x1.0a7e384bb79fp-11, -0x1.02b74244f50c1p-11, -0x1.f684141b79ff1p-12, -0x1.e836551dfac21p-12, -0x1.da7eb8af4d99fp-12, -0x1.cd56e9a38ee11p-12, -0x1.c0b8caf723f32p-12, -0x1.b49e76488ebdcp-12, -0x1.a9023a59f90bcp-12, -0x1.9dde999a62d37p-12, -0x1.932e48b6626b3p-12, -0x1.88ec2d30666d9p-12, -0x1.7f135c0061e22p-12, -0x1.759f183aced92p-12, -0x1.6c8ad1bef9124p-12, -0x1.63d223ec7199cp-12, -0x1.5b70d45f9e4d9p-12, -0x1.5362d1b54e51dp-12, -0x1.4ba4325537894p-12, -0x1.4431334350014p-12, -0x1.3d0636f7e18bbp-12, -0x1.361fc43e4cb64p-12, -0x1.2f7a851a58e64p-12, -0x1.291345b401d51p-12, -0x1.22e6f349a6f43p-12, -0x1.1cf29b28854e9p-12, -0x1.173369ab68889p-12, -0x1.11a6a93f71389p-12, -0x1.0c49c16ee5c88p-12, -0x1.071a35f1e8f31p-12, -0x1.0215a5c507728p-12, -0x1.fa73948b0103dp-13, -0x1.f108eca65b71ap-13, -0x1.e7e72aeffa608p-13, -0x1.df0a5629af555p-13, -0x1.d66ea327cc441p-13, -0x1.ce10734032ec2p-13, -0x1.c5ec52c3b7d2p-13, -0x1.bdfef781b5b4ep-13, -0x1.b6453f558b3ecp-13, -0x1.aebc2ebdf0eb8p-13, -0x1.a760ef7dde31ap-13, -0x1.a030cf46df4c7p-13, -0x1.99293e6cabeafp-13, -0x1.9247cea1c8b8dp-13, -0x1.8b8a31bd0ed27p-13, -0x1.84ee3887eb355p-13, -0x1.7e71d1952588ap-13, -0x1.78130820021b9p-13, -0x1.71d002f39bf88p-13, -0x1.6ba7035a41022p-13, -0x1.65966414a6abap-13, -0x1.5f9c9858d8abcp-13, -0x1.59b82ad8a71f7p-13, -0x1.53e7bccf76619p-13, -0x1.4e2a05173ff63p-13, -0x1.487dcf44a6cd5p-13, -0x1.42e1fac9eaa26p-13, -0x1.3d557a209921ep-13, -0x1.37d751f9d535cp-13, -0x1.3266987513239p-13, -0x1.2d02745d170bfp-13, -0x1.27aa1c6b1d7a7p-13, -0x1.225cd69001e1bp-13, -0x1.1d19f7434297fp-13, -0x1.17e0e0d7bb987p-13, -0x1.12b102d5f4028p-13, -0x1.0d89d95be6eabp-13, -0x1.086aec820dd8ep-13, -0x1.0353cfc5a9597p-13, -0x1.fc8842f01a28dp-14, -0x1.f2771465bacffp-14, -0x1.e87378a236cap-14, -0x1.de7ce6d9bf4ecp-14, -0x1.d492e7c33c6a9p-14, -0x1.cab514a5c9f95p-14, -0x1.c0e3166ed5311p-14, -0x1.b71ca4d09f4bbp-14, -0x1.ad61856903142p-14, -0x1.a3b18af02177ep-14, -0x1.9a0c946ef3ac1p-14, -0x1.90728c7d435b2p-14, -0x1.86e368871e4afp-14, -0x1.7d5f28195e14dp-14, -0x1.73e5d43527781p-14, -0x1.6a777eaa2a28p-14, -0x1.61144177712a7p-14, -0x1.57bc3e32920dap-14, -0x1.4e6f9d750d62ep-14, -0x1.452e8e4fb3747p-14, -0x1.3bf945c3dd1ccp-14, -0x1.32cffe424fadcp-14, -0x1.29b2f72fa020ap-14, -0x1.20a2746dea529p-14, -0x1.179ebdebb369bp-14, -0x1.0ea81f37d01d6p-14, -0x1.05bee71a25fc2p-14, -0x1.f9c6ce6244cc4p-15, -0x1.e82be72781018p-15, -0x1.d6adc4eff3dafp-15, -0x1.c54d17bafb654p-15, -0x1.b40a92791804fp-15, -0x1.a2e6ea71a102bp-15, -0x1.91e2d6b0400b7p-15, -0x1.80ff0f79e293ap-15, -0x1.703c4dc8efc0ep-15, -0x1.5f9b4ad07acc5p-15, -0x1.4f1cbf863a049p-15, -0x1.3ec16433058c9p-15, -0x1.2e89f009a31c2p-15, -0x1.1e7718c3a9cdp-15, -0x1.0e89924444ab1p-15, -0x1.fd841c81385c1p-16, -0x1.de4277db72735p-16, -0x1.bf4f8f674ff99p-16, -0x1.a0acb5cb5d77fp-16, -0x1.825b36fec5b18p-16, -0x1.645c57cce6bdp-16, -0x1.46b15561ef735p-16, -0x1.295b64e02bd7cp-16, -0x1.0c5bb2fdb136bp-16, -0x1.df66c754189d5p-17, -0x1.a6c723775b8d7p-17, -0x1.6eda9d496305bp-17, -0x1.37a3445d990ap-17, -0x1.0123147c01e33p-17, -0x1.96b7ea676fe84p-18, -0x1.2c9f72f3cfd83p-18, -0x1.88007d530630fp-19, -0x1.73767c8ee4c05p-20, 0x1.18a89e1c8da8bp-23, 0x1.b395c8fa81433p-20, 0x1.9f00323660cadp-19, 0x1.309295c92300ep-18, 0x1.901a70a72642ap-18, 0x1.ee155e4e05ab2p-18, 0x1.25409fcf1a543p-17, 0x1.52ae10ded9f0cp-17, 0x1.7f521f038ca5dp-17, 0x1.ab2bfcf545fefp-17, 0x1.d63af360a1834p-17, 0x1.003f306524082p-16, 0x1.14fadcb62cb52p-16, 0x1.29504387274b3p-16, 0x1.3d3f346bb777bp-16, 0x1.50c7898e2710dp-16, 0x1.63e92793c4e96p-16, 0x1.76a3fd7f0f6e3p-16, 0x1.88f8048fc9518p-16, 0x1.9ae540211c4bp-16, 0x1.ac6bbd85eead1p-16, 0x1.bd8b93e38677dp-16, 0x1.ce44e40a9b101p-16, 0x1.de97d84ef54e3p-16, 0x1.ee84a45db88eep-16, 0x1.fe0b85126dfd4p-16, 0x1.06966025782d8p-15, 0x1.0df4525d29d3ap-15, 0x1.151fc4dd6acedp-15, 0x1.1c18e78f806bep-15, 0x1.22dfee8103722p-15, 0x1.297511cbba514p-15, 0x1.2fd88d7d25d91p-15, 0x1.360aa17dcee3cp-15, 0x1.3c0b91785b143p-15, 0x1.41dba4c072043p-15, 0x1.477b26397fddap-15, 0x1.4cea643d56146p-15, 0x1.5229b082ba79cp-15, 0x1.57396003e6d14p-15, 0x1.5c19cae500d4ap-15, 0x1.60cb4c5a94618p-15, 0x1.654e429014232p-15, 0x1.69a30e8e6566fp-15, 0x1.6dca142283b96p-15, 0x1.71c3b9c4379a6p-15, 0x1.7590687cf080fp-15, 0x1.79308bcebfa86p-15, 0x1.7ca4919b7a7e9p-15, 0x1.7fecea0c0ca1bp-15, 0x1.830a0777f9104p-15, 0x1.85fc5e4d0ff34p-15, 0x1.88c464f75ec64p-15, 0x1.8b6293c95d07p-15, 0x1.8dd764e45905fp-15, 0x1.9023542126a63p-15, 0x1.9246def914bb2p-15, 0x1.9442846f2e0edp-15, 0x1.9616c4f9c0aa5p-15, 0x1.97c4226c3857ep-15, 0x1.994b1fe145e2dp-15, 0x1.9aac41a559917p-15, 0x1.9be80d2171919p-15, 0x1.9cff08c63e80cp-15, 0x1.9df1bbf79ec8ep-15, 0x1.9ec0aef871e5ap-15, 0x1.9f6c6ad6c8427p-15, 0x1.9ff579586b00fp-15, 0x1.a05c64e7c1108p-15, 0x1.a0a1b8811362dp-15, 0x1.a0c5ffa02a7b4p-15, 0x1.a0c9c62e4e59p-15, 0x1.a0ad9870a40f3p-15, 0x1.a07202f6e8ac6p-15, 0x1.a017928a8e228p-15, 0x1.9f9ed41e37a82p-15, 0x1.9f0854bd95944p-15, 0x1.9e54a17da10f7p-15, 0x1.9d84476d373ffp-15, 0x1.9c97d38616d0ap-15, 0x1.9b8fd29e39583p-15, 0x1.9a6cd1598f783p-15, 0x1.992f5c1c19379p-15, 0x1.97d7fefc5eec9p-15, 0x1.966745b6488b3p-15, 0x1.94ddbb9e4eaa2p-15, 0x1.933beb950e9cp-15, 0x1.91825ffb355cdp-15, 0x1.8fb1a2a5c82c6p-15, 0x1.8dca3cd2ca1c9p-15, 0x1.8bccb71e3703bp-15, 0x1.89b999775d2fbp-15, 0x1.87916b1689f75p-15, 0x1.8554b27311165p-15, 0x1.8303f539abf29p-15, 0x1.809fb84328249p-15, 0x1.7e287f8b7297ep-15, 0x1.7b9ece28ef69ep-15, 0x1.79032644283fep-15, 0x1.7656090fc9852p-15, 0x1.7397f6c0f1cd6p-15, }}, 
      {{0x1.ebc3aa62c3ee3p-1, 0x1.eb7fe67575679p-1, 0x1.eb0f23a4c6de5p-1, 0x1.ea71a6b971f2ep-1, 0x1.e9a7ce815fa45p-1, 0x1.e8b21285ab4bfp-1, 0x1.e79101917f60bp-1, 0x1.e64540194c966p-1, 0x1.e4cf868f1e6f6p-1, 0x1.e3309fae4ce8dp-1, 0x1.e16966c6c703dp-1, 0x1.df7ac60e5ce32p-1, 0x1.dd65b4fcf4a5dp-1, 0x1.db2b36b75cacap-1, 0x1.d8cc588b5c6a1p-1, 0x1.d64a307ed57c8p-1, 0x1.d3a5dbf3198c2p-1, 0x1.d0e07e5d07604p-1, 0x1.cdfb401220a68p-1, 0x1.caf74d2a69cdbp-1, 0x1.c7d5d476af759p-1, 0x1.c498068a946fdp-1, 0x1.c13f14d9b15edp-1, 0x1.bdcc30e6f3452p-1, 0x1.ba408b8557a1cp-1, 0x1.b69d54291f69cp-1, 0x1.b2e3b8488f8f8p-1, 0x1.af14e2cb52797p-1, 0x1.ab31fb8799733p-1, 0x1.a73c26cc1dcb3p-1, 0x1.a33484f62afe1p-1, 0x1.9f1c3212e685fp-1, 0x1.9af4458b11275p-1, 0x1.96bdd1d8850d6p-1, 0x1.9279e444c6f38p-1, 0x1.8e2984affe2bp-1, 0x1.89cdb55fbaaa9p-1, 0x1.856772d4f5cfp-1, 0x1.80f7b3a8c22c6p-1, 0x1.7c7f686f2ae2cp-1, 0x1.77ff7b9fc6e2p-1, 0x1.7378d183909dcp-1, 0x1.6eec48279396bp-1, 0x1.6a5ab75411999p-1, 0x1.65c4f087bd68ep-1, 0x1.612bbef6b57e3p-1, 0x1.5c8fe78ced164p-1, 0x1.57f228f3b770ap-1, 0x1.53533b9a2e043p-1, 0x1.4eb3d1c02e25cp-1, 0x1.4a149783b08dcp-1, 0x1.457632f04239cp-1, 0x1.40d9441065449p-1, 0x1.3c3e6500abf77p-1, 0x1.37a62a045a676p-1, 0x1.3311219b66603p-1, 0x1.2e7fd499ac0dbp-1, 0x1.29f2c63f31c8ep-1, 0x1.256a745157a14p-1, 0x1.20e75734d2167p-1, 0x1.1c69e20854be2p-1, 0x1.17f282bfcbd9dp-1, 0x1.1381a2401181dp-1, 0x1.0f17a47b00b7p-1, 0x1.0ab4e88bd532cp-1, 0x1.0659c8d3c2313p-1, 0x1.02069b16ac6a4p-1, 0x1.fb77612ff16ep-2, 0x1.f2f2ac6ebe37fp-2, 0x1.ea7fa91b668cap-2, 0x1.e21ee0132cc3bp-2, 0x1.d9d0d2180db3bp-2, 0x1.d195f80985995p-2, 0x1.c96ec31ce69b6p-2, 0x1.c15b9d153347cp-2, 0x1.b95ce87a67eep-2, 0x1.b17300d0292a1p-2, 0x1.a99e3acbc91bep-2, 0x1.a1dee489999f2p-2, 0x1.9a3545c180f47p-2, 0x1.92a19ffac6bebp-2, 0x1.8b242ebf15cfcp-2, 0x1.83bd27cca755bp-2, 0x1.7c6cbb4797678p-2, 0x1.753313ea5782fp-2, 0x1.6e105735419e9p-2, 0x1.6704a59d46f98p-2, 0x1.60101ab9b32f1p-2, 0x1.5932cd7108649p-2, 0x1.526cd024efbbp-2, 0x1.4bbe30dd3f55fp-2, 0x1.4526f9721040fp-2, 0x1.3ea72fb4ed6e5p-2, 0x1.383ed5991294cp-2, 0x1.31ede95ac263ep-2, 0x1.2bb465a5b2bfdp-2, 0x1.259241ba8f02p-2, 0x1.1f87719396d9ep-2, 0x1.1993e60852c25p-2, 0x1.13b78cf06c90bp-2, 0x1.0df25145a03c7p-2, 0x1.08441b44d3d43p-2, 0x1.02acd08e5159p-2, 0x1.fa58a88a506d9p-3, 0x1.ef850e5b6e786p-3, 0x1.e4de8f96cdf77p-3, 0x1.da64e4fb1cdcap-3, 0x1.d017c3371fd39p-3, 0x1.c5f6db204de35p-3, 0x1.bc01d9e7e665p-3, 0x1.b238694e7884p-3, 0x1.a89a2fd5f082dp-3, 0x1.9f26d0f223badp-3, 0x1.95dded37ecef2p-3, 0x1.8cbf228ad9d36p-3, 0x1.83ca0c4974544p-3, 0x1.7afe4378241ddp-3, 0x1.725b5eeac2c28p-3, 0x1.69e0f36cd0eb1p-3, 0x1.618e93e868b5ep-3, 0x1.5963d18be4791p-3, 0x1.51603bee49bd2p-3, 0x1.498361327a325p-3, 0x1.41ccce29336c9p-3, 0x1.3a3c0e71e2adp-3, 0x1.32d0ac9a52e17p-3, 0x1.2b8a323d3e86ap-3, 0x1.2468281fc56d6p-3, 0x1.1d6a164dd1d2p-3, 0x1.168f843575919p-3, 0x1.0fd7f8c13792ep-3, 0x1.0942fa716ae49p-3, 0x1.02d00f748a4a2p-3, 0x1.f8fd7b7d32314p-4, 0x1.ec9d163f3ec05p-4, 0x1.e07dfab26daa1p-4, 0x1.d49f3466725bdp-4, 0x1.c8ffcf1f1e2cdp-4, 0x1.bd9ed6fa580d2p-4, 0x1.b27b58945feb1p-4, 0x1.a794612a8f117p-4, 0x1.9ce8febc79594p-4, 0x1.9278402b90c7bp-4, 0x1.884135595194ap-4, 0x1.7e42ef43fdfcep-4, 0x1.747c8021f3e6ep-4, 0x1.6aecfb7ba8d7fp-4, 0x1.61937644555f3p-4, 0x1.586f06f15787ep-4, 0x1.4f7ec5905766ep-4, 0x1.46c1cbdc3853p-4, 0x1.3e373550dbb3cp-4, 0x1.35de1f3dc42efp-4, 0x1.2db5a8d79baa5p-4, 0x1.25bcf348aabc6p-4, 0x1.1df321c045c3fp-4, 0x1.1657598139826p-4, 0x1.0ee8c1ef405cp-4, 0x1.07a6849b85e1cp-4, 0x1.008fcd5043048p-4, 0x1.f3479436f2e7cp-5, 0x1.e5c356b1a9b24p-5, 0x1.d891477575cb5p-5, 0x1.cbafd0a521ca9p-5, 0x1.bf1d61307b614p-5, 0x1.b2d86ce1dca91p-5, 0x1.a6df6c6a4ccf7p-5, 0x1.9b30dd6c3e726p-5, 0x1.8fcb4284ffbcfp-5, 0x1.84ad2354e4b49p-5, 0x1.79d50c8638bd4p-5, 0x1.6f418fd303fd7p-5, 0x1.64f14409b099bp-5, 0x1.5ae2c51099faep-5, 0x1.5114b3e89324ap-5, 0x1.4785b6ae6ea97p-5, 0x1.3e34789b90547p-5, 0x1.351faa0596f5dp-5, 0x1.2c46005d26696p-5, 0x1.23a6362bda491p-5, 0x1.1b3f0b116df61p-5, 0x1.130f43c020a78p-5, 0x1.0b15a9f861763p-5, 0x1.03510c83c7f6bp-5, 0x1.f7807e5ecc1c6p-6, 0x1.e8c4358af35ffp-6, 0x1.da6afa0d0c84p-6, 0x1.cc729143bce81p-6, 0x1.bed8ca5b49bdap-6, 0x1.b19b7e3c9a89fp-6, 0x1.a4b88f7b41d8fp-6, 0x1.982dea42a9af6p-6, 0x1.8bf984425d65dp-6, 0x1.80195c999201p-6, 0x1.748b7bc1e5fc6p-6, 0x1.694df3797b033p-6, 0x1.5e5edeac5cecap-6, 0x1.53bc615d565a3p-6, 0x1.4964a88e32f82p-6, 0x1.3f55ea277b567p-6, 0x1.358e64dfb59c5p-6, 0x1.2c0c602239ddfp-6, 0x1.22ce2bf5995f8p-6, 0x1.19d220e1aa5ddp-6, 0x1.11169fd53eb15p-6, 0x1.089a120b908e1p-6, 0x1.005ae8f164ac7p-6, 0x1.f0af3c13e84c4p-7, 0x1.e11d65a74a233p-7, 0x1.d1fd615919db7p-7, 0x1.c34c516daaffdp-7, 0x1.b5076779f8ccfp-7, 0x1.a72be42bfc854p-7, 0x1.99b71712cfb2fp-7, 0x1.8ca65e66cd012p-7, 0x1.7ff726d1840c3p-7, 0x1.73a6eb35c686cp-7, 0x1.67b33477a5e44p-7, 0x1.5c19994494321p-7, 0x1.50d7bddb8ecaep-7, 0x1.45eb53d57b907p-7, 0x1.3b5219eda5cfep-7, 0x1.3109dbca76f5dp-7, 0x1.271071c6691bp-7, 0x1.1d63c0b93bfep-7, 0x1.1401b9c175245p-7, 0x1.0ae85a0e31547p-7, 0x1.0215aaa94c9d7p-7, 0x1.f30f8083cf5b1p-8, 0x1.e27975ee9fea3p-8, 0x1.d2658c489f957p-8, 0x1.c2d03055d66b9p-8, 0x1.b3b5e4811c4fep-8, 0x1.a51340756226p-8, 0x1.96e4f0b7ed574p-8, 0x1.8927b6438f8b3p-8, 0x1.7bd86624dfedbp-8, 0x1.6ef3e9177de26p-8, 0x1.62773b2461a7fp-8, 0x1.565f6b4140d3bp-8, 0x1.4aa99af10f174p-8, 0x1.3f52fde597efcp-8, 0x1.3458d9a23ec15p-8, 0x1.29b8851fe2462p-8, 0x1.1f6f6871ea126p-8, 0x1.157afc6c80fe2p-8, 0x1.0bd8ca4bfc2c1p-8, 0x1.02866b5d75fffp-8, 0x1.f303115134665p-9, 0x1.e18fb5354f10ep-9, 0x1.d0ae51654e3eap-9, 0x1.c05a925db59ep-9, 0x1.b0904176c992bp-9, 0x1.a14b444449ba9p-9, 0x1.92879bf7a2838p-9, 0x1.844164c48bb03p-9, 0x1.7674d548196d8p-9, 0x1.691e3df23d271p-9, 0x1.5c3a0871b34bp-9, 0x1.4fc4b7225fad7p-9, 0x1.43bae47e12e9bp-9, 0x1.3819428fb7a1cp-9, 0x1.2cdc9a68e79c1p-9, 0x1.2201cb99df2c9p-9, 0x1.1785cbabd00bp-9, 0x1.0d65a59d91546p-9, 0x1.039e7962a3267p-9, 0x1.f45af6c90deaap-10, 0x1.e21fe80cc8535p-10, 0x1.d0867e55ed8cdp-10, 0x1.bf89977983caep-10, 0x1.af24367101f33p-10, 0x1.9f518273a58b1p-10, 0x1.900cc614330c3p-10, 0x1.81516e630e9cfp-10, 0x1.731b0a14a78b2p-10, 0x1.656548ac2ea7dp-10, 0x1.582bf9aa791dap-10, 0x1.4b6b0bc11d444p-10, 0x1.3f1e8c09a56a6p-10, 0x1.3342a540dbf63p-10, 0x1.27d39f0616f6bp-10, 0x1.1ccddd1e87a8ap-10, 0x1.122ddebc66844p-10, 0x1.07f03dca08391p-10, 0x1.fc235c7187a7bp-11, 0x1.e91dfaa7278bp-11, 0x1.d6ca222ae680ap-11, 0x1.c521cf06c1af6p-11, 0x1.b41f2c13f5588p-11, 0x1.a3bc91bd4f842p-11, 0x1.93f484c87d41cp-11, 0x1.84c1b52639441p-11, 0x1.761efcc940d31p-11, 0x1.68075e83efc73p-11, 0x1.5a7604ec6d09ap-11, 0x1.4d66414747d8ap-11, 0x1.40d38a786d0b7p-11, 0x1.34b97bfa56d65p-11, 0x1.2913d4db5e0fcp-11, 0x1.1dde76c1105d1p-11, 0x1.131564f171293p-11, 0x1.08b4c36208cadp-11, 0x1.fd71ab9955529p-12, 0x1.ea3bfd93a9c0fp-12, 0x1.d7c17de1213cfp-12, 0x1.c5fb67f76ff7cp-12, 0x1.b4e32fe9143abp-12, 0x1.a47280c4e123bp-12, 0x1.94a33affbfb8ap-12, 0x1.856f72e86e798p-12, 0x1.76d16f2512682p-12, 0x1.68c3a73a65bacp-12, 0x1.5b40c21c547c7p-12, 0x1.4e4394c7d51dep-12, 0x1.41c720e5d3884p-12, 0x1.35c69376f50bfp-12, 0x1.2a3d438812f14p-12, 0x1.1f26b0ef34b9bp-12, 0x1.147e8310e1161p-12, 0x1.0a4087ad972ep-12, 0x1.0068b1b745e41p-12, 0x1.ede6305d28ffcp-13, 0x1.dbb7ea0fa21eep-13, 0x1.ca3f482ebaa1ep-13, 0x1.b975440adb1e4p-13, 0x1.a9531691e0e9ap-13, 0x1.99d23652f1524p-13, 0x1.8aec5590093fdp-13, 0x1.7c9b605ce28ffp-13, 0x1.6ed97acaff6f3p-13, 0x1.61a0ff227b4f7p-13, 0x1.54ec7c27626eap-13, 0x1.48b6b36b3d0f9p-13, 0x1.3cfa97aa8ca46p-13, 0x1.31b34b35f92a4p-13, 0x1.26dc1e66d83dep-13, 0x1.1c708e1edb788p-13, 0x1.126c42529985p-13, 0x1.08cb0c9eaf46fp-13, 0x1.ff11cdce77a4ep-14, 0x1.ed43e402f2206p-14, 0x1.dc24e8ce53c7fp-14, 0x1.cbadb1e75a65ap-14, 0x1.bbd75b54d7da5p-14, 0x1.ac9b450ce4becp-14, 0x1.9df310a5f0556p-14, 0x1.8fd89f1925f91p-14, 0x1.82460e95e337dp-14, 0x1.7535b865a9705p-14, 0x1.68a22ee036762p-14, 0x1.5c863b6f52bedp-14, 0x1.50dcdca1f28dbp-14, 0x1.45a1444e41ff2p-14, 0x1.3aced5c23bee7p-14, 0x1.306124026a423p-14, 0x1.2653f0167023ep-14, 0x1.1ca32763049bdp-14, 0x1.134ae210fefdp-14, 0x1.0a4761812076ep-14, 0x1.01950ecc40e84p-14, 0x1.f260f29f18e36p-15, 0x1.e22caa88faf26p-15, 0x1.d286f4c885e92p-15, 0x1.c369c52c84e96p-15, 0x1.b4cf5152d4352p-15, 0x1.a6b20e3009fe5p-15, 0x1.990cadab90c27p-15, 0x1.8bda1c4fa53ccp-15, 0x1.7f157f0ca5a88p-15, 0x1.72ba310f2ca88p-15, 0x1.66c3c1a86dd69p-15, 0x1.5b2df24851321p-15, 0x1.4ff4b488cbb8fp-15, 0x1.45142849fb65p-15, 0x1.3a8899de84d89p-15, 0x1.304e8047c199dp-15, 0x1.26627b814685cp-15, 0x1.1cc152db50feap-15, 0x1.1367f363ac94cp-15, 0x1.0a536e5ca2331p-15, 0x1.0180f7c18a1f6p-15, 0x1.f1dbc9b130a8dp-16, 0x1.e12f55a2f6282p-16, 0x1.d0f7bae0e1d15p-16, 0x1.c1305b8adecbp-16, 0x1.b1d4d1de00712p-16, 0x1.a2e0edd0f6666p-16, 0x1.9450b2c6838d6p-16, 0x1.862055554d21cp-16, 0x1.784c39245f18ep-16, 0x1.6ad0eedbb8d8ep-16, 0x1.5dab32284af4cp-16, 0x1.50d7e7d2c6ad2p-16, 0x1.44541be8a72c5p-16, 0x1.381cfff6e7412p-16, 0x1.2c2fe955c964ep-16, 0x1.208a4f85361bdp-16, 0x1.1529ca9918a58p-16, 0x1.0a0c11b542601p-16, 0x1.fe5df3309dacep-17, 0x1.e920e66a19138p-17, 0x1.d45d14b3e5b0cp-17, 0x1.c00ec8cc55055p-17, 0x1.ac327e177ae0ep-17, 0x1.98c4de3ce66dfp-17, 0x1.85c2beddfdb98p-17, 0x1.73291f63fc9fbp-17, 0x1.60f526e4f444fp-17, 0x1.4f24221eebb96p-17, 0x1.3db3818860614p-17, 0x1.2ca0d7757df17p-17, 0x1.1be9d651415d5p-17, 0x1.0b8c4ee9e1fb8p-17, 0x1.f70c5d9fa672bp-18, 0x1.d7aafd8d6b57cp-18, 0x1.b8f0c28f31ef8p-18, 0x1.9ada2227dc52ep-18, 0x1.7d63bfb12aa9fp-18, 0x1.608a69c0e0a4bp-18, 0x1.444b17abd9d88p-18, 0x1.28a2e725f1f6fp-18, 0x1.0d8f19fdbce2bp-18, 0x1.e61a27e5f9a21p-19, 0x1.b234b14dc6657p-19, 0x1.7f69134a46279p-19, 0x1.4db2c909cad89p-19, 0x1.1d0d82417a3fep-19, 0x1.daea3f92dab9dp-20, 0x1.7dcb60c6bb79fp-20, 0x1.22b6db5477e8dp-20, 0x1.934ae4a45f27cp-21, 0x1.ca40ccbea0d6bp-22, 0x1.d70707853c628p-24, -0x1.ae02192760f8ap-23, -0x1.0e10331615502p-21, -0x1.acda1b479a89dp-21, -0x1.23f4e7971c189p-20, -0x1.6fa540c727549p-20, -0x1.b9838793ceb12p-20, -0x1.00ca8173d664ep-19, -0x1.23ef6ac87e74cp-19, -0x1.463300b44cf25p-19, -0x1.6797b5249758p-19, -0x1.881fec6c52a4cp-19, -0x1.a7cdfe92e7095p-19, -0x1.c6a4388e1562ap-19, -0x1.e4a4dd67d514fp-19, -0x1.00e913a88d0bfp-18, -0x1.0f17245125e79p-18, -0x1.1cddb6652a354p-18, -0x1.2a3ddc96825f1p-18, -0x1.3738a6f8cee83p-18, -0x1.43cf23611b6e7p-18, -0x1.50025dbe5a66ep-18, -0x1.5bd3606b06afp-18, -0x1.674334783ac94p-18, -0x1.7252e1f29111cp-18, -0x1.7d0370211d9ecp-18, -0x1.8755e5becab9cp-18, -0x1.914b492e62046p-18, -0x1.9ae4a0a989c3bp-18, -0x1.a422f26af5bb9p-18, -0x1.ad0744d412819p-18, -0x1.b5929e8e637bcp-18, -0x1.bdc606a8d3883p-18, -0x1.c5a284b12fee2p-18, -0x1.cd2920ca05ccdp-18, -0x1.d45ae3bd16346p-18, -0x1.db38d70a93ebdp-18, -0x1.e1c404f55c2edp-18, -0x1.e7fd788c59f16p-18, -0x1.ede63db13dbf1p-18, -0x1.f37f611cb808ap-18, -0x1.f8c9f0605d5e8p-18, -0x1.fdc6f9e65e61ep-18, -0x1.013bc6779a495p-17, -0x1.036e5cc6b673cp-17, -0x1.057bc84fd8617p-17, -0x1.076491e4967c4p-17, -0x1.092942b43c044p-17, -0x1.0aca64468ba38p-17, -0x1.0c488075dcfe7p-17, -0x1.0da42168a6425p-17, -0x1.0eddd18a7ca67p-17, -0x1.0ff61b849921dp-17, -0x1.10ed8a35ed4b3p-17, -0x1.11c4a8aad230cp-17, -0x1.127c02145efcbp-17, -0x1.131421bf6de3dp-17, -0x1.138d930b5b9cbp-17, -0x1.13e8e1608a2b1p-17, -0x1.14269826ae7dcp-17, -0x1.144742baf2864p-17, -0x1.144b6c65f2da9p-17, -0x1.1433a0519fce4p-17, -0x1.1400697f07a0ep-17, -0x1.13b252bc12d75p-17, -0x1.1349e699367e4p-17, -0x1.12c7af5f2340ep-17, -0x1.122c370477ab6p-17, -0x1.11780723787bp-17, -0x1.10aba8efd6c4p-17, -0x1.0fc7a52c8582ap-17, -0x1.0ecc8421a5cd2p-17, -0x1.0dbacd928aa8p-17, -0x1.0c9308b3db673p-17, -0x1.0b55bc21d3c05p-17, -0x1.0a036dd6aa7b6p-17, -0x1.089ca3211c068p-17, -0x1.0721e09b1f438p-17, -0x1.0593aa20c5ffcp-17, -0x1.03f282c74ad2p-17, -0x1.023eecd450414p-17, -0x1.007969b550339p-17, -0x1.fd44f3ee81a7ap-18, -0x1.f9753a7cda68bp-18, -0x1.f584a47d0bb9p-18, -0x1.f1742d65d1eddp-18, -0x1.ed44ceae45b1fp-18, -0x1.e8f77fbf52f83p-18, -0x1.e48d35e5a45f2p-18, -0x1.e006e44406333p-18, -0x1.db657bc641a11p-18, -0x1.d6a9eb147019dp-18, -0x1.d1d51e86c8595p-18, -0x1.cce80019e8cd4p-18, -0x1.c7e3776396b89p-18, -0x1.c2c86987fde38p-18, -0x1.bd97b92f662ebp-18, -0x1.b852467c671b3p-18, -0x1.b2f8ef02917eep-18, -0x1.ad8c8dbd9650cp-18, -0x1.a80dfb08e230bp-18, -0x1.a27e0c97b529cp-18, -0x1.9cdd956dad2b4p-18, -0x1.972d65d7c8696p-18, -0x1.916e4b65dd573p-18, -0x1.8ba110e48352ep-18, -0x1.85c67e576fc42p-18, -0x1.7fdf58f44359ep-18, -0x1.79ec631dc5624p-18, -0x1.73ee5c5f8dd0fp-18, -0x1.6de6016a1b121p-18, -0x1.67d40c0f515acp-18, -0x1.61b9333f62e42p-18, -0x1.5b962b061fa09p-18, -0x1.556ba488a782dp-18, -0x1.4f3a4e0381a7fp-18, -0x1.4902d2c914588p-18, -0x1.42c5db407946bp-18, -0x1.3c840ce4b380ep-18, -0x1.363e0a443b4a5p-18, -0x1.2ff47300e5e46p-18, -0x1.29a7e3d0241a9p-18, -0x1.2358f67b93875p-18, -0x1.1d0841e1e44bep-18, -0x1.16b659f80e56p-18, -0x1.1063cfcad6329p-18, -0x1.0a1131809c3dp-18, -0x1.03bf0a5b779d3p-18, -0x1.fadbc577333b1p-19, -0x1.ee3c8043ea0dep-19, -0x1.e1a14a66567a2p-19, -0x1.d50b237574698p-19, -0x1.c87b055cd5f59p-19, -0x1.bbf1e463f8f03p-19, -0x1.af70af361734fp-19, -0x1.a2f84eea6763cp-19, -0x1.9689a70ccd70ep-19, -0x1.8a2595a6f5d9dp-19, -0x1.7dccf349da587p-19, -0x1.71809317a76eap-19, -0x1.654142ce010f6p-19, -0x1.590fcad0a5d21p-19, -0x1.4cecee3464953p-19, -0x1.40d96aca6dc8bp-19, -0x1.34d5f92becc7bp-19, -0x1.28e34cc5f4c7ep-19, -0x1.1d0213e5b13b9p-19, -0x1.1132f7c4e1b77p-19, -0x1.05769c96941acp-19, -0x1.f39b432839f23p-20, -0x1.dc7142149c8d2p-20, -0x1.c57060cdcd039p-20, -0x1.ae99c08c5f6dap-20, -0x1.97ee7901ae009p-20, -0x1.816f9873dd61bp-20, -0x1.6b1e23da3898ep-20, -0x1.54fb16f9e37afp-20, -0x1.3f076482d48f4p-20, -0x1.2943f62d11d43p-20, -0x1.13b1acd6399a8p-20, -0x1.fca2c13e6a77ep-21, -0x1.d247c214686f6p-21, -0x1.a853ea318e7edp-21, -0x1.7ec8b6d461c09p-21, -0x1.55a794b3b0d42p-21, -0x1.2cf1e03bbf13bp-21, -0x1.04a8e5cba9aadp-21, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.5f123f9d196c9p-7, -0x1.5f61ff758416ep-6, -0x1.07eb0c6b7ae64p-5, -0x1.6094b28b6d1dcp-5, -0x1.b9cb16650bf45p-5, -0x1.09d2eb740064dp-4, -0x1.371b5a51c389bp-4, -0x1.64c4bcee50436p-4, -0x1.92d20a0d510b3p-4, -0x1.c143692b22f51p-4, -0x1.f0165eae5bcabp-4, -0x1.0fa3007f8e309p-3, -0x1.27659994e4972p-3, -0x1.3f4e713438981p-3, -0x1.575822429bdc8p-3, -0x1.6f7c8ac24b586p-3, -0x1.87b4e9b61b6c1p-3, -0x1.9ff9fba708722p-3, -0x1.b8441581268b9p-3, -0x1.d08b3d97eec37p-3, -0x1.e8c742b6c9e75p-3, -0x1.0077e899a9dcp-2, -0x1.0c7e4301a2644p-2, -0x1.18727ff0aa3dfp-2, -0x1.24507749bbd5bp-2, -0x1.30141034bcb86p-2, -0x1.3bb9470724551p-2, -0x1.473c326415b64p-2, -0x1.529907a2732f4p-2, -0x1.5dcc1e878a491p-2, -0x1.68d1f464b2105p-2, -0x1.73a72ea5c861ep-2, -0x1.7e489cdde0e5bp-2, -0x1.88b33a5ebfaefp-2, -0x1.92e42f6700517p-2, -0x1.9cd8d1f1f5cdap-2, -0x1.a68ea63382c3bp-2, -0x1.b0035ec96453p-2, -0x1.b934dcaaa4256p-2, -0x1.c2212edd1a812p-2, -0x1.cac691f851829p-2, -0x1.d3236f7c5130ep-2, -0x1.db365d025de5ep-2, -0x1.e2fe1b4d04ca4p-2, -0x1.ea79953c61ff2p-2, -0x1.f1a7deaaffc2cp-2, -0x1.f8883337421d6p-2, -0x1.ff19f4fcefaecp-2, -0x1.02ae55a1006c8p-1, -0x1.05a8008cc57bbp-1, -0x1.0879e1ffac20ap-1, -0x1.0b23f13732f28p-1, -0x1.0da6353a2a155p-1, -0x1.1000c421c463p-1, -0x1.1233c262cfb92p-1, -0x1.143f6217c5706p-1, -0x1.1623e24c51532p-1, -0x1.17e18e4ad6f7bp-1, -0x1.1978bcec72679p-1, -0x1.1ae9cfebdafccp-1, -0x1.1c35333b8114p-1, -0x1.1d5b5c5f3b062p-1, -0x1.1e5cc9c9bda7dp-1, -0x1.1f3a023e1c5ap-1, -0x1.1ff394357e66dp-1, -0x1.208a15492e65ap-1, -0x1.20fe21a1269bap-1, -0x1.21505b672b112p-1, -0x1.21816a3e89198p-1, -0x1.2191fac083c9ap-1, -0x1.2182bdfd76273p-1, -0x1.21546902aa691p-1, -0x1.2107b464e7613p-1, -0x1.209d5bcfaa9c6p-1, -0x1.20161d9909472p-1, -0x1.1f72ba5a28ab7p-1, -0x1.1eb3f48c414edp-1, -0x1.1dda902a1c312p-1, -0x1.1ce75255f386dp-1, -0x1.1bdb0103a6383p-1, -0x1.1ab662a7270dep-1, -0x1.197a3de70b9ddp-1, -0x1.18275953279ebp-1, -0x1.16be7b1f180b3p-1, -0x1.154068e0a3b1cp-1, -0x1.13ade751d705ep-1, -0x1.1207ba16bd831p-1, -0x1.104ea386a0005p-1, -0x1.0e836478a9636p-1, -0x1.0ca6bc13d5553p-1, -0x1.0ab967a20f3dap-1, -0x1.08bc2266616b4p-1, -0x1.06afa5761d88p-1, -0x1.0494a794dd272p-1, -0x1.026bdd1342e38p-1, -0x1.0035f7b05fb21p-1, -0x1.fbe74cfb42b48p-2, -0x1.f74b2b8a60b61p-2, -0x1.f298dde546932p-2, -0x1.edd1b0fbdb6cbp-2, -0x1.e8f6ebb0e7753p-2, -0x1.e409ceb850e5ap-2, -0x1.df0b94793fbf5p-2, -0x1.d9fd70f3fb7cbp-2, -0x1.d4e091ab57987p-2, -0x1.cfb61d917e891p-2, -0x1.ca7f34f7f802fp-2, -0x1.c53cf182b93dap-2, -0x1.bff0661e21548p-2, -0x1.ba9a9ef7afa07p-2, -0x1.b53ca1795d9aep-2, -0x1.afd76c4766a4p-2, -0x1.aa6bf7406c834p-2, -0x1.a4fb337fcb573p-2, -0x1.9f860b61ff0afp-2, -0x1.9a0d628b00d05p-2, -0x1.949215ee781ccp-2, -0x1.8f14fbd9a141ap-2, -0x1.8996e3fed9c9ep-2, -0x1.84189782a5514p-2, -0x1.7e9ad90a24abdp-2, -0x1.791e64cad526p-2, -0x1.73a3f09b90626p-2, -0x1.6e2c2c06a7e42p-2, -0x1.68b7c05d11b83p-2, -0x1.634750ca89a6p-2, -0x1.5ddb7a6a9a97ep-2, -0x1.5874d45e7252fp-2, -0x1.5313efe37cdafp-2, -0x1.4db9586aa371p-2, -0x1.486593b03161bp-2, -0x1.431921d43fd77p-2, -0x1.3dd47d73a2199p-2, -0x1.38981bc1402fap-2, -0x1.33646c9fd63b2p-2, -0x1.2e39dabc044e2p-2, -0x1.2918cba6a9056p-2, -0x1.24019fef79452p-2, -0x1.1ef4b33fc7e57p-2, -0x1.19f25c7574f49p-2, -0x1.14faedbdf8adap-2, -0x1.100eb4b181c9cp-2, -0x1.0b2dfa6e1dee9p-2, -0x1.065903b2e36ebp-2, -0x1.019010fb1400ap-2, -0x1.f9a6bd3260217p-3, -0x1.f04649a3ed73cp-3, -0x1.e6ff2fee8c263p-3, -0x1.ddd1d105b5e35p-3, -0x1.d4be8661cce5ap-3, -0x1.cbc5a234eaae2p-3, -0x1.c2e76f9f444d4p-3, -0x1.ba2432e3235aep-3, -0x1.b17c2998585a5p-3, -0x1.a8ef8adf357dcp-3, -0x1.a07e8792f21e9p-3, -0x1.98294a7b85dfp-3, -0x1.8feff87ee1112p-3, -0x1.87d2b0d187ab3p-3, -0x1.7fd18d268358fp-3, -0x1.77eca1deaf4dep-3, -0x1.7023fe374b604p-3, -0x1.6877ac77df378p-3, -0x1.60e7b21f621f9p-3, -0x1.59741010a780dp-3, -0x1.521cc2be07313p-3, -0x1.4ae1c25446e4bp-3, -0x1.43c302e4bb111p-3, -0x1.3cc0748ea1e88p-3, -0x1.35da03a7b4e53p-3, -0x1.2f0f98e3ed62ap-3, -0x1.2861197c7c43dp-3, -0x1.21ce6755f9edap-3, -0x1.1b576125bebfdp-3, -0x1.14fbe2967929ap-3, -0x1.0ebbc46be9998p-3, -0x1.0896dca5d8839p-3, -0x1.028cfea2386b4p-3, -0x1.f93bf67d0245ep-4, -0x1.ed9341f068d6p-4, -0x1.e21f78193cd42p-4, -0x1.d6e02d2f996e6p-4, -0x1.cbd4f1655f49dp-4, -0x1.c0fd512100626p-4, -0x1.b658d536b74c2p-4, -0x1.abe70320248e6p-4, -0x1.a1a75d327e13bp-4, -0x1.979962d3223e3p-4, -0x1.8dbc90aac5af3p-4, -0x1.841060d70f13fp-4, -0x1.7a944b1acb2f3p-4, -0x1.7147c50caa2dp-4, -0x1.682a424490731p-4, -0x1.5f3b348781444p-4, -0x1.567a0bf223eaep-4, -0x1.4de63721edcafp-4, -0x1.457f235cf31ebp-4, -0x1.3d443cb8650dp-4, -0x1.3534ee3dc2ba6p-4, -0x1.2d50a20ec3237p-4, -0x1.2596c187fc25bp-4, -0x1.1e06b5624e756p-4, -0x1.169fe5d31a049p-4, -0x1.0f61baab43d4p-4, -0x1.084b9b750f4a8p-4, -0x1.015cef90d4c04p-4, -0x1.f52a3ca12e599p-5, -0x1.e7e71e2506b0ep-5, -0x1.daef52b4b612ep-5, -0x1.ce41a9d3a775fp-5, -0x1.c1dcf3afde6abp-5, -0x1.b5c0014ea261ap-5, -0x1.a9e9a4b73a8b9p-5, -0x1.9e58b11bb8ec9p-5, -0x1.930bfaffece7ep-5, -0x1.8802585e80705p-5, -0x1.7d3aa0cc4c2c8p-5, -0x1.72b3ad99f69e4p-5, -0x1.686c59f3db7bap-5, -0x1.5e638300559d9p-5, -0x1.549807fc690d6p-5, -0x1.4b08ca56e4c3bp-5, -0x1.41b4adc9fc73fp-5, -0x1.389a98736d088p-5, -0x1.2fb972eb31186p-5, -0x1.27102858d52a3p-5, -0x1.1e9da6876fa46p-5, -0x1.1660ddf84f0f7p-5, -0x1.0e58c1f4606dcp-5, -0x1.0684489c5c145p-5, -0x1.fdc4d5ef8b625p-6, -0x1.eee44a0583e6bp-6, -0x1.e064eb759fd3ep-6, -0x1.d244be54e4d16p-6, -0x1.c481cce7939a8p-6, -0x1.b71a27b4602d7p-6, -0x1.aa0be595b877fp-6, -0x1.9d5523c92b1a2p-6, -0x1.90f405fcfd062p-6, -0x1.84e6b65c0805dp-6, -0x1.792b6597e65f8p-6, -0x1.6dc04af185a2ep-6, -0x1.62a3a440285c7p-6, -0x1.57d3b5f6ef4fp-6, -0x1.4d4ecb28f08a4p-6, -0x1.4313358bedf4dp-6, -0x1.391f4d79bc2d9p-6, -0x1.2f7171f067235p-6, -0x1.260808911ab77p-6, -0x1.1ce17d9dec46p-6, -0x1.13fc43f680266p-6, -0x1.0b56d513a7493p-6, -0x1.02efb101f440bp-6, -0x1.f58abcb6bc6f3p-7, -0x1.e5acd47ff5f7ap-7, -0x1.d642d09ba8adap-7, -0x1.c749e52fdb9eep-7, -0x1.b8bf533902549p-7, -0x1.aaa06874f4361p-7, -0x1.9cea7f4c7e718p-7, -0x1.8f9afebba4204p-7, -0x1.82af5a3892468p-7, -0x1.762511996f17ap-7, -0x1.69f9b0f90b87cp-7, -0x1.5e2ad09a826d5p-7, -0x1.52b614cbe4289p-7, -0x1.47992dc7f39aap-7, -0x1.3cd1d79710251p-7, -0x1.325dd9ef4bda4p-7, -0x1.283b0813cd1cap-7, -0x1.1e6740b3802e4p-7, -0x1.14e06dc7296f8p-7, -0x1.0ba4846ee6a81p-7, -0x1.02b184cf2a9cdp-7, -0x1.f40af3da8131fp-8, -0x1.e33cf316c611ep-8, -0x1.d2f54808e312fp-8, -0x1.c330484ea3eadp-8, -0x1.b3ea5e240a9fep-8, -0x1.a5200818f9db1p-8, -0x1.96cdd8c67173ep-8, -0x1.88f076837131ep-8, -0x1.7b849b19925fp-8, -0x1.6e8713796c27p-8, -0x1.61f4bf6ed1673p-8, -0x1.55ca9154fa824p-8, -0x1.4a058dcaa751cp-8, -0x1.3ea2cb6649d23p-8, -0x1.339f726a4993bp-8, -0x1.28f8bc7967d18p-8, -0x1.1eabf44b57e44p-8, -0x1.14b6756193184p-8, -0x1.0b15abbc744a7p-8, -0x1.01c71390a8cf3p-8, -0x1.f19071f9feb71p-9, -0x1.e02d6f813be92p-9, -0x1.cf6075e3544a3p-9, -0x1.bf24f968d98afp-9, -0x1.af768be5e969bp-9, -0x1.a050dc2a93f09p-9, -0x1.91afb5745b2cep-9, -0x1.838efee0ed975p-9, -0x1.75eabae21a9c1p-9, -0x1.68bf06b315877p-9, -0x1.5c0819cf10f94p-9, -0x1.4fc24569390f6p-9, -0x1.43e9f3e61e4cap-9, -0x1.387ba8569019dp-9, -0x1.2d73fdf3fc475p-9, -0x1.22cfa79e4ccc4p-9, -0x1.188b6f5b5a49p-9, -0x1.0ea435d7e9b9ep-9, -0x1.0516f1ea4d002p-9, -0x1.f7c1602d317b8p-10, -0x1.e5fd24290d318p-10, -0x1.d4db9cadf0274p-10, -0x1.c4575f2a55bdfp-10, -0x1.b46b28ab33246p-10, -0x1.a511dcf5197a2p-10, -0x1.964685a0c7463p-10, -0x1.8804513b1dff9p-10, -0x1.7a4692688b6a2p-10, -0x1.6d08bf0be5a91p-10, -0x1.60466f70afe2bp-10, -0x1.53fb5d78ddfc7p-10, -0x1.482363cdfc67ep-10, -0x1.3cba7d15da67dp-10, -0x1.31bcc32a97466p-10, -0x1.27266e562240ap-10, -0x1.1cf3d4912544p-10, -0x1.132168c55a7fbp-10, -0x1.09abba1343c6bp-10, -0x1.008f731b422fcp-10, -0x1.ef92b29413ca2p-11, -0x1.deac9850db0ccp-11, -0x1.ce66895cf23ep-11, -0x1.bebaa933af3cep-11, -0x1.afa34b8efc32ep-11, -0x1.a11af321284f2p-11, -0x1.931c5055262p-11, -0x1.85a240152a402p-11, -0x1.78a7ca979734cp-11, -0x1.6c2822322c202p-11, -0x1.601ea233611e8p-11, -0x1.5486cdc1e2e39p-11, -0x1.495c4ec21cee9p-11, -0x1.3e9af4c1be11bp-11, -0x1.343eb3e9291bcp-11, -0x1.2a43a3f2bbcdfp-11, -0x1.20a5ff27dc594p-11, -0x1.17622163b7192p-11, -0x1.0e74871b9e5bfp-11, -0x1.05d9cc6cf3e67p-11, -0x1.fb1d58611787p-12, -0x1.eb1ffe26e668ap-12, -0x1.dbb5756a12947p-12, -0x1.ccd7e194a632ap-12, -0x1.be819c8cf459ap-12, -0x1.b0ad3510babd1p-12, -0x1.a3556d1a49836p-12, -0x1.9675384f7deb3p-12, -0x1.8a07ba7a70ac9p-12, -0x1.7e08460ba859ap-12, -0x1.72725aa5ab438p-12, -0x1.6741a3b1c7759p-12, -0x1.5c71f6fde756ep-12, -0x1.51ff53634b50fp-12, -0x1.47e5df75ff803p-12, -0x1.3e21e83ce9665p-12, -0x1.34afdff23c884p-12, -0x1.2b8c5ccc37ca9p-12, -0x1.22b417ce01aa6p-12, -0x1.1a23eba077a42p-12, -0x1.11d8d372cd32ap-12, -0x1.09cfe9e2d6d3dp-12, -0x1.020667ecd395dp-12, -0x1.f4f347c5297f1p-13, -0x1.e64e20d3b8cccp-13, -0x1.d81877039a393p-13, -0x1.ca4d9b1e88e0bp-13, -0x1.bce910dffeb62p-13, -0x1.afe68d28bf4b9p-13, -0x1.a341f43f6744ap-13, -0x1.96f7581dabc81p-13, -0x1.8b02f6ca177f7p-13, -0x1.7f6138bdea2bep-13, -0x1.740eaf56e211dp-13, -0x1.69081354b3c81p-13, -0x1.5e4a4361d73f3p-13, -0x1.53d242a77ec4bp-13, -0x1.499d376c68bf2p-13, -0x1.3fa869be5530cp-13, -0x1.35f14225d9a64p-13, -0x1.2c75486459056p-13, -0x1.2332223bdf485p-13, -0x1.1a259240aa338p-13, -0x1.114d76b41b78ap-13, -0x1.08a7c868e3a32p-13, -0x1.003299b026c13p-13, -0x1.efd82a9ebce01p-14, -0x1.dfa4fafd98855p-14, -0x1.cfc855e0791e4p-14, -0x1.c03f17bbd3cadp-14, -0x1.b106464290e31p-14, -0x1.a21b0ea310ed5p-14, -0x1.937ac3d336ef5p-14, -0x1.8522dceb15334p-14, -0x1.7710f38dda81dp-14, -0x1.6942c2609fccdp-14, -0x1.5bb6238eb7b6dp-14, -0x1.4e690f5b24744p-14, -0x1.41599abed740fp-14, -0x1.3485f61361db3p-14, -0x1.27ec6bc9c4475p-14, -0x1.1b8b5f2cfe09ep-14, -0x1.0f614b3011f74p-14, -0x1.036cc147298c5p-14, -0x1.ef58d0970e38cp-15, -0x1.d83df6d3f42b2p-15, -0x1.c18692370ceb2p-15, -0x1.ab30644fe7e67p-15, -0x1.95395163fc7dfp-15, -0x1.7f9f5e99b5bf9p-15, -0x1.6a60b0359e46p-15, -0x1.557b87e926372p-15, -0x1.40ee433279089p-15, -0x1.2cb759ccddba9p-15, -0x1.18d55c31270acp-15, -0x1.0546f225afc06p-15, -0x1.e415b2bada84ap-16, -0x1.be3fc84b379b8p-16, -0x1.9909f0432657ap-16, -0x1.74721a28a2a8dp-16, -0x1.5076576e8f65bp-16, -0x1.2d14d93c0974fp-16, -0x1.0a4bee4c909acp-16, -0x1.d03401d08999fp-17, -0x1.8cfb29e6c6f88p-17, -0x1.4aea8c288f0e3p-17, -0x1.09ff8bde508b2p-17, -0x1.946f69db6cffp-18, -0x1.17217147a012dp-18, -0x1.3821aa99bd717p-19, -0x1.19cbe0b6b9f79p-21, 0x1.4da1eb5c679fcp-20, 0x1.8fb177c76336dp-19, 0x1.3a1ac45d7839p-18, 0x1.aa31e736c8752p-18, 0x1.0c10a8c1468f5p-17, 0x1.41f60759fba61p-17, 0x1.76ca8651b775p-17, 0x1.aa8f8fad733d5p-17, 0x1.dd468255d4a48p-17, 0x1.077859e3ef2fp-16, 0x1.1fc7b8d630fe4p-16, 0x1.379201ab96b1ep-16, 0x1.4ed7d59772c44p-16, 0x1.6599d3ff3a8afp-16, 0x1.7bd89b187954ep-16, 0x1.9194c87c6fbep-16, 0x1.a6cef9b1c3607p-16, 0x1.bb87ccacad233p-16, 0x1.cfbfe046076ddp-16, 0x1.e377d4a99cce8p-16, 0x1.f6b04bbc185b6p-16, 0x1.04b4f4bc77db2p-15, 0x1.0dd2aa24511bfp-15, 0x1.16b19aa7ce9e7p-15, 0x1.1f521c5b136ebp-15, 0x1.27b486f4c4597p-15, 0x1.2fd933eb71386p-15, 0x1.37c07e8fec18ap-15, 0x1.3f6ac424bb442p-15, 0x1.46d863f2c3b9bp-15, 0x1.4e09bf5b53b4ep-15, 0x1.54ff39e7a7375p-15, 0x1.5bb939560c66ep-15, 0x1.623825a4c4947p-15, 0x1.687c691abcf06p-15, 0x1.6e86704e4011ep-15, 0x1.7456aa29ba42ep-15, 0x1.79ed87eea7fa9p-15, 0x1.7f4b7d36cd83cp-15, 0x1.8470fff3cd6c8p-15, 0x1.895e886d36f6fp-15, 0x1.8e14913d21161p-15, 0x1.9293974b6d565p-15, 0x1.96dc19c7c0c0dp-15, 0x1.9aee9a2250439p-15, 0x1.9ecb9c0389fc3p-15, 0x1.a273a542b94e3p-15, 0x1.a5e73ddbae688p-15, 0x1.a926efe3815f7p-15, 0x1.ac33477c7ee76p-15, 0x1.af0cd2c94f9f2p-15, 0x1.b1b421df67f7fp-15, 0x1.b429c6b8d2bd9p-15, 0x1.b66e552562231p-15, 0x1.b88262bb544cbp-15, 0x1.ba6686c77be8dp-15, 0x1.bc1b5a3cf5228p-15, 0x1.bda177a47722dp-15, 0x1.bef97b0b4a0f9p-15, 0x1.c02401f1ed69ap-15, 0x1.c121ab3a7c21p-15, 0x1.c1f31716d3688p-15, 0x1.c298e6f68a572p-15, 0x1.c313bd74c18bap-15, 0x1.c3643e45cfdd1p-15, 0x1.c38b0e24ded52p-15, 0x1.c388d2c16fbfp-15, 0x1.c35e32acdf45bp-15, 0x1.c30bd547e462bp-15, 0x1.c29262b016de8p-15, 0x1.c1f283ad80fb3p-15, 0x1.c12ce1a043dc4p-15, 0x1.c042266e52a06p-15, 0x1.bf32fc714bbf5p-15, 0x1.be000e6473e94p-15, 0x1.bcaa0752d7734p-15, 0x1.bb31928596475p-15, 0x1.b9975b7261e91p-15, 0x1.b7dc0daa2b64fp-15, 0x1.b60054c808bc2p-15, 0x1.b404dc6057ec2p-15, 0x1.b1ea4ff01a86dp-15, 0x1.afb15acc9506cp-15, 0x1.ad5aa8132fb5ep-15, 0x1.aae6e2999cc14p-15, 0x1.a856b4de48e0dp-15, 0x1.a5aac8f9112c6p-15, 0x1.a2e3c88c49a4fp-15, 0x1.a0025cb60d99ap-15, 0x1.9d072e01e179bp-15, 0x1.99f2e45aa4463p-15, 0x1.96c626fcd2706p-15, 0x1.93819c691c4e3p-15, 0x1.9025ea574fc93p-15, 0x1.8cb3b5a996b7ep-15, 0x1.892ba2600baf7p-15, 0x1.858e538ca1b32p-15, 0x1.81dc6b4765f61p-15, 0x1.7e168aa314d73p-15, 0x1.7a3d51a207dabp-15, 0x1.76515f2b7906ep-15, 0x1.725351011e2a9p-15, 0x1.6e43c3b51b53p-15, 0x1.6a2352a04991ap-15, 0x1.65f297d8d6065p-15, 0x1.61b22c2938769p-15, 0x1.5d62a7077a995p-15, 0x1.59049e8cd975p-15, 0x1.5498a76db82a7p-15, 0x1.501f54f1e993cp-15, 0x1.4b9938ed48cb4p-15, 0x1.4706e3b8a8e21p-15, 0x1.4268e42b12c5dp-15, 0x1.3dbfc79356607p-15, 0x1.390c19b1ea42cp-15, 0x1.344e64b31b4aep-15, 0x1.2f8731298a1d4p-15, 0x1.2ab70608f3ea8p-15, 0x1.25de68a14be9bp-15, 0x1.20fddc9a19ff2p-15, 0x1.1c15e3ee27eebp-15, 0x1.1726fee774cf4p-15, 0x1.1231ac1b708dp-15, 0x1.0d3668677dad5p-15, 0x1.0835aeedba693p-15, 0x1.032ff9120a44dp-15, 0x1.fc4b7ceec8f17p-16, 0x1.f22ee9fac891cp-16, 0x1.e80b217c318aap-16, 0x1.dde1081825be9p-16, 0x1.d3b17ee167f7cp-16, 0x1.c97d63556976ep-16, 0x1.bf458f59d70c8p-16, 0x1.b50ad93a918fep-16, 0x1.aace13a81df3bp-16, 0x1.a0900db681707p-16, 0x1.965192dc86e3dp-16, 0x1.8c136af373275p-16, 0x1.81d65a371cd7bp-16, 0x1.779b214664abp-16, 0x1.6d627d2419dd1p-16, 0x1.632d273830c08p-16, 0x1.58fbd55161cc4p-16, 0x1.4ecf39a718a4bp-16, 0x1.44a802dbc018fp-16, 0x1.3a86dbff64989p-16, 0x1.306c6c92a1998p-16, 0x1.26595889e79fdp-16, 0x1.1c4e40510b0cap-16, 0x1.124bc0cf1bb4p-16, 0x1.0852736a8e985p-16, 0x1.fcc5dc1b42967p-17, 0x1.e8fb865616411p-17, 0x1.d5470385d5d1ep-17, 0x1.c1a96acff0d0cp-17, 0x1.ae23cc89da90ep-17, }}, 
      {{0x1.dd1c03f71f9b8p-1, 0x1.dc9e0ab8862eep-1, 0x1.dbd00e71b1249p-1, 0x1.dab71df4ed42ap-1, 0x1.d95944435f26cp-1, 0x1.d7bd1ceb1d2c4p-1, 0x1.d5e981aedee74p-1, 0x1.d3e54c7873046p-1, 0x1.d1b72983d7d9p-1, 0x1.cf657672ad67ap-1, 0x1.ccf62b966cf71p-1, 0x1.ca6ecd41ca428p-1, 0x1.c7d4635becf9fp-1, 0x1.c52b75c7321c7p-1, 0x1.c2780c7436c3bp-1, 0x1.bfbdb23405862p-1, 0x1.bcff798b9fda5p-1, 0x1.ba4002f1c60ccp-1, 0x1.b78183ff53a06p-1, 0x1.b4c5cf341837ap-1, 0x1.b20e5c06d8302p-1, 0x1.af5c4f07eabe7p-1, 0x1.acb081eb7c451p-1, 0x1.aa0b8b5b67af2p-1, 0x1.a76dc67957c1bp-1, 0x1.a4d75a00dd25dp-1, 0x1.a2483efeb4eap-1, 0x1.9fc04716cedeap-1, 0x1.9d3f225618f6dp-1, 0x1.9ac4648fab2efp-1, 0x1.984f8a46f86cp-1, 0x1.95dffd2a2964cp-1, 0x1.93751820d5c7dp-1, 0x1.910e2af422edcp-1, 0x1.8eaa7d95c3111p-1, 0x1.8c49530ba7c4ap-1, 0x1.89e9ec065b932p-1, 0x1.878b8927fa734p-1, 0x1.852d6d01b11afp-1, 0x1.82ceddcd7f7c6p-1, 0x1.806f26e9d0455p-1, 0x1.7e0d9a1c2ee07p-1, 0x1.7ba990a02eef5p-1, 0x1.79426c074318fp-1, 0x1.76d796ee08f6ep-1, 0x1.7468858b31cabp-1, 0x1.71f4b61bfae12p-1, 0x1.6f7bb131d2522p-1, 0x1.6cfd09e487751p-1, 0x1.6a785dec2070ap-1, 0x1.67ed55a53327cp-1, 0x1.655ba4025c09cp-1, 0x1.62c3066d3f56p-1, 0x1.602344994165fp-1, 0x1.5d7c3049f65c6p-1, 0x1.5acda50f1e0f8p-1, 0x1.581787f7c9982p-1, 0x1.5559c73e31117p-1, 0x1.529459ed8954fp-1, 0x1.4fc73f831426bp-1, 0x1.4cf27f8b7e256p-1, 0x1.4a16293d8412cp-1, 0x1.47325312bc3e8p-1, 0x1.44471a5f48395p-1, 0x1.4154a2e921609p-1, 0x1.3e5b167f920dfp-1, 0x1.3b5aa4936c1cap-1, 0x1.385381d06af1p-1, 0x1.3545e7b82a8ecp-1, 0x1.3232143f0bedbp-1, 0x1.2f18496b51f8bp-1, 0x1.2bf8ccf6b459ap-1, 0x1.28d3e7f2a1affp-1, 0x1.25a9e66f58fdfp-1, 0x1.227b1725ff401p-1, 0x1.1f47cb25ce6bfp-1, 0x1.1c1055846e55cp-1, 0x1.18d50b118a666p-1, 0x1.1596420dabd28p-1, 0x1.125451e45b68dp-1, 0x1.0f0f92e98d99ep-1, 0x1.0bc85e1a533a1p-1, 0x1.087f0ce0c784cp-1, 0x1.0533f8db34fe5p-1, 0x1.01e77ba65ebe3p-1, 0x1.fd33dd55cdbb7p-2, 0x1.f69755db77ad5p-2, 0x1.effa11c6f9172p-2, 0x1.e95cc08d83a5bp-2, 0x1.e2c00fe26a375p-2, 0x1.dc24ab6ec7ce6p-2, 0x1.d58b3c8e6850dp-2, 0x1.cef46a11d2fa4p-2, 0x1.c860d8053c723p-2, 0x1.c1d1277c3dc88p-2, 0x1.bb45f662179b3p-2, 0x1.b4bfdf4e5b22cp-2, 0x1.ae3f795dc7018p-2, 0x1.a7c5580f2856ap-2, 0x1.a1520b24179dep-2, 0x1.9ae61e855e584p-2, 0x1.94821a2ae0fc8p-2, 0x1.8e268206d868p-2, 0x1.87d3d5f439d52p-2, 0x1.818a91a81a50fp-2, 0x1.7b4b2ca5f18c3p-2, 0x1.75161a3683ba7p-2, 0x1.6eebc9615f978p-2, 0x1.68cca4e8b8468p-2, 0x1.62b9134788925p-2, 0x1.5cb176b1cba9ap-2, 0x1.56b62d16b9bf4p-2, 0x1.50c79024dbb2p-2, 0x1.4ae5f54fdb595p-2, 0x1.4511add7f36f6p-2, 0x1.3f4b06d2dfdecp-2, 0x1.39924936308b9p-2, 0x1.33e7b9e2eb3e9p-2, 0x1.2e4b99b259118p-2, 0x1.28be2583ece4fp-2, 0x1.233f964c2dc24p-2, 0x1.1dd0212485f11p-2, 0x1.186ff75be8ac3p-2, 0x1.131f46883878cp-2, 0x1.0dde389859e55p-2, 0x1.08acf3e6de03ep-2, 0x1.038b9b4d37de8p-2, 0x1.fcf49c6ecdd28p-3, 0x1.f2f251701986cp-3, 0x1.e9108739b0975p-3, 0x1.df4f69067994cp-3, 0x1.d5af1bdacb99ap-3, 0x1.cc2fbeaeb886p-3, 0x1.c2d16a989e79fp-3, 0x1.b99432f7ee174p-3, 0x1.b07825a00a451p-3, 0x1.a77d4b0336e82p-3, 0x1.9ea3a65d7b49cp-3, 0x1.95eb35df6a1cp-3, 0x1.8d53f2d8c3aabp-3, 0x1.84ddd1e2d6f58p-3, 0x1.7c88c30aa1b26p-3, 0x1.7454b1fa97791p-3, 0x1.6c4186240c928p-3, 0x1.644f22e830314p-3, 0x1.5c7d67c091ad3p-3, 0x1.54cc30672a99ap-3, 0x1.4d3b54fdd7b9p-3, 0x1.45caaa354b5c1p-3, 0x1.3e7a01735ec8ep-3, 0x1.374928f8cefacp-3, 0x1.3037ec064ebcep-3, 0x1.29461300f3675p-3, 0x1.22736395f1b01p-3, 0x1.1bbfa0dda8cdcp-3, 0x1.152a8b7dfe8f5p-3, 0x1.0eb3e1cbf74cap-3, 0x1.085b5fec9c29p-3, 0x1.0220bff525fa3p-3, 0x1.f8077414b9fd1p-4, 0x1.ec0808fe94d4p-4, 0x1.e042a7e62beccp-4, 0x1.d4b6b6dc654d8p-4, 0x1.c96398fd7b6cap-4, 0x1.be48aea8461b2p-4, 0x1.b36555b3f95d8p-4, 0x1.a8b8e9a4613e2p-4, 0x1.9e42c3dca363dp-4, 0x1.94023bd07f368p-4, 0x1.89f6a734139bdp-4, 0x1.801f5a2a2997p-4, 0x1.767ba7710eb3fp-4, 0x1.6d0ae08dfa24dp-4, 0x1.63cc55f7074bap-4, 0x1.5abf573bc5b0fp-4, 0x1.51e3332c659e2p-4, 0x1.493737ff84b2p-4, 0x1.40bab376a0f38p-4, 0x1.386cf301358b9p-4, 0x1.304d43de8912p-4, 0x1.285af33e303dap-4, 0x1.20954e5f4ea43p-4, 0x1.18fba2ae963ebp-4, 0x1.118d3de310c75p-4, 0x1.0a496e19b50d6p-4, 0x1.032f81efd164dp-4, 0x1.f87d91389e7b8p-5, 0x1.eaed240fae8ddp-5, 0x1.ddac5dc7b8e16p-5, 0x1.d0b9e1812689bp-5, 0x1.c4145443bafa7p-5, 0x1.b7ba5d265d8dbp-5, 0x1.abaaa574e3cf8p-5, 0x1.9fe3d8d3e71cbp-5, 0x1.9464a562b7e19p-5, 0x1.892bbbdb730a5p-5, 0x1.7e37cfb14c4b9p-5, 0x1.7387972d182b8p-5, 0x1.6919cb8822cfap-5, 0x1.5eed29055c5b8p-5, 0x1.55006f08ec1d5p-5, 0x1.4b52602e34096p-5, 0x1.41e1c25c512ddp-5, 0x1.38ad5ed921eb3p-5, 0x1.2fb4025ae43d5p-5, 0x1.26f47d1871015p-5, 0x1.1e6da2d82300bp-5, 0x1.161e4afd74a82p-5, 0x1.0e0550955c292p-5, 0x1.0621926179b98p-5, 0x1.fce3e5c42af6p-6, 0x1.edeab0be05b58p-6, 0x1.df5559dede143p-6, 0x1.d121bd01476ddp-6, 0x1.c34dbdb7933e5p-6, 0x1.b5d747556bd11p-6, 0x1.a8bc4cf78f05cp-6, 0x1.9bfac989c550ap-6, 0x1.8f90bfcb20394p-6, 0x1.837c3a5098f74p-6, 0x1.77bb4b8616381p-6, 0x1.6c4c0dadf69b1p-6, 0x1.612ca2df26edp-6, 0x1.565b3501d723ep-6, 0x1.4bd5f5cae3362p-6, 0x1.419b1eb5f3533p-6, 0x1.37a8f0fe70567p-6, 0x1.2dfdb59750ad8p-6, 0x1.2497bd21d2cedp-6, 0x1.1b755fe32a2ccp-6, 0x1.1294fdb93ce7bp-6, 0x1.09f4fe0e66491p-6, 0x1.0193cfcc683f6p-6, 0x1.f2dfd29cf487dp-7, 0x1.e30f90a53cf49p-7, 0x1.d3b3e3d45c86bp-7, 0x1.c4c9e4d37eaacp-7, 0x1.b64ebab0bbab2p-7, 0x1.a83f9abc55db4p-7, 0x1.9a99c864e019bp-7, 0x1.8d5a9512469fbp-7, 0x1.807f5fffe8902p-7, 0x1.74059615c0dcep-7, 0x1.67eab1c0c31abp-7, 0x1.5c2c3aca69725p-7, 0x1.50c7c62f940e8p-7, 0x1.45baf5f6c2538p-7, 0x1.3b037905b513fp-7, 0x1.309f0af692f3dp-7, 0x1.268b73ec8e459p-7, 0x1.1cc68868244e8p-7, 0x1.134e291b0157fp-7, 0x1.0a2042bb94f4bp-7, 0x1.013acdd8636c6p-7, 0x1.f1379d5641efep-8, 0x1.e082a9d74229fp-8, 0x1.d052f7454a1cdp-8, 0x1.c0a4d1f929b2p-8, 0x1.b1749c3855213p-8, 0x1.a2becdda39f35p-8, 0x1.947ff3ed9c76ep-8, 0x1.86b4b05e166bp-8, 0x1.7959b999c3442p-8, 0x1.6c6bda372a153p-8, 0x1.5fe7f09b75287p-8, 0x1.53caeea105a3ap-8, 0x1.4811d93e70712p-8, 0x1.3cb9c82deed94p-8, 0x1.31bfe59555168p-8, 0x1.27216dae92469p-8, 0x1.1cdbae70cbba6p-8, 0x1.12ec073a1a1fap-8, 0x1.094fe879f215bp-8, 0x1.0004d35c436f3p-8, 0x1.ee10b2eaa985ap-9, 0x1.dcb038dccda91p-9, 0x1.cbe39b6645e11p-9, 0x1.bba65c3fbdd3dp-9, 0x1.abf41b61782c4p-9, 0x1.9cc89663479b5p-9, 0x1.8e1fa7de5cc9bp-9, 0x1.7ff546d0e398p-9, 0x1.7245860382d1dp-9, 0x1.650c9370c1b4p-9, 0x1.5846b7ae60c97p-9, 0x1.4bf05558a4fd7p-9, 0x1.4005e87fa2f71p-9, 0x1.34840616899d3p-9, 0x1.29675b64f5e4fp-9, 0x1.1eacad7a522b9p-9, 0x1.1450d8a3408b1p-9, 0x1.0a50cfe11bfc5p-9, 0x1.00a99c638aa5bp-9, 0x1.eeb0ba084f0dbp-10, 0x1.dcb48b8883a41p-10, 0x1.cb593e996ce6bp-10, 0x1.ba998cdfc1ebp-10, 0x1.aa70575b4c09bp-10, 0x1.9ad8a5732bbf5p-10, 0x1.8bcda40648e83p-10, 0x1.7d4aa47fef75ep-10, 0x1.6f4b1bf09c012p-10, 0x1.61caa22ae0912p-10, 0x1.54c4f0e4739ep-10, 0x1.4835e2db4f676p-10, 0x1.3c1972fef283bp-10, 0x1.306bbb9d9da06p-10, 0x1.2528f595adf94p-10, 0x1.1a4d778adc3c2p-10, 0x1.0fd5b51f8ce13p-10, 0x1.05be3e31fd645p-10, 0x1.f8077c3abe856p-11, 0x1.e545f5fd9cfdap-11, 0x1.d331a9fc35545p-11, 0x1.c1c48b34b38fcp-11, 0x1.b0f8bdf472e2p-11, 0x1.a0c8968009c0fp-11, 0x1.912e97c2aa32fp-11, 0x1.82257204bcdb7p-11, 0x1.73a801a9a3defp-11, 0x1.65b14df48df8fp-11, 0x1.583c87d440fe9p-11, 0x1.4b4508b5c5101p-11, 0x1.3ec6515dd7ed8p-11, 0x1.32bc08c91296ep-11, 0x1.2721fb12a5123p-11, 0x1.1bf4186191995p-11, 0x1.112e73dc4ffd2p-11, 0x1.06cd42a2bbf9ap-11, 0x1.f999b59c76378p-12, 0x1.e65364eff6c0dp-12, 0x1.d3c0bd8a6ac3ep-12, 0x1.c1db25f2af759p-12, 0x1.b09c3f1bffd77p-12, 0x1.9ffde2a159e83p-12, 0x1.8ffa210c182cp-12, 0x1.808b402597049p-12, 0x1.71abb953ae734p-12, 0x1.635637ffcf2f3p-12, 0x1.5585980893c4dp-12, 0x1.4834e43d8f41bp-12, 0x1.3b5f54e52cd5ap-12, 0x1.2f004e4c6d122p-12, 0x1.23135f605024ep-12, 0x1.17944050bc696p-12, 0x1.0c7ed13cb52f2p-12, 0x1.01cf18e7a80f7p-12, 0x1.ef0286ef61b0cp-13, 0x1.db2342792bcdbp-13, 0x1.c7f94afeaf1e2p-13, 0x1.b57dcab44cdfcp-13, 0x1.a3aa2d3111b2ep-13, 0x1.92781d3f1ccdp-13, 0x1.81e182bbbce27p-13, 0x1.71e08086ee1cp-13, 0x1.626f7281e1b9cp-13, 0x1.5388eb9c41066p-13, 0x1.4527b3efc7a02p-13, 0x1.3746c6e9f356cp-13, 0x1.29e151836cd85p-13, 0x1.1cf2b084dbb62p-13, 0x1.10766ed8d1fe5p-13, 0x1.046843ea875aap-13, 0x1.f188242228e2cp-14, 0x1.db0bca0dae52dp-14, 0x1.c553e0d9955acp-14, 0x1.b0591cb2e7675p-14, 0x1.9c147be648219p-14, 0x1.887f442a98e15p-14, 0x1.7593000126832p-14, 0x1.63497c2adc80ep-14, 0x1.519cc531f20d2p-14, 0x1.408725078e399p-14, 0x1.300320b4e0048p-14, 0x1.200b761f27dffp-14, 0x1.109b19de3665dp-14, 0x1.01ad3524e3348p-14, 0x1.e67a477606dedp-15, 0x1.ca8ce410cebe1p-15, 0x1.af89b660d999fp-15, 0x1.95688e7b5fdcdp-15, 0x1.7c2192badcd74p-15, 0x1.63ad3c545835ap-15, 0x1.4c04540a5d36fp-15, 0x1.351feefccb6e1p-15, 0x1.1ef96b94b5db1p-15, 0x1.098a6e8b8245p-15, 0x1.e999c01907852p-16, 0x1.c175d1e0a5201p-16, 0x1.9a9de02239b2cp-16, 0x1.75072f6e7fd8dp-16, 0x1.50a7763adcf43p-16, 0x1.2d74d817648fdp-16, 0x1.0b65e11147e31p-16, 0x1.d4e302809c6ffp-17, 0x1.951e10fc28374p-17, 0x1.576c448ba5b1dp-17, 0x1.1bbda376d561cp-17, 0x1.c405b7621c042p-18, 0x1.545a76faa9d9p-18, 0x1.d0baa9680176ap-19, 0x1.ffcd118d497bcp-20, 0x1.b02519e7a8d2p-22, -0x1.1a39b3674d6c1p-20, -0x1.49adc263ffc5fp-19, -0x1.ffdc04435031bp-19, -0x1.57e9de13cb835p-18, -0x1.acdfa5dce2c79p-18, -0x1.fee3b7029a998p-18, -0x1.2704d2cc6b3c3p-17, -0x1.4d3222dbc0d4dp-17, -0x1.7202da465260ap-17, -0x1.957fb0870a023p-17, -0x1.b7b10a2703e2dp-17, -0x1.d89efcbad5eb4p-17, -0x1.f85152b478904p-17, -0x1.0b67c7859a0b2p-16, -0x1.1a10785d8d942p-16, -0x1.28263b0ebd856p-16, -0x1.35ac700dcda63p-16, -0x1.42a65a9e964b6p-16, -0x1.4f172249d79b5p-16, -0x1.5b01d4420a151p-16, -0x1.666964b7ee7d9p-16, -0x1.7150b01f6e069p-16, -0x1.7bba7c6562bc5p-16, -0x1.85a97a16df89fp-16, -0x1.8f20457a719d7p-16, -0x1.9821679bf3ecep-16, -0x1.a0af574b70ce4p-16, -0x1.a8cc7a0f8f029p-16, -0x1.b07b250c084edp-16, -0x1.b7bd9ddca4d98p-16, -0x1.be961b6523cap-16, -0x1.c506c6968f426p-16, -0x1.cb11bb2a6206ap-16, -0x1.d0b90853e1892p-16, -0x1.d5feb168205fbp-16, -0x1.dae4ae7cff998p-16, -0x1.df6cecff948fp-16, -0x1.e39950424eb0ap-16, -0x1.e76bb20333ca8p-16, -0x1.eae5e2ea8c193p-16, -0x1.ee09ab02527c4p-16, -0x1.f0d8ca26b3004p-16, -0x1.f354f86feeef7p-16, -0x1.f57fe695eb97dp-16, -0x1.f75b3e4db3d2cp-16, -0x1.f8e8a2a135184p-16, -0x1.fa29b0417f719p-16, -0x1.fb1ffdd3be57fp-16, -0x1.fbcd1c3933fedp-16, -0x1.fc3296d2721ebp-16, -0x1.fc51f3be04242p-16, -0x1.fc2cb412ce7d8p-16, -0x1.fbc454164aa98p-16, -0x1.fb1a4b6ee30a4p-16, -0x1.fa300d5299003p-16, -0x1.f90708b225942p-16, -0x1.f7a0a860c5b06p-16, -0x1.f5fe5338e006fp-16, -0x1.f4216c3daad54p-16, -0x1.f20b52ba005cp-16, -0x1.efbd625c883bfp-16, -0x1.ed38f35157956p-16, -0x1.ea7f5a593608cp-16, -0x1.e791e8dea240ap-16, -0x1.e471ed08b7e48p-16, -0x1.e120b1cc239fcp-16, -0x1.dd9f7efa300d7p-16, -0x1.d9ef994e1df86p-16, -0x1.d6124278d5a0bp-16, -0x1.d208b92b139dap-16, -0x1.cdd4391e26f9bp-16, -0x1.c975fb1b62664p-16, -0x1.c4ef35024b56dp-16, -0x1.c04119cda8284p-16, -0x1.bb6cd99781821p-16, -0x1.b673a19c23e9bp-16, -0x1.b1569c3c413c6p-16, -0x1.ac16f0fe3c26p-16, -0x1.a6b5c48eb55cep-16, -0x1.a13438c0628f2p-16, -0x1.9b936c8b4f6eap-16, -0x1.95d47c0b85fa2p-16, -0x1.8ff8807f37f43p-16, -0x1.8a0090447961bp-16, -0x1.83edbed68cc93p-16, -0x1.7dc11ccadebdep-16, -0x1.777bb7cdaaf25p-16, -0x1.711e9a9e67a5fp-16, -0x1.6aaacd0bef7fep-16, -0x1.642153f0881acp-16, -0x1.5d83312dbbe42p-16, -0x1.56d163a81a0a3p-16, -0x1.500ce742eae2bp-16, -0x1.4936b4dbcbd1cp-16, -0x1.424fc246531dap-16, -0x1.3b590247b1996p-16, -0x1.345364925c3cap-16, -0x1.2d3fd5c1cb58ep-16, -0x1.261f3f5646c83p-16, -0x1.1ef287b0d287dp-16, -0x1.17ba920f3b083p-16, -0x1.10783e883e4f3p-16, -0x1.092c6a07e4a9ap-16, -0x1.01d7ee4bfed49p-16, -0x1.f4f743c1b2f31p-17, -0x1.e630b03c37cdep-17, -0x1.d75dc247bf69cp-17, -0x1.c88013b0013ep-17, -0x1.b99937c74924dp-17, -0x1.aaaabb620086p-17, -0x1.9bb624d2b654p-17, -0x1.8cbcf3e69ea66p-17, -0x1.7dc0a1e29b3ccp-17, -0x1.6ec2a180c898ep-17, -0x1.5fc45eee8b5a5p-17, -0x1.50c73fcb29667p-17, -0x1.41cca326f04a9p-17, -0x1.32d5e182d9944p-17, -0x1.23e44cd0c835ap-17, -0x1.14f93074472f9p-17, -0x1.0615d143d80f7p-17, -0x1.ee76db159666p-18, -0x1.d0d67a17435bep-18, -0x1.b34ce205f5155p-18, -0x1.95dc685610c27p-18, -0x1.7887557f1ccabp-18, -0x1.5b4fe504cab71p-18, -0x1.3e38458106d28p-18, -0x1.214298af13d81p-18, -0x1.0470f377a600ap-18, -0x1.cf8abbfbff7bbp-19, -0x1.9683a75c10b5bp-19, -0x1.5dd08696b6b52p-19, -0x1.25751e028eb6fp-19, -0x1.daea31cef575ap-20, -0x1.6ba813449a746p-20, -0x1.fa55a728ef7ep-21, -0x1.1ef2696040fc2p-21, -0x1.14ce3cf069a4dp-23, 0x1.25b44cc55eb14p-22, 0x1.692a5716e5b3fp-21, 0x1.1ed88120197c4p-20, 0x1.883143232f66fp-20, 0x1.f099cfeb5759ap-20, 0x1.2c065a46e5207p-19, 0x1.5f42563bbaeffp-19, 0x1.91fe5081b90c9p-19, 0x1.c437d487768f6p-19, 0x1.f5ec844551129p-19, 0x1.138d0c027d901p-18, 0x1.2bdf2f13f32efp-18, 0x1.43eb9d764f1a6p-18, 0x1.5bb154198aecp-18, 0x1.732f5a9ffc533p-18, 0x1.8a64c33f8719dp-18, 0x1.a150aaa25c71p-18, 0x1.b7f237c74c6dbp-18, 0x1.ce489be1b336ep-18, 0x1.e453123905a56p-18, 0x1.fa10e008023b6p-18, 0x1.07c0aa2dc7fb6p-17, 0x1.1251e3f8a5102p-17, 0x1.1cbbce8ae39c6p-17, 0x1.26fe1fc14ca39p-17, 0x1.3118921e083c7p-17, 0x1.3b0ae4b762c6fp-17, 0x1.44d4db267778ep-17, 0x1.4e763d75c54c6p-17, 0x1.57eed80fad4e6p-17, 0x1.613e7bace1374p-17, 0x1.6a64fd42bd1e8p-17, 0x1.736235f1a09a4p-17, 0x1.7c3602f32976cp-17, 0x1.84e0458878154p-17, 0x1.8d60e2e862804p-17, 0x1.95b7c42dad42cp-17, 0x1.9de4d64532f4fp-17, 0x1.a5e809dc1e84ap-17, 0x1.adc1534e1714bp-17, 0x1.b570aa93817a1p-17, 0x1.bcf60b2fb4c0bp-17, 0x1.c451741f48a15p-17, 0x1.cb82e7c66114fp-17, 0x1.d28a6bdf0ca55p-17, 0x1.d9680967b4078p-17, 0x1.e01bcc9189b77p-17, 0x1.e6a5c4af1d9a7p-17, 0x1.ed060422fab81p-17, 0x1.f33ca04e507b1p-17, 0x1.f949b17fc5bcap-17, 0x1.ff2d52e24d415p-17, 0x1.0273d13612b8cp-16, 0x1.053c6066f2854p-16, 0x1.07f068b0d47acp-16, 0x1.0a8ffd0d2e072p-16, 0x1.0d1b31b991793p-16, 0x1.0f921c2f6d463p-16, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      52, 0x1.2666666666666p+2, 0x1.52c907ac4cd35p+1, 0x1.0cdee65823ep+2, -0x1.a0af31e872788p-5, 
      {{
        {0x1p+1, 0x1.0666666666666p+1, 0x1.235ea0a9ffb21p-2, -0x1.c6858ee654f44p-1, 0x1.2cc0a19470073p+0, -0x1.79f5435f5b45p-1}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, 0x1.f1a937b0a90b5p-3, -0x1.8d34b6210a1d3p-1, 0x1.1067d6207c622p+0, -0x1.63b75bca64f47p-1}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, 0x1.a77d75d63fbabp-3, -0x1.596484f3bd836p-1, 0x1.eb742b490338ep-1, -0x1.50ce6b3a86465p-1}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, 0x1.67285dee027f2p-3, -0x1.2ac5f877c209fp-1, 0x1.b8eece66a2482p-1, -0x1.3d00ed8aed506p-1}, 
        {0x1.199999999999ap+1, 0x1.2p+1, 0x1.2fa76267c874bp-3, -0x1.010ebca6376ep-1, 0x1.8961ddf831e23p-1, -0x1.2970ad5520954p-1}, 
        {0x1.2p+1, 0x1.2666666666666p+1, 0x1.000705fa00cc1p-3, -0x1.b7e67876f373cp-2, 0x1.5cc42a5ea0326p-1, -0x1.15d00457e0c0cp-1}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, 0x1.aec5b743658c4p-4, -0x1.7650700e4dd35p-2, 0x1.331829b7d815ap-1, -0x1.0233c0fea07b1p-1}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, 0x1.69cb0d44fb6c4p-4, -0x1.3cc4b39131d08p-2, 0x1.0c5d332b4002fp-1, -0x1.dd2c9fb9a7eaep-2}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, 0x1.2f91750d32046p-4, -0x1.0aaca2d9efdf4p-2, 0x1.d126e7faa6d63p-2, -0x1.b5f26072740acp-2}, 
        {0x1.399999999999ap+1, 0x1.4p+1, 0x1.fd54ec7b50851p-5, -0x1.bee334e9dc468p-3, 0x1.8f75bfe97bd42p-2, -0x1.8eb7f0cac32e1p-2}, 
        {0x1.4p+1, 0x1.4666666666666p+1, 0x1.ab8b720a5a75bp-5, -0x1.74f9ef953ec22p-3, 0x1.53a6f564ab5a4p-2, -0x1.677d9fa8a16f8p-2}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, 0x1.67620c3f80475p-5, -0x1.367030425c59cp-3, 0x1.1dba83d82cbdp-2, -0x1.404304d0bf86p-2}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.2eb08dad20afbp-5, -0x1.0218b0d7b26f5p-3, 0x1.db60eca4ecd11p-3, -0x1.1909724a4c971p-2}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.ff1613fff55e1p-6, -0x1.ad8c5c2f5ba4dp-4, 0x1.87114a5b6f70dp-3, -0x1.e3981067c9d93p-3}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.b083abfe5b146p-6, -0x1.6696b3f5aaf15p-4, 0x1.3e8747e5778ffp-3, -0x1.9539e817c47f7p-3}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.6ec30f18719d7p-6, -0x1.2cf61d8ab0dbcp-4, 0x1.01be98484d49ep-3, -0x1.4670bf7450a51p-3}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.3765eb45f8ab4p-6, -0x1.fc9e415aab9f4p-5, 0x1.a18e90ba82627p-4, -0x1.f26dd8842ba85p-4}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.087670b37077cp-6, -0x1.b0954f561232bp-5, 0x1.56cae3737bd5cp-4, -0x1.4c55873c87c2bp-4}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.c0eea384339b2p-7, -0x1.71027ec1298c7p-5, 0x1.24f1425d9aabfp-4, -0x1.e7ecdff7d548cp-5}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.7cbec01de8c72p-7, -0x1.3a14a8ebd1f8fp-5, 0x1.005917f7d1131p-4, -0x1.d2a125021cdecp-5}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.42d2977f59391p-7, -0x1.0a4f91d85a4b9p-5, 0x1.bab39d95b76b6p-5, -0x1.a60c15cceacf1p-5}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.11c6c59f129cp-7, -0x1.c2697a42a2ca3p-6, 0x1.7b6500b6fa996p-5, -0x1.7fb456c3fe815p-5}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.d0acb859a8648p-8, -0x1.7c49e6f0570bap-6, 0x1.41d6c07ffad27p-5, -0x1.57b0ab497d5f1p-5}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.8ab5c5231daaep-8, -0x1.4113859172487p-6, 0x1.0e490d34f4d14p-5, -0x1.301f616904d4ep-5}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.4f98abdec9e8bp-8, -0x1.0f94bdfce9123p-6, 0x1.c1557d30ce953p-6, -0x1.08707d92001ccp-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.1d825243552b6p-8, -0x1.cd3a7b2f51ca4p-7, 0x1.72008ab834f33p-6, -0x1.c18b3ff649fa2p-6}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.e5b912f39555cp-9, -0x1.89f89f1ecffdap-7, 0x1.2e920decdd0dfp-6, -0x1.725086b4541a8p-6}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.9c9c1c3b319bdp-9, -0x1.530304c18132fp-7, 0x1.ee0bf3706dacfp-7, -0x1.22a1b9431b5d3p-6}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.5d751079224fbp-9, -0x1.25f77307e8902p-7, 0x1.96db6f0f7f113p-7, -0x1.a9507546435d5p-7}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.268516add0f02p-9, -0x1.007882678699dp-7, 0x1.570f5d7828299p-7, -0x1.009b29dad8e9cp-7}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.ed0e597cdab43p-10, -0x1.c02db6952ed2dp-8, 0x1.3091b0ca87a01p-7, -0x1.5a25e03bb0186p-8}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.9956b19c61ea9p-10, -0x1.85dc6110f6f0bp-8, 0x1.169ba65fa737fp-7, -0x1.5d6fada6d8d49p-8}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.50c3902883e43p-10, -0x1.50c291180b99fp-8, 0x1.f8ccf2b3144fbp-8, -0x1.4734862218637p-8}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.124bdb632d06cp-10, -0x1.20bbe7e8f3fe8p-8, 0x1.c7b844fac3da9p-8, -0x1.37cfdebdc9784p-8}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.b9e6d028e043dp-11, -0x1.eb0050e299991p-9, 0x1.98f2b05e4c084p-8, -0x1.26962bc79d389p-8}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.5f95f3150ce4ep-11, -0x1.9da1640736fd9p-9, 0x1.6cc290338e0ccp-8, -0x1.15da26f875db5p-8}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.13e083339f3e8p-11, -0x1.58d8a15f59ca2p-9, 0x1.43150a5b15f8ep-8, -0x1.04fc751f190a9p-8}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.aa37827346eb3p-12, -0x1.1c2502568f5eap-9, 0x1.1bef2bfcd236fp-8, -0x1.e84f928f1637fp-9}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.436d95d0e5101p-12, -0x1.ce0a435c0ed3cp-10, 0x1.ee9f3530fab2ap-9, -0x1.c6a164e5eff9bp-9}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.e0ea6c36c9218p-13, -0x1.71ef6708e93efp-10, 0x1.aa6d660e7d199p-9, -0x1.a4f4832155981p-9}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.5d28260d5588p-13, -0x1.22f6ca59b6a18p-10, 0x1.6b48b8c97d0ffp-9, -0x1.834747c496ecep-9}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.ed0e597cdaaeep-14, -0x1.c03b972dd95dbp-11, 0x1.31313ad2666c8p-9, -0x1.619a26e3dcf35p-9}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.50c3902883e16p-14, -0x1.50c3902d532fbp-11, 0x1.f84dd06070f7p-10, -0x1.3fecf5ab38254p-9}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.b9e6d028e0384p-15, -0x1.eb007557f24e4p-12, 0x1.985386ad1350bp-10, -0x1.1e3feb562a08cp-9}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.13e083339f3a9p-15, -0x1.58d8a4a2204dbp-12, 0x1.42738ce006b4dp-10, -0x1.f924ab95992f6p-10}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.436d95d0e4fap-16, -0x1.ce0a3f0586ff1p-13, 0x1.ed5c197992a8cp-11, -0x1.b5cd8c69d034p-10}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.5d28260d556c2p-17, -0x1.22f6dbf9f78bep-13, 0x1.6a04d5c03a99cp-11, -0x1.726753ff3e488p-10}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.50c3902883801p-18, -0x1.50c30ccab335dp-14, 0x1.f5cbac4db63cp-12, -0x1.2f3974a48c893p-10}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.13e083339eaffp-19, -0x1.58dc7888f6589p-15, 0x1.3fdc665161e6fp-12, -0x1.d6729492bb588p-11}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.5d28260d55p-21, -0x1.22da33943555fp-16, 0x1.65740d178699dp-13, -0x1.5493e5c061b29p-11}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.13e083339bfffp-23, -0x1.5a836c80cc19p-18, 0x1.3236a014fe5f1p-14, -0x1.77a66abd733fdp-12}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.13e08333cp-27, -0x1.27126d7f3a714p-21, 0x1.434b19c07e7ffp-16, -0x1.f6ba5f9ed02f1p-12}, 
      }}, 
      0x1.d90d6ddcdcfp-8, -0x1.6c8ec13599a64p-5
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_s_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x1.491f16f18919cp-2, -0x1.08381b4f66c58p-2, -0x1.429080c1308c6p-1, -0x1.ff5b54e55f95cp-6, 0x1.50b0f27bb2fecp-2, 0x1.50b0f27bb2fecp-2, 0x1.50b0f27bb2fecp-2, 0, 4, 2}, 
    {{
      {{-0x1.c0d2c1f72c0d2p-2, -0x1.bf0d4c209632ap-2, -0x1.bc21c6a95f19bp-2, -0x1.b81a74951244cp-2, -0x1.b30382bda016cp-2, -0x1.acee42cfc8ccdp-2, -0x1.a5ed05f3786a6p-2, -0x1.9e121bcc2b8e9p-2, -0x1.957274d7cfe8ep-2, -0x1.8c224f72c38acp-2, -0x1.8235af8e498edp-2, -0x1.77c0858e9f179p-2, -0x1.6cd6b53108d13p-2, -0x1.618b0c3b88be4p-2, -0x1.55eefc35d0445p-2, -0x1.4a147f14af516p-2, -0x1.3e0ac332c608fp-2, -0x1.31e1dfe59f5bap-2, -0x1.25a76fcc5af99p-2, -0x1.1968fc66980d7p-2, -0x1.0d32cb56557ccp-2, -0x1.0110253e52bb2p-2, -0x1.ea172c3f8f012p-3, -0x1.d25d4e5f9c8d8p-3, -0x1.bb04353ea887ap-3, -0x1.a41bcea9460ccp-3, -0x1.8db33344532c4p-3, -0x1.77d4deaf373f5p-3, -0x1.628de8973a062p-3, -0x1.4de988a28657bp-3, -0x1.39ef4d419ad62p-3, -0x1.26a58f5f11902p-3, -0x1.14132ee1ecadcp-3, -0x1.023e686ee9a4cp-3, -0x1.e256bcfbe2a06p-4, -0x1.c1b8b375c0864p-4, -0x1.a2a6031034565p-4, -0x1.8521c35a2c793p-4, -0x1.692dd1e7c175cp-4, -0x1.4ec99fe59a37fp-4, -0x1.35f246d47c99fp-4, -0x1.1ea3864d9391ap-4, -0x1.08d87be09043ep-4, -0x1.e91724e64b7edp-5, -0x1.c36c2f0b9e8f1p-5, -0x1.a0a025fb92c69p-5, -0x1.80a10c93742b6p-5, -0x1.635b93593d17bp-5, -0x1.48bb7af113122p-5, -0x1.30ab91eeb4976p-5, -0x1.1b159f273611p-5, -0x1.07e276bae45c1p-5, -0x1.edf46b41909dap-6, -0x1.d088fed803274p-6, -0x1.b76a9034d3c8p-6, -0x1.a241bb4ef534fp-6, -0x1.90d84c435b0b4p-6, -0x1.82fe545bae393p-6, -0x1.788a32553a32ep-6, -0x1.7154e5a770d4bp-6, -0x1.6d35dd8416323p-6, -0x1.6c000fc94c893p-6, -0x1.6d8157676e7c4p-6, -0x1.718413b4236e1p-6, -0x1.77d22efcd8b4dp-6, -0x1.803851bf5a9f4p-6, -0x1.8a88258587832p-6, -0x1.96990708d704fp-6, -0x1.a44727ea3c427p-6, -0x1.b371a620b62bfp-6, -0x1.c3f86009e9e5p-6, -0x1.d5ba3f3a5497dp-6, -0x1.e8946e8cf0264p-6, -0x1.fc629438add3p-6, -0x1.087feba6cd188p-5, -0x1.132423152bf53p-5, -0x1.1e0d146dc9a43p-5, -0x1.292b715a25f8cp-5, -0x1.34719a78eebb3p-5, -0x1.3fd374048e6d2p-5, -0x1.4b46053ec6769p-5, -0x1.56bf04703821bp-5, -0x1.62347063d1973p-5, -0x1.6d9c4e99680bbp-5, -0x1.78ec977dcbc82p-5, -0x1.841b4c6be01d4p-5, -0x1.8f1ea9879e4f1p-5, -0x1.99ed615166855p-5, -0x1.a47ed103d1c8p-5, -0x1.aecb21f8a8169p-5, -0x1.b8cb5352aa409p-5, -0x1.c2792dd811e77p-5, -0x1.cbcf28adddd94p-5, -0x1.d4c847bda5fe1p-5, -0x1.dd5ffc28a589p-5, -0x1.e5920cf4b95p-5, -0x1.ed5a8b07c7a55p-5, -0x1.f4b5d0612e504p-5, -0x1.fba087f0ba36dp-5, -0x1.010bdcedf2116p-4, -0x1.040c6bd44ccafp-4, -0x1.06d0e24a21bf6p-4, -0x1.09586c0293c71p-4, -0x1.0ba26cfbcdfdbp-4, -0x1.0dae7d77c5e9fp-4, -0x1.0f7c64eda1b48p-4, -0x1.110c1527e056ap-4, -0x1.125da6615114ap-4, -0x1.137154a50edd9p-4, -0x1.14477e34b1ff4p-4, -0x1.14e5245d6919p-4, -0x1.154a1fe47c8d9p-4, -0x1.157212dd9f3a5p-4, -0x1.155d4a262548cp-4, -0x1.150c5dda35cb5p-4, -0x1.1480340116361p-4, -0x1.13b9fe8079fb7p-4, -0x1.12bb34b301d2fp-4, -0x1.1185894bfdea7p-4, -0x1.101add7054abbp-4, -0x1.0e7d3215e6006p-4, -0x1.0cae98cf96a69p-4, -0x1.0ab125298c802p-4, -0x1.0886df9fe34cbp-4, -0x1.0631bb0c19a31p-4, -0x1.03b38d26d0f7ap-4, -0x1.010e0a7230e37p-4, -0x1.fc858b293625ep-5, -0x1.f6a663c56255dp-5, -0x1.f0815132f687ep-5, -0x1.ea18e0345c881p-5, -0x1.e36f88b86c1ecp-5, -0x1.dc87bf7ecf2e2p-5, -0x1.d56406e2239eap-5, -0x1.ce06fd5d397d8p-5, -0x1.c67368ad844f2p-5, -0x1.beac3cd36a5d4p-5, -0x1.b6b49e9954bc7p-5, -0x1.ae8fe1b200a17p-5, -0x1.a64182dbff886p-5, -0x1.9dcd1ec379d04p-5, -0x1.9536668e8b2efp-5, -0x1.8c811319dcc86p-5, -0x1.83b0d7ea4090fp-5, -0x1.7ac956c18e17cp-5, -0x1.71ce149dd9dbp-5, -0x1.68c270b7b8126p-5, -0x1.5fa99dde38637p-5, -0x1.56869e5a471bbp-5, -0x1.4d5c42524642dp-5, -0x1.442d287e94a08p-5, -0x1.3afbc0dff0719p-5, -0x1.31ca51122c48ep-5, -0x1.289af9c85107fp-5, -0x1.1f6fbcfa1f085p-5, -0x1.164a844cf64edp-5, -0x1.0d2d274ae3f74p-5, -0x1.04197108ac3ddp-5, -0x1.f62249dc12ce9p-6, -0x1.e42c04d211d9fp-6, -0x1.d2538ed86e2a8p-6, -0x1.c09c635d7aab7p-6, -0x1.af09fd75bc1bep-6, -0x1.9d9fd5d3e8fc7p-6, -0x1.8c615ef6d6161p-6, -0x1.7b51fffbffb08p-6, -0x1.6a750e8eecddfp-6, -0x1.59cdc86e12686p-6, -0x1.495f4cf68d39p-6, -0x1.392c971a5831cp-6, -0x1.2938781311935p-6, -0x1.1985930f737fdp-6, -0x1.0a165a04ed931p-6, -0x1.f5da177523677p-7, -0x1.d81766205a43ap-7, -0x1.bae84ee6bd77ap-7, -0x1.9e501cccddcf6p-7, -0x1.8251bbe1dbfaap-7, -0x1.66efbf93698f4p-7, -0x1.4c2c6a08d34d8p-7, -0x1.3209b41501341p-7, -0x1.18895551ec6fbp-7, -0x1.ff59980088fb3p-8, -0x1.ceeac8a73e441p-8, -0x1.9fc87dcc5624fp-8, -0x1.71f4ac44d678cp-8, -0x1.4571050f648ep-8, -0x1.1a3efb843a90ep-8, -0x1.e0bf92864524p-9, -0x1.8fa8e029a258ep-9, -0x1.413b7416024f3p-9, -0x1.eaf0e0e53c5c2p-10, -0x1.58c1019dd1b5ap-10, -0x1.97cf50e48b6adp-11, -0x1.1190b5dfedaf2p-12, 0x1.ee5951a5699e1p-13, 0x1.75527078c6106p-11, 0x1.3239fed40e327p-10, 0x1.a482afd346b34p-10, 0x1.08c4d8517cf41p-9, 0x1.3cab4d6084f4dp-9, 0x1.6df91c5ffd715p-9, 0x1.9cb33feb0455bp-9, 0x1.c8df4319b3bfbp-9, 0x1.f2833b3cecefap-9, 0x1.0cd2e032c8c36p-8, 0x1.1f26f27dd2624p-8, 0x1.3041965909dbbp-8, 0x1.4026c192422b9p-8, 0x1.4eda9936ba8dcp-8, 0x1.5c616cfdb81ddp-8, 0x1.68bfb2f1bc564p-8, 0x1.73fa03710aed5p-8, 0x1.7e151597ee44cp-8, 0x1.8715bc1e03333p-8, 0x1.8f00e2a9bfce3p-8, 0x1.95db8b95cde6fp-8, 0x1.9baace1e032aap-8, 0x1.a073d4e590fc1p-8, 0x1.a43bdcc4f0dabp-8, 0x1.a70833cca87a3p-8, 0x1.a8de386a993acp-8, 0x1.a984b02373474p-8, 0x1.a985e054ad919p-8, 0x1.a8a266cc08646p-8, 0x1.a6df910f1fe6dp-8, 0x1.a442b614ab139p-8, 0x1.a0d1378bad0b8p-8, 0x1.9c9082ec59c49p-8, 0x1.97861244a5e4cp-8, 0x1.91b76cb52b806p-8, 0x1.8b2a26975731ap-8, 0x1.83e3e14997decp-8, 0x1.7bea4aa135b34p-8, 0x1.73431c051e22p-8, 0x1.69f41936c6dcap-8, 0x1.60030ed114e7bp-8, 0x1.5575d086c7bccp-8, 0x1.4a52372aba1f5p-8, 0x1.3e9e1e8dde7c3p-8, 0x1.325f633e90f1bp-8, 0x1.259be0350a642p-8, 0x1.18596c78bdbeep-8, 0x1.0a9dd8c952b28p-8, 0x1.f8dddaaa9e407p-9, 0x1.dba4cf0eede53p-9, 0x1.bd9befe5768e4p-9, 0x1.9ece80c609d51p-9, 0x1.7f47a43091d81p-9, 0x1.5f12585e78dd8p-9, 0x1.3e3974756ac08p-9, 0x1.1cc7a61ca9babp-9, 0x1.f58edeeb0d4cap-10, 0x1.b0864ae94c9e3p-10, 0x1.6a89dd2deccb6p-10, 0x1.23ad83dbc77b2p-10, 0x1.b80999e794dcdp-11, 0x1.2745cb2f90b3cp-11, 0x1.2a6a671e1fa86p-12, 0x1.fca90b0372baep-19, -0x1.247f7ec5ce419p-12, -0x1.275cb05a3689cp-11, -0x1.bd3792487388ep-11, -0x1.29d744b1bef84p-10, -0x1.755039c5ab3a6p-10, -0x1.c0f673172715ap-10, -0x1.065d0b11acf01p-9, -0x1.2c45d121a1bfdp-9, -0x1.522df7efb26cbp-9, -0x1.780e17e34dfb1p-9, -0x1.9ddef555fd806p-9, -0x1.c3998065ec955p-9, -0x1.e936d4dc683ddp-9, -0x1.07581d13c04dcp-8, -0x1.19ff91b21a496p-8, -0x1.2c8e97bc30543p-8, -0x1.3f02149cc4713p-8, -0x1.515703cea6f8bp-8, -0x1.638a76f89d961p-8, -0x1.7599960b83b2p-8, -0x1.87819f60ec9ebp-8, -0x1.993fe7d8e7af6p-8, -0x1.aad1daf5cde0bp-8, -0x1.bc34faf466793p-8, -0x1.cd66e0dfafe5cp-8, -0x1.de653c9ef0a25p-8, -0x1.ef2dd4fd6ceddp-8, -0x1.ffbe87aafbb0bp-8, -0x1.080aa49a80c69p-7, -0x1.1018127bac1c1p-7, -0x1.18069e827a417p-7, -0x1.1fd5650421bc6p-7, -0x1.27838d8da9489p-7, -0x1.2f104acbed6f6p-7, -0x1.367ada6fbc13p-7, -0x1.3dc2850e63a77p-7, -0x1.44e69dfeba2ebp-7, -0x1.4be683330a062p-7, -0x1.52c19d1028ebdp-7, -0x1.59775e4209074p-7, -0x1.6007438e1f04cp-7, -0x1.6670d3a3e8b2ap-7, -0x1.6cb39eebfb259p-7, -0x1.72cf3f55d59c2p-7, -0x1.78c35824c7f2p-7, -0x1.7e8f95bc5d3a4p-7, -0x1.8433ad6c4647p-7, -0x1.89af5d3c57e51p-7, -0x1.8f026bb868b94p-7, -0x1.942ca7bc9e4c6p-7, -0x1.992de8423758ap-7, -0x1.9e060c2c9ddep-7, -0x1.a2b4fa17670fp-7, -0x1.a73aa024d788fp-7, -0x1.ab96f3cd4047cp-7, -0x1.afc9f1af16c95p-7, -0x1.b3d39d5fcc968p-7, -0x1.b7b4013d7447bp-7, -0x1.bb6b2e411aacep-7, -0x1.bef93bd1c8d96p-7, -0x1.c25e4798415d2p-7, -0x1.c59a75533c285p-7, -0x1.c8adeeac39056p-7, -0x1.cb98e30cc2aaap-7, -0x1.ce5b877420fa5p-7, -0x1.d0f6164d6f2eep-7, -0x1.d368cf45ff6f7p-7, -0x1.d5b3f723ee3e2p-7, -0x1.d7d7d79d0bbf8p-7, -0x1.d9d4bf2ddfbfep-7, -0x1.dbab00f0e76c5p-7, -0x1.dd5af475de4dep-7, -0x1.dee4f599371ecp-7, -0x1.e049645bab24p-7, -0x1.e188a4b9cc578p-7, -0x1.e2a31e83dc88dp-7, -0x1.e3993d3588578p-7, -0x1.e46b6fcdf0fddp-7, -0x1.e51a28a7a9712p-7, -0x1.e5a5dd50f5a75p-7, -0x1.e60f06643144cp-7, -0x1.e6561f6049fdfp-7, -0x1.e67ba681913b2p-7, -0x1.e6801c9ab3bbfp-7, -0x1.e66404ee0172ep-7, -0x1.e627e506fa57ap-7, -0x1.e5cc44942fa9fp-7, -0x1.e551ad416489fp-7, -0x1.e4b8aa924c309p-7, -0x1.e401c9bd7ad27p-7, -0x1.e32d9987ccbaap-7, -0x1.e23caa2055e9cp-7, -0x1.e12f8cfccabdbp-7, -0x1.e006d4b64dedbp-7, -0x1.dec314e6fc861p-7, -0x1.dd64e207d996ep-7, -0x1.dbecd14f5d241p-7, -0x1.da5b7890b8a33p-7, -0x1.d8b16e1b8235ap-7, -0x1.d6ef489c481aap-7, -0x1.d5159efd9ffaap-7, -0x1.d3250849e786dp-7, -0x1.d11e1b8de3764p-7, -0x1.cf016fbbde95p-7, -0x1.cccf9b8fb814ap-7, -0x1.ca89357390e4ep-7, -0x1.c82ed3655ba2dp-7, -0x1.c5c10add20accp-7, -0x1.c34070b42ea6dp-7, -0x1.c0ad990d0795cp-7, -0x1.be09173c2aef5p-7, -0x1.bb537db1d0538p-7, -0x1.b88d5de46cef9p-7, -0x1.b5b7483c1a0fp-7, -0x1.b2d1cbff09e39p-7, -0x1.afdd773ebd1d8p-7, -0x1.acdad6c630357p-7, -0x1.a9ca76090a43cp-7, -0x1.a6acdf13afd65p-7, -0x1.a3829a7c439eap-7, -0x1.a04c2f54a7453p-7, -0x1.9d0a231d6fb5ap-7, -0x1.99bcf9b9c1a31p-7, -0x1.9665356431016p-7, -0x1.930356a481ac2p-7, -0x1.8f97dc4668328p-7, -0x1.8c2343512bd0ep-7, -0x1.88a607003be46p-7, -0x1.8520a0bc91701p-7, -0x1.8193881719389p-7, -0x1.7dff32c3dbde1p-7, -0x1.7a641495e55e2p-7, -0x1.76c29f7c3f05p-7, -0x1.731b437f68096p-7, -0x1.6f6e6ebfa57bep-7, -0x1.6bbc8d74173efp-7, -0x1.680609ea60c5p-7, -0x1.644b4c86f0d73p-7, -0x1.608cbbc600518p-7, -0x1.5ccabc3cf1faap-7, -0x1.5905b09c586e1p-7, -0x1.553df9b25bb9cp-7, -0x1.5173f66d98041p-7, -0x1.4da803e050a3dp-7, -0x1.49da7d440724p-7, -0x1.460bbbfd3b185p-7, -0x1.423c179f9f99cp-7, -0x1.3e6be5f24e5e3p-7, -0x1.3a9b7af43b6ap-7, -0x1.36cb28e0befdbp-7, -0x1.32fb403445834p-7, -0x1.2f2c0fb0ebebdp-7, -0x1.2b5de46338571p-7, -0x1.279109a6c242fp-7, -0x1.23c5c92ab9ccfp-7, -0x1.1ffc6af680d32p-7, -0x1.1c35356e040bbp-7, -0x1.18706d5604e9bp-7, -0x1.14ae55d829f1cp-7, -0x1.10ef30870360dp-7, -0x1.0d333d61c908p-7, -0x1.097abad7df4cep-7, -0x1.05c5e5cc4df31p-7, -0x1.0214f998e10c1p-7, -0x1.fcd060223071bp-8, -0x1.f57f8309fece7p-8, -0x1.ee37c9877525fp-8, -0x1.e6f99e3b9bf3p-8, -0x1.dfc568cefefcfp-8, -0x1.d89b8df57164fp-8, -0x1.d17c6f71f2a2p-8, -0x1.ca686c1a175b8p-8, -0x1.c35fdfd93d112p-8, -0x1.bc6323b3a4b5p-8, -0x1.b5728dc92a328p-8, -0x1.ae8e7157fd14ap-8, -0x1.a7b71ebf47b8bp-8, -0x1.a0ece381b2c28p-8, -0x1.9a300a47f2698p-8, -0x1.9380dae35ba89p-8, -0x1.8cdf9a507da5cp-8, -0x1.864c8aba00e8ep-8, -0x1.7fc7eb7b79575p-8, -0x1.7951f924955adp-8, -0x1.72eaed7c65cd1p-8, -0x1.6c92ff850c10dp-8, -0x1.664adbd44c802p-8, -0x1.601193aceb103p-8, -0x1.59e7ff6f2bb98p-8, -0x1.53ce4b3f2b70ap-8, -0x1.4dc4a090e4ec9p-8, -0x1.47cb262e194c9p-8, -0x1.41e2003c7a52cp-8, -0x1.3c0950444a8f5p-8, -0x1.3641353772a37p-8, -0x1.3089cb791215cp-8, -0x1.2ae32ce57893fp-8, -0x1.254d70da5ed16p-8, -0x1.1fc8ac3ffee39p-8, -0x1.1a54f19221ec6p-8, -0x1.14f250e9da97cp-8, -0x1.0fa0d807863f9p-8, -0x1.0a60925d4d91cp-8, -0x1.05318919dea28p-8, -0x1.0013c3339a1d6p-8, -0x1.f60e8ae81c4d6p-9, -0x1.ec1825075e536p-9, -0x1.e24455ebdde39p-9, -0x1.d8931aab154dfp-9, -0x1.cf046c621e3b3p-9, -0x1.c598404f3ce6cp-9, -0x1.bc4e87ebb7e86p-9, -0x1.b3273105f02afp-9, -0x1.aa2225dc14434p-9, -0x1.a13f4d368a976p-9, -0x1.987e8a82b7d98p-9, -0x1.8fdfbdee3c4aap-9, -0x1.8762c481b523ep-9, -0x1.7f07783befb79p-9, -0x1.76cdb02cdfc57p-9, -0x1.6eb54090833afp-9, -0x1.66bdfae9dbe8ap-9, -0x1.5ee7ae1d92851p-9, -0x1.5732268c868c8p-9, -0x1.4f9d2e2e076e4p-9, -0x1.48288caa0548cp-9, -0x1.40d40772b3383p-9, -0x1.399f61de3c391p-9, -0x1.328a5d3f80582p-9, -0x1.2b94b8ff2ec53p-9, -0x1.24be32b404591p-9, -0x1.1e06863abf3c5p-9, -0x1.176d6dcdb099bp-9, -0x1.10f2a21bded9fp-9, -0x1.0a95da5f9d634p-9, -0x1.0456cc74ca467p-9, -0x1.fc6a59dcfc1d3p-10, -0x1.f0615e5854a75p-10, -0x1.e4920adce19bcp-10, -0x1.d8fbc1d6cef6fp-10, -0x1.cd9de3c44f021p-10, -0x1.c277cf5c3c3aep-10, -0x1.b788e1b388fc8p-10, -0x1.acd07661804a8p-10, -0x1.a24de7a366bb3p-10, -0x1.98008e7eb4384p-10, -0x1.8de7c2e28af7dp-10, -0x1.8402dbc83a236p-10, -0x1.7a512f52721a7p-10, -0x1.70d212ec081dap-10, -0x1.6784db655cf32p-10, -0x1.5e68dd110663ep-10, -0x1.557d6bdf6720fp-10, -0x1.4cc1db79a6c85p-10, -0x1.44357f5b59448p-10, -0x1.3bd7aaec55762p-10, -0x1.33a7b1977d5d4p-10, -0x1.2ba4e6e376c83p-10, -0x1.23ce9e88b9b71p-10, -0x1.1c242c8768b4p-10, -0x1.14a4e53c68a3fp-10, -0x1.0d501d759408cp-10, -0x1.06252a8575cadp-10, -0x1.fe46c4ac1b533p-11, -0x1.f09436f61713ep-11, -0x1.e3315a866d4bp-11, -0x1.d61cdf92ddab6p-11, -0x1.c95578099a0d3p-11, -0x1.bcd9d7b0637f7p-11, -0x1.b0a8b442b3403p-11, -0x1.a4c0c58e4d089p-11, -0x1.9920c58eb9e5cp-11, -0x1.8dc77088d71c8p-11, -0x1.82b385222e366p-11, -0x1.77e3c47afabb3p-11, -0x1.6d56f2447a1b8p-11, -0x1.630bd4d7586d4p-11, -0x1.59013548a09b8p-11, -0x1.4f35df7dce1aep-11, -0x1.45a8a23fd0a0dp-11, -0x1.3c584f4d1d1c9p-11, -0x1.3343bb6aba9a6p-11, -0x1.2a69be73b793ep-11, -0x1.21c933690374ap-11, -0x1.1960f87ffa672p-11, -0x1.112fef2db5258p-11, -0x1.0934fc35158cbp-11, -0x1.016f07b0b5cbp-11, -0x1.f3b9fa3c164f1p-12, -0x1.e4fb96ccede09p-12, -0x1.d6a0c9cfa600bp-12, -0x1.c8a77ef7f5485p-12, -0x1.bb0da8fed6a97p-12, -0x1.add141ae7e87ep-12, -0x1.a0f049ebebc82p-12, -0x1.9468c9bf095f5p-12, -0x1.8838d0599fe5cp-12, -0x1.7c5e741b919aep-12, -0x1.70d7d296520e2p-12, -0x1.65a3108eda055p-12, -0x1.5abe59fe2523p-12, -0x1.5027e20dbfa55p-12, -0x1.45dde31879a42p-12, -0x1.3bde9ea3fc9aap-12, -0x1.32285d5c234cep-12, -0x1.28b96f0b8e29dp-12, -0x1.1f902a96e1f83p-12, -0x1.16aaedef38771p-12, -0x1.0e081e0b55f9bp-12, -0x1.05a626db73751p-12, -0x1.fb06f67d8b033p-13, -0x1.eb3d29e944d56p-13, -0x1.dbebe920922a3p-13, -0x1.cd1042d4a9efcp-13, -0x1.bea75323246a4p-13, -0x1.b0ae437713471p-13, -0x1.a3224a693fb72p-13, -0x1.9600ab9c9ca88p-13, -0x1.8946b79fb0d0ep-13, -0x1.7cf1cbc76611cp-13, -0x1.70ff520c08352p-13, -0x1.656cc0e5d6ad9p-13, -0x1.5a379b27c75dfp-13, -0x1.4f5d6fdafad26p-13, -0x1.44dbda1a66842p-13, -0x1.3ab080eb4ff6cp-13, -0x1.30d9171d5f96p-13, -0x1.27535b1dfe2dbp-13, -0x1.1e1d16d77cb0fp-13, -0x1.15341f8aa3dcep-13, -0x1.0c9655a940f53p-13, -0x1.0441a4b1be048p-13, -0x1.f868061081cfbp-14, -0x1.e8d6e3a87d537p-14, -0x1.d9cbf9b548882p-14, -0x1.cb4374b3279cfp-14, -0x1.bd3995c8de44ep-14, -0x1.afaab27beb9cep-14, -0x1.a2933478aabcfp-14, -0x1.95ef99352918ap-14, }}, 
      {{-0x1.c0ee40ed1daefp-2, -0x1.bf7a493f79945p-2, -0x1.bd135efa87659p-2, -0x1.b9bf5496ce9a8p-2, -0x1.b5848bf71b70dp-2, -0x1.b06da997fae6bp-2, -0x1.aa85d77242983p-2, -0x1.a3d7e041c6ba1p-2, -0x1.9c714ef259f8ep-2, -0x1.945f16d221e95p-2, -0x1.8bae455f1a15dp-2, -0x1.826befbbb1548p-2, -0x1.78a595e12cfe4p-2, -0x1.6e6983f253bc1p-2, -0x1.63c31f4fdb777p-2, -0x1.58bfeff5947e3p-2, -0x1.4d6bc6673a5fbp-2, -0x1.41d28af75f5b8p-2, -0x1.35ff5c30e41e4p-2, -0x1.29fd1a46a84fbp-2, -0x1.1dd5f05e2735ap-2, -0x1.1193a10900949p-2, -0x1.053f61f564821p-2, -0x1.f1c3c8e5c5f4cp-3, -0x1.d906b659367abp-3, -0x1.c056f0df9feb4p-3, -0x1.a7c2e7ee73458p-3, -0x1.8f57d9fb981f6p-3, -0x1.7722dfc162451p-3, -0x1.5f2f4956c48c1p-3, -0x1.4787aa4542e3ep-3, -0x1.3036145c46eep-3, -0x1.1943d9cd469abp-3, -0x1.02b9538eab7d9p-3, -0x1.d93be012bf3d5p-4, -0x1.adf0e8f20464ep-4, -0x1.839e2f6cfe815p-4, -0x1.5a4ed73b5a4dap-4, -0x1.320c8f91d7336p-4, -0x1.0adfa6c5369dbp-4, -0x1.c99e80cde0f38p-5, -0x1.7fc2f459ee9e7p-5, -0x1.3836e0b574a56p-5, -0x1.e604d404e8a11p-6, -0x1.6057507b53177p-6, -0x1.bedb567ed6a02p-7, -0x1.8d33fb9d4061bp-8, 0x1.408be52aa344cp-10, 0x1.0d292a17dfb73p-7, 0x1.e8b4bd895549dp-7, 0x1.5d609a759d5c8p-6, 0x1.c1b042c5f2846p-6, 0x1.10aa4c0ef3da6p-5, 0x1.3e2d7323882b8p-5, 0x1.6966e73acc5c4p-5, 0x1.9264cd4f01e16p-5, 0x1.b92d6d781f7a9p-5, 0x1.ddca09d418678p-5, 0x1.002257999b653p-4, 0x1.10542bf98b312p-4, 0x1.1f8071dffaac9p-4, 0x1.2dad73c88978bp-4, 0x1.3ae1b431ee917p-4, 0x1.4723cc1d1735dp-4, 0x1.527a54140125p-4, 0x1.5cebdbd874bb9p-4, 0x1.667eef26bb558p-4, 0x1.6f3a21e187112p-4, 0x1.77241c9b6648ap-4, 0x1.7e43a3bb86797p-4, 0x1.849f967012285p-4, 0x1.8a3ee5df3a5c2p-4, 0x1.8f2887719aef6p-4, 0x1.936366193f769p-4, 0x1.96f6561fe6cadp-4, 0x1.99e80db18f0a3p-4, 0x1.9c3f22a2d2dc2p-4, 0x1.9e020c748181p-4, 0x1.9f3728ae61ae1p-4, 0x1.9fe4bf749e284p-4, 0x1.a011069df1843p-4, 0x1.9fc2225812f92p-4, 0x1.9efe234c78193p-4, 0x1.9dcb02f04fae1p-4, 0x1.9c2e9f07da92cp-4, 0x1.9a2eb5633ea86p-4, 0x1.97d0e0971ac4p-4, 0x1.951a9613cdb15p-4, 0x1.9211259f8b9a7p-4, 0x1.8eb9b9e952be2p-4, 0x1.8b1959ba5761ap-4, 0x1.8734e94132e43p-4, 0x1.83112b0dc0848p-4, 0x1.7eb2c0889c6dap-4, 0x1.7a1e29e786fcdp-4, 0x1.7557c5c584c2bp-4, 0x1.7063d092a1eb8p-4, 0x1.6b46640830aacp-4, 0x1.660376be4badp-4, 0x1.609edbf0260c6p-4, 0x1.5b1c4373abe1ep-4, 0x1.557f39e4c7e52p-4, 0x1.4fcb29021e7edp-4, 0x1.4a035834ab153p-4, 0x1.442aed34b535dp-4, 0x1.3e44ecb816b89p-4, 0x1.38543b13fcc33p-4, 0x1.325b9cc1f897ap-4, 0x1.2c5db6c4e1f69p-4, 0x1.265d0ef887e6ap-4, 0x1.2059d48e53fefp-4, 0x1.1a5ae18628fbcp-4, 0x1.146031e91014ep-4, 0x1.0e6bc8f630177p-4, 0x1.087f8bbd912ffp-4, 0x1.029d432ac5196p-4, 0x1.f98d3bdb354c7p-5, 0x1.edfa644a364ep-5, 0x1.e284fd784984bp-5, 0x1.d72fd8e5556cdp-5, 0x1.cbfd9d3126da4p-5, 0x1.c0f0c70dda1c9p-5, 0x1.b60ba9d1ca1dp-5, 0x1.ab506fcf5a632p-5, 0x1.a0c11a97250f7p-5, 0x1.965f83437ff72p-5, 0x1.8c2d5ae43a5fcp-5, 0x1.822c2b19026adp-5, 0x1.785d56e138c7fp-5, 0x1.6ec21ba0e6544p-5, 0x1.655b925630885p-5, 0x1.5c2ab0f6b87e7p-5, 0x1.53304bea7edfcp-5, 0x1.4a6d179909011p-5, 0x1.41e1a9fde6585p-5, 0x1.398e7c3b06ddcp-5, 0x1.3173ec217663ap-5, 0x1.29923dab56e33p-5, 0x1.21e99c6477f74p-5, 0x1.1a7a1cc098bdep-5, 0x1.1343bd5fcbc2ap-5, 0x1.0c4668420b81ep-5, 0x1.0581f3eb893c8p-5, 0x1.fdec48f61f3c2p-6, 0x1.f1455968279f2p-6, 0x1.e50e5dfb2a40ep-6, 0x1.d9467cae4bab6p-6, 0x1.cdecbe8a29a49p-6, 0x1.c3001168bba24p-6, 0x1.b87f49adc841cp-6, 0x1.ae6923efead74p-6, 0x1.a4bc4691ef609p-6, 0x1.9b77434bbc4eap-6, 0x1.929898a2847aep-6, 0x1.8a1eb34fa18cfp-6, 0x1.8207ef9674664p-6, 0x1.7a529a89e5b08p-6, 0x1.72fcf342b4701p-6, 0x1.6c052c083dbd7p-6, 0x1.65696b6d5e3c3p-6, 0x1.5f27cd63668d2p-6, 0x1.593e6444c3524p-6, 0x1.53ab39d86d50ap-6, 0x1.4e6c504f7c9acp-6, 0x1.497fa33d2035cp-6, 0x1.44e3288949088p-6, 0x1.4094d15e1d319p-6, 0x1.3c928b0feecep-6, 0x1.38da3fff5eee9p-6, 0x1.3569d87561708p-6, 0x1.323f3b78a03f2p-6, 0x1.2f584f9b76d97p-6, 0x1.2cb2fbc1dbd11p-6, 0x1.2a4d27de4c863p-6, 0x1.2824bda4a3c37p-6, 0x1.2637a9322443fp-6, 0x1.2483d9a9ae8e4p-6, 0x1.230741c3ebf39p-6, 0x1.21bfd85327a28p-6, 0x1.20ab98bb0caf3p-6, 0x1.1fc8835cfc823p-6, 0x1.1f149df9b557bp-6, 0x1.1e8df409862b7p-6, 0x1.1e32970bd682ep-6, 0x1.1e009ecf445ecp-6, 0x1.1df629b338ce2p-6, 0x1.1e115ce3a7fc5p-6, 0x1.1e50648f9c76p-6, 0x1.1eb1741b48d3dp-6, 0x1.1f32c64dc245dp-6, 0x1.1fd29d7b23666p-6, 0x1.208f43ab7e12ap-6, 0x1.21670abed3de2p-6, 0x1.22584c8ec0d6bp-6, 0x1.23616b0e4e1b5p-6, 0x1.2480d067b5631p-6, 0x1.25b4ef18f3d2p-6, 0x1.26fc420e7526p-6, 0x1.28554cbc42e5fp-6, 0x1.29be9b350b2cp-6, 0x1.2b36c23ed9befp-6, 0x1.2cbc5f650bdabp-6, 0x1.2e4e190727659p-6, 0x1.2fea9e645a76bp-6, 0x1.3190a7a3361abp-6, 0x1.333ef5d5fc4d8p-6, 0x1.34f452fb35dc9p-6, 0x1.36af91fafeaddp-6, 0x1.386f8ea1118f6p-6, 0x1.3a332d93fd1f3p-6, 0x1.3bf95c49fda3p-6, 0x1.3dc110fb524c4p-6, 0x1.3f894a92b2926p-6, 0x1.4151109c1b398p-6, 0x1.43177331c279p-6, 0x1.44db8ae7cec4cp-6, 0x1.469c78b690e4bp-6, 0x1.485965e389215p-6, 0x1.4a1183e93bbd1p-6, 0x1.4bc40c5e108cdp-6, 0x1.4d7040d9ff0c4p-6, 0x1.4f156adbb1ef3p-6, 0x1.50b21e70d0edcp-6, 0x1.52471c8abf727p-6, 0x1.53d31f5441691p-6, 0x1.55558ecaff5f3p-6, 0x1.56cdda2715efdp-6, 0x1.583b77bf54a18p-6, 0x1.599de4edf2fcep-6, 0x1.5af4a5f4e26acp-6, 0x1.5c3f45e20c5dep-6, 0x1.5d7d56738fc94p-6, 0x1.5eae6ffb67feep-6, 0x1.5fd23142aeee4p-6, 0x1.60e83f6c8550cp-6, 0x1.61f045d851f2cp-6, 0x1.62e9f60361f4dp-6, 0x1.63d5076a0575cp-6, 0x1.64b13767dd5a2p-6, 0x1.657e4917be1e5p-6, 0x1.663c0532d82dep-6, 0x1.66ea39ef483cap-6, 0x1.6788bade43b22p-6, 0x1.681760c9a06c8p-6, 0x1.6896099136833p-6, 0x1.69049807bdbe1p-6, 0x1.6962f3cf85c1dp-6, 0x1.69b109370ff99p-6, 0x1.69eec9156e649p-6, 0x1.6a1c28a6fb0ddp-6, 0x1.6a392169d1977p-6, 0x1.6a45b0faa9e1ap-6, 0x1.6a41d8f1e55bfp-6, 0x1.6a2d9ec0d1d1bp-6, 0x1.6a090b8f8ca72p-6, 0x1.69d42c1b11032p-6, 0x1.698f1093e17d5p-6, 0x1.6939cc7d17204p-6, 0x1.68d4768c2b9a5p-6, 0x1.685f288923d63p-6, 0x1.67d9ff2f51de8p-6, 0x1.67451a0edb152p-6, 0x1.66a09b6ea1a36p-6, 0x1.65eca82ee42b3p-6, 0x1.652967ac713e8p-6, 0x1.645703a470057p-6, 0x1.6375a818a9aa5p-6, 0x1.6285833497cedp-6, 0x1.6186c532c3387p-6, 0x1.6079a042d101ep-6, 0x1.5f5e4870081fdp-6, 0x1.5e34f3885eb6dp-6, 0x1.5cfdd903ef953p-6, 0x1.5bb931ed17dc4p-6, 0x1.5a6738c8dc6fep-6, 0x1.5908297fd9524p-6, 0x1.579c4147a4674p-6, 0x1.5623be8c9eb2bp-6, 0x1.549ee0dc2549ep-6, 0x1.530de8cf5bac6p-6, 0x1.517117f631ed9p-6, 0x1.4fc8b0c300c09p-6, 0x1.4e14f676804a5p-6, 0x1.4c562d0c2d6f3p-6, 0x1.4a8c992736efbp-6, 0x1.48b87fffc54bbp-6, 0x1.46da2750bafaep-6, 0x1.44f1d545e6a3ep-6, 0x1.42ffd06ac15c7p-6, 0x1.41045f997dd63p-6, 0x1.3effc9eaa880ap-6, 0x1.3cf256a53409bp-6, 0x1.3adc4d2f04884p-6, 0x1.38bdf4fdf192bp-6, 0x1.369795892cf65p-6, 0x1.3469763b50348p-6, 0x1.3233de64afaabp-6, 0x1.2ff7152e47216p-6, 0x1.2db3618d0dcc2p-6, 0x1.2b690a35c6d78p-6, 0x1.2918559148e33p-6, 0x1.26c189b12e553p-6, 0x1.2464ec450ee59p-6, 0x1.2202c29018dddp-6, 0x1.1f9b515f13e53p-6, 0x1.1d2edcfeec51bp-6, 0x1.1abda93390cd9p-6, 0x1.1847f92f46e93p-6, 0x1.15ce0f8a62e52p-6, 0x1.13502e3b60984p-6, 0x1.10ce968f6da0fp-6, 0x1.0e498923388c7p-6, 0x1.0bc145dc4178dp-6, 0x1.09360be26c27ep-6, 0x1.06a81999ee417p-6, 0x1.0417ac9da0cdcp-6, 0x1.018501b9980e3p-6, 0x1.fde0a9cc36136p-7, 0x1.f8b3c285b4dbfp-7, 0x1.f383c224fbfd4p-7, 0x1.ee511b6d155cap-7, 0x1.e91c3f56f3f3fp-7, 0x1.e3e59d0a4190cp-7, 0x1.deada1d6d8466p-7, 0x1.d974b92e89482p-7, 0x1.d43b4c9f9c20bp-7, 0x1.cf01c3cfb4a73p-7, 0x1.c9c884772822bp-7, 0x1.c48ff25cf446ap-7, 0x1.bf586f52ebaa9p-7, 0x1.ba225b32a4796p-7, 0x1.b4ee13da9862cp-7, 0x1.afbbf52bbac4bp-7, 0x1.aa8c5907904fcp-7, 0x1.a55f974e92aa5p-7, 0x1.a03605df01dbp-7, 0x1.9b0ff89416ceap-7, 0x1.95edc145877e9p-7, 0x1.90cfafc77775ep-7, 0x1.8bb611eab01ccp-7, 0x1.86a1337d35e6ep-7, 0x1.81915e4b2aea1p-7, 0x1.7c86da2003151p-7, 0x1.7781ecc80a079p-7, 0x1.7282da122b0f4p-7, 0x1.6d89e3d2095dbp-7, 0x1.689749e25e9c8p-7, 0x1.63ab4a2785222p-7, 0x1.5ec620926a4c8p-7, 0x1.59e80723b7be7p-7, 0x1.551135ef18c3p-7, 0x1.5041e31ed6f2cp-7, 0x1.4b7a42f7ac53dp-7, 0x1.46ba87dcc920cp-7, 0x1.4202e2540c5d6p-7, 0x1.3d53810a6f5eap-7, 0x1.38ac90d8aa096p-7, 0x1.340e3cc7f7285p-7, 0x1.2f78ae17065bp-7, 0x1.2aec0c3f31b6ap-7, 0x1.26687cf9c10ddp-7, 0x1.21ee24455313ep-7, 0x1.1d7d246b858d4p-7, 0x1.19159e06a41d4p-7, 0x1.14b7b00799a53p-7, 0x1.106377bbd0783p-7, 0x1.0c1910d36453dp-7, 0x1.07d89567501fbp-7, 0x1.03a21dffc50d8p-7, 0x1.feeb833529722p-8, 0x1.f6a72b6367d2fp-8, 0x1.ee775c839cb2fp-8, 0x1.e65c3ba2006f7p-8, 0x1.de55eaeaf70e2p-8, 0x1.d66489b8d44ddp-8, 0x1.ce8834a19d2f2p-8, 0x1.c6c10584a91e7p-8, 0x1.bf0f1398d3cb6p-8, 0x1.b772737a363fcp-8, 0x1.afeb37385826fp-8, 0x1.a8796e644b68ap-8, 0x1.a11d261eb8492p-8, 0x1.99d66926260d1p-8, 0x1.92a53fe504d92p-8, 0x1.8b89b07ffe37ap-8, 0x1.8483bee3ed3c7p-8, 0x1.7d936cd42b61fp-8, 0x1.76b8b9f899903p-8, 0x1.6ff3a3eba382fp-8, 0x1.69442648390ddp-8, 0x1.62aa3ab7c12ebp-8, 0x1.5c25d8ffe690bp-8, 0x1.55b6f7104cb25p-8, 0x1.4f5d89103db9bp-8, 0x1.4919816c14737p-8, 0x1.42ead0e2ce915p-8, 0x1.3cd166931a566p-8, 0x1.36cd30088969fp-8, 0x1.30de194889af3p-8, 0x1.2b040cdf30cbap-8, 0x1.253ef3ebf1b86p-8, 0x1.1f8eb62dfb128p-8, 0x1.19f33a10983b2p-8, 0x1.146c64b74b417p-8, 0x1.0efa1a09bcdc2p-8, 0x1.099c3cbf75c73p-8, 0x1.0452ae6b765b7p-8, 0x1.fe3a9f0f1fe1bp-9, 0x1.f3f7fefed30f6p-9, 0x1.e9dd39776ec88p-9, 0x1.dfea095960e4fp-9, 0x1.d61e27a9c62adp-9, 0x1.cc794ba66d26cp-9, 0x1.c2fb2adaaa6ecp-9, 0x1.b9a37932dd60ep-9, 0x1.b071e90fea2f2p-9, 0x1.a7662b5a59d98p-9, 0x1.9e7fef94d6e64p-9, 0x1.95bee3ee7b60dp-9, 0x1.8d22b554996d3p-9, 0x1.84ab0f8411041p-9, 0x1.7c579d1a6f13cp-9, 0x1.742807a68c468p-9, 0x1.6c1bf7b8b9821p-9, 0x1.643314f2cbbffp-9, 0x1.5c6d06176eb02p-9, 0x1.54c97119868eep-9, 0x1.4d47fb2ad7142p-9, 0x1.45e848ca84ab6p-9, 0x1.3ea9fdd334d79p-9, 0x1.378cbd88df36cp-9, 0x1.30902aa691035p-9, 0x1.29b3e76ae8f1ap-9, 0x1.22f795a59d548p-9, 0x1.1c5ad6c399f7fp-9, 0x1.15dd4bdba096ap-9, 0x1.0f7e95b9eadb3p-9, 0x1.093e54ec0bfe5p-9, 0x1.031c29cc5d4dbp-9, 0x1.fa2f6919c18b3p-10, 0x1.ee612a853de9bp-10, 0x1.e2ccd7dfb745ep-10, 0x1.d771b11cc7983p-10, 0x1.cc4ef634084a9p-10, 0x1.c163e7348bb43p-10, 0x1.b6afc457a3918p-10, 0x1.ac318fbe5aa06p-10, 0x1.a1e8fd86ffb68p-10, 0x1.97d51a7110ce4p-10, 0x1.8df528157e364p-10, 0x1.84486890a7c1fp-10, 0x1.7ace1e925a8f5p-10, 0x1.71858d6e8f53cp-10, 0x1.686df92c22bf3p-10, 0x1.5f86a69434815p-10, 0x1.56cedb41e3c1bp-10, 0x1.4e45ddaeb98a6p-10, 0x1.45eaf54185323p-10, 0x1.3dbd6a5bc89bep-10, 0x1.35bc866663edbp-10, 0x1.2de793de3065ep-10, 0x1.263dde5f90582p-10, 0x1.1ebeb2b3394bap-10, 0x1.17695ed85def7p-10, 0x1.103d320fdd445p-10, 0x1.09397ce6a17c1p-10, 0x1.025d913f92c25p-10, 0x1.f75184ba5ec7p-11, 0x1.ea34c9d4f0801p-11, 0x1.dd639e081c006p-11, 0x1.d0dcb08012046p-11, 0x1.c49eb36c4e99dp-11, 0x1.b8a85c0e30696p-11, 0x1.acf862c8be303p-11, 0x1.a18d832b06864p-11, 0x1.96667c00aee13p-11, 0x1.8b820f5a40277p-11, 0x1.80df029a1fa47p-11, 0x1.767c1e7efdabp-11, 0x1.6c582f2ce9e41p-11, 0x1.627204369abb5p-11, 0x1.58c870a5af5c6p-11, 0x1.4f5a4b01e74d1p-11, 0x1.46266d5823158p-11, 0x1.3d2bb540e6955p-11, 0x1.346903e538f6p-11, 0x1.2bdd3e03a7be9p-11, 0x1.23874bf56a538p-11, 0x1.1b6619b0b6b11p-11, 0x1.137896cc4b51ap-11, 0x1.0bbdb681f7b1fp-11, 0x1.04346fafdda69p-11, 0x1.f9b779b77e446p-12, 0x1.eb653861c6422p-12, 0x1.dd701f03f6bf1p-12, 0x1.cfd63891cbf43p-12, 0x1.c2959748f0006p-12, 0x1.b5ac54b3ca219p-12, 0x1.a91891a0c06b3p-12, 0x1.9cd876219dbffp-12, 0x1.90ea31838c2dbp-12, 0x1.854bfa4adec42p-12, 0x1.79fc0e2ba50fep-12, 0x1.6ef8b20287fe2p-12, 0x1.644031cbccf93p-12, 0x1.59d0e09ac0269p-12, 0x1.4fa9188f933b1p-12, 0x1.45c73ace2764fp-12, 0x1.3c29af718ac95p-12, 0x1.32cee58090d55p-12, 0x1.29b552e3faedbp-12, 0x1.20db745625fe7p-12, 0x1.183fcd58cc7b8p-12, 0x1.0fe0e825cc83bp-12, 0x1.07bd55a0f3ab7p-12, 0x1.ffa75a955e3acp-13, 0x1.f0451a63fe0e5p-13, 0x1.e15133c1bc142p-13, 0x1.d2c8fc9fd04f3p-13, 0x1.c4a9d7ab674bap-13, 0x1.b6f1342c37fbdp-13, 0x1.a99c8de48e7afp-13, 0x1.9ca96ced5230dp-13, 0x1.901565950fdfep-13, 0x1.83de183c6bdeep-13, 0x1.780131343641ep-13, 0x1.6c7c6897b23bbp-13, 0x1.614d822ad1e87p-13, 0x1.56724d31f9ab6p-13, 0x1.4be8a45277081p-13, 0x1.41ae6d6b3564ap-13, 0x1.37c1996d8135ep-13, 0x1.2e20243a422e7p-13, 0x1.24c8148442dd2p-13, 0x1.1bb77b957ede1p-13, 0x1.12ec753e25468p-13, 0x1.0a6527a52da4bp-13, 0x1.021fc324c5b83p-13, 0x1.f43504485d164p-14, 0x1.e4a751e3c4ff7p-14, 0x1.d5930b3b17439p-14, 0x1.c6f4dfa4faf22p-14, 0x1.b8c991660c42ap-14, 0x1.ab0df55f07a2dp-14, 0x1.9dbef2caaca56p-14, 0x1.90d982e8e386ap-14, 0x1.845ab0bfda10cp-14, 0x1.783f98c6a6577p-14, 0x1.6c8568a0f093bp-14, 0x1.61295ed4c0657p-14, 0x1.5628ca7dc106dp-14, 0x1.4b810b112d812p-14, 0x1.412f900323dcap-14, 0x1.3731d88a4b13cp-14, 0x1.2d85735634c6p-14, 0x1.2427fe474886fp-14, 0x1.1b17262ce692cp-14, 0x1.1250a67908f52p-14, 0x1.09d249000f333p-14, 0x1.0199e5b281f18p-14, 0x1.f34ac4a7f2789p-15, 0x1.e3e5649db7fd5p-15, 0x1.d4ffac9d9fa87p-15, 0x1.c695b82df344p-15, 0x1.b8a3bc7337986p-15, 0x1.ab2607b21cb56p-15, 0x1.9e1900cf114efp-15, 0x1.917926cda7fc5p-15, 0x1.854310590aea8p-15, 0x1.79736b43bf80bp-15, 0x1.6e06fc1075f27p-15, 0x1.62fa9d7949fbap-15, 0x1.584b3fffebdf5p-15, 0x1.4df5e963603cbp-15, 0x1.43f7b4489a2dp-15, 0x1.3a4dcfb6ea1a8p-15, 0x1.30f57e9ab65b9p-15, 0x1.27ec179b847dep-15, 0x1.1f2f0446e9a3ap-15, 0x1.16bbc0ea5cfb8p-15, 0x1.0e8fdc17b0327p-15, 0x1.06a8f63c5b776p-15, 0x1.fe0982740e8cp-16, 0x1.ef4200080ab87p-16, 0x1.e0f70c6dc6b82p-16, 0x1.d3246f6a4c7d1p-16, 0x1.c5c610ad9e84cp-16, 0x1.b8d7f6e0eac45p-16, 0x1.ac56470e0d753p-16, 0x1.a03d43ddb9e64p-16, 0x1.94894ce6bb5bep-16, 0x1.8936ddf2b9122p-16, 0x1.7e428e4f3dcbdp-16, 0x1.73a9104f90543p-16, 0x1.6967304f14b8cp-16, 0x1.5f79d448ce585p-16, 0x1.55ddfb23d6abfp-16, 0x1.4c90bc119b37fp-16, 0x1.438f45fd8d9e2p-16, 0x1.3ad6dedce9141p-16, }}, 
      {{-0x1.c140e8c9284cdp-2, -0x1.c0c3e69104094p-2, -0x1.bff5442ac6155p-2, -0x1.bed638f71fd45p-2, -0x1.bd66cacf98df8p-2, -0x1.bbaa006105b86p-2, -0x1.b9a27e597dae5p-2, -0x1.b7521486cfe36p-2, -0x1.b4bc7b5bf8a8bp-2, -0x1.b1e4723d22476p-2, -0x1.aecd05223e5dcp-2, -0x1.ab7916555608cp-2, -0x1.a7ebcef571025p-2, -0x1.a4289bd2be5a4p-2, -0x1.a03384dfd133ep-2, -0x1.9c0e7e1f7f401p-2, -0x1.97bdc7d62a929p-2, -0x1.934411bc86d4bp-2, -0x1.8ea4a2906eec4p-2, -0x1.89e27ed436afbp-2, -0x1.85009e02d8e4fp-2, -0x1.8001e3a6133a1p-2, -0x1.7ae91b0f3aaep-2, -0x1.75b8f8a14de9ep-2, -0x1.7074187b04bc1p-2, -0x1.6b1d0087583c9p-2, -0x1.65b60da8c5cbep-2, -0x1.6041b98e0ff22p-2, -0x1.5ac20e972c393p-2, -0x1.5539481b713c1p-2, -0x1.4fa96e81f871ep-2, -0x1.4a146db47679fp-2, -0x1.447c2507387dep-2, -0x1.3ee256506e5c7p-2, -0x1.3948ad0f9dc6p-2, -0x1.33b0c11238bep-2, -0x1.2e1c145e1d8c6p-2, -0x1.288c131b5e4eap-2, -0x1.2302147299ce7p-2, -0x1.1d7f5b998bf7ap-2, -0x1.180518b771ea4p-2, -0x1.12946950c14a8p-2, -0x1.0d2e58366cfeap-2, -0x1.07d3de238542cp-2, -0x1.0285e2e11edep-2, -0x1.fa8a7b0a43e84p-3, -0x1.f0256958b7b78p-3, -0x1.e5ddff50b2789p-3, -0x1.dbb58e7b48862p-3, -0x1.d1ad4afc0a80ap-3, -0x1.c7c64c63a63bcp-3, -0x1.be0190150d067p-3, -0x1.b45ffac9541f7p-3, -0x1.aae258b5554f2p-3, -0x1.a1895c80c5e85p-3, -0x1.9855a32d5717bp-3, -0x1.8f47bac73cd7cp-3, -0x1.866018b20836ep-3, -0x1.7d9f1dedcc66ap-3, -0x1.7505187db3a41p-3, -0x1.6c924507c3761p-3, -0x1.6446d05fc14b7p-3, -0x1.5c22d8c45042fp-3, -0x1.54266ebac30dbp-3, -0x1.4c51959b844ap-3, -0x1.44a443f799b0ep-3, -0x1.3d1e6403417b6p-3, -0x1.35bfd42442ec8p-3, -0x1.2e8867acccbf9p-3, -0x1.2777e7b98f1a1p-3, -0x1.208e141e816c8p-3, -0x1.19caa44bbf764p-3, -0x1.132d48174403cp-3, -0x1.0cb5a861acd5dp-3, -0x1.066367980179fp-3, -0x1.0036221d08977p-3, -0x1.f45add4dbbb57p-4, -0x1.e891bd3694ad2p-4, -0x1.dd0ffce1ea49ep-4, -0x1.d1d4ac3074158p-4, -0x1.c6ded2d5fdfb5p-4, -0x1.bc2d713f73e2bp-4, -0x1.b1bf8173a9b93p-4, -0x1.a793f7e331413p-4, -0x1.9da9c41f4f81ep-4, -0x1.93ffd17752165p-4, -0x1.8a9507828cd0ap-4, -0x1.81684aa0b2a71p-4, -0x1.78787c789fa38p-4, -0x1.6fc47c76cbeaep-4, -0x1.674b2846a3515p-4, -0x1.5f0b5c4137b98p-4, -0x1.5703f3d155d07p-4, -0x1.4f33c9d416d26p-4, -0x1.4799b8ff5bc54p-4, -0x1.40349c520555dp-4, -0x1.39034f875d09fp-4, -0x1.3204af80001f8p-4, -0x1.2b379a9386ef5p-4, -0x1.249af0c80216ep-4, -0x1.1e2d93f8b7b68p-4, -0x1.17ee67fd01956p-4, -0x1.11dc52dde2495p-4, -0x1.0bf63d1e59842p-4, -0x1.063b120e5551cp-4, -0x1.00a9c017b878bp-4, -0x1.f68271ed48d2ep-5, -0x1.ec00e3ad20bcdp-5, -0x1.e1ccc6b2da05ap-5, -0x1.d7e4132db067fp-5, -0x1.ce44cf9e61a2fp-5, -0x1.c4ece880b78d6p-5, -0x1.bbda7f39e00f8p-5, -0x1.b30baaf8b3aefp-5, -0x1.aa7e8ad5a4e75p-5, -0x1.a23145ef72a96p-5, -0x1.9a220b88be24ep-5, -0x1.924f1325eb295p-5, -0x1.8ab69caa69963p-5, -0x1.8356f074794d8p-5, -0x1.7c2e5f766d70cp-5, -0x1.753b434c6a31ep-5, -0x1.6e7bfe4e0adap-5, -0x1.67eefb9b3a1ddp-5, -0x1.6192af23c689p-5, -0x1.5b6595a9615eap-5, -0x1.556634bc1d0b6p-5, -0x1.4f931ab1b567p-5, -0x1.49eade9821d6fp-5, -0x1.446c20244250ep-5, -0x1.3f15879d296bbp-5, -0x1.39e5c5c525c4ap-5, -0x1.34db93c0a7ecdp-5, -0x1.2ff5b2fbd79efp-5, -0x1.2b32ed0f384c8p-5, -0x1.269213a3bcb56p-5, -0x1.221200569b83cp-5, -0x1.1db1949d4663fp-5, -0x1.196fb9a99dfa6p-5, -0x1.154b604e88039p-5, -0x1.114380e4daf36p-5, -0x1.0d571b3050447p-5, -0x1.0985364483cb4p-5, -0x1.05cce06951e5p-5, -0x1.022d2efe8c699p-5, -0x1.fd4a7cbda333bp-6, -0x1.f6686382f7ca3p-6, -0x1.efb266373f398p-6, -0x1.e926e600b3946p-6, -0x1.e2c45100e101fp-6, -0x1.dc892212c7478p-6, -0x1.d673e08838665p-6, -0x1.d0831fe64ce56p-6, -0x1.cab57fa0ebaadp-6, -0x1.c509aad5ce3ebp-6, -0x1.bf7e5806e550bp-6, -0x1.ba1248d49a0edp-6, -0x1.b4c449b85b7b9p-6, -0x1.af9331bfa79dap-6, -0x1.aa7de248704e6p-6, -0x1.a58346bea4109p-6, -0x1.a0a2545b4c395p-6, -0x1.9bda09e520c27p-6, -0x1.97296f725e65cp-6, -0x1.928f962ba3e71p-6, -0x1.8e0b980f97366p-6, -0x1.899c97b720757p-6, -0x1.8541c01a456d7p-6, -0x1.80fa4455786cbp-6, -0x1.7cc55f6fd9ea3p-6, -0x1.78a254223f30fp-6, -0x1.74906c9f8042ap-6, -0x1.708efa5df9f14p-6, -0x1.6c9d55e238399p-6, -0x1.68bade8ad6f07p-6, -0x1.64e6fa5d42eafp-6, -0x1.612115d3451b2p-6, -0x1.5d68a3a901c8dp-6, -0x1.59bd1cab6b321p-6, -0x1.561dff8730b8fp-6, -0x1.528ad097f0372p-6, -0x1.4f0319b86f32ep-6, -0x1.4b866a137e5fcp-6, -0x1.481455f619c76p-6, -0x1.44ac76a2e7624p-6, -0x1.414e6a271c91cp-6, -0x1.3df9d330e2691p-6, -0x1.3aae58e703fcap-6, -0x1.376ba6c1d8a76p-6, -0x1.34316c652fdbbp-6, -0x1.30ff5d7b1936p-6, -0x1.2dd5318f2e09cp-6, -0x1.2ab2a3ea9e8e6p-6, -0x1.27977370cd313p-6, -0x1.2483627c6458cp-6, -0x1.217636bd7084ep-6, -0x1.1e6fb9181f192p-6, -0x1.1b6fb5849fc6p-6, -0x1.1875faf001de4p-6, -0x1.15825b1e452ecp-6, -0x1.1294aa8d74d4dp-6, -0x1.0facc059e9a17p-6, -0x1.0cca76234f67dp-6, -0x1.09eda7f29c5dcp-6, -0x1.07163420b5975p-6, -0x1.0443fb3db06ecp-6, -0x1.0176dff872ebep-6, -0x1.fd5d8e0df74adp-7, -0x1.f7d72e1e08d27p-7, -0x1.f25a711e98bd6p-7, -0x1.ece72b9278775p-7, -0x1.e77d355676325p-7, -0x1.e21c697802a12p-7, -0x1.dcc4a60c34fc2p-7, -0x1.d775cc0978322p-7, -0x1.d22fbf21fe894p-7, -0x1.ccf265a028de5p-7, -0x1.c7bda84441122p-7, -0x1.c2917223971e1p-7, -0x1.bd6db088c2e62p-7, -0x1.b85252d55afddp-7, -0x1.b33f4a6404187p-7, -0x1.ae347a9342d4dp-7, -0x1.a931f759e3da4p-7, -0x1.a437a8581bc71p-7, -0x1.9f4585b206497p-7, -0x1.9a5b88fbc2247p-7, -0x1.9579ad21465e7p-7, -0x1.909fee4ef134dp-7, -0x1.8bce49db42d59p-7, -0x1.8704be315a50bp-7, -0x1.82434abc1462p-7, -0x1.7d89efd22bc8ap-7, -0x1.78d8aea33acbap-7, -0x1.742f892508bfp-7, -0x1.6f8e820204b59p-7, -0x1.6af59c8845e6cp-7, -0x1.6664dc9934f6fp-7, -0x1.61dc469a2fc25p-7, -0x1.5d5bdf653702fp-7, -0x1.58e3ac3ae3e0cp-7, -0x1.5473b2b49fa8p-7, -0x1.500bf8b78a02ep-7, -0x1.4bac846859b65p-7, -0x1.47555c1ee816p-7, -0x1.4306865b576bbp-7, -0x1.3ec009bb1b64ep-7, -0x1.3a81eceebbb26p-7, -0x1.364c36b052d2ap-7, -0x1.321eedba07ca6p-7, -0x1.2dfa18bd8af74p-7, -0x1.29ddbe5bc9c4dp-7, -0x1.25c9e51d1d631p-7, -0x1.21be936a02492p-7, -0x1.1dbbcf843337fp-7, -0x1.19c19f800151cp-7, -0x1.15d0093e5fa1ep-7, -0x1.11e7126735ffep-7, -0x1.0e06c063f2929p-7, -0x1.0a2f185a8f277p-7, -0x1.06601f295073fp-7, -0x1.0299d961f6594p-7, -0x1.fdb8968c6796cp-8, -0x1.f64ef187cfe6cp-8, -0x1.eef6cae3a5356p-8, -0x1.e7b02918f8322p-8, -0x1.e07b11e769f32p-8, -0x1.d9578a4f6d402p-8, -0x1.d245968e557c1p-8, -0x1.cb453a1a3ac5ep-8, -0x1.c456779e85939p-8, -0x1.bd7950f8a2453p-8, -0x1.b6adc735df155p-8, -0x1.aff3da90e8156p-8, -0x1.a94b8a6fde416p-8, -0x1.a2b4d563169e4p-8, -0x1.9c2fb924127c2p-8, -0x1.95bc3294af738p-8, -0x1.8f5a3dbeef19fp-8, -0x1.8909d5d48c9c2p-8, -0x1.82caf52fe7c6p-8, -0x1.7c9d9553c63e1p-8, -0x1.7681aeec977f8p-8, -0x1.707739d16f156p-8, -0x1.6a7e2d0554f78p-8, -0x1.64967eb8cf0b2p-8, -0x1.5ec0244b86c8dp-8, -0x1.58fb124ed0115p-8, -0x1.53473c8701fb8p-8, -0x1.4da495ee73e19p-8, -0x1.481310b7c8d0bp-8, -0x1.42929e50ad40ep-8, -0x1.3d232f64cc87ep-8, -0x1.37c4b3e0b4d8cp-8, -0x1.32771af52cfa3p-8, -0x1.2d3a531a113cfp-8, -0x1.280e4a1259663p-8, -0x1.22f2eceef124cp-8, -0x1.1de82812b1515p-8, -0x1.18ede735f5d2p-8, -0x1.1404156a51e4bp-8, -0x1.0f2a9d1eafeedp-8, -0x1.0a616822ca1b5p-8, -0x1.05a85fab6728ap-8, -0x1.00ff6c566a2d5p-8, -0x1.f8ccec5d59c3fp-9, -0x1.efbac960a3a72p-9, -0x1.e6c83d998cbaap-9, -0x1.ddf515ddece9bp-9, -0x1.d5411dfef2d9dp-9, -0x1.ccac20d1d030fp-9, -0x1.c435e837ccbc6p-9, -0x1.bbde3d26c5ae3p-9, -0x1.b3a4e7b1bc9d1p-9, -0x1.ab89af1163b46p-9, -0x1.a38c59ac47efep-9, -0x1.9bacad1f4fc86p-9, -0x1.93ea6e465c381p-9, -0x1.8c4561442305bp-9, -0x1.84bd498b28badp-9, -0x1.7d51e9e525d71p-9, -0x1.7603047bc90b3p-9, -0x1.6ed05ae0cdc07p-9, -0x1.67b9ae15ca017p-9, -0x1.60bebe94326e4p-9, -0x1.59df4c5568e22p-9, -0x1.531b16dae3deep-9, -0x1.4c71dd350af41p-9, -0x1.45e35e0b59193p-9, -0x1.3f6f57a41a433p-9, -0x1.391587eb6cf34p-9, -0x1.32d5ac7ade059p-9, -0x1.2caf82a09478ep-9, -0x1.26a2c7667163bp-9, -0x1.20af37991453cp-9, -0x1.1ad48fcecbf9bp-9, -0x1.15128c6e2600dp-9, -0x1.0f68e9b5327b5p-9, -0x1.09d763bfa2932p-9, -0x1.045db68cfb7e7p-9, -0x1.fdf73c0ebc25bp-10, -0x1.f361ac131de3p-10, -0x1.e8fa34ca204cdp-10, -0x1.dec04dd0181cep-10, -0x1.d4b36ec66334ep-10, -0x1.cad30f5ec711bp-10, -0x1.c11ea766788d7p-10, -0x1.b795aed1d224ap-10, -0x1.ae379dc4d2135p-10, -0x1.a503eca11e934p-10, -0x1.9bfa140c7f2ebp-10, -0x1.93198cfcd333ap-10, -0x1.8a61d0c13af3p-10, -0x1.81d2590b87ef9p-10, -0x1.796a9ff943367p-10, -0x1.712a201cd57eap-10, -0x1.69105485f7c36p-10, -0x1.611cb8ca1bfc8p-10, -0x1.594ec90cf8bdfp-10, -0x1.51a60207dbd78p-10, -0x1.4a21e11153a61p-10, -0x1.42c1e42639ed5p-10, -0x1.3b8589ee59eb1p-10, -0x1.346c51c4d48f1p-10, -0x1.2d75bbbf9a827p-10, -0x1.26a148b4267f8p-10, -0x1.1fee7a3eed374p-10, -0x1.195cd2c92ca19p-10, -0x1.12ebd58ea3a9p-10, -0x1.0c9b06a338f27p-10, -0x1.0669eaf85636p-10, -0x1.005808621517bp-10, -0x1.f4c9cb37c4d43p-11, -0x1.e920149cb46fep-11, -0x1.ddb1fe23b5f5ep-11, -0x1.d27e9ae93fd06p-11, -0x1.c784fff9f01bcp-11, -0x1.bcc44460cc90dp-11, -0x1.b23b812701717p-11, -0x1.a7e9d15f5c5b1p-11, -0x1.9dce522bd5c9p-11, -0x1.93e822c3df2b7p-11, -0x1.8a36647a0b096p-11, -0x1.80b83ac1ba16ap-11, -0x1.776ccb33f4653p-11, -0x1.6e533d94ccd8fp-11, -0x1.656abbd6cd8e3p-11, -0x1.5cb2721f9a52ep-11, -0x1.54298ecb9ba6dp-11, -0x1.4bcf42714e4f4p-11, -0x1.43a2bfe3711c7p-11, -0x1.3ba33c37308ccp-11, -0x1.33cfeec16f719p-11, -0x1.2c28111c452f1p-11, -0x1.24aadf275180bp-11, -0x1.1d57970c17568p-11, -0x1.162d793ad0629p-11, -0x1.0f2bc86e6e90fp-11, -0x1.0851c9ac76a67p-11, -0x1.019ec445780c6p-11, -0x1.f62403aa46373p-12, -0x1.e9559c84a3c8fp-12, -0x1.dcd0ef7d3e0cfp-12, -0x1.d0949d8bb5f3dp-12, -0x1.c49f4c3a3a4b5p-12, -0x1.b8efa5a4a1287p-12, -0x1.ad84587434e53p-12, -0x1.a25c17de9c00fp-12, -0x1.97759b9fcb7p-12, -0x1.8ccf9ffa1986p-12, -0x1.8268e5ada018ep-12, -0x1.784031fcbc862p-12, -0x1.6e544e9adf3b5p-12, -0x1.64a409af66a54p-12, -0x1.5b2e35cec1e2p-12, -0x1.51f1a9f4214fcp-12, -0x1.48ed417c16405p-12, -0x1.401fdc1d769ep-12, -0x1.37885de32ac0dp-12, -0x1.2f25af25821dep-12, -0x1.26f6bc82a2bb1p-12, -0x1.1efa76d78766ap-12, -0x1.172fd33838ac4p-12, -0x1.0f95cae834a13p-12, -0x1.082b5b52365bcp-12, -0x1.00ef86003ceb9p-12, -0x1.f3c2a122a8378p-13, -0x1.e5ff896f2279dp-13, -0x1.d893e04b655e9p-13, -0x1.cb7dc919707cbp-13, -0x1.bebb6f1ee8de6p-13, -0x1.b24b058008de3p-13, -0x1.a62ac71a028e9p-13, -0x1.9a58f67b6d6p-13, -0x1.8ed3ddd0608f2p-13, -0x1.8399cecd4eb78p-13, -0x1.78a9229c840a5p-13, -0x1.6e0039ca1ae77p-13, -0x1.639d7c3104fc2p-13, -0x1.597f58e422acfp-13, -0x1.4fa4461e7b5a7p-13, -0x1.460ac12d7506ap-13, -0x1.3cb14e5869553p-13, -0x1.339678d2aa15fp-13, -0x1.2ab8d2a4eaa56p-13, -0x1.2216f495b9b62p-13, -0x1.19af679f54d9fp-13, -0x1.1180fda268f3bp-13, -0x1.098a4de85203p-13, -0x1.01ca0b68312f8p-13, -0x1.f47ddee267772p-14, -0x1.e5cf732ceece3p-14, -0x1.d7865f311f78cp-14, -0x1.c9a03aa5ebbacp-14, -0x1.bc1aa945c6236p-14, -0x1.aef35abccae68p-14, -0x1.a2280a5981212p-14, -0x1.95b67f080efc2p-14, -0x1.899c8b0db53c7p-14, -0x1.7dd80beeeb38dp-14, -0x1.7266ea43bfba1p-14, -0x1.67471987dc99dp-14, -0x1.5c7697fb85ccp-14, -0x1.51f36e75a148ep-14, -0x1.47bbb03bb43e3p-14, -0x1.3dcd7ad9d17b5p-14, -0x1.3426f5fa91f3ap-14, -0x1.2ac6533f03b48p-14, -0x1.21a9ce177c053p-14, -0x1.18cfab9ae974fp-14, -0x1.10363a61352dfp-14, -0x1.07dbd25b444afp-14, -0x1.ff7da95826edfp-15, -0x1.efbb570728bc4p-15, -0x1.e06d93e01b658p-15, -0x1.d19157a8c77f9p-15, -0x1.c323ab305ff53p-15, -0x1.b521a8445441ap-15, -0x1.a788794b57f06p-15, -0x1.9a5559058124fp-15, -0x1.8d859240c83c4p-15, -0x1.81167f9080b7fp-15, -0x1.75058b06ff2b9p-15, -0x1.69502dee4c538p-15, -0x1.5df3f08173751p-15, -0x1.52ee69a86bff5p-15, -0x1.483d3eb464731p-15, -0x1.3dde231507749p-15, -0x1.33ced81f5fab4p-15, -0x1.2a0d2cc53ea9bp-15, -0x1.2096fd5492c69p-15, -0x1.176a332cfc2aap-15, -0x1.0e84c4a637238p-15, -0x1.05e4b49654c85p-15, -0x1.fb102474bd1c6p-16, -0x1.ead9f1e2cf797p-16, -0x1.db231fdb15bap-16, -0x1.cbe8143fc9fa6p-16, -0x1.bd254ba21a35ap-16, -0x1.aed758f5eac09p-16, -0x1.a0fae51fcab67p-16, -0x1.938cae798dec3p-16, -0x1.86898863d5fp-16, -0x1.79ee5ad62c428p-16, -0x1.6db821f2204c9p-16, -0x1.61e3ed96867b5p-16, -0x1.566ee0f637082p-16, -0x1.4b56322a5d20bp-16, -0x1.409729d1dc041p-16, -0x1.362f22a041cc3p-16, -0x1.2c1b891587afcp-16, -0x1.2259daf3988dep-16, -0x1.18e7a6f5cf9d7p-16, -0x1.0fc28c6d3a18bp-16, -0x1.06e83ae72f962p-16, -0x1.fcace34144697p-17, -0x1.ec15ff62fecf3p-17, -0x1.dc07860a925f1p-17, -0x1.cc7d50de3a01ap-17, -0x1.bd735671b92fcp-17, -0x1.aee5a99b5731fp-17, -0x1.a0d078cc6c107p-17, -0x1.93300d70bebf1p-17, -0x1.8600cb4a17f36p-17, -0x1.793f2fd36e88cp-17, -0x1.6ce7d1a240f57p-17, -0x1.60f75fd28e33dp-17, -0x1.556aa1762b0ap-17, -0x1.4a3e74e03a06ep-17, -0x1.3f6fcf4973409p-17, -0x1.34fbbc1cadb4ap-17, -0x1.2adf5c80e1bf3p-17, -0x1.2117e67f21011p-17, -0x1.17a2a572e3565p-17, -0x1.0e7cf8260bd6ap-17, -0x1.05a4514f9781ep-17, -0x1.fa2c6d7fbf8fap-18, -0x1.e9a081db98398p-18, -0x1.d9a034fcc0c62p-18, -0x1.ca26ff9c77531p-18, -0x1.bb307cfbab3d2p-18, -0x1.acb869d83e731p-18, -0x1.9ebaa4274a335p-18, -0x1.91332970f585cp-18, -0x1.841e1627c3197p-18, -0x1.7777a55de419fp-18, -0x1.6b3c2f6725939p-18, -0x1.5f682961b806fp-18, -0x1.53f8244fd9d05p-18, -0x1.48e8cc6000e6ap-18, -0x1.3e36e81247407p-18, -0x1.33df57ff63623p-18, -0x1.29df1568dd4dep-18, -0x1.203332079f77ep-18, -0x1.16d8d74101819p-18, -0x1.0dcd4583f8ab1p-18, -0x1.050dd3944dcfbp-18, -0x1.f92fdc0a1f04ep-19, -0x1.e8d22d1526714p-19, -0x1.d8fdc6cdec7d2p-19, -0x1.c9adfd0a7063p-19, -0x1.bade4c52104fp-19, -0x1.ac8a54f749e26p-19, -0x1.9eaddc8b965a7p-19, -0x1.9144cc33a60b8p-19, -0x1.844b2fe3cc74fp-19, -0x1.77bd342a346b7p-19, -0x1.6b9727122520cp-19, -0x1.5fd575e248cb4p-19, -0x1.5474acb20d3adp-19, -0x1.497174e580762p-19, -0x1.3ec895274581fp-19, -0x1.3476f00fa901p-19, -0x1.2a7983040843ap-19, -0x1.20cd661682388p-19, -0x1.176fcabac2b1ep-19, -0x1.0e5dfa76aa21fp-19, -0x1.059558c2bd8a8p-19, -0x1.fa26bca5f05ecp-20, -0x1.e9ab360dc99ep-20, -0x1.d9b369154a9dfp-20, -0x1.ca3acb4f4f249p-20, -0x1.bb3cfb371975bp-20, -0x1.acb5bed7473ep-20, -0x1.9ea1029a107acp-20, -0x1.90fad83f06c13p-20, -0x1.83bf74b4901edp-20, -0x1.76eb306459f12p-20, -0x1.6a7a8516bc32fp-20, -0x1.5e6a0d1a40022p-20, -0x1.52b6822a1a7ffp-20, -0x1.475cbc3160dc4p-20, -0x1.3c59b0becef7dp-20, -0x1.31aa72868c282p-20, -0x1.274c2e76d0811p-20, -0x1.1d3c2c862090ap-20, -0x1.1377ce4e30761p-20, -0x1.09fc8ead73cf7p-20, -0x1.00c7fedda2659p-20, -0x1.efaf918017af9p-21, }}, 
      {{0x1.1d70b6fc7a8ap-6, 0x1.179d7fd4a36fcp-5, 0x1.957370ae478a6p-5, 0x1.01f5c0d008b46p-4, 0x1.2fe24293d2f27p-4, 0x1.53626f6d79643p-4, 0x1.6bd37b62eecb5p-4, 0x1.78fd4a8551518p-4, 0x1.7afe894d190f2p-4, 0x1.723cc377fe32dp-4, 0x1.5f52f6bef74ccp-4, 0x1.4302ed0199a8ep-4, 0x1.1e282fc30428p-4, 0x1.e35ab9966c8f7p-5, 0x1.7d0782f20554p-5, 0x1.0b3d3b60402cp-5, 0x1.1fa86cd9f9e9cp-6, 0x1.92d28497d7788p-10, -0x1.f329f1fc47792p-7, -0x1.0ab7b88d2af8fp-5, -0x1.9bb770766fdafp-5, -0x1.17374d2d056d5p-4, -0x1.60d0a898ff5f6p-4, -0x1.aa18d7d49002bp-4, -0x1.f28f5c35ae12ep-4, -0x1.1ce0e7795dd7ap-3, -0x1.3fa5cf3460c9p-3, -0x1.616a5c3cf1b1p-3, -0x1.820800cc85508p-3, -0x1.a15e1e4ebd1b5p-3, -0x1.bf50e7fec4e4bp-3, -0x1.dbc90dfe463a6p-3, -0x1.f6b3a7b1d686ep-3, -0x1.0800ec41c5bcdp-2, -0x1.13d42ac3199cap-2, -0x1.1ecf7f1cd33c7p-2, -0x1.28f05245ca535p-2, -0x1.323571f0237c2p-2, -0x1.3a9ef083a8a05p-2, -0x1.422dfcce131f4p-2, -0x1.48e4bf95314b1p-2, -0x1.4ec644133e02ap-2, -0x1.53d66469662d7p-2, -0x1.5819b2e15aca2p-2, -0x1.5b95600947273p-2, -0x1.5e4f22426234bp-2, -0x1.604d227a3398bp-2, -0x1.6195ed4d371a7p-2, -0x1.623064ba6ae5cp-2, -0x1.6223b066bd57dp-2, -0x1.61772dc595373p-2, -0x1.603261cca2606p-2, -0x1.5e5cec286a0e5p-2, -0x1.5bfe7b3bc7764p-2, -0x1.591f289be4647p-2, -0x1.55c5ff0bc01eep-2, -0x1.51fa9f664ce39p-2, -0x1.4dc488d07f32ep-2, -0x1.492b30bf1a4a3p-2, -0x1.4435f52291e0ep-2, -0x1.3eec0abda5288p-2, -0x1.39546d2b7cdap-2, -0x1.3375d4f5389c7p-2, -0x1.2d56b5657ceecp-2, -0x1.26fd40dd674c8p-2, -0x1.206f7061ff9bfp-2, -0x1.19b30a8399a84p-2, -0x1.12cda6a2574a7p-2, -0x1.0bc4ab6734448p-2, -0x1.049d4941d8157p-2, -0x1.fab8e63726d4ap-3, -0x1.ec0dafaaf4b02p-3, -0x1.dd41bd3f1dd88p-3, -0x1.ce5d4e3b4cd77p-3, -0x1.bf681a321b45ap-3, -0x1.b0695d17aec9bp-3, -0x1.a167e4b81493ep-3, -0x1.926a1c5da3af9p-3, -0x1.8376147e30ac7p-3, -0x1.749185c5ed37p-3, -0x1.65c1d04c06431p-3, -0x1.570bf8b5e3726p-3, -0x1.4874a5543f195p-3, -0x1.3a001cea926dap-3, -0x1.2bb248135c37p-3, -0x1.1d8eb55c99eeep-3, -0x1.0f989f810fdd1p-3, -0x1.01d2f4b14dfbep-3, -0x1.e880bb829f7a1p-4, -0x1.cdc688823529dp-4, -0x1.b37bade1fcf76p-4, -0x1.99a41902ee572p-4, -0x1.804349f847d8cp-4, -0x1.675c54e51beb1p-4, -0x1.4ef1e32bc1f8ap-4, -0x1.370635654202ep-4, -0x1.1f9b269822089p-4, -0x1.08b230ac5e661p-4, -0x1.e498e3948ffe3p-5, -0x1.b8d5646c34ee5p-5, -0x1.8e1ad48c3bd96p-5, -0x1.6469905d1cf61p-5, -0x1.3bc16af34b0eep-5, -0x1.1421b82749de9p-5, -0x1.db12ab73bd2dp-6, -0x1.8fed66f8e6377p-6, -0x1.46cfb522c5a4ep-6, -0x1.ff69cfe27b047p-7, -0x1.752f3adfaf792p-7, -0x1.ddc72fc3bd493p-8, -0x1.b214aa94b8e36p-9, 0x1.1fefe33bf2fe4p-11, 0x1.19861be1d3ecfp-8, 0x1.03d80c998ebc9p-7, 0x1.774f25fb39365p-7, 0x1.e7399e4e71709p-7, 0x1.29d46c4ed1b41p-6, 0x1.5e57343e443acp-6, 0x1.912e13e650bbap-6, 0x1.c26224e1c7db3p-6, 0x1.f1fcb2f90235bp-6, 0x1.10039e1017192p-5, 0x1.2645b54ebd324p-5, 0x1.3bc9850acca8ap-5, 0x1.5093fc8130d6p-5, 0x1.64aa0c3ea30e2p-5, 0x1.78109e270d783p-5, 0x1.8acc8e7412185p-5, 0x1.9ce2a642a81d8p-5, 0x1.ae5797ff39562p-5, 0x1.bf2ffdb752bcp-5, 0x1.cf705919eceecp-5, 0x1.df1d14c08a1bap-5, 0x1.ee3a86403757cp-5, 0x1.fcccf078e97a4p-5, 0x1.056c42d1d28bcp-4, 0x1.0c30b45bd2213p-4, 0x1.12b5d6f0486d1p-4, 0x1.18fdacf32b7f1p-4, 0x1.1f0a304674c4ep-4, 0x1.24dd51099a283p-4, 0x1.2a78f40890227p-4, 0x1.2fdef101a4077p-4, 0x1.351110ebb5a94p-4, 0x1.3a110c63eafeap-4, 0x1.3ee08a640af29p-4, 0x1.43811f59fefabp-4, 0x1.47f44caf5d92cp-4, 0x1.4c3b80c5e827ep-4, 0x1.50581764d55b1p-4, 0x1.544b5a8afeb4cp-4, 0x1.5816839415c0cp-4, 0x1.5bbabc9af09d7p-4, 0x1.5f392200c62bbp-4, 0x1.6292c400d6bbdp-4, 0x1.65c8a839224b8p-4, 0x1.68dbcb1367f88p-4, 0x1.6bcd20fd64d96p-4, 0x1.6e9d9763e23a4p-4, 0x1.714e15692afa1p-4, 0x1.73df7c54c8c9fp-4, 0x1.7652a7bf5b1c5p-4, 0x1.78a86d81ba05cp-4, 0x1.7ae19d7215b2cp-4, 0x1.7cff00fc2da15p-4, 0x1.7f015aa2ed9bbp-4, 0x1.80e96579ecb6p-4, 0x1.82b7d4a451fc1p-4, 0x1.846d52e4feebcp-4, 0x1.860a82498877ep-4, 0x1.878ffbf6ec66bp-4, 0x1.88fe501c350bcp-4, 0x1.8a56060c8b94ep-4, 0x1.8b979c7fcec23p-4, 0x1.8cc389f6af5f4p-4, 0x1.8dda3d3d9a145p-4, 0x1.8edc1e087db85p-4, 0x1.8fc98da0b0b16p-4, 0x1.90a2e79dcab4fp-4, 0x1.916882a2523cep-4, 0x1.921ab1157bae1p-4, 0x1.92b9c1d3d10cep-4, 0x1.934600d1939efp-4, 0x1.93bfb7aaa8776p-4, 0x1.94272e1d26b7fp-4, 0x1.947caa6cd93aap-4, 0x1.94c071af38508p-4, 0x1.94f2c8009e275p-4, 0x1.9513f0a468e4fp-4, 0x1.95242e12a2ecap-4, 0x1.9523c1f6613b9p-4, 0x1.9512ed2072ec8p-4, 0x1.94f1ef7217afcp-4, 0x1.94c107c36a38ep-4, 0x1.948073c8e518bp-4, 0x1.94306ffaf75b2p-4, 0x1.93d13782199bep-4, 0x1.93630429345bp-4, 0x1.92e60e578d5ddp-4, 0x1.925a8d12d9627p-4, 0x1.91c0b609773f6p-4, 0x1.9118bda468c65p-4, 0x1.9062d7203d83ep-4, 0x1.8f9f34abc6f07p-4, 0x1.8ece078b514fbp-4, 0x1.8def803eea5ccp-4, 0x1.8d03ceaa4f0dep-4, 0x1.8c0b223d05acbp-4, 0x1.8b05aa19649dbp-4, 0x1.89f395394f289p-4, 0x1.88d5128fb65d5p-4, 0x1.87aa512612b7cp-4, 0x1.8673803553191p-4, 0x1.8530cf39eb0f1p-4, 0x1.83e26e02f5822p-4, 0x1.82888cbc80e57p-4, 0x1.81235bf55e1b8p-4, 0x1.7fb30ca0e6b0ep-4, 0x1.7e37d0154a284p-4, 0x1.7cb1d8070c1b7p-4, 0x1.7b2156825c6dbp-4, 0x1.79867de2fde15p-4, 0x1.77e34e8390cfep-4, 0x1.7633d9eabeb4ap-4, 0x1.747aa25bf9622p-4, 0x1.72b7deb6203e5p-4, 0x1.70ebc5d55ae9bp-4, 0x1.6f168e773c24cp-4, 0x1.6d386f22a91d2p-4, 0x1.6b519e13e6972p-4, 0x1.6962512ceef7cp-4, 0x1.676abdea20213p-4, 0x1.656b195b1e21bp-4, 0x1.6363981fab03bp-4, 0x1.61546e6822d48p-4, 0x1.5f3dcff923e5dp-4, 0x1.5d1ff031f2e06p-4, 0x1.5afb02151115fp-4, 0x1.58cf38527d424p-4, 0x1.569cc5531af76p-4, 0x1.5463db44b5e81p-4, 0x1.5224ac2629f64p-4, 0x1.4fdf69d33cf94p-4, 0x1.4d94460fc214ep-4, 0x1.4b437291afbabp-4, 0x1.48ed2109dfadap-4, 0x1.4691832b3b478p-4, 0x1.4430cab02cc64p-4, 0x1.41cb295e34065p-4, 0x1.3f60d1079b805p-4, 0x1.3cf1f38b3f49p-4, 0x1.3a7ec2d27f103p-4, 0x1.380770cd6bd31p-4, 0x1.358c2f6d56e95p-4, 0x1.330d309de64fdp-4, 0x1.308aa63ce75dp-4, 0x1.2e04c2110c081p-4, 0x1.2b7bb5bfcf736p-4, 0x1.28efb2c2b89ddp-4, 0x1.2660ea5c370b9p-4, 0x1.23cf8d8c4c3d3p-4, 0x1.213bcd053ac7cp-4, 0x1.1ea5d92068718p-4, 0x1.1c0de1d39caa9p-4, 0x1.197416a6c37dbp-4, 0x1.16d8a6aa52e1p-4, 0x1.143bc06e67295p-4, 0x1.119d91fab2992p-4, 0x1.0efe48c73cdf5p-4, 0x1.0c5e11b604d2cp-4, 0x1.09bd190d7f22ep-4, 0x1.071b8a73ed10bp-4, 0x1.047990eb85615p-4, 0x1.01d756cf5f01ep-4, 0x1.fe6a0ba22599fp-5, 0x1.f9258dedfbddfp-5, 0x1.f3e1853633fe4p-5, 0x1.ee9e40d4980b3p-5, 0x1.e95c0ec8466dbp-5, 0x1.e41b3bb5d6254p-5, 0x1.dedc12e800042p-5, 0x1.d99ede50b558ap-5, 0x1.d463e68a70a3dp-5, 0x1.cf2b72d9b2a5ap-5, 0x1.c9f5c92e87da8p-5, 0x1.c4c32e260857fp-5, 0x1.bf93e50bb858ap-5, 0x1.ba682fdabd27ap-5, 0x1.b5404f3ee3401p-5, 0x1.b01c82955ca6p-5, 0x1.aafd07ed46f4p-5, 0x1.a5e21c07e8938p-5, 0x1.a0cbfa58b116fp-5, 0x1.9bbadd04fa3eep-5, 0x1.96aefce394386p-5, 0x1.91a8917c2369bp-5, 0x1.8ca7d106556ecp-5, 0x1.87acf0690207bp-5, 0x1.82b82339379ecp-5, 0x1.7dc99bb941d37p-5, 0x1.78e18ad7bf808p-5, 0x1.7400202ebe097p-5, 0x1.6f258a0301b08p-5, 0x1.6a51f54366e88p-5, 0x1.65858d887a2f6p-5, 0x1.60c07d14488e9p-5, 0x1.5c02ecd26b377p-5, 0x1.574d04585b9a3p-5, 0x1.529ee9e60a571p-5, 0x1.4df8c266c775dp-5, 0x1.495ab1727426p-5, 0x1.44c4d94f0620ap-5, 0x1.40375af25384p-5, 0x1.3bb256042e341p-5, 0x1.3735e8e0c86ap-5, 0x1.32c2309b5ffbap-5, 0x1.2e5749012b6f3p-5, 0x1.29f54c9c83ec9p-5, 0x1.259c54b85046ap-5, 0x1.214c79639c595p-5, 0x1.1d05d17565e2ap-5, 0x1.18c87290922c2p-5, 0x1.1494712809b3fp-5, 0x1.1069e082f4e8ep-5, 0x1.0c48d2c113a4p-5, 0x1.083158df2fb91p-5, 0x1.042382bb9aca7p-5, 0x1.001f5f1ac67f4p-5, 0x1.f849f757b974fp-6, 0x1.f068ca1acd308p-6, 0x1.e89b4da3f219fp-6, 0x1.e0e19709bbfecp-6, 0x1.d93bb95d8af49p-6, 0x1.d1a9c5b4e1123p-6, 0x1.ca2bcb32b06afp-6, 0x1.c2c1d710aa726p-6, 0x1.bb6bf4a877733p-6, 0x1.b42a2d7cec9d8p-6, 0x1.acfc8943280c1p-6, 0x1.a5e30debaf9a2p-6, 0x1.9eddbfab722b1p-6, 0x1.97eca104b976dp-6, 0x1.910fb2d019ba2p-6, 0x1.8a46f44541bc1p-6, 0x1.83926303c96b8p-6, 0x1.7cf1fb1be9435p-6, 0x1.7665b71729f1fp-6, 0x1.6fed9000fe2f5p-6, 0x1.69897d6f56f2dp-6, 0x1.6339758b26c4ap-6, 0x1.5cfd6d18d919bp-6, 0x1.56d55780bfd4dp-6, 0x1.50c126d770993p-6, 0x1.4ac0cbe616d9cp-6, 0x1.44d43632bb5b5p-6, 0x1.3efb54088560bp-6, 0x1.3936127fe3ea3p-6, 0x1.33845d86b6f55p-6, 0x1.2de61fe865bc3p-6, 0x1.285b4355edebcp-6, 0x1.22e3b06de412ep-6, 0x1.1d7f4ec4654a9p-6, 0x1.182e04eb060d7p-6, 0x1.12efb878abf2fp-6, 0x1.0dc44e1157ef6p-6, 0x1.08aba96df4cd1p-6, 0x1.03a5ad6404921p-6, 0x1.fd6477da9d35bp-7, 0x1.f3a26c5ef13p-7, 0x1.ea04f9073105fp-7, 0x1.e08bdcfb67254p-7, 0x1.d736d5e86c4cep-7, 0x1.ce05a00ead2acp-7, 0x1.c4f7f650e787fp-7, 0x1.bc0d9242b1f9cp-7, 0x1.b3462c3706634p-7, 0x1.aaa17b4e942b9p-7, 0x1.a21f358604613p-7, 0x1.99bf0fc428c0dp-7, 0x1.9180bde7f5417p-7, 0x1.8963f2d6712edp-7, 0x1.816860887ca25p-7, 0x1.798db8187f786p-7, 0x1.71d3a9cfe7028p-7, 0x1.6a39e53495a7bp-7, 0x1.62c019162f548p-7, 0x1.5b65f39b23c67p-7, 0x1.542b224db335cp-7, 0x1.4d0f5228c0551p-7, 0x1.46122fa4758f9p-7, 0x1.3f3366c2c447fp-7, 0x1.3872a31baf97ep-7, 0x1.31cf8fe974b95p-7, 0x1.2b49d81475ca3p-7, 0x1.24e1263ef9805p-7, 0x1.1e9524d0a6e2cp-7, 0x1.18657e01ec52ep-7, 0x1.1251dbe6fe709p-7, 0x1.0c59e87abe814p-7, 0x1.067d4da950c21p-7, 0x1.00bbb55a7877p-7, 0x1.f62992f7635f8p-8, 0x1.eb1068140b55p-8, 0x1.e02b3e372ce85p-8, 0x1.d57969d1c973cp-8, 0x1.cafa3faba1499p-8, 0x1.c0ad14f4845f1p-8, 0x1.b6913f552765dp-8, 0x1.aca614ff43e8dp-8, 0x1.a2eaecbd2f551p-8, 0x1.995f1e00cfe09p-8, 0x1.900200f1d403bp-8, 0x1.86d2ee7b7eb35p-8, 0x1.7dd14059a549cp-8, 0x1.74fc512516002p-8, 0x1.6c537c5f7944cp-8, 0x1.63d61e7e5fae2p-8, 0x1.5b8394f5f81bfp-8, 0x1.535b3e42e191bp-8, 0x1.4b5c79f3ad688p-8, 0x1.4386a8b180e35p-8, 0x1.3bd92c485ab84p-8, 0x1.345367aeb9914p-8, 0x1.2cf4bf0cb467ep-8, 0x1.25bc97c2866cp-8, 0x1.1eaa586eac945p-8, 0x1.17bd68f36e902p-8, 0x1.10f5327bff4c2p-8, 0x1.0a511f8125d64p-8, 0x1.03d09bcd72da4p-8, 0x1.fae6290236676p-9, 0x1.ee6ff02a9d89p-9, 0x1.e23d6cbed4496p-9, 0x1.d64d81274d1dap-9, 0x1.ca9f128ee245ap-9, 0x1.bf3108e71a7b3p-9, 0x1.b4024eebda23ep-9, 0x1.a911d22674a14p-9, 0x1.9e5e82f0557cap-9, 0x1.93e754752ff95p-9, 0x1.89ab3cb4c3216p-9, 0x1.7fa934845bf46p-9, 0x1.75e0378fc8994p-9, 0x1.6c4f445a2ffa6p-9, 0x1.62f55c3eb7d7dp-9, 0x1.59d183707503ap-9, 0x1.50e30116bdd7fp-9, 0x1.48284a0f6d79ap-9, 0x1.3fa0c0dadd862p-9, 0x1.374b750d6ad99p-9, 0x1.2f277910ef624p-9, 0x1.2733e2240bbb6p-9, 0x1.1f6fc85935ab6p-9, 0x1.17da4695b40f2p-9, 0x1.10727a908b914p-9, 0x1.093784d11ed23p-9, 0x1.022888ae25423p-9, 0x1.f68958982b9c4p-10, 0x1.e9163137b2166p-10, 0x1.dbf5f2b20ed6p-10, 0x1.cf26fa10f6a15p-10, 0x1.c2a7a9ecf3c0ap-10, 0x1.b6766a6a108fcp-10, 0x1.aa91a933ed71p-10, 0x1.9ef7d979f0a56p-10, 0x1.93a773eb25148p-10, 0x1.889ef6b1f50c7p-10, 0x1.7ddce56fab96bp-10, 0x1.735fc937dac72p-10, 0x1.6926308b62573p-10, 0x1.5f2eaf536aff7p-10, 0x1.5577dedc07bddp-10, 0x1.4c005dcea5929p-10, 0x1.42c6d02c37aeep-10, 0x1.39c9df47453d5p-10, 0x1.310839bd682d4p-10, 0x1.28809370d6202p-10, 0x1.2031a581d1b1fp-10, 0x1.181a2e46fb86ep-10, 0x1.1038f14659bep-10, 0x1.088cb72d9039fp-10, 0x1.01144dc9ed39dp-10, 0x1.f39d10007eaeap-11, 0x1.e5747b88996fp-11, 0x1.d7ac982007f4ep-11, 0x1.ca4329b505e35p-11, 0x1.bd35fe1d64fc1p-11, 0x1.b082ed0388481p-11, 0x1.a427d7d2654c9p-11, 0x1.9822a9a18d5c3p-11, 0x1.8c7157204c7ddp-11, 0x1.8111de80a0b21p-11, 0x1.76024760d2d76p-11, 0x1.6b40a2b641931p-11, 0x1.60cb0ab62c9edp-11, 0x1.569fa2bec7042p-11, 0x1.4cbc973f47839p-11, 0x1.43201da1895a4p-11, 0x1.39c8742fc77bcp-11, 0x1.30b3e1fd5acf7p-11, 0x1.27e0b6cd73a52p-11, 0x1.1f4d4af9e6bfap-11, 0x1.16f7ff59aaa9dp-11, 0x1.0edf3d2700d34p-11, 0x1.070175e58a2f4p-11, 0x1.feba468ff17ffp-12, 0x1.efe18e2b4e03fp-12, 0x1.e175d61fd5549p-12, 0x1.d37441aebc516p-12, 0x1.c5da03a226641p-12, 0x1.b8a45e1620f24p-12, 0x1.abd0a243db369p-12, 0x1.9f5c304a384fep-12, 0x1.934476f7b555cp-12, 0x1.8786f3939ca1dp-12, 0x1.7c2131a83633ap-12, 0x1.7110cacadc192p-12, 0x1.665366669026ep-12, 0x1.5be6b9851b70dp-12, 0x1.51c8869848553p-12, 0x1.47f69d4571418p-12, 0x1.3e6eda2cc0fc6p-12, 0x1.352f26b52b402p-12, 0x1.2c3578d64c0dfp-12, 0x1.237fd2e305f4dp-12, 0x1.1b0c4354574a3p-12, 0x1.12d8e4949203ap-12, 0x1.0ae3dccac6746p-12, 0x1.032b5da6a23c6p-12, 0x1.f75b485918eep-13, 0x1.e8d1f10419586p-13, 0x1.dab75b75f53c4p-13, 0x1.cd08434dc1f57p-13, 0x1.bfc1793b22ac1p-13, 0x1.b2dfe29de6e8cp-13, 0x1.a6607920f966ap-13, 0x1.9a404a592cc98p-13, 0x1.8e7c7763ceae9p-13, 0x1.831234869583cp-13, 0x1.77fec8d0603e1p-13, 0x1.6d3f8dbafc2bp-13, 0x1.62d1eecd00609p-13, 0x1.58b369402be62p-13, 0x1.4ee18ba1610f1p-13, 0x1.4559f57b97799p-13, 0x1.3c1a56f9a3addp-13, 0x1.332070906040ep-13, 0x1.2a6a12a6e791fp-13, 0x1.21f51d3ffd12cp-13, 0x1.19bf7fa4a9b55p-13, 0x1.11c7381047d7dp-13, 0x1.0a0a535ba24ccp-13, 0x1.0286ecad04e6bp-13, 0x1.f6765a4a9b323p-14, 0x1.e84a972062841p-14, 0x1.da87182a31578p-14, 0x1.cd287fd16a9bap-14, 0x1.c02b8a00ab6d8p-14, 0x1.b38d0b8bb0f88p-14, 0x1.a749f198dadeap-14, 0x1.9b5f410e1b787p-14, 0x1.8fca15fed101ap-14, 0x1.8487a31ce66cep-14, 0x1.7995312bcd17cp-14, 0x1.6ef01e74a88fcp-14, 0x1.6495de3d5476fp-14, 0x1.5a83f84459656p-14, 0x1.50b808387143bp-14, 0x1.472fbd398e1dp-14, 0x1.3de8d95565f6ap-14, 0x1.34e13111ef4e8p-14, 0x1.2c16aae66868fp-14, 0x1.23873ec92da7dp-14, 0x1.1b30f5b8148f2p-14, 0x1.1311e9422417p-14, 0x1.0b284315e0d2ap-14, 0x1.03723c918a1cdp-14, 0x1.f7dc3ca3ecb9cp-15, 0x1.e9347f968f617p-15, 0x1.daea0db84a894p-15, 0x1.ccf9cecd7eddep-15, 0x1.bf60c5d91cc98p-15, 0x1.b21c10533e863p-15, 0x1.a528e568419b1p-15, 0x1.9884953d1fdd7p-15, 0x1.8c2c88321c0f8p-15, 0x1.801e3e3096dc7p-15, 0x1.74574df7d5f95p-15, 0x1.68d564703e793p-15, 0x1.5d964402073cep-15, 0x1.5297c3efed20ep-15, 0x1.47d7cfb2d328p-15, 0x1.3d54666950532p-15, 0x1.330b9a26f41bep-15, 0x1.28fb8f713dd8p-15, 0x1.1f227ca56ada6p-15, 0x1.157ea96a91db3p-15, 0x1.0c0e6e240ceafp-15, 0x1.02d033731510fp-15, 0x1.f384e346291cp-16, }}, 
      {{0x1.f01cce569cd31p-7, 0x1.eb03306a35035p-6, 0x1.6a10817ed44cp-5, 0x1.d7a0d71310ca7p-5, 0x1.1e3cf9ba77e46p-4, 0x1.4b9f0cce409fp-4, 0x1.7374c6dda0582p-4, 0x1.956671e8129f1p-4, 0x1.b14056f957365p-4, 0x1.c6efa41feccd1p-4, 0x1.d67caed9eb869p-4, 0x1.e0068799e7a88p-4, 0x1.e3be3c983997dp-4, 0x1.e1e306892a99fp-4, 0x1.dabd9d17782p-4, 0x1.cea1756a98e34p-4, 0x1.bde440f1c2b9p-4, 0x1.a8e0b0fd892ebp-4, 0x1.8ff22106a664ap-4, 0x1.737402ab1db59p-4, 0x1.53c08f9a9ff47p-4, 0x1.312fd7d7f3873p-4, 0x1.0c171bddcd26p-4, 0x1.c99095e3026ecp-5, 0x1.7723351ae26a1p-5, 0x1.217a80fd066eep-5, 0x1.9245cb097c612p-6, 0x1.ba7f18576b88dp-7, 0x1.26d962e8be873p-9, -0x1.2c043fba9a339p-7, -0x1.5281a2ba405ebp-6, -0x1.07ee2f58d7066p-5, -0x1.66adacb0d3572p-5, -0x1.c52afad5be51ap-5, -0x1.118c63cc38587p-4, -0x1.40184088f90cp-4, -0x1.6e1901eb30047p-4, -0x1.9b71a449fc66ap-4, -0x1.c8080535a685fp-4, -0x1.f3c4b92932262p-4, -0x1.0f497373c9643p-3, -0x1.243011feef184p-3, -0x1.388e26faf3d4ap-3, -0x1.4c5cb29b33616p-3, -0x1.5f95b5743658ep-3, -0x1.72341e969e574p-3, -0x1.8433bb61f7e75p-3, -0x1.95912a8e307eap-3, -0x1.a649cdb85985cp-3, -0x1.b65bb8993a09cp-3, -0x1.c5c5a2ba3d47cp-3, -0x1.d486dc454bb66p-3, -0x1.e29f42109bb5ap-3, -0x1.f00f3061e54bp-3, -0x1.fcd78169a5c5bp-3, -0x1.047caacbb6fa6p-2, -0x1.0a3b2ae048c09p-2, -0x1.0fa83c8a5667ap-2, -0x1.14c5025ff03a9p-2, -0x1.1992c0d617009p-2, -0x1.1e12d9d715849p-2, -0x1.2246c92cbac81p-2, -0x1.2630219b6f054p-2, -0x1.29d08a62d1259p-2, -0x1.2d29bcd3716b4p-2, -0x1.303d81c2e92b7p-2, -0x1.330daed03eeacp-2, -0x1.359c238fd87eap-2, -0x1.37eac6cb8e5fep-2, -0x1.39fb840642dedp-2, -0x1.3bd04964749f3p-2, -0x1.3d6b0602a163ap-2, -0x1.3ecda8a953e0cp-2, -0x1.3ffa1ebfd071bp-2, -0x1.40f2535cc843bp-2, -0x1.41b82e5bc9ed6p-2, -0x1.424d936951217p-2, -0x1.42b46103add96p-2, -0x1.42ee6f7a7d248p-2, -0x1.42fd8ffd45f6cp-2, -0x1.42e38bc9afbbfp-2, -0x1.42a223836542p-2, -0x1.423b0eb73d703p-2, -0x1.41affb83c4d2bp-2, -0x1.41028e5cd6128p-2, -0x1.403461df28367p-2, -0x1.3f4706ab69d51p-2, -0x1.3e3c0344c93eep-2, -0x1.3d14d3f1d3acdp-2, -0x1.3bd2ea9f57e0fp-2, -0x1.3a77aec449a11p-2, -0x1.39047d46b0269p-2, -0x1.377aa864f7d13p-2, -0x1.35db77aacd94cp-2, -0x1.342827f8dd9c7p-2, -0x1.3261eba1db1cdp-2, -0x1.3089ea973feafp-2, -0x1.2ea1429a2f20fp-2, -0x1.2ca907652ea6cp-2, -0x1.2aa242c9fb865p-2, -0x1.288df4c7dd9f5p-2, -0x1.266d13a4dd581p-2, -0x1.24408c13b7c85p-2, -0x1.2209416a04ecbp-2, -0x1.1fc80de19556dp-2, -0x1.1d7dc2daa67d2p-2, -0x1.1b2b2914b93a6p-2, -0x1.18d100d988e03p-2, -0x1.1670021d50822p-2, -0x1.1408dc9d8a94ap-2, -0x1.119c52ba5b90ep-2, -0x1.0f2acca8f77dfp-2, -0x1.0cb4fd4c6a88fp-2, -0x1.0a3b7650336ebp-2, -0x1.07bec282292eap-2, -0x1.053f65fddcfcfp-2, -0x1.02bdde55e334cp-2, -0x1.003aa2bc220a9p-2, -0x1.fb6c48548fa75p-3, -0x1.f6619b174b16ap-3, -0x1.f15607d2f037ap-3, -0x1.ec4a4d350cde2p-3, -0x1.e73f1eed09bcfp-3, -0x1.e235261a98292p-3, -0x1.dd2d01c2cb3p-3, -0x1.d827474a2dddfp-3, -0x1.d32482f17df15p-3, -0x1.ce25385279053p-3, -0x1.c929e2da0632fp-3, -0x1.c432f63d59b5dp-3, -0x1.bf40dee80733dp-3, -0x1.ba54026167e4p-3, -0x1.b56cbfa88ce6fp-3, -0x1.b08b6f8665dacp-3, -0x1.abb064d6a4022p-3, -0x1.a6dbecc84da4ep-3, -0x1.a20e4f178c9bep-3, -0x1.9d47ce428a3ap-3, -0x1.9888a7bb23b9cp-3, -0x1.93d11417514b7p-3, -0x1.8f214741a07dfp-3, -0x1.8a7970aad0ecp-3, -0x1.85d9bb7d2ee07p-3, -0x1.81424ed1d1c34p-3, -0x1.7cb34de7a3ecp-3, -0x1.782cd85bbb588p-3, -0x1.73af0a6281187p-3, -0x1.6f39fd00f15a6p-3, -0x1.6acdc645442d9p-3, -0x1.666a797e366bfp-3, -0x1.621027703a14p-3, -0x1.5dbede87dc651p-3, -0x1.5976ab08c368ap-3, -0x1.55379738ddc16p-3, -0x1.5101ab8772f28p-3, -0x1.4cd4eeb023132p-3, -0x1.48b165d9e6a3cp-3, -0x1.449714b282a2cp-3, -0x1.4085fd86dfb2fp-3, -0x1.3c7e2158ccacdp-3, -0x1.387f7ff2bdbb6p-3, -0x1.348a17fa024abp-3, -0x1.309de6ffc8da7p-3, -0x1.2cbae9914fb6ap-3, -0x1.28e11b476a293p-3, -0x1.251076d587022p-3, -0x1.2148f6185c861p-3, -0x1.1d8a922449987p-3, -0x1.19d5435393b68p-3, -0x1.1629015489adfp-3, -0x1.1285c337a8155p-3, -0x1.0eeb7f7db256p-3, -0x1.0b5a2c25bafecp-3, -0x1.07d1bebaf1281p-3, -0x1.04522c6209915p-3, -0x1.00db69e5ffbd5p-3, -0x1.fadad787f48b4p-4, -0x1.f4104c6c37bb4p-4, -0x1.ed571a7a47f95p-4, -0x1.e6af29519cf3p-4, -0x1.e018603dfb0ddp-4, -0x1.d992a64390e76p-4, -0x1.d31de2294d32ep-4, -0x1.ccb9fa81afcd3p-4, -0x1.c666d5b27dd22p-4, -0x1.c02459fba459p-4, -0x1.b9f26d7d82248p-4, -0x1.b3d0f63e913acp-4, -0x1.adbfda309558fp-4, -0x1.a7beff352c127p-4, -0x1.a1ce4b21b24acp-4, -0x1.9beda3c28d1dbp-4, -0x1.961ceeddbce02p-4, -0x1.905c1234f095bp-4, -0x1.8aaaf387373cap-4, -0x1.8509789271103p-4, -0x1.7f778714c58b3p-4, -0x1.79f504ce388dep-4, -0x1.7481d78282e4dp-4, -0x1.6f1de4fb323bdp-4, -0x1.69c9130a0b913p-4, -0x1.6483478b91e61p-4, -0x1.5f4c686994d8ep-4, -0x1.5a245b9d9346p-4, -0x1.550b0732d1065p-4, -0x1.50005147fadcap-4, -0x1.4b0420104ad72p-4, -0x1.461659d41d512p-4, -0x1.4136e4f10501p-4, -0x1.3c65a7d96cad1p-4, -0x1.37a28913e7c68p-4, -0x1.32ed6f3a4b9a4p-4, -0x1.2e4640f8ab7acp-4, -0x1.29ace50c64bf3p-4, -0x1.252142433712ep-4, -0x1.20a33f7a89741p-4, -0x1.1c32c39ed235p-4, -0x1.17cfb5ab2772dp-4, -0x1.1379fca8e7d3ep-4, -0x1.0f317faf77811p-4, -0x1.0af625e3f9f45p-4, -0x1.06c7d679078e8p-4, -0x1.02a66ffd0de0dp-4, -0x1.fd23d0a1c8ff3p-5, -0x1.f5144285d8ddep-5, -0x1.ed1e047d838a6p-5, -0x1.e540e56d52e9p-5, -0x1.dd7cb4464f207p-5, -0x1.d5d1400573f9ap-5, -0x1.ce3e57b355649p-5, -0x1.c6c3ca63f91efp-5, -0x1.bf616736ddbd5p-5, -0x1.b816fd571e346p-5, -0x1.b0e45bfbaeb77p-5, -0x1.a9c95267b3a07p-5, -0x1.a2c5afead9bfap-5, -0x1.9bd943e1bafc6p-5, -0x1.9503ddb641e7ap-5, -0x1.8e454ce006448p-5, -0x1.879d60e4afe7p-5, -0x1.810be95844cfap-5, -0x1.7a90b5dd77476p-5, -0x1.742b9625eb8a4p-5, -0x1.6ddc59f269bd4p-5, -0x1.67a2d1131e519p-5, -0x1.617ecb67bd34p-5, -0x1.5b7018dfae21bp-5, -0x1.5576897a313fep-5, -0x1.4f91ed467db81p-5, -0x1.49c21463edb2ep-5, -0x1.4406cf021e5dp-5, -0x1.3e5fed61201a9p-5, -0x1.38cd3fd1a8d7ep-5, -0x1.334e96b5524fdp-5, -0x1.2de3c27ee5b18p-5, -0x1.288c93b2b3f06p-5, -0x1.2348dae700b9ep-5, -0x1.1e1868c47908p-5, -0x1.18fb0e06c4caep-5, -0x1.13f09b7d24894p-5, -0x1.0ef8e20b20f2p-5, -0x1.0a13b2a957488p-5, -0x1.0540de664cd98p-5, -0x1.008036675840dp-5, -0x1.f7a317d337da1p-6, -0x1.ee6960861d6a4p-6, -0x1.e552e9c71a758p-6, -0x1.dc5f56ac03a13p-6, -0x1.d38e4a831a2a6p-6, -0x1.cadf68d577244p-6, -0x1.c252556986327p-6, -0x1.b9e6b4458f096p-6, -0x1.b19c29b23eef8p-6, -0x1.a9725a3d480ecp-6, -0x1.a168eabbfdf4ep-6, -0x1.997f804df7b6p-6, -0x1.91b5c05fae893p-6, -0x1.8a0b50ad236fbp-6, -0x1.827fd7447a4dp-6, -0x1.7b12fa889ed9bp-6, -0x1.73c46133ce241p-6, -0x1.6c93b25a33c52p-6, -0x1.6580956c6c584p-6, -0x1.5e8ab23a0b772p-6, -0x1.57b1b0f4123aep-6, -0x1.50f53a2f5f67bp-6, -0x1.4a54f6e71cc81p-6, -0x1.43d0907f10622p-6, -0x1.3d67b0c5fe909p-6, -0x1.371a01f7ee8d3p-6, -0x1.30e72ec06ac3p-6, -0x1.2acee23cba16dp-6, -0x1.24d0c7fe0bd0dp-6, -0x1.1eec8c0b9e993p-6, -0x1.1921dae4d5298p-6, -0x1.1370618352baep-6, -0x1.0dd7cd5cf4f9dp-6, -0x1.0857cc65dc0c8p-6, -0x1.02f00d125aac3p-6, -0x1.fb407cb1c40c1p-7, -0x1.f0d01f67c079dp-7, -0x1.e68e624732943p-7, -0x1.dc7aa65fe22e9p-7, -0x1.d2944dd45bb4bp-7, -0x1.c8dabbdd5b8e6p-7, -0x1.bf4d54cd289efp-7, -0x1.b5eb7e12d136dp-7, -0x1.acb49e3d54514p-7, -0x1.a3a81cfeaeabep-7, -0x1.9ac5632ede04ep-7, -0x1.920bdaceaedd7p-7, -0x1.897aef0a8d0dap-7, -0x1.81120c3d25e6p-7, -0x1.78d09ff20077ap-7, -0x1.70b618e7e1c96p-7, -0x1.68c1e71335461p-7, -0x1.60f37ba035d5ap-7, -0x1.594a48f5185e7p-7, -0x1.51c5c2b4066d5p-7, -0x1.4a655dbcfcb6ep-7, -0x1.4328902f9f78p-7, -0x1.3c0ed16cd3dd4p-7, -0x1.35179a184f007p-7, -0x1.2e42641a0854bp-7, -0x1.278eaa9f85ca2p-7, -0x1.20fbea1d0c808p-7, -0x1.1a89a04eb0f6ap-7, -0x1.14374c3959db8p-7, -0x1.0e046e2b96662p-7, -0x1.07f087be5d989p-7, -0x1.01fb1bd5afad1p-7, -0x1.f8475d423ee45p-8, -0x1.ecd38b3877f88p-8, -0x1.e199cf1dc87d6p-8, -0x1.d699391af7a55p-8, -0x1.cbd0dbf20f5a1p-8, -0x1.c13fccfe6b6fbp-8, -0x1.b6e5243472263p-8, -0x1.acbffc215c6dep-8, -0x1.a2cf71ea9185ep-8, -0x1.9912a54cf3f76p-8, -0x1.8f88b89bf44d6p-8, -0x1.8630d0c07cabap-8, -0x1.7d0a1537b19ddp-8, -0x1.7413b0118113cp-8, -0x1.6b4ccdef118f8p-8, -0x1.62b49e0100e95p-8, -0x1.5a4a52057d141p-8, -0x1.520d1e4652bf9p-8, -0x1.49fc399684a22p-8, -0x1.4216dd50326adp-8, -0x1.3a5c455203021p-8, -0x1.32cbaffc919acp-8, -0x1.2b645e2fb0d31p-8, -0x1.24259347a9e3cp-8, -0x1.1d0e951a1a6cap-8, -0x1.161eabf301417p-8, -0x1.0f5522917e602p-8, -0x1.08b14624875bdp-8, -0x1.02326647822b5p-8, -0x1.f7afa9fd96456p-9, -0x1.eb41cd67f0ff7p-9, -0x1.df19e464ada3cp-9, -0x1.d336a146049bbp-9, -0x1.c796bb1224da1p-9, -0x1.bc38ed7b3c499p-9, -0x1.b11bf8d770789p-9, -0x1.a63ea218afdc3p-9, -0x1.9b9fb2c440162p-9, -0x1.913df8ea4d5a8p-9, -0x1.8718471d40fa2p-9, -0x1.7d2d7468fb37p-9, -0x1.737c5c4a0386bp-9, -0x1.6a03dea454a04p-9, -0x1.60c2dfba8a7e2p-9, -0x1.57b8482466edbp-9, -0x1.4ee304c5cd76dp-9, -0x1.464206c4dab4dp-9, -0x1.3dd44380ddfdbp-9, -0x1.3598b48887d01p-9, -0x1.2d8e5790481a4p-9, -0x1.25b42e6882498p-9, -0x1.1e093ef3c4b94p-9, -0x1.168c931cf4e07p-9, -0x1.0f3d38cd270d7p-9, -0x1.081a41e1bb605p-9, -0x1.0122c4224158fp-9, -0x1.f4abb26cb24ap-10, -0x1.e7653d36f3d0fp-10, -0x1.da706b35712bfp-10, -0x1.cdcb867d220f9p-10, -0x1.c174e090be50fp-10, -0x1.b56ad24c97061p-10, -0x1.a9abbbd18335dp-10, -0x1.9e3604700b95p-10, -0x1.93081a9381ff2p-10, -0x1.882073ad501a7p-10, -0x1.7d7d8c1fa61b4p-10, -0x1.731de728b1c36p-10, -0x1.69000ecd8e729p-10, -0x1.5f2293c542ba3p-10, -0x1.55840d63a0aaep-10, -0x1.4c23198442476p-10, -0x1.42fe5c757f36cp-10, -0x1.3a1480e34e322p-10, -0x1.316437c283e55p-10, -0x1.28ec383b6d6e4p-10, -0x1.20ab3f9502db3p-10, -0x1.18a011205314ep-10, -0x1.10c976230a198p-10, -0x1.09263dc316529p-10, -0x1.01b53cf1668b7p-10, -0x1.f4ea9cab91d9p-11, -0x1.e6caa4741557ep-11, -0x1.d9085ceaa0fb3p-11, -0x1.cba19caf4887cp-11, -0x1.be94452bf71f9p-11, -0x1.b1de426aae306p-11, -0x1.a57d8aedf8af7p-11, -0x1.99701f88ec9d5p-11, -0x1.8db40b36d1917p-11, -0x1.824762f3e28c1p-11, -0x1.77284595eca74p-11, -0x1.6c54dba522401p-11, -0x1.61cb57357b154p-11, -0x1.5789f3c00e18bp-11, -0x1.4d8ef5fd4eaefp-11, -0x1.43d8abbe2532fp-11, -0x1.3a656bc7c26f2p-11, -0x1.313395ad86d87p-11, -0x1.284191ac86508p-11, -0x1.1f8dd086b07c2p-11, -0x1.1716cb5ecc8aap-11, -0x1.0edb0395058fp-11, -0x1.06d902a2c4f38p-11, -0x1.fe1eb3f0743f8p-12, -0x1.eef945b2a401p-12, -0x1.e03efc7717d41p-12, -0x1.d1ed2947cd24fp-12, -0x1.c4012c0b78605p-12, -0x1.b6787342201c8p-12, -0x1.a9507bc3a975p-12, -0x1.9c86d080e9c38p-12, -0x1.90190a40cfa63p-12, -0x1.8404cf637e3cep-12, -0x1.7847d3a2bf753p-12, -0x1.6cdfbbda4ff62p-12, -0x1.61ca895a76f13p-12, -0x1.5705ff33468e1p-12, -0x1.4c900424c55bep-12, -0x1.42668b1cec0adp-12, -0x1.388792fd9d65dp-12, -0x1.2ef12664a5907p-12, -0x1.25a15b727fd0ep-12, -0x1.1c965393d7504p-12, -0x1.13ce3b4a8c007p-12, -0x1.0b4749f847e1bp-12, -0x1.02ffc1a8b69abp-12, -0x1.f5ebddbce53ep-13, -0x1.e65050bc9b65p-13, -0x1.d7299df927423p-13, -0x1.c8749ad8e1339p-13, -0x1.ba2e301904eadp-13, -0x1.ac53596e72097p-13, -0x1.9ee12525a77b9p-13, -0x1.91d4b3c42f371p-13, -0x1.852b37ab7a6p-13, -0x1.78e1f4bd40bc5p-13, -0x1.6cf64000de283p-13, -0x1.61657f4af7b52p-13, -0x1.562d28e50229p-13, -0x1.4b4ac33775f02p-13, -0x1.40bbe47397df4p-13, -0x1.367e324449998p-13, -0x1.2c8f617581a61p-13, -0x1.22ed35a4bb758p-13, -0x1.199580f4a4106p-13, -0x1.108623bb07e6p-13, -0x1.07bd0c34f4931p-13, -0x1.fe706c73e9f2cp-14, -0x1.edeb55e2d1bf3p-14, -0x1.dde70111e22c8p-14, -0x1.ce5fb3d74e5a3p-14, -0x1.bf51ccf5e8c6ap-14, -0x1.b0b9c39135aep-14, -0x1.a29426a2cbc13p-14, -0x1.94dd9c7260b0bp-14, -0x1.8792e21340d37p-14, -0x1.7ab0cadd1ad36p-14, -0x1.6e343fed89767p-14, -0x1.621a3fa91c997p-14, -0x1.565fdd3e5ee57p-14, -0x1.4b02402d5d575p-14, -0x1.3ffea3cce6c08p-14, -0x1.355256d62e169p-14, -0x1.2afabaef07883p-14, -0x1.20f5443f3ca52p-14, -0x1.173f78f4daa82p-14, -0x1.0dd6f0dfbc638p-14, -0x1.04b955040e8dap-14, -0x1.f7c8be5cc0602p-15, -0x1.e6abb31bd0479p-15, -0x1.d6173c9c95a89p-15, -0x1.c6072e67f516bp-15, -0x1.b6777a7450c12p-15, -0x1.a7643065e68e7p-15, -0x1.98c97cd207156p-15, -0x1.8aa3a888b32cdp-15, -0x1.7cef17dcb120ap-15, -0x1.6fa849f19027ep-15, -0x1.62cbd81887c6bp-15, -0x1.565675155a702p-15, -0x1.4a44ec83b2863p-15, -0x1.3e94222ffc077p-15, -0x1.33411175e4cb2p-15, -0x1.2848ccaf53635p-15, -0x1.1da87c817089p-15, -0x1.135d5f62f89c3p-15, -0x1.0964c8f96e403p-15, -0x1.ff784319fdef9p-16, -0x1.ecc1caf8a729fp-16, -0x1.daa1496518724p-16, -0x1.c9120440c54f7p-16, -0x1.b80f6672102bp-16, -0x1.a794fee2499a7p-16, -0x1.979e7f832dd5cp-16, -0x1.8827bc57239f3p-16, -0x1.792caa7ea6ddep-16, -0x1.6aa95f5a3eb43p-16, -0x1.5c9a0f90b1445p-16, -0x1.4efb0e3d14f8fp-16, -0x1.41c8cc0bc0619p-16, -0x1.34ffd67376272p-16, -0x1.289cd6c378fc9p-16, -0x1.1c9c918970167p-16, -0x1.10fbe5989217cp-16, -0x1.05b7cb62b3b5fp-16, -0x1.f59aa86900209p-17, -0x1.e07352f84d5f8p-17, -0x1.cbf41829670bep-17, -0x1.b817a72b9bcd9p-17, -0x1.a4d8db5816357p-17, -0x1.9232bac21d7e2p-17, -0x1.802075192ae22p-17, -0x1.6e9d6267cb6cdp-17, -0x1.5da501b565983p-17, -0x1.4d32f8028fe1cp-17, -0x1.3d430f0615babp-17, -0x1.2dd1341b9f644p-17, -0x1.1ed977280f843p-17, -0x1.1058097f77d9bp-17, -0x1.02493d022b8a7p-17, -0x1.e95305bd850a9p-18, -0x1.ceead57ea1c74p-18, -0x1.b553439302f61p-18, -0x1.9c85e35d8013bp-18, -0x1.847c7f94ec3fap-18, -0x1.6d31186e3acd3p-18, -0x1.569de1efcdd11p-18, -0x1.40bd42463a3bap-18, -0x1.2b89d03bfc066p-18, -0x1.16fe5141d7509p-18, -0x1.0315b87c092f8p-18, -0x1.df9649c0e386ap-19, -0x1.ba33bfbaab148p-19, -0x1.95fab7ac759bep-19, -0x1.72e26665c8529p-19, -0x1.50e24cc9e8c28p-19, -0x1.2ff2361c8a3e9p-19, -0x1.100a353a783cbp-19, -0x1.e24544b311729p-20, -0x1.a66830d1cacaep-20, -0x1.6c6ee58954fc3p-20, -0x1.344b97674cf84p-20, -0x1.fbe1e45689c37p-21, -0x1.92a42c56c473p-21, -0x1.2cc5281650215p-21, -0x1.9459a094d67e2p-22, -0x1.ab0fbd746b384p-23, -0x1.ce8319f734786p-26, 0x1.2b617685302abp-23, 0x1.426cc5e8c4d87p-22, 0x1.e9746324c7a3fp-22, 0x1.457755d7d3574p-21, 0x1.9380b4614d965p-21, 0x1.dee8906ee26f8p-21, 0x1.13e0484f5a163p-20, 0x1.370ce335b9cdbp-20, 0x1.590259420a54ap-20, 0x1.79c8a536c39c1p-20, 0x1.99677edf6d557p-20, 0x1.b7e65d5476beap-20, 0x1.d54c7a76a4748p-20, 0x1.f1a0d3063b143p-20, 0x1.067515a91b958p-19, 0x1.1397880b63c48p-19, 0x1.203aec6f23a65p-19, 0x1.2c62552b31071p-19, 0x1.3810bb9d193f7p-19, 0x1.434901dc4f6f6p-19, }}, 
      {{-0x1.39f910fb66f26p+1, -0x1.31b8515e58b9p+1, -0x1.24d524dde98a4p+1, -0x1.1443ee98cf5dap+1, -0x1.0102aa91c26a6p+1, -0x1.d804d3e98cea8p+0, -0x1.ac33a9d51b65ep+0, -0x1.7ffe6a9e32119p+0, -0x1.548f99951f7f2p+0, -0x1.2ad08e6db54fbp+0, -0x1.036f64f31d664p+0, -0x1.bdcd040eb9229p-1, -0x1.7b091a41936c9p-1, -0x1.3ee7d8e911fa7p-1, -0x1.09815683a501ap-1, -0x1.b58687f2e82d9p-2, -0x1.64eb4a90f44bfp-2, -0x1.2091fe6bd1e19p-2, -0x1.cf6a5be62c09cp-3, -0x1.72f315749b99ap-3, -0x1.29eb9490bd324p-3, -0x1.e4ed81712f715p-4, -0x1.9573b12abb015p-4, -0x1.61ca72aeae7dbp-4, -0x1.467733e731c94p-4, -0x1.402d49a05cc5bp-4, -0x1.4bd65aea1f088p-4, -0x1.668f40265fbcbp-4, -0x1.8db8b25435418p-4, -0x1.beea746890079p-4, -0x1.f7f0b10fe83bcp-4, -0x1.1b6820332c186p-3, -0x1.3ce38bf7cf9c1p-3, -0x1.5fa2fe0a88fe9p-3, -0x1.82f503d13cdb4p-3, -0x1.a63d3f9d10011p-3, -0x1.c8f42eed4e189p-3, -0x1.eaa5ed8928fcbp-3, -0x1.0577f7136b71fp-2, -0x1.14bf6c8ded642p-2, -0x1.23069fbf4e57ep-2, -0x1.303163ad6528ap-2, -0x1.3c299622222c1p-2, -0x1.46de73e9a4f75p-2, -0x1.5043e866aac0cp-2, -0x1.585200d70adedp-2, -0x1.5f0483d731957p-2, -0x1.645a949e36a72p-2, -0x1.6856517138011p-2, -0x1.6afc6eacf5e9p-2, -0x1.6c53d77bbeac7p-2, -0x1.6c655a6ed729p-2, -0x1.6b3b617fa654dp-2, -0x1.68e1b0c13fb57p-2, -0x1.65675e799167ep-2, -0x1.60d62f66488ffp-2, -0x1.5b3d51648fb3cp-2, -0x1.54abf8ce38667p-2, -0x1.4d31fb2ce5861p-2, -0x1.44df6b44f4f53p-2, -0x1.3bc43e494b93cp-2, -0x1.31f0103b9c36cp-2, -0x1.27720ec09ac5bp-2, -0x1.1c59032eaf95cp-2, -0x1.10b36ba320cb7p-2, -0x1.048f915d52603p-2, -0x1.eff71efcdb212p-3, -0x1.d60a8b6532dbfp-3, -0x1.bb747555a3f1cp-3, -0x1.a04eef7a54894p-3, -0x1.84b2d059256bdp-3, -0x1.68b7880949e26p-3, -0x1.4c7313ae80acfp-3, -0x1.2ffa0be8af3b9p-3, -0x1.135fc4b9a1a5cp-3, -0x1.ed6ce57f7c23ep-4, -0x1.b41e95c865832p-4, -0x1.7af52b28eca21p-4, -0x1.420f676a3ece8p-4, -0x1.098a302ad9a2dp-4, -0x1.a300ec4d82bf3p-5, -0x1.34163b47bdbd7p-5, -0x1.8d03c8df843p-6, -0x1.69b559e0d71p-7, 0x1.001fdff974099p-9, 0x1.e2a98a9e4343cp-7, 0x1.bedb15d79c066p-6, 0x1.4430439b21593p-5, 0x1.a6da2d14c34dap-5, 0x1.03aac2d2c7dcbp-4, 0x1.32c782574034fp-4, 0x1.60bae189da79cp-4, 0x1.8d7d959839c43p-4, 0x1.b909752869be5p-4, 0x1.e3596f864cb4p-4, 0x1.0634c081bc74dp-3, 0x1.1a1b523111bedp-3, 0x1.2d5f60fbd59aep-3, 0x1.40004ed2c7c04p-3, 0x1.51fde26cffb37p-3, 0x1.63583ec90066ap-3, 0x1.740fdb7aee48cp-3, 0x1.84257ddeb9411p-3, 0x1.939a331818241p-3, 0x1.a26f4aae45ba5p-3, 0x1.b0a65189cdd42p-3, 0x1.be410d2430375p-3, 0x1.cb4176ccf28e2p-3, 0x1.d7a9b6fcdb349p-3, 0x1.e37c20bf3879cp-3, 0x1.eeb8fd01df22ep-3, 0x1.f965a264022a6p-3, 0x1.01c25cc5e3f31p-2, 0x1.068c8f8e91056p-2, 0x1.0b12db0d370dbp-2, 0x1.0f56b3780371ep-2, 0x1.13598ff82b944p-2, 0x1.171ceb4f61f96p-2, 0x1.1aa244921f2d9p-2, 0x1.1deb1faec7e2p-2, 0x1.20f9058db0afp-2, 0x1.23cd83aefff49p-2, 0x1.266a2b44d1bfdp-2, 0x1.28d08fdd90488p-2, 0x1.2b0245c17e152p-2, 0x1.2d00e02ddddf3p-2, 0x1.2ecdef9803546p-2, 0x1.306b001cd12fep-2, 0x1.31d9983742924p-2, 0x1.331b37cd13c18p-2, 0x1.343157950cd69p-2, 0x1.351d68d04d94p-2, 0x1.35e0d54833f58p-2, 0x1.367cff7d87764p-2, 0x1.36f342f3865f5p-2, 0x1.3744f4822eaa2p-2, 0x1.3773629dffc2ep-2, 0x1.377fd587fdc13p-2, 0x1.376b8f5e1281p-2, 0x1.3737cc0960eccp-2, 0x1.36e5c10d05fd5p-2, 0x1.36769d3bb28bfp-2, 0x1.35eb885d18613p-2, 0x1.3545a2cd76b1cp-2, 0x1.3486052174513p-2, 0x1.33adbfd76f528p-2, 0x1.32bddb1d7a968p-2, 0x1.31b756b0f9b83p-2, 0x1.309b29da43819p-2, 0x1.2f6a43845f241p-2, 0x1.2e258a6ec6b92p-2, 0x1.2ccddd7580fafp-2, 0x1.2b6413ea9dcfcp-2, 0x1.29e8fdfb7e883p-2, 0x1.285d651c0a1f9p-2, 0x1.26c20c722374p-2, 0x1.2517b13c4349ep-2, 0x1.235f0b2ee7838p-2, 0x1.2198ccc59a12dp-2, 0x1.1fc5a3857474p-2, 0x1.1de638303a1bp-2, 0x1.1bfb2ee841b05p-2, 0x1.1a05274671af7p-2, 0x1.1804bc645d888p-2, 0x1.15fa84dd2cf63p-2, 0x1.13e712c84e50ep-2, 0x1.11caf3b10aa21p-2, 0x1.0fa6b08df304bp-2, 0x1.0d7acdbac5237p-2, 0x1.0b47caf6f6b54p-2, 0x1.090e236a839f4p-2, 0x1.06ce4db1ff95dp-2, 0x1.0488bbf255aa1p-2, 0x1.023ddbf41cb3dp-2, 0x1.ffdc2e8bc1e0cp-3, 0x1.fb33a6c8dd7f7p-3, 0x1.f682e3cfc2cc5p-3, 0x1.f1caa1681c1ffp-3, 0x1.ed0b9455ab64ap-3, 0x1.e8466abdcb816p-3, 0x1.e37bcc8b1f93ap-3, 0x1.deac5bcd0ae0cp-3, 0x1.d9d8b510e1bc5p-3, 0x1.d5016fb34a329p-3, 0x1.d0271e28a8702p-3, 0x1.cb4a4e3c0b0b2p-3, 0x1.c66b89445d1f6p-3, 0x1.c18b545043666p-3, 0x1.bcaa30493b94dp-3, 0x1.b7c89a0f0f8d7p-3, 0x1.b2e70a8cd9122p-3, 0x1.ae05f6c8e6d6p-3, 0x1.a925cff117912p-3, 0x1.a4470364f24aep-3, 0x1.9f69fabef2936p-3, 0x1.9a8f1bde0fab3p-3, 0x1.95b6c8f08a017p-3, 0x1.90e16080a2a2dp-3, 0x1.8c0f3d83aef37p-3, 0x1.8740b76bce304p-3, 0x1.8276223c29da1p-3, 0x1.7dafce9fa3217p-3, 0x1.78ee0a018f353p-3, 0x1.74311ea811dcep-3, 0x1.6f7953cfa324bp-3, 0x1.6ac6edc7335d2p-3, 0x1.661a2e0c6fa72p-3, 0x1.61735367aa236p-3, 0x1.5cd29a06fc393p-3, 0x1.58383b984a1b8p-3, 0x1.53a46f61d3fe8p-3, 0x1.4f176a592ba37p-3, 0x1.4a915f386789ep-3, 0x1.46127e917ea72p-3, 0x1.419af6dfde3dap-3, 0x1.3d2af4983e394p-3, 0x1.38c2a236e38ffp-3, 0x1.3462284c6948ap-3, 0x1.3009ad8954c3dp-3, 0x1.2bb956c8a221cp-3, 0x1.277147197e6f8p-3, 0x1.23319fc871916p-3, 0x1.1efb12606e5a3p-3, 0x1.1acc7858240adp-3, 0x1.16a69ecd77ec1p-3, 0x1.1289a149829cep-3, 0x1.0e7599b2a0826p-3, 0x1.0a6aa04fcd287p-3, 0x1.0668cbccf871ep-3, 0x1.02703140656cap-3, 0x1.fd01c8623e35bp-4, 0x1.f535ed3cdfae7p-4, 0x1.ed7cf210b86a2p-4, 0x1.e5d6f4f1ffdf6p-4, 0x1.de44111d5a7d7p-4, 0x1.d6c45f0d6f60ep-4, 0x1.cf57f49185e9fp-4, 0x1.c7fee4e4cc363p-4, 0x1.c0b940c613776p-4, 0x1.b987168fbf4f6p-4, 0x1.b268724f7ea2dp-4, 0x1.ab5d5dddc516bp-4, 0x1.a465e0f4a2b4ep-4, 0x1.9d820145dd91bp-4, 0x1.96b1c2902f307p-4, 0x1.8ff526b36e69fp-4, 0x1.894c2dc3acb06p-4, 0x1.82b6d61b22473p-4, 0x1.7c351c6aef69fp-4, 0x1.75c6fbcaaedccp-4, 0x1.6f6c6dc6e177dp-4, 0x1.69256a6e42afap-4, 0x1.62f1e85e11b65p-4, 0x1.5cd1dccd69c75p-4, 0x1.56c53b97c0209p-4, 0x1.50cbf746a0a5cp-4, 0x1.4ae6011ac7c9p-4, 0x1.45134914b14c2p-4, 0x1.3f53bdfcbbdfp-4, 0x1.39a74d6af7986p-4, 0x1.340de3cebb424p-4, 0x1.2e876c76142d5p-4, 0x1.2913d1952521p-4, 0x1.23b2fc4d85a5ep-4, 0x1.1e64d4b5af085p-4, 0x1.192941e08256ep-4, 0x1.140029e4ecfc6p-4, 0x1.0ee971e5b4efbp-4, 0x1.09e4fe196a886p-4, 0x1.04f2b1d281e99p-4, 0x1.00126f87915d4p-4, 0x1.f68831b7623a8p-5, 0x1.ed0f1d4de995dp-5, 0x1.e3b961fdf94e1p-5, 0x1.da86be7f20edp-5, 0x1.d176f02684a39p-5, 0x1.c889b2f81e555p-5, 0x1.bfbec1b7e54f3p-5, 0x1.b715d5fad5f9bp-5, 0x1.ae8ea837c51e1p-5, 0x1.a628efd7f1605p-5, 0x1.9de4634748b93p-5, 0x1.95c0b804597fbp-5, 0x1.8dbda2afde773p-5, 0x1.85dad71be7ff8p-5, 0x1.7e18085a95624p-5, 0x1.7674e8cc5cd53p-5, 0x1.6ef12a2de17c5p-5, 0x1.678c7da55172dp-5, 0x1.604693cf4fb6ep-5, 0x1.591f1ccb6c174p-5, 0x1.5215c848237fcp-5, 0x1.4b2a458e787a6p-5, 0x1.445c438d1b1a3p-5, 0x1.3dab70e32adc5p-5, 0x1.37177bea99306p-5, 0x1.30a012c22ae42p-5, 0x1.2a44e35724c48p-5, 0x1.24059b6ea264ep-5, 0x1.1de1e8ae9fd83p-5, 0x1.17d978a6bcb21p-5, 0x1.11ebf8d8b4cabp-5, 0x1.0c1916c0a16bp-5, 0x1.06607fdcf5dd3p-5, 0x1.00c1e1b64736p-5, 0x1.f679d3cdc1803p-6, 0x1.eba28c443eceap-6, 0x1.e0fd487748a71p-6, 0x1.d689645ca35dcp-6, 0x1.cc463c463c828p-6, 0x1.c2332cef78056p-6, 0x1.b84f938a2349p-6, 0x1.ae9acdcb18b0ap-6, 0x1.a51439f6864b3p-6, 0x1.9bbb36ebe2ddbp-6, 0x1.928f24318e7c1p-6, 0x1.898f620019c44p-6, 0x1.80bb514d368aep-6, 0x1.781253d65092cp-6, 0x1.6f93cc2ad1d24p-6, 0x1.673f1db6059d7p-6, 0x1.5f13acc8a97b4p-6, 0x1.5710dea21d927p-6, 0x1.4f3619793d216p-6, 0x1.4782c484db7a6p-6, 0x1.3ff64803e200fp-6, 0x1.38900d451b1e3p-6, 0x1.314f7eae97dfdp-6, 0x1.2a3407c4c4ab9p-6, 0x1.233d15311cd5ep-6, 0x1.1c6a14c88e00bp-6, 0x1.15ba75917a5e3p-6, 0x1.0f2da7c96ef3dp-6, 0x1.08c31cea7c46ap-6, 0x1.027a47b042535p-6, 0x1.f8a53839502b5p-7, 0x1.ec971ef889e68p-7, 0x1.e0c930d4f815bp-7, 0x1.d53a5daa92cefp-7, 0x1.c9e9980195e2fp-7, 0x1.bed5d514f9583p-7, 0x1.b3fe0cd85e915p-7, 0x1.a96139fd8031ep-7, 0x1.9efe59f90e3dp-7, 0x1.94d46d071f3e2p-7, 0x1.8ae2762f0f136p-7, 0x1.81277b4700d5cp-7, 0x1.77a284f6ccfa5p-7, 0x1.6e529ebaa20cp-7, 0x1.6536d6e52552ep-7, 0x1.5c4e3ea12cbebp-7, 0x1.5397e9f31a862p-7, 0x1.4b12efb9da7a6p-7, 0x1.42be69af75196p-7, 0x1.3a99746955ec2p-7, 0x1.32a32f583ce3fp-7, 0x1.2adabcc7cfbb6p-7, 0x1.233f41ddeabeep-7, 0x1.1bcfe69999326p-7, 0x1.148bd5d1ceaadp-7, 0x1.0d723d33d197p-7, 0x1.06824d416aac9p-7, 0x1.ff76729d9b5cep-8, 0x1.f2386f0092678p-8, 0x1.e549018f6c3aep-8, 0x1.d8a6a1c374ddap-8, 0x1.cc4fcca595b13p-8, 0x1.c04304c7fb157p-8, 0x1.b47ed23f662a9p-8, 0x1.a901c29c103c7p-8, 0x1.9dca68e24276ep-8, 0x1.92d75d829ad85p-8, 0x1.88273e51fbdbep-8, 0x1.7db8ae813a8d2p-8, 0x1.738a569482054p-8, 0x1.699ae45a72ca1p-8, 0x1.5fe90ae303f8p-8, 0x1.5673827630ea3p-8, 0x1.4d39088a630bfp-8, 0x1.44385fbaa990bp-8, 0x1.3b704fbcbfe92p-8, 0x1.32dfa556e6e7cp-8, 0x1.2a8532558822p-8, 0x1.225fcd80b2c16p-8, 0x1.1a6e52917495fp-8, 0x1.12afa226fdf4fp-8, 0x1.0b22a1bbb034p-8, 0x1.03c63b99f6f0bp-8, 0x1.f932bda21ab9p-9, 0x1.eb35fe533b11bp-9, 0x1.dd942a3477575p-9, 0x1.d04b3b778f8d7p-9, 0x1.c359357b68937p-9, 0x1.b6bc24b44d687p-9, 0x1.aa721e9415fa4p-9, 0x1.9e794171faa2ep-9, 0x1.92cfb47245dfap-9, 0x1.8773a76de3208p-9, 0x1.7c6352d9a228dp-9, 0x1.719cf7ad59c87p-9, 0x1.671edf4adf3c9p-9, 0x1.5ce75b64d8f9p-9, 0x1.52f4c5e561079p-9, 0x1.494580d4847ffp-9, 0x1.3fd7f63ea9aafp-9, 0x1.36aa981aaab5fp-9, 0x1.2dbbe03020d05p-9, 0x1.250a4ffd48d4p-9, 0x1.1c94709cde5cp-9, 0x1.1458d2abfd9c3p-9, 0x1.0c560e2fd4cf7p-9, 0x1.048ac27b4281bp-9, 0x1.f9eb2c28f1d61p-10, 0x1.eb2a6d34f4e5cp-10, 0x1.dcd0b15553ceap-10, 0x1.cedb6f8c9280fp-10, 0x1.c1482c6fbcfe5p-10, 0x1.b41479f1a74e1p-10, 0x1.a73df72dcedf4p-10, 0x1.9ac250336351bp-10, 0x1.8e9f3dd0add35p-10, 0x1.82d2855e4151bp-10, 0x1.7759f88a893efp-10, 0x1.6c3375257fbeep-10, 0x1.615ce4ec8d7c9p-10, 0x1.56d43d56c8134p-10, 0x1.4c977f61535e7p-10, 0x1.42a4b75c3ea35p-10, 0x1.38f9fcb78ec36p-10, 0x1.2f9571d0c7a91p-10, 0x1.267543c0c003ap-10, 0x1.1d97aa29ea1b3p-10, 0x1.14fae70734a33p-10, 0x1.0c9d467b09f3fp-10, 0x1.047d1e9f3d814p-10, 0x1.f9319eaa2c81p-11, 0x1.e9dd842c5446cp-11, 0x1.dafad38b3913bp-11, 0x1.cc86850405193p-11, 0x1.be7da2ef8f433p-11, 0x1.b0dd496885d06p-11, 0x1.a3a2a5f2ce897p-11, 0x1.96caf723b214fp-11, 0x1.8a538c4c25fbp-11, 0x1.7e39c5233fddp-11, 0x1.727b11730aeb7p-11, 0x1.67151b906ead2p-11, 0x1.5c050875932e7p-11, 0x1.5148b6897e08p-11, 0x1.46ddd2b6e0f7p-11, 0x1.3cc2186abc0cdp-11, 0x1.32f351488d31fp-11, 0x1.296f54df73c17p-11, 0x1.203408611c951p-11, 0x1.173f5e598557p-11, 0x1.0e8f5667ea30bp-11, 0x1.0621fcf99595ap-11, 0x1.fbead60a3e242p-12, 0x1.ec0f8b8ea1868p-12, 0x1.dcae7d026ba57p-12, 0x1.cdc4246e84d68p-12, 0x1.bf4d12e2bf92ep-12, 0x1.b145eff954702p-12, 0x1.a3ab795bb7862p-12, 0x1.967a8249d2c5cp-12, 0x1.89aff323695ap-12, 0x1.7d48c8f3a32dep-12, 0x1.714214fe89a3fp-12, 0x1.6598fc50b5e83p-12, 0x1.5a4ab750b6ce4p-12, 0x1.4f549152c2db7p-12, 0x1.44b3e82e05f1fp-12, 0x1.3a662bd4378dp-12, 0x1.3068dde99a5fcp-12, 0x1.26b99161a4812p-12, 0x1.1d55ea1a74734p-12, 0x1.143b9c7bbdd33p-12, 0x1.0b686d16bacabp-12, 0x1.02da30482212ap-12, 0x1.f51d93b72f6b4p-13, 0x1.e508596198bc5p-13, 0x1.d570b4c440ce5p-13, 0x1.c652c5da025b6p-13, 0x1.b7aac8b7648c9p-13, 0x1.a97514e145214p-13, 0x1.9bae1ca6a6edp-13, 0x1.8e526c7d76beap-13, 0x1.815eaa6193703p-13, 0x1.74cf953831f54p-13, 0x1.68a20434a27dfp-13, 0x1.5cd2e64094eb4p-13, 0x1.515f416790ea9p-13, 0x1.46443242dcdb5p-13, 0x1.3b7eeb6c6609fp-13, 0x1.310cb4f0563f2p-13, 0x1.26eaebc360461p-13, 0x1.1d170139fa3cfp-13, 0x1.138e7a84f1e4p-13, 0x1.0a4ef02e2edcap-13, 0x1.01560d986eeaap-13, 0x1.f1432104cecedp-14, 0x1.e05e911701123p-14, 0x1.cffa2d76ab0e6p-14, 0x1.c011da17615p-14, 0x1.b0a19be982ec3p-14, 0x1.a1a597f7ab6c5p-14, 0x1.931a1288c83d6p-14, 0x1.84fb6e4640405p-14, 0x1.77462b67f76ap-14, 0x1.69f6e6e42deffp-14, 0x1.5d0a59a081aabp-14, 0x1.507d57af8ac07p-14, 0x1.444ccf8a7bcb5p-14, 0x1.3875c952f30dbp-14, 0x1.2cf56618e330dp-14, 0x1.21c8df22cbc8cp-14, 0x1.16ed853d2ea05p-14, 0x1.0c60c00b7aa37p-14, 0x1.02200d5d94e48p-14, 0x1.f0520113a7335p-15, 0x1.dcf2839475fa5p-15, 0x1.ca1d1b3cc9112p-15, 0x1.b7cd68600848fp-15, 0x1.a5ff31780d87fp-15, 0x1.94ae61fdb74c8p-15, 0x1.83d70949a0e48p-15, 0x1.7375597a2c89p-15, 0x1.6385a6629a204p-15, 0x1.5404647dc54eap-15, 0x1.44ee27ec49801p-15, 0x1.363fa3749275bp-15, 0x1.27f5a78cb4d35p-15, 0x1.1a0d216772677p-15, 0x1.0c831a097573fp-15, 0x1.fea96ac6e2162p-16, 0x1.e4fe62ee90905p-16, 0x1.cbffcaf50728dp-16, 0x1.b3a88207f5117p-16, 0x1.9bf3967befc5dp-16, 0x1.84dc443b8c227p-16, 0x1.6e5df341157ebp-16, 0x1.5874361b60e3bp-16, 0x1.431ac87da0467p-16, 0x1.2e4d8dd623d02p-16, 0x1.1a088ff02e9eap-16, 0x1.0647fda53a6efp-16, 0x1.e610531aadb92p-17, 0x1.c08b118731c7bp-17, 0x1.9bf96354568e8p-17, 0x1.7854b57b0a305p-17, 0x1.5596b2e3a0067p-17, 0x1.33b9420a78999p-17, 0x1.12b68307b88adp-17, 0x1.e5119aa09b4bep-18, 0x1.a6555b6de6cb9p-18, 0x1.692dc8e12a8f3p-18, 0x1.2d90c64f13736p-18, 0x1.e6e92c7c82abep-19, 0x1.759fada33a68dp-19, 0x1.0732fc75d5173p-19, 0x1.37235d7909396p-20, 0x1.9557e8a0d7884p-22, -0x1.9c8a1bfad3947p-22, -0x1.2e654f4508618p-20, -0x1.f0906772cf452p-20, -0x1.56e061875a2e8p-19, -0x1.b309261485659p-19, -0x1.0667fb55eaa7dp-18, -0x1.3220e723cb86p-18, -0x1.5cb5995686065p-18, -0x1.862c1c99e5257p-18, -0x1.ae8a45c3ff631p-18, -0x1.d5d5b60ce1eaep-18, -0x1.fc13dd6e8f4a2p-18, -0x1.10a4fe40da856p-17, -0x1.22be9359b2d54p-17, -0x1.34592216ca42cp-17, -0x1.457709e94e96ap-17, -0x1.561a96789984cp-17, -0x1.6646008e96881p-17, -0x1.75fb6eef38aacp-17, -0x1.853cf7254d403p-17, -0x1.940c9e52600c6p-17, -0x1.a26c59ea38d3ep-17, -0x1.b05e106e2f212p-17, -0x1.bde39a221490dp-17, -0x1.cafec1b674224p-17, -0x1.d7b144eaffc5dp-17, -0x1.e3fcd52f8cfbap-17, -0x1.efe3183bcbdebp-17, -0x1.fb65a89ca3e87p-17, -0x1.03430b23db38fp-16, -0x1.08a2f385cb4f7p-16, -0x1.0dd34b9fe072dp-16, -0x1.12d4cd0204417p-16, -0x1.17a82cec8f063p-16, -0x1.1c4e1c84c5bdap-16, -0x1.20c7490779a4fp-16, -0x1.25145c01be63ep-16, -0x1.2935fb7c7050cp-16, }}, 
      {{-0x1.3bdf0fe4fb3e3p+1, -0x1.391073032a2d1p+1, -0x1.3493579db15bap+1, -0x1.2e9fef0ce1648p+1, -0x1.2773b6c430007p+1, -0x1.1f4d1dacf438cp+1, -0x1.16677f71683f9p+1, -0x1.0cf91d967c66cp+1, -0x1.0332e30ab1cbdp+1, -0x1.f27e6967cd767p+0, -0x1.de84807f1c498p+0, -0x1.cab471542f683p+0, -0x1.b73fcb2fca74dp+0, -0x1.a44e75748f4d1p+0, -0x1.91ff59738535bp+0, -0x1.806959e6f64bap+0, -0x1.6f9d7e90d8f85p+0, -0x1.5fa6aa789eb2fp+0, -0x1.508b517b0334fp+0, -0x1.424df1c2b1bcfp+0, -0x1.34eddb306cf93p+0, -0x1.2867cf94ea5eep+0, -0x1.1cb688a154e27p+0, -0x1.11d32dfe7458p+0, -0x1.07b5b8e49f0ecp+0, -0x1.fcaa925b241e4p-1, -0x1.eb50c7b9dbb48p-1, -0x1.db4a8ed69ca2bp-1, -0x1.cc83d5c262a8ep-1, -0x1.bee8aa9402965p-1, -0x1.b2653e1245e28p-1, -0x1.a6e6268c1d80fp-1, -0x1.9c589068c196p-1, -0x1.92aa448f36425p-1, -0x1.89c9c2f350d1cp-1, -0x1.81a658c8cea8fp-1, -0x1.7a30295f19209p-1, -0x1.7358300daec52p-1, -0x1.6d103fcce57fbp-1, -0x1.674b03127850ep-1, -0x1.61fbfaf052344p-1, -0x1.5d177b5369e55p-1, -0x1.5892a407b43aap-1, -0x1.546358dd5c781p-1, -0x1.50803a478b72cp-1, -0x1.4ce09d69baa52p-1, -0x1.497c83dd054a8p-1, -0x1.464c93eb9bfbfp-1, -0x1.434a101aba534p-1, -0x1.406ecdb6d1886p-1, -0x1.3db52c05468cap-1, -0x1.3b180c9544d37p-1, -0x1.3892cb7910237p-1, -0x1.36213707e5dd4p-1, -0x1.33bf9055edf21p-1, -0x1.316a5bd8f42e6p-1, -0x1.2f1ea1db35712p-1, -0x1.2cd9b4debd4efp-1, -0x1.2a9935a2f076ap-1, -0x1.285b0c6fb8078p-1, -0x1.261d639402002p-1, -0x1.23dea2d8233dfp-1, -0x1.219d6b7074baap-1, -0x1.1f5893ffbbb0ep-1, -0x1.1d0f24649c8e3p-1, -0x1.1ac05147d899ep-1, -0x1.186b7791f6e2ap-1, -0x1.16101806db65fp-1, -0x1.13add34213ebap-1, -0x1.11446637b90b9p-1, -0x1.0ed3a73f68e5fp-1, -0x1.0c5b8393fdb43p-1, -0x1.09dbfd22d09fcp-1, -0x1.0755288442afep-1, -0x1.04c72b020b304p-1, -0x1.0232389f65eb6p-1, -0x1.ff2d2449f010ep-2, -0x1.f9e90676dd63dp-2, -0x1.f498c147c94d3p-2, -0x1.ef3d0d38463f4p-2, -0x1.e9d6aeeecff67p-2, -0x1.e46674d90dd56p-2, -0x1.deed35261f47fp-2, -0x1.d96bcc09b38d9p-2, -0x1.d3e31a317df21p-2, -0x1.ce54035b4c1dbp-2, -0x1.c8bf6d01e6677p-2, -0x1.c3263d1e61d41p-2, -0x1.bd8958ffd3db8p-2, -0x1.b7e9a43ba4246p-2, -0x1.b247ffb732ba7p-2, -0x1.aca548cb23abep-2, -0x1.a70258826f378p-2, -0x1.a16002f97f696p-2, -0x1.9bbf16e0c116cp-2, -0x1.96205d2106d81p-2, -0x1.9084989942407p-2, -0x1.8aec85e8d468ep-2, -0x1.8558db3b770fep-2, -0x1.7fca4812d7f19p-2, -0x1.7a41751270c08p-2, -0x1.74bf03d6f67a6p-2, -0x1.6f438ee16359fp-2, -0x1.69cfa9973b024p-2, -0x1.6463e0524f763p-2, -0x1.5f00b875fa714p-2, -0x1.59a6b080d0459p-2, -0x1.545640171ea06p-2, -0x1.4f0fd80926d46p-2, -0x1.49d3e25c9ed9dp-2, -0x1.44a2d924beefbp-2, -0x1.3f7ce7cac9c76p-2, -0x1.3a627db89a6a4p-2, -0x1.3553ebe0003fap-2, -0x1.30517d459d7a9p-2, -0x1.2b5b7720fc031p-2, -0x1.267218ff16dadp-2, -0x1.21959ce799f53p-2, -0x1.1cc63784ee80dp-2, -0x1.1804184f1b1bap-2, -0x1.134f69b970e94p-2, -0x1.0ea85162d3674p-2, -0x1.0a0ef04858973p-2, -0x1.058362f9cabe6p-2, -0x1.0105c1cf6eb94p-2, -0x1.f92c4240a62c5p-3, -0x1.f06922f0ceaa4p-3, -0x1.e7c23f9b2660bp-3, -0x1.df37ab66395f7p-3, -0x1.d6c97315846e3p-3, -0x1.ce779d6630d38p-3, -0x1.c6422b65c6a1cp-3, -0x1.be2918c289e61p-3, -0x1.b62c5c15af93fp-3, -0x1.ae4be727d0382p-3, -0x1.a687a7305f3bbp-3, -0x1.9edf8510fd58ap-3, -0x1.9753658dc25c3p-3, -0x1.8fe3298369127p-3, -0x1.888eae1c52c45p-3, -0x1.8155cd0505023p-3, -0x1.7a385ca086e2bp-3, -0x1.7336303ce5d6cp-3, -0x1.6c4f1847b99c7p-3, -0x1.6582e28288875p-3, -0x1.5ed15a36bc132p-3, -0x1.583a4868c25abp-3, -0x1.51bd740a0640dp-3, -0x1.4b5aa22954bbep-3, -0x1.4511962152eap-3, -0x1.3ee211c4b07aep-3, -0x1.38cbd587c583cp-3, -0x1.32cea0a75b86fp-3, -0x1.2cea314c8c933p-3, -0x1.271e44ad9ef76p-3, -0x1.216a972bfb744p-3, -0x1.1bcee46f66618p-3, -0x1.164ae77ec84c8p-3, -0x1.10de5ad6c80aep-3, -0x1.0b88f87e97e17p-3, -0x1.064a7a1b389bcp-3, -0x1.0122990180db2p-3, -0x1.f8221c8e2932dp-4, -0x1.ee2b25a4f8be2p-4, -0x1.e45fbed4f265ap-4, -0x1.dabf5989486f6p-4, -0x1.d1496726f6cc3p-4, -0x1.c7fd59279e1e3p-4, -0x1.bedaa1337d916p-4, -0x1.b5e0b13a74a7cp-4, -0x1.ad0efb8c1ccd9p-4, -0x1.a464f2ef216a3p-4, -0x1.9be20ab79fe3fp-4, -0x1.9385b6dc7e5a3p-4, -0x1.8b4f6c0ba8b84p-4, -0x1.833e9fbce7c84p-4, -0x1.7b52c8433c486p-4, -0x1.738b5cdc9d1c6p-4, -0x1.6be7d5c007e58p-4, -0x1.6467ac29eb367p-4, -0x1.5d0a5a6702abbp-4, -0x1.55cf5bddcd89cp-4, -0x1.4eb62d16cf35ap-4, -0x1.47be4bc3c7171p-4, -0x1.40e736c60f36dp-4, -0x1.3a306e344a6a9p-4, -0x1.3399735f6dd69p-4, -0x1.2d21c8d741377p-4, -0x1.26c8f26e5133fp-4, -0x1.208e753d5a39p-4, -0x1.1a71d7a62bb2fp-4, -0x1.1472a1560bbb9p-4, -0x1.0e905b479db3ep-4, -0x1.08ca8fc4613f5p-4, -0x1.0320ca65dbbfbp-4, -0x1.fb25302cf6311p-5, -0x1.f03f0e24a0acap-5, -0x1.e58e4dcf47f7bp-5, -0x1.db1210eeea666p-5, -0x1.d0c97bebd144dp-5, -0x1.c6b3b5d538517p-5, -0x1.bccfe861af32dp-5, -0x1.b31d3fef2e941p-5, -0x1.a99aeb82b0b39p-5, -0x1.a0481cc747c36p-5, -0x1.9724080c991f6p-5, -0x1.8e2de444c950ap-5, -0x1.8564eb01c5dd7p-5, -0x1.7cc858720c904p-5, -0x1.74576b5cf7f41p-5, -0x1.6c11651eb164p-5, -0x1.63f589a3d33c8p-5, -0x1.5c031f64e34a9p-5, -0x1.54396f61a13fbp-5, -0x1.4c97c51c4d68ep-5, -0x1.451d6e94dcbeep-5, -0x1.3dc9bc4420a6bp-5, -0x1.369c0116f1dc6p-5, -0x1.2f9392693e29fp-5, -0x1.28afc8010e06bp-5, -0x1.21effc096490ap-5, -0x1.1b538b0d13357p-5, -0x1.14d9cdbb8d734p-5, -0x1.0e822feb8ccabp-5, -0x1.084c10fdb7e7bp-5, -0x1.0236d6c9778bp-5, -0x1.f883d2cfa7dbcp-6, -0x1.ecd9665bdeceap-6, -0x1.e16d414f10e8p-6, -0x1.d63e41231457ep-6, -0x1.cb4b47a929f39p-6, -0x1.c0933aff1c046p-6, -0x1.b61505845d155p-6, -0x1.abcf95cf12593p-6, -0x1.a1c1dea131c4ap-6, -0x1.97ead6dd7fc94p-6, -0x1.8e49797c87701p-6, -0x1.84dcc5818eeebp-6, -0x1.7ba3bdef6d46bp-6, -0x1.729d69bd6eabbp-6, -0x1.69c8d3cc12359p-6, -0x1.61250ad9d16c9p-6, -0x1.58b12177d421ep-6, -0x1.506c2dfea4fbcp-6, -0x1.48554a82de445p-6, -0x1.406b94c9d8d4bp-6, -0x1.38ae2e3e582fdp-6, -0x1.311c3be53c3e4p-6, -0x1.29b4e6522ed0ep-6, -0x1.2277599c7182ap-6, -0x1.1b62c5539ab69p-6, -0x1.14765c746f6fcp-6, -0x1.0db1555dc9d41p-6, -0x1.0712e9c58ba4ep-6, -0x1.009a56ada5d4ep-6, -0x1.f48db8b2771d6p-7, -0x1.e82f7c839e2bep-7, -0x1.dc1886191e0ddp-7, -0x1.d04768ff6622bp-7, -0x1.c4babeeff0bb3p-7, -0x1.b97127bc61e3dp-7, -0x1.ae694939d8d92p-7, -0x1.a3a1cf2c80d1dp-7, -0x1.99196b3339b4ep-7, -0x1.8eced4b3818d7p-7, -0x1.84c0c8c58f40ep-7, -0x1.7aee0a2083c8ap-7, -0x1.71556106f147p-7, -0x1.67f59b337195ap-7, -0x1.5ecd8bc568761p-7, -0x1.55dc0b2e03ae5p-7, -0x1.4d1ff71d50421p-7, -0x1.4498326f8c0cp-7, -0x1.3c43a51a90f48p-7, -0x1.34213c1b7b68ap-7, -0x1.2c2fe9645f97ep-7, -0x1.246ea3ca411f6p-7, -0x1.1cdc66f3201a1p-7, -0x1.1578334435e62p-7, -0x1.0e410dd059525p-7, -0x1.073600467c457p-7, -0x1.005618e072276p-7, -0x1.f340d4a373581p-8, -0x1.e628176d017aep-8, -0x1.d9603105a0747p-8, -0x1.cce760e3b69ecp-8, -0x1.c0bbeeeaf40dbp-8, -0x1.b4dc2b4b8c125p-8, -0x1.a9466e61e345dp-8, -0x1.9df9189666acdp-8, -0x1.92f2923dd0e98p-8, -0x1.88314b79b2fb8p-8, -0x1.7db3bc1965fcbp-8, -0x1.7378637b3259ep-8, -0x1.697dc86df17bep-8, -0x1.5fc27912d7b0dp-8, -0x1.56450abfb8cf2p-8, -0x1.4d0419e195768p-8, -0x1.43fe49df72591p-8, -0x1.3b3244fd9207bp-8, -0x1.329ebc40fd46ep-8, -0x1.2a426753532abp-8, -0x1.221c046710421p-8, -0x1.1a2a581c0675p-8, -0x1.126c2d64344ep-8, -0x1.0ae05568e9aadp-8, -0x1.0385a7705a7cdp-8, -0x1.f8b60186b0302p-9, -0x1.eabe892702971p-9, -0x1.dd22b7c33d54p-9, -0x1.cfe06ac8f167dp-9, -0x1.c2f58adfd50b7p-9, -0x1.b6600bb86d575p-9, -0x1.aa1debdb7cf38p-9, -0x1.9e2d347a0254fp-9, -0x1.928bf93dd03a5p-9, -0x1.8738581acbabp-9, -0x1.7c307920933b1p-9, -0x1.71728e4d26742p-9, -0x1.66fcd35fb5364p-9, -0x1.5ccd8dac4ce63p-9, -0x1.52e30beffab3bp-9, -0x1.493ba62597524p-9, -0x1.3fd5bd5b16fd3p-9, -0x1.36afbb8762d7ap-9, -0x1.2dc813610b994p-9, -0x1.251d40350d1dfp-9, -0x1.1cadc5beadb03p-9, -0x1.14782fff962e8p-9, -0x1.0c7b1318696b6p-9, -0x1.04b50b2254efbp-9, -0x1.fa49781171a52p-10, -0x1.eb91a2c732338p-10, -0x1.dd3ffca52009ep-10, -0x1.cf51fab08286p-10, -0x1.c1c5206cc4ac5p-10, -0x1.b496ff948d65bp-10, -0x1.a7c537d3d992p-10, -0x1.9b4d768305ebfp-10, -0x1.8f2d7663689e7p-10, -0x1.8362ff5c4a8dbp-10, -0x1.77ebe6394228cp-10, -0x1.6cc60c697f2cp-10, -0x1.61ef5fc01958fp-10, -0x1.5765da355ec23p-10, -0x1.4d2781a91c0aap-10, -0x1.433267a5e318bp-10, -0x1.3984a925593f1p-10, -0x1.301c6e553aab8p-10, -0x1.26f7ea5da0f69p-10, -0x1.1e155b2844c7cp-10, -0x1.157309284c358p-10, -0x1.0d0f472357c79p-10, -0x1.04e871fb7710dp-10, -0x1.f9f9e0f32a668p-11, -0x1.ea966633580c4p-11, -0x1.dba367ae0210bp-11, -0x1.cd1debf33c0cfp-11, -0x1.bf030bc978fe9p-11, -0x1.b14ff1cb9281fp-11, -0x1.a401da0917b74p-11, -0x1.971611a7aee04p-11, -0x1.8a89f686c0e82p-11, -0x1.7e5af6e478451p-11, -0x1.728691039a7f4p-11, -0x1.670a52d4e5509p-11, -0x1.5be3d99fffe79p-11, -0x1.5110d1af2fae6p-11, -0x1.468ef5fbe4ca8p-11, -0x1.3c5c0fdd4c87p-11, -0x1.3275f6b81c4aep-11, -0x1.28da8fafe45fep-11, -0x1.1f87cd59d60bdp-11, -0x1.167baf71249dbp-11, -0x1.0db4428c29b64p-11, -0x1.052f9fd4356f5p-11, -0x1.f9d7d97a07155p-12, -0x1.e9ceb57df5caep-12, -0x1.da404e24df4fbp-12, -0x1.cb2934d747029p-12, -0x1.bc8611712a2e2p-12, -0x1.ae53a1bfc94a4p-12, -0x1.a08eb902b2683p-12, -0x1.93343f6ca4703p-12, -0x1.864131ab6631bp-12, -0x1.79b2a06e42acep-12, -0x1.6d85afefad4dep-12, -0x1.61b7978239c97p-12, -0x1.5645a11ef25bbp-12, -0x1.4b2d28f649013p-12, -0x1.406b9d0333fcbp-12, -0x1.35fe7ca049112p-12, -0x1.2be3581f4146dp-12, -0x1.2217d0626962cp-12, -0x1.18999678845d5p-12, -0x1.0f666b38a78b4p-12, -0x1.067c1ee4c624fp-12, -0x1.fbb121918fb03p-13, -0x1.eaf35dbdeb7cfp-13, -0x1.dabaeaea5f7a1p-13, -0x1.cb03dda87909fp-13, -0x1.bbca65d185705p-13, -0x1.ad0acddc779ddp-13, -0x1.9ec17a37316p-13, -0x1.90eae8a32440ap-13, -0x1.8383af9654b0ap-13, -0x1.76887d9dd94e1p-13, -0x1.69f618c622f25p-13, -0x1.5dc95e02a8edap-13, -0x1.51ff409ee2c2fp-13, -0x1.4694c9acdc807p-13, -0x1.3b871777e1ba8p-13, -0x1.30d35cfd91a3dp-13, -0x1.2676e166613a5p-13, -0x1.1c6eff8209c1dp-13, -0x1.12b9254850891p-13, -0x1.0952d35811b9bp-13, -0x1.00399c8152ea7p-13, -0x1.eed64a93249fcp-14, -0x1.ddca46f18801bp-14, -0x1.cd4abb4890d47p-14, -0x1.bd535580a6285p-14, -0x1.addfe3641981p-14, -0x1.9eec51c8bd24ap-14, -0x1.9074abbf0afebp-14, -0x1.827519c575f6cp-14, -0x1.74e9e1010e3f6p-14, -0x1.67cf627ababe1p-14, -0x1.5b221a60469d2p-14, -0x1.4ede9f4ae15bdp-14, -0x1.4301a18b4d887p-14, -0x1.3787ea723f758p-14, -0x1.2c6e5bac292a2p-14, -0x1.21b1ee94a4177p-14, -0x1.174fb38fc48cfp-14, -0x1.0d44d16bd4ff3p-14, -0x1.038e84c39a375p-14, -0x1.f4543ecb1715ep-15, -0x1.e22a0f7e08584p-15, -0x1.d0997091474f6p-15, -0x1.bf9d7df6da705p-15, -0x1.af31798a7d529p-15, -0x1.9f50c9fbeb396p-15, -0x1.8ff6f9d29804ap-15, -0x1.811fb66cb902cp-15, -0x1.72c6cefa78566p-15, -0x1.64e81c425a405p-15, -0x1.577fd8d22e39fp-15, -0x1.4a8a20ef6ad97p-15, -0x1.3e0341dfc0af9p-15, -0x1.31e7a639d33f4p-15, -0x1.2633d50df806bp-15, -0x1.1ae471179f1b4p-15, -0x1.0ff637ee9a9fbp-15, -0x1.0566014575b31p-15, -0x1.f6617c3beb5dap-16, -0x1.e2a6f03817674p-16, -0x1.cf96a18502bfep-16, -0x1.bd2b01932ede9p-16, -0x1.ab5eaed2298f5p-16, -0x1.9a2c736c0d5a1p-16, -0x1.898f43e98907bp-16, -0x1.79823e0b2b555p-16, -0x1.6a00a77e72ad8p-16, -0x1.5b05ecb3d66e2p-16, -0x1.4c8d9fb6bd0dbp-16, -0x1.3e93770da268ap-16, -0x1.31134ca233d83p-16, -0x1.24091cb05df2dp-16, -0x1.177104be51554p-16, -0x1.0b474298fcd01p-16, -0x1.ff1066b43d2b3p-17, -0x1.e860a4ef853bp-17, -0x1.d278718f27a47p-17, -0x1.bd51375ff2072p-17, -0x1.a8e498663607ep-17, -0x1.952c6c3b17a4ep-17, -0x1.8222be6f1c223p-17, -0x1.6fc1cccf8a07bp-17, -0x1.5e0405ea0db3cp-17, -0x1.4ce4078189811p-17, -0x1.3c5c9d1362c46p-17, -0x1.2c68be661560cp-17, -0x1.1d038e2392dbfp-17, -0x1.0e28587d976c3p-17, -0x1.ffa523b5e85e6p-18, -0x1.e3fbab1b30fe9p-18, -0x1.c94bc936cdb6bp-18, -0x1.af8d48f97822ap-18, -0x1.96b83bee28324p-18, -0x1.7ec4f7ee7d56dp-18, -0x1.67ac15038c09dp-18, -0x1.51666ade37e7cp-18, -0x1.3bed0f5203f57p-18, -0x1.273953ed569efp-18, -0x1.1344c429c08f6p-18, -0x1.000923341a7a2p-18, -0x1.db00d56dac6p-19, -0x1.b74990c528ddcp-19, -0x1.94e1391ed50cbp-19, -0x1.73bcf0ddb4cafp-19, -0x1.53d238e0567ap-19, -0x1.3516ed4ff053dp-19, -0x1.1781428b84616p-19, -0x1.f60f8458e3ad7p-20, -0x1.bf429042d0e69p-20, -0x1.8a89ffbe81a1p-20, -0x1.57d4c360700d6p-20, -0x1.2712600fbba1ep-20, -0x1.f065d49eab4cfp-21, -0x1.964dfffd8dca8p-21, -0x1.3fbf8afe3439ep-21, -0x1.d93b7f333114bp-22, -0x1.3999c14db6dc4p-22, -0x1.40c883e83b5eap-23, -0x1.ace6f86b47363p-27, 0x1.fe3da37eaf032p-24, 0x1.06affb2ad0eadp-22, 0x1.88293a0a9fd36p-22, 0x1.021427c09fbf7p-21, 0x1.3d6c6fde54106p-21, 0x1.76328dc327474p-21, 0x1.ac7ae53cd5cd9p-21, 0x1.e0592c51660cap-21, 0x1.08f038baea444p-20, 0x1.209190c81fd79p-20, 0x1.371986e1ebbd8p-20, 0x1.4c90b86d50816p-20, 0x1.60ff7aba742f9p-20, 0x1.746ddd0e7dc3bp-20, 0x1.86e3ab8bc7ac6p-20, 0x1.986871959b6d5p-20, 0x1.a9037bbdc1bffp-20, 0x1.b8bbdb0439dp-20, 0x1.c798665da2d84p-20, 0x1.d59fbc72ad317p-20, 0x1.e2d8464e1504cp-20, 0x1.ef48391e45fa9p-20, 0x1.faf5981a66072p-20, 0x1.02f31b2b39c4ap-19, 0x1.080fdc42d70fbp-19, 0x1.0cd3cb6e7f7f5p-19, 0x1.11418f0165961p-19, 0x1.155bb8e85ef15p-19, 0x1.1924c6c76a43dp-19, 0x1.1c9f2342d8a2ep-19, 0x1.1fcd265b9a138p-19, 0x1.22b1164056882p-19, 0x1.254d27e882279p-19, 0x1.27a37fb9b481ap-19, 0x1.29b631fc0779cp-19, 0x1.2b8744069c937p-19, 0x1.2d18abee42926p-19, 0x1.2e6c51a2fcb3ep-19, 0x1.2f840f514a5cfp-19, 0x1.3061b1e1c8529p-19, 0x1.3106f971d656cp-19, 0x1.317599cc30174p-19, 0x1.31af3ada157bep-19, 0x1.31b5790ddc3b1p-19, 0x1.3189e5d16c7ap-19, 0x1.312e07db3ab24p-19, 0x1.30a35ba3f4f55p-19, 0x1.2feb53b722866p-19, 0x1.2f07590ce5942p-19, 0x1.2df8cb6046ecfp-19, 0x1.2cc10183e8fe2p-19, 0x1.2b6149aba8f09p-19, 0x1.29dae9bcd67f7p-19, 0x1.282f1fad1773p-19, 0x1.265f216256d33p-19, 0x1.246c1d8eaa077p-19, 0x1.22573b7146d12p-19, 0x1.20219b92a040ap-19, 0x1.1dcc576616cd3p-19, 0x1.1b5881e7fe9ep-19, 0x1.18c727a33a5a5p-19, 0x1.16194f40627fbp-19, 0x1.134ff92dd3223p-19, 0x1.106c202a940e9p-19, 0x1.0d6eb95cb50bap-19, 0x1.0a58b47d1849p-19, 0x1.072afbffbcfbcp-19, 0x1.03e6753eb63d5p-19, 0x1.008c009c28252p-19, 0x1.fa38f3590b37cp-20, 0x1.f3316e979faf7p-20, 0x1.ec0317a59bb69p-20, 0x1.e4af8a537a2b3p-20, 0x1.dd3859d2ca07ap-20, 0x1.d59f10f7bb283p-20, 0x1.cde53299195b8p-20, 0x1.c60c38c2e27b3p-20, 0x1.be159719b032cp-20, 0x1.b602b8bbbe045p-20, 0x1.add501a77284bp-20, 0x1.a58dcea51a28bp-20, 0x1.9d2e759a136cep-20, 0x1.94b8452534d25p-20, 0x1.8c2c858fa5f5ap-20, }}, 
      {{0x1.ebd7c65dd6693p-12, 0x1.bfde3c355a384p-10, 0x1.b40ea59b6e217p-9, 0x1.3e610dbe192bdp-8, 0x1.7faf535d11d6cp-8, 0x1.84e4ace0638ep-8, 0x1.3a9ee367b99c9p-8, 0x1.26eeb1f647babp-9, -0x1.e085d8c05f618p-10, -0x1.ea961aecb7dc8p-8, -0x1.e112fd2082d94p-7, -0x1.7e6031c756033p-6, -0x1.11143b822a7d8p-5, -0x1.6cb53dfca5b64p-5, -0x1.d0c6522ef158dp-5, -0x1.1ddca4be045bfp-4, -0x1.5611e568c0586p-4, -0x1.903fcca437f7ep-4, -0x1.cbb24b11c3b56p-4, -0x1.03dd08e269e32p-3, -0x1.21da8addd830bp-3, -0x1.3f8709b96ba1bp-3, -0x1.5c9e932c5b794p-3, -0x1.78e49016469eap-3, -0x1.942379d02dc33p-3, -0x1.ae2cc3794e13dp-3, -0x1.c6d7db4af11c6p-3, -0x1.de04f6ada0c93p-3, -0x1.f39668413530cp-3, -0x1.03babea54a56fp-2, -0x1.0cc8fbf654235p-2, -0x1.14efea7fab2fcp-2, -0x1.1c2b0dedddf4cp-2, -0x1.2277b4a60da6dp-2, -0x1.27d54cbd1aee2p-2, -0x1.2c450f974184cp-2, -0x1.2fc968f4cd487p-2, -0x1.3265b36d88b48p-2, -0x1.341e4e797ecdp-2, -0x1.34f8b080389f3p-2, -0x1.34fb3e8c6ea97p-2, -0x1.342d05e53ed54p-2, -0x1.32958b8cb8e8bp-2, -0x1.303cc0b447663p-2, -0x1.2d2b03b108161p-2, -0x1.2969129f50e11p-2, -0x1.24ffedfde8c3bp-2, -0x1.1ff8bad16405p-2, -0x1.1a5caf2a54248p-2, -0x1.143507b3f5f2dp-2, -0x1.0d8affb5f0ce1p-2, -0x1.0667c748e2fd5p-2, -0x1.fda8ef9fe4d66p-3, -0x1.edb41200522e9p-3, -0x1.dd000253f2138p-3, -0x1.cba2781e66e53p-3, -0x1.b9aba391f6423p-3, -0x1.a72b81de0e70cp-3, -0x1.943126ca80e9dp-3, -0x1.80cb0942a505cp-3, -0x1.6d074e513f194p-3, -0x1.58f3f2d77a40cp-3, -0x1.449ec741bab8ep-3, -0x1.30154461b313fp-3, -0x1.1b644de86c677p-3, -0x1.0697fa859b92cp-3, -0x1.e376e864f6b35p-4, -0x1.b9b1f058a4975p-4, -0x1.8ff3e4c428a2ap-4, -0x1.664e4fab0a8abp-4, -0x1.3cd1c1c84c88bp-4, -0x1.138e0e96b17c2p-4, -0x1.d524c77fdfe43p-5, -0x1.83da7a9e125fap-5, -0x1.3358848376da2p-5, -0x1.c77067cb30f56p-6, -0x1.2a21287e91c1dp-6, -0x1.1dd9422f8f21ep-7, 0x1.410f0bd0da81bp-11, 0x1.413b3d42efc57p-7, 0x1.34b5e09405fbfp-6, 0x1.c6373e1d5183fp-6, 0x1.2a850ffe26a68p-5, 0x1.708c7f512c828p-5, 0x1.b5281e29b2d8dp-5, 0x1.f84f14a655d9ap-5, 0x1.1cfcc81e56b3ep-4, 0x1.3d106a464a455p-4, 0x1.5c5fa332ee7f4p-4, 0x1.7ae835f4be88cp-4, 0x1.98a87038374b2p-4, 0x1.b59f1f1da8a64p-4, 0x1.d1cb81146cc48p-4, 0x1.ed2d373a9c4bp-4, 0x1.03e21c37f9f56p-3, 0x1.10c863bbe26e1p-3, 0x1.1d49b642187b5p-3, 0x1.296678d298d9cp-3, 0x1.351f3087ed77fp-3, 0x1.4074820a7308bp-3, 0x1.4b6730e91d8c3p-3, 0x1.55f81e845f573p-3, 0x1.6028486f6cb6cp-3, 0x1.69f8c651150eep-3, 0x1.736ac764d3fc8p-3, 0x1.7c7f8fc919d6cp-3, 0x1.853875cbd2b61p-3, 0x1.8d96df632ed8ap-3, 0x1.959c3ff629007p-3, 0x1.9d4a1687365fdp-3, 0x1.a4a469aae7616p-3, 0x1.aba98618a88ecp-3, 0x1.b25b67be50ca5p-3, 0x1.b8bb95d13d2c4p-3, 0x1.becba87ae174fp-3, 0x1.c48d482553d0dp-3, 0x1.ca022be97bd0dp-3, 0x1.cf2c17321fc34p-3, 0x1.d40cd6b333a88p-3, 0x1.d8a63ce0a17d7p-3, 0x1.dcfa1e19d598fp-3, 0x1.e10a4cc69b96p-3, 0x1.e4d895a46793cp-3, 0x1.e866bc8080843p-3, 0x1.ebb67993001cep-3, 0x1.eec977a115157p-3, 0x1.f1a152fbc02aap-3, 0x1.f43f995d585bep-3, 0x1.f6a5ca955d8b1p-3, 0x1.f8d559e1d74afp-3, 0x1.facfafc8cfea6p-3, 0x1.fc962c3cd31fcp-3, 0x1.fe2a28d4c6abp-3, 0x1.ff8cfae224de1p-3, 0x1.005ffa9bdfc58p-2, 0x1.00e234befa62bp-2, 0x1.014dd47f224efp-2, 0x1.01a3826f166b6p-2, 0x1.01e3e6e75c2d9p-2, 0x1.020fa9a0ecd39p-2, 0x1.0227711feec32p-2, 0x1.022be1fe63adp-2, 0x1.021d9e27e7778p-2, 0x1.01fd44171802dp-2, 0x1.01cb6e2360393p-2, 0x1.0188b1eb1076bp-2, 0x1.01359fe245c19p-2, 0x1.00d2c30b7eabdp-2, 0x1.0060a0db4762cp-2, 0x1.ffbf728a6a933p-3, 0x1.fea10ddbeea49p-3, 0x1.fd66fef86027bp-3, 0x1.fc1228015285ap-3, 0x1.faa362db95a89p-3, 0x1.f91b822c81e66p-3, 0x1.f77b52567fc4fp-3, 0x1.f5c39a676a63cp-3, 0x1.f3f51cedd231fp-3, 0x1.f21098ace6275p-3, 0x1.f016c9299cc19p-3, 0x1.ee08670ea99c1p-3, 0x1.ebe6286767384p-3, 0x1.e9b0c0b44ed23p-3, 0x1.e768e0dd964d1p-3, 0x1.e50f370a13ac9p-3, 0x1.e2a46e6182e64p-3, 0x1.e0292ec1e5a5ep-3, 0x1.dd9e1c6f9f818p-3, 0x1.db03d7c777b93p-3, 0x1.d85afcf8d3dep-3, 0x1.d5a423cd3dafp-3, 0x1.d2dfdf80e159cp-3, 0x1.d00ebeae265b7p-3, 0x1.cd314b4d0be58p-3, 0x1.ca480ac5a448bp-3, 0x1.c7537e13c656ep-3, 0x1.c45421f96024cp-3, 0x1.c14a6f3c1b3b2p-3, 0x1.be36daeaf6d54p-3, 0x1.bb19d6a84482p-3, 0x1.b7f3d0f4e794ep-3, 0x1.b4c53579ef42dp-3, 0x1.b18e6d4e1bc47p-3, 0x1.ae4fdf355f46dp-3, 0x1.ab09efd8f1245p-3, 0x1.a7bd01f6d9ed9p-3, 0x1.a4697688728dep-3, 0x1.a10facdfa7edp-3, 0x1.9db002bb2b84dp-3, 0x1.9a4ad4522c9b6p-3, 0x1.96e07c5873652p-3, 0x1.937153fc1b98cp-3, 0x1.8ffdb2de411b7p-3, 0x1.8c85ef0842588p-3, 0x1.890a5cdf25d8fp-3, 0x1.858b4f16b273bp-3, 0x1.820916a5a015bp-3, 0x1.7e8402bc0a71ep-3, 0x1.7afc60bcf28acp-3, 0x1.77727c3b62dcdp-3, 0x1.73e69efb54f27p-3, 0x1.705910f641831p-3, 0x1.6cca1862f0ae2p-3, 0x1.6939f9c0100eep-3, 0x1.65a8f7e0cfc82p-3, 0x1.621753fae8336p-3, 0x1.5e854db552205p-3, 0x1.5af32337286bp-3, 0x1.5761113620e63p-3, 0x1.53cf530457fcap-3, 0x1.503e229d057dp-3, 0x1.4cadb8b016295p-3, 0x1.491e4cac6c77ep-3, 0x1.459014c8dda29p-3, 0x1.4203460bdf937p-3, 0x1.3e781451f6a52p-3, 0x1.3aeeb252f4cc3p-3, 0x1.376751a6256fep-3, 0x1.33e222c57788dp-3, 0x1.305f550fc772bp-3, 0x1.2cdf16ca6578ap-3, 0x1.296195220190dp-3, 0x1.25e7ca5ba8ceap-3, 0x1.2270280d3ee76p-3, 0x1.1efbbfa6b1fb6p-3, 0x1.1b8abafccdf73p-3, 0x1.181d42cf96bb2p-3, 0x1.14b37ec385092p-3, 0x1.114d955bbe22cp-3, 0x1.0debabf572128p-3, 0x1.0a8de6c47da7dp-3, 0x1.073468d160dadp-3, 0x1.03df53f8988dbp-3, 0x1.008ec8eb49317p-3, 0x1.fa85ce626f566p-4, 0x1.f3f79a57ce45p-4, 0x1.ed733035ab208p-4, 0x1.e6f8c841383e5p-4, 0x1.e0889891b73c1p-4, 0x1.da22d51d904f6p-4, 0x1.d3c7afc858d6ap-4, 0x1.cd775871783ep-4, 0x1.c731fd0316c77p-4, 0x1.c0f7c9812331ep-4, 0x1.bac8e8180935dp-4, 0x1.b4a5812b0ac4bp-4, 0x1.ae8dbb61e5d82p-4, 0x1.a881bbb5aff11p-4, 0x1.a281a57cbed1fp-4, 0x1.9c8d9a75992b6p-4, 0x1.96a5bad0c6f3ap-4, 0x1.90ca25399818ep-4, 0x1.8afaf6ddd620bp-4, 0x1.85384b74710f4p-4, 0x1.7f823d433b4c2p-4, 0x1.79d8e523c7dcdp-4, 0x1.743c5a87890cp-4, 0x1.6eacb37b4b748p-4, 0x1.692a04aa2f386p-4, 0x1.63b461603d77ep-4, 0x1.5e4bdb8cbac26p-4, 0x1.58f083c455a3ap-4, 0x1.53a269434d192p-4, 0x1.4e6199efa9db2p-4, 0x1.492e225b9fedbp-4, 0x1.44080dc82df2ap-4, 0x1.3eef66280a3c7p-4, 0x1.39e43422e913p-4, 0x1.34e67f19268a6p-4, 0x1.2ff64d27d9e75p-4, 0x1.2b13a32d53459p-4, 0x1.263e84ce048dep-4, 0x1.2176f479d373p-4, 0x1.1cbcf371ccb6fp-4, 0x1.181081ce320a5p-4, 0x1.13719e84dac75p-4, 0x1.0ee0476fdca0ap-4, 0x1.0a5c7954704d5p-4, 0x1.05e62fea07773p-4, 0x1.017d65e188d5bp-4, 0x1.fa4429d94a2d9p-5, 0x1.f1a86b8a78fd9p-5, 0x1.e92780698da1dp-5, 0x1.e0c156376dff2p-5, 0x1.d875d8f19e686p-5, 0x1.d044f2e0c1ebdp-5, 0x1.c82e8ca6daf2p-5, 0x1.c0328d4d4a10cp-5, 0x1.b850da527ec23p-5, 0x1.b08957b74fcbdp-5, 0x1.a8dbe80bfd18p-5, 0x1.a1486c7ccf0bp-5, 0x1.99cec4de5e963p-5, 0x1.926ecfb976e8dp-5, 0x1.8b286a56a1fa7p-5, 0x1.83fb70c9588d8p-5, 0x1.7ce7bdfadd0b7p-5, 0x1.75ed2bb4c9adfp-5, 0x1.6f0b92ab4fd76p-5, 0x1.6842ca873817p-5, 0x1.6192a9efa1c96p-5, 0x1.5afb069389b95p-5, 0x1.547bb533246bfp-5, 0x1.4e1489a907de8p-5, 0x1.47c556f3326f6p-5, 0x1.418def3bf0b4p-5, 0x1.3b6e23e2a7295p-5, 0x1.3565c58482e8fp-5, 0x1.2f74a405175e6p-5, 0x1.299a8e96e51dep-5, 0x1.23d753c3d62cbp-5, 0x1.1e2ac175a63bap-5, 0x1.1894a4fe3d82ap-5, 0x1.1314cb1ffd2f7p-5, 0x1.0dab0015fbfefp-5, 0x1.08570f9c324dap-5, 0x1.0318c4f794e99p-5, 0x1.fbdfd5fc3862fp-6, 0x1.f1b8983d6efd7p-6, 0x1.e7bb64d24d0dbp-6, 0x1.dde7cf2b77bb9p-6, 0x1.d43d6a1a0320bp-6, 0x1.cabbc7de83e59p-6, 0x1.c1627a37de056p-6, 0x1.b8311271cde78p-6, 0x1.af2721732deaap-6, 0x1.a64437cbe8e7fp-6, 0x1.9d87e5c2a70adp-6, 0x1.94f1bb621e7aep-6, 0x1.8c8148861534fp-6, 0x1.84361ce8108f9p-6, 0x1.7c0fc82ba23b9p-6, 0x1.740dd9ea6674p-6, 0x1.6c2fe1bfa4977p-6, 0x1.64756f5394fa3p-6, 0x1.5cde12664d5acp-6, 0x1.55695ada577c4p-6, 0x1.4e16d8beea2a1p-6, 0x1.46e61c59cd15dp-6, 0x1.3fd6b630e8443p-6, 0x1.38e83713774abp-6, 0x1.321a3022f4c71p-6, 0x1.2b6c32dba6d71p-6, 0x1.24ddd11ce69a2p-6, 0x1.1e6e9d3113f5dp-6, 0x1.181e29d53e0f1p-6, 0x1.11ec0a4083fc9p-6, 0x1.0bd7d22b28c5ap-6, 0x1.05e115d566a3cp-6, 0x1.00076a0dfa7d1p-6, 0x1.f494c870dbdc9p-7, 0x1.e95334a642956p-7, 0x1.de4945fa29bedp-7, 0x1.d3762af6f105p-7, 0x1.c8d9137df79b2p-7, 0x1.be7130d1d0515p-7, 0x1.b43db59ffe0bp-7, 0x1.aa3dd60a4ae03p-7, 0x1.a070c7afa79e1p-7, 0x1.96d5c1b4b405ep-7, 0x1.8d6bfccbcf6bdp-7, 0x1.8432b33cd2131p-7, 0x1.7b2920ec6136p-7, 0x1.724e8362e35a6p-7, 0x1.69a219d31bfb8p-7, 0x1.612325206bb99p-7, 0x1.58d0e7e4af6d6p-7, 0x1.50aaa675da459p-7, 0x1.48afa6eb3198fp-7, 0x1.40df31222f7e3p-7, 0x1.39388ec3279b6p-7, 0x1.31bb0b458ea5ep-7, 0x1.2a65f3f3fd108p-7, 0x1.233897efe6261p-7, 0x1.1c3248350445p-7, 0x1.1552579c84c8fp-7, 0x1.0e981adfe789ap-7, 0x1.0802e89ba1b0fp-7, 0x1.019219517d6f1p-7, 0x1.f68a0ed572bbap-8, 0x1.ea361e73d5568p-8, 0x1.de271df947786p-8, 0x1.d25bcdb9c0854p-8, 0x1.c6d2f1e467efap-8, 0x1.bb8b528594f1p-8, 0x1.b083bb884fe09p-8, 0x1.a5bafcb76fe63p-8, 0x1.9b2fe9be539fcp-8, 0x1.90e15a292fa93p-8, 0x1.86ce2964fbc1p-8, 0x1.7cf536bf00809p-8, 0x1.7355656402489p-8, 0x1.69ed9c5f118b1p-8, 0x1.60bcc697ff0a3p-8, 0x1.57c1d2d176952p-8, 0x1.4efbb3a6bc098p-8, 0x1.46695f8921669p-8, 0x1.3e09d0bd13524p-8, 0x1.35dc0556e0a8ep-8, 0x1.2ddeff372a826p-8, 0x1.2611c40703b72p-8, 0x1.1e735d33c3454p-8, 0x1.1702d7ea8484fp-8, 0x1.0fbf451360b63p-8, 0x1.08a7b94c580e4p-8, 0x1.01bb4ce3f7c76p-8, 0x1.f5f237a75ecfdp-9, 0x1.e8c08b73d15ap-9, 0x1.dbdfdba7a5cadp-9, 0x1.cf4e75edeb71ep-9, 0x1.c30aaf14f0708p-9, 0x1.b712e30059117p-9, 0x1.ab65749ac568bp-9, 0x1.a000cdc6f6099p-9, 0x1.94e35f5082f5cp-9, 0x1.8a0ba0dc2676dp-9, 0x1.7f7810d792df3p-9, 0x1.7527346901ed5p-9, 0x1.6b17975e43d3ep-9, 0x1.6147cc1b8cf56p-9, 0x1.57b66b89db79cp-9, 0x1.4e6215051ef7ep-9, 0x1.45496e4a0c3d9p-9, 0x1.3c6b2363b05a4p-9, 0x1.33c5e698c6ddap-9, 0x1.2b587058d2b96p-9, 0x1.23217f2908697p-9, 0x1.1b1fd7910962dp-9, 0x1.135244077789ep-9, 0x1.0bb794de66525p-9, 0x1.044ea02fb4c97p-9, 0x1.fa2c839282b31p-10, 0x1.ec1ab6324adc7p-10, 0x1.de65a633a205p-10, 0x1.d10b2c7c435bep-10, 0x1.c4092cbb00e6p-10, 0x1.b75d953ff3d8dp-10, 0x1.ab065ed4c7fa9p-10, 0x1.9f018c9515a57p-10, 0x1.934d2bc6dc712p-10, 0x1.87e753b33748dp-10, 0x1.7cce257f23a47p-10, 0x1.71ffcc0488ef6p-10, 0x1.677a7bab90ffbp-10, 0x1.5d3c72443457ep-10, 0x1.5343f6dff9132p-10, 0x1.498f79db07b63p-10, 0x1.401d073eaf2c1p-10, 0x1.36eb2e94991c6p-10, 0x1.2df85a7c3966dp-10, 0x1.2542fe1bfe96ap-10, 0x1.1cc994fd31be7p-10, 0x1.148aa2e8534dbp-10, 0x1.0c84b3c1bc938p-10, 0x1.04b65b66c4338p-10, 0x1.fa3c6b165264ep-11, 0x1.eb75cb2e162b6p-11, 0x1.dd162d0a4e83p-11, 0x1.cf1af58332905p-11, 0x1.c1819811cc30bp-11, 0x1.b447968f17274p-11, 0x1.a76a80f3c063fp-11, 0x1.9ae7f518efe7ep-11, 0x1.8ebd9e7998de2p-11, 0x1.82e935f4c3a83p-11, 0x1.7768819091b06p-11, 0x1.6c39543e11c04p-11, 0x1.61598d9dd1447p-11, 0x1.56c719c5313e7p-11, 0x1.4c7ff1048e6fp-11, 0x1.428217ae0a0dbp-11, 0x1.38cb9ddd2b937p-11, 0x1.2f5a9f3f32d62p-11, 0x1.262d42dc1f2f6p-11, 0x1.1d41bae072369p-11, 0x1.14964467a1abap-11, 0x1.0c29274740ad9p-11, 0x1.03f8b5dae8cbcp-11, 0x1.f80699a13c12ap-12, 0x1.e88ea5ec28928p-12, 0x1.d986720d19e49p-12, 0x1.caeaf2f2ae4f9p-12, 0x1.bcb930a1f3976p-12, 0x1.aeee45d60bdf5p-12, 0x1.a1875fa1285f1p-12, 0x1.9481bd0e9e05p-12, 0x1.87daaec661079p-12, 0x1.7b8f96b1d8174p-12, 0x1.6f9de7a1a5e92p-12, 0x1.640324f4e0e5bp-12, 0x1.58bce24187e5cp-12, 0x1.4dc8c2fe31493p-12, 0x1.43247a2c9c21ep-12, 0x1.38cdca062bd06p-12, 0x1.2ec283a8dcc61p-12, 0x1.250086c5d641dp-12, 0x1.1b85c150d6ed2p-12, 0x1.12502f31a43bfp-12, 0x1.095dd9f54b694p-12, 0x1.00acd881dac24p-12, 0x1.f0769d94f8708p-13, 0x1.e00edb0a3b3bap-13, 0x1.d01ee3c22a2e5p-13, 0x1.c0a34a7e10006p-13, 0x1.b198b9d3b45d4p-13, 0x1.a2fbf3a1bd86p-13, 0x1.94c9d0863be43p-13, 0x1.86ff3f579cce5p-13, 0x1.7999449fafd2p-13, 0x1.6c94fa1917b07p-13, 0x1.5fef8e2e9608ap-13, 0x1.53a6437d5aec4p-13, 0x1.47b67058d5107p-13, 0x1.3c1d7e50cb75ep-13, 0x1.30d8e9b9c8a47p-13, 0x1.25e641382889bp-13, 0x1.1b43254bfbd0fp-13, 0x1.10ed47e09961ap-13, 0x1.06e26bdd35f9ep-13, 0x1.fa40c96fe9fcbp-14, 0x1.e74a2c17223bdp-14, 0x1.d4dce65bb30fep-14, 0x1.c2f4fd92a3597p-14, 0x1.b18e94f0e40d7p-14, 0x1.a0a5ecc5bf859p-14, 0x1.903761b9a3301p-14, 0x1.803f6c101d432p-14, 0x1.70ba9eee7184ep-14, 0x1.61a5a7a5ad079p-14, 0x1.52fd4d0077e77p-14, 0x1.44be6e94e6407p-14, 0x1.36e604197311p-14, 0x1.29711cbed47cap-14, 0x1.1c5cde8ae99eap-14, 0x1.0fa685ba4eb96p-14, 0x1.034b6423787d6p-14, 0x1.ee91c13af8c54p-15, 0x1.d738ecd53c145p-15, 0x1.c087694bffc5p-15, 0x1.aa787b6942116p-15, 0x1.95078d731839cp-15, 0x1.80302e1a6d5e1p-15, 0x1.6bee0f7116cccp-15, 0x1.583d05e2671c3p-15, 0x1.4519073840fbbp-15, 0x1.327e299e13b61p-15, 0x1.2068a2b0fef45p-15, 0x1.0ed4c690fafd8p-15, 0x1.fb7e0df316c58p-16, 0x1.da47e4bf8159dp-16, 0x1.ba00662b735eap-16, 0x1.9aa11ce41abf8p-16, 0x1.7c23c7ff7ba74p-16, 0x1.5e82595f2efbbp-16, 0x1.41b6f421cc7c9p-16, 0x1.25bbeb1c9b621p-16, 0x1.0a8bbf6067047p-16, 0x1.e0423d8a8778cp-17, 0x1.acedc505f40fap-17, 0x1.7b101b9fca7cap-17, 0x1.4a9f9915344c1p-17, 0x1.1b92e3d7fe618p-17, 0x1.dbc1dd0600353p-18, 0x1.8301eac516b97p-18, 0x1.2cd4f8133f741p-18, 0x1.b2552be7c3c52p-19, 0x1.0fe5b589a6b69p-19, 0x1.c8f2edc5277b7p-21, -0x1.361cd67be6b01p-22, -0x1.767069f38905ap-20, -0x1.4b3d12183891cp-19, -0x1.d6ed50ac5bc4cp-19, -0x1.2f319b19eab0cp-18, -0x1.70dc1b57fe513p-18, -0x1.b0827df341cbcp-18, -0x1.ee30b635e8522p-18, -0x1.14f92c9d4f394p-17, -0x1.31e950a285813p-17, -0x1.4dee38768ae96p-17, -0x1.690d2b22616cdp-17, -0x1.834b46edfb4d7p-17, -0x1.9cad82d65a6e6p-17, -0x1.b538aff9b663cp-17, -0x1.ccf17af593cf2p-17, -0x1.e3dc6d3c3c52fp-17, -0x1.f9fdee5f26a86p-17, -0x1.07ad22a45286p-16, -0x1.11faccbbc044fp-16, -0x1.1be9fa124687ep-16, -0x1.257ca0b22cd4ap-16, -0x1.2eb4a89e75dcep-16, -0x1.3793ec5b2e1aep-16, -0x1.401c396ac8d3dp-16, -0x1.484f50d370bbcp-16, -0x1.502ee791c078bp-16, -0x1.57bca710af7e9p-16, -0x1.5efa2d9a37821p-16, -0x1.65e90ec527e76p-16, -0x1.6c8ad3da33e04p-16, -0x1.72e0fc40163a7p-16, }}, 
      {{-0x1.215352432347fp-3, -0x1.09bf6afab5eb9p-2, -0x1.60091ab406549p-2, -0x1.90d611c40719bp-2, -0x1.9e54e6c7e5165p-2, -0x1.8d41eaf6fad29p-2, -0x1.6372b295e9e8cp-2, -0x1.26f0559cd58a5p-2, -0x1.badd7113cf4eep-3, -0x1.18053fdadcfcap-3, -0x1.b7fbc38438aa3p-5, 0x1.e1099c6291fb4p-6, 0x1.c193216a66214p-4, 0x1.7bc8c76d276acp-3, 0x1.0510fb35c1016p-2, 0x1.44eea5bcf1a57p-2, 0x1.7cee5bdcbfdfep-2, 0x1.acd8015dd2034p-2, 0x1.d4b84241c72e1p-2, 0x1.f4d0338464cb4p-2, 0x1.06c3c6a1295b3p-1, 0x1.0fb095505a3eap-1, 0x1.1578cab37f4a6p-1, 0x1.186bacfa375c5p-1, 0x1.18da7cd8efeafp-1, 0x1.17162193051adp-1, 0x1.136d645717cc4p-1, 0x1.0e2b95afb7b46p-1, 0x1.0797b0a42539cp-1, 0x1.ffe7b1496dbb4p-2, 0x1.eef9bc9cac3a1p-2, 0x1.dcd4510d22712p-2, 0x1.c9db7b5e925f4p-2, 0x1.b668a86a8994dp-2, 0x1.a2cb0253adcf7p-2, 0x1.8f47f337123f9p-2, 0x1.7c1bbb867fcccp-2, 0x1.697a0dfea8acfp-2, 0x1.578eaaa9cb8ebp-2, 0x1.467dfcb54814dp-2, 0x1.3665bc7238b57p-2, 0x1.275d8f6a880cbp-2, 0x1.19779f268bb98p-2, 0x1.0cc125767628bp-2, 0x1.0142f04ad2bbep-2, 0x1.ee03bc6572e61p-3, 0x1.dbfeaa4590413p-3, 0x1.cc7365f0274abp-3, 0x1.bf5967f0acebep-3, 0x1.b4a39d9d8226bp-3, 0x1.ac411315d7fdep-3, 0x1.a61d91be6818p-3, 0x1.a2222fd6186c6p-3, 0x1.a035d1018db9dp-3, 0x1.a03ddc13d3efap-3, 0x1.a21da3561796bp-3, 0x1.a5b82754ac619p-3, 0x1.aaefbe2027c64p-3, 0x1.b1a67751eed48p-3, 0x1.b9be53f303098p-3, 0x1.c3197716df759p-3, 0x1.cd9a538419158p-3, 0x1.d923d8533ce91p-3, 0x1.e5999bf0cd8bcp-3, 0x1.f2e003542a1a2p-3, 0x1.006e3171b93bap-2, 0x1.07ba8ba1a67c4p-2, 0x1.0f48cadec6d97p-2, 0x1.170d3ab00ac5bp-2, 0x1.1efcb97989489p-2, 0x1.270cb9114dadp-2, 0x1.2f333edde259ap-2, 0x1.3766e3fb6d7a5p-2, 0x1.3f9ed56f379edp-2, 0x1.47d2d41e1d18cp-2, 0x1.4ffb3415cce24p-2, 0x1.5810dac155e63p-2, 0x1.600d3bced20b1p-2, 0x1.67ea54cccfc44p-2, 0x1.6fa2a7c2a7675p-2, 0x1.7731352b3d9fcp-2, 0x1.7e9175bec3233p-2, 0x1.85bf546375b8ep-2, 0x1.8cb7287a555bcp-2, 0x1.9375b096d2ad9p-2, 0x1.99f80d91b0e23p-2, 0x1.a03bbdd61d918p-2, 0x1.a63e98c515338p-2, 0x1.abfeca122434ap-2, 0x1.b17acd082949ap-2, 0x1.b6b167b22f93cp-2, 0x1.bba1a5f3401aep-2, 0x1.c04ad4a604d55p-2, 0x1.c4ac7ce56343bp-2, 0x1.c8c65f9cb44f5p-2, 0x1.cc9871704cc15p-2, 0x1.d022d6fbd90b9p-2, 0x1.d365e1548c1eep-2, 0x1.d6620ab8896d4p-2, 0x1.d917f35b008afp-2, 0x1.db885e479651fp-2, 0x1.ddb42e6032bdbp-2, 0x1.df9c6379f38d5p-2, 0x1.e1421799dc4b6p-2, 0x1.e2a67c4cb950ep-2, 0x1.e3cad8143193ep-2, 0x1.e4b083e70199cp-2, 0x1.e558e8c97b888p-2, 0x1.e5c57d89738cep-2, 0x1.e5f7c4a9b3e38p-2, 0x1.e5f1b6fadc7b7p-2, 0x1.e5b42dae7dc9ap-2, 0x1.e5410b939e0b5p-2, 0x1.e499ede3ed923p-2, 0x1.e3c075d3ecb85p-2, 0x1.e2b6479fdcc0cp-2, 0x1.e17d09b205a3fp-2, 0x1.e01663cdbe8e8p-2, 0x1.de83fe2bd0296p-2, 0x1.dcc7807a26252p-2, 0x1.dae290b908173p-2, 0x1.d8d6d1f990842p-2, 0x1.d6a5e309cb3ep-2, 0x1.d4515d213483ep-2, 0x1.d1dad2a33682cp-2, 0x1.cf43ce0c8f664p-2, 0x1.cc8dd11c825eep-2, 0x1.c9ba54447d7ccp-2, 0x1.c6cac66169ec7p-2, 0x1.c3c08cba8c552p-2, 0x1.c09d033b6b95p-2, 0x1.bd617cd98763ap-2, 0x1.ba0f4413f25f1p-2, 0x1.b6a79b7a5ff83p-2, 0x1.b32bbe2a93e78p-2, 0x1.af9ce03638098p-2, 0x1.abfc2ee73c27fp-2, 0x1.a84ad0ddb2a8cp-2, 0x1.a489e606d7748p-2, 0x1.a0ba87713b3a6p-2, 0x1.9cddc70564312p-2, 0x1.98f4af2c77cf3p-2, 0x1.9500426f781d4p-2, 0x1.91017b197f9d2p-2, 0x1.8cf94ae644e9cp-2, 0x1.88e89ac45f375p-2, 0x1.84d04ab07fddbp-2, 0x1.80b131ac6f921p-2, 0x1.7c8c1dd241381p-2, 0x1.7861d482261c5p-2, 0x1.743312a7972bcp-2, 0x1.70008d1151fc6p-2, 0x1.6bcaf0d6f49c1p-2, 0x1.6792e3c6ad54bp-2, 0x1.635904d598896p-2, 0x1.5f1dec8de4969p-2, 0x1.5ae22d767ac11p-2, 0x1.56a65470da2d9p-2, 0x1.526ae90ac907cp-2, 0x1.4e306dc2853bap-2, 0x1.49f7603d10ed4p-2, 0x1.45c0396f1fefdp-2, 0x1.418b6db9eb413p-2, 0x1.3d596cfdbfcfp-2, 0x1.392aa2a4964c7p-2, 0x1.34ff75a729756p-2, 0x1.30d8488f1fc5p-2, 0x1.2cb57978aa323p-2, 0x1.28976215c7602p-2, 0x1.247e57b4e0dd8p-2, 0x1.206aab4c240d7p-2, 0x1.1c5ca98a5052fp-2, 0x1.18549aed6016bp-2, 0x1.1452c3ded851ap-2, 0x1.105764d54bd1fp-2, 0x1.0c62ba7a302afp-2, 0x1.0874fdd30f584p-2, 0x1.048e646cecc44p-2, 0x1.00af2088c58a6p-2, 0x1.f9aec2901def6p-3, 0x1.f20ea5b088effp-3, 0x1.ea7e3d3956793p-3, 0x1.e2fdd6ab49d97p-3, 0x1.db8dba8a2f17bp-3, 0x1.d42e2c9f245ffp-3, 0x1.ccdf6c33fe0ebp-3, 0x1.c5a1b447d0cccp-3, 0x1.be753bbcb4317p-3, 0x1.b75a357f4aabp-3, 0x1.b050d0a899a4fp-3, 0x1.a959389b13fd5p-3, 0x1.a273951ba9e3bp-3, 0x1.9ba00a67e9882p-3, 0x1.94deb94a24415p-3, 0x1.8e2fbf2c85a8bp-3, 0x1.8793362bfc17cp-3, 0x1.8109352b97e4ep-3, 0x1.7a91cfe8f0bfbp-3, 0x1.742d1711e2199p-3, 0x1.6ddb185bc62fbp-3, 0x1.679bde9c26e9fp-3, 0x1.616f71e2c94bbp-3, 0x1.5b55d794bb7ebp-3, 0x1.554f128823809p-3, 0x1.4f5b2320694b6p-3, 0x1.497a076a5ad59p-3, 0x1.43abbb3802aa2p-3, 0x1.3df0383bd4bd1p-3, 0x1.3847762302ddbp-3, 0x1.32b16aaec15cp-3, 0x1.2d2e09cc5993fp-3, 0x1.27bd45ac03542p-3, 0x1.225f0ed66abdp-3, 0x1.1d135440f18d5p-3, 0x1.17da0360abda4p-3, 0x1.12b3083c2ff4cp-3, 0x1.0d9e4d7c41657p-3, 0x1.089bbc7b786cbp-3, 0x1.03ab3d54f6bdp-3, 0x1.fd996de4a3cb6p-4, 0x1.f4001e3176b2bp-4, 0x1.ea8a54eb30647p-4, 0x1.e13891436b7b7p-4, 0x1.d809085dda2cfp-4, 0x1.cefc536b350e8p-4, 0x1.c61234fb757d1p-4, 0x1.bd4a6dd80085dp-4, 0x1.b4a4bd132b377p-4, 0x1.ac20e0185d46ep-4, 0x1.a3be92bd050dbp-4, 0x1.9b7d8f524602p-4, 0x1.935d8eb77e55fp-4, 0x1.8b5e486d7849ap-4, 0x1.837f72aa456ecp-4, 0x1.7bc0c26d983b3p-4, 0x1.7421eb957d228p-4, 0x1.6ca2a0f34cdc6p-4, 0x1.65429460b0f66p-4, 0x1.5e0176d48fc5p-4, 0x1.56def877bea08p-4, 0x1.4fdac8b951cb3p-4, 0x1.48f496626cf93p-4, 0x1.422c0fa976922p-4, 0x1.3b80e2449593p-4, 0x1.34f2bb7b654d1p-4, 0x1.2e814837d2858p-4, 0x1.282c3516140eep-4, 0x1.21f32e73bb583p-4, 0x1.1bd5e07dd9c7p-4, 0x1.15d3f73e3dd9dp-4, 0x1.0fed1ea7cd5a3p-4, 0x1.0a2102a2042eap-4, 0x1.046f4f13a6674p-4, 0x1.fdaf5fd95c452p-5, 0x1.f2b3a25f11a51p-5, 0x1.e7eabdf360bdep-5, 0x1.dd540b17653c2p-5, 0x1.d2eee2a16df15p-5, 0x1.c8ba9dcb2368dp-5, 0x1.beb6963eeb37ap-5, 0x1.b4e22624a377p-5, 0x1.ab3ca82dcf664p-5, 0x1.a1c577a150a4fp-5, 0x1.987bf066ba63ep-5, 0x1.8f5f6f1157e2bp-5, 0x1.866f50eaece96p-5, 0x1.7daaf3fe3df57p-5, 0x1.7511b72167dap-5, 0x1.6ca2fa0009fc2p-5, 0x1.645e1d254656bp-5, 0x1.5c4282059907fp-5, 0x1.544f8b087e42cp-5, 0x1.4c849b91f0d82p-5, 0x1.44e1180babe1dp-5, 0x1.3d6465ee3b858p-5, 0x1.360debc9c7591p-5, 0x1.2edd114e9c09dp-5, 0x1.27d13f5569044p-5, 0x1.20e9dfe72c7acp-5, 0x1.1a265e44c9396p-5, 0x1.138626ee420c5p-5, 0x1.0d08a7a996db7p-5, 0x1.06ad4f893e8dbp-5, 0x1.00738ef23b3d8p-5, 0x1.f4b5af439885dp-6, 0x1.e8c539656657cp-6, 0x1.dd14a5442f307p-6, 0x1.d1a2dea8003fdp-6, 0x1.c66ed42ed0b67p-6, 0x1.bb777753e5483p-6, 0x1.b0bbbc7678815p-6, 0x1.a63a9adf9bf62p-6, 0x1.9bf30cc774155p-6, 0x1.91e40f59bb9c6p-6, 0x1.880ca2b9a8037p-6, 0x1.7e6bca052e2c7p-6, 0x1.75008b57b4b48p-6, 0x1.6bc9efcc38d4p-6, 0x1.62c7037ef1109p-6, 0x1.59f6d58e6fdc4p-6, 0x1.5158781c5a8b3p-6, 0x1.48eb004daa109p-6, 0x1.40ad864a8d70fp-6, 0x1.389f253ded347p-6, 0x1.30befb548fdap-6, 0x1.290c29bbf24afp-6, 0x1.2185d4a0cdf95p-6, 0x1.1a2b232d5a09p-6, 0x1.12fb3f873fc41p-6, 0x1.0bf556cd528bbp-6, 0x1.0518991508736p-6, 0x1.fcc872cf6b483p-7, 0x1.efaedb7f1c16fp-7, 0x1.e2e2de08e04fap-7, 0x1.d662f210f349bp-7, 0x1.ca2d9508cfcc3p-7, 0x1.be414a2790062p-7, 0x1.b29c9a61e2915p-7, 0x1.a73e1461a3fa6p-7, 0x1.9c244c7d226edp-7, 0x1.914ddcadf0d5p-7, 0x1.86b964877d5eap-7, 0x1.7c65892d34b45p-7, 0x1.7250f54867344p-7, 0x1.687a58fdcd154p-7, 0x1.5ee069e2c6fb6p-7, 0x1.5581e2f245e34p-7, 0x1.4c5d848176883p-7, 0x1.437214341abe1p-7, 0x1.3abe5cf0a29dfp-7, 0x1.32412ed40a4e6p-7, 0x1.29f95f2574622p-7, 0x1.21e5c8498bc73p-7, 0x1.1a0549b5b1372p-7, 0x1.1256c7e2f404ap-7, 0x1.0ad92c40dbc39p-7, 0x1.038b6528074cp-7, 0x1.f8d8cb9941593p-8, 0x1.eaf64c615d8c6p-8, 0x1.dd6d462c8967ap-8, 0x1.d03bbbe3247a1p-8, 0x1.c35fb9b5b3eccp-8, 0x1.b6d75500a09aap-8, 0x1.aaa0ac2fcaeffp-8, 0x1.9eb9e6a1fd021p-8, 0x1.9321348c3f1a2p-8, 0x1.87d4cedd15727p-8, 0x1.7cd2f71faec0fp-8, 0x1.7219f75f002ddp-8, 0x1.67a82208e1927p-8, 0x1.5d7bd1d1233e6p-8, 0x1.53936994a645cp-8, 0x1.49ed543c7c203p-8, 0x1.408804a11142fp-8, 0x1.3761f56d63d4ap-8, 0x1.2e79a9025446dp-8, 0x1.25cda95a044a7p-8, 0x1.1d5c87eb530a2p-8, 0x1.1524dd8d78a2dp-8, 0x1.0d254a5bbd7a7p-8, 0x1.055c759957dep-8, 0x1.fb921b2adeaf7p-9, 0x1.ecd38f1e8ed9ep-9, 0x1.de7abf35307b9p-9, 0x1.d08531081ec96p-9, 0x1.c2f0776c12436p-9, 0x1.b5ba323ae89c9p-9, 0x1.a8e00e1ddca9fp-9, 0x1.9c5fc45824c63p-9, 0x1.90371a92091e1p-9, 0x1.8463e2a463d27p-9, 0x1.78e3fa649c636p-9, 0x1.6db54b711d448p-9, 0x1.62d5cafe41e9bp-9, 0x1.584379a3be6d2p-9, 0x1.4dfc632a97e27p-9, 0x1.43fe9e5b879ffp-9, 0x1.3a484ccdf5f6dp-9, 0x1.30d79ab773057p-9, 0x1.27aabebbb4644p-9, 0x1.1ebff9bd1effdp-9, 0x1.161596add65ep-9, 0x1.0da9ea615db0fp-9, 0x1.057b535eb3133p-9, 0x1.fb1073661ae9bp-10, 0x1.eb9e1d8a2603ap-10, 0x1.dc9c9a5142aa8p-10, 0x1.ce08f0e64955cp-10, 0x1.bfe03a20ea16bp-10, 0x1.b21fa030872c6p-10, 0x1.a4c45e481eef4p-10, 0x1.97cbc04b51765p-10, 0x1.8b33227c75947p-10, 0x1.7ef7f12bc62ecp-10, 0x1.7317a8679a693p-10, 0x1.678fd3ada9cafp-10, 0x1.5c5e0d9d7cff3p-10, 0x1.517fffabc3258p-10, 0x1.46f361d6cabdap-10, 0x1.3cb5fa5bffc86p-10, 0x1.32c59d6e715f2p-10, 0x1.29202cee57ff3p-10, 0x1.1fc39821aa0ccp-10, 0x1.16addb6daa49p-10, 0x1.0ddd001175dc9p-10, 0x1.054f1be19dabap-10, 0x1.fa04a20950c6bp-11, 0x1.e9e99b61498b5p-11, 0x1.da4997d338ebbp-11, 0x1.cb21228242be1p-11, 0x1.bc6cdd2d632d6p-11, 0x1.ae297fb23125dp-11, 0x1.a053d791a517ap-11, 0x1.92e8c776a456ap-11, 0x1.85e546be73fdfp-11, 0x1.794661031d3f1p-11, 0x1.6d0935a77ee31p-11, 0x1.612af7658ed1p-11, 0x1.55a8ebde1d8a9p-11, 0x1.4a806b2aae349p-11, 0x1.3faedf70f055bp-11, 0x1.3531c47839dep-11, 0x1.2b06a740bb354p-11, 0x1.212b259c85dc6p-11, 0x1.179cedca639a9p-11, 0x1.0e59be1273a0ap-11, 0x1.055f646497ff4p-11, 0x1.f9577bf149241p-12, 0x1.e8796de0a50fp-12, 0x1.d82093f5f432ep-12, 0x1.c848fff624e9ep-12, 0x1.b8eedf5a8baafp-12, 0x1.aa0e7aa316a03p-12, 0x1.9ba434ab78ff9p-12, 0x1.8dac8a03c2c9ap-12, 0x1.8024104c96794p-12, 0x1.7307759687ff5p-12, 0x1.66537fc4e2bd1p-12, 0x1.5a050bf3b59dcp-12, 0x1.4e190de10721fp-12, 0x1.428c8f597e6p-12, 0x1.375cafa802e01p-12, 0x1.2c86a30868f0dp-12, 0x1.2207b21da0019p-12, 0x1.17dd396ab60fbp-12, 0x1.0e04a8ce97d7ep-12, 0x1.047ba681efc01p-12, 0x1.f67eec292d68p-13, 0x1.e49bda344e12ep-13, 0x1.d34987e1fa421p-13, 0x1.c28387d642d72p-13, 0x1.b2458db6fb0cbp-13, 0x1.a28b6d4bb3a04p-13, 0x1.935119a2aeb35p-13, 0x1.8492a43b65835p-13, 0x1.764c3c3585259p-13, 0x1.687a2d85e5954p-13, 0x1.5b18e02f4d891p-13, 0x1.4e24d780e40b8p-13, 0x1.419ab1588812cp-13, 0x1.3577256a6e466p-13, 0x1.29b7048c7b558p-13, 0x1.1e57380716ebep-13, 0x1.1354c0e9294c5p-13, 0x1.08acb760ebce7p-13, 0x1.fcb894315b8b1p-14, 0x1.e8c17b2f3c0cp-14, 0x1.d56ed74cffa47p-14, 0x1.c2bb85705ae9dp-14, 0x1.b0a28aabdbe12p-14, 0x1.9f1f131eadc21p-14, 0x1.8e2c70dbaacd9p-14, 0x1.7dc61ad790fb3p-14, 0x1.6de7abdd273f1p-14, 0x1.5e8ce189c8d45p-14, 0x1.4fb19b4e9351bp-14, 0x1.4151d97919f0fp-14, 0x1.3369bc424ef78p-14, 0x1.25f582e2810afp-14, 0x1.18f18aac6ebfap-14, 0x1.0c5a4e2d994f8p-14, 0x1.002c64545c503p-14, 0x1.e8c8ff370850bp-15, 0x1.d1feda76bbb73p-15, 0x1.bbf428c02a9bcp-15, 0x1.a6a2eaca4ee47p-15, 0x1.9205522bdd08cp-15, 0x1.7e15bfe6be019p-15, 0x1.6acec2fc1201fp-15, 0x1.582b170aba243p-15, 0x1.4625a2f6aaa5cp-15, 0x1.34b97799e5128p-15, 0x1.23e1ce7b656p-15, 0x1.139a08948783cp-15, 0x1.03ddad18f9853p-15, 0x1.e950d094ba0fp-16, 0x1.cbec14a19dfbap-16, 0x1.af850c438e211p-16, 0x1.9413e0cbcf6e7p-16, 0x1.7990fcda9869ap-16, 0x1.5ff50a4fc07cbp-16, 0x1.4738f04c1578dp-16, 0x1.2f55d14022913p-16, 0x1.18450908e4066p-16, 0x1.02002b19dde14p-16, 0x1.d9020168e92dbp-17, 0x1.af830e5801aedp-17, 0x1.8777dc6daa948p-17, 0x1.60d52c95a8d4ep-17, 0x1.3b901e0f92479p-17, 0x1.179e2b4f70909p-17, 0x1.e9ea4e15f841bp-18, 0x1.a716728f9b987p-18, 0x1.66adb9137356cp-18, 0x1.289db627c516dp-18, 0x1.d9a93109e3b24p-19, 0x1.668247c24b00cp-19, 0x1.ef4aafd314744p-20, 0x1.19e43e6f456c1p-20, 0x1.324b41d3b5579p-22, -0x1.e397f5cb7c713p-22, -0x1.36c09905ebf27p-20, -0x1.ed358b6d9849ep-20, -0x1.4e3dc4f5f8c2bp-19, -0x1.a263c2fda8a29p-19, -0x1.f3265e75dabffp-19, -0x1.204f31c0ef0bdp-18, -0x1.4571e987c5633p-18, -0x1.6906f4fd78113p-18, -0x1.8b1993ec444b4p-18, -0x1.abb4aad2c17fap-18, -0x1.cae2c61a526bap-18, -0x1.e8ae1d2c41fe7p-18, -0x1.02904ac062deep-17, -0x1.1021e2c093d45p-17, -0x1.1d107ba758e5ep-17, -0x1.296095c2fddf8p-17, -0x1.35168dedfc7a1p-17, -0x1.40369ed4121f9p-17, -0x1.4ac4e22c543bp-17, -0x1.54c551e89c255p-17, -0x1.5e3bc95bd442ap-17, -0x1.672c06503311p-17, -0x1.6f99aa20b0493p-17, -0x1.77883ab7c652bp-17, -0x1.7efb2395fbd2fp-17, -0x1.85f5b6c25ecdep-17, -0x1.8c7b2dba06742p-17, -0x1.928eaa53bfa4ap-17, -0x1.9833379ce831dp-17, -0x1.9d6bcaabda419p-17, -0x1.a23b4375be22p-17, -0x1.a6a46d8701f39p-17, -0x1.aaaa00ca6477dp-17, -0x1.ae4ea23e558ap-17, -0x1.b194e4a5b8d9ep-17, -0x1.b47f4931b7b5p-17, -0x1.b7104026115e1p-17, -0x1.b94a29769a284p-17, -0x1.bb2f555edb734p-17, -0x1.bcc204f4a12d1p-17, -0x1.be046ab2d6b69p-17, -0x1.bef8ab02c4bb2p-17, -0x1.bfa0dcbc9c73cp-17, -0x1.bfff09a45b9b4p-17, -0x1.c0152ee1aae0dp-17, -0x1.bfe53d739d6dfp-17, -0x1.bf711a9e68f3ap-17, -0x1.bebaa0563eb9fp-17, -0x1.bdc39da64f43cp-17, -0x1.bc8dd70cf7ba7p-17, -0x1.bb1b06e21fd5bp-17, -0x1.b96cdda99759cp-17, -0x1.b785027223f1p-17, -0x1.b565131d1f816p-17, -0x1.b30ea4b4f8e9ep-17, -0x1.b08343b6026d6p-17, -0x1.adc4745bf7cccp-17, -0x1.aad3b2e026091p-17, -0x1.a7b273c0e8939p-17, -0x1.a462240009442p-17, -0x1.a0e4295fcda43p-17, -0x1.9d39e29ceb97p-17, -0x1.9964a7a67a142p-17, -0x1.9565c9d30454ep-17, -0x1.913e941391df9p-17, -0x1.8cf04b23453b2p-17, -0x1.887c2db745946p-17, -0x1.83e374a9f3951p-17, -0x1.7f2753255fff7p-17, -0x1.7a48f6cbd9bd8p-17, -0x1.754987df99acep-17, -0x1.702a295f81249p-17, -0x1.6aebf93bb6f5ep-17, -0x1.659010640991ap-17, -0x1.601782f1ec95p-17, -0x1.5a83604497577p-17, -0x1.54d4b31f2bb9fp-17, -0x1.4f0c81bff110bp-17, -0x1.492bce00ba8bp-17, }}, 
      {{-0x1.ceef77d1b0b96p+1, -0x1.b545d85bf9664p+1, -0x1.95b058df60c93p+1, -0x1.7543c3518b6adp+1, -0x1.56da1dd9e384cp+1, -0x1.3be1557bd5439p+1, -0x1.24e258d4fbd49p+1, -0x1.11db41312f7fep+1, -0x1.027c1a80ade71p+1, -0x1.ec99998110171p+0, -0x1.d98cf390a4e12p+0, -0x1.cac5fca985f2cp+0, -0x1.bf4c45f398bcdp+0, -0x1.b644b4d9b933ep+0, -0x1.aef4496c05777p+0, -0x1.a8c15f67d5721p+0, -0x1.a33171a6582bcp+0, -0x1.9de5d6551cb2cp+0, -0x1.9898262cb3b72p+0, -0x1.9316b0c257f5ep+0, -0x1.8d40b9de2906ep+0, -0x1.87034f1e5e827p+0, -0x1.805662f971eabp+0, -0x1.793a3ecaad4afp+0, -0x1.71b561f41c006p+0, -0x1.69d2b7f82773cp+0, -0x1.61a02a087ebedp+0, -0x1.592d56780243cp+0, -0x1.508ae316ae887p+0, -0x1.47c99ab809214p+0, -0x1.3ef9bafe3bf3ap+0, -0x1.362ac492953b3p+0, -0x1.2d6b49f972cddp+0, -0x1.24c89c8cc8cc6p+0, -0x1.1c4e9faaa329dp+0, -0x1.1407c865408e1p+0, -0x1.0bfd2d6331693p+0, -0x1.04368f31e117cp+0, -0x1.f974b47997461p-1, -0x1.eb1b62be86b15p-1, -0x1.dd690c7dfcbe9p-1, -0x1.d0636e26daf01p-1, -0x1.c40e50a971decp-1, -0x1.b86bb2b83c967p-1, -0x1.ad7bf0bd4819ap-1, -0x1.a33df10ed57d5p-1, -0x1.99af53e5b51fp-1, -0x1.90cca25f2d2c7p-1, -0x1.8891774feb486p-1, -0x1.80f8a1e09833cp-1, -0x1.79fc45f726b18p-1, -0x1.7395fbf7e3e82p-1, -0x1.6dbeee0add2e1p-1, -0x1.686ff1e4ed25ep-1, -0x1.63a2129cc19c9p-1, -0x1.5f4cdf1931ce9p-1, -0x1.5b68f328f6b94p-1, -0x1.57eeba9cd3906p-1, -0x1.54d6b6dbe784cp-1, -0x1.52197f6762f34p-1, -0x1.4fafc35180b27p-1, -0x1.4d924f285a103p-1, -0x1.4bba17d191f33p-1, -0x1.4a2048571cb56p-1, -0x1.48be4f78be1ep-1, -0x1.478dea1267bf9p-1, -0x1.468928a81f8dep-1, -0x1.45aa70091a7b2p-1, -0x1.44ec765b810efp-1, -0x1.444a3e9463af9p-1, -0x1.43bf14488e741p-1, -0x1.4346891490577p-1, -0x1.42dc73f16975ep-1, -0x1.427cf20211522p-1, -0x1.422467f1f78efp-1, -0x1.41cf82e879f8bp-1, -0x1.417b384ed2aedp-1, -0x1.4124c40db8b0fp-1, -0x1.40c9a55953b28p-1, -0x1.40679a7b2a543p-1, -0x1.3ffc9c3403609p-1, -0x1.3f86d947ea57ap-1, -0x1.3f04b299f70d1p-1, -0x1.3e74b80172a86p-1, -0x1.3dd5a5ca94fe9p-1, -0x1.3d2662afa4919p-1, -0x1.3c65fe08db196p-1, -0x1.3b93adf74598ap-1, -0x1.3aaecd61b8781p-1, -0x1.39b6d9b29ca15p-1, -0x1.38ab705bfd01fp-1, -0x1.378c4c39110bp-1, -0x1.365942ef1d6bep-1, -0x1.35124270bbe4ap-1, -0x1.33b74ebe1529cp-1, -0x1.32487fed0af0fp-1, -0x1.30c600737c936p-1, -0x1.2f300ba2274cdp-1, -0x1.2d86ec3bcfdcep-1, -0x1.2bcafb198a10ep-1, -0x1.29fc9dd5a6919p-1, -0x1.281c457dfd402p-1, -0x1.262a6d50feb1bp-1, -0x1.24279987b7974p-1, -0x1.2214562c51bffp-1, -0x1.1ff135fb7b017p-1, -0x1.1dbed1507d78ap-1, -0x1.1b7dc51ee996ap-1, -0x1.192eb1ff3a422p-1, -0x1.16d23b541dc08p-1, -0x1.1469585e287bp-1, -0x1.11f4271dc0524p-1, -0x1.0f737d71417aap-1, -0x1.0ce802078a88bp-1, -0x1.0a525bfeb4c74p-1, -0x1.07b3326b0794cp-1, -0x1.050b2be0a0396p-1, -0x1.025aedfd52b1dp-1, -0x1.ff4639e0cf98ep-2, -0x1.f9c8b5fe0ac9ep-2, -0x1.f43e900bc2fcep-2, -0x1.eea901f5f93e3p-2, -0x1.e9093ee7e1618p-2, -0x1.e360726d18948p-2, -0x1.ddafbfb34f699p-2, -0x1.d7f840f6bc579p-2, -0x1.d23b07207e76dp-2, -0x1.cc791999d1998p-2, -0x1.c6b3765257196p-2, -0x1.c0eb11f34957cp-2, -0x1.bb20d83603d1cp-2, -0x1.b555ac51eb30ap-2, -0x1.af8a6974d17a5p-2, -0x1.a9bfe3396c5bep-2, -0x1.a3f6e610fe06fp-2, -0x1.9e303797f192fp-2, -0x1.986c96d038788p-2, -0x1.92acbc3f8f0c6p-2, -0x1.8cf159f2fcd17p-2, -0x1.873b1b6b80ab8p-2, -0x1.818aa579dd4f1p-2, -0x1.7be096109c903p-2, -0x1.763d8413a5b0ep-2, -0x1.70a1ff2c651fbp-2, -0x1.6b0e8fa87138ap-2, -0x1.6583b6673046cp-2, -0x1.6001ecd964688p-2, -0x1.5a89a513d528dp-2, -0x1.551b49f4c3ad3p-2, -0x1.4fb73f5a81f1cp-2, -0x1.4a5de2688b49ap-2, -0x1.450f89d7bc9c3p-2, -0x1.3fcc864dfac9cp-2, -0x1.3a9522b9863fp-2, -0x1.3569a4ac69cc9p-2, -0x1.304a4cb4e1ae8p-2, -0x1.2b3756b022a7bp-2, -0x1.2630fa158a0ecp-2, -0x1.21376a38eeb45p-2, -0x1.1c4ad68372fc5p-2, -0x1.176b6aa2d3541p-2, -0x1.12994eafbd511p-2, -0x1.0dd4a74c21cd9p-2, -0x1.091d95bad195bp-2, -0x1.047437f1f006ap-2, -0x1.ffb15153a6a66p-3, -0x1.f695fed3f4ce1p-3, -0x1.ed96a12b1c79cp-3, -0x1.e4b35af19273dp-3, -0x1.dbec48b094786p-3, -0x1.d34181062c655p-3, -0x1.cab314cf6b80ep-3, -0x1.c2410f591ef05p-3, -0x1.b9eb7696ab8f4p-3, -0x1.b1b24b5e50863p-3, -0x1.a99589a9b5643p-3, -0x1.a19528d978ff7p-3, -0x1.99b11bfa51703p-3, -0x1.91e9520a6b60bp-3, -0x1.8a3db63dba717p-3, -0x1.82ae304024bd6p-3, -0x1.7b3aa474a3085p-3, -0x1.73e2f430a227ap-3, -0x1.6ca6fdf32fc63p-3, -0x1.65869d979ef45p-3, -0x1.5e81ac838cc2fp-3, -0x1.579801d0521cfp-3, -0x1.50c9727006ed9p-3, -0x1.4a15d14e7594cp-3, -0x1.437cef6e59419p-3, -0x1.3cfe9c0366bf5p-3, -0x1.369aa489bb64dp-3, -0x1.3050d4db2fef6p-3, -0x1.2a20f7433acf6p-3, -0x1.240ad491db493p-3, -0x1.1e0e342e13ff3p-3, -0x1.182adc28505f7p-3, -0x1.1260914d0f8e5p-3, -0x1.0caf1737e909ep-3, -0x1.0716306717e18p-3, -0x1.01959e4f78472p-3, -0x1.f85a42e1bbef2p-4, -0x1.edb8f2d545dc2p-4, -0x1.e346ca20733a8p-4, -0x1.d90344fb1bcaap-4, -0x1.ceedde56070cdp-4, -0x1.c5061001e68b2p-4, -0x1.bb4b52d4ceddfp-4, -0x1.b1bd1ece26a0bp-4, -0x1.a85aeb38d4cbcp-4, -0x1.9f242ecb8984p-4, -0x1.96185fc729dp-4, -0x1.8d36f41356498p-4, -0x1.847f615916a42p-4, -0x1.7bf11d1bc1706p-4, -0x1.738b9cd03075ap-4, -0x1.6b4e55f25fba2p-4, -0x1.6338be1990057p-4, -0x1.5b4a4b0b10c1ap-4, -0x1.538272cbcc257p-4, -0x1.4be0abb0b822ap-4, -0x1.44646c6e4ca3cp-4, -0x1.3d0d8a54c2d3dp-4, -0x1.35dab1266388ap-4, -0x1.2ecbc58cc64f5p-4, -0x1.27e040c83aceep-4, -0x1.21179cb59883bp-4, -0x1.1a7153d708f6dp-4, -0x1.13ece15ce27edp-4, -0x1.0d89c12ea08ecp-4, -0x1.07476ff4009c5p-4, -0x1.01256b1e3c3a7p-4, -0x1.f64661e2bf662p-5, -0x1.ea80811b5a989p-5, -0x1.def833f20173cp-5, -0x1.d3ac7c5047903p-5, -0x1.c89c5e100116ep-5, -0x1.bdc6df0d4063bp-5, -0x1.b32b0737cce5ep-5, -0x1.a8c7e0a3eea86p-5, -0x1.9e9c779a7584cp-5, -0x1.94a7daa7dbfeap-5, -0x1.8ae91aaa76a44p-5, -0x1.815f4adf96a0dp-5, -0x1.780980ef9a927p-5, -0x1.6ee6d4f8de28ep-5, -0x1.65f6619988334p-5, -0x1.5d3743f836c24p-5, -0x1.54a89bcb8ce3fp-5, -0x1.4c498b60a73fbp-5, -0x1.441937a0870e2p-5, -0x1.3c16c8147cec6p-5, -0x1.344166e9a3067p-5, -0x1.2c9840f3793dbp-5, -0x1.251a85adb2c77p-5, -0x1.1dc7673d4b138p-5, -0x1.169e1a70f00e1p-5, -0x1.0f9dd6c0dab79p-5, -0x1.08c5d64e1d764p-5, -0x1.021555e18663cp-5, -0x1.f71729d42eb25p-6, -0x1.ea4faaf6552e8p-6, -0x1.ddd2b8949f52p-6, -0x1.d19ee159cb8b9p-6, -0x1.c5b2b92b092f7p-6, -0x1.ba0cd92268e81p-6, -0x1.aeabdf8901276p-6, -0x1.a38e6fd0ccedap-6, -0x1.98b3328e49d2ep-6, -0x1.8e18d571dd116p-6, -0x1.83be0b4100f7ep-6, -0x1.79a18bcf38a89p-6, -0x1.6fc213f6d12d7p-6, -0x1.661e659166bcdp-6, -0x1.5cb547702d78cp-6, -0x1.53858554034bfp-6, -0x1.4a8defe538973p-6, -0x1.41cd5cab1fdf7p-6, -0x1.3942a6035013fp-6, -0x1.30ecab18a562ep-6, -0x1.28ca4fd9f82b3p-6, -0x1.20da7cf08686p-6, -0x1.191c1fb61a43p-6, -0x1.118e2a2ae0c8p-6, -0x1.0a2f92eafb2aap-6, -0x1.02ff5523c89f1p-6, -0x1.f7f8e111d7e21p-7, -0x1.ea4bd292153cep-7, -0x1.dcf59004aa1d1p-7, -0x1.cff4336d950e8p-7, -0x1.c345df809a91dp-7, -0x1.b6e8bf88fb53ap-7, -0x1.aadb0750d75bdp-7, -0x1.9f1af3082eb7bp-7, -0x1.93a6c72bae124p-7, -0x1.887cd06b1fd14p-7, -0x1.7d9b638fb4622p-7, -0x1.7300dd62204e3p-7, -0x1.68aba29082036p-7, -0x1.5e9a1f94398a1p-7, -0x1.54cac897a57d9p-7, -0x1.4b3c195bd0892p-7, -0x1.41ec951e1d10dp-7, -0x1.38dac67de8b0dp-7, -0x1.30053f623d874p-7, -0x1.276a98df8a3f7p-7, -0x1.1f09731d6c214p-7, -0x1.16e0753c8d883p-7, -0x1.0eee4d3c9cb37p-7, -0x1.0731afe25f702p-7, -0x1.ff52b13bca534p-8, -0x1.f0a812e1b8524p-8, -0x1.e26115aa14087p-8, -0x1.d47b5745d45f1p-8, -0x1.c6f481f0eb9b7p-8, -0x1.b9ca4c40277d2p-8, -0x1.acfa78ef69769p-8, -0x1.a082d6b0339eap-8, -0x1.94613ff89436p-8, -0x1.88939ad26b3e8p-8, -0x1.7d17d8ab0d3ddp-8, -0x1.71ebf623471bep-8, -0x1.670dfadfc3f5ap-8, -0x1.5c7bf959d4e34p-8, -0x1.52340eb09dcb9p-8, -0x1.4834627aa9ccap-8, -0x1.3e7b2697e4f89p-8, -0x1.3506970403497p-8, -0x1.2bd4f9a94fb9dp-8, -0x1.22e49e33e9b44p-8, -0x1.1a33dde57319ep-8, -0x1.11c11b692a169p-8, -0x1.098ac2a879762p-8, -0x1.018f489ffb3ffp-8, -0x1.f39a5669db35ep-9, -0x1.e485e21648c4ap-9, -0x1.d5de52b6dbb47p-9, -0x1.c7a0d794e55b2p-9, -0x1.b9cab08025caep-9, -0x1.ac592d7e77d27p-9, -0x1.9f49ae7c7ed22p-9, -0x1.9299a2ff4c43ap-9, -0x1.864689d706866p-9, -0x1.7a4df0d290609p-9, -0x1.6ead74743374bp-9, -0x1.6362bfa74c8cbp-9, -0x1.586b8b76fbf94p-9, -0x1.4dc59ec5dfa89p-9, -0x1.436ece06cbb03p-9, -0x1.3964faf6907edp-9, -0x1.2fa61456c3727p-9, -0x1.263015a98dc48p-9, -0x1.1d0106ee81cb7p-9, -0x1.1416fc607962dp-9, -0x1.0b7016347236fp-9, -0x1.030a80597698p-9, -0x1.f5c8e4730861cp-10, -0x1.e5f85cf6ec855p-10, -0x1.d6a0058be36b5p-10, -0x1.c7bc8f06a4dd4p-10, -0x1.b94abf4d240dfp-10, -0x1.ab4770e264148p-10, -0x1.9daf9274398cp-10, -0x1.9080266afdd95p-10, -0x1.83b6427b38972p-10, -0x1.774f0f3930862p-10, -0x1.6b47c7ae5f7fep-10, -0x1.5f9db8f0d26e7p-10, -0x1.544e41bc5ec43p-10, -0x1.4956d20db3145p-10, -0x1.3eb4eabf42cd3p-10, -0x1.34661d27fd505p-10, -0x1.2a680abbd0687p-10, -0x1.20b864adf85e2p-10, -0x1.1754eb950064cp-10, -0x1.0e3b6f1098876p-10, -0x1.0569cd710800ep-10, -0x1.f9bbe6c0cb875p-11, -0x1.e92bb71ae4fb6p-11, -0x1.d91f1cb03505bp-11, -0x1.c99242ff34a75p-11, -0x1.ba816fa479b59p-11, -0x1.abe901bd640fep-11, -0x1.9dc5714dd6db4p-11, -0x1.90134ea926126p-11, -0x1.82cf41ddf17c3p-11, -0x1.75f60a25009f8p-11, -0x1.69847d53163edp-11, -0x1.5d77874da37e3p-11, -0x1.51cc298253f0fp-11, -0x1.467f7a61674e2p-11, -0x1.3b8ea4dacdfb1p-11, -0x1.30f6e7ddf5bd3p-11, -0x1.26b595dc44fe7p-11, -0x1.1cc8144e346dap-11, -0x1.132bdb3aef90ap-11, -0x1.09de74c2974cfp-11, -0x1.00dd7caadf3ecp-11, -0x1.f04d3fdc64762p-12, -0x1.df6f389a6833fp-12, -0x1.cf1c7fc53f542p-12, -0x1.bf50d172e61eap-12, -0x1.b00808cac7995p-12, -0x1.a13e1f3b14f73p-12, -0x1.92ef2bb280acfp-12, -0x1.851761de4fa8ep-12, -0x1.77b3116c8c701p-12, -0x1.6abea5527967p-12, -0x1.5e36a316f70f2p-12, -0x1.5217aa2116f95p-12, -0x1.465e730a70bp-12, -0x1.3b07cef562081p-12, -0x1.3010a6e71f605p-12, -0x1.2575fb2576fc1p-12, -0x1.1b34e29836cfp-12, -0x1.114a8a2e38c8fp-12, -0x1.07b43445d36c4p-12, -0x1.fcde7031f933p-13, -0x1.eaf202592e011p-13, -0x1.d99e1d868d159p-13, -0x1.c8dde6a6ca1efp-13, -0x1.b8aca800a66f9p-13, -0x1.a905d02dcfc06p-13, -0x1.99e4f119fa2p-13, -0x1.8b45bf081bd6bp-13, -0x1.7d240f9db2ec5p-13, -0x1.6f7bd8f3e748bp-13, -0x1.624930ae9521cp-13, -0x1.55884b18de732p-13, -0x1.49357a477fd55p-13, -0x1.3d4d2d409a5a3p-13, -0x1.31cbef28b6fadp-13, -0x1.26ae667567919p-13, -0x1.1bf15424debf2p-13, -0x1.119192fa953e5p-13, -0x1.078c16c11fc7dp-13, -0x1.fbbbd7218642dp-14, -0x1.e9086a35d2f39p-14, -0x1.d6f85bf49642p-14, -0x1.c5864e0f378e3p-14, -0x1.b4ad0d65cb5f7p-14, -0x1.a46790c2688fbp-14, -0x1.94b0f79ced076p-14, -0x1.858488e7cacd3p-14, -0x1.76ddb1e4dba12p-14, -0x1.68b80501d1353p-14, -0x1.5b0f6610e2bd6p-14, -0x1.4ddf47157480ap-14, -0x1.4123de582e0ddp-14, -0x1.34d9482e3507bp-14, -0x1.28fbc0dc09ba6p-14, -0x1.1d87a39f3bfd9p-14, -0x1.127969bf0ce34p-14, -0x1.07cda9a399efap-14, -0x1.fb022be781bf6p-15, -0x1.e720f9721b945p-15, -0x1.d3f18d14b2afcp-15, -0x1.c16deb77e95bap-15, -0x1.af904b2c25b7fp-15, -0x1.9e53132126458p-15, -0x1.8db0d92990db6p-15, -0x1.7da460885ae6bp-15, -0x1.6e28988a35161p-15, -0x1.5f389b27d8cc1p-15, -0x1.50cfabb3226b1p-15, -0x1.42e9358dbf636p-15, -0x1.3580cae95951cp-15, -0x1.289223910316bp-15, -0x1.1c191bbba0ed5p-15, -0x1.1011b2e713a96p-15, -0x1.04780abbdabb1p-15, -0x1.f290cbf214c34p-16, -0x1.dcfe4ed0ba411p-16, -0x1.c831a1b340238p-16, -0x1.b424044d6cd5cp-16, -0x1.a0cef07c2ed43p-16, -0x1.8e2c1869797cep-16, -0x1.7c3564bf52d3p-16, -0x1.6ae4f2e63d80fp-16, -0x1.5a351353063dep-16, -0x1.4a2047e055ed6p-16, -0x1.3aa1423522f16p-16, -0x1.2bb2e23735081p-16, -0x1.1d50348991ec7p-16, -0x1.0f74711663073p-16, -0x1.021af9a42b1f2p-16, -0x1.ea7eb0eb7381cp-17, -0x1.d1ba7dea1f0eep-17, -0x1.b9e108cfe6adp-17, -0x1.a2ea495e7dap-17, -0x1.8cce7e1efd8e1p-17, -0x1.77862a06e6f47p-17, -0x1.630a122ce3657p-17, -0x1.4f533b94de36dp-17, -0x1.3c5ae9081c483p-17, -0x1.2a1a99018b8a4p-17, -0x1.188c03a6c0246p-17, -0x1.07a918d98bb93p-17, -0x1.eed7fc9a2c701p-18, -0x1.cf9e1b67b3298p-18, -0x1.b199a5efeaf0dp-18, -0x1.94c01505b8342p-18, -0x1.79073f25a76dcp-18, -0x1.5e65553bc49bap-18, -0x1.44d0df8436d1p-18, -0x1.2c40ba84f6bdep-18, -0x1.14ac14209333fp-18, -0x1.fc14d18251c9cp-19, -0x1.d0a70134ce236p-19, -0x1.a6feda085814ep-19, -0x1.7f0d0bc9ac69fp-19, -0x1.58c2ce7a1d7b5p-19, -0x1.3411dd78e7a75p-19, -0x1.10ec72e1c6822p-19, -0x1.de8a861dac18ap-20, -0x1.9e1ef08793ffap-20, -0x1.607d5cf5e5e3ap-20, -0x1.258ddeab2cc9p-20, -0x1.da72b8cefdd3cp-21, -0x1.6ed311a154ea4p-21, -0x1.0811b65f9e117p-21, -0x1.4c0a212daa179p-22, -0x1.2213dd1cb942fp-23, 0x1.0955e52c1c628p-25, 0x1.95bd95d9f232ep-23, 0x1.6c5a985682bffp-22, 0x1.02f205180d99cp-21, 0x1.4bdf52f44cf54p-21, 0x1.9115d3a2ca6b7p-21, 0x1.d2b50ac1d6004p-21, 0x1.086db6024573fp-20, 0x1.25d3328ce8112p-20, 0x1.4199339acddbfp-20, 0x1.5bcd782c3a6c9p-20, 0x1.747d4a1c8f65cp-20, 0x1.8bb5825d079ecp-20, 0x1.a1828d2415f06p-20, 0x1.b5f06de5f742fp-20, 0x1.c90ac32b9cd3bp-20, 0x1.dadcca45fa53dp-20, 0x1.eb7162de6e0a2p-20, 0x1.fad3126abcdebp-20, 0x1.048603b60b71dp-19, 0x1.0b130e5badfbep-19, 0x1.11156e37d4cc9p-19, 0x1.1691c18590ecbp-19, 0x1.1b8c81113070dp-19, 0x1.200a01985955fp-19, 0x1.240e751a8f426p-19, 0x1.279dec1e7b95ap-19, 0x1.2abc56e81031cp-19, 0x1.2d6d86ada1abfp-19, 0x1.2fb52eacc44dap-19, 0x1.3196e5482f892p-19, 0x1.33162511c59ffp-19, 0x1.34364dcb9d7abp-19, 0x1.34faa55fc299dp-19, 0x1.356658cd628abp-19, 0x1.357c7d0e6974ep-19, 0x1.35400ff23894ap-19, 0x1.34b3f8f278b06p-19, 0x1.33db09f9eb8bdp-19, 0x1.32b8002d160d7p-19, 0x1.314d84a259f26p-19, 0x1.2f9e2d15c2776p-19, 0x1.2dac7c96217fap-19, 0x1.2b7ae42c7c035p-19, 0x1.290bc3786c1bcp-19, 0x1.2661694bbc2ep-19, 0x1.237e143d08503p-19, 0x1.2063f32f37e5p-19, 0x1.1d1525e1c372ep-19, 0x1.1993bd6a9500cp-19, 0x1.15e1bcbb8cbfcp-19, 0x1.1201190e41d84p-19, 0x1.0df3ba5e814d2p-19, 0x1.09bb7bd55a5ap-19, 0x1.055a2c35f88ffp-19, 0x1.00d18e3d83cdfp-19, 0x1.f846b20f2e19p-20, 0x1.eea270d47abaap-20, 0x1.e4b99a9efaea2p-20, 0x1.da8f5c143626dp-20, 0x1.d026cd510c1f5p-20, 0x1.c582f2856657dp-20, 0x1.baa6bc8b2cf0ap-20, 0x1.af950977c73cbp-20, 0x1.a450a525c3f4ap-20, 0x1.98dc49ba3210dp-20, 0x1.8d3aa023ab8cdp-20, 0x1.816e40962a222p-20, 0x1.7579b301cd47fp-20, 0x1.695f6f72228f4p-20, 0x1.5d21de9f883f9p-20, 0x1.50c35a309410fp-20, 0x1.44462d30d2407p-20, 0x1.37ac946bef00ap-20, 0x1.2af8becc5b1e1p-20, 0x1.1e2ccdab062b3p-20, 0x1.114ad52e5f615p-20, }}, 
      {{0x1.ffdb2556ef7fp-1, 0x1.ff6caa5e29134p-1, 0x1.feb4cde1121dap-1, 0x1.fdb3f7c4af6c7p-1, 0x1.fc6ab7f02ede5p-1, 0x1.fad9c4dcdb5fep-1, 0x1.f901f9de74f8ep-1, 0x1.f6e4553478e46p-1, 0x1.f481f5f3685dfp-1, 0x1.f1dc19d342b3ap-1, 0x1.eef41aee77ba9p-1, 0x1.ebcb6d7ac9f92p-1, 0x1.e8639d83fca21p-1, 0x1.e4be4caeb8447p-1, 0x1.e0dd3008d3194p-1, 0x1.dcc20deb0ae04p-1, 0x1.d86ebbef45bd7p-1, 0x1.d3e51cfd995c6p-1, 0x1.cf271f719883ep-1, 0x1.ca36bb58cc75cp-1, 0x1.c515f0cabc672p-1, 0x1.bfc6c65a78821p-1, 0x1.ba4b47a14c4e5p-1, 0x1.b4a583e1fa9bcp-1, 0x1.aed78cc3b5c5p-1, 0x1.a8e37523e497p-1, 0x1.a2cb4ffdad871p-1, 0x1.9c912f663555ap-1, 0x1.9637239c761aap-1, 0x1.8fbf3a2b922d8p-1, 0x1.892b7d1e8cbbcp-1, 0x1.827df2444ecccp-1, 0x1.7bb89a82f3e51p-1, 0x1.74dd713955f61p-1, 0x1.6dee6bade3a28p-1, 0x1.66ed7889d31fcp-1, 0x1.5fdc7f5fd12f5p-1, 0x1.58bd603d586c3p-1, 0x1.5191f345e9089p-1, 0x1.4a5c085765d7ep-1, 0x1.431d66b6eb57dp-1, 0x1.3bd7ccc57d1d7p-1, 0x1.348cefbbfa44ep-1, 0x1.2d3e7b6dcc279p-1, 0x1.25ee1211db3d9p-1, 0x1.1e9d4c1155d4fp-1, 0x1.174db7dbe8168p-1, 0x1.1000d9c10a15p-1, 0x1.08b82bce1760cp-1, 0x1.01751db0e6036p-1, 0x1.f472293d48c13p-2, 0x1.e60ad67d8061cp-2, 0x1.d7b6e3335f536p-2, 0x1.c978da16d47f3p-2, 0x1.bb533072e390ep-2, 0x1.ad4846188fd97p-2, 0x1.9f5a655866a56p-2, 0x1.918bc30273ccfp-2, 0x1.83de7e6c6ad8p-2, 0x1.7654a17ddaecbp-2, 0x1.68f020c23d98ep-2, 0x1.5bb2db80b5cdp-2, 0x1.4e9e9bd94f889p-2, 0x1.41b516e79c282p-2, 0x1.34f7ecea745b1p-2, 0x1.2868a970bb3f7p-2, 0x1.1c08c38aeaca3p-2, 0x1.0fd99e014093bp-2, 0x1.03dc878e4d77p-2, 0x1.f025763b7e383p-3, 0x1.d8fac01e466efp-3, 0x1.c23b14f8e67a1p-3, 0x1.abe8770855e6bp-3, 0x1.9604c32d66bdp-3, 0x1.8091b18dc4793p-3, 0x1.6b90d63aaff77p-3, 0x1.5703a1dcf7e5fp-3, 0x1.42eb6265b8c02p-3, 0x1.2f4943c36d946p-3, 0x1.1c1e509adbb57p-3, 0x1.096b73035e326p-3, 0x1.ee62ea8c60a7cp-4, 0x1.cae205405d8ebp-4, 0x1.a855500b7288dp-4, 0x1.86bda9d080141p-4, 0x1.661bb7fa33f5ep-4, 0x1.466fe80a8a75ap-4, 0x1.27ba712b674ecp-4, 0x1.09fb55bf996b4p-4, 0x1.da64c9e743803p-5, 0x1.a2be789b438e7p-5, 0x1.6d029277bfdaep-5, 0x1.392f9542b286bp-5, 0x1.0743a4bfc27ffp-5, 0x1.ae791b7d743dp-6, 0x1.522f9246b3fd8p-6, 0x1.f349fb9724357p-7, 0x1.49a6242bbab6dp-7, 0x1.4ecbb4a0d41d9p-8, 0x1.8f4732b41a4b8p-12, -0x1.0e596eecd3cafp-8, -0x1.139ffbfdd9dc5p-7, -0x1.98f195c386322p-7, -0x1.0b9a3d1766955p-6, -0x1.473e43c1ffabap-6, -0x1.7f6f3d251ec89p-6, -0x1.b437f16fc0568p-6, -0x1.e5a38d9db64edp-6, -0x1.09decf384f24bp-5, -0x1.1f4905c04aff7p-5, -0x1.331689325c0cbp-5, -0x1.454da0f9b53c7p-5, -0x1.55f4bacd42d4p-5, -0x1.651268679767bp-5, -0x1.72ad5d4aae33bp-5, -0x1.7ecc6c8f6c50cp-5, -0x1.897686c0d364dp-5, -0x1.92b2b7c2c4be1p-5, -0x1.9a8824c44501fp-5, -0x1.a0fe0a3d1b251p-5, -0x1.a61bb9f6b860cp-5, -0x1.a9e899203eec7p-5, -0x1.ac6c1e6d9205cp-5, -0x1.adadd0414a546p-5, -0x1.adb542e1700f4p-5, -0x1.ac8a16b6dc44bp-5, -0x1.aa33f6971fda8p-5, -0x1.a6ba9618d310ep-5, -0x1.a225aff22ccfdp-5, -0x1.9c7d0461c701dp-5, -0x1.95c857a170abp-5, -0x1.8e0f7062efd4ap-5, -0x1.855a16569d7cfp-5, -0x1.7bb010bbbe571p-5, -0x1.711924fa7a185p-5, -0x1.659d154764a97p-5, -0x1.59439f5076bfdp-5, -0x1.4c147af362847p-5, -0x1.3e1758fd35dd5p-5, -0x1.2f53e1f327dbfp-5, -0x1.1fd1b4e48d741p-5, -0x1.0f986645d2a49p-5, -0x1.fd5efda8e4e24p-6, -0x1.da3cf507a695p-6, -0x1.b5d98ee5f6726p-6, -0x1.904389d6124bep-6, -0x1.698984ccbf173p-6, -0x1.41b9fd40f25dp-6, -0x1.18e34d5c96b48p-6, -0x1.de27547cc4496p-7, -0x1.88b244991bbb5p-7, -0x1.31833730bbae6p-7, -0x1.b16b49491df55p-8, -0x1.f992ba753a75ep-9, -0x1.1558e9ad9a72dp-10, 0x1.d2e51dd658131p-10, 0x1.31310e69e22dfp-8, 0x1.efddc30d7405dp-8, 0x1.58466aa098fp-7, 0x1.b986404b4a64fp-7, 0x1.0dcaf41f42907p-6, 0x1.3f2ea90c66c59p-6, 0x1.70e26c9c682aap-6, 0x1.a2daa33c3e733p-6, 0x1.d50be8e52a9a6p-6, 0x1.03b588ee4806p-5, 0x1.1cf695b2a4d0dp-5, 0x1.3643be31449d1p-5, 0x1.4f97c2f647a9ep-5, 0x1.68ed81ebabc14p-5, 0x1.823ff695bbd7bp-5, 0x1.9b8a3a48b3ce1p-5, 0x1.b4c78457ae25cp-5, 0x1.cdf32a3d003ebp-5, 0x1.e7089fbc17c56p-5, 0x1.0001bb7e7f7b3p-4, 0x1.0c6fb050cfd1cp-4, 0x1.18cc15ea7334bp-4, 0x1.2514e329f338fp-4, 0x1.31481e388c412p-4, 0x1.3d63dc88edaa1p-4, 0x1.496642d328dccp-4, 0x1.554d850de245ep-4, 0x1.6117e664d1be2p-4, 0x1.6cc3b92ca69efp-4, 0x1.784f5ed46093fp-4, 0x1.83b947d42b693p-4, 0x1.8efff399d50e7p-4, 0x1.9a21f072e96c9p-4, 0x1.a51ddb748ef76p-4, 0x1.aff2606123a0fp-4, 0x1.ba9e398bce9cep-4, 0x1.c5202fb9ea71fp-4, 0x1.cf771a028ae8cp-4, 0x1.d9a1ddac0690dp-4, 0x1.e39f6e07b51d5p-4, 0x1.ed6ecc4be45c4p-4, 0x1.f70f076c1aa6dp-4, 0x1.003f9df7dfb5fp-3, 0x1.04df49e394093p-3, 0x1.0966230f9fddfp-3, 0x1.0dd3cb99d600cp-3, 0x1.1227ec0fd8c0dp-3, 0x1.16623356e5f83p-3, 0x1.1a82569302fd8p-3, 0x1.1e88110da3c3p-3, 0x1.2273241bc0d33p-3, 0x1.264357037147p-3, 0x1.29f876e10edep-3, 0x1.2d92568be97f6p-3, 0x1.3110ce7a9917fp-3, 0x1.3473bca6eb31bp-3, 0x1.37bb047182428p-3, 0x1.3ae68e85232ccp-3, 0x1.3df648b9bf054p-3, 0x1.40ea25f73bc2p-3, 0x1.43c21e180ba69p-3, 0x1.467e2dcb945p-3, 0x1.491e56786802bp-3, 0x1.4ba29e1e6b9f2p-3, 0x1.4e0b0f38d33e5p-3, 0x1.5057b8a01a694p-3, 0x1.5288ad6be7332p-3, 0x1.549e04d4eab0bp-3, 0x1.5697da16c412bp-3, 0x1.58764c51e826ap-3, 0x1.5a397e6d96eap-3, 0x1.5be196f9e477fp-3, 0x1.5d6ec011d7128p-3, 0x1.5ee1273da93d3p-3, 0x1.6038fd5528ddap-3, 0x1.617676623fb43p-3, 0x1.6299c983aed91p-3, 0x1.63a330cff1cep-3, 0x1.6492e93862a7bp-3, 0x1.6569326c8f797p-3, 0x1.66264ebdd61ebp-3, 0x1.66ca8303411c4p-3, 0x1.6756167da598dp-3, 0x1.67c952bc186a2p-3, 0x1.68248380a1962p-3, 0x1.6867f6a54fb49p-3, 0x1.6893fc019614ep-3, 0x1.68a8e55008218p-3, 0x1.68a706146cb88p-3, 0x1.688eb3822ec22p-3, 0x1.686044632e887p-3, 0x1.681c10fef3d12p-3, 0x1.67c2730246e12p-3, 0x1.6753c5672ce63p-3, 0x1.66d0645d4decep-3, 0x1.6638ad32c546bp-3, 0x1.658cfe3d5b7cfp-3, 0x1.64cdb6c4337e2p-3, 0x1.63fb36e9dc128p-3, 0x1.6315df96dab31p-3, 0x1.621e1264a3729p-3, 0x1.61143188ffbbdp-3, 0x1.5ff89fc1ed915p-3, 0x1.5ecbc041ecc04p-3, 0x1.5d8df69cc2d33p-3, 0x1.5c3fa6b4b23fp-3, 0x1.5ae134a8276ep-3, 0x1.597304bfd7435p-3, 0x1.57f57b5d58c39p-3, 0x1.5668fcea2bcfap-3, 0x1.54cdedc73e89ap-3, 0x1.5324b23cdc471p-3, 0x1.516dae6b1c0eap-3, 0x1.4fa9463ab9842p-3, 0x1.4dd7dd4e6b9dfp-3, 0x1.4bf9d6f4a406p-3, 0x1.4a0f9619cb634p-3, 0x1.48197d3ae64ebp-3, 0x1.4617ee58b3abap-3, 0x1.440b4aeb356f1p-3, 0x1.41f3f3d5a9fd7p-3, 0x1.3fd2495afa85ap-3, 0x1.3da6ab128be06p-3, 0x1.3b7177dd862e6p-3, 0x1.39330ddc7fdc6p-3, 0x1.36ebca659a1f2p-3, 0x1.349c09fb00d4ap-3, 0x1.32442841d4d45p-3, 0x1.2fe47ff97a85bp-3, 0x1.2d7d6af35204ap-3, 0x1.2b0f420acba17p-3, 0x1.289a5d1de5eebp-3, 0x1.261f1306090bfp-3, 0x1.239db9913e4c9p-3, 0x1.2116a57bcd061p-3, 0x1.1e8a2a6a2aee8p-3, 0x1.1bf89ae34eff9p-3, 0x1.1962484b57079p-3, 0x1.16c782de85319p-3, 0x1.142899ac9baaep-3, 0x1.1185da947b22cp-3, 0x1.0edf924029151p-3, 0x1.0c360c2111e57p-3, 0x1.0989926ca9f97p-3, 0x1.06da6e1951adp-3, 0x1.0428e6db8bf52p-3, 0x1.0175432376fbdp-3, 0x1.fd7f90352d11ep-4, 0x1.f8117343b477fp-4, 0x1.f2a0b49fe25abp-4, 0x1.ed2dd6dfb2bffp-4, 0x1.e7b959ff6ce4dp-4, 0x1.e243bb5fc8409p-4, 0x1.dccd75c48e6fp-4, 0x1.d7570153af743p-4, 0x1.d1e0d394d82edp-4, 0x1.cc6b5f716b4eep-4, 0x1.c6f71534f733bp-4, 0x1.c184628dfe78fp-4, 0x1.bc13b28f46372p-4, 0x1.b6a56db16e27p-4, 0x1.b139f9d4fb1eap-4, 0x1.abd1ba44ad338p-4, 0x1.a66d0fb844b1dp-4, 0x1.a10c58578f346p-4, 0x1.9bafefbdc92d6p-4, 0x1.96582efd5aea7p-4, 0x1.91056ca3d4397p-4, 0x1.8bb7fcbe3fd59p-4, 0x1.867030ddb6b18p-4, 0x1.812e581c3a535p-4, 0x1.7bf2bf21d0cf6p-4, 0x1.76bdb029e017ap-4, 0x1.718f7308c3b34p-4, 0x1.6c684d319dec7p-4, 0x1.674881bc5df21p-4, 0x1.6230516bfaecap-4, 0x1.5d1ffab4de93cp-4, 0x1.5817b9c3815f5p-4, 0x1.5317c8832f891p-4, 0x1.4e205ea4fa09p-4, 0x1.4931b1a6cd651p-4, 0x1.444bf4daae26p-4, 0x1.3f6f596e176d5p-4, 0x1.3a9c0e7178aedp-4, 0x1.35d240dfd3417p-4, 0x1.31121ba671f98p-4, 0x1.2c5bc7acbacc3p-4, 0x1.27af6bdc17ac2p-4, 0x1.230d2d27f535ep-4, 0x1.1e752e95d4e3cp-4, 0x1.19e791456f441p-4, 0x1.15647478e7127p-4, 0x1.10ebf59d09dd4p-4, 0x1.0c7e30519bedp-4, 0x1.081b3e71ae602p-4, 0x1.03c3381bfde59p-4, 0x1.feec6776b04c5p-5, 0x1.f6688c1e0c37dp-5, 0x1.edfb046673da6p-5, 0x1.e5a3f352ff322p-5, 0x1.dd6378c2592a2p-5, 0x1.d539b17f9fe44p-5, 0x1.cd26b7533f626p-5, 0x1.c52aa113c633dp-5, 0x1.bd4582b6ad783p-5, 0x1.b5776d6118711p-5, 0x1.adc06f7882215p-5, 0x1.a62094b35c7ffp-5, 0x1.9e97e6299b427p-5, 0x1.97266a6527c8dp-5, 0x1.8fcc257242bd8p-5, 0x1.888918efc5b0fp-5, 0x1.815d441f4e308p-5, 0x1.7a48a3f54a9b3p-5, 0x1.734b3328e6f1fp-5, 0x1.6c64ea43da572p-5, 0x1.6595bfb2137cp-5, 0x1.5edda7d13d4afp-5, 0x1.583c95002550dp-5, 0x1.51b277adf40dbp-5, 0x1.4b3f3e69448dap-5, 0x1.44e2d5ef0d8fbp-5, 0x1.3e9d293965616p-5, 0x1.386e218e14d2p-5, 0x1.3255a68d04da7p-5, 0x1.2c539e3e78e67p-5, 0x1.2667ed211e313p-5, 0x1.20927637ec55fp-5, 0x1.1ad31b17d49f5p-5, 0x1.1529bbf541d5dp-5, 0x1.0f9637b165bf4p-5, 0x1.0a186be7582b9p-5, 0x1.04b034f8fe6b1p-5, 0x1.febadc378ac1ep-6, 0x1.f43fe2ca47fd1p-6, 0x1.e9ef2fadd7911p-6, 0x1.dfc872d6cecb3p-6, 0x1.d5cb5a427fa75p-6, 0x1.cbf7920e6169ap-6, 0x1.c24cc48f1113ep-6, 0x1.b8ca9a66dd0ap-6, 0x1.af70ba9bf5f0ep-6, 0x1.a63ecaae22feep-6, 0x1.9d346eac1ceecp-6, 0x1.945149486fe94p-6, 0x1.8b94fbedfd078p-6, 0x1.82ff26d409d5bp-6, 0x1.7a8f6911e6fc5p-6, 0x1.724560b23195p-6, 0x1.6a20aac5a333cp-6, 0x1.6220e3757be7ap-6, 0x1.5a45a61582adbp-6, 0x1.528e8d359dbe8p-6, 0x1.4afb32b2fe7dfp-6, 0x1.438b2fc8eb9a4p-6, 0x1.3c3e1d211ecdap-6, 0x1.351392e3beb2dp-6, 0x1.2e0b28c6f3f9ap-6, 0x1.2724761e150d7p-6, 0x1.205f11e871543p-6, 0x1.19ba92dfb9e9p-6, 0x1.13368f86039a1p-6, 0x1.0cd29e33687ecp-6, 0x1.068e55234d5e7p-6, 0x1.00694a81410f3p-6, 0x1.f4c628eb0382bp-7, 0x1.e8f692623e265p-7, 0x1.dd62fdf3939efp-7, 0x1.d20a986a743ddp-7, 0x1.c6ec8ee890a1fp-7, 0x1.bc080efb49134p-7, 0x1.b15c46b06fc1dp-7, 0x1.a6e864aa62228p-7, 0x1.9cab98336f8f8p-7, 0x1.92a511509e0f6p-7, 0x1.88d400d3c0985p-7, 0x1.7f37986cefb39p-7, 0x1.75cf0abb5edeep-7, 0x1.6c998b5d917dep-7, 0x1.63964f00ef59ap-7, 0x1.5ac48b70cafc4p-7, 0x1.522377a4c1f97p-7, 0x1.49b24bce934b9p-7, 0x1.417041675f19bp-7, 0x1.395c933c538f6p-7, 0x1.31767d7ad4256p-7, 0x1.29bd3dbc0ff49p-7, 0x1.2230131013bdep-7, 0x1.1ace3e0854b28p-7, 0x1.139700c1b99d9p-7, 0x1.0c899eee241f8p-7, 0x1.05a55ddd7bac1p-7, 0x1.fdd3090c7ddd8p-8, 0x1.f0aab71b369dfp-8, 0x1.e3d05a9e2188p-8, 0x1.d7428bc742432p-8, 0x1.caffe6511de1fp-8, 0x1.bf07098b5fd8cp-8, 0x1.b3569866a367p-8, 0x1.a7ed397f6eae4p-8, 0x1.9cc99728604fbp-8, 0x1.91ea5f7393c7cp-8, 0x1.874e443b44228p-8, 0x1.7cf3fb29b189ap-8, 0x1.72da3dc04a83p-8, 0x1.68ffc95e23dc1p-8, 0x1.5f635f45bfdp-8, 0x1.5603c4a22a53cp-8, 0x1.4cdfc28b6e2f5p-8, 0x1.43f6260a6a7eep-8, 0x1.3b45c01c08526p-8, 0x1.32cd65b3da478p-8, 0x1.2a8befbe26f46p-8, 0x1.22803b2162a48p-8, 0x1.1aa928bf1e526p-8, 0x1.13059d7470143p-8, 0x1.0b948219d8a6bp-8, 0x1.0454c382a77d6p-8, 0x1.fa8aa4f7d0144p-9, 0x1.ecca4795abf86p-9, 0x1.df666055bd4fcp-9, 0x1.d25ce89669df2p-9, 0x1.c5abe197f2bd7p-9, 0x1.b9515475f7105p-9, 0x1.ad4b52202f7ebp-9, 0x1.a197f3526acdcp-9, 0x1.9635588bd1d6ep-9, 0x1.8b21aa05799a2p-9, 0x1.805b17a84d8dbp-9, 0x1.75dfd902519b5p-9, 0x1.6bae2d3b4f7f4p-9, 0x1.61c45b08e5f69p-9, 0x1.5820b0a20bc15p-9, 0x1.4ec183b209d82p-9, 0x1.45a5314af1e74p-9, 0x1.3cca1dd797cfep-9, 0x1.342eb50d12b09p-9, 0x1.2bd169dbce77bp-9, 0x1.23b0b6602fae3p-9, 0x1.1bcb1bd2d54f6p-9, 0x1.141f2278742b3p-9, 0x1.0cab59915b96fp-9, 0x1.056e5748a24bcp-9, 0x1.fccd71460229ap-10, 0x1.ef2642dac89c2p-10, 0x1.e1e4785665078p-10, 0x1.d5057408a92acp-10, 0x1.c886a565f495p-10, 0x1.bc6588e2575adp-10, 0x1.b09fa7cc45541p-10, 0x1.a5329826e1c52p-10, 0x1.9a1bfc83f8d71p-10, 0x1.8f5983ddaa3f8p-10, 0x1.84e8e96fbd37p-10, 0x1.7ac7f490c4059p-10, 0x1.70f4788af65fdp-10, 0x1.676c5474dd9b5p-10, 0x1.5e2d7309d97a3p-10, 0x1.5535ca8275ad8p-10, 0x1.4c835c6cac336p-10, 0x1.44143584004dbp-10, 0x1.3be66d8993d6ap-10, 0x1.33f8271c2cd32p-10, 0x1.2c478f902c612p-10, 0x1.24d2dec79329fp-10, 0x1.1d985709f970cp-10, 0x1.169644dca1075p-10, 0x1.0fcafeda86223p-10, 0x1.0934e58c94342p-10, 0x1.02d26341ded75p-10, 0x1.f943d7d01a888p-11, 0x1.ed43f9c7aa6a1p-11, 0x1.e1a239d34858p-11, 0x1.d65bb7acde779p-11, 0x1.cb6da511605e5p-11, 0x1.c0d54573271bap-11, 0x1.b68fedacb584dp-11, 0x1.ac9b03b3ecdecp-11, 0x1.a2f3fe4db74bep-11, 0x1.999864c22e141p-11, 0x1.9085ce91424d1p-11, 0x1.87b9e327ef8cap-11, 0x1.7f325995f8695p-11, 0x1.76ecf84438475p-11, 0x1.6ee794ab8cb09p-11, 0x1.6720130c58ec9p-11, 0x1.5f946626abb9bp-11, 0x1.58428ef30a149p-11, 0x1.51289c5be0dbbp-11, 0x1.4a44aaf7a4bc8p-11, 0x1.4394e4c3a1183p-11, 0x1.3d1780df7ad31p-11, 0x1.36cac34967f62p-11, 0x1.30acfc9b2189ep-11, 0x1.2abc89c791776p-11, 0x1.24f7d3d93d904p-11, 0x1.1f5d4fb17477dp-11, 0x1.19eb7dc83b4d9p-11, 0x1.14a0e9ed010c3p-11, 0x1.0f7c2b0818bf1p-11, 0x1.0a7be2dcfa192p-11, 0x1.059ebdcd4b953p-11, 0x1.00e3729cb826bp-11, 0x1.f891846b1d59bp-12, 0x1.ef9aeedc5f537p-12, 0x1.e6e0cd9e8df9ep-12, 0x1.de60dcb5a7c3ap-12, 0x1.d618eaa7ff496p-12, 0x1.ce06d80f86929p-12, 0x1.c628972cb6759p-12, 0x1.be7c2b7b1701p-12, 0x1.b6ffa947646c4p-12, 0x1.afb13547549ddp-12, 0x1.a88f0432f851ep-12, 0x1.a1975a5fb93c7p-12, 0x1.9ac88b5cf7666p-12, 0x1.9420f9923febap-12, 0x1.8d9f15df1ca5ep-12, 0x1.87415f3c7f057p-12, 0x1.8106625fc20a9p-12, 0x1.7aecb95f3eddp-12, 0x1.74f30b58779e1p-12, 0x1.6f180c17d298bp-12, 0x1.695a7bc1e55d7p-12, 0x1.63b9267e4b48ap-12, 0x1.5e32e424068cap-12, 0x1.58c697e76b4cbp-12, 0x1.537330098e07p-12, 0x1.4e37a58931406p-12, 0x1.4912fbd538bfep-12, 0x1.4404408092966p-12, 0x1.3f0a8af79cb4bp-12, 0x1.3a24fc36fef3bp-12, 0x1.3552be83f74f1p-12, 0x1.30930526135dap-12, 0x1.2be50c2259481p-12, 0x1.274817f7d3a27p-12, 0x1.22bb755d834dfp-12, 0x1.1e3e7901b1fd9p-12, 0x1.19d07f4a9f80ap-12, 0x1.1570ec1889d54p-12, 0x1.111f2a89068bcp-12, 0x1.0cdaacbbb116dp-12, }}, 
      {{0x1.ffe1d845a15aep-1, 0x1.ff876cc3fb4b7p-1, 0x1.fef0e06aaf658p-1, 0x1.fe1e6d22b766cp-1, 0x1.fd10635952f27p-1, 0x1.fbc729641b562p-1, 0x1.fa433ac4551cdp-1, 0x1.f885274f9d5cdp-1, 0x1.f68d9243c37d7p-1, 0x1.f45d314b125b5p-1, 0x1.f1f4cb75a8873p-1, 0x1.ef55382bf114ep-1, 0x1.ec7f5e1dac5d7p-1, 0x1.e97432307f967p-1, 0x1.e634b670810c6p-1, 0x1.e2c1f904d0c28p-1, 0x1.df1d1329ec7bcp-1, 0x1.db47283314055p-1, 0x1.d7416493cea8cp-1, 0x1.d30cfcf25a8bbp-1, 0x1.ceab2d43940b1p-1, 0x1.ca1d37f0b9201p-1, 0x1.c564650738878p-1, 0x1.c0820172a1ffap-1, 0x1.bb775e40aaa2dp-1, 0x1.b645cfef2544ap-1, 0x1.b0eeadc3b9295p-1, 0x1.ab73512d151e3p-1, 0x1.a5d5152d52a6p-1, 0x1.a01555cd34ffp-1, 0x1.9a356f97e8c18p-1, 0x1.9436bf1ee943fp-1, 0x1.8e1aa085abac3p-1, 0x1.87e26f14b03e3p-1, 0x1.818f84d39d534p-1, 0x1.7b233a2a05dbdp-1, 0x1.749ee5867e2f8p-1, 0x1.6e03db0ba9d75p-1, 0x1.67536c42eb771p-1, 0x1.608ee7d4630cdp-1, 0x1.59b79943ec051p-1, 0x1.52cec8b2d141p-1, 0x1.4bd5baa5ed9bap-1, 0x1.44cdafcff4c2cp-1, 0x1.3db7e4dfa7b2ap-1, 0x1.36959251b2dbp-1, 0x1.2f67ec4605fe3p-1, 0x1.2830225868368p-1, 0x1.20ef5f7c20fedp-1, 0x1.19a6c9da80247p-1, 0x1.125782b423a71p-1, 0x1.0b02a644cdc87p-1, 0x1.03a94ba9aeb69p-1, 0x1.f8990993f94adp-2, 0x1.e9dabc8380ccdp-2, 0x1.db19be9d72eb8p-2, 0x1.cc58137e85bp-2, 0x1.bd97b3c6404ccp-2, 0x1.aeda8cfc4112ep-2, 0x1.a0228179057cep-2, 0x1.9171685216652p-2, 0x1.82c90d496ff35p-2, 0x1.742b30c012c78p-2, 0x1.659987ab97ae4p-2, 0x1.5715bb8eb2149p-2, 0x1.48a16a7485856p-2, 0x1.3a3e26eeb6e1dp-2, 0x1.2bed78162123cp-2, 0x1.1db0d98e181d6p-2, 0x1.0f89bb8a248bp-2, 0x1.017982d61ff36p-2, 0x1.e70311c13bbe9p-3, 0x1.cb46378f1b775p-3, 0x1.afbefccdfa6cap-3, 0x1.946fd0d3cdb35p-3, 0x1.795b0cb9f5bf6p-3, 0x1.5e82f38692551p-3, 0x1.43e9b2596b06dp-3, 0x1.2991609c53a0ap-3, 0x1.0f7c0036c6207p-3, 0x1.eb56fb894d9cdp-4, 0x1.b843619fd4a46p-4, 0x1.85c0b81a0f65fp-4, 0x1.53d25b341026p-4, 0x1.227b7e8001bf2p-4, 0x1.e37e5adb6bf47p-5, 0x1.834097ace146ep-5, 0x1.24432d194060dp-5, 0x1.8d168fbcd49ffp-6, 0x1.a87724026ad6cp-7, 0x1.dfe8dfb8e8832p-10, -0x1.2b2fc3e60f8e2p-7, -0x1.467fb388c216p-6, -0x1.f4b16a1eda9e4p-6, -0x1.50130a0eccbf1p-5, -0x1.a46ba434d8aa5p-5, -0x1.f75f91e5f53a2p-5, -0x1.247611950286dp-4, -0x1.4c87742df8a77p-4, -0x1.73e2d86bd7069p-4, -0x1.9a8744d397215p-4, -0x1.c073de174eb08p-4, -0x1.e5a7e66c24ac8p-4, -0x1.05115e702545p-3, -0x1.16f1ee588f23ap-3, -0x1.28756e50d3e34p-3, -0x1.399bb728c4414p-3, -0x1.4a64aeca468ep-3, -0x1.5ad047e581163p-3, -0x1.6ade819d6fdcbp-3, -0x1.7a8f6734f3b6fp-3, -0x1.89e30fbc7610cp-3, -0x1.98d99dc0188bbp-3, -0x1.a7733ef689fc9p-3, -0x1.b5b02bf086eebp-3, -0x1.c390a7c90f5a4p-3, -0x1.d114ffd65c1c7p-3, -0x1.de3d8b5b96d36p-3, -0x1.eb0aab3b61518p-3, -0x1.f77cc9ab2e691p-3, -0x1.01ca2cf3bc30dp-2, -0x1.07a8ebf468c8cp-2, -0x1.0d5ae40ceb838p-2, -0x1.12e05b870afb8p-2, -0x1.18399c9ce4568p-2, -0x1.1d66f5554c5c8p-2, -0x1.2268b7609da17p-2, -0x1.273f37f60bf14p-2, -0x1.2beacfb16771ep-2, -0x1.306bda716497dp-2, -0x1.34c2b7365b49dp-2, -0x1.38efc801843eep-2, -0x1.3cf371b4b5053p-2, -0x1.40ce1bf2979f8p-2, -0x1.448030ff628e8p-2, -0x1.480a1da20dc1ep-2, -0x1.4b6c510604e19p-2, -0x1.4ea73c9d5ae42p-2, -0x1.51bb5403793b4p-2, -0x1.54a90ce04e8b7p-2, -0x1.5770decbf8f9p-2, -0x1.5a134332f2337p-2, -0x1.5c90b53ab5c5p-2, -0x1.5ee9b1a6e59b2p-2, -0x1.611eb6beec581p-2, -0x1.6330443418965p-2, -0x1.651edb0839ea7p-2, -0x1.66eafd74b514cp-2, -0x1.68952ed213c88p-2, -0x1.6a1df380123c3p-2, -0x1.6b85d0ce2378dp-2, -0x1.6ccd4ce472911p-2, -0x1.6df4eead5a26cp-2, -0x1.6efd3dbf5715cp-2, -0x1.6fe6c24772bf9p-2, -0x1.70b204f423a52p-2, -0x1.715f8ee0a845p-2, -0x1.71efe980d4c38p-2, -0x1.72639e8d59145p-2, -0x1.72bb37f07c214p-2, -0x1.72f73fb34b0c8p-2, -0x1.73183feb3badep-2, -0x1.731ec2a846b02p-2, -0x1.730b51e36ddfbp-2, -0x1.72de776dba8a1p-2, -0x1.7298bcdfaa421p-2, -0x1.723aab890d1b4p-2, -0x1.71c4cc61524a9p-2, -0x1.7137a7f848008p-2, -0x1.7093c66744612p-2, -0x1.6fd9af42c0d4ep-2, -0x1.6f09e98c5ee77p-2, -0x1.6e24fba55a388p-2, -0x1.6d2b6b41670e9p-2, -0x1.6c1dbd59f7d3dp-2, -0x1.6afc7621ef346p-2, -0x1.69c818f9b997ap-2, -0x1.68812863cc318p-2, -0x1.672825f98da1ap-2, -0x1.65bd9260a2684p-2, -0x1.6441ed409da18p-2, -0x1.62b5b53917599p-2, -0x1.611967d821df5p-2, -0x1.5f6d8191235e8p-2, -0x1.5db27db40e084p-2, -0x1.5be8d664f9de4p-2, -0x1.5a1104941836fp-2, -0x1.582b7ff609c5bp-2, -0x1.5638befc89843p-2, -0x1.543936cf785eep-2, -0x1.522d5b463ea31p-2, -0x1.50159ee186453p-2, -0x1.4df272c54c3bcp-2, -0x1.4bc446b345da4p-2, -0x1.498b89059c60dp-2, -0x1.4748a6a9fac93p-2, -0x1.44fc0b1ceb2f5p-2, -0x1.42a6206587c96p-2, -0x1.40474f117866cp-2, -0x1.3ddffe313b949p-2, -0x1.3b709354c18ffp-2, -0x1.38f972884cb54p-2, -0x1.367afe519b62p-2, -0x1.33f597ad5e5dap-2, -0x1.31699e0cef075p-2, -0x1.2ed76f5450b97p-2, -0x1.2c3f67d871108p-2, -0x1.29a1e25dac5e6p-2, -0x1.26ff381693342p-2, -0x1.2457c0a2ed0e6p-2, -0x1.21abd20efb379p-2, -0x1.1efbc0d2f5479p-2, -0x1.1c47dfd2c3a65p-2, -0x1.1990805def464p-2, -0x1.16d5f22fcd2e8p-2, -0x1.1418836fdd09cp-2, -0x1.115880b260716p-2, -0x1.0e9634f91ff57p-2, -0x1.0bd1e9b469c2dp-2, -0x1.090be6c438be6p-2, -0x1.06447279929b4p-2, -0x1.037bd1980b524p-2, -0x1.00b247577c7f6p-2, -0x1.fbd02acbc6e68p-3, -0x1.f63af7d2d1372p-3, -0x1.f0a573052168ap-3, -0x1.eb10169d24118p-3, -0x1.e57b59d3a7da7p-3, -0x1.dfe7b0e516805p-3, -0x1.da558d16fb3d1p-3, -0x1.d4c55cbdcdcd8p-3, -0x1.cf378b42f6a37p-3, -0x1.c9ac812b0fc8fp-3, -0x1.c424a41c6b419p-3, -0x1.bea056e5c1e1p-3, -0x1.b91ff9852258bp-3, -0x1.b3a3e92f0fc44p-3, -0x1.ae2c8055cfb69p-3, -0x1.a8ba16b0e6e4dp-3, -0x1.a34d0144c47p-3, -0x1.9de5926a905e4p-3, -0x1.988419d8260e5p-3, -0x1.9328e4a82e564p-3, -0x1.8dd43d62667dep-3, -0x1.88866c03f70ebp-3, -0x1.833fb607f860ep-3, -0x1.7e005e700b63dp-3, -0x1.78c8a5cd0863bp-3, -0x1.7398ca47d1dfep-3, -0x1.6e7107aa302ccp-3, -0x1.69519767c93b9p-3, -0x1.643ab0a728378p-3, -0x1.5f2c884ad2543p-3, -0x1.5a2750fa6ef65p-3, -0x1.552b3b2bf6e61p-3, -0x1.5038752cf3561p-3, -0x1.4b4f2b2bc3132p-3, -0x1.466f8740e6bd6p-3, -0x1.4199b17855ccep-3, -0x1.3ccdcfdad396bp-3, -0x1.380c067749987p-3, -0x1.3354776c24684p-3, -0x1.2ea742f0ab5cbp-3, -0x1.2a04875e5d7c6p-3, -0x1.256c613a44c08p-3, -0x1.20deeb3e4a386p-3, -0x1.1c5c3e6282429p-3, -0x1.17e471e670db4p-3, -0x1.13779b5a48a38p-3, -0x1.0f15cea81f5a7p-3, -0x1.0abf1e1d18a9ap-3, -0x1.06739a7283bf6p-3, -0x1.023352d6f0fe9p-3, -0x1.fbfca9ee66e73p-4, -0x1.f3a95a0eba039p-4, -0x1.eb6ccb97421e1p-4, -0x1.e347114265925p-4, -0x1.db383b0e0cc95p-4, -0x1.d340564d115c7p-4, -0x1.cb5f6db88bcbcp-4, -0x1.c3958980e5646p-4, -0x1.bbe2af5ed88fp-4, -0x1.b446e2a43fdc2p-4, -0x1.acc2244cb7538p-4, -0x1.a554730e138a5p-4, -0x1.9dfdcb68b58abp-4, -0x1.96be27b79e2a7p-4, -0x1.8f958040661ep-4, -0x1.8883cb42f9e03p-4, -0x1.8188fd0929187p-4, -0x1.7aa507f604becp-4, -0x1.73d7dc9509b45p-4, -0x1.6d2169a91a738p-4, -0x1.66819c3b4237bp-4, -0x1.5ff85fa9470f1p-4, -0x1.59859db404dcap-4, -0x1.53293e8d93c0dp-4, -0x1.4ce328e7398d3p-4, -0x1.46b341ff23fc2p-4, -0x1.40996dadecb85p-4, -0x1.3a958e73e6dcp-4, -0x1.34a7858635321p-4, -0x1.2ecf32dba8e08p-4, -0x1.290c7539692f3p-4, -0x1.235f2a3f627c2p-4, -0x1.1dc72e747f00bp-4, -0x1.18445d52a5e3p-4, -0x1.12d6915284cc8p-4, -0x1.0d7da3f71eeb2p-4, -0x1.08396dd9264bp-4, -0x1.0309c6b21bd63p-4, -0x1.fbdd0ace72a4ap-5, -0x1.f1cf002844bcep-5, -0x1.e7e9182abd1c8p-5, -0x1.de2afc253a50dp-5, -0x1.d4945411807f6p-5, -0x1.cb24c6a765b0cp-5, -0x1.c1dbf9700ffa3p-5, -0x1.b8b990d8c6957p-5, -0x1.afbd3045574e3p-5, -0x1.a6e67a2214d8fp-5, -0x1.9e350ff563ddep-5, -0x1.95a89270e634ap-5, -0x1.8d40a18238b2fp-5, -0x1.84fcdc634a3edp-5, -0x1.7cdce1aa4e3f8p-5, -0x1.74e04f5945819p-5, -0x1.6d06c2ed25febp-5, -0x1.654fd96c9b341p-5, -0x1.5dbb2f7666c61p-5, -0x1.5648614f5cdc4p-5, -0x1.4ef70af000cacp-5, -0x1.47c6c811c2bbcp-5, -0x1.40b7343bdb891p-5, -0x1.39c7eacfd0f9ap-5, -0x1.32f8871597214p-5, -0x1.2c48a4475b8bfp-5, -0x1.25b7dd9cf4953p-5, -0x1.1f45ce56f7069p-5, -0x1.18f211c977f9p-5, -0x1.12bc43667395ep-5, -0x1.0ca3fec7e2912p-5, -0x1.06a8dfb979c9ep-5, -0x1.00ca82421a0cap-5, -0x1.f6110559d614fp-6, -0x1.eac4fb2452843p-6, -0x1.dfb01fbf4ae5dp-6, -0x1.d4d1adc1e7afap-6, -0x1.ca28e08ea6824p-6, -0x1.bfb4f4628cd97p-6, -0x1.b5752663cbe29p-6, -0x1.ab68b4afd1f5dp-6, -0x1.a18ede68d0068p-6, -0x1.97e6e3c2b30a5p-6, -0x1.8e70060f94dd6p-6, -0x1.852987cbac5f7p-6, -0x1.7c12aca8b0203p-6, -0x1.732ab998c387cp-6, -0x1.6a70f4d8dfb3bp-6, -0x1.61e4a5fac4001p-6, -0x1.598515ee694ep-6, -0x1.51518f0b0838cp-6, -0x1.49495d179fec2p-6, -0x1.416bcd5314d6p-6, -0x1.39b82e7bdca3fp-6, -0x1.322dd0d73fff8p-6, -0x1.2acc063831547p-6, -0x1.23922205bc25dp-6, -0x1.1c7f7941112aap-6, -0x1.1593628b2e7e3p-6, -0x1.0ecd362a28d11p-6, -0x1.082c4e0e159a9p-6, -0x1.01b005d59bebbp-6, -0x1.f6af75a45930cp-7, -0x1.ea459817bdcb5p-7, -0x1.de21348a0108bp-7, -0x1.d2410ffa96f24p-7, -0x1.c6a3f2e9a5abcp-7, -0x1.bb48a95d3a3bdp-7, -0x1.b02e02e5e98e6p-7, -0x1.a552d2a2df198p-7, -0x1.9ab5ef455a8bfp-7, -0x1.90563313a6609p-7, -0x1.86327beb81b49p-7, -0x1.7c49ab44127dap-7, -0x1.729aa62f4b02dp-7, -0x1.6924555ae0274p-7, -0x1.5fe5a510c6ab8p-7, -0x1.56dd853738cefp-7, -0x1.4e0ae95052633p-7, -0x1.456cc8793b4c4p-7, -0x1.3d021d68f1e19p-7, -0x1.34c9e66eab0cap-7, -0x1.2cc3256fd3206p-7, -0x1.24ecdfe5b1cddp-7, -0x1.1d461edab3e1bp-7, -0x1.15cdeee75d78dp-7, -0x1.0e83602eea932p-7, -0x1.0765865b9cc23p-7, -0x1.0073789abdf83p-7, -0x1.f358a330b0a7bp-8, -0x1.e61e5ef54bb9ep-8, -0x1.d93667ba7c806p-8, -0x1.cc9f079801b14p-8, -0x1.c0568f7b8421bp-8, -0x1.b45b571d78c79p-8, -0x1.a8abbcf58fe3dp-8, -0x1.9d46262eb8ee6p-8, -0x1.9228fe9abdcd5p-8, -0x1.8752b8a57cef8p-8, -0x1.7cc1cd47c3b4p-8, -0x1.7274bbf9d2afep-8, -0x1.686a0aa58ab22p-8, -0x1.5ea045984e9fep-8, -0x1.5515ff7495f11p-8, -0x1.4bc9d1233c2e8p-8, -0x1.42ba59c48b7acp-8, -0x1.39e63ea10addep-8, -0x1.314c2b1a124ep-8, -0x1.28ead09a266b7p-8, -0x1.20c0e68525cc9p-8, -0x1.18cd2a28442e1p-8, -0x1.110e5ea9dd1bep-8, -0x1.09834cf91dc98p-8, -0x1.022ac3bd8c031p-8, -0x1.f6072e8cda0f7p-9, -0x1.e81942f419bcp-9, -0x1.da898389db75cp-9, -0x1.cd55ba11c0a8bp-9, -0x1.c07bbb180d9efp-9, -0x1.b3f965cf8c75ep-9, -0x1.a7cca3ef598eap-9, -0x1.9bf369908f58p-9, -0x1.906bb50be765dp-9, -0x1.85338ed74b357p-9, -0x1.7a4909635d104p-9, -0x1.6faa40f8fcfdap-9, -0x1.65555b96d1a58p-9, -0x1.5b4888ced1332p-9, -0x1.518201a3da8aep-9, -0x1.4800086758a2bp-9, -0x1.3ec0e896f62dp-9, -0x1.35c2f6ba6c4a1p-9, -0x1.2d049041669d1p-9, -0x1.24841b6182f74p-9, -0x1.1c4006f4774a7p-9, -0x1.1436ca5654e22p-9, -0x1.0c66e543f5d4dp-9, -0x1.04cedfb992fd9p-9, -0x1.fada93a30bbdap-10, -0x1.ec8177467c9f9p-10, -0x1.de8faa44c284p-10, -0x1.d1027bfc4ae7ap-10, -0x1.c3d74b01c2396p-10, -0x1.b70b84dfa7acp-10, -0x1.aa9ca5d6507e5p-10, -0x1.9e88389c6cbdfp-10, -0x1.92cbd6200b44p-10, -0x1.87652548198b6p-10, -0x1.7c51dab66bc2ap-10, -0x1.718fb88a561bbp-10, -0x1.671c8e23c555dp-10, -0x1.5cf637e6ee25ep-10, -0x1.531a9f00925dep-10, -0x1.4987b92ace5p-10, -0x1.403b887289732p-10, -0x1.37341afd7cc61p-10, -0x1.2e6f8ad0cef17p-10, -0x1.25ebfd98570b6p-10, -0x1.1da7a46e72d9ep-10, -0x1.15a0bba48cb8bp-10, -0x1.0dd58a8c361dcp-10, -0x1.06446340eb004p-10, -0x1.fdd744e4fbd0fp-11, -0x1.ef935e603f6c3p-11, -0x1.e1b9f56833b5ap-11, -0x1.d44800604f1ep-11, -0x1.c73a8934f6cdbp-11, -0x1.ba8eacf6d9194p-11, -0x1.ae419b779aa1dp-11, -0x1.a25096e7d7b4fp-11, -0x1.96b8f37679782p-11, -0x1.8b7816f15f53bp-11, -0x1.808b78675c29bp-11, -0x1.75f09fcb89256p-11, -0x1.6ba52599ec1dfp-11, -0x1.61a6b27d71fdbp-11, -0x1.57f2fef73b627p-11, -0x1.4e87d3073df03p-11, -0x1.456305d6347b4p-11, -0x1.3c827d60e1a51p-11, -0x1.33e42e24a1fcbp-11, -0x1.2b861acd4a0abp-11, -0x1.236653e453a72p-11, -0x1.1b82f7815413ap-11, -0x1.13da30fbbdc53p-11, -0x1.0c6a389de6aaep-11, -0x1.0531535956c41p-11, -0x1.fc5ba4f8b0fd6p-12, -0x1.eebc26d19870ap-12, -0x1.e180fe9871981p-12, -0x1.d4a715b235117p-12, -0x1.c82b6c02d88ddp-12, -0x1.bc0b1764d0bdbp-12, -0x1.b0434322feeeep-12, -0x1.a4d12f7501cep-12, -0x1.99b230fdea31cp-12, -0x1.8ee3b04d47543p-12, -0x1.8463296289935p-12, -0x1.7a2e2b32b39d6p-12, -0x1.7042573056e2dp-12, -0x1.669d60d5d009ep-12, -0x1.5d3d0d31c5331p-12, -0x1.541f3275d5d63p-12, -0x1.4b41b7878287p-12, -0x1.42a293933776dp-12, -0x1.3a3fcda183279p-12, -0x1.32177c2e64992p-12, -0x1.2a27c4c2b418bp-12, -0x1.226edb8f9cc86p-12, -0x1.1aeb030c1e51cp-12, -0x1.139a8b9495dbep-12, -0x1.0c7bd30c40c3p-12, -0x1.058d4480b65cap-12, -0x1.fd9aaf9ea4118p-13, -0x1.f07522990d98dp-13, -0x1.e3a702da26ebfp-13, -0x1.d72d88e224aadp-13, -0x1.cb060421bf29cp-13, -0x1.bf2dda5797ac6p-13, -0x1.b3a286f12b59ep-13, -0x1.a8619a6f491d2p-13, -0x1.9d68b9cdfc063p-13, -0x1.92b59defd829ep-13, -0x1.8846130ca3b19p-13, -0x1.7e17f823484a3p-13, -0x1.74293e6f03099p-13, -0x1.6a77e8dfc9c8dp-13, -0x1.61020b95cbd52p-13, -0x1.57c5cb600edc4p-13, -0x1.4ec15d3e135eep-13, -0x1.45f305e477a58p-13, -0x1.3d59194482b4ap-13, -0x1.34f1fa169bbffp-13, -0x1.2cbc1967914acp-13, -0x1.24b5f628a9a71p-13, -0x1.1cde1cc2711dbp-13, -0x1.153326aa37565p-13, -0x1.0db3b9fa32fd8p-13, -0x1.065e890c38be9p-13, -0x1.fe64a42dfcb83p-14, -0x1.f05bbd9bbe321p-14, -0x1.e2a0080622755p-14, -0x1.d52f42988912bp-14, -0x1.c807415331644p-14, -0x1.bb25ec5dd378fp-14, -0x1.ae893f5eaf1c7p-14, -0x1.a22f48d62895dp-14, -0x1.9616297ea1af4p-14, -0x1.8a3c13b0b16fap-14, -0x1.7e9f4acb7d73fp-14, -0x1.733e22a132bf9p-14, -0x1.6816fee780a67p-14, -0x1.5d2852ac039e6p-14, -0x1.52709fcc8ab72p-14, -0x1.47ee7673221a2p-14, -0x1.3da07495cec17p-14, -0x1.33854579e794dp-14, -0x1.299ba13af7928p-14, -0x1.1fe24c5515eap-14, -0x1.16581732a00bp-14, -0x1.0cfbddbd43762p-14, -0x1.03cc86f2437eep-14, -0x1.f59208f3d41f7p-15, -0x1.e3e0a4841f9a2p-15, -0x1.d282ec3753e1cp-15, -0x1.c176feb699252p-15, -0x1.b0bb0cf921353p-15, -0x1.a04d599094379p-15, -0x1.902c37fb00983p-15, -0x1.80560bfa2d711p-15, -0x1.70c948f0287f5p-15, -0x1.61847140f839cp-15, -0x1.528615b94c913p-15, -0x1.43ccd4fa10ce9p-15, -0x1.35575ae8c0a8ap-15, -0x1.2724602463611p-15, -0x1.1932a97f0aafcp-15, -0x1.0b81077bc14e5p-15, -0x1.fc1caba187597p-16, -0x1.e1b2f5dbd77cdp-16, -0x1.c7c2cf0e69b84p-16, -0x1.ae4a2c4672329p-16, -0x1.9547155b25978p-16, -0x1.7cb7a41a074bep-16, -0x1.649a037a93f07p-16, -0x1.4cec6ed9195c1p-16, -0x1.35ad31388492cp-16, -0x1.1edaa48afbeccp-16, -0x1.087331010f63ep-16, }}, 
      {{0x1.fff5f2a0a0b14p-1, 0x1.ffd7ccd8a3d66p-1, 0x1.ffa595a6e0e1dp-1, 0x1.ff5f58a86a2f3p-1, 0x1.ff052607949f6p-1, 0x1.fe9712652145ep-1, 0x1.fe1536bc4bfc6p-1, 0x1.fd7fb0427d147p-1, 0x1.fcd6a04363d82p-1, 0x1.fc1a2bfa2a6dcp-1, 0x1.fb4a7c686ab13p-1, 0x1.fa67be2b73614p-1, 0x1.f97221506631fp-1, 0x1.f869d92799692p-1, 0x1.f74f1c17a7ae1p-1, 0x1.f62223707fd8cp-1, 0x1.f4e32b3ebf4d1p-1, 0x1.f392721f96375p-1, 0x1.f2303915683d1p-1, 0x1.f0bcc35d559e3p-1, 0x1.ef385645cf4bep-1, 0x1.eda3390652c47p-1, 0x1.ebfdb498610ddp-1, 0x1.ea481391c14dp-1, 0x1.e882a20018df6p-1, 0x1.e6adad45e2dbep-1, 0x1.e4c983f8c3767p-1, 0x1.e2d675c13f694p-1, 0x1.e0d4d33bcc9cfp-1, 0x1.dec4eddb3eb3cp-1, 0x1.dca717cc8559bp-1, 0x1.da7ba3dbb3fe5p-1, 0x1.d842e55a501d4p-1, 0x1.d5fd3006d444p-1, 0x1.d3aad7f566145p-1, 0x1.d14c3179b0be9p-1, 0x1.cee19111d814ap-1, 0x1.cc6b4b527eb5ap-1, 0x1.c9e9b4d3ce9c9p-1, 0x1.c75d221f7de93p-1, 0x1.c4c5e79fc2e9ap-1, 0x1.c224598f2e292p-1, 0x1.bf78cbe95df9dp-1, 0x1.bcc3925c86a45p-1, 0x1.ba05003bbebe2p-1, 0x1.b73d68720d03fp-1, 0x1.b46d1d762933cp-1, 0x1.b194713eec627p-1, 0x1.aeb3b53863d3bp-1, 0x1.abcb3a398225ep-1, 0x1.a8db507a65257p-1, 0x1.a5e4478b2a58p-1, 0x1.a2e66e4b4ba5ep-1, 0x1.9fe212e17bff2p-1, 0x1.9cd782b401c9ap-1, 0x1.99c70a6184191p-1, 0x1.96b0f5ba4ab0bp-1, 0x1.93958fb9e9c5fp-1, 0x1.9075228151d12p-1, 0x1.8d4ff75145d78p-1, 0x1.8a2656852cf7fp-1, 0x1.86f8878e40c4p-1, 0x1.83c6d0ef115bep-1, 0x1.809178375dfc3p-1, 0x1.7d58c2003e07p-1, 0x1.7a1cf1e8973cdp-1, 0x1.76de4a91def23p-1, 0x1.739d0d9d23d68p-1, 0x1.70597ba85d705p-1, 0x1.6d13d44bfd21bp-1, 0x1.69cc5618c31fap-1, 0x1.66833e95d01afp-1, 0x1.6338ca3ef39a5p-1, 0x1.5fed34833776fp-1, 0x1.5ca0b7c3a138dp-1, 0x1.59538d522bf73p-1, 0x1.5605ed70f8191p-1, 0x1.52b80f51ada9fp-1, 0x1.4f6a291510288p-1, 0x1.4c1c6fcac2b66p-1, 0x1.48cf17713c001p-1, 0x1.458252f5e45d2p-1, 0x1.4236543561e67p-1, 0x1.3eeb4bfc0c91ep-1, 0x1.3ba16a068ac44p-1, 0x1.3858dd029578ap-1, 0x1.3511d28fe03f9p-1, 0x1.31cc774125162p-1, 0x1.2e88f69d544dep-1, 0x1.2b477b20e2cd2p-1, 0x1.28082e3f39135p-1, 0x1.24cb386440961p-1, 0x1.2190c0f60bf23p-1, 0x1.1e58ee569d04fp-1, 0x1.1b23e5e5c3358p-1, 0x1.17f1cc03125fdp-1, 0x1.14c2c40ff2987p-1, 0x1.1196f071c464p-1, 0x1.0e6e72941b5cap-1, 0x1.0b496aeb0b88bp-1, 0x1.0827f8f5899acp-1, 0x1.050a3b3fdd71dp-1, 0x1.01f04f66238e1p-1, 0x1.fdb4a42dbe06cp-2, 0x1.f790be2b30ca7p-2, 0x1.f175227b17becp-2, 0x1.eb620508c1854p-2, 0x1.e55797f9df2b5p-2, 0x1.df560bb41f3e9p-2, 0x1.d95d8ee2dee01p-2, 0x1.d36e4e7ceb8d2p-2, 0x1.cd8875ca536bep-2, 0x1.c7ac2e6a45dd8p-2, 0x1.c1d9a058fd4d5p-2, 0x1.bc10f1f5b5c03p-2, 0x1.b6524808ae63ap-2, 0x1.b09dc5c92ea0ap-2, 0x1.aaf38ce3970f4p-2, 0x1.a553bd7f757dfp-2, 0x1.9fbe76459c0cfp-2, 0x1.9a33d4663fc4p-2, 0x1.94b3f39f1413bp-2, 0x1.8f3eee416c0e7p-2, 0x1.89d4dd38588dap-2, 0x1.8475d80ec818dp-2, 0x1.7f21f4f5a186p-2, 0x1.79d948c9dfeb9p-2, 0x1.749be71aaa2cap-2, 0x1.6f69e22f63ebep-2, 0x1.6a434b0dbc4c4p-2, 0x1.6528317fb76a1p-2, 0x1.6018a419ae27p-2, 0x1.5b14b0404c349p-2, 0x1.561c622e823d6p-2, 0x1.512fc4fb73a9cp-2, 0x1.4c4ee2a05731cp-2, 0x1.4779c3fe55ad5p-2, 0x1.42b070e457bd4p-2, 0x1.3df2f014cf7edp-2, 0x1.3941474b749d5p-2, 0x1.349b7b42f6458p-2, 0x1.30018fbaa52f6p-2, 0x1.2b73877c0c0f4p-2, 0x1.26f1646084124p-2, 0x1.227b2756b600dp-2, 0x1.1e10d06814c7dp-2, 0x1.19b25ebe482d1p-2, 0x1.155fd0a88c143p-2, 0x1.111923a103e38p-2, 0x1.0cde5451fcc1fp-2, 0x1.08af5e9b27097p-2, 0x1.048c3d96c0c4dp-2, 0x1.0074eb9eaf778p-2, 0x1.f8d2c4a32151ep-3, 0x1.f0d3352f71b04p-3, 0x1.e8eb19504c3dfp-3, 0x1.e11a601ac5fffp-3, 0x1.d960f754b9c7dp-3, 0x1.d1becb7e54a26p-3, 0x1.ca33c7db829ccp-3, 0x1.c2bfd67d482eep-3, 0x1.bb62e04aefab4p-3, 0x1.b41ccd0b25f87p-3, 0x1.aced836cf2589p-3, 0x1.a5d4e9108da59p-3, 0x1.9ed2e29025522p-3, 0x1.97e7538876d57p-3, 0x1.91121ea150b3cp-3, 0x1.8a532595f4bd8p-3, 0x1.83aa493d5aa4p-3, 0x1.7d17699257498p-3, 0x1.769a65bba1c34p-3, 0x1.70331c13bc35fp-3, 0x1.69e16a30bc262p-3, 0x1.63a52cebf7849p-3, 0x1.5d7e4069912e7p-3, 0x1.576c801fe4012p-3, 0x1.516fc6ded62dbp-3, 0x1.4b87eed7087c5p-3, 0x1.45b4d1a0e96ap-3, 0x1.3ff64843aa5ep-3, 0x1.3a4c2b3c13723p-3, 0x1.34b65283405d5p-3, 0x1.2f34959534055p-3, 0x1.29c6cb775b5b8p-3, 0x1.246ccabee51eap-3, 0x1.1f26699707249p-3, 0x1.19f37dc71cefbp-3, 0x1.14d3dcb8b0471p-3, 0x1.0fc75b7d5e9fp-3, 0x1.0acdced4a5003p-3, 0x1.05e70b318b622p-3, 0x1.0112e4c036844p-3, 0x1.f8a25ed6b4382p-4, 0x1.ef437dc3213fdp-4, 0x1.e608cd352a53fp-4, 0x1.dcf1f3b8c26ap-4, 0x1.d3fe97805fec5p-4, 0x1.cb2e5e6ec093p-4, 0x1.c280ee2084c7cp-4, 0x1.b9f5ebf58d75ep-4, 0x1.b18cfd1a1e0b5p-4, 0x1.a945c68fcb742p-4, 0x1.a11fed363d593p-4, 0x1.991b15d3b0be1p-4, 0x1.9136e51d42265p-4, 0x1.8972ffbf118d9p-4, 0x1.81cf0a64262a2p-4, 0x1.7a4aa9be23637p-4, 0x1.72e5828ccaf1bp-4, 0x1.6b9f39a54abdp-4, 0x1.647773f95b10ap-4, 0x1.5d6dd69e299c2p-4, 0x1.568206d31440fp-4, 0x1.4fb3aa0833d92p-4, 0x1.490265e4b6ca1p-4, 0x1.426de04d0c71dp-4, 0x1.3bf5bf68e1416p-4, 0x1.3599a9a8ee823p-4, 0x1.2f5945cc9a6f1p-4, 0x1.29343ae76d057p-4, 0x1.232a306657478p-4, 0x1.1d3ace14cf636p-4, 0x1.1765bc21c13ap-4, 0x1.11aaa32455077p-4, 0x1.0c092c208ac41p-4, 0x1.0681008bad3cap-4, 0x1.0111ca509c5a2p-4, 0x1.f77667a7dbc9ap-5, 0x1.ecf9cfefd19ddp-5, 0x1.e2ad2440ae4f7p-5, 0x1.d88fbc6c6856ap-5, 0x1.cea0f15664122p-5, 0x1.c4e01cfa3a5e3p-5, 0x1.bb4c9a72310fcp-5, 0x1.b1e5c5fd703b4p-5, 0x1.a8aafd05ed3eep-5, 0x1.9f9b9e2612f2dp-5, 0x1.96b7092e24896p-5, 0x1.8dfc9f295fb2p-5, 0x1.856bc262d85d8p-5, 0x1.7d03d66a1a74fp-5, 0x1.74c44017885c6p-5, 0x1.6cac65907c3d4p-5, 0x1.64bbae4b2d265p-5, 0x1.5cf183125969ap-5, 0x1.554d4e08b52aap-5, 0x1.4dce7aac209fdp-5, 0x1.467475d8a826ap-5, 0x1.3f3eadcb4afc1p-5, 0x1.382c92248d302p-5, 0x1.313d93ead7fb8p-5, 0x1.2a71258ca3e7bp-5, 0x1.23c6bae2720dcp-5, 0x1.1d3dc930957c7p-5, 0x1.16d5c728cb5b3p-5, 0x1.108e2ceba76d3p-5, 0x1.0a667409cf519p-5, 0x1.045e17850d4dcp-5, 0x1.fce927a26c1c9p-6, 0x1.f152cda9c9136p-6, 0x1.e5f81fd41c40ap-6, 0x1.dad81fbcd9bccp-6, 0x1.cff1d1e78bb47p-6, 0x1.c5443dc00eed1p-6, 0x1.bace6d9a87828p-6, 0x1.b08f6eb31162bp-6, 0x1.a686512d257e1p-6, 0x1.9cb22812c2738p-6, 0x1.9312095350fa4p-6, 0x1.89a50dc246264p-6, 0x1.806a51159031fp-6, 0x1.7760f1e3c06ddp-6, 0x1.6e8811a200697p-6, 0x1.65ded4a1ca985p-6, 0x1.5d64620e77555p-6, 0x1.5517e3ea88754p-6, 0x1.4cf8870cccbccp-6, 0x1.45057b1d50ac4p-6, 0x1.3d3df2921e095p-6, 0x1.35a122abcfc7cp-6, 0x1.2e2e4371fd21dp-6, 0x1.26e48faf79c3dp-6, 0x1.1fc344ee683a5p-6, 0x1.18c9a37431a31p-6, 0x1.11f6ee3d4ccfap-6, 0x1.0b4a6af8e942bp-6, 0x1.04c362047649ap-6, 0x1.fcc23cce136f5p-7, 0x1.f045db994b1c7p-7, 0x1.e4104102c8a04p-7, 0x1.d82012d910f59p-7, 0x1.cc73fc16d8aa1p-7, 0x1.c10aacd8b943p-7, 0x1.b5e2da52bc69ep-7, 0x1.aafb3ec5a92bap-7, 0x1.a052997432422p-7, 0x1.95e7ae97f7543p-7, 0x1.8bb9475665d71p-7, 0x1.81c631b56a16p-7, 0x1.780d4090084cfp-7, 0x1.6e8d4b8ad564dp-7, 0x1.65452f084c807p-7, 0x1.5c33cc1d13a5ep-7, 0x1.535808841a682p-7, 0x1.4ab0ce92abe67p-7, 0x1.423d0d2c68963p-7, 0x1.39fbb7b72c7d4p-7, 0x1.31ebc60ee2b43p-7, 0x1.2a0c34794c861p-7, 0x1.225c0399b9391p-7, 0x1.1ada3864b24cep-7, 0x1.1385dc139dbaep-7, 0x1.0c5dfc1857a0ap-7, 0x1.0561aa10c42c9p-7, 0x1.fd1ff774bb7d3p-8, 0x1.efd015cb7a3dp-8, 0x1.e2d1ead442d63p-8, 0x1.d623ba31ea28dp-8, 0x1.c9c3cf62a9548p-8, 0x1.bdb07da72be61p-8, 0x1.b1e81fe9a6763p-8, 0x1.a66918a4f4526p-8, 0x1.9b31d1cbc0f7ap-8, 0x1.9040bcafbbf7cp-8, 0x1.859451e8e0da3p-8, 0x1.7b2b113ccc805p-8, 0x1.71038186275d7p-8, 0x1.671c309c2753ep-8, 0x1.5d73b33a261e4p-8, 0x1.5408a4e753965p-8, 0x1.4ad9a7de81993p-8, 0x1.41e564f60ee1fp-8, 0x1.392a8b87ef72p-8, 0x1.30a7d159d3f05p-8, 0x1.285bf285774fcp-8, 0x1.2045b16109741p-8, 0x1.1863d667c5775p-8, 0x1.10b53022a7bdfp-8, 0x1.0938931150cc3p-8, 0x1.01ecd9930c22bp-8, 0x1.f5a1c7a008d84p-9, 0x1.e7c72f454217fp-9, 0x1.da47c1021e0aep-9, 0x1.cd215ecdf139p-9, 0x1.c051f57ed24efp-9, 0x1.b3d77c9dc0e5cp-9, 0x1.a7aff63b2d1d7p-9, 0x1.9bd96ec3dcab2p-9, 0x1.9051fcd635cc2p-9, 0x1.8517c117ec2cdp-9, 0x1.7a28e60c13b49p-9, 0x1.6f839fe998a61p-9, 0x1.65262c721fe57p-9, 0x1.5b0ed2c95233ep-9, 0x1.513be34c8d503p-9, 0x1.47abb76b000d7p-9, 0x1.3e5cb17e35501p-9, 0x1.354d3ca306a03p-9, 0x1.2c7bcc92fe32ep-9, 0x1.23e6dd7e25998p-9, 0x1.1b8cf3e540874p-9, 0x1.136c9c7479de4p-9, 0x1.0b846bde7bb2p-9, 0x1.03d2feb7f7e18p-9, 0x1.f8adf2a73ceeep-10, 0x1.ea1e0f3d0ca3ep-10, 0x1.dbf3b9fa09619p-10, 0x1.ce2c684fe1b43p-10, 0x1.c0c59e14b76cdp-10, 0x1.b3bced3f7007fp-10, 0x1.a70ff5a4d79f3p-10, 0x1.9abc64b5b28b9p-10, 0x1.8ebff53da1932p-10, 0x1.83186f22ee05bp-10, 0x1.77c3a7272ce65p-10, 0x1.6cbf7ea8c461ep-10, 0x1.6209e3654732cp-10, 0x1.57a0cf3cb3721p-10, 0x1.4d8247f58ab5dp-10, 0x1.43ac5f01c01abp-10, 0x1.3a1d314481dabp-10, 0x1.30d2e6d8df915p-10, 0x1.27cbb2d941ea1p-10, 0x1.1f05d327b71adp-10, 0x1.167f90371aeafp-10, 0x1.0e373cd50f053p-10, 0x1.062b35f4c153ep-10, 0x1.fcb3c4f50ec33p-11, 0x1.ed836610952b6p-11, 0x1.dec243957b44dp-11, 0x1.d06d648ec35dp-11, 0x1.c281e256a9281p-11, 0x1.b4fce835d2abdp-11, 0x1.a7dbb3040ed53p-11, 0x1.9b1b90caa0d2p-11, 0x1.8eb9e068128e7p-11, 0x1.82b411358cfb6p-11, 0x1.7707a2adb0f0ap-11, 0x1.6bb22414eea38p-11, 0x1.60b1342356847p-11, 0x1.560280afe05c5p-11, 0x1.4ba3c65d24d58p-11, 0x1.4192d04786f6dp-11, 0x1.37cd77b4c8287p-11, 0x1.2e51a3c502086p-11, 0x1.251d4925059bap-11, 0x1.1c2e69c218a69p-11, 0x1.1383147f0eeccp-11, 0x1.0b1964eaba63dp-11, 0x1.02ef82f7afa51p-11, 0x1.f607456ab1885p-12, 0x1.e6a80814ab466p-12, 0x1.d7bde4e04185fp-12, 0x1.c945895ff52bbp-12, 0x1.bb3bb94224347p-12, 0x1.ad9d4dcfd2c4bp-12, 0x1.a067356de3841p-12, 0x1.93967320b6444p-12, 0x1.87281e122295cp-12, 0x1.7b196119cc7edp-12, 0x1.6f677a47c5d1p-12, 0x1.640fba7172a89p-12, 0x1.590f84c0b1153p-12, 0x1.4e644e4532cffp-12, 0x1.440b9d880649ap-12, 0x1.3a030a21461p-12, 0x1.30483c4fe66f8p-12, 0x1.26d8ec93960d5p-12, 0x1.1db2e348b17c2p-12, 0x1.14d3f8463aec5p-12, 0x1.0c3a127dcec5dp-12, 0x1.03e3279d911adp-12, 0x1.f79a77681502dp-13, 0x1.e7ecc1abd3eb5p-13, 0x1.d8b96d8b513e1p-13, 0x1.c9fcd53a0b1f1p-13, 0x1.bbb36cf09e434p-13, 0x1.add9c246f69cbp-13, 0x1.a06c7b91f73c4p-13, 0x1.936857449ed07p-13, 0x1.86ca2b548cd54p-13, 0x1.7a8ee4a1e85b2p-13, 0x1.6eb386627fddfp-13, 0x1.6335299035fbp-13, 0x1.5810fc5a8dfeep-13, 0x1.4d44419b6064ap-13, 0x1.42cc504e96daap-13, 0x1.38a6930cf7e76p-13, 0x1.2ed08789e1c1ep-13, 0x1.2547be13ea74ap-13, 0x1.1c09d918637eap-13, 0x1.13148ca9a7b96p-13, 0x1.0a659e08299c5p-13, 0x1.01fae32e38dabp-13, 0x1.f3a484bcd8e56p-14, 0x1.e3d36369578bep-14, 0x1.d47e6d73896e4p-14, 0x1.c5a1cbf306306p-14, 0x1.b739c53684672p-14, 0x1.a942bbf9ccda1p-14, 0x1.9bb92ea06e773p-14, 0x1.8e99b67516805p-14, 0x1.81e106ed79dbfp-14, 0x1.758becf2b7647p-14, 0x1.69974e2e1d69ap-14, 0x1.5e00285a3acc3p-14, 0x1.52c3909827288p-14, 0x1.47deb2c8ede52p-14, 0x1.3d4ed0eb03471p-14, 0x1.3311427bb3859p-14, 0x1.292373dc72feep-14, 0x1.1f82e5bbfd5eep-14, 0x1.162d2c8331b12p-14, 0x1.0d1fefc591fa1p-14, 0x1.0458e9b55a728p-14, 0x1.f7abcd362da26p-15, 0x1.e72988a14d007p-15, 0x1.d726e37f3a05ep-15, 0x1.c79fdcc5d62d9p-15, 0x1.b89093977ee58p-15, 0x1.a9f5465319e64p-15, 0x1.9bca51aa4dc3cp-15, 0x1.8e0c2fbdbe00bp-15, 0x1.80b7773f2f42ap-15, 0x1.73c8da996f441p-15, 0x1.673d271de0ce6p-15, 0x1.5b1144378d79bp-15, 0x1.4f4232a39986p-15, 0x1.43cd0baf02c02p-15, 0x1.38af00798387ap-15, 0x1.2de5593d811afp-15, 0x1.236d749ce90eap-15, 0x1.1944c6f2dd835p-15, 0x1.0f68d9aa14b7fp-15, 0x1.05d74a97d5461p-15, 0x1.f91b96b6d82adp-16, 0x1.e71441840d899p-16, 0x1.d594445dafbe6p-16, 0x1.c497720ed014dp-16, 0x1.b419c047fdda9p-16, 0x1.a417468810d74p-16, 0x1.948c3d0cbe52ep-16, 0x1.8574fbcaca8bcp-16, 0x1.76cdf96d9e681p-16, 0x1.6893ca5e25489p-16, 0x1.5ac31fd0b5bd4p-16, 0x1.4d58c6d9de31bp-16, 0x1.4051a789f0d24p-16, 0x1.33aac40f189eap-16, 0x1.276137dddb8f9p-16, 0x1.1b7236dfd47dp-16, 0x1.0fdb0ca885c8bp-16, 0x1.04991bb01991ap-16, 0x1.f353b927d9b25p-17, 0x1.de15bab9762c8p-17, 0x1.c973819496775p-17, 0x1.b5687b48e8c9ep-17, 0x1.a1f03c22b7ce2p-17, 0x1.8f067de1973e3p-17, 0x1.7ca71e78ed67fp-17, 0x1.6ace1eda2a074p-17, 0x1.5977a1c85e15fp-17, 0x1.489feab4fe3c6p-17, 0x1.38435ca58c70ap-17, 0x1.285e7921e935ep-17, 0x1.18eddf2b1dcb4p-17, 0x1.09ee4a3a58f54p-17, 0x1.f6b9228fdac4cp-18, 0x1.da6b4bb42e078p-18, 0x1.beed2636a7cb4p-18, 0x1.a438f9f032f75p-18, 0x1.8a493e87695p-18, 0x1.711899c844194p-18, 0x1.58a1de09578f5p-18, 0x1.40e0089e3e2p-18, 0x1.29ce4056d1f9cp-18, 0x1.1367d40ad9909p-18, 0x1.fb507263a1439p-19, 0x1.d116150ce4affp-19, 0x1.a8180d6b61f0cp-19, 0x1.804e1e3193a4fp-19, 0x1.59b04cf43e85ep-19, 0x1.3436dfc920502p-19, 0x1.0fda5af9ed31cp-19, 0x1.d926fd9632edfp-20, 0x1.94b68aab9091bp-20, 0x1.5255c0e8bde09p-20, 0x1.11f76f824b2b4p-20, 0x1.a71d9a99cc5d8p-21, 0x1.2e1ee9ff7363p-21, 0x1.71b5865f42029p-22, 0x1.1ce756dbe370cp-23, -0x1.36d3e033119e5p-24, -0x1.22f046974c124p-22, -0x1.f168d68f9bb7dp-22, -0x1.5ca3ff216c8bcp-21, -0x1.bd5aefcb9da46p-21, -0x1.0d765cd2e4288p-20, -0x1.3ab624f3ece68p-20, -0x1.667601ee4cd86p-20, -0x1.90bee2f5cc5c2p-20, -0x1.b999773a2e079p-20, -0x1.e10e303e0a16fp-20, -0x1.0392a20be22d2p-19, -0x1.15f357ce9e715p-19, -0x1.27ad1c3d74c44p-19, -0x1.38c3b79b8a1a9p-19, -0x1.493ad890e7081p-19, -0x1.59161519248d8p-19, -0x1.6858eb69167b1p-19, -0x1.7706c2cbbeecp-19, -0x1.8522ec76d940ap-19, -0x1.92b0a4573c945p-19, -0x1.9fb311d5681dcp-19, -0x1.ac2d48926def8p-19, -0x1.b822491d8a7e1p-19, -0x1.c39501a2a606ep-19, -0x1.ce884e91f8ea2p-19, -0x1.d8fefb4116fcbp-19, -0x1.e2fbc28596475p-19, -0x1.ec814f498dbb6p-19, -0x1.f5923d1a23c64p-19, -0x1.fe3118b061cdap-19, -0x1.0330303a3da2bp-18, -0x1.0711427de306cp-18, -0x1.0abcf4c0c5a5bp-18, -0x1.0e34722d7299fp-18, -0x1.1178dfb2eb14p-18, -0x1.148b5c39e435ep-18, -0x1.176d00d7cdf66p-18, -0x1.1a1ee0ffbb47ep-18, -0x1.1ca20ab138c45p-18, -0x1.1ef786a52d8ap-18, -0x1.21205878d2f83p-18, -0x1.231d7ed6d8e8bp-18, -0x1.24eff39ec7b2cp-18, -0x1.2698ac0ab1d53p-18, -0x1.281898d345ffap-18, -0x1.2970a6524ebd6p-18, }}, 
      {{0x1.68568201a22bcp-7, 0x1.687bd2552400ep-6, 0x1.0e8a765f60e95p-5, 0x1.690ae677a966ep-5, 0x1.c3cc116892b2fp-5, 0x1.0f6bb8686a43bp-4, 0x1.3d195c0f51de3p-4, 0x1.6aefcc4c1c03dp-4, 0x1.98edd5a507f44p-4, 0x1.c7103d33d64d2p-4, 0x1.f551d1f5d6438p-4, 0x1.11d5c3f61916bp-3, 0x1.290a4d4a7f63ap-3, 0x1.40415a4f02bcp-3, 0x1.57750d820b91ap-3, 0x1.6e9eed0e5c03p-3, 0x1.85b7f9a53bc43p-3, 0x1.9cb8c52c1a884p-3, 0x1.b39988d62cd97p-3, 0x1.ca523a59fd46p-3, 0x1.e0daa007566afp-3, 0x1.f72a6393722bbp-3, 0x1.069c91c021f24p-2, 0x1.117f41880c848p-2, 0x1.1c391c60532b5p-2, 0x1.26c60da8630f7p-2, 0x1.312216acf882cp-2, 0x1.3b4953c5a342ap-2, 0x1.453800cb754b9p-2, 0x1.4eea7cf262159p-2, 0x1.585d4e0f60cbcp-2, 0x1.618d2355bdcbp-2, 0x1.6a76d795fe767p-2, 0x1.73177308a07e6p-2, 0x1.7b6c2caeab06dp-2, 0x1.83726b51b0957p-2, 0x1.8b27c62c63c78p-2, 0x1.928a05447661bp-2, 0x1.9997217df1834p-2, 0x1.a04d446fc0ca3p-2, 0x1.a6aac800a16e2p-2, 0x1.acae35d32f97fp-2, 0x1.b256468755ee6p-2, 0x1.b7a1e0d6d9a6p-2, 0x1.bc9018926882ap-2, 0x1.c1202d83f8ad7p-2, 0x1.c5518a3afff21p-2, 0x1.c923c2c68bec2p-2, 0x1.cc969360e6211p-2, 0x1.cfa9df1010738p-2, 0x1.d25dae3e11eb2p-2, 0x1.d4b22d4babebfp-2, 0x1.d6a7ab1fc6f69p-2, 0x1.d83e97b5a0fcdp-2, 0x1.d97782ab71244p-2, 0x1.da5319d30cc8dp-2, 0x1.dad227c5cad9ep-2, 0x1.daf5927cb8719p-2, 0x1.dabe59ee04ab6p-2, 0x1.da2d96b053357p-2, 0x1.d94478a4922e8p-2, 0x1.d80445a6b9594p-2, 0x1.d66e5845d2f6bp-2, 0x1.d4841e8383eeep-2, 0x1.d247189b40955p-2, 0x1.cfb8d7d14163p-2, 0x1.ccdafd4946997p-2, 0x1.c9af38e5274b4p-2, 0x1.c637482b1fe8bp-2, 0x1.c274f533d4013p-2, 0x1.be6a159fe9b7p-2, 0x1.ba18899528e6dp-2, 0x1.b5823ac304123p-2, 0x1.b0a91b6e6fc62p-2, 0x1.ab8f2584e7f43p-2, 0x1.a63659b691a5p-2, 0x1.a0a0be975797dp-2, 0x1.9ad05fc6ee056p-2, 0x1.94c74d1fa3919p-2, 0x1.8e8799ebeb328p-2, 0x1.88135c2290884p-2, 0x1.816caba976fbbp-2, 0x1.7a95a19ee6474p-2, 0x1.739057a940ca2p-2, 0x1.6c5ee74d25d9p-2, 0x1.65036949e5a8dp-2, 0x1.5d7ff4fc42ddfp-2, 0x1.55d69fc76bc2bp-2, 0x1.4e097c8426bf5p-2, 0x1.461a9af61f296p-2, 0x1.3e0c07474306fp-2, 0x1.35dfc9892abb6p-2, 0x1.2d97e53c74a02p-2, 0x1.253658de0677ap-2, 0x1.1cbd1d7a24027p-2, 0x1.142e264546edbp-2, 0x1.0b8b603aa844p-2, 0x1.02d6b1c0616f4p-2, 0x1.f423f4a2211eep-3, 0x1.e27e2455d4533p-3, 0x1.d0bf94083c768p-3, 0x1.beebd588e9fc1p-3, 0x1.ad066a881573fp-3, 0x1.9b12c41e189b5p-3, 0x1.8914425cafacdp-3, 0x1.770e33e9c1d87p-3, 0x1.6503d5a376d5fp-3, 0x1.52f8524d5332ep-3, 0x1.40eec246206dbp-3, 0x1.2eea2b465537ap-3, 0x1.1ced8026ba236p-3, 0x1.0afba0af0c4c8p-3, 0x1.f22eb2d89d998p-4, 0x1.ce86c71d1adb5p-4, 0x1.ab04c99b73026p-4, 0x1.87addeaae6749p-4, 0x1.6487036eb8c7fp-4, 0x1.41950dc78afc8p-4, 0x1.1edcac50c009ap-4, 0x1.f8c4ccd2ddaf3p-5, 0x1.b4553890aca1ap-5, 0x1.70730e34917a9p-5, 0x1.2d2672551e6e1p-5, 0x1.d4ee7852f4ed2p-6, 0x1.50d9ebfdddc09p-6, 0x1.9c3b76fd7eb42p-7, 0x1.331f2c3dbdfc6p-8, -0x1.98d4bb29fde1ep-9, -0x1.62f965b8b3d52p-7, -0x1.2e5261b91f83dp-6, -0x1.a990102a98ea9p-6, -0x1.11955d3d01995p-5, -0x1.4d8bf5a1de54cp-5, -0x1.88a6dcce17dc8p-5, -0x1.c2e163911d3ap-5, -0x1.fc371f0048199p-5, -0x1.1a51f3b7d7787p-4, -0x1.3611ebb1e650fp-4, -0x1.5159a53e4dca4p-4, -0x1.6c276e2d5eaa8p-4, -0x1.8679b3bfa5772p-4, -0x1.a04f02136a33ep-4, -0x1.b9a60390105bcp-4, -0x1.d27d804f91d59p-4, -0x1.ead45d865925ep-4, -0x1.0154ce74d93b7p-3, -0x1.0cfe2e0a85e01p-3, -0x1.1865e9f71e70ep-3, -0x1.238bac047d711p-3, -0x1.2e6f2b04e39d7p-3, -0x1.39102a8432e12p-3, -0x1.436e7a7908bfp-3, -0x1.4d89f6f5d0d05p-3, -0x1.576287d9e00f2p-3, -0x1.60f82082a53d1p-3, -0x1.6a4abf7d09aaep-3, -0x1.735a6e37096aap-3, -0x1.7c2740b19d4f7p-3, -0x1.84b15532f4174p-3, -0x1.8cf8d3f91ecf8p-3, -0x1.94fdeeed28899p-3, -0x1.9cc0e156b11eep-3, -0x1.a441ef901674bp-3, -0x1.ab8166bb2ee22p-3, -0x1.b27f9c76a7319p-3, -0x1.b93cee940c28ap-3, -0x1.bfb9c2ce83fbdp-3, -0x1.c5f68682415b4p-3, -0x1.cbf3ae64bc68cp-3, -0x1.d1b1b63db8a1p-3, -0x1.d73120a11270ap-3, -0x1.dc7276a96c34cp-3, -0x1.e17647b3b47f2p-3, -0x1.e63d291b92cfcp-3, -0x1.eac7b5f8b65dp-3, -0x1.ef168edd133c5p-3, -0x1.f32a599416b5dp-3, -0x1.f703c0e2c5925p-3, -0x1.faa37448dd03fp-3, -0x1.fe0a27c2e816dp-3, -0x1.009c49c6ae82p-2, -0x1.0217b9f459485p-2, -0x1.0377c46f40dadp-2, -0x1.04bccb03d642ap-2, -0x1.05e73129c6091p-2, -0x1.06f75be81710fp-2, -0x1.07edb1b9cdd23p-2, -0x1.08ca9a731699ep-2, -0x1.098e7f26f9736p-2, -0x1.0a39ca0d94a5ep-2, -0x1.0acce66ae14b3p-2, -0x1.0b484075fe7b2p-2, -0x1.0bac454109339p-2, -0x1.0bf962a179f41p-2, -0x1.0c3007190f16p-2, -0x1.0c50a1bf3e2a2p-2, -0x1.0c5ba22b30506p-2, -0x1.0c51785e45244p-2, -0x1.0c3294af23475p-2, -0x1.0bff67b54bfb1p-2, -0x1.0bb862353a973p-2, -0x1.0b5df50d0a22fp-2, -0x1.0af09121a264dp-2, -0x1.0a70a74c6aa54p-2, -0x1.09dea84984c89p-2, -0x1.093b04a689b5cp-2, -0x1.08862cb1cd33fp-2, -0x1.07c0906a22a3ap-2, -0x1.06ea9f6f26fb8p-2, -0x1.0604c8f209df7p-2, -0x1.050f7ba6d7945p-2, -0x1.040b25b643d1p-2, -0x1.02f834aff024bp-2, -0x1.01d7157d31e8ap-2, -0x1.00a8345453c7cp-2, -0x1.fed7f9589ceb3p-3, -0x1.fc45b261fe5ddp-3, -0x1.f99a676fa66c8p-3, -0x1.f6d6ea69d33fcp-3, -0x1.f3fc0b6156d85p-3, -0x1.f10a987baa345p-3, -0x1.ee035ddfeb4fdp-3, -0x1.eae725a4b0029p-3, -0x1.e7b6b7bec1f6bp-3, -0x1.e472d9f0adba4p-3, -0x1.e11c4fbb2cd74p-3, -0x1.ddb3da4e5bfc9p-3, -0x1.da3a387bcc2d7p-3, -0x1.d6b026a953b1dp-3, -0x1.d3165ec4b4c55p-3, -0x1.cf6d9837fec0bp-3, -0x1.cbb687deb60dep-3, -0x1.c7f1dffbbbdd2p-3, -0x1.c420502fe94abp-3, -0x1.c042857169656p-3, -0x1.bc592a03beba1p-3, -0x1.b864e5707e132p-3, -0x1.b4665c80b057ep-3, -0x1.b05e3136daaabp-3, -0x1.ac4d02c9b12c8p-3, -0x1.a8336d9f61ec1p-3, -0x1.a4120b497fec5p-3, -0x1.9fe9728183b31p-3, -0x1.9bba3725e322bp-3, -0x1.9784ea37b6f1dp-3, -0x1.934a19d8eea26p-3, -0x1.8f0a514b0beep-3, -0x1.8ac618ee65a86p-3, -0x1.867df641e4e5bp-3, -0x1.82326be349969p-3, -0x1.7de3f98fe09c2p-3, -0x1.79931c25b25e4p-3, -0x1.75404da5249cp-3, -0x1.70ec0533086dp-3, -0x1.6c96b71b14748p-3, -0x1.6840d4d2c5fdep-3, -0x1.63eaccfca6606p-3, -0x1.5f950b6be9396p-3, -0x1.5b3ff92874347p-3, -0x1.56ebfc73351cbp-3, -0x1.529978cacd403p-3, -0x1.4e48cef0968c1p-3, -0x1.49fa5cedef06cp-3, -0x1.45ae7e19d3748p-3, -0x1.41658b1ec21cdp-3, -0x1.3d1fda00ddc5fp-3, -0x1.38ddbe245b744p-3, -0x1.349f8854208b6p-3, -0x1.306586c8aad1ap-3, -0x1.2c30052f246efp-3, -0x1.27ff4cb0b49cep-3, -0x1.23d3a3fa00b7ep-3, -0x1.1fad4f42d788fp-3, -0x1.1b8c905613186p-3, -0x1.1771a6999787dp-3, -0x1.135ccf1684f06p-3, -0x1.0f4e44818647cp-3, -0x1.0b463f433ff01p-3, -0x1.0744f580e79eep-3, -0x1.034a9b24ec199p-3, -0x1.feaec3cf7afb2p-4, -0x1.f6d6f2b15fd6ep-4, -0x1.ef0e1dcdddd21p-4, -0x1.e7549bd50677dp-4, -0x1.dfaabf5ad9feap-4, -0x1.d810d6e997994p-4, -0x1.d0872d1424a6ep-4, -0x1.c90e088888ff9p-4, -0x1.c1a5ac227b158p-4, -0x1.ba4e56fe02f56p-4, -0x1.b308448a163d4p-4, -0x1.abd3ac9b4e767p-4, -0x1.a4b0c37e8dd87p-4, -0x1.9d9fba0bb05bdp-4, -0x1.96a0bdb8350fbp-4, -0x1.8fb3f8a9dd0e6p-4, -0x1.88d991c946bfbp-4, -0x1.8211acd474599p-4, -0x1.7b5c6a7147783p-4, -0x1.74b9e83fe6e58p-4, -0x1.6e2a40ed1026p-4, -0x1.67ad8c4450371p-4, -0x1.6143df42229e4p-4, -0x1.5aed4c25f2ea8p-4, -0x1.54a9e283feb7ap-4, -0x1.4e79af5717addp-4, -0x1.485cbd1241162p-4, -0x1.425313b228d8p-4, -0x1.3c5cb8ce78e1p-4, -0x1.3679afab009e2p-4, -0x1.30a9f948b24c9p-4, -0x1.2aed947676122p-4, -0x1.25447de1ce76ep-4, -0x1.1faeb0274d8c4p-4, -0x1.1a2c23e2dac18p-4, -0x1.14bccfbfc5e0ap-4, -0x1.0f60a888a86f3p-4, -0x1.0a17a13712a28p-4, -0x1.04e1ab030305cp-4, -0x1.ff7d6ae451a4dp-5, -0x1.f55d5ccde08c9p-5, -0x1.eb63045eaa325p-5, -0x1.e18e3726ffa25p-5, -0x1.d7dec7c84ee85p-5, -0x1.ce54861175db1p-5, -0x1.c4ef3f1aa1da8p-5, -0x1.bbaebd60b6df2p-5, -0x1.b292c8e044e4p-5, -0x1.a99b273002861p-5, -0x1.a0c79b9ad2d2fp-5, -0x1.9817e739542bbp-5, -0x1.8f8bc90af2405p-5, -0x1.8722fe0e85b16p-5, -0x1.7edd415a75bc2p-5, -0x1.76ba4c3464bc5p-5, -0x1.6eb9d62860d57p-5, -0x1.66db951f9e08bp-5, -0x1.5f1f3d76b6e8dp-5, -0x1.5784821374452p-5, -0x1.500b147a1d339p-5, -0x1.48b2a4e25089p-5, -0x1.417ae24b643a9p-5, -0x1.3a637a9050a29p-5, -0x1.336c1a7b258e4p-5, -0x1.2c946dd8085e2p-5, -0x1.25dc1f87bcfd6p-5, -0x1.1f42d991be9b3p-5, -0x1.18c84535e0c4fp-5, -0x1.126c0afd81502p-5, -0x1.0c2dd2cc47381p-5, -0x1.060d43f072a64p-5, -0x1.000a0532be26p-5, -0x1.f44779cb9bb2p-6, -0x1.e8b421ea6f29ap-6, -0x1.dd594de834d23p-6, -0x1.d23648569cb57p-6, -0x1.c74a5b4e4f818p-6, -0x1.bc94d089ac019p-6, -0x1.b214f17eb22f4p-6, -0x1.a7ca07782503bp-6, -0x1.9db35bade251ep-6, -0x1.93d0375c759a1p-6, -0x1.8a1fe3dbeac1p-6, -0x1.80a1aab5dbbf6p-6, -0x1.7754d5bac5f2dp-6, -0x1.6e38af16a0bcep-6, -0x1.654c8164c0b06p-6, -0x1.5c8f97c3047e1p-6, -0x1.54013de44e704p-6, -0x1.4ba0c0225504p-6, -0x1.436d6b8ec2e21p-6, -0x1.3b668e03ad417p-6, -0x1.338b76336e116p-6, -0x1.2bdb73b7ce383p-6, -0x1.2455d7209d734p-6, -0x1.1cf9f201a4d9ep-6, -0x1.15c7170004e55p-6, -0x1.0ebc99defac5dp-6, -0x1.07d9cf8c140ddp-6, -0x1.011e0e2ad2cf8p-6, -0x1.f5115a3f818a9p-7, -0x1.e8320a35fdc55p-7, -0x1.db9ce0448ee92p-7, -0x1.cf509334e1c76p-7, -0x1.c34bdca0d5862p-7, -0x1.b78d7903867d6p-7, -0x1.ac1427c9534dcp-7, -0x1.a0deab5efb28cp-7, -0x1.95ebc93fd6b16p-7, -0x1.8b3a4a03165a5p-7, -0x1.80c8f9683d232p-7, -0x1.7696a662ad7dbp-7, -0x1.6ca223246750bp-7, -0x1.62ea4527ff89bp-7, -0x1.596de539c1c39p-7, -0x1.502bdf801826ap-7, -0x1.472313832f192p-7, -0x1.3e526433e84ecp-7, -0x1.35b8b7f20de2p-7, -0x1.2d54f891e176dp-7, -0x1.25261360fd467p-7, -0x1.1d2af92a920dbp-7, -0x1.15629e3b04f63p-7, -0x1.0dcbfa62f3885p-7, -0x1.066608f9a26fp-7, -0x1.fe5f91bdb491ap-8, -0x1.f05078f8724a9p-8, -0x1.e29cd38bf81c3p-8, -0x1.d542b4768b5b2p-8, -0x1.c84035cbcd6e5p-8, -0x1.bb9378b356561p-8, -0x1.af3aa56665931p-8, -0x1.a333eb2caec6bp-8, -0x1.977d80584ac67p-8, -0x1.8c15a240d7d4ap-8, -0x1.80fa953dccef1p-8, -0x1.762aa4a00a9e3p-8, -0x1.6ba422aab245ep-8, -0x1.6165688b47a16p-8, -0x1.576cd651268bfp-8, -0x1.4db8d2e454afep-8, -0x1.4447cbfbb42d3p-8, -0x1.3b1836129fa92p-8, -0x1.32288c5df6d0dp-8, -0x1.297750c09f3edp-8, -0x1.21030bbf8506dp-8, -0x1.18ca4c751c972p-8, -0x1.10cba8846ef25p-8, -0x1.0905bc0bb4c19p-8, -0x1.0177299687d96p-8, -0x1.f43d341f5db3ap-9, -0x1.e5f5796515959p-9, -0x1.d8148df8539ccp-9, -0x1.ca97e9380d041p-9, -0x1.bd7d0ec8effe1p-9, -0x1.b0c18e75adf8bp-9, -0x1.a463040ebec4p-9, -0x1.985f17499fffp-9, -0x1.8cb37b9f9ffbfp-9, -0x1.815df02c36edbp-9, -0x1.765c3f8afe20dp-9, -0x1.6bac3fb54ae25p-9, -0x1.614bd1df6ec2fp-9, -0x1.5738e255b44d7p-9, -0x1.4d716859104dp-9, -0x1.43f365fb99183p-9, -0x1.3abce7fcc8603p-9, -0x1.31cc05a58c06fp-9, -0x1.291ee0a4340d8p-9, -0x1.20b3a4e83acb1p-9, -0x1.1888887df60ecp-9, -0x1.109bcb6a31bdap-9, -0x1.08ebb785bd7d2p-9, -0x1.0176a058f30cbp-9, -0x1.f475c5ee715c8p-10, -0x1.e66dcbb50b9e8p-10, -0x1.d8d2317ddf26ap-10, -0x1.cb9fe8fc8923fp-10, -0x1.bed3f5d771cf8p-10, -0x1.b26b6d5f4f578p-10, -0x1.a6637646ded4dp-10, -0x1.9ab9485ae4302p-10, -0x1.8f6a2c3a6371ap-10, -0x1.84737b0f3423fp-10, -0x1.79d29e46e146bp-10, -0x1.6f850f4bee952p-10, -0x1.6588573f7ea18p-10, -0x1.5bda0eb362c53p-10, -0x1.5277dd649cc8ep-10, -0x1.495f79f65b455p-10, -0x1.408ea9ad6c3c9p-10, -0x1.3803402c37eedp-10, -0x1.2fbb1f2f408aap-10, -0x1.27b4364a2c59bp-10, -0x1.1fec82a567ec3p-10, -0x1.18620ebc53e0fp-10, -0x1.1112f21c104e1p-10, -0x1.09fd5122ec8b1p-10, -0x1.031f5cc067c51p-10, -0x1.f8eea46bcf44bp-11, -0x1.ec06f5b012845p-11, -0x1.df8457a1458dbp-11, -0x1.d3638bc2e20d3p-11, -0x1.c7a16a4ee89fep-11, -0x1.bc3ae1bdfed23p-11, -0x1.b12cf650f76f8p-11, -0x1.a674c19bc4016p-11, -0x1.9c0f7211d8817p-11, -0x1.91fa4a9402241p-11, -0x1.8832a1ffb3087p-11, -0x1.7eb5e2bfc6a31p-11, -0x1.75818a5ec329p-11, -0x1.6c93291a93421p-11, -0x1.63e86179c3438p-11, -0x1.5b7ee7e23a128p-11, -0x1.5354823174a86p-11, -0x1.4b6707564232ep-11, -0x1.43b45eec03bcbp-11, -0x1.3c3a80d76bffp-11, -0x1.34f774e4c2bb1p-11, -0x1.2de95267ab2a4p-11, -0x1.270e3fdc69aecp-11, -0x1.2064728aacd48p-11, -0x1.19ea2e29d5595p-11, -0x1.139dc486be5ddp-11, -0x1.0d7d952b025d4p-11, -0x1.07880d05bdd41p-11, -0x1.01bba615cbf9cp-11, -0x1.f82dce2afb909p-12, -0x1.ed30c64f8e86dp-12, -0x1.e27d730dc58bdp-12, -0x1.d8112a68cde8bp-12, -0x1.cde959559b83cp-12, -0x1.c4038320d3a5ep-12, -0x1.ba5d40d78cd4ep-12, -0x1.b0f440b2e4a84p-12, -0x1.a7c645865da37p-12, -0x1.9ed1263106e16p-12, -0x1.9612cd1160102p-12, -0x1.8d89377bfce22p-12, -0x1.85327534d7c01p-12, -0x1.7d0ca7eb51791p-12, -0x1.751602b8dbb31p-12, -0x1.6d4cc9a23cfb9p-12, -0x1.65af511b6f623p-12, -0x1.5e3bfd8e13bf9p-12, -0x1.56f142e26733bp-12, -0x1.4fcda40ac2829p-12, -0x1.48cfb2919065p-12, -0x1.41f60e29b6c02p-12, -0x1.3b3f64416e431p-12, -0x1.34aa6f977b5a6p-12, -0x1.2e35f7d2c3f9p-12, -0x1.27e0d11c3a8ebp-12, -0x1.21a9dbbb135cdp-12, -0x1.1b9003b33ec21p-12, -0x1.1592406620d4cp-12, -0x1.0faf94357c643p-12, -0x1.09e70c2887776p-12, -0x1.0437bf93294a7p-12, -0x1.fd419f7e9bf1dp-13, -0x1.f242cf30a42bp-13, -0x1.e77176b0f15abp-13, -0x1.dccc1070c7344p-13, -0x1.d251284110939p-13, -0x1.c7ff5ab92e243p-13, -0x1.bdd554a199eb2p-13, -0x1.b3d1d26254e44p-13, -0x1.a9f39f750660cp-13, -0x1.a03995dabfa4ap-13, -0x1.96a29d955c8e3p-13, -0x1.8d2dac2460da4p-13, -0x1.83d9c405511fcp-13, -0x1.7aa5f4376e483p-13, -0x1.719157c2cc528p-13, -0x1.689b1542aa3fep-13, -0x1.5fc25e73031p-13, -0x1.57066fc14b306p-13, -0x1.4e668fe03ca52p-13, -0x1.45e20f5eb5865p-13, -0x1.3d7848418f988p-13, -0x1.35289da05d30bp-13, -0x1.2cf27b450b62ep-13, -0x1.24d5554e4bc1ep-13, -0x1.1cd0a7d4c04a4p-13, -0x1.14e3f692d93f9p-13, -0x1.0d0ecc8f55ae2p-13, -0x1.0550bbca56598p-13, -0x1.fb52b9d9f7c7bp-14, -0x1.ec309df6f350dp-14, -0x1.dd3a6e13352d9p-14, -0x1.ce6f7fe33bddfp-14, -0x1.bfcf341ad4231p-14, -0x1.b158f5e3fa23ap-14, -0x1.a30c3a5a39816p-14, -0x1.94e8800a54b4ap-14, -0x1.86ed4e7629f46p-14, -0x1.791a359cbf82p-14, -0x1.6b6ecd8654665p-14, -0x1.5deab5d465f35p-14, -0x1.508d95558d94bp-14, -0x1.4357199d2122cp-14, -0x1.3646f69e7f61p-14, -0x1.295ce64bee5bep-14, -0x1.1c98a838fa87dp-14, -0x1.0ffa01403b40bp-14, -0x1.0380bb2c6aa53p-14, -0x1.ee5948c972c71p-15, -0x1.d5fb1f38937fap-15, -0x1.bde6a7097af12p-15, -0x1.a61b950784b9dp-15, -0x1.8e99a4d711b92p-15, -0x1.7760986c2181bp-15, -0x1.607037867301bp-15, -0x1.49c84f33068c5p-15, -0x1.3368b152d8328p-15, -0x1.1d513426b311fp-15, -0x1.0781b1dff4e44p-15, -0x1.e3f4106c465cep-16, -0x1.b97430024fd2dp-16, }}, 
      {{0x1.380a6078c6e34p-7, 0x1.381a9c731d24cp-6, 0x1.d44fe4ac39d0dp-6, 0x1.3859be4538aap-5, 0x1.86a9171d066b9p-5, 0x1.d51b5a4f27ea1p-5, 0x1.11da5b65ce68p-4, 0x1.393c08d34aed6p-4, 0x1.60b37a97e93b4p-4, 0x1.8840c496be11ep-4, 0x1.afe3496f6d72bp-4, 0x1.d799bdbbfbd65p-4, 0x1.ff622df0ad9e8p-4, 0x1.139d03298b6a2p-3, 0x1.278f0e46db1f5p-3, 0x1.3b855d3a7fb43p-3, 0x1.4f7dd4d09063ap-3, 0x1.63761fc6aa641p-3, 0x1.776bb4fcca743p-3, 0x1.8b5bddab47a9bp-3, 0x1.9f43bb86d5e44p-3, 0x1.b3204ebfddf1p-3, 0x1.c6ee7bce642bdp-3, 0x1.daab10ff22814p-3, 0x1.ee52cbb972b28p-3, 0x1.00f12ebc18515p-2, 0x1.0aab3838ee084p-2, 0x1.1455d5f705b27p-2, 0x1.1def5c23d8763p-2, 0x1.2776214e72151p-2, 0x1.30e88016e5e6ep-2, 0x1.3a44d8b6797f6p-2, 0x1.43899261f6dfp-2, 0x1.4cb51c87bd714p-2, 0x1.55c5efeb582a1p-2, 0x1.5eba8fa0676e2p-2, 0x1.679189e6c4c37p-2, 0x1.704978e9bd79p-2, 0x1.78e1036448802p-2, 0x1.8156dd2c0cbbep-2, 0x1.89a9c7a509181p-2, 0x1.91d8921f94e35p-2, 0x1.99e21a226f58bp-2, 0x1.a1c54ba274badp-2, 0x1.a98121298857ep-2, 0x1.b114a3ee22425p-2, 0x1.b87eebdcece6fp-2, 0x1.bfbf1f95b9b79p-2, 0x1.c6d4745d110cap-2, 0x1.cdbe2e03787a3p-2, 0x1.d47b9ec3924dcp-2, 0x1.db0c27180dd1bp-2, 0x1.e16f358a5bfc6p-2, 0x1.e7a4467b0473p-2, 0x1.edaae3e46b56cp-2, 0x1.f382a518bd101p-2, 0x1.f92b2e7bb3884p-2, 0x1.fea43138cf312p-2, 0x1.01f6b57b49d57p-1, 0x1.048352c3a51bdp-1, 0x1.06f7db4be0251p-1, 0x1.09543fae36501p-1, 0x1.0b98761eae0cbp-1, 0x1.0dc47a409b63dp-1, 0x1.0fd84cfbd7f34p-1, 0x1.11d3f451d040dp-1, 0x1.13b77b3284f4dp-1, 0x1.1582f1519b792p-1, 0x1.17366afb946b9p-1, 0x1.18d200eb3cfe8p-1, 0x1.1a55d01f6d89cp-1, 0x1.1bc1f9b124e79p-1, 0x1.1d16a2aa0dcfep-1, 0x1.1e53f3db7bd4p-1, 0x1.1f7a19b5e81dfp-1, 0x1.20894420f8488p-1, 0x1.2181a65417ac6p-1, 0x1.226376afa7875p-1, 0x1.232eee96ce58fp-1, 0x1.23e44a49e9893p-1, 0x1.2483c8c1a6675p-1, 0x1.250dab8ac6064p-1, 0x1.258236a28db82p-1, 0x1.25e1b053eac2cp-1, 0x1.262c6115458fp-1, 0x1.266293670b5d8p-1, 0x1.268493b2ed9e8p-1, 0x1.2692b02bd8075p-1, 0x1.268d38aea0082p-1, 0x1.26747ea36da2dp-1, 0x1.2648d4dfdc505p-1, 0x1.260a8f89d85afp-1, 0x1.25ba03fb35d1fp-1, 0x1.255788a6022f1p-1, 0x1.24e374f99005fp-1, 0x1.245e21483f284p-1, 0x1.23c7e6adfbf7ap-1, 0x1.23211ef779da9p-1, 0x1.226a248a26692p-1, 0x1.21a3524cd5194p-1, 0x1.20cd03911f3cbp-1, 0x1.1fe793fd7e797p-1, 0x1.1ef35f78179e9p-1, 0x1.1df0c2123b54fp-1, 0x1.1ce017f497d5cp-1, 0x1.1bc1bd4c1ac4dp-1, 0x1.1a960e378286bp-1, 0x1.195d66b59992bp-1, 0x1.181822941f7e2p-1, 0x1.16c69d5f579d1p-1, 0x1.156932523f34ep-1, 0x1.14003c4767b9cp-1, 0x1.128c15aa70b34p-1, 0x1.110d186a22988p-1, 0x1.0f839deb23625p-1, 0x1.0deffefb46962p-1, 0x1.0c5293c572694p-1, 0x1.0aabb3c619c31p-1, 0x1.08fbb5c045d89p-1, 0x1.0742efb32e7f2p-1, 0x1.0581b6d05d08ep-1, 0x1.03b85f7255b5dp-1, 0x1.01e73d13c7b9ap-1, 0x1.000ea2473d04ap-1, 0x1.fc5dc15e91dep-2, 0x1.f89091ee63311p-2, 0x1.f4b6559822b3bp-2, 0x1.f0cfa9acd982bp-2, 0x1.ecdd296874f3p-2, 0x1.e8df6de6b1d41p-2, 0x1.e4d70e18dd712p-2, 0x1.e0c49ebc670a5p-2, 0x1.dca8b2523b9cdp-2, 0x1.d883d916e4102p-2, 0x1.d456a0fb60f18p-2, 0x1.d021959ebb623p-2, 0x1.cbe5404849e78p-2, 0x1.c7a227e29efe3p-2, 0x1.c358d0f71c2acp-2, 0x1.bf09bdaa243fp-2, 0x1.bab56db7e9c16p-2, 0x1.b65c5e71cd252p-2, 0x1.b1ff0abc4ec8cp-2, 0x1.ad9deb0d8555ap-2, 0x1.a939756c1a444p-2, 0x1.a4d21d6ec5eb2p-2, 0x1.a068543c439ecp-2, 0x1.9bfc888bbbb01p-2, 0x1.978f26a59b5dcp-2, 0x1.93209864db2a6p-2, 0x1.8eb14538a9785p-2, 0x1.8a419226781b2p-2, 0x1.85d1e1cc65d3ep-2, 0x1.81629464057adp-2, 0x1.7cf407c57686fp-2, 0x1.7886976acf62ap-2, 0x1.741a9c73d8ad2p-2, 0x1.6fb06daa0d186p-2, 0x1.6b485f84e2b88p-2, 0x1.66e2c42e564cdp-2, 0x1.627feb87b3396p-2, 0x1.5e20232e99f51p-2, 0x1.59c3b6823c1efp-2, 0x1.556aeea8d06f5p-2, 0x1.5116129534d5cp-2, 0x1.4cc5670cc39cap-2, 0x1.48792ead51e34p-2, 0x1.4431a9f35a139p-2, 0x1.3fef17404834ep-2, 0x1.3bb1b2e0f239ep-2, 0x1.3779b71429602p-2, 0x1.33475c116f2f6p-2, 0x1.2f1ad80fc8d1bp-2, 0x1.2af45f4ca868dp-2, 0x1.26d42412f1a86p-2, 0x1.22ba56c214de4p-2, 0x1.1ea725d53b216p-2, 0x1.1a9abdea896p-2, 0x1.169549ca6edcdp-2, 0x1.1296f26f05b44p-2, 0x1.0e9fdf0b7df05p-2, 0x1.0ab03513955cep-2, 0x1.06c8184315852p-2, 0x1.02e7aaa55d8ffp-2, 0x1.fe1e1939de62dp-3, 0x1.f67cb9d602a6p-3, 0x1.eeeb716e2ba18p-3, 0x1.e76a772d25754p-3, 0x1.dff9ff28b103dp-3, 0x1.d89a3a70b9193p-3, 0x1.d14b571e789d3p-3, 0x1.ca0d8063a52bep-3, 0x1.c2e0de998aba1p-3, 0x1.bbc597501e6ddp-3, 0x1.b4bbcd5d07c9ep-3, 0x1.adc3a0ea93dc2p-3, 0x1.a6dd2f86a3246p-3, 0x1.a008943179933p-3, 0x1.9945e76c84dcp-3, 0x1.92953f4904dedp-3, 0x1.8bf6af76a1995p-3, 0x1.856a4951e876ap-3, 0x1.7ef01bf2ac98ap-3, 0x1.7888343a4bdc3p-3, 0x1.72329ce1dc1dfp-3, 0x1.6bef5e8831caep-3, 0x1.65be7fbfcdd01p-3, 0x1.5fa0051caa1d4p-3, 0x1.5993f141df742p-3, 0x1.539a44ef2ff22p-3, 0x1.4db2ff0e6843dp-3, 0x1.47de1cc09e894p-3, 0x1.421b996b4eed2p-3, 0x1.3c6b6ec547da8p-3, 0x1.36cd94e380355p-3, 0x1.31420245b2a39p-3, 0x1.2bc8abe2de737p-3, 0x1.266185359c865p-3, 0x1.210c8048459cep-3, 0x1.1bc98dc0f2d12p-3, 0x1.16989ced55998p-3, 0x1.11799bce5f6bcp-3, 0x1.0c6c7723c0076p-3, 0x1.07711a773dee9p-3, 0x1.02877027d4d03p-3, 0x1.fb5ec2e96f995p-4, 0x1.f1d1ad103a62ap-4, 0x1.e8676d03bc72p-4, 0x1.df1fcf03d5a33p-4, 0x1.d5fa9d652b989p-4, 0x1.ccf7a0a54c3e2p-4, 0x1.c4169f7e963e1p-4, 0x1.bb575efba9d53p-4, 0x1.b2b9a28a950b6p-4, 0x1.aa3d2c0f949b8p-4, 0x1.a1e1bbf783efcp-4, 0x1.99a71149ec5b1p-4, 0x1.918ce9babaf55p-4, 0x1.899301bba2b99p-4, 0x1.81b9148d1841bp-4, 0x1.79fedc4efbe18p-4, 0x1.72641210e927dp-4, 0x1.6ae86de22a5e6p-4, 0x1.638ba6e156026p-4, 0x1.5c4d734b922b5p-4, 0x1.552d888b80dc7p-4, 0x1.4e2b9b47d4e7ep-4, 0x1.47475f718fbc2p-4, 0x1.40808851e9b31p-4, 0x1.39d6c897e4b39p-4, 0x1.3349d2658a084p-4, 0x1.2cd9575cd33dcp-4, 0x1.268508ac41ba3p-4, 0x1.204c971b21e38p-4, 0x1.1a2fb3157d866p-4, 0x1.142e0cb7bc6f2p-4, 0x1.0e4753d9f632ep-4, 0x1.087b381af30b9p-4, 0x1.02c968eae02ep-4, 0x1.fa632b2b6a447p-5, 0x1.ef66da9a9a932p-5, 0x1.e49d3e666b7eap-5, 0x1.da05b4c4608fap-5, 0x1.cf9f9beeda7bap-5, 0x1.c56a5236f8478p-5, 0x1.bb653615e9eabp-5, 0x1.b18fa63db3bfbp-5, 0x1.a7e901a96a23ep-5, 0x1.9e70a7ace10fap-5, 0x1.9525f803d437dp-5, 0x1.8c0852e08d5bap-5, 0x1.831718fa031bcp-5, 0x1.7a51ab997a90bp-5, 0x1.71b76ca7a928cp-5, 0x1.6947beb958e9dp-5, 0x1.6102051b93ab2p-5, 0x1.58e5a3df5491dp-5, 0x1.50f1ffe4c6257p-5, 0x1.49267ee608c4dp-5, 0x1.418287818a458p-5, 0x1.3a058143ed56cp-5, 0x1.32aed4b1815b3p-5, 0x1.2b7deb4f52d1fp-5, 0x1.24722fabce52fp-5, 0x1.1d8b0d66fff8bp-5, 0x1.16c7f13a6cc1ep-5, 0x1.102849008805bp-5, 0x1.09ab83bbca433p-5, 0x1.0351119d67893p-5, 0x1.fa30c81757965p-6, 0x1.ee01db4ff3f31p-6, 0x1.e21444a8ebe87p-6, 0x1.d666ee72aaf26p-6, 0x1.caf8c593bee43p-6, 0x1.bfc8b9922e561p-6, 0x1.b4d5bc9c2ea13p-6, 0x1.aa1ec39043f92p-6, 0x1.9fa2c604c114fp-6, 0x1.9560be4eb5e25p-6, 0x1.8b57a988517b8p-6, 0x1.81868796ad877p-6, 0x1.77ec5b2f1e738p-6, 0x1.6e8829dbf1504p-6, 0x1.6558fc00af3c8p-6, 0x1.5c5ddcdde38f6p-6, 0x1.5395da94640bcp-6, 0x1.4b00062825acfp-6, 0x1.429b73829ca2dp-6, 0x1.3a673974ab036p-6, 0x1.326271b828beap-6, 0x1.2a8c38f0fd183p-6, 0x1.22e3aeadd3809p-6, 0x1.1b67f5687222bp-6, 0x1.14183285aded5p-6, 0x1.0cf38e54fee94p-6, 0x1.05f9340fc7db9p-6, 0x1.fe50a3b071262p-7, 0x1.f100316fd5172p-7, 0x1.e3ff793c4b369p-7, 0x1.d74ce8bbb84a8p-7, 0x1.cae6f356b5301p-7, 0x1.becc123365551p-7, 0x1.b2fac42fb96bap-7, 0x1.a7718ddb3be4ep-7, 0x1.9c2ef97057b92p-7, 0x1.913196cd21ee2p-7, 0x1.8677fb6bb98f2p-7, 0x1.7c00c25a316dep-7, 0x1.71ca8c320c1c4p-7, 0x1.67d3ff0f620c9p-7, 0x1.5e1bc6878d412p-7, 0x1.54a0939f95a65p-7, 0x1.4b611cc22e3e9p-7, 0x1.425c1db56b3aep-7, 0x1.39905790223adp-7, 0x1.30fc90af0649fp-7, 0x1.289f94a976754p-7, 0x1.207834460c0ffp-7, 0x1.1885456ee8eedp-7, 0x1.10c5a325caab8p-7, 0x1.09382d77e5548p-7, 0x1.01dbc97189e6p-7, 0x1.f55ec22338b29p-8, 0x1.e763c679b714bp-8, 0x1.d9c48761feea9p-8, 0x1.cc7ef5ef60167p-8, 0x1.bf910cb2b0d8ep-8, 0x1.b2f8cf9fb21ebp-8, 0x1.a6b44bf237dafp-8, 0x1.9ac198131be6p-8, 0x1.8f1ed37cfec23p-8, 0x1.83ca26a0df486p-8, 0x1.78c1c2ca89cbep-8, 0x1.6e03e204e8p-8, 0x1.638ec6fe3397fp-8, 0x1.5960bcec12a9ep-8, 0x1.4f78176f9fcdcp-8, 0x1.45d332796501fp-8, 0x1.3c70722d4b04ap-8, 0x1.334e42c684756p-8, 0x1.2a6b187b75dd3p-8, 0x1.21c56f619ed75p-8, 0x1.195bcb518a433p-8, 0x1.112cb7cac6a08p-8, 0x1.0936c7d7eb5d3p-8, 0x1.017895f2ad0f4p-8, 0x1.f3e187d00e24ap-9, 0x1.e53bf578edc28p-9, 0x1.d6fdd520acccp-9, 0x1.c9249508999b9p-9, 0x1.bbadb13bc1b92p-9, 0x1.ae96b35857cdep-9, 0x1.a1dd32595db5fp-9, 0x1.957ed260a2738p-9, 0x1.8979448105efep-9, 0x1.7dca46891ac07p-9, 0x1.726fa2ce1b3bap-9, 0x1.67672ff73ed2bp-9, 0x1.5caed0c96e8ddp-9, 0x1.524473f35c0dcp-9, 0x1.482613da05324p-9, 0x1.3e51b6659a459p-9, 0x1.34c56ccedaf03p-9, 0x1.2b7f536cdc71bp-9, 0x1.227d918347324p-9, 0x1.19be5911069bfp-9, 0x1.113fe69f755c9p-9, 0x1.09008111fda02p-9, 0x1.00fe79763d95cp-9, 0x1.f27055a93fd9ap-10, 0x1.e357f402fc7bbp-10, 0x1.d4b0aadd7c59bp-10, 0x1.c67769fbe48cfp-10, 0x1.b8a933a60872ap-10, 0x1.ab431c4eb6f12p-10, 0x1.9e424a3b26d87p-10, 0x1.91a3f52b6877cp-10, 0x1.85656603eb0bap-10, 0x1.7983f67810634p-10, 0x1.6dfd10b5de809p-10, 0x1.62ce2f12baee6p-10, 0x1.57f4dbb93f906p-10, 0x1.4d6eb0582d6d6p-10, 0x1.433955d269304p-10, 0x1.395283f01a241p-10, 0x1.2fb80110dd08ap-10, 0x1.2667a1df0abfcp-10, 0x1.1d5f49042295ep-10, 0x1.149ce6de3c00ep-10, 0x1.0c1e793699b9bp-10, 0x1.03e20af95298ep-10, 0x1.f7cb67dc19a92p-11, 0x1.e84f30e39e3b4p-11, 0x1.d94bd263ce8c1p-11, 0x1.cabdc5cfc369ep-11, 0x1.bca19c2d28806p-11, 0x1.aef3fd90700ep-11, 0x1.a1b1a89b26a17p-11, 0x1.94d771fc613f7p-11, 0x1.886243f342c97p-11, 0x1.7c4f1dd395b72p-11, 0x1.709b138c78c9dp-11, 0x1.65434d31169dap-11, 0x1.5a45068367a5dp-11, 0x1.4f9d8e80f9d97p-11, 0x1.454a46f1b8e27p-11, 0x1.3b48a3f8b48edp-11, 0x1.31962ba6dd681p-11, 0x1.2830758fb9b2bp-11, 0x1.1f152a60046acp-11, 0x1.164203763c19ap-11, 0x1.0db4ca7d14e8p-11, 0x1.056b5907cbabdp-11, 0x1.fac73060ad96bp-12, 0x1.eb37006ed8cd6p-12, 0x1.dc22304cb7f4dp-12, 0x1.cd84eae565668p-12, 0x1.bf5b774752a5ap-12, 0x1.b1a237f2a7866p-12, 0x1.a455aa2b17317p-12, 0x1.9772654d2a1c2p-12, 0x1.8af51a26e6714p-12, 0x1.7eda9253d51d1p-12, 0x1.731faf9c53464p-12, 0x1.67c16b5825648p-12, 0x1.5cbcd5d44773fp-12, 0x1.520f15bbe1807p-12, 0x1.47b5678466638p-12, 0x1.3dad1cdcc308cp-12, 0x1.33f39c1f9a2c7p-12, 0x1.2a865fc883907p-12, 0x1.2162f5ec3a659p-12, 0x1.1886ffb3b98d6p-12, 0x1.0ff030da357fbp-12, 0x1.079c4f2de8901p-12, 0x1.ff1264274f57ep-13, 0x1.ef69841a6e046p-13, 0x1.e039f084983a9p-13, 0x1.d17fbc1874925p-13, 0x1.c3371908769d6p-13, 0x1.b55c582892847p-13, 0x1.a7ebe814f992bp-13, 0x1.9ae2545dd4e04p-13, 0x1.8e3c44b7ddaefp-13, 0x1.81f67c31c25bdp-13, 0x1.760dd86e45e2p-13, 0x1.6a7f50e3019d5p-13, 0x1.5f47f61bb0fa5p-13, 0x1.5464f101fe128p-13, 0x1.49d38229a7926p-13, 0x1.3f910121046b4p-13, 0x1.359adbc5ba136p-13, 0x1.2bee959d9e20dp-13, 0x1.2289c733b054dp-13, 0x1.196a1d790bc2dp-13, 0x1.108d5929d395dp-13, 0x1.07f14e35ee694p-13, 0x1.ff27c65b1cd29p-14, 0x1.eee62162df6afp-14, 0x1.df19c1cd6b35p-14, 0x1.cfbedddcb241ap-14, 0x1.c0d1ccc02dd6fp-14, 0x1.b24f059192fc1p-14, 0x1.a4331e5830faep-14, 0x1.967acb12f0d71p-14, 0x1.8922dcc8baffap-14, 0x1.7c28409f2b178p-14, 0x1.6f87fef773638p-14, 0x1.633f3a9147b19p-14, 0x1.574b2fb3b370ep-14, 0x1.4ba9335bbabc1p-14, 0x1.4056b270a3becp-14, 0x1.355130fdcd9f6p-14, 0x1.2a964971f0b7ep-14, 0x1.2023abe3af6e9p-14, 0x1.15f71d5b54eb6p-14, 0x1.0c0e7721a7e6bp-14, 0x1.0267a613b1521p-14, 0x1.f20153f6bbffap-15, 0x1.dfaf29d9b66fep-15, 0x1.cdd515512c8ap-15, 0x1.bc6f8003816aap-15, 0x1.ab7af49281fdfp-15, 0x1.9af41d79e848dp-15, 0x1.8ad7c3f64b04fp-15, 0x1.7b22cef44c86dp-15, 0x1.6bd24207ceeb4p-15, 0x1.5ce33c6b058f7p-15, 0x1.4e52f8052b41bp-15, 0x1.401ec878b3bd5p-15, 0x1.32441a38c7149p-15, 0x1.24c071a5d8327p-15, 0x1.17916a312fe84p-15, 0x1.0ab4b587367a5p-15, 0x1.fc503580b5c7cp-16, 0x1.e3d2eb30cb7abp-16, 0x1.cbed6b5823272p-16, 0x1.b49bbb797ff4dp-16, 0x1.9dda05f4482a1p-16, 0x1.87a498a36bccfp-16, 0x1.71f7e387a1bf8p-16, 0x1.5cd0777ca2b5bp-16, 0x1.482b04f91aaddp-16, 0x1.34045ad90bbfap-16, 0x1.205965325aeb1p-16, 0x1.0d272c333d675p-16, 0x1.f4d5a6148e127p-17, 0x1.d0432dafa9272p-17, 0x1.ac919b5126825p-17, 0x1.89bbcaf1c509dp-17, 0x1.67bcc681a40ffp-17, 0x1.468fc41108897p-17, 0x1.263024095fb2dp-17, 0x1.06996f7620765p-17, 0x1.cf8eacba0f68bp-18, 0x1.936b5c4a9111bp-18, 0x1.58c0e01a832b2p-18, 0x1.1f876f5c95e26p-18, 0x1.cf6f0638d87d2p-19, 0x1.6293a6f860a33p-19, 0x1.f0dd542fe2229p-20, 0x1.21e4d8e8d7279p-20, 0x1.608dcdc71797dp-22, -0x1.b201c30626eaep-22, -0x1.2c1f9d42f4018p-20, -0x1.e6d219748c8cap-20, -0x1.4e57997e98ee7p-19, -0x1.a6e6c2f4e4beep-19, -0x1.fd21823ed44a4p-19, -0x1.28893fad30dd1p-18, -0x1.51620a5e80a2bp-18, -0x1.7920296509138p-18, -0x1.9fc88192e3839p-18, -0x1.c55fd5f2cfde1p-18, -0x1.e9eac94fc926ep-18, -0x1.06b6efd63f231p-17, -0x1.17f6bfd598b2bp-17, -0x1.28b6f9f3423c6p-17, -0x1.38f9b61dd8e2bp-17, -0x1.48c0ff8354bb5p-17, -0x1.580ed5284a8a3p-17, -0x1.66e52a7893bd7p-17, -0x1.7545e7d1a6bc2p-17, -0x1.8332eb06bc10dp-17, -0x1.90ae07df0daf5p-17, -0x1.9db9088e698bep-17, -0x1.aa55ae2828cf8p-17, -0x1.b685b10ce502cp-17, -0x1.c24ac1530ae45p-17, -0x1.cda6872a6a9fp-17, -0x1.d89aa33b18f69p-17, -0x1.e328aeffaa0fcp-17, -0x1.ed523d1afe08ep-17, -0x1.f718d9a9d4b57p-17, -0x1.003f054821eedp-16, -0x1.04c1a7e198946p-16, -0x1.091511c708fe3p-16, -0x1.0d39fd6a7b8a1p-16, -0x1.113122a98ebc3p-16, -0x1.14fb36eb0f619p-16, -0x1.1898ed3af034ap-16, -0x1.1c0af664bbacfp-16, -0x1.1f52010c7c5f3p-16, -0x1.226eb9c64390bp-16, -0x1.2561cb2c460fp-16, -0x1.282bddf3b29ccp-16, -0x1.2acd99003e57cp-16, -0x1.2d47a17681c2ep-16, -0x1.2f9a9acd2ceedp-16, -0x1.31c726dd20738p-16, -0x1.33cde5f07a5b7p-16, -0x1.35af76d0a3414p-16, -0x1.376c76d35dc88p-16, -0x1.390581e6f48c6p-16, -0x1.3a7b329d82e9bp-16, -0x1.3bce223767c5fp-16, -0x1.3cfee8acf22dfp-16, -0x1.3e0e1cb744eap-16, -0x1.3efc53d88a4p-16, -0x1.3fca226370aefp-16, }}, 
      {{0x1.ffaf7c365fb8p-1, 0x1.febfab89cf98ap-1, 0x1.fd358bf16cf02p-1, 0x1.fb18e29e22049p-1, 0x1.f8739f4f6227fp-1, 0x1.f5513a90b751bp-1, 0x1.f1be1e8ba0393p-1, 0x1.edc72268c4a6bp-1, 0x1.e9791b6b32bep-1, 0x1.e4e0840cb43bfp-1, 0x1.e00937c0ed6p-1, 0x1.dafe4131416f7p-1, 0x1.d5c9b86f28e62p-1, 0x1.d074ae92471f4p-1, 0x1.cb072459eaa95p-1, 0x1.c58809a1fdba2p-1, 0x1.bffd43bcce848p-1, 0x1.ba6bb9060e57ep-1, 0x1.b4d76043a08a7p-1, 0x1.af4352a405d82p-1, 0x1.a9b1df5f7ba17p-1, 0x1.a424a02ff19cfp-1, 0x1.9e9c8dfcf2c9cp-1, 0x1.991a153bea016p-1, 0x1.939d29a333a13p-1, 0x1.8e2558e7d642ap-1, 0x1.88b1dc52d8cb9p-1, 0x1.8341a90cb5a47p-1, 0x1.7dd37f0b9f6acp-1, 0x1.7865f69cc0f4bp-1, 0x1.72f78c89b158cp-1, 0x1.6d86ace247776p-1, 0x1.6811bc78407a6p-1, 0x1.6297211df1024p-1, 0x1.5d1548bbd53b6p-1, 0x1.578aaf5268b3ep-1, 0x1.51f5e3fe83a7dp-1, 0x1.4c558d16a6cbcp-1, 0x1.46a86b774bef6p-1, 0x1.40ed5d13ab211p-1, 0x1.3b235edf68a4p-1, 0x1.35498e247bc76p-1, 0x1.2f5f29576240dp-1, 0x1.2963907a54082p-1, 0x1.2356451ed58bp-1, 0x1.1d36ea13afe24p-1, 0x1.170542cbfc921p-1, 0x1.10c1328ab9e4fp-1, 0x1.0a6abb5d22b12p-1, 0x1.0401fcecea002p-1, 0x1.fb0e6664dedd3p-2, 0x1.edf56a1c14c33p-2, 0x1.e0b9e59d57b61p-2, 0x1.d35ce9568c0edp-2, 0x1.c5dfb26770148p-2, 0x1.b843a77a9a25dp-2, 0x1.aa8a559ca12d1p-2, 0x1.9cb56d1762d93p-2, 0x1.8ec6be5676d68p-2, 0x1.80c036d9079f5p-2, 0x1.72a3de3498b2fp-2, 0x1.6473d32b9df12p-2, 0x1.563248da445b9p-2, 0x1.47e183fb4425fp-2, 0x1.3983d84638f34p-2, 0x1.2b1ba5e895549p-2, 0x1.1cab571a05148p-2, 0x1.0e355dccb9e59p-2, 0x1.ff7862f3f6952p-3, 0x1.e2849a1619447p-3, 0x1.c59459bcb3014p-3, 0x1.a8ac99d17999bp-3, 0x1.8bd24de507448p-3, 0x1.6f0a61df94a6fp-3, 0x1.5259b6e7574fdp-3, 0x1.35c5207b67abp-3, 0x1.195161c1dbc54p-3, 0x1.fa06560f9a0ecp-4, 0x1.c1be2ee39b975p-4, 0x1.89d355b6a5446p-4, 0x1.524e9fc715d84p-4, 0x1.1b38ac4c209f5p-4, 0x1.c933c27770b8bp-5, 0x1.5cf4d0c391dcdp-5, 0x1.e388b316271c6p-6, 0x1.0f636166c1e45p-6, 0x1.ecba3e8a4eb37p-9, -0x1.237e23a5e5298p-7, -0x1.5e843d38c0708p-6, -0x1.144ef55692962p-5, -0x1.77f9769d5aeedp-5, -0x1.da359ef6198cp-5, -0x1.1d7bff8e891cep-4, -0x1.4d1ade6bc4314p-4, -0x1.7bf249b360abap-4, -0x1.a9fd69d0b82e8p-4, -0x1.d737b1dc73fe6p-4, -0x1.01ce6fabd1b17p-3, -0x1.17947ce0e4a02p-3, -0x1.2cec2906396d9p-3, -0x1.41d3c0f74519cp-3, -0x1.5649b58ceff5fp-3, -0x1.6a4c9b2a7abbp-3, -0x1.7ddb293da3654p-3, -0x1.90f439b311b75p-3, -0x1.a396c85ff63edp-3, -0x1.b5c1f261eac73p-3, -0x1.c774f575e04b7p-3, -0x1.d8af2f470e0dfp-3, -0x1.e9701cb6ade8ap-3, -0x1.f9b7591d51e6cp-3, -0x1.04c24ec34ba77p-2, -0x1.0c6bdff3f70a2p-2, -0x1.13d8592992bd4p-2, -0x1.1b07c112b3d8ap-2, -0x1.21fa2b999cf7bp-2, -0x1.28afb97912c52p-2, -0x1.2f2897d04226fp-2, -0x1.3564ffb605022p-2, -0x1.3b6535cbbc8f3p-2, -0x1.412989d002576p-2, -0x1.46b25631611cap-2, -0x1.4bffffa1510bdp-2, -0x1.5112f4a7a0907p-2, -0x1.55ebad367e911p-2, -0x1.5a8aaa3f49437p-2, -0x1.5ef075484d22ep-2, -0x1.631da00396c71p-2, -0x1.6712c3e6fb3bdp-2, -0x1.6ad081c56fea9p-2, -0x1.6e578169d8598p-2, -0x1.71a8713355a09p-2, -0x1.74c405b33f98cp-2, -0x1.77aaf94ccc9dap-2, -0x1.7a5e0bd687fb5p-2, -0x1.7cde023d9f646p-2, -0x1.7f2ba62b1ddd7p-2, -0x1.8147c5ab1814cp-2, -0x1.833332d5e102ep-2, -0x1.84eec37b46655p-2, -0x1.867b50cfe71a7p-2, -0x1.87d9b71c9f69dp-2, -0x1.890ad5701c5fbp-2, -0x1.8a0f8d5291d5dp-2, -0x1.8ae8c27b99522p-2, -0x1.8b975a8a3e91p-2, -0x1.8c1c3cbf33239p-2, -0x1.8c7851b932cd5p-2, -0x1.8cac83338e14ap-2, -0x1.8cb9bbc6defa5p-2, -0x1.8ca0e6abe4539p-2, -0x1.8c62ef807cbdbp-2, -0x1.8c00c20ec35dcp-2, -0x1.8b7b4a1641ab1p-2, -0x1.8ad3731737266p-2, -0x1.8a0a281fee311p-2, -0x1.8920539c192ebp-2, -0x1.8816df262b2f2p-2, -0x1.86eeb35ab0f81p-2, -0x1.85a8b7ad931ebp-2, -0x1.8445d2414526cp-2, -0x1.82c6e7bfd6378p-2, -0x1.812cdb35d472ap-2, -0x1.7f788def03cebp-2, -0x1.7daadf54d90fbp-2, -0x1.7bc4acceaec08p-2, -0x1.79c6d1a3b1fafp-2, -0x1.77b226de70ff6p-2, -0x1.7587833211c6p-2, -0x1.7347bae115b43p-2, -0x1.70f39fa5b09f5p-2, -0x1.6e8c009b9bcd1p-2, -0x1.6c11aa2b62bebp-2, -0x1.698565f7208a9p-2, -0x1.66e7fac89c9d4p-2, -0x1.643a2c80c3cdcp-2, -0x1.617cbc087255cp-2, -0x1.5eb0674281ecbp-2, -0x1.5bd5e8ff16be7p-2, -0x1.58edf8f01c4ap-2, -0x1.55f94b9eed50ep-2, -0x1.52f892631c4a1p-2, -0x1.4fec7b5a4e44bp-2, -0x1.4cd5b16126083p-2, -0x1.49b4dc0d315e8p-2, -0x1.468a9fa7d02ep-2, -0x1.43579d2a0f394p-2, -0x1.401c72396873dp-2, -0x1.3cd9b9256413fp-2, -0x1.399008e614396p-2, -0x1.363ff51b5a03p-2, -0x1.32ea0e0cf563bp-2, -0x1.2f8ee0ab52863p-2, -0x1.2c2ef6910b119p-2, -0x1.28cad60519fep-2, -0x1.256301fdb5a7ep-2, -0x1.21f7fa23c593fp-2, -0x1.1e8a3ad6f536ap-2, -0x1.1b1a3d3256fbfp-2, -0x1.17a877118d036p-2, -0x1.14355b167b849p-2, -0x1.10c158af72632p-2, -0x1.0d4cdc1dd0264p-2, -0x1.09d84e7d12e2fp-2, -0x1.066415ca5243ep-2, -0x1.02f094ec1eb8dp-2, -0x1.fefc57757a031p-3, -0x1.f81a6e11727dap-3, -0x1.f13c21579c072p-3, -0x1.ea621f0c29b15p-3, -0x1.e38d0f1f07707p-3, -0x1.dcbd93bf51178p-3, -0x1.d5f4496f455b7p-3, -0x1.cf31c718b238cp-3, -0x1.c8769e21c21b6p-3, -0x1.c1c35a8229c7cp-3, -0x1.bb1882d8b0de2p-3, -0x1.b476988106e3cp-3, -0x1.adde17a9db269p-3, -0x1.a74f776b3a1d7p-3, -0x1.a0cb29dd1c0aep-3, -0x1.9a519c2e25c2bp-3, -0x1.93e336ba93a8bp-3, -0x1.8d805d2341b5ep-3, -0x1.87296e64d328bp-3, -0x1.80dec4eef113p-3, -0x1.7aa0b6bb91b53p-3, -0x1.746f95664eccp-3, -0x1.6e4bae43be82cp-3, -0x1.68354a78c7ff7p-3, -0x1.622caf11f62c6p-3, -0x1.5c321d1abc6f2p-3, -0x1.5645d1b4aaa8cp-3, -0x1.5068062e8ddc6p-3, -0x1.4a98f01b7ad84p-3, -0x1.44d8c169b3eccp-3, -0x1.3f27a8797a694p-3, -0x1.3985d033b0981p-3, -0x1.33f3602057abp-3, -0x1.2e707c7ce996dp-3, -0x1.28fd465278005p-3, -0x1.2399db8ba474dp-3, -0x1.1e46570a62fb4p-3, -0x1.1902d0bd8296dp-3, -0x1.13cf5db5fe5fcp-3, -0x1.0eac103c1812ep-3, -0x1.0998f7e42ee5fp-3, -0x1.049621a359abp-3, -0x1.ff472fc786c19p-4, -0x1.f582c5317d832p-4, -0x1.ebdf0ea52fb24p-4, -0x1.e25c12a44744cp-4, -0x1.d8f9d33800f5fp-4, -0x1.cfb84e172e832p-4, -0x1.c6977ccb970fcp-4, -0x1.bd9754d6c2007p-4, -0x1.b4b7c7d63fa7dp-4, -0x1.abf8c3a7393b2p-4, -0x1.a35a328985a1fp-4, -0x1.9adbfb4209129p-4, -0x1.927e013c9117ep-4, -0x1.8a4024acf9474p-4, -0x1.822242afcaca7p-4, -0x1.7a24356a2d92cp-4, -0x1.7245d42941602p-4, -0x1.6a86f380d6576p-4, -0x1.62e765698824fp-4, -0x1.5b66f95e37ce6p-4, -0x1.54057c78ea2cp-4, -0x1.4cc2b98f05989p-4, -0x1.459e794cf2b45p-4, -0x1.3e988251211d3p-4, -0x1.37b099466dd2fp-4, -0x1.30e680fdeef8p-4, -0x1.2a39fa8824966p-4, -0x1.23aac54d8ffc7p-4, -0x1.1d389f26b185ep-4, -0x1.16e344736f195p-4, -0x1.10aa7031e4c35p-4, -0x1.0a8ddc14a0232p-4, -0x1.048d4098475cep-4, -0x1.fd50aa315dd15p-5, -0x1.f1bd9fcabcd9ap-5, -0x1.e660ccab0bba2p-5, -0x1.db3999b6cbba7p-5, -0x1.d0476e2e58361p-5, -0x1.c589afd28a0fep-5, -0x1.baffc3084cedcp-5, -0x1.b0a90afb247adp-5, -0x1.a684e9beaa221p-5, -0x1.9c92c06f055cbp-5, -0x1.92d1ef5060b24p-5, -0x1.8941d5ed6380ep-5, -0x1.7fe1d334ae17cp-5, -0x1.76b145956365fp-5, -0x1.6daf8b1abe7b5p-5, -0x1.64dc0186bae4dp-5, -0x1.5c36066bd3c36p-5, -0x1.53bcf745db04bp-5, -0x1.4b703191f1e54p-5, -0x1.434f12e5a0f7bp-5, -0x1.3b58f90519e6ep-5, -0x1.338d41f8a0215p-5, -0x1.2beb4c2125188p-5, -0x1.2472764c12cdfp-5, -0x1.1d221fc6520b8p-5, -0x1.15f9a86e880efp-5, -0x1.0ef870c696eaap-5, -0x1.081dda045ed92p-5, -0x1.01694621c94fdp-5, -0x1.f5b42fd83fd84p-6, -0x1.e8df66255fe11p-6, -0x1.dc52f8698d41fp-6, -0x1.d00db1de048d2p-6, -0x1.c40e5fcffdc6bp-6, -0x1.b853d1b8c9d81p-6, -0x1.acdcd954b40e4p-6, -0x1.a1a84ab8b44e9p-6, -0x1.96b4fc66f585ap-6, -0x1.8c01c7623fcc5p-6, -0x1.818d874044da7p-6, -0x1.77571a3ada08cp-6, -0x1.6d5d614026ed1p-6, -0x1.639f4001d4854p-6, -0x1.5a1b9d03396dbp-6, -0x1.50d161a693522p-6, -0x1.47bf7a3954a21p-6, -0x1.3ee4d5ff83043p-6, -0x1.3640673e3fde6p-6, -0x1.2dd123456ac21p-6, -0x1.25960278787b8p-6, -0x1.1d8e00567922p-6, -0x1.15b81b815bf06p-6, -0x1.0e1355c469dc9p-6, -0x1.069eb41a1042ap-6, -0x1.feb27d61df5c7p-7, -0x1.f08401e08380bp-7, -0x1.e2b012f7228d6p-7, -0x1.d534d46ba963bp-7, -0x1.c8107087d0367p-7, -0x1.bb41181ce708ep-7, -0x1.aec5028670c76p-7, -0x1.a29a6dabbb6aap-7, -0x1.96bf9e004c564p-7, -0x1.8b32de8361ae6p-7, -0x1.7ff280be6de8ap-7, -0x1.74fcdcc29d12p-7, -0x1.6a5051257e87fp-7, -0x1.5feb42fcc7e2cp-7, -0x1.55cc1dd947949p-7, -0x1.4bf153c108a65p-7, -0x1.42595d28b8be7p-7, -0x1.3902b8ec4c5aep-7, -0x1.2febec46f5184p-7, -0x1.271382ca6df64p-7, -0x1.1e780e55a435ep-7, -0x1.1618270ac6d14p-7, -0x1.0df26b44c2509p-7, -0x1.06057f8c316edp-7, -0x1.fca01d17944ebp-8, -0x1.eda1920898c3ep-8, -0x1.df0ccb7ff515p-8, -0x1.d0df430b44d3ap-8, -0x1.c3167e1678e1bp-8, -0x1.b5b00dd04f075p-8, -0x1.a8a98f0e0f327p-8, -0x1.9c00aa2e9b0afp-8, -0x1.8fb312fcd9b54p-8, -0x1.83be88918b95ep-8, -0x1.7820d53490c7ep-8, -0x1.6cd7ce3dad891p-8, -0x1.61e153f4d59dp-8, -0x1.573b517207a97p-8, -0x1.4ce3bc7cc60e6p-8, -0x1.42d8956b309acp-8, -0x1.3917e700ce08ep-8, -0x1.2f9fc64d07825p-8, -0x1.266e528964cfbp-8, -0x1.1d81b4f78dfbbp-8, -0x1.14d820bf17c3ep-8, -0x1.0c6fd2cb2978fp-8, -0x1.044711a7fa575p-8, -0x1.f8b85ac06d546p-9, -0x1.e95afeb49613bp-9, -0x1.da72d46b46fe3p-9, -0x1.cbfcb34fb9b81p-9, -0x1.bdf584b3f0aa6p-9, -0x1.b05a438b17745p-9, -0x1.a327fc23fb00fp-9, -0x1.965bcbe398b1dp-9, -0x1.89f2e0ffd190ep-9, -0x1.7dea7a3a4d5c5p-9, -0x1.723fe69b939d4p-9, -0x1.66f0852e657bfp-9, -0x1.5bf9c4bb5fa27p-9, -0x1.51592384ef70ap-9, -0x1.470c2f039ca12p-9, -0x1.3d1083a2b7b33p-9, -0x1.3363cc7d6b68bp-9, -0x1.2a03c31c3f6b4p-9, -0x1.20ee2f330a686p-9, -0x1.1820e65f64876p-9, -0x1.0f99cbe791c8ap-9, -0x1.0756d079f9b0bp-9, -0x1.feabe3da443eap-10, -0x1.ef2a760079078p-10, -0x1.e0258638907f5p-10, -0x1.d1995c2b8db02p-10, -0x1.c38257de200dcp-10, -0x1.b5dcf1368c7a8p-10, -0x1.a8a5b783d3ccep-10, -0x1.9bd951062699bp-10, -0x1.8f747a78b063fp-10, -0x1.8374069cb3722p-10, -0x1.77d4ddc6062b7p-10, -0x1.6c93fd68e7db9p-10, -0x1.61ae77a947e24p-10, -0x1.572172eb66893p-10, -0x1.4cea2965ede76p-10, -0x1.4305e8b571edap-10, -0x1.3972117163ff5p-10, -0x1.302c16c27e97fp-10, -0x1.27317dfa9dbb3p-10, -0x1.1e7fde2e15138p-10, -0x1.1614dfce7f3d9p-10, -0x1.0dee3c4701bfcp-10, -0x1.0609bd9a10b74p-10, -0x1.fcca7c0150683p-11, -0x1.edfd4f1609017p-11, -0x1.dfa7e785a6b9ep-11, -0x1.d1c6569dbff3bp-11, -0x1.c454cb3072121p-11, -0x1.b74f90e19ff2cp-11, -0x1.aab30f77212e3p-11, -0x1.9e7bca2bde10ep-11, -0x1.92a65f05d8c1p-11, -0x1.872f862f1be8fp-11, -0x1.7c1411518fcccp-11, -0x1.7150eaf5afefcp-11, -0x1.66e315e41afcbp-11, -0x1.5cc7ac89fd9cfp-11, -0x1.52fbe0604de2ep-11, -0x1.497cf955d6d4bp-11, -0x1.4048553c0aa24p-11, -0x1.375b673699b8cp-11, -0x1.2eb3b72dc5ebap-11, -0x1.264ee1436ec67p-11, -0x1.1e2a954acbc4p-11, -0x1.16449642d4df6p-11, -0x1.0e9ab9d34c345p-11, -0x1.072ae7cc66e34p-11, -0x1.ffe6335215454p-12, -0x1.f1e2b42738538p-12, -0x1.e44788daa8a67p-12, -0x1.d71108b02cabbp-12, -0x1.ca3baa857f4bp-12, -0x1.bdc403efd0815p-12, -0x1.b1a6c85e1cec1p-12, -0x1.a5e0c84048e87p-12, -0x1.9a6ef032eccdbp-12, -0x1.8f4e482fcbf6cp-12, -0x1.847bf2c2dc7a1p-12, -0x1.79f52c43d61b9p-12, -0x1.6fb74a1433c1ep-12, -0x1.65bfb9e19df7fp-12, -0x1.5c0c00eca303ep-12, -0x1.5299bb53bb388p-12, -0x1.49669b6279148p-12, -0x1.407068e4e27b5p-12, -0x1.37b5007eda431p-12, -0x1.2f3253078d081p-12, -0x1.26e664e8d0285p-12, -0x1.1ecf4d8261571p-12, -0x1.16eb3690fa9f4p-12, -0x1.0f385b99236ap-12, -0x1.07b50955b83a9p-12, -0x1.005f9d2a0bda2p-12, -0x1.f26d092f41335p-13, -0x1.e470796eb9ad5p-13, -0x1.d6c6a36c671cdp-13, -0x1.c96cbcaa58911p-13, -0x1.bc6016d97610bp-13, -0x1.af9e1ee6b8398p-13, -0x1.a3245c0ec2ae3p-13, -0x1.96f06ef7c0e6p-13, -0x1.8b0010d167a44p-13, -0x1.7f51127b0660cp-13, -0x1.73e15baf7ab15p-13, -0x1.68aeea36f2c98p-13, -0x1.5db7d11e5dbep-13, -0x1.52fa37f46e85p-13, -0x1.48745a0c0f7a6p-13, -0x1.3e2485c434634p-13, -0x1.34091bd4dde7cp-13, -0x1.2a208ea14582p-13, -0x1.2069618f06a51p-13, -0x1.16e2286233ff9p-13, -0x1.0d89869e34d24p-13, -0x1.045e2eeb5a247p-13, -0x1.f6bdc50216d12p-14, -0x1.e514e128d0ae3p-14, -0x1.d3bf6b96b6fe6p-14, -0x1.c2bb3767df391p-14, -0x1.b206307fb2932p-14, -0x1.a19e5a8830d32p-14, -0x1.9181cff93757dp-14, -0x1.81aec1279c0b9p-14, -0x1.7223735be6664p-14, -0x1.62de3ff07ff16p-14, -0x1.53dd93772a95cp-14, -0x1.451fece590342p-14, -0x1.36a3dcc8c07afp-14, -0x1.2868047f6fefbp-14, -0x1.1a6b157acda86p-14, -0x1.0cabd085c6183p-14, -0x1.fe520a2513b9ap-15, -0x1.e3c3211c5d82p-15, -0x1.c9a8bb7484d8bp-15, -0x1.b000c81854b91p-15, -0x1.96c94e244e5dbp-15, -0x1.7e006bbbaec1bp-15, -0x1.65a454e827c2cp-15, -0x1.4db3528401f47p-15, -0x1.362bc12e6252fp-15, -0x1.1f0c10496c7f9p-15, -0x1.0852c101fbfe2p-15, -0x1.e3fccac15dd2bp-16, -0x1.b81b3ec80d58dp-16, -0x1.8cfe4046a85a3p-16, -0x1.62a34df46f1c3p-16, -0x1.39080178e27d1p-16, -0x1.102a0de391c8bp-16, -0x1.d00e7c672dc2fp-17, -0x1.813ae7dca7dcfp-17, -0x1.33d54b89f3ba3p-17, -0x1.cfb37921a66d3p-18, -0x1.3a88eaabfba31p-18, -0x1.50474c7ef7736p-19, -0x1.87ca79d718e4p-22, 0x1.d1cb627f30951p-20, 0x1.fd62d25eac31p-19, 0x1.864564148a241p-18, 0x1.059a7935dc2e1p-17, 0x1.46c308051182p-17, 0x1.869f47795eb87p-17, 0x1.c5320d5087431p-17, 0x1.013f0ecae80e6p-16, 0x1.1f43160fcda5ep-16, 0x1.3ca66efd11065p-16, 0x1.596a655fedcedp-16, 0x1.75903ef01cd92p-16, 0x1.91193beaac8cbp-16, 0x1.ac0697a49b58fp-16, 0x1.c65989157af44p-16, 0x1.e013435a6f3e9p-16, 0x1.f934f631bed15p-16, 0x1.08dfe737a5227p-15, 0x1.14da7b350d39p-15, 0x1.208acb31ad5bdp-15, 0x1.2bf16a73753fdp-15, 0x1.370eeb92e7c15p-15, 0x1.41e3e0a55f6bbp-15, 0x1.4c70db647ed2bp-15, 0x1.56b66d52e3cd5p-15, 0x1.60b527de3c316p-15, 0x1.6a6d9c7ed6b9ep-15, 0x1.73e05cd4cac08p-15, 0x1.7d0dfac2caf85p-15, 0x1.85f70886c224fp-15, 0x1.8e9c18d04f6ccp-15, 0x1.96fdbed535ba6p-15, 0x1.9f1c8e63daa48p-15, 0x1.a6f91bf3e3a0cp-15, 0x1.ae93fcb50f699p-15, 0x1.b5edc69c560a4p-15, 0x1.bd07106f6cbeep-15, 0x1.c3e071ceb8787p-15, 0x1.ca7a833dc9adcp-15, 0x1.d0d5de2a6db9p-15, 0x1.d6f31cf26769fp-15, 0x1.dcd2dae7e57f2p-15, 0x1.e275b454c063ep-15, 0x1.e7dc467c9361p-15, 0x1.ed072f9dbe38p-15, 0x1.f1f70ef1612cp-15, 0x1.f6ac84aa5d90cp-15, 0x1.fb2831f36bcc2p-15, 0x1.ff6ab8ec5592p-15, 0x1.01ba5e532d6acp-14, 0x1.03a3708feaa05p-14, 0x1.0570e59f92247p-14, 0x1.0723106673d28p-14, 0x1.08ba4436cf99p-14, 0x1.0a36d4cd5657p-14, 0x1.0b99164d67e3fp-14, 0x1.0ce15d3d0de64p-14, 0x1.0e0ffe80ba7e7p-14, 0x1.0f254f56d143cp-14, 0x1.1021a552fa35bp-14, 0x1.11055659482e8p-14, }}, 
      {{0x1.ffe52468f4306p-1, 0x1.ff94eab56d6e2p-1, 0x1.ff1056a27b21p-1, 0x1.fe5903a3e2d6ap-1, 0x1.fd710c06a5d3p-1, 0x1.fc5aee1e442b3p-1, 0x1.fb1971f3553f3p-1, 0x1.f9af90e4a60eap-1, 0x1.f8205ffce08cp-1, 0x1.f66efd4c52517p-1, 0x1.f49e804e13934p-1, 0x1.f2b1ed3432103p-1, 0x1.f0ac2ade12a7bp-1, 0x1.ee8ffb307adfbp-1, 0x1.ec5ff582fde31p-1, 0x1.ea1e82d7d4554p-1, 0x1.e7cddb976390dp-1, 0x1.e570068e8f226p-1, 0x1.e306d8f5706bap-1, 0x1.e093f74ac86ccp-1, 0x1.de18d6d6f47cep-1, 0x1.db96bfaf58f63p-1, 0x1.d90ecf18d0617p-1, 0x1.d681fa2cce0b2p-1, 0x1.d3f110a974d09p-1, 0x1.d15cbfd8f18a2p-1, 0x1.cec5957ffb7c2p-1, 0x1.cc2c02c673fdap-1, 0x1.c9905f0fd3a43p-1, 0x1.c6f2eabb5f126p-1, 0x1.c453d1c617bc3p-1, 0x1.c1b32e4a04b63p-1, 0x1.bf110ad7d6842p-1, 0x1.bc6d64a9114bfp-1, 0x1.b9c82da9da429p-1, 0x1.b7214e5a4d481p-1, 0x1.b478a787da047p-1, 0x1.b1ce13dfa79c4p-1, 0x1.af21695b5792dp-1, 0x1.ac727a89ca8bbp-1, 0x1.a9c117b5b91d7p-1, 0x1.a70d0fec1301p-1, 0x1.a45631e42b96ep-1, 0x1.a19c4ccbc000fp-1, 0x1.9edf30f8dee2dp-1, 0x1.9c1eb083b888p-1, 0x1.995a9fca4405ap-1, 0x1.9692d5df9e397p-1, 0x1.93c72ce8ea81dp-1, 0x1.90f782696907ap-1, 0x1.8e23b77f59333p-1, 0x1.8b4bb1132c6dp-1, 0x1.886f57fa6cbfap-1, 0x1.858e990fa1dd4p-1, 0x1.82a965406f385p-1, 0x1.7fbfb19300418p-1, 0x1.7cd17723cb1ecp-1, 0x1.79deb31c9ade6p-1, 0x1.76e766a5b9174p-1, 0x1.73eb96d1fedb9p-1, 0x1.70eb4c8685ec9p-1, 0x1.6de6945e9a0fap-1, 0x1.6add7e8c83c86p-1, 0x1.67d01eb7aff9cp-1, 0x1.64be8bd8b11cap-1, 0x1.61a8e0138360ep-1, 0x1.5e8f38907952ap-1, 0x1.5b71b554268c4p-1, 0x1.5850791696f8cp-1, 0x1.552ba91a19033p-1, 0x1.52036d01d7655p-1, 0x1.4ed7eea87bc23p-1, 0x1.4ba959f706781p-1, 0x1.4877dcbc0a0fcp-1, 0x1.4543a6836c5fbp-1, 0x1.420ce86ed0916p-1, 0x1.3ed3d50ec1201p-1, 0x1.3b98a03cb97c1p-1, 0x1.385b7ef61ac1p-1, 0x1.351ca73824589p-1, 0x1.31dc4fdcf9c7p-1, 0x1.2e9ab079c493fp-1, 0x1.2b58013df992ep-1, 0x1.28147ad3c8cb7p-1, 0x1.24d05641bfed9p-1, 0x1.218bcccda031ep-1, 0x1.1e4717e069a0ep-1, 0x1.1b0270eba05fap-1, 0x1.17be114fc5309p-1, 0x1.147a324407508p-1, 0x1.11370cbf263b8p-1, 0x1.0df4d9618472dp-1, 0x1.0ab3d060651bbp-1, 0x1.07742972520bep-1, 0x1.04361bbca178p-1, 0x1.00f9ddc219817p-1, 0x1.fb7f4aa54fed4p-2, 0x1.f50f4ef85430ap-2, 0x1.eea430f87b962p-2, 0x1.e83e5766234c7p-2, 0x1.e1de272e63cd4p-2, 0x1.db8403548d392p-2, 0x1.d5304cdd78f94p-2, 0x1.cee362bca5a8p-2, 0x1.c89da1c30742ap-2, 0x1.c25f648f81869p-2, 0x1.bc290380fae33p-2, 0x1.b5fad4a9f6d83p-2, 0x1.afd52bc5acc2ep-2, 0x1.a9b85a2e86ddep-2, 0x1.a3a4aed600a94p-2, 0x1.9d9a763dcc18p-2, 0x1.9799fa723d14p-2, 0x1.91a38305dc1d8p-2, 0x1.8bb7550e21587p-2, 0x1.85d5b32140477p-2, 0x1.7ffedd54f9a67p-2, 0x1.7a33113e67854p-2, 0x1.747289f2b3cc3p-2, 0x1.6ebd8008af0dfp-2, 0x1.6914299b39934p-2, 0x1.6376ba4c75d51p-2, 0x1.5de56349b10a7p-2, 0x1.5860535001cb7p-2, 0x1.52e7b6b1881bap-2, 0x1.4d7bb75b49972p-2, 0x1.481c7cdb9c8e6p-2, 0x1.42ca2c691b08bp-2, 0x1.3d84e8ea123e1p-2, 0x1.384cd2fc63888p-2, 0x1.332208fdd42a8p-2, 0x1.2e04a714bcf63p-2, 0x1.28f4c73911798p-2, 0x1.23f2813dbeb02p-2, 0x1.1efdeada5013cp-2, 0x1.1a1717b4d8d7ap-2, 0x1.153e196c1a462p-2, 0x1.1072ffa1dee5ap-2, 0x1.0bb5d805866dfp-2, 0x1.0706ae5eb801ep-2, 0x1.02658c9839caap-2, 0x1.fba4f595cf9a7p-3, 0x1.f29afe918098fp-3, 0x1.e9ad3d500a8f8p-3, 0x1.e0dbb79cdb9d5p-3, 0x1.d8266ff8bf603p-3, 0x1.cf8d65b06227dp-3, 0x1.c71094f2d509ep-3, 0x1.beaff6e812d81p-3, 0x1.b66b81c7729c8p-3, 0x1.ae4328ee13eebp-3, 0x1.a636dcf526562p-3, 0x1.9e468bc81f16p-3, 0x1.967220babf78cp-3, 0x1.8eb9849efd339p-3, 0x1.871c9ddab6036p-3, 0x1.7f9b507d3125fp-3, 0x1.78357e546f91cp-3, 0x1.70eb070238725p-3, 0x1.69bbc810effccp-3, 0x1.62a79d0828c74p-3, 0x1.5bae5f80ecffap-3, 0x1.54cfe739c5a98p-3, 0x1.4e0c0a2a73935p-3, 0x1.47629c975bc4bp-3, 0x1.40d37124a847bp-3, 0x1.3a5e58e910fb5p-3, 0x1.3403238058c18p-3, 0x1.2dc19f1d74788p-3, 0x1.2799989c567a6p-3, 0x1.218adb936e764p-3, 0x1.1b953264c5e52p-3, 0x1.15b8664ecd536p-3, 0x1.0ff43f7cc7276p-3, 0x1.0a488516e33cap-3, 0x1.04b4fd51f395ep-3, 0x1.fe72dafda90ffp-4, 0x1.f3ab3432d870fp-4, 0x1.e9128daeb25fap-4, 0x1.dea86d6c859ap-4, 0x1.d46c581397369p-4, 0x1.ca5dd11267384p-4, 0x1.c07c5ab923ca5p-4, 0x1.b6c7765386f3p-4, 0x1.ad3ea441ebb97p-4, 0x1.a3e16411bfb01p-4, 0x1.9aaf349544932p-4, 0x1.91a793fa992fp-4, 0x1.88c9ffe2209afp-4, 0x1.8015f5743e749p-4, 0x1.778af17664f1bp-4, 0x1.6f28705f7fb0dp-4, 0x1.66edee6bb958dp-4, 0x1.5edae7af9dca4p-4, 0x1.56eed82a9cedfp-4, 0x1.4f293bd8ee4dfp-4, 0x1.47898ec4d92b1p-4, 0x1.400f4d1763845p-4, 0x1.38b9f3286812p-4, 0x1.3188fd8e1af04p-4, 0x1.2a7be92bf83a6p-4, 0x1.23923341258f1p-4, 0x1.1ccb5976467ddp-4, 0x1.1626d9eac4649p-4, 0x1.0fa43341909a1p-4, 0x1.0942e4ad608aep-4, 0x1.03026dfc66c62p-4, 0x1.f9c49f4718a54p-5, 0x1.edc415925b46ep-5, 0x1.e202429eb6575p-5, 0x1.d67e2bbb4774ep-5, 0x1.cb36d7d4d02fp-5, 0x1.c02b4f8778e68p-5, 0x1.b55a9d2fb550ap-5, 0x1.aac3ccfa4a9c3p-5, 0x1.a065ecf383e41p-5, 0x1.96400d159386cp-5, 0x1.8c513f562979ap-5, 0x1.829897b345a2ep-5, 0x1.79152c3f47a13p-5, 0x1.6fc6152c41fd2p-5, 0x1.66aa6cd69881p-5, 0x1.5dc14fceeac6bp-5, 0x1.5509dce3536bcp-5, 0x1.4c833527fca0ep-5, 0x1.442c7bff133a9p-5, 0x1.3c04d7201b6ccp-5, 0x1.340b6e9ea94f1p-5, 0x1.2c3f6cf085f4cp-5, 0x1.249ffef342267p-5, 0x1.1d2c53f13dc7bp-5, 0x1.15e39da625502p-5, 0x1.0ec51042ef328p-5, 0x1.07cfe271549e7p-5, 0x1.01034d56d3b04p-5, 0x1.f4bd192e6e5e1p-6, 0x1.e7c1bcad57e4ap-6, 0x1.db130676d2694p-6, 0x1.ceaf7cddd4234p-6, 0x1.c295ab3d81f6dp-6, 0x1.b6c421fa120b7p-6, 0x1.ab397680eac23p-6, 0x1.9ff443480731ep-6, 0x1.94f327ccadd3cp-6, 0x1.8a34c89179608p-6, 0x1.7fb7cf1bbf1fdp-6, 0x1.757ae9f05413dp-6, 0x1.6b7ccc8fc295bp-6, 0x1.61bc2f71e307cp-6, 0x1.5837d000f5dc6p-6, 0x1.4eee709432494p-6, 0x1.45ded869d7042p-6, 0x1.3d07d3a0c1436p-6, 0x1.3468333193db5p-6, 0x1.2bfecce76d102p-6, 0x1.23ca7b583442dp-6, 0x1.1bca1ddc82fd8p-6, 0x1.13fc988733392p-6, 0x1.0c60d41c90c01p-6, 0x1.04f5be093787cp-6, 0x1.fb7490b13e02cp-7, 0x1.ed5ad356bb483p-7, 0x1.df9c3a5a4c30dp-7, 0x1.d236c514f5017p-7, 0x1.c5287bcc53258p-7, 0x1.b86f6f9d147f1p-7, 0x1.ac09ba650c32cp-7, 0x1.9ff57eacd9ad1p-7, 0x1.9430e79132c4bp-7, 0x1.88ba28abd96bfp-7, 0x1.7d8f7dfc41293p-7, 0x1.72af2bcfe01e2p-7, 0x1.68177eaa4ecdbp-7, 0x1.5dc6cb2d1d499p-7, 0x1.53bb6dff72e58p-7, 0x1.49f3cbb58249dp-7, 0x1.406e50b7cfc7dp-7, 0x1.3729712a4ede7p-7, 0x1.2e23a8d36255p-7, 0x1.255b7b02bfc37p-7, 0x1.1ccf72783c2a9p-7, 0x1.147e214a87183p-7, 0x1.0c6620cdd7dcfp-7, 0x1.0486117a9297cp-7, 0x1.f9b935a7cef9bp-8, 0x1.ead0d69ce4389p-8, 0x1.dc50706db7827p-8, 0x1.ce357b3108054p-8, 0x1.c07d7c486a4c3p-8, 0x1.b326062dca13p-8, 0x1.a62cb84110209p-8, 0x1.998f3e95f0615p-8, 0x1.8d4b51c1e6bbfp-8, 0x1.815eb6aa683fep-8, 0x1.75c73e534f28dp-8, 0x1.6a82c5ad8365ap-8, 0x1.5f8f3565eb772p-8, 0x1.54ea81b4a243dp-8, 0x1.4a92aa2c7b74dp-8, 0x1.4085b98adb6afp-8, 0x1.36c1c587e23d6p-8, 0x1.2d44eea6f112bp-8, 0x1.240d60078d7cfp-8, 0x1.1b194f36a3f96p-8, 0x1.1266fc002f34cp-8, 0x1.09f4b04145c4ap-8, 0x1.01c0bfba916e3p-8, 0x1.f3930fc663e61p-9, 0x1.e41adf7820ea8p-9, 0x1.d515cf4743838p-9, 0x1.c680d2543b662p-9, 0x1.b858edcc5486fp-9, 0x1.aa9b3893fb5efp-9, 0x1.9d44daf1f5831p-9, 0x1.90530e3b8c4cbp-9, 0x1.83c31c81aea4ep-9, 0x1.7792603f0b127p-9, 0x1.6bbe44072cbd2p-9, 0x1.604442368c325p-9, 0x1.5521e4a3a8301p-9, 0x1.4a54c4511c53ep-9, 0x1.3fda8920ba2ecp-9, 0x1.35b0e987a81e3p-9, 0x1.2bd5aa43828a9p-9, 0x1.22469e10849b1p-9, 0x1.1901a560b46f2p-9, 0x1.1004ae1416cd5p-9, 0x1.074db331ebf8dp-9, 0x1.fdb57945d5f5bp-10, 0x1.ed53bdd91767p-10, 0x1.dd7275daa69ebp-10, 0x1.ce0dfb344403ep-10, 0x1.bf22bf79196dbp-10, 0x1.b0ad4b646a6dfp-10, 0x1.a2aa3e5a4a858p-10, 0x1.95164dea6364fp-10, 0x1.87ee4554a7318p-10, 0x1.7b2f05101ab7fp-10, 0x1.6ed5825383c2ap-10, 0x1.62dec6a0265b2p-10, 0x1.5747ef4e662eep-10, 0x1.4c0e2d1c63bc1p-10, 0x1.412ec3be8e84ap-10, 0x1.36a709721262ep-10, 0x1.2c7466913c249p-10, 0x1.22945529bb885p-10, 0x1.19046094c3bc4p-10, 0x1.0fc225110a5f4p-10, 0x1.06cb4f5e9f624p-10, 0x1.fc3b38b92176cp-11, 0x1.eb6db150c59e3p-11, 0x1.db29c07ea1ad8p-11, 0x1.cb6b3c42a0da5p-11, 0x1.bc2e17ebacad6p-11, 0x1.ad6e6364ace2ep-11, 0x1.9f284a84f1a95p-11, 0x1.9158146402d96p-11, 0x1.83fa22b0c37c1p-11, 0x1.770af10be5caap-11, 0x1.6a871465a093cp-11, 0x1.5e6b3a5e9f422p-11, 0x1.52b428ac1c50ap-11, 0x1.475ebc7f23e91p-11, 0x1.3c67e9eeebfeep-11, 0x1.31ccbb663b5ccp-11, 0x1.278a5113d42a3p-11, 0x1.1d9de05dd7ff7p-11, 0x1.1404b3581792ep-11, 0x1.0abc283d46cacp-11, 0x1.01c1b0eb09b6dp-11, 0x1.f225a4c198862p-12, 0x1.e15a4882bf5d2p-12, 0x1.d11ca0ae99c6fp-12, 0x1.c1682437ac1dcp-12, 0x1.b2386c8131371p-12, 0x1.a3893477912a6p-12, 0x1.955657adefe2p-12, 0x1.879bd180bebf3p-12, 0x1.7a55bc3d42e8bp-12, 0x1.6d80504df12fbp-12, 0x1.6117e36b92093p-12, 0x1.5518e7d314d6p-12, 0x1.497feb800410ep-12, 0x1.3e49976b79f48p-12, 0x1.3372aecf90a6ep-12, 0x1.28f80e6f2badep-12, 0x1.1ed6abe210534p-12, 0x1.150b94e534a47p-12, 0x1.0b93eeaf3298cp-12, 0x1.026cf548cb8cp-12, 0x1.f327f5d2d32f3p-13, 0x1.e20cceaf133bbp-13, 0x1.d1836e9a010d5p-13, 0x1.c186f7bdfccc2p-13, 0x1.b212b3d399b2dp-13, 0x1.a322130046749p-13, 0x1.94b0aabc231ap-13, 0x1.86ba34bec37dp-13, 0x1.793a8df2c9aap-13, 0x1.6c2db57035ee3p-13, 0x1.5f8fcb7d3ea24p-13, 0x1.535d10959bep-13, 0x1.4791e4781a1b7p-13, 0x1.3c2ac53a5dffp-13, 0x1.31244e62ab9d8p-13, 0x1.267b3807998cdp-13, 0x1.1c2c55f593173p-13, 0x1.123496d9faad2p-13, 0x1.08910373e5632p-13, 0x1.fe7d7b9472de1p-14, 0x1.ec7600ce427bbp-14, 0x1.db063b3165657p-14, 0x1.ca28fd6d45ddfp-14, 0x1.b9d946d9fedb7p-14, 0x1.aa1242177237dp-14, 0x1.9acf43b5e8e96p-14, 0x1.8c0bc8e7fcc57p-14, 0x1.7dc3763d9c3e8p-14, 0x1.6ff21667e858cp-14, 0x1.62939905c41dcp-14, 0x1.55a41178dcd1ep-14, 0x1.491fb5c2fa17ep-14, 0x1.3d02dd6b66478p-14, 0x1.314a006c3c292p-14, 0x1.25f1b6276c55p-14, 0x1.1af6b4634b8dcp-14, 0x1.1055ce4e7ae3dp-14, 0x1.060bf38afeef9p-14, 0x1.f82c5e80afadep-15, 0x1.e4e34e68e0486p-15, 0x1.d23735d66e66p-15, 0x1.c022c5997c9c7p-15, 0x1.aea0dea35ed94p-15, 0x1.9dac906be7817p-15, 0x1.8d411762cc862p-15, 0x1.7d59db6ccfc1ep-15, 0x1.6df26e6c64bafp-15, 0x1.5f068ad58652cp-15, 0x1.5092124c750d2p-15, 0x1.42910c4f17518p-15, 0x1.34ffa4e8b4ab4p-15, 0x1.27da2b6fc9637p-15, 0x1.1b1d114dabd44p-15, 0x1.0ec4e8cfca2e7p-15, 0x1.02ce640235074p-15, 0x1.ee6ca72686528p-16, 0x1.d7f34b8012f62p-16, 0x1.c22aca92dc1f2p-16, 0x1.ad0d70e33a2c6p-16, 0x1.9895c00343659p-16, 0x1.84be6caddcff2p-16, 0x1.71825cf13c7a5p-16, 0x1.5edca6686615cp-16, 0x1.4cc88c834b5b9p-16, 0x1.3b417edd1a1b6p-16, 0x1.2a4317a059189p-16, 0x1.19c919f86efcfp-16, 0x1.09cf70903c5e1p-16, 0x1.f4a4583abc616p-17, 0x1.d69b03ef87479p-17, 0x1.b97b957a80622p-17, 0x1.9d3f02017e32ep-17, 0x1.81de800983a9ep-17, 0x1.67538501b1829p-17, 0x1.4d97c2e38d4ecp-17, 0x1.34a525e7f3fc3p-17, 0x1.1c75d25026fd7p-17, 0x1.05042242584dep-17, 0x1.dc954772493e3p-18, 0x1.b0882d0ad1f29p-18, 0x1.85d6d4c3d5cecp-18, 0x1.5c777a308e327p-18, 0x1.3460b16d4a241p-18, 0x1.0d8963ab5401bp-18, 0x1.cfd197b8bb4acp-19, 0x1.86ece6f8f885cp-19, 0x1.40545ef37bb34p-19, 0x1.f7f074e1d7db2p-20, 0x1.73927ecd5ef6bp-20, 0x1.e6e2e5b3fa2dcp-21, 0x1.ddc3a3496662ap-22, -0x1.152256211e268p-29, -0x1.d26e0241bc7dfp-22, -0x1.c9b70fcca78e6p-21, -0x1.51636ff5b9f8dp-20, -0x1.ba4b309944eafp-20, -0x1.0fd4fc9c52e4p-19, -0x1.40cb1c786ca93p-19, -0x1.7012d3360d64ap-19, -0x1.9db6a3b60bd87p-19, -0x1.c9c0bc047b849p-19, -0x1.f43af8d3e72bbp-19, -0x1.0e97746ab2f8fp-18, -0x1.2252e7f767d07p-18, -0x1.3554552810f23p-18, -0x1.47a017b4a1698p-18, -0x1.593a6a6097911p-18, -0x1.6a276857d20cap-18, -0x1.7a6b0e7d26a5dp-18, -0x1.8a093cab358b2p-18, -0x1.9905b6e7fbccp-18, -0x1.a764268b96595p-18, -0x1.b5281b5aadba7p-18, -0x1.c2550c94f891cp-18, -0x1.ceee59f845eddp-18, -0x1.daf74cb8764bcp-18, -0x1.e673186ccb598p-18, -0x1.f164dbf2f3a1dp-18, -0x1.fbcfa24831d48p-18, -0x1.02db31ac7e617p-17, -0x1.078e0263badfp-17, -0x1.0c01ad5485541p-17, -0x1.1037941dcdd02p-17, -0x1.1431104939ebep-17, -0x1.17ef739db4b84p-17, -0x1.1b74086e383d7p-17, -0x1.1ec011e4f56f4p-17, -0x1.21d4cc4affe9ep-17, -0x1.24b36d4ca0a0cp-17, -0x1.275d243a705cp-17, -0x1.29d31a475d2d8p-17, -0x1.2c1672c3b88eep-17, -0x1.2e284b556d91cp-17, -0x1.3009bc2d7e8e5p-17, -0x1.31bbd83ae41b3p-17, -0x1.333fad5aec953p-17, -0x1.34964487338f6p-17, -0x1.35c0a2014e917p-17, -0x1.36bfc57c457bbp-17, -0x1.3794aa43f0a53p-17, -0x1.38404762529d6p-17, -0x1.38c38fc305a0bp-17, -0x1.391f7254d1a71p-17, -0x1.3954da297f38ep-17, -0x1.3964ae93fe631p-17, -0x1.394fd344f058ap-17, -0x1.39172865ac66ap-17, -0x1.38bb8ab1cc9efp-17, -0x1.383dd38f596e7p-17, -0x1.379ed9259eec9p-17, -0x1.36df6e72c1cd4p-17, -0x1.360063601f7bbp-17, -0x1.350284d58a84fp-17, -0x1.33e69ccb70b8ep-17, -0x1.32ad725bf9908p-17, -0x1.3157c9d329ac5p-17, -0x1.2fe664be191c3p-17, -0x1.2e5a01f947898p-17, -0x1.2cb35dbe1acc7p-17, -0x1.2af331af93e48p-17, -0x1.291a34e644437p-17, -0x1.27291bfb8df1dp-17, -0x1.2520991439117p-17, -0x1.23015bea69434p-17, -0x1.20cc11d6f922cp-17, -0x1.1e8165da48f4dp-17, -0x1.1c2200a484b7p-17, -0x1.19ae889d6d869p-17, -0x1.1727a1ebaa672p-17, -0x1.148dee7bac3b3p-17, -0x1.11e20e0626a84p-17, -0x1.0f249e162a718p-17, -0x1.0c563a0ee2b89p-17, -0x1.09777b30fe39fp-17, -0x1.0688f89fca91cp-17, -0x1.038b476604b4fp-17, -0x1.007efa7a66d56p-17, -0x1.fac94587ee045p-18, -0x1.f4799e3c371d5p-18, -0x1.ee1018b8f608cp-18, -0x1.e78dca9d546f4p-18, -0x1.e0f3c5875dadp-18, -0x1.da43171aaf7c1p-18, -0x1.d37cc906e28f8p-18, -0x1.cca1e10db12ep-18, -0x1.c5b36108de62cp-18, -0x1.beb246efe9e09p-18, -0x1.b79f8cdd94561p-18, -0x1.b07c291537f24p-18, -0x1.a9490e07fd2b6p-18, -0x1.a2072a59f01b5p-18, -0x1.9ab768e6fa79ep-18, -0x1.935ab0c7c6d23p-18, -0x1.8bf1e55691d8fp-18, -0x1.847de633ed59bp-18, -0x1.7cff8f4b79575p-18, -0x1.7577b8d89315ap-18, -0x1.6de7376b04232p-18, -0x1.664edbebac332p-18, -0x1.5eaf73a13070dp-18, -0x1.5709c834ab66ap-18, -0x1.4f5e9fb666fc3p-18, -0x1.47aebca29b5a2p-18, -0x1.3ffadde63d5edp-18, -0x1.3843bee3d525p-18, -0x1.308a177864f83p-18, -0x1.28ce9c0060b74p-18, -0x1.2111fd5cb39fdp-18, -0x1.1954e8f7dc958p-18, -0x1.119808cb19662p-18, }}, 
      {{0x1.0fb348bf6ae14p-15, 0x1.104cebac3bc38p-13, 0x1.335bc78725f64p-12, 0x1.124edd9b51cb7p-11, 0x1.ae6df11ef133ap-11, 0x1.37270b17658e8p-10, 0x1.a8ed4fd614216p-10, 0x1.16233132ce7c8p-9, 0x1.60567a02831c8p-9, 0x1.b2aa7c306ecbbp-9, 0x1.064a92902ae65p-8, 0x1.36b489930a903p-8, 0x1.6a2bb81171f21p-8, 0x1.a03951c2e7d97p-8, 0x1.d858cf9ee0705p-8, 0x1.08fce51659757p-7, 0x1.2640f91a56c34p-7, 0x1.43a78b073610cp-7, 0x1.60dc928518ab8p-7, 0x1.7d8a12a9dc331p-7, 0x1.9959099ca7ap-7, 0x1.b3f251817901cp-7, 0x1.ccff703f0bd3ep-7, 0x1.e42b548bf0e4ep-7, 0x1.f922ff690124ap-7, 0x1.05cb0ce44ac11p-6, 0x1.0d9bbb4ecd283p-6, 0x1.13dec0f6df3bdp-6, 0x1.18714ee4b8796p-6, 0x1.1b32b71f72731p-6, 0x1.1c048abecb877p-6, 0x1.1acab0b8a5626p-6, 0x1.176b7610cbb1bp-6, 0x1.11cf980fe01fp-6, 0x1.09e249217eca5p-6, 0x1.ff2261e4e0978p-7, 0x1.e598d0be33b9dp-7, 0x1.c70ce37177f5dp-7, 0x1.a3685bbc4702ep-7, 0x1.7a999d34e9821p-7, 0x1.4c938d65d5711p-7, 0x1.194d70062c1e2p-7, 0x1.c1857ff8ab1efp-8, 0x1.45e60b8e9b9bcp-8, 0x1.7f86af6df91d9p-9, 0x1.795d17193a19fp-11, -0x1.af2f1e3dee91ep-10, -0x1.1106ed64e3f28p-8, -0x1.c063844eab9cap-8, -0x1.3cdca86d0d0c7p-7, -0x1.9e6d427b31051p-7, -0x1.02650766dc2cfp-6, -0x1.37eb8fca867dfp-6, -0x1.6fbb240b5715dp-6, -0x1.a9c3a48ca18fbp-6, -0x1.e5f3fe1e7fb83p-6, -0x1.121d1f89ca881p-5, -0x1.3241d5db1e71ep-5, -0x1.535e690aaba71p-5, -0x1.7568ce9170518p-5, -0x1.9856b3902c275p-5, -0x1.bc1d85ab459cdp-5, -0x1.e0b27b8bd5dd3p-5, -0x1.03054e82f4fbdp-4, -0x1.160d657244ee3p-4, -0x1.296be32e3c246p-4, -0x1.3d1b1c13812abp-4, -0x1.51155ba337b2fp-4, -0x1.6554e7baf36afp-4, -0x1.79d403a360e97p-4, -0x1.8e8cf2f6b39cap-4, -0x1.a379fc5fedfb4p-4, -0x1.b8956c342501fp-4, -0x1.cdd996e6db1a6p-4, -0x1.e340db5a9e5eap-4, -0x1.f8c5a50ef8c98p-4, -0x1.073137166b17ep-3, -0x1.1208e0b941c09p-3, -0x1.1ce71e001987ap-3, -0x1.27c9478316b2dp-3, -0x1.32acc0aad6035p-3, -0x1.3d8ef86a9c19bp-3, -0x1.486d69ecd55d6p-3, -0x1.53459d324e341p-3, -0x1.5e1527a495e17p-3, -0x1.68d9ac9bfca72p-3, -0x1.7390ddd99dbbp-3, -0x1.7e387bf5cfae6p-3, -0x1.88ce56c372e5dp-3, -0x1.93504da874554p-3, -0x1.9dbc4febeb6bp-3, -0x1.a8105cfa34cc6p-3, -0x1.b24a849f67203p-3, -0x1.bc68e73878fdcp-3, -0x1.c669b5db7fc9ap-3, -0x1.d04b327756abep-3, -0x1.da0bafeb0c9e1p-3, -0x1.e3a992156ee4bp-3, -0x1.ed234ddd0e10dp-3, -0x1.f6776931084fdp-3, -0x1.ffa47b02f8e8bp-3, -0x1.0454959d2fcbp-2, -0x1.08c21950e621ep-2, -0x1.0d1a2d6714e52p-2, -0x1.115c3f003cb9ap-2, -0x1.1587c3812182ep-2, -0x1.199c387e8ded3p-2, -0x1.1d9923a6bf845p-2, -0x1.217e12a8aa647p-2, -0x1.254a9b1930ac9p-2, -0x1.28fe5a567afdcp-2, -0x1.2c98f5698ff09p-2, -0x1.301a18e64fe1dp-2, -0x1.338178c9f6842p-2, -0x1.36ced058417p-2, -0x1.3a01e1f75fc2dp-2, -0x1.3d1a770ac52fdp-2, -0x1.40185fcd02614p-2, -0x1.42fb7328bc2afp-2, -0x1.45c38e90e058ap-2, -0x1.487095d82ef5ap-2, -0x1.4b027308389a8p-2, -0x1.4d791637e0b43p-2, -0x1.4fd4756182feap-2, -0x1.52148c38cf1c2p-2, -0x1.54395c006fd72p-2, -0x1.5642eb5f9247ep-2, -0x1.58314637603a1p-2, -0x1.5a047d787da5dp-2, -0x1.5bbca6f89de8cp-2, -0x1.5d59dd483e61bp-2, -0x1.5edc3f8891dcfp-2, -0x1.6043f141b2d03p-2, -0x1.61911a39213c1p-2, -0x1.62c3e6489c078p-2, -0x1.63dc853560d5bp-2, -0x1.64db2a87db913p-2, -0x1.65c00d63cee92p-2, -0x1.668b6860ffdf3p-2, -0x1.673d796468598p-2, -0x1.67d68179fd7b9p-2, -0x1.6856c4af0b171p-2, -0x1.68be89ed2b3dfp-2, -0x1.690e1ad5e01e2p-2, -0x1.6945c39ed48d4p-2, -0x1.6965d2eec3439p-2, -0x1.696e99bb0e73bp-2, -0x1.69606b2606ddbp-2, -0x1.693b9c5de02a7p-2, -0x1.6900847c5f51p-2, -0x1.68af7c673aa9dp-2, -0x1.6848deb130873p-2, -0x1.67cd077bd6149p-2, -0x1.673c545a1b697p-2, -0x1.6697243388537p-2, -0x1.65ddd7282fa5cp-2, -0x1.6510ce75597d8p-2, -0x1.64306c5ae087p-2, -0x1.633d140149bc1p-2, -0x1.6237296086c89p-2, -0x1.611f11277439ap-2, -0x1.5ff530a3ffaf2p-2, -0x1.5eb9edac02cf3p-2, -0x1.5d6dae86c71c6p-2, -0x1.5c10d9d738d6fp-2, -0x1.5aa3d686bd79p-2, -0x1.59270bb0b70bp-2, -0x1.579ae08ea71e8p-2, -0x1.55ffbc64f796ap-2, -0x1.5456067060743p-2, -0x1.529e25d3ee283p-2, -0x1.50d88187a083bp-2, -0x1.4f058047a396p-2, -0x1.4d2588841fd59p-2, -0x1.4b3900519a8adp-2, -0x1.49404d59eb52bp-2, -0x1.473bd4cdbeceap-2, -0x1.452bfb56a36ep-2, -0x1.43112509a2f4p-2, -0x1.40ebb55a61b12p-2, -0x1.3ebc0f0ec28edp-2, -0x1.3c8294330b876p-2, -0x1.3a3fa60e8d2dap-2, -0x1.37f3a518c3975p-2, -0x1.359ef0eef510cp-2, -0x1.3341e84a463d3p-2, -0x1.30dce8f6472a2p-2, -0x1.2e704fc7efa7ap-2, -0x1.2bfc7895125fcp-2, -0x1.2981be2c389aep-2, -0x1.27007a4cef0b1p-2, -0x1.247905a079f29p-2, -0x1.21ebb7b2f3485p-2, -0x1.1f58e6ecccb22p-2, -0x1.1cc0e88cb5557p-2, -0x1.1a2410a1e29cp-2, -0x1.1782b206b474p-2, -0x1.14dd1e5bbb32bp-2, -0x1.1233a60312c9dp-2, -0x1.0f86981c1c1adp-2, -0x1.0cd6427f896a3p-2, -0x1.0a22f1bbc024dp-2, -0x1.076cf1118ce3bp-2, -0x1.04b48a712a1edp-2, -0x1.01fa067792855p-2, -0x1.fe7b58d844ff7p-3, -0x1.f8ff847d02c5dp-3, -0x1.f3811909ac8f5p-3, -0x1.ee009cf484c0cp-3, -0x1.e87e93fb40b53p-3, -0x1.e2fb7f210e171p-3, -0x1.dd77dcad1a666p-3, -0x1.d7f428299849p-3, -0x1.d270da6342a2ep-3, -0x1.ccee6969583p-3, -0x1.c76d488e04311p-3, -0x1.c1ede867423dp-3, -0x1.bc70b6d023b57p-3, -0x1.b6f61eea8bfaep-3, -0x1.b17e8921481bp-3, -0x1.ac0a5b2a8d697p-3, -0x1.a699f80adb7dfp-3, -0x1.a12dc0183465cp-3, -0x1.9bc610fdb2128p-3, -0x1.966345bf72ddbp-3, -0x1.9105b6bed1b1dp-3, -0x1.8badb9befc516p-3, -0x1.865ba1e9c2cb2p-3, -0x1.810fbfd4c5ed7p-3, -0x1.7bca6186d7dccp-3, -0x1.768bd27db1fcfp-3, -0x1.71545bb3dfa14p-3, -0x1.6c2443a6eb95cp-3, -0x1.66fbce5dcb3b8p-3, -0x1.61db3d6f7843bp-3, -0x1.5cc2d009ce24ap-3, -0x1.57b2c2f88c816p-3, -0x1.52ab50ac939ecp-3, -0x1.4dacb143478c1p-3, -0x1.48b71a8e248e3p-3, -0x1.43cac01a75d8ep-3, -0x1.3ee7d33936803p-3, -0x1.3a0e830712f6p-3, -0x1.353efc748cd54p-3, -0x1.30796a4e3d76cp-3, -0x1.2bbdf545366dep-3, -0x1.270cc3f77721cp-3, -0x1.2265faf87e8c1p-3, -0x1.1dc9bcd9f1333p-3, -0x1.19382a3454405p-3, -0x1.14b161afd5c7ap-3, -0x1.1035800d2a2cdp-3, -0x1.0bc4a02e71719p-3, -0x1.075edb202b792p-3, -0x1.0304482235f8p-3, -0x1.fd69f961a1189p-4, -0x1.f4e2191b4a77dp-4, -0x1.ec711391b1ba9p-4, -0x1.e41709943a855p-4, -0x1.dbd418b38507bp-4, -0x1.d3a85b538b49dp-4, -0x1.cb93e8bdc7449p-4, -0x1.c396d533421bbp-4, -0x1.bbb131fea51a5p-4, -0x1.b3e30d8633d04p-4, -0x1.ac2c735dbba2p-4, -0x1.a48d6c586c78fp-4, -0x1.9d05fe9aa5244p-4, -0x1.95962dab979cap-4, -0x1.8e3dfa86e503bp-4, -0x1.86fd63ae10a65p-4, -0x1.7fd46539da303p-4, -0x1.78c2f8eb74dddp-4, -0x1.71c9163d9d9b8p-4, -0x1.6ae6b2758a436p-4, -0x1.641bc0b3b57f3p-4, -0x1.5d6832047edc3p-4, -0x1.56cbf570a3d11p-4, -0x1.5046f80d8c41ap-4, -0x1.49d9250d69452p-4, -0x1.438265cf2710ap-4, -0x1.3d42a1ee2d9f4p-4, -0x1.3719bf51f1ad2p-4, -0x1.3107a23d5254cp-4, -0x1.2b0c2d5dc3d43p-4, -0x1.252741da466dp-4, -0x1.1f58bf622715p-4, -0x1.19a0843b8aac2p-4, -0x1.13fe6d51c16dcp-4, -0x1.0e72564362f7ep-4, -0x1.08fc19703206bp-4, -0x1.039b9006c5c8p-4, -0x1.fca12423f7e36p-5, -0x1.f235ed0c5a8aep-5, -0x1.e7f5269c5445dp-5, -0x1.ddde7aaff5df6p-5, -0x1.d3f19142c904p-5, -0x1.ca2e10886446dp-5, -0x1.c0939d04845cp-5, -0x1.b721d9a2afcfp-5, -0x1.add867cd5f939p-5, -0x1.a4b6e784b212dp-5, -0x1.9bbcf774a1aaep-5, -0x1.92ea350ac65e7p-5, -0x1.8a3e3c8b9baafp-5, -0x1.81b8a92750db1p-5, -0x1.7959150e1dd99p-5, -0x1.711f1984249cap-5, -0x1.690a4ef4d76c2p-5, -0x1.611a4d05ea57fp-5, -0x1.594eaaa9cf84p-5, -0x1.51a6fe31b95ep-5, -0x1.4a22dd5f2e57cp-5, -0x1.42c1dd7524a78p-5, -0x1.3b839348aaa07p-5, -0x1.346793511e1a5p-5, -0x1.2d6d71b7f44fcp-5, -0x1.2694c2680bdfp-5, -0x1.1fdd191c95f0cp-5, -0x1.1946096f8cac1p-5, -0x1.12cf26e7beb3bp-5, -0x1.0c7805066d379p-5, -0x1.0640375482eefp-5, -0x1.0027516f5be41p-5, -0x1.f459ce2a55762p-6, -0x1.e8a11861e76fdp-6, -0x1.dd23a9cc4a7f2p-6, -0x1.d1e0ab378f001p-6, -0x1.c6d7460e9fd3p-6, -0x1.bc06a46e1bd47p-6, -0x1.b16df1387643ap-6, -0x1.a70c582957c17p-6, -0x1.9ce105e846f2p-6, -0x1.92eb281a9adc4p-6, -0x1.8929ed74b7bd9p-6, -0x1.7f9c85ca9e0c9p-6, -0x1.7642221fcaf91p-6, -0x1.6d19f4b66dec8p-6, -0x1.6423311df7f9p-6, -0x1.5b5d0c4107523p-6, -0x1.52c6bc72b1a16p-6, -0x1.4a5f797b30b9bp-6, -0x1.42267ca3f25fcp-6, -0x1.3a1b00c317cfep-6, -0x1.323c424657a45p-6, -0x1.2a897f3d5682fp-6, -0x1.2301f7636b512p-6, -0x1.1ba4ec28dfd04p-6, -0x1.1471a0bba3154p-6, -0x1.0d675a0f791d5p-6, -0x1.06855ee5ae89bp-6, -0x1.ff95efa887ad7p-7, -0x1.f26ede994d28ep-7, -0x1.e5942343d7e93p-7, -0x1.d9045a1d36ec2p-7, -0x1.ccbe237402776p-7, -0x1.c0c0237a307b7p-7, -0x1.b509024e02271p-7, -0x1.a9976c0229a23p-7, -0x1.9e6a10a51cad9p-7, -0x1.937fa447a239dp-7, -0x1.88d6df029f2fap-7, -0x1.7e6e7cfc22679p-7, -0x1.74453e6bc0b6dp-7, -0x1.6a59e79e3fa75p-7, -0x1.60ab40f8893a2p-7, -0x1.573816fa0d4c3p-7, -0x1.4dff3a3e6a9d6p-7, -0x1.44ff7f7e9584fp-7, -0x1.3c37bf914d2dp-7, -0x1.33a6d76b153dfp-7, -0x1.2b4ba81d95d9p-7, -0x1.232516d678b12p-7, -0x1.1b320cddc1906p-7, -0x1.13717793a8c33p-7, -0x1.0be2486dfb5b2p-7, -0x1.048374f506c59p-7, -0x1.faa7ed80259dfp-8, -0x1.eca596e2e0891p-8, -0x1.defde9643c581p-8, -0x1.d1aef05a185eep-8, -0x1.c4b6bf13f942p-8, -0x1.b81370d01608bp-8, -0x1.abc328afb5d3cp-8, -0x1.9fc411aae4f99p-8, -0x1.94145e838ad19p-8, -0x1.88b249b7e780cp-8, -0x1.7d9c15747e47bp-8, -0x1.72d00b8578255p-8, -0x1.684c7d4780c5ap-8, -0x1.5e0fc3982827ep-8, -0x1.54183ec5cee45p-8, -0x1.4a64567f2193p-8, -0x1.40f279c22d2d5p-8, -0x1.37c11ecb0dd32p-8, -0x1.2ecec30242a4ep-8, -0x1.2619eaeaaa5c2p-8, -0x1.1da1220f2e8b4p-8, -0x1.1562faf021bd8p-8, -0x1.0d5e0ef05810fp-8, -0x1.0590fe42007aep-8, -0x1.fbf4dfa67ce05p-9, -0x1.ed3222751dd3bp-9, -0x1.ded72d45f4effp-9, -0x1.d0e175703496p-9, -0x1.c34e7d23e608fp-9, -0x1.b61bd3415790fp-9, -0x1.a947133048c0ep-9, -0x1.9ccde4b6e0b07p-9, -0x1.90adfbd06f4bcp-9, -0x1.84e51884097b7p-9, -0x1.797106bb03857p-9, -0x1.6e4f9e175068ap-9, -0x1.637ec1c9ce145p-9, -0x1.58fc6068865d9p-9, -0x1.4ec673c4eae37p-9, -0x1.44db00c20d025p-9, -0x1.3b38172ae3da6p-9, -0x1.31dbd1889766dp-9, -0x1.28c454f8e3ca1p-9, -0x1.1fefd1048cedcp-9, -0x1.175c7f75f869bp-9, -0x1.0f08a42fdf10bp-9, -0x1.06f28d042c15cp-9, -0x1.fe31231606141p-10, -0x1.eef225f3efe8bp-10, -0x1.e024f7f6f1e6dp-10, -0x1.d1c6810ce296bp-10, -0x1.c3d3bb6c4cdf1p-10, -0x1.b649b344a5f1p-10, -0x1.a925866f12327p-10, -0x1.9c64641faa819p-10, -0x1.90038c9758583p-10, -0x1.840050d64b0d9p-10, -0x1.7858124f0cf9cp-10, -0x1.6d08429a30977p-10, -0x1.620e632ab64bcp-10, -0x1.576805030d8e1p-10, -0x1.4d12c86ad696dp-10, -0x1.430c5ca553b29p-10, -0x1.39527fa88b592p-10, -0x1.2fe2fdd53a8f4p-10, -0x1.26bbb1af74ac1p-10, -0x1.1dda839813688p-10, -0x1.153d6986e8973p-10, -0x1.0ce266c5bba56p-10, -0x1.04c78bac0f4bbp-10, -0x1.f9d5eab776465p-11, -0x1.ea959afca0e9dp-11, -0x1.dbca9406a975bp-11, -0x1.cd7159be9b8b3p-11, -0x1.bf86879749dc4p-11, -0x1.b206d00ebf7fdp-11, -0x1.a4eefc3162855p-11, -0x1.983beb1ec6338p-11, -0x1.8bea9190325a8p-11, -0x1.7ff7f960dd3e8p-11, -0x1.74614117db093p-11, -0x1.69239b73c3e13p-11, -0x1.5e3c4ef80edbap-11, -0x1.53a8b57c2406ap-11, -0x1.49663bbc23fb3p-11, -0x1.3f7260eb64ba8p-11, -0x1.35cab648a39fap-11, -0x1.2c6cdeb3ebb62p-11, -0x1.23568e462d507p-11, -0x1.1a8589ea8837p-11, -0x1.11f7a6f9449c2p-11, -0x1.09aacad47a283p-11, -0x1.019cea8663c3bp-11, -0x1.f39814c2b6569p-12, -0x1.e46c7b42fc366p-12, -0x1.d5b34c1fed12ap-12, -0x1.c768e74fcb6b9p-12, -0x1.b989c879ddd34p-12, -0x1.ac128646bc20bp-12, -0x1.9effd1b3cfd75p-12, -0x1.924e756a008e3p-12, -0x1.85fb5517867c4p-12, -0x1.7a036cccd8cdap-12, -0x1.6e63d05cb835ap-12, -0x1.6319aabf45136p-12, -0x1.58223d7820b5dp-12, -0x1.4d7adfff8f638p-12, -0x1.4320ff2e913dbp-12, -0x1.39121cadf0317p-12, -0x1.2f4bce6832c04p-12, -0x1.25cbbdfe70ecep-12, -0x1.1c8fa84002bcbp-12, -0x1.13955ca4fc99ep-12, -0x1.0adabccb7346p-12, -0x1.025dbbf77e5d2p-12, -0x1.f438bd2bdfp-13, -0x1.e4297383717c6p-13, -0x1.d489e597e4f91p-13, -0x1.c5567d8d00ca4p-13, -0x1.b68bc4228b3aep-13, -0x1.a8265fd3c4cf2p-13, -0x1.9a2313fbde0b8p-13, -0x1.8c7ebfff65f44p-13, -0x1.7f365e7a843aap-13, -0x1.7247047403997p-13, -0x1.65ade09510751p-13, -0x1.59683a659d558p-13, -0x1.4d73718d5066dp-13, -0x1.41ccfd18f834ap-13, -0x1.36726ac468182p-13, -0x1.2b615e48adf11p-13, -0x1.209790ae92bf6p-13, -0x1.1612cfa54ce4cp-13, -0x1.0bd0fcdd5940bp-13, -0x1.01d00d6763b9dp-13, -0x1.f01c122e5a651p-14, -0x1.dd1213d4cbcc6p-14, -0x1.ca7e76e6b5b61p-14, -0x1.b85db48ee59f6p-14, -0x1.a6ac66e2c66fp-14, -0x1.956747ce162a5p-14, -0x1.848b3005c8f43p-14, -0x1.74151601f634ep-14, -0x1.64020cfeac11ap-14, -0x1.544f440389517p-14, -0x1.44fa04f1fc89bp-14, -0x1.35ffb39a05153p-14, -0x1.275dccd55791fp-14, -0x1.1911e5a8c436cp-14, -0x1.0b19aa6bbf4a7p-14, -0x1.fae5bbebd6fedp-15, -0x1.e036b1a50d58bp-15, -0x1.c62210f335983p-15, -0x1.aca3dd1da60d8p-15, -0x1.93b8404baf28dp-15, -0x1.7b5b8a1823b3fp-15, -0x1.638a2e2f77217p-15, -0x1.4c40c2f8356b2p-15, -0x1.357c00459ca6cp-15, -0x1.1f38be141fc0dp-15, -0x1.0973f34f95d5cp-15, -0x1.e8556945cb0c7p-16, -0x1.beb466a1de0d8p-16, -0x1.95ff782d05ac6p-16, -0x1.6e316c2a5b3dcp-16, -0x1.4745438d4f155p-16, -0x1.21362ff162b4cp-16, -0x1.f7ff2344aa9c2p-17, -0x1.af39eb68d6d2p-17, -0x1.68142858bb4eep-17, -0x1.22859c6d3d116p-17, -0x1.bd0cb1b625203p-18, -0x1.381d74b89c78p-18, -0x1.6c5d97d93cc1bp-19, -0x1.b9945db69b717p-21, 0x1.1393ccc375e54p-20, 0x1.7c49b322a1306p-19, 0x1.3499d74edac62p-18, 0x1.a85028d8016ep-18, 0x1.0ca9ce30c1546p-17, 0x1.43d7cb7979cefp-17, 0x1.79b78ca29b02ep-17, 0x1.ae4e623a015bfp-17, 0x1.e1a16f41d8eeep-17, 0x1.09dad5af2052ap-16, 0x1.2247f2771d4b5p-16, 0x1.3a1a61883dc4cp-16, 0x1.515463ca553acp-16, 0x1.67f8286cd0c8bp-16, 0x1.7e07cdcc92d5ep-16, 0x1.93856250db533p-16, 0x1.a872e53f75774p-16, 0x1.bcd2478868f13p-16, 0x1.d0a56c8975e85p-16, 0x1.e3ee2ac99797fp-16, 0x1.f6ae4cacc167ep-16, 0x1.0473c89010016p-15, 0x1.0d4dd61f852e9p-15, 0x1.15e623f87220fp-15, 0x1.1e3d8240154adp-15, 0x1.2654bc956a483p-15, 0x1.2e2c9a5626771p-15, 0x1.35c5dee097e29p-15, 0x1.3d2149d27d8f5p-15, 0x1.443f9744f7c9bp-15, 0x1.4b218005a38d2p-15, 0x1.51c7b9ccf9299p-15, 0x1.5832f77209e38p-15, 0x1.5e63e91babb24p-15, 0x1.645b3c6f2f34bp-15, 0x1.6a199cbcb070bp-15, 0x1.6f9fb3291e774p-15, 0x1.74ee26d6034a8p-15, 0x1.7a059d072a4a6p-15, 0x1.7ee6b94634491p-15, 0x1.83921d8428c54p-15, 0x1.88086a391e981p-15, 0x1.8c4a3e8207407p-15, 0x1.9058383caed17p-15, 0x1.9432f4220734ap-15, 0x1.97db0ddec87bap-15, 0x1.9b51202a78fd3p-15, 0x1.9e95c4dceff92p-15, }}, 
      {{-0x1.0205065d9b721p-7, -0x1.03256e5f93eb2p-6, -0x1.875465e243b5ep-6, -0x1.07160f9bd310fp-5, -0x1.4bfaa5e6afe61p-5, -0x1.9255b27c08008p-5, -0x1.da04abf33ef1ap-5, -0x1.116615c039ec7p-4, -0x1.362fa6aa98101p-4, -0x1.5b3336488aca2p-4, -0x1.804277c3884edp-4, -0x1.a52f058c879f8p-4, -0x1.c9cc40be7287p-4, -0x1.edf0b886cf6dbp-4, -0x1.08bb93ecf7475p-3, -0x1.1a1f8c89dbad8p-3, -0x1.2b169f7bc3342p-3, -0x1.3b95c8bba1a16p-3, -0x1.4b949d98d792bp-3, -0x1.5b0d317ae998cp-3, -0x1.69fbed7b3675ep-3, -0x1.785f5ee5897a9p-3, -0x1.8637fff8b2802p-3, -0x1.9387fd9e57bbap-3, -0x1.a052fc4362024p-3, -0x1.ac9ddd7ff2553p-3, -0x1.b86e87d5aa97cp-3, -0x1.c3cbb1739cdc2p-3, -0x1.cebcaea63ff6p-3, -0x1.d949445e4b548p-3, -0x1.e3797f0913dfcp-3, -0x1.ed558dce87167p-3, -0x1.f6e5a22b1af4bp-3, -0x1.0018e9e28c039p-2, -0x1.04a10425f099ap-2, -0x1.090eef91fca57p-2, -0x1.0d66504d630c4p-2, -0x1.11aa982c44315p-2, -0x1.15df016293921p-2, -0x1.1a068a8a4baa5p-2, -0x1.1e23f3d8b4aap-2, -0x1.2239bd5f72331p-2, -0x1.264a2637f565ep-2, -0x1.2a572c7a035b9p-2, -0x1.2e628de05e39bp-2, -0x1.326dc900f922cp-2, -0x1.367a1f0081ba6p-2, -0x1.3a8895ab6b146p-2, -0x1.3e99f9e0dd3f9p-2, -0x1.42aee23e1d5dp-2, -0x1.46c7b1fafd4d3p-2, -0x1.4ae49be9ce90bp-2, -0x1.4f05a58f013a9p-2, -0x1.532aaa4637e01p-2, -0x1.57535e6c04481p-2, -0x1.5b7f5284c8458p-2, -0x1.5fadf65a6d871p-2, -0x1.63de9c0b997ecp-2, -0x1.68107b0808a0ep-2, -0x1.6c42b2f675642p-2, -0x1.70744e812f9d2p-2, -0x1.74a446072a39p-2, -0x1.78d1822fccd03p-2, -0x1.7cfade604b876p-2, -0x1.811f2b11b6897p-2, -0x1.853d300741ff3p-2, -0x1.8953ae64a2056p-2, -0x1.8d6162a47db35p-2, -0x1.9165066f50489p-2, -0x1.955d52531fdb1p-2, -0x1.9948ff5cad21fp-2, -0x1.9d26c892cfcdap-2, -0x1.a0f56c54d1367p-2, -0x1.a4b3ad9ca8c27p-2, -0x1.a860552613625p-2, -0x1.abfa327b7dbf7p-2, -0x1.af801ce9cc842p-2, -0x1.b2f0f45c1217dp-2, -0x1.b64ba2203a948p-2, -0x1.b98f1995c76d2p-2, -0x1.bcba58c7a3fa4p-2, -0x1.bfcc68f225cc7p-2, -0x1.c2c45ef6442c4p-2, -0x1.c5a15bbb072ecp-2, -0x1.c8628c7e3aa76p-2, -0x1.cb072b1556dacp-2, -0x1.cd8e7e1f9a14p-2, -0x1.cff7d92a43af6p-2, -0x1.d2429cc7cf23ap-2, -0x1.d46e369b1b389p-2, -0x1.d67a21574de14p-2, -0x1.d865e4b54846p-2, -0x1.da31155f72395p-2, -0x1.dbdb54d4a372ap-2, -0x1.dd645142db5a7p-2, -0x1.decbc55a80216p-2, -0x1.e011781acbd06p-2, -0x1.e1353c98076ap-2, -0x1.e236f1bc311e6p-2, -0x1.e31682029e445p-2, -0x1.e3d3e32f25d51p-2, -0x1.e46f160156e9bp-2, -0x1.e4e825e4357fap-2, -0x1.e53f289afadb3p-2, -0x1.e5743deb40735p-2, -0x1.e5878f45043a5p-2, -0x1.e5794f68e7e6dp-2, -0x1.e549ba0d0728bp-2, -0x1.e4f91380ba1bbp-2, -0x1.e487a84f9a2c4p-2, -0x1.e3f5cce40e7a1p-2, -0x1.e343dd29acb0bp-2, -0x1.e2723c2fab778p-2, -0x1.e18153cba249dp-2, -0x1.e071943cd449p-2, -0x1.df4373d035184p-2, -0x1.ddf76e85557ffp-2, -0x1.dc8e05b468a84p-2, -0x1.db07bfb5843b4p-2, -0x1.d965278942916p-2, -0x1.d7a6cc82e6935p-2, -0x1.d5cd41f41b449p-2, -0x1.d3d91eda6c6d6p-2, -0x1.d1cafd8e90241p-2, -0x1.cfa37b75910c2p-2, -0x1.cd6338b3edf4cp-2, -0x1.cb0ad7e2bcebdp-2, -0x1.c89afdc6e0b7bp-2, -0x1.c614510a5670ap-2, -0x1.c37779f7aa9e1p-2, -0x1.c0c522379252ap-2, -0x1.bdfdf490bba1ap-2, -0x1.bb229ca9ca6ebp-2, -0x1.b833c6cd8982bp-2, -0x1.b5321fb154bb5p-2, -0x1.b21e543daf257p-2, -0x1.aef911591150fp-2, -0x1.abc303b4deb84p-2, -0x1.a87cd79c8862fp-2, -0x1.a52738c6d0039p-2, -0x1.a1c2d2292b8eep-2, -0x1.9e504dcd3babcp-2, -0x1.9ad054a85176bp-2, -0x1.97438e74fd6ffp-2, -0x1.93aaa18e95fd5p-2, -0x1.900632ceb6614p-2, -0x1.8c56e56ca33c5p-2, -0x1.889d5ade91f73p-2, -0x1.84da32bcc2ce6p-2, -0x1.810e0aa66525p-2, -0x1.7d397e2839cd2p-2, -0x1.795d26a4e7d7fp-2, -0x1.75799b3efc71fp-2, -0x1.718f70c48202p-2, -0x1.6d9f399c28d32p-2, -0x1.69a985b3f649ap-2, -0x1.65aee271689c6p-2, -0x1.61afdaa30aac2p-2, -0x1.5dacf673650ebp-2, -0x1.59a6bb5d46975p-2, -0x1.559dac2154866p-2, -0x1.519248bcd7d2cp-2, -0x1.4d850e61bd6edp-2, -0x1.4976776fbbe6cp-2, -0x1.4566fb6e94abdp-2, -0x1.41570f09667dbp-2, -0x1.3d47240affcb8p-2, -0x1.3937a95b341fep-2, -0x1.35290afd16b0cp-2, -0x1.311bb20e23bfcp-2, -0x1.2d1004c63d858p-2, -0x1.290666787dfb9p-2, -0x1.24ff3794ceffcp-2, -0x1.20fad5aa3dd2ep-2, -0x1.1cf99b6a074f9p-2, -0x1.18fbe0ab47bc3p-2, -0x1.1501fa6f55b2cp-2, -0x1.110c3ae6acd94p-2, -0x1.0d1af17671a79p-2, -0x1.092e6abe78adbp-2, -0x1.0546f09fceb72p-2, -0x1.0164ca43bba25p-2, -0x1.fb1078466d61bp-3, -0x1.f363101d7ffdcp-3, -0x1.ebc1da6d47f2bp-3, -0x1.e42d5067276aap-3, -0x1.dca5e61f2e00bp-3, -0x1.d52c0a9e95ee1p-3, -0x1.cdc027f6d5df4p-3, -0x1.c662a3553253ap-3, -0x1.bf13dd16cda7fp-3, -0x1.b7d430dd228e6p-3, -0x1.b0a3f5a2e7341p-3, -0x1.a9837dd13f906p-3, -0x1.a27317554c0fep-3, -0x1.9b730bb5f16c7p-3, -0x1.9483a029e6025p-3, -0x1.8da515adeb204p-3, -0x1.86d7a91b387adp-3, -0x1.801b933e04a6dp-3, -0x1.797108ec2f005p-3, -0x1.72d83b1bf4202p-3, -0x1.6c5156fab76d5p-3, -0x1.65dc8603d1f5fp-3, -0x1.5f79ee17595d3p-3, -0x1.5929b190e96dp-3, -0x1.52ebef5e596c9p-3, -0x1.4cc0c31667c9cp-3, -0x1.46a8450f4455fp-3, -0x1.40a28a750728ap-3, -0x1.3aafa5600290ap-3, -0x1.34cfa4eaee515p-3, -0x1.2f029548eecf9p-3, -0x1.29487fdb65b53p-3, -0x1.23a16b479affcp-3, -0x1.1e0d5b8c2c017p-3, -0x1.188c52164215ep-3, -0x1.131e4dd68e688p-3, -0x1.0dc34b560d6f5p-3, -0x1.087b44ca81635p-3, -0x1.0346322aae459p-3, -0x1.fc481284a28fdp-4, -0x1.f2297b8b9e685p-4, -0x1.e83082cb33a1ap-4, -0x1.de5d07c296c67p-4, -0x1.d4aee634e2893p-4, -0x1.cb25f64e28fe2p-4, -0x1.c1c20cc7bfcc6p-4, -0x1.b882fb0c113a5p-4, -0x1.af688f59b8067p-4, -0x1.a67294e5eed91p-4, -0x1.9da0d3fe767e4p-4, -0x1.94f3122aae1e4p-4, -0x1.8c69124c28ed4p-4, -0x1.840294be7fe13p-4, -0x1.7bbf5776875cbp-4, -0x1.739f1620d628dp-4, -0x1.6ba18a3fa3b9ep-4, -0x1.63c66b47fc561p-4, -0x1.5c0d6ebe49b61p-4, -0x1.5476485234b2ap-4, -0x1.4d00a9f9db3eep-4, -0x1.45ac440c5fc97p-4, -0x1.3e78c55bcf072p-4, -0x1.3765db4e616dfp-4, -0x1.307331f714275p-4, -0x1.29a0742d9fcf9p-4, -0x1.22ed4ba5ca5e6p-4, -0x1.1c59610617631p-4, -0x1.15e45bfdd8b1dp-4, -0x1.0f8de35a9ecc3p-4, -0x1.09559d1d0ce57p-4, -0x1.033b2e8d1108ap-4, -0x1.fa7c789b05546p-5, -0x1.eebcd4de53dd7p-5, -0x1.e336b9065e997p-5, -0x1.d7e96b59f309p-5, -0x1.ccd43166efa39p-5, -0x1.c1f65023bc4abp-5, -0x1.b74f0c0fa3489p-5, -0x1.acdda95217842p-5, -0x1.a2a16bd8e6287p-5, -0x1.989997755b23cp-5, -0x1.8ec56ff85ba72p-5, -0x1.8524394d7b955p-5, -0x1.7bb537951651ap-5, -0x1.7277af3d6710cp-5, -0x1.696ae51aae093p-5, -0x1.608e1e7e63ecap-5, -0x1.57e0a14d7d6c5p-5, -0x1.4f61b415ca0a4p-5, -0x1.47109e226c75bp-5, -0x1.3eeca78f76a62p-5, -0x1.36f5195ca9b56p-5, -0x1.2f293d7f629ecp-5, -0x1.27885ef3b43cbp-5, -0x1.2011c9ccb9c7dp-5, -0x1.18c4cb441ce9ep-5, -0x1.11a0b1c8de2c8p-5, -0x1.0aa4cd0d5da6p-5, -0x1.03d06e14abfcdp-5, -0x1.fa45ce7e4a547p-6, -0x1.ed3718acbc416p-6, -0x1.e0736530cccb5p-6, -0x1.d3f96184c245ap-6, -0x1.c7c7be34fda8cp-6, -0x1.bbdd2ef2b092ap-6, -0x1.b0386aa55e5b8p-6, -0x1.a4d82b7b3436p-6, -0x1.99bb2ef840181p-6, -0x1.8ee036048f92ep-6, -0x1.844604f939696p-6, -0x1.79eb63ac62162p-6, -0x1.6fcf1d7c3ca75p-6, -0x1.65f001591821dp-6, -0x1.5c4ce1ce71abbp-6, -0x1.52e4950b285a8p-6, -0x1.49b5f4e8c97d2p-6, -0x1.40bfdef1ff3cdp-6, -0x1.380134683494cp-6, -0x1.2f78da4866e26p-6, -0x1.2725b94f33d5ap-6, -0x1.1f06bdfc2a16fp-6, -0x1.171ad894645f6p-6, -0x1.0f60fd246e5p-6, -0x1.07d823818607cp-6, -0x1.007f474a37a71p-6, -0x1.f2aacfccb0c63p-7, -0x1.e4b3110cdba47p-7, -0x1.d715604505b63p-7, -0x1.c9cfd2f0e6d65p-7, -0x1.bce0861359b22p-7, -0x1.b0459e30e6431p-7, -0x1.a3fd47495766ep-7, -0x1.9805b4d05cfd8p-7, -0x1.8c5d21a55c548p-7, -0x1.8101d00a585abp-7, -0x1.75f2099a1d3d4p-7, -0x1.6b2c1f3da5941p-7, -0x1.60ae6920c0277p-7, -0x1.567746a613dbdp-7, -0x1.4c851e5a68704p-7, -0x1.42d65de7691c8p-7, -0x1.39697a05bedd2p-7, -0x1.303cee6ea728dp-7, -0x1.274f3dcd02696p-7, -0x1.1e9ef1ade5c38p-7, -0x1.162a9a70b65e7p-7, -0x1.0df0cf36d750ep-7, -0x1.05f02dd2ef20ep-7, -0x1.fc4eb56f9b1f6p-8, -0x1.ed2a01cdeea7fp-8, -0x1.de6fa3bdbd03fp-8, -0x1.d01d0b119c81cp-8, -0x1.c22fb44d208a6p-8, -0x1.b4a5287f9f73bp-8, -0x1.a77afd1e857afp-8, -0x1.9aaed3df3ad0ap-8, -0x1.8e3e5a90a8412p-8, -0x1.82274af467238p-8, -0x1.76676a97a2c04p-8, -0x1.6afc8aabb9d34p-8, -0x1.5fe487dea2b0ep-8, -0x1.551d4a33221ap-8, -0x1.4aa4c4d8d867ap-8, -0x1.4078f6042e574p-8, -0x1.3697e6c62be39p-8, -0x1.2cffaae43cd0fp-8, -0x1.23ae60afeda06p-8, -0x1.1aa230dea5b1fp-8, -0x1.11d94e6167e0dp-8, -0x1.0951f63c9d88ap-8, -0x1.010a6f5ff2277p-8, -0x1.f20214fc91375p-9, -0x1.e26843cb98819p-9, -0x1.d34432b04b952p-9, -0x1.c492bbc5ac415p-9, -0x1.b650cb6f8106ep-9, -0x1.a87b600bc7653p-9, -0x1.9b0f89a497df3p-9, -0x1.8e0a69a276a5cp-9, -0x1.8169327f2a3ep-9, -0x1.752927790d709p-9, -0x1.69479c46f4275p-9, -0x1.5dc1f4cc9c775p-9, -0x1.5295a4cfbddb3p-9, -0x1.47c02fadb2ad7p-9, -0x1.3d3f2811cb152p-9, -0x1.33102fac44544p-9, -0x1.2930f6e9f4cadp-9, -0x1.1f9f3caca8beep-9, -0x1.1658ce0436a93p-9, -0x1.0d5b85e85409bp-9, -0x1.04a54cf324927p-9, -0x1.f868323922558p-10, -0x1.e80bdaecc9164p-10, -0x1.d831b3d263e59p-10, -0x1.c8d5f5e40e2c7p-10, -0x1.b9f4f2c1ddd1fp-10, -0x1.ab8b14308723p-10, -0x1.9d94db99ab71cp-10, -0x1.900ee18dcbaabp-10, -0x1.82f5d547eea2fp-10, -0x1.76467c32efddap-10, -0x1.69fdb170832a5p-10, -0x1.5e186561ebfccp-10, -0x1.52939d326abe5p-10, -0x1.476c72635a77cp-10, -0x1.3ca0125a0b35fp-10, -0x1.322bbdef50282p-10, -0x1.280cc900c5f7ap-10, -0x1.1e409a03d27a6p-10, -0x1.14c4a99a527d5p-10, -0x1.0b96822908caap-10, -0x1.02b3bf6fbb9e6p-10, -0x1.f4341c4603545p-11, -0x1.e38e570f94b98p-11, -0x1.d371ca211e281p-11, -0x1.c3da2ff869fbap-11, -0x1.b4c361ed34b9dp-11, -0x1.a62957759cd18p-11, -0x1.9808256ddd332p-11, -0x1.8a5bfd635288bp-11, -0x1.7d212ce2c3659p-11, -0x1.70541cc9e3527p-11, -0x1.63f1509c0d1b6p-11, -0x1.57f565da2cb83p-11, -0x1.4c5d135dd03ffp-11, -0x1.412528b75c148p-11, -0x1.364a8d8f55e27p-11, -0x1.2bca410ac4e35p-11, -0x1.21a1593299a41p-11, -0x1.17cd025e1909fp-11, -0x1.0e4a7ea03fc6p-11, -0x1.0517253819b65p-11, -0x1.f860c407fd248p-12, -0x1.e72769ef63b5ep-12, -0x1.d67d632aadf1fp-12, -0x1.c65dfcd26cc31p-12, -0x1.b6c4a9108c0aep-12, -0x1.a7acfe22dd78bp-12, -0x1.9912b56308a1cp-12, -0x1.8af1aa53cc155p-12, -0x1.7d45d9b3849fap-12, -0x1.700b6093db338p-12, -0x1.633e7b7691d3bp-12, -0x1.56db856f579d8p-12, -0x1.4adef74a9096p-12, -0x1.3f4566b9001ebp-12, -0x1.340b858042b19p-12, -0x1.292e20afff7bfp-12, -0x1.1eaa1fdbc947bp-12, -0x1.147c84598d5fbp-12, -0x1.0aa268848b089p-12, -0x1.0118ff04b5d3cp-12, -0x1.efbb2434f2b08p-13, -0x1.dddb05dd812e4p-13, -0x1.cc8c91ce7496cp-13, -0x1.bbcae1fd7e3d1p-13, -0x1.ab913a438e97cp-13, -0x1.9bdb071dc7f87p-13, -0x1.8ca3dc7642a99p-13, -0x1.7de774748cd5p-13, -0x1.6fa1ae55b674fp-13, -0x1.61ce8d4bcf327p-13, -0x1.546a3764a758fp-13, -0x1.4770f477bc752p-13, -0x1.3adf2d1b2748dp-13, -0x1.2eb1699f68da8p-13, -0x1.22e45111f4651p-13, -0x1.1774a846586fep-13, -0x1.0c5f50e5de85cp-13, -0x1.01a1488584b8ep-13, -0x1.ee6f4f8464a68p-14, -0x1.da3f42c5f1bcp-14, -0x1.c6ad0302b493ap-14, -0x1.b3b3596eb5287p-14, -0x1.a14d3ea69b8e8p-14, -0x1.8f75d9227a9ccp-14, -0x1.7e287bb38dd05p-14, -0x1.6d60a40cad83bp-14, -0x1.5d19f9553ec1bp-14, -0x1.4d504ac662b5bp-14, -0x1.3dff8e522b005p-14, -0x1.2f23df549c881p-14, -0x1.20b97d4e45265p-14, -0x1.12bccaa82df6ep-14, -0x1.052a4b80f49b5p-14, -0x1.effd4905a50abp-15, -0x1.d66d3384c2348p-15, -0x1.bd9e1b4bc5525p-15, -0x1.a589ffa9c0912p-15, -0x1.8e2b185fccc57p-15, -0x1.777bd3a06400ep-15, -0x1.6176d41e34cd3p-15, -0x1.4c16ef2a150ebp-15, -0x1.37572adfaef4cp-15, -0x1.2332bc608ef9dp-15, -0x1.0fa5061d3a51cp-15, -0x1.f9532c57d9004p-16, -0x1.d47849595a5bcp-16, -0x1.b0b12474c1de5p-16, -0x1.8df5ccd107cfbp-16, -0x1.6c3e9c9a74b9bp-16, -0x1.4b84362ec7ef9p-16, -0x1.2bbf8160cd999p-16, -0x1.0ce9a8d2b69b9p-16, -0x1.ddf82ecd58a02p-17, -0x1.a3e0eb89eaa1cp-17, -0x1.6b814fee5613bp-17, -0x1.34cd962fbecbfp-17, -0x1.ff74cc58ad0d4p-18, -0x1.9879a2327bbb9p-18, -0x1.34949aac0f922p-18, -0x1.a762c9938a549p-19, -0x1.d6f1a832dc838p-20, -0x1.aa2c6ef7e287fp-22, 0x1.ed6de2ce28467p-21, 0x1.268d65c00b19dp-19, 0x1.cc722370c7426p-19, 0x1.3695367d9b748p-18, 0x1.846aed958e905p-18, 0x1.cfc9783ca9874p-18, 0x1.0c5fc92c6c114p-17, 0x1.2fadbc0adb4dcp-17, 0x1.51d575a5cc718p-17, 0x1.72dd9c5986f63p-17, 0x1.92cc9e7329fb9p-17, 0x1.b1a8b4992edf9p-17, 0x1.cf77e41c6a058p-17, 0x1.ec400132456eep-17, 0x1.0403588c6ff6ap-16, 0x1.1168b612ec9f3p-16, 0x1.1e52bfe02e50ep-16, 0x1.2ac408238c24p-16, 0x1.36bf0d716b999p-16, 0x1.42463ba3227ebp-16, 0x1.4d5becadbfe9ep-16, 0x1.580269700b946p-16, 0x1.623bea7800054p-16, 0x1.6c0a98c00b35fp-16, 0x1.75708e6455d2ep-16, 0x1.7e6fd7506284ep-16, 0x1.870a71e532a7fp-16, 0x1.8f424f9849cabp-16, 0x1.9719558bb6de7p-16, 0x1.9e915d1f7485ep-16, 0x1.a5ac347c4bbd4p-16, 0x1.ac6b9f1881a44p-16, 0x1.b2d156367ba52p-16, 0x1.b8df095d98a9bp-16, 0x1.be965ecd7116ep-16, 0x1.c3f8f3ebb67afp-16, 0x1.c9085dacdc024p-16, 0x1.cdc628f7c20f1p-16, 0x1.d233db048ec07p-16, 0x1.d652f1b6e3af8p-16, 0x1.da24e3f39aad6p-16, 0x1.ddab21f23d647p-16, 0x1.e0e7158a533e4p-16, 0x1.e3da227cc0a41p-16, 0x1.e685a6b94d38cp-16, 0x1.e8eafaa087cf4p-16, 0x1.eb0b7142209d2p-16, 0x1.ece85897e42d5p-16, 0x1.ee82f9bd7bd2fp-16, 0x1.efdc992511269p-16, 0x1.f0f676c8f443cp-16, 0x1.f1d1ce5a6d1fdp-16, 0x1.f26fd76dcd989p-16, 0x1.f2d1c5a3e8422p-16, 0x1.f2f8c8d10303p-16, 0x1.f2e60d2169858p-16, 0x1.f29abb3bb2f34p-16, 0x1.f217f860d93ebp-16, 0x1.f15ee68a3ca2fp-16, 0x1.f070a485a336p-16, 0x1.ef4e4e0f5b748p-16, 0x1.edf8fbea86d4p-16, 0x1.ec71c3f7b28b6p-16, 0x1.eab9b949c8a8bp-16, 0x1.e8d1ec3974d5ep-16, 0x1.e6bb6a7706e2ep-16, 0x1.e4773f1af88d7p-16, 0x1.e20672b513a4fp-16, 0x1.df6a0b5a59af6p-16, 0x1.dca30cb1b5b5ep-16, 0x1.d9b277ff8d1d2p-16, 0x1.d6994c3040d5ep-16, 0x1.d35885e1a4a92p-16, 0x1.cff11f6b89721p-16, 0x1.cc6410e75c703p-16, 0x1.c8b25036f14e9p-16, 0x1.c4dcd10a7ca4dp-16, 0x1.c0e484e5d48f2p-16, 0x1.bcca5b24f8cf4p-16, 0x1.b88f40fffaf4ep-16, 0x1.b434218e40cb1p-16, 0x1.afb9e5c93f4ddp-16, 0x1.ab21748ea9d4bp-16, 0x1.a66bb2a21f897p-16, 0x1.a19982ae6ef1ap-16, 0x1.9cabc5466293fp-16, 0x1.97a358e538954p-16, 0x1.928119eeb1daap-16, 0x1.8d45e2aed91c8p-16, 0x1.87f28b597cdf9p-16, 0x1.8287ea096217bp-16, 0x1.7d06d2bf3c6ccp-16, 0x1.77701760729dfp-16, 0x1.71c487b5ab68ep-16, 0x1.6c04f1693abc9p-16, 0x1.663220055d33bp-16, 0x1.604cdcf26243fp-16, 0x1.5a55ef74ae12dp-16, 0x1.544e1caab1ecep-16, 0x1.4e36278aca137p-16, 0x1.480ed0e1167eap-16, 0x1.41d8d74d447e6p-16, 0x1.3b94f740585adp-16, }}, 
      {{0x1.ffcaea74b441dp-1, 0x1.ff30aebe5f6c5p-1, 0x1.fe3d09d5f5411p-1, 0x1.fcfe0a0dac453p-1, 0x1.fb817640f7b65p-1, 0x1.f9d3766ef0bf4p-1, 0x1.f7fe0476c3db2p-1, 0x1.f608d4561c8e9p-1, 0x1.f3f97f3745576p-1, 0x1.f1d3cf996cb16p-1, 0x1.ef9a19a0f6e5fp-1, 0x1.ed4d9315dc853p-1, 0x1.eaeea41e69d78p-1, 0x1.e87d2d4fc684dp-1, 0x1.e5f8c1e30ea04p-1, 0x1.e360d630b47b5p-1, 0x1.e0b4e352a7ddbp-1, 0x1.ddf4812d3e3a1p-1, 0x1.db1f78429c345p-1, 0x1.d835ccb3b9034p-1, 0x1.d537c3bc9a3a9p-1, 0x1.d225e4d8da6dcp-1, 0x1.cf00f7986e7b6p-1, 0x1.cbc9ff06aea45p-1, 0x1.c88233614ebefp-1, 0x1.c52afabb72d85p-1, 0x1.c1c5e10b0675fp-1, 0x1.be549004204dbp-1, 0x1.bad8c70f86f17p-1, 0x1.b75453961df29p-1, 0x1.b3c909cade268p-1, 0x1.b038be0fa1fe9p-1, 0x1.aca53f064399ep-1, 0x1.a9105056d1fcdp-1, 0x1.a57ba62ce0aa3p-1, 0x1.a1e8e168b53dfp-1, 0x1.9e598c7d3677ep-1, 0x1.9acf18f0b37a2p-1, 0x1.974add74bd40ep-1, 0x1.93ce148821b69p-1, 0x1.9059db9586df6p-1, 0x1.8cef328109505p-1, 0x1.898efb977e11bp-1, 0x1.8639fbd272bfcp-1, 0x1.82f0db64b94cfp-1, 0x1.7fb4268416a76p-1, 0x1.7c844e658ee53p-1, 0x1.7961aa62b2ea5p-1, 0x1.764c793f3fa9ep-1, 0x1.7344e2874b4f5p-1, 0x1.704af7ff15712p-1, 0x1.6d5eb71e6cdd5p-1, 0x1.6a800a9261f15p-1, 0x1.67aecbc0b0bfbp-1, 0x1.64eac44900d68p-1, 0x1.6233af80aea99p-1, 0x1.5f893be65ac32p-1, 0x1.5ceb0c8b0058ep-1, 0x1.5a58ba6ebb93ep-1, 0x1.57d1d5cfd130ap-1, 0x1.5555e76adb593p-1, 0x1.52e471ab4ad27p-1, 0x1.507cf1cbb37b9p-1, 0x1.4e1ee0e588349p-1, 0x1.4bc9b4f025a11p-1, 0x1.497ce1af2e319p-1, 0x1.4737d9905bf4cp-1, 0x1.44fa0e790c942p-1, 0x1.42c2f283e1dep-1, 0x1.4091f8aee1bb2p-1, 0x1.3e66957a9716ep-1, 0x1.3c403f7ab700ep-1, 0x1.3a1e6fd8e0ab7p-1, 0x1.3800a2ca0d257p-1, 0x1.35e657f74e3dfp-1, 0x1.33cf12da79947p-1, 0x1.31ba5b0f63004p-1, 0x1.2fa7bc9a4389cp-1, 0x1.2d96c823eecfap-1, 0x1.2b87132c71de8p-1, 0x1.29783834b3e11p-1, 0x1.2769d6dfb1ecep-1, 0x1.255b940be5858p-1, 0x1.234d19e563abfp-1, 0x1.213e17f13d794p-1, 0x1.1f2e4312a5566p-1, 0x1.1d1d558a58c9ep-1, 0x1.1b0b0ef0c60e7p-1, 0x1.18f7342b62dd4p-1, 0x1.16e18f5da2619p-1, 0x1.14c9efd5f41ap-1, 0x1.12b029f72d83cp-1, 0x1.1094171ec265p-1, 0x1.0e7595881dbd7p-1, 0x1.0c54882d7898ap-1, 0x1.0a30d6a676abfp-1, 0x1.080a6d04d9ac2p-1, 0x1.05e13baf8e6c5p-1, 0x1.03b5373c56a06p-1, 0x1.018658484db63p-1, 0x1.fea9369f00d25p-2, 0x1.fa4001079eb45p-2, 0x1.f5d1174693837p-2, 0x1.f15c879c6842dp-2, 0x1.ece266b9c03ccp-2, 0x1.e862cf6afdb8bp-2, 0x1.e3dde24425961p-2, 0x1.df53c54d3d2b1p-2, 0x1.dac4a3af6540cp-2, 0x1.d630ad62e1acfp-2, 0x1.d19816de45647p-2, 0x1.ccfb18c6e8678p-2, 0x1.c859efa2d4651p-2, 0x1.c3b4db8c48a09p-2, 0x1.bf0c1fe6f4c44p-2, 0x1.ba60031704229p-2, 0x1.b5b0ce3a143adp-2, 0x1.b0fecce226c65p-2, 0x1.ac4a4cd2a3fa5p-2, 0x1.a7939dbf74e93p-2, 0x1.a2db110e4b8fap-2, 0x1.9e20f99a14989p-2, 0x1.9965ab78a2ad4p-2, 0x1.94a97bc292705p-2, 0x1.8fecc05d6d4b9p-2, 0x1.8b2fcfc803971p-2, 0x1.867300e907c6cp-2, 0x1.81b6aadfdcfacp-2, 0x1.7cfb24d79a466p-2, 0x1.7840c5dc3c83cp-2, 0x1.7387e4b1fd786p-2, 0x1.6ed0d7aec9b22p-2, 0x1.6a1bf495cda1ep-2, 0x1.656990750d33p-2, 0x1.60b9ff84fca3ep-2, 0x1.5c0d950a14058p-2, 0x1.5764a3384613fp-2, 0x1.52bf7b185d7afp-2, 0x1.4e1e6c6f2704fp-2, 0x1.4981c5a6644efp-2, 0x1.44e9d3b773a62p-2, 0x1.4056e217a5966p-2, 0x1.3bc93aa62f021p-2, 0x1.3741259ba7edfp-2, 0x1.32bee97b122aep-2, 0x1.2e42cb044d09p-2, 0x1.29cd0d27f766cp-2, 0x1.255df0fca3f55p-2, 0x1.20f5b5b55c9e8p-2, 0x1.1c94989963047p-2, 0x1.183ad4fd223a4p-2, 0x1.13e8a43c43a3dp-2, 0x1.0f9e3db4d9596p-2, 0x1.0b5bd6c39543ap-2, 0x1.0721a2c0fc3a7p-2, 0x1.02efd2ff8944ep-2, 0x1.fd8d2d957060ap-3, 0x1.f54c36cdd2d4ep-3, 0x1.ed1d182423dadp-3, 0x1.e500240a622a9p-3, 0x1.dcf5a8ecf8325p-3, 0x1.d4fdf1386f5bfp-3, 0x1.cd1943606c4c1p-3, 0x1.c547e1e7da97ep-3, 0x1.bd8a0b6a373bbp-3, 0x1.b5dffaa5e678bp-3, 0x1.ae49e6878b6bbp-3, 0x1.a6c802363b8b8p-3, 0x1.9f5a7d2094362p-3, 0x1.9801830a92a31p-3, 0x1.90bd3c1c22cabp-3, 0x1.898dccf059d43p-3, 0x1.827356a5452a6p-3, 0x1.7b6df6ec4ab3ap-3, 0x1.747dc81b042fp-3, 0x1.6da2e13c88848p-3, 0x1.66dd56232309p-3, 0x1.602d377a590bap-3, 0x1.599292d942f28p-3, 0x1.530d72d529f3fp-3, 0x1.4c9ddf1458d45p-3, 0x1.4643dc611ec65p-3, 0x1.3fff6cbcf73e1p-3, 0x1.39d08f73cd078p-3, 0x1.33b7412f543c5p-3, 0x1.2db37c0a6a61dp-3, 0x1.27c537a48499bp-3, 0x1.21ec69350dfdap-3, 0x1.1c29039eca60bp-3, 0x1.167af7831dcc5p-3, 0x1.10e233554508ep-3, 0x1.0b5ea36d6e7c7p-3, 0x1.05f0321bb5207p-3, 0x1.0096c7baf4c49p-3, 0x1.f6a49586df63ep-4, 0x1.ec453fba9ebbbp-4, 0x1.e20f53e5cb8d2p-4, 0x1.d802948583e95p-4, 0x1.ce1ec0e30c106p-4, 0x1.c463953702eb8p-4, 0x1.bad0cacc0f116p-4, 0x1.b166182117aecp-4, 0x1.a823310add585p-4, 0x1.9f07c6d50d294p-4, 0x1.96138862cc98ep-4, 0x1.8d46224e969ffp-4, 0x1.849f3f0993575p-4, 0x1.7c1e86fa4a92dp-4, 0x1.73c3a09ab6ecdp-4, 0x1.6b8e3095bb311p-4, 0x1.637dd9e3f1891p-4, 0x1.5b923de7d8ceap-4, 0x1.53cafc895aec2p-4, 0x1.4c27b450ad29ep-4, 0x1.44a8028089b63p-4, 0x1.3d4b832fc1b28p-4, 0x1.3611d1622799bp-4, 0x1.2efa8720d285fp-4, 0x1.28053d91ba295p-4, 0x1.21318d0eac009p-4, 0x1.1a7f0d3b9c35dp-4, 0x1.13ed551c4eaf6p-4, 0x1.0d7bfb295f803p-4, 0x1.072a9564a6555p-4, 0x1.00f8b96cf9175p-4, 0x1.f5cbf9229fbd2p-5, 0x1.e9e3e7c6919f1p-5, 0x1.de38689221f69p-5, 0x1.d2c8a51d63d14p-5, 0x1.c793c6ed8d2eap-5, 0x1.bc98f7953432ep-5, 0x1.b1d760d360944p-5, 0x1.a74e2cb17dedap-5, 0x1.9cfc85a02684ap-5, 0x1.92e19692d9dd8p-5, 0x1.88fc8b1a95f64p-5, 0x1.7f4c8f7f6467p-5, 0x1.75d0d0d8d620ap-5, 0x1.6c887d2578b15p-5, 0x1.6372c3614b652p-5, 0x1.5a8ed39b30bd2p-5, 0x1.51dbdf096e2f2p-5, 0x1.4959181d348cep-5, 0x1.4105b2953a389p-5, 0x1.38e0e38f6ff21p-5, 0x1.30e9e199ce7b8p-5, 0x1.291fe4c249642p-5, 0x1.218226a5e6fb8p-5, 0x1.1a0fe27f05289p-5, 0x1.12c85532d1d54p-5, 0x1.0baabd5df856bp-5, 0x1.04b65b608adb2p-5, 0x1.fbd4e2d262071p-6, 0x1.ee8c86ff31b19p-6, 0x1.e1922f1c6e403p-6, 0x1.d4e46ad6a9e74p-6, 0x1.c881cdc2f1614p-6, 0x1.bc68ef6e471a6p-6, 0x1.b0986b6bea242p-6, 0x1.a50ee1625dafcp-6, 0x1.99caf5174bccfp-6, 0x1.8ecb4e7a3c63p-6, 0x1.840e99ae3905fp-6, 0x1.7993871260779p-6, 0x1.6f58cb496b3d4p-6, 0x1.655d1f403cbc3p-6, 0x1.5b9f403372c85p-6, 0x1.521defb414b9ep-6, 0x1.48d7f3ab528dbp-6, 0x1.3fcc165d6ecdbp-6, 0x1.36f9266bd3f5fp-6, 0x1.2e5df6d65af7dp-6, 0x1.25f95efbcf84cp-6, 0x1.1dca3a99b9df3p-6, 0x1.15cf69cb704ep-6, 0x1.0e07d1087ef89p-6, 0x1.0672592264c4ap-6, 0x1.fe1bde8374a25p-7, 0x1.efb309c565bdap-7, 0x1.e1a81fa2377d6p-7, 0x1.d3f914478a535p-7, 0x1.c6a3e46ed773dp-7, 0x1.b9a69552450cdp-7, 0x1.acff34a08f746p-7, 0x1.a0abd8700a201p-7, 0x1.94aa9f30c7dfep-7, 0x1.88f9af9df7073p-7, 0x1.7d9738ae80ff8p-7, 0x1.72817184e7a32p-7, 0x1.67b6995e82274p-7, 0x1.5d34f7820cea7p-7, 0x1.52fadb2da6e52p-7, 0x1.49069b843e24fp-7, 0x1.3f56977a6f1e4p-7, 0x1.35e935c2f6c86p-7, 0x1.2cbce4ba9e757p-7, 0x1.23d01a53c6471p-7, 0x1.1b215401880d1p-7, 0x1.12af16a27dd21p-7, 0x1.0a77ee6b35168p-7, 0x1.027a6ed053179p-7, 0x1.f56a64e0e7b0cp-8, 0x1.e64db5fb94834p-8, 0x1.d79c224f0bb3bp-8, 0x1.c95309060fdebp-8, 0x1.bb6fd6e9d72a9p-8, 0x1.adf00633cdd8cp-8, 0x1.a0d11e5f1aa35p-8, 0x1.9410b3f9e88dfp-8, 0x1.87ac68768876dp-8, 0x1.7ba1e9fc6f30ap-8, 0x1.6feef3391bf7p-8, 0x1.64914b30f118dp-8, 0x1.5986c51004787p-8, 0x1.4ecd3ffaf5f55p-8, 0x1.4462a6dfcf1f5p-8, 0x1.3a44f046f45e1p-8, 0x1.30721e2433edbp-8, 0x1.26e83da7f2b25p-8, 0x1.1da56710838c1p-8, 0x1.14a7bd7babb3fp-8, 0x1.0bed6eb85d6c5p-8, 0x1.0374b318ac64fp-8, 0x1.f6779a8804987p-9, 0x1.e6821413325d1p-9, 0x1.d7058066816a5p-9, 0x1.c7fea0b0e46aap-9, 0x1.b96a496371d04p-9, 0x1.ab4561d8df68bp-9, 0x1.9d8ce3fdbe77bp-9, 0x1.903ddbf96e36ep-9, 0x1.835567d7db402p-9, 0x1.76d0b73403ffap-9, 0x1.6aad0ae359433p-9, 0x1.5ee7b4a1ee843p-9, 0x1.537e16bf8d9ffp-9, 0x1.486da3cdaa0ddp-9, 0x1.3db3de4e3b748p-9, 0x1.334e586385d06p-9, 0x1.293ab380cbc91p-9, 0x1.1f76a01bf82a7p-9, 0x1.15ffdd6039fe8p-9, 0x1.0cd438e19a0a9p-9, 0x1.03f18e5189afcp-9, 0x1.f6ab8e68de3ddp-10, 0x1.e5fdb53064824p-10, 0x1.d5d599978f09p-10, 0x1.c62f5e2f7b3bp-10, 0x1.b7073eef9b5aep-10, 0x1.a85990aadefc6p-10, 0x1.9a22c086e7066p-10, 0x1.8c5f53753f9f8p-10, 0x1.7f0be5aea4856p-10, 0x1.72252a30556fcp-10, 0x1.65a7ea3b6bddp-10, 0x1.599104d6444b3p-10, 0x1.4ddd6e4fe4592p-10, 0x1.428a2fc57695p-10, 0x1.379466a9b910cp-10, 0x1.2cf9444e83e43p-10, 0x1.22b60d704034bp-10, 0x1.18c819c367675p-10, 0x1.0f2cd383f87ap-10, 0x1.05e1b706ef8edp-10, 0x1.f9c8a49b489dbp-11, 0x1.e864893650f16p-11, 0x1.d7927c171b382p-11, 0x1.c74dfe5a2e9b9p-11, 0x1.b792b136a6977p-11, 0x1.a85c55382aa12p-11, 0x1.99a6c97c9e8bbp-11, 0x1.8b6e0af589684p-11, 0x1.7dae33ad21fe9p-11, 0x1.70637a0eff84dp-11, 0x1.638a30345db24p-11, 0x1.571ec333eddf9p-11, 0x1.4b1dba752b4b7p-11, 0x1.3f83b7072574ep-11, 0x1.344d72fab86f4p-11, 0x1.2977c0c02707dp-11, 0x1.1eff8a880cd3dp-11, 0x1.14e1d1a79d1e7p-11, 0x1.0b1bae0021a7dp-11, 0x1.01aa4d69b1c61p-11, 0x1.f115e64224bd6p-12, 0x1.df75ee716f09ep-12, 0x1.ce6f8c19b0631p-12, 0x1.bdfdbf75194e9p-12, 0x1.ae1baf33d2344p-12, 0x1.9ec4a77614078p-12, 0x1.8ff418cc0eacfp-12, 0x1.81a5973b83e4ep-12, 0x1.73d4d94b018f5p-12, 0x1.667db712a2f82p-12, 0x1.599c2952414c3p-12, 0x1.4d2c488cffdbp-12, 0x1.412a4c2a191e5p-12, 0x1.3592899ad843ep-12, 0x1.2a617385a842p-12, 0x1.1f9398f622646p-12, 0x1.1525a49200d9fp-12, 0x1.0b145bd2e98c8p-12, 0x1.015c9e44edaf6p-12, 0x1.eff6c9936bd24p-13, 0x1.dddb81c071bcbp-13, 0x1.cc61b7e1dc4edp-13, 0x1.bb83ed3ccabecp-13, 0x1.ab3cd0345af7p-13, 0x1.9b873afbeae58p-13, 0x1.8c5e3251a2fdap-13, 0x1.7dbce4412249ep-13, 0x1.6f9ea6ee29d3fp-13, 0x1.61fef767093c8p-13, 0x1.54d9787ebfe6bp-13, 0x1.4829f1ae9911bp-13, 0x1.3bec4dff1df2cp-13, 0x1.301c9af83d625p-13, 0x1.24b707987fad9p-13, 0x1.19b7e3531c36ap-13, 0x1.0f1b9d14d4116p-13, 0x1.04dec24f64932p-13, 0x1.f5fbfc16f138dp-14, 0x1.e2ec3001c5267p-14, 0x1.d087e76a2879ep-14, 0x1.bec91f3f33dafp-14, 0x1.adaa08a90a738p-14, 0x1.9d2507694900fp-14, 0x1.8d34b046c2e99p-14, 0x1.7dd3c78449c6ap-14, 0x1.6efd3f624ec16p-14, 0x1.60ac36ab0ed9ep-14, 0x1.52dbf74915513p-14, 0x1.4587f4e7d1324p-14, 0x1.38abcb9e0621bp-14, 0x1.2c433ea1da4e1p-14, 0x1.204a3706497acp-14, 0x1.14bcc281c183bp-14, 0x1.0997123db4797p-14, 0x1.fdaaf35dc6e31p-15, 0x1.e8e8daec62732p-15, 0x1.d4e104938b3d9p-15, 0x1.c18cd7cc97384p-15, 0x1.aee5f81034a99p-15, 0x1.9ce642d82a4ffp-15, 0x1.8b87cdb020228p-15, 0x1.7ac4e45518085p-15, 0x1.6a9806e33034bp-15, 0x1.5afbe81155158p-15, 0x1.4beb6b7a897a4p-15, 0x1.3d61a3f469137p-15, 0x1.2f59d1f290fc1p-15, 0x1.21cf61f694f3bp-15, 0x1.14bdeb0c30efap-15, 0x1.08212d51636edp-15, 0x1.f7ea21143efbep-16, 0x1.e06b457e92a6ap-16, 0x1.c9be2dd162f8dp-16, 0x1.b3db87437b191p-16, 0x1.9ebc43d0fa2d1p-16, 0x1.8a5997cdba3dfp-16, 0x1.76acf78b678a2p-16, 0x1.63b01512c23e3p-16, 0x1.515cddef876f7p-16, 0x1.3fad790e713a9p-16, 0x1.2e9c44acd5b0dp-16, 0x1.1e23d4596f1ecp-16, 0x1.0e3eef05b9f58p-16, 0x1.fdd11a4f1df7cp-17, 0x1.e037add4d0735p-17, 0x1.c3a844dfeff5ap-17, 0x1.a819e43f0ad03p-17, 0x1.8d83e6078787cp-17, 0x1.73ddf66d2cafbp-17, 0x1.5b2010b4e50f4p-17, 0x1.43427c41e8e8cp-17, 0x1.2c3dc9bc70072p-17, 0x1.160ad0514bbd3p-17, 0x1.00a2ab0996b81p-17, 0x1.d7fd6c7395a4cp-18, 0x1.b0311a0f113d9p-18, 0x1.89d40e0ac5248p-18, 0x1.64da6bc7ff76fp-18, 0x1.4138c66fe4ea1p-18, 0x1.1ee41ca73f4bp-18, 0x1.fba3a8d2682aap-19, 0x1.bbef6e0f5cddcp-19, 0x1.7e97daa0a99d4p-19, 0x1.4389f7a9c80dbp-19, 0x1.0ab37eaba8babp-19, 0x1.a805a538e26e1p-20, 0x1.3ecdf27f1636ap-20, 0x1.b33e52f0025f1p-21, 0x1.e166eb792cd83p-22, 0x1.adf37f340c7ccp-24, -0x1.f76dc7b0e94e9p-23, -0x1.2a52cf0178738p-21, -0x1.cfde47c6a52c8p-21, -0x1.3759491fec6b3p-20, -0x1.838146d887d7dp-20, -0x1.cc7faac4041d2p-20, -0x1.093614e348ee9p-19, -0x1.2aaed4585d428p-19, -0x1.4ab52253ff217p-19, -0x1.6953ad9dfa902p-19, -0x1.8694c9156156ap-19, -0x1.a2826f6bd25e7p-19, -0x1.bd2646bb1fd4bp-19, -0x1.d689a3f6a01a5p-19, -0x1.eeb58e3971841p-19, -0x1.02d960f970116p-18, -0x1.0dc4d9f91190dp-18, -0x1.18214a294b4a3p-18, -0x1.21f2a8a4c8632p-18, -0x1.2b3ccceb706abp-18, -0x1.3403702c86394p-18, -0x1.3c4a2e83257fcp-18, -0x1.441488259effp-18, -0x1.4b65e2882a276p-18, -0x1.5241897368ef2p-18, -0x1.58aab00f2883bp-18, -0x1.5ea471e1d79bcp-18, -0x1.6431d3c5138b5p-18, -0x1.6955c4cfbed15p-18, -0x1.6e131f35fdeedp-18, -0x1.726ca91f808f5p-18, -0x1.76651574766a5p-18, -0x1.79ff04a186e9ap-18, -0x1.7d3d055329418p-18, -0x1.80219528b0468p-18, -0x1.82af215f5d4d7p-18, -0x1.84e80775c9107p-18, -0x1.86ce95c7f2b78p-18, -0x1.88650c243ed06p-18, -0x1.89ad9c59ad65bp-18, -0x1.8aaa6abf8f447p-18, -0x1.8b5d8eb6fb941p-18, -0x1.8bc913264aed5p-18, -0x1.8beef6eed306fp-18, -0x1.8bd12d5d2139ap-18, -0x1.8b719e93f0f66p-18, -0x1.8ad227f21337cp-18, -0x1.89f49c738000ap-18, -0x1.88dac50dc57efp-18, -0x1.878661080a268p-18, -0x1.85f9264ecf973p-18, -0x1.8434c1c3a74e2p-18, -0x1.823ad789078a4p-18, -0x1.800d034a6be98p-18, -0x1.7dacd880e93bfp-18, -0x1.7b1be2b462f3cp-18, -0x1.785ba5b985137p-18, -0x1.756d9deca8eeep-18, -0x1.72534069cbf2bp-18, -0x1.6f0dfb41b7931p-18, -0x1.6b9f35ac7f465p-18, -0x1.6808503972cfap-18, -0x1.644aa4fca5fe3p-18, -0x1.606787ba298dap-18, -0x1.5c60460f1320ep-18, -0x1.5836279870e04p-18, -0x1.53ea6e1841ce8p-18, -0x1.4f7e55988be8ap-18, -0x1.4af3148ca9b6cp-18, -0x1.4649dbf0e861ep-18, -0x1.4183d76887503p-18, -0x1.3ca22d5a34a95p-18, -0x1.37a5ff0b19352p-18, -0x1.329068b885bd6p-18, -0x1.2d6281b05790ap-18, -0x1.281d5c6824941p-18, -0x1.22c20693410ccp-18, -0x1.1d518937afd7dp-18, -0x1.17cce8c20b7bbp-18, -0x1.1235251879129p-18, -0x1.0c8b39acb2e53p-18, -0x1.06d01d8d39b1cp-18, -0x1.0104c375b4b1fp-18, -0x1.f65433bd2bfa2p-19, -0x1.ea8216180ce66p-19, -0x1.de94fa385463p-19, -0x1.d28ea4298ebabp-19, -0x1.c670cfe0ab3aep-19, -0x1.ba3d315511653p-19, -0x1.adf57498ab3bbp-19, -0x1.a19b3def073bcp-19, -0x1.953029e397cc8p-19, -0x1.88b5cd5f2575cp-19, -0x1.7c2db5bc836dep-19, -0x1.6f9968dc929bdp-19, -0x1.62fa6539a0e1fp-19, -0x1.565221fa3568fp-19, -0x1.49a20f035043ap-19, -0x1.3ceb950a2d8e1p-19, -0x1.303015a596fccp-19, -0x1.2370eb5eca334p-19, -0x1.16af69c2024b5p-19, -0x1.09ecdd6eaae3dp-19, -0x1.fa55184e886c6p-20, -0x1.e0d369c20d37p-20, -0x1.c7571fa6878d2p-20, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      46, 0x1.7333333333333p+2, 0x1.3e98c37db24a8p+1, 0x1.7be12a420057ep+2, 0x1.640ce21bebfc3p-6, 
      {{
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.58234b2759e7cp-4, -0x1.3d821500f7a54p-3, 0x1.8b250dc9a7d73p-3, -0x1.c03df3c58bce1p-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.3a4e86e24108fp-4, -0x1.17acb0611006ap-3, 0x1.6986ceb4708e3p-3, -0x1.b148391007726p-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.2017bf3b76c71p-4, -0x1.ea4b1e3ecc28p-4, 0x1.4907ca6cd6658p-3, -0x1.a49032e58cd84p-4}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.092bb128643fap-4, -0x1.aba43dd26e7e1p-4, 0x1.297cf9ced23bfp-3, -0x1.973e73b8967cap-4}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.ea73441b441eap-5, -0x1.7332c13554ef2p-4, 0x1.0af1e4542d58cp-3, -0x1.8a15e40aa9d19p-4}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.c7e6bf7df0a55p-5, -0x1.40c3d20d894c8p-4, 0x1.dac6e6738e056p-4, -0x1.7ce24f62fa963p-4}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.aa1a80febd4abp-5, -0x1.1424d3ec52bcap-4, 0x1.a1a4f424b53c1p-4, -0x1.6fb19f235c89p-4}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.907c4601f844cp-5, -0x1.da4635908e223p-5, 0x1.6a7d82ac3427p-4, -0x1.6280623d2e693p-4}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.7a7edcca4ec98p-5, -0x1.9717fe2f083d7p-5, 0x1.3550a72306caap-4, -0x1.554e7389359f7p-4}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.679a2478cd0d3p-5, -0x1.5e59add971ecdp-5, 0x1.021e7c34d858dp-4, -0x1.481fd8b2fb244p-4}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.574b0d0cde432p-5, -0x1.2fa5fad18f8b1p-5, 0x1.a1cd0433fef3fp-5, -0x1.3ae4a0338ba86p-4}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.491397644c9dbp-5, -0x1.0a9777ae6a102p-5, 0x1.43553a8aeea83p-5, -0x1.2dd88a7b34bc6p-4}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.3c7ad53b414dfp-5, -0x1.dd92772b236aep-6, 0x1.d18eeecbf0e01p-6, -0x1.201c874fb50ccp-4}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.310ce92c4483ap-5, -0x1.b7a8de3a6a5c4p-6, 0x1.24b10402843c1p-6, -0x1.14f11729bbb5ap-4}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.265b06b03d6ep-5, -0x1.a2b2e115040c5p-6, 0x1.fa1b0ba5e80bfp-8, -0x1.f14d79027da45p-5}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.1bfbedcd493ddp-5, -0x1.9d8171f74e362p-6, -0x1.6aa149745474ep-10, -0x1.967aec86125fp-5}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.11913b99f838bp-5, -0x1.a5de897e34226p-6, -0x1.213783e562605p-7, -0x1.40c98c875e1f1p-5}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.06ccbac08ad02p-5, -0x1.b924560924b47p-6, -0x1.e1b071d034723p-7, -0x1.d37073fca3fe5p-6}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.f6e1be5b91457p-6, -0x1.d4bb711387476p-6, -0x1.36f5e3e79939ep-6, -0x1.260b0a41d498dp-6}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.dea18c2200fa7p-6, -0x1.f60897f194fefp-6, -0x1.63112571791d7p-6, -0x1.e1c260fa613aep-8}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.c4a06bb810b1dp-6, -0x1.0d38c6bc23af2p-5, -0x1.75220914765c6p-6, 0x1.a8979fd17c9c6p-9}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.a8c73c867ab98p-6, -0x1.1faded5062624p-5, -0x1.6d2bfe1555ap-6, 0x1.c57a1e28e683ep-7}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.8b20307b07ba4p-6, -0x1.311675295fd51p-5, -0x1.4b293bd244563p-6, 0x1.8fe3d4732b338p-6}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.6bd6cc088eb68p-6, -0x1.40256ccbc69bbp-5, -0x1.0f2d758dcaa71p-6, 0x1.1f78b0ef474e6p-5}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.4b37e626f50d2p-6, -0x1.4b8c8d81b5f75p-5, -0x1.71df4dbf37533p-7, 0x1.73739269784d1p-5}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.29b1a8532e76ep-6, -0x1.52028c6ea901cp-5, -0x1.2600b89977e52p-8, 0x1.d4aaa4cb3e93cp-5}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.07d38e8f3d066p-6, -0x1.522b848b36d61p-5, 0x1.0c65a6c0d3306p-8, 0x1.dd8827825a56p-5}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.cc97d24332359p-7, -0x1.4b3bc933fc7aap-5, 0x1.a4b7b7e1d2fddp-7, 0x1.8e0c19e512c4dp-5}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.8b98df9d5165dp-7, -0x1.3dbaf13638fb7p-5, 0x1.49c5e3b5a2557p-6, 0x1.4bcc3f2ca9c88p-5}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.4dddaa246d8e2p-7, -0x1.2ac0cbc0a55a4p-5, 0x1.ad4ff6a96eddfp-6, 0x1.060077ed3a072p-5}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.14648fbdb669ap-7, -0x1.13528de1466a2p-5, 0x1.fbe9b43d66ac9p-6, 0x1.82505fca0a5afp-6}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.bfedce77eb096p-8, -0x1.f0f4d0b2932p-6, 0x1.1aee14810db6ap-5, 0x1.f0375e1badd42p-7}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.625200bf1c758p-8, -0x1.b6826e7bdc36p-6, 0x1.2d89c1a2176e8p-5, 0x1.b8420a4951247p-8}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.10b447acfb6b4p-8, -0x1.79605b42063fap-6, 0x1.35cafea044274p-5, -0x1.c1c9a402843c8p-10}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.96d24cf16bc33p-9, -0x1.3ba0ee9c0d66ap-6, 0x1.33af3fdb74557p-5, -0x1.4bd6f3eeddbbbp-7}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.24b624695ad16p-9, -0x1.feac18b4aca75p-7, 0x1.273d96b5b26b3p-5, -0x1.31115dc48e32cp-6}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.9429c739dcc64p-10, -0x1.8d26ebe88b429p-7, 0x1.105c4946f48dfp-5, -0x1.b7396e558696fp-6}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.0a36783b702cap-10, -0x1.26cbd417af4c8p-7, 0x1.ded65b9aae858p-6, -0x1.2800e3e09d0e8p-5}, 
        {0x1.599999999999ap+2, 0x1.5cccccccccccdp+2, 0x1.4c870ccec31c1p-11, -0x1.9fd153c6a752bp-8, 0x1.86094a70e5cc8p-6, -0x1.363a916dcb1c1p-5}, 
        {0x1.5cccccccccccdp+2, 0x1.6p+2, 0x1.85d7d3e3e67d7p-12, -0x1.166ab99af64fdp-8, 0x1.28f7b8698f447p-6, -0x1.064cd971a80fcp-5}, 
        {0x1.6p+2, 0x1.6333333333333p+2, 0x1.a4daec35aef01p-13, -0x1.5ebc55ef1d8a3p-9, 0x1.b48e218eece6ap-7, -0x1.bf4bf209d8395p-6}, 
        {0x1.6333333333333p+2, 0x1.6666666666666p+2, 0x1.95eadb22652b6p-14, -0x1.95e71eb4c0783p-10, 0x1.2e5dbf58c5a2cp-7, -0x1.6d4491a51db27p-6}, 
        {0x1.6666666666666p+2, 0x1.699999999999ap+2, 0x1.4c870ccec31b6p-15, -0x1.9faf19bb6a92ep-11, 0x1.81925a81aca8p-8, -0x1.1b96004ea08f4p-6}, 
        {0x1.699999999999ap+2, 0x1.6cccccccccccdp+2, 0x1.a4daec35aed6ap-17, -0x1.5e931370ef39ap-12, 0x1.aed71b0b656b9p-9, -0x1.9a7ba494de43p-7}, 
        {0x1.6cccccccccccdp+2, 0x1.7p+2, 0x1.4c870ccec2cc1p-19, -0x1.a1ac434ce7561p-14, 0x1.7119d6fdc0226p-10, -0x1.c4cd1fbb4af85p-8}, 
        {0x1.7p+2, 0x1.7333333333333p+2, 0x1.4c870ccebb801p-23, -0x1.63a5e8d858e13p-17, 0x1.85ae43024c9ffp-12, -0x1.2f04bf0b9b3efp-7}, 
      }}, 
      0x1.1d28b260b4b13p-3, -0x1.b789431940ec4p-1
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_o_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.173d2aa79f546p-5, 0x1.1609f3f1a0c3p-4, 0x1.9e1e5a5d42054p-4, 0x1.1168decb2de49p-3, 0x1.519cb475406fep-3, 0x1.8f463be1d761bp-3, 0x1.ca120a3316f0dp-3, 0x1.00de9753543ecp-2, 0x1.1b0a0e3b7c9e7p-2, 0x1.3378aebd6b007p-2, 0x1.4a1e0dd615f95p-2, 0x1.5ef34fb971ea9p-2, 0x1.71f66848c7d97p-2, 0x1.8329844d97099p-2, 0x1.92923eca1f90dp-2, 0x1.a0393295c1c52p-2, 0x1.ac2965104513ap-2, 0x1.b66fc80f714d6p-2, 0x1.bf1aeae66e72p-2, 0x1.c63aa3a529958p-2, 0x1.cbdfaa575c579p-2, 0x1.d01b64634f62dp-2, 0x1.d2ffabf7e67f9p-2, 0x1.d49e92c532861p-2, 0x1.d50a7a8d531d3p-2, 0x1.d455dd7b63338p-2, 0x1.d29272e3a2be6p-2, 0x1.cfd22de1a6de2p-2, 0x1.cc269575022ap-2, 0x1.c7a0e5b1f207p-2, 0x1.c251bdcda4426p-2, 0x1.bc492fbca94b4p-2, 0x1.b596dc6539b3ap-2, 0x1.ae49d230b2f5fp-2, 0x1.a6706b016602dp-2, 0x1.9e185c91b27dep-2, 0x1.954ed143a1504p-2, 0x1.8c205f6040e05p-2, 0x1.8298f35e4bccap-2, 0x1.78c3cf46ff15ep-2, 0x1.6eab9d9aadaedp-2, 0x1.645a811475a1fp-2, 0x1.59da153d9afe4p-2, 0x1.4f3363deebb5bp-2, 0x1.446ed921d03ebp-2, 0x1.39943ea3f449dp-2, 0x1.2eaac16a4fb2cp-2, 0x1.23b9011ad38abp-2, 0x1.18c522a91c21fp-2, 0x1.0dd4e01cf30f8p-2, 0x1.02ed91e9149f1p-2, 0x1.f02863cc8b373p-3, 0x1.da9ab4a7f568ap-3, 0x1.c53a87a04584fp-3, 0x1.b00033109405ep-3, 0x1.9b0f77233f2ep-3, 0x1.86617a6566e46p-3, 0x1.71fc07b51784cp-3, 0x1.5de48d01a4eefp-3, 0x1.4a200a1937d71p-3, 0x1.36b2f58732fb8p-3, 0x1.23a129b74131cp-3, 0x1.10ede42d9efd3p-3, 0x1.fd37abe7f76b9p-4, 0x1.d95a79b6e209ap-4, 0x1.b647f6ea50759p-4, 0x1.940351aee467dp-4, 0x1.728f2d224b368p-4, 0x1.51ed9f365258ap-4, 0x1.32202a0333d6dp-4, 0x1.1327b8b0fd4b9p-4, 0x1.ea0947a2c8be1p-5, 0x1.af6d78cf53e7bp-5, 0x1.767ab3fe7cb3fp-5, 0x1.3f2ecf9fd3caep-5, 0x1.0986dcfa18eep-5, 0x1.aafe68f66746fp-6, 0x1.4626fbd6606fdp-6, 0x1.c8fae2ee5d275p-7, 0x1.0bed1e95fe5f5p-7, 0x1.543009fd0ffefp-9, -0x1.6f0bfdb358437p-9, -0x1.069c09b9ac0b8p-7, -0x1.ab9c86b1fab7bp-7, -0x1.2571737407bbdp-6, -0x1.724736cd204e8p-6, -0x1.bc5f8529e1968p-6, -0x1.01e54f523179bp-5, -0x1.244c80d5f09bap-5, -0x1.456db1b430469p-5, -0x1.655154a6dafd4p-5, -0x1.83fff170fa291p-5, -0x1.a1822172c63f1p-5, -0x1.bde08b99bf3c5p-5, -0x1.d923df70a7628p-5, -0x1.f354cf33a2982p-5, -0x1.063e0479cf3bep-4, -0x1.1251177e7f6b3p-4, -0x1.1de7e7ed134ddp-4, -0x1.2906af31fce57p-4, -0x1.33b1952d26cc7p-4, -0x1.3decacf8d3236p-4, -0x1.47bbf2514d4fdp-4, -0x1.512347ac89225p-4, -0x1.5a2674f7e561ep-4, -0x1.62c926dd9713cp-4, -0x1.6b0eee6706315p-4, -0x1.72fb40d014a9cp-4, -0x1.7a917767d58a1p-4, -0x1.81d4cf6a77665p-4, -0x1.88c92365ee58dp-4, -0x1.8f6e3791744e2p-4, -0x1.95c97b76ef6c6p-4, -0x1.9bddd3ef2a757p-4, -0x1.a1ae06473a5cep-4, -0x1.a73cb8003f582p-4, -0x1.ac8c6f5f884e2p-4, -0x1.b19f94b100ac3p-4, -0x1.b678740b49a21p-4, -0x1.bb193f5a87f6dp-4, -0x1.bf84107617fd2p-4, -0x1.c3baeb0bee805p-4, -0x1.c7bfbe396a713p-4, -0x1.cb9465b974f15p-4, -0x1.cf3aaaa1140b3p-4, -0x1.d2b443b2facb3p-4, -0x1.d602d55ea8118p-4, -0x1.d927f1876ea63p-4, -0x1.dc25173272b5p-4, -0x1.defbb2395e1d1p-4, -0x1.e1ad1b1a81b8fp-4, -0x1.e43a96f872daap-4, -0x1.e6a557d2e711ep-4, -0x1.e8ee7cfb0f434p-4, -0x1.eb1713bece963p-4, -0x1.ed2018413015ep-4, -0x1.ef0a76734308dp-4, -0x1.f0d70b1f67442p-4, -0x1.f286a4f9c0e94p-4, -0x1.f41a05aa91f37p-4, -0x1.f591e2ca0e8b7p-4, -0x1.f6eee6c8948abp-4, -0x1.f831b1c126973p-4, -0x1.f95ada36b40e2p-4, -0x1.fa6aedbe67baap-4, -0x1.fb62719a34a9ap-4, -0x1.fc41e34735a76p-4, -0x1.fd09b902fa922p-4, -0x1.fdba624a53b1bp-4, -0x1.fe54485334fa4p-4, -0x1.fed7ce825bdebp-4, -0x1.ff4552dca9a06p-4, -0x1.ff9d2e7393c75p-4, -0x1.ffdfb5cb91496p-4, -0x1.00069c9dc8cd8p-3, -0x1.001302a243af4p-3, -0x1.0015317042421p-3, -0x1.000d4be4b3ed5p-3, -0x1.fff6e6b78ca5fp-4, -0x1.ffbf8f9984213p-4, -0x1.ff74cfc619159p-4, -0x1.ff16e22a4744ep-4, -0x1.fea5ff749f1dbp-4, -0x1.fe225e3fb3265p-4, -0x1.fd8c333cb6a8dp-4, -0x1.fce3b15f26045p-4, -0x1.fc290a0a2c127p-4, -0x1.fb5c6d3fb30b1p-4, -0x1.fa7e09d1343fp-4, -0x1.f98e0d91c2b92p-4, -0x1.f88ca588d21c5p-4, -0x1.f779fe2519a7p-4, -0x1.f656436efa4fp-4, -0x1.f521a139bf134p-4, -0x1.f3dc435325803p-4, -0x1.f28655b0cbe0cp-4, -0x1.f120049afbe67p-4, -0x1.efa97cd49433bp-4, -0x1.ee22ebbfc19fbp-4, -0x1.ec8c7f7f4396cp-4, -0x1.eae6671438135p-4, -0x1.e930d2782c551p-4, -0x1.e76bf2b38af81p-4, -0x1.e597f9f04eca3p-4, -0x1.e3b51b89281c5p-4, -0x1.e1c38c1512cd5p-4, -0x1.dfc3816f8e50cp-4, -0x1.ddb532bdb7058p-4, -0x1.db98d8705275ap-4, -0x1.d96eac431f69ep-4, -0x1.d736e9399e999p-4, -0x1.d4f1cb998c40dp-4, -0x1.d29f90e3466efp-4, -0x1.d04077c854d1dp-4, -0x1.cdd4c0205a213p-4, -0x1.cb5caadc9960dp-4, -0x1.c8d879fa45833p-4, -0x1.c6487073d73dep-4, -0x1.c3acd2318fc1ap-4, -0x1.c105e3f95b5cbp-4, -0x1.be53eb5e4a8ecp-4, -0x1.bb972eafa8997p-4, -0x1.b8cff4e800787p-4, -0x1.b5fe859c0cbe2p-4, -0x1.b32328e9b3bffp-4, -0x1.b03e2767485f6p-4, -0x1.ad4fca12f50b5p-4, -0x1.aa585a428e8c9p-4, -0x1.a7582193b981dp-4, -0x1.a44f69dc93cbcp-4, -0x1.a13e7d1cd0531p-4, -0x1.9e25a56f5dc95p-4, -0x1.9b052cfc931cp-4, -0x1.97dd5decfd67fp-4, -0x1.94ae825cb7d8p-4, -0x1.9178e44f5f08p-4, -0x1.8e3ccda4a28edp-4, -0x1.8afa880d6b5d4p-4, -0x1.87b25d0198864p-4, -0x1.846495b64ca33p-4, -0x1.81117b14c6b9p-4, -0x1.7db955b1bf0f4p-4, -0x1.7a6247b142018p-4, -0x1.7700f04b875ep-4, -0x1.739b61d78a8fcp-4, -0x1.7031e3e991593p-4, -0x1.6cc4bd9e45956p-4, -0x1.69543593818edp-4, -0x1.65e091e17f079p-4, -0x1.626a181453a8cp-4, -0x1.5ef10d25a7264p-4, -0x1.5b75b57693413p-4, -0x1.57f854c99f682p-4, -0x1.54792e3cc8d6p-4, -0x1.50f884438f9d5p-4, -0x1.4d7698a1043a7p-4, -0x1.49f3ac61ccb4ap-4, -0x1.466fffd621d42p-4, -0x1.42ebd28bc76b3p-4, -0x1.3f676347fdefdp-4, -0x1.3be2f00173e8ap-4, -0x1.385eb5da3d54cp-4, -0x1.34daf119d6292p-4, -0x1.3157dd2738819p-4, -0x1.2dd5b4830fac1p-4, -0x1.2a54b0c20d27cp-4, -0x1.26d50a876b079p-4, -0x1.2356f97fa2671p-4, -0x1.1fdab45b5d288p-4, -0x1.1c6070caaa6p-4, -0x1.18e863787adedp-4, -0x1.1572c0066e519p-4, -0x1.11ffb908ed6cp-4, -0x1.0e8f80039f086p-4, -0x1.0b22456632997p-4, -0x1.07b8388983469p-4, -0x1.045187ad17bd7p-4, -0x1.00ee5ff4fa81ap-4, -0x1.fb1ddacfd2a04p-5, -0x1.f466b5dbbe39ep-5, -0x1.edb7a49de2e78p-5, -0x1.e710f864fde3cp-5, -0x1.e073003d5f1c8p-5, -0x1.d9de08f07f4bp-5, -0x1.d3525d05253fbp-5, -0x1.ccd044c01abb2p-5, -0x1.c65806255cc63p-5, -0x1.bfe9e4f9cbc28p-5, -0x1.b98622c550a5p-5, -0x1.b32cfed568931p-5, -0x1.acdeb6401dec4p-5, -0x1.a69b83e75e913p-5, -0x1.a063a07cabe2ap-5, -0x1.9a3742851dc9ap-5, -0x1.94169e5db814bp-5, -0x1.8e01e64008a97p-5, -0x1.87f94a470727fp-5, -0x1.81fcf8743e173p-5, -0x1.7c0d1cb527c9dp-5, -0x1.7629e0e8d0ed7p-5, -0x1.70536ce5a4443p-5, -0x1.6a89e67f73f0dp-5, -0x1.64cd718dae63fp-5, -0x1.5f1e2ff1c48b3p-5, -0x1.597c419db65a3p-5, -0x1.53e7c49aca409p-5, -0x1.4e60d5106dcap-5, -0x1.48e78d4b33cc9p-5, -0x1.437c05c3fa593p-5, -0x1.3e1e55272c1dep-5, -0x1.38ce905c2171fp-5, -0x1.338cca8c98f57p-5, -0x1.2e59152c4cb09p-5, -0x1.293380009ca8fp-5, -0x1.241c19284e398p-5, -0x1.1f12ed235b3fdp-5, -0x1.1a1806dad8dbap-5, -0x1.152b6fa8e2c1dp-5, -0x1.104d2f609b518p-5, -0x1.0b7d4c56330cbp-5, -0x1.06bbcb66f6bfep-5, -0x1.0208b0016838bp-5, -0x1.fac7f85aadf71p-6, -0x1.f19b612805a7cp-6, -0x1.e88b99106be59p-6, -0x1.df989c1cd065fp-6, -0x1.d6c263c9b53f2p-6, -0x1.ce08e7175d841p-6, -0x1.c56c1a9a00cc9p-6, -0x1.bcebf089d8bebp-6, -0x1.b48858d333843p-6, -0x1.ac4141266b836p-6, -0x1.a4169507c7de4p-6, -0x1.9c083ddf4aa6dp-6, -0x1.941623086184cp-6, -0x1.8c4029e17a35cp-6, -0x1.848635db7a336p-6, -0x1.7ce82889197fap-6, -0x1.7565e1ae111c1p-6, -0x1.6dff3f4e31942p-6, -0x1.66b41dbc4bca3p-6, -0x1.5f8457a8fc369p-6, -0x1.586fc6313e8eap-6, -0x1.517640ece6af9p-6, -0x1.4a979dfce358cp-6, -0x1.43d3b2195f203p-6, -0x1.3d2a509fa5965p-6, -0x1.369b4b9fe269ep-6, -0x1.302673eab4373p-6, -0x1.29cb991e816a5p-6, -0x1.238a89b4a7219p-6, -0x1.1d63130e6cf42p-6, -0x1.17550181ce7fcp-6, -0x1.1160206600007p-6, -0x1.0b843a1fcce89p-6, -0x1.05c1182dbd78ep-6, -0x1.00168333fae7ap-6, -0x1.f508861019a6cp-7, -0x1.ea143d789c765p-7, -0x1.df4fb956707bfp-7, -0x1.d4ba8504db0abp-7, -0x1.ca542a9b1256fp-7, -0x1.c01c33017b8fp-7, -0x1.b612260664a8fp-7, -0x1.ac358a725e7c9p-7, -0x1.a285e61c0a20bp-7, -0x1.9902bdfb91d71p-7, -0x1.8fab963d93d37p-7, -0x1.867ff255ad4ebp-7, -0x1.7d7f551089c0fp-7, -0x1.74a940a58f977p-7, -0x1.6bfd36c802fdep-7, -0x1.637ab8b7ce95fp-7, -0x1.5b214751de67cp-7, -0x1.52f0631ffac07p-7, -0x1.4ae78c684e9f7p-7, -0x1.4306433c70e2p-7, -0x1.3b4c07880c531p-7, -0x1.33b8591f25368p-7, -0x1.2c4ab7cbe6388p-7, -0x1.2502a35c27699p-7, -0x1.1ddf9bae70a89p-7, -0x1.16e120beb6618p-7, -0x1.1006b2b2a71e1p-7, -0x1.094fd1e5a414dp-7, -0x1.02bbfef45b48cp-7, -0x1.f8957590170f2p-8, -0x1.ebf70d42e2db9p-8, -0x1.df9bc846a06d9p-8, -0x1.d382aab98b431p-8, -0x1.c7aab9a6613fp-8, -0x1.bc12fb1799b73p-8, -0x1.b0ba762a2964p-8, -0x1.a5a0331f6be1ep-8, -0x1.9ac33b6eb832fp-8, -0x1.902299d62c461p-8, -0x1.85bd5a6b21855p-8, -0x1.7b928aa9d431ap-8, -0x1.71a13984ba86ap-8, -0x1.67e877733583ep-8, -0x1.5e67567fc6fd6p-8, -0x1.551cea55c1f8ap-8, -0x1.4c08484e7dc83p-8, -0x1.4328877e0d4d6p-8, -0x1.3a7cc0bf6f1f1p-8, -0x1.32040ec050799p-8, -0x1.29bd8e0c4c74p-8, -0x1.21a85d17bcde6p-8, -0x1.19c39c4a09a63p-8, -0x1.120e6e079ddfap-8, -0x1.0a87f6bb37dd9p-8, -0x1.032f5cdef91c3p-8, -0x1.f8079209dc6fap-9, -0x1.ea08cbbe3a963p-9, -0x1.dc60c08e8d39bp-9, -0x1.cf0dce8c1a0e5p-9, -0x1.c20e5833a30d1p-9, -0x1.b560c47a26ffcp-9, -0x1.a9037ed8da345p-9, -0x1.9cf4f75842826p-9, -0x1.9133a29a69217p-9, -0x1.85bdf9e4a068ep-9, -0x1.7a927b27ebf81p-9, -0x1.6fafa9091a0eep-9, -0x1.65140ae7c2dcp-9, -0x1.5abe2ce4bcbf3p-9, -0x1.50ac9fe7ad1c9p-9, -0x1.46ddf9a3d1e7bp-9, -0x1.3d50d49c4bf41p-9, -0x1.3403d02767713p-9, -0x1.2af590715298bp-9, -0x1.2224be7e1bb6cp-9, -0x1.1990082b23059p-9, -0x1.1136202f75e06p-9, -0x1.0915be1c2a85dp-9, -0x1.012d9e5b8bdcep-9, -0x1.f2f9045fb5a6dp-10, -0x1.e4025f631022dp-10, -0x1.d574e3996fad4p-10, -0x1.c74e307c75985p-10, -0x1.b98bef2006356p-10, -0x1.ac2bd22a19889p-10, -0x1.9f2b95c98ea82p-10, -0x1.9288ffab94918p-10, -0x1.8641def0f6d91p-10, -0x1.7a540c21aa3dcp-10, -0x1.6ebd691fae19fp-10, -0x1.637be119731b1p-10, -0x1.588d687ab908fp-10, -0x1.4deffcdd6c8d2p-10, -0x1.43a1a4f915eeep-10, -0x1.39a07091f59eap-10, -0x1.2fea78674654cp-10, -0x1.267dde20c2094p-10, -0x1.1d58cc3c1728cp-10, -0x1.147975f8b792dp-10, -0x1.0bde17442d938p-10, -0x1.0384f4a51c648p-10, -0x1.f6d8b64ce2dc8p-11, -0x1.e72540831ea0ap-11, -0x1.d7ec43908a052p-11, -0x1.c92a8b9ccdabfp-11, -0x1.badcf525dc2c8p-11, -0x1.ad006cd19c45ep-11, -0x1.9f91ef3ee2bfp-11, -0x1.928e88d5e5d94p-11, -0x1.85f37b0b25917p-11, -0x1.79bdb17c8c89p-11, -0x1.6dea80eec2895p-11, -0x1.6277330306d12p-11, -0x1.5761202f6f233p-11, -0x1.4ca5af8c3753ep-11, -0x1.424256a175b82p-11, -0x1.38349934af616p-11, -0x1.2e7a0915f77a8p-11, -0x1.251045ecce054p-11, -0x1.1bf4fd059e043p-11, -0x1.1325e91e3ab71p-11, -0x1.0aa0d2330e0e9p-11, -0x1.02638d4b229d9p-11, -0x1.f4d7f88d41c8bp-12, -0x1.e5701b53f09c1p-12, -0x1.d68b78d850ee8p-12, -0x1.c8261f8658cd9p-12, -0x1.ba3c35e2fc3f2p-12, -0x1.acc9fa27d037ep-12, -0x1.9fcbc1dcdd3fep-12, -0x1.933df975472bep-12, -0x1.871d23ebcf016p-12, -0x1.7b65da5e2f38ep-12, -0x1.7014cbab59b03p-12, -0x1.6526bc111f315p-12, -0x1.5a9884ca5586ap-12, -0x1.506713ae96ef4p-12, -0x1.468f6ad09288cp-12, -0x1.3d0ea02090a15p-12, -0x1.33e1dd0c329fdp-12, -0x1.2b065e21c3595p-12, -0x1.227972b1aaec3p-12, -0x1.1a387c73275fp-12, -0x1.1240ef28672dp-12, -0x1.0a90504445c0bp-12, -0x1.032436906e9ep-12, -0x1.f7f493a9d62b6p-13, -0x1.ea2084fe7cf78p-13, -0x1.dcc7d29a7b288p-13, -0x1.cfe62deb7d857p-13, -0x1.c37767a8dfd5dp-13, -0x1.b7776f2a6571fp-13, -0x1.abe251c57c434p-13, -0x1.a0b43a2502a4ep-13, -0x1.95e96faa58121p-13, -0x1.8b7e55cd16a6fp-13, -0x1.816f6b7cd9c1p-13, -0x1.77b94a86a7f72p-13, -0x1.6e58a6fa9b37bp-13, -0x1.654a4e94fc82ep-13, -0x1.5c8b2828c8d42p-13, -0x1.5418330cd3487p-13, -0x1.4bee868aa09edp-13, -0x1.440b514f1632p-13, -0x1.3c6bd8df5b80ep-13, -0x1.350d790b00c24p-13, -0x1.2deda3677a2d8p-13, -0x1.2709dec7c9fb7p-13, -0x1.205fc6b77e7c1p-13, -0x1.19ed0afa63891p-13, -0x1.13af6f0b7503cp-13, -0x1.0da4c99f6e5e1p-13, -0x1.07cb042870756p-13, -0x1.02201a5e3d10fp-13, -0x1.f94433867ba3dp-14, -0x1.ee9e426492db2p-14, -0x1.e44ac0d352e1ep-14, -0x1.da462f33c960fp-14, -0x1.d08d2decc6fd9p-14, -0x1.c71c7c939d4dcp-14, -0x1.bdf0f90dca5a9p-14, -0x1.b5079ec56c2d1p-14, -0x1.ac5d85d8189bdp-14, -0x1.a3efe24cd25ap-14, -0x1.9bbc034c0a6cep-14, -0x1.93bf525e2228dp-14, -0x1.8bf752aac04f3p-14, -0x1.8461a03e2a679p-14, -0x1.7cfbef531dc23p-14, -0x1.75c40b9d413d2p-14, -0x1.6eb7d799ac05ep-14, -0x1.67d54be2821adp-14, -0x1.611a7684cebd7p-14, -0x1.5a857a5dacc94p-14, -0x1.54148e7518f7p-14, -0x1.4dc5fd64a469dp-14, -0x1.479824b68508dp-14, -0x1.418974526356bp-14, -0x1.3b986de762b2cp-14, -0x1.35c3a45d09c9ap-14, -0x1.3009bb415877ep-14, -0x1.2a69664460ccp-14, -0x1.24e168ad3162cp-14, -0x1.1f7094d5122dcp-14, -0x1.1a15cbadbc03p-14, -0x1.14cffc38515adp-14, -0x1.0f9e231234d94p-14, -0x1.0a7f49faec32ap-14, -0x1.0572875f69d9bp-14, -0x1.0076fde6e583ap-14, -0x1.f717b809f66e8p-15, -0x1.ed60b71824d41p-15, -0x1.e3c78289a00ep-15, -0x1.da4ab906341f6p-15, -0x1.d0e90d8dfefc8p-15, -0x1.c7a146b0323e3p-15, -0x1.be723dca33d43p-15, -0x1.b55ade539657ap-15, -0x1.ac5a2521366f9p-15, -0x1.a36f1fbf1a6c1p-15, -0x1.9a98ebbece5e6p-15, -0x1.91d6b612e208ep-15, -0x1.8927ba6cfed2ap-15, -0x1.808b42a09a07ep-15, -0x1.7800a60b9d493p-15, -0x1.6f8748fba31ep-15, -0x1.671e9c28accdap-15, -0x1.5ec61c1d57df4p-15, -0x1.567d50b7f12bfp-15, -0x1.4e43cc9f8e9bbp-15, -0x1.46192ccbf9ef9p-15, -0x1.3dfd180506825p-15, -0x1.35ef3e6558a97p-15, -0x1.2def58ecb5f15p-15, -0x1.25fd290d5bbbfp-15, -0x1.1e18783d3bde5p-15, -0x1.1641178ddf3e8p-15, -0x1.0e76df412ac3fp-15, -0x1.06b9ae6e11a8ep-15, -0x1.fe12d52cca0f2p-16, -0x1.eecbfea5ebdd8p-16, -0x1.df9ebbeeca283p-16, -0x1.d08afa69fbc77p-16, -0x1.c190b19fa1645p-16, -0x1.b2afe291ecb4cp-16, -0x1.a3e897229d2fbp-16, -0x1.953ae17ca95eap-16, -0x1.86a6db824fe2fp-16, -0x1.782ca6427888fp-16, -0x1.69cc697083ef9p-16, -0x1.5b8652e018f67p-16, -0x1.4d5a960e4e067p-16, -0x1.3f496ba45d5a4p-16, -0x1.3153110477beep-16, -0x1.2377c7dcde371p-16, -0x1.15b7d5bdfa4fep-16, -0x1.081383aaeff74p-16, -0x1.f5163b9273accp-17, -0x1.da3de5d043126p-17, -0x1.bf9ea887b2799p-17, -0x1.a5392a2958e2dp-17, -0x1.8b0e14b3d6b6fp-17, -0x1.711e14d439c89p-17, }}, 
      {{0x1.e4015c8ae9d52p-6, 0x1.e2f58e94cf7e5p-5, 0x1.68ee1889df58ap-4, 0x1.dee112845a415p-4, 0x1.297243d5d1bacp-3, 0x1.624a39c355981p-3, 0x1.99cc37aeb1bdfp-3, 0x1.cfd1db3dba1b2p-3, 0x1.021d354609c08p-2, 0x1.1b7546dfcb524p-2, 0x1.33e5fe14e8fdp-2, 0x1.4b6687657cc74p-2, 0x1.61f0347b95a57p-2, 0x1.777e3ff40da9fp-2, 0x1.8c0da03442394p-2, 0x1.9f9cd5ff12ccep-2, 0x1.b22bbcdec8df3p-2, 0x1.c3bb6342b9e16p-2, 0x1.d44de3b588a4ep-2, 0x1.e3e6401800e7fp-2, 0x1.f2884104c8d83p-2, 0x1.001c2db800a7fp-1, 0x1.067dca14b638ep-1, 0x1.0c6bb429c0d9cp-1, 0x1.11e8dfc106991p-1, 0x1.16f86790a7a6p-1, 0x1.1b9d7ef806516p-1, 0x1.1fdb7ec9fbe92p-1, 0x1.23b5cc50acf48p-1, 0x1.272fda2e77ba5p-1, 0x1.2a4d1feab4925p-1, 0x1.2d1118cbedc2cp-1, 0x1.2f7f4015bb4e3p-1, 0x1.319b0b2317e96p-1, 0x1.3367e60f2368cp-1, 0x1.34e9326ca30bbp-1, 0x1.3622450095848p-1, 0x1.371662abcf95ap-1, 0x1.37c8be86913bp-1, 0x1.383c79631daf6p-1, 0x1.3874a1651052dp-1, 0x1.387430f43164ep-1, 0x1.383e0d64a4223p-1, 0x1.37d505f651b8bp-1, 0x1.373bd383b579ap-1, 0x1.367518cd00957p-1, 0x1.358362f67be65p-1, 0x1.346929c105277p-1, 0x1.3328cf4cc98b1p-1, 0x1.31c49fa505e8dp-1, 0x1.303ed08cf9103p-1, 0x1.2e9981d92ff3ap-1, 0x1.2cd6be36967b8p-1, 0x1.2af87bf7aaab9p-1, 0x1.2901125a29885p-1, 0x1.26f160af93dbcp-1, 0x1.24cb963e83633p-1, 0x1.22915ddb75efbp-1, 0x1.204450769a195p-1, 0x1.1de5f49c2210ap-1, 0x1.1b77be893893ep-1, 0x1.18fb10e43815ep-1, 0x1.16713dd22b824p-1, 0x1.13db88064c596p-1, 0x1.113b2383eafffp-1, 0x1.0e9136036c38fp-1, 0x1.0bded71bf14f9p-1, 0x1.0925106662c94p-1, 0x1.0664ddc2f54fdp-1, 0x1.039f2dce28d49p-1, 0x1.00d4e277c6fe8p-1, 0x1.fc0da342ce1f3p-2, 0x1.f66b8b592162p-2, 0x1.f0c4fbda71106p-2, 0x1.eb1b5e0709c61p-2, 0x1.e5700651f4ce3p-2, 0x1.dfc434fd8a2cap-2, 0x1.da1916cc9be98p-2, 0x1.d46fc5cc4f982p-2, 0x1.cec94a2e2b3a1p-2, 0x1.c9269b2372249p-2, 0x1.c3889fab7605bp-2, 0x1.bdf02f4c33dc4p-2, 0x1.b85e12b449abcp-2, 0x1.b2d3044bf7c23p-2, 0x1.ad4fb0be74107p-2, 0x1.a7d4b784d13fdp-2, 0x1.a262ab78d5ae3p-2, 0x1.9cfa1371b42afp-2, 0x1.979b6ae84f729p-2, 0x1.9247229d95588p-2, 0x1.8cfda13c6202bp-2, 0x1.87bf43f0f435ep-2, 0x1.828c5ef2287d7p-2, 0x1.7d653dfb5b1c5p-2, 0x1.784a24b884141p-2, 0x1.733b4f281037ap-2, 0x1.6e38f1f6e2e83p-2, 0x1.69433adac799ap-2, 0x1.645a50ee8ca09p-2, 0x1.5f7e55116c30ap-2, 0x1.5aaf6249ca924p-2, 0x1.55ed8e29ea9b3p-2, 0x1.5138e93456f15p-2, 0x1.4c917f3d7d8b5p-2, 0x1.47f757c8339bfp-2, 0x1.436a765b7ad19p-2, 0x1.3eeadad0a79c1p-2, 0x1.3a788199d671ap-2, 0x1.361364015ce9ep-2, 0x1.31bb6e615c27cp-2, 0x1.2d70a981b3f7dp-2, 0x1.2932fb418749fp-2, 0x1.2502523ed9285p-2, 0x1.20de9b04ace96p-2, 0x1.1cc7c03c436ep-2, 0x1.18bdaadae4cdap-2, 0x1.14c0424c5c444p-2, 0x1.10cf6c9a51ec1p-2, 0x1.0ceb0e90c9123p-2, 0x1.09130be015d4fp-2, 0x1.0547473ca516p-2, 0x1.0187a27ce2664p-2, 0x1.fba7fd6b0ab9fp-3, 0x1.f45878a8ed78ap-3, 0x1.ed207674cb25dp-3, 0x1.e5ffb5a6385f9p-3, 0x1.def5f45906a2bp-3, 0x1.d802f0189f33cp-3, 0x1.d12666087a47ap-3, 0x1.ca601309ad24dp-3, 0x1.c3afb3dd72365p-3, 0x1.bd150544b59ep-3, 0x1.b68fc41cba823p-3, 0x1.b01fad7905f26p-3, 0x1.a9c47ebaad4aep-3, 0x1.a37df5a55ba82p-3, 0x1.9d4bd07237c07p-3, 0x1.972dcde0e979ap-3, 0x1.9123ad46f9486p-3, 0x1.8b2d2e9da8224p-3, 0x1.854a128e5d09cp-3, 0x1.7f7a1a7dbff4p-3, 0x1.79bd089582083p-3, 0x1.74129fccd960dp-3, 0x1.6e7aa3efb839fp-3, 0x1.68f4d9a4c4d25p-3, 0x1.63810672255b4p-3, 0x1.5e1ef0c127dfap-3, 0x1.58ce5fe0e790ap-3, 0x1.538f1c0806565p-3, 0x1.4e60ee5581acdp-3, 0x1.4943a0d0d8774p-3, 0x1.4436fe697e43p-3, 0x1.3f3ad2f5be495p-3, 0x1.3a4eeb312ebb1p-3, 0x1.357314bab6192p-3, 0x1.30a71e1246a9cp-3, 0x1.2bead6965b79cp-3, 0x1.273e0e81433adp-3, 0x1.22a096e63ac0dp-3, 0x1.1e1241ae636e8p-3, 0x1.1992e1958941dp-3, 0x1.15224a26bc037p-3, 0x1.10c04fb8b02b2p-3, 0x1.0c6cc769eda0fp-3, 0x1.0827871cc00a6p-3, 0x1.03f06572f413p-3, 0x1.ff8e7392c525p-4, 0x1.f757b866931cdp-4, 0x1.ef3c4aeb13f0ap-4, 0x1.e73bde03863a9p-4, 0x1.df5625e2b3b51p-4, 0x1.d78ad800fa5cdp-4, 0x1.cfd9ab1243fb7p-4, 0x1.c84256fc04bafp-4, 0x1.c0c494cb606e1p-4, 0x1.b9601eab6878dp-4, 0x1.b214afdb8e802p-4, 0x1.aae204a64be05p-4, 0x1.a3c7da580a3b1p-4, 0x1.9cc5ef3644507p-4, 0x1.95dc0276ef532p-4, 0x1.8f09d43828d89p-4, 0x1.884f25781367ap-4, 0x1.81abb80cf7a38p-4, 0x1.7b1f4e9d92ac8p-4, 0x1.74a9ac9994e1ep-4, 0x1.6e4a963249fb7p-4, 0x1.6801d05369c62p-4, 0x1.61cf209c0e2cp-4, 0x1.5bb24d57d0ff2p-4, 0x1.55ab1d78104a9p-4, 0x1.4fb9588d60341p-4, 0x1.49dcc6c12a142p-4, 0x1.441530cf7e64fp-4, 0x1.3e62600123638p-4, 0x1.38c41e25d6b47p-4, 0x1.333a358ed9cd8p-4, 0x1.2dc47109b5f69p-4, 0x1.28629bdb5028ap-4, 0x1.231481bb3aac8p-4, 0x1.1dd9eecf4fe8fp-4, 0x1.18b2afa797133p-4, 0x1.139e913a6a7e5p-4, 0x1.0e9d60e0ded51p-4, 0x1.09aeec5372ce1p-4, 0x1.04d301a6f45b4p-4, 0x1.00096f49a7a4ap-4, 0x1.f6a408013dd68p-5, 0x1.ed591dca98f3bp-5, 0x1.e431bec67b801p-5, 0x1.db2d8a6c11d54p-5, 0x1.d24c20cebd196p-5, 0x1.c98d229a88313p-5, 0x1.c0f03110dd15cp-5, 0x1.b874ee057bf59p-5, 0x1.b01afbdbac633p-5, 0x1.a7e1fd83a0d4cp-5, 0x1.9fc9967816a78p-5, 0x1.97d16abc14bf8p-5, 0x1.8ff91ed8eb3f1p-5, 0x1.8840cf4eb6691p-5, 0x1.80a73c18bc2bcp-5, 0x1.792c7a6ae2ea9p-5, 0x1.71d030db4074p-5, 0x1.6a92067cca0dbp-5, 0x1.6371a2de78e74p-5, 0x1.5c6eae0a89a53p-5, 0x1.5588d085e5c9cp-5, 0x1.4ebfb34fad23p-5, 0x1.4812ffe0daa9dp-5, 0x1.4182602c0b288p-5, 0x1.3b0d7e9d59573p-5, 0x1.34b4061a5894fp-5, 0x1.2e75a20224bcdp-5, 0x1.2851fe2d87179p-5, 0x1.2248c6ef3a439p-5, 0x1.1c59a91438508p-5, 0x1.168451e41f605p-5, 0x1.10c86f21b15f3p-5, 0x1.0b25af0b5b794p-5, 0x1.059bc05bd1445p-5, 0x1.002a524abfd69p-5, 0x1.f5a2291b06a77p-6, 0x1.eb1f6eafe6b19p-6, 0x1.e0cbd6ba75547p-6, 0x1.d6a6c3a1701p-6, 0x1.ccaf98cdd974ap-6, 0x1.c2e5baace39bcp-6, 0x1.b9488eb1f1d8bp-6, 0x1.afd77b589f56fp-6, 0x1.a691e826db88cp-6, 0x1.9d773daf0695ap-6, 0x1.9486e592190b5p-6, 0x1.8bc04a81d5688p-6, 0x1.8322d842f352bp-6, 0x1.7aadfbaf43c24p-6, 0x1.726122b7f1543p-6, 0x1.6a3bbc679ed57p-6, 0x1.623d38e48c22fp-6, 0x1.5a650972ae5f7p-6, 0x1.52b2a075cf32cp-6, 0x1.4b25717391ff5p-6, 0x1.43bcf115720fp-6, 0x1.3c78952ab08fap-6, 0x1.3557d4aa46c99p-6, 0x1.2e5a27b4af84bp-6, 0x1.277f0795b8e02p-6, 0x1.20c5eec633ae5p-6, 0x1.1a2e58ed9e989p-6, 0x1.13b7c2e3bd8e4p-6, 0x1.0d61aab21189dp-6, 0x1.072b8f955ae3cp-6, 0x1.0114f1feebcbep-6, 0x1.f63aa72bd526bp-7, 0x1.ea886e713d094p-7, 0x1.df1241fafd9e1p-7, 0x1.d3d72c6896986p-7, 0x1.c8d63acdfe8b3p-7, 0x1.be0e7cb577916p-7, 0x1.b37f0421168dbp-7, 0x1.a926e58c52dc5p-7, 0x1.9f0537ed37b9dp-7, 0x1.951914b58d376p-7, 0x1.8b6197d3c1dbp-7, 0x1.81dddfb3a02c9p-7, 0x1.788d0d3f0009dp-7, 0x1.6f6e43de1b182p-7, 0x1.6680a977d48aep-7, 0x1.5dc36671bec4bp-7, 0x1.5535a5b00d446p-7, 0x1.4cd694953ecbbp-7, 0x1.44a56301ae547p-7, 0x1.3ca14352ebde4p-7, 0x1.34c96a62f8ce8p-7, 0x1.2d1d0f87461bbp-7, 0x1.259b6c8f8aec9p-7, 0x1.1e43bdc48d005p-7, 0x1.171541e686daap-7, 0x1.100f3a2ba594fp-7, 0x1.0930ea3e2c9ccp-7, 0x1.0279983a74269p-7, 0x1.f7d11959de74dp-8, 0x1.eafa251fab232p-8, 0x1.de6cee9179691p-8, 0x1.d228154c1b444p-8, 0x1.c62a3db8ac4dcp-8, 0x1.ba721106eaaa1p-8, 0x1.aefe3d2717807p-8, 0x1.a3cd74c4179f1p-8, 0x1.98de6f3cc53d5p-8, 0x1.8e2fe89d53797p-8, 0x1.83c0a198502a2p-8, 0x1.798f5f7f7ed86p-8, 0x1.6f9aec3c7e3e4p-8, 0x1.65e21648f6b54p-8, 0x1.5c63b0a7133c4p-8, 0x1.531e92d93ebebp-8, 0x1.4a1198d9ffc1ep-8, 0x1.413ba313903dp-8, 0x1.389b96572e39dp-8, 0x1.30305bd479f8ep-8, 0x1.27f8e11078522p-8, 0x1.1ff417dc6b25ep-8, 0x1.1820f64cc5f2ap-8, 0x1.107e76af9eb06p-8, 0x1.090b978332185p-8, 0x1.01c75b6c57e03p-8, 0x1.f561925994fbp-9, 0x1.e78dd73251a44p-9, 0x1.da11a31e3c40cp-9, 0x1.cceb1bd67f60dp-9, 0x1.c0186efe13674p-9, 0x1.b397d20cb82c3p-9, 0x1.a767823b150bfp-9, 0x1.9b85c46da476ep-9, 0x1.8ff0e51fb9667p-9, 0x1.84a7384ec07eap-9, 0x1.79a71965229bcp-9, 0x1.6eeeeb25131c5p-9, 0x1.647d1793606b6p-9, 0x1.5a500fe22f267p-9, 0x1.50664c5bc746fp-9, 0x1.46be4c4cbe0a7p-9, 0x1.3d5695ef3f85dp-9, 0x1.342db65536dcfp-9, 0x1.2b4241530457ap-9, 0x1.2292d16a0c0e5p-9, 0x1.1a1e07b3560aap-9, 0x1.11e28bca3919ep-9, 0x1.09df0bb6fd2ddp-9, 0x1.02123bd954a4fp-9, 0x1.f4f5ada7082e2p-10, 0x1.e62f3ae9d4809p-10, 0x1.d7cead49aa18bp-10, 0x1.c9d19e9b40c22p-10, 0x1.bc35b48f0f911p-10, 0x1.aef8a08769d0ep-10, 0x1.a2181f6f5c78cp-10, 0x1.9591f990842b8p-10, 0x1.8964026a67a62p-10, 0x1.7d8c1888eda05p-10, 0x1.7208255bef866p-10, 0x1.66d61d0e36755p-10, 0x1.5bf3fe5d77caap-10, 0x1.515fd271fb02cp-10, 0x1.4717acb6b4af5p-10, 0x1.3d19aab1d324bp-10, 0x1.3363f3dd8a344p-10, 0x1.29f4b980d7055p-10, 0x1.20ca36880a824p-10, 0x1.17e2af5fa87f8p-10, 0x1.0f3c71cd619fcp-10, 0x1.06d5d4ca4e18fp-10, 0x1.fd5a70babb03ep-11, 0x1.ed820aec15ee4p-11, 0x1.de1f5b8f385d6p-11, 0x1.cf2f5748469afp-11, 0x1.c0af03b0d11c3p-11, 0x1.b29b770fc9d14p-11, 0x1.a4f1d81220c35p-11, 0x1.97af5d8489ef9p-11, 0x1.8ad14e0bcee95p-11, 0x1.7e54ffe1fe2ep-11, 0x1.7237d890142dap-11, 0x1.66774caa8d71cp-11, 0x1.5b10df8deea2ep-11, 0x1.5002231c4f487p-11, 0x1.4548b77b8c85bp-11, 0x1.3ae24ad3e7788p-11, 0x1.30cc990f7b8b9p-11, 0x1.27056b9aa3b26p-11, 0x1.1d8a99253ba5fp-11, 0x1.145a0562c1ccdp-11, 0x1.0b71a0cefabcp-11, 0x1.02cf686f152dcp-11, 0x1.f4e2cb2c82b2cp-12, 0x1.e4ab5b54bbd2ap-12, 0x1.d4f4c3cf17633p-12, 0x1.c5bb5e50ff22ap-12, 0x1.b6fb9b57c6a83p-12, 0x1.a8b201b61b0cdp-12, 0x1.9adb2e263626ap-12, 0x1.8d73d2da7ce54p-12, 0x1.8078b71056086p-12, 0x1.73e6b6a557d13p-12, 0x1.67bac1abfd74ep-12, 0x1.5bf1dc03a6badp-12, 0x1.50891cf0fb234p-12, 0x1.457daeb8400d1p-12, 0x1.3accce389d192p-12, 0x1.3073ca8aa9d37p-12, 0x1.26700499b361cp-12, 0x1.1cbeeeca959ebp-12, 0x1.135e0c984fe8cp-12, 0x1.0a4af238450f9p-12, 0x1.0183443d559e6p-12, 0x1.f2096e7c180f4p-13, 0x1.e19a1ef5f4b55p-13, 0x1.d1b4410e5e00dp-13, 0x1.c25399e2fc13fp-13, 0x1.b3740bdfaba19p-13, 0x1.a511961640336p-13, 0x1.9728539a3658bp-13, 0x1.89b47adebdb56p-13, 0x1.7cb25d1764ceep-13, 0x1.701e659ae9623p-13, 0x1.63f5194cd96c3p-13, 0x1.583315fdb8c11p-13, 0x1.4cd511de7ecc3p-13, 0x1.41d7daec506cap-13, 0x1.3738565f007c7p-13, 0x1.2cf3801e9aaf6p-13, 0x1.23066a36641f6p-13, 0x1.196e3c4e0a6a3p-13, 0x1.10283323bcfeap-13, 0x1.0731a00b1f9a9p-13, 0x1.fd0fd0d28929dp-14, 0x1.ec510a7128f13p-14, 0x1.dc22051aaf83fp-14, 0x1.cc7dfe3b2ec8p-14, 0x1.bd60577ffc532p-14, 0x1.aec4960e58d1cp-14, 0x1.a0a66188cab8bp-14, 0x1.9301833316ab4p-14, 0x1.85d1fbd17b022p-14, 0x1.7913a7e974f92p-14, 0x1.6cc2c73b0fe74p-14, 0x1.60dba127dc758p-14, 0x1.555a9a94b30b9p-14, 0x1.4a3c351a08705p-14, 0x1.3f7d0e52025d4p-14, 0x1.3519df0cbd77bp-14, 0x1.2b0f7a9bc16ap-14, 0x1.215ace1b5bcbdp-14, 0x1.17f8dfbd9ec6fp-14, 0x1.0ee6ce1e747e3p-14, 0x1.0621cf9bf8a6p-14, 0x1.fb4e633f8d452p-15, 0x1.eae8b0260eca7p-15, 0x1.db0d796296c06p-15, 0x1.cbb7dcd83db7ap-15, 0x1.bce321aa511c9p-15, 0x1.ae8ab7176651ap-15, 0x1.a0aa3346a2f71p-15, 0x1.933d523b5fc47p-15, 0x1.863ff4b726177p-15, 0x1.79ae1f292911ap-15, 0x1.6d83f8a946e9bp-15, 0x1.61bdc9f234f1fp-15, 0x1.5657fc657db6p-15, 0x1.4b4f1914a5bfcp-15, 0x1.409fc7ce26dd8p-15, 0x1.3646ce3b89f3ap-15, 0x1.2c410eee74a27p-15, 0x1.228b8889ad7cbp-15, 0x1.192354e6cdf58p-15, 0x1.1005a83e71a8bp-15, 0x1.072fd06250761p-15, 0x1.fd3e67a8fd9a7p-16, 0x1.eca2a261707adp-16, 0x1.dc877c96bc1f4p-16, 0x1.cce84effc446ep-16, 0x1.bdc09df9bc7cp-16, 0x1.af0c181ec6c62p-16, 0x1.a0c694e19c311p-16, 0x1.92ec1354f98ffp-16, 0x1.8578b8d418cc9p-16, 0x1.7868cfc492218p-16, 0x1.6bb8c6619433bp-16, 0x1.5f652d91f3d3ep-16, 0x1.536ab7ba39a74p-16, 0x1.47c637a483e07p-16, 0x1.3c749f636c8dap-16, 0x1.3172ff4ea65cp-16, 0x1.26be84efe3d36p-16, 0x1.1c547a0a9318ep-16, 0x1.123243a06c29dp-16, 0x1.085560ff1adf8p-16, 0x1.fd76d5c8c57eep-17, 0x1.eac424dcaca96p-17, 0x1.d88e40fe25f1dp-17, 0x1.c6d0e9600a90cp-17, 0x1.b5880950cbc6bp-17, 0x1.a4afb61c9358p-17, 0x1.94442e459303p-17, 0x1.8441d784954aep-17, 0x1.74a53d79298d1p-17, 0x1.656b103ddcc58p-17, 0x1.5690230e226bfp-17, 0x1.48116b035e93ep-17, 0x1.39ebfdaf77282p-17, 0x1.2c1d0ff621338p-17, 0x1.1ea1f4d400402p-17, 0x1.11781c3707b5bp-17, 0x1.049d11d0d95aep-17, 0x1.f01cf82802b11p-18, 0x1.d7943641397fcp-18, 0x1.bf9b8f5e9c8d7p-18, 0x1.a82ee444f4421p-18, 0x1.914a431eb94cap-18, 0x1.7ae9e59997417p-18, 0x1.650a2f18a5824p-18, 0x1.4fa7ab23c83edp-18, 0x1.3abf0b68ec754p-18, 0x1.264d2685795c6p-18, 0x1.124ef6142036cp-18, 0x1.fd832b1b29cc6p-19, 0x1.d744804cb6a1p-19, 0x1.b1dca104e18d6p-19, 0x1.8d467bf858d5ep-19, 0x1.697d392e70ba7p-19, 0x1.467c364f5d561p-19, 0x1.243f03fac0e9fp-19, 0x1.02c163e241f38p-19, 0x1.c3fe8c849f44bp-20, 0x1.83e99081bbe14p-20, 0x1.453c6203d9e52p-20, 0x1.07efe06496dc9p-20, 0x1.97fa7006f6dfdp-21, 0x1.22bbbbc2e0c61p-21, 0x1.602e34d49243cp-22, 0x1.000217343a09cp-23, -0x1.6c9c5435ac2a5p-24, -0x1.316050c840fb7p-22, -0x1.015ff328a9826p-21, -0x1.67ad2092c72abp-21, -0x1.cba18062e18b7p-21, -0x1.16a341549e66cp-20, -0x1.46529ded7850ep-20, -0x1.74e335a7b9406p-20, -0x1.a2593fa02be46p-20, -0x1.ceb8cc59d32afp-20, -0x1.fa05c7afe1f04p-20, -0x1.1221ff104f68bp-19, -0x1.26bb8cecbbb99p-19, -0x1.3ad153aff1b87p-19, -0x1.4e650b981c8e5p-19, -0x1.61785fa580ffcp-19, -0x1.740cee6f6afa1p-19, -0x1.86244af78df26p-19, -0x1.97bffd3ff76b1p-19, -0x1.a8e1837e804a9p-19, -0x1.b98a51e800952p-19, -0x1.c9bbd4554a7dcp-19, -0x1.d9776e4b8ede7p-19, -0x1.e8be7bbabfd2bp-19, -0x1.f792517819fb4p-19, -0x1.02fa1ef30b553p-18, -0x1.09f2c4ac5c4d5p-18, -0x1.10b3bb5314b2ap-18, -0x1.173da1bf89c31p-18, -0x1.1d9114782dd78p-18, -0x1.23aeade11aeb3p-18, -0x1.2997062fd7459p-18, -0x1.2f4ab4693b729p-18, -0x1.34ca4d6dd2f8p-18, -0x1.3a1664e5131edp-18, -0x1.3f2f8d0db476ap-18, -0x1.441656f0421b6p-18, -0x1.48cb52af444ap-18, -0x1.4d4f0f6f68cf3p-18, -0x1.51a21b8448829p-18, -0x1.55c5048aeb1ap-18, -0x1.59b8577fbed34p-18, -0x1.5d7ca0bb52dbp-18, -0x1.61126c7e5ba15p-18, -0x1.647a4648ea85dp-18, -0x1.67b4b96b6c265p-18, -0x1.6ac250ffe5d6p-18, -0x1.6da397c7e782ap-18, -0x1.705918951f1ebp-18, -0x1.72e35dfe190a4p-18, -0x1.7542f2991e7d3p-18, -0x1.777860d74d55dp-18, -0x1.79843348f11f6p-18, -0x1.7b66f48351f7dp-18, -0x1.7d212f12411f8p-18, -0x1.7eb36da553c42p-18, }}, 
      {{-0x1.1046e16bb7b28p-1, -0x1.039de2cd0429cp-1, -0x1.dea9cde060175p-2, -0x1.a8c779c7db838p-2, -0x1.67bfb2a1d4291p-2, -0x1.1dcb9f5f52c6p-2, -0x1.9a2a282ed34c4p-3, -0x1.de8ea0fb4b80bp-4, -0x1.f515faae6a09fp-6, 0x1.d1da2dafcb466p-5, 0x1.27232531aa7bep-3, 0x1.d6ea50a55af85p-3, 0x1.40dcfacee0adap-2, 0x1.92ee2a5fef9ecp-2, 0x1.e0f92d18bf693p-2, 0x1.153a8d7032d48p-1, 0x1.377d639f7d6f5p-1, 0x1.572074fcfef58p-1, 0x1.740c4d56263ap-1, 0x1.8e34877226ef9p-1, 0x1.a595e92350e79p-1, 0x1.ba3521fdc31dcp-1, 0x1.cc1db0873729ap-1, 0x1.db609f9e8cc7cp-1, 0x1.e8136c9dc5dfdp-1, 0x1.f24efe2dbf491p-1, 0x1.fa2e15d2988e8p-1, 0x1.ffcefc687a1b2p-1, 0x1.01a85518fc9f5p+0, 0x1.02698928ef8f1p+0, 0x1.023b60f5ab6bcp+0, 0x1.012e3e557f0adp+0, 0x1.fea4d3d0909ep-1, 0x1.f96fe637113d3p-1, 0x1.f2dd37b725128p-1, 0x1.eb0b809946b0dp-1, 0x1.e2187b0cf84c1p-1, 0x1.d820bfc468b83p-1, 0x1.cd3fb201b7afcp-1, 0x1.c18f74b6a7aa8p-1, 0x1.b528e6e52b4dbp-1, 0x1.a823a4795a566p-1, 0x1.9a960533e5d71p-1, 0x1.8c9516af2ccb4p-1, 0x1.7e34958c52abap-1, 0x1.6f86ebea26304p-1, 0x1.609d37e7292c3p-1, 0x1.518758d08c59dp-1, 0x1.4253ff8447a21p-1, 0x1.3310be6bd15ccp-1, 0x1.23ca16a0c12b8p-1, 0x1.148b81b5873aap-1, 0x1.055f798c68675p-1, 0x1.ec9f01810f064p-2, 0x1.cec295e863479p-2, 0x1.b143c4b3ffb16p-2, 0x1.942be067b3ccap-2, 0x1.77876dfadc254p-2, 0x1.5b6169d112111p-2, 0x1.3fc36dddad757p-2, 0x1.24b5dbbf236f9p-2, 0x1.0a400068edf2ep-2, 0x1.e0d0584fee327p-3, 0x1.ae677ff97a893p-3, 0x1.7d4e6ac130028p-3, 0x1.4d8c4c92cb615p-3, 0x1.1f26b27657906p-3, 0x1.e44348816612fp-4, 0x1.8cff987b25eb6p-4, 0x1.38853e493ef95p-4, 0x1.cda9fdc4342fbp-5, 0x1.2fdb66abf429dp-5, 0x1.2f31cf18b7a22p-6, 0x1.365c767f36762p-11, -0x1.10de19f566c21p-6, -0x1.104f706f7dbf4p-5, -0x1.92d91d24b5102p-5, -0x1.080fde0a49283p-4, -0x1.441c79a347a42p-4, -0x1.7d9e0fbee0a47p-4, -0x1.b4a109000ee1ap-4, -0x1.e9326a382879ep-4, -0x1.0dafdcda6de04p-3, -0x1.259b73e3fa7a1p-3, -0x1.3c631d0fa4fc9p-3, -0x1.520e1cbd19281p-3, -0x1.66a3d0b1a8169p-3, -0x1.7a2ba8dae7754p-3, -0x1.8cad20e448c0ap-3, -0x1.9e2fba8daf46fp-3, -0x1.aebaf8aa757ecp-3, -0x1.be565aa91db47p-3, -0x1.cd09587f7536dp-3, -0x1.dadb5ed83be81p-3, -0x1.e7d3cb65826edp-3, -0x1.f3f9e944eac4dp-3, -0x1.ff54ed6ef6798p-3, -0x1.04f5f99b764b8p-2, -0x1.09e2fc75e55d7p-2, -0x1.0e74ee594d26p-2, -0x1.12af2cdaa75bep-2, -0x1.169502df6198fp-2, -0x1.1a29a7aa0458p-2, -0x1.1d703e2799be5p-2, -0x1.206bd4796b374p-2, -0x1.231f63b1186a6p-2, -0x1.258dcfb1bc574p-2, -0x1.27b9e72897ceep-2, -0x1.29a663920e343p-2, -0x1.2b55e9445cfcap-2, -0x1.2ccb1096291f1p-2, -0x1.2e07f6e714bf3p-2, -0x1.2f0f5608111dap-2, -0x1.2fe380a32428bp-2, -0x1.3086b520c72a6p-2, -0x1.30fb1e1526d75p-2, -0x1.3142d2c1d6cc6p-2, -0x1.315fd7a830799p-2, -0x1.31541f2636887p-2, -0x1.31218a165ff86p-2, -0x1.30c9e86a7d589p-2, -0x1.304ef9baf9036p-2, -0x1.2fb26dc5abb28p-2, -0x1.2ef5e4da34c66p-2, -0x1.2e1af03475e81p-2, -0x1.2d23124845b59p-2, -0x1.2c0fbf0340abfp-2, -0x1.2ae25c0a7d2dbp-2, -0x1.299c40f9fa6b1p-2, -0x1.283eb7aad813fp-2, -0x1.26cafc8407f7cp-2, -0x1.25423ed76d317p-2, -0x1.23a5a14b9ef7cp-2, -0x1.21f63a50ebb5ap-2, -0x1.2035149ef7fecp-2, -0x1.1e632fb79a7b5p-2, -0x1.1c81806b480c5p-2, -0x1.1a90f15b9983bp-2, -0x1.18926378ec5b4p-2, -0x1.1686ae78f7c85p-2, -0x1.146ea144f6538p-2, -0x1.124b025ef834ep-2, -0x1.101c903e98f1ep-2, -0x1.0de401a600e66p-2, -0x1.0ba205f06a8ap-2, -0x1.0957455b9172cp-2, -0x1.0704614d6c3e7p-2, -0x1.04a9f4975b221p-2, -0x1.024893b7aa1b1p-2, -0x1.ffc19a33daab9p-3, -0x1.fae652acb5121p-3, -0x1.f60056e0047dep-3, -0x1.f110a223179c6p-3, -0x1.ec18259005f89p-3, -0x1.e717c8767d8e1p-3, -0x1.e21068c702e89p-3, -0x1.dd02db78298d8p-3, -0x1.d7efece596f06p-3, -0x1.d2d86128fa2c5p-3, -0x1.cdbcf46d64b2dp-3, -0x1.c89e5b3d9b3afp-3, -0x1.c37d42ce0fbeap-3, -0x1.be5a51434283ep-3, -0x1.b93625f53b002p-3, -0x1.b41159b0973f8p-3, -0x1.aeec7ef5c3d2ep-3, -0x1.a9c8223698f7ap-3, -0x1.a4a4ca1298c8p-3, -0x1.9f82f791dc881p-3, -0x1.9a63265eabc7p-3, -0x1.9545ccfda6777p-3, -0x1.902b5d0455217p-3, -0x1.8b14434df414cp-3, -0x1.8600e82e4f633p-3, -0x1.80f1afa28ab09p-3, -0x1.7be6f97fae253p-3, -0x1.76e1219eeed58p-3, -0x1.71e08007a3aacp-3, -0x1.6ce56916e6ccfp-3, -0x1.67f02da4f98b7p-3, -0x1.63011b286d679p-3, -0x1.5e187bd72d864p-3, -0x1.593696c582ebcp-3, -0x1.545bb0032a601p-3, -0x1.4f8808b692db2p-3, -0x1.4abbdf366503ep-3, -0x1.45f76f2161d6p-3, -0x1.413af174c2a56p-3, -0x1.3c869ca1242e5p-3, -0x1.37daa49e1d3c7p-3, -0x1.33373afca4f97p-3, -0x1.2e9c8ef84b872p-3, -0x1.2a0acd877d308p-3, -0x1.2582216acd8d8p-3, -0x1.2102b33b7afbap-3, -0x1.1c8ca97934f81p-3, -0x1.182028973b5a8p-3, -0x1.13bd5308eff13p-3, -0x1.0f64494decf8p-3, -0x1.0b1529fdad9c9p-3, -0x1.06d011d2d078bp-3, -0x1.02951bb613aedp-3, -0x1.fcc8c191faecdp-4, -0x1.f47bf0e0a1855p-4, -0x1.ec43f0bc86ea8p-4, -0x1.e420e939112cdp-4, -0x1.dc12ff2c6ebb1p-4, -0x1.d41a544305745p-4, -0x1.cc370712b5bf2p-4, -0x1.c469332de1cffp-4, -0x1.bcb0f136375d8p-4, -0x1.b50e56ef60b3ep-4, -0x1.ad8177516f691p-4, -0x1.a60a629b33b7dp-4, -0x1.9ea9266460d6p-4, -0x1.975dcdaf876c2p-4, -0x1.902860fbeb75ep-4, -0x1.8908e65723f3p-4, -0x1.81ff616e952p-4, -0x1.7b0bd3a0b560ap-4, -0x1.742e3c0e20615p-4, -0x1.6d6697aa71ecep-4, -0x1.66b783e027ed2p-4, -0x1.601bc0ae946a8p-4, -0x1.5995dbbf5f3fdp-4, -0x1.5325ca3b316dbp-4, -0x1.4ccb7f63d4057p-4, -0x1.4686eca41569p-4, -0x1.4058019fad21ep-4, -0x1.3a3eac4304fb4p-4, -0x1.343ad8d2d6d4fp-4, -0x1.2e4c71fb903b9p-4, -0x1.287360e06b694p-4, -0x1.22af8d2a33a85p-4, -0x1.1d00dd15aab62p-4, -0x1.17673581873c6p-4, -0x1.11e279fc0c05fp-4, -0x1.0c728cd02e9c7p-4, -0x1.07174f12550d2p-4, -0x1.01d0a0aca7d5dp-4, -0x1.f93cc0d5f8688p-5, -0x1.ef00d80cb94a6p-5, -0x1.e4ed40606a693p-5, -0x1.db01b13a52266p-5, -0x1.d13de01f34202p-5, -0x1.c7a180c3cf88ap-5, -0x1.be2c4520dc5d3p-5, -0x1.b4dddd8697ac5p-5, -0x1.abb5f8afe75c2p-5, -0x1.a2b443d523de9p-5, -0x1.99d86abe9531cp-5, -0x1.912217d6a4ef5p-5, -0x1.8890f43bd53f3p-5, -0x1.8024a7d27ba05p-5, -0x1.77dcd956479edp-5, -0x1.6fb92e6b97edfp-5, -0x1.67b94bb09c7d4p-5, -0x1.5fdcd4ce4b2b1p-5, -0x1.58236c891bd0fp-5, -0x1.508cb4d198553p-5, -0x1.49184ed4b0385p-5, -0x1.41c5db0bd598ap-5, -0x1.3a94f94cd91f7p-5, -0x1.338548d98800cp-5, -0x1.2c96686f03432p-5, -0x1.25c7f654cf404p-5, -0x1.1f19906b91df9p-5, -0x1.188ad43b87473p-5, -0x1.121b5f029d2fp-5, -0x1.0bcacdc23c92dp-5, -0x1.0598bd4cb6dbbp-5, -0x1.ff0994a4bc7bep-6, -0x1.f31d22dc77d9cp-6, -0x1.e76b5e64de19cp-6, -0x1.dbf38068572f6p-6, -0x1.d0b4c22eba24p-6, -0x1.c5ae5d33d7538p-6, -0x1.badf8b3d46c66p-6, -0x1.b047866f85ecp-6, -0x1.a5e5896253d0ep-6, -0x1.9bb8cf3467f7bp-6, -0x1.91c0939e70d3fp-6, -0x1.87fc130564754p-6, -0x1.7e6a8a8c28508p-6, -0x1.750b38249897ap-6, -0x1.6bdd5a9fe32a4p-6, -0x1.62e031be49d34p-6, -0x1.5a12fe3e4631fp-6, -0x1.517501eb13877p-6, -0x1.49057faaa6262p-6, -0x1.40c3bb8b11ec1p-6, -0x1.38aefacf5c42p-6, -0x1.30c683fbc4e32p-6, -0x1.29099ee18a598p-6, -0x1.217794aa22719p-6, -0x1.1a0fafe1ecfaep-6, -0x1.12d13c826e338p-6, -0x1.0bbb87fbff47dp-6, -0x1.04cde13f0c1e9p-6, -0x1.fc0f31899dec5p-7, -0x1.eed0012f329dbp-7, -0x1.e1dcd8b54bd04p-7, -0x1.d53462a2e2036p-7, -0x1.c8d54ccd4cb47p-7, -0x1.bcbe486538f62p-7, -0x1.b0ee0a02c1a9ep-7, -0x1.a56349b0ba3f4p-7, -0x1.9a1cc2f718457p-7, -0x1.8f1934e4968c4p-7, -0x1.845762179d164p-7, -0x1.79d610c646754p-7, -0x1.6f940ac5bc43bp-7, -0x1.65901d90c78c9p-7, -0x1.5bc91a4dbdf1ep-7, -0x1.523dd5d3a9caap-7, -0x1.48ed28aecac6ep-7, -0x1.3fd5ef2470ed7p-7, -0x1.36f7093633808p-7, -0x1.2e4f5aa486e0ep-7, -0x1.25ddcaf0b8c21p-7, -0x1.1da1455e55134p-7, -0x1.1598b8f40438fp-7, -0x1.0dc3187bd45fbp-7, -0x1.061f5a82ff5c5p-7, -0x1.fd58f2b257a9fp-8, -0x1.eed2e61e6efb5p-8, -0x1.e0aa92eb11b86p-8, -0x1.d2de0433c1abep-8, -0x1.c56b4c899efd2p-8, -0x1.b85085ed4a57cp-8, -0x1.ab8bd1c833dd2p-8, -0x1.9f1b58e4ed52p-8, -0x1.92fd4b66d7a2dp-8, -0x1.872fe0c11f133p-8, -0x1.7bb157acfe383p-8, -0x1.707ff61f5a07bp-8, -0x1.659a093dbc0f2p-8, -0x1.5afde552bbfcbp-8, -0x1.50a9e5c1d5a9dp-8, -0x1.469c6cfaa7b77p-8, -0x1.3cd3e46bc0ba5p-8, -0x1.334ebc74dff3p-8, -0x1.2a0b6c58c7673p-8, -0x1.2108722e8c388p-8, -0x1.184452d2982adp-8, -0x1.0fbd99d72f09ap-8, -0x1.0772d9749b633p-8, -0x1.fec554f1ff012p-9, -0x1.ef17586fbc9ebp-9, -0x1.dfd908f27bac3p-9, -0x1.d107bed1393f7p-9, -0x1.c2a0df072c2cbp-9, -0x1.b4a1db10857ffp-9, -0x1.a70830c6dfe64p-9, -0x1.99d16a3d18c7ep-9, -0x1.8cfb1d9afe09fp-9, -0x1.8082ecf885975p-9, -0x1.74668638d4806p-9, -0x1.68a3a2e4e275cp-9, -0x1.5d380805fc9c8p-9, -0x1.5221860008c58p-9, -0x1.475df86bc814bp-9, -0x1.3ceb45f0ca47bp-9, -0x1.32c7601f5f4c9p-9, -0x1.28f0434a6dd2fp-9, -0x1.1f63f6615be07p-9, -0x1.16208ac9e3215p-9, -0x1.0d241c39e6597p-9, -0x1.046cd09153c7bp-9, -0x1.f7f1af6842dccp-10, -0x1.e78cd6c8eccb6p-10, -0x1.d7a79e396b8e4p-10, -0x1.c83e9fd3ccf89p-10, -0x1.b94e888c439ep-10, -0x1.aad417e6844d6p-10, -0x1.9ccc1fab56355p-10, -0x1.8f33839ebd48dp-10, -0x1.820739364d2c1p-10, -0x1.7544475068914p-10, -0x1.68e7c5eb610fap-10, -0x1.5ceeddddb614ap-10, -0x1.5156c88e61584p-10, -0x1.461ccfadf93cdp-10, -0x1.3b3e4cf02e61ap-10, -0x1.30b8a9c618603p-10, -0x1.26895f18f4401p-10, -0x1.1cadf5055c848p-10, -0x1.132402978c0fcp-10, -0x1.09e92d87ce104p-10, -0x1.00fb29f7c803dp-10, -0x1.f0af74610d052p-11, -0x1.dff95cc134f48p-11, -0x1.cfcfc8b7f4052p-11, -0x1.c02e8eb67be06p-11, -0x1.b1119f7946756p-11, -0x1.a2750589cc6e8p-11, -0x1.9454e4c2d4628p-11, -0x1.86ad79d536703p-11, -0x1.797b19ce98084p-11, -0x1.6cba31a0fcf52p-11, -0x1.606745ac2c16bp-11, -0x1.547ef14830bdap-11, -0x1.48fde6517acfdp-11, -0x1.3de0ecb616251p-11, -0x1.3324e20456571p-11, -0x1.28c6b8fb05a63p-11, -0x1.1ec3791ad1606p-11, -0x1.15183e3902dep-11, -0x1.0bc238142b7f7p-11, -0x1.02bea9e961ae6p-11, -0x1.f415d416ec8bbp-12, -0x1.e348c2f6b95a6p-12, -0x1.d3111703bdb9p-12, -0x1.c369ea9569e11p-12, -0x1.b44e7b0310a02p-12, -0x1.a5ba27df1a063p-12, -0x1.97a87235af16ap-12, -0x1.8a14fbcecb1ebp-12, -0x1.7cfb8671a99fdp-12, -0x1.7057f32cb358bp-12, -0x1.6426419e56d84p-12, -0x1.58628f42922cep-12, -0x1.4d0916c15e348p-12, -0x1.42162f4124dadp-12, -0x1.37864bbbbd27cp-12, -0x1.2d55fa5598013p-12, -0x1.2381e3b81fad6p-12, -0x1.1a06ca6f35d2bp-12, -0x1.10e18a472bf6ap-12, -0x1.080f17b1e64dcp-12, -0x1.ff18fe5278c36p-13, -0x1.eeadc93199fa9p-13, -0x1.ded7058eeb8bap-13, -0x1.cf8f5588137c8p-13, -0x1.c0d186abc3425p-13, -0x1.b29890dda821dp-13, -0x1.a4df95408205p-13, -0x1.97a1dd2396813p-13, -0x1.8adad8f99e66cp-13, -0x1.7e861f5042882p-13, -0x1.729f6bce5ac9p-13, -0x1.67229e3859f1p-13, -0x1.5c0bb976e7f0ep-13, -0x1.5156e2a5fa7ddp-13, -0x1.47006025b570bp-13, -0x1.3d0498b1e7991p-13, -0x1.3360092d2098ep-13, -0x1.2a0f70210a755p-13, -0x1.210f7ec5f6ff7p-13, -0x1.185d148944a2ap-13, -0x1.0ff52ceec7ddep-13, -0x1.07d4dec2a448bp-13, -0x1.fff2b6a0e259bp-14, -0x1.f0bfdb3f85dcbp-14, -0x1.e20bf36670edcp-14, -0x1.d3d1f799231ecp-14, -0x1.c60d0f6ced2e7p-14, -0x1.b8b8901fc0ba5p-14, -0x1.abcffb3b8be83p-14, -0x1.9f4efd3cd3b4ep-14, -0x1.93316c480d5b5p-14, -0x1.877346dfcded1p-14, -0x1.7c10b2a912ebap-14, -0x1.7105fb31f609fp-14, -0x1.664f90c1076fdp-14, -0x1.5bea0730339dp-14, -0x1.51d214c92ef33p-14, -0x1.4804912c08b9fp-14, -0x1.3e7e743d71175p-14, -0x1.353cd518b2c5ap-14, -0x1.2c3ce90bb0c5ep-14, -0x1.237c02985b9c9p-14, -0x1.1af7907be1d42p-14, -0x1.12ad1cbe82dd2p-14, -0x1.0a9a4bc4c55b8p-14, -0x1.02bcdb6ece615p-14, -0x1.f625446d7553p-15, -0x1.e7331cacc28e8p-15, -0x1.d89f49ed3dd8ap-15, -0x1.ca6602bffec5dp-15, -0x1.bc83a86819ff5p-15, -0x1.aef4c54ca53a6p-15, -0x1.a1b60b8c804bep-15, -0x1.94c45384bc418p-15, -0x1.881c9a6be698p-15, -0x1.7bbc00fe28681p-15, -0x1.6f9fca1937588p-15, -0x1.63c5598d2189ap-15, -0x1.582a32cd4e3cfp-15, -0x1.4ccbf7c0b664ap-15, -0x1.41a867951001cp-15, -0x1.36bd5d9a3dd62p-15, -0x1.2c08d02a59d47p-15, -0x1.2188cf95b5692p-15, -0x1.173b851b67e52p-15, -0x1.0d1f31e3f72d2p-15, -0x1.03322e0b6429p-15, -0x1.f2e5cf5932b99p-16, -0x1.dfbfc3f18de49p-16, -0x1.ccef68a5eba65p-16, -0x1.ba7212e5d65a4p-16, -0x1.a8453d2973981p-16, -0x1.966685472a909p-16, -0x1.84d3aaf39db74p-16, -0x1.738a8e3b36a03p-16, -0x1.62892e03c3c29p-16, -0x1.51cda6b1a8258p-16, -0x1.415630c3baaacp-16, -0x1.31211f8320b77p-16, -0x1.212cdfbf7b8b8p-16, -0x1.1177f696974fap-16, -0x1.0201003d87787p-16, -0x1.e58d5dcc76236p-17, -0x1.c78f933e4b536p-17, -0x1.aa0656873282ap-17, -0x1.8cef82efa5e4dp-17, -0x1.7049175760f03p-17, -0x1.54113448f840ap-17, -0x1.38461a2520679p-17, -0x1.1ce627630bb86p-17, -0x1.01efd6eef10dep-17, -0x1.cec37c9eb2375p-18, -0x1.9a7518b6ca99p-18, -0x1.66f20f1f3b9c7p-18, -0x1.3438193d260bcp-18, -0x1.02451a385de21p-18, -0x1.a22e3815fb5ccp-19, -0x1.41589a9266bd6p-19, -0x1.c40bfa4e4374ap-20, -0x1.08667fb4d169dp-20, -0x1.3eebeed990343p-22, 0x1.97efb9ba067f5p-22, 0x1.18c3370545072p-20, 0x1.c89f79e221c61p-20, 0x1.3aca7e8ceddb5p-19, 0x1.8fd3dc8c308ebp-19, 0x1.e36daf6df4dp-19, 0x1.1accd7d3b1c3ep-18, 0x1.432cbc231262ap-18, 0x1.6ad7451f109b5p-18, 0x1.91cd2797ff878p-18, 0x1.b80f0df1b0446p-18, 0x1.dd9d9999c0235p-18, 0x1.013cb209f5b82p-17, 0x1.1351801b36cd1p-17, 0x1.250d7d977d345p-17, 0x1.3670eed827175p-17, 0x1.477c1659fe4edp-17, 0x1.582f35462e756p-17, 0x1.688a8bd6500bep-17, 0x1.788e59c7889b4p-17, 0x1.883adeb174cb2p-17, 0x1.97905a67a8699p-17, 0x1.a68f0d5044c64p-17, 0x1.b53738ac1016dp-17, 0x1.c3891ef3b0616p-17, 0x1.d1850401e4201p-17, 0x1.df2b2d6c75e51p-17, 0x1.ec7be2b4ece07p-17, 0x1.f9776d81cbf31p-17, 0x1.030f0ce8b2334p-16, 0x1.09381b1442b33p-16, 0x1.0f3709d94b71ap-16, 0x1.150c03463f54ap-16, 0x1.1ab732dd465afp-16, 0x1.2038c5accca29p-16, 0x1.2590ea5f9d8b8p-16, 0x1.2abfd14509107p-16, 0x1.2fc5ac651195cp-16, 0x1.34a2af7b4d2f9p-16, 0x1.395710099417bp-16, 0x1.3de30556b818dp-16, 0x1.4246c87b8374ap-16, 0x1.46829461e50a2p-16, 0x1.4a96a5c534ca9p-16, 0x1.4e833b38d6d71p-16, 0x1.5248952f7538ep-16, 0x1.55e6f5e6c00e9p-16, 0x1.595ea171bf2ddp-16, 0x1.5cafddba143bdp-16, 0x1.5fdaf27a2ab0cp-16, 0x1.62e0293399a1fp-16, 0x1.65bfcd30411b5p-16, 0x1.687a2b7d10033p-16, 0x1.6b0f92dc65f4dp-16, 0x1.6d8053cb146f9p-16, 0x1.6fccc0702eceap-16, 0x1.71f52c9772803p-16, 0x1.73f9edaadfb62p-16, 0x1.75db5aa7b7399p-16, 0x1.7799cc14ca324p-16, 0x1.79359bfe7e891p-16, 0x1.7aaf25e18af43p-16, 0x1.7c06c6a976e69p-16, 0x1.7d3cdca51032bp-16, 0x1.7e51c77aafaefp-16, 0x1.7f45e818b3f3bp-16, 0x1.8019a0aff7439p-16, 0x1.80cd54a42ee83p-16, 0x1.816168832ba55p-16, }}, 
      {{-0x1.1325904fa59b8p-1, -0x1.0edf10ebf6029p-1, -0x1.07eb8ef9ae84ep-1, -0x1.fd04953207a33p-2, -0x1.e5c73e822d85dp-2, -0x1.caa8a21ddc84p-2, -0x1.ac3469a9cbed2p-2, -0x1.8af3c01f8fab2p-2, -0x1.676a2575181d9p-2, -0x1.42135c0eb06eap-2, -0x1.1b620e8bc7e0fp-2, -0x1.e77e715df9d38p-3, -0x1.97137dcccb5edp-3, -0x1.462d6b97c538p-3, -0x1.eac621617138ep-4, -0x1.4a72029bd86c5p-4, -0x1.588abd1d46706p-5, -0x1.10726e683c0ddp-8, 0x1.0d3e0aeaccfa7p-5, 0x1.1a1e2f3cbe26dp-4, 0x1.a8ff9e5ab68d5p-4, 0x1.19714ddeb1ff2p-3, 0x1.5bbd110885ae1p-3, 0x1.9b45545860214p-3, 0x1.d7f425fd9a4e5p-3, 0x1.08dd3ffda561cp-2, 0x1.2447abb2ad56fp-2, 0x1.3e37acead4becp-2, 0x1.56adc9a59eb1bp-2, 0x1.6dac9c85f8421p-2, 0x1.83388513b1dc2p-2, 0x1.9757613d90a41p-2, 0x1.aa105268ff3ep-2, 0x1.bb6b8ce0e7c14p-2, 0x1.cb72296f1b16fp-2, 0x1.da2df8ea0f4c1p-2, 0x1.e7a95de03cb4p-2, 0x1.f3ef2c754ae27p-2, 0x1.ff0a8db89a65ap-2, 0x1.048372a6811b2p-1, 0x1.08f7dcecbb399p-1, 0x1.0ce8503e834d3p-1, 0x1.105a957c7438fp-1, 0x1.13546c33747ebp-1, 0x1.15db8440dd7c9p-1, 0x1.17f578a09c5dp-1, 0x1.19a7cb161cce6p-1, 0x1.1af7e05b251a3p-1, 0x1.1beafcaafddb9p-1, 0x1.1c8640bd26729p-1, 0x1.1ccea76576ea4p-1, 0x1.1cc903fbc3f22p-1, 0x1.1c7a0170ffa27p-1, 0x1.1be621c560705p-1, 0x1.1b11dc8fe6cbp-1, 0x1.1a0122c69c12cp-1, 0x1.18b816fa7f9a5p-1, 0x1.173a928d5b2b1p-1, 0x1.158c45b6678e4p-1, 0x1.13b0b870654c1p-1, 0x1.11ab4b328cc31p-1, 0x1.0f7f378755643p-1, 0x1.0d2f90a527fa1p-1, 0x1.0abf4425a2d1fp-1, 0x1.08311ae730ec2p-1, 0x1.0587ba1648159p-1, 0x1.02c5a453ba422p-1, 0x1.ffda75d678ec3p-2, 0x1.fa017e1c6a08dp-2, 0x1.f404a6129fd4dp-2, 0x1.ede7f6dd92de3p-2, 0x1.e7af4066a8157p-2, 0x1.e15e1b7eb22e7p-2, 0x1.daf7ebf1a5351p-2, 0x1.d47fe2955237fp-2, 0x1.cdf8ff5a52d1fp-2, 0x1.c7661361a0174p-2, 0x1.c0c9c31407945p-2, 0x1.ba268834f86d1p-2, 0x1.b37eb3e8a1d96p-2, 0x1.acd470a64a29p-2, 0x1.a629c412b82dep-2, 0x1.9f8090c1ec379p-2, 0x1.98da97e29d1b8p-2, 0x1.92397ad7ad0c6p-2, 0x1.8b9ebcc45b269p-2, 0x1.850bc40f02f18p-2, 0x1.7e81dbdc873aap-2, 0x1.78023584831fep-2, 0x1.718de9fc672b9p-2, 0x1.6b25fb36a71e9p-2, 0x1.64cb5572c73fp-2, 0x1.5e7ed07bc69e6p-2, 0x1.584130d38ca7p-2, 0x1.521328cb81f69p-2, 0x1.4bf5598bca5b8p-2, 0x1.45e8540b86cd5p-2, 0x1.3fec99fce3062p-2, 0x1.3a029eaf803eap-2, 0x1.342ac7eb2cb5cp-2, 0x1.2e656ec3f056bp-2, 0x1.28b2e06792fe2p-2, 0x1.23135ee401ff6p-2, 0x1.1d8721e5a92dep-2, 0x1.180e576cac891p-2, 0x1.12a9247835997p-2, 0x1.0d57a5a7684bep-2, 0x1.0819efcfe71c1p-2, 0x1.02f0108a45fd4p-2, 0x1.fbb41d6a28e7dp-3, 0x1.f1afc764c71bbp-3, 0x1.e7d33093417c4p-3, 0x1.de1e3728e08f8p-3, 0x1.d490bbf050c8bp-3, 0x1.cb2a96869694bp-3, 0x1.c1eb961c85a1fp-3, 0x1.b8d3822ce1729p-3, 0x1.afe21b271925ap-3, 0x1.a7171b0eaac8p-3, 0x1.9e72360f85421p-3, 0x1.95f31b07e94dfp-3, 0x1.8d99740875ddbp-3, 0x1.8564e6cb1b4d5p-3, 0x1.7d551521cf847p-3, 0x1.75699d5dbadeep-3, 0x1.6da21aaf906b4p-3, 0x1.65fe2581b0b55p-3, 0x1.5e7d53cc95c68p-3, 0x1.571f3965eadf6p-3, 0x1.4fe3684ab5f4dp-3, 0x1.48c970e4da2ecp-3, 0x1.41d0e24c2127p-3, 0x1.3af94a8303331p-3, 0x1.344236af42132p-3, 0x1.2dab334e81201p-3, 0x1.2733cc66ee527p-3, 0x1.20db8db431ca2p-3, 0x1.1aa202d0c6251p-3, 0x1.1486b75c04694p-3, 0x1.0e89371d0954ap-3, 0x1.08a90e22b367fp-3, 0x1.02e5c8e0e5a73p-3, 0x1.fa7de8966f0ddp-4, 0x1.ef683bda619ccp-4, 0x1.e489a80083a0dp-4, 0x1.d9e14aff3d5d2p-4, 0x1.cf6e44744dfbdp-4, 0x1.c52fb5c5064a7p-4, 0x1.bb24c23b61421p-4, 0x1.b14c8f20210fp-4, 0x1.a7a643d238b94p-4, 0x1.9e3109dbc384ep-4, 0x1.94ec0d047b42ep-4, 0x1.8bd67b620fbd3p-4, 0x1.82ef85664236fp-4, 0x1.7a365deb1ad98p-4, 0x1.71aa3a3d4d597p-4, 0x1.694a522502793p-4, 0x1.6115dfed2c118p-4, 0x1.590c20699c9d3p-4, 0x1.512c52fbep-4, 0x1.4975b99705084p-4, 0x1.41e798c253cbbp-4, 0x1.3a81379aff7a5p-4, 0x1.3341dfd4df704p-4, 0x1.2c28ddba32575p-4, 0x1.2535802a869ccp-4, 0x1.1e671898d18e5p-4, 0x1.17bcfb08d2ac6p-4, 0x1.11367e0bd87a9p-4, 0x1.0ad2fabcf8c0fp-4, 0x1.0491ccbcd50b4p-4, 0x1.fce4a459e5edfp-5, 0x1.f0e7d75578bd1p-5, 0x1.e52bf89445f71p-5, 0x1.d9afd31ffd175p-5, 0x1.ce7236d849e29p-5, 0x1.c371f8667ef54p-5, 0x1.b8adf130dc647p-5, 0x1.ae24ff4d759e2p-5, 0x1.a3d60574d7f38p-5, 0x1.99bfeaf46df02p-5, 0x1.8fe19ba0c95bcp-5, 0x1.863a07c7bbf9fp-5, 0x1.7cc824226d796p-5, 0x1.738ae9c74ff61p-5, 0x1.6a81561c14d5ap-5, 0x1.61aa6ac787f49p-5, 0x1.59052da36b2d8p-5, 0x1.5090a8ae4048ap-5, 0x1.484be9fd12373p-5, 0x1.403603ad3c8cap-5, 0x1.384e0bd634ba1p-5, 0x1.30931c7b6757cp-5, 0x1.2904537e10dbcp-5, 0x1.21a0d28f516cbp-5, 0x1.1a67bf224871fp-5, 0x1.1358425e54bbbp-5, 0x1.0c7189118808cp-5, 0x1.05b2c3a335a4ep-5, 0x1.fe364c0d6fd31p-6, 0x1.f153cf5cbb02ap-6, 0x1.e4bc86fcf0e3cp-6, 0x1.d86eef8152a1p-6, 0x1.cc698c2e8142p-6, 0x1.c0aae6e1ad7bap-6, 0x1.b5318ff80a5a1p-6, 0x1.a9fc1e3690d74p-6, 0x1.9f092eb2167a4p-6, 0x1.945764b7af425p-6, 0x1.89e569b55addp-6, 0x1.7fb1ed2304e57p-6, 0x1.75bba46bcd9ecp-6, 0x1.6c014ad79d45p-6, 0x1.6281a17504126p-6, 0x1.593b6f035d1e4p-6, 0x1.502d7fdd40bfbp-6, 0x1.4756a5e320757p-6, 0x1.3eb5b86645511p-6, 0x1.3649941408cb3p-6, 0x1.2e111ae12c8cfp-6, 0x1.260b33f5a21dp-6, 0x1.1e374b5c446adp-6, 0x1.16935b02adf06p-6, 0x1.0f1ed154e27ddp-6, 0x1.07d8a97eaa8c2p-6, 0x1.00bfe37c57ce3p-6, 0x1.f3a70810132p-7, 0x1.e625290e650c5p-7, 0x1.d8f845f0a291cp-7, 0x1.cc1e83c1bf63p-7, 0x1.bf961076f9405p-7, 0x1.b35d22cc9510ap-7, 0x1.a771fa23014f4p-7, 0x1.9bd2de5c7019fp-7, 0x1.907e1fbaba6e2p-7, 0x1.857216bdeae03p-7, 0x1.7aad2402e8b1cp-7, 0x1.702db022ce9aap-7, 0x1.65f22b9266297p-7, 0x1.5bf90e824ed7bp-7, 0x1.5240d8bf630ap-7, 0x1.48c8119383cd9p-7, 0x1.3f8d47a6e0db3p-7, 0x1.368f10e1976ffp-7, 0x1.2dcc0a4db926ep-7, 0x1.2542d7f9aeba5p-7, 0x1.1cf224db0ebbdp-7, 0x1.14d8a2b1c4614p-7, 0x1.0cf509eb9d32dp-7, 0x1.054619883e2a1p-7, 0x1.fb952dfa9395cp-8, 0x1.ed029c3684869p-8, 0x1.ded221e493dp-8, 0x1.d1016f6f629eap-8, 0x1.c38e4157057e7p-8, 0x1.b6765ffd4a156p-8, 0x1.a9b79f72445c6p-8, 0x1.9d4fdf41dbfcep-8, 0x1.913d0a41cc85bp-8, 0x1.857d166044a8ap-8, 0x1.7a0e04734887cp-8, 0x1.6eede008ad6a7p-8, 0x1.641abf36926b8p-8, 0x1.5992c26ca9ba7p-8, 0x1.4f541445f22b7p-8, 0x1.455ce95b24ec2p-8, 0x1.3bab8015adb5p-8, 0x1.323e20834b4d1p-8, 0x1.29131c2a20a46p-8, 0x1.2028cddd9200cp-8, 0x1.177d999398aa5p-8, 0x1.0f0fec3a6718dp-8, 0x1.06de3b8f302c5p-8, 0x1.fdce0bea46a16p-9, 0x1.ee51a49997fb2p-9, 0x1.df445f98b7ecbp-9, 0x1.d0a36bb0bfdfbp-9, 0x1.c26c07b9c0982p-9, 0x1.b49b824e74f7cp-9, 0x1.a72f3980db904p-9, 0x1.9a249a8fa7d24p-9, 0x1.8d79219d58e19p-9, 0x1.812a5967cfa47p-9, 0x1.7535db011dd27p-9, 0x1.69994d896bac3p-9, 0x1.5e5265e9a73c9p-9, 0x1.535ee68fb1481p-9, 0x1.48bc9f2affe42p-9, 0x1.3e696c6a8ca23p-9, 0x1.346337bbba6dap-9, 0x1.2aa7f70a15d64p-9, 0x1.2135ac801bb0ap-9, 0x1.180a6649114e2p-9, 0x1.0f243e53a00d5p-9, 0x1.06815a1596361p-9, 0x1.fc3fd4a07b285p-10, 0x1.ebfc55ac19b3p-10, 0x1.dc34c4a1d8fb8p-10, 0x1.cce5c4139e27cp-10, 0x1.be0c0b60ed518p-10, 0x1.afa46649fc5cbp-10, 0x1.a1abb482cc8f1p-10, 0x1.941ee949ab9a3p-10, 0x1.86fb0afe10f81p-10, 0x1.7a3d32ba0baebp-10, 0x1.6de28bed0e3a8p-10, 0x1.61e853f81e423p-10, 0x1.564bd9ccc099bp-10, 0x1.4b0a7d8bdfa3ap-10, 0x1.4021b027f2ddep-10, 0x1.358ef307c40ddp-10, 0x1.2b4fd7ab00eb4p-10, 0x1.2161ff50b44eap-10, 0x1.17c31a9ee41b9p-10, 0x1.0e70e94bff0a2p-10, 0x1.056939c99062bp-10, 0x1.f953d1e1f3f52p-11, 0x1.e861c361d3133p-11, 0x1.d7f83979f4d7cp-11, 0x1.c813407caf488p-11, 0x1.b8aeff0c4df8fp-11, 0x1.a9c7b58238841p-11, 0x1.9b59bd598ca0cp-11, 0x1.8d61889ae547bp-11, 0x1.7fdba14d4b6d3p-11, 0x1.72c4a8e8dc08cp-11, 0x1.661957ca311d2p-11, 0x1.59d67cac55315p-11, 0x1.4df8fc214b583p-11, 0x1.427dd0106569p-11, 0x1.37620734b456p-11, 0x1.2ca2c4a029662p-11, 0x1.223d3f3f1ecap-11, 0x1.182ec15f66b69p-11, 0x1.0e74a83a91c17p-11, 0x1.050c63806c2f7p-11, 0x1.f7e6e9cc543cap-12, 0x1.e64edf6c22372p-12, 0x1.d54bf0c4e8ec3p-12, 0x1.c4d9883571a7bp-12, 0x1.b4f330c40b4b3p-12, 0x1.a594955203745p-12, 0x1.96b97fd1b12a3p-12, 0x1.885dd882340efp-12, 0x1.7a7da52e9b76ap-12, 0x1.6d150870ea7c6p-12, 0x1.602040f9a4aaap-12, 0x1.539ba8dadd8f2p-12, 0x1.4783b4d772c24p-12, 0x1.3bd4f3b6bab1ep-12, 0x1.308c0d9a04313p-12, 0x1.25a5c3579b43ap-12, 0x1.1b1eedd92e254p-12, 0x1.10f47d7dd5386p-12, 0x1.0723797d17997p-12, 0x1.fb51fea24e27cp-13, 0x1.e904844796ad5p-13, 0x1.d759147811041p-13, 0x1.c64a68e3ea5ap-13, 0x1.b5d36342f0952p-13, 0x1.a5ef0c4f81cf4p-13, 0x1.969892b8e60fbp-13, 0x1.87cb4a21232aep-13, 0x1.7982aa2492548p-13, 0x1.6bba4d5f7b7d1p-13, 0x1.5e6df080b0d8ap-13, 0x1.5199715daccdfp-13, 0x1.4538ce0d602adp-13, 0x1.3948240785c47p-13, 0x1.2dc3af4c020b5p-13, 0x1.22a7c989edf2bp-13, 0x1.17f0e953a2028p-13, 0x1.0d9ba1501fab3p-13, 0x1.03a49f75ad155p-13, 0x1.f411588ef820ep-14, 0x1.e1895435b6811p-14, 0x1.cfab28b58382dp-14, 0x1.be70fdae85a76p-14, 0x1.add52a2a06aep-14, 0x1.9dd23342b3f62p-14, 0x1.8e62cad7b5759p-14, 0x1.7f81ce46b8af6p-14, 0x1.712a452d9538ap-14, 0x1.6357603568e5cp-14, 0x1.560477e38fd8cp-14, 0x1.492d0b7470fd8p-14, 0x1.3cccbfba964dep-14, 0x1.30df5e076b666p-14, 0x1.2560d31d27614p-14, 0x1.1a4d2e252484fp-14, 0x1.0fa09f9c878c4p-14, 0x1.05577873ffe75p-14, 0x1.f6dc520ed7339p-15, 0x1.e3c2806744897p-15, 0x1.d15ad4ce59425p-15, 0x1.bf9ee19118fb7p-15, 0x1.ae8870a579789p-15, 0x1.9e1182031b26ap-15, 0x1.8e3449eb1b47bp-15, 0x1.7eeb2f6ed5d73p-15, 0x1.7030cacd8d943p-15, 0x1.61ffe3f4b4361p-15, 0x1.5453710bdcb21p-15, 0x1.472694ff1604cp-15, 0x1.3a749e2104667p-15, 0x1.2e3904c62b10ap-15, 0x1.226f6a008e831p-15, 0x1.1713964cba467p-15, 0x1.0c217856ba6c7p-15, 0x1.019523c1b38f1p-15, 0x1.eed59ff34eab4p-16, 0x1.db3dae2507c93p-16, 0x1.c85b6940a2464p-16, 0x1.b62809587cc6fp-16, 0x1.a49d0545e0eep-16, 0x1.93b41093034bdp-16, 0x1.8367198b34cc9p-16, 0x1.73b04751e1c86p-16, 0x1.6489f7e8f2cb5p-16, 0x1.55eebe74e1d51p-16, 0x1.47d9616a08b1bp-16, 0x1.3a44d8dddc088p-16, 0x1.2d2c4cd42c3eap-16, 0x1.208b13a42467fp-16, 0x1.145cb064e9fb6p-16, 0x1.089cd166cb03fp-16, 0x1.fa8e9d7f729edp-17, 0x1.e4b05179fc1adp-17, 0x1.cf970d6a70abfp-17, 0x1.bb3b6ad921cdbp-17, 0x1.a7964c0295cd6p-17, 0x1.94a0d9131bcb6p-17, 0x1.82547d898863fp-17, 0x1.70aae63bb0141p-17, 0x1.5f9dfea5714a7p-17, 0x1.4f27eedaaab5p-17, 0x1.3f431946106f5p-17, 0x1.2fea189fb9239p-17, 0x1.2117bddc1050dp-17, 0x1.12c70e2517c06p-17, 0x1.04f34112b64fep-17, 0x1.ef2f7d338ea8bp-18, 0x1.d5603b0050f72p-18, 0x1.bc7042f3e8b76p-18, 0x1.a4577318ce3eap-18, 0x1.8d0e21eb5325ap-18, 0x1.768c85f2a0914p-18, 0x1.60cb9390820d5p-18, 0x1.4bc463a8e2211p-18, 0x1.3770568253d06p-18, 0x1.23c91113ef305p-18, 0x1.10c87a3009bc3p-18, 0x1.fcd1705ccb087p-19, 0x1.d9485cc33e128p-19, 0x1.b6eaf521f52b8p-19, 0x1.95aee5a9c8e02p-19, 0x1.758a468c33737p-19, 0x1.567397def1174p-19, 0x1.3861bcb0f08a3p-19, 0x1.1b4bf88f193e3p-19, 0x1.fe53d3dc28abdp-20, 0x1.c7e70f42a4b1cp-20, 0x1.93423971f1f41p-20, 0x1.60568a71cad37p-20, 0x1.2f15d57863edcp-20, 0x1.fee50459f397ap-21, 0x1.a2bf0d1597dcep-21, 0x1.49a0c33da021fp-21, 0x1.e6e4522be2687p-22, 0x1.4038771bfa967p-22, 0x1.3e239cb535622p-23, 0x1.a2fdc2b6cdeb3p-29, -0x1.26a74d4000a33p-23, -0x1.24e21ab81fd5cp-22, -0x1.b18ad0de51eaap-22, -0x1.1cb8dd549dd06p-21, -0x1.5e5cac24fdf46p-21, -0x1.9dc166fcacb25p-21, -0x1.daf6f7ffef65p-21, -0x1.0b065464b126ap-20, -0x1.2788965be77e9p-20, -0x1.43095163e0219p-20, -0x1.5d8f4fcca3a72p-20, -0x1.77211990c2189p-20, -0x1.8fc4f6a50d4d1p-20, -0x1.a780f4da4801p-20, -0x1.be5ae636df4e3p-20, -0x1.d45866e4de52ap-20, -0x1.e97ede03d33fap-20, -0x1.fdd3818dc595ep-20, -0x1.08adac1fdd7ffp-19, -0x1.120d9da2da748p-19, -0x1.1b0bec5c3ce33p-19, -0x1.23aadb015e85ep-19, -0x1.2bec98eb9a4fdp-19, -0x1.33d342c95eff3p-19, -0x1.3b60e3bc172e7p-19, -0x1.4297762c5dd6bp-19, -0x1.4978e49fe7c6bp-19, -0x1.50070a74d5ad6p-19, -0x1.5643b485732c8p-19, -0x1.5c30a26990fbdp-19, -0x1.61cf8671c527bp-19, -0x1.67220699b7f8fp-19, -0x1.6c29bd874f564p-19, -0x1.70e83a6ab505ep-19, -0x1.755f020c3531ap-19, -0x1.798f8f2e03c02p-19, -0x1.7d7b53321d507p-19, -0x1.8123b634dfcd9p-19, -0x1.848a17f799779p-19, -0x1.87afd01ae068fp-19, -0x1.8a962e8353bf9p-19, -0x1.8d3e7bc3f9e36p-19, -0x1.8fa9f99d282p-19, -0x1.91d9e2dc9876cp-19, -0x1.93cf6c5736b77p-19, -0x1.958bc5074da76p-19, -0x1.971015e7ad393p-19, -0x1.985d829a88991p-19, -0x1.99752a344ae0ep-19, -0x1.9a58264977b9fp-19, -0x1.9b078c0657ca8p-19, -0x1.9b846c1e0ee96p-19, -0x1.9bcfd2f60ae48p-19, -0x1.9beac959ef4b5p-19, -0x1.9bd653cec5875p-19, -0x1.9b9373217e2dbp-19, -0x1.9b2325339371dp-19, -0x1.9a8663f5b1afdp-19, -0x1.99be26534a714p-19, -0x1.98cb5fff67c7ap-19, -0x1.97af01e258d16p-19, -0x1.9669f9ee07002p-19, -0x1.94fd3353a1764p-19, -0x1.936996915fc6ep-19, -0x1.91b009ac36ec5p-19, -0x1.8fd1700efbd56p-19, -0x1.8dceaabf40643p-19, -0x1.8ba89894035aep-19, -0x1.8960159a73bacp-19, -0x1.86f5fc173e0e4p-19, -0x1.846b2404a181bp-19, -0x1.81c06331cf236p-19, -0x1.7ef68d45aeefdp-19, -0x1.7c0e740ac7285p-19, -0x1.7908e712938a9p-19, -0x1.75e6b3ff69dfdp-19, -0x1.72a8a6810e58p-19, -0x1.6f4f884e4d3cap-19, -0x1.6bdc213830ba3p-19, -0x1.684f372335b17p-19, -0x1.64a98e06de308p-19, -0x1.60ebe7f3e753bp-19, -0x1.5d170560c7113p-19, -0x1.592ba47aedb71p-19, -0x1.552a81d81ff7fp-19, -0x1.51145823201aep-19, -0x1.4ce9e02c42769p-19, -0x1.48abd0e9909b1p-19, -0x1.445adf767a586p-19, -0x1.3ff7bee2bdbfp-19, -0x1.3b8320f1f1742p-19, -0x1.36fdb501b12bdp-19, -0x1.326828b88f78fp-19, -0x1.2dc327f46a508p-19, -0x1.290f5c745e2abp-19, -0x1.244d6e5913974p-19, -0x1.1f7e03c08e324p-19, -0x1.1aa1c0e2994e3p-19, -0x1.15b948171b3adp-19, -0x1.10c539c2421c9p-19, -0x1.0bc6345d706fdp-19, -0x1.06bcd4673e6f1p-19, -0x1.01a9b46a3c9c4p-19, -0x1.f91ada9f28cdep-20, -0x1.eed12b3b1fa3cp-20, -0x1.e4778424e5d97p-20, -0x1.da0f0acefba01p-20, -0x1.cf98e0b172f2ep-20, -0x1.c516235d7b456p-20, -0x1.ba87ec5ad44c3p-20, -0x1.afef512b0f8d7p-20, -0x1.a54d6351b03f3p-20, -0x1.9aa3303a66435p-20, -0x1.8ff1c16f8220fp-20, -0x1.853a1c13697c7p-20, -0x1.7a7d41830fe39p-20, -0x1.6fbc2eefc82a8p-20, -0x1.64f7dd51e565dp-20, -0x1.5a314211605ddp-20, -0x1.4f694db764262p-20, -0x1.44a0ed3f93409p-20, -0x1.39d909478ee14p-20, -0x1.2f12866c73465p-20, -0x1.244e452ba695ap-20, -0x1.198d2234bd96ap-20, -0x1.0ecff53976935p-20, -0x1.041792aacb9f1p-20, }}, 
      {{0x1.02142d7478e7dp-10, 0x1.f911ae0c84f7p-9, 0x1.1301e57339674p-7, 0x1.d51831b758553p-7, 0x1.5d0a4244b1c96p-6, 0x1.dbaa631c81166p-6, 0x1.30a7e8206fb43p-5, 0x1.74a0b1d0e496ep-5, 0x1.b7a29d722a582p-5, 0x1.f7d6ff68b7608p-5, 0x1.19d768c33c4fp-4, 0x1.34f0adaeb690ap-4, 0x1.4cb3dd896f9f1p-4, 0x1.60bc086e1e20bp-4, 0x1.70bf8d3e472bbp-4, 0x1.7c8d0e781c04fp-4, 0x1.84083a85d6912p-4, 0x1.8726c0cdc418p-4, 0x1.85edaa8bd57a2p-4, 0x1.806ed53f3d6a7p-4, 0x1.76c69083c6393p-4, 0x1.6919664873f58p-4, 0x1.5792949970b8cp-4, 0x1.4262e652a92cdp-4, 0x1.29bea476a364dp-4, 0x1.0ddc42389ebfp-4, 0x1.ddea3deaa1edbp-5, 0x1.9a8436ffeb61ap-5, 0x1.51fa1ad271716p-5, 0x1.04bf22ad3cc7ap-5, 0x1.66886f3250beep-6, 0x1.77de1c916bb1ep-7, 0x1.512d27db6a8e8p-11, -0x1.59af0edd24711p-7, -0x1.696afab21e5a9p-6, -0x1.153890ac067d3p-5, -0x1.77998bace96ep-5, -0x1.db8167c1612a5p-5, -0x1.204ec250c0cbdp-4, -0x1.534fcf13bf26fp-4, -0x1.869eecf2c0e1p-4, -0x1.ba1977890ea2cp-4, -0x1.ed9f1c4a36e93p-4, -0x1.1088e39e78d48p-3, -0x1.2a2abe9810105p-3, -0x1.43a81c950bf69p-3, -0x1.5cf4ecd1e2b21p-3, -0x1.76060e01b8766p-3, -0x1.8ed14e7311b9bp-3, -0x1.a74d69874ffd1p-3, -0x1.bf71ff5067359p-3, -0x1.d73785e238629p-3, -0x1.ee973637e0254p-3, -0x1.02c57be4f5d7fp-2, -0x1.0e097673efbap-2, -0x1.190fa61cb1debp-2, -0x1.23d8537f2c4d3p-2, -0x1.2e61903f492ecp-2, -0x1.38a9a0f457bcbp-2, -0x1.42af00111dd7bp-2, -0x1.4c7062ec2adbfp-2, -0x1.55ecbc78f329ap-2, -0x1.5f233b6f58964p-2, -0x1.68134439d1268p-2, -0x1.70bc68cde30fdp-2, -0x1.791e60fe225a2p-2, -0x1.8139050d9949ep-2, -0x1.890c4afacf02ep-2, -0x1.909845d0c4317p-2, -0x1.97dd25bcd626dp-2, -0x1.9edb37c0708d9p-2, -0x1.a592e45cd6044p-2, -0x1.ac04ad3989483p-2, -0x1.b2312a3abf9f6p-2, -0x1.b81906a1f53adp-2, -0x1.bdbcfeae84c2bp-2, -0x1.c31dddea545b3p-2, -0x1.c83c7e0845e37p-2, -0x1.cd19c611efbffp-2, -0x1.d1b6a99e8070ep-2, -0x1.d61427e2c4e61p-2, -0x1.da334a88f788fp-2, -0x1.de152458686e3p-2, -0x1.e1bacfc2c454ap-2, -0x1.e5256d6fd97d5p-2, -0x1.e85622dd65f55p-2, -0x1.eb4e1922fb16bp-2, -0x1.ee0e7be462fd7p-2, -0x1.f09878776c0f7p-2, -0x1.f2ed3d3c1db4cp-2, -0x1.f50df9208f385p-2, -0x1.f6fbdb44b76c8p-2, -0x1.f8b812afeac7cp-2, -0x1.fa43ce0a0e9aap-2, -0x1.fba03b4da0166p-2, -0x1.fcce876c7ea1bp-2, -0x1.fdcfdde6c448bp-2, -0x1.fea5685789d71p-2, -0x1.ff504dfe795a1p-2, -0x1.ffd1b34e1936fp-2, -0x1.00155cc2f293fp-1, -0x1.002e3f2e6428dp-1, -0x1.00340dde861a2p-1, -0x1.002753c7a31c4p-1, -0x1.000899c76714ap-1, -0x1.ffb0cd20cb03bp-2, -0x1.ff2e7d2731678p-2, -0x1.fe8b47cb14933p-2, -0x1.fdc82c3cfc8c5p-2, -0x1.fce6246dd0c48p-2, -0x1.fbe6d62c4f0c9p-2, -0x1.fac99c72a8668p-2, -0x1.f99037d771319p-2, -0x1.f83b8da488f86p-2, -0x1.f6cc7d7789e2dp-2, -0x1.f543e14202538p-2, -0x1.f3a28d6446b21p-2, -0x1.f1e950de54801p-2, -0x1.f018f5900f151p-2, -0x1.ee32408127346p-2, -0x1.ec35f2290545dp-2, -0x1.ea24c6b02d9ecp-2, -0x1.e7ff762640728p-2, -0x1.e5c6b4a9e600dp-2, -0x1.e37b32820e648p-2, -0x1.e11d9c29e1c7dp-2, -0x1.deae9a5225f3ap-2, -0x1.dc2ed1dbc1936p-2, -0x1.d99ee3cf4ef6ep-2, -0x1.d6ff6d556e256p-2, -0x1.d45107b2e58b6p-2, -0x1.d194484ab857bp-2, -0x1.cec9c0a7626e8p-2, -0x1.cbf1fe8b71ce1p-2, -0x1.c90d8c08e6195p-2, -0x1.c61cef9e22dccp-2, -0x1.c320ac56db17ap-2, -0x1.c01941ef3b98ep-2, -0x1.bd072cf7b4203p-2, -0x1.b9eae6f7ea508p-2, -0x1.b6c4e68fd2f68p-2, -0x1.b3959f963b8ffp-2, -0x1.b05d833480c8cp-2, -0x1.ad1cffff7572ap-2, -0x1.a9d4820dbf758p-2, -0x1.a684730c0d3bp-2, -0x1.a32d3a4f9f2d1p-2, -0x1.9fcf3ce78fb4p-2, -0x1.9c6addad37d4dp-2, -0x1.99007d53f88e2p-2, -0x1.95907a7889f1ep-2, -0x1.921b31afe6d95p-2, -0x1.8ea0fd95c953cp-2, -0x1.8b2236daa1d29p-2, -0x1.879f3450edce3p-2, -0x1.84184af9d1bd2p-2, -0x1.808dce10db1a8p-2, -0x1.7d000f16de99dp-2, -0x1.796f5ddbed42cp-2, -0x1.75dc08886ef7ap-2, -0x1.72465ba56a51p-2, -0x1.6eaea2241ec06p-2, -0x1.6b15256503021p-2, -0x1.677a2d3e4ccfep-2, -0x1.63de0002152e4p-2, -0x1.6040e28430a34p-2, -0x1.5ca3181fce415p-2, -0x1.5904e2bce9d53p-2, -0x1.556682d596f01p-2, -0x1.51c8377b303bdp-2, -0x1.4e2a3e5b73053p-2, -0x1.4a8cd3c5868aep-2, -0x1.46f032aeff56bp-2, -0x1.435494b8df13p-2, -0x1.3fba32349d9b6p-2, -0x1.3c21422939887p-2, -0x1.3889fa585cf5ep-2, -0x1.34f48f43905cp-2, -0x1.316134318214ap-2, -0x1.2dd01b3350f48p-2, -0x1.2a417529e1725p-2, -0x1.26b571cb24bb5p-2, -0x1.232c3fa74f81fp-2, -0x1.1fa60c2dec4b7p-2, -0x1.1c2303b2bd5cap-2, -0x1.18a351726265ep-2, -0x1.15271f96b44bbp-2, -0x1.11ae973acd5fcp-2, -0x1.0e39e06eb3ebcp-2, -0x1.0ac9223aa7efep-2, -0x1.075c82a20c2a8p-2, -0x1.03f426a5efaf6p-2, -0x1.00903247387fcp-2, -0x1.fa619110f443p-3, -0x1.f3ac16defafa1p-3, -0x1.ed00380d0ca35p-3, -0x1.e65e34baca6abp-3, -0x1.dfc64b14b96fep-3, -0x1.d938b755dcac7p-3, -0x1.d2b5b3c92d6cbp-3, -0x1.cc3d78cb158b3p-3, -0x1.c5d03ccaf6ddcp-3, -0x1.bf6e344cdbfa1p-3, -0x1.b91791eb64ca8p-3, -0x1.b2cc8659eef2fp-3, -0x1.ac8d40671a92p-3, -0x1.a659ecff9c69ap-3, -0x1.a032b73169c02p-3, -0x1.9a17c82f49695p-3, -0x1.94094754b69cap-3, -0x1.8e075a2a2027fp-3, -0x1.8812246977ad5p-3, -0x1.8229c8031551fp-3, -0x1.7c4e6522dba3bp-3, -0x1.76801a35a39ecp-3, -0x1.70bf03eee0ffap-3, -0x1.6b0b3d4e7998ap-3, -0x1.6564dfa6cdea2p-3, -0x1.5fcc02a2e4eap-3, -0x1.5a40bc4cbf5fap-3, -0x1.54c32113c3e18p-3, -0x1.4f5343d347d98p-3, -0x1.49f2a5768b0e7p-3, -0x1.449e7eda493b1p-3, -0x1.3f5844bd4bb76p-3, -0x1.3a200409e11eap-3, -0x1.34f5c83783556p-3, -0x1.2fd99b51a448ap-3, -0x1.2acb85fe926d2p-3, -0x1.25cb8f86698e9p-3, -0x1.20d9bdda08e67p-3, -0x1.1bf6159a0cb77p-3, -0x1.17209a1dc7077p-3, -0x1.12594d7a306f5p-3, -0x1.0da03088d2c21p-3, -0x1.08f542eea21c7p-3, -0x1.04588322d3516p-3, -0x1.ff93dceb2fe54p-4, -0x1.f693022dada94p-4, -0x1.edae6c3997e3bp-4, -0x1.e4e60f154288p-4, -0x1.dc39dcadea4a4p-4, -0x1.d3a9c4e4a6fcfp-4, -0x1.cb35b59b48d31p-4, -0x1.c2dd9ac115f74p-4, -0x1.baa15e5f7d956p-4, -0x1.b280e8a6a9766p-4, -0x1.aa7c1ffa0a563p-4, -0x1.a292e8fcc6503p-4, -0x1.9ac5269e258acp-4, -0x1.9312ba25e1daap-4, -0x1.8b7b83406f8a7p-4, -0x1.83ff600b372e6p-4, -0x1.7c9e2d20bfa22p-4, -0x1.7557c5a4c723bp-4, -0x1.6e2c035051b2cp-4, -0x1.671abe7da3e98p-4, -0x1.6023ce3429f3cp-4, -0x1.594708345182p-4, -0x1.528441034bfc1p-4, -0x1.4bdb4bf6b9d5cp-4, -0x1.454bfb4042b5dp-4, -0x1.3ed61ff912ep-4, -0x1.38798a2d3db44p-4, -0x1.323608e7067fp-4, -0x1.2c0b6a3a0a52cp-4, -0x1.25f97b4e4d623p-4, -0x1.2000086b271a1p-4, -0x1.1a1edd020ddcfp-4, -0x1.1455c3b93fbc5p-4, -0x1.0ea486764802fp-4, -0x1.090aee6861089p-4, -0x1.0388c412aecacp-4, -0x1.fc3b9eaca9824p-5, -0x1.f193aef8c8933p-5, -0x1.e719467f415e2p-5, -0x1.dccbf1ac39abap-5, -0x1.d2ab3bf55db9dp-5, -0x1.c8b6afec703c4p-5, -0x1.beedd75185913p-5, -0x1.b5503b24ebed8p-5, -0x1.abdd63b8b5f17p-5, -0x1.a294d8c1ef63fp-5, -0x1.997621697835ap-5, -0x1.9080c45c8354cp-5, -0x1.87b447dcbd8b5p-5, -0x1.7f1031d0117eep-5, -0x1.769407d01ac3ep-5, -0x1.6e3f4f3931d9bp-5, -0x1.66118d391f22bp-5, -0x1.5e0a46dd71ad4p-5, -0x1.56290121780bep-5, -0x1.4e6d40fbdc49ap-5, -0x1.46d68b6bdec38p-5, -0x1.3f6465863cea2p-5, -0x1.38165481b1fa9p-5, -0x1.30ebddc323a04p-5, -0x1.29e486e96d207p-5, -0x1.22ffd5d8d39e7p-5, -0x1.1c3d50c61b603p-5, -0x1.159c7e414d8e4p-5, -0x1.0f1ce54017eb9p-5, -0x1.08be0d27df7edp-5, -0x1.027f7dd775ff2p-5, -0x1.f8c17f60fe103p-6, -0x1.ecc2b740f9fc2p-6, -0x1.e101b65313b57p-6, -0x1.d57d90d580379p-6, -0x1.ca355c50a36d8p-6, -0x1.bf282fa6969eep-6, -0x1.b45523221f5p-6, -0x1.a9bb5084fea72p-6, -0x1.9f59d315aaefep-6, -0x1.952fc7ac74a35p-6, -0x1.8b3c4cc016421p-6, -0x1.817e8271b4a12p-6, -0x1.77f58a9847375p-6, -0x1.6ea088cb86addp-6, -0x1.657ea26e3c686p-6, -0x1.5c8efeb819049p-6, -0x1.53d0c6bf01a1p-6, -0x1.4b43257fd7716p-6, -0x1.42e547e6c6fd7p-6, -0x1.3ab65cd713c9dp-6, -0x1.32b595326f2fdp-6, -0x1.2ae223dfd2a9p-6, -0x1.233b3dd1e3e19p-6, -0x1.1bc01a0cef3dap-6, -0x1.146ff1ac60e3dp-6, -0x1.0d49ffe7eabf3p-6, -0x1.064d82181e78p-6, -0x1.fef36f7579ab3p-7, -0x1.f19bc4ed155e3p-7, -0x1.e4928c3d9e9cdp-7, -0x1.d7d6516cd28b4p-7, -0x1.cb65a4e5196dap-7, -0x1.bf3f1b7a3b5e4p-7, -0x1.b3614e6d6d89ep-7, -0x1.a7cadb70b3b91p-7, -0x1.9c7a64a98c4bdp-7, -0x1.916e90b30e10bp-7, -0x1.86a60a9f4984dp-7, -0x1.7c1f81f82a024p-7, -0x1.71d9aabfbab61p-7, -0x1.67d33d6fcdf5dp-7, -0x1.5e0af6f93296bp-7, -0x1.547f98c2476a5p-7, -0x1.4b2fe8a51f8dep-7, -0x1.421ab0ed1a67ep-7, -0x1.393ec05410443p-7, -0x1.309ae9ff033a7p-7, -0x1.282e057a57e4bp-7, -0x1.1ff6eeb5add14p-7, -0x1.17f485ff4c934p-7, -0x1.1025afff2d2edp-7, -0x1.088955b19e785p-7, -0x1.011e646194062p-7, -0x1.f3c79b453f6a5p-8, -0x1.e5b10e95119a1p-8, -0x1.d7f716d560f4p-8, -0x1.ca97b09211d8fp-8, -0x1.bd90e0b1b6b4dp-8, -0x1.b0e0b4667c211p-8, -0x1.a485411e9cd62p-8, -0x1.987ca47474c93p-8, -0x1.8cc5041dd5bb5p-8, -0x1.815c8ddb3fea1p-8, -0x1.764177667d20ep-8, -0x1.6b71fe610de82p-8, -0x1.60ec6842001e1p-8, -0x1.56af02439c2efp-8, -0x1.4cb82150b7626p-8, -0x1.430621f1b3686p-8, -0x1.3997683955a59p-8, -0x1.306a5fb1389acp-8, -0x1.277d7b461e563p-8, -0x1.1ecf353416b3ep-8, -0x1.165e0ef24afbp-8, -0x1.0e28911ec7cb7p-8, -0x1.062d4b6a0aceap-8, -0x1.fcd5a904eeb7p-9, -0x1.edbf93ff3ef29p-9, -0x1.df15a09afe2f8p-9, -0x1.d0d5252ef585bp-9, -0x1.c2fb856717dfbp-9, -0x1.b586321a3001ap-9, -0x1.a872a91fbefa8p-9, -0x1.9bbe75259ca8bp-9, -0x1.8f672d858c6bcp-9, -0x1.836a761b0a222p-9, -0x1.77c5ff1875959p-9, -0x1.6c7784dcd0d5dp-9, -0x1.617ccfc937a46p-9, -0x1.56d3b4168e0cp-9, -0x1.4c7a11aac6d2bp-9, -0x1.426dd3eee0e12p-9, -0x1.38acf1a475c39p-9, -0x1.2f356cbb93098p-9, -0x1.26055228a6ca2p-9, -0x1.1d1ab9ba71c94p-9, -0x1.1473c5f06d041p-9, -0x1.0c0ea3d0e3ce7p-9, -0x1.03e98abf60214p-9, -0x1.f80578a741a8dp-10, -0x1.e8b108601a7dcp-10, -0x1.d9d26fb1e27dep-10, -0x1.cb666d173499bp-10, -0x1.bd69d22be0cc6p-10, -0x1.afd9835bcce3p-10, -0x1.a2b277930c025p-10, -0x1.95f1b7ee16d42p-10, -0x1.89945f6a9bb32p-10, -0x1.7d979a98dcb44p-10, -0x1.71f8a74d71e4p-10, -0x1.66b4d453f7f4ap-10, -0x1.5bc98121e533cp-10, -0x1.51341d8a63b61p-10, -0x1.46f2297245673p-10, -0x1.3d01348598b05p-10, -0x1.335eddec51cd2p-10, -0x1.2a08d4011cf2fp-10, -0x1.20fcd4082bf6ap-10, -0x1.1838a9e6abb48p-10, -0x1.0fba2fdb5ad4p-10, -0x1.077f4e3746d29p-10, -0x1.ff0bf62f401d5p-11, -0x1.ef987440f2452p-11, -0x1.e0a0386f3372cp-11, -0x1.d21f7e824aa23p-11, -0x1.c4129bb6d5336p-11, -0x1.b675fe3b5c619p-11, -0x1.a9462cab2b7d7p-11, -0x1.9c7fc58d795d4p-11, -0x1.901f7ed50c4c4p-11, -0x1.842225623a5c8p-11, -0x1.78849c857f038p-11, -0x1.6d43dd848a993p-11, -0x1.625cf7213d2e3p-11, -0x1.57cd0d20e8c3dp-11, -0x1.4d9157d6b3cebp-11, -0x1.43a723aeeadd2p-11, -0x1.3a0bd0bc648ap-11, -0x1.30bcd24664e3ap-11, -0x1.27b7ae5a82f75p-11, -0x1.1ef9fd5de9c22p-11, -0x1.168169a16b81fp-11, -0x1.0e4ba2e6be299p-11, -0x1.0656929b5754ep-11, -0x1.fd400bb6f7761p-12, -0x1.ee4bd51a858e4p-12, -0x1.dfcc7cfe3a8fdp-12, -0x1.d1be1e096cb5ap-12, -0x1.c41cf12fe377p-12, -0x1.b6e54cf254e49p-12, -0x1.aa13a4a509ee6p-12, -0x1.9da487b8328edp-12, -0x1.9194a103bc6d8p-12, -0x1.85e0b6172b6dcp-12, -0x1.7a85a68c3466dp-12, -0x1.6f806b5baf4abp-12, -0x1.64ce1637aaffp-12, -0x1.5a6bd0e634023p-12, -0x1.5056dca104774p-12, -0x1.468c91778f3a3p-12, -0x1.3d0a5db4bbcfbp-12, -0x1.33cdc5457cc0bp-12, -0x1.2ad46125f7284p-12, -0x1.221bdecdfb83cp-12, -0x1.19a1ffa4366fep-12, -0x1.1164986fae597p-12, -0x1.096190d01b55p-12, -0x1.0196e2b76172p-12, -0x1.f40533cb9421fp-13, -0x1.e545a6d217196p-13, -0x1.d6eb7a3fcd0d5p-13, -0x1.c8f32a7857409p-13, -0x1.bb595397b3024p-13, -0x1.ae1ab0855d36bp-13, -0x1.a1341a0d4df8fp-13, -0x1.94a285ff2018ep-13, -0x1.8863064dfb27cp-13, -0x1.7c72c83de70ffp-13, -0x1.70cf138d880a5p-13, -0x1.657549a87789ap-13, -0x1.5a62e4e085435p-13, -0x1.4f9577a55c971p-13, -0x1.450aabc6b905ap-13, -0x1.3ac041b949017p-13, -0x1.30b40fde9f785p-13, -0x1.26e401d4c620bp-13, -0x1.1d4e17c54990fp-13, -0x1.13f065bcfe39fp-13, -0x1.0ac91305928c5p-13, -0x1.01d659870f56ep-13, -0x1.f22d0a4950c58p-14, -0x1.e10fe64e94be4p-14, -0x1.d052234dce7d5p-14, -0x1.bff0bdf133f1p-14, -0x1.afe8d241afd56p-14, -0x1.a0379a90c75c8p-14, -0x1.90da6e6fd7014p-14, -0x1.81cec19fc82cfp-14, -0x1.7312231fc0423p-14, -0x1.64a23c28d21c1p-14, -0x1.567ccf441155p-14, -0x1.489fb75791552p-14, -0x1.3b08e6cb696a7p-14, -0x1.2db666a59a91cp-14, -0x1.20a655b2da63ep-14, -0x1.13d6e7b485ecbp-14, -0x1.074664983031ep-14, -0x1.f5e64f5cc37a8p-15, -0x1.ddb73dd16eaf1p-15, -0x1.c5fc94450e59fp-15, -0x1.aeb374d4a6fa5p-15, -0x1.97d922a35b386p-15, -0x1.816b008a624c4p-15, -0x1.6b668fc6da09p-15, -0x1.55c96ebd36918p-15, -0x1.409157bfe4a04p-15, -0x1.2bbc1fe518cb5p-15, -0x1.1747b5e0cf001p-15, -0x1.033220e9e5633p-15, -0x1.def2ff511f016p-16, -0x1.b8380e69cf00dp-16, -0x1.9230040dcd9dcp-16, -0x1.6cd79e1480a0ep-16, -0x1.482bc154f2116p-16, -0x1.242977e02a6c9p-16, -0x1.00cdef2a5319ep-16, -0x1.bc2cecef703ccp-17, -0x1.7800fa3102805p-17, -0x1.351321e7719fdp-17, -0x1.e6bd73d59bd9bp-18, -0x1.65be9e4c44c1cp-18, -0x1.ce428b14fc62cp-19, -0x1.ab753baba9234p-20, 0x1.e2a04580417ecp-23, 0x1.0d7a23b89a82dp-19, 0x1.f843e0b2e5015p-19, 0x1.6f4a5ec9a3207p-18, 0x1.e03cd3712cdcp-18, 0x1.277fbf45055d3p-17, 0x1.5dcc27165b875p-17, 0x1.9306792d45823p-17, 0x1.c731707178b1fp-17, 0x1.fa4fac81a55dcp-17, 0x1.1631d9c490213p-16, 0x1.2eb7f9f50c17p-16, 0x1.46bb62f5216adp-16, 0x1.5e3d368f53798p-16, 0x1.753e8d0fe966ep-16, 0x1.8bc075f103f7ap-16, 0x1.a1c3f87be9737p-16, 0x1.b74a147e276d8p-16, 0x1.cc53c2f935fc2p-16, 0x1.e0e1f69796e31p-16, 0x1.f4f59c5135c51p-16, 0x1.0447cdfaab9f3p-15, 0x1.0dd86c561afcap-15, 0x1.172d18ba02cf8p-15, 0x1.204640cd957cp-15, 0x1.2924509172c65p-15, 0x1.31c7b2a1f726ep-15, 0x1.3a30d0585734p-15, 0x1.4260120c42621p-15, 0x1.4a55df36291b8p-15, 0x1.52129e9dceae4p-15, 0x1.5996b67bda2a4p-15, 0x1.60e28caa20f0fp-15, 0x1.67f686bf4332cp-15, 0x1.6ed30a32e61b2p-15, 0x1.75787c7ae4e89p-15, 0x1.7be7432a8d83ep-15, 0x1.821fc408a19a6p-15, 0x1.8822652d17d36p-15, 0x1.8def8d1c3584ap-15, 0x1.9387a2d07c873p-15, 0x1.98eb0dd83df27p-15, 0x1.9e1a365e222d4p-15, 0x1.a315854316276p-15, 0x1.a7dd642a5a4bcp-15, 0x1.ac723d84b9ffdp-15, 0x1.b0d47c9ec6de4p-15, 0x1.b5048da795c67p-15, 0x1.b902ddbfda312p-15, 0x1.bccfdafcc022p-15, 0x1.c06bf478b3259p-15, 0x1.c3d79a4a576e9p-15, 0x1.c7133d94027acp-15, 0x1.ca1f508529d93p-15, 0x1.ccfc465d02618p-15, 0x1.cfaa9369d3fc3p-15, 0x1.d22aad0e7bcd8p-15, 0x1.d47d09c4d6d28p-15, 0x1.d6a2210f43a26p-15, 0x1.d89a6b882c02ep-15, 0x1.da6662da50b09p-15, 0x1.dc0681b4013c5p-15, 0x1.dd7b43d43820bp-15, }}, 
      {{-0x1.de9d1c43a3ea8p-3, -0x1.d0f53ecc3ac7bp-2, -0x1.4e3a050480e4ep-1, -0x1.a6aa250f43cb6p-1, -0x1.f0ef19d30d7fcp-1, -0x1.168bfe7b6e5bcp+0, -0x1.2de71386698f2p+0, -0x1.3f0d0502c2f23p+0, -0x1.4a9ceaf0d9b92p+0, -0x1.5141edd43d9adp+0, -0x1.53a8cbb565721p+0, -0x1.52792e4f383f7p+0, -0x1.4e50d7bf96536p+0, -0x1.47c1057e70354p+0, -0x1.3f4d2db03a406p+0, -0x1.356a40768f0a1p+0, -0x1.2a7ef9955c267p+0, -0x1.1ee477fa993a9p+0, -0x1.12e6f8a7d202ap+0, -0x1.06c6efe2eb12ep+0, -0x1.f5746bb965e9ep-1, -0x1.ddda28539fb19p-1, -0x1.c70682960cfb9p-1, -0x1.b131c1cc7033p-1, -0x1.9c872b82a301ap-1, -0x1.8926e9c00f4afp-1, -0x1.77279ffbefdc4p-1, -0x1.669703187de2dp-1, -0x1.577c2e36c5d76p-1, -0x1.49d85826473e4p-1, -0x1.3da7cd08fe944p-1, -0x1.32e2db33aafb2p-1, -0x1.297ea4d9d145cp-1, -0x1.216dc0ef91de6p-1, -0x1.1aa0c6c95f30cp-1, -0x1.1506d71361a78p-1, -0x1.108e12fad0c05p-1, -0x1.0d23f55ea00c1p-1, -0x1.0ab5986632bfcp-1, -0x1.092ff5563aff2p-1, -0x1.0880202f5c475p-1, -0x1.089379dec506p-1, -0x1.0957d66952a48p-1, -0x1.0abb987933adp-1, -0x1.0cadc54dc06c2p-1, -0x1.0f1e141a94e8fp-1, -0x1.11fcfaf7c12b9p-1, -0x1.153bb9dfed451p-1, -0x1.18cc62e5cf327p-1, -0x1.1ca1dead85258p-1, -0x1.20afed08f5328p-1, -0x1.24eb225afd5cep-1, -0x1.2948e2895f6b2p-1, -0x1.2dbf5a09f9c3p-1, -0x1.3246be8f5a4f2p-1, -0x1.36d431dee31b9p-1, -0x1.3b6121e1f1dabp-1, -0x1.3fe68f029f62ep-1, -0x1.445e25dc3479ep-1, -0x1.48c2327caedccp-1, -0x1.4d0d931097dcp-1, -0x1.513bac920ffbep-1, -0x1.55486274f2816p-1, -0x1.593010af29798p-1, -0x1.5cef86a670c88p-1, -0x1.608401a716325p-1, -0x1.63eb263cbdf72p-1, -0x1.6722f891f2e98p-1, -0x1.6a29d47847fb9p-1, -0x1.6cfe65cacba4cp-1, -0x1.6f9fa19cbfd5ep-1, -0x1.720cc04d53e2cp-1, -0x1.744538544e4abp-1, -0x1.7648b98086e75p-1, -0x1.7817286bffa0ep-1, -0x1.79b09a07bc1d9p-1, -0x1.7b154f3f0b3c9p-1, -0x1.7c45b0c26458p-1, -0x1.7d424b0bb7d0fp-1, -0x1.7e0bcaa62d0f2p-1, -0x1.7ea2f8b932079p-1, -0x1.7f08b7cf78e7dp-1, -0x1.7f3e00d0499d1p-1, -0x1.7f43e023abdd7p-1, -0x1.7f1b72feae309p-1, -0x1.7ec5e4da1473p-1, -0x1.7e446d1912255p-1, -0x1.7d984ce656ea5p-1, -0x1.7cc2cd4b79623p-1, -0x1.7bc53d8290e2bp-1, -0x1.7aa0f17d30933p-1, -0x1.795740984192ep-1, -0x1.77e984728cc65p-1, -0x1.765917dc2574cp-1, -0x1.74a755d6ffbecp-1, -0x1.72d598a3ef211p-1, -0x1.70e538da63b9bp-1, -0x1.6ed78c8bc8cf1p-1, -0x1.6cade67521fabp-1, -0x1.6a69954231a2cp-1, -0x1.680be2e52950bp-1, -0x1.65961404b962ap-1, -0x1.63096780b517dp-1, -0x1.6067160b9cd5bp-1, -0x1.5db051d5d8a79p-1, -0x1.5ae6464672f3p-1, -0x1.580a17bd13f5cp-1, -0x1.551ce359c220ep-1, -0x1.521fbec86edc2p-1, -0x1.4f13b81032e3ap-1, -0x1.4bfa192dff641p-1, -0x1.48d34838676f1p-1, -0x1.45a08bdf9069bp-1, -0x1.4262d2eb68f8bp-1, -0x1.3f1b0462ff3aep-1, -0x1.3bc9ff9c7f963p-1, -0x1.38709c5711894p-1, -0x1.350faadd478dfp-1, -0x1.31a7f42e03c4dp-1, -0x1.2e3a3a293916ap-1, -0x1.2ac737bdd56cap-1, -0x1.274fa1166bbacp-1, -0x1.23d423c2c897cp-1, -0x1.205566dd607afp-1, -0x1.1cd40b2c65ef5p-1, -0x1.1950ab3f05bb5p-1, -0x1.15cbdb87eb432p-1, -0x1.12462a767c9b2p-1, -0x1.0ec02090557dfp-1, -0x1.0b3a408c65d6p-1, -0x1.07b50770c5689p-1, -0x1.0430ecb3db2f7p-1, -0x1.00ae62610a843p-1, -0x1.fa5baa81339e9p-2, -0x1.f35f5a04801abp-2, -0x1.ec6898d2f14c3p-2, -0x1.e57822f5610dcp-2, -0x1.de8eab50b304ep-2, -0x1.d7acdbfe21b64p-2, -0x1.d0d356a06732fp-2, -0x1.ca02b4b4e1f3p-2, -0x1.c33b87e04b6e3p-2, -0x1.bc7e5a36f888cp-2, -0x1.b5cbae80f4c02p-2, -0x1.af24007a7a474p-2, -0x1.a887c511753b1p-2, -0x1.a1f76aa0b4aa1p-2, -0x1.9b7359295e162p-2, -0x1.94fbf28b20584p-2, -0x1.8e9192bb676e5p-2, -0x1.88348ffbaffbap-2, -0x1.81e53b0ef616dp-2, -0x1.7ba3df6e12f96p-2, -0x1.7570c37ad7de1p-2, -0x1.6f4c28b1ab8ffp-2, -0x1.69364bd977a55p-2, -0x1.632f6531c3892p-2, -0x1.5d37a89ee9185p-2, -0x1.574f45d4609f1p-2, -0x1.5176687d3cd84p-2, -0x1.4bad3862e5e1fp-2, -0x1.45f3d99240042p-2, -0x1.404a6c7f61e8ap-2, -0x1.3ab10e27fb417p-2, -0x1.3527d83495a41p-2, -0x1.2faee118c75bbp-2, -0x1.2a463c327537p-2, -0x1.24edf9e832b83p-2, -0x1.1fa627c6d15cp-2, -0x1.1a6ed09e27c4fp-2, -0x1.1547fc9d121b5p-2, -0x1.1031b16cb8642p-2, -0x1.0b2bf24b10b06p-2, -0x1.0636c024a7436p-2, -0x1.015219ada767cp-2, -0x1.f8fbf6f455585p-3, -0x1.ef74c02b9522p-3, -0x1.e60e8034f3df4p-3, -0x1.dcc9248d50998p-3, -0x1.d3a4972556432p-3, -0x1.caa0be8af1f67p-3, -0x1.c1bd7e1156025p-3, -0x1.b8fab5f7a509ep-3, -0x1.b058438e2e57dp-3, -0x1.a7d6015a4ebfep-3, -0x1.9f73c738f2898p-3, -0x1.97316a7faf977p-3, -0x1.8f0ebe1c9696bp-3, -0x1.870b92b4a6177p-3, -0x1.7f27b6c0f9128p-3, -0x1.7762f6aab9a75p-3, -0x1.6fbd1ce5e7068p-3, -0x1.6835f20af3cfdp-3, -0x1.60cd3cef5e502p-3, -0x1.5982c2bd47e7ap-3, -0x1.5256470a22755p-3, -0x1.4b478bec8642p-3, -0x1.445652113cba9p-3, -0x1.3d8258cf997b8p-3, -0x1.36cb5e3d27d71p-3, -0x1.30311f40bbc8ap-3, -0x1.29b357a4f9b09p-3, -0x1.2351c22a5071ep-3, -0x1.1d0c189882f8ap-3, -0x1.16e213cfaf923p-3, -0x1.10d36bd8f21d8p-3, -0x1.0adfd7f693e1bp-3, -0x1.05070eb3d7ffep-3, -0x1.fe918be8c0331p-4, -0x1.f3496606579dcp-4, -0x1.e835154277c39p-4, -0x1.dd5402279410fp-4, -0x1.d2a594644c4d5p-4, -0x1.c82932e660435p-4, -0x1.bdde43f4dadbp-4, -0x1.b3c42d498801fp-4, -0x1.a9da54299afcp-4, -0x1.a0201d7d96b61p-4, -0x1.9694ede87bf8p-4, -0x1.8d3829de34d81p-4, -0x1.840935b93df6ap-4, -0x1.7b0775cf9beefp-4, -0x1.7233a8fbb949dp-4, -0x1.698a89f626116p-4, -0x1.610ccd0894111p-4, -0x1.58b9d75184911p-4, -0x1.50910e45185c7p-4, -0x1.4891d7be2f064p-4, -0x1.40bb9a0ef2955p-4, -0x1.390dbc10d0d19p-4, -0x1.3187a533d6f21p-4, -0x1.2a28bd8d7030cp-4, -0x1.22f06de68583fp-4, -0x1.1bde1fc8faf63p-4, -0x1.14f13d8c8d15cp-4, -0x1.0e2932630b7cp-4, -0x1.07856a63f8852p-4, -0x1.010552978c1cp-4, -0x1.f550b2023e1c2p-5, -0x1.e8dbd9520206ep-5, -0x1.dcaafb4b89c9fp-5, -0x1.d0bcfa49fe948p-5, -0x1.c510bae706265p-5, -0x1.b9a5240a417f4p-5, -0x1.ae791ef7d86fp-5, -0x1.a38b975e1f646p-5, -0x1.98db7b6265339p-5, -0x1.8e67bbacedc1dp-5, -0x1.842f4b74296b1p-5, -0x1.7a3120872ca61p-5, -0x1.706c33577708ap-5, -0x1.66df7f020680ep-5, -0x1.5d8a0157d39dep-5, -0x1.546abae59cddep-5, -0x1.4b80aefb29789p-5, -0x1.42cae3b1f04b8p-5, -0x1.3a4861f33155ep-5, -0x1.31f8357d8276dp-5, -0x1.29d96ce9dddc8p-5, -0x1.21eb19b0213fcp-5, -0x1.1a2c502b17f57p-5, -0x1.129c279bfe98ap-5, -0x1.0b39ba2d934d5p-5, -0x1.040424f6ab373p-5, -0x1.f9f50ff8a4db5p-6, -0x1.ec380c66f5facp-6, -0x1.decf8b0479784p-6, -0x1.d1b9dd8146edbp-6, -0x1.c4f55b72369f9p-6, -0x1.b8806250d63acp-6, -0x1.ac59557aa750fp-6, -0x1.a07e9e2f8d8a5p-6, -0x1.94eeab8f7ed8cp-6, -0x1.89a7f29787f72p-6, -0x1.7ea8ee1e166f4p-6, -0x1.73f01ece8dc69p-6, -0x1.697c0b24520a1p-6, -0x1.5f4b3f65172c9p-6, -0x1.555c4d9aa7e08p-6, -0x1.4badcd8c15db5p-6, -0x1.423e5cb6602c3p-6, -0x1.390c9e448a061p-6, -0x1.30173b073f896p-6, -0x1.275ce16bf9146p-6, -0x1.1edc4573a4219p-6, -0x1.169420a8e9a26p-6, -0x1.0e83321600f1fp-6, -0x1.06a83e3a25315p-6, -0x1.fe041dfd4ed56p-7, -0x1.ef1ee7575b57dp-7, -0x1.e09e81b924dbp-7, -0x1.d280a0e802401p-7, -0x1.c4c3031f7df81p-7, -0x1.b76370f86088fp-7, -0x1.aa5fbd4f33f64p-7, -0x1.9db5c52a552bp-7, -0x1.91636f9f78a64p-7, -0x1.8566adb8e1c09p-7, -0x1.79bd7a5a27f12p-7, -0x1.6e65da249f30ep-7, -0x1.635ddb5b691b1p-7, -0x1.58a395c741182p-7, -0x1.4e352a99efde2p-7, -0x1.4410c4519915cp-7, -0x1.3a34969bb8a26p-7, -0x1.309ede37f401ep-7, -0x1.274de0dabea29p-7, -0x1.1e3fed0fd544ep-7, -0x1.15735a1c9c178p-7, -0x1.0ce687e250c5fp-7, -0x1.0497dec041506p-7, -0x1.f90b9eebadacep-8, -0x1.e95da6094b2dep-8, -0x1.da22d524ce86cp-8, -0x1.cb583e95fe12bp-8, -0x1.bcfb0484f0cd6p-8, -0x1.af0858ae20883p-8, -0x1.a17d7c2686d1p-8, -0x1.9457bf1fe5322p-8, -0x1.879480ad2487p-8, -0x1.7b312e86f946cp-8, -0x1.6f2b44d092816p-8, -0x1.63804ddcb1d9ep-8, -0x1.582de1f2ece15p-8, -0x1.4d31a71535f03p-8, -0x1.428950c5bad98p-8, -0x1.38329fcd2aebp-8, -0x1.2e2b62011d4c2p-8, -0x1.2471720b25502p-8, -0x1.1b02b7300e30cp-8, -0x1.11dd251794e28p-8, -0x1.08febb949700ep-8, -0x1.0065866da82f6p-8, -0x1.f01f3a4c59ccdp-9, -0x1.dff6458f8aef9p-9, -0x1.d04c8b5900b98p-9, -0x1.c11e7e928eaedp-9, -0x1.b268a7f1f11fep-9, -0x1.a427a58fdee04p-9, -0x1.96582a804e5d9p-9, -0x1.88f6fe6bca0d5p-9, -0x1.7c00fd29df749p-9, -0x1.6f73165ca7198p-9, -0x1.634a4d0da34abp-9, -0x1.5783b74b539b7p-9, -0x1.4c1c7dc88d8d3p-9, -0x1.4111db7c95bfcp-9, -0x1.36611d4495994p-9, -0x1.2c07a186399aep-9, -0x1.2202d7d3acbc7p-9, -0x1.1850409078e77p-9, -0x1.0eed6c9803866p-9, -0x1.05d7fce509a7dp-9, -0x1.fa1b4474cf6cp-10, -0x1.e918399a940fap-10, -0x1.d8a277e04193ep-10, -0x1.c8b5bb7eeb954p-10, -0x1.b94ddd9f4c87cp-10, -0x1.aa66d3b7b56e1p-10, -0x1.9bfcaeecffadfp-10, -0x1.8e0b9b74b483ep-10, -0x1.808fdffbd2a8fp-10, -0x1.7385dd0e27767p-10, -0x1.66ea0c80f1164p-10, -0x1.5ab900e0279d6p-10, -0x1.4eef64dda2685p-10, -0x1.4389fac335732p-10, -0x1.38859be71828cp-10, -0x1.2ddf3822bf534p-10, -0x1.2393d54be21d1p-10, -0x1.19a08eb058a81p-10, -0x1.10029493c3c1bp-10, -0x1.06b72bb06cc01p-10, -0x1.fb7759730ce8p-11, -0x1.ea1b07c0bd89ep-11, -0x1.d95460b75b7e1p-11, -0x1.c91e87e254505p-11, -0x1.b974c502d360cp-11, -0x1.aa52832bc8de4p-11, -0x1.9bb34fe2e7ab4p-11, -0x1.8d92da44ffac9p-11, -0x1.7fecf22fa132ep-11, -0x1.72bd876e9b5b8p-11, -0x1.6600a8ed6ed9ep-11, -0x1.59b283ed93303p-11, -0x1.4dcf63400c29bp-11, -0x1.4253ae83fde6ep-11, -0x1.373be967e9db6p-11, -0x1.2c84b2f01e9c4p-11, -0x1.222ac4c06dcd5p-11, -0x1.182af26a1222cp-11, -0x1.0e8228bbb5a5fp-11, -0x1.052d6d187e7dp-11, -0x1.f853b99fbec21p-12, -0x1.e6e958f33fa2cp-12, -0x1.d6164eabcdbdfp-12, -0x1.c5d55d618db8bp-12, -0x1.b6217291a8cd3p-12, -0x1.a6f5a572fc8c4p-12, -0x1.984d35ceb8462p-12, -0x1.8a238ae5ba35cp-12, -0x1.7c743254b5ec1p-12, -0x1.6f3adf04186f9p-12, -0x1.6273681b88f27p-12, -0x1.5619c7fc504b6p-12, -0x1.4a2a1b41d6ae4p-12, -0x1.3ea09fc752da3p-12, -0x1.3379b3b4b3cfap-12, -0x1.28b1d48eb3d24p-12, -0x1.1e459e4f55f09p-12, -0x1.1431ca81a8506p-12, -0x1.0a732f642dbdfp-12, -0x1.0106bf0ff9b18p-12, -0x1.efd30d4a46587p-13, -0x1.de315af90bbc9p-13, -0x1.cd22e8bbbbe27p-13, -0x1.bca269776150cp-13, -0x1.acaabfe65754ep-13, -0x1.9d36fd2301087p-13, -0x1.8e425f39b89d1p-13, -0x1.7fc84fc774f5fp-13, -0x1.71c4629cac9eep-13, -0x1.6432546c85aecp-13, -0x1.570e0983bcf06p-13, -0x1.4a538c8753a3ap-13, -0x1.3dff0d3bc74a4p-13, -0x1.320cdf5560ea3p-13, -0x1.2679794ea1c42p-13, -0x1.1b4173484599p-13, -0x1.106185f08806p-13, -0x1.05d6896ed9af1p-13, -0x1.f73ae8bb9fd8dp-14, -0x1.e366b58accde6p-14, -0x1.d02ada3e0196dp-14, -0x1.bd81eec27c9cdp-14, -0x1.ab66c022383dcp-14, -0x1.99d44eb3ca58dp-14, -0x1.88c5cc5b2e017p-14, -0x1.78369ace96cbfp-14, -0x1.682249f0a05fap-14, -0x1.58849632125d7p-14, -0x1.495967019c7e8p-14, -0x1.3a9ccd40fd72cp-14, -0x1.2c4b01d1d6825p-14, -0x1.1e6064219e01bp-14, -0x1.10d978c59ae44p-14, -0x1.03b2b2a13ab32p-14, -0x1.edd29f0e1ef39p-15, -0x1.d4f3fb3c4f5cp-15, -0x1.bcc391fb523adp-15, -0x1.a53bb911ed5bcp-15, -0x1.8e57018bb1f6bp-15, -0x1.78103579f978cp-15, -0x1.626255c6a5da8p-15, -0x1.4d48981ed3e78p-15, -0x1.38be64de37efcp-15, -0x1.24bf551a31343p-15, -0x1.114730b78510ap-15, -0x1.fca3d92875f81p-16, -0x1.d7b7515d7a6fap-16, -0x1.b3c15cfac3eadp-16, -0x1.90bade6b78559p-16, -0x1.6e9d0460f82b9p-16, -0x1.4d6146ac0c953p-16, -0x1.2d0163419b0fap-16, -0x1.0d775b46a7b3p-16, -0x1.dd7ae06cfb3cep-17, -0x1.a19c42613e962p-17, -0x1.674850b480c5ep-17, -0x1.2e74f0934f53p-17, -0x1.ee30e660a03c8p-18, -0x1.82532219ff3eep-18, -0x1.193ecabe2d7e2p-18, -0x1.65c5a6af49861p-19, -0x1.3cbb8d3694918p-20, 0x1.1ecb221baa0afp-22, 0x1.c1fbd63a50c54p-20, 0x1.992ca5b517745p-19, 0x1.2640a0be4d0f7p-18, 0x1.7d8b27978238p-18, 0x1.d282a83be0e39p-18, 0x1.1299b14fc4d03p-17, 0x1.3ad48dd96b249p-17, 0x1.61f791d2eb1f4p-17, 0x1.88082dc820aa7p-17, 0x1.ad0b9d78d2a76p-17, 0x1.d106eab72685fp-17, 0x1.f3feef8d7f3a6p-17, 0x1.0afc2c7d3deap-16, 0x1.1b7bd498219p-16, 0x1.2b809ceb36b6fp-16, 0x1.3b0c9f1a4ffb5p-16, 0x1.4a21e29a544eep-16, 0x1.58c25dab07999p-16, 0x1.66eff657ac846p-16, 0x1.74ac834f7dce5p-16, 0x1.81f9ccc566659p-16, 0x1.8ed98d43798d6p-16, 0x1.9b4d72709b27p-16, 0x1.a7571dd757571p-16, 0x1.b2f825911846p-16, 0x1.be3214fb49595p-16, 0x1.c9066d5f1d217p-16, 0x1.d376a68d79a7ap-16, 0x1.dd842f6b44d0ep-16, 0x1.e7306e9b311cap-16, 0x1.f07cc2e17e221p-16, 0x1.f96a83bbbbdb5p-16, 0x1.00fd80e95a2d5p-15, 0x1.0517c3b925d6fp-15, 0x1.0904ac79ea2c6p-15, 0x1.0cc4da8fd5bb2p-15, 0x1.1058eace5990ep-15, 0x1.13c177a0df489p-15, 0x1.16ff19380b8a7p-15, 0x1.1a1265b1df4c2p-15, 0x1.1cfbf13fa5f02p-15, 0x1.1fbc4e4daf1eap-15, 0x1.22540da14c25fp-15, 0x1.24c3be7703662p-15, 0x1.270beea3c158bp-15, 0x1.292d2ab7c4644p-15, 0x1.2b27fe07f69d3p-15, 0x1.2cfcf2d30ba56p-15, 0x1.2eac924ec7a1ap-15, 0x1.303764c4c3824p-15, 0x1.319df1a362d84p-15, 0x1.32e0bf8b51e99p-15, 0x1.3400545f66762p-15, 0x1.34fd356182fd3p-15, 0x1.35d7e72a60756p-15, 0x1.3690edc2a01c3p-15, 0x1.3728ccadf31a6p-15, 0x1.37a006ee7d02p-15, 0x1.37f71f150bc3cp-15, 0x1.382e9744fe672p-15, 0x1.3846f13bc27ep-15, 0x1.3840ae5525257p-15, 0x1.381c4f936ea46p-15, 0x1.37da55a1ff1d3p-15, 0x1.377b40da12212p-15, 0x1.36ff9141141b1p-15, 0x1.3667c6903b25cp-15, 0x1.35b460339b0e5p-15, 0x1.34e5dd4b28605p-15, 0x1.33fcbcab63891p-15, 0x1.32f97cda38a42p-15, 0x1.31dc9c12ce0fep-15, 0x1.30a698418591dp-15, 0x1.2f57ef02108b7p-15, 0x1.2df11d9e1a10bp-15, 0x1.2c72a10b81a9cp-15, 0x1.2adcf5e8ae409p-15, 0x1.2930987749922p-15, 0x1.276e049bd69ep-15, 0x1.2595b5e05fa33p-15, 0x1.23a8275beb105p-15, 0x1.21a5d3c549528p-15, 0x1.1f8f35629418cp-15, 0x1.1d64c6072cea9p-15, 0x1.1b26ff0f09cbdp-15, 0x1.18d65959ce5a5p-15, 0x1.16734d43a9252p-15, 0x1.13fe52ab84946p-15, 0x1.1177e0d77faep-15, 0x1.0ee06e859ac6bp-15, 0x1.0c3871dbc0c2ep-15, 0x1.0980606440ed7p-15, 0x1.06b8af097a5cap-15, 0x1.03e1d20edfd5fp-15, 0x1.00fc3d0d68a34p-15, 0x1.fc10c5d5d3c4p-16, 0x1.f60d6bb25b889p-16, 0x1.efef4e9abae5bp-16, 0x1.e9b74ff8b7cfbp-16, 0x1.e3664fa1f9b35p-16, 0x1.dcfd2bea75a18p-16, 0x1.d67cc1705e894p-16, 0x1.cfe5eb2d7f91ap-16, 0x1.c9398267ab50bp-16, 0x1.c2785e9d380acp-16, 0x1.bba3558ee81ffp-16, 0x1.b4bb3b26f9be6p-16, 0x1.adc0e17412f71p-16, 0x1.a6b518a0a91a6p-16, 0x1.9f98aeea3d90cp-16, 0x1.986c7098fedcdp-16, 0x1.913127f0c9608p-16, 0x1.89e79d365f4ffp-16, 0x1.8290969d7b583p-16, 0x1.7b2cd845221bep-16, 0x1.73bd242dbd603p-16, 0x1.6c423a2eab6f2p-16, 0x1.64bcd7fcf71b1p-16, 0x1.5d2db9170c64fp-16, 0x1.559596c2a56b4p-16, 0x1.4df52808b594cp-16, 0x1.464d21b069196p-16, 0x1.3e9e362f75f5ep-16, 0x1.36e915b5d0cc1p-16, }}, 
      {{-0x1.4e3e92dea8de5p-2, -0x1.b9588e056bbd6p-3, -0x1.1e0c23ea9082ep-4, 0x1.6fe2b84d7c8c9p-4, 0x1.ff3dc367ba5ep-3, 0x1.9a5e8f7044b56p-2, 0x1.1362458250ed1p-1, 0x1.50f5920f273ep-1, 0x1.8558ddf941102p-1, 0x1.b09573ce58de7p-1, 0x1.d3193df7eb724p-1, 0x1.ed90203cf4e48p-1, 0x1.006454502355ep+0, 0x1.06d0386cd4683p+0, 0x1.0a7b578500d0bp+0, 0x1.0bd1a2e3c6eeap+0, 0x1.0b386ea5f2767p+0, 0x1.090cbf0f322ep+0, 0x1.05a27bd87e9b7p+0, 0x1.014426fb97772p+0, 0x1.f865e67c3f8a4p-1, 0x1.ed4e66d65866ap-1, 0x1.e1a1f67f3f5dbp-1, 0x1.d5b196d5d925ap-1, 0x1.c9c09420a40ap-1, 0x1.be05ec3c95676p-1, 0x1.b2ad6ba525fa4p-1, 0x1.a7d98c6c98049p-1, 0x1.9da468ea0569ap-1, 0x1.9420dc8ab8692p-1, 0x1.8b5ba5ddaa26ep-1, 0x1.835c4f9275787p-1, 0x1.7c25fe0cc4c11p-1, 0x1.75b831849ed63p-1, 0x1.700f728a86f14p-1, 0x1.6b25e27e63f41p-1, 0x1.66f3b878184bap-1, 0x1.636fb14ccbdbdp-1, 0x1.608f7150798d7p-1, 0x1.5e47d716b14f2p-1, 0x1.5c8d42350cfbbp-1, 0x1.5b53cfeb4220bp-1, 0x1.5a8f8cd904ff2p-1, 0x1.5a349b9e5cc38p-1, 0x1.5a3752dc4e731p-1, 0x1.5a8c55e25bd46p-1, 0x1.5b28aa0eb3816p-1, 0x1.5c01c9451ecfdp-1, 0x1.5d0db0fc705a8p-1, 0x1.5e42ed4b7e67cp-1, 0x1.5f989fc5f8354p-1, 0x1.6106828238c1ep-1, 0x1.6284e803a17c4p-1, 0x1.640cb8e7d297ap-1, 0x1.659854f2d294fp-1, 0x1.671ffc93754a3p-1, 0x1.689f23efa7c11p-1, 0x1.6a10e01d1e376p-1, 0x1.6b70c14704d1ap-1, 0x1.6cbad00998283p-1, 0x1.6deb8aa855161p-1, 0x1.6effe0b87fc1dp-1, 0x1.6ff52cd151b53p-1, 0x1.70c92cc032c79p-1, 0x1.7179f940e9043p-1, 0x1.7205fe34b4e49p-1, 0x1.726bf3ec37322p-1, 0x1.72aad992f6efp-1, 0x1.72c1f066cb7b6p-1, 0x1.72b0b74058ab8p-1, 0x1.7276e6090209p-1, 0x1.721468f45984ap-1, 0x1.71895b8ee7599p-1, 0x1.70d603d9aae8cp-1, 0x1.6ffacdaf62c5ep-1, 0x1.6ef8469c49a6bp-1, 0x1.6dcf1a318a88fp-1, 0x1.6c800ec25e263p-1, 0x1.6b0c026b25792p-1, 0x1.6973e843f4b85p-1, 0x1.67b8c5ab2301fp-1, 0x1.65dbafa260389p-1, 0x1.63ddc8438b2cep-1, 0x1.61c03c578203bp-1, 0x1.5f844118daeadp-1, 0x1.5d2b1229407c9p-1, 0x1.5ab5efbc42703p-1, 0x1.58261cf733e64p-1, 0x1.557cde836266cp-1, 0x1.52bb794e4d854p-1, 0x1.4fe3317263889p-1, 0x1.4cf54941f92dep-1, 0x1.49f3006e089f4p-1, 0x1.46dd9342c7368p-1, 0x1.43b639f54a119p-1, 0x1.407e27ff118dap-1, 0x1.3d368b8604101p-1, 0x1.39e08cd0da894p-1, 0x1.367d4dc90e45bp-1, 0x1.330de98bcd0dcp-1, 0x1.2f93740b5a3fep-1, 0x1.2c0ef9c1a141ap-1, 0x1.28817f73c807ep-1, 0x1.24ec02057731fp-1, 0x1.214f765992f3ap-1, 0x1.1dacc93d8c0e8p-1, 0x1.1a04df5c499b9p-1, 0x1.16589536227efp-1, 0x1.12a8bf1c3e54dp-1, 0x1.0ef6292edef56p-1, 0x1.0b41ca107454cp-1, 0x1.078beab419dc1p-1, 0x1.03d57ccdc5176p-1, 0x1.001f2cdfa1e9bp-1, 0x1.f8d33f2020c71p-2, 0x1.f16ae398a31dbp-2, 0x1.ea0671ec8bc8ep-2, 0x1.e2a70636adfc6p-2, 0x1.db4dae63c84a5p-2, 0x1.d3fb6ab4591dbp-2, 0x1.ccb12e3f6fa7p-2, 0x1.c56fdf714c8adp-2, 0x1.be385881ec67p-2, 0x1.b70b67e13a47dp-2, 0x1.afe9d098443e2p-2, 0x1.a8d44aa041ad8p-2, 0x1.a1cb83316123p-2, 0x1.9ad01d0bf7922p-2, 0x1.93e2b0bef67aep-2, 0x1.8d03ccee523a2p-2, 0x1.8633f69b823c2p-2, 0x1.7f73a9718c0f1p-2, 0x1.78c358153e439p-2, 0x1.72236c796c7cdp-2, 0x1.6b94483677ecep-2, 0x1.651644e3e3a02p-2, 0x1.5ea9b47296819p-2, 0x1.584ee18651be1p-2, 0x1.52060fcd16823p-2, 0x1.4bcf7c536bb74p-2, 0x1.45ab5dd4c8636p-2, 0x1.3f99e507bb52cp-2, 0x1.399b3ce5b5358p-2, 0x1.33af8aeeaa69ep-2, 0x1.2dd6ef68e468bp-2, 0x1.2811859d8c7c7p-2, 0x1.225f641279dcdp-2, 0x1.1cc09cc1c0868p-2, 0x1.17353d4f755b5p-2, 0x1.11bd4f3deecbp-2, 0x1.0c58d820a684dp-2, 0x1.0707d9cdcc785p-2, 0x1.01ca528e74b72p-2, 0x1.f9407a9a97f9p-3, 0x1.ef1323875bd19p-3, 0x1.e50c894a108bbp-3, 0x1.db2c8f90f0d4bp-3, 0x1.d17314a13aea6p-3, 0x1.c7dff1a354bf3p-3, 0x1.be72faeb7c1cep-3, 0x1.b52c003f3a2f8p-3, 0x1.ac0acd17c12cbp-3, 0x1.a30f28e162b5ep-3, 0x1.9a38d7385ba7p-3, 0x1.918798230fb4ap-3, 0x1.88fb2849f42f4p-3, 0x1.8093412d444e2p-3, 0x1.784f9958a85a2p-3, 0x1.702fe494ecbecp-3, 0x1.6833d417de1e4p-3, 0x1.605b16b25a3d7p-3, 0x1.58a558fcaf4a3p-3, 0x1.511245813eed8p-3, 0x1.49a184e57c092p-3, 0x1.4252be11423dfp-3, 0x1.3b259654873cap-3, 0x1.3419b18b7cbe2p-3, 0x1.2d2eb2411977ep-3, 0x1.266439d028b55p-3, 0x1.1fb9e882d3661p-3, 0x1.192f5db0cbf71p-3, 0x1.12c437dc0d227p-3, 0x1.0c7814cc499dap-3, 0x1.064a91a90f499p-3, 0x1.003b4b12abf77p-3, 0x1.f493ba73a400ep-4, 0x1.e8ebc7ec23977p-4, 0x1.dd7df5b650875p-4, 0x1.d2497a9a65e05p-4, 0x1.c74d8d278aa02p-4, 0x1.bc8963d807057p-4, 0x1.b1fc35335f902p-4, 0x1.a7a537eea85ecp-4, 0x1.9d83a30b0113p-4, 0x1.9396adf27595dp-4, 0x1.89dd90934061dp-4, 0x1.805783799d215p-4, 0x1.7703bfe83a386p-4, 0x1.6de17fef5fedep-4, 0x1.64effe82e1139p-4, 0x1.5c2e778ee93cp-4, 0x1.539c280bb3c01p-4, 0x1.4b384e103d598p-4, 0x1.430228e3fd561p-4, 0x1.3af8f90fae7bap-4, 0x1.331c006d341b1p-4, 0x1.2b6a8236a5df3p-4, 0x1.23e3c31487f99p-4, 0x1.1c87092b39003p-4, 0x1.15539c279d65dp-4, 0x1.0e48c54b0cc7p-4, 0x1.0765cf76897c8p-4, 0x1.00aa073545443p-4, 0x1.f429758cf4144p-5, 0x1.e74a744d35b95p-5, 0x1.dab5ae2fc06ebp-5, 0x1.ce69ca546ca7p-5, 0x1.c26573851edafp-5, 0x1.b6a758433e32dp-5, 0x1.ab2e2ad40aac9p-5, 0x1.9ff8a14bce864p-5, 0x1.9505759805a9ep-5, 0x1.8a549de5d4cd8p-5, 0x1.7fe27547368efp-5, 0x1.75aef041db2f3p-5, 0x1.6bb8d88ae97dfp-5, 0x1.61fefbcec1bfcp-5, 0x1.58802bb60b0efp-5, 0x1.4f3b3dea00a0ap-5, 0x1.462f0c17ffa31p-5, 0x1.3d5a73f455008p-5, 0x1.34bc573c4a529p-5, 0x1.2c539bb76e818p-5, 0x1.241f2b3825519p-5, 0x1.1c1df39b76d51p-5, 0x1.144ee6c829514p-5, 0x1.0cb0faad2b916p-5, 0x1.0543293f521e5p-5, 0x1.fc08e0ece5edap-6, 0x1.ede7a493c533ep-6, 0x1.e020a958c3bb2p-6, 0x1.d2b2030efa8c3p-6, 0x1.c599cd6cdb681p-6, 0x1.b8d62c00fd418p-6, 0x1.ac654a2608f05p-6, 0x1.a0455af5d9d3p-6, 0x1.9474993bd9687p-6, 0x1.88f14766b36ebp-6, 0x1.7db9af7963f06p-6, 0x1.72cc22fbb2f3cp-6, 0x1.6826faea3017ep-6, 0x1.5dc897a5a9e64p-6, 0x1.53af60e23e682p-6, 0x1.49d9c595fea8bp-6, 0x1.40463be738256p-6, 0x1.36f3411a65943p-6, 0x1.2ddf597fd511dp-6, 0x1.25091060fbfc4p-6, 0x1.1c6ef7ed93e8dp-6, 0x1.140fa9287088ep-6, 0x1.0be9c3d420129p-6, 0x1.03fbee5f535edp-6, 0x1.f889aba2379c1p-7, 0x1.e9865b69ed066p-7, 0x1.daeb600d5c334p-7, 0x1.ccb63a3c3c329p-7, 0x1.bee4773599cc1p-7, 0x1.b173b09eda1c5p-7, 0x1.a4618c5a7ddccp-7, 0x1.97abbc5ec2e4ap-7, 0x1.8b4ffe8c15d05p-7, 0x1.7f4c1c836782ap-7, 0x1.739deb7c63b01p-7, 0x1.68434c1ba0609p-7, 0x1.5d3a2a48bb255p-7, 0x1.52807d046f457p-7, 0x1.4814463eb5c44p-7, 0x1.3df392ace7a8bp-7, 0x1.341c799ff14b5p-7, 0x1.2a8d1cda9e8e4p-7, 0x1.2143a867fc30cp-7, 0x1.183e5271dc9acp-7, 0x1.0f7b5b1785e41p-7, 0x1.06f90c4488ac9p-7, 0x1.fd6b730f8e73dp-8, 0x1.ed5f7fd567813p-8, 0x1.ddcb0b91934a9p-8, 0x1.ceaaf54e8955p-8, 0x1.bffc2e1a32d7ep-8, 0x1.b1bbb8b66ea11p-8, 0x1.a3e6a94a25a78p-8, 0x1.967a2512fafc8p-8, 0x1.89736217a2a83p-8, 0x1.7ccfa6dad78dep-8, 0x1.708c4a0f06dddp-8, 0x1.64a6b24aad232p-8, 0x1.591c55bd64a65p-8, 0x1.4deab9e5b6076p-8, 0x1.430f7347a9efp-8, 0x1.388825241afffp-8, 0x1.2e528130d1e11p-8, 0x1.246c47516a40ep-8, 0x1.1ad34551035a3p-8, 0x1.1185569ccdffp-8, 0x1.088063ff5dfa9p-8, 0x1.ff84c6b9b3a21p-9, 0x1.ee92aee000d7p-9, 0x1.de269f100cbebp-9, 0x1.ce3cce8eaef9ap-9, 0x1.bed18cc63f4c6p-9, 0x1.afe140c796236p-9, 0x1.a16868cca6ea3p-9, 0x1.936399bcead25p-9, 0x1.85cf7eb37fe2dp-9, 0x1.78a8d88711b5ep-9, 0x1.6bec7d5384026p-9, 0x1.5f97580558bfdp-9, 0x1.53a667e6e509dp-9, 0x1.4816c02f341a8p-9, 0x1.3ce58792bbd53p-9, 0x1.320ff7d5d3ac6p-9, 0x1.27935d60d6cffp-9, 0x1.1d6d16d617e9bp-9, 0x1.139a94a98a447p-9, 0x1.0a1958ba1bdacp-9, 0x1.00e6f5ecd883dp-9, 0x1.f0021f93754fdp-10, 0x1.decab4343d956p-10, 0x1.ce23311215ca8p-10, 0x1.be073c8a0ae38p-10, 0x1.ae729b47375edp-10, 0x1.9f612f8d34ff3p-10, 0x1.90cef885cb2eap-10, 0x1.82b81191d46a9p-10, 0x1.7518b19d5ab7ep-10, 0x1.67ed2a770ce66p-10, 0x1.5b31e82aabdp-10, 0x1.4ee3705ebe636p-10, 0x1.42fe61b5446b7p-10, 0x1.377f732f93fc9p-10, 0x1.2c6373953fc17p-10, 0x1.21a748dde33edp-10, 0x1.1747ef9e0218fp-10, 0x1.0d427a76e2b4ep-10, 0x1.039411891d64bp-10, 0x1.f473e3d48dd1cp-11, 0x1.e262da3a8c101p-11, 0x1.d0efd11b0bfdcp-11, 0x1.c015ba19cbda4p-11, 0x1.afcfaca8cf371p-11, 0x1.a018e50f1a1dp-11, 0x1.90ecc37494ep-11, 0x1.8246caf376fa3p-11, 0x1.7422a0ae7d5c9p-11, 0x1.667c0aec930fap-11, 0x1.594ef0390267bp-11, 0x1.4c9756891850ep-11, 0x1.405162665a89cp-11, 0x1.3479561d79566p-11, 0x1.290b90f228cdfp-11, 0x1.1e048e5737862p-11, 0x1.1360e52bcff3bp-11, 0x1.091d46fca7ac3p-11, 0x1.fe6cfe9386c8bp-12, 0x1.eb52e5a19413ap-12, 0x1.d8e63db63010bp-12, 0x1.c7213120fddfdp-12, 0x1.b5fe189bc758fp-12, 0x1.a57779ffcf557p-12, 0x1.9588070332a01p-12, 0x1.862a9bfdf4035p-12, 0x1.775a3eb67ab72p-12, 0x1.69121d36342cdp-12, 0x1.5b4d8ca4c53e8p-12, 0x1.4e08082ad9e1ap-12, 0x1.413d2fdbf3eddp-12, 0x1.34e8c7a749a2cp-12, 0x1.2906b64f17a66p-12, 0x1.1d930466c74edp-12, 0x1.1289db57d0e72p-12, 0x1.07e7846c91856p-12, 0x1.fb50cfc36e0c1p-13, 0x1.e79217fb504f6p-13, 0x1.d48c285bb76e9p-13, 0x1.c23880546b889p-13, 0x1.b090d63bdb545p-13, 0x1.9f8f15ac95b13p-13, 0x1.8f2d5ded21a32p-13, 0x1.7f660062e2914p-13, 0x1.70337f1048bb6p-13, 0x1.61908b1b8e6e8p-13, 0x1.5378035fd00bap-13, 0x1.45e4f30a54261p-13, 0x1.38d2903e508fap-13, 0x1.2c3c3ac37e677p-13, 0x1.201d7abd6f26cp-13, 0x1.1471ff6c4ce7bp-13, 0x1.09359df5afa04p-13, 0x1.fcc8a06d1741p-14, 0x1.e7f467384d9aap-14, 0x1.d3e7100f179b3p-14, 0x1.c0995d6ccb3f3p-14, 0x1.ae045269b10a7p-14, 0x1.9c2130ae31677p-14, 0x1.8ae976726ed47p-14, 0x1.7a56dc8e889cdp-14, 0x1.6a635497e5d69p-14, 0x1.5b09070c5c7e1p-14, 0x1.4c42518a16cb3p-14, 0x1.3e09c5154dcc3p-14, 0x1.305a246a3da4fp-14, 0x1.232e625b866dp-14, 0x1.1681a03ccf298p-14, 0x1.0a4f2c58a4c73p-14, 0x1.fd2500e51762dp-15, 0x1.e68e80a757487p-15, 0x1.d0d270c6346c9p-15, 0x1.bbe8b88e5041cp-15, 0x1.a7c98b27d4475p-15, 0x1.946d650065e46p-15, 0x1.81cd094fa65f2p-15, 0x1.6fe17fa9e22c5p-15, 0x1.5ea411a86bf54p-15, 0x1.4e0e48a316e13p-15, 0x1.3e19eb7afef8ep-15, 0x1.2ec0fc7794fe9p-15, 0x1.1ffdb733ace99p-15, 0x1.11ca8e9bb9b16p-15, 0x1.04222af9f7f3bp-15, 0x1.edfed02cbf747p-16, 0x1.d4baa6bf19d9fp-16, 0x1.bc6e5451c4b56p-16, 0x1.a510afe498cd6p-16, 0x1.8e98e97d9cafp-16, 0x1.78fe86f753ed6p-16, 0x1.643960dfce871p-16, 0x1.50419f7819cc6p-16, 0x1.3d0fb7cc173a5p-16, 0x1.2a9c68ded90cbp-16, 0x1.18e0b8f269f2ap-16, 0x1.07d5f2e464b25p-16, 0x1.eeeb474570372p-17, 0x1.cf732f61882b7p-17, 0x1.b137b196d4415p-17, 0x1.942d572eaf613p-17, 0x1.78491ad1a7ad6p-17, 0x1.5d805a229647ap-17, 0x1.43c906613b71ep-17, 0x1.2b193dbe885d8p-17, 0x1.136796c2d7fe5p-17, 0x1.f9560a8fc5c1cp-18, 0x1.cdb5adac3119dp-18, 0x1.a3dd5e57e6914p-18, 0x1.7bbd09c47fb2ep-18, 0x1.55453c5e6edc1p-18, 0x1.30671b8491f87p-18, 0x1.0d145f8672529p-18, 0x1.d67e9ba2799b4p-19, 0x1.95b566af35ae5p-19, 0x1.57b3be31ffda4p-19, 0x1.1c613a18c3c44p-19, 0x1.c74cc40933da5p-20, 0x1.5ad9475992523p-20, 0x1.e679264ede609p-21, 0x1.2099c83a5b643p-21, 0x1.8f106a7b38718p-23, -0x1.4154c3a30b4acp-23, -0x1.f7f8fa7f62821p-22, -0x1.9f796021d8bd1p-21, -0x1.1d8860325c114p-20, -0x1.678278fa0f11cp-20, -0x1.adcae8b00c50fp-20, -0x1.f0806f035681ap-20, -0x1.17e054e382779p-19, -0x1.35d4106f45687p-19, -0x1.5229291b6ed54p-19, -0x1.6cecde64ee1a4p-19, -0x1.862bf5abbf233p-19, -0x1.9df2bf6e481f3p-19, -0x1.b44d1c3298421p-19, -0x1.c9468143f3262p-19, -0x1.dce9fd5f1da45p-19, -0x1.ef423ce6d36f1p-19, -0x1.002cc71795195p-18, -0x1.081cf2bfd1dccp-18, -0x1.0f76707092f54p-18, -0x1.163de60269c2p-18, -0x1.1c77d1bd227e6p-18, -0x1.22288c268e2f1p-18, -0x1.275449917b156p-18, -0x1.2bff1bb9ede5bp-18, -0x1.302cf338f5486p-18, -0x1.33e1a0efad60dp-18, -0x1.3720d75ea12a7p-18, -0x1.39ee2bff38211p-18, -0x1.3c4d187715251p-18, -0x1.3e40fbc9dd3dcp-18, -0x1.3fcd1b7b0259bp-18, -0x1.40f4a4a4c519cp-18, -0x1.41baacfe4df79p-18, -0x1.422233d6fc4ebp-18, -0x1.422e2307775e9p-18, -0x1.41e14fda2989fp-18, -0x1.413e7be3b0985p-18, -0x1.404855d146b25p-18, -0x1.3f017a3b068eep-18, -0x1.3d6c744df5713p-18, -0x1.3b8bbe8d53733p-18, -0x1.3961c37e179a1p-18, -0x1.36f0de4570e8fp-18, -0x1.343b5b471f63p-18, -0x1.314378b647fb5p-18, -0x1.2e0b67272bef6p-18, -0x1.2a954a1076046p-18, -0x1.26e3384ac826p-18, -0x1.22f73c8eb5353p-18, -0x1.1ed355d5d2d0cp-18, -0x1.1a7977e15ba19p-18, -0x1.15eb8b8ae5705p-18, -0x1.112b6f2ddcdf8p-18, -0x1.0c3af708332f8p-18, -0x1.071bed967e1e3p-18, -0x1.01d013d311c68p-18, -0x1.f8b2432d1143ep-19, -0x1.ed718bb689595p-19, -0x1.e1e14e0b31e48p-19, -0x1.d604c65727f95p-19, -0x1.c9df20934f92dp-19, -0x1.bd737901bf569p-19, -0x1.b0c4dcc8f5233p-19, -0x1.a3d64a160df66p-19, -0x1.96aab0b0d9683p-19, -0x1.8944f25717483p-19, -0x1.7ba7e305b7e2p-19, -0x1.6dd64962c4179p-19, -0x1.5fd2defd3d43ep-19, -0x1.51a050a234876p-19, -0x1.43413e9c8a62ap-19, -0x1.34b83d0113bbbp-19, -0x1.2607d3e7181d2p-19, -0x1.17327fb337f2fp-19, -0x1.083ab12316084p-19, -0x1.f2459b82ef378p-20, -0x1.d3da5fec57d57p-20, -0x1.b5384e6dacbbap-20, -0x1.9663f07627462p-20, -0x1.7761ba3bb6443p-20, -0x1.58360b2484132p-20, -0x1.38e52e00b5607p-20, -0x1.197359603fd91p-20, -0x1.f3c95f906a0e2p-21, -0x1.b47a7ff6e6c9bp-21, -0x1.75020a90d905fp-21, -0x1.3567cf3c73f1fp-21, -0x1.eb66ef802b39p-22, -0x1.6bd910d234b08p-22, -0x1.d8697f44d62d8p-23, -0x1.b221bf0628438p-24, 0x1.31db4406eb772p-26, 0x1.255f9487194eep-23, 0x1.122037eb03b2fp-22, 0x1.9161a9f83e399p-22, 0x1.083389f961ac3p-21, 0x1.4791d711ae5a8p-21, 0x1.86c57bd197fb4p-21, 0x1.c5c859abd57d9p-21, 0x1.024a3a1edb0cap-20, 0x1.2191f87538d6p-20, 0x1.40b88b5d85819p-20, 0x1.5fbb26ee5aa7cp-20, 0x1.7e970fcc3f0bap-20, 0x1.9d499ae7844c5p-20, 0x1.bbd02d85984a4p-20, 0x1.da283d066c7d6p-20, 0x1.f84f4ec915597p-20, 0x1.0b217c10774ep-19, 0x1.1a006ef4f0b59p-19, 0x1.28c35a7001c91p-19, 0x1.376920930e4d8p-19, 0x1.45f0ab243c57cp-19, 0x1.5458eb939ca3ep-19, 0x1.62a0dad94ae2bp-19, 0x1.70c7797487b72p-19, 0x1.7ecbcf595e8efp-19, 0x1.8cacebdae2b7ep-19, 0x1.9a69e5a5ed568p-19, 0x1.a801da9ffac77p-19, 0x1.b573eff17c8bp-19, 0x1.c2bf51d9a7a68p-19, 0x1.cfe333ad292d8p-19, 0x1.dcdecfc196043p-19, 0x1.e9b16757c55b6p-19, 0x1.f65a42a459794p-19, 0x1.016c584b09216p-18, 0x1.0796036d96554p-18, 0x1.0da9d0ea6998cp-18, 0x1.13a7723d169d7p-18, 0x1.198e9c21fd98bp-18, 0x1.1f5f069994523p-18, 0x1.25186cce0b885p-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.ff425ec87707cp-7, -0x1.fec2909d1fba5p-6, -0x1.7e72a1e3e63a1p-5, -0x1.fcc61d5bde845p-5, -0x1.3d0f42722be87p-4, -0x1.7b20286834512p-4, -0x1.b878fbf9d3ccdp-4, -0x1.f4fe19a8e3e1dp-4, -0x1.184a8d6220d47p-3, -0x1.359275abdfa2fp-3, -0x1.524aed669c645p-3, -0x1.6e68d3e069c29p-3, -0x1.89e1c3c726298p-3, -0x1.a4ac150da49cp-3, -0x1.bebedd2e9d409p-3, -0x1.d811ee08d27c6p-3, -0x1.f09dd38b2427p-3, -0x1.042de83121502p-2, -0x1.0fa2ecea50a2ap-2, -0x1.1aab497a07dp-2, -0x1.2544a3a3d8724p-2, -0x1.2f6cf286366f5p-2, -0x1.39227b92ea84dp-2, -0x1.4263cf6af5139p-2, -0x1.4b2fc6a7645cep-2, -0x1.53857e9749073p-2, -0x1.5b6455f9ae49bp-2, -0x1.62cbe9b975e12p-2, -0x1.69bc11b019d56p-2, -0x1.7034dd737a308p-2, -0x1.763691325400dp-2, -0x1.7bc1a2a24b1e4p-2, -0x1.80d6b6020a924p-2, -0x1.85769b317ce2ep-2, -0x1.89a24ae1b778dp-2, -0x1.8d5ae3dde8b3p-2, -0x1.90a1a86e2c078p-2, -0x1.9377fbd4eed81p-2, -0x1.95df5fe740228p-2, -0x1.97d972c02b27cp-2, -0x1.9967ec8f00e5p-2, -0x1.9a8c9d804051bp-2, -0x1.9b496bc0a7866p-2, -0x1.9ba05199c2b4fp-2, -0x1.9b935ba7403bep-2, -0x1.9b24a724212bfp-2, -0x1.9a56604ed9319p-2, -0x1.992ac0e357c3ep-2, -0x1.97a40ea9e8987p-2, -0x1.95c49a19db8f5p-2, -0x1.938ebd0ed94cep-2, -0x1.9104d98fcc58ap-2, -0x1.8e2958a658a1dp-2, -0x1.8afea945cbe5bp-2, -0x1.87873f4098974p-2, -0x1.83c5924b5ca2dp-2, -0x1.7fbc1d0c9d6eap-2, -0x1.7b6d5c385bdddp-2, -0x1.76dbcdb6c4fc1p-2, -0x1.7209efd546994p-2, -0x1.6cfa4081658cp-2, -0x1.67af3c8cc0f2ep-2, -0x1.622b5ef9c2eap-2, -0x1.5c712050823dap-2, -0x1.5682f5fb7224ep-2, -0x1.506351ab841ap-2, -0x1.4a14a0c368af6p-2, -0x1.43994bc9b321ep-2, -0x1.3cf3b5e199b9fp-2, -0x1.36263c4a2cb7dp-2, -0x1.2f3335e3ccd21p-2, -0x1.281cf2bbc4af6p-2, -0x1.20e5bb9de1bbdp-2, -0x1.198fd1abf2d7dp-2, -0x1.121d6dfb143f8p-2, -0x1.0a90c136b079cp-2, -0x1.02ebf349275b7p-2, -0x1.f66246140b22cp-3, -0x1.e6c4cbe37552ap-3, -0x1.d7038fa57aa78p-3, -0x1.c72295300d1ecp-3, -0x1.b725cc11b422bp-3, -0x1.a7110f23779eap-3, -0x1.96e82425084e5p-3, -0x1.86aebb62fbf3bp-3, -0x1.76686f66d7f2ep-3, -0x1.6618c4b0cc6eep-3, -0x1.55c3297ad6e2fp-3, -0x1.456af5851d9bfp-3, -0x1.351369eb386a7p-3, -0x1.24bfb10231c81p-3, -0x1.1472de3ef68c8p-3, -0x1.042fee24e96dfp-3, -0x1.e7f38c78b26ap-4, -0x1.c7a66a2111725p-4, -0x1.a77de469f9fc7p-4, -0x1.877f3ca38c522p-4, -0x1.67af866ce3adep-4, -0x1.4813a7e6a7cb1p-4, -0x1.28b059f1bbc91p-4, -0x1.098a287959958p-4, -0x1.d54ae59008a6ep-5, -0x1.980cd7cd5cff9p-5, -0x1.5b62360af0415p-5, -0x1.1f52b7dad5ca3p-5, -0x1.c7cb7dea6e05dp-6, -0x1.5244b07868e29p-6, -0x1.bc3cf339155b1p-7, -0x1.ad96992fd2f46p-8, 0x1.7667dcfb9eda8p-12, 0x1.d64f387b14c99p-8, 0x1.c77bf45c4be01p-7, 0x1.504dd383e573cp-6, 0x1.bb39a2c3afcc9p-6, 0x1.123c234ee094p-5, 0x1.4600988631932p-5, 0x1.78e63242f3375p-5, 0x1.aae9389248d97p-5, 0x1.dc0638e30709ep-5, 0x1.061d0248ee1f8p-4, 0x1.1dc0d7b946924p-4, 0x1.34ed472b77984p-4, 0x1.4ba11aca190cfp-4, 0x1.61db3bc381ef6p-4, 0x1.779ab18b8ca39p-4, 0x1.8cdea11d499c1p-4, 0x1.a1a64c3cdbe25p-4, 0x1.b5f110b9ae1c2p-4, 0x1.c9be67b148019p-4, 0x1.dd0de4d2ca3f8p-4, 0x1.efdf35a370795p-4, 0x1.0119106205685p-3, 0x1.0a03429be3b7ap-3, 0x1.12ae2cd61e1fap-3, 0x1.1b19d5e17b975p-3, 0x1.23464fae4fc6ap-3, 0x1.2b33b6f2e0929p-3, 0x1.32e232d2ae9a8p-3, 0x1.3a51f486ab336p-3, 0x1.4183370662eb3p-3, 0x1.48763eb22e2c6p-3, 0x1.4f2b58fe60f6fp-3, 0x1.55a2dc1f8fad9p-3, 0x1.5bdd26b7e4908p-3, 0x1.61da9f8592369p-3, 0x1.679bb51266896p-3, 0x1.6d20dd6480e83p-3, 0x1.726a95b02fd7p-3, 0x1.7779620afd43dp-3, 0x1.7c4dcd1fe79f2p-3, 0x1.80e867e4cc2e5p-3, 0x1.8549c95109a07p-3, 0x1.89728e1551398p-3, 0x1.8d635854b82a9p-3, 0x1.911ccf5efcc76p-3, 0x1.949f9f6c05c12p-3, 0x1.97ec7958a0ad8p-3, 0x1.9b041264762cdp-3, 0x1.9de723f142a44p-3, 0x1.a0966b434577ep-3, 0x1.a312a942edcefp-3, 0x1.a55ca23fc9487p-3, 0x1.a7751db4a84e4p-3, 0x1.a95ce60d06fc5p-3, 0x1.ab14c86ba9e46p-3, 0x1.ac9d94727f65cp-3, 0x1.adf81c0bb6a39p-3, 0x1.af25333410811p-3, 0x1.b025afc670cafp-3, 0x1.b0fa69489df6cp-3, 0x1.b1a438b94656fp-3, 0x1.b223f85f2bfa3p-3, 0x1.b27a839996e04p-3, 0x1.b2a8b6b1ecf97p-3, 0x1.b2af6eae87af8p-3, 0x1.b28f8926b5613p-3, 0x1.b249e417ecf89p-3, 0x1.b1df5dbc2c924p-3, 0x1.b150d4618dc4p-3, 0x1.b09f2642f600dp-3, 0x1.afcb316200208p-3, 0x1.aed5d361ff618p-3, 0x1.adbfe9642f3dbp-3, 0x1.ac8a4fe503c2cp-3, 0x1.ab35e29a98aa9p-3, 0x1.a9c37c543f34fp-3, 0x1.a833f6db281e2p-3, 0x1.a6882ad4254c8p-3, 0x1.a4c0efa285d93p-3, 0x1.a2df1b4bfd7f9p-3, 0x1.a0e3825da3c36p-3, 0x1.9ecef7d1fcbc2p-3, 0x1.9ca24cf811acp-3, 0x1.9a5e515b898f4p-3, 0x1.9803d2adcd117p-3, 0x1.95939cb025338p-3, 0x1.930e791edf3p-3, 0x1.90752f9d64e78p-3, 0x1.8dc885a34b976p-3, 0x1.8b093e6a5c5fap-3, 0x1.88381add85004p-3, 0x1.8555d988b7d7bp-3, 0x1.82633689b4f9dp-3, 0x1.7f60eb81b2b2ap-3, 0x1.7c4faf87ee40dp-3, 0x1.7930371d116dp-3, 0x1.7603341f7165bp-3, 0x1.72c955c027becp-3, 0x1.6f834878f6a21p-3, 0x1.6c31b602f58dp-3, 0x1.68d5454e0f66dp-3, 0x1.656e9a793a302p-3, 0x1.61fe56cb757cap-3, 0x1.5e8518ad80c3fp-3, 0x1.5b037ba44360bp-3, 0x1.577a184bf1acdp-3, 0x1.53e98453d69b5p-3, 0x1.5052527acc5c5p-3, 0x1.4cb5128c54369p-3, 0x1.4912515e5662dp-3, 0x1.456a98cf7bd56p-3, 0x1.41be6fc6192a4p-3, 0x1.3e0e5a2fb8c74p-3, 0x1.3a5ad9012d54bp-3, 0x1.36a46a372c8cfp-3, 0x1.32eb88d7796c9p-3, 0x1.2f30acf286e43p-3, 0x1.2b744ba59e7a9p-3, 0x1.27b6d71d8134p-3, 0x1.23f8be99782e6p-3, 0x1.203a6e6edbfd3p-3, 0x1.1c7c500d03d0ap-3, 0x1.18beca01a5339p-3, 0x1.15023ffd8f449p-3, 0x1.114712d9cdb9ep-3, 0x1.0d8da09d259dfp-3, 0x1.09d64481e75ep-3, 0x1.062156fc1d354p-3, 0x1.026f2dc0045bcp-3, 0x1.fd803791aabf6p-4, 0x1.f628e2bfab013p-4, 0x1.eed8f8475b0fcp-4, 0x1.e7910e2001aebp-4, 0x1.e051b50a8ea2dp-4, 0x1.d91b78a1b9d2fp-4, 0x1.d1eedf6a94c14p-4, 0x1.cacc6ae589182p-4, 0x1.c3b4979faba6fp-4, 0x1.bca7dd447aaffp-4, 0x1.b5a6aeafdf0f4p-4, 0x1.aeb17a00871a3p-4, 0x1.a7c8a8aa8458bp-4, 0x1.a0ec9f8a2dda1p-4, 0x1.9a1dbef73ad61p-4, 0x1.935c62d8153efp-4, 0x1.8ca8e2b55ac4fp-4, 0x1.860391cd8db3fp-4, 0x1.7f6cbf28e73dap-4, 0x1.78e4b5ad4b308p-4, 0x1.726bbc3258b62p-4, 0x1.6c021595902d8p-4, 0x1.65a800ce8c322p-4, 0x1.5f5db903474e4p-4, 0x1.5923759c6b866p-4, 0x1.52f96a59a5974p-4, 0x1.4cdfc765f9419p-4, 0x1.46d6b96c126b4p-4, 0x1.40de69aa8dfc1p-4, 0x1.3af6fe0838b2dp-4, 0x1.352099283eda2p-4, 0x1.2f5b5a7e4929dp-4, 0x1.29a75e6284b9p-4, 0x1.2404be2592d6bp-4, 0x1.1e7390245c07fp-4, 0x1.18f3e7dbc4975p-4, 0x1.1385d5fc3fe4p-4, 0x1.0e29687d3eecfp-4, 0x1.08deaab078aebp-4, 0x1.03a5a55508fdp-4, 0x1.fcfcbd54c5b4fp-5, 0x1.f2d1b5062da97p-5, 0x1.e8ca34aecf2fap-5, 0x1.dee63aaf5b331p-5, 0x1.d525c0fd0e17ep-5, 0x1.cb88bd45a3f66p-5, 0x1.c20f2112de019p-5, 0x1.b8b8d9ed96a27p-5, 0x1.af85d180633a5p-5, 0x1.a675edb9ba658p-5, 0x1.9d8910eda56e5p-5, 0x1.94bf19f6f261bp-5, 0x1.8c17e457e82e7p-5, 0x1.8393485a7e36cp-5, 0x1.7b311b300d202p-5, 0x1.72f12f107f918p-5, 0x1.6ad35358fd3d3p-5, 0x1.62d754aa0e1bep-5, 0x1.5afcfd0539021p-5, 0x1.534413ea17ef5p-5, 0x1.4bac5e72e37f6p-5, 0x1.44359f70757d5p-5, 0x1.3cdf9785c0229p-5, 0x1.35aa0542ba5adp-5, 0x1.2e94a53ec21c3p-5, 0x1.279f323271a88p-5, 0x1.20c96510eb963p-5, 0x1.1a12f5209ad0fp-5, 0x1.137b98136528fp-5, 0x1.0d03021e57d54p-5, 0x1.06a8e610c5d09p-5, 0x1.006cf56adc4ap-5, 0x1.f49dc0e763799p-6, 0x1.e89cac9d8ba84p-6, 0x1.dcd60a2201c6bp-6, 0x1.d14933aa4b254p-6, 0x1.c5f5819f82232p-6, 0x1.bada4ac5263f1p-6, 0x1.aff6e45ee933ap-6, 0x1.a54aa2557160cp-6, 0x1.9ad4d75a1c10cp-6, 0x1.9094d509bcc87p-6, 0x1.8689ec0e5ddb2p-6, 0x1.7cb36c400897ep-6, 0x1.7310a4c48eba7p-6, 0x1.69a0e42e654f9p-6, 0x1.6063789a85c9fp-6, 0x1.5757afcd640f9p-6, 0x1.4e7cd74ef5458p-6, 0x1.45d23c85cdb05p-6, 0x1.3d572cd157c59p-6, 0x1.350af5a32e475p-6, 0x1.2cece4978aa45p-6, 0x1.24fc478ce5294p-6, 0x1.1d386cbab4046p-6, 0x1.15a0a2c759fe4p-6, 0x1.0e3438dd3ffb2p-6, 0x1.06f27ebf23d29p-6, 0x1.ffb589b73bcc2p-7, 0x1.f1d8b8bfbaed2p-7, 0x1.e44d2e934b24ep-7, 0x1.d71190f11100fp-7, 0x1.ca24877cd2c85p-7, 0x1.bd84bbde8c71fp-7, 0x1.b130d9e09cb95p-7, 0x1.a5278f8c8e222p-7, 0x1.99678d4695409p-7, 0x1.8def85e7a3e72p-7, 0x1.82be2ed6508fp-7, 0x1.77d2401e665a8p-7, 0x1.6d2a748742488p-7, 0x1.62c589a8fc309p-7, 0x1.58a2400062921p-7, 0x1.4ebf5b01d30f3p-7, 0x1.451ba12af265p-7, 0x1.3bb5dc134eb7p-7, 0x1.328cd87bf4c2fp-7, 0x1.299f665df966dp-7, 0x1.20ec58f8024d7p-7, 0x1.187286dad4cc5p-7, 0x1.1030c9f4f093ap-7, 0x1.0825ff9d3cf14p-7, 0x1.0051089cd0415p-7, 0x1.f161926faea0bp-8, 0x1.e288526b469a8p-8, 0x1.d41427cfcbc8cp-8, 0x1.c602f0623f786p-8, 0x1.b852911493442p-8, 0x1.ab00f60f7bc6ap-8, 0x1.9e0c12bacea12p-8, 0x1.9171e1c478c7bp-8, 0x1.853065261adf9p-8, 0x1.7945a62952ff9p-8, 0x1.6dafb56ac3967p-8, 0x1.626caadbe079bp-8, 0x1.577aa5c38d5dbp-8, 0x1.4cd7ccbd986a4p-8, 0x1.42824db91cbe6p-8, 0x1.38785df5d74c4p-8, 0x1.2eb83a0075efep-8, 0x1.254025adedfbp-8, 0x1.1c0e6c15e2a7cp-8, 0x1.13215f8c239bcp-8, 0x1.0a775999521f1p-8, 0x1.020ebaf2ae6eap-8, 0x1.f3cbd6e23c1cp-9, 0x1.e3f6b40edcf31p-9, 0x1.d49af96fc134fp-9, 0x1.c5b5a11205cdfp-9, 0x1.b743b2f3c6efep-9, 0x1.a94244eb43eb9p-9, 0x1.9bae7a8cd78d9p-9, 0x1.8e85850fca0e5p-9, 0x1.81c4a332155b3p-9, 0x1.7569211b24ba9p-9, 0x1.6970583da2edbp-9, 0x1.5dd7af385e239p-9, 0x1.529c99b6571f9p-9, 0x1.47bc984e02566p-9, 0x1.3d35385fcb53cp-9, 0x1.330413f3e48bap-9, 0x1.2926d197762aap-9, 0x1.1f9b24392c752p-9, 0x1.165ecb053baaap-9, 0x1.0d6f9140df0d6p-9, 0x1.04cb4e2561b24p-9, 0x1.f8dfc97566b1p-10, 0x1.e8b68763465f2p-10, 0x1.d916ca7b696fp-10, 0x1.c9fc9ddd5fe76p-10, 0x1.bb642313c119fp-10, 0x1.ad4991c6382fdp-10, 0x1.9fa9376b28013p-10, 0x1.927f76f8e6371p-10, 0x1.85c8c896be21ep-10, 0x1.7981b94da8208p-10, 0x1.6da6eab8e1809p-10, 0x1.623512b660581p-10, 0x1.5728fb173afbap-10, 0x1.4c7f81500793ap-10, 0x1.423596295115ep-10, 0x1.38483d7018a13p-10, 0x1.2eb48da680823p-10, 0x1.2577afb4a440bp-10, 0x1.1c8ede99a5988p-10, 0x1.13f7671d0a825p-10, 0x1.0baea78055c9p-10, 0x1.03b20f310a043p-10, 0x1.f7fe3cf6039cep-11, 0x1.e926cc766b492p-11, 0x1.dad90f25e7a61p-11, 0x1.cd106737234b3p-11, 0x1.bfc856353c5cap-11, 0x1.b2fc7c6d3cd13p-11, 0x1.a6a89858b079ap-11, 0x1.9ac8860967a51p-11, 0x1.8f583e9672c5cp-11, 0x1.8453d78a60fe3p-11, 0x1.79b78252ce32cp-11, 0x1.6f7f8bb1492eap-11, 0x1.65a85b2d9eebcp-11, 0x1.5c2e72898dea2p-11, 0x1.530e6d35f1216p-11, 0x1.4a44ffc96505fp-11, 0x1.41cef77870fd9p-11, 0x1.39a9398f3951p-11, 0x1.31d0c2ecc3834p-11, 0x1.2a42a77fcffbep-11, 0x1.22fc11c54df83p-11, 0x1.1bfa424870f88p-11, 0x1.153a8f246a5cdp-11, 0x1.0eba6387cb051p-11, 0x1.08773f398fe27p-11, 0x1.026eb61fdfc7bp-11, 0x1.f93cdf90eea2cp-12, 0x1.ee084de596e9ap-12, 0x1.e33b5237bd4f5p-12, 0x1.d8d1ac17a01e7p-12, 0x1.cec73eca4151cp-12, 0x1.c518106b62b3ap-12, 0x1.bbc04912f933p-12, 0x1.b2bc31fe0d11ep-12, 0x1.aa0834bb13fd6p-12, 0x1.a1a0da59b7ff8p-12, 0x1.9982ca9e13661p-12, 0x1.91aacb37589cbp-12, 0x1.8a15bef9e83a8p-12, 0x1.82c0a51cd3037p-12, 0x1.7ba8987abeda5p-12, 0x1.74caced631589p-12, 0x1.6e24982138d64p-12, 0x1.67b35dc86e7afp-12, 0x1.6174a2014ea41p-12, 0x1.5b65ff1be31f1p-12, 0x1.558526d7b383p-12, 0x1.4fcfe1bbfde88p-12, 0x1.4a440e732d326p-12, 0x1.44dfa12984cb2p-12, 0x1.3fa0a2ef00098p-12, 0x1.3a85311c5ae22p-12, 0x1.358b7cbb39fbcp-12, 0x1.30b1c9f1729aep-12, 0x1.2bf66f6f622d7p-12, 0x1.2757d5e150f64p-12, 0x1.22d47763d9898p-12, 0x1.1e6adefb4a4b7p-12, 0x1.1a19a80df7096p-12, 0x1.15df7de177f8ap-12, 0x1.11bb1b1ac4fe5p-12, 0x1.0dab49412a8cap-12, 0x1.09aee0440f13bp-12, 0x1.05c4c6037a9cp-12, 0x1.01ebeddb5c0abp-12, 0x1.fc46b06306191p-13, 0x1.f4d4240c7f986p-13, 0x1.ed7e690f4b7dap-13, 0x1.e643c94ec8f1p-13, 0x1.df22a5665b0ccp-13, 0x1.d81973df347d1p-13, 0x1.d126c06b23f34p-13, 0x1.ca492b243462ap-13, 0x1.c37f67d11f39dp-13, 0x1.bcc83d2e792dp-13, 0x1.b622843c7e8c9p-13, 0x1.af8d27917d59dp-13, 0x1.a90722b0b0f81p-13, 0x1.a28f816594e0fp-13, 0x1.9c255f2387a0ep-13, 0x1.95c7e669bb68ep-13, 0x1.8f76502b51137p-13, 0x1.892fe33b95822p-13, 0x1.82f3f3be4bb6p-13, 0x1.7cc1e29bee044p-13, 0x1.76991cf9dab2p-13, 0x1.70791bb649bc7p-13, 0x1.6a6162e80f685p-13, 0x1.6451816205c3dp-13, 0x1.5e49103a189a3p-13, 0x1.5847b253d0b7ep-13, 0x1.524d13ee67818p-13, 0x1.4c58ea36306c9p-13, 0x1.466af2d9615c5p-13, 0x1.4082f3a01df5cp-13, 0x1.3aa0ba07acb35p-13, 0x1.34c41ae0d4d0fp-13, 0x1.2eecf1f1458aep-13, 0x1.291b219804e0bp-13, 0x1.234e9274bf238p-13, 0x1.1d873311ff681p-13, 0x1.17c4f79230722p-13, 0x1.1207d95f5b488p-13, 0x1.0c4fd6dd916e4p-13, 0x1.069cf31ffb8d9p-13, 0x1.00ef35a06c25bp-13, 0x1.f68d53f2f57b8p-14, 0x1.eb46bf460e5efp-14, 0x1.e00ad3624dacap-14, 0x1.d4d9bd2ab105ep-14, 0x1.c9b3afc412367p-14, 0x1.be98e42087f0cp-14, 0x1.b389988f236fap-14, 0x1.a886104fddf2bp-14, 0x1.9d8e932b96ec3p-14, 0x1.92a36d10236a2p-14, 0x1.87c4edb02e0ecp-14, 0x1.7cf36826ed8afp-14, 0x1.722f329f8771ep-14, 0x1.6778a6000b684p-14, 0x1.5cd01d97ee2eap-14, 0x1.5235f6d1ebd89p-14, 0x1.47aa90e938832p-14, 0x1.3d2e4ca1eb017p-14, 0x1.32c18c0486d5p-14, 0x1.2864b21c925bp-14, 0x1.1e1822ba221e4p-14, 0x1.13dc4236423f6p-14, 0x1.09b1753a2aad1p-14, 0x1.ff3041125005fp-15, 0x1.eb21519a4d618p-15, 0x1.d736e4cb90e53p-15, 0x1.c371c273ec1cep-15, 0x1.afd2b117a9ac9p-15, 0x1.9c5a759e2029ap-15, 0x1.8909d302c8663p-15, 0x1.75e18a0aadbebp-15, 0x1.62e258fe1d64bp-15, 0x1.500cfb6668b27p-15, 0x1.3d6229cfa039fp-15, 0x1.2ae2998e2440bp-15, 0x1.188efc87e6441p-15, 0x1.06680101441c9p-15, 0x1.e8dca2daa97f7p-16, 0x1.c54528831e6f5p-16, 0x1.a20ad799577c5p-16, 0x1.7f2eec214228cp-16, 0x1.5cb2993f484c6p-16, 0x1.3a9708f818dc3p-16, 0x1.18dd5bf607c2ap-16, 0x1.ef0d52a7a05b9p-17, 0x1.ad27fcd900cebp-17, 0x1.6c0cbd60cf27p-17, 0x1.2bbd86fd9c268p-17, 0x1.d87870111050ep-18, 0x1.5b1534759c212p-18, 0x1.bea989ef1493cp-19, 0x1.94e985b880469p-20, -0x1.336e08abfa85cp-22, -0x1.13f82b8f0f818p-19, -0x1.fe24fb672c5bap-19, -0x1.7277826a04e24p-18, -0x1.e428b8c14fb09p-18, -0x1.2a11f025335ap-17, -0x1.613371a1dd66bp-17, -0x1.9777eb406e6fcp-17, -0x1.ccde7ca38b586p-17, -0x1.00b32d47f1841p-16, -0x1.1a87676826ea7p-16, -0x1.33eb9c0aa9088p-16, -0x1.4cdf84e8103bep-16, -0x1.6562e604abdf4p-16, -0x1.7d758d99e475ep-16, }}, 
      {{-0x1.bad5edf631253p-7, -0x1.ba9e8de70d139p-6, -0x1.4bb1d4e2e8eb9p-5, -0x1.b9c1dba75e17p-5, -0x1.13b23a55841c2p-4, -0x1.4a3f9c74ebb1dp-4, -0x1.807c2d3ad4b58p-4, -0x1.b65b5d6e9ac96p-4, -0x1.ebd0ff3ccce31p-4, -0x1.1068a72f496d9p-3, -0x1.2aa87b6b0bfffp-3, -0x1.44a28d2c7b999p-3, -0x1.5e51aa41e3bfp-3, -0x1.77b0def9803c5p-3, -0x1.90bb772ea2b32p-3, -0x1.a96cfee5393d8p-3, -0x1.c1c14280c66afp-3, -0x1.d9b44ea31170fp-3, -0x1.f1426fbdf3562p-3, -0x1.043418b1633b8p-2, -0x1.0f912eac7b5f8p-2, -0x1.1ab6fd422eebcp-2, -0x1.25a425d18def4p-2, -0x1.305766f4f0ec5p-2, -0x1.3acf9bc25cfe7p-2, -0x1.450bbb00e54aap-2, -0x1.4f0ad65566763p-2, -0x1.58cc1968ba6a5p-2, -0x1.624ec90939ab3p-2, -0x1.6b924249273bdp-2, -0x1.7495f99b779d5p-2, -0x1.7d5979f025e51p-2, -0x1.85dc63d135ab9p-2, -0x1.8e1e6c814cadp-2, -0x1.961f5d1cb424fp-2, -0x1.9ddf11bd7b7c6p-2, -0x1.a55d78a350817p-2, -0x1.ac9a915f95f12p-2, -0x1.b3966c061e5a4p-2, -0x1.ba512862f0123p-2, -0x1.c0caf53552714p-2, -0x1.c7040f705fb56p-2, -0x1.ccfcc1814a2bp-2, -0x1.d2b5629b69b7cp-2, -0x1.d82e560a28a59p-2, -0x1.dd680a88d170bp-2, -0x1.e262f9a040ad3p-2, -0x1.e71fa70a64245p-2, -0x1.eb9ea01b7ecf8p-2, -0x1.efe07b310fd2cp-2, -0x1.f3e5d7264213ap-2, -0x1.f7af5acdbbf66p-2, -0x1.fb3db470add4p-2, -0x1.fe919952ede7ep-2, -0x1.00d5e29dfe999p-1, -0x1.02467d026047ep-1, -0x1.039aff94e2f6ap-1, -0x1.04d3d0b0f0e8dp-1, -0x1.05f1591c7ec48p-1, -0x1.06f403d770667p-1, -0x1.07dc3dece8f8dp-1, -0x1.08aa76466ec5ap-1, -0x1.095f1d80ce182p-1, -0x1.09faa5c2a8b62p-1, -0x1.0a7d82949e959p-1, -0x1.0ae828bafc754p-1, -0x1.0b3b0e10e27e9p-1, -0x1.0b76a964d11ecp-1, -0x1.0b9b72568d25bp-1, -0x1.0ba9e1364f81p-1, -0x1.0ba26ee531675p-1, -0x1.0b8594b6ca9f4p-1, -0x1.0b53cc53f832cp-1, -0x1.0b0d8f9ebc2c7p-1, -0x1.0ab35897357c6p-1, -0x1.0a45a1419f4ep-1, -0x1.09c4e38d54bbfp-1, -0x1.0931993cd04cfp-1, -0x1.088c3bce9f508p-1, -0x1.07d54467463e7p-1, -0x1.070d2bbc0a01cp-1, -0x1.063469fea0d1fp-1, -0x1.054b76c9bd699p-1, -0x1.0452c90e75b2dp-1, -0x1.034ad7027d385p-1, -0x1.0234160f2fd5ap-1, -0x1.010efac1675f7p-1, -0x1.ffb7f1743422bp-2, -0x1.fd37053f78135p-2, -0x1.fa9c1420bd166p-2, -0x1.f7e7ff291caf4p-2, -0x1.f51ba525ca851p-2, -0x1.f237e288a6545p-2, -0x1.ef3d915226aefp-2, -0x1.ec2d88fca1d25p-2, -0x1.e9089e68de956p-2, -0x1.e5cfa3cbf5595p-2, -0x1.e283689e685bfp-2, -0x1.df24b98c7a75bp-2, -0x1.dbb46067b0776p-2, -0x1.d83324197e0acp-2, -0x1.d4a1c8970dcep-2, -0x1.d1010ed623cadp-2, -0x1.cd51b4c30d86dp-2, -0x1.c994753798337p-2, -0x1.c5ca07f305131p-2, -0x1.c1f32192f5eafp-2, -0x1.be10738d44501p-2, -0x1.ba22ac2ac19cp-2, -0x1.b62a7682d1773p-2, -0x1.b2287a77dcc59p-2, -0x1.ae1d5cb48f52fp-2, -0x1.aa09bea9dd9bbp-2, -0x1.a5ee3e8dc5f17p-2, -0x1.a1cb775ac7b34p-2, -0x1.9da200d00a725p-2, -0x1.99726f722c369p-2, -0x1.953d548caa93p-2, -0x1.91033e33ea7f3p-2, -0x1.8cc4b747cc0c4p-2, -0x1.88824776cb471p-2, -0x1.843c7341a3499p-2, -0x1.7ff3bbff6dc26p-2, -0x1.7ba89fe23c506p-2, -0x1.775b99fc1b6bep-2, -0x1.730d22448657p-2, -0x1.6ebdad9e3bd02p-2, -0x1.6a6daddd70e2dp-2, -0x1.661d91ce5ec23p-2, -0x1.61cdc53c23534p-2, -0x1.5d7eb0f7ee3ccp-2, -0x1.5930bae07b5fap-2, -0x1.54e445e9cf47dp-2, -0x1.5099b22533626p-2, -0x1.4c515cc96ee54p-2, -0x1.480ba03b38731p-2, -0x1.43c8d415d50bcp-2, -0x1.3f894d33ee676p-2, -0x1.3b4d5db88cf0ep-2, -0x1.371555183e9cfp-2, -0x1.32e180225ebd2p-2, -0x1.2eb2290a81e37p-2, -0x1.2a879771f9f62p-2, -0x1.266210717b403p-2, -0x1.2241d6a2d3895p-2, -0x1.1e272a2ab9cfdp-2, -0x1.1a1248c2ac853p-2, -0x1.16036dc2e2b48p-2, -0x1.11fad22c47465p-2, -0x1.0df8acb27fb3ap-2, -0x1.09fd31c5fdb84p-2, -0x1.0608939e11e56p-2, -0x1.021b024306906p-2, -0x1.fc6957307c8bp-3, -0x1.f4ab76cc9825ep-3, -0x1.ecfcb6ca23f75p-3, -0x1.e55d668bb0c23p-3, -0x1.ddcdd17ac12cap-3, -0x1.d64e3f1be6fb6p-3, -0x1.cedef322cc128p-3, -0x1.c7802d8631c8ep-3, -0x1.c0322a93cded6p-3, -0x1.b8f5230420c35p-3, -0x1.b1c94c0e252b7p-3, -0x1.aaaed77aeacfcp-3, -0x1.a3a5f3b91429bp-3, -0x1.9caecbf02f969p-3, -0x1.95c98813efe03p-3, -0x1.8ef64cf749818p-3, -0x1.88353c5f5a424p-3, -0x1.818675163d79ep-3, -0x1.7aea12fda4813p-3, -0x1.74602f215846p-3, -0x1.6de8dfc97c6a8p-3, -0x1.6784388cb7206p-3, -0x1.61324a621ef5fp-3, -0x1.5af323b3002d1p-3, -0x1.54c6d06c6d4b4p-3, -0x1.4ead5a10a3ae7p-3, -0x1.48a6c7c83a7a8p-3, -0x1.42b31e731e819p-3, -0x1.3cd260b95b286p-3, -0x1.37048f1baf64dp-3, -0x1.3149a803eb523p-3, -0x1.2ba1a7d51ac12p-3, -0x1.260c88fb7315bp-3, -0x1.208a43fc1368dp-3, -0x1.1b1acf84800dp-3, -0x1.15be2079f2f99p-3, -0x1.10742a086a3d5p-3, -0x1.0b3cddb180c96p-3, -0x1.06182b5b0a8a4p-3, -0x1.0106015d7e5ep-3, -0x1.f80c9924351a3p-4, -0x1.ee31f0c1b1c41p-4, -0x1.e47bdd9c4354ap-4, -0x1.daea3110921d7p-4, -0x1.d17cb9e994e73p-4, -0x1.c833447aa52dcp-4, -0x1.bf0d9ab9069f5p-4, -0x1.b60b84550dd9ep-4, -0x1.ad2cc6d2c337bp-4, -0x1.a47125a21504dp-4, -0x1.9bd862368e8f4p-4, -0x1.93623c1ea1cadp-4, -0x1.8b0e711a7656cp-4, -0x1.82dcbd3242a5bp-4, -0x1.7accdacc32cb8p-4, -0x1.72de82c1d9c7cp-4, -0x1.6b116c752f0e2p-4, -0x1.63654de5192e7p-4, -0x1.5bd9dbc1856f1p-4, -0x1.546ec97f0ce1p-4, -0x1.4d23c96a28afdp-4, -0x1.45f88cb9f5806p-4, -0x1.3eecc3a286c01p-4, -0x1.38001d66ca6a6p-4, -0x1.31324869ff904p-4, -0x1.2a82f240bdaf9p-4, -0x1.23f1c7c1919c9p-4, -0x1.1d7e75152db2ep-4, -0x1.1728a5c62e2f4p-4, -0x1.10f004d076f99p-4, -0x1.0ad43cb0261edp-4, -0x1.04d4f770206f1p-4, -0x1.fde3bd706e638p-5, -0x1.f25537b5d163ap-5, -0x1.e6fdafc578533p-5, -0x1.dbdc773e7a33ap-5, -0x1.d0f0df6322f1bp-5, -0x1.c63a39316549dp-5, -0x1.bbb7d57a8a754p-5, -0x1.b16904fa27b63p-5, -0x1.a74d186c5a78bp-5, -0x1.9d6360a34d7e2p-5, -0x1.93ab2e9c0a975p-5, -0x1.8a23d3929a56ep-5, -0x1.80cca11574e5cp-5, -0x1.77a4e9184a4eap-5, -0x1.6eabfe061b923p-5, -0x1.65e132d2b2963p-5, -0x1.5d43db0b75108p-5, -0x1.54d34ae7948b6p-5, -0x1.4c8ed757a2e53p-5, -0x1.4475d6148af2cp-5, -0x1.3c879dadef064p-5, -0x1.34c38597f517ap-5, -0x1.2d28e6387c56cp-5, -0x1.25b718f3c54c5p-5, -0x1.1e6d78388d97ep-5, -0x1.174b5f8b9d899p-5, -0x1.10502b92d1c9ap-5, -0x1.097b3a1fa05bep-5, -0x1.02cbea3917953p-5, -0x1.f883384ac6a83p-6, -0x1.ebb762e5a5b72p-6, -0x1.df331a00ca955p-6, -0x1.d2f5260bbfb88p-6, -0x1.c6fc5236dead5p-6, -0x1.bb476c81b331p-6, -0x1.afd545c87fed7p-6, -0x1.a4a4b1d0e6f41p-6, -0x1.99b48755c78fep-6, -0x1.8f03a012462aep-6, -0x1.8490d8cc1635p-6, -0x1.7a5b115cf5291p-6, -0x1.70612cbb743cbp-6, -0x1.66a21102ff25p-6, -0x1.5d1ca77b350b5p-6, -0x1.53cfdc9e93b2ap-6, -0x1.4abaa0207364ep-6, -0x1.41dbe4f2648c5p-6, -0x1.3932a148e73a2p-6, -0x1.30bdce9f8ee7bp-6, -0x1.287c69bc867a8p-6, -0x1.206d72b38bc48p-6, -0x1.188fece85689dp-6, -0x1.10e2df107a878p-6, -0x1.09655334c312ap-6, -0x1.021656b21175cp-6, -0x1.f5e9f47373a7ep-7, -0x1.e800a3a2e3226p-7, -0x1.da6ee9a580f25p-7, -0x1.cd32fbd414e9ap-7, -0x1.c04b162a4fe9bp-7, -0x1.b3b57b4339182p-7, -0x1.a7707454cac9p-7, -0x1.9b7a512ad70b3p-7, -0x1.8fd168212e365p-7, -0x1.8474161d19c4cp-7, -0x1.7960be862ce3ap-7, -0x1.6e95cb3e71c0ep-7, -0x1.6411ac99f668bp-7, -0x1.59d2d955d2872p-7, -0x1.4fd7ce8e90f22p-7, -0x1.461f0fb61578p-7, -0x1.3ca7268908f1cp-7, -0x1.336ea303bf114p-7, -0x1.2a741b56adfd1p-7, -0x1.21b62bda74a19p-7, -0x1.19337703772b7p-7, -0x1.10eaa555184bp-7, -0x1.08da6554942b3p-7, -0x1.01016b7b8156ep-7, -0x1.f2bce453fce18p-8, -0x1.e3e073312357p-8, -0x1.d56b0f9379a43p-8, -0x1.c75a50f69c5dep-8, -0x1.b9abda2ede51ap-8, -0x1.ac5d594af2594p-8, -0x1.9f6c877520edap-8, -0x1.92d728d41e064p-8, -0x1.869b0c6b7b549p-8, -0x1.7ab60bfbc8063p-8, -0x1.6f260be262471p-8, -0x1.63e8faf900b54p-8, -0x1.58fcd275007p-8, -0x1.4e5f95c6777b3p-8, -0x1.440f527718f8fp-8, -0x1.3a0a2008ef2acp-8, -0x1.304e1fd4f002cp-8, -0x1.26d97ce977d02p-8, -0x1.1daa6be8a8e59p-8, -0x1.14bf2ae6bc9ccp-8, -0x1.0c16014847678p-8, -0x1.03ad3fa07787ap-8, -0x1.f7067f1ea1ec1p-9, -0x1.e72cc73fe0a75p-9, -0x1.d7ca2e4da6666p-9, -0x1.c8db9c40628cbp-9, -0x1.ba5e0a1cc8ec8p-9, -0x1.ac4e81b0d531fp-9, -0x1.9eaa1d50ff48p-9, -0x1.916e0795ac8aap-9, -0x1.84977b18e6c62p-9, -0x1.7823c2346057p-9, -0x1.6c1036bfc9ea6p-9, -0x1.605a41cf7ef02p-9, -0x1.54ff5b7397617p-9, -0x1.49fd0a775aec1p-9, -0x1.3f50e4212152fp-9, -0x1.34f88bf2a486fp-9, -0x1.2af1b369c6b6cp-9, -0x1.213a19c1d678ep-9, -0x1.17cf8bb54f5f3p-9, -0x1.0eafe34022c5cp-9, -0x1.05d90762833d2p-9, -0x1.fa91d7c885c4dp-10, -0x1.e9fb223179871p-10, -0x1.d9ea0746a4a43p-10, -0x1.ca5ab878ff6a6p-10, -0x1.bb497eef18157p-10, -0x1.acb2bb11a10fep-10, -0x1.9e92e41949176p-10, -0x1.90e6879dc9004p-10, -0x1.83aa4926445ebp-10, -0x1.76dae1baed51dp-10, -0x1.6a751f77f8f3dp-10, -0x1.5e75e521e6af5p-10, -0x1.52da29bb17197p-10, -0x1.479ef81ac213bp-10, -0x1.3cc16e853fd34p-10, -0x1.323ebe45b1301p-10, -0x1.28142b4902bb1p-10, -0x1.1e3f0bba503c7p-10, -0x1.14bcc7a0a7795p-10, -0x1.0b8ad87e2c82dp-10, -0x1.02a6c8f09b0b3p-10, -0x1.f41c68a667072p-11, -0x1.e37d8cc3fb69bp-11, -0x1.d36c75bceae03p-11, -0x1.c3e4ba6b2df4p-11, -0x1.b4e2104e96291p-11, -0x1.a6604ade68e87p-11, -0x1.985b5addba1b2p-11, -0x1.8acf4db281465p-11, -0x1.7db84cbf6abdep-11, -0x1.71129cc05f84cp-11, -0x1.64da9d29c161ap-11, -0x1.590cc78a58e6ap-11, -0x1.4da5aeefee724p-11, -0x1.42a1ff4e8dee9p-11, -0x1.37fe7cea6faedp-11, -0x1.2db803c47f6f1p-11, -0x1.23cb8709813d4p-11, -0x1.1a361083ca9cdp-11, -0x1.10f4c00f8f371p-11, -0x1.0804cb11b76abp-11, -0x1.fec6f7e27b979p-12, -0x1.ee1c63261b034p-12, -0x1.de04bdb0b6d73p-12, -0x1.ce7b143ee3013p-12, -0x1.bf7a998dd85c9p-12, -0x1.b0fea566b7117p-12, -0x1.a302b3ae917b8p-12, -0x1.9582637b29135p-12, -0x1.8879762c553f5p-12, -0x1.7be3ce8a02ef3p-12, -0x1.6fbd6fe6c1bfp-12, -0x1.64027d46cf53p-12, -0x1.58af388b9281ep-12, -0x1.4dc001a378cb2p-12, -0x1.433155be27b04p-12, -0x1.38ffce84f2a06p-12, -0x1.2f282157894e1p-12, -0x1.25a71e8ccb116p-12, -0x1.1c79b0b7b4873p-12, -0x1.139cdbf059eadp-12, -0x1.0b0dbd20d9p-12, -0x1.02c989563ae4p-12, -0x1.f59b1a2a65b9cp-13, -0x1.e62e576553defp-13, -0x1.d747bd60200fcp-13, -0x1.c8e26a36b043fp-13, -0x1.baf9a5e534fcp-13, -0x1.ad88e11693ed4p-13, -0x1.a08bb3f9dc1eep-13, -0x1.93fddd1ea78b6p-13, -0x1.87db4058463edp-13, -0x1.7c1fe5a7a3a2cp-13, -0x1.70c7f82bbba18p-13, -0x1.65cfc51888363p-13, -0x1.5b33bab448c95p-13, -0x1.50f0675b0cd54p-13, -0x1.47027888594afp-13, -0x1.3d66b9e6decd6p-13, -0x1.341a14660c871p-13, -0x1.2b198d557ce4bp-13, -0x1.226245860e46p-13, -0x1.19f1787096876p-13, -0x1.11c47b6210f72p-13, -0x1.09d8bcad2e64fp-13, -0x1.022bc2e12e128p-13, -0x1.f576580bcp-14, -0x1.e70959b97b51ap-14, -0x1.d90c204df5237p-14, -0x1.cb7a6be0e511cp-14, -0x1.be5025bec55bfp-14, -0x1.b1895f1197dc2p-14, -0x1.a5224f92d4798p-14, -0x1.99175446601c1p-14, -0x1.8d64ee3e3b12p-14, -0x1.8207c166d2e7ep-14, -0x1.76fc935bbf7ebp-14, -0x1.6c404a44bd427p-14, -0x1.61cfebbab6064p-14, -0x1.57a89bb4b05b1p-14, -0x1.4dc79b7c72ef2p-14, -0x1.442a48aab5c63p-14, -0x1.3ace1c2ab2dp-14, -0x1.31b0a944edb15p-14, -0x1.28cf9cb108694p-14, -0x1.2028bbae7a7e4p-14, -0x1.17b9e324053a6p-14, -0x1.0f8106c5ba449p-14, -0x1.077c30416f1efp-14, -0x1.ff52fce2ed426p-15, -0x1.f00e492af5eccp-15, -0x1.e126d322a37e4p-15, -0x1.d2994e634fe0ep-15, -0x1.c46292ecbcae4p-15, -0x1.b67f9bc4ed033p-15, -0x1.a8ed85a2d7575p-15, -0x1.9ba98da3aae59p-15, -0x1.8eb1100a693c3p-15, -0x1.820187098a73ap-15, -0x1.7598899675a64p-15, -0x1.6973ca4687c3p-15, -0x1.5d91163567e0cp-15, -0x1.51ee53f476fe2p-15, -0x1.4689828312667p-15, -0x1.3b60b84f7704p-15, -0x1.3072224007a69p-15, -0x1.25bc02c4c08fep-15, -0x1.1b3cb0f09ea12p-15, -0x1.10f2979ac4d5ep-15, -0x1.06dc34872aba5p-15, -0x1.f9f02f2d4391ap-16, -0x1.e689c3fbf5d4ep-16, -0x1.d3828b083bf99p-16, -0x1.c0d8078dbe3f8p-16, -0x1.ae87db0cc9827p-16, -0x1.9c8fc3eddfda2p-16, -0x1.8aed9c31a828dp-16, -0x1.799f582cf0364p-16, -0x1.68a3055062f2ep-16, -0x1.57f6c8fb9988p-16, -0x1.4798df5b3c459p-16, -0x1.37879a51dc3bfp-16, -0x1.27c1606b31341p-16, -0x1.1844abd97b2adp-16, -0x1.0910097ca8329p-16, -0x1.f4442fe60d0cap-17, -0x1.d6f30d66573b9p-17, -0x1.ba2a2a5da1b32p-17, -0x1.9de723fcbce0fp-17, -0x1.8227b429b63e6p-17, -0x1.66e9aff81c51ap-17, -0x1.4c2b0630f1bbdp-17, -0x1.31e9bdea0b979p-17, -0x1.1823f52c30862p-17, -0x1.fdafbf4f36111p-18, -0x1.cc078aecc3869p-18, -0x1.9b4c03d8a14dp-18, -0x1.6b7a04e792fbp-18, -0x1.3c8e8aee74a98p-18, -0x1.0e86b2ad8635ap-18, -0x1.c2bf6da6823cp-19, -0x1.6a2ddc2becdc2p-19, -0x1.135392c6d70f1p-19, -0x1.7c574896e3ff4p-20, -0x1.aac544e5a5425p-21, -0x1.8e00496598461p-23, 0x1.ba65788b540dfp-22, 0x1.0bb2250a4c2e2p-20, 0x1.a592992caacc8p-20, 0x1.1e2164b4f20bdp-19, 0x1.67e5456289516p-19, 0x1.b018be8565fbbp-19, 0x1.f6bf879ce56d6p-19, 0x1.1deea0ec13d72p-18, 0x1.3fbabd08165e6p-18, 0x1.60c5d55336794p-18, 0x1.81119ea4812b1p-18, 0x1.a09fc64ea9e7ep-18, 0x1.bf71f2e923b24p-18, 0x1.dd89c50d77a8p-18, 0x1.fae8d80949669p-18, 0x1.0bc86142c0bc8p-17, 0x1.19c18b9184cd8p-17, 0x1.2760b286c3052p-17, 0x1.34a69c423b8f7p-17, 0x1.41940dad92269p-17, 0x1.4e29cab7db71p-17, 0x1.5a68968cee7c7p-17, 0x1.665133c8ad0efp-17, 0x1.71e464a66c99ap-17, 0x1.7d22eb2ca58fap-17, 0x1.880d89552179dp-17, 0x1.92a50131c2023p-17, 0x1.9cea150e08745p-17, 0x1.a6dd878d97576p-17, 0x1.b0801bc7af931p-17, 0x1.b9d2955fefbd6p-17, 0x1.c2d5b89c684d6p-17, 0x1.cb8a4a79176e9p-17, 0x1.d3f110b90d4fdp-17, 0x1.dc0ad1f53d3fcp-17, 0x1.e3d855a91f9fp-17, 0x1.eb5a643d42ea7p-17, 0x1.f291c70ff157bp-17, 0x1.f97f487bf5187p-17, 0x1.0011d9eecb54p-16, 0x1.033feacb02585p-16, 0x1.064a3d868d012p-16, 0x1.09313958dce71p-16, 0x1.0bf545fc61142p-16, 0x1.0e96cbad59888p-16, 0x1.11163328108c1p-16, 0x1.1373e5a67d652p-16, 0x1.15b04cdd66cd3p-16, 0x1.17cbd2f8fc7bdp-16, 0x1.19c6e298ff90ep-16, 0x1.1ba1e6cc7d772p-16, 0x1.1d5d4b0d1f69ep-16, 0x1.1ef97b3a243a3p-16, 0x1.2076e392f8cdcp-16, 0x1.21d5f0b18b701p-16, 0x1.23170f844db7ep-16, 0x1.243aad47fa9c9p-16, 0x1.254137811a41bp-16, 0x1.262b1bf557a3bp-16, 0x1.26f8c8a49f81bp-16, 0x1.27aaabc214c37p-16, 0x1.284133ace52acp-16, 0x1.28bccee8f88c8p-16, 0x1.291dec1784a84p-16, 0x1.2964f9ef89f06p-16, 0x1.299267364130cp-16, 0x1.29a6a2b775085p-16, 0x1.29a21b3dd3756p-16, 0x1.29853f8b38e5bp-16, 0x1.29507e50f582fp-16, 0x1.29044628127f4p-16, 0x1.28a105899ddd8p-16, 0x1.28272ac6f6f2bp-16, 0x1.2797240225b5fp-16, 0x1.26f15f2641eadp-16, 0x1.263649dfdc753p-16, 0x1.25665195891a1p-16, 0x1.2481e3606c931p-16, 0x1.23896c04e492fp-16, 0x1.227d57eb4be47p-16, 0x1.215e1318ca101p-16, 0x1.202c09284aa46p-16, 0x1.1ee7a54387f22p-16, 0x1.1d91521c31e34p-16, 0x1.1c2979e53bbaap-16, 0x1.1ab0864c3f721p-16, 0x1.1926e0730ae3ap-16, }}, 
      {{-0x1.36b575a41f082p-1, -0x1.36f0c4af9b519p-1, -0x1.375172ed2559ep-1, -0x1.37d4638dc4cfp-1, -0x1.387577ae35afap-1, -0x1.392fbbe59e68bp-1, -0x1.39fd96ec2f8acp-1, -0x1.3ad8f6bd18128p-1, -0x1.3bbb7a9007848p-1, -0x1.3c9e98b93eba3p-1, -0x1.3d7bbffd442d9p-1, -0x1.3e4c743c2d8ap-1, -0x1.3f0a66924a08dp-1, -0x1.3faf8930c38e6p-1, -0x1.40361f4658b8cp-1, -0x1.4098c95b29064p-1, -0x1.40d28e85f493bp-1, -0x1.40dee2df969a4p-1, -0x1.40b9ab94c2395p-1, -0x1.405f40ef47c4cp-1, -0x1.3fcc6ea877295p-1, -0x1.3efe72ce102bfp-1, -0x1.3df2fb7b25048p-1, -0x1.3ca8239e88709p-1, -0x1.3b1c6f0121427p-1, -0x1.394ec5b7c4b2ep-1, -0x1.373e6f26283b5p-1, -0x1.34eb0cb2ff707p-1, -0x1.32549448867d2p-1, -0x1.2f7b4ab8651cap-1, -0x1.2c5fbe161a7a3p-1, -0x1.2902c017d4657p-1, -0x1.2565608ab4ef9p-1, -0x1.2188e7e51d668p-1, -0x1.1d6ed1ff666c3p-1, -0x1.1918c8f9a4d54p-1, -0x1.1488a05386927p-1, -0x1.0fc0503a023e6p-1, -0x1.0ac1f10d6f36bp-1, -0x1.058fb721b380ep-1, -0x1.002beeb95a5d9p-1, -0x1.f531f0779cf31p-2, -0x1.e9b2894ca6eb4p-2, -0x1.dddea46df3eaep-2, -0x1.d1bb52a0b4b1p-2, -0x1.c54db3294a3c2p-2, -0x1.b89aee6ca6b22p-2, -0x1.aba830f936ab1p-2, -0x1.9e7aa6f34aa7p-2, -0x1.911777e0d312cp-2, -0x1.8383c2d01da26p-2, -0x1.75c49ad5327f7p-2, -0x1.67df03d96a84ep-2, -0x1.59d7efb8e08b9p-2, -0x1.4bb43ba96b3c2p-2, -0x1.3d78ade6da7abp-2, -0x1.2f29f3a05cdbbp-2, -0x1.20cc9f230080fp-2, -0x1.1265263d69763p-2, -0x1.03f7e0d9055e8p-2, -0x1.eb120f8a2bbb9p-3, -0x1.ce3967605255fp-3, -0x1.b16db8995c6cep-3, -0x1.94b6af3b12738p-3, -0x1.781bb2cf4ef1bp-3, -0x1.5ba3e58b88025p-3, -0x1.3f5623b7692b2p-3, -0x1.2339034d689c9p-3, -0x1.0752d3d0a8107p-3, -0x1.d7533ca749045p-4, -0x1.a0864b570742p-4, -0x1.6a49cd9830e83p-4, -0x1.34a83291e91dcp-4, -0x1.ff56bfe035019p-5, -0x1.96b966cb2eb7dp-5, -0x1.2f8a08ca1378p-5, -0x1.93b2982ca1ac5p-6, -0x1.96db49a7faf5ap-7, -0x1.989ebd7fd492bp-12, 0x1.76a7311114fcbp-7, 0x1.799b354db083fp-6, 0x1.1a2e6e9181ea1p-5, 0x1.75c174989af31p-5, 0x1.cf7cbf75ea0e5p-5, 0x1.13aba12e58a2dp-4, 0x1.3ea46598c1211p-4, 0x1.68a4fe5589c2bp-4, 0x1.91aa24306f81p-4, 0x1.b9b0f465fc34bp-4, 0x1.e0b6ed9f19a9ep-4, 0x1.035cf674d16f8p-3, 0x1.15dc1557dfe8ap-3, 0x1.27d81bd7cb4d8p-3, 0x1.39507cfa5d71bp-3, 0x1.4a44d4ea6b302p-3, 0x1.5ab4e778502fep-3, 0x1.6aa09e9d25f2fp-3, 0x1.7a08090148337p-3, 0x1.88eb588689126p-3, 0x1.974ae0d68f5cdp-3, 0x1.a52715f5bfa93p-3, 0x1.b2808adb110dbp-3, 0x1.bf57f00d0be5p-3, 0x1.cbae124457c7ap-3, 0x1.d783d91404b5bp-3, 0x1.e2da4597d40cdp-3, 0x1.edb27128b8b4ep-3, 0x1.f80d8c17b7daap-3, 0x1.00f66e37acdbep-2, 0x1.05a8de5de1855p-2, 0x1.0a1ecd6cd4af9p-2, 0x1.0e58fb661499ap-2, 0x1.125830ccd0231p-2, 0x1.161d3e17cd10fp-2, 0x1.19a8fb26ef5c4p-2, 0x1.1cfc46bc565f3p-2, 0x1.201805f91285bp-2, 0x1.22fd23dd77e65p-2, 0x1.25ac90cd0f869p-2, 0x1.282742161f5f6p-2, 0x1.2a6e317cd17dcp-2, 0x1.2c825cc9eecf5p-2, 0x1.2e64c55d2e0cp-2, 0x1.30166fc30c2e9p-2, 0x1.3198634e31901p-2, 0x1.32eba9b44e89ap-2, 0x1.34114eae76a6dp-2, 0x1.350a5f9ce1c65p-2, 0x1.35d7eb2e1aa45p-2, 0x1.367b01097ce55p-2, 0x1.36f4b17d0a8c9p-2, 0x1.37460d2e7d294p-2, 0x1.377024cf92b96p-2, 0x1.377408d58197fp-2, 0x1.3752c93386b42p-2, 0x1.370d7518885aap-2, 0x1.36a51aafb40e9p-2, 0x1.361ac6e40f16ap-2, 0x1.356f8526efa18p-2, 0x1.34a45f3941ea5p-2, 0x1.33ba5cf79b206p-2, 0x1.32b28428fb48p-2, 0x1.318dd85037ed1p-2, 0x1.304d5a7fff611p-2, 0x1.2ef209315c539p-2, 0x1.2d7ce01cb7232p-2, 0x1.2beed81536fc9p-2, 0x1.2a48e6e67e649p-2, 0x1.288bff34aa189p-2, 0x1.26b9105e889aap-2, 0x1.24d10661f5bcap-2, 0x1.22d4c9c24e4a8p-2, 0x1.20c53f70e8799p-2, 0x1.1ea348b781b8bp-2, 0x1.1c6fc324951ffp-2, 0x1.1a2b887986b4fp-2, 0x1.17d76e9a9652cp-2, 0x1.157447808bb1p-2, 0x1.1302e12c08a23p-2, 0x1.1084059a784b5p-2, 0x1.0df87abc871aap-2, 0x1.0b61026e156a5p-2, 0x1.08be5a6f9b92fp-2, 0x1.06113c60eba2bp-2, 0x1.035a5dbd43176p-2, 0x1.009a6fd8a3cfdp-2, 0x1.fba43fbcc0d1cp-3, 0x1.f6042da1a2f3p-3, 0x1.f055f31453ff1p-3, 0x1.ea9ad17cae66cp-3, 0x1.e4d401fbca534p-3, 0x1.df02b573b37ddp-3, 0x1.d9281490f0582p-3, 0x1.d3453fd5ce33bp-3, 0x1.cd5b4fa749f36p-3, 0x1.c76b545b93838p-3, 0x1.c176564a02c19p-3, 0x1.bb7d55dc7a4f4p-3, 0x1.b5814ba2135e3p-3, 0x1.af8328630a8abp-3, 0x1.a983d535d6e6ap-3, 0x1.a384339550d09p-3, 0x1.9d851d77e432p-3, 0x1.97876567b2df7p-3, 0x1.918bd69b8e79cp-3, 0x1.8b933510d29c4p-3, 0x1.859e3da5eb726p-3, 0x1.7fada6359c0dfp-3, 0x1.79c21db2ddcbbp-3, 0x1.73dc4c454e361p-3, 0x1.6dfcd3662620ap-3, 0x1.68244dfda863cp-3, 0x1.62535080f078ep-3, 0x1.5c8a691022b9ep-3, 0x1.56ca1f94ef4f8p-3, 0x1.5112f5e152b1dp-3, 0x1.4b6567ce91185p-3, 0x1.45c1eb5c61699p-3, 0x1.4028f0d03c3b3p-3, 0x1.3a9ae2d4be2bbp-3, 0x1.3518269923becp-3, 0x1.2fa11bf0c4582p-3, 0x1.2a361d728e17ep-3, 0x1.24d780987c6f8p-3, 0x1.1f8595def2911p-3, 0x1.1a40a8e405286p-3, 0x1.15090086a4695p-3, 0x1.0fdedf0595bd3p-3, 0x1.0ac2821e487fp-3, 0x1.05b4232b76d1ap-3, 0x1.00b3f74386401p-3, 0x1.f7845ead5e61cp-4, 0x1.edbdf099c4c2cp-4, 0x1.e414f646c02f1p-4, 0x1.da89ba14075cep-4, 0x1.d11c7f008c41fp-4, 0x1.c7cd80e3b6d95p-4, 0x1.be9cf4a6116ap-4, 0x1.b58b087926f94p-4, 0x1.ac97e40ea7435p-4, 0x1.a3c3a8ceccb46p-4, 0x1.9b0e720df48e5p-4, 0x1.9278554166693p-4, 0x1.8a0162335624ap-4, 0x1.81a9a335fe827p-4, 0x1.79711d55eded9p-4, 0x1.7157d08b734e3p-4, 0x1.695db7eb2aeaap-4, 0x1.6182c9d5a9665p-4, 0x1.59c6f82644577p-4, 0x1.522a3060f4676p-4, 0x1.4aac5bdf4fefcp-4, 0x1.434d5ffc9f225p-4, 0x1.3c0d1e4107183p-4, 0x1.34eb748bcb413p-4, 0x1.2de83d3ca58dbp-4, 0x1.27034f5c3633ap-4, 0x1.203c7ec3891f8p-4, 0x1.19939c42b469dp-4, 0x1.130875c68d2bap-4, 0x1.0c9ad67d76ed1p-4, 0x1.064a86fb4cf84p-4, 0x1.00174d5c669fap-4, 0x1.f401dacf739ep-5, 0x1.e80e5160360c5p-5, 0x1.dc537d693d921p-5, 0x1.d0d0da00390aap-5, 0x1.c585de8fb0695p-5, 0x1.ba71ff129e6d4p-5, 0x1.af94ac4e63c4ap-5, 0x1.a4ed540b0cf0cp-5, 0x1.9a7b6149f577fp-5, 0x1.903e3c7accf89p-5, 0x1.86354baf01486p-5, 0x1.7c5ff2cb993c2p-5, 0x1.72bd93b97cec3p-5, 0x1.694d8e94387c9p-5, 0x1.600f41d73ead2p-5, 0x1.57020a89aada2p-5, 0x1.4e25446893a8fp-5, 0x1.45784a0fe9cedp-5, 0x1.3cfa7521f0509p-5, 0x1.34ab1e6d50b13p-5, 0x1.2c899e11d75fep-5, 0x1.24954ba3d42d8p-5, 0x1.1ccd7e4e33304p-5, 0x1.15318cf347c1cp-5, 0x1.0dc0ce4c5a1fcp-5, 0x1.067a9907f7afdp-5, 0x1.febc87ce1f81p-6, 0x1.f0d64bb1c6ed4p-6, 0x1.e3412c2b9dc4cp-6, 0x1.d5fbd871de35ap-6, 0x1.c90500b164c9p-6, 0x1.bc5b563ca57aep-6, 0x1.affd8bb8889bfp-6, 0x1.a3ea55473e44ep-6, 0x1.982068b109c35p-6, 0x1.8c9e7d8b277b6p-6, 0x1.81634d5cc0932p-6, 0x1.766d93c20c12cp-6, 0x1.6bbc0e8da04a2p-6, 0x1.614d7de8077a6p-6, 0x1.5720a46d992e3p-6, 0x1.4d34474ab2475p-6, 0x1.43872e564a5b7p-6, 0x1.3a18242affp-6, 0x1.30e5f63e939cdp-6, 0x1.27ef74f7f97a9p-6, 0x1.1f3373c3eed29p-6, 0x1.16b0c9282f403p-6, 0x1.0e664ed556a5cp-6, 0x1.0652e1b770e3dp-6, 0x1.fceac40a8ff64p-7, 0x1.ed99669cf0ac1p-7, 0x1.deaf7910b130fp-7, 0x1.d02ad033725ebp-7, 0x1.c20947cb200f3p-7, 0x1.b448c2a91b37ep-7, 0x1.a6e72abb5441ep-7, 0x1.99e2711b74944p-7, 0x1.8d388e1c147fdp-7, 0x1.80e781541b1b1p-7, 0x1.74ed51a85a598p-7, 0x1.69480d5374095p-7, 0x1.5df5c9ec15c9ap-7, 0x1.52f4a469a9887p-7, 0x1.4842c1277a871p-7, 0x1.3dde4be669a3cp-7, 0x1.33c577cd3814bp-7, 0x1.29f67f67815a8p-7, 0x1.206fa4a368125p-7, 0x1.172f30ce0c74cp-7, 0x1.0e33748ed516cp-7, 0x1.057ac7e19a1c1p-7, 0x1.fa07141f7f0c3p-8, 0x1.e99843509379dp-8, 0x1.d9a5f8edf79c6p-8, 0x1.ca2d1ef5122eap-8, 0x1.bb2aadb3cca4p-8, 0x1.ac9babb18e329p-8, 0x1.9e7d2d96a3cacp-8, 0x1.90cc561229d1p-8, 0x1.838655be8dd56p-8, 0x1.76a86b04bf16dp-8, 0x1.6a2fe1fe1b9b7p-8, 0x1.5e1a145533348p-8, 0x1.526469256fa02p-8, 0x1.470c54d9b4ed1p-8, 0x1.3c0f590a0a74p-8, 0x1.316b0458613a8p-8, 0x1.271cf24c80791p-8, 0x1.1d22cb2f31524p-8, 0x1.137a43e4b2738p-8, 0x1.0a211dc683642p-8, 0x1.0115267c9a156p-8, 0x1.f0a86fac137a6p-9, 0x1.dfb86f425ccfbp-9, 0x1.cf562f06cd14fp-9, 0x1.bf7da9a0cfa1p-9, 0x1.b02af0c2779f6p-9, 0x1.a15a2cd5dcf6dp-9, 0x1.93079ca9f5766p-9, 0x1.852f951f01eb3p-9, 0x1.77ce80d29942fp-9, 0x1.6ae0dfcb72f0fp-9, 0x1.5e634724f8774p-9, 0x1.525260bab91ap-9, 0x1.46aaead3c43d9p-9, 0x1.3b69b7ce0b162p-9, 0x1.308badc9ce296p-9, 0x1.260dc65524b64p-9, 0x1.1bed0e17b996bp-9, 0x1.1226a47eb7fcp-9, 0x1.08b7bb69081bp-9, 0x1.ff3b2da7b792p-10, 0x1.edab190f2ff66p-10, 0x1.dcba078a611c1p-10, 0x1.cc62e9e7e5e61p-10, 0x1.bca0d29fa8128p-10, 0x1.ad6ef5308fc49p-10, 0x1.9ec8a57f5229p-10, 0x1.90a957367fdbfp-10, 0x1.830c9d27d0cfdp-10, 0x1.75ee28aecafb1p-10, 0x1.6949c914cdef6p-10, 0x1.5d1b6af68fbb8p-10, 0x1.515f17ab10bb1p-10, 0x1.4610f4ac2818ep-10, 0x1.3b2d430099422p-10, 0x1.30b05ea7c8cedp-10, 0x1.2696be072402ap-10, 0x1.1cdcf1592d646p-10, 0x1.137fa21e4bb13p-10, 0x1.0a7b928f510a3p-10, 0x1.01cd9d11d1371p-10, 0x1.f2e5675c7fcc1p-11, 0x1.e2cfbf0fc3368p-11, 0x1.d35480ad2c226p-11, 0x1.c46e17c4f7d9bp-11, 0x1.b6171b02e90f9p-11, 0x1.a84a4b2d13abcp-11, 0x1.9b02922672375p-11, 0x1.8e3b01f549a2cp-11, 0x1.81eed3cd5f01cp-11, 0x1.7619671e0142bp-11, 0x1.6ab640a3e95b4p-11, 0x1.5fc1097ef0054p-11, 0x1.55358e4b9d179p-11, 0x1.4b0fbe408adbp-11, 0x1.414baa4fa0826p-11, 0x1.37e5844b1d765p-11, 0x1.2ed99e0e789dfp-11, 0x1.262468ab09467p-11, 0x1.1dc273987d0c4p-11, 0x1.15b06be90ff55p-11, 0x1.0deb1b81876a1p-11, 0x1.066f6854e5eb5p-11, 0x1.fe74a747aa142p-12, 0x1.f091f27f7d4e6p-12, 0x1.e3311da3187d4p-12, 0x1.d64cc64810d5ap-12, 0x1.c9dfbae3b57cap-12, 0x1.bde4f96e2563p-12, 0x1.b257ae0c7a467p-12, 0x1.a73331c1f82ffp-12, 0x1.9c730928274ecp-12, 0x1.9212e32dcf2f9p-12, 0x1.880e97dcbf7e2p-12, 0x1.7e6227264ad8ep-12, 0x1.7509b7b66c0ebp-12, 0x1.6c0195cd7ac0cp-12, 0x1.634632205b24fp-12, 0x1.5ad420bf15fep-12, 0x1.52a81801c739dp-12, 0x1.4abeef7bc57b3p-12, 0x1.43159ef4f5818p-12, 0x1.3ba93d692f4d7p-12, 0x1.3477000da1333p-12, 0x1.2d7c395c19e1cp-12, 0x1.26b6582422677p-12, 0x1.2022e6a1d37c7p-12, 0x1.19bf899a515b4p-12, 0x1.1389ff7dd23bfp-12, 0x1.0d801f8f1fae6p-12, 0x1.079fd91076005p-12, 0x1.01e73275b106ap-12, 0x1.f8a8913756863p-13, 0x1.edca9c0978fbp-13, 0x1.e331143479924p-13, 0x1.d8d8b0e5f3e93p-13, 0x1.cebe503d13894p-13, 0x1.c4def5eab7695p-13, 0x1.bb37c9daf6c02p-13, 0x1.b1c616e7d852ep-13, 0x1.a887499508004p-13, 0x1.9f78eed46b035p-13, 0x1.9698b2d35947dp-13, 0x1.8de45fd0637dep-13, 0x1.8559dcf966e17p-13, 0x1.7cf72d51d2c7dp-13, 0x1.74ba6ea0f4b89p-13, 0x1.6ca1d8681251dp-13, 0x1.64abbae03fdc2p-13, 0x1.5cd67dffb900ap-13, 0x1.5520a086931a4p-13, 0x1.4d88b712b29c6p-13, 0x1.460d6b3abf1bfp-13, 0x1.3ead7ab01091ap-13, 0x1.3767b6674eaeap-13, 0x1.303b01c7b4c0bp-13, 0x1.292651e0c7b3ep-13, 0x1.2228aca65b12ap-13, 0x1.1b412832bf2edp-13, 0x1.146eea0eff3b6p-13, 0x1.0db12680f1306p-13, 0x1.07071fdf1946dp-13, 0x1.007025ea17303p-13, 0x1.f3d72a573bep-14, 0x1.e6f1acb56e961p-14, 0x1.da2ebb8a8a91fp-14, 0x1.cd8d557d2ee66p-14, 0x1.c10c8e25f1968p-14, 0x1.b4ab8d001f7bep-14, 0x1.a8698c63f4e92p-14, 0x1.9c45d889f9a66p-14, 0x1.903fce9760087p-14, 0x1.8456dbb30fc39p-14, 0x1.788a7c23378c7p-14, 0x1.6cda3a731fa2p-14, 0x1.6145aea10b2aep-14, 0x1.55cc7d53edadbp-14, 0x1.4a6e5718c11dp-14, 0x1.3f2af7a74472bp-14, 0x1.3402252df095fp-14, 0x1.28f3afa4f064cp-14, 0x1.1dff7027e7cf4p-14, 0x1.1325485659bf1p-14, 0x1.086521ba7df3ap-14, 0x1.fb7dda6ca97dap-15, 0x1.e66544ed98a2ep-15, 0x1.d1807ed99182ep-15, 0x1.bccf8f97c7d28p-15, 0x1.a852891d70301p-15, 0x1.9409870117e99p-15, 0x1.7ff4ad9868b26p-15, 0x1.6c1429200cfabp-15, 0x1.58682ced5c46fp-15, 0x1.44f0f2a989a29p-15, 0x1.31aeb99602085p-15, 0x1.1ea1c5d9b5379p-15, 0x1.0bca5fd6f955ep-15, 0x1.f251a71396cc7p-16, 0x1.cd7adfdc3877bp-16, 0x1.a9110cdbde617p-16, 0x1.8514d4ae08b85p-16, 0x1.6186e0af97471p-16, 0x1.3e67dc06cd466p-16, 0x1.1bb872b8eb664p-16, 0x1.f2f2a199e5133p-17, 0x1.af5642f629662p-17, 0x1.6c9d1cd0c493dp-17, 0x1.2ac87ddc8044ep-17, 0x1.d3b35db51f917p-18, 0x1.53a3e2ac55b91p-18, 0x1.aac9f9d548a9ep-19, 0x1.63e42eef3f707p-20, -0x1.0ced351a3c539p-21, -0x1.34b9cddb499c8p-19, -0x1.11429a9af4a6dp-18, -0x1.864cc18183526p-18, -0x1.f9797756c22dp-18, -0x1.35637a87d914bp-17, -0x1.6d19c9113c853p-17, -0x1.a3dee2d53773cp-17, -0x1.d9b213b7e28aep-17, -0x1.07495c3507dd6p-16, -0x1.21401f6944479p-16, -0x1.3abd133574fe3p-16, -0x1.53c0004847061p-16, -0x1.6c48b86510404p-16, -0x1.845716812823bp-16, -0x1.9beafedc16ed9p-16, -0x1.b3045f12cdb88p-16, -0x1.c9a32e2e2ed29p-16, -0x1.dfc76cad16975p-16, -0x1.f571248a2661dp-16, -0x1.0550349ebe0dp-15, -0x1.0faaabdd49ce3p-15, -0x1.19c80b3542ef8p-15, -0x1.23a86a9166b9dp-15, -0x1.2d4be68c6563ap-15, -0x1.36b2a06917832p-15, -0x1.3fdcbe093e3dfp-15, -0x1.48ca69e2e4e9fp-15, -0x1.517bd2f4750d5p-15, -0x1.59f12cb796531p-15, -0x1.622aaf12e938cp-15, -0x1.6a28964aafeb3p-15, -0x1.71eb22f07aef3p-15, -0x1.797299d1e465fp-15, -0x1.80bf43e6709f4p-15, -0x1.87d16e3ca2637p-15, -0x1.8ea969e650a58p-15, -0x1.95478be44c638p-15, -0x1.9bac2d116ae1ap-15, -0x1.a1d7aa0cf836dp-15, -0x1.a7ca6324a996bp-15, -0x1.ad84bc3e1406ep-15, -0x1.b3071cbfb927ap-15, -0x1.b851ef79b1fdp-15, -0x1.bd65a28e06da5p-15, -0x1.c242a758bc00cp-15, -0x1.c6e972579cab2p-15, -0x1.cb5a7b11d51a8p-15, -0x1.cf963bff591c8p-15, -0x1.d39d32702e785p-15, -0x1.d76fde7397a67p-15, -0x1.db0ec2bf2df62p-15, -0x1.de7a6495f0e36p-15, -0x1.e1b34baf522f4p-15, -0x1.e4ba021e46a72p-15, -0x1.e78f143861022p-15, -0x1.ea33107cff1f2p-15, -0x1.eca6877c8df4cp-15, -0x1.eeea0bbfea54bp-15, -0x1.f0fe31afe7835p-15, -0x1.f2e38f7cf97a2p-15, -0x1.f49abd07113f7p-15, -0x1.f62453c5a6fedp-15, -0x1.f780eeaffae5dp-15, -0x1.f8b12a2593f89p-15, -0x1.f9b5a3d6f82f8p-15, -0x1.fa8efaaea965fp-15, -0x1.fb3dceba6718dp-15, -0x1.fbc2c114b8914p-15, -0x1.fc1e73cec1fecp-15, -0x1.fc5189da681d4p-15, -0x1.fc5ca6f4c5ff8p-15, -0x1.fc406f90f332ap-15, -0x1.fbfd88c322debp-15, -0x1.fb94982c16d9ap-15, -0x1.fb0643e4ede22p-15, -0x1.fa53326b4e154p-15, -0x1.f97c0a8de695cp-15, -0x1.f881735955b77p-15, -0x1.f764140569f66p-15, -0x1.f62493e2c20b8p-15, -0x1.f4c39a48d2f7p-15, -0x1.f341ce8449325p-15, -0x1.f19fd7c5d1a55p-15, -0x1.efde5d1142cdbp-15, -0x1.edfe052d2a0fap-15, -0x1.ebff7692bc1a8p-15, -0x1.e9e3575e2a8b4p-15, -0x1.e7aa4d3f5b326p-15, -0x1.e554fd6b05abfp-15, -0x1.e2e40c8c34685p-15, -0x1.e0581eb62810bp-15, -0x1.ddb1d7569fccfp-15, }}, 
      {{-0x1.36a823c910e74p-1, -0x1.36bc050b7efb4p-1, -0x1.36dcb72f47b4ap-1, -0x1.37099791d670fp-1, -0x1.3741cbc57dcbfp-1, -0x1.378448ceaae11p-1, -0x1.37cfdacc7cbd6p-1, -0x1.38232ca4f92afp-1, -0x1.387ccf6d98701p-1, -0x1.38db416162c4dp-1, -0x1.393cf44804874p-1, -0x1.39a0533e9a223p-1, -0x1.3a03c7dc8d225p-1, -0x1.3a65beb5a4f6cp-1, -0x1.3ac4ab3f0d97dp-1, -0x1.3b1f0b2017849p-1, -0x1.3b7368f94a068p-1, -0x1.3bc05ead55337p-1, -0x1.3c049737c47c9p-1, -0x1.3c3ed01d30bbdp-1, -0x1.3c6dda805293fp-1, -0x1.3c909be6b05fep-1, -0x1.3ca60eb6f0281p-1, -0x1.3cad427a0bc21p-1, -0x1.3ca55be7d9d9dp-1, -0x1.3c8d94c6921e2p-1, -0x1.3c653ba42f14dp-1, -0x1.3c2bb36fd763ep-1, -0x1.3be072f8c8e06p-1, -0x1.3b830457a2408p-1, -0x1.3b13044650cd2p-1, -0x1.3a90216a653c9p-1, -0x1.39fa1b951787ap-1, -0x1.3950c2fbd66ddp-1, -0x1.3893f76bd8e7cp-1, -0x1.37c3a77ad7b86p-1, -0x1.36dfcfb6bee4dp-1, -0x1.35e879d5e9ed4p-1, -0x1.34ddbbe939ea9p-1, -0x1.33bfb7912173fp-1, -0x1.328e99369474ap-1, -0x1.314a97489d04cp-1, -0x1.2ff3f17f30857p-1, -0x1.2e8af023c7d7ep-1, -0x1.2d0fe360177b6p-1, -0x1.2b832293328fcp-1, -0x1.29e50bad4e2b1p-1, -0x1.2836029243234p-1, -0x1.26767082e67cap-1, -0x1.24a6c38d3611p-1, -0x1.22c76e035a51dp-1, -0x1.20d8e5f965649p-1, -0x1.1edba4c9be724p-1, -0x1.1cd026a012e82p-1, -0x1.1ab6ea0aaea5dp-1, -0x1.18906f920eaf6p-1, -0x1.165d395680dcep-1, -0x1.141dcab3a33b2p-1, -0x1.11d2a7e990197p-1, -0x1.0f7c55cb80e37p-1, -0x1.0d1b5973b8b8cp-1, -0x1.0ab037fc7c0aap-1, -0x1.083b763de4dfcp-1, -0x1.05bd98905b72p-1, -0x1.033722938103p-1, -0x1.00a896f958ca1p-1, -0x1.fc24eeaaf85cbp-2, -0x1.f6ea87e04d423p-2, -0x1.f1a2f739db89cp-2, -0x1.ec4f3729e1c71p-2, -0x1.e6f03ea8ad258p-2, -0x1.e18700f5d2f25p-2, -0x1.dc146d5f5779bp-2, -0x1.d6996f0e6a415p-2, -0x1.d116ecd970d1bp-2, -0x1.cb8dc91b0abb4p-2, -0x1.c5fee18dcc6e9p-2, -0x1.c06b0f2c69371p-2, -0x1.bad32616090e8p-2, -0x1.b537f57689a21p-2, -0x1.af9a47726f9a7p-2, -0x1.a9fae1164da79p-2, -0x1.a45a824966d2cp-2, -0x1.9eb9e5c35e58fp-2, -0x1.9919c104b93dp-2, -0x1.937ac4520c308p-2, -0x1.8ddd9ab19f48cp-2, -0x1.8842e9eb63e18p-2, -0x1.82ab528b0e7e4p-2, -0x1.7d176fe433aefp-2, -0x1.7787d8183bfcp-2, -0x1.71fd1c1e1406fp-2, -0x1.6c77c7cb70d83p-2, -0x1.66f861df8fbb5p-2, -0x1.617f6c0f4f594p-2, -0x1.5c0d6312881f8p-2, -0x1.56a2beb28a716p-2, -0x1.513ff1d9a9211p-2, -0x1.4be56aa3b6ae1p-2, -0x1.4693926f6423p-2, -0x1.414acdf0656bbp-2, -0x1.3c0b7d424f446p-2, -0x1.36d5fbfc1772fp-2, -0x1.31aaa14423ef4p-2, -0x1.2c89bfe4dd1c4p-2, -0x1.2773a661b3ab1p-2, -0x1.22689f0c82db3p-2, -0x1.1d68f01b4f862p-2, -0x1.1874dbbe4680bp-2, -0x1.138ca035feb7p-2, -0x1.0eb077e9e42fp-2, -0x1.09e0997ecbf25p-2, -0x1.051d37eda3adp-2, -0x1.0066829a2e7e3p-2, -0x1.f7794ad39d131p-3, -0x1.ee3f91b4998d3p-3, -0x1.e52024312f278p-3, -0x1.dc1b462eead24p-3, -0x1.d331354c396fp-3, -0x1.ca62290d69d16p-3, -0x1.c1ae53096076ap-3, -0x1.b915df15ff977p-3, -0x1.b098f37433bfap-3, -0x1.a837b0fb9c1ecp-3, -0x1.9ff23345c86a7p-3, -0x1.97c890d8f9d88p-3, -0x1.8fbadb5275452p-3, -0x1.87c91f9040b11p-3, -0x1.7ff365da667c4p-3, -0x1.7839b20b9b2cbp-3, -0x1.709c03b95adefp-3, -0x1.691a565b5f964p-3, -0x1.61b4a17283c62p-3, -0x1.5a6ad8aefdbc7p-3, -0x1.533cec15f4cb7p-3, -0x1.4c2ac8266e73bp-3, -0x1.453455fd938b8p-3, -0x1.3e597b7a3e717p-3, -0x1.379a1b5fe2ffep-3, -0x1.30f61578c22e9p-3, -0x1.2a6d46b7641bp-3, -0x1.23ff89576a0fbp-3, -0x1.1dacb4fd9fe91p-3, -0x1.17749ed762d5p-3, -0x1.115719b9468f6p-3, -0x1.0b53f63d145f5p-3, -0x1.056b02df03497p-3, -0x1.ff38183495c9ep-4, -0x1.f3cdb909f0626p-4, -0x1.e89679d61fb86p-4, -0x1.dd91e8d202fc1p-4, -0x1.d2bf910ad24bfp-4, -0x1.c81efa94305fcp-4, -0x1.bdafaab8f880dp-4, -0x1.b371242a9b12dp-4, -0x1.a962e72f2d9eep-4, -0x1.9f8471ce25943p-4, -0x1.95d53ffbc27f9p-4, -0x1.8c54cbc32514cp-4, -0x1.83028d6f2a43fp-4, -0x1.79ddfbb1f80e2p-4, -0x1.70e68bcb4f468p-4, -0x1.681bb1ada0d7dp-4, -0x1.5f7ce021edf1cp-4, -0x1.570988ea750d2p-4, -0x1.4ec11ce433df2p-4, -0x1.46a30c2740b2p-4, -0x1.3eaec62601a4dp-4, -0x1.36e3b9cb46666p-4, -0x1.2f4155974a92ep-4, -0x1.27c707bba3579p-4, -0x1.20743e3621561p-4, -0x1.194866eaaa788p-4, -0x1.1242efbc0ee12p-4, -0x1.0b6346a3e2758p-4, -0x1.04a8d9c95d7c4p-4, -0x1.fc262f2e9650bp-5, -0x1.ef42dda2138b5p-5, -0x1.e2a69d4d49ed3p-5, -0x1.d6504d901624dp-5, -0x1.ca3eceeed0637p-5, -0x1.be7103354dd29p-5, -0x1.b2e5cd9840c04p-5, -0x1.a79c12d4fdd77p-5, -0x1.9c92b94fb03ddp-5, -0x1.91c8a930099cbp-5, -0x1.873ccc7c76dffp-5, -0x1.7cee0f33e385cp-5, -0x1.72db5f6616669p-5, -0x1.6903ad4ab3381p-5, -0x1.5f65eb56e6c6cp-5, -0x1.56010e51cb43ep-5, -0x1.4cd40d678cc01p-5, -0x1.43dde23b5a236p-5, -0x1.3b1d88f8240a5p-5, -0x1.329200603df06p-5, -0x1.2a3a49dbe25cdp-5, -0x1.22156986a4f87p-5, -0x1.1a22663bdedefp-5, -0x1.126049a217a01p-5, -0x1.0ace20357a13ap-5, -0x1.036af951571b8p-5, -0x1.f86bce718a372p-6, -0x1.ea5bfe3cb84d2p-6, -0x1.dca4b2563ed4dp-6, -0x1.cf4421092b3aap-6, -0x1.c23886a42f9ffp-6, -0x1.b5802582ca224p-6, -0x1.a9194614ee08ap-6, -0x1.9d0236e55205fp-6, -0x1.91394c9e6660fp-6, -0x1.85bce20dfe43cp-6, -0x1.7a8b5827c589p-6, -0x1.6fa3160682517p-6, -0x1.650288ec36cafp-6, -0x1.5aa824412fd32p-6, -0x1.5092619204ae7p-6, -0x1.46bfc08ca1dd8p-6, -0x1.3d2ec6fc58ba4p-6, -0x1.33de00c50e9c5p-6, -0x1.2acbffdd8c366p-6, -0x1.21f75c48fcaa1p-6, -0x1.195eb40fa62a2p-6, -0x1.1100ab36dfb1bp-6, -0x1.08dbebb85d244p-6, -0x1.00ef2578c52c8p-6, -0x1.f2721c7b5b67ap-7, -0x1.e370c345fb141p-7, -0x1.d4d7c21f7cffdp-7, -0x1.c6a4a754cdfb1p-7, -0x1.b8d50c9945a52p-7, -0x1.ab6696ed513d2p-7, -0x1.9e56f6843a74bp-7, -0x1.91a3e6a9141dbp-7, -0x1.854b2da2f14aap-7, -0x1.794a9c985a37ap-7, -0x1.6da00f7227ccp-7, -0x1.62496cbdac5eep-7, -0x1.5744a58e6914cp-7, -0x1.4c8fb55f286dp-7, -0x1.4228a1f2aae4fp-7, -0x1.380d7b33ea797p-7, -0x1.2e3c5b15f2eadp-7, -0x1.24b3657368cb7p-7, -0x1.1b70c7edbf368p-7, -0x1.1272b9cc2af4cp-7, -0x1.09b77bda5988cp-7, -0x1.013d5846f4dd2p-7, -0x1.f2054503fcd41p-8, -0x1.e20b6e360e9fcp-8, -0x1.d289f73e9cd09p-8, -0x1.c37dbcef973f2p-8, -0x1.b4e3ad8e5ef74p-8, -0x1.a6b8c88fbbb3fp-8, -0x1.98fa1e53d42bcp-8, -0x1.8ba4cfe236688p-8, -0x1.7eb60ea5fb6cep-8, -0x1.722b1c2a12419p-8, -0x1.660149d5bb24bp-8, -0x1.5a35f8a940edcp-8, -0x1.4ec698faf5277p-8, -0x1.43b0aa347d396p-8, -0x1.38f1ba90768cdp-8, -0x1.2e8766d87a63ap-8, -0x1.246f5a2389d5cp-8, -0x1.1aa74d94e86c5p-8, -0x1.112d081b6dcdcp-8, -0x1.07fe5e31541b5p-8, -0x1.fe3263391141ep-9, -0x1.ecf6e25f0c538p-9, -0x1.dc4631157c12ap-9, -0x1.cc1c5fbd26763p-9, -0x1.bc75975bdf82cp-9, -0x1.ad4e1922e7f74p-9, -0x1.9ea23df694bd3p-9, -0x1.906e75f7373a5p-9, -0x1.82af480b5d98cp-9, -0x1.7561516b64443p-9, -0x1.6881452e66af1p-9, -0x1.5c0bebd88fef2p-9, -0x1.4ffe22ead4c4dp-9, -0x1.4454dc74170bfp-9, -0x1.390d1ea3b5f76p-9, -0x1.2e24035d96596p-9, -0x1.2396b7cf99f77p-9, -0x1.19627c08936b8p-9, -0x1.0f84a290b2128p-9, -0x1.05fa900368d83p-9, -0x1.f9837555a7a32p-10, -0x1.e7af54393cab7p-10, -0x1.d673edb0c3679p-10, -0x1.c5cc93cf1531fp-10, -0x1.b5b4b8fd72a7dp-10, -0x1.a627ef41452dbp-10, -0x1.9721e784e050bp-10, -0x1.889e70e33d63ep-10, -0x1.7a9977f6b159ap-10, -0x1.6d0f062a9cd8ap-10, -0x1.5ffb41100c6b8p-10, -0x1.535a69b54d4a5p-10, -0x1.4728dc00735fp-10, -0x1.3b630e0cc300bp-10, -0x1.30058f8aff86cp-10, -0x1.250d09249fd39p-10, -0x1.1a763be1d9145p-10, -0x1.103e009281f4fp-10, -0x1.06614739c0c78p-10, -0x1.f9ba2cf91562ap-11, -0x1.e75d1625bb628p-11, -0x1.d5a5ae777d73cp-11, -0x1.c48e8467d344dp-11, -0x1.b4124f5e62efbp-11, -0x1.a42beea9101e5p-11, -0x1.94d668794d898p-11, -0x1.860ce8e69fb48p-11, -0x1.77cac0f642083p-11, -0x1.6a0b65a7e01fap-11, -0x1.5cca6f07517ap-11, -0x1.5003974348b72p-11, -0x1.43b2b9c8e6609p-11, -0x1.37d3d2641de88p-11, -0x1.2c62fc64dca8ep-11, -0x1.215c71c8e238p-11, -0x1.16bc8a6a3afcbp-11, -0x1.0c7fbb324763cp-11, -0x1.02a2955144e88p-11, -0x1.f2438af484d54p-12, -0x1.dff42646e66b9p-12, -0x1.ce50bf9597213p-12, -0x1.bd534c7db1b84p-12, -0x1.acf5f3d78527ap-12, -0x1.9d330c58c6213p-12, -0x1.8e051b3ecf3e1p-12, -0x1.7f66d300ce7d6p-12, -0x1.71531209b719dp-12, -0x1.63c4e179e2fe5p-12, -0x1.56b773f033374p-12, -0x1.4a26245a9a341p-12, -0x1.3e0c74cde511cp-12, -0x1.32660d64a8e7cp-12, -0x1.272ebb2530843p-12, -0x1.1c626eee4a291p-12, -0x1.11fd3c6ad29e7p-12, -0x1.07fb590be3061p-12, -0x1.fcb23612f485cp-13, -0x1.ea25f0d30faa2p-13, -0x1.d84b0c1a675fep-13, -0x1.c71aed8898243p-13, -0x1.b68f34cd5a79ep-13, -0x1.a6a1b9e727773p-13, -0x1.974c8b6d5eaecp-13, -0x1.8889ece5ba1b3p-13, -0x1.7a545524dcb7cp-13, -0x1.6ca66cb9af345p-13, -0x1.5f7b0c636070fp-13, -0x1.52cd3b91d2ceap-13, -0x1.46982ef029c5ap-13, -0x1.3ad746f9566dap-13, -0x1.2f860e9663eb2p-13, -0x1.24a039c64b034p-13, -0x1.1a21a44f1897cp-13, -0x1.1006507838354p-13, -0x1.064a65cda48ccp-13, -0x1.f9d45fd7b90b5p-14, -0x1.e7c43aa89ee33p-14, -0x1.d65d7c945cbc1p-14, -0x1.c599876eaf83ep-14, -0x1.b571fc327c00ap-14, -0x1.a5e0b8eb239d2p-14, -0x1.96dfd6ad0cadbp-14, -0x1.8869a79cfa047p-14, -0x1.7a78b505e402ep-14, -0x1.6d07bd7cf0134p-14, -0x1.6011b31337d2dp-14, -0x1.5391b99506eccp-14, -0x1.478324d63db09p-14, -0x1.3be1770b86c82p-14, -0x1.30a85f300e44p-14, -0x1.25d3b7776ce54p-14, -0x1.1b5f83cb78039p-14, -0x1.1147f055ac912p-14, -0x1.07895013e7c5ap-14, -0x1.fc4036f0502abp-15, -0x1.ea11de2613c8dp-15, -0x1.d88114917e3a3p-15, -0x1.c7879c206e272p-15, -0x1.b71f777872941p-15, -0x1.a742e79c55b04p-15, -0x1.97ec69a486067p-15, -0x1.8916b489d5de1p-15, -0x1.7abcb7021d832p-15, -0x1.6cd9956e3c97p-15, -0x1.5f68a7d91020dp-15, -0x1.52657806d8c7dp-15, -0x1.45cbbf94b04cbp-15, -0x1.3997662790848p-15, -0x1.2dc47faa863adp-15, -0x1.224f4a9ba3892p-15, -0x1.17342e674983dp-15, -0x1.0c6fb9d16008dp-15, -0x1.01fea16c1ebaep-15, -0x1.efbb7c37fa7aap-16, -0x1.dc141750e58ebp-16, -0x1.c9014eb2461dcp-16, -0x1.b67d9d3e3f1abp-16, -0x1.a483bb93c8fa8p-16, -0x1.930e9d8f74bf4p-16, -0x1.82196fe24ebc7p-16, -0x1.719f95be39ea4p-16, -0x1.619ca69727678p-16, -0x1.520c6bf88753cp-16, -0x1.42eadf6e5d1d2p-16, -0x1.343428815bap-16, -0x1.25e49ac583c76p-16, -0x1.17f8b3faa21ddp-16, -0x1.0a6d1a3e374abp-16, -0x1.fa7d349c69c3dp-17, -0x1.e0d44bb816c3ep-17, -0x1.c7d9a3df23834p-17, -0x1.af87aab27cbbep-17, -0x1.97d90e667bf9cp-17, -0x1.80c8bae1de3bfp-17, -0x1.6a51d6f896d98p-17, -0x1.546fc1c1adb08p-17, -0x1.3f1e10072f2a5p-17, -0x1.2a5889cf787e4p-17, -0x1.161b27fef8766p-17, -0x1.02621211a2e09p-17, -0x1.de5337d6a0bcep-18, -0x1.b8dc877c93376p-18, -0x1.9459600e87711p-18, -0x1.70c35b3c2d2f4p-18, -0x1.4e145bb4fe3a8p-18, -0x1.2c4689987c8bbp-18, -0x1.0b544f0bde67ap-18, -0x1.d670a9e7cf379p-19, -0x1.97daffa359826p-19, -0x1.5addd9822610fp-19, -0x1.1f6fdd2fc22cp-19, -0x1.cb102c90ff57cp-20, -0x1.5a3be2263fcf7p-20, -0x1.d8a4d5d4333f9p-21, -0x1.0288087c26606p-21, -0x1.9018fe0b0e31fp-24, 0x1.320dd38ce2461p-22, 0x1.5eb1f343e9f89p-21, 0x1.0f8c62d8d4548p-20, 0x1.6d2a919a0ceb7p-20, 0x1.c83feade14d3ap-20, 0x1.106c2f3ee240fp-19, 0x1.3b7fb6ec4b36p-19, 0x1.6560191503c3cp-19, 0x1.8e12b148a766dp-19, 0x1.b59cace71ebfcp-19, 0x1.dc030ddb1e3dcp-19, 0x1.00a55699089dap-18, 0x1.12bc1ec96693ap-18, 0x1.244826ca2aa9p-18, 0x1.354ba4fafad07p-18, 0x1.45c8bfdcf6055p-18, 0x1.55c18f11e6e18p-18, 0x1.65381c4de62cfp-18, 0x1.742e643bfaa3cp-18, 0x1.82a6575641286p-18, 0x1.90a1dab21beb5p-18, 0x1.9e22c8c0ef22ap-18, 0x1.ab2af205e338fp-18, 0x1.b7bc1dc121787p-18, 0x1.c3d80a9104d5ap-18, 0x1.cf806f09a97d1p-18, 0x1.dab6fa4346f25p-18, 0x1.e57d545fbdf2dp-18, 0x1.efd51f07c0b9fp-18, 0x1.f9bff5dfef494p-18, 0x1.019fb77b26266p-17, 0x1.062a8d9430f8cp-17, 0x1.0a8143413648ap-17, 0x1.0ea49c4befaf5p-17, 0x1.12955a6aca07cp-17, 0x1.16543d66faadfp-17, 0x1.19e2033fb5097p-17, 0x1.1d3f684aa701bp-17, 0x1.206d2751dda72p-17, 0x1.236bf9af3414p-17, 0x1.263c97656bcap-17, 0x1.28dfb7370f8e6p-17, 0x1.2b560ebb3b47fp-17, 0x1.2da0527068b92p-17, 0x1.2fbf35cd5a984p-17, 0x1.31b36b50411d1p-17, 0x1.337da48c3084ep-17, 0x1.351e923503c69p-17, 0x1.3696e429c1153p-17, 0x1.37e7497d9662fp-17, 0x1.3910707f85ab6p-17, 0x1.3a1306c0d3776p-17, 0x1.3aefb91a4b0fbp-17, 0x1.3ba733b06e6b1p-17, 0x1.3c3a21f69f878p-17, 0x1.3ca92eb1583b4p-17, 0x1.3cf503f77f77fp-17, 0x1.3d1e4b32eb49p-17, 0x1.3d25ad2020434p-17, 0x1.3d0bd1cd5bf22p-17, 0x1.3cd16098f7cf6p-17, 0x1.3c77002f33082p-17, 0x1.3bfd56876e29dp-17, 0x1.3b6508e0e6b01p-17, 0x1.3aaebbbefbd29p-17, 0x1.39db12e508649p-17, 0x1.38eab151dd26ep-17, 0x1.37de393ae37bbp-17, 0x1.36b64c06f2b5ep-17, 0x1.35738a48e1acep-17, 0x1.341693b9dba3cp-17, 0x1.32a00733812a8p-17, 0x1.311082a9dd2f5p-17, 0x1.2f68a32533decp-17, 0x1.2da904bbb3d4bp-17, 0x1.2bd2428b0e82bp-17, 0x1.29e4f6b1ff4bdp-17, 0x1.27e1ba49c5142p-17, 0x1.25c9255f960cap-17, 0x1.239bceee10534p-17, 0x1.215a4cd6aec1p-17, 0x1.1f0533db43572p-17, 0x1.1c9d17977e109p-17, 0x1.1a228a7a828bfp-17, 0x1.17961dc090bb6p-17, 0x1.14f8616cc332p-17, 0x1.1249e442e787cp-17, 0x1.0f8b33c1728d3p-17, 0x1.0cbcdc1b93c53p-17, 0x1.09df68336995dp-17, 0x1.06f3619459c9fp-17, 0x1.03f9506d8fb05p-17, 0x1.00f1bb8ca192ap-17, 0x1.fbba50b0bfa4bp-18, 0x1.f57835979e848p-18, 0x1.ef1e2ae29ce35p-18, 0x1.e8ad32bbd5a14p-18, 0x1.e2264c59c4b8p-18, 0x1.db8a73f6ac931p-18, 0x1.d4daa2c85a3b6p-18, 0x1.ce17cef84e64ep-18, 0x1.c742eb9c487adp-18, 0x1.c05ce8af35fb3p-18, 0x1.b966b30a878f9p-18, 0x1.b261345fec79ap-18, 0x1.ab4d533374072p-18, 0x1.a42bf2d613e83p-18, 0x1.9cfdf360984cep-18, 0x1.95c431aef56efp-18, 0x1.8e7f875c04548p-18, 0x1.8730cabda0b4ap-18, 0x1.7fd8cee12e9f4p-18, 0x1.78786388834c4p-18, 0x1.7110552731a43p-18, 0x1.69a16ce0387f4p-18, 0x1.622c708413775p-18, 0x1.5ab2228f2c484p-18, 0x1.53334228a9ddcp-18, 0x1.4bb08b219e7e1p-18, 0x1.442ab5f492311p-18, 0x1.3ca277c5683bcp-18, 0x1.351882619e3fcp-18, 0x1.2d8d8440e3438p-18, 0x1.26022886040bbp-18, 0x1.1e7717002f5dap-18, 0x1.16ecf42c88f14p-18, 0x1.0f64613811b4ap-18, 0x1.07ddfc01dcba1p-18, 0x1.005a5f1d93205p-18, 0x1.f1b443ac88b8bp-19, 0x1.e2bbb062fc8fbp-19, 0x1.d3cc25e55f19dp-19, 0x1.c4e6bf3da0cb7p-19, 0x1.b60c910099p-19, 0x1.a73ea95667909p-19, 0x1.987e10034ee4cp-19, 0x1.89cbc67110df6p-19, 0x1.7b28c7b8c31eap-19, 0x1.6c9608ad15604p-19, 0x1.5e1477e50ea58p-19, 0x1.4fa4fdc733d56p-19, 0x1.41487c951abefp-19, 0x1.32ffd0775f1abp-19, 0x1.24cbcf89fd951p-19, 0x1.16ad49e90b149p-19, 0x1.08a509bdc7146p-19, 0x1.f567a69807c7dp-20, 0x1.d9b4c9ffc4f81p-20, 0x1.be32eef7bceb7p-20, 0x1.a2e37b4e48ba6p-20, 0x1.87c7c978614f6p-20, 0x1.6ce128af6684bp-20, 0x1.5230dd0f6e4ep-20, 0x1.37b81fb6028ffp-20, 0x1.1d781ee160182p-20, 0x1.0371fe101d766p-20, }}, 
      {{0x1.fffb329bd68e5p-15, 0x1.00ba66296cc61p-12, 0x1.222c53d915076p-11, 0x1.039184d9575b8p-10, 0x1.98bf8aa1052ffp-10, 0x1.28fa22c2d9f1ep-9, 0x1.9854f6ae2427dp-9, 0x1.0d9ca080e7b83p-8, 0x1.593a9f13d78ccp-8, 0x1.af6b369b1b549p-8, 0x1.084914d66518p-7, 0x1.3e86ffef9833ep-7, 0x1.7a9b12e08d22dp-7, 0x1.bcacb30de5661p-7, 0x1.026f2d8d0153bp-6, 0x1.29a693737f961p-6, 0x1.540840ce675b2p-6, 0x1.819cf8e1ad8f1p-6, 0x1.b26a7fc798bbdp-6, 0x1.e67398d4682ddp-6, 0x1.0edc073cc680fp-5, 0x1.2c1a6107c2c3bp-5, 0x1.4af1e10aea8p-5, 0x1.6b5e32d12b7fap-5, 0x1.8d59b5f127212p-5, 0x1.b0dd8f5b4165p-5, 0x1.d5e1bbcbdb44dp-5, 0x1.fc5d230884f84p-5, 0x1.1222d5ce875b1p-4, 0x1.26c8276cd6ce2p-4, 0x1.3c18966ee23ffp-4, 0x1.520dd041d4842p-4, 0x1.68a129847ff52p-4, 0x1.7fcba7aab9ab7p-4, 0x1.97860a63408b9p-4, 0x1.afc8d4b5ba1acp-4, 0x1.c88c55d019256p-4, 0x1.e1c8b17c4f232p-4, 0x1.fb75e83890ad8p-4, 0x1.0ac5ef76d42c5p-3, 0x1.1801331ff8625p-3, 0x1.2568a0bc48c29p-3, 0x1.32f81682cf832p-3, 0x1.40ab72483f8dcp-3, 0x1.4e7e945571929p-3, 0x1.5c6d6209ac51dp-3, 0x1.6a73c8498ddcp-3, 0x1.788dbdbbc1ba6p-3, 0x1.86b744d4f6506p-3, 0x1.94ec6db4aee1ap-3, 0x1.a32957d4db4afp-3, 0x1.b16a338e38e38p-3, 0x1.bfab4373a2468p-3, 0x1.cde8dd868802p-3, 0x1.dc1f6c46ed959p-3, 0x1.ea4b6fa12bc53p-3, 0x1.f8697dbbdab44p-3, 0x1.033b21d415ec3p-2, 0x1.0a3742fb7a64ap-2, 0x1.1127909a4afb6p-2, 0x1.180a8526efc12p-2, 0x1.1edea76ff8c2ap-2, 0x1.25a28aba7ab39p-2, 0x1.2c54ced7c59fbp-2, 0x1.32f420333e9f4p-2, 0x1.397f37d92d067p-2, 0x1.3ff4db772a8c6p-2, 0x1.4653dd56ddf8bp-2, 0x1.4c9b1c5397a3cp-2, 0x1.52c983cb5c868p-2, 0x1.58de0b8bd3f4cp-2, 0x1.5ed7b7bb8c1ebp-2, 0x1.64b598bff68acp-2, 0x1.6a76cb206ec8p-2, 0x1.701a77669e768p-2, 0x1.759fd1fc7c39bp-2, 0x1.7b061b0824e96p-2, 0x1.804c9e45bb6c8p-2, 0x1.8572b2df86a8ap-2, 0x1.8a77bb4465457p-2, 0x1.8f5b24fccb2a8p-2, 0x1.941c687e5344cp-2, 0x1.98bb08fe0eebdp-2, 0x1.9d369441a16a5p-2, 0x1.a18ea26f3e16ep-2, 0x1.a5c2d5dc9be81p-2, 0x1.a9d2dadcf16c2p-2, 0x1.adbe678e0504p-2, 0x1.b1853ba46289dp-2, 0x1.b5272036c9bbap-2, 0x1.b8a3e788d8ef9p-2, 0x1.bbfb6cd50fc71p-2, 0x1.bf2d94162b323p-2, 0x1.c23a49cff4456p-2, 0x1.c52182d7880a7p-2, 0x1.c7e33c1b2d688p-2, 0x1.ca7f7a69c4223p-2, 0x1.ccf64a39def14p-2, 0x1.cf47bf709663bp-2, 0x1.d173f52824bep-2, 0x1.d37b0d765e3e8p-2, 0x1.d55d313310bf1p-2, 0x1.d71a8fbe5e102p-2, 0x1.d8b35ec720e1bp-2, 0x1.da27da116c0f8p-2, 0x1.db78433d33b6p-2, 0x1.dca4e18d32872p-2, 0x1.ddae01ae142c9p-2, 0x1.de93f57dff199p-2, 0x1.df5713d48151cp-2, 0x1.dff7b84af29d3p-2, 0x1.e07643055f844p-2, 0x1.e0d3187bffb64p-2, 0x1.e10ea1454d685p-2, 0x1.e12949e0c6779p-2, 0x1.e123828260fc6p-2, 0x1.e0fdbedec1611p-2, 0x1.e0b875f83ac82p-2, 0x1.e05421eca13bap-2, 0x1.dfd13fc3f8a51p-2, 0x1.df304f4009c99p-2, 0x1.de71d2acde2bfp-2, 0x1.dd964eb232a9dp-2, 0x1.dc9e4a25dd4ebp-2, 0x1.db8a4ddf32ae4p-2, 0x1.da5ae48b6ac52p-2, 0x1.d9109a830cda8p-2, 0x1.d7abfda06111p-2, 0x1.d62d9d16ec7cap-2, 0x1.d496094bff39p-2, 0x1.d2e5d3b0482dep-2, 0x1.d11d8e9a7ec8fp-2, 0x1.cf3dcd2319703p-2, 0x1.cd472301135p-2, 0x1.cb3a2467bf529p-2, 0x1.c91765e5ad169p-2, 0x1.c6df7c4496a99p-2, 0x1.c492fc6a58c74p-2, 0x1.c2327b3af60f6p-2, 0x1.bfbe8d7b9f79dp-2, 0x1.bd37c7b6bda37p-2, 0x1.ba9ebe20ffc98p-2, 0x1.b7f4047f62622p-2, 0x1.b5382e0e33e8dp-2, 0x1.b26bcd690d525p-2, 0x1.af8f7473bf795p-2, 0x1.aca3b4442c46cp-2, 0x1.a9a91d0d0b96fp-2, 0x1.a6a03e099855dp-2, 0x1.a389a56a1d075p-2, 0x1.a065e0415f4a5p-2, 0x1.9d357a72e580bp-2, 0x1.99f8fea20e40bp-2, 0x1.96b0f621fdf56p-2, 0x1.935de8e651f86p-2, 0x1.90005d74a02dap-2, 0x1.8c98d8d6b6608p-2, 0x1.8927de8d99d2dp-2, 0x1.85adf0853f131p-2, 0x1.822b8f08f9a8fp-2, 0x1.7ea138b8990afp-2, 0x1.7b0f6a7e37419p-2, 0x1.77769f84a8f3ap-2, 0x1.73d7512e9887fp-2, 0x1.7031f70e3b352p-2, 0x1.6c8706dda314dp-2, 0x1.68d6f477ab248p-2, 0x1.652231d170e4ep-2, 0x1.61692ef462a08p-2, 0x1.5dac59f8d3d68p-2, 0x1.59ec1f011b4d6p-2, 0x1.5628e83534a74p-2, 0x1.52631dbee02e7p-2, 0x1.4e9b25c63c75ep-2, 0x1.4ad1646eddc27p-2, 0x1.47063bd55215dp-2, 0x1.433a0c0d1cd9bp-2, 0x1.3f6d331f1ac71p-2, 0x1.3ba00d0853502p-2, 0x1.37d2f3b92de0bp-2, 0x1.34063f150c457p-2, 0x1.303a44f244136p-2, 0x1.2c6f591a74db6p-2, 0x1.28a5cd4b38162p-2, 0x1.24ddf1372825p-2, 0x1.211812873bc43p-2, 0x1.1d547cdc6e035p-2, 0x1.199379d1baafbp-2, 0x1.15d550fe603b4p-2, 0x1.121a47f86bf7dp-2, 0x1.0e62a2578a0cbp-2, 0x1.0aaea1b81d1cdp-2, 0x1.06fe85be8f195p-2, 0x1.03528c1ae47d4p-2, 0x1.ff55e119116c8p-3, 0x1.f80fd9cca6921p-3, 0x1.f0d37225861cbp-3, 0x1.e9a11630dd4fbp-3, 0x1.e2792e3d41decp-3, 0x1.db5c1ee458c0ap-3, 0x1.d44a4914c6e5p-3, 0x1.cd440a1c846e1p-3, 0x1.c649bbb372c43p-3, 0x1.bf5bb4064d43p-3, 0x1.b87a45c1d4d58p-3, 0x1.b1a5c01e49db1p-3, 0x1.aade6eeb1f397p-3, 0x1.a4249a9aecc39p-3, 0x1.9d78884f9badfp-3, 0x1.96da79e6bd3c7p-3, 0x1.904aae0621a53p-3, 0x1.89c960288f804p-3, 0x1.8356c8aaa6501p-3, 0x1.7cf31cd7f08a6p-3, 0x1.769e8ef80819bp-3, 0x1.70594e5bea5e3p-3, 0x1.6a23876b5c046p-3, 0x1.63fd63b269e21p-3, 0x1.5de709ef03568p-3, 0x1.57e09e1ea0188p-3, 0x1.51ea418bfa412p-3, 0x1.4c0412dcd3c4cp-3, 0x1.462e2e1fc5996p-3, 0x1.4068acda17a8ep-3, 0x1.3ab3a61598c31p-3, 0x1.350f2e6e803dp-3, 0x1.2f7b582149679p-3, 0x1.29f833188aa0ap-3, 0x1.2485ccfacb82ep-3, 0x1.1f24313852499p-3, 0x1.19d36918e6a69p-3, 0x1.14937bc987667p-3, 0x1.0f646e6a12e2cp-3, 0x1.0a46441ae161cp-3, 0x1.0538fe0a4cfd1p-3, 0x1.003c9b8220e77p-3, 0x1.f6a233e9eff85p-4, 0x1.ececea17071c8p-4, 0x1.e3594d63732e3p-4, 0x1.d9e74e47c4b24p-4, 0x1.d096d9f7238edp-4, 0x1.c767da78ff00ep-4, 0x1.be5a36c27e3ccp-4, 0x1.b56dd2cfb37c6p-4, 0x1.aca28fbc8df59p-4, 0x1.a3f84bdd7e691p-4, 0x1.9b6ee2d7d8d7cp-4, 0x1.93062db9eecbp-4, 0x1.8abe0312d9bf1p-4, 0x1.82963709f771p-4, 0x1.7a8e9b7618113p-4, 0x1.72a6fff45aa7bp-4, 0x1.6adf31feb58e9p-4, 0x1.6336fd022b2f1p-4, 0x1.5bae2a74a9997p-4, 0x1.544481ea90eb6p-4, 0x1.4cf9c92be409ep-4, 0x1.45cdc4491db3fp-4, 0x1.3ec035afad711p-4, 0x1.37d0de3e17f82p-4, 0x1.30ff7d57bcfbdp-4, 0x1.2a4bd0f83f06p-4, 0x1.23b595c69033p-4, 0x1.1d3c87279fbf9p-4, 0x1.16e05f50aab46p-4, 0x1.10a0d7592e733p-4, 0x1.0a7da74c7bea9p-4, 0x1.0476863aedb91p-4, 0x1.fd1654957d3b7p-5, 0x1.f176919101d04p-5, 0x1.e60d2c6e72c09p-5, 0x1.dad98cc0338d1p-5, 0x1.cfdb18c3bc2c5p-5, 0x1.c511357f97542p-5, 0x1.ba7b46e0a6a2bp-5, 0x1.b018afd6ab98dp-5, 0x1.a5e8d27016cf4p-5, 0x1.9beb0ff520e97p-5, 0x1.921ec90229c38p-5, 0x1.88835da1642e8p-5, 0x1.7f182d63cab7fp-5, 0x1.75dc977963d09p-5, 0x1.6ccffac8d174fp-5, 0x1.63f1b606346ep-5, 0x1.5b4127c95de3bp-5, 0x1.52bdaea355968p-5, 0x1.4a66a93336823p-5, 0x1.423b763a60dbap-5, 0x1.3a3b74b006b0ep-5, 0x1.326603d412772p-5, 0x1.2aba83416c74p-5, 0x1.233852ff9d99p-5, 0x1.1bded393d5197p-5, 0x1.14ad6611538a5p-5, 0x1.0da36c2936f9ep-5, 0x1.06c04839b66b6p-5, 0x1.00035d5cc2838p-5, 0x1.f2d81eec29c97p-6, 0x1.e5f3868164e9ap-6, 0x1.d957bcb7b250cp-6, 0x1.cd038eaed2513p-6, 0x1.c0f5cb7f81c57p-6, 0x1.b52d4452255f5p-6, 0x1.a9a8cc7472027p-6, 0x1.9e67396e0bd48p-6, 0x1.936763142d9abp-6, 0x1.88a8239c52c35p-6, 0x1.7e2857adf17a7p-6, 0x1.73e6de7341f8cp-6, 0x1.69e299a921d3cp-6, 0x1.601a6dae0c45fp-6, 0x1.568d41903df39p-6, 0x1.4d39ff1af0777p-6, 0x1.441f92e2cd638p-6, 0x1.3b3cec518cbd1p-6, 0x1.3290fdb0c54b7p-6, 0x1.2a1abc33fd7f5p-6, 0x1.21d92001f69d3p-6, 0x1.19cb243d3ed6bp-6, 0x1.11efc70c0a518p-6, 0x1.0a46099f5ada3p-6, 0x1.02ccf0397e004p-6, 0x1.f7070467b5243p-7, 0x1.e8d19408452a6p-7, 0x1.daf7aa81c6cap-7, 0x1.cd77694aeefb9p-7, 0x1.c04ef82ad7146p-7, 0x1.b37c853e8e728p-7, 0x1.a6fe44fda9337p-7, 0x1.9ad2723dab976p-7, 0x1.8ef74e3476a7dp-7, 0x1.836b2079bd2c4p-7, 0x1.782c37076eap-7, 0x1.6d38e639469afp-7, 0x1.628f88cb6b916p-7, 0x1.582e7fd834d79p-7, 0x1.4e1432d51c215p-7, 0x1.443f0f8ed765fp-7, 0x1.3aad8a24bceecp-7, 0x1.315e1d0358ef9p-7, 0x1.284f48de566f4p-7, 0x1.1f7f94a9b4787p-7, 0x1.16ed8d9253872p-7, 0x1.0e97c6f5e1d1bp-7, 0x1.067cda5a2d2e2p-7, 0x1.fd36cec7c0fap-8, 0x1.ede427996a5ffp-8, 0x1.deff16b23ad84p-8, 0x1.d084ff9add554p-8, 0x1.c27351c522b04p-8, 0x1.b4c788747c594p-8, 0x1.a77f2aa597d17p-8, 0x1.9a97caf52cab4p-8, 0x1.8e0f0786053a6p-8, 0x1.81e289e64a64dp-8, 0x1.761006f426019p-8, 0x1.6a953ec1bbc46p-8, 0x1.5f6ffc788b02dp-8, 0x1.549e163c3e634p-8, 0x1.4a1d6d0cf6689p-8, 0x1.3febeca9174cbp-8, 0x1.36078b6ea0ea6p-8, 0x1.2c6e4a3c1e82ap-8, 0x1.231e345132949p-8, 0x1.1a155f2eca53fp-8, 0x1.1151ea76fe16ap-8, 0x1.08d1ffccaa432p-8, 0x1.0093d2b2c5418p-8, 0x1.f12b40d6f5c16p-9, 0x1.e1ab5fae2c624p-9, 0x1.d2a4a2a5794c6p-9, 0x1.c413bd2e11b19p-9, 0x1.b5f5752cffb51p-9, 0x1.a846a2b7eaba5p-9, 0x1.9b042fd1af4a3p-9, 0x1.8e2b1826e8553p-9, 0x1.81b868ca61f11p-9, 0x1.75a93ff192d77p-9, 0x1.69faccb118b59p-9, 0x1.5eaa4eb9479fbp-9, 0x1.53b51612d99afp-9, 0x1.491882dbbf5e4p-9, 0x1.3ed20504229dp-9, 0x1.34df1c0ba12dep-9, 0x1.2b3d56bec46dap-9, 0x1.21ea52f4c3813p-9, 0x1.18e3bd4d9467fp-9, 0x1.102750f0529fbp-9, 0x1.07b2d74a060c5p-9, 0x1.ff084f9996857p-10, 0x1.ef324f5ed2165p-10, 0x1.dfdf935aacf3ap-10, 0x1.d10c1b8e68de7p-10, 0x1.c2b402078ca5bp-10, 0x1.b4d37a62d64fap-10, 0x1.a766d1503819dp-10, 0x1.9a6a6c17e8317p-10, 0x1.8ddac8208f867p-10, 0x1.81b47a76a41bbp-10, 0x1.75f42f54e3927p-10, 0x1.6a96a9ae0e973p-10, 0x1.5f98c2b7dc2e7p-10, 0x1.54f7697728421p-10, 0x1.4aafa24d71b32p-10, 0x1.40be86879eeebp-10, 0x1.372143ee1567ep-10, 0x1.2dd51c562bd8dp-10, 0x1.24d76534ed28bp-10, 0x1.1c258733415aep-10, 0x1.13bcfdc373859p-10, 0x1.0b9b56b81a70cp-10, 0x1.03be31dc707a6p-10, 0x1.f846811c0f6fap-11, 0x1.e9908aafe78dfp-11, 0x1.db56271eb75f9p-11, 0x1.cd931de2f5daap-11, 0x1.c0435686233dfp-11, 0x1.b362d7e28a3d3p-11, 0x1.a6edc767e230dp-11, 0x1.9ae06862d369ep-11, 0x1.8f371b475da94p-11, 0x1.83ee5cfe1eee3p-11, 0x1.7902c6347dc2p-11, 0x1.6e710aafb006cp-11, 0x1.6435f8a2a1e2fp-11, 0x1.5a4e7806b6b58p-11, 0x1.50b789f7644c6p-11, 0x1.476e4810a32f5p-11, 0x1.3e6fe3d033c52p-11, 0x1.35b9a5f9b072bp-11, 0x1.2d48edfd6d5f3p-11, 0x1.251b31621eaa5p-11, 0x1.1d2dfb31413fbp-11, 0x1.157eeb66418cfp-11, 0x1.0e0bb6605c80ap-11, 0x1.06d224573208cp-11, 0x1.ffa021a40fe4dp-12, 0x1.f206d44367d98p-12, 0x1.e4d461ba4f7acp-12, 0x1.d804eec134ed1p-12, 0x1.cb94c29e8e104p-12, 0x1.bf80462f75fa7p-12, 0x1.b3c402f558c97p-12, 0x1.a85ca228a694p-12, 0x1.9d46ebd078523p-12, 0x1.927fc5df21c77p-12, 0x1.88043353940f2p-12, 0x1.7dd1535f937fep-12, 0x1.73e46092a32b5p-12, 0x1.6a3ab0099cf9fp-12, 0x1.60d1b0a2eaabcp-12, 0x1.57a6ea3746139p-12, 0x1.4eb7fcd6ffa55p-12, 0x1.4602a00bab5e5p-12, 0x1.3d84a21e30dfcp-12, 0x1.353be7612a783p-12, 0x1.2d26697f80a41p-12, 0x1.254236cf36c3dp-12, 0x1.1d8d71a854c28p-12, 0x1.16064fbfe02b7p-12, 0x1.0eab1986d6443p-12, 0x1.077a298d1033ap-12, 0x1.0071ebe80a01cp-12, 0x1.f321bb3ae9222p-13, 0x1.e5ab18231152ep-13, 0x1.d87d28f20e871p-13, 0x1.cb95469dadbd1p-13, 0x1.bef0e79a61a05p-13, 0x1.b28d9ed49ae5p-13, 0x1.a6691ab0f9702p-13, 0x1.9a8124133ee1fp-13, 0x1.8ed39d6be12e8p-13, 0x1.835e81cc14bbfp-13, 0x1.781fe40043381p-13, 0x1.6d15edb0b74c2p-13, 0x1.623ede887514cp-13, 0x1.57990b620f9f8p-13, 0x1.4d22dd7a6ded1p-13, 0x1.42dad1a9509ffp-13, 0x1.38bf779f89efbp-13, 0x1.2ecf712abca3dp-13, 0x1.2509717e92c6ep-13, 0x1.1b6c3c83446f9p-13, 0x1.11f6a6295acf9p-13, 0x1.08a791c289b32p-13, 0x1.fefbe2bf190edp-14, 0x1.ecf18a65d5f6p-14, 0x1.db2e35f0fcfcap-14, 0x1.c9b01ac35d754p-14, 0x1.b875870c7e57p-14, 0x1.a77ce0b329453p-14, 0x1.96c4a448bb9f2p-14, 0x1.864b640504225p-14, 0x1.760fc6ca7573ep-14, 0x1.66108732892e6p-14, 0x1.564c72a217762p-14, 0x1.46c2686576f2cp-14, 0x1.377158d436281p-14, 0x1.2858447c3d2f7p-14, 0x1.19763b542c675p-14, 0x1.0aca5bf4c7ff3p-14, 0x1.f8a7a5b28d874p-15, 0x1.dc23b34ca87e6p-15, 0x1.c0076cef3cbfcp-15, 0x1.a4517667866f4p-15, 0x1.890089cce6dacp-15, 0x1.6e13764144323p-15, 0x1.53891ebd32a93p-15, 0x1.396078e793c84p-15, 0x1.1f988bf86497p-15, 0x1.06306fa667c18p-15, 0x1.da4e963ec80e3p-16, 0x1.a8f8a81557492p-16, 0x1.785d9b2b4b817p-16, 0x1.487c0f141e8d5p-16, 0x1.1952badb64a64p-16, 0x1.d5c0d6ad34ef2p-17, 0x1.7a4803118bb8cp-17, 0x1.2038e22eea00fp-17, 0x1.8f22fb42364eap-18, 0x1.c13ffa038f61fp-19, 0x1.a72aab007de45p-21, -0x1.d040eddf833f8p-20, -0x1.1a43c5e2364b8p-18, -0x1.bdb82f7741a41p-18, -0x1.2f381bc42621fp-17, -0x1.7e373db3092b9p-17, -0x1.cbdabd3947c21p-17, -0x1.0c11e67ff7ac4p-16, -0x1.3189ca3f6a40dp-16, -0x1.565598ddb4f7dp-16, -0x1.7a75dd7840239p-16, -0x1.9deb200fd2af8p-16, -0x1.c0b5e64672bc7p-16, -0x1.e2d6b412d4e73p-16, -0x1.02270634dbf2cp-15, -0x1.128e38eebcc9dp-15, -0x1.22a1339a24717p-15, -0x1.326037faa0857p-15, -0x1.41cb887660119p-15, -0x1.50e3685424ebep-15, -0x1.5fa81bf526b66p-15, -0x1.6e19e90b01d31p-15, -0x1.7c3916c9e6e6dp-15, -0x1.8a05ee17213f2p-15, -0x1.9780b9b41efcap-15, -0x1.a4a9c6661c832p-15, -0x1.b181631a90b9ep-15, -0x1.be07e1087ff1fp-15, -0x1.ca3d93cecf061p-15, -0x1.d622d18fbc88fp-15, -0x1.e1b7f30996591p-15, -0x1.ecfd53accf43fp-15, -0x1.f7f351af8b102p-15, -0x1.014d270f61f09p-14, -0x1.067956768d1f7p-14, -0x1.0b7e6a7fb95a6p-14, -0x1.105c981bb957ep-14, -0x1.151415bdfeb1dp-14, -0x1.19a51b5fde7c2p-14, -0x1.1e0fe282ee5f9p-14, -0x1.2254a6327ee6ep-14, -0x1.2673a3044363bp-14, -0x1.2a6d17182cd2ep-14, -0x1.2e41421786b27p-14, -0x1.31f065335bbd9p-14, -0x1.357ac3222ecb9p-14, -0x1.38e0a01d0fc1ep-14, -0x1.3c2241dc153c6p-14, -0x1.3f3fef9245bc5p-14, -0x1.4239f1e8f5c53p-14, -0x1.451092faa4734p-14, -0x1.47c41e4d6074dp-14, -0x1.4a54e0ccb7bdp-14, -0x1.4cc328c33f458p-14, -0x1.4f0f45d3b5929p-14, -0x1.513988f1c8706p-14, -0x1.5342445a854dfp-14, -0x1.5529cb8c78e28p-14, -0x1.56f0733f846dap-14, -0x1.5896915c70abep-14, -0x1.5a1c7cf440a9bp-14, -0x1.5b828e374d1aep-14, -0x1.5cc91e6c2c5a1p-14, -0x1.5df087e669c53p-14, -0x1.5ef925fd165eap-14, -0x1.5fe3550132e13p-14, -0x1.60af7233f8ddp-14, -0x1.615ddbbd09872p-14, -0x1.61eef0a0823c3p-14, -0x1.626310b4ff5b8p-14, -0x1.62ba9c998c945p-14, -0x1.62f5f5ab8a91fp-14, -0x1.63157dfc897cfp-14, -0x1.631998481fe15p-14, -0x1.6302a7e9bc8a9p-14, -0x1.62d110d27b125p-14, -0x1.6285377ef9561p-14, -0x1.621f80ed3564bp-14, -0x1.61a0529271b99p-14, }}, 
      {{0x1.24197651d3fa1p-6, 0x1.232d973222ac2p-5, 0x1.b28667e50ac54p-5, 0x1.1faa5f9dfd5c6p-4, 0x1.647a7a4f4e1f4p-4, 0x1.a771e14e4ece2p-4, 0x1.e85ed3b172a0cp-4, 0x1.138f37741fef8p-3, 0x1.31cda1786d673p-3, 0x1.4ee5d948484f3p-3, 0x1.6ad8219d22c1dp-3, 0x1.85a8fa2585ab9p-3, 0x1.9f605657dae5p-3, 0x1.b808e3f8f5575p-3, 0x1.cfaf63b51176cp-3, 0x1.e66214b2f391cp-3, 0x1.fc30330c0cebp-3, 0x1.0894c437bcfe6p-2, 0x1.12af06e795e15p-2, 0x1.1c6ece5e11d5cp-2, 0x1.25dbd77d7ac43p-2, 0x1.2efd9569ae0d1p-2, 0x1.37db1d5293019p-2, 0x1.407b172ee41e8p-2, 0x1.48e3b2c023cc8p-2, 0x1.511aa04566ccfp-2, 0x1.59250c502d689p-2, 0x1.61079e3c0fe32p-2, 0x1.68c678d75807ep-2, 0x1.70653cd744d7ep-2, 0x1.77e70cbeb9d21p-2, 0x1.7f4e91e9199c5p-2, 0x1.869e027550fabp-2, 0x1.8dd727d6575d9p-2, 0x1.94fb65d6d4058p-2, 0x1.9c0bc1e525e1dp-2, 0x1.a308ea83cd2d9p-2, 0x1.a9f33ec026a6ap-2, 0x1.b0cad596c70eap-2, 0x1.b78f853153212p-2, 0x1.be40e9edc98bbp-2, 0x1.c4de6d22b847fp-2, 0x1.cb674b96d079ep-2, 0x1.d1da9ba4f9997p-2, 0x1.d837530821a57p-2, 0x1.de7c4c4bf603bp-2, 0x1.e4a84be136cebp-2, 0x1.eaba04d5a17bep-2, 0x1.f0b01d3079dc1p-2, 0x1.f68931f599a42p-2, 0x1.fc43dad190f7ap-2, 0x1.00ef56b8f6b38p-1, 0x1.03ac204690c67p-1, 0x1.0657974ee0c0ap-1, 0x1.08f10c2a8957fp-1, 0x1.0b77d36471becp-1, 0x1.0deb46b068e08p-1, 0x1.104ac5c3810f3p-1, 0x1.1295b7102aaa3p-1, 0x1.14cb8867fef0bp-1, 0x1.16ebaf852876ap-1, 0x1.18f5aa7d39e25p-1, 0x1.1ae9001f382bep-1, 0x1.1cc5403e875fcp-1, 0x1.1e8a03ec50462p-1, 0x1.2036eda0e5eb5p-1, 0x1.21cba956925b3p-1, 0x1.2347ec97294e9p-1, 0x1.24ab767d9b782p-1, 0x1.25f60facbd6d4p-1, 0x1.27278a3c5694bp-1, 0x1.283fc19d81888p-1, 0x1.293e9a774e7c8p-1, 0x1.2a24027c89f2p-1, 0x1.2aeff03b77bfp-1, 0x1.2ba262e8453eap-1, 0x1.2c3b6222e0d4cp-1, 0x1.2cbafdb8de1c5p-1, 0x1.2d214d63fb68fp-1, 0x1.2d6e7085d2ecap-1, 0x1.2da28de137edcp-1, 0x1.2dbdd351b0dd7p-1, 0x1.2dc075817cb19p-1, 0x1.2daaaf9e7f36p-1, 0x1.2d7cc30e71593p-1, 0x1.2d36f722a1c3ap-1, 0x1.2cd998cb8f637p-1, 0x1.2c64fa4ca1e0dp-1, 0x1.2bd972f0379cap-1, 0x1.2b375ebc41f67p-1, 0x1.2a7f1e279d5dep-1, 0x1.29b115d053261p-1, 0x1.28cdae32e7d91p-1, 0x1.27d55362dba5bp-1, 0x1.26c874c4789dcp-1, 0x1.25a784c80ae93p-1, 0x1.2472f8a69924fp-1, 0x1.232b48202fd67p-1, 0x1.21d0ed3bd5b93p-1, 0x1.2064640931412p-1, 0x1.1ee62a63f009p-1, 0x1.1d56bfb8f8f7ap-1, 0x1.1bb6a4cd6fb5dp-1, 0x1.1a065b8792784p-1, 0x1.184666b972564p-1, 0x1.167749ed8cfdfp-1, 0x1.14998935478e2p-1, 0x1.12ada8f9489b3p-1, 0x1.10b42dcbb4722p-1, 0x1.0ead9c3c45731p-1, 0x1.0c9a78ae3fa0fp-1, 0x1.0a7b47303976ap-1, 0x1.08508b55b7965p-1, 0x1.061ac81292cp-1, 0x1.03da7f9823702p-1, 0x1.019033342badp-1, 0x1.fe78c662ef821p-2, 0x1.f9bf1d745c5e8p-2, 0x1.f4f46777898a2p-2, 0x1.f0199d9929b15p-2, 0x1.eb2fb62605a95p-2, 0x1.e637a45c640e4p-2, 0x1.e132584072fadp-2, 0x1.dc20be73a3221p-2, 0x1.d703c00edac9cp-2, 0x1.d1dc427f76f87p-2, 0x1.ccab2766f9da9p-2, 0x1.c7714c7d5d221p-2, 0x1.c22f8b75ebcb4p-2, 0x1.bce6b9e6921e3p-2, 0x1.b797a9319337dp-2, 0x1.b243267183fe9p-2, 0x1.ace9fa6786ad2p-2, 0x1.a78ce96ba666p-2, 0x1.a22cb35f428cp-2, 0x1.9cca13a17846cp-2, 0x1.9765c1057668cp-2, 0x1.92006dcaa0e41p-2, 0x1.8c9ac7967b70bp-2, 0x1.873577704335cp-2, 0x1.81d121be2025bp-2, 0x1.7c6e6643e773dp-2, 0x1.770de023505bbp-2, 0x1.71b025dd949f4p-2, 0x1.6c55c956625a9p-2, 0x1.66ff57d8150dbp-2, 0x1.61ad5a1922f49p-2, 0x1.5c605442ac339p-2, 0x1.5718c5f821bb9p-2, 0x1.51d72a5fed766p-2, 0x1.4c9bf82d13d2cp-2, 0x1.4767a1a9bb544p-2, 0x1.423a94c28cf61p-2, 0x1.3d153b12e180ep-2, 0x1.37f7f9f1acdfdp-2, 0x1.32e3327f1b93fp-2, 0x1.2dd741b2d271ap-2, 0x1.28d4806acbd13p-2, 0x1.23db437abbc4ap-2, 0x1.1eebdbbbfd14ep-2, 0x1.1a06961dedf4dp-2, 0x1.152bbbb6be9d3p-2, 0x1.105b91d49e06ap-2, 0x1.0b965a0f41ae1p-2, 0x1.06dc5259b8fe8p-2, 0x1.022db5148a2d1p-2, 0x1.fb15724011658p-3, 0x1.f1e723ddc1fabp-3, 0x1.e8d0df31a49cap-3, 0x1.dfd2fddb1954p-3, 0x1.d6edd30f53361p-3, 0x1.ce21abbf7f93p-3, 0x1.c56ecebf04e42p-3, 0x1.bcd57ce9d7b81p-3, 0x1.b455f14ad7894p-3, 0x1.abf061421f439p-3, 0x1.a3a4fcab4ec11p-3, 0x1.9b73ee03af552p-3, 0x1.935d5a903d129p-3, 0x1.8b6162837988ep-3, 0x1.838021230b7d6p-3, 0x1.7bb9aced1f4eap-3, 0x1.740e17bd7ad1cp-3, 0x1.6c7d6ef2490fp-3, 0x1.6507bb908a835p-3, 0x1.5dad02682ac88p-3, 0x1.566d4437b115ap-3, 0x1.4f487dcf8e3b9p-3, 0x1.483ea834f5a42p-3, 0x1.414fb8c4469bbp-3, 0x1.3a7ba152fedb5p-3, 0x1.33c2505132cf3p-3, 0x1.2d23b0ea810a5p-3, 0x1.269fab2689b45p-3, 0x1.20362408dafcdp-3, 0x1.19e6fdb056f9bp-3, 0x1.13b217760daa8p-3, 0x1.0d974e0b887c5p-3, 0x1.07967b98882f7p-3, 0x1.01af77d82e161p-3, 0x1.f7c4306b28605p-4, 0x1.ec5c5fcfa13f3p-4, 0x1.e127201acaad2p-4, 0x1.d6240f8e29ebdp-4, 0x1.cb52c8a4541b4p-4, 0x1.c0b2e2443583fp-4, 0x1.b643eff33f673p-4, 0x1.ac05820663b4fp-4, 0x1.a1f725d1d0943p-4, 0x1.981865d79a5c1p-4, 0x1.8e68c9f52424cp-4, 0x1.84e7d78f6260ap-4, 0x1.7b9511bdf5e93p-4, 0x1.726ff9751c822p-4, 0x1.69780dae7c73p-4, 0x1.60accb90ca574p-4, 0x1.580dae964f4cp-4, 0x1.4f9a30b24f222p-4, 0x1.4751ca7553545p-4, 0x1.3f33f3305ba27p-4, 0x1.37402116fb017p-4, 0x1.2f75c96060588p-4, 0x1.27d4606750804p-4, 0x1.205b59c917248p-4, 0x1.190a28836c121p-4, 0x1.11e03f115914ap-4, 0x1.0add0f871d0c4p-4, 0x1.04000bad15349p-4, 0x1.fa914a3359915p-5, 0x1.ed6c9a94b7fddp-5, 0x1.e090eb776b4d8p-5, 0x1.d3fd200115995p-5, 0x1.c7b01bb05086ap-5, 0x1.bba8c287621dep-5, 0x1.afe5f93539d4p-5, 0x1.a466a53cb83b8p-5, 0x1.9929ad1a4f17dp-5, 0x1.8e2df86800807p-5, 0x1.83726fffc6ef8p-5, 0x1.78f5fe1c706eap-5, 0x1.6eb78e78f175fp-5, 0x1.64b60e6e3ef75p-5, 0x1.5af06d0fb42a7p-5, 0x1.51659b460ce38p-5, 0x1.48148be9006ccp-5, 0x1.3efc33d782dcap-5, 0x1.361b8a0eb82c5p-5, 0x1.2d7187bf9dfa5p-5, 0x1.24fd28637ac0ap-5, 0x1.1cbd69cf14419p-5, 0x1.14b14c44bb3cap-5, 0x1.0cd7d28530a5ap-5, 0x1.053001df72165p-5, 0x1.fb71c47eda40ep-6, 0x1.ece2fc775a685p-6, 0x1.deb1c643ff104p-6, 0x1.d0dc4206416eep-6, 0x1.c360957ae60dp-6, 0x1.b63cec0d94a8cp-6, 0x1.a96f76eaa2792p-6, 0x1.9cf66d0f2bad9p-6, 0x1.90d00b57751f2p-6, 0x1.84fa948bbce7ep-6, 0x1.7974516b738aap-6, 0x1.6e3b90b6f91d2p-6, 0x1.634ea737e84eap-6, 0x1.58abefc7f707ep-6, 0x1.4e51cb5685466p-6, 0x1.443ea0ecdc4eep-6, 0x1.3a70ddb12fcecp-6, 0x1.30e6f4e86fb33p-6, 0x1.279f5ff6f10bep-6, 0x1.1e989e5ffe283p-6, 0x1.15d135c456603p-6, 0x1.0d47b1dfb08abp-6, 0x1.04faa4853e022p-6, 0x1.f9d14b368f1e1p-7, 0x1.ea20a62bbffc4p-7, 0x1.dae0a1e18fa88p-7, 0x1.cc0e9250f62d3p-7, 0x1.bda7d7650227fp-7, 0x1.afa9dce9f2841p-7, 0x1.a2121a7b06e28p-7, 0x1.94de136ee37e2p-7, 0x1.880b56c2c94b9p-7, 0x1.7b977f0499e16p-7, 0x1.6f80323bbdae3p-7, 0x1.63c321d103009p-7, 0x1.585e0a7574793p-7, 0x1.4d4eb4084ce67p-7, 0x1.4292f17c0961ap-7, 0x1.3828a0baa5ecep-7, 0x1.2e0daa891de65p-7, 0x1.2440026a338d5p-7, 0x1.1abda6809031ep-7, 0x1.11849f704927dp-7, 0x1.0893003fd6292p-7, 0x1.ffcdcc7105717p-8, 0x1.eefcf18cd32b4p-8, 0x1.deafd2b003f6p-8, 0x1.cee2e67a9549p-8, 0x1.bf92b70d3b697p-8, 0x1.b0bbe1c66b4e7p-8, 0x1.a25b16fedd6a5p-8, 0x1.946d19c5976a5p-8, 0x1.86eebf9b9372bp-8, 0x1.79dcf02f12a13p-8, 0x1.6d34a516aa098p-8, 0x1.60f2e98c1fd79p-8, 0x1.5514da27207a3p-8, 0x1.4997a497dd90ap-8, 0x1.3e788761a6ef8p-8, 0x1.33b4d195859d7p-8, 0x1.2949e28cea846p-8, 0x1.1f3529a478b85p-8, 0x1.157425f6f9ae3p-8, 0x1.0c046618880ebp-8, 0x1.02e387d1f4847p-8, 0x1.f41e6fb8f0747p-9, 0x1.e30a633b6c527p-9, 0x1.d2867dc834d54p-9, 0x1.c28e6f4736fabp-9, 0x1.b31e0365d213ap-9, 0x1.a43121121c1bbp-9, 0x1.95c3c9f71dc2ep-9, 0x1.87d219fa104c4p-9, 0x1.7a5846b8af453p-9, 0x1.6d529f08a3b62p-9, 0x1.60bd8a781da1p-9, 0x1.549588cf9d7e2p-9, 0x1.48d73194f989bp-9, 0x1.3d7f338faf34cp-9, 0x1.328a544e7dea7p-9, 0x1.27f56fae5ffc1p-9, 0x1.1dbd7762ddc47p-9, 0x1.13df727fc7647p-9, 0x1.0a587d045d8afp-9, 0x1.0125c767e796cp-9, 0x1.f0892c4f8c8f6p-10, 0x1.df6482adf7553p-10, 0x1.ced8685e736cfp-10, 0x1.bedfd946de4e1p-10, 0x1.af75f5e7bbb09p-10, 0x1.a096028775449p-10, 0x1.923b6660b1ec3p-10, 0x1.8461aad3c8f7fp-10, 0x1.77047a9b53a71p-10, 0x1.6a1fa103e04b2p-10, 0x1.5daf0926cef1dp-10, 0x1.51aebd284a118p-10, 0x1.461ae5786319fp-10, 0x1.3aefc81763cdbp-10, 0x1.3029c7dd2ab9dp-10, 0x1.25c563c3bfd79p-10, 0x1.1bbf3634fd4dfp-10, 0x1.1213f45b57983p-10, 0x1.08c06d75c62edp-10, 0x1.ff83145d7e2b6p-11, 0x1.ee2897ec89ef5p-11, 0x1.dd6b98be0f9f8p-11, 0x1.cd4678fd1e3ccp-11, 0x1.bdb3c8a0d28cbp-11, 0x1.aeae4438b5c79p-11, 0x1.a030d3bf11de6p-11, 0x1.923689712d9ccp-11, 0x1.84baa0ad652a3p-11, 0x1.77b87cd70f624p-11, 0x1.6b2ba84024f9cp-11, 0x1.5f0fd318993b2p-11, 0x1.5360d26355f0ap-11, 0x1.481a9ef0cb2c3p-11, 0x1.3d39545f04bd6p-11, 0x1.32b9301f31113p-11, 0x1.289690808fcdp-11, 0x1.1ecdf3c0b12cfp-11, 0x1.155bf720f915bp-11, 0x1.0c3d560152b65p-11, 0x1.036ee900056a1p-11, 0x1.f5db4a3d2cb8bp-12, 0x1.e56d35d74fb01p-12, 0x1.d58deb6385cb9p-12, 0x1.c637f555f10ecp-12, 0x1.b76610729768fp-12, 0x1.a9132a4797ffdp-12, 0x1.9b3a5fb0aa616p-12, 0x1.8dd6fb63b6f7ep-12, 0x1.80e474866cd59p-12, 0x1.745e6d4ca841p-12, 0x1.6840b19f8c48dp-12, 0x1.5c8735cd24972p-12, 0x1.512e15406c621p-12, 0x1.4631914196e79p-12, 0x1.3b8e0fbe732a2p-12, 0x1.31401a1ac602fp-12, 0x1.27445c0876804p-12, 0x1.1d97a26767a2ep-12, 0x1.1436da2cddb3dp-12, 0x1.0b1f0f5244dc6p-12, 0x1.024d6bcb3e6e5p-12, 0x1.f37e6d058ec16p-13, 0x1.e2e3a4beb572cp-13, 0x1.d2c57a9bdef0cp-13, 0x1.c31f1ea74659fp-13, 0x1.b3ebf34bfd7d2p-13, 0x1.a5278b9348a3fp-13, 0x1.96cda96ea3283p-13, 0x1.88da3c0e10f35p-13, 0x1.7b495e428fdfbp-13, 0x1.6e1754ec57049p-13, 0x1.61408d74aec71p-13, 0x1.54c19c531d3d5p-13, 0x1.48973b9d9d06fp-13, 0x1.3cbe49a3b7dfdp-13, 0x1.3133c7943129p-13, 0x1.25f4d82d07a8fp-13, 0x1.1afebe759cf8dp-13, 0x1.104edc82bb76bp-13, 0x1.05e2b24447658p-13, 0x1.f76fb8b8af5ap-14, 0x1.e39825ff1d2ebp-14, 0x1.d03a51bccdc86p-14, 0x1.bd52142e95b6ap-14, 0x1.aadb766273d7ep-14, 0x1.98d2b03d98f62p-14, 0x1.87342692a9822p-14, 0x1.75fc6947f49c8p-14, 0x1.6528318d1e8b2p-14, 0x1.54b4601fe797cp-14, 0x1.449dfb9fa8d7bp-14, 0x1.34e22eef2848ep-14, 0x1.257e47a462fdfp-14, 0x1.166fb485f28d6p-14, 0x1.07b40415af5f4p-14, 0x1.f291c6506fe0ap-15, 0x1.d6583712092e8p-15, 0x1.bab725555fc4cp-15, 0x1.9faa90c64162p-15, 0x1.852eab66825d5p-15, 0x1.6b3fd733e2879p-15, 0x1.51daa3e3cb856p-15, 0x1.38fbccb448a95p-15, 0x1.20a03651a044dp-15, 0x1.08c4eccff9fe8p-15, 0x1.e2ce4370f38f5p-16, 0x1.b50854528c56dp-16, 0x1.8832fa0fca571p-16, 0x1.5c49628ade162p-16, 0x1.3146f8680a384p-16, 0x1.07275fda24dbcp-16, 0x1.bbcce71f3b8b2p-17, 0x1.6b00837e2a2dcp-17, 0x1.1be212a506a67p-17, 0x1.9cd4dcc022a96p-18, 0x1.05258e7ddcb64p-18, 0x1.c2a4fcbae6658p-20, -0x1.05639422ac9ecp-21, -0x1.5dceae36a15c5p-19, -0x1.3a12b70085ad8p-18, -0x1.c2395ae82be61p-18, -0x1.23b2c9e8b405bp-17, -0x1.64d0a155ed4e6p-17, -0x1.a47aefd25cb5p-17, -0x1.e2b6408f32472p-17, -0x1.0fc378955d897p-16, -0x1.2d789a6d75638p-16, -0x1.4a7c8bb8ba47ap-16, -0x1.66d1401d4e519p-16, -0x1.82789a5c12854p-16, -0x1.9d746d9ccb7d8p-16, -0x1.b7c67ea9900b5p-16, -0x1.d170851a1635fp-16, -0x1.ea742c6f80056p-16, -0x1.01698a90942ccp-15, -0x1.0d476acd872a8p-15, -0x1.18d47d972bd93p-15, -0x1.2411857a3dc89p-15, -0x1.2eff4152c8d6p-15, -0x1.399e6cb121502p-15, -0x1.43efc038ecc53p-15, -0x1.4df3f1fa723fp-15, -0x1.57abb5c67041bp-15, -0x1.6117bd7cac11bp-15, -0x1.6a38b9557610cp-15, -0x1.730f582650f2fp-15, -0x1.7b9c47a1f3a48p-15, -0x1.83e03493d8ac9p-15, -0x1.8bdbcb1783c45p-15, -0x1.938fb6cbb579bp-15, -0x1.9afca301b4244p-15, -0x1.a2233ae8d5671p-15, -0x1.a90429b677cf8p-15, -0x1.afa01aca8f82cp-15, -0x1.b5f7b9d0f1931p-15, -0x1.bc0bb2df825fcp-15, -0x1.c1dcb2916e462p-15, -0x1.c76b661f8d6b8p-15, -0x1.ccb87b76192e9p-15, -0x1.d1c4a147cf595p-15, -0x1.d690871eac272p-15, -0x1.db1cdd6a50035p-15, -0x1.df6a558c36d64p-15, -0x1.e379a1e1dd55ep-15, -0x1.e74b75cceb0ddp-15, -0x1.eae085b983b44p-15, -0x1.ee398722d4b25p-15, -0x1.f1573095fa9cep-15, -0x1.f43a39b35609bp-15, -0x1.f6e35b2e672bdp-15, -0x1.f9534ecc48b74p-15, -0x1.fb8acf60dd23fp-15, -0x1.fd8a98cac3363p-15, -0x1.ff5367ee29efbp-15, -0x1.0072fd5749578p-14, -0x1.012187f3caa71p-14, -0x1.01b5b3b25d36dp-14, -0x1.022fe0ec3cfcap-14, -0x1.02907069387ecp-14, -0x1.02d7c35a6db64p-14, -0x1.03063b54b2a27p-14, -0x1.031c3a4aaec6bp-14, -0x1.031a2286addcfp-14, -0x1.030056a431519p-14, -0x1.02cf398948d22p-14, -0x1.02872e5fb4a38p-14, -0x1.0228988ddb787p-14, -0x1.01b3dbaf96dap-14, -0x1.01295b8edb87dp-14, -0x1.00897c1c447c2p-14, -0x1.ffa942cf068bbp-15, -0x1.fe165f2f76fbp-15, -0x1.fc5b15c79dd3fp-15, -0x1.fa782f15361bdp-15, -0x1.f86e73965ea4cp-15, -0x1.f63eabb9fca87p-15, -0x1.f3e99fd01b812p-15, -0x1.f17017fa4f44ap-15, -0x1.eed2dc1c23fb5p-15, -0x1.ec12b3cb9a87fp-15, -0x1.e9306641bf80ap-15, -0x1.e62cba4b58019p-15, -0x1.e3087639b455p-15, -0x1.dfc45fd3a4784p-15, -0x1.dc613c4696c93p-15, -0x1.d8dfd017e4d05p-15, -0x1.d540df1651684p-15, -0x1.d1852c4bbb22p-15, -0x1.cdad79ef084f4p-15, -0x1.c9ba89564e7eep-15, -0x1.c5ad1ae937398p-15, -0x1.c185ee13a81d7p-15, -0x1.bd45c138ab1c8p-15, -0x1.b8ed51a59fdd3p-15, -0x1.b47d5b85b300fp-15, -0x1.aff699d59eea8p-15, -0x1.ab59c657b99e3p-15, -0x1.a6a799884d927p-15, -0x1.a1e0ca92410bap-15, -0x1.9d060f440c5f3p-15, -0x1.98181c050313fp-15, -0x1.9317a3cae964cp-15, -0x1.8e05580fe0f31p-15, -0x1.88e1e8c8a2effp-15, -0x1.83ae045b122e3p-15, -0x1.7e6a57951b07p-15, -0x1.79178da3eb83ap-15, -0x1.73b6500b7d506p-15, -0x1.6e47469e7230fp-15, -0x1.68cb1776457bfp-15, -0x1.634266ebd0d06p-15, -0x1.5dadd79023a95p-15, -0x1.580e0a25acb9bp-15, -0x1.52639d99b8ac8p-15, -0x1.4caf2efe3e5a8p-15, -0x1.46f1598400079p-15, -0x1.412ab674fb2abp-15, -0x1.3b5bdd2f29a2dp-15, -0x1.3585631f8f4dap-15, -0x1.2fa7dbbd9a7b7p-15, -0x1.29c3d886ccce8p-15, -0x1.23d9e8fab4cebp-15, -0x1.1dea9a9730fcap-15, -0x1.17f678d4fc648p-15, -0x1.11fe0d24896p-15, -0x1.0c01deeb1d8dfp-15, -0x1.060273803dc64p-15, -0x1.00004e2b574d9p-15, -0x1.f3f7e0436cfddp-16, -0x1.e7ebb109756a6p-16, -0x1.dbdd08c0a034dp-16, -0x1.cfccdd535558cp-16, -0x1.c3bc207c82c7ep-16, -0x1.b7abbfc60c7dep-16, -0x1.ab9ca487bd91p-16, -0x1.9f8fb3e6af6eep-16, -0x1.9385ced524644p-16, -0x1.877fd212d9c23p-16, -0x1.7b7e962dc78a7p-16, -0x1.6f82ef83513d4p-16, -0x1.638dae41ddb1ep-16, -0x1.579f9e6adc763p-16, }}, 
      {{-0x1.5614eebe063c5p-1, -0x1.56468ee480f37p-1, -0x1.5691b9701ecf8p-1, -0x1.56eddec95e6f5p-1, -0x1.5751e94d2f705p-1, -0x1.57b52069c8978p-1, -0x1.580fb0840373p-1, -0x1.585af362c4e9cp-1, -0x1.58918d4a76b31p-1, -0x1.58af6d580f446p-1, -0x1.58b1bb89c0d14p-1, -0x1.5896bbdad5ef1p-1, -0x1.585daba010be4p-1, -0x1.58069cb3ffeabp-1, -0x1.579250d6c60f9p-1, -0x1.570216cccda6bp-1, -0x1.5657aa2d9894cp-1, -0x1.55951666c501dp-1, -0x1.54bc9d2b65b53p-1, -0x1.53d0a053e8fa7p-1, -0x1.52d38f105cb5cp-1, -0x1.51c7d639140c6p-1, -0x1.50afd37ce9fe2p-1, -0x1.4f8dcb25f6e94p-1, -0x1.4e63e02ba92d3p-1, -0x1.4d340e4a43ca8p-1, -0x1.4c0025daf1151p-1, -0x1.4ac9c92bf9b89p-1, -0x1.49926b1dd1579p-1, -0x1.485b4ecf1d1c9p-1, -0x1.47258827698e7p-1, -0x1.45f1fd15a7bf7p-1, -0x1.44c1675cbad06p-1, -0x1.439456cd3a12cp-1, -0x1.426b33d0058eep-1, -0x1.4146422965d46p-1, -0x1.4025a3e0246bdp-1, -0x1.3f095c375951p-1, -0x1.3df152aca19f8p-1, -0x1.3cdd55ef06004p-1, -0x1.3bcd1ec5260d2p-1, -0x1.3ac052db317f5p-1, -0x1.39b68772f3871p-1, -0x1.38af43f1a3b14p-1, -0x1.37aa044876841p-1, -0x1.36a63b35ed3adp-1, -0x1.35a3545ec92dcp-1, -0x1.34a0b63e3d4c8p-1, -0x1.339dc3ed92e35p-1, -0x1.3299dec3f1963p-1, -0x1.319467cf53ff4p-1, -0x1.308cc1280a894p-1, -0x1.2f824f205974p-1, -0x1.2e747951ef4f1p-1, -0x1.2d62ab8b0e3fap-1, -0x1.2c4c569d4ac1p-1, -0x1.2b30f10fd45ecp-1, -0x1.2a0ff7b734fdcp-1, -0x1.28e8ee3472d81p-1, -0x1.27bb5f5d74569p-1, -0x1.2686dd9075562p-1, -0x1.254b02f45115ap-1, -0x1.240771a74cf32p-1, -0x1.22bbd3ddfa921p-1, -0x1.2167dbf3b8d6dp-1, -0x1.200b446e3dadep-1, -0x1.1ea5cff581dd6p-1, -0x1.1d3749414e9e1p-1, -0x1.1bbf82fd9d8c4p-1, -0x1.1a3e57a6da4cdp-1, -0x1.18b3a95f10dc4p-1, -0x1.171f61bcf3d37p-1, -0x1.15817195956fdp-1, -0x1.13d9d0c1a4b7cp-1, -0x1.12287ddee30cap-1, -0x1.106d7e0e7facp-1, -0x1.0ea8dcb0f3eefp-1, -0x1.0cdaab1feeffcp-1, -0x1.0b030066cf3e5p-1, -0x1.0921f8fa204b9p-1, -0x1.0737b66e85bf5p-1, -0x1.05445f2f6f551p-1, -0x1.03481e35ee4cdp-1, -0x1.014322bff573bp-1, -0x1.fe6b40108dca1p-2, -0x1.fa3f99fe98ddp-2, -0x1.f603c80a1cf92p-2, -0x1.f1b84548e9523p-2, -0x1.ed5d929ffc342p-2, -0x1.e8f4364017b7bp-2, -0x1.e47cbb25c13b5p-2, -0x1.dff7b09cdab1dp-2, -0x1.db65a9c7f6c15p-2, -0x1.d6c73d2b941e8p-2, -0x1.d21d043d537efp-2, -0x1.cd679af73c5c7p-2, -0x1.c8a79f6f21b0ep-2, -0x1.c3ddb1722e253p-2, -0x1.bf0a72249ac68p-2, -0x1.ba2e83a592e5fp-2, -0x1.b54a88b73e89bp-2, -0x1.b05f246af28e1p-2, -0x1.ab6cf9d1738ep-2, -0x1.a674abaf45da5p-2, -0x1.a176dc34fb8c2p-2, -0x1.9c742cbb69d3dp-2, -0x1.976d3d83b9a4cp-2, -0x1.9262ad7b3cde6p-2, -0x1.8d551a02eee1dp-2, -0x1.88451eba8fdd7p-2, -0x1.8333554f3f894p-2, -0x1.7e20554d7cf14p-2, -0x1.790cb3f677837p-2, -0x1.73f9041894597p-2, -0x1.6ee5d5eb0c09ep-2, -0x1.69d3b6ec8940fp-2, -0x1.64c331c4afef8p-2, -0x1.5fb4ce286d66fp-2, -0x1.5aa910c0f930dp-2, -0x1.55a07b156caf9p-2, -0x1.509b8b76d957fp-2, -0x1.4b9abceebeb9dp-2, -0x1.469e872fc908ep-2, -0x1.41a75e88c309cp-2, -0x1.3cb5b3d998a33p-2, -0x1.37c9f48a5c02dp-2, -0x1.32e48a842fdb8p-2, -0x1.2e05dc2bfdadbp-2, -0x1.292e4c5ee680ep-2, -0x1.245e3a7051079p-2, -0x1.1f9602298559p-2, -0x1.1ad5fbcabcbdbp-2, -0x1.161e7c0d9072ap-2, -0x1.116fd428b6ad8p-2, -0x1.0cca51d4f7727p-2, -0x1.082e3f534491p-2, -0x1.039be373e643cp-2, -0x1.fe27033d5313fp-3, -0x1.f52ab3b7f47aap-3, -0x1.ec4351bdbbca4p-3, -0x1.e371501f7e029p-3, -0x1.dab51b2fe3dc6p-3, -0x1.d20f18dbdd162p-3, -0x1.c97fa8c4522bcp-3, -0x1.c1072458fa169p-3, -0x1.b8a5def445207p-3, -0x1.b05c25f82d4bp-3, -0x1.a82a40ebefdp-3, -0x1.a010719a7af2ep-3, -0x1.980ef43193a9ap-3, -0x1.9025ff618b867p-3, -0x1.8855c47d79b1fp-3, -0x1.809e6f9be55d2p-3, -0x1.790027b7caccfp-3, -0x1.717b0ed1e886ap-3, -0x1.6a0f42124d93bp-3, -0x1.62bcd9ea0932p-3, -0x1.5b83ea34fb107p-3, -0x1.5464825bae18fp-3, -0x1.4d5ead75341c2p-3, -0x1.46727268efe54p-3, -0x1.3f9fd4104b131p-3, -0x1.38e6d158453c9p-3, -0x1.32476562d0f2bp-3, -0x1.2bc187a7fa38cp-3, -0x1.25552c16cda8p-3, -0x1.1f024335ece41p-3, -0x1.18c8ba43d5a7dp-3, -0x1.12a87b56ce38bp-3, -0x1.0ca16d7c6aef7p-3, -0x1.06b374d8b5a39p-3, -0x1.00de72c4dad19p-3, -0x1.f6448bdae335ap-4, -0x1.eafd94e0789cdp-4, -0x1.dfe7b3f2fb46p-4, -0x1.d50297c176165p-4, -0x1.ca4dea8a1b232p-4, -0x1.bfc95251b35p-4, -0x1.b574711a19645p-4, -0x1.ab4ee51781441p-4, -0x1.a15848e4b03d7p-4, -0x1.979033b618decp-4, -0x1.8df6398bbc9a5p-4, -0x1.8489eb61fe7fp-4, -0x1.7b4ad7613ee8dp-4, -0x1.7238890c5194ep-4, -0x1.6952896dc957ep-4, -0x1.60985f4415f2fp-4, -0x1.58098f2c79211p-4, -0x1.4fa59bccced05p-4, -0x1.476c05fc2c942p-4, -0x1.3f5c4cea576dep-4, -0x1.3775ee4612ebp-4, -0x1.2fb866624a1e3p-4, -0x1.2823305a16537p-4, -0x1.20b5c633a4334p-4, -0x1.196fa101fb8cbp-4, -0x1.12503905abb74p-4, -0x1.0b5705cc6096dp-4, -0x1.04837e4f62058p-4, -0x1.fbaa32220956fp-5, -0x1.ee969872177dfp-5, -0x1.e1cb1b6005c37p-5, -0x1.d546a67325269p-5, -0x1.c908251ba8a38p-5, -0x1.bd0e82e35435ap-5, -0x1.b158ab9c3ab2p-5, -0x1.a5e58b8d9832ap-5, -0x1.9ab40f9ecb2fap-5, -0x1.8fc325807c1b1p-5, -0x1.8511bbd3f97a5p-5, -0x1.7a9ec250d2b24p-5, -0x1.706929e8baaabp-5, -0x1.666fe4e9c003p-5, -0x1.5cb1e71ede021p-5, -0x1.532e25eef5082p-5, -0x1.49e3987a334ffp-5, -0x1.40d137b5f722bp-5, -0x1.37f5fe87345b3p-5, -0x1.2f50e9db665c5p-5, -0x1.26e0f8c01d42ap-5, -0x1.1ea52c7925f73p-5, -0x1.169c889562f34p-5, -0x1.0ec61302533f5p-5, -0x1.0720d41e5e318p-5, -0x1.ff57ad93bc944p-6, -0x1.f0cc50ee09084p-6, -0x1.e29db2711f0b6p-6, -0x1.d4c9f79ed146ep-6, -0x1.c74f4b6e58adfp-6, -0x1.ba2bde634de8fp-6, -0x1.ad5de6a29fa79p-6, -0x1.a0e3a00596bcep-6, -0x1.94bb4c2af347ep-6, -0x1.88e332863ad5p-6, -0x1.7d59a06d4a794p-6, -0x1.721ce9242d99fp-6, -0x1.672b65e75d45fp-6, -0x1.5c8375f469871p-6, -0x1.52237e911fac9p-6, -0x1.4809eb11435f3p-6, -0x1.3e352cdadbe63p-6, -0x1.34a3bb69305bdp-6, -0x1.2b54144e7a8e7p-6, -0x1.2244bb345f54ep-6, -0x1.197439db3bd23p-6, -0x1.10e1201850cd6p-6, -0x1.088a03d2dd02p-6, -0x1.006d81002f8e3p-6, -0x1.f114733d882d2p-7, -0x1.e1bdab60d848bp-7, -0x1.d2d406672eab4p-7, -0x1.c454ec378b42fp-7, -0x1.b63dd0925b157p-7, -0x1.a88c32ff3a943p-7, -0x1.9b3d9eb9510f7p-7, -0x1.8e4faa9a4c51ap-7, -0x1.81bff90412e6dp-7, -0x1.758c37c951a89p-7, -0x1.69b22014d2424p-7, -0x1.5e2f764fca873p-7, -0x1.53020a073b1fbp-7, -0x1.4827b5d045a03p-7, -0x1.3d9e5f2bba371p-7, -0x1.3363f668d1432p-7, -0x1.2976768720dep-7, -0x1.1fd3e517e8f42p-7, -0x1.167a521eb9da5p-7, -0x1.0d67d7f186f98p-7, -0x1.049a9b1831f2bp-7, -0x1.f821945736eb5p-8, -0x1.e7913b688aaacp-8, -0x1.d780b01123575p-8, -0x1.c7ec8a55540edp-8, -0x1.b8d1754c37be3p-8, -0x1.aa2c2eda5f8a8p-8, -0x1.9bf9876c171c7p-8, -0x1.8e3661af46f74p-8, -0x1.80dfb24d0ec1ap-8, -0x1.73f27fa32501cp-8, -0x1.676be17d10924p-8, -0x1.5b4900cd46813p-8, -0x1.4f87176643b61p-8, -0x1.44236fb3a9b0fp-8, -0x1.391b64736fd51p-8, -0x1.2e6c606f379b6p-8, -0x1.2413de35cd3d5p-8, -0x1.1a0f67d4e5bd2p-8, -0x1.105c96931ecacp-8, -0x1.06f912aa52d27p-8, -0x1.fbc52604910cp-9, -0x1.ea2db9d78703fp-9, -0x1.d92787b812645p-9, -0x1.c8ae5251af6c9p-9, -0x1.b8bdf789bd10bp-9, -0x1.a9526ff97bee6p-9, -0x1.9a67ce692aabdp-9, -0x1.8bfa3f4c49e37p-9, -0x1.7e06083f199f9p-9, -0x1.708787855ba86p-9, -0x1.637b338a5e058p-9, -0x1.56dd9a6264371p-9, -0x1.4aab614d6f264p-9, -0x1.3ee1443b6fa0bp-9, -0x1.337c1551ee9fdp-9, -0x1.2878bc732a3cap-9, -0x1.1dd436c6b9e38p-9, -0x1.138b9643b5d73p-9, -0x1.099c013c69e5p-9, -0x1.0002b1eb9dfb9p-9, -0x1.ed79ec06e048p-10, -0x1.db905c7b92de3p-10, -0x1.ca439bdce02e2p-10, -0x1.b98eb52d758d8p-10, -0x1.a96cd6f5bc893p-10, -0x1.99d95271d38b9p-10, -0x1.8acf9ac2bc6b5p-10, -0x1.7c4b4422e3c92p-10, -0x1.6e48031df179dp-10, -0x1.60c1abcbdfbbcp-10, -0x1.53b4310f6d7c4p-10, -0x1.471ba3d7d0a77p-10, -0x1.3af43265ba858p-10, -0x1.2f3a27939e631p-10, -0x1.23e9ea214265fp-10, -0x1.18fffc028f4b7p-10, -0x1.0e78f9b1a3923p-10, -0x1.04519984175dcp-10, -0x1.f50d5606fb9c2p-11, -0x1.e22a2c92202b3p-11, -0x1.cff3b6b909ccbp-11, -0x1.be64232c15f21p-11, -0x1.ad75ce06be484p-11, -0x1.9d233f9ff496bp-11, -0x1.8d672b609a7ep-11, -0x1.7e3c6ea006e7p-11, -0x1.6f9e0f868cbffp-11, -0x1.61873bf5ef35cp-11, -0x1.53f34877b501ep-11, -0x1.46ddaf314900cp-11, -0x1.3a420eddd5d5p-11, -0x1.2e1c29cdcdf38p-11, -0x1.2267e4ec09944p-11, -0x1.172146c86b719p-11, -0x1.0c4476a7f7d74p-11, -0x1.01cdbb9a4c39p-11, -0x1.ef72f728c6fcp-12, -0x1.dc087521257b8p-12, -0x1.c95533675b89fp-12, -0x1.b752acee777a5p-12, -0x1.a5fa93b15780cp-12, -0x1.9546cf1ae6902p-12, -0x1.85317a7806327p-12, -0x1.75b4e372fdba7p-12, -0x1.66cb889848f9fp-12, -0x1.587017e4964bep-12, -0x1.4a9d6d5bd794p-12, -0x1.3d4e91a932dbcp-12, -0x1.307eb8c7b546cp-12, -0x1.242940b3957b3p-12, -0x1.1849b023e6dd9p-12, -0x1.0cdbb54c917dep-12, -0x1.01db24a866a0cp-12, -0x1.ee87ef9662088p-13, -0x1.da2498771f938p-13, -0x1.c684c4a8fbb0ap-13, -0x1.b3a1385cb9772p-13, -0x1.a172f91eb8889p-13, -0x1.8ff34bc62f78ep-13, -0x1.7f1bb2728eb51p-13, -0x1.6ee5ea96b90bcp-13, -0x1.5f4beb11ce496p-13, -0x1.5047e2553fd8fp-13, -0x1.41d43497dd732p-13, -0x1.33eb7a159f4e5p-13, -0x1.26887d5be6a93p-13, -0x1.19a639a1dd4f4p-13, -0x1.0d3fd92ccc776p-13, -0x1.0150b3c00b812p-13, -0x1.eba89a30b4ddcp-14, -0x1.d58ca6e4a3492p-14, -0x1.c0453c3773c32p-14, -0x1.abca581ef330fp-14, -0x1.98144537d19b4p-14, -0x1.851b982680eb2p-14, -0x1.72d92d0be39adp-14, -0x1.6146250d446cfp-14, -0x1.505be3ef2804ep-14, -0x1.40140dc282327p-14, -0x1.306884a3db1c9p-14, -0x1.2153668bf43e4p-14, -0x1.12cf0b317d56dp-14, -0x1.04d601fb6d938p-14, -0x1.eec6200727915p-15, -0x1.d4e25c51ed5c6p-15, -0x1.bbf70e6338902p-15, -0x1.a3faebf6a7ebfp-15, -0x1.8ce507763c8f9p-15, -0x1.76accc95a5831p-15, -0x1.6149fd09465b8p-15, -0x1.4cb4ad5839acep-15, -0x1.38e541c89e067p-15, -0x1.25d46b6573901p-15, -0x1.137b251d5963p-15, -0x1.01d2b0f982b7ep-15, -0x1.e1a92ad868319p-16, -0x1.c0f5356c4da4fp-16, -0x1.a17d90c45cb2ap-16, -0x1.8336c5acfe9dep-16, -0x1.6615d1f6031cbp-16, -0x1.4a1023e819d51p-16, -0x1.2f1b95e206c86p-16, -0x1.152e6a1c68138p-16, -0x1.f87e8d25d991cp-17, -0x1.c88a6223da788p-17, -0x1.9a6f16cea5dcep-17, -0x1.6e1c1f6b83c3dp-17, -0x1.438199d211e32p-17, -0x1.1a904695a44ebp-17, -0x1.e67304da8b0a5p-18, -0x1.9ade7fb0d9c13p-18, -0x1.524801fd2c5c5p-18, -0x1.0c95a38fda38ep-18, -0x1.935d08b5378e1p-19, -0x1.12f582f79270ap-19, -0x1.2f8daac605896p-20, -0x1.0d278317b4f12p-22, 0x1.3e69f8ed51b94p-21, 0x1.78403c32c4646p-20, 0x1.2412fe6136868p-19, 0x1.8798a72e29226p-19, 0x1.e6d52a4a6fcdep-19, 0x1.20f599a383551p-18, 0x1.4c7e0b79a18adp-18, 0x1.7613f11cb8ffbp-18, 0x1.9dc6b432c2b6dp-18, 0x1.c3a5286d70d91p-18, 0x1.e7bd921f0d15fp-18, 0x1.050ed645d67a3p-17, 0x1.156957fc8193bp-17, 0x1.24f4abbf87e8p-17, 0x1.33b6f34de8116p-17, 0x1.41b617460ab37p-17, 0x1.4ef7c9b5c175bp-17, 0x1.5b81888edb4b6p-17, 0x1.6758a00148a68p-17, 0x1.72822cbbb325p-17, 0x1.7d031e137f023p-17, 0x1.86e038151c06p-17, 0x1.901e157d660c1p-17, 0x1.98c1299d0f9bbp-17, 0x1.a0cdc226c7d46p-17, 0x1.a84808e8f268ep-17, 0x1.af340573b4386p-17, 0x1.b5959eac05c82p-17, 0x1.bb709c4c927e5p-17, 0x1.c0c8a85501b49p-17, 0x1.c5a1506871f3ep-17, 0x1.c9fe071ba3bb1p-17, 0x1.cde22533a4c7cp-17, 0x1.d150ead56ad94p-17, 0x1.d44d80a70f312p-17, 0x1.d6daf8e340b1dp-17, 0x1.d8fc505f5a233p-17, 0x1.dab46f84cf502p-17, 0x1.dc062b3e546e5p-17, 0x1.dcf445d94d0bcp-17, 0x1.dd816fdc02c4bp-17, 0x1.ddb048d10b85bp-17, 0x1.dd836008627f8p-17, 0x1.dcfd354e9cff4p-17, 0x1.dc20399aa4615p-17, 0x1.daeecfb25fc24p-17, 0x1.d96b4cc6b3c1cp-17, 0x1.d797f9073491bp-17, 0x1.d577102de970ep-17, 0x1.d30ac20385003p-17, 0x1.d05532dc51dcep-17, 0x1.cd587c0e43e7bp-17, 0x1.ca16ac606f138p-17, 0x1.c691c8742bca3p-17, 0x1.c2cbcb284976p-17, 0x1.bec6a5f67a6c4p-17, 0x1.ba84414b626c4p-17, 0x1.b6067cd96316p-17, 0x1.b14f2fe689c79p-17, 0x1.ac602995c45a1p-17, 0x1.a73b312ba4cdcp-17, 0x1.a1e2064eed88ep-17, 0x1.9c5661451449p-17, 0x1.9699f32af84cep-17, 0x1.90ae6629ff991p-17, 0x1.8a955da9c3b18p-17, 0x1.8450767e848aep-17, 0x1.7de147149143cp-17, 0x1.77495f98bf248p-17, 0x1.708a4a1e3413p-17, 0x1.69a58ac19736bp-17, 0x1.629c9fc9d026dp-17, 0x1.5b7101c684319p-17, 0x1.542423ac6a3cap-17, 0x1.4cb772ef97affp-17, 0x1.452c579be8dc9p-17, 0x1.3d84346ba5bbap-17, 0x1.35c066dc777bcp-17, 0x1.2de24742d3532p-17, 0x1.25eb28dbf07e6p-17, 0x1.1ddc59de635cbp-17, 0x1.15b7238976e18p-17, 0x1.0d7cca3359fa3p-17, 0x1.052e8d563762fp-17, 0x1.f99b4f3899564p-18, 0x1.e8b69dd628505p-18, 0x1.d7b168db29b8bp-18, 0x1.c68e093bd2135p-18, 0x1.b54ece9c1dc9dp-18, 0x1.a3f5ff601fe5cp-18, 0x1.9285d8bb23e1dp-18, 0x1.81008ebdbac75p-18, 0x1.6f684c62cef9cp-18, 0x1.5dbf339bdb83ap-18, 0x1.4c075d5c5d15cp-18, 0x1.3a42d9a4945b4p-18, 0x1.2873af8bad86ep-18, 0x1.169bdd4964ba1p-18, 0x1.04bd583f3970ap-18, 0x1.e5b41a0281928p-19, 0x1.c1e7bebd53653p-19, 0x1.9e1954d407f9dp-19, 0x1.7a4c8102a8cf1p-19, 0x1.5684d6ac15fd4p-19, 0x1.32c5d7e9bd54ap-19, 0x1.0f12f59b4d72ep-19, 0x1.d6df1eecbbca4p-20, 0x1.8fbde82c7aaacp-20, 0x1.48c8c217c24e7p-20, 0x1.020605dc33977p-20, 0x1.76f7d5a83f8e8p-21, 0x1.d4c21aa106485p-22, 0x1.794e6b92308e4p-23, -0x1.6926e1fbc1ef5p-24, -0x1.6ff9ea9b325e2p-22, -0x1.42298fbb029bcp-21, -0x1.cb9fccf290261p-21, -0x1.2a2a8802779p-20, -0x1.6e1f7eab18bccp-20, -0x1.b1a9bd2462b89p-20, -0x1.f4c45672d7ccap-20, -0x1.1bb53ee07da62p-19, -0x1.3ccbc318509f3p-19, -0x1.5da3715563aa3p-19, -0x1.7e3a12d6fd518p-19, -0x1.9e8d808da2c06p-19, -0x1.be9ba300cc6e3p-19, -0x1.de627233e5337p-19, -0x1.fddff58a855fcp-19, -0x1.0e8921d5f9cedp-18, -0x1.1dfbc132f3cd3p-18, -0x1.2d46f3474af8ep-18, -0x1.3c69d9f3021aap-18, -0x1.4b639e7b5082bp-18, -0x1.5a33717a990f4p-18, -0x1.68d88ad0061d3p-18, -0x1.7752298ed0727p-18, -0x1.859f93ed316a6p-18, -0x1.93c017330424ap-18, -0x1.a1b307a812d35p-18, -0x1.af77c0821a8a2p-18, -0x1.bd0da3d2805d3p-18, -0x1.ca741a73bcb6ap-18, -0x1.d7aa93f6817f4p-18, -0x1.e4b0868e9a86ap-18, -0x1.f1856eff8cc7ap-18, -0x1.fe28d088f6439p-18, -0x1.054d1a6957cdbp-17, -0x1.0b6c95ec5c063p-17, -0x1.1172a5eb72981p-17, -0x1.175f189a314c5p-17, -0x1.1d31bf377f0fep-17, -0x1.22ea6e032331p-17, -0x1.2888fc333db23p-17, -0x1.2e0d43e9ad509p-17, -0x1.337722295feb5p-17, -0x1.38c676cb93a4ep-17, -0x1.3dfb247506254p-17, -0x1.4315108b1597ep-17, -0x1.48142328d544ap-17, -0x1.4cf847141452fp-17, -0x1.51c169b25c567p-17, -0x1.566f7afde0dddp-17, -0x1.5b026d7a76128p-17, -0x1.5f7a362a66a0cp-17, -0x1.63d6cc8362b36p-17, -0x1.68182a6353443p-17, -0x1.6c3e4c0538f3cp-17, -0x1.70492ff5ff597p-17, -0x1.7438d7095a6a6p-17, -0x1.780d444e9e1c9p-17, -0x1.7bc67d05977abp-17, -0x1.7f6488936fcefp-17, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      56, 0x1.599999999999ap+2, 0x1.56d7ff72964fep+1, 0x1.4abf916740185p+2, -0x1.d3d6e7663a6c1p-9, 
      {{
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.4c8e076060bbcp-3, -0x1.c728844f148e7p-2, 0x1.30c814faed7bp-1, -0x1.954d0a12ad4ddp-2}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.21fc475849545p-3, -0x1.8d3de0d413294p-2, 0x1.12624dd3207bbp-1, -0x1.7910fabf0835cp-2}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.f9d25d02dc667p-4, -0x1.593162810acep-2, 0x1.ec3542d666222p-2, -0x1.610fb564c95f8p-2}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.b98758dd31b01p-4, -0x1.2a9ebc8a702ecp-2, 0x1.b73fb46dae541p-2, -0x1.47ec4b97d0f2bp-2}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.820880b2c889fp-4, -0x1.012794065e65cp-2, 0x1.860f75e3b5631p-2, -0x1.2f16a99c50fd3p-2}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.5259f24479fdfp-4, -0x1.b8d7ec9db354bp-3, 0x1.5898dc72a93cep-2, -0x1.162c0ccdac18bp-2}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.2992eaa0c21d2p-4, -0x1.7818bb9936a03p-3, 0x1.2edf0dba35d2ep-2, -0x1.fa8f26f446a02p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.06ddc623bffcbp-4, -0x1.3f5250d33e4f5p-3, 0x1.08e11e017d537p-2, -0x1.c8bf0e1a9a9fap-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.d2f000ee6b724p-5, -0x1.0dc571f843d83p-3, 0x1.cd3f2d1896a8ep-3, -0x1.96ff471521c3fp-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.a164692510e76p-5, -0x1.c565eca068c8cp-4, 0x1.90327c089e655p-3, -0x1.65055ef17443dp-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.77e0397580a78p-5, -0x1.7ab6c9b958ed9p-4, 0x1.5aa4e0fe0027ap-3, -0x1.33e3a9726ba79p-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.55512505110dcp-5, -0x1.3a00e83a2efe2p-4, 0x1.2c75edf9a335p-3, -0x1.ff3694fdeedap-4}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.38cb1d945e809p-5, -0x1.01bed9bfeba96p-4, 0x1.061ea2ccfe179p-3, -0x1.c0b74478d21b9p-4}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.218723976bba9p-5, -0x1.a15fb73f0432fp-5, 0x1.c8ee94ee4311ap-4, -0x1.ac495ea72649dp-4}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.0ed6373f04ff2p-5, -0x1.4c696b85123dap-5, 0x1.88b060553087p-4, -0x1.918e2df84cbc2p-4}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.001449822348cp-5, -0x1.03e5b7a9ad867p-5, 0x1.4c74a63cbe9d9p-4, -0x1.7883451220905p-4}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.e94e186c19276p-6, -0x1.8e1b97dce1b3dp-6, 0x1.13fa8f13a021cp-4, -0x1.5f0487e66f97cp-4}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.d7fbe41ca7bbdp-6, -0x1.2a3f2f825832p-6, 0x1.bea6f5621ec88p-5, -0x1.45a4d4081e5a3p-4}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.cb245d39b24fap-6, -0x1.b55f13d3b023fp-7, 0x1.5cf58292e27aap-5, -0x1.2c3ccf39d8c67p-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.c1cd6ca392e64p-6, -0x1.3bcd526e53326p-7, 0x1.02e34467ee3f8p-5, -0x1.12d704de039bap-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.bb107cf73d876p-6, -0x1.c979833381d3p-8, 0x1.60df1f7dda53dp-6, -0x1.f2e14350be066p-5}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.b61a7a8e403e8p-6, -0x1.5a424252cf7efp-8, 0x1.966a49cb42a54p-7, -0x1.c014cecf0fcf8p-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.b22bd37ec31b1p-6, -0x1.23dc547405acdp-8, 0x1.132201d13f1afp-8, -0x1.8d48445a9e04ap-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.ae98779b882ffp-6, -0x1.202f2f69a790bp-8, -0x1.93363a03c9d1ap-9, -0x1.5a7bbfc7931f4p-5}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.aac7d873eb93bp-6, -0x1.4922480f6b1f6p-8, -0x1.34b167f8b11ffp-7, -0x1.27af39a1b5c6ep-5}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.a634e953e360ep-6, -0x1.989d13832defbp-8, -0x1.e61a8a8ceafeep-7, -0x1.e9c567cb77315p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.a06e1f43ffb64p-6, -0x1.044383687e55bp-7, -0x1.3c847b3e942cfp-6, -0x1.842c5c2a07abp-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.991571096ab5bp-6, -0x1.4963cb84ffed3p-7, -0x1.76be55de7bba2p-6, -0x1.1e93505ae87cdp-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.8fe05725e8848p-6, -0x1.98a31c9e61473p-7, -0x1.a1bad51f51cc9p-6, -0x1.71f48ad72960dp-7}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.8497cbd7d74d7p-6, -0x1.eef5313e93ddfp-7, -0x1.bd79f922a81a4p-6, -0x1.4d84dcad0ac15p-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.77184b1a2f3dfp-6, -0x1.24a6e1f31434p-6, -0x1.c9fbc169254e3p-6, 0x1.237cab105c977p-10}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.6751d2a48285ap-6, -0x1.5250479c440dap-6, -0x1.c7402fce97a33p-6, 0x1.df43eb3314bdep-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.5547e1eafd5b6p-6, -0x1.7ef0a6ab8c9e1p-6, -0x1.b5473d6313a8fp-6, 0x1.bad2fc9c8539ep-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.41117a1e65f75p-6, -0x1.a901dd243ae1fp-6, -0x1.9411040a89ab2p-6, 0x1.430485f998c98p-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.2ad91e2c1c95bp-6, -0x1.cefdc58036392p-6, -0x1.639d23251926bp-6, 0x1.a8962997bfdfdp-6}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.12dcd2be1b77ap-6, -0x1.ef5e476c622dcp-6, -0x1.23ed034e55f88p-6, 0x1.07256ca054ad3p-5}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.f2dc3c75edc02p-7, -0x1.044e8ca98bcb2p-5, -0x1.a9f6c56fac534p-7, 0x1.39be5e65ec8afp-5}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.bde4118bba2eep-7, -0x1.0c9a54baeef7bp-5, -0x1.db6f7ffea334dp-8, 0x1.6d4b6261a26a2p-5}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.87c2387d2cd4p-7, -0x1.0fce5bfe06308p-5, -0x1.28a84f7f02855p-11, 0x1.9d498393a7f53p-5}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.518ec8830a4e9p-7, -0x1.0d2b82cf46743p-5, 0x1.cadcc727b606dp-8, 0x1.da8f1db62e7a4p-5}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.1c88dc4f4b406p-7, -0x1.03dfff7517ab9p-5, 0x1.0115544d61d91p-6, 0x1.bf2f89150baccp-5}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.d423228548219p-8, -0x1.e7557844b0e5fp-6, 0x1.873d30a07ef55p-6, 0x1.4b293ecf66754p-5}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.76e9fd72b32e5p-8, -0x1.bb3e17955ed36p-6, 0x1.ea965d11ea7e9p-6, 0x1.c8de043b7e935p-6}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.23665ab02bb68p-8, -0x1.86c1dee27e1bbp-6, 0x1.178f0873d1f09p-5, 0x1.e8545bd2f41c2p-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.b5ec5905bf2b2p-9, -0x1.4d03aaee0eb9cp-6, 0x1.29deff1887e4cp-5, 0x1.0edd81526b5a5p-9}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.3caa8c57acdf9p-9, -0x1.112fa926462acp-6, 0x1.2c6912b54db33p-5, -0x1.6591a5e30a2a4p-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.b6756f9fc6c8dp-10, -0x1.ace3d31991cdbp-7, 0x1.1f00694996ebp-5, -0x1.807a992d992d5p-6}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.21180bbfb257ep-10, -0x1.3fdb425293e54p-7, 0x1.022a6a995ea14p-5, -0x1.33d0a6c5ffe0dp-5}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.69258bc2e0d7fp-11, -0x1.c3a6395f4cb9p-8, 0x1.a7fca32a8a192p-6, -0x1.528b0174ffb0ep-5}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.a7652479d7da8p-12, -0x1.2e5dfd502f111p-8, 0x1.426c89210a313p-6, -0x1.1c7150b5d0674p-5}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.c91384e2a494dp-13, -0x1.7ceda0d9318d2p-9, 0x1.da2eaea1ca8b8p-7, -0x1.e60675a3853c3p-6}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.b8da551b63773p-14, -0x1.b8d567f2a813ep-10, 0x1.485ff1bd88f78p-7, -0x1.8ca48687dad1bp-6}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.69258bc2e0dap-15, -0x1.c3763a32d27dep-11, 0x1.a2c392c3283e9p-8, -0x1.34026f04284d6p-6}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.c91384e2a4a31p-17, -0x1.7cbef210ab24ap-12, 0x1.d3eaa04e2021cp-9, -0x1.bdcd78e84bb4bp-7}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.69258bc2e13bfp-19, -0x1.c59f0827ad28ap-14, 0x1.90deaf857f063p-10, -0x1.ebc679f5abec4p-8}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.69258bc2e4801p-23, -0x1.8240ab0cd6c26p-17, 0x1.a737ffc85f8p-12, -0x1.491bc3cd03a16p-7}, 
      }}, 
      0x1.35b802e6dbbf2p-3, -0x1.dd65d97e71b8cp-1
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_p_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.1046e16bb7b28p-1, -0x1.039de2cd0429cp-1, -0x1.dea9cde060175p-2, -0x1.a8c779c7db838p-2, -0x1.67bfb2a1d4291p-2, -0x1.1dcb9f5f52c6p-2, -0x1.9a2a282ed34c4p-3, -0x1.de8ea0fb4b80bp-4, -0x1.f515faae6a09fp-6, 0x1.d1da2dafcb466p-5, 0x1.27232531aa7bep-3, 0x1.d6ea50a55af85p-3, 0x1.40dcfacee0adap-2, 0x1.92ee2a5fef9ecp-2, 0x1.e0f92d18bf693p-2, 0x1.153a8d7032d48p-1, 0x1.377d639f7d6f5p-1, 0x1.572074fcfef58p-1, 0x1.740c4d56263ap-1, 0x1.8e34877226ef9p-1, 0x1.a595e92350e79p-1, 0x1.ba3521fdc31dcp-1, 0x1.cc1db0873729ap-1, 0x1.db609f9e8cc7cp-1, 0x1.e8136c9dc5dfdp-1, 0x1.f24efe2dbf491p-1, 0x1.fa2e15d2988e8p-1, 0x1.ffcefc687a1b2p-1, 0x1.01a85518fc9f5p+0, 0x1.02698928ef8f1p+0, 0x1.023b60f5ab6bcp+0, 0x1.012e3e557f0adp+0, 0x1.fea4d3d0909ep-1, 0x1.f96fe637113d3p-1, 0x1.f2dd37b725128p-1, 0x1.eb0b809946b0dp-1, 0x1.e2187b0cf84c1p-1, 0x1.d820bfc468b83p-1, 0x1.cd3fb201b7afcp-1, 0x1.c18f74b6a7aa8p-1, 0x1.b528e6e52b4dbp-1, 0x1.a823a4795a566p-1, 0x1.9a960533e5d71p-1, 0x1.8c9516af2ccb4p-1, 0x1.7e34958c52abap-1, 0x1.6f86ebea26304p-1, 0x1.609d37e7292c3p-1, 0x1.518758d08c59dp-1, 0x1.4253ff8447a21p-1, 0x1.3310be6bd15ccp-1, 0x1.23ca16a0c12b8p-1, 0x1.148b81b5873aap-1, 0x1.055f798c68675p-1, 0x1.ec9f01810f064p-2, 0x1.cec295e863479p-2, 0x1.b143c4b3ffb16p-2, 0x1.942be067b3ccap-2, 0x1.77876dfadc254p-2, 0x1.5b6169d112111p-2, 0x1.3fc36dddad757p-2, 0x1.24b5dbbf236f9p-2, 0x1.0a400068edf2ep-2, 0x1.e0d0584fee327p-3, 0x1.ae677ff97a893p-3, 0x1.7d4e6ac130028p-3, 0x1.4d8c4c92cb615p-3, 0x1.1f26b27657906p-3, 0x1.e44348816612fp-4, 0x1.8cff987b25eb6p-4, 0x1.38853e493ef95p-4, 0x1.cda9fdc4342fbp-5, 0x1.2fdb66abf429dp-5, 0x1.2f31cf18b7a22p-6, 0x1.365c767f36762p-11, -0x1.10de19f566c21p-6, -0x1.104f706f7dbf4p-5, -0x1.92d91d24b5102p-5, -0x1.080fde0a49283p-4, -0x1.441c79a347a42p-4, -0x1.7d9e0fbee0a47p-4, -0x1.b4a109000ee1ap-4, -0x1.e9326a382879ep-4, -0x1.0dafdcda6de04p-3, -0x1.259b73e3fa7a1p-3, -0x1.3c631d0fa4fc9p-3, -0x1.520e1cbd19281p-3, -0x1.66a3d0b1a8169p-3, -0x1.7a2ba8dae7754p-3, -0x1.8cad20e448c0ap-3, -0x1.9e2fba8daf46fp-3, -0x1.aebaf8aa757ecp-3, -0x1.be565aa91db47p-3, -0x1.cd09587f7536dp-3, -0x1.dadb5ed83be81p-3, -0x1.e7d3cb65826edp-3, -0x1.f3f9e944eac4dp-3, -0x1.ff54ed6ef6798p-3, -0x1.04f5f99b764b8p-2, -0x1.09e2fc75e55d7p-2, -0x1.0e74ee594d26p-2, -0x1.12af2cdaa75bep-2, -0x1.169502df6198fp-2, -0x1.1a29a7aa0458p-2, -0x1.1d703e2799be5p-2, -0x1.206bd4796b374p-2, -0x1.231f63b1186a6p-2, -0x1.258dcfb1bc574p-2, -0x1.27b9e72897ceep-2, -0x1.29a663920e343p-2, -0x1.2b55e9445cfcap-2, -0x1.2ccb1096291f1p-2, -0x1.2e07f6e714bf3p-2, -0x1.2f0f5608111dap-2, -0x1.2fe380a32428bp-2, -0x1.3086b520c72a6p-2, -0x1.30fb1e1526d75p-2, -0x1.3142d2c1d6cc6p-2, -0x1.315fd7a830799p-2, -0x1.31541f2636887p-2, -0x1.31218a165ff86p-2, -0x1.30c9e86a7d589p-2, -0x1.304ef9baf9036p-2, -0x1.2fb26dc5abb28p-2, -0x1.2ef5e4da34c66p-2, -0x1.2e1af03475e81p-2, -0x1.2d23124845b59p-2, -0x1.2c0fbf0340abfp-2, -0x1.2ae25c0a7d2dbp-2, -0x1.299c40f9fa6b1p-2, -0x1.283eb7aad813fp-2, -0x1.26cafc8407f7cp-2, -0x1.25423ed76d317p-2, -0x1.23a5a14b9ef7cp-2, -0x1.21f63a50ebb5ap-2, -0x1.2035149ef7fecp-2, -0x1.1e632fb79a7b5p-2, -0x1.1c81806b480c5p-2, -0x1.1a90f15b9983bp-2, -0x1.18926378ec5b4p-2, -0x1.1686ae78f7c85p-2, -0x1.146ea144f6538p-2, -0x1.124b025ef834ep-2, -0x1.101c903e98f1ep-2, -0x1.0de401a600e66p-2, -0x1.0ba205f06a8ap-2, -0x1.0957455b9172cp-2, -0x1.0704614d6c3e7p-2, -0x1.04a9f4975b221p-2, -0x1.024893b7aa1b1p-2, -0x1.ffc19a33daab9p-3, -0x1.fae652acb5121p-3, -0x1.f60056e0047dep-3, -0x1.f110a223179c6p-3, -0x1.ec18259005f89p-3, -0x1.e717c8767d8e1p-3, -0x1.e21068c702e89p-3, -0x1.dd02db78298d8p-3, -0x1.d7efece596f06p-3, -0x1.d2d86128fa2c5p-3, -0x1.cdbcf46d64b2dp-3, -0x1.c89e5b3d9b3afp-3, -0x1.c37d42ce0fbeap-3, -0x1.be5a51434283ep-3, -0x1.b93625f53b002p-3, -0x1.b41159b0973f8p-3, -0x1.aeec7ef5c3d2ep-3, -0x1.a9c8223698f7ap-3, -0x1.a4a4ca1298c8p-3, -0x1.9f82f791dc881p-3, -0x1.9a63265eabc7p-3, -0x1.9545ccfda6777p-3, -0x1.902b5d0455217p-3, -0x1.8b14434df414cp-3, -0x1.8600e82e4f633p-3, -0x1.80f1afa28ab09p-3, -0x1.7be6f97fae253p-3, -0x1.76e1219eeed58p-3, -0x1.71e08007a3aacp-3, -0x1.6ce56916e6ccfp-3, -0x1.67f02da4f98b7p-3, -0x1.63011b286d679p-3, -0x1.5e187bd72d864p-3, -0x1.593696c582ebcp-3, -0x1.545bb0032a601p-3, -0x1.4f8808b692db2p-3, -0x1.4abbdf366503ep-3, -0x1.45f76f2161d6p-3, -0x1.413af174c2a56p-3, -0x1.3c869ca1242e5p-3, -0x1.37daa49e1d3c7p-3, -0x1.33373afca4f97p-3, -0x1.2e9c8ef84b872p-3, -0x1.2a0acd877d308p-3, -0x1.2582216acd8d8p-3, -0x1.2102b33b7afbap-3, -0x1.1c8ca97934f81p-3, -0x1.182028973b5a8p-3, -0x1.13bd5308eff13p-3, -0x1.0f64494decf8p-3, -0x1.0b1529fdad9c9p-3, -0x1.06d011d2d078bp-3, -0x1.02951bb613aedp-3, -0x1.fcc8c191faecdp-4, -0x1.f47bf0e0a1855p-4, -0x1.ec43f0bc86ea8p-4, -0x1.e420e939112cdp-4, -0x1.dc12ff2c6ebb1p-4, -0x1.d41a544305745p-4, -0x1.cc370712b5bf2p-4, -0x1.c469332de1cffp-4, -0x1.bcb0f136375d8p-4, -0x1.b50e56ef60b3ep-4, -0x1.ad8177516f691p-4, -0x1.a60a629b33b7dp-4, -0x1.9ea9266460d6p-4, -0x1.975dcdaf876c2p-4, -0x1.902860fbeb75ep-4, -0x1.8908e65723f3p-4, -0x1.81ff616e952p-4, -0x1.7b0bd3a0b560ap-4, -0x1.742e3c0e20615p-4, -0x1.6d6697aa71ecep-4, -0x1.66b783e027ed2p-4, -0x1.601bc0ae946a8p-4, -0x1.5995dbbf5f3fdp-4, -0x1.5325ca3b316dbp-4, -0x1.4ccb7f63d4057p-4, -0x1.4686eca41569p-4, -0x1.4058019fad21ep-4, -0x1.3a3eac4304fb4p-4, -0x1.343ad8d2d6d4fp-4, -0x1.2e4c71fb903b9p-4, -0x1.287360e06b694p-4, -0x1.22af8d2a33a85p-4, -0x1.1d00dd15aab62p-4, -0x1.17673581873c6p-4, -0x1.11e279fc0c05fp-4, -0x1.0c728cd02e9c7p-4, -0x1.07174f12550d2p-4, -0x1.01d0a0aca7d5dp-4, -0x1.f93cc0d5f8688p-5, -0x1.ef00d80cb94a6p-5, -0x1.e4ed40606a693p-5, -0x1.db01b13a52266p-5, -0x1.d13de01f34202p-5, -0x1.c7a180c3cf88ap-5, -0x1.be2c4520dc5d3p-5, -0x1.b4dddd8697ac5p-5, -0x1.abb5f8afe75c2p-5, -0x1.a2b443d523de9p-5, -0x1.99d86abe9531cp-5, -0x1.912217d6a4ef5p-5, -0x1.8890f43bd53f3p-5, -0x1.8024a7d27ba05p-5, -0x1.77dcd956479edp-5, -0x1.6fb92e6b97edfp-5, -0x1.67b94bb09c7d4p-5, -0x1.5fdcd4ce4b2b1p-5, -0x1.58236c891bd0fp-5, -0x1.508cb4d198553p-5, -0x1.49184ed4b0385p-5, -0x1.41c5db0bd598ap-5, -0x1.3a94f94cd91f7p-5, -0x1.338548d98800cp-5, -0x1.2c96686f03432p-5, -0x1.25c7f654cf404p-5, -0x1.1f19906b91df9p-5, -0x1.188ad43b87473p-5, -0x1.121b5f029d2fp-5, -0x1.0bcacdc23c92dp-5, -0x1.0598bd4cb6dbbp-5, -0x1.ff0994a4bc7bep-6, -0x1.f31d22dc77d9cp-6, -0x1.e76b5e64de19cp-6, -0x1.dbf38068572f6p-6, -0x1.d0b4c22eba24p-6, -0x1.c5ae5d33d7538p-6, -0x1.badf8b3d46c66p-6, -0x1.b047866f85ecp-6, -0x1.a5e5896253d0ep-6, -0x1.9bb8cf3467f7bp-6, -0x1.91c0939e70d3fp-6, -0x1.87fc130564754p-6, -0x1.7e6a8a8c28508p-6, -0x1.750b38249897ap-6, -0x1.6bdd5a9fe32a4p-6, -0x1.62e031be49d34p-6, -0x1.5a12fe3e4631fp-6, -0x1.517501eb13877p-6, -0x1.49057faaa6262p-6, -0x1.40c3bb8b11ec1p-6, -0x1.38aefacf5c42p-6, -0x1.30c683fbc4e32p-6, -0x1.29099ee18a598p-6, -0x1.217794aa22719p-6, -0x1.1a0fafe1ecfaep-6, -0x1.12d13c826e338p-6, -0x1.0bbb87fbff47dp-6, -0x1.04cde13f0c1e9p-6, -0x1.fc0f31899dec5p-7, -0x1.eed0012f329dbp-7, -0x1.e1dcd8b54bd04p-7, -0x1.d53462a2e2036p-7, -0x1.c8d54ccd4cb47p-7, -0x1.bcbe486538f62p-7, -0x1.b0ee0a02c1a9ep-7, -0x1.a56349b0ba3f4p-7, -0x1.9a1cc2f718457p-7, -0x1.8f1934e4968c4p-7, -0x1.845762179d164p-7, -0x1.79d610c646754p-7, -0x1.6f940ac5bc43bp-7, -0x1.65901d90c78c9p-7, -0x1.5bc91a4dbdf1ep-7, -0x1.523dd5d3a9caap-7, -0x1.48ed28aecac6ep-7, -0x1.3fd5ef2470ed7p-7, -0x1.36f7093633808p-7, -0x1.2e4f5aa486e0ep-7, -0x1.25ddcaf0b8c21p-7, -0x1.1da1455e55134p-7, -0x1.1598b8f40438fp-7, -0x1.0dc3187bd45fbp-7, -0x1.061f5a82ff5c5p-7, -0x1.fd58f2b257a9fp-8, -0x1.eed2e61e6efb5p-8, -0x1.e0aa92eb11b86p-8, -0x1.d2de0433c1abep-8, -0x1.c56b4c899efd2p-8, -0x1.b85085ed4a57cp-8, -0x1.ab8bd1c833dd2p-8, -0x1.9f1b58e4ed52p-8, -0x1.92fd4b66d7a2dp-8, -0x1.872fe0c11f133p-8, -0x1.7bb157acfe383p-8, -0x1.707ff61f5a07bp-8, -0x1.659a093dbc0f2p-8, -0x1.5afde552bbfcbp-8, -0x1.50a9e5c1d5a9dp-8, -0x1.469c6cfaa7b77p-8, -0x1.3cd3e46bc0ba5p-8, -0x1.334ebc74dff3p-8, -0x1.2a0b6c58c7673p-8, -0x1.2108722e8c388p-8, -0x1.184452d2982adp-8, -0x1.0fbd99d72f09ap-8, -0x1.0772d9749b633p-8, -0x1.fec554f1ff012p-9, -0x1.ef17586fbc9ebp-9, -0x1.dfd908f27bac3p-9, -0x1.d107bed1393f7p-9, -0x1.c2a0df072c2cbp-9, -0x1.b4a1db10857ffp-9, -0x1.a70830c6dfe64p-9, -0x1.99d16a3d18c7ep-9, -0x1.8cfb1d9afe09fp-9, -0x1.8082ecf885975p-9, -0x1.74668638d4806p-9, -0x1.68a3a2e4e275cp-9, -0x1.5d380805fc9c8p-9, -0x1.5221860008c58p-9, -0x1.475df86bc814bp-9, -0x1.3ceb45f0ca47bp-9, -0x1.32c7601f5f4c9p-9, -0x1.28f0434a6dd2fp-9, -0x1.1f63f6615be07p-9, -0x1.16208ac9e3215p-9, -0x1.0d241c39e6597p-9, -0x1.046cd09153c7bp-9, -0x1.f7f1af6842dccp-10, -0x1.e78cd6c8eccb6p-10, -0x1.d7a79e396b8e4p-10, -0x1.c83e9fd3ccf89p-10, -0x1.b94e888c439ep-10, -0x1.aad417e6844d6p-10, -0x1.9ccc1fab56355p-10, -0x1.8f33839ebd48dp-10, -0x1.820739364d2c1p-10, -0x1.7544475068914p-10, -0x1.68e7c5eb610fap-10, -0x1.5ceeddddb614ap-10, -0x1.5156c88e61584p-10, -0x1.461ccfadf93cdp-10, -0x1.3b3e4cf02e61ap-10, -0x1.30b8a9c618603p-10, -0x1.26895f18f4401p-10, -0x1.1cadf5055c848p-10, -0x1.132402978c0fcp-10, -0x1.09e92d87ce104p-10, -0x1.00fb29f7c803dp-10, -0x1.f0af74610d052p-11, -0x1.dff95cc134f48p-11, -0x1.cfcfc8b7f4052p-11, -0x1.c02e8eb67be06p-11, -0x1.b1119f7946756p-11, -0x1.a2750589cc6e8p-11, -0x1.9454e4c2d4628p-11, -0x1.86ad79d536703p-11, -0x1.797b19ce98084p-11, -0x1.6cba31a0fcf52p-11, -0x1.606745ac2c16bp-11, -0x1.547ef14830bdap-11, -0x1.48fde6517acfdp-11, -0x1.3de0ecb616251p-11, -0x1.3324e20456571p-11, -0x1.28c6b8fb05a63p-11, -0x1.1ec3791ad1606p-11, -0x1.15183e3902dep-11, -0x1.0bc238142b7f7p-11, -0x1.02bea9e961ae6p-11, -0x1.f415d416ec8bbp-12, -0x1.e348c2f6b95a6p-12, -0x1.d3111703bdb9p-12, -0x1.c369ea9569e11p-12, -0x1.b44e7b0310a02p-12, -0x1.a5ba27df1a063p-12, -0x1.97a87235af16ap-12, -0x1.8a14fbcecb1ebp-12, -0x1.7cfb8671a99fdp-12, -0x1.7057f32cb358bp-12, -0x1.6426419e56d84p-12, -0x1.58628f42922cep-12, -0x1.4d0916c15e348p-12, -0x1.42162f4124dadp-12, -0x1.37864bbbbd27cp-12, -0x1.2d55fa5598013p-12, -0x1.2381e3b81fad6p-12, -0x1.1a06ca6f35d2bp-12, -0x1.10e18a472bf6ap-12, -0x1.080f17b1e64dcp-12, -0x1.ff18fe5278c36p-13, -0x1.eeadc93199fa9p-13, -0x1.ded7058eeb8bap-13, -0x1.cf8f5588137c8p-13, -0x1.c0d186abc3425p-13, -0x1.b29890dda821dp-13, -0x1.a4df95408205p-13, -0x1.97a1dd2396813p-13, -0x1.8adad8f99e66cp-13, -0x1.7e861f5042882p-13, -0x1.729f6bce5ac9p-13, -0x1.67229e3859f1p-13, -0x1.5c0bb976e7f0ep-13, -0x1.5156e2a5fa7ddp-13, -0x1.47006025b570bp-13, -0x1.3d0498b1e7991p-13, -0x1.3360092d2098ep-13, -0x1.2a0f70210a755p-13, -0x1.210f7ec5f6ff7p-13, -0x1.185d148944a2ap-13, -0x1.0ff52ceec7ddep-13, -0x1.07d4dec2a448bp-13, -0x1.fff2b6a0e259bp-14, -0x1.f0bfdb3f85dcbp-14, -0x1.e20bf36670edcp-14, -0x1.d3d1f799231ecp-14, -0x1.c60d0f6ced2e7p-14, -0x1.b8b8901fc0ba5p-14, -0x1.abcffb3b8be83p-14, -0x1.9f4efd3cd3b4ep-14, -0x1.93316c480d5b5p-14, -0x1.877346dfcded1p-14, -0x1.7c10b2a912ebap-14, -0x1.7105fb31f609fp-14, -0x1.664f90c1076fdp-14, -0x1.5bea0730339dp-14, -0x1.51d214c92ef33p-14, -0x1.4804912c08b9fp-14, -0x1.3e7e743d71175p-14, -0x1.353cd518b2c5ap-14, -0x1.2c3ce90bb0c5ep-14, -0x1.237c02985b9c9p-14, -0x1.1af7907be1d42p-14, -0x1.12ad1cbe82dd2p-14, -0x1.0a9a4bc4c55b8p-14, -0x1.02bcdb6ece615p-14, -0x1.f625446d7553p-15, -0x1.e7331cacc28e8p-15, -0x1.d89f49ed3dd8ap-15, -0x1.ca6602bffec5dp-15, -0x1.bc83a86819ff5p-15, -0x1.aef4c54ca53a6p-15, -0x1.a1b60b8c804bep-15, -0x1.94c45384bc418p-15, -0x1.881c9a6be698p-15, -0x1.7bbc00fe28681p-15, -0x1.6f9fca1937588p-15, -0x1.63c5598d2189ap-15, -0x1.582a32cd4e3cfp-15, -0x1.4ccbf7c0b664ap-15, -0x1.41a867951001cp-15, -0x1.36bd5d9a3dd62p-15, -0x1.2c08d02a59d47p-15, -0x1.2188cf95b5692p-15, -0x1.173b851b67e52p-15, -0x1.0d1f31e3f72d2p-15, -0x1.03322e0b6429p-15, -0x1.f2e5cf5932b99p-16, -0x1.dfbfc3f18de49p-16, -0x1.ccef68a5eba65p-16, -0x1.ba7212e5d65a4p-16, -0x1.a8453d2973981p-16, -0x1.966685472a909p-16, -0x1.84d3aaf39db74p-16, -0x1.738a8e3b36a03p-16, -0x1.62892e03c3c29p-16, -0x1.51cda6b1a8258p-16, -0x1.415630c3baaacp-16, -0x1.31211f8320b77p-16, -0x1.212cdfbf7b8b8p-16, -0x1.1177f696974fap-16, -0x1.0201003d87787p-16, -0x1.e58d5dcc76236p-17, -0x1.c78f933e4b536p-17, -0x1.aa0656873282ap-17, -0x1.8cef82efa5e4dp-17, -0x1.7049175760f03p-17, -0x1.54113448f840ap-17, -0x1.38461a2520679p-17, -0x1.1ce627630bb86p-17, -0x1.01efd6eef10dep-17, -0x1.cec37c9eb2375p-18, -0x1.9a7518b6ca99p-18, -0x1.66f20f1f3b9c7p-18, -0x1.3438193d260bcp-18, -0x1.02451a385de21p-18, -0x1.a22e3815fb5ccp-19, -0x1.41589a9266bd6p-19, -0x1.c40bfa4e4374ap-20, -0x1.08667fb4d169dp-20, -0x1.3eebeed990343p-22, 0x1.97efb9ba067f5p-22, 0x1.18c3370545072p-20, 0x1.c89f79e221c61p-20, 0x1.3aca7e8ceddb5p-19, 0x1.8fd3dc8c308ebp-19, 0x1.e36daf6df4dp-19, 0x1.1accd7d3b1c3ep-18, 0x1.432cbc231262ap-18, 0x1.6ad7451f109b5p-18, 0x1.91cd2797ff878p-18, 0x1.b80f0df1b0446p-18, 0x1.dd9d9999c0235p-18, 0x1.013cb209f5b82p-17, 0x1.1351801b36cd1p-17, 0x1.250d7d977d345p-17, 0x1.3670eed827175p-17, 0x1.477c1659fe4edp-17, 0x1.582f35462e756p-17, 0x1.688a8bd6500bep-17, 0x1.788e59c7889b4p-17, 0x1.883adeb174cb2p-17, 0x1.97905a67a8699p-17, 0x1.a68f0d5044c64p-17, 0x1.b53738ac1016dp-17, 0x1.c3891ef3b0616p-17, 0x1.d1850401e4201p-17, 0x1.df2b2d6c75e51p-17, 0x1.ec7be2b4ece07p-17, 0x1.f9776d81cbf31p-17, 0x1.030f0ce8b2334p-16, 0x1.09381b1442b33p-16, 0x1.0f3709d94b71ap-16, 0x1.150c03463f54ap-16, 0x1.1ab732dd465afp-16, 0x1.2038c5accca29p-16, 0x1.2590ea5f9d8b8p-16, 0x1.2abfd14509107p-16, 0x1.2fc5ac651195cp-16, 0x1.34a2af7b4d2f9p-16, 0x1.395710099417bp-16, 0x1.3de30556b818dp-16, 0x1.4246c87b8374ap-16, 0x1.46829461e50a2p-16, 0x1.4a96a5c534ca9p-16, 0x1.4e833b38d6d71p-16, 0x1.5248952f7538ep-16, 0x1.55e6f5e6c00e9p-16, 0x1.595ea171bf2ddp-16, 0x1.5cafddba143bdp-16, 0x1.5fdaf27a2ab0cp-16, 0x1.62e0293399a1fp-16, 0x1.65bfcd30411b5p-16, 0x1.687a2b7d10033p-16, 0x1.6b0f92dc65f4dp-16, 0x1.6d8053cb146f9p-16, 0x1.6fccc0702eceap-16, 0x1.71f52c9772803p-16, 0x1.73f9edaadfb62p-16, 0x1.75db5aa7b7399p-16, 0x1.7799cc14ca324p-16, 0x1.79359bfe7e891p-16, 0x1.7aaf25e18af43p-16, 0x1.7c06c6a976e69p-16, 0x1.7d3cdca51032bp-16, 0x1.7e51c77aafaefp-16, 0x1.7f45e818b3f3bp-16, 0x1.8019a0aff7439p-16, 0x1.80cd54a42ee83p-16, 0x1.816168832ba55p-16, }}, 
      {{-0x1.1325904fa59b8p-1, -0x1.0edf10ebf6029p-1, -0x1.07eb8ef9ae84ep-1, -0x1.fd04953207a33p-2, -0x1.e5c73e822d85dp-2, -0x1.caa8a21ddc84p-2, -0x1.ac3469a9cbed2p-2, -0x1.8af3c01f8fab2p-2, -0x1.676a2575181d9p-2, -0x1.42135c0eb06eap-2, -0x1.1b620e8bc7e0fp-2, -0x1.e77e715df9d38p-3, -0x1.97137dcccb5edp-3, -0x1.462d6b97c538p-3, -0x1.eac621617138ep-4, -0x1.4a72029bd86c5p-4, -0x1.588abd1d46706p-5, -0x1.10726e683c0ddp-8, 0x1.0d3e0aeaccfa7p-5, 0x1.1a1e2f3cbe26dp-4, 0x1.a8ff9e5ab68d5p-4, 0x1.19714ddeb1ff2p-3, 0x1.5bbd110885ae1p-3, 0x1.9b45545860214p-3, 0x1.d7f425fd9a4e5p-3, 0x1.08dd3ffda561cp-2, 0x1.2447abb2ad56fp-2, 0x1.3e37acead4becp-2, 0x1.56adc9a59eb1bp-2, 0x1.6dac9c85f8421p-2, 0x1.83388513b1dc2p-2, 0x1.9757613d90a41p-2, 0x1.aa105268ff3ep-2, 0x1.bb6b8ce0e7c14p-2, 0x1.cb72296f1b16fp-2, 0x1.da2df8ea0f4c1p-2, 0x1.e7a95de03cb4p-2, 0x1.f3ef2c754ae27p-2, 0x1.ff0a8db89a65ap-2, 0x1.048372a6811b2p-1, 0x1.08f7dcecbb399p-1, 0x1.0ce8503e834d3p-1, 0x1.105a957c7438fp-1, 0x1.13546c33747ebp-1, 0x1.15db8440dd7c9p-1, 0x1.17f578a09c5dp-1, 0x1.19a7cb161cce6p-1, 0x1.1af7e05b251a3p-1, 0x1.1beafcaafddb9p-1, 0x1.1c8640bd26729p-1, 0x1.1ccea76576ea4p-1, 0x1.1cc903fbc3f22p-1, 0x1.1c7a0170ffa27p-1, 0x1.1be621c560705p-1, 0x1.1b11dc8fe6cbp-1, 0x1.1a0122c69c12cp-1, 0x1.18b816fa7f9a5p-1, 0x1.173a928d5b2b1p-1, 0x1.158c45b6678e4p-1, 0x1.13b0b870654c1p-1, 0x1.11ab4b328cc31p-1, 0x1.0f7f378755643p-1, 0x1.0d2f90a527fa1p-1, 0x1.0abf4425a2d1fp-1, 0x1.08311ae730ec2p-1, 0x1.0587ba1648159p-1, 0x1.02c5a453ba422p-1, 0x1.ffda75d678ec3p-2, 0x1.fa017e1c6a08dp-2, 0x1.f404a6129fd4dp-2, 0x1.ede7f6dd92de3p-2, 0x1.e7af4066a8157p-2, 0x1.e15e1b7eb22e7p-2, 0x1.daf7ebf1a5351p-2, 0x1.d47fe2955237fp-2, 0x1.cdf8ff5a52d1fp-2, 0x1.c7661361a0174p-2, 0x1.c0c9c31407945p-2, 0x1.ba268834f86d1p-2, 0x1.b37eb3e8a1d96p-2, 0x1.acd470a64a29p-2, 0x1.a629c412b82dep-2, 0x1.9f8090c1ec379p-2, 0x1.98da97e29d1b8p-2, 0x1.92397ad7ad0c6p-2, 0x1.8b9ebcc45b269p-2, 0x1.850bc40f02f18p-2, 0x1.7e81dbdc873aap-2, 0x1.78023584831fep-2, 0x1.718de9fc672b9p-2, 0x1.6b25fb36a71e9p-2, 0x1.64cb5572c73fp-2, 0x1.5e7ed07bc69e6p-2, 0x1.584130d38ca7p-2, 0x1.521328cb81f69p-2, 0x1.4bf5598bca5b8p-2, 0x1.45e8540b86cd5p-2, 0x1.3fec99fce3062p-2, 0x1.3a029eaf803eap-2, 0x1.342ac7eb2cb5cp-2, 0x1.2e656ec3f056bp-2, 0x1.28b2e06792fe2p-2, 0x1.23135ee401ff6p-2, 0x1.1d8721e5a92dep-2, 0x1.180e576cac891p-2, 0x1.12a9247835997p-2, 0x1.0d57a5a7684bep-2, 0x1.0819efcfe71c1p-2, 0x1.02f0108a45fd4p-2, 0x1.fbb41d6a28e7dp-3, 0x1.f1afc764c71bbp-3, 0x1.e7d33093417c4p-3, 0x1.de1e3728e08f8p-3, 0x1.d490bbf050c8bp-3, 0x1.cb2a96869694bp-3, 0x1.c1eb961c85a1fp-3, 0x1.b8d3822ce1729p-3, 0x1.afe21b271925ap-3, 0x1.a7171b0eaac8p-3, 0x1.9e72360f85421p-3, 0x1.95f31b07e94dfp-3, 0x1.8d99740875ddbp-3, 0x1.8564e6cb1b4d5p-3, 0x1.7d551521cf847p-3, 0x1.75699d5dbadeep-3, 0x1.6da21aaf906b4p-3, 0x1.65fe2581b0b55p-3, 0x1.5e7d53cc95c68p-3, 0x1.571f3965eadf6p-3, 0x1.4fe3684ab5f4dp-3, 0x1.48c970e4da2ecp-3, 0x1.41d0e24c2127p-3, 0x1.3af94a8303331p-3, 0x1.344236af42132p-3, 0x1.2dab334e81201p-3, 0x1.2733cc66ee527p-3, 0x1.20db8db431ca2p-3, 0x1.1aa202d0c6251p-3, 0x1.1486b75c04694p-3, 0x1.0e89371d0954ap-3, 0x1.08a90e22b367fp-3, 0x1.02e5c8e0e5a73p-3, 0x1.fa7de8966f0ddp-4, 0x1.ef683bda619ccp-4, 0x1.e489a80083a0dp-4, 0x1.d9e14aff3d5d2p-4, 0x1.cf6e44744dfbdp-4, 0x1.c52fb5c5064a7p-4, 0x1.bb24c23b61421p-4, 0x1.b14c8f20210fp-4, 0x1.a7a643d238b94p-4, 0x1.9e3109dbc384ep-4, 0x1.94ec0d047b42ep-4, 0x1.8bd67b620fbd3p-4, 0x1.82ef85664236fp-4, 0x1.7a365deb1ad98p-4, 0x1.71aa3a3d4d597p-4, 0x1.694a522502793p-4, 0x1.6115dfed2c118p-4, 0x1.590c20699c9d3p-4, 0x1.512c52fbep-4, 0x1.4975b99705084p-4, 0x1.41e798c253cbbp-4, 0x1.3a81379aff7a5p-4, 0x1.3341dfd4df704p-4, 0x1.2c28ddba32575p-4, 0x1.2535802a869ccp-4, 0x1.1e671898d18e5p-4, 0x1.17bcfb08d2ac6p-4, 0x1.11367e0bd87a9p-4, 0x1.0ad2fabcf8c0fp-4, 0x1.0491ccbcd50b4p-4, 0x1.fce4a459e5edfp-5, 0x1.f0e7d75578bd1p-5, 0x1.e52bf89445f71p-5, 0x1.d9afd31ffd175p-5, 0x1.ce7236d849e29p-5, 0x1.c371f8667ef54p-5, 0x1.b8adf130dc647p-5, 0x1.ae24ff4d759e2p-5, 0x1.a3d60574d7f38p-5, 0x1.99bfeaf46df02p-5, 0x1.8fe19ba0c95bcp-5, 0x1.863a07c7bbf9fp-5, 0x1.7cc824226d796p-5, 0x1.738ae9c74ff61p-5, 0x1.6a81561c14d5ap-5, 0x1.61aa6ac787f49p-5, 0x1.59052da36b2d8p-5, 0x1.5090a8ae4048ap-5, 0x1.484be9fd12373p-5, 0x1.403603ad3c8cap-5, 0x1.384e0bd634ba1p-5, 0x1.30931c7b6757cp-5, 0x1.2904537e10dbcp-5, 0x1.21a0d28f516cbp-5, 0x1.1a67bf224871fp-5, 0x1.1358425e54bbbp-5, 0x1.0c7189118808cp-5, 0x1.05b2c3a335a4ep-5, 0x1.fe364c0d6fd31p-6, 0x1.f153cf5cbb02ap-6, 0x1.e4bc86fcf0e3cp-6, 0x1.d86eef8152a1p-6, 0x1.cc698c2e8142p-6, 0x1.c0aae6e1ad7bap-6, 0x1.b5318ff80a5a1p-6, 0x1.a9fc1e3690d74p-6, 0x1.9f092eb2167a4p-6, 0x1.945764b7af425p-6, 0x1.89e569b55addp-6, 0x1.7fb1ed2304e57p-6, 0x1.75bba46bcd9ecp-6, 0x1.6c014ad79d45p-6, 0x1.6281a17504126p-6, 0x1.593b6f035d1e4p-6, 0x1.502d7fdd40bfbp-6, 0x1.4756a5e320757p-6, 0x1.3eb5b86645511p-6, 0x1.3649941408cb3p-6, 0x1.2e111ae12c8cfp-6, 0x1.260b33f5a21dp-6, 0x1.1e374b5c446adp-6, 0x1.16935b02adf06p-6, 0x1.0f1ed154e27ddp-6, 0x1.07d8a97eaa8c2p-6, 0x1.00bfe37c57ce3p-6, 0x1.f3a70810132p-7, 0x1.e625290e650c5p-7, 0x1.d8f845f0a291cp-7, 0x1.cc1e83c1bf63p-7, 0x1.bf961076f9405p-7, 0x1.b35d22cc9510ap-7, 0x1.a771fa23014f4p-7, 0x1.9bd2de5c7019fp-7, 0x1.907e1fbaba6e2p-7, 0x1.857216bdeae03p-7, 0x1.7aad2402e8b1cp-7, 0x1.702db022ce9aap-7, 0x1.65f22b9266297p-7, 0x1.5bf90e824ed7bp-7, 0x1.5240d8bf630ap-7, 0x1.48c8119383cd9p-7, 0x1.3f8d47a6e0db3p-7, 0x1.368f10e1976ffp-7, 0x1.2dcc0a4db926ep-7, 0x1.2542d7f9aeba5p-7, 0x1.1cf224db0ebbdp-7, 0x1.14d8a2b1c4614p-7, 0x1.0cf509eb9d32dp-7, 0x1.054619883e2a1p-7, 0x1.fb952dfa9395cp-8, 0x1.ed029c3684869p-8, 0x1.ded221e493dp-8, 0x1.d1016f6f629eap-8, 0x1.c38e4157057e7p-8, 0x1.b6765ffd4a156p-8, 0x1.a9b79f72445c6p-8, 0x1.9d4fdf41dbfcep-8, 0x1.913d0a41cc85bp-8, 0x1.857d166044a8ap-8, 0x1.7a0e04734887cp-8, 0x1.6eede008ad6a7p-8, 0x1.641abf36926b8p-8, 0x1.5992c26ca9ba7p-8, 0x1.4f541445f22b7p-8, 0x1.455ce95b24ec2p-8, 0x1.3bab8015adb5p-8, 0x1.323e20834b4d1p-8, 0x1.29131c2a20a46p-8, 0x1.2028cddd9200cp-8, 0x1.177d999398aa5p-8, 0x1.0f0fec3a6718dp-8, 0x1.06de3b8f302c5p-8, 0x1.fdce0bea46a16p-9, 0x1.ee51a49997fb2p-9, 0x1.df445f98b7ecbp-9, 0x1.d0a36bb0bfdfbp-9, 0x1.c26c07b9c0982p-9, 0x1.b49b824e74f7cp-9, 0x1.a72f3980db904p-9, 0x1.9a249a8fa7d24p-9, 0x1.8d79219d58e19p-9, 0x1.812a5967cfa47p-9, 0x1.7535db011dd27p-9, 0x1.69994d896bac3p-9, 0x1.5e5265e9a73c9p-9, 0x1.535ee68fb1481p-9, 0x1.48bc9f2affe42p-9, 0x1.3e696c6a8ca23p-9, 0x1.346337bbba6dap-9, 0x1.2aa7f70a15d64p-9, 0x1.2135ac801bb0ap-9, 0x1.180a6649114e2p-9, 0x1.0f243e53a00d5p-9, 0x1.06815a1596361p-9, 0x1.fc3fd4a07b285p-10, 0x1.ebfc55ac19b3p-10, 0x1.dc34c4a1d8fb8p-10, 0x1.cce5c4139e27cp-10, 0x1.be0c0b60ed518p-10, 0x1.afa46649fc5cbp-10, 0x1.a1abb482cc8f1p-10, 0x1.941ee949ab9a3p-10, 0x1.86fb0afe10f81p-10, 0x1.7a3d32ba0baebp-10, 0x1.6de28bed0e3a8p-10, 0x1.61e853f81e423p-10, 0x1.564bd9ccc099bp-10, 0x1.4b0a7d8bdfa3ap-10, 0x1.4021b027f2ddep-10, 0x1.358ef307c40ddp-10, 0x1.2b4fd7ab00eb4p-10, 0x1.2161ff50b44eap-10, 0x1.17c31a9ee41b9p-10, 0x1.0e70e94bff0a2p-10, 0x1.056939c99062bp-10, 0x1.f953d1e1f3f52p-11, 0x1.e861c361d3133p-11, 0x1.d7f83979f4d7cp-11, 0x1.c813407caf488p-11, 0x1.b8aeff0c4df8fp-11, 0x1.a9c7b58238841p-11, 0x1.9b59bd598ca0cp-11, 0x1.8d61889ae547bp-11, 0x1.7fdba14d4b6d3p-11, 0x1.72c4a8e8dc08cp-11, 0x1.661957ca311d2p-11, 0x1.59d67cac55315p-11, 0x1.4df8fc214b583p-11, 0x1.427dd0106569p-11, 0x1.37620734b456p-11, 0x1.2ca2c4a029662p-11, 0x1.223d3f3f1ecap-11, 0x1.182ec15f66b69p-11, 0x1.0e74a83a91c17p-11, 0x1.050c63806c2f7p-11, 0x1.f7e6e9cc543cap-12, 0x1.e64edf6c22372p-12, 0x1.d54bf0c4e8ec3p-12, 0x1.c4d9883571a7bp-12, 0x1.b4f330c40b4b3p-12, 0x1.a594955203745p-12, 0x1.96b97fd1b12a3p-12, 0x1.885dd882340efp-12, 0x1.7a7da52e9b76ap-12, 0x1.6d150870ea7c6p-12, 0x1.602040f9a4aaap-12, 0x1.539ba8dadd8f2p-12, 0x1.4783b4d772c24p-12, 0x1.3bd4f3b6bab1ep-12, 0x1.308c0d9a04313p-12, 0x1.25a5c3579b43ap-12, 0x1.1b1eedd92e254p-12, 0x1.10f47d7dd5386p-12, 0x1.0723797d17997p-12, 0x1.fb51fea24e27cp-13, 0x1.e904844796ad5p-13, 0x1.d759147811041p-13, 0x1.c64a68e3ea5ap-13, 0x1.b5d36342f0952p-13, 0x1.a5ef0c4f81cf4p-13, 0x1.969892b8e60fbp-13, 0x1.87cb4a21232aep-13, 0x1.7982aa2492548p-13, 0x1.6bba4d5f7b7d1p-13, 0x1.5e6df080b0d8ap-13, 0x1.5199715daccdfp-13, 0x1.4538ce0d602adp-13, 0x1.3948240785c47p-13, 0x1.2dc3af4c020b5p-13, 0x1.22a7c989edf2bp-13, 0x1.17f0e953a2028p-13, 0x1.0d9ba1501fab3p-13, 0x1.03a49f75ad155p-13, 0x1.f411588ef820ep-14, 0x1.e1895435b6811p-14, 0x1.cfab28b58382dp-14, 0x1.be70fdae85a76p-14, 0x1.add52a2a06aep-14, 0x1.9dd23342b3f62p-14, 0x1.8e62cad7b5759p-14, 0x1.7f81ce46b8af6p-14, 0x1.712a452d9538ap-14, 0x1.6357603568e5cp-14, 0x1.560477e38fd8cp-14, 0x1.492d0b7470fd8p-14, 0x1.3cccbfba964dep-14, 0x1.30df5e076b666p-14, 0x1.2560d31d27614p-14, 0x1.1a4d2e252484fp-14, 0x1.0fa09f9c878c4p-14, 0x1.05577873ffe75p-14, 0x1.f6dc520ed7339p-15, 0x1.e3c2806744897p-15, 0x1.d15ad4ce59425p-15, 0x1.bf9ee19118fb7p-15, 0x1.ae8870a579789p-15, 0x1.9e1182031b26ap-15, 0x1.8e3449eb1b47bp-15, 0x1.7eeb2f6ed5d73p-15, 0x1.7030cacd8d943p-15, 0x1.61ffe3f4b4361p-15, 0x1.5453710bdcb21p-15, 0x1.472694ff1604cp-15, 0x1.3a749e2104667p-15, 0x1.2e3904c62b10ap-15, 0x1.226f6a008e831p-15, 0x1.1713964cba467p-15, 0x1.0c217856ba6c7p-15, 0x1.019523c1b38f1p-15, 0x1.eed59ff34eab4p-16, 0x1.db3dae2507c93p-16, 0x1.c85b6940a2464p-16, 0x1.b62809587cc6fp-16, 0x1.a49d0545e0eep-16, 0x1.93b41093034bdp-16, 0x1.8367198b34cc9p-16, 0x1.73b04751e1c86p-16, 0x1.6489f7e8f2cb5p-16, 0x1.55eebe74e1d51p-16, 0x1.47d9616a08b1bp-16, 0x1.3a44d8dddc088p-16, 0x1.2d2c4cd42c3eap-16, 0x1.208b13a42467fp-16, 0x1.145cb064e9fb6p-16, 0x1.089cd166cb03fp-16, 0x1.fa8e9d7f729edp-17, 0x1.e4b05179fc1adp-17, 0x1.cf970d6a70abfp-17, 0x1.bb3b6ad921cdbp-17, 0x1.a7964c0295cd6p-17, 0x1.94a0d9131bcb6p-17, 0x1.82547d898863fp-17, 0x1.70aae63bb0141p-17, 0x1.5f9dfea5714a7p-17, 0x1.4f27eedaaab5p-17, 0x1.3f431946106f5p-17, 0x1.2fea189fb9239p-17, 0x1.2117bddc1050dp-17, 0x1.12c70e2517c06p-17, 0x1.04f34112b64fep-17, 0x1.ef2f7d338ea8bp-18, 0x1.d5603b0050f72p-18, 0x1.bc7042f3e8b76p-18, 0x1.a4577318ce3eap-18, 0x1.8d0e21eb5325ap-18, 0x1.768c85f2a0914p-18, 0x1.60cb9390820d5p-18, 0x1.4bc463a8e2211p-18, 0x1.3770568253d06p-18, 0x1.23c91113ef305p-18, 0x1.10c87a3009bc3p-18, 0x1.fcd1705ccb087p-19, 0x1.d9485cc33e128p-19, 0x1.b6eaf521f52b8p-19, 0x1.95aee5a9c8e02p-19, 0x1.758a468c33737p-19, 0x1.567397def1174p-19, 0x1.3861bcb0f08a3p-19, 0x1.1b4bf88f193e3p-19, 0x1.fe53d3dc28abdp-20, 0x1.c7e70f42a4b1cp-20, 0x1.93423971f1f41p-20, 0x1.60568a71cad37p-20, 0x1.2f15d57863edcp-20, 0x1.fee50459f397ap-21, 0x1.a2bf0d1597dcep-21, 0x1.49a0c33da021fp-21, 0x1.e6e4522be2687p-22, 0x1.4038771bfa967p-22, 0x1.3e239cb535622p-23, 0x1.a2fdc2b6cdeb3p-29, -0x1.26a74d4000a33p-23, -0x1.24e21ab81fd5cp-22, -0x1.b18ad0de51eaap-22, -0x1.1cb8dd549dd06p-21, -0x1.5e5cac24fdf46p-21, -0x1.9dc166fcacb25p-21, -0x1.daf6f7ffef65p-21, -0x1.0b065464b126ap-20, -0x1.2788965be77e9p-20, -0x1.43095163e0219p-20, -0x1.5d8f4fcca3a72p-20, -0x1.77211990c2189p-20, -0x1.8fc4f6a50d4d1p-20, -0x1.a780f4da4801p-20, -0x1.be5ae636df4e3p-20, -0x1.d45866e4de52ap-20, -0x1.e97ede03d33fap-20, -0x1.fdd3818dc595ep-20, -0x1.08adac1fdd7ffp-19, -0x1.120d9da2da748p-19, -0x1.1b0bec5c3ce33p-19, -0x1.23aadb015e85ep-19, -0x1.2bec98eb9a4fdp-19, -0x1.33d342c95eff3p-19, -0x1.3b60e3bc172e7p-19, -0x1.4297762c5dd6bp-19, -0x1.4978e49fe7c6bp-19, -0x1.50070a74d5ad6p-19, -0x1.5643b485732c8p-19, -0x1.5c30a26990fbdp-19, -0x1.61cf8671c527bp-19, -0x1.67220699b7f8fp-19, -0x1.6c29bd874f564p-19, -0x1.70e83a6ab505ep-19, -0x1.755f020c3531ap-19, -0x1.798f8f2e03c02p-19, -0x1.7d7b53321d507p-19, -0x1.8123b634dfcd9p-19, -0x1.848a17f799779p-19, -0x1.87afd01ae068fp-19, -0x1.8a962e8353bf9p-19, -0x1.8d3e7bc3f9e36p-19, -0x1.8fa9f99d282p-19, -0x1.91d9e2dc9876cp-19, -0x1.93cf6c5736b77p-19, -0x1.958bc5074da76p-19, -0x1.971015e7ad393p-19, -0x1.985d829a88991p-19, -0x1.99752a344ae0ep-19, -0x1.9a58264977b9fp-19, -0x1.9b078c0657ca8p-19, -0x1.9b846c1e0ee96p-19, -0x1.9bcfd2f60ae48p-19, -0x1.9beac959ef4b5p-19, -0x1.9bd653cec5875p-19, -0x1.9b9373217e2dbp-19, -0x1.9b2325339371dp-19, -0x1.9a8663f5b1afdp-19, -0x1.99be26534a714p-19, -0x1.98cb5fff67c7ap-19, -0x1.97af01e258d16p-19, -0x1.9669f9ee07002p-19, -0x1.94fd3353a1764p-19, -0x1.936996915fc6ep-19, -0x1.91b009ac36ec5p-19, -0x1.8fd1700efbd56p-19, -0x1.8dceaabf40643p-19, -0x1.8ba89894035aep-19, -0x1.8960159a73bacp-19, -0x1.86f5fc173e0e4p-19, -0x1.846b2404a181bp-19, -0x1.81c06331cf236p-19, -0x1.7ef68d45aeefdp-19, -0x1.7c0e740ac7285p-19, -0x1.7908e712938a9p-19, -0x1.75e6b3ff69dfdp-19, -0x1.72a8a6810e58p-19, -0x1.6f4f884e4d3cap-19, -0x1.6bdc213830ba3p-19, -0x1.684f372335b17p-19, -0x1.64a98e06de308p-19, -0x1.60ebe7f3e753bp-19, -0x1.5d170560c7113p-19, -0x1.592ba47aedb71p-19, -0x1.552a81d81ff7fp-19, -0x1.51145823201aep-19, -0x1.4ce9e02c42769p-19, -0x1.48abd0e9909b1p-19, -0x1.445adf767a586p-19, -0x1.3ff7bee2bdbfp-19, -0x1.3b8320f1f1742p-19, -0x1.36fdb501b12bdp-19, -0x1.326828b88f78fp-19, -0x1.2dc327f46a508p-19, -0x1.290f5c745e2abp-19, -0x1.244d6e5913974p-19, -0x1.1f7e03c08e324p-19, -0x1.1aa1c0e2994e3p-19, -0x1.15b948171b3adp-19, -0x1.10c539c2421c9p-19, -0x1.0bc6345d706fdp-19, -0x1.06bcd4673e6f1p-19, -0x1.01a9b46a3c9c4p-19, -0x1.f91ada9f28cdep-20, -0x1.eed12b3b1fa3cp-20, -0x1.e4778424e5d97p-20, -0x1.da0f0acefba01p-20, -0x1.cf98e0b172f2ep-20, -0x1.c516235d7b456p-20, -0x1.ba87ec5ad44c3p-20, -0x1.afef512b0f8d7p-20, -0x1.a54d6351b03f3p-20, -0x1.9aa3303a66435p-20, -0x1.8ff1c16f8220fp-20, -0x1.853a1c13697c7p-20, -0x1.7a7d41830fe39p-20, -0x1.6fbc2eefc82a8p-20, -0x1.64f7dd51e565dp-20, -0x1.5a314211605ddp-20, -0x1.4f694db764262p-20, -0x1.44a0ed3f93409p-20, -0x1.39d909478ee14p-20, -0x1.2f12866c73465p-20, -0x1.244e452ba695ap-20, -0x1.198d2234bd96ap-20, -0x1.0ecff53976935p-20, -0x1.041792aacb9f1p-20, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.5f8612525251p-8, -0x1.72edfd913bdb8p-8, 0x1.f49891e684052p-10, 0x1.2da48cfc0779dp-6, 0x1.66ab6e13810b5p-5, 0x1.3c7a7f32299ap-4, 0x1.e213bde01339dp-4, 0x1.4f4717c753294p-3, 0x1.b60c5efee3714p-3, 0x1.114135f621039p-2, 0x1.4900a219d1535p-2, 0x1.8111880b860aep-2, 0x1.b865ea07f80b8p-2, 0x1.ee168e512839bp-2, 0x1.10b130f65fb66p-1, 0x1.28d616d4ade17p-1, 0x1.3f3c1bc93f6bfp-1, 0x1.53b48ce549bcep-1, 0x1.661dfb1983ec2p-1, 0x1.7662ae95f38fdp-1, 0x1.84773f2f8678dp-1, 0x1.90590b9d5eecdp-1, 0x1.9a0caa20ed568p-1, 0x1.a19c996b68257p-1, 0x1.a7185f02523a2p-1, 0x1.aa93ad91e1a52p-1, 0x1.ac256eb07331dp-1, 0x1.abe6d1140db18p-1, 0x1.a9f2c96d37581p-1, 0x1.a66597e57472cp-1, 0x1.a15c252aed2bfp-1, 0x1.9af3a9bbe3492p-1, 0x1.934964c0a9306p-1, 0x1.8a7a44e7d04dep-1, 0x1.80a2a1434b70ep-1, 0x1.75de11a635856p-1, 0x1.6a474e5c07885p-1, 0x1.5df8077bfb966p-1, 0x1.5108c0e02e38fp-1, 0x1.4390c0e38f6d9p-1, 0x1.35a60e098bc5cp-1, 0x1.275d6fe07e647p-1, 0x1.18ca6d624e9b1p-1, 0x1.09ff49fdaf166p-1, 0x1.f61a08e4e08dap-2, 0x1.d806b3b757be6p-2, 0x1.b9e19b475a2f1p-2, 0x1.9bc56a8f701bp-2, 0x1.7dca8b4adae51p-2, 0x1.60073f8164435p-2, 0x1.428fb85840924p-2, 0x1.25762af59ecf5p-2, 0x1.08cae561ef32ap-2, 0x1.d938ca36b6bd5p-3, 0x1.a1e6c18987394p-3, 0x1.6bc58ac9b5956p-3, 0x1.36e105e2c1f0ep-3, 0x1.034a12bb34d1bp-3, 0x1.a21e62ac5dc05p-4, 0x1.40792e54d01eap-4, 0x1.c370ff3eb6eaep-5, 0x1.0bd818cb3ba49p-5, 0x1.68fcb7ef2310ep-7, -0x1.452574eadf097p-7, -0x1.ed6ee73db1d95p-6, -0x1.96069023b6a26p-5, -0x1.179b923350527p-4, -0x1.6127124aa29bp-4, -0x1.a7aa56539ef7ep-4, -0x1.eb2bd786ab0fcp-4, -0x1.15d9e832c6b37p-3, -0x1.34a6079f34999p-3, -0x1.51ffe337f7679p-3, -0x1.6dedaecfea08ep-3, -0x1.88762380ad6e9p-3, -0x1.a1a06d28ed99p-3, -0x1.b9741aacf23d3p-3, -0x1.cff91037a924ep-3, -0x1.e5377a89cf0a4p-3, -0x1.f937c2a077285p-3, -0x1.060140b6fddf1p-2, -0x1.0ed039e5c2ddfp-2, -0x1.170d37829a4e8p-2, -0x1.1ebcab3364bfbp-2, -0x1.25e30904ea82fp-2, -0x1.2c84c37a5ae87p-2, -0x1.32a648384d478p-2, -0x1.384bfd33a24fcp-2, -0x1.3d7a3e4afd083p-2, -0x1.42355b3527ca4p-2, -0x1.468195b3c3084p-2, -0x1.4a631ffd72a5ep-2, -0x1.4dde1b5501008p-2, -0x1.50f696c438a0bp-2, -0x1.53b08df268881p-2, -0x1.560fe8107092ap-2, -0x1.581876d6ea42bp-2, -0x1.59cdf59638517p-2, -0x1.5b34085b85b44p-2, -0x1.5c4e3b3033e92p-2, -0x1.5d20017a5f042p-2, -0x1.5dacb58487921p-2, -0x1.5df7983041a01p-2, -0x1.5e03d0d4624cap-2, -0x1.5dd46d434f9f6p-2, -0x1.5d6c61f2ce5e5p-2, -0x1.5cce8a3c92cbp-2, -0x1.5bfda8ae8c397p-2, -0x1.5afc67634ba6cp-2, -0x1.59cd585dadf0ap-2, -0x1.58734c8d797bdp-2, -0x1.56efb98d9b50bp-2, -0x1.55458104a2ef7p-2, -0x1.5376dc2939f6dp-2, -0x1.5185edacf28edp-2, -0x1.4f74c2314296bp-2, -0x1.4d4550e139d89p-2, -0x1.4af97c29eea04p-2, -0x1.489312886846dp-2, -0x1.4613cf623bf7ep-2, -0x1.437d5bddfc9a4p-2, -0x1.40d14fb1e982ap-2, -0x1.3e1131e1a4521p-2, -0x1.3b3e7966a12b1p-2, -0x1.385a8dc20bc88p-2, -0x1.3566c7799c93fp-2, -0x1.3264708306f33p-2, -0x1.2f54c4a303469p-2, -0x1.2c38f1c580b8fp-2, -0x1.291218544fa23p-2, -0x1.25e14b90a6de8p-2, -0x1.22a791f29d11fp-2, -0x1.1f65e59022fcep-2, -0x1.1c1d348ba5257p-2, -0x1.18ce6189313d7p-2, -0x1.157a44282c89p-2, -0x1.1221a97f24972p-2, -0x1.0ec554972b6ep-2, -0x1.0b65fee467b6fp-2, -0x1.080458b9e003ep-2, -0x1.04a109b71ba09p-2, -0x1.013cb12ec47fdp-2, -0x1.fbafcd0c21552p-3, -0x1.f4e6731a528cep-3, -0x1.ee1e65a2838b4p-3, -0x1.e758a7d2780d8p-3, -0x1.e0962f7bbe298p-3, -0x1.d9d7e59d23f3ap-3, -0x1.d31ea6e6dc641p-3, -0x1.cc6b443a6b312p-3, -0x1.c5be832704e8ap-3, -0x1.bf191e6293a7ap-3, -0x1.b87bc63f2e4ecp-3, -0x1.b1e7211cbe771p-3, -0x1.ab5bcbd65840bp-3, -0x1.a4da5a2b0c909p-3, -0x1.9e635721fc907p-3, -0x1.97f74569af52bp-3, -0x1.91969fb2cdaa3p-3, -0x1.8b41d90689b33p-3, -0x1.84f95d18fbf0ap-3, -0x1.7ebd9097cdf3dp-3, -0x1.788ed175845c7p-3, -0x1.726d7731c3aaap-3, -0x1.6c59d31ec2081p-3, -0x1.665430a43d1b1p-3, -0x1.605cd58016332p-3, -0x1.5a740204d342p-3, -0x1.5499f1561010bp-3, -0x1.4eced9a30e4f1p-3, -0x1.4912ec5f4e807p-3, -0x1.436656794fad8p-3, -0x1.3dc9408f4ba2ap-3, -0x1.383bcf2201526p-3, -0x1.32be22c56a2cep-3, -0x1.2d50584f5c2e9p-3, -0x1.27f28904127dep-3, -0x1.22a4cac0a9c9ep-3, -0x1.1d67302390692p-3, -0x1.1839c8b30ba6ep-3, -0x1.131ca101df6ebp-3, -0x1.0e0fc2d23018p-3, -0x1.09133536c5e53p-3, -0x1.0426fcb2b318ap-3, -0x1.fe9636af0bec7p-4, -0x1.f4ff21c409df5p-4, -0x1.eb88b5ab4029ap-4, -0x1.e232e92d0c626p-4, -0x1.d8fdaf0518686p-4, -0x1.cfe8f611c883p-4, -0x1.c6f4a981687c9p-4, -0x1.be20b0fd55491p-4, -0x1.b56cf0d32881p-4, -0x1.acd94a1c26c68p-4, -0x1.a4659ae2f49adp-4, -0x1.9c11be47cd72ep-4, -0x1.93dd8ca353373p-4, -0x1.8bc8dba80f287p-4, -0x1.83d37e82b7de4p-4, -0x1.7bfd45f95ead3p-4, -0x1.7446008988533p-4, -0x1.6cad7a854552dp-4, -0x1.65337e2f57886p-4, -0x1.5dd7d3d66d118p-4, -0x1.569a41ef7e6c3p-4, -0x1.4f7a8d2f5899ap-4, -0x1.487878a35c6a9p-4, -0x1.4193c5c97e373p-4, -0x1.3acc34a78ba48p-4, -0x1.342183e1c4a7dp-4, -0x1.2d9370d0c8d75p-4, -0x1.2721b796e52bp-4, -0x1.20cc1334c3f08p-4, -0x1.1a923d9d85195p-4, -0x1.1473efca412e3p-4, -0x1.0e70e1ccfa6b2p-4, -0x1.0888cae2fd402p-4, -0x1.02bb6186b333ap-4, -0x1.fa10b701d04fp-5, -0x1.eededbf3099fbp-5, -0x1.e3e09b0f7e7cfp-5, -0x1.d9155c838849ep-5, -0x1.ce7ed2ee4644cp-5, -0x1.c417d9d3b462ep-5, -0x1.b9e2185a69127p-5, -0x1.afdcf3fd2cec2p-5, -0x1.a607d1b257d16p-5, -0x1.9c6216069eee2p-5, -0x1.92eb25373ec58p-5, -0x1.89a2634b6a103p-5, -0x1.8087342ce7417p-5, -0x1.7798fbbfd38e3p-5, -0x1.6ed71df9716b3p-5, -0x1.6640fef60608fp-5, -0x1.5dd6030db4339p-5, -0x1.55958ee855a6fp-5, -0x1.4d7f079053e38p-5, -0x1.4591d2847d00dp-5, -0x1.3dcd55c8e342ep-5, -0x1.3630f7f6c5b1dp-5, -0x1.2ebc204b8fc56p-5, -0x1.276e36b6fd29ap-5, -0x1.2046a3e8684bfp-5, -0x1.1944d15b55a24p-5, -0x1.1268296343696p-5, -0x1.0bb01736d2f82p-5, -0x1.051c06fa4e763p-5, -0x1.fd56cb933ec01p-6, -0x1.f0bb4383790dep-6, -0x1.e46454133bf3ep-6, -0x1.d850ddb574b8ep-6, -0x1.cc7fc3123bb4p-6, -0x1.c0efe91631e9cp-6, -0x1.b5a037012ebc9p-6, -0x1.aa8f9674326fbp-6, -0x1.9fbcf37eb34bbp-6, -0x1.95273cab4d232p-6, -0x1.8acd630bc95cbp-6, -0x1.80ae5a4490668p-6, -0x1.76c91897810e5p-6, -0x1.6d1c96ee2d096p-6, -0x1.63a7d0e3826aap-6, -0x1.5a69c4ccd6c49p-6, -0x1.516173c25d1c4p-6, -0x1.488de1a703dd9p-6, -0x1.3fee152fb9679p-6, -0x1.378117ea194ecp-6, -0x1.2f45f6427e1a7p-6, -0x1.273bbf89820d8p-6, -0x1.1f6185f8e3b64p-6, -0x1.17b65eb7dc59fp-6, -0x1.103961dede60bp-6, -0x1.08e9aa7acb3dep-6, -0x1.01c6568f99166p-6, -0x1.f59d0e34e1302p-7, -0x1.e802c0268d09dp-7, -0x1.dabc10dbe4b93p-7, -0x1.cdc754359d99ep-7, -0x1.c122e40db4217p-7, -0x1.b4cd2036d10fap-7, -0x1.a8c46e7acc084p-7, -0x1.9d073a985c7a3p-7, -0x1.9193f63fffdd4p-7, -0x1.866919101c4f6p-7, -0x1.7b85209071de2p-7, -0x1.70e6902ccf395p-7, -0x1.668bf12f2a2dcp-7, -0x1.5c73d2b91d505p-7, -0x1.529cc9bcbe2e8p-7, -0x1.490570f4f2051p-7, -0x1.3fac68dd3e72fp-7, -0x1.369057a905b29p-7, -0x1.2dafe93a5c5d3p-7, -0x1.2509cf1861a5bp-7, -0x1.1c9cc0652a382p-7, -0x1.146779d342f46p-7, -0x1.0c68bd9ad148ap-7, -0x1.049f536e53d8p-7, -0x1.fa1410de12ae7p-8, -0x1.eb4f5e420d894p-8, -0x1.dcee3ebdf0adp-8, -0x1.ceee6c9b346dbp-8, -0x1.c14dac9dd2613p-8, -0x1.b409cdea1e7cbp-8, -0x1.a720a9ea2261dp-8, -0x1.9a90243283926p-8, -0x1.8e562a66fc26ep-8, -0x1.8270b41e64e59p-8, -0x1.76ddc2c66e919p-8, -0x1.6b9b6186f3a45p-8, -0x1.60a7a5250288cp-8, -0x1.5600abe59dcfp-8, -0x1.4ba49d703572p-8, -0x1.4191aab0ebc2p-8, -0x1.37c60dba9f7b3p-8, -0x1.2e4009a8cb5bap-8, -0x1.24fdea813bc8ap-8, -0x1.1bfe0515a9269p-8, -0x1.133eb6e52d50ep-8, -0x1.0abe65fdae182p-8, -0x1.027b80dd2fd35p-8, -0x1.f4e8fca64ec0ep-9, -0x1.e54fbac37cb5bp-9, -0x1.d6284a3e3e65ep-9, -0x1.c76fc92d7e9b3p-9, -0x1.b92365557bef2p-9, -0x1.ab405bea9164dp-9, -0x1.9dc3f9542a5adp-9, -0x1.90ab98efec88dp-9, -0x1.83f4a4d509f4fp-9, -0x1.779c9597e1b98p-9, -0x1.6ba0f20dd1c46p-9, -0x1.5fff4f116d5b9p-9, -0x1.54b54f46e1cafp-9, -0x1.49c0a2e0da4b9p-9, -0x1.3f1f0765a1487p-9, -0x1.34ce4774b6babp-9, -0x1.2acc3a8cc5a9p-9, -0x1.2116c4d20c7f3p-9, -0x1.17abd6d5329b9p-9, -0x1.0e896d5a9414dp-9, -0x1.05ad912203b7bp-9, -0x1.fa2cad5e27221p-10, -0x1.e983bc239f7cp-10, -0x1.d95ca5602c9afp-10, -0x1.c9b3d61eb1ed3p-10, -0x1.ba85d13dfc401p-10, -0x1.abcf2f0697a6cp-10, -0x1.9d8c9cc1ba5a5p-10, -0x1.8fbadc5158d59p-10, -0x1.8256c3c981951p-10, -0x1.755d3d0aaf68cp-10, -0x1.68cb455d852ffp-10, -0x1.5c9ded0fa30ecp-10, -0x1.50d25711c1064p-10, -0x1.4565b89705ed1p-10, -0x1.3a5558b597687p-10, -0x1.2f9e900885cc3p-10, -0x1.253ec852e4982p-10, -0x1.1b337c24315a1p-10, -0x1.117a367e11f63p-10, -0x1.0810927b56113p-10, -0x1.fde875f080753p-11, -0x1.ec45d4784d33ep-11, -0x1.db34d348cc564p-11, -0x1.cab122a12ed83p-11, -0x1.bab68fa043f8cp-11, -0x1.ab4103a22b3ep-11, -0x1.9c4c83a0ae106p-11, -0x1.8dd52f9641284p-11, -0x1.7fd741e3886b3p-11, -0x1.724f0eb78b632p-11, -0x1.6539037a74412p-11, -0x1.5891a63ae9a1ep-11, -0x1.4c55951df5cbap-11, -0x1.408185d16bdacp-11, -0x1.35124501003c4p-11, -0x1.2a04b5cd9a2ffp-11, -0x1.1f55d147661a8p-11, -0x1.1502a5ea355d2p-11, -0x1.0b08571c6c198p-11, -0x1.01641cb040c26p-11, -0x1.f02684ced57d2p-12, -0x1.de264ef278231p-12, -0x1.ccc27c35dea16p-12, -0x1.bbf61614d50c6p-12, -0x1.abbc4a3656b07p-12, -0x1.9c10698b224cp-12, -0x1.8cede77089665p-12, -0x1.7e5058d7ecb6p-12, -0x1.703373722787bp-12, -0x1.62930cdf43c5bp-12, -0x1.556b19e31ccebp-12, -0x1.48b7ad9d29581p-12, -0x1.3c74f8c4ffe13p-12, -0x1.309f48ea750a4p-12, -0x1.253307ba2284cp-12, -0x1.1a2cba45707c5p-12, -0x1.0f89004e9ea9cp-12, -0x1.054493987132dp-12, -0x1.f6b88e738375bp-13, -0x1.e39a0de99da46p-13, -0x1.d127ad231937ep-13, -0x1.bf5ba27898fb9p-13, -0x1.ae3051ce57dbdp-13, -0x1.9da04b5ed19a8p-13, -0x1.8da64a8b6df11p-13, -0x1.7e3d34b45dabbp-13, -0x1.6f601816ad89cp-13, -0x1.610a2ab0a0e76p-13, -0x1.5336c92c8a3a9p-13, -0x1.45e175d19de3cp-13, -0x1.3905d77b5cf0ap-13, -0x1.2c9fb895d5765p-13, -0x1.20ab062116b16p-13, -0x1.1523ceb9a0913p-13, -0x1.0a0641a66e1c3p-13, -0x1.fe9d5bda23242p-14, -0x1.e9f302d679205p-14, -0x1.d6068fe9c2e79p-14, -0x1.c2d154f104ccdp-14, -0x1.b04cdc50b6d0bp-14, -0x1.9e72e751b1241p-14, -0x1.8d3d6c8701784p-14, -0x1.7ca6963ee7f43p-14, -0x1.6ca8c0fce0fdap-14, -0x1.5d3e79fd15bc9p-14, -0x1.4e627dc1d463ap-14, -0x1.400fb6a82390dp-14, -0x1.32413b8909a3fp-14, -0x1.24f24e5f770d1p-14, -0x1.181e5af9f8c0dp-14, -0x1.0bc0f5b3540dbp-14, -0x1.ffabb465c2354p-15, -0x1.e8b1d470926a9p-15, -0x1.d28c58d4f415fp-15, -0x1.bd339664f8d42p-15, -0x1.a8a02736a83e6p-15, -0x1.94cae8771715cp-15, -0x1.81acf848e8015p-15, -0x1.6f3fb3b2334a5p-15, -0x1.5d7cb499ea7b3p-15, -0x1.4c5dcfd090ad3p-15, -0x1.3bdd1329635b6p-15, -0x1.2bf4c39e9a477p-15, -0x1.1c9f5b83dcd69p-15, -0x1.0dd78c859d191p-15, -0x1.ff30696c49bb8p-16, -0x1.e3b8c343103d1p-16, -0x1.c93ea3d0d6aaep-16, -0x1.afb8e27253c1fp-16, -0x1.971ead9491a7bp-16, -0x1.7f6787bf4b5f2p-16, -0x1.688b44b86c435p-16, -0x1.528206b82ae7ep-16, -0x1.3d443bb631d26p-16, -0x1.28ca9ac890cc7p-16, -0x1.150e21975fe37p-16, -0x1.020811e3b5e09p-16, -0x1.df63de3f5691fp-17, -0x1.bc0af841bb2d3p-17, -0x1.99f971aae781ap-17, -0x1.7923c0365db74p-17, -0x1.597ecb3bd3826p-17, -0x1.3affe792d6898p-17, -0x1.1d9cd396b000fp-17, -0x1.014bb34ba4f87p-17, -0x1.cc06193ed5308p-18, -0x1.9773879f58507p-18, -0x1.64ce2fc1a441bp-18, -0x1.34053e7c9f347p-18, -0x1.050888dfee4f8p-18, -0x1.af910bb357dd4p-19, -0x1.586c9020a3f07p-19, -0x1.0486efce5c3d4p-19, -0x1.6789372aa973ap-20, -0x1.982c649fc121p-21, -0x1.b40f8683a557p-23, 0x1.6591b8e0741fcp-22, 0x1.c797c091a6161p-21, 0x1.68e182deb748ep-20, 0x1.e8d0ae7902154p-20, 0x1.31e18428fc19p-19, 0x1.6cf04a0eb0527p-19, 0x1.a5a7e26f327a8p-19, 0x1.dc1ac68664a08p-19, 0x1.082d5bafe3d3p-18, 0x1.213c628d656b5p-18, 0x1.3942ab3ae707ap-18, 0x1.504817d674a5ap-18, 0x1.66543cba5309bp-18, 0x1.7b6e63b770e92p-18, 0x1.8f9d8f3b79b4fp-18, 0x1.a2e87d5752f41p-18, 0x1.b555aab475e21p-18, 0x1.c6eb5563d0833p-18, 0x1.d7af7f8d98764p-18, 0x1.e7a7f211209d2p-18, 0x1.f6da3f0784bdcp-18, 0x1.02a5e214b41adp-17, 0x1.0980d692328acp-17, 0x1.10007ae7afe99p-17, 0x1.1627362cd0cb7p-17, 0x1.1bf759a4f7c42p-17, 0x1.217321c11a287p-17, 0x1.269cb711a2bfcp-17, 0x1.2b762f2cab41bp-17, 0x1.30018d8f65c9bp-17, 0x1.3440c472981bdp-17, 0x1.3835b59a8dc6cp-17, 0x1.3be2331443744p-17, 0x1.3f47fffc3c8a5p-17, 0x1.4268d12adb99cp-17, 0x1.45464de397319p-17, 0x1.47e210796ff89p-17, 0x1.4a3da6efc8faap-17, 0x1.4c5a938883f48p-17, 0x1.4e3a4d5f1c16p-17, 0x1.4fde40edf2094p-17, 0x1.5147d08f87515p-17, 0x1.527854fd2bcf8p-17, 0x1.53711dcd845f5p-17, 0x1.543371da8528dp-17, 0x1.54c08fb62be98p-17, 0x1.5519ae12503c6p-17, 0x1.553ffc1e4929dp-17, 0x1.5534a1edf68eap-17, 0x1.54f8c0c7c6089p-17, 0x1.548d737f7c6b1p-17, 0x1.53f3cecb52861p-17, 0x1.532ce1862d6a9p-17, 0x1.5239b500a4eaap-17, 0x1.511b4d3e63099p-17, 0x1.4fd2a94170d4ap-17, 0x1.4e60c33ef41b7p-17, 0x1.4cc690dcdad2cp-17, 0x1.4b050368a740ep-17, 0x1.491d080dbbe65p-17, 0x1.470f880280cf3p-17, 0x1.44dd68b91ce3ap-17, 0x1.42878c0db6687p-17, 0x1.400ed063c415bp-17, 0x1.3d7410dde224cp-17, 0x1.3ab8257702071p-17, 0x1.37dbe326488dfp-17, 0x1.34e01bfe70319p-17, 0x1.31c59f4fefab7p-17, 0x1.2e8d39bdd6709p-17, 0x1.2b37b55c0de02p-17, 0x1.27c5d9c76a9ebp-17, 0x1.24386c3a9c84dp-17, 0x1.20902fa42546dp-17, 0x1.1ccde4b83ab48p-17, 0x1.18f24a04ec9bcp-17, 0x1.14fe1c00247e7p-17, 0x1.10f2151924626p-17, 0x1.0cceedc4c4e42p-17, 0x1.08955c8a46dc8p-17, 0x1.0446160fa7361p-17, 0x1.ffc39a47d79b4p-18, 0x1.f6d2659173bdcp-18, 0x1.edb9ec761662p-18, 0x1.e47b89f0167cfp-18, 0x1.db18959d09bd1p-18, 0x1.d19263aebaa58p-18, 0x1.c7ea450358085p-18, 0x1.be2187325a20dp-18, 0x1.b439748741677p-18, 0x1.aa33541a1d17cp-18, 0x1.a01069ca8bbbcp-18, 0x1.95d1f6459fc53p-18, 0x1.8b79370eb26a1p-18, 0x1.8107667b6beb2p-18, 0x1.767dbbbacd983p-18, 0x1.6bdd6ad303cc9p-18, 0x1.6127a4a66640dp-18, 0x1.565d96f66ef3bp-18, 0x1.4b806c553fcf9p-18, 0x1.40914c32f3dafp-18, 0x1.35915ad3d3538p-18, 0x1.2a81b9558a7a2p-18, 0x1.1f6385a486a8ep-18, 0x1.1437da7ebacbcp-18, 0x1.08ffcf6ebfa0ap-18, 0x1.fb78f194911aep-19, 0x1.e4ddcf56ab1f2p-19, 0x1.ce3053e308ed7p-19, 0x1.b772946fb9e6ap-19, 0x1.a0a69fac5ab18p-19, 0x1.89ce7db541b56p-19, 0x1.72ec30068ab97p-19, 0x1.5c01b18e143cdp-19, 0x1.4510f6726f5f1p-19, 0x1.2e1bec385fad7p-19, 0x1.1724799fd449bp-19, 0x1.002c7eaace31p-19, 0x1.d26ba91d9be96p-20, 0x1.a4849b6c49ea3p-20, 0x1.76a76b2d7961ap-20, 0x1.48d7a1b99d9c2p-20, }}, 
      {{-0x1.4e3e92dea8de5p-2, -0x1.b9588e056bbd6p-3, -0x1.1e0c23ea9082ep-4, 0x1.6fe2b84d7c8c9p-4, 0x1.ff3dc367ba5ep-3, 0x1.9a5e8f7044b56p-2, 0x1.1362458250ed1p-1, 0x1.50f5920f273ep-1, 0x1.8558ddf941102p-1, 0x1.b09573ce58de7p-1, 0x1.d3193df7eb724p-1, 0x1.ed90203cf4e48p-1, 0x1.006454502355ep+0, 0x1.06d0386cd4683p+0, 0x1.0a7b578500d0bp+0, 0x1.0bd1a2e3c6eeap+0, 0x1.0b386ea5f2767p+0, 0x1.090cbf0f322ep+0, 0x1.05a27bd87e9b7p+0, 0x1.014426fb97772p+0, 0x1.f865e67c3f8a4p-1, 0x1.ed4e66d65866ap-1, 0x1.e1a1f67f3f5dbp-1, 0x1.d5b196d5d925ap-1, 0x1.c9c09420a40ap-1, 0x1.be05ec3c95676p-1, 0x1.b2ad6ba525fa4p-1, 0x1.a7d98c6c98049p-1, 0x1.9da468ea0569ap-1, 0x1.9420dc8ab8692p-1, 0x1.8b5ba5ddaa26ep-1, 0x1.835c4f9275787p-1, 0x1.7c25fe0cc4c11p-1, 0x1.75b831849ed63p-1, 0x1.700f728a86f14p-1, 0x1.6b25e27e63f41p-1, 0x1.66f3b878184bap-1, 0x1.636fb14ccbdbdp-1, 0x1.608f7150798d7p-1, 0x1.5e47d716b14f2p-1, 0x1.5c8d42350cfbbp-1, 0x1.5b53cfeb4220bp-1, 0x1.5a8f8cd904ff2p-1, 0x1.5a349b9e5cc38p-1, 0x1.5a3752dc4e731p-1, 0x1.5a8c55e25bd46p-1, 0x1.5b28aa0eb3816p-1, 0x1.5c01c9451ecfdp-1, 0x1.5d0db0fc705a8p-1, 0x1.5e42ed4b7e67cp-1, 0x1.5f989fc5f8354p-1, 0x1.6106828238c1ep-1, 0x1.6284e803a17c4p-1, 0x1.640cb8e7d297ap-1, 0x1.659854f2d294fp-1, 0x1.671ffc93754a3p-1, 0x1.689f23efa7c11p-1, 0x1.6a10e01d1e376p-1, 0x1.6b70c14704d1ap-1, 0x1.6cbad00998283p-1, 0x1.6deb8aa855161p-1, 0x1.6effe0b87fc1dp-1, 0x1.6ff52cd151b53p-1, 0x1.70c92cc032c79p-1, 0x1.7179f940e9043p-1, 0x1.7205fe34b4e49p-1, 0x1.726bf3ec37322p-1, 0x1.72aad992f6efp-1, 0x1.72c1f066cb7b6p-1, 0x1.72b0b74058ab8p-1, 0x1.7276e6090209p-1, 0x1.721468f45984ap-1, 0x1.71895b8ee7599p-1, 0x1.70d603d9aae8cp-1, 0x1.6ffacdaf62c5ep-1, 0x1.6ef8469c49a6bp-1, 0x1.6dcf1a318a88fp-1, 0x1.6c800ec25e263p-1, 0x1.6b0c026b25792p-1, 0x1.6973e843f4b85p-1, 0x1.67b8c5ab2301fp-1, 0x1.65dbafa260389p-1, 0x1.63ddc8438b2cep-1, 0x1.61c03c578203bp-1, 0x1.5f844118daeadp-1, 0x1.5d2b1229407c9p-1, 0x1.5ab5efbc42703p-1, 0x1.58261cf733e64p-1, 0x1.557cde836266cp-1, 0x1.52bb794e4d854p-1, 0x1.4fe3317263889p-1, 0x1.4cf54941f92dep-1, 0x1.49f3006e089f4p-1, 0x1.46dd9342c7368p-1, 0x1.43b639f54a119p-1, 0x1.407e27ff118dap-1, 0x1.3d368b8604101p-1, 0x1.39e08cd0da894p-1, 0x1.367d4dc90e45bp-1, 0x1.330de98bcd0dcp-1, 0x1.2f93740b5a3fep-1, 0x1.2c0ef9c1a141ap-1, 0x1.28817f73c807ep-1, 0x1.24ec02057731fp-1, 0x1.214f765992f3ap-1, 0x1.1dacc93d8c0e8p-1, 0x1.1a04df5c499b9p-1, 0x1.16589536227efp-1, 0x1.12a8bf1c3e54dp-1, 0x1.0ef6292edef56p-1, 0x1.0b41ca107454cp-1, 0x1.078beab419dc1p-1, 0x1.03d57ccdc5176p-1, 0x1.001f2cdfa1e9bp-1, 0x1.f8d33f2020c71p-2, 0x1.f16ae398a31dbp-2, 0x1.ea0671ec8bc8ep-2, 0x1.e2a70636adfc6p-2, 0x1.db4dae63c84a5p-2, 0x1.d3fb6ab4591dbp-2, 0x1.ccb12e3f6fa7p-2, 0x1.c56fdf714c8adp-2, 0x1.be385881ec67p-2, 0x1.b70b67e13a47dp-2, 0x1.afe9d098443e2p-2, 0x1.a8d44aa041ad8p-2, 0x1.a1cb83316123p-2, 0x1.9ad01d0bf7922p-2, 0x1.93e2b0bef67aep-2, 0x1.8d03ccee523a2p-2, 0x1.8633f69b823c2p-2, 0x1.7f73a9718c0f1p-2, 0x1.78c358153e439p-2, 0x1.72236c796c7cdp-2, 0x1.6b94483677ecep-2, 0x1.651644e3e3a02p-2, 0x1.5ea9b47296819p-2, 0x1.584ee18651be1p-2, 0x1.52060fcd16823p-2, 0x1.4bcf7c536bb74p-2, 0x1.45ab5dd4c8636p-2, 0x1.3f99e507bb52cp-2, 0x1.399b3ce5b5358p-2, 0x1.33af8aeeaa69ep-2, 0x1.2dd6ef68e468bp-2, 0x1.2811859d8c7c7p-2, 0x1.225f641279dcdp-2, 0x1.1cc09cc1c0868p-2, 0x1.17353d4f755b5p-2, 0x1.11bd4f3deecbp-2, 0x1.0c58d820a684dp-2, 0x1.0707d9cdcc785p-2, 0x1.01ca528e74b72p-2, 0x1.f9407a9a97f9p-3, 0x1.ef1323875bd19p-3, 0x1.e50c894a108bbp-3, 0x1.db2c8f90f0d4bp-3, 0x1.d17314a13aea6p-3, 0x1.c7dff1a354bf3p-3, 0x1.be72faeb7c1cep-3, 0x1.b52c003f3a2f8p-3, 0x1.ac0acd17c12cbp-3, 0x1.a30f28e162b5ep-3, 0x1.9a38d7385ba7p-3, 0x1.918798230fb4ap-3, 0x1.88fb2849f42f4p-3, 0x1.8093412d444e2p-3, 0x1.784f9958a85a2p-3, 0x1.702fe494ecbecp-3, 0x1.6833d417de1e4p-3, 0x1.605b16b25a3d7p-3, 0x1.58a558fcaf4a3p-3, 0x1.511245813eed8p-3, 0x1.49a184e57c092p-3, 0x1.4252be11423dfp-3, 0x1.3b259654873cap-3, 0x1.3419b18b7cbe2p-3, 0x1.2d2eb2411977ep-3, 0x1.266439d028b55p-3, 0x1.1fb9e882d3661p-3, 0x1.192f5db0cbf71p-3, 0x1.12c437dc0d227p-3, 0x1.0c7814cc499dap-3, 0x1.064a91a90f499p-3, 0x1.003b4b12abf77p-3, 0x1.f493ba73a400ep-4, 0x1.e8ebc7ec23977p-4, 0x1.dd7df5b650875p-4, 0x1.d2497a9a65e05p-4, 0x1.c74d8d278aa02p-4, 0x1.bc8963d807057p-4, 0x1.b1fc35335f902p-4, 0x1.a7a537eea85ecp-4, 0x1.9d83a30b0113p-4, 0x1.9396adf27595dp-4, 0x1.89dd90934061dp-4, 0x1.805783799d215p-4, 0x1.7703bfe83a386p-4, 0x1.6de17fef5fedep-4, 0x1.64effe82e1139p-4, 0x1.5c2e778ee93cp-4, 0x1.539c280bb3c01p-4, 0x1.4b384e103d598p-4, 0x1.430228e3fd561p-4, 0x1.3af8f90fae7bap-4, 0x1.331c006d341b1p-4, 0x1.2b6a8236a5df3p-4, 0x1.23e3c31487f99p-4, 0x1.1c87092b39003p-4, 0x1.15539c279d65dp-4, 0x1.0e48c54b0cc7p-4, 0x1.0765cf76897c8p-4, 0x1.00aa073545443p-4, 0x1.f429758cf4144p-5, 0x1.e74a744d35b95p-5, 0x1.dab5ae2fc06ebp-5, 0x1.ce69ca546ca7p-5, 0x1.c26573851edafp-5, 0x1.b6a758433e32dp-5, 0x1.ab2e2ad40aac9p-5, 0x1.9ff8a14bce864p-5, 0x1.9505759805a9ep-5, 0x1.8a549de5d4cd8p-5, 0x1.7fe27547368efp-5, 0x1.75aef041db2f3p-5, 0x1.6bb8d88ae97dfp-5, 0x1.61fefbcec1bfcp-5, 0x1.58802bb60b0efp-5, 0x1.4f3b3dea00a0ap-5, 0x1.462f0c17ffa31p-5, 0x1.3d5a73f455008p-5, 0x1.34bc573c4a529p-5, 0x1.2c539bb76e818p-5, 0x1.241f2b3825519p-5, 0x1.1c1df39b76d51p-5, 0x1.144ee6c829514p-5, 0x1.0cb0faad2b916p-5, 0x1.0543293f521e5p-5, 0x1.fc08e0ece5edap-6, 0x1.ede7a493c533ep-6, 0x1.e020a958c3bb2p-6, 0x1.d2b2030efa8c3p-6, 0x1.c599cd6cdb681p-6, 0x1.b8d62c00fd418p-6, 0x1.ac654a2608f05p-6, 0x1.a0455af5d9d3p-6, 0x1.9474993bd9687p-6, 0x1.88f14766b36ebp-6, 0x1.7db9af7963f06p-6, 0x1.72cc22fbb2f3cp-6, 0x1.6826faea3017ep-6, 0x1.5dc897a5a9e64p-6, 0x1.53af60e23e682p-6, 0x1.49d9c595fea8bp-6, 0x1.40463be738256p-6, 0x1.36f3411a65943p-6, 0x1.2ddf597fd511dp-6, 0x1.25091060fbfc4p-6, 0x1.1c6ef7ed93e8dp-6, 0x1.140fa9287088ep-6, 0x1.0be9c3d420129p-6, 0x1.03fbee5f535edp-6, 0x1.f889aba2379c1p-7, 0x1.e9865b69ed066p-7, 0x1.daeb600d5c334p-7, 0x1.ccb63a3c3c329p-7, 0x1.bee4773599cc1p-7, 0x1.b173b09eda1c5p-7, 0x1.a4618c5a7ddccp-7, 0x1.97abbc5ec2e4ap-7, 0x1.8b4ffe8c15d05p-7, 0x1.7f4c1c836782ap-7, 0x1.739deb7c63b01p-7, 0x1.68434c1ba0609p-7, 0x1.5d3a2a48bb255p-7, 0x1.52807d046f457p-7, 0x1.4814463eb5c44p-7, 0x1.3df392ace7a8bp-7, 0x1.341c799ff14b5p-7, 0x1.2a8d1cda9e8e4p-7, 0x1.2143a867fc30cp-7, 0x1.183e5271dc9acp-7, 0x1.0f7b5b1785e41p-7, 0x1.06f90c4488ac9p-7, 0x1.fd6b730f8e73dp-8, 0x1.ed5f7fd567813p-8, 0x1.ddcb0b91934a9p-8, 0x1.ceaaf54e8955p-8, 0x1.bffc2e1a32d7ep-8, 0x1.b1bbb8b66ea11p-8, 0x1.a3e6a94a25a78p-8, 0x1.967a2512fafc8p-8, 0x1.89736217a2a83p-8, 0x1.7ccfa6dad78dep-8, 0x1.708c4a0f06dddp-8, 0x1.64a6b24aad232p-8, 0x1.591c55bd64a65p-8, 0x1.4deab9e5b6076p-8, 0x1.430f7347a9efp-8, 0x1.388825241afffp-8, 0x1.2e528130d1e11p-8, 0x1.246c47516a40ep-8, 0x1.1ad34551035a3p-8, 0x1.1185569ccdffp-8, 0x1.088063ff5dfa9p-8, 0x1.ff84c6b9b3a21p-9, 0x1.ee92aee000d7p-9, 0x1.de269f100cbebp-9, 0x1.ce3cce8eaef9ap-9, 0x1.bed18cc63f4c6p-9, 0x1.afe140c796236p-9, 0x1.a16868cca6ea3p-9, 0x1.936399bcead25p-9, 0x1.85cf7eb37fe2dp-9, 0x1.78a8d88711b5ep-9, 0x1.6bec7d5384026p-9, 0x1.5f97580558bfdp-9, 0x1.53a667e6e509dp-9, 0x1.4816c02f341a8p-9, 0x1.3ce58792bbd53p-9, 0x1.320ff7d5d3ac6p-9, 0x1.27935d60d6cffp-9, 0x1.1d6d16d617e9bp-9, 0x1.139a94a98a447p-9, 0x1.0a1958ba1bdacp-9, 0x1.00e6f5ecd883dp-9, 0x1.f0021f93754fdp-10, 0x1.decab4343d956p-10, 0x1.ce23311215ca8p-10, 0x1.be073c8a0ae38p-10, 0x1.ae729b47375edp-10, 0x1.9f612f8d34ff3p-10, 0x1.90cef885cb2eap-10, 0x1.82b81191d46a9p-10, 0x1.7518b19d5ab7ep-10, 0x1.67ed2a770ce66p-10, 0x1.5b31e82aabdp-10, 0x1.4ee3705ebe636p-10, 0x1.42fe61b5446b7p-10, 0x1.377f732f93fc9p-10, 0x1.2c6373953fc17p-10, 0x1.21a748dde33edp-10, 0x1.1747ef9e0218fp-10, 0x1.0d427a76e2b4ep-10, 0x1.039411891d64bp-10, 0x1.f473e3d48dd1cp-11, 0x1.e262da3a8c101p-11, 0x1.d0efd11b0bfdcp-11, 0x1.c015ba19cbda4p-11, 0x1.afcfaca8cf371p-11, 0x1.a018e50f1a1dp-11, 0x1.90ecc37494ep-11, 0x1.8246caf376fa3p-11, 0x1.7422a0ae7d5c9p-11, 0x1.667c0aec930fap-11, 0x1.594ef0390267bp-11, 0x1.4c9756891850ep-11, 0x1.405162665a89cp-11, 0x1.3479561d79566p-11, 0x1.290b90f228cdfp-11, 0x1.1e048e5737862p-11, 0x1.1360e52bcff3bp-11, 0x1.091d46fca7ac3p-11, 0x1.fe6cfe9386c8bp-12, 0x1.eb52e5a19413ap-12, 0x1.d8e63db63010bp-12, 0x1.c7213120fddfdp-12, 0x1.b5fe189bc758fp-12, 0x1.a57779ffcf557p-12, 0x1.9588070332a01p-12, 0x1.862a9bfdf4035p-12, 0x1.775a3eb67ab72p-12, 0x1.69121d36342cdp-12, 0x1.5b4d8ca4c53e8p-12, 0x1.4e08082ad9e1ap-12, 0x1.413d2fdbf3eddp-12, 0x1.34e8c7a749a2cp-12, 0x1.2906b64f17a66p-12, 0x1.1d930466c74edp-12, 0x1.1289db57d0e72p-12, 0x1.07e7846c91856p-12, 0x1.fb50cfc36e0c1p-13, 0x1.e79217fb504f6p-13, 0x1.d48c285bb76e9p-13, 0x1.c23880546b889p-13, 0x1.b090d63bdb545p-13, 0x1.9f8f15ac95b13p-13, 0x1.8f2d5ded21a32p-13, 0x1.7f660062e2914p-13, 0x1.70337f1048bb6p-13, 0x1.61908b1b8e6e8p-13, 0x1.5378035fd00bap-13, 0x1.45e4f30a54261p-13, 0x1.38d2903e508fap-13, 0x1.2c3c3ac37e677p-13, 0x1.201d7abd6f26cp-13, 0x1.1471ff6c4ce7bp-13, 0x1.09359df5afa04p-13, 0x1.fcc8a06d1741p-14, 0x1.e7f467384d9aap-14, 0x1.d3e7100f179b3p-14, 0x1.c0995d6ccb3f3p-14, 0x1.ae045269b10a7p-14, 0x1.9c2130ae31677p-14, 0x1.8ae976726ed47p-14, 0x1.7a56dc8e889cdp-14, 0x1.6a635497e5d69p-14, 0x1.5b09070c5c7e1p-14, 0x1.4c42518a16cb3p-14, 0x1.3e09c5154dcc3p-14, 0x1.305a246a3da4fp-14, 0x1.232e625b866dp-14, 0x1.1681a03ccf298p-14, 0x1.0a4f2c58a4c73p-14, 0x1.fd2500e51762dp-15, 0x1.e68e80a757487p-15, 0x1.d0d270c6346c9p-15, 0x1.bbe8b88e5041cp-15, 0x1.a7c98b27d4475p-15, 0x1.946d650065e46p-15, 0x1.81cd094fa65f2p-15, 0x1.6fe17fa9e22c5p-15, 0x1.5ea411a86bf54p-15, 0x1.4e0e48a316e13p-15, 0x1.3e19eb7afef8ep-15, 0x1.2ec0fc7794fe9p-15, 0x1.1ffdb733ace99p-15, 0x1.11ca8e9bb9b16p-15, 0x1.04222af9f7f3bp-15, 0x1.edfed02cbf747p-16, 0x1.d4baa6bf19d9fp-16, 0x1.bc6e5451c4b56p-16, 0x1.a510afe498cd6p-16, 0x1.8e98e97d9cafp-16, 0x1.78fe86f753ed6p-16, 0x1.643960dfce871p-16, 0x1.50419f7819cc6p-16, 0x1.3d0fb7cc173a5p-16, 0x1.2a9c68ded90cbp-16, 0x1.18e0b8f269f2ap-16, 0x1.07d5f2e464b25p-16, 0x1.eeeb474570372p-17, 0x1.cf732f61882b7p-17, 0x1.b137b196d4415p-17, 0x1.942d572eaf613p-17, 0x1.78491ad1a7ad6p-17, 0x1.5d805a229647ap-17, 0x1.43c906613b71ep-17, 0x1.2b193dbe885d8p-17, 0x1.136796c2d7fe5p-17, 0x1.f9560a8fc5c1cp-18, 0x1.cdb5adac3119dp-18, 0x1.a3dd5e57e6914p-18, 0x1.7bbd09c47fb2ep-18, 0x1.55453c5e6edc1p-18, 0x1.30671b8491f87p-18, 0x1.0d145f8672529p-18, 0x1.d67e9ba2799b4p-19, 0x1.95b566af35ae5p-19, 0x1.57b3be31ffda4p-19, 0x1.1c613a18c3c44p-19, 0x1.c74cc40933da5p-20, 0x1.5ad9475992523p-20, 0x1.e679264ede609p-21, 0x1.2099c83a5b643p-21, 0x1.8f106a7b38718p-23, -0x1.4154c3a30b4acp-23, -0x1.f7f8fa7f62821p-22, -0x1.9f796021d8bd1p-21, -0x1.1d8860325c114p-20, -0x1.678278fa0f11cp-20, -0x1.adcae8b00c50fp-20, -0x1.f0806f035681ap-20, -0x1.17e054e382779p-19, -0x1.35d4106f45687p-19, -0x1.5229291b6ed54p-19, -0x1.6cecde64ee1a4p-19, -0x1.862bf5abbf233p-19, -0x1.9df2bf6e481f3p-19, -0x1.b44d1c3298421p-19, -0x1.c9468143f3262p-19, -0x1.dce9fd5f1da45p-19, -0x1.ef423ce6d36f1p-19, -0x1.002cc71795195p-18, -0x1.081cf2bfd1dccp-18, -0x1.0f76707092f54p-18, -0x1.163de60269c2p-18, -0x1.1c77d1bd227e6p-18, -0x1.22288c268e2f1p-18, -0x1.275449917b156p-18, -0x1.2bff1bb9ede5bp-18, -0x1.302cf338f5486p-18, -0x1.33e1a0efad60dp-18, -0x1.3720d75ea12a7p-18, -0x1.39ee2bff38211p-18, -0x1.3c4d187715251p-18, -0x1.3e40fbc9dd3dcp-18, -0x1.3fcd1b7b0259bp-18, -0x1.40f4a4a4c519cp-18, -0x1.41baacfe4df79p-18, -0x1.422233d6fc4ebp-18, -0x1.422e2307775e9p-18, -0x1.41e14fda2989fp-18, -0x1.413e7be3b0985p-18, -0x1.404855d146b25p-18, -0x1.3f017a3b068eep-18, -0x1.3d6c744df5713p-18, -0x1.3b8bbe8d53733p-18, -0x1.3961c37e179a1p-18, -0x1.36f0de4570e8fp-18, -0x1.343b5b471f63p-18, -0x1.314378b647fb5p-18, -0x1.2e0b67272bef6p-18, -0x1.2a954a1076046p-18, -0x1.26e3384ac826p-18, -0x1.22f73c8eb5353p-18, -0x1.1ed355d5d2d0cp-18, -0x1.1a7977e15ba19p-18, -0x1.15eb8b8ae5705p-18, -0x1.112b6f2ddcdf8p-18, -0x1.0c3af708332f8p-18, -0x1.071bed967e1e3p-18, -0x1.01d013d311c68p-18, -0x1.f8b2432d1143ep-19, -0x1.ed718bb689595p-19, -0x1.e1e14e0b31e48p-19, -0x1.d604c65727f95p-19, -0x1.c9df20934f92dp-19, -0x1.bd737901bf569p-19, -0x1.b0c4dcc8f5233p-19, -0x1.a3d64a160df66p-19, -0x1.96aab0b0d9683p-19, -0x1.8944f25717483p-19, -0x1.7ba7e305b7e2p-19, -0x1.6dd64962c4179p-19, -0x1.5fd2defd3d43ep-19, -0x1.51a050a234876p-19, -0x1.43413e9c8a62ap-19, -0x1.34b83d0113bbbp-19, -0x1.2607d3e7181d2p-19, -0x1.17327fb337f2fp-19, -0x1.083ab12316084p-19, -0x1.f2459b82ef378p-20, -0x1.d3da5fec57d57p-20, -0x1.b5384e6dacbbap-20, -0x1.9663f07627462p-20, -0x1.7761ba3bb6443p-20, -0x1.58360b2484132p-20, -0x1.38e52e00b5607p-20, -0x1.197359603fd91p-20, -0x1.f3c95f906a0e2p-21, -0x1.b47a7ff6e6c9bp-21, -0x1.75020a90d905fp-21, -0x1.3567cf3c73f1fp-21, -0x1.eb66ef802b39p-22, -0x1.6bd910d234b08p-22, -0x1.d8697f44d62d8p-23, -0x1.b221bf0628438p-24, 0x1.31db4406eb772p-26, 0x1.255f9487194eep-23, 0x1.122037eb03b2fp-22, 0x1.9161a9f83e399p-22, 0x1.083389f961ac3p-21, 0x1.4791d711ae5a8p-21, 0x1.86c57bd197fb4p-21, 0x1.c5c859abd57d9p-21, 0x1.024a3a1edb0cap-20, 0x1.2191f87538d6p-20, 0x1.40b88b5d85819p-20, 0x1.5fbb26ee5aa7cp-20, 0x1.7e970fcc3f0bap-20, 0x1.9d499ae7844c5p-20, 0x1.bbd02d85984a4p-20, 0x1.da283d066c7d6p-20, 0x1.f84f4ec915597p-20, 0x1.0b217c10774ep-19, 0x1.1a006ef4f0b59p-19, 0x1.28c35a7001c91p-19, 0x1.376920930e4d8p-19, 0x1.45f0ab243c57cp-19, 0x1.5458eb939ca3ep-19, 0x1.62a0dad94ae2bp-19, 0x1.70c7797487b72p-19, 0x1.7ecbcf595e8efp-19, 0x1.8cacebdae2b7ep-19, 0x1.9a69e5a5ed568p-19, 0x1.a801da9ffac77p-19, 0x1.b573eff17c8bp-19, 0x1.c2bf51d9a7a68p-19, 0x1.cfe333ad292d8p-19, 0x1.dcdecfc196043p-19, 0x1.e9b16757c55b6p-19, 0x1.f65a42a459794p-19, 0x1.016c584b09216p-18, 0x1.0796036d96554p-18, 0x1.0da9d0ea6998cp-18, 0x1.13a7723d169d7p-18, 0x1.198e9c21fd98bp-18, 0x1.1f5f069994523p-18, 0x1.25186cce0b885p-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.36b575a41f082p-1, -0x1.36f0c4af9b519p-1, -0x1.375172ed2559ep-1, -0x1.37d4638dc4cfp-1, -0x1.387577ae35afap-1, -0x1.392fbbe59e68bp-1, -0x1.39fd96ec2f8acp-1, -0x1.3ad8f6bd18128p-1, -0x1.3bbb7a9007848p-1, -0x1.3c9e98b93eba3p-1, -0x1.3d7bbffd442d9p-1, -0x1.3e4c743c2d8ap-1, -0x1.3f0a66924a08dp-1, -0x1.3faf8930c38e6p-1, -0x1.40361f4658b8cp-1, -0x1.4098c95b29064p-1, -0x1.40d28e85f493bp-1, -0x1.40dee2df969a4p-1, -0x1.40b9ab94c2395p-1, -0x1.405f40ef47c4cp-1, -0x1.3fcc6ea877295p-1, -0x1.3efe72ce102bfp-1, -0x1.3df2fb7b25048p-1, -0x1.3ca8239e88709p-1, -0x1.3b1c6f0121427p-1, -0x1.394ec5b7c4b2ep-1, -0x1.373e6f26283b5p-1, -0x1.34eb0cb2ff707p-1, -0x1.32549448867d2p-1, -0x1.2f7b4ab8651cap-1, -0x1.2c5fbe161a7a3p-1, -0x1.2902c017d4657p-1, -0x1.2565608ab4ef9p-1, -0x1.2188e7e51d668p-1, -0x1.1d6ed1ff666c3p-1, -0x1.1918c8f9a4d54p-1, -0x1.1488a05386927p-1, -0x1.0fc0503a023e6p-1, -0x1.0ac1f10d6f36bp-1, -0x1.058fb721b380ep-1, -0x1.002beeb95a5d9p-1, -0x1.f531f0779cf31p-2, -0x1.e9b2894ca6eb4p-2, -0x1.dddea46df3eaep-2, -0x1.d1bb52a0b4b1p-2, -0x1.c54db3294a3c2p-2, -0x1.b89aee6ca6b22p-2, -0x1.aba830f936ab1p-2, -0x1.9e7aa6f34aa7p-2, -0x1.911777e0d312cp-2, -0x1.8383c2d01da26p-2, -0x1.75c49ad5327f7p-2, -0x1.67df03d96a84ep-2, -0x1.59d7efb8e08b9p-2, -0x1.4bb43ba96b3c2p-2, -0x1.3d78ade6da7abp-2, -0x1.2f29f3a05cdbbp-2, -0x1.20cc9f230080fp-2, -0x1.1265263d69763p-2, -0x1.03f7e0d9055e8p-2, -0x1.eb120f8a2bbb9p-3, -0x1.ce3967605255fp-3, -0x1.b16db8995c6cep-3, -0x1.94b6af3b12738p-3, -0x1.781bb2cf4ef1bp-3, -0x1.5ba3e58b88025p-3, -0x1.3f5623b7692b2p-3, -0x1.2339034d689c9p-3, -0x1.0752d3d0a8107p-3, -0x1.d7533ca749045p-4, -0x1.a0864b570742p-4, -0x1.6a49cd9830e83p-4, -0x1.34a83291e91dcp-4, -0x1.ff56bfe035019p-5, -0x1.96b966cb2eb7dp-5, -0x1.2f8a08ca1378p-5, -0x1.93b2982ca1ac5p-6, -0x1.96db49a7faf5ap-7, -0x1.989ebd7fd492bp-12, 0x1.76a7311114fcbp-7, 0x1.799b354db083fp-6, 0x1.1a2e6e9181ea1p-5, 0x1.75c174989af31p-5, 0x1.cf7cbf75ea0e5p-5, 0x1.13aba12e58a2dp-4, 0x1.3ea46598c1211p-4, 0x1.68a4fe5589c2bp-4, 0x1.91aa24306f81p-4, 0x1.b9b0f465fc34bp-4, 0x1.e0b6ed9f19a9ep-4, 0x1.035cf674d16f8p-3, 0x1.15dc1557dfe8ap-3, 0x1.27d81bd7cb4d8p-3, 0x1.39507cfa5d71bp-3, 0x1.4a44d4ea6b302p-3, 0x1.5ab4e778502fep-3, 0x1.6aa09e9d25f2fp-3, 0x1.7a08090148337p-3, 0x1.88eb588689126p-3, 0x1.974ae0d68f5cdp-3, 0x1.a52715f5bfa93p-3, 0x1.b2808adb110dbp-3, 0x1.bf57f00d0be5p-3, 0x1.cbae124457c7ap-3, 0x1.d783d91404b5bp-3, 0x1.e2da4597d40cdp-3, 0x1.edb27128b8b4ep-3, 0x1.f80d8c17b7daap-3, 0x1.00f66e37acdbep-2, 0x1.05a8de5de1855p-2, 0x1.0a1ecd6cd4af9p-2, 0x1.0e58fb661499ap-2, 0x1.125830ccd0231p-2, 0x1.161d3e17cd10fp-2, 0x1.19a8fb26ef5c4p-2, 0x1.1cfc46bc565f3p-2, 0x1.201805f91285bp-2, 0x1.22fd23dd77e65p-2, 0x1.25ac90cd0f869p-2, 0x1.282742161f5f6p-2, 0x1.2a6e317cd17dcp-2, 0x1.2c825cc9eecf5p-2, 0x1.2e64c55d2e0cp-2, 0x1.30166fc30c2e9p-2, 0x1.3198634e31901p-2, 0x1.32eba9b44e89ap-2, 0x1.34114eae76a6dp-2, 0x1.350a5f9ce1c65p-2, 0x1.35d7eb2e1aa45p-2, 0x1.367b01097ce55p-2, 0x1.36f4b17d0a8c9p-2, 0x1.37460d2e7d294p-2, 0x1.377024cf92b96p-2, 0x1.377408d58197fp-2, 0x1.3752c93386b42p-2, 0x1.370d7518885aap-2, 0x1.36a51aafb40e9p-2, 0x1.361ac6e40f16ap-2, 0x1.356f8526efa18p-2, 0x1.34a45f3941ea5p-2, 0x1.33ba5cf79b206p-2, 0x1.32b28428fb48p-2, 0x1.318dd85037ed1p-2, 0x1.304d5a7fff611p-2, 0x1.2ef209315c539p-2, 0x1.2d7ce01cb7232p-2, 0x1.2beed81536fc9p-2, 0x1.2a48e6e67e649p-2, 0x1.288bff34aa189p-2, 0x1.26b9105e889aap-2, 0x1.24d10661f5bcap-2, 0x1.22d4c9c24e4a8p-2, 0x1.20c53f70e8799p-2, 0x1.1ea348b781b8bp-2, 0x1.1c6fc324951ffp-2, 0x1.1a2b887986b4fp-2, 0x1.17d76e9a9652cp-2, 0x1.157447808bb1p-2, 0x1.1302e12c08a23p-2, 0x1.1084059a784b5p-2, 0x1.0df87abc871aap-2, 0x1.0b61026e156a5p-2, 0x1.08be5a6f9b92fp-2, 0x1.06113c60eba2bp-2, 0x1.035a5dbd43176p-2, 0x1.009a6fd8a3cfdp-2, 0x1.fba43fbcc0d1cp-3, 0x1.f6042da1a2f3p-3, 0x1.f055f31453ff1p-3, 0x1.ea9ad17cae66cp-3, 0x1.e4d401fbca534p-3, 0x1.df02b573b37ddp-3, 0x1.d9281490f0582p-3, 0x1.d3453fd5ce33bp-3, 0x1.cd5b4fa749f36p-3, 0x1.c76b545b93838p-3, 0x1.c176564a02c19p-3, 0x1.bb7d55dc7a4f4p-3, 0x1.b5814ba2135e3p-3, 0x1.af8328630a8abp-3, 0x1.a983d535d6e6ap-3, 0x1.a384339550d09p-3, 0x1.9d851d77e432p-3, 0x1.97876567b2df7p-3, 0x1.918bd69b8e79cp-3, 0x1.8b933510d29c4p-3, 0x1.859e3da5eb726p-3, 0x1.7fada6359c0dfp-3, 0x1.79c21db2ddcbbp-3, 0x1.73dc4c454e361p-3, 0x1.6dfcd3662620ap-3, 0x1.68244dfda863cp-3, 0x1.62535080f078ep-3, 0x1.5c8a691022b9ep-3, 0x1.56ca1f94ef4f8p-3, 0x1.5112f5e152b1dp-3, 0x1.4b6567ce91185p-3, 0x1.45c1eb5c61699p-3, 0x1.4028f0d03c3b3p-3, 0x1.3a9ae2d4be2bbp-3, 0x1.3518269923becp-3, 0x1.2fa11bf0c4582p-3, 0x1.2a361d728e17ep-3, 0x1.24d780987c6f8p-3, 0x1.1f8595def2911p-3, 0x1.1a40a8e405286p-3, 0x1.15090086a4695p-3, 0x1.0fdedf0595bd3p-3, 0x1.0ac2821e487fp-3, 0x1.05b4232b76d1ap-3, 0x1.00b3f74386401p-3, 0x1.f7845ead5e61cp-4, 0x1.edbdf099c4c2cp-4, 0x1.e414f646c02f1p-4, 0x1.da89ba14075cep-4, 0x1.d11c7f008c41fp-4, 0x1.c7cd80e3b6d95p-4, 0x1.be9cf4a6116ap-4, 0x1.b58b087926f94p-4, 0x1.ac97e40ea7435p-4, 0x1.a3c3a8ceccb46p-4, 0x1.9b0e720df48e5p-4, 0x1.9278554166693p-4, 0x1.8a0162335624ap-4, 0x1.81a9a335fe827p-4, 0x1.79711d55eded9p-4, 0x1.7157d08b734e3p-4, 0x1.695db7eb2aeaap-4, 0x1.6182c9d5a9665p-4, 0x1.59c6f82644577p-4, 0x1.522a3060f4676p-4, 0x1.4aac5bdf4fefcp-4, 0x1.434d5ffc9f225p-4, 0x1.3c0d1e4107183p-4, 0x1.34eb748bcb413p-4, 0x1.2de83d3ca58dbp-4, 0x1.27034f5c3633ap-4, 0x1.203c7ec3891f8p-4, 0x1.19939c42b469dp-4, 0x1.130875c68d2bap-4, 0x1.0c9ad67d76ed1p-4, 0x1.064a86fb4cf84p-4, 0x1.00174d5c669fap-4, 0x1.f401dacf739ep-5, 0x1.e80e5160360c5p-5, 0x1.dc537d693d921p-5, 0x1.d0d0da00390aap-5, 0x1.c585de8fb0695p-5, 0x1.ba71ff129e6d4p-5, 0x1.af94ac4e63c4ap-5, 0x1.a4ed540b0cf0cp-5, 0x1.9a7b6149f577fp-5, 0x1.903e3c7accf89p-5, 0x1.86354baf01486p-5, 0x1.7c5ff2cb993c2p-5, 0x1.72bd93b97cec3p-5, 0x1.694d8e94387c9p-5, 0x1.600f41d73ead2p-5, 0x1.57020a89aada2p-5, 0x1.4e25446893a8fp-5, 0x1.45784a0fe9cedp-5, 0x1.3cfa7521f0509p-5, 0x1.34ab1e6d50b13p-5, 0x1.2c899e11d75fep-5, 0x1.24954ba3d42d8p-5, 0x1.1ccd7e4e33304p-5, 0x1.15318cf347c1cp-5, 0x1.0dc0ce4c5a1fcp-5, 0x1.067a9907f7afdp-5, 0x1.febc87ce1f81p-6, 0x1.f0d64bb1c6ed4p-6, 0x1.e3412c2b9dc4cp-6, 0x1.d5fbd871de35ap-6, 0x1.c90500b164c9p-6, 0x1.bc5b563ca57aep-6, 0x1.affd8bb8889bfp-6, 0x1.a3ea55473e44ep-6, 0x1.982068b109c35p-6, 0x1.8c9e7d8b277b6p-6, 0x1.81634d5cc0932p-6, 0x1.766d93c20c12cp-6, 0x1.6bbc0e8da04a2p-6, 0x1.614d7de8077a6p-6, 0x1.5720a46d992e3p-6, 0x1.4d34474ab2475p-6, 0x1.43872e564a5b7p-6, 0x1.3a18242affp-6, 0x1.30e5f63e939cdp-6, 0x1.27ef74f7f97a9p-6, 0x1.1f3373c3eed29p-6, 0x1.16b0c9282f403p-6, 0x1.0e664ed556a5cp-6, 0x1.0652e1b770e3dp-6, 0x1.fceac40a8ff64p-7, 0x1.ed99669cf0ac1p-7, 0x1.deaf7910b130fp-7, 0x1.d02ad033725ebp-7, 0x1.c20947cb200f3p-7, 0x1.b448c2a91b37ep-7, 0x1.a6e72abb5441ep-7, 0x1.99e2711b74944p-7, 0x1.8d388e1c147fdp-7, 0x1.80e781541b1b1p-7, 0x1.74ed51a85a598p-7, 0x1.69480d5374095p-7, 0x1.5df5c9ec15c9ap-7, 0x1.52f4a469a9887p-7, 0x1.4842c1277a871p-7, 0x1.3dde4be669a3cp-7, 0x1.33c577cd3814bp-7, 0x1.29f67f67815a8p-7, 0x1.206fa4a368125p-7, 0x1.172f30ce0c74cp-7, 0x1.0e33748ed516cp-7, 0x1.057ac7e19a1c1p-7, 0x1.fa07141f7f0c3p-8, 0x1.e99843509379dp-8, 0x1.d9a5f8edf79c6p-8, 0x1.ca2d1ef5122eap-8, 0x1.bb2aadb3cca4p-8, 0x1.ac9babb18e329p-8, 0x1.9e7d2d96a3cacp-8, 0x1.90cc561229d1p-8, 0x1.838655be8dd56p-8, 0x1.76a86b04bf16dp-8, 0x1.6a2fe1fe1b9b7p-8, 0x1.5e1a145533348p-8, 0x1.526469256fa02p-8, 0x1.470c54d9b4ed1p-8, 0x1.3c0f590a0a74p-8, 0x1.316b0458613a8p-8, 0x1.271cf24c80791p-8, 0x1.1d22cb2f31524p-8, 0x1.137a43e4b2738p-8, 0x1.0a211dc683642p-8, 0x1.0115267c9a156p-8, 0x1.f0a86fac137a6p-9, 0x1.dfb86f425ccfbp-9, 0x1.cf562f06cd14fp-9, 0x1.bf7da9a0cfa1p-9, 0x1.b02af0c2779f6p-9, 0x1.a15a2cd5dcf6dp-9, 0x1.93079ca9f5766p-9, 0x1.852f951f01eb3p-9, 0x1.77ce80d29942fp-9, 0x1.6ae0dfcb72f0fp-9, 0x1.5e634724f8774p-9, 0x1.525260bab91ap-9, 0x1.46aaead3c43d9p-9, 0x1.3b69b7ce0b162p-9, 0x1.308badc9ce296p-9, 0x1.260dc65524b64p-9, 0x1.1bed0e17b996bp-9, 0x1.1226a47eb7fcp-9, 0x1.08b7bb69081bp-9, 0x1.ff3b2da7b792p-10, 0x1.edab190f2ff66p-10, 0x1.dcba078a611c1p-10, 0x1.cc62e9e7e5e61p-10, 0x1.bca0d29fa8128p-10, 0x1.ad6ef5308fc49p-10, 0x1.9ec8a57f5229p-10, 0x1.90a957367fdbfp-10, 0x1.830c9d27d0cfdp-10, 0x1.75ee28aecafb1p-10, 0x1.6949c914cdef6p-10, 0x1.5d1b6af68fbb8p-10, 0x1.515f17ab10bb1p-10, 0x1.4610f4ac2818ep-10, 0x1.3b2d430099422p-10, 0x1.30b05ea7c8cedp-10, 0x1.2696be072402ap-10, 0x1.1cdcf1592d646p-10, 0x1.137fa21e4bb13p-10, 0x1.0a7b928f510a3p-10, 0x1.01cd9d11d1371p-10, 0x1.f2e5675c7fcc1p-11, 0x1.e2cfbf0fc3368p-11, 0x1.d35480ad2c226p-11, 0x1.c46e17c4f7d9bp-11, 0x1.b6171b02e90f9p-11, 0x1.a84a4b2d13abcp-11, 0x1.9b02922672375p-11, 0x1.8e3b01f549a2cp-11, 0x1.81eed3cd5f01cp-11, 0x1.7619671e0142bp-11, 0x1.6ab640a3e95b4p-11, 0x1.5fc1097ef0054p-11, 0x1.55358e4b9d179p-11, 0x1.4b0fbe408adbp-11, 0x1.414baa4fa0826p-11, 0x1.37e5844b1d765p-11, 0x1.2ed99e0e789dfp-11, 0x1.262468ab09467p-11, 0x1.1dc273987d0c4p-11, 0x1.15b06be90ff55p-11, 0x1.0deb1b81876a1p-11, 0x1.066f6854e5eb5p-11, 0x1.fe74a747aa142p-12, 0x1.f091f27f7d4e6p-12, 0x1.e3311da3187d4p-12, 0x1.d64cc64810d5ap-12, 0x1.c9dfbae3b57cap-12, 0x1.bde4f96e2563p-12, 0x1.b257ae0c7a467p-12, 0x1.a73331c1f82ffp-12, 0x1.9c730928274ecp-12, 0x1.9212e32dcf2f9p-12, 0x1.880e97dcbf7e2p-12, 0x1.7e6227264ad8ep-12, 0x1.7509b7b66c0ebp-12, 0x1.6c0195cd7ac0cp-12, 0x1.634632205b24fp-12, 0x1.5ad420bf15fep-12, 0x1.52a81801c739dp-12, 0x1.4abeef7bc57b3p-12, 0x1.43159ef4f5818p-12, 0x1.3ba93d692f4d7p-12, 0x1.3477000da1333p-12, 0x1.2d7c395c19e1cp-12, 0x1.26b6582422677p-12, 0x1.2022e6a1d37c7p-12, 0x1.19bf899a515b4p-12, 0x1.1389ff7dd23bfp-12, 0x1.0d801f8f1fae6p-12, 0x1.079fd91076005p-12, 0x1.01e73275b106ap-12, 0x1.f8a8913756863p-13, 0x1.edca9c0978fbp-13, 0x1.e331143479924p-13, 0x1.d8d8b0e5f3e93p-13, 0x1.cebe503d13894p-13, 0x1.c4def5eab7695p-13, 0x1.bb37c9daf6c02p-13, 0x1.b1c616e7d852ep-13, 0x1.a887499508004p-13, 0x1.9f78eed46b035p-13, 0x1.9698b2d35947dp-13, 0x1.8de45fd0637dep-13, 0x1.8559dcf966e17p-13, 0x1.7cf72d51d2c7dp-13, 0x1.74ba6ea0f4b89p-13, 0x1.6ca1d8681251dp-13, 0x1.64abbae03fdc2p-13, 0x1.5cd67dffb900ap-13, 0x1.5520a086931a4p-13, 0x1.4d88b712b29c6p-13, 0x1.460d6b3abf1bfp-13, 0x1.3ead7ab01091ap-13, 0x1.3767b6674eaeap-13, 0x1.303b01c7b4c0bp-13, 0x1.292651e0c7b3ep-13, 0x1.2228aca65b12ap-13, 0x1.1b412832bf2edp-13, 0x1.146eea0eff3b6p-13, 0x1.0db12680f1306p-13, 0x1.07071fdf1946dp-13, 0x1.007025ea17303p-13, 0x1.f3d72a573bep-14, 0x1.e6f1acb56e961p-14, 0x1.da2ebb8a8a91fp-14, 0x1.cd8d557d2ee66p-14, 0x1.c10c8e25f1968p-14, 0x1.b4ab8d001f7bep-14, 0x1.a8698c63f4e92p-14, 0x1.9c45d889f9a66p-14, 0x1.903fce9760087p-14, 0x1.8456dbb30fc39p-14, 0x1.788a7c23378c7p-14, 0x1.6cda3a731fa2p-14, 0x1.6145aea10b2aep-14, 0x1.55cc7d53edadbp-14, 0x1.4a6e5718c11dp-14, 0x1.3f2af7a74472bp-14, 0x1.3402252df095fp-14, 0x1.28f3afa4f064cp-14, 0x1.1dff7027e7cf4p-14, 0x1.1325485659bf1p-14, 0x1.086521ba7df3ap-14, 0x1.fb7dda6ca97dap-15, 0x1.e66544ed98a2ep-15, 0x1.d1807ed99182ep-15, 0x1.bccf8f97c7d28p-15, 0x1.a852891d70301p-15, 0x1.9409870117e99p-15, 0x1.7ff4ad9868b26p-15, 0x1.6c1429200cfabp-15, 0x1.58682ced5c46fp-15, 0x1.44f0f2a989a29p-15, 0x1.31aeb99602085p-15, 0x1.1ea1c5d9b5379p-15, 0x1.0bca5fd6f955ep-15, 0x1.f251a71396cc7p-16, 0x1.cd7adfdc3877bp-16, 0x1.a9110cdbde617p-16, 0x1.8514d4ae08b85p-16, 0x1.6186e0af97471p-16, 0x1.3e67dc06cd466p-16, 0x1.1bb872b8eb664p-16, 0x1.f2f2a199e5133p-17, 0x1.af5642f629662p-17, 0x1.6c9d1cd0c493dp-17, 0x1.2ac87ddc8044ep-17, 0x1.d3b35db51f917p-18, 0x1.53a3e2ac55b91p-18, 0x1.aac9f9d548a9ep-19, 0x1.63e42eef3f707p-20, -0x1.0ced351a3c539p-21, -0x1.34b9cddb499c8p-19, -0x1.11429a9af4a6dp-18, -0x1.864cc18183526p-18, -0x1.f9797756c22dp-18, -0x1.35637a87d914bp-17, -0x1.6d19c9113c853p-17, -0x1.a3dee2d53773cp-17, -0x1.d9b213b7e28aep-17, -0x1.07495c3507dd6p-16, -0x1.21401f6944479p-16, -0x1.3abd133574fe3p-16, -0x1.53c0004847061p-16, -0x1.6c48b86510404p-16, -0x1.845716812823bp-16, -0x1.9beafedc16ed9p-16, -0x1.b3045f12cdb88p-16, -0x1.c9a32e2e2ed29p-16, -0x1.dfc76cad16975p-16, -0x1.f571248a2661dp-16, -0x1.0550349ebe0dp-15, -0x1.0faaabdd49ce3p-15, -0x1.19c80b3542ef8p-15, -0x1.23a86a9166b9dp-15, -0x1.2d4be68c6563ap-15, -0x1.36b2a06917832p-15, -0x1.3fdcbe093e3dfp-15, -0x1.48ca69e2e4e9fp-15, -0x1.517bd2f4750d5p-15, -0x1.59f12cb796531p-15, -0x1.622aaf12e938cp-15, -0x1.6a28964aafeb3p-15, -0x1.71eb22f07aef3p-15, -0x1.797299d1e465fp-15, -0x1.80bf43e6709f4p-15, -0x1.87d16e3ca2637p-15, -0x1.8ea969e650a58p-15, -0x1.95478be44c638p-15, -0x1.9bac2d116ae1ap-15, -0x1.a1d7aa0cf836dp-15, -0x1.a7ca6324a996bp-15, -0x1.ad84bc3e1406ep-15, -0x1.b3071cbfb927ap-15, -0x1.b851ef79b1fdp-15, -0x1.bd65a28e06da5p-15, -0x1.c242a758bc00cp-15, -0x1.c6e972579cab2p-15, -0x1.cb5a7b11d51a8p-15, -0x1.cf963bff591c8p-15, -0x1.d39d32702e785p-15, -0x1.d76fde7397a67p-15, -0x1.db0ec2bf2df62p-15, -0x1.de7a6495f0e36p-15, -0x1.e1b34baf522f4p-15, -0x1.e4ba021e46a72p-15, -0x1.e78f143861022p-15, -0x1.ea33107cff1f2p-15, -0x1.eca6877c8df4cp-15, -0x1.eeea0bbfea54bp-15, -0x1.f0fe31afe7835p-15, -0x1.f2e38f7cf97a2p-15, -0x1.f49abd07113f7p-15, -0x1.f62453c5a6fedp-15, -0x1.f780eeaffae5dp-15, -0x1.f8b12a2593f89p-15, -0x1.f9b5a3d6f82f8p-15, -0x1.fa8efaaea965fp-15, -0x1.fb3dceba6718dp-15, -0x1.fbc2c114b8914p-15, -0x1.fc1e73cec1fecp-15, -0x1.fc5189da681d4p-15, -0x1.fc5ca6f4c5ff8p-15, -0x1.fc406f90f332ap-15, -0x1.fbfd88c322debp-15, -0x1.fb94982c16d9ap-15, -0x1.fb0643e4ede22p-15, -0x1.fa53326b4e154p-15, -0x1.f97c0a8de695cp-15, -0x1.f881735955b77p-15, -0x1.f764140569f66p-15, -0x1.f62493e2c20b8p-15, -0x1.f4c39a48d2f7p-15, -0x1.f341ce8449325p-15, -0x1.f19fd7c5d1a55p-15, -0x1.efde5d1142cdbp-15, -0x1.edfe052d2a0fap-15, -0x1.ebff7692bc1a8p-15, -0x1.e9e3575e2a8b4p-15, -0x1.e7aa4d3f5b326p-15, -0x1.e554fd6b05abfp-15, -0x1.e2e40c8c34685p-15, -0x1.e0581eb62810bp-15, -0x1.ddb1d7569fccfp-15, }}, 
      {{-0x1.36a823c910e74p-1, -0x1.36bc050b7efb4p-1, -0x1.36dcb72f47b4ap-1, -0x1.37099791d670fp-1, -0x1.3741cbc57dcbfp-1, -0x1.378448ceaae11p-1, -0x1.37cfdacc7cbd6p-1, -0x1.38232ca4f92afp-1, -0x1.387ccf6d98701p-1, -0x1.38db416162c4dp-1, -0x1.393cf44804874p-1, -0x1.39a0533e9a223p-1, -0x1.3a03c7dc8d225p-1, -0x1.3a65beb5a4f6cp-1, -0x1.3ac4ab3f0d97dp-1, -0x1.3b1f0b2017849p-1, -0x1.3b7368f94a068p-1, -0x1.3bc05ead55337p-1, -0x1.3c049737c47c9p-1, -0x1.3c3ed01d30bbdp-1, -0x1.3c6dda805293fp-1, -0x1.3c909be6b05fep-1, -0x1.3ca60eb6f0281p-1, -0x1.3cad427a0bc21p-1, -0x1.3ca55be7d9d9dp-1, -0x1.3c8d94c6921e2p-1, -0x1.3c653ba42f14dp-1, -0x1.3c2bb36fd763ep-1, -0x1.3be072f8c8e06p-1, -0x1.3b830457a2408p-1, -0x1.3b13044650cd2p-1, -0x1.3a90216a653c9p-1, -0x1.39fa1b951787ap-1, -0x1.3950c2fbd66ddp-1, -0x1.3893f76bd8e7cp-1, -0x1.37c3a77ad7b86p-1, -0x1.36dfcfb6bee4dp-1, -0x1.35e879d5e9ed4p-1, -0x1.34ddbbe939ea9p-1, -0x1.33bfb7912173fp-1, -0x1.328e99369474ap-1, -0x1.314a97489d04cp-1, -0x1.2ff3f17f30857p-1, -0x1.2e8af023c7d7ep-1, -0x1.2d0fe360177b6p-1, -0x1.2b832293328fcp-1, -0x1.29e50bad4e2b1p-1, -0x1.2836029243234p-1, -0x1.26767082e67cap-1, -0x1.24a6c38d3611p-1, -0x1.22c76e035a51dp-1, -0x1.20d8e5f965649p-1, -0x1.1edba4c9be724p-1, -0x1.1cd026a012e82p-1, -0x1.1ab6ea0aaea5dp-1, -0x1.18906f920eaf6p-1, -0x1.165d395680dcep-1, -0x1.141dcab3a33b2p-1, -0x1.11d2a7e990197p-1, -0x1.0f7c55cb80e37p-1, -0x1.0d1b5973b8b8cp-1, -0x1.0ab037fc7c0aap-1, -0x1.083b763de4dfcp-1, -0x1.05bd98905b72p-1, -0x1.033722938103p-1, -0x1.00a896f958ca1p-1, -0x1.fc24eeaaf85cbp-2, -0x1.f6ea87e04d423p-2, -0x1.f1a2f739db89cp-2, -0x1.ec4f3729e1c71p-2, -0x1.e6f03ea8ad258p-2, -0x1.e18700f5d2f25p-2, -0x1.dc146d5f5779bp-2, -0x1.d6996f0e6a415p-2, -0x1.d116ecd970d1bp-2, -0x1.cb8dc91b0abb4p-2, -0x1.c5fee18dcc6e9p-2, -0x1.c06b0f2c69371p-2, -0x1.bad32616090e8p-2, -0x1.b537f57689a21p-2, -0x1.af9a47726f9a7p-2, -0x1.a9fae1164da79p-2, -0x1.a45a824966d2cp-2, -0x1.9eb9e5c35e58fp-2, -0x1.9919c104b93dp-2, -0x1.937ac4520c308p-2, -0x1.8ddd9ab19f48cp-2, -0x1.8842e9eb63e18p-2, -0x1.82ab528b0e7e4p-2, -0x1.7d176fe433aefp-2, -0x1.7787d8183bfcp-2, -0x1.71fd1c1e1406fp-2, -0x1.6c77c7cb70d83p-2, -0x1.66f861df8fbb5p-2, -0x1.617f6c0f4f594p-2, -0x1.5c0d6312881f8p-2, -0x1.56a2beb28a716p-2, -0x1.513ff1d9a9211p-2, -0x1.4be56aa3b6ae1p-2, -0x1.4693926f6423p-2, -0x1.414acdf0656bbp-2, -0x1.3c0b7d424f446p-2, -0x1.36d5fbfc1772fp-2, -0x1.31aaa14423ef4p-2, -0x1.2c89bfe4dd1c4p-2, -0x1.2773a661b3ab1p-2, -0x1.22689f0c82db3p-2, -0x1.1d68f01b4f862p-2, -0x1.1874dbbe4680bp-2, -0x1.138ca035feb7p-2, -0x1.0eb077e9e42fp-2, -0x1.09e0997ecbf25p-2, -0x1.051d37eda3adp-2, -0x1.0066829a2e7e3p-2, -0x1.f7794ad39d131p-3, -0x1.ee3f91b4998d3p-3, -0x1.e52024312f278p-3, -0x1.dc1b462eead24p-3, -0x1.d331354c396fp-3, -0x1.ca62290d69d16p-3, -0x1.c1ae53096076ap-3, -0x1.b915df15ff977p-3, -0x1.b098f37433bfap-3, -0x1.a837b0fb9c1ecp-3, -0x1.9ff23345c86a7p-3, -0x1.97c890d8f9d88p-3, -0x1.8fbadb5275452p-3, -0x1.87c91f9040b11p-3, -0x1.7ff365da667c4p-3, -0x1.7839b20b9b2cbp-3, -0x1.709c03b95adefp-3, -0x1.691a565b5f964p-3, -0x1.61b4a17283c62p-3, -0x1.5a6ad8aefdbc7p-3, -0x1.533cec15f4cb7p-3, -0x1.4c2ac8266e73bp-3, -0x1.453455fd938b8p-3, -0x1.3e597b7a3e717p-3, -0x1.379a1b5fe2ffep-3, -0x1.30f61578c22e9p-3, -0x1.2a6d46b7641bp-3, -0x1.23ff89576a0fbp-3, -0x1.1dacb4fd9fe91p-3, -0x1.17749ed762d5p-3, -0x1.115719b9468f6p-3, -0x1.0b53f63d145f5p-3, -0x1.056b02df03497p-3, -0x1.ff38183495c9ep-4, -0x1.f3cdb909f0626p-4, -0x1.e89679d61fb86p-4, -0x1.dd91e8d202fc1p-4, -0x1.d2bf910ad24bfp-4, -0x1.c81efa94305fcp-4, -0x1.bdafaab8f880dp-4, -0x1.b371242a9b12dp-4, -0x1.a962e72f2d9eep-4, -0x1.9f8471ce25943p-4, -0x1.95d53ffbc27f9p-4, -0x1.8c54cbc32514cp-4, -0x1.83028d6f2a43fp-4, -0x1.79ddfbb1f80e2p-4, -0x1.70e68bcb4f468p-4, -0x1.681bb1ada0d7dp-4, -0x1.5f7ce021edf1cp-4, -0x1.570988ea750d2p-4, -0x1.4ec11ce433df2p-4, -0x1.46a30c2740b2p-4, -0x1.3eaec62601a4dp-4, -0x1.36e3b9cb46666p-4, -0x1.2f4155974a92ep-4, -0x1.27c707bba3579p-4, -0x1.20743e3621561p-4, -0x1.194866eaaa788p-4, -0x1.1242efbc0ee12p-4, -0x1.0b6346a3e2758p-4, -0x1.04a8d9c95d7c4p-4, -0x1.fc262f2e9650bp-5, -0x1.ef42dda2138b5p-5, -0x1.e2a69d4d49ed3p-5, -0x1.d6504d901624dp-5, -0x1.ca3eceeed0637p-5, -0x1.be7103354dd29p-5, -0x1.b2e5cd9840c04p-5, -0x1.a79c12d4fdd77p-5, -0x1.9c92b94fb03ddp-5, -0x1.91c8a930099cbp-5, -0x1.873ccc7c76dffp-5, -0x1.7cee0f33e385cp-5, -0x1.72db5f6616669p-5, -0x1.6903ad4ab3381p-5, -0x1.5f65eb56e6c6cp-5, -0x1.56010e51cb43ep-5, -0x1.4cd40d678cc01p-5, -0x1.43dde23b5a236p-5, -0x1.3b1d88f8240a5p-5, -0x1.329200603df06p-5, -0x1.2a3a49dbe25cdp-5, -0x1.22156986a4f87p-5, -0x1.1a22663bdedefp-5, -0x1.126049a217a01p-5, -0x1.0ace20357a13ap-5, -0x1.036af951571b8p-5, -0x1.f86bce718a372p-6, -0x1.ea5bfe3cb84d2p-6, -0x1.dca4b2563ed4dp-6, -0x1.cf4421092b3aap-6, -0x1.c23886a42f9ffp-6, -0x1.b5802582ca224p-6, -0x1.a9194614ee08ap-6, -0x1.9d0236e55205fp-6, -0x1.91394c9e6660fp-6, -0x1.85bce20dfe43cp-6, -0x1.7a8b5827c589p-6, -0x1.6fa3160682517p-6, -0x1.650288ec36cafp-6, -0x1.5aa824412fd32p-6, -0x1.5092619204ae7p-6, -0x1.46bfc08ca1dd8p-6, -0x1.3d2ec6fc58ba4p-6, -0x1.33de00c50e9c5p-6, -0x1.2acbffdd8c366p-6, -0x1.21f75c48fcaa1p-6, -0x1.195eb40fa62a2p-6, -0x1.1100ab36dfb1bp-6, -0x1.08dbebb85d244p-6, -0x1.00ef2578c52c8p-6, -0x1.f2721c7b5b67ap-7, -0x1.e370c345fb141p-7, -0x1.d4d7c21f7cffdp-7, -0x1.c6a4a754cdfb1p-7, -0x1.b8d50c9945a52p-7, -0x1.ab6696ed513d2p-7, -0x1.9e56f6843a74bp-7, -0x1.91a3e6a9141dbp-7, -0x1.854b2da2f14aap-7, -0x1.794a9c985a37ap-7, -0x1.6da00f7227ccp-7, -0x1.62496cbdac5eep-7, -0x1.5744a58e6914cp-7, -0x1.4c8fb55f286dp-7, -0x1.4228a1f2aae4fp-7, -0x1.380d7b33ea797p-7, -0x1.2e3c5b15f2eadp-7, -0x1.24b3657368cb7p-7, -0x1.1b70c7edbf368p-7, -0x1.1272b9cc2af4cp-7, -0x1.09b77bda5988cp-7, -0x1.013d5846f4dd2p-7, -0x1.f2054503fcd41p-8, -0x1.e20b6e360e9fcp-8, -0x1.d289f73e9cd09p-8, -0x1.c37dbcef973f2p-8, -0x1.b4e3ad8e5ef74p-8, -0x1.a6b8c88fbbb3fp-8, -0x1.98fa1e53d42bcp-8, -0x1.8ba4cfe236688p-8, -0x1.7eb60ea5fb6cep-8, -0x1.722b1c2a12419p-8, -0x1.660149d5bb24bp-8, -0x1.5a35f8a940edcp-8, -0x1.4ec698faf5277p-8, -0x1.43b0aa347d396p-8, -0x1.38f1ba90768cdp-8, -0x1.2e8766d87a63ap-8, -0x1.246f5a2389d5cp-8, -0x1.1aa74d94e86c5p-8, -0x1.112d081b6dcdcp-8, -0x1.07fe5e31541b5p-8, -0x1.fe3263391141ep-9, -0x1.ecf6e25f0c538p-9, -0x1.dc4631157c12ap-9, -0x1.cc1c5fbd26763p-9, -0x1.bc75975bdf82cp-9, -0x1.ad4e1922e7f74p-9, -0x1.9ea23df694bd3p-9, -0x1.906e75f7373a5p-9, -0x1.82af480b5d98cp-9, -0x1.7561516b64443p-9, -0x1.6881452e66af1p-9, -0x1.5c0bebd88fef2p-9, -0x1.4ffe22ead4c4dp-9, -0x1.4454dc74170bfp-9, -0x1.390d1ea3b5f76p-9, -0x1.2e24035d96596p-9, -0x1.2396b7cf99f77p-9, -0x1.19627c08936b8p-9, -0x1.0f84a290b2128p-9, -0x1.05fa900368d83p-9, -0x1.f9837555a7a32p-10, -0x1.e7af54393cab7p-10, -0x1.d673edb0c3679p-10, -0x1.c5cc93cf1531fp-10, -0x1.b5b4b8fd72a7dp-10, -0x1.a627ef41452dbp-10, -0x1.9721e784e050bp-10, -0x1.889e70e33d63ep-10, -0x1.7a9977f6b159ap-10, -0x1.6d0f062a9cd8ap-10, -0x1.5ffb41100c6b8p-10, -0x1.535a69b54d4a5p-10, -0x1.4728dc00735fp-10, -0x1.3b630e0cc300bp-10, -0x1.30058f8aff86cp-10, -0x1.250d09249fd39p-10, -0x1.1a763be1d9145p-10, -0x1.103e009281f4fp-10, -0x1.06614739c0c78p-10, -0x1.f9ba2cf91562ap-11, -0x1.e75d1625bb628p-11, -0x1.d5a5ae777d73cp-11, -0x1.c48e8467d344dp-11, -0x1.b4124f5e62efbp-11, -0x1.a42beea9101e5p-11, -0x1.94d668794d898p-11, -0x1.860ce8e69fb48p-11, -0x1.77cac0f642083p-11, -0x1.6a0b65a7e01fap-11, -0x1.5cca6f07517ap-11, -0x1.5003974348b72p-11, -0x1.43b2b9c8e6609p-11, -0x1.37d3d2641de88p-11, -0x1.2c62fc64dca8ep-11, -0x1.215c71c8e238p-11, -0x1.16bc8a6a3afcbp-11, -0x1.0c7fbb324763cp-11, -0x1.02a2955144e88p-11, -0x1.f2438af484d54p-12, -0x1.dff42646e66b9p-12, -0x1.ce50bf9597213p-12, -0x1.bd534c7db1b84p-12, -0x1.acf5f3d78527ap-12, -0x1.9d330c58c6213p-12, -0x1.8e051b3ecf3e1p-12, -0x1.7f66d300ce7d6p-12, -0x1.71531209b719dp-12, -0x1.63c4e179e2fe5p-12, -0x1.56b773f033374p-12, -0x1.4a26245a9a341p-12, -0x1.3e0c74cde511cp-12, -0x1.32660d64a8e7cp-12, -0x1.272ebb2530843p-12, -0x1.1c626eee4a291p-12, -0x1.11fd3c6ad29e7p-12, -0x1.07fb590be3061p-12, -0x1.fcb23612f485cp-13, -0x1.ea25f0d30faa2p-13, -0x1.d84b0c1a675fep-13, -0x1.c71aed8898243p-13, -0x1.b68f34cd5a79ep-13, -0x1.a6a1b9e727773p-13, -0x1.974c8b6d5eaecp-13, -0x1.8889ece5ba1b3p-13, -0x1.7a545524dcb7cp-13, -0x1.6ca66cb9af345p-13, -0x1.5f7b0c636070fp-13, -0x1.52cd3b91d2ceap-13, -0x1.46982ef029c5ap-13, -0x1.3ad746f9566dap-13, -0x1.2f860e9663eb2p-13, -0x1.24a039c64b034p-13, -0x1.1a21a44f1897cp-13, -0x1.1006507838354p-13, -0x1.064a65cda48ccp-13, -0x1.f9d45fd7b90b5p-14, -0x1.e7c43aa89ee33p-14, -0x1.d65d7c945cbc1p-14, -0x1.c599876eaf83ep-14, -0x1.b571fc327c00ap-14, -0x1.a5e0b8eb239d2p-14, -0x1.96dfd6ad0cadbp-14, -0x1.8869a79cfa047p-14, -0x1.7a78b505e402ep-14, -0x1.6d07bd7cf0134p-14, -0x1.6011b31337d2dp-14, -0x1.5391b99506eccp-14, -0x1.478324d63db09p-14, -0x1.3be1770b86c82p-14, -0x1.30a85f300e44p-14, -0x1.25d3b7776ce54p-14, -0x1.1b5f83cb78039p-14, -0x1.1147f055ac912p-14, -0x1.07895013e7c5ap-14, -0x1.fc4036f0502abp-15, -0x1.ea11de2613c8dp-15, -0x1.d88114917e3a3p-15, -0x1.c7879c206e272p-15, -0x1.b71f777872941p-15, -0x1.a742e79c55b04p-15, -0x1.97ec69a486067p-15, -0x1.8916b489d5de1p-15, -0x1.7abcb7021d832p-15, -0x1.6cd9956e3c97p-15, -0x1.5f68a7d91020dp-15, -0x1.52657806d8c7dp-15, -0x1.45cbbf94b04cbp-15, -0x1.3997662790848p-15, -0x1.2dc47faa863adp-15, -0x1.224f4a9ba3892p-15, -0x1.17342e674983dp-15, -0x1.0c6fb9d16008dp-15, -0x1.01fea16c1ebaep-15, -0x1.efbb7c37fa7aap-16, -0x1.dc141750e58ebp-16, -0x1.c9014eb2461dcp-16, -0x1.b67d9d3e3f1abp-16, -0x1.a483bb93c8fa8p-16, -0x1.930e9d8f74bf4p-16, -0x1.82196fe24ebc7p-16, -0x1.719f95be39ea4p-16, -0x1.619ca69727678p-16, -0x1.520c6bf88753cp-16, -0x1.42eadf6e5d1d2p-16, -0x1.343428815bap-16, -0x1.25e49ac583c76p-16, -0x1.17f8b3faa21ddp-16, -0x1.0a6d1a3e374abp-16, -0x1.fa7d349c69c3dp-17, -0x1.e0d44bb816c3ep-17, -0x1.c7d9a3df23834p-17, -0x1.af87aab27cbbep-17, -0x1.97d90e667bf9cp-17, -0x1.80c8bae1de3bfp-17, -0x1.6a51d6f896d98p-17, -0x1.546fc1c1adb08p-17, -0x1.3f1e10072f2a5p-17, -0x1.2a5889cf787e4p-17, -0x1.161b27fef8766p-17, -0x1.02621211a2e09p-17, -0x1.de5337d6a0bcep-18, -0x1.b8dc877c93376p-18, -0x1.9459600e87711p-18, -0x1.70c35b3c2d2f4p-18, -0x1.4e145bb4fe3a8p-18, -0x1.2c4689987c8bbp-18, -0x1.0b544f0bde67ap-18, -0x1.d670a9e7cf379p-19, -0x1.97daffa359826p-19, -0x1.5addd9822610fp-19, -0x1.1f6fdd2fc22cp-19, -0x1.cb102c90ff57cp-20, -0x1.5a3be2263fcf7p-20, -0x1.d8a4d5d4333f9p-21, -0x1.0288087c26606p-21, -0x1.9018fe0b0e31fp-24, 0x1.320dd38ce2461p-22, 0x1.5eb1f343e9f89p-21, 0x1.0f8c62d8d4548p-20, 0x1.6d2a919a0ceb7p-20, 0x1.c83feade14d3ap-20, 0x1.106c2f3ee240fp-19, 0x1.3b7fb6ec4b36p-19, 0x1.6560191503c3cp-19, 0x1.8e12b148a766dp-19, 0x1.b59cace71ebfcp-19, 0x1.dc030ddb1e3dcp-19, 0x1.00a55699089dap-18, 0x1.12bc1ec96693ap-18, 0x1.244826ca2aa9p-18, 0x1.354ba4fafad07p-18, 0x1.45c8bfdcf6055p-18, 0x1.55c18f11e6e18p-18, 0x1.65381c4de62cfp-18, 0x1.742e643bfaa3cp-18, 0x1.82a6575641286p-18, 0x1.90a1dab21beb5p-18, 0x1.9e22c8c0ef22ap-18, 0x1.ab2af205e338fp-18, 0x1.b7bc1dc121787p-18, 0x1.c3d80a9104d5ap-18, 0x1.cf806f09a97d1p-18, 0x1.dab6fa4346f25p-18, 0x1.e57d545fbdf2dp-18, 0x1.efd51f07c0b9fp-18, 0x1.f9bff5dfef494p-18, 0x1.019fb77b26266p-17, 0x1.062a8d9430f8cp-17, 0x1.0a8143413648ap-17, 0x1.0ea49c4befaf5p-17, 0x1.12955a6aca07cp-17, 0x1.16543d66faadfp-17, 0x1.19e2033fb5097p-17, 0x1.1d3f684aa701bp-17, 0x1.206d2751dda72p-17, 0x1.236bf9af3414p-17, 0x1.263c97656bcap-17, 0x1.28dfb7370f8e6p-17, 0x1.2b560ebb3b47fp-17, 0x1.2da0527068b92p-17, 0x1.2fbf35cd5a984p-17, 0x1.31b36b50411d1p-17, 0x1.337da48c3084ep-17, 0x1.351e923503c69p-17, 0x1.3696e429c1153p-17, 0x1.37e7497d9662fp-17, 0x1.3910707f85ab6p-17, 0x1.3a1306c0d3776p-17, 0x1.3aefb91a4b0fbp-17, 0x1.3ba733b06e6b1p-17, 0x1.3c3a21f69f878p-17, 0x1.3ca92eb1583b4p-17, 0x1.3cf503f77f77fp-17, 0x1.3d1e4b32eb49p-17, 0x1.3d25ad2020434p-17, 0x1.3d0bd1cd5bf22p-17, 0x1.3cd16098f7cf6p-17, 0x1.3c77002f33082p-17, 0x1.3bfd56876e29dp-17, 0x1.3b6508e0e6b01p-17, 0x1.3aaebbbefbd29p-17, 0x1.39db12e508649p-17, 0x1.38eab151dd26ep-17, 0x1.37de393ae37bbp-17, 0x1.36b64c06f2b5ep-17, 0x1.35738a48e1acep-17, 0x1.341693b9dba3cp-17, 0x1.32a00733812a8p-17, 0x1.311082a9dd2f5p-17, 0x1.2f68a32533decp-17, 0x1.2da904bbb3d4bp-17, 0x1.2bd2428b0e82bp-17, 0x1.29e4f6b1ff4bdp-17, 0x1.27e1ba49c5142p-17, 0x1.25c9255f960cap-17, 0x1.239bceee10534p-17, 0x1.215a4cd6aec1p-17, 0x1.1f0533db43572p-17, 0x1.1c9d17977e109p-17, 0x1.1a228a7a828bfp-17, 0x1.17961dc090bb6p-17, 0x1.14f8616cc332p-17, 0x1.1249e442e787cp-17, 0x1.0f8b33c1728d3p-17, 0x1.0cbcdc1b93c53p-17, 0x1.09df68336995dp-17, 0x1.06f3619459c9fp-17, 0x1.03f9506d8fb05p-17, 0x1.00f1bb8ca192ap-17, 0x1.fbba50b0bfa4bp-18, 0x1.f57835979e848p-18, 0x1.ef1e2ae29ce35p-18, 0x1.e8ad32bbd5a14p-18, 0x1.e2264c59c4b8p-18, 0x1.db8a73f6ac931p-18, 0x1.d4daa2c85a3b6p-18, 0x1.ce17cef84e64ep-18, 0x1.c742eb9c487adp-18, 0x1.c05ce8af35fb3p-18, 0x1.b966b30a878f9p-18, 0x1.b261345fec79ap-18, 0x1.ab4d533374072p-18, 0x1.a42bf2d613e83p-18, 0x1.9cfdf360984cep-18, 0x1.95c431aef56efp-18, 0x1.8e7f875c04548p-18, 0x1.8730cabda0b4ap-18, 0x1.7fd8cee12e9f4p-18, 0x1.78786388834c4p-18, 0x1.7110552731a43p-18, 0x1.69a16ce0387f4p-18, 0x1.622c708413775p-18, 0x1.5ab2228f2c484p-18, 0x1.53334228a9ddcp-18, 0x1.4bb08b219e7e1p-18, 0x1.442ab5f492311p-18, 0x1.3ca277c5683bcp-18, 0x1.351882619e3fcp-18, 0x1.2d8d8440e3438p-18, 0x1.26022886040bbp-18, 0x1.1e7717002f5dap-18, 0x1.16ecf42c88f14p-18, 0x1.0f64613811b4ap-18, 0x1.07ddfc01dcba1p-18, 0x1.005a5f1d93205p-18, 0x1.f1b443ac88b8bp-19, 0x1.e2bbb062fc8fbp-19, 0x1.d3cc25e55f19dp-19, 0x1.c4e6bf3da0cb7p-19, 0x1.b60c910099p-19, 0x1.a73ea95667909p-19, 0x1.987e10034ee4cp-19, 0x1.89cbc67110df6p-19, 0x1.7b28c7b8c31eap-19, 0x1.6c9608ad15604p-19, 0x1.5e1477e50ea58p-19, 0x1.4fa4fdc733d56p-19, 0x1.41487c951abefp-19, 0x1.32ffd0775f1abp-19, 0x1.24cbcf89fd951p-19, 0x1.16ad49e90b149p-19, 0x1.08a509bdc7146p-19, 0x1.f567a69807c7dp-20, 0x1.d9b4c9ffc4f81p-20, 0x1.be32eef7bceb7p-20, 0x1.a2e37b4e48ba6p-20, 0x1.87c7c978614f6p-20, 0x1.6ce128af6684bp-20, 0x1.5230dd0f6e4ep-20, 0x1.37b81fb6028ffp-20, 0x1.1d781ee160182p-20, 0x1.0371fe101d766p-20, }}, 
      std::vector<double>(600, 0.0), 
      {{-0x1.52835c9c14d6cp-8, -0x1.528d8982fbb05p-7, -0x1.fbd6705e8761fp-7, -0x1.52752fe8bd814p-6, -0x1.a6b6b64268bb7p-6, -0x1.fa6d350095fd4p-6, -0x1.26a1c7a5d10d2p-5, -0x1.4f6a9f576573ap-5, -0x1.7758f4eb29edap-5, -0x1.9e308b86775a2p-5, -0x1.c3b2de3702c8p-5, -0x1.e7a0c3890479cp-5, -0x1.04ddf0cead6cbp-4, -0x1.14e3f6d5cd33ep-4, -0x1.23c5daf6c6ffap-4, -0x1.3168fbd357572p-4, -0x1.3db502580ba26p-4, -0x1.48941e77a40c2p-4, -0x1.51f3304ca91eep-4, -0x1.59c1e0222fb41p-4, -0x1.5ff2a7d673eeap-4, -0x1.647acfe7f0bc5p-4, -0x1.6752624fd08a4p-4, -0x1.68741518b6563p-4, -0x1.67dd2e6acb253p-4, -0x1.658d6390855f8p-4, -0x1.6186b444754c3p-4, -0x1.5bcd4368a3094p-4, -0x1.54672e1c5ad33p-4, -0x1.4b5c61fddc342p-4, -0x1.40b673424910fp-4, -0x1.3480732f46a4fp-4, -0x1.26c6c766cdf2dp-4, -0x1.1797025e4a736p-4, -0x1.06ffbd46220ebp-4, -0x1.ea20e72b596efp-5, -0x1.c3b2c0c26747ep-5, -0x1.9ad6bb26e0a91p-5, -0x1.6faf8a33e50d1p-5, -0x1.4260a816f13cap-5, -0x1.130e1f90f8518p-5, -0x1.c3b8b442bb8d7p-6, -0x1.5ddfe40ee14b9p-6, -0x1.e9b62000bec75p-7, -0x1.11e67282b422ep-7, -0x1.a70da53002627p-10, 0x1.5991629a2050bp-8, 0x1.928b568814fe9p-7, 0x1.3ded9c3a5b601p-6, 0x1.b4180b0cff433p-6, 0x1.15c1303479bb7p-5, 0x1.51f5d8bda7325p-5, 0x1.8e8a6f4b0b3e9p-5, 0x1.cb6056b9defb3p-5, 0x1.042cf7d9cf641p-4, 0x1.22ad50f110d2bp-4, 0x1.412371b1f40ebp-4, 0x1.5f821f51b2421p-4, 0x1.7dbcab59247d1p-4, 0x1.9bc6f524324ep-4, 0x1.b9956ac1ee9fbp-4, 0x1.d71d094390d71p-4, 0x1.f4535c877f0e3p-4, 0x1.08973f468774cp-3, 0x1.16d28b2e583ap-3, 0x1.24d72b47c194ep-3, 0x1.32a0fdc05202cp-3, 0x1.402c2498ea9d3p-3, 0x1.4d7504763123dp-3, 0x1.5a784353441f4p-3, 0x1.6732c71a94d6bp-3, 0x1.73a1b42863037p-3, 0x1.7fc26bba321edp-3, 0x1.8b928a4e358d7p-3, 0x1.970fe5f576dbdp-3, 0x1.a2388c9b4fea1p-3, 0x1.ad0ac2447d91dp-3, 0x1.b784ff47f4ec6p-3, 0x1.c1a5ee836c35dp-3, 0x1.cb6c6b8d50db3p-3, 0x1.d4d780e5d0ec2p-3, 0x1.dde666285d0ddp-3, 0x1.e6987e3ef8395p-3, 0x1.eeed5598786c3p-3, 0x1.f6e4a062ce3fep-3, 0x1.fe7e38ca34964p-3, 0x1.02dd0e9f14c49p-2, 0x1.064c375e7125bp-2, 0x1.098cb792f0fe5p-2, 0x1.0c9ebfca2168p-2, 0x1.0f828f6095e59p-2, 0x1.123873b772b9fp-2, 0x1.14c0c76e6d6c1p-2, 0x1.171bf1a26fe22p-2, 0x1.194a6530fb1bcp-2, 0x1.1b4ca00060696p-2, 0x1.1d232a4ceb84dp-2, 0x1.1ece95fb03b25p-2, 0x1.204f7dee54a1dp-2, 0x1.21a6856604563p-2, 0x1.22d4575df4c1ap-2, 0x1.23d9a5f513ba3p-2, 0x1.24b729d8b5516p-2, 0x1.256da1b4ee717p-2, 0x1.25fdd1a9eb59ep-2, 0x1.266882c631456p-2, 0x1.26ae8285c49fcp-2, 0x1.26d0a2561eb04p-2, 0x1.26cfb71ee5152p-2, 0x1.26ac98cf525acp-2, 0x1.266821f038cf4p-2, 0x1.26032f3a910f3p-2, 0x1.257e9f3279779p-2, 0x1.24db51c695c6p-2, 0x1.241a27f3b5d7p-2, 0x1.233c036cac30bp-2, 0x1.2241c64640219p-2, 0x1.212c52a71e69ep-2, 0x1.1ffc8a7bb74a6p-2, 0x1.1eb34f2deb2e7p-2, 0x1.1d5181607226ap-2, 0x1.1bd800ade19e5p-2, 0x1.1a47ab6b3b2efp-2, 0x1.18a15e6deb80bp-2, 0x1.16e5f4d51ed33p-2, 0x1.151647d6521eep-2, 0x1.13332e8d0d73p-2, 0x1.113d7dcda7e7bp-2, 0x1.0f3607fb04dc2p-2, 0x1.0d1d9cdf2bbap-2, 0x1.0af50986a6713p-2, 0x1.08bd181e9120ep-2, 0x1.06768fd53c93ep-2, 0x1.042234bd56cfep-2, 0x1.01c0c7b3784aap-2, 0x1.fea60c8c174e9p-3, 0x1.f9b3553ed999cp-3, 0x1.f4aad6e46ed67p-3, 0x1.ef8df7cf4621dp-3, 0x1.ea5e171fc8ee3p-3, 0x1.e51c8ca8e6ef2p-3, 0x1.dfcaa8d857ff8p-3, 0x1.da69b4a260fdfp-3, 0x1.d4faf170f951p-3, 0x1.cf7f991626dabp-3, 0x1.c9f8ddc177b9fp-3, 0x1.c467e9f865141p-3, 0x1.becde0918d4dap-3, 0x1.b92bdcb2900b5p-3, 0x1.b382f1d0824dbp-3, 0x1.add42bb2c09ap-3, 0x1.a8208e7818268p-3, 0x1.a269169e0ebedp-3, 0x1.9caeb90a479dep-3, 0x1.96f26315cdd3cp-3, 0x1.9134fa9a37043p-3, 0x1.8b775e00833b1p-3, 0x1.85ba64519402ep-3, 0x1.7ffedd482ae81p-3, 0x1.7a4591645b2efp-3, 0x1.748f42003f3aep-3, 0x1.6edca965f60ebp-3, 0x1.692e7ae6c5b54p-3, 0x1.638562f341264p-3, 0x1.5de2073477cfdp-3, 0x1.584506a5fd81ap-3, 0x1.52aef9b0cc7d7p-3, 0x1.4d207246e2015p-3, 0x1.4799fbff89dcbp-3, 0x1.421c1c344312cp-3, 0x1.3ca7521e2f77cp-3, 0x1.373c16f3fe728p-3, 0x1.31dade08414cbp-3, 0x1.2c8414e81afcep-3, 0x1.2738237a3c778p-3, 0x1.21f76c1e23da3p-3, 0x1.1cc24bcb8bf6bp-3, 0x1.17991a3201b1dp-3, 0x1.127c29d896687p-3, 0x1.0d6bc83da1491p-3, 0x1.08683df68350bp-3, 0x1.0371cecf67c2fp-3, 0x1.fd1173d5e615dp-4, 0x1.f35a73c3be455p-4, 0x1.e9bf09c4df0a2p-4, 0x1.e03f999f821dap-4, 0x1.d6dc7ec1d13bp-4, 0x1.cd960c7fb1045p-4, 0x1.c46c8e500eff7p-4, 0x1.bb604809a498fp-4, 0x1.b271761f2823p-4, 0x1.a9a04ddada38ep-4, 0x1.a0ecfd9964f8dp-4, 0x1.9857ad0406647p-4, 0x1.8fe07d4a04addp-4, 0x1.878789595157dp-4, 0x1.7f4ce61665324p-4, 0x1.7730a29346101p-4, 0x1.6f32c845b11d9p-4, 0x1.67535b3c64bc9p-4, 0x1.5f925a5385543p-4, 0x1.57efbf681772p-4, 0x1.506b7f8a8ad7ep-4, 0x1.49058b305539fp-4, 0x1.41bdce64962bbp-4, 0x1.3a9430f7c5d0bp-4, 0x1.338896ae67747p-4, 0x1.2c9adf6ec253bp-4, 0x1.25cae76d9d113p-4, 0x1.1f188759fbaa4p-4, 0x1.18839487de27bp-4, 0x1.120be11a02551p-4, 0x1.0bb13c2aa4cc9p-4, 0x1.057371f346441p-4, 0x1.fea497e6e16c4p-5, 0x1.f29b222d03b4ep-5, 0x1.e6ca0bb0f30bdp-5, 0x1.db30d8d39bc28p-5, 0x1.cfcf09a48e723p-5, 0x1.c4a41a25ccc95p-5, 0x1.b9af828da9c4p-5, 0x1.aef0b786ca55p-5, 0x1.a4672a6e4190bp-5, 0x1.9a12498fd88afp-5, 0x1.8ff180607c459p-5, 0x1.860437b6e0d14p-5, 0x1.7c49d60257ddep-5, 0x1.72c1bf7fe981ep-5, 0x1.696b566dad1bep-5, 0x1.6045fb3c6e9f4p-5, 0x1.57510cbfa5ecap-5, 0x1.4e8be85bc5236p-5, 0x1.45f5ea32e8d49p-5, 0x1.3d8e6d4feeaap-5, 0x1.3554cbcff930cp-5, 0x1.2d485f0a6c63cp-5, 0x1.25687fb76621p-5, 0x1.1db48614bafaep-5, 0x1.162bca0984109p-5, 0x1.0ecda3483d395p-5, 0x1.0799696f813b1p-5, 0x1.008e74296d8cbp-5, 0x1.f3583693592afp-6, 0x1.e5e36dd4721fep-6, 0x1.d8bd3f0db51eep-6, 0x1.cbe45c2ecd8b4p-6, 0x1.bf577851999c2p-6, 0x1.b31547e9ead23p-6, 0x1.a71c80f2f8bc2p-6, 0x1.9b6bdb1a9bdb1p-6, 0x1.90020fea56fc4p-6, 0x1.84dddaee4b2d6p-6, 0x1.79fdf9da14e38p-6, 0x1.6f612cabb096fp-6, 0x1.650635cc6bc0bp-6, 0x1.5aebda2feee47p-6, 0x1.5110e1717e348p-6, 0x1.477415ef6642dp-6, 0x1.3e1444e4babd5p-6, 0x1.34f03e8165cep-6, 0x1.2c06d6009902fp-6, 0x1.2356e1bdae836p-6, 0x1.1adf3b478cep-6, 0x1.129ebf72888f1p-6, 0x1.0a944e68e6457p-6, 0x1.02becbb9faa6ep-6, 0x1.f63a3ccff0619p-7, 0x1.e75c61e8f71fap-7, 0x1.d8e1e2d7af8f1p-7, 0x1.cac8a2de6ffa6p-7, 0x1.bd0e8c7b3bdd9p-7, 0x1.afb191778de12p-7, 0x1.a2afaaf603fe7p-7, 0x1.9606d97e088a6p-7, 0x1.89b525058bdafp-7, 0x1.7db89cf8d1579p-7, 0x1.720f58408de1dp-7, 0x1.66b775462a8ccp-7, 0x1.5baf19f6844c7p-7, 0x1.50f473c3029f7p-7, 0x1.4685b7a139433p-7, 0x1.3c6122090ec37p-7, 0x1.3284f6f1911ffp-7, 0x1.28ef81cc721p-7, 0x1.1f9f15804805bp-7, 0x1.16920c619ec67p-7, 0x1.0dc6c82ae8c51p-7, 0x1.053bb1f35d333p-7, 0x1.f9de7449a5641p-8, 0x1.e9bfb0e14a418p-8, 0x1.da18178762bdfp-8, 0x1.cae4b472eb952p-8, 0x1.bc22a21cc88ep-8, 0x1.adcf0922dfe14p-8, 0x1.9fe72029c9f5bp-8, 0x1.92682bbd26e53p-8, 0x1.854f7e2eb3209p-8, 0x1.789a77742f75ap-8, 0x1.6c46850432b45p-8, 0x1.605121b1f395fp-8, 0x1.54b7d58825ecp-8, 0x1.497835a2f6a0bp-8, 0x1.3e8fe4093ba6p-8, 0x1.33fc8f84eaaeap-8, 0x1.29bbf37ae1f39p-8, 0x1.1fcbd7c218b23p-8, 0x1.162a107a4336p-8, 0x1.0cd47de1fa78ap-8, 0x1.03c90c2c756b4p-8, 0x1.f60b66adc248ap-9, 0x1.e510edfacc98bp-9, 0x1.d49ecc5fcb47p-9, 0x1.c4b1368cf8782p-9, 0x1.b544776ba9846p-9, 0x1.a654efc6acd95p-9, 0x1.97df15f275c19p-9, 0x1.89df757521e3cp-9, 0x1.7c52aeae78015p-9, 0x1.6f35767fec557p-9, 0x1.628495f4b8a87p-9, 0x1.563ce9ea1f2cp-9, 0x1.4a5b62b7e7e34p-9, 0x1.3edd03d91ec81p-9, 0x1.33bee3952f635p-9, 0x1.28fe2aa95b987p-9, 0x1.1e9813f2a9389p-9, 0x1.1489ec18492ebp-9, 0x1.0ad1113684a7dp-9, 0x1.016af28a41193p-9, 0x1.f0aa203a376bbp-10, 0x1.df19f4e464902p-10, 0x1.ce20a4672af95p-10, 0x1.bdb98fc0ed4a9p-10, 0x1.ade036f82c039p-10, 0x1.9e90387ae7a38p-10, 0x1.8fc5507fb2035p-10, 0x1.817b58684f62ep-10, 0x1.73ae46262994ep-10, 0x1.665a2ba068411p-10, 0x1.597b361bec294p-10, 0x1.4d0dada50969cp-10, 0x1.410df47b281dap-10, 0x1.3578867e4da6ap-10, 0x1.2a49f89e81162p-10, 0x1.1f7ef84d2ebf8p-10, 0x1.15144af078ee6p-10, 0x1.0b06cd5886a5dp-10, 0x1.01537336d3abfp-10, 0x1.efee8d2efac03p-11, 0x1.dddeceb930d27p-11, 0x1.cc7215771bfbfp-11, 0x1.bba2f57903223p-11, 0x1.ab6c2b7784bf3p-11, 0x1.9bc89bda8e5f8p-11, 0x1.8cb351c46f44fp-11, 0x1.7e277e2100c5p-11, 0x1.702076b8e66b2p-11, 0x1.6299b548e1cfep-11, 0x1.558ed69d3a5fap-11, 0x1.48fb99b132fc3p-11, 0x1.3cdbded28b722p-11, 0x1.312ba6c9073a3p-11, 0x1.25e71201f626bp-11, 0x1.1b0a5fbfb83a8p-11, 0x1.1091ed4d3622ep-11, 0x1.067a3535471ecp-11, 0x1.f97f9cfbfc0bap-12, 0x1.e6bed7cfa8da7p-12, 0x1.d4abb661596b1p-12, 0x1.c34008b540d9p-12, 0x1.b275d1ed2881ep-12, 0x1.a24746e50d74bp-12, 0x1.92aeccd720095p-12, 0x1.83a6f807115dbp-12, 0x1.752a8a749c40ep-12, 0x1.673472953053cp-12, 0x1.59bfca14af9bep-12, 0x1.4cc7d49d1fe98p-12, 0x1.4047fea5428cdp-12, 0x1.343bdc45f756p-12, 0x1.289f28164fd99p-12, 0x1.1d6dc20e465d8p-12, 0x1.12a3ae6ff29abp-12, 0x1.083d14b732696p-12, 0x1.fc6c7d1f458afp-13, 0x1.e9172da1b01b3p-13, 0x1.d673510176b9ep-13, 0x1.c47a3bb7e4ddcp-13, 0x1.b3257ec87aa88p-13, 0x1.a26ee5e958822p-13, 0x1.925075b73343fp-13, 0x1.82c469f49e82p-13, 0x1.73c533d47180ep-13, 0x1.654d784f249cep-13, 0x1.57580e82e9e3cp-13, 0x1.49dffe1e5857fp-13, 0x1.3ce07dd570384p-13, 0x1.3054f1e0d6123p-13, 0x1.2438ea86ff431p-13, 0x1.188822af33fc5p-13, 0x1.0d3e7e7e2ef2bp-13, 0x1.025809fc267adp-13, 0x1.efa1ef8830ae5p-14, 0x1.db4b3f7840bf8p-14, 0x1.c7a4fbad78952p-14, 0x1.b4a861b9673d5p-14, 0x1.a24ef27f29611p-14, 0x1.90926fe8fdeafp-14, 0x1.7f6cdaae45cbap-14, 0x1.6ed8702979699p-14, 0x1.5ecfa83dcac52p-14, 0x1.4f4d334c1ac9dp-14, 0x1.404bf836ec699p-14, 0x1.31c71274fe226p-14, 0x1.23b9d0323de9ap-14, 0x1.161fb07ebbcbfp-14, 0x1.08f4618b538e1p-14, 0x1.f8677de769b9p-15, 0x1.dfb3a02b04accp-15, 0x1.c7c58ce86875p-15, 0x1.b095f852eac85p-15, 0x1.9a1de4c35afcep-15, 0x1.84569fc8dddb7p-15, 0x1.6f39bf50fccb9p-15, 0x1.5ac11ee659acp-15, 0x1.46e6dd057a783p-15, 0x1.33a558871e0dep-15, 0x1.20f72e1f9468bp-15, 0x1.0ed735f29222dp-15, 0x1.fa810275f491fp-16, 0x1.d85cb00c399a3p-16, 0x1.b7386e03d9267p-16, 0x1.970b9abb51bcp-16, 0x1.77cdf5790f12cp-16, 0x1.59779a73bf9fp-16, 0x1.3c00fefcc835ap-16, 0x1.1f62edcbe68e7p-16, 0x1.0396836b1faa7p-16, 0x1.d12a55844270ap-17, 0x1.9cb133806035dp-17, 0x1.69b59c47a915p-17, 0x1.382c14bed7dd5p-17, 0x1.0809a533b74cdp-17, 0x1.b287a72a360b9p-18, 0x1.57a13bbfeddd3p-18, 0x1.fe99d3001bca4p-19, 0x1.52f0d98a350dcp-19, 0x1.58494bcdcd12ap-20, 0x1.427c37a406e9p-24, -0x1.26c299d83414fp-20, -0x1.2c595579d440fp-19, -0x1.c0f14ddca5662p-19, -0x1.28a2818454ddp-18, -0x1.6eb784658591fp-18, -0x1.b2c46481042f3p-18, -0x1.f4d5491e26e51p-18, -0x1.1a7ae97115c15p-17, -0x1.399891471b979p-17, -0x1.57c8efbbf20bcp-17, -0x1.75111edf4b02ap-17, -0x1.9176021fcda1p-17, -0x1.acfc4925b4bfep-17, -0x1.c7a8728edca54p-17, -0x1.e17ece8d51d2dp-17, -0x1.fa83816960b7ap-17, -0x1.095d42f3fd0fcp-16, -0x1.1513d7cb39548p-16, -0x1.2067567e3c28cp-16, -0x1.2b5984da89afep-16, -0x1.35ec1837d0f58p-16, -0x1.4020b66cc3f1dp-16, -0x1.49f8f6b8ba394p-16, -0x1.537662a27b4afp-16, -0x1.5c9a76cc9c943p-16, -0x1.6566a3bfc1b3ap-16, -0x1.6ddc4eab29a26p-16, -0x1.75fcd21bdc57fp-16, -0x1.7dc97eaacea93p-16, -0x1.85439ba253936p-16, -0x1.8c6c679b2d17dp-16, -0x1.934519118bebap-16, -0x1.99cedef2477bdp-16, -0x1.a00ae120a62e5p-16, -0x1.a5fa40f4ee149p-16, -0x1.ab9e19b40f7bfp-16, -0x1.b0f78100b0b36p-16, -0x1.b6078745d61bbp-16, -0x1.bacf381b6814fp-16, -0x1.bf4f9aa4dd67dp-16, -0x1.c389b1ea40ed2p-16, -0x1.c77e7d2bc9f07p-16, -0x1.cb2ef8304c7a1p-16, -0x1.ce9c1b8ead75bp-16, -0x1.d1c6dcf293a19p-16, -0x1.d4b02f5c9115ep-16, -0x1.d759035de741fp-16, -0x1.d9c24750291b3p-16, -0x1.dbece788de145p-16, -0x1.ddd9ce89556b9p-16, -0x1.df89e52ad95fp-16, -0x1.e0fe12c76cca3p-16, -0x1.e2373d5f37ed7p-16, -0x1.e33649bacd708p-16, -0x1.e3fc1b8a78a2p-16, -0x1.e4899582a5847p-16, -0x1.e4df99759adebp-16, -0x1.e4ff086a9bed9p-16, -0x1.e4e8c2b29a104p-16, -0x1.e49da7fa9342fp-16, -0x1.e41e975bbdd44p-16, -0x1.e36c6f699b467p-16, -0x1.e2880e3e19fe2p-16, -0x1.e1725183d5987p-16, -0x1.e02c167e942d4p-16, -0x1.deb63a121f783p-16, -0x1.dd1198c78ca59p-16, -0x1.db3f0ed10cb3bp-16, -0x1.d93f780c5d308p-16, -0x1.d713b003eef04p-16, -0x1.d4bc91eed4c2cp-16, -0x1.d23af8af95871p-16, -0x1.cf8fbed1ee97cp-16, -0x1.ccbbbe879a034p-16, -0x1.c9bfd1a42e2e3p-16, -0x1.c69cd1982773ap-16, -0x1.c353976b2749ap-16, -0x1.bfe4fbb57c5eep-16, -0x1.bc51d69908976p-16, -0x1.b89affb983772p-16, -0x1.b4c14e343a1fep-16, -0x1.b0c598974ab95p-16, -0x1.aca8b4d870282p-16, -0x1.a86b784b67738p-16, -0x1.a40eb797fb176p-16, -0x1.9f9346afbceadp-16, -0x1.9af9f8c37e72cp-16, -0x1.9643a03889142p-16, -0x1.91710e9da8275p-16, -0x1.8c8314a009412p-16, -0x1.877a81fffb55dp-16, -0x1.8258258594a3dp-16, -0x1.7d1cccf54ba65p-16, -0x1.77c945048256bp-16, -0x1.725e594e0f448p-16, -0x1.6cdcd446cc71ap-16, -0x1.67457f3230446p-16, -0x1.61992216f0909p-16, -0x1.5bd883b3c32bbp-16, -0x1.560469742fcc1p-16, -0x1.501d97658760ap-16, -0x1.4a24d02bf8f3ap-16, -0x1.441ad4f7d3f2fp-16, -0x1.3e00657aee7fap-16, -0x1.37d63fde3ee6ep-16, -0x1.319d20b7a843cp-16, -0x1.2b55c2fff768cp-16, -0x1.2500e0091c503p-16, -0x1.1e9f2f7499981p-16, -0x1.1831672a3700fp-16, -0x1.11b83b4eec219p-16, -0x1.0b345e3c1270dp-16, -0x1.04a68076d3d6cp-16, -0x1.fc1ea14fcb3e8p-17, -0x1.eedef726fe772p-17, -0x1.e18f582347c29p-17, -0x1.d431160d4ff16p-17, -0x1.c6c57eb817235p-17, -0x1.b94ddbf328842p-17, -0x1.abcb737d76a59p-17, -0x1.9e3f86f8bde04p-17, -0x1.90ab53dd83ca8p-17, -0x1.8310136fb6a71p-17, -0x1.756efab3d5bc6p-17, -0x1.67c93a64b9a3cp-17, -0x1.5a1ffee9f83dbp-17, -0x1.4c74704ed7e62p-17, -0x1.3ec7b239dddecp-17, -0x1.311ae3e4f50e6p-17, -0x1.236f201626bcdp-17, -0x1.15c57d18e9551p-17, -0x1.081f0cb8034e2p-17, -0x1.f4f9b86ffe1dp-18, -0x1.d9bfe8a461066p-18, -0x1.be92b26093598p-18, -0x1.a37414d0f9642p-18, -0x1.886605f453c4fp-18, -0x1.6d6a72962fd9bp-18, -0x1.52833e4a68d7dp-18, -0x1.37b24369b382p-18, -0x1.1cf9530f339d5p-18, -0x1.025a35171484fp-18, -0x1.cfad503c41a61p-19, -0x1.9ae0c304a74b6p-19, -0x1.66521ac8c66a3p-19, -0x1.32049d5470adap-19, -0x1.fbf6fc0953ca7p-20, -0x1.9473bba08431ep-20, -0x1.2d8596a46ce3cp-20, -0x1.8e650b5713d61p-21, -0x1.86017321df3p-22, }}, 
      {{-0x1.5614eebe063c5p-1, -0x1.56468ee480f37p-1, -0x1.5691b9701ecf8p-1, -0x1.56eddec95e6f5p-1, -0x1.5751e94d2f705p-1, -0x1.57b52069c8978p-1, -0x1.580fb0840373p-1, -0x1.585af362c4e9cp-1, -0x1.58918d4a76b31p-1, -0x1.58af6d580f446p-1, -0x1.58b1bb89c0d14p-1, -0x1.5896bbdad5ef1p-1, -0x1.585daba010be4p-1, -0x1.58069cb3ffeabp-1, -0x1.579250d6c60f9p-1, -0x1.570216cccda6bp-1, -0x1.5657aa2d9894cp-1, -0x1.55951666c501dp-1, -0x1.54bc9d2b65b53p-1, -0x1.53d0a053e8fa7p-1, -0x1.52d38f105cb5cp-1, -0x1.51c7d639140c6p-1, -0x1.50afd37ce9fe2p-1, -0x1.4f8dcb25f6e94p-1, -0x1.4e63e02ba92d3p-1, -0x1.4d340e4a43ca8p-1, -0x1.4c0025daf1151p-1, -0x1.4ac9c92bf9b89p-1, -0x1.49926b1dd1579p-1, -0x1.485b4ecf1d1c9p-1, -0x1.47258827698e7p-1, -0x1.45f1fd15a7bf7p-1, -0x1.44c1675cbad06p-1, -0x1.439456cd3a12cp-1, -0x1.426b33d0058eep-1, -0x1.4146422965d46p-1, -0x1.4025a3e0246bdp-1, -0x1.3f095c375951p-1, -0x1.3df152aca19f8p-1, -0x1.3cdd55ef06004p-1, -0x1.3bcd1ec5260d2p-1, -0x1.3ac052db317f5p-1, -0x1.39b68772f3871p-1, -0x1.38af43f1a3b14p-1, -0x1.37aa044876841p-1, -0x1.36a63b35ed3adp-1, -0x1.35a3545ec92dcp-1, -0x1.34a0b63e3d4c8p-1, -0x1.339dc3ed92e35p-1, -0x1.3299dec3f1963p-1, -0x1.319467cf53ff4p-1, -0x1.308cc1280a894p-1, -0x1.2f824f205974p-1, -0x1.2e747951ef4f1p-1, -0x1.2d62ab8b0e3fap-1, -0x1.2c4c569d4ac1p-1, -0x1.2b30f10fd45ecp-1, -0x1.2a0ff7b734fdcp-1, -0x1.28e8ee3472d81p-1, -0x1.27bb5f5d74569p-1, -0x1.2686dd9075562p-1, -0x1.254b02f45115ap-1, -0x1.240771a74cf32p-1, -0x1.22bbd3ddfa921p-1, -0x1.2167dbf3b8d6dp-1, -0x1.200b446e3dadep-1, -0x1.1ea5cff581dd6p-1, -0x1.1d3749414e9e1p-1, -0x1.1bbf82fd9d8c4p-1, -0x1.1a3e57a6da4cdp-1, -0x1.18b3a95f10dc4p-1, -0x1.171f61bcf3d37p-1, -0x1.15817195956fdp-1, -0x1.13d9d0c1a4b7cp-1, -0x1.12287ddee30cap-1, -0x1.106d7e0e7facp-1, -0x1.0ea8dcb0f3eefp-1, -0x1.0cdaab1feeffcp-1, -0x1.0b030066cf3e5p-1, -0x1.0921f8fa204b9p-1, -0x1.0737b66e85bf5p-1, -0x1.05445f2f6f551p-1, -0x1.03481e35ee4cdp-1, -0x1.014322bff573bp-1, -0x1.fe6b40108dca1p-2, -0x1.fa3f99fe98ddp-2, -0x1.f603c80a1cf92p-2, -0x1.f1b84548e9523p-2, -0x1.ed5d929ffc342p-2, -0x1.e8f4364017b7bp-2, -0x1.e47cbb25c13b5p-2, -0x1.dff7b09cdab1dp-2, -0x1.db65a9c7f6c15p-2, -0x1.d6c73d2b941e8p-2, -0x1.d21d043d537efp-2, -0x1.cd679af73c5c7p-2, -0x1.c8a79f6f21b0ep-2, -0x1.c3ddb1722e253p-2, -0x1.bf0a72249ac68p-2, -0x1.ba2e83a592e5fp-2, -0x1.b54a88b73e89bp-2, -0x1.b05f246af28e1p-2, -0x1.ab6cf9d1738ep-2, -0x1.a674abaf45da5p-2, -0x1.a176dc34fb8c2p-2, -0x1.9c742cbb69d3dp-2, -0x1.976d3d83b9a4cp-2, -0x1.9262ad7b3cde6p-2, -0x1.8d551a02eee1dp-2, -0x1.88451eba8fdd7p-2, -0x1.8333554f3f894p-2, -0x1.7e20554d7cf14p-2, -0x1.790cb3f677837p-2, -0x1.73f9041894597p-2, -0x1.6ee5d5eb0c09ep-2, -0x1.69d3b6ec8940fp-2, -0x1.64c331c4afef8p-2, -0x1.5fb4ce286d66fp-2, -0x1.5aa910c0f930dp-2, -0x1.55a07b156caf9p-2, -0x1.509b8b76d957fp-2, -0x1.4b9abceebeb9dp-2, -0x1.469e872fc908ep-2, -0x1.41a75e88c309cp-2, -0x1.3cb5b3d998a33p-2, -0x1.37c9f48a5c02dp-2, -0x1.32e48a842fdb8p-2, -0x1.2e05dc2bfdadbp-2, -0x1.292e4c5ee680ep-2, -0x1.245e3a7051079p-2, -0x1.1f9602298559p-2, -0x1.1ad5fbcabcbdbp-2, -0x1.161e7c0d9072ap-2, -0x1.116fd428b6ad8p-2, -0x1.0cca51d4f7727p-2, -0x1.082e3f534491p-2, -0x1.039be373e643cp-2, -0x1.fe27033d5313fp-3, -0x1.f52ab3b7f47aap-3, -0x1.ec4351bdbbca4p-3, -0x1.e371501f7e029p-3, -0x1.dab51b2fe3dc6p-3, -0x1.d20f18dbdd162p-3, -0x1.c97fa8c4522bcp-3, -0x1.c1072458fa169p-3, -0x1.b8a5def445207p-3, -0x1.b05c25f82d4bp-3, -0x1.a82a40ebefdp-3, -0x1.a010719a7af2ep-3, -0x1.980ef43193a9ap-3, -0x1.9025ff618b867p-3, -0x1.8855c47d79b1fp-3, -0x1.809e6f9be55d2p-3, -0x1.790027b7caccfp-3, -0x1.717b0ed1e886ap-3, -0x1.6a0f42124d93bp-3, -0x1.62bcd9ea0932p-3, -0x1.5b83ea34fb107p-3, -0x1.5464825bae18fp-3, -0x1.4d5ead75341c2p-3, -0x1.46727268efe54p-3, -0x1.3f9fd4104b131p-3, -0x1.38e6d158453c9p-3, -0x1.32476562d0f2bp-3, -0x1.2bc187a7fa38cp-3, -0x1.25552c16cda8p-3, -0x1.1f024335ece41p-3, -0x1.18c8ba43d5a7dp-3, -0x1.12a87b56ce38bp-3, -0x1.0ca16d7c6aef7p-3, -0x1.06b374d8b5a39p-3, -0x1.00de72c4dad19p-3, -0x1.f6448bdae335ap-4, -0x1.eafd94e0789cdp-4, -0x1.dfe7b3f2fb46p-4, -0x1.d50297c176165p-4, -0x1.ca4dea8a1b232p-4, -0x1.bfc95251b35p-4, -0x1.b574711a19645p-4, -0x1.ab4ee51781441p-4, -0x1.a15848e4b03d7p-4, -0x1.979033b618decp-4, -0x1.8df6398bbc9a5p-4, -0x1.8489eb61fe7fp-4, -0x1.7b4ad7613ee8dp-4, -0x1.7238890c5194ep-4, -0x1.6952896dc957ep-4, -0x1.60985f4415f2fp-4, -0x1.58098f2c79211p-4, -0x1.4fa59bccced05p-4, -0x1.476c05fc2c942p-4, -0x1.3f5c4cea576dep-4, -0x1.3775ee4612ebp-4, -0x1.2fb866624a1e3p-4, -0x1.2823305a16537p-4, -0x1.20b5c633a4334p-4, -0x1.196fa101fb8cbp-4, -0x1.12503905abb74p-4, -0x1.0b5705cc6096dp-4, -0x1.04837e4f62058p-4, -0x1.fbaa32220956fp-5, -0x1.ee969872177dfp-5, -0x1.e1cb1b6005c37p-5, -0x1.d546a67325269p-5, -0x1.c908251ba8a38p-5, -0x1.bd0e82e35435ap-5, -0x1.b158ab9c3ab2p-5, -0x1.a5e58b8d9832ap-5, -0x1.9ab40f9ecb2fap-5, -0x1.8fc325807c1b1p-5, -0x1.8511bbd3f97a5p-5, -0x1.7a9ec250d2b24p-5, -0x1.706929e8baaabp-5, -0x1.666fe4e9c003p-5, -0x1.5cb1e71ede021p-5, -0x1.532e25eef5082p-5, -0x1.49e3987a334ffp-5, -0x1.40d137b5f722bp-5, -0x1.37f5fe87345b3p-5, -0x1.2f50e9db665c5p-5, -0x1.26e0f8c01d42ap-5, -0x1.1ea52c7925f73p-5, -0x1.169c889562f34p-5, -0x1.0ec61302533f5p-5, -0x1.0720d41e5e318p-5, -0x1.ff57ad93bc944p-6, -0x1.f0cc50ee09084p-6, -0x1.e29db2711f0b6p-6, -0x1.d4c9f79ed146ep-6, -0x1.c74f4b6e58adfp-6, -0x1.ba2bde634de8fp-6, -0x1.ad5de6a29fa79p-6, -0x1.a0e3a00596bcep-6, -0x1.94bb4c2af347ep-6, -0x1.88e332863ad5p-6, -0x1.7d59a06d4a794p-6, -0x1.721ce9242d99fp-6, -0x1.672b65e75d45fp-6, -0x1.5c8375f469871p-6, -0x1.52237e911fac9p-6, -0x1.4809eb11435f3p-6, -0x1.3e352cdadbe63p-6, -0x1.34a3bb69305bdp-6, -0x1.2b54144e7a8e7p-6, -0x1.2244bb345f54ep-6, -0x1.197439db3bd23p-6, -0x1.10e1201850cd6p-6, -0x1.088a03d2dd02p-6, -0x1.006d81002f8e3p-6, -0x1.f114733d882d2p-7, -0x1.e1bdab60d848bp-7, -0x1.d2d406672eab4p-7, -0x1.c454ec378b42fp-7, -0x1.b63dd0925b157p-7, -0x1.a88c32ff3a943p-7, -0x1.9b3d9eb9510f7p-7, -0x1.8e4faa9a4c51ap-7, -0x1.81bff90412e6dp-7, -0x1.758c37c951a89p-7, -0x1.69b22014d2424p-7, -0x1.5e2f764fca873p-7, -0x1.53020a073b1fbp-7, -0x1.4827b5d045a03p-7, -0x1.3d9e5f2bba371p-7, -0x1.3363f668d1432p-7, -0x1.2976768720dep-7, -0x1.1fd3e517e8f42p-7, -0x1.167a521eb9da5p-7, -0x1.0d67d7f186f98p-7, -0x1.049a9b1831f2bp-7, -0x1.f821945736eb5p-8, -0x1.e7913b688aaacp-8, -0x1.d780b01123575p-8, -0x1.c7ec8a55540edp-8, -0x1.b8d1754c37be3p-8, -0x1.aa2c2eda5f8a8p-8, -0x1.9bf9876c171c7p-8, -0x1.8e3661af46f74p-8, -0x1.80dfb24d0ec1ap-8, -0x1.73f27fa32501cp-8, -0x1.676be17d10924p-8, -0x1.5b4900cd46813p-8, -0x1.4f87176643b61p-8, -0x1.44236fb3a9b0fp-8, -0x1.391b64736fd51p-8, -0x1.2e6c606f379b6p-8, -0x1.2413de35cd3d5p-8, -0x1.1a0f67d4e5bd2p-8, -0x1.105c96931ecacp-8, -0x1.06f912aa52d27p-8, -0x1.fbc52604910cp-9, -0x1.ea2db9d78703fp-9, -0x1.d92787b812645p-9, -0x1.c8ae5251af6c9p-9, -0x1.b8bdf789bd10bp-9, -0x1.a9526ff97bee6p-9, -0x1.9a67ce692aabdp-9, -0x1.8bfa3f4c49e37p-9, -0x1.7e06083f199f9p-9, -0x1.708787855ba86p-9, -0x1.637b338a5e058p-9, -0x1.56dd9a6264371p-9, -0x1.4aab614d6f264p-9, -0x1.3ee1443b6fa0bp-9, -0x1.337c1551ee9fdp-9, -0x1.2878bc732a3cap-9, -0x1.1dd436c6b9e38p-9, -0x1.138b9643b5d73p-9, -0x1.099c013c69e5p-9, -0x1.0002b1eb9dfb9p-9, -0x1.ed79ec06e048p-10, -0x1.db905c7b92de3p-10, -0x1.ca439bdce02e2p-10, -0x1.b98eb52d758d8p-10, -0x1.a96cd6f5bc893p-10, -0x1.99d95271d38b9p-10, -0x1.8acf9ac2bc6b5p-10, -0x1.7c4b4422e3c92p-10, -0x1.6e48031df179dp-10, -0x1.60c1abcbdfbbcp-10, -0x1.53b4310f6d7c4p-10, -0x1.471ba3d7d0a77p-10, -0x1.3af43265ba858p-10, -0x1.2f3a27939e631p-10, -0x1.23e9ea214265fp-10, -0x1.18fffc028f4b7p-10, -0x1.0e78f9b1a3923p-10, -0x1.04519984175dcp-10, -0x1.f50d5606fb9c2p-11, -0x1.e22a2c92202b3p-11, -0x1.cff3b6b909ccbp-11, -0x1.be64232c15f21p-11, -0x1.ad75ce06be484p-11, -0x1.9d233f9ff496bp-11, -0x1.8d672b609a7ep-11, -0x1.7e3c6ea006e7p-11, -0x1.6f9e0f868cbffp-11, -0x1.61873bf5ef35cp-11, -0x1.53f34877b501ep-11, -0x1.46ddaf314900cp-11, -0x1.3a420eddd5d5p-11, -0x1.2e1c29cdcdf38p-11, -0x1.2267e4ec09944p-11, -0x1.172146c86b719p-11, -0x1.0c4476a7f7d74p-11, -0x1.01cdbb9a4c39p-11, -0x1.ef72f728c6fcp-12, -0x1.dc087521257b8p-12, -0x1.c95533675b89fp-12, -0x1.b752acee777a5p-12, -0x1.a5fa93b15780cp-12, -0x1.9546cf1ae6902p-12, -0x1.85317a7806327p-12, -0x1.75b4e372fdba7p-12, -0x1.66cb889848f9fp-12, -0x1.587017e4964bep-12, -0x1.4a9d6d5bd794p-12, -0x1.3d4e91a932dbcp-12, -0x1.307eb8c7b546cp-12, -0x1.242940b3957b3p-12, -0x1.1849b023e6dd9p-12, -0x1.0cdbb54c917dep-12, -0x1.01db24a866a0cp-12, -0x1.ee87ef9662088p-13, -0x1.da2498771f938p-13, -0x1.c684c4a8fbb0ap-13, -0x1.b3a1385cb9772p-13, -0x1.a172f91eb8889p-13, -0x1.8ff34bc62f78ep-13, -0x1.7f1bb2728eb51p-13, -0x1.6ee5ea96b90bcp-13, -0x1.5f4beb11ce496p-13, -0x1.5047e2553fd8fp-13, -0x1.41d43497dd732p-13, -0x1.33eb7a159f4e5p-13, -0x1.26887d5be6a93p-13, -0x1.19a639a1dd4f4p-13, -0x1.0d3fd92ccc776p-13, -0x1.0150b3c00b812p-13, -0x1.eba89a30b4ddcp-14, -0x1.d58ca6e4a3492p-14, -0x1.c0453c3773c32p-14, -0x1.abca581ef330fp-14, -0x1.98144537d19b4p-14, -0x1.851b982680eb2p-14, -0x1.72d92d0be39adp-14, -0x1.6146250d446cfp-14, -0x1.505be3ef2804ep-14, -0x1.40140dc282327p-14, -0x1.306884a3db1c9p-14, -0x1.2153668bf43e4p-14, -0x1.12cf0b317d56dp-14, -0x1.04d601fb6d938p-14, -0x1.eec6200727915p-15, -0x1.d4e25c51ed5c6p-15, -0x1.bbf70e6338902p-15, -0x1.a3faebf6a7ebfp-15, -0x1.8ce507763c8f9p-15, -0x1.76accc95a5831p-15, -0x1.6149fd09465b8p-15, -0x1.4cb4ad5839acep-15, -0x1.38e541c89e067p-15, -0x1.25d46b6573901p-15, -0x1.137b251d5963p-15, -0x1.01d2b0f982b7ep-15, -0x1.e1a92ad868319p-16, -0x1.c0f5356c4da4fp-16, -0x1.a17d90c45cb2ap-16, -0x1.8336c5acfe9dep-16, -0x1.6615d1f6031cbp-16, -0x1.4a1023e819d51p-16, -0x1.2f1b95e206c86p-16, -0x1.152e6a1c68138p-16, -0x1.f87e8d25d991cp-17, -0x1.c88a6223da788p-17, -0x1.9a6f16cea5dcep-17, -0x1.6e1c1f6b83c3dp-17, -0x1.438199d211e32p-17, -0x1.1a904695a44ebp-17, -0x1.e67304da8b0a5p-18, -0x1.9ade7fb0d9c13p-18, -0x1.524801fd2c5c5p-18, -0x1.0c95a38fda38ep-18, -0x1.935d08b5378e1p-19, -0x1.12f582f79270ap-19, -0x1.2f8daac605896p-20, -0x1.0d278317b4f12p-22, 0x1.3e69f8ed51b94p-21, 0x1.78403c32c4646p-20, 0x1.2412fe6136868p-19, 0x1.8798a72e29226p-19, 0x1.e6d52a4a6fcdep-19, 0x1.20f599a383551p-18, 0x1.4c7e0b79a18adp-18, 0x1.7613f11cb8ffbp-18, 0x1.9dc6b432c2b6dp-18, 0x1.c3a5286d70d91p-18, 0x1.e7bd921f0d15fp-18, 0x1.050ed645d67a3p-17, 0x1.156957fc8193bp-17, 0x1.24f4abbf87e8p-17, 0x1.33b6f34de8116p-17, 0x1.41b617460ab37p-17, 0x1.4ef7c9b5c175bp-17, 0x1.5b81888edb4b6p-17, 0x1.6758a00148a68p-17, 0x1.72822cbbb325p-17, 0x1.7d031e137f023p-17, 0x1.86e038151c06p-17, 0x1.901e157d660c1p-17, 0x1.98c1299d0f9bbp-17, 0x1.a0cdc226c7d46p-17, 0x1.a84808e8f268ep-17, 0x1.af340573b4386p-17, 0x1.b5959eac05c82p-17, 0x1.bb709c4c927e5p-17, 0x1.c0c8a85501b49p-17, 0x1.c5a1506871f3ep-17, 0x1.c9fe071ba3bb1p-17, 0x1.cde22533a4c7cp-17, 0x1.d150ead56ad94p-17, 0x1.d44d80a70f312p-17, 0x1.d6daf8e340b1dp-17, 0x1.d8fc505f5a233p-17, 0x1.dab46f84cf502p-17, 0x1.dc062b3e546e5p-17, 0x1.dcf445d94d0bcp-17, 0x1.dd816fdc02c4bp-17, 0x1.ddb048d10b85bp-17, 0x1.dd836008627f8p-17, 0x1.dcfd354e9cff4p-17, 0x1.dc20399aa4615p-17, 0x1.daeecfb25fc24p-17, 0x1.d96b4cc6b3c1cp-17, 0x1.d797f9073491bp-17, 0x1.d577102de970ep-17, 0x1.d30ac20385003p-17, 0x1.d05532dc51dcep-17, 0x1.cd587c0e43e7bp-17, 0x1.ca16ac606f138p-17, 0x1.c691c8742bca3p-17, 0x1.c2cbcb284976p-17, 0x1.bec6a5f67a6c4p-17, 0x1.ba84414b626c4p-17, 0x1.b6067cd96316p-17, 0x1.b14f2fe689c79p-17, 0x1.ac602995c45a1p-17, 0x1.a73b312ba4cdcp-17, 0x1.a1e2064eed88ep-17, 0x1.9c5661451449p-17, 0x1.9699f32af84cep-17, 0x1.90ae6629ff991p-17, 0x1.8a955da9c3b18p-17, 0x1.8450767e848aep-17, 0x1.7de147149143cp-17, 0x1.77495f98bf248p-17, 0x1.708a4a1e3413p-17, 0x1.69a58ac19736bp-17, 0x1.629c9fc9d026dp-17, 0x1.5b7101c684319p-17, 0x1.542423ac6a3cap-17, 0x1.4cb772ef97affp-17, 0x1.452c579be8dc9p-17, 0x1.3d84346ba5bbap-17, 0x1.35c066dc777bcp-17, 0x1.2de24742d3532p-17, 0x1.25eb28dbf07e6p-17, 0x1.1ddc59de635cbp-17, 0x1.15b7238976e18p-17, 0x1.0d7cca3359fa3p-17, 0x1.052e8d563762fp-17, 0x1.f99b4f3899564p-18, 0x1.e8b69dd628505p-18, 0x1.d7b168db29b8bp-18, 0x1.c68e093bd2135p-18, 0x1.b54ece9c1dc9dp-18, 0x1.a3f5ff601fe5cp-18, 0x1.9285d8bb23e1dp-18, 0x1.81008ebdbac75p-18, 0x1.6f684c62cef9cp-18, 0x1.5dbf339bdb83ap-18, 0x1.4c075d5c5d15cp-18, 0x1.3a42d9a4945b4p-18, 0x1.2873af8bad86ep-18, 0x1.169bdd4964ba1p-18, 0x1.04bd583f3970ap-18, 0x1.e5b41a0281928p-19, 0x1.c1e7bebd53653p-19, 0x1.9e1954d407f9dp-19, 0x1.7a4c8102a8cf1p-19, 0x1.5684d6ac15fd4p-19, 0x1.32c5d7e9bd54ap-19, 0x1.0f12f59b4d72ep-19, 0x1.d6df1eecbbca4p-20, 0x1.8fbde82c7aaacp-20, 0x1.48c8c217c24e7p-20, 0x1.020605dc33977p-20, 0x1.76f7d5a83f8e8p-21, 0x1.d4c21aa106485p-22, 0x1.794e6b92308e4p-23, -0x1.6926e1fbc1ef5p-24, -0x1.6ff9ea9b325e2p-22, -0x1.42298fbb029bcp-21, -0x1.cb9fccf290261p-21, -0x1.2a2a8802779p-20, -0x1.6e1f7eab18bccp-20, -0x1.b1a9bd2462b89p-20, -0x1.f4c45672d7ccap-20, -0x1.1bb53ee07da62p-19, -0x1.3ccbc318509f3p-19, -0x1.5da3715563aa3p-19, -0x1.7e3a12d6fd518p-19, -0x1.9e8d808da2c06p-19, -0x1.be9ba300cc6e3p-19, -0x1.de627233e5337p-19, -0x1.fddff58a855fcp-19, -0x1.0e8921d5f9cedp-18, -0x1.1dfbc132f3cd3p-18, -0x1.2d46f3474af8ep-18, -0x1.3c69d9f3021aap-18, -0x1.4b639e7b5082bp-18, -0x1.5a33717a990f4p-18, -0x1.68d88ad0061d3p-18, -0x1.7752298ed0727p-18, -0x1.859f93ed316a6p-18, -0x1.93c017330424ap-18, -0x1.a1b307a812d35p-18, -0x1.af77c0821a8a2p-18, -0x1.bd0da3d2805d3p-18, -0x1.ca741a73bcb6ap-18, -0x1.d7aa93f6817f4p-18, -0x1.e4b0868e9a86ap-18, -0x1.f1856eff8cc7ap-18, -0x1.fe28d088f6439p-18, -0x1.054d1a6957cdbp-17, -0x1.0b6c95ec5c063p-17, -0x1.1172a5eb72981p-17, -0x1.175f189a314c5p-17, -0x1.1d31bf377f0fep-17, -0x1.22ea6e032331p-17, -0x1.2888fc333db23p-17, -0x1.2e0d43e9ad509p-17, -0x1.337722295feb5p-17, -0x1.38c676cb93a4ep-17, -0x1.3dfb247506254p-17, -0x1.4315108b1597ep-17, -0x1.48142328d544ap-17, -0x1.4cf847141452fp-17, -0x1.51c169b25c567p-17, -0x1.566f7afde0dddp-17, -0x1.5b026d7a76128p-17, -0x1.5f7a362a66a0cp-17, -0x1.63d6cc8362b36p-17, -0x1.68182a6353443p-17, -0x1.6c3e4c0538f3cp-17, -0x1.70492ff5ff597p-17, -0x1.7438d7095a6a6p-17, -0x1.780d444e9e1c9p-17, -0x1.7bc67d05977abp-17, -0x1.7f6488936fcefp-17, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      56, 0x1.599999999999ap+2, 0x1.56d7ff72964fep+1, 0x1.4abf916740185p+2, -0x1.d3d6e7663a6c1p-9, 
      {{
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, 0x1.4c8e076060bbcp-3, -0x1.c728844f148e7p-2, 0x1.30c814faed7bp-1, -0x1.954d0a12ad4ddp-2}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, 0x1.21fc475849545p-3, -0x1.8d3de0d413294p-2, 0x1.12624dd3207bbp-1, -0x1.7910fabf0835cp-2}, 
        {0x1.599999999999ap+1, 0x1.6p+1, 0x1.f9d25d02dc667p-4, -0x1.593162810acep-2, 0x1.ec3542d666222p-2, -0x1.610fb564c95f8p-2}, 
        {0x1.6p+1, 0x1.6666666666666p+1, 0x1.b98758dd31b01p-4, -0x1.2a9ebc8a702ecp-2, 0x1.b73fb46dae541p-2, -0x1.47ec4b97d0f2bp-2}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, 0x1.820880b2c889fp-4, -0x1.012794065e65cp-2, 0x1.860f75e3b5631p-2, -0x1.2f16a99c50fd3p-2}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, 0x1.5259f24479fdfp-4, -0x1.b8d7ec9db354bp-3, 0x1.5898dc72a93cep-2, -0x1.162c0ccdac18bp-2}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, 0x1.2992eaa0c21d2p-4, -0x1.7818bb9936a03p-3, 0x1.2edf0dba35d2ep-2, -0x1.fa8f26f446a02p-3}, 
        {0x1.799999999999ap+1, 0x1.8p+1, 0x1.06ddc623bffcbp-4, -0x1.3f5250d33e4f5p-3, 0x1.08e11e017d537p-2, -0x1.c8bf0e1a9a9fap-3}, 
        {0x1.8p+1, 0x1.8666666666666p+1, 0x1.d2f000ee6b724p-5, -0x1.0dc571f843d83p-3, 0x1.cd3f2d1896a8ep-3, -0x1.96ff471521c3fp-3}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, 0x1.a164692510e76p-5, -0x1.c565eca068c8cp-4, 0x1.90327c089e655p-3, -0x1.65055ef17443dp-3}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, 0x1.77e0397580a78p-5, -0x1.7ab6c9b958ed9p-4, 0x1.5aa4e0fe0027ap-3, -0x1.33e3a9726ba79p-3}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, 0x1.55512505110dcp-5, -0x1.3a00e83a2efe2p-4, 0x1.2c75edf9a335p-3, -0x1.ff3694fdeedap-4}, 
        {0x1.999999999999ap+1, 0x1.ap+1, 0x1.38cb1d945e809p-5, -0x1.01bed9bfeba96p-4, 0x1.061ea2ccfe179p-3, -0x1.c0b74478d21b9p-4}, 
        {0x1.ap+1, 0x1.a666666666666p+1, 0x1.218723976bba9p-5, -0x1.a15fb73f0432fp-5, 0x1.c8ee94ee4311ap-4, -0x1.ac495ea72649dp-4}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, 0x1.0ed6373f04ff2p-5, -0x1.4c696b85123dap-5, 0x1.88b060553087p-4, -0x1.918e2df84cbc2p-4}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, 0x1.001449822348cp-5, -0x1.03e5b7a9ad867p-5, 0x1.4c74a63cbe9d9p-4, -0x1.7883451220905p-4}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, 0x1.e94e186c19276p-6, -0x1.8e1b97dce1b3dp-6, 0x1.13fa8f13a021cp-4, -0x1.5f0487e66f97cp-4}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, 0x1.d7fbe41ca7bbdp-6, -0x1.2a3f2f825832p-6, 0x1.bea6f5621ec88p-5, -0x1.45a4d4081e5a3p-4}, 
        {0x1.cp+1, 0x1.c666666666666p+1, 0x1.cb245d39b24fap-6, -0x1.b55f13d3b023fp-7, 0x1.5cf58292e27aap-5, -0x1.2c3ccf39d8c67p-4}, 
        {0x1.c666666666666p+1, 0x1.ccccccccccccdp+1, 0x1.c1cd6ca392e64p-6, -0x1.3bcd526e53326p-7, 0x1.02e34467ee3f8p-5, -0x1.12d704de039bap-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d333333333333p+1, 0x1.bb107cf73d876p-6, -0x1.c979833381d3p-8, 0x1.60df1f7dda53dp-6, -0x1.f2e14350be066p-5}, 
        {0x1.d333333333333p+1, 0x1.d99999999999ap+1, 0x1.b61a7a8e403e8p-6, -0x1.5a424252cf7efp-8, 0x1.966a49cb42a54p-7, -0x1.c014cecf0fcf8p-5}, 
        {0x1.d99999999999ap+1, 0x1.ep+1, 0x1.b22bd37ec31b1p-6, -0x1.23dc547405acdp-8, 0x1.132201d13f1afp-8, -0x1.8d48445a9e04ap-5}, 
        {0x1.ep+1, 0x1.e666666666666p+1, 0x1.ae98779b882ffp-6, -0x1.202f2f69a790bp-8, -0x1.93363a03c9d1ap-9, -0x1.5a7bbfc7931f4p-5}, 
        {0x1.e666666666666p+1, 0x1.ecccccccccccdp+1, 0x1.aac7d873eb93bp-6, -0x1.4922480f6b1f6p-8, -0x1.34b167f8b11ffp-7, -0x1.27af39a1b5c6ep-5}, 
        {0x1.ecccccccccccdp+1, 0x1.f333333333333p+1, 0x1.a634e953e360ep-6, -0x1.989d13832defbp-8, -0x1.e61a8a8ceafeep-7, -0x1.e9c567cb77315p-6}, 
        {0x1.f333333333333p+1, 0x1.f99999999999ap+1, 0x1.a06e1f43ffb64p-6, -0x1.044383687e55bp-7, -0x1.3c847b3e942cfp-6, -0x1.842c5c2a07abp-6}, 
        {0x1.f99999999999ap+1, 0x1p+2, 0x1.991571096ab5bp-6, -0x1.4963cb84ffed3p-7, -0x1.76be55de7bba2p-6, -0x1.1e93505ae87cdp-6}, 
        {0x1p+2, 0x1.0333333333333p+2, 0x1.8fe05725e8848p-6, -0x1.98a31c9e61473p-7, -0x1.a1bad51f51cc9p-6, -0x1.71f48ad72960dp-7}, 
        {0x1.0333333333333p+2, 0x1.0666666666666p+2, 0x1.8497cbd7d74d7p-6, -0x1.eef5313e93ddfp-7, -0x1.bd79f922a81a4p-6, -0x1.4d84dcad0ac15p-8}, 
        {0x1.0666666666666p+2, 0x1.099999999999ap+2, 0x1.77184b1a2f3dfp-6, -0x1.24a6e1f31434p-6, -0x1.c9fbc169254e3p-6, 0x1.237cab105c977p-10}, 
        {0x1.099999999999ap+2, 0x1.0cccccccccccdp+2, 0x1.6751d2a48285ap-6, -0x1.5250479c440dap-6, -0x1.c7402fce97a33p-6, 0x1.df43eb3314bdep-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1p+2, 0x1.5547e1eafd5b6p-6, -0x1.7ef0a6ab8c9e1p-6, -0x1.b5473d6313a8fp-6, 0x1.bad2fc9c8539ep-7}, 
        {0x1.1p+2, 0x1.1333333333333p+2, 0x1.41117a1e65f75p-6, -0x1.a901dd243ae1fp-6, -0x1.9411040a89ab2p-6, 0x1.430485f998c98p-6}, 
        {0x1.1333333333333p+2, 0x1.1666666666666p+2, 0x1.2ad91e2c1c95bp-6, -0x1.cefdc58036392p-6, -0x1.639d23251926bp-6, 0x1.a8962997bfdfdp-6}, 
        {0x1.1666666666666p+2, 0x1.199999999999ap+2, 0x1.12dcd2be1b77ap-6, -0x1.ef5e476c622dcp-6, -0x1.23ed034e55f88p-6, 0x1.07256ca054ad3p-5}, 
        {0x1.199999999999ap+2, 0x1.1cccccccccccdp+2, 0x1.f2dc3c75edc02p-7, -0x1.044e8ca98bcb2p-5, -0x1.a9f6c56fac534p-7, 0x1.39be5e65ec8afp-5}, 
        {0x1.1cccccccccccdp+2, 0x1.2p+2, 0x1.bde4118bba2eep-7, -0x1.0c9a54baeef7bp-5, -0x1.db6f7ffea334dp-8, 0x1.6d4b6261a26a2p-5}, 
        {0x1.2p+2, 0x1.2333333333333p+2, 0x1.87c2387d2cd4p-7, -0x1.0fce5bfe06308p-5, -0x1.28a84f7f02855p-11, 0x1.9d498393a7f53p-5}, 
        {0x1.2333333333333p+2, 0x1.2666666666666p+2, 0x1.518ec8830a4e9p-7, -0x1.0d2b82cf46743p-5, 0x1.cadcc727b606dp-8, 0x1.da8f1db62e7a4p-5}, 
        {0x1.2666666666666p+2, 0x1.299999999999ap+2, 0x1.1c88dc4f4b406p-7, -0x1.03dfff7517ab9p-5, 0x1.0115544d61d91p-6, 0x1.bf2f89150baccp-5}, 
        {0x1.299999999999ap+2, 0x1.2cccccccccccdp+2, 0x1.d423228548219p-8, -0x1.e7557844b0e5fp-6, 0x1.873d30a07ef55p-6, 0x1.4b293ecf66754p-5}, 
        {0x1.2cccccccccccdp+2, 0x1.3p+2, 0x1.76e9fd72b32e5p-8, -0x1.bb3e17955ed36p-6, 0x1.ea965d11ea7e9p-6, 0x1.c8de043b7e935p-6}, 
        {0x1.3p+2, 0x1.3333333333333p+2, 0x1.23665ab02bb68p-8, -0x1.86c1dee27e1bbp-6, 0x1.178f0873d1f09p-5, 0x1.e8545bd2f41c2p-7}, 
        {0x1.3333333333333p+2, 0x1.3666666666666p+2, 0x1.b5ec5905bf2b2p-9, -0x1.4d03aaee0eb9cp-6, 0x1.29deff1887e4cp-5, 0x1.0edd81526b5a5p-9}, 
        {0x1.3666666666666p+2, 0x1.399999999999ap+2, 0x1.3caa8c57acdf9p-9, -0x1.112fa926462acp-6, 0x1.2c6912b54db33p-5, -0x1.6591a5e30a2a4p-7}, 
        {0x1.399999999999ap+2, 0x1.3cccccccccccdp+2, 0x1.b6756f9fc6c8dp-10, -0x1.ace3d31991cdbp-7, 0x1.1f00694996ebp-5, -0x1.807a992d992d5p-6}, 
        {0x1.3cccccccccccdp+2, 0x1.4p+2, 0x1.21180bbfb257ep-10, -0x1.3fdb425293e54p-7, 0x1.022a6a995ea14p-5, -0x1.33d0a6c5ffe0dp-5}, 
        {0x1.4p+2, 0x1.4333333333333p+2, 0x1.69258bc2e0d7fp-11, -0x1.c3a6395f4cb9p-8, 0x1.a7fca32a8a192p-6, -0x1.528b0174ffb0ep-5}, 
        {0x1.4333333333333p+2, 0x1.4666666666666p+2, 0x1.a7652479d7da8p-12, -0x1.2e5dfd502f111p-8, 0x1.426c89210a313p-6, -0x1.1c7150b5d0674p-5}, 
        {0x1.4666666666666p+2, 0x1.499999999999ap+2, 0x1.c91384e2a494dp-13, -0x1.7ceda0d9318d2p-9, 0x1.da2eaea1ca8b8p-7, -0x1.e60675a3853c3p-6}, 
        {0x1.499999999999ap+2, 0x1.4cccccccccccdp+2, 0x1.b8da551b63773p-14, -0x1.b8d567f2a813ep-10, 0x1.485ff1bd88f78p-7, -0x1.8ca48687dad1bp-6}, 
        {0x1.4cccccccccccdp+2, 0x1.5p+2, 0x1.69258bc2e0dap-15, -0x1.c3763a32d27dep-11, 0x1.a2c392c3283e9p-8, -0x1.34026f04284d6p-6}, 
        {0x1.5p+2, 0x1.5333333333333p+2, 0x1.c91384e2a4a31p-17, -0x1.7cbef210ab24ap-12, 0x1.d3eaa04e2021cp-9, -0x1.bdcd78e84bb4bp-7}, 
        {0x1.5333333333333p+2, 0x1.5666666666666p+2, 0x1.69258bc2e13bfp-19, -0x1.c59f0827ad28ap-14, 0x1.90deaf857f063p-10, -0x1.ebc679f5abec4p-8}, 
        {0x1.5666666666666p+2, 0x1.599999999999ap+2, 0x1.69258bc2e4801p-23, -0x1.8240ab0cd6c26p-17, 0x1.a737ffc85f8p-12, -0x1.491bc3cd03a16p-7}, 
      }}, 
      0x1.35b802e6dbbf2p-3, -0x1.dd65d97e71b8cp-1
    }
  };
  // clang-format on
}
SkfData params_3ob_2_1_h_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{-0x1.470253900a7efp-6, -0x1.45b5ef515753ep-5, -0x1.e6c92f3ea33f8p-5, -0x1.428b3da5c8a4fp-4, -0x1.903bf0fe8c747p-4, -0x1.dbf3fb6810b2cp-4, -0x1.12e88c90feaaep-3, -0x1.36c7d0f4759ep-3, -0x1.597b91c16ba61p-3, -0x1.7b172cbd14031p-3, -0x1.9b5987ec41ed8p-3, -0x1.ba87505e88027p-3, -0x1.d8548e0f03011p-3, -0x1.f4e357518de02p-3, -0x1.081858101ae79p-2, -0x1.151ce7103fca3p-2, -0x1.217cb64c7df92p-2, -0x1.2d40fa8d04ee8p-2, -0x1.386b12631b591p-2, -0x1.42f50e6127adfp-2, -0x1.4ce3dca8842d3p-2, -0x1.5643c4da18cdp-2, -0x1.5f1905e7a2376p-2, -0x1.675eb85fcbd28p-2, -0x1.6f1243776fbdep-2, -0x1.763a5b90346efp-2, -0x1.7cedcba85c862p-2, -0x1.831e43533b5a8p-2, -0x1.88d2f1ee50412p-2, -0x1.8e100c85f5d63p-2, -0x1.92db04866ea4p-2, -0x1.9739099033ebcp-2, -0x1.9b2dee67190a8p-2, -0x1.9ebc6f6b84299p-2, -0x1.a1e7640ced2fp-2, -0x1.a4b2b5fe1d73fp-2, -0x1.a7236725d24cdp-2, -0x1.a93ed24c7f18ap-2, -0x1.ab09c7f5dbb43p-2, -0x1.ac88098a3e4ebp-2, -0x1.adbc5137f324cp-2, -0x1.aea8d10960d47p-2, -0x1.af4fdb7ce961p-2, -0x1.afb45f82b90fdp-2, -0x1.afda00f04da5fp-2, -0x1.afc4d9321ead9p-2, -0x1.af790db6f93c4p-2, -0x1.aefa71ec777fbp-2, -0x1.ae4c4bae5a8e4p-2, -0x1.ad714077bf1f7p-2, -0x1.ac6b66d23718cp-2, -0x1.ab3c6e3b58bfcp-2, -0x1.a9e5dfdd2e52ap-2, -0x1.a869501ec799ep-2, -0x1.a6bf03502c48ep-2, -0x1.a4fc3a1a6d92cp-2, -0x1.a31b72d162bd7p-2, -0x1.a11ec17305e48p-2, -0x1.9f07fc7f100ap-2, -0x1.9cd8bc25ce6e8p-2, -0x1.9a926a43eb60fp-2, -0x1.983653d5fa023p-2, -0x1.95c5baff9855p-2, -0x1.9341e58c728ffp-2, -0x1.90ac1fc10733p-2, -0x1.8e05c407d2c5fp-2, -0x1.8b502e74f4bc5p-2, -0x1.888cb8d6beef2p-2, -0x1.85bcb1f7cbcdp-2, -0x1.82e156a47037bp-2, -0x1.7ffbcc27954b9p-2, -0x1.7d0d1cdcce7adp-2, -0x1.7a1635f723b72p-2, -0x1.7717e71f23b35p-2, -0x1.7412e7ce95feap-2, -0x1.7107d2cbeef78p-2, -0x1.6df734215a67bp-2, -0x1.6ae18acbdf928p-2, -0x1.67c74fe3f14f1p-2, -0x1.64a8fbe78f93cp-2, -0x1.61870a47e582dp-2, -0x1.5e61faceb6c5ep-2, -0x1.5b3a50e8a504dp-2, -0x1.581091bd75fecp-2, -0x1.54e53eba42a4bp-2, -0x1.51b8d69f0e905p-2, -0x1.4e8bce3bf11a1p-2, -0x1.4b5e90dedcdd2p-2, -0x1.48317f30a0ba1p-2, -0x1.4504ef9729253p-2, -0x1.41d92f5971094p-2, -0x1.3eae84441c82ep-2, -0x1.3b852db1e9cf5p-2, -0x1.385d66dd4f701p-2, -0x1.353766acfad36p-2, -0x1.321360a146913p-2, -0x1.2ef184c4c9e4bp-2, -0x1.2bd1ff0cee524p-2, -0x1.28b4f7c24b259p-2, -0x1.259a927ac676p-2, -0x1.2282ee951c6cep-2, -0x1.1f6e272a513ebp-2, -0x1.1c5c53b46a73dp-2, -0x1.194d88bb352e5p-2, -0x1.1641d8ce64e25p-2, -0x1.133954fb5e1ap-2, -0x1.10340eaeee5d5p-2, -0x1.0d321786ae891p-2, -0x1.0a338261a3d93p-2, -0x1.0738638f89f8fp-2, -0x1.043d2086ebc9ep-2, -0x1.01497590e557cp-2, -0x1.fcb354a4a3db1p-3, -0x1.f6dba5e7fa145p-3, -0x1.f10c042358662p-3, -0x1.eb449331b902dp-3, -0x1.e585733664ceap-3, -0x1.dfcec19144dfap-3, -0x1.da20989014a68p-3, -0x1.d47b0f8fbc4d1p-3, -0x1.cede3b2335e35p-3, -0x1.c94a306f41c71p-3, -0x1.c3bef65b196c3p-3, -0x1.be3ca47d55a04p-3, -0x1.b8c3451918245p-3, -0x1.b352e4dd67ad6p-3, -0x1.adeb9046bb7d1p-3, -0x1.a88d53f12c83dp-3, -0x1.a3383cf3294e3p-3, -0x1.9dec59101efa8p-3, -0x1.98a9b6c67fc95p-3, -0x1.937065309124ap-3, -0x1.8e407471baa28p-3, -0x1.8919f4c971db9p-3, -0x1.83fcf7161b9dap-3, -0x1.7ee98c6dc2dd7p-3, -0x1.79dfc508bc034p-3, -0x1.74dfb1c1c151dp-3, -0x1.6fe96242ac6eep-3, -0x1.6afce57b4909ap-3, -0x1.661a4965ee2abp-3, -0x1.61419ae1805d7p-3, -0x1.5c72e595a7682p-3, -0x1.57ae33d3ffb84p-3, -0x1.52f38ef3dfde9p-3, -0x1.4e42fec6aaaebp-3, -0x1.499c8a1391e49p-3, -0x1.45003699b1582p-3, -0x1.406e092ac5123p-3, -0x1.3be605b2f6e44p-3, -0x1.37682f994ae27p-3, -0x1.32f48972d884cp-3, -0x1.2e8b15774e341p-3, -0x1.2a2bd596b219p-3, -0x1.25d6cb39c5053p-3, -0x1.218bf78f83ccbp-3, -0x1.1d4b5c5b2a01ap-3, -0x1.1914fc3027235p-3, -0x1.14e8d17726967p-3, -0x1.10c6e359be952p-3, -0x1.0caf3095324ccp-3, -0x1.08a1b9464877cp-3, -0x1.049e7dc3daf87p-3, -0x1.00a57e1d2fabfp-3, -0x1.f96d75ef1950fp-4, -0x1.f1a462a108d3dp-4, -0x1.e9efc5eb0c23ap-4, -0x1.e24f9bf6ab495p-4, -0x1.dac3e1c7474adp-4, -0x1.d34c93ba13c1ap-4, -0x1.cbe9ad3f8028fp-4, -0x1.c49b28c14189fp-4, -0x1.bd60ffd71785ep-4, -0x1.b63b2b1803934p-4, -0x1.af29a1e3bfd5bp-4, -0x1.a82c5aa282e74p-4, -0x1.a1434ae7f179bp-4, -0x1.9a6e66e3afec8p-4, -0x1.93ada1d01a4e4p-4, -0x1.8d00ed2ffbbb2p-4, -0x1.86683aaac2efbp-4, -0x1.7fe37f2222006p-4, -0x1.79729abf3d5c3p-4, -0x1.73158a4c7d68fp-4, -0x1.6ccc34f2b166dp-4, -0x1.6696884086af2p-4, -0x1.60746e3dbba8ep-4, -0x1.5a65d1ca601e6p-4, -0x1.546a9c5f2746p-4, -0x1.4e82b6b3d1e02p-4, -0x1.48ae08d05594p-4, -0x1.42ec7a1298a6dp-4, -0x1.3d3df123468c9p-4, -0x1.37a2542d85b79p-4, -0x1.321988933fa4cp-4, -0x1.2ca3726549ae8p-4, -0x1.273ff86dae0cfp-4, -0x1.21eefcbc741bfp-4, -0x1.1cb062f8654cfp-4, -0x1.17840e584557ap-4, -0x1.1269da040e27bp-4, -0x1.0d61be42aa097p-4, -0x1.086b8685acc08p-4, -0x1.03871c57d3a31p-4, -0x1.fd68bfe97f334p-5, -0x1.f3e665a39e0d6p-5, -0x1.ea86e756d6f09p-5, -0x1.e14a077f5a6f4p-5, -0x1.d82f85643db54p-5, -0x1.cf371efa603a3p-5, -0x1.c660925cc73c4p-5, -0x1.bdab9b71690edp-5, -0x1.b517f856f81e7p-5, -0x1.aca572da59becp-5, -0x1.a4539a7fa5b3dp-5, -0x1.9c2251852fe89p-5, -0x1.94114eaae9d6ep-5, -0x1.8c203faee817cp-5, -0x1.844ee0e22a958p-5, -0x1.7c9cea31f6c3bp-5, -0x1.750a12f413c2bp-5, -0x1.6d961081643ap-5, -0x1.6685795b4c21ap-5, -0x1.5f4c3f129cbe6p-5, -0x1.5830b41effd05p-5, -0x1.51328cb3a4c09p-5, -0x1.4a5182bcadac9p-5, -0x1.438d20ecb81afp-5, -0x1.3ce576b3a8cbbp-5, -0x1.3659e7e87ef48p-5, -0x1.2fea418c71b49p-5, -0x1.299637e95244ap-5, -0x1.235d7ed78f762p-5, -0x1.1d3fc83a2916cp-5, -0x1.173ccac78ab35p-5, -0x1.11543a2a55ec2p-5, -0x1.0b85c820d7faap-5, -0x1.05d12a1a960a2p-5, -0x1.00361e2cfb954p-5, -0x1.f56874916fbc4p-6, -0x1.ea96a0e0666d5p-6, -0x1.dff6144d7cea6p-6, -0x1.d5862df4b99cap-6, -0x1.cb4675f559259p-6, -0x1.c1362ae5030aep-6, -0x1.b754dedaa392ep-6, -0x1.ada1dc731fb69p-6, -0x1.a41c99b96cbb2p-6, -0x1.9ac478b08045ep-6, -0x1.9198e9952ac5cp-6, -0x1.889958c0c38d6p-6, -0x1.7fc5217e1595p-6, -0x1.771bcaf1c51fap-6, -0x1.6e9ca75ca193bp-6, -0x1.66472990d7fb4p-6, -0x1.5e1abf40488c3p-6, -0x1.5616d2b12e38bp-6, -0x1.4e3ad12a6979ep-6, -0x1.468627fcd693bp-6, -0x1.3ef84b042ac53p-6, -0x1.379094e2bad67p-6, -0x1.304e8732fe483p-6, -0x1.29318bcc7dda5p-6, -0x1.223912066d905p-6, -0x1.1b648a5de377ep-6, -0x1.14b36607ea7e7p-6, -0x1.0e2517cd9895ep-6, -0x1.07b90e1faeb69p-6, -0x1.016ec31353665p-6, -0x1.f68b4e9dc95a4p-7, -0x1.ea7a5f31a7c36p-7, -0x1.dea9a5bf62076p-7, -0x1.d318105d8e073p-7, -0x1.c7c46dd2bd492p-7, -0x1.bcae141de70d6p-7, -0x1.b1d39044bd078p-7, -0x1.a73404f13c0fdp-7, -0x1.9cce6152a1ec9p-7, -0x1.92a1a6011c18ep-7, -0x1.88acced586bbbp-7, -0x1.7eeea5c795f8ep-7, -0x1.7566d185960d4p-7, -0x1.6c13ae1c83492p-7, -0x1.62f49557cfb08p-7, -0x1.5a08782398a0dp-7, -0x1.514e734a3c108p-7, -0x1.48c5943668811p-7, -0x1.406cef73ae3e1p-7, -0x1.3843a10057182p-7, -0x1.3048c3c5012eep-7, -0x1.287b774c20c6p-7, -0x1.20dadfe4b25a7p-7, -0x1.19661bad2a34ep-7, -0x1.121c595bfb5a7p-7, -0x1.0afcd18d1e7dap-7, -0x1.0406936201564p-7, -0x1.fa71e13f49033p-8, -0x1.ed262b9a8c393p-8, -0x1.e02879bb1f211p-8, -0x1.d37746363f2dfp-8, -0x1.c7111243d0bdp-8, -0x1.baf465bcdedeap-8, -0x1.af1fd095ba95p-8, -0x1.a3924f94e5bf7p-8, -0x1.98493c8e7fa84p-8, -0x1.8d447cceb2784p-8, -0x1.82823aa3570a7p-8, -0x1.780154a2f2eaep-8, -0x1.6dc04e005eb1ap-8, -0x1.63bdf1b8fe661p-8, -0x1.59f8fe5c8a42ep-8, -0x1.507038fbda688p-8, -0x1.47226d38eb64p-8, -0x1.3e0e5e3f35552p-8, -0x1.353303299b953p-8, -0x1.2c8f140012157p-8, -0x1.24217ed83c5d3p-8, -0x1.1be926fb07183p-8, -0x1.13e4f6010820dp-8, -0x1.0c13da5e5d4b7p-8, -0x1.0474c7a7d7fd9p-8, -0x1.fa0d15e1888adp-9, -0x1.eb914f178127p-9, -0x1.dd730694d495bp-9, -0x1.cfb0d093b4d3fp-9, -0x1.c248b07fbb7adp-9, -0x1.b538b8f17a8f8p-9, -0x1.a87f207f891b6p-9, -0x1.9c19f81f2ee8ap-9, -0x1.9006f2ef4ee95p-9, -0x1.8445e437d2f9dp-9, -0x1.78d36a2fdaf6ap-9, -0x1.6dae5e3971f6cp-9, -0x1.62d50b2e7eaa5p-9, -0x1.5845c5fcba108p-9, -0x1.4dfec05098f3ap-9, -0x1.43ff452ea8362p-9, -0x1.3a42e1817e273p-9, -0x1.30ccc7705909cp-9, -0x1.2797ca202bc9dp-9, -0x1.1ea353f9d2d3bp-9, -0x1.15edfe8ffb379p-9, -0x1.0d764fd9066b4p-9, -0x1.053ad77cfd8d6p-9, -0x1.fa746470cf86dp-10, -0x1.eae5fa15e8412p-10, -0x1.dbc7939fe248cp-10, -0x1.cd168f399e86ep-10, -0x1.bed06316b5955p-10, -0x1.b0f264eebaf85p-10, -0x1.a37a0f1e1a4aap-10, -0x1.96651c3ee48e3p-10, -0x1.89b01dc19c77fp-10, -0x1.7d5a354bbc727p-10, -0x1.715fdd7cb1662p-10, -0x1.65bf2c7baf6c9p-10, -0x1.5a75cdb1a0602p-10, -0x1.4f81964271832p-10, -0x1.44e03294f2e38p-10, -0x1.3a8f8a975844ep-10, -0x1.308db4e8c74bcp-10, -0x1.26d85a74b703fp-10, -0x1.1d6d9d5116325p-10, -0x1.144b8081afd23p-10, -0x1.0b701938b9bc1p-10, -0x1.02da8be2505c1p-10, -0x1.f50b6011adc63p-11, -0x1.e4e5fd7017053p-11, -0x1.d53f6f9be90a6p-11, -0x1.c61414876500cp-11, -0x1.b7608ab69efa5p-11, -0x1.a921800f60ccep-11, -0x1.9b53c6c0a9249p-11, -0x1.8df402eae70dp-11, -0x1.80ff4eabdbe8ep-11, -0x1.74729318ffe4bp-11, -0x1.684838e370993p-11, -0x1.5c8535b645abfp-11, -0x1.511ed6ccf99bp-11, -0x1.4616c2aade138p-11, -0x1.3b654163dd1e8p-11, -0x1.310cb15d58d9dp-11, -0x1.2704d6781a173p-11, -0x1.1d573490d6dcp-11, -0x1.13f51b881ff07p-11, -0x1.0adecc08369b3p-11, -0x1.0216e9bc09812p-11, -0x1.f32bdafab9e06p-12, -0x1.e2b93bf317123p-12, -0x1.d2c9cba5e7386p-12, -0x1.c3687bf8c69c2p-12, -0x1.b4836939d9fc7p-12, -0x1.a61b28bf193a9p-12, -0x1.982becf3a9a84p-12, -0x1.8ab1f23743b7dp-12, -0x1.7da9943c71946p-12, -0x1.711207bbcce4cp-12, -0x1.64df9aabe2bf8p-12, -0x1.591747c01bbfbp-12, -0x1.4db2e2a9e3f0fp-12, -0x1.42af4e8cd9ee2p-12, -0x1.38096efb2796ep-12, -0x1.2dbe548306f41p-12, -0x1.23cad06166bd6p-12, -0x1.1a2d6e2f7fdc8p-12, -0x1.10e0e03a1ce41p-12, -0x1.07e30f140ee69p-12, -0x1.fe5a492267ddep-13, -0x1.ed9d740a0a2d1p-13, -0x1.dd629eb56f427p-13, -0x1.cdb1e1a8e7cd2p-13, -0x1.be894f056c19bp-13, -0x1.afe2860aab0aep-13, -0x1.a1ac7586899f8p-13, -0x1.9407a379a6685p-13, -0x1.86cc408145cfp-13, -0x1.7a023effd4ae4p-13, -0x1.6da5a48914d64p-13, -0x1.61b2af910f57dp-13, -0x1.5625bf34c7bf9p-13, -0x1.4afb61403d8dbp-13, -0x1.402daa4950368p-13, -0x1.35c0a206a331ep-13, -0x1.2bb147c7f9de5p-13, -0x1.21dcbd08eb1e2p-13, -0x1.18785823939adp-13, -0x1.0f58e808cb636p-13, -0x1.06861a67c9503p-13, -0x1.fbfa6e5caae4ep-14, -0x1.eb77936db2161p-14, -0x1.db7e57698831cp-14, -0x1.cc0a51e478478p-14, -0x1.bd0f75e728ab4p-14, -0x1.ae9bebdb219cdp-14, -0x1.a099495022a22p-14, -0x1.93095d4e7bfe7p-14, -0x1.85e7cf0fa1694p-14, -0x1.7930a2c7af538p-14, -0x1.6cdffcafdf6efp-14, -0x1.60f327e6de44cp-14, -0x1.555ef429b95b5p-14, -0x1.4a34ef0f13ef9p-14, -0x1.3f55a541d54ccp-14, -0x1.34cf29134a53ep-14, -0x1.2a9ad52ee82d1p-14, -0x1.20b536f06b417p-14, -0x1.1724dfdfcdc8cp-14, -0x1.0dd42ee3a735fp-14, -0x1.04c858648945cp-14, -0x1.f806fdff5b20fp-15, -0x1.e6fc04c25667ep-15, -0x1.d66f270d616f5p-15, -0x1.c65b63c9fc256p-15, -0x1.b6bcb7b1fca69p-15, -0x1.a7997b82ecaebp-15, -0x1.98d162d03ada5p-15, -0x1.8a6f28208444fp-15, -0x1.7c76ff230411cp-15, -0x1.6f0194947edb8p-15, -0x1.61a9ed14596cap-15, -0x1.54cb881cab238p-15, -0x1.483e40f174c39p-15, -0x1.3c0e00c6aafffp-15, -0x1.3028d525e1695p-15, -0x1.2484cea32d3bap-15, -0x1.193b936fa021cp-15, -0x1.0e3ea5efd13a8p-15, -0x1.037f95dc05ec9p-15, -0x1.f1e72212d46fp-16, -0x1.dd88adc866014p-16, -0x1.c99b3de1d7a68p-16, -0x1.b60ec736090c3p-16, -0x1.a2f19ae865c7dp-16, -0x1.906637288ef4bp-16, -0x1.7e335e242e76p-16, -0x1.6c6c18a3d18b9p-16, -0x1.5b0b21452a49ap-16, -0x1.4a0a6ed60132dp-16, -0x1.396d78de77754p-16, -0x1.293361e47df21p-16, -0x1.194327e45206ap-16, -0x1.09acf75585614p-16, -0x1.f4e201fef04ecp-17, -0x1.d70a791f9d307p-17, -0x1.b9ddc99acd87p-17, -0x1.9d34068dc0991p-17, -0x1.81308f2492f03p-17, -0x1.65bc196e3bfe3p-17, -0x1.4ad1913326238p-17, -0x1.30c884f455ba3p-17, -0x1.16a6ca63383cdp-17, -0x1.fba31b3748246p-18, -0x1.c8f22fdff86b4p-18, -0x1.969b29215a69cp-18, -0x1.6894ac58326p-18, -0x1.39d71a848d925p-18, -0x1.0b2e68f0e2248p-18, -0x1.bdd19a207e93ap-19, -0x1.6619ac7d6f088p-19, -0x1.0fbcf065dd321p-19, -0x1.761a30b8f590cp-20, -0x1.a02a48bd69737p-21, -0x1.6a88c8eb1e4bp-23, 0x1.c87f1aaa3d70dp-22, 0x1.0e9b886c001ebp-20, 0x1.a7d34021c5516p-20, 0x1.1f11b18746331p-19, 0x1.68ab237bfd15p-19, 0x1.b0c920d5393d3p-19, 0x1.f77916c802c11p-19, 0x1.1eda18de019e5p-18, 0x1.4037d8a0f90cep-18, 0x1.616e0e6229e54p-18, 0x1.81ec4736c8bf6p-18, 0x1.a1b963155064bp-18, 0x1.c0dada1cec061p-18, 0x1.e0313a1053652p-18, 0x1.fd0799420cfaap-18, 0x1.0d15c88413eefp-17, 0x1.1b518144a6b34p-17, 0x1.293990ba9c933p-17, 0x1.36cf94fa1c8dfp-17, 0x1.441006e201fadp-17, 0x1.510772af01effp-17, 0x1.5da906b638dbcp-17, 0x1.69fc1a3db0363p-17, 0x1.760095e5862a3p-17, 0x1.81c4ef2eb593fp-17, 0x1.8de04dc4f6fafp-17, 0x1.98408fcb70aa6p-17, 0x1.a3043b0eed2a1p-17, 0x1.ad8d453d3bf8bp-17, 0x1.b808514140f8bp-17, 0x1.c19aa1cb8a484p-17, 0x1.cb3e2cf4424dcp-17, 0x1.d49c9179f1e71p-17, 0x1.dd5c1d5df76e5p-17, 0x1.e664d01fef6c9p-17, 0x1.eee5ff0433eabp-17, 0x1.f7186f3365a3ap-17, 0x1.fefd355a8c00bp-17, 0x1.0327bca91134cp-16, 0x1.0700f0cb7d98p-16, 0x1.0a8ae1cb618p-16, 0x1.0df2959914e44p-16, 0x1.112842b519458p-16, 0x1.146b251de7ecp-16, 0x1.178ceaceb990dp-16, 0x1.1a387ed05eff7p-16, 0x1.1cf745072f104p-16, 0x1.1f934571ac8e8p-16, 0x1.220e2fd60f68fp-16, 0x1.245ffab1461dbp-16, 0x1.26ad32024613dp-16, 0x1.28baa4257f0e6p-16, 0x1.2ab2dd9bf486ep-16, 0x1.2c89dd166c559p-16, 0x1.2e445f8ca6f4dp-16, 0x1.2fdea15f7cb5bp-16, 0x1.315cce1742337p-16, 0x1.32fd4dd2b5298p-16, 0x1.33e7e9f3c3b72p-16, 0x1.34e9d417e7f6cp-16, 0x1.36155a50580c7p-16, 0x1.36f8ed1394368p-16, 0x1.37beca97f0a7ap-16, 0x1.386c71597a8c3p-16, 0x1.38fa7925d43bep-16, 0x1.396ce258d7ef9p-16, 0x1.39deee2651626p-16, 0x1.39fbbcd0d17dp-16, 0x1.3a1ba2ea834ap-16, 0x1.3a1f4e5c346f4p-16, 0x1.39f84ef4f86edp-16, 0x1.39d98331bfbdcp-16, 0x1.398e78b4ca91bp-16, 0x1.3928f4450813fp-16, 0x1.38adc5e0954bbp-16, 0x1.380089e00f92bp-16, 0x1.379b75ba5813bp-16, 0x1.36978eb292be8p-16, 0x1.35a9ec8893951p-16, 0x1.34c4175c408b5p-16, 0x1.33bf22283de1cp-16, 0x1.329b1d546e3c3p-16, 0x1.31618414d3996p-16, 0x1.301177bf23671p-16, 0x1.2ea6f419fdac3p-16, 0x1.2d30e05dc52eep-16, 0x1.2ba58d0561e96p-16, 0x1.2a26fc3eb2d26p-16, 0x1.2846b83d2c871p-16, 0x1.2679e86aa3e69p-16, 0x1.249a34bd889c8p-16, 0x1.22a4cf77046a9p-16, 0x1.2081e93fb4d76p-16, 0x1.1e88963c27259p-16, 0x1.1c66b022063d5p-16, 0x1.1a4c8a04d34e3p-16, 0x1.17e268f6c8961p-16, }}, 
      {{0x1.7371cf626f902p-2, 0x1.7694d65916ea3p-2, 0x1.7b65dd72a4d0cp-2, 0x1.819135a52071dp-2, 0x1.88d5e1362e5a8p-2, 0x1.90fe7e8004933p-2, 0x1.99cffb4a1d6b3p-2, 0x1.a320b89bcf617p-2, 0x1.accd2e1525419p-2, 0x1.b6ab7702ff008p-2, 0x1.c0ad30e9fc8e5p-2, 0x1.caa6e235cc611p-2, 0x1.d494033699e38p-2, 0x1.de5a7381a3071p-2, 0x1.e7eb339750ed1p-2, 0x1.f139c3a714e0ep-2, 0x1.fa3db937e2bd6p-2, 0x1.017532ffd6716p-1, 0x1.059c18cfc3bfap-1, 0x1.0992d5d7b4ec9p-1, 0x1.0d56f0845e986p-1, 0x1.10e456d68cac6p-1, 0x1.143932efff639p-1, 0x1.17569bdc8cacdp-1, 0x1.1a3dd0484ad76p-1, 0x1.1cee255adc76ap-1, 0x1.1f631f4a4b995p-1, 0x1.21a0d612e5a6bp-1, 0x1.23a75a9bd8253p-1, 0x1.25776ead03e34p-1, 0x1.2711abbc0a3f5p-1, 0x1.2876d4bbdefbcp-1, 0x1.29a82021e8474p-1, 0x1.2aa72d68301d9p-1, 0x1.2b75b7ef9be0ap-1, 0x1.2c154d9f5c8b1p-1, 0x1.2c873aa6c5ffap-1, 0x1.2cccac266f088p-1, 0x1.2ce6e8f5d02b8p-1, 0x1.2cd77820ed811p-1, 0x1.2ca01f9f5ac0dp-1, 0x1.2c42c3cf515d5p-1, 0x1.2bc13f3ef849cp-1, 0x1.2b1d456f117a8p-1, 0x1.2a5856c7200d5p-1, 0x1.2973c675344b7p-1, 0x1.2870ccfcddd1cp-1, 0x1.2750a0cbe9c5ep-1, 0x1.261489c71d606p-1, 0x1.24bde96ef797bp-1, 0x1.234e377dec35dp-1, 0x1.21c6f57807033p-1, 0x1.2029a1fedb832p-1, 0x1.1e77aaa96ad77p-1, 0x1.1cb4958a0ccf1p-1, 0x1.1add53451f2dbp-1, 0x1.18f4972f81afap-1, 0x1.16fb6c65a0ba8p-1, 0x1.14f2de7be38fbp-1, 0x1.12dbf8139b7fep-1, 0x1.10b7c061837e8p-1, 0x1.0e8737848de5cp-1, 0x1.0c4b534bb0e8cp-1, 0x1.0a04fccefa32cp-1, 0x1.07b50dfd61cdfp-1, 0x1.055c524b3b05ap-1, 0x1.02fb85bb3af6bp-1, 0x1.0093572b4d67bp-1, 0x1.fc48d5a4be5ddp-2, 0x1.f75eba8e21b1fp-2, 0x1.f2698c1ffe3a6p-2, 0x1.ed6a72e92e1a7p-2, 0x1.e86291b63538fp-2, 0x1.e35304cde3fc4p-2, 0x1.de3ce0ad517eap-2, 0x1.d9212e8a85f97p-2, 0x1.d400ecd1178f9p-2, 0x1.cedd0dc7ccd8ep-2, 0x1.c9b678017502fp-2, 0x1.c48e06d767358p-2, 0x1.bf648ac1a0975p-2, 0x1.ba3ac940ed11fp-2, 0x1.b5117c55d9765p-2, 0x1.afe951cb92011p-2, 0x1.aac2e9ff2fbffp-2, 0x1.a59ed8773295dp-2, 0x1.a07da33fef6d9p-2, 0x1.9b5fc47d81cddp-2, 0x1.9645ac24e8169p-2, 0x1.912fc251300acp-2, 0x1.8c1e69ca6ff7ap-2, 0x1.87120272dff64p-2, 0x1.820aeac973293p-2, 0x1.7d0981a98245fp-2, 0x1.780e25e18c44cp-2, 0x1.731935fa4cf84p-2, 0x1.6e2b0ef7ebdd1p-2, 0x1.69440ac5a6517p-2, 0x1.64647eb2ef17dp-2, 0x1.5f8cb9f87a3abp-2, 0x1.5abd04c7758c9p-2, 0x1.55f59fcbd96dp-2, 0x1.5136c43c5d4p-2, 0x1.4c80a45ca3de6p-2, 0x1.47d36c68356cdp-2, 0x1.432f43608d87bp-2, 0x1.3e944cba6686dp-2, 0x1.3a02a8e380a3ap-2, 0x1.357a766dc451cp-2, 0x1.30fbd2aa47238p-2, 0x1.2c878c8fb89fp-2, 0x1.281c4a7a66e98p-2, 0x1.23baec23522c3p-2, 0x1.1f6389c7538a8p-2, 0x1.1b163a49931adp-2, 0x1.16d31303dbc26p-2, 0x1.129a27e204bb4p-2, 0x1.0e6b8b3c96075p-2, 0x1.0a474dad112adp-2, 0x1.062d7dfa70f3dp-2, 0x1.021e28fc31ee4p-2, 0x1.fc32b37ebe6f3p-3, 0x1.f43e3129ed23p-3, 0x1.ec5eda1273e6fp-3, 0x1.e494b8340f154p-3, 0x1.dcdfd2a5b80fep-3, 0x1.d5402d980b5aep-3, 0x1.cdb5cabaad003p-3, 0x1.c640a99bce947p-3, 0x1.bee0c8037ed5p-3, 0x1.b796224155396p-3, 0x1.b060b34050bbp-3, 0x1.a94074e043aa8p-3, 0x1.a2356007a637ep-3, 0x1.9b3f6be5c46ebp-3, 0x1.945e8f9610d9cp-3, 0x1.8d92c0ec342afp-3, 0x1.86dbf2ec64533p-3, 0x1.803a18a8cb5b7p-3, 0x1.79ad2343d3829p-3, 0x1.7335024e0b718p-3, 0x1.6cd1a3b9dcbfcp-3, 0x1.6682f3d683528p-3, 0x1.6048dd5ce4766p-3, 0x1.5a234964812b9p-3, 0x1.54121f96c7fdap-3, 0x1.4e15463cbf38ap-3, 0x1.482ca244c6418p-3, 0x1.425817852aa7bp-3, 0x1.3c9788cd8cba5p-3, 0x1.36ead7cc3b0a6p-3, 0x1.3151e5a8bbb9ep-3, 0x1.2bcc92a6b4593p-3, 0x1.265abe7891c8ep-3, 0x1.20fc47ef51beep-3, 0x1.1bb10d8d877f8p-3, 0x1.1678ede641cb8p-3, 0x1.1153c745372eap-3, 0x1.0c41727a12936p-3, 0x1.0741d0648b277p-3, 0x1.0254bb9f47cdap-3, 0x1.faf41f5499b2dp-4, 0x1.f1634f16bfc19p-4, 0x1.e7f6bb90c351p-4, 0x1.deae17fcc143bp-4, 0x1.d58919fce86ebp-4, 0x1.cc87713528fd1p-4, 0x1.c3a8cfb7a0feap-4, 0x1.baece62dda8d9p-4, 0x1.b25363797ef67p-4, 0x1.a9dbf72c38a14p-4, 0x1.a1864f541c45cp-4, 0x1.99521983cf85fp-4, 0x1.913f02ebfb243p-4, 0x1.894cb7dbfb604p-4, 0x1.817ae4a0a86d4p-4, 0x1.79c9353b2cbfp-4, 0x1.7237552679e7cp-4, 0x1.6ac4efb557319p-4, 0x1.6371af98bfa09p-4, 0x1.5c3d403ccd0a6p-4, 0x1.55274e8b1fda8p-4, 0x1.4e2f7e4b60302p-4, 0x1.4755811d48273p-4, 0x1.4098fef73b105p-4, 0x1.39f9a299458cdp-4, 0x1.3377166e5770cp-4, 0x1.2d1105190b771p-4, 0x1.26c7190a42a61p-4, 0x1.2098fcde326abp-4, 0x1.1a865b3bc189fp-4, 0x1.148edee2b2c21p-4, 0x1.0eb23290f8082p-4, 0x1.08f0017861269p-4, 0x1.0347f6869193bp-4, 0x1.fb7377ccc98ep-5, 0x1.f089ffec994d7p-5, 0x1.e5d2d8864208ap-5, 0x1.db4d5a547af39p-5, 0x1.d0f8de4d7f25ep-5, 0x1.c6d4b3985d5e2p-5, 0x1.bce0525ba1141p-5, 0x1.b31af725e8b97p-5, 0x1.a98407dff3913p-5, 0x1.a01ae0b0f01fep-5, 0x1.96dedf819ec15p-5, 0x1.8dcf614cad18bp-5, 0x1.84ebc6989460dp-5, 0x1.7c336f71f73c6p-5, 0x1.73a5bd4523f73p-5, 0x1.6b42129991775p-5, 0x1.6307d2a2544e3p-5, 0x1.5af662a63f46fp-5, 0x1.530d2bbb56207p-5, 0x1.4b4b8a68a7497p-5, 0x1.43b0f0c5b5162p-5, 0x1.3c3cc6e85e824p-5, 0x1.34ee7520ac363p-5, 0x1.2dc567f572d78p-5, 0x1.26c10c55026ap-5, 0x1.1fe0d09c2341ep-5, 0x1.1924231207febp-5, 0x1.12ad643dc35cbp-5, 0x1.0c34f1710a2d7p-5, 0x1.05de412486651p-5, 0x1.ff518f4ed0734p-6, 0x1.f327f0605cf8p-6, 0x1.e73e93fc8629dp-6, 0x1.db948b4b7e6e4p-6, 0x1.d028a02fa5ffep-6, 0x1.c4f9d9b1ea85ep-6, 0x1.ba0732526914dp-6, 0x1.af4fa5d2390acp-6, 0x1.a4d233d628ce9p-6, 0x1.9a8ddfb766e8ap-6, 0x1.9081af1385f6dp-6, 0x1.86aca97beae49p-6, 0x1.7d0dd9f49651ap-6, 0x1.73a451430809ap-6, 0x1.6a6f194a08ca8p-6, 0x1.616d4c8dee5b4p-6, 0x1.589dfe8ff76dp-6, 0x1.50003eb5856f1p-6, 0x1.479347989657ap-6, 0x1.3f5613cb07a54p-6, 0x1.3747dfc39de46p-6, 0x1.2f67bf0e973a7p-6, 0x1.27b4de9392e0ep-6, 0x1.202e66ea62a26p-6, 0x1.18d3852278be5p-6, 0x1.11a369e407868p-6, 0x1.0a9d404bedb24p-6, 0x1.03c049ae5e079p-6, 0x1.fa176364b1e29p-7, 0x1.ecfd6bdae917ap-7, 0x1.e0312411e4655p-7, 0x1.d3b10afd0107bp-7, 0x1.c77ba337094a2p-7, 0x1.bb8f74f0e1868p-7, 0x1.afeb10e55a44cp-7, 0x1.a48cfe6b5d74ep-7, 0x1.9973dffcc8726p-7, 0x1.8e9e4dfa98a15p-7, 0x1.840aea373dc31p-7, 0x1.79b85b47508ap-7, 0x1.6fa54c762071fp-7, 0x1.65d06e8757b77p-7, 0x1.5c3875f8ebc25p-7, 0x1.52dc1b4e9e08ap-7, 0x1.49ba251b27279p-7, 0x1.40d14f8b4bf36p-7, 0x1.382066c08863ap-7, 0x1.2fa6385a061cep-7, 0x1.2761960e8539dp-7, 0x1.1f515a46ad253p-7, 0x1.17745cb800a6bp-7, 0x1.0fc985544a062p-7, 0x1.084fb4216d3acp-7, 0x1.0105d5c4d0072p-7, 0x1.f3d5b5d2bcdb4p-8, 0x1.e5fb345f8d6a8p-8, 0x1.d87ac228793e8p-8, 0x1.cb51b61c0ae46p-8, 0x1.be7e41c4edfcdp-8, 0x1.b1fe807a88be4p-8, 0x1.a5d083f391273p-8, 0x1.99f26e29c2274p-8, 0x1.8e626604d0ae1p-8, 0x1.831ea0dffcbf1p-8, 0x1.782559c7564b6p-8, 0x1.6d74d58bdae6bp-8, 0x1.630b623cdd948p-8, 0x1.58e752b314b41p-8, 0x1.4f070a4a95308p-8, 0x1.4568f09a89225p-8, 0x1.3c0b6b22bbae9p-8, 0x1.32ecff97b0d0ep-8, 0x1.2a0c294d1e2d9p-8, 0x1.216770dcdfb1p-8, 0x1.18fd66e3daf3ep-8, 0x1.10cca3e0ca1ffp-8, 0x1.08d3c81551fc7p-8, 0x1.01117bb0094fcp-8, 0x1.f308cc6f34186p-9, 0x1.e456a8a61520dp-9, 0x1.d609df5ae5ac6p-9, 0x1.c81feb5494612p-9, 0x1.ba96afdfae287p-9, 0x1.ad6b89ebbbc57p-9, 0x1.a09c468d600c4p-9, 0x1.9426a4bb24711p-9, 0x1.8808716a7ff74p-9, 0x1.7c3f8713c61e5p-9, 0x1.70c9cb0d95326p-9, 0x1.65a528cd8c91ap-9, 0x1.5acfa99c1cddp-9, 0x1.50474f35e28dbp-9, 0x1.460a2f58bcffdp-9, 0x1.3c166956f24c2p-9, 0x1.326a273859828p-9, 0x1.29039dd0f1496p-9, 0x1.1fe0e5c4e6effp-9, 0x1.1700c3ba4e862p-9, 0x1.0e60f4ea96ccfp-9, 0x1.0600246b18bd8p-9, 0x1.fbb94e1d13p-10, 0x1.ebe9c7deca13dp-10, 0x1.dc8ed138ddb57p-10, 0x1.cda53af061dp-10, 0x1.bf29d69024841p-10, 0x1.b11ad75cd3831p-10, 0x1.a3743a4681a54p-10, 0x1.9633c998824a7p-10, 0x1.8956c647f38bcp-10, 0x1.7cda90e4b9a1p-10, 0x1.70bc3f7bae775p-10, 0x1.64fa929d60b09p-10, 0x1.59913bc91593cp-10, 0x1.4e7f256b30a1ep-10, 0x1.43c202a9c2d5p-10, 0x1.3956d51613f03p-10, 0x1.2f3bb413777c1p-10, 0x1.256e6f14eafe9p-10, 0x1.1bece49aaeacdp-10, 0x1.12b5029dbde93p-10, 0x1.09c4c08b8d59cp-10, 0x1.011a150798f14p-10, 0x1.f166275c38599p-11, 0x1.e11bc4d2c76e5p-11, 0x1.d15141e53d68cp-11, 0x1.c20302fbb99bfp-11, 0x1.b32dd5f55ea98p-11, 0x1.a4cd6ead2df41p-11, 0x1.96def34625ab3p-11, 0x1.895f5d010e18ep-11, 0x1.7c4b35d3394b5p-11, 0x1.6f9f686c3bcc5p-11, 0x1.6358ec975243dp-11, 0x1.5774cdbfd87ccp-11, 0x1.4befff1cb952ap-11, 0x1.40c82e551eb2ep-11, 0x1.35fa06df125f5p-11, 0x1.2b832c87fd8edp-11, 0x1.2160fbd53bfdfp-11, 0x1.1790ea31f816cp-11, 0x1.0e10e0df58778p-11, 0x1.04dd562c933e9p-11, 0x1.f7e9c957ddebbp-12, 0x1.e6aaa0d3927cp-12, 0x1.d5f8327fd55b3p-12, 0x1.c5ce4f32cb2a2p-12, 0x1.b628c898f6404p-12, 0x1.a703597875f92p-12, 0x1.985aa8d740d45p-12, 0x1.8a2a37a9f6046p-12, 0x1.7c6e8c11091dap-12, 0x1.6f228d999deefp-12, 0x1.6246f8d003ff2p-12, 0x1.55d40abb07c2cp-12, 0x1.49ca6a19f94bbp-12, 0x1.3e1f9bbcf4b65p-12, 0x1.32d7a0a4a1f43p-12, 0x1.27ea3672aa6f4p-12, 0x1.1d5cd20e5e5edp-12, 0x1.1323fc307440ep-12, 0x1.0940e292eaeap-12, 0x1.ff5b0b810f363p-13, 0x1.ecd6e53a2031cp-13, 0x1.daebd7fda48fap-13, 0x1.c990ed66856e1p-13, 0x1.b8ceaf831d562p-13, 0x1.a8937c21ebc93p-13, 0x1.98df10ee7683ep-13, 0x1.89ad109fb6ad8p-13, 0x1.7af953f05b95dp-13, 0x1.6cbfa69a710f6p-13, 0x1.5efe23359defdp-13, 0x1.51aacad6adc85p-13, 0x1.44c829a5af9d3p-13, 0x1.3850603ba834fp-13, 0x1.2c400346c2ba8p-13, 0x1.2093ac53c69f6p-13, 0x1.154833ff3461bp-13, 0x1.0a59a6f483bd9p-13, 0x1.ff8cc20f49ee6p-14, 0x1.eb18715448824p-14, 0x1.d74424ae8dac5p-14, 0x1.c41b083919c28p-14, 0x1.b18ebd4cec248p-14, 0x1.9f9b414abe99cp-14, 0x1.8e3a85c4c0c84p-14, 0x1.7d6b33d3cbf26p-14, 0x1.6d2585ab9d1c7p-14, 0x1.5d5f33fd77fd9p-14, 0x1.4e2688f138ba2p-14, 0x1.3f65116b70d8ap-14, 0x1.311cc16893ff8p-14, 0x1.23498f46c25c2p-14, 0x1.15e7a14d7452dp-14, 0x1.08f3419f1a7p-14, 0x1.f8d1dc7264eebp-15, 0x1.e08508666226dp-15, 0x1.c9093dba787bdp-15, 0x1.b24f317ffe7ep-15, 0x1.9c25d32ce9a3ap-15, 0x1.86e914f8cb268p-15, 0x1.72426c33e10b8p-15, 0x1.5e4396b5b840ep-15, 0x1.4ae752a327928p-15, 0x1.38288fe14b976p-15, 0x1.2602251e3976cp-15, 0x1.146f0dd8f5ab1p-15, 0x1.03687984dbe61p-15, 0x1.e5e19b08a0e68p-16, 0x1.c5fabea96512p-16, 0x1.a71666d5e48d2p-16, 0x1.892ce15df6781p-16, 0x1.6c36d400601afp-16, 0x1.502c976780e01p-16, 0x1.35075cc2ec53dp-16, 0x1.1abc25f10566bp-16, 0x1.0160744df5addp-16, 0x1.d156816394009p-17, 0x1.a1a7be069d404p-17, 0x1.737f38ba64bc7p-17, 0x1.46d16d9e4c5cdp-17, 0x1.1b693213fbec9p-17, 0x1.e321226d2bd17p-18, 0x1.92264c4fe77a7p-18, 0x1.43cd712c158d2p-18, 0x1.f006db3b44347p-19, 0x1.5d6a96d382ad6p-19, 0x1.9f448a2214208p-20, 0x1.1a3b490209af6p-21, -0x1.ed0a2d00719d1p-22, -0x1.7ca6e87d33aa5p-20, -0x1.39e1b5e21a1b4p-19, -0x1.b188cddca80afp-19, -0x1.123f36bade176p-18, -0x1.4a4bda6aae43fp-18, -0x1.80231ddb1ba1cp-18, -0x1.b40a4933101b4p-18, -0x1.e63d154258e0cp-18, -0x1.0b4cbb42aad34p-17, -0x1.228b3a3649c1ep-17, -0x1.39209cf0df993p-17, -0x1.4eb373b150295p-17, -0x1.6389162112369p-17, -0x1.77f8f5cd6756dp-17, -0x1.8adf9e6f76b12p-17, -0x1.9d5f5bc80b3cep-17, -0x1.af3058bcf4153p-17, -0x1.c0505c13a9f3ep-17, -0x1.d0abd7f9b059bp-17, -0x1.e064e745ebe63p-17, -0x1.ef72a829124c6p-17, -0x1.fdd9c03254a85p-17, -0x1.05d22b61e97d9p-16, -0x1.0c638517aa79dp-16, -0x1.12ab1d762424cp-16, -0x1.18a477494a7dep-16, -0x1.1e58b49d0f728p-16, -0x1.23bdb3e94f093p-16, -0x1.28deb97ee3cecp-16, -0x1.2db9d8050a411p-16, -0x1.32524847bb532p-16, -0x1.36a7505eee544p-16, -0x1.3abbc172d00cbp-16, -0x1.3e90ba5e07ed5p-16, -0x1.4223cb32e425ep-16, -0x1.457edc4bb13e4p-16, -0x1.4885f2eecd864p-16, -0x1.4b8066a243a6p-16, -0x1.4e4f5a5fc56e9p-16, -0x1.509b418803706p-16, -0x1.52d6054f1f927p-16, -0x1.550c19682274fp-16, -0x1.56a84923fb12ep-16, -0x1.5841c66707099p-16, -0x1.59a9d219f7b3p-16, -0x1.5ae01d035ba62p-16, -0x1.5be55d82cc1dap-16, -0x1.5cbba99642f39p-16, -0x1.5d68686f1863ap-16, -0x1.5ddbb2f126bc4p-16, -0x1.5e25942fb8159p-16, -0x1.5e43c5faf2633p-16, -0x1.5e3aeff071968p-16, -0x1.5e0582d7b6549p-16, -0x1.5da6055bc083cp-16, -0x1.5d1d9587c5229p-16, -0x1.5c6e52c3fb4bap-16, -0x1.5b97880f97ddep-16, -0x1.5a9a9861b3026p-16, -0x1.5978492767f54p-16, -0x1.5831626ee4f2fp-16, -0x1.56d7517ecf62dp-16, -0x1.55382ea205db6p-16, -0x1.5388e3ebe196p-16, -0x1.51b781b6004fp-16, -0x1.4fc53a23f9cc6p-16, -0x1.4db2e4beb10a6p-16, -0x1.4b811afb1f0e1p-16, -0x1.4930f235e2f1p-16, -0x1.46c2bb9bab0fbp-16, -0x1.4437601f0362ap-16, -0x1.418fb59adc5d7p-16, -0x1.3ec3489c6e59ap-16, -0x1.3c092c82cda76p-16, -0x1.38f56cdae05afp-16, -0x1.35dffdd4412f9p-16, -0x1.32b74f669288dp-16, -0x1.2f6997f9fe2b6p-16, -0x1.2c11d46c62c7ap-16, -0x1.289e5b10d38bap-16, -0x1.25149e0f2acb4p-16, -0x1.2174d0bdb6d6ep-16, -0x1.1db9808876aa7p-16, -0x1.19f525f33e72dp-16, -0x1.1617bae02adf5p-16, -0x1.1224b8ca38122p-16, -0x1.0e0a6b40bb703p-16, -0x1.0a0b789bb943dp-16, -0x1.05e2d89665ef7p-16, -0x1.01a9a77f1d58ep-16, -0x1.fa9ed89ca855cp-17, -0x1.f214f720bd184p-17, -0x1.e95133741806fp-17, -0x1.e04bf2a822edcp-17, -0x1.d74189318cf94p-17, -0x1.ce1b702b47e25p-17, -0x1.c4dba551008cfp-17, -0x1.bb6a4c8596571p-17, -0x1.b201729941fa3p-17, -0x1.a888b9dd277afp-17, -0x1.9eebae3dc978bp-17, -0x1.9539b763f88f1p-17, -0x1.8b741e5c6270ep-17, -0x1.819c313848f0cp-17, -0x1.77b3da4f52838p-17, -0x1.6dd3cb7e963edp-17, -0x1.63a1be4e73831p-17, -0x1.59ae861e48465p-17, -0x1.4f759e69dedc8p-17, -0x1.453ea8ef4b03dp-17, -0x1.3b057f7e6a8cp-17, -0x1.30ba989d610e3p-17, -0x1.266975d4660a5p-17, -0x1.1c101fb616fbbp-17, -0x1.11c1dfef2a608p-17, -0x1.0744c25d40395p-17, -0x1.f9aced0e67416p-18, -0x1.e4ca7208643e1p-18, -0x1.cfb35f2caca6fp-18, -0x1.bae2759b9e02dp-18, -0x1.a5e654baa2987p-18, -0x1.90e89e7bb7206p-18, -0x1.7beb30c4d6edap-18, -0x1.669c3309016fdp-18, -0x1.52214920f0c49p-18, -0x1.3ce5a59b603a1p-18, -0x1.27ef656556de2p-18, -0x1.1303298f1ed35p-18, -0x1.fc4ec5d2f4986p-19, -0x1.d293d08b7b32p-19, -0x1.a8ef3de93efa9p-19, -0x1.7f64010662a5fp-19, -0x1.55e2e419e64f1p-19, -0x1.2c9ffe70782bp-19, -0x1.037da46471c0bp-19, -0x1.b3939b0093153p-20, -0x1.630638ac08ac2p-20, -0x1.118baa9fe543fp-20, -0x1.80d0a79a51facp-21, -0x1.be30fba43577ap-22, -0x1.e5054f369aa49p-24, 0x1.8635c2c8ad226p-23, 0x1.00558dd8f2db6p-21, 0x1.99e05491b5173p-21, 0x1.1dee2143cd711p-20, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      {{0x1.cfa2e32f35e8fp-7, 0x1.cf6b914ef3824p-6, 0x1.5b4baedd3be3cp-5, 0x1.ce8f367ee6bf5p-5, 0x1.20b2ca6bfea33p-4, 0x1.59da41a4909b5p-4, 0x1.92b12a86b4cb2p-4, 0x1.cb2b04b059a78p-4, 0x1.019dd69d0707ep-3, 0x1.1d6bb264f34c4p-3, 0x1.38f96a35effccp-3, 0x1.544188abd712cp-3, 0x1.6f3ecfe3f03e6p-3, 0x1.89ec3a80ec89ep-3, 0x1.a444fc554f73fp-3, 0x1.be4482c093628p-3, 0x1.d7e674c9bd6a3p-3, 0x1.f126b300d2753p-3, 0x1.0500ab97ad30ep-2, 0x1.113959ef86807p-2, 0x1.1d3ba9de6bb06p-2, 0x1.2905fc6ec907p-2, 0x1.3496cdf4825e3p-2, 0x1.3fecb5979f8f3p-2, 0x1.4b0664d5dbb47p-2, 0x1.55e2a6fc933f2p-2, 0x1.6080609c6235bp-2, 0x1.6ade8ef78a50fp-2, 0x1.74fc476c1e4dep-2, 0x1.7ed8b6dac7bfbp-2, 0x1.8873210ae24f9p-2, 0x1.91cae00c94d96p-2, 0x1.9adf63996fddap-2, 0x1.a3b03074192cbp-2, 0x1.ac3cdfc76913cp-2, 0x1.b4851e856378ap-2, 0x1.bc88acc661575p-2, 0x1.c4475d28b1defp-2, 0x1.cbc11431041cep-2, 0x1.d2f5c7abca056p-2, 0x1.d9e57e0fd5f32p-2, 0x1.e0904de25f07p-2, 0x1.e6f65d1c99467p-2, 0x1.ed17e0930c203p-2, 0x1.f2f51b5ecaf7cp-2, 0x1.f88e5e48abdd5p-2, 0x1.fde40736a2449p-2, 0x1.017b404da61f5p-1, 0x1.03e32073ec74dp-1, 0x1.0629e50024ed1p-1, 0x1.084fd4591ae01p-1, 0x1.0a553a1706244p-1, 0x1.0c3a66c178d45p-1, 0x1.0dffaf8e9ff3bp-1, 0x1.0fa56e23d6489p-1, 0x1.112c0057962dp-1, 0x1.1293c7f4c5b84p-1, 0x1.13dd2a7f65d4ep-1, 0x1.150890faa2f03p-1, 0x1.161667b04a595p-1, 0x1.17071df9a3dd4p-1, 0x1.17db2609b20cbp-1, 0x1.1892f4b8d48c5p-1, 0x1.192f0151d17fp-1, 0x1.19afc5603f38dp-1, 0x1.1a15bc804fc44p-1, 0x1.1a61642ffbcf5p-1, 0x1.1a933ba188d1fp-1, 0x1.1aabc38f69551p-1, 0x1.1aab7e117445fp-1, 0x1.1a92ee736e7ebp-1, 0x1.1a62990ce48a7p-1, 0x1.1a1b031a4f959p-1, 0x1.19bcb297823d8p-1, 0x1.19482e1b57f9ap-1, 0x1.18bdfcb4a592dp-1, 0x1.181ea5c8608bep-1, 0x1.176ab0f1001edp-1, 0x1.16a2a5df0bb6bp-1, 0x1.15c70c3ad7c6ep-1, 0x1.14d86b87686c4p-1, 0x1.13d74b0675e3ep-1, 0x1.12c4319d8f189p-1, 0x1.119fa5bc5226p-1, 0x1.106a2d43b7bc7p-1, 0x1.0f244d6e6cc6cp-1, 0x1.0dce8aba32689p-1, 0x1.0c6968d241405p-1, 0x1.0af56a7aa953fp-1, 0x1.0973117caa7b2p-1, 0x1.07e2de93ffffep-1, 0x1.0645515d16a97p-1, 0x1.049ae8442ef3fp-1, 0x1.02e420755d623p-1, 0x1.012175cd6cdecp-1, 0x1.fea6c59728e07p-2, 0x1.faf4c10808dd9p-2, 0x1.f72dcd267c12dp-2, 0x1.f352d6246a33ap-2, 0x1.ef64c5166a7e5p-2, 0x1.eb647fdf097d2p-2, 0x1.e752e91b826b2p-2, 0x1.e330e011e28dcp-2, 0x1.deff40a088e1fp-2, 0x1.dabee32efcd59p-2, 0x1.d6709ca00fbc8p-2, 0x1.d2153e453ee38p-2, 0x1.cdad95d350198p-2, 0x1.c93a6d581d3eap-2, 0x1.c4bc8b3180571p-2, 0x1.c034b20564f6fp-2, 0x1.bba3a0bae433cp-2, 0x1.b70a12747062dp-2, 0x1.b268be8b02202p-2, 0x1.adc0588a3b301p-2, 0x1.a911902d7ec92p-2, 0x1.a45d115debedep-2, 0x1.9fa384313ce9ep-2, 0x1.9ae58ce97acadp-2, 0x1.9623cbf582a39p-2, 0x1.915eddf24fd7p-2, 0x1.8c975bad0938ap-2, 0x1.87cdda25c2ef7p-2, 0x1.8302ea92f3591p-2, 0x1.7e371a6591b06p-2, 0x1.796af34dd3798p-2, 0x1.749efb408841dp-2, 0x1.6fd3b47d06f3ap-2, 0x1.6b099d93aa191p-2, 0x1.6641316cd0f1dp-2, 0x1.617ae7506084p-2, 0x1.5cb732edc0431p-2, 0x1.57f68464474dcp-2, 0x1.5339484c164dap-2, 0x1.4e7fe7bf5d881p-2, 0x1.49cac863fca71p-2, 0x1.451a4c7583446p-2, 0x1.406ed2cf87a81p-2, 0x1.3bc8b6f8484b5p-2, 0x1.3728512ba15cp-2, 0x1.328df6663ef1ap-2, 0x1.2df9f87119257p-2, 0x1.296ca5ed24f17p-2, 0x1.24e64a5f3ffep-2, 0x1.20672e3c51a78p-2, 0x1.1bef96f592b7ap-2, 0x1.177fc70508933p-2, 0x1.1317fdfa1de0ap-2, 0x1.0eb8788662c24p-2, 0x1.0a61708a6693ep-2, 0x1.06131d22aeae8p-2, 0x1.01cdb2b4c0f75p-2, 0x1.fb22c5f8838fdp-3, 0x1.f2bcba304439cp-3, 0x1.ea699b2fb0a4fp-3, 0x1.e229bd113e126p-3, 0x1.d9fd6f0580b6ap-3, 0x1.d1e4fb6db4f2bp-3, 0x1.c9e0a7f65780fp-3, 0x1.c1f0b5b1adcd4p-3, 0x1.ba156132449f7p-3, 0x1.b24ee2a55e101p-3, 0x1.aa9d6ded4d03cp-3, 0x1.a30132bbb01b6p-3, 0x1.9b7a5cab92409p-3, 0x1.9409135b655f8p-3, 0x1.8cad7a86d9f19p-3, 0x1.8567b2208464fp-3, 0x1.7e37d66b5aee7p-3, 0x1.771e0013fbf1fp-3, 0x1.701a4449c1659p-3, 0x1.692cb4d79a276p-3, 0x1.6255603ca864p-3, 0x1.5b9451c49ee5fp-3, 0x1.54e9919fdff0cp-3, 0x1.4e5524fb59434p-3, 0x1.47d70e1813925p-3, 0x1.416f4c62800b9p-3, 0x1.3b1ddc897b13fp-3, 0x1.34e2b894fefa6p-3, 0x1.2ebdd7fc8861cp-3, 0x1.28af2fbd328a6p-3, 0x1.22b6b26f79e28p-3, 0x1.1cd4505cacc97p-3, 0x1.1707f79410ad5p-3, 0x1.115193ffa8293p-3, 0x1.0bb10f78a917ap-3, 0x1.062651db9b912p-3, 0x1.00b1411c1c8dap-3, 0x1.f6a382b09d72cp-4, 0x1.ec0f69d7ddd9fp-4, 0x1.e1a5f90621601p-4, 0x1.d766ee58f93a7p-4, 0x1.cd5204d779f1bp-4, 0x1.c366f4958f86p-4, 0x1.b9a572d6a6ef1p-4, 0x1.b00d322fa0a5ep-4, 0x1.a69de2a808b55p-4, 0x1.9d5731daa7a9ap-4, 0x1.9438cb154a122p-4, 0x1.8b425777ede79p-4, 0x1.82737e1326b0bp-4, 0x1.79cbe405db0e6p-4, 0x1.714b2c9a4e228p-4, 0x1.68f0f96276ee9p-4, 0x1.60bcea53aa96ap-4, 0x1.58ae9de1957d7p-4, 0x1.50c5b1188a429p-4, 0x1.4901bfb722968p-4, 0x1.416264473759fp-4, 0x1.39e738362f7fdp-4, 0x1.328fd3eca7a28p-4, 0x1.2b5bcee574ef4p-4, 0x1.244abfc4033aap-4, 0x1.1d5c3c6a12d18p-4, 0x1.168fda0cd470dp-4, 0x1.0fe52d4969325p-4, 0x1.095bca38c5331p-4, 0x1.02f34482f81edp-4, 0x1.f9565ee3bdeep-5, 0x1.ed063c067cc44p-5, 0x1.e0f545f496a25p-5, 0x1.d522a1e140cbbp-5, 0x1.c98d74cd4a67ep-5, 0x1.be34e3a6d023p-5, 0x1.b3181367da8dap-5, 0x1.a8362933ec29p-5, 0x1.9d8e4a748249fp-5, 0x1.931f9cf48f824p-5, 0x1.88e946faf206fp-5, 0x1.7eea6f63ed1c7p-5, 0x1.75223db9a7a5dp-5, 0x1.6b8fda4bb8482p-5, 0x1.62326e45bdbap-5, 0x1.590923c511ac5p-5, 0x1.501325ed8ddap-5, 0x1.474fa0fd76997p-5, 0x1.3ebdc26082d75p-5, 0x1.365cb8c20f8dep-5, 0x1.2e2bb41e7cf6ap-5, 0x1.2629e5d3be41ep-5, 0x1.1e5680b11ea4bp-5, 0x1.16b0b90641046p-5, 0x1.0f37c4b15ed32p-5, 0x1.07eadb2cc892fp-5, 0x1.00c9359bb071ap-5, 0x1.f3a41dac85051p-6, 0x1.e60946ea130ebp-6, 0x1.d8c063b75e1e2p-6, 0x1.cbc7f4861f0ffp-6, 0x1.bf1e7d85637f6p-6, 0x1.b2c286b33be3fp-6, 0x1.a6b29bed3578cp-6, 0x1.9aed4cffb1844p-6, 0x1.8f712db412426p-6, 0x1.843cd5ddd55f3p-6, 0x1.794ee166965fep-6, 0x1.6ea5f0590d62bp-6, 0x1.6440a6eb05fcfp-6, 0x1.5a1dad8664bb6p-6, 0x1.503bb0d12f4f3p-6, 0x1.469961b4b4409p-6, 0x1.3d357563c6e57p-6, 0x1.340ea56026204p-6, 0x1.2b23af7f08fa4p-6, 0x1.227355ecdfe07p-6, 0x1.19fc5f304ebb2p-6, 0x1.11bd962c6636cp-6, 0x1.09b5ca222291ep-6, 0x1.01e3ceb139cbbp-6, 0x1.f48cf7b07c3dep-7, 0x1.e5b95be826c3p-7, 0x1.d74a8b7d9d02dp-7, 0x1.c93e509be380ep-7, 0x1.bb927e2039cdep-7, 0x1.ae44ef9451f8fp-7, 0x1.a15389277e01fp-7, 0x1.94bc37a6d1e5bp-7, 0x1.887cf0745668ep-7, 0x1.7c93b17d3e8fp-7, 0x1.70fe812f3a7b5p-7, 0x1.65bb6e6cf7363p-7, 0x1.5ac89081c2e61p-7, 0x1.502407146bff8p-7, 0x1.45cbfa196667ap-7, 0x1.3bbe99c43543dp-7, 0x1.31fa1e782cbfap-7, 0x1.287cc8b890006p-7, 0x1.1f44e11812e18p-7, 0x1.1650b827cb4b2p-7, 0x1.0d9ea66596ebap-7, 0x1.052d0c2a002bbp-7, 0x1.f9f4a32b4e006p-8, 0x1.ea09ccfc70e2dp-8, 0x1.da9684b5f21f1p-8, 0x1.cb97c861d73e6p-8, 0x1.bd0aa4fd3414ap-8, 0x1.aeec364f0dd7p-8, 0x1.a139a6be9d318p-8, 0x1.93f02f28fc961p-8, 0x1.870d16b64ee04p-8, 0x1.7a8db2ae6706ap-8, 0x1.6e6f664d0296p-8, 0x1.62afa2959a9fp-8, 0x1.574be626dc419p-8, 0x1.4c41bd0dcfdfdp-8, 0x1.418ec098b91a6p-8, 0x1.37309729bad85p-8, 0x1.2d24f40946f47p-8, 0x1.2369973863b2p-8, 0x1.19fc4d42d162fp-8, 0x1.10daef11127fcp-8, 0x1.080361ba67a56p-8, 0x1.fee72cad7f80bp-9, 0x1.ee5313a149ae4p-9, 0x1.de46896e64cdap-9, 0x1.cebdb6202982cp-9, 0x1.bfb4d8533a807p-9, 0x1.b12844d9dde7cp-9, 0x1.a314666099146p-9, 0x1.9575bd131478bp-9, 0x1.8848de41574aep-9, 0x1.7b8a740565268p-9, 0x1.6f373ce946141p-9, 0x1.634c0b8d85e88p-9, 0x1.57c5c6502f7e3p-9, 0x1.4ca166f4526aap-9, 0x1.41dbfa4a18411p-9, 0x1.37729fd771444p-9, 0x1.2d62898164599p-9, 0x1.23a8fb36011d9p-9, 0x1.1a434a9704fccp-9, 0x1.112edea53591ap-9, 0x1.08692f6c6fb8p-9, 0x1.ffdf8b60fe114p-10, 0x1.ef8075356cda6p-10, 0x1.dfb06ed0ad7b6p-10, 0x1.d06aea338a31bp-10, 0x1.c1ab7845266e7p-10, 0x1.b36dc834c9f74p-10, 0x1.a5ada6dd5d804p-10, 0x1.9866fe2aaac16p-10, 0x1.8b95d48061299p-10, 0x1.7f364c22f1318p-10, 0x1.7344a2a225899p-10, 0x1.67bd3045accdbp-10, 0x1.5c9c677b6a162p-10, 0x1.51ded447af4c6p-10, 0x1.47811bb75cc3bp-10, 0x1.3d7ffb53de32dp-10, 0x1.33d848991dd4ep-10, 0x1.2a86f06d518afp-10, 0x1.2188f69ac966fp-10, 0x1.18db754b9a77bp-10, 0x1.107b9c87455d5p-10, 0x1.0866b1b24a01ep-10, 0x1.009a0f0fa790fp-10, 0x1.f2264688af872p-11, 0x1.e39ee1b95f8bbp-11, 0x1.d5991ba7701a8p-11, 0x1.c8104638e2e0fp-11, 0x1.baffd85a11efcp-11, 0x1.ae636d17efd84p-11, 0x1.a236c2be1eeccp-11, 0x1.9675b9f8daaedp-11, 0x1.8b1c54faaf98ep-11, 0x1.8026b6a5fc4dep-11, 0x1.759121ba37e79p-11, 0x1.6b57f804f5bcep-11, 0x1.6177b996a33dap-11, 0x1.57ed03faf8b0cp-11, 0x1.4eb49175147f3p-11, 0x1.45cb383f3cfddp-11, 0x1.3d2de9ce3f7bp-11, 0x1.34d9b21865221p-11, 0x1.2ccbb6dff6b8dp-11, 0x1.2501370146a89p-11, 0x1.1d7789c4376b3p-11, 0x1.162c1e313a13ep-11, 0x1.0f1c7a69b6512p-11, 0x1.08463b03d7da5p-11, 0x1.01a71269b4ac6p-11, 0x1.f67990778c765p-12, 0x1.ea0a716d4de8ep-12, 0x1.ddfca83821d9fp-12, 0x1.d24c3c3e19aa3p-12, 0x1.c6f55aa69c8dp-12, 0x1.bbf4553f59f7ap-12, 0x1.b145a1676b872p-12, 0x1.a6e5d7008b582p-12, 0x1.9cd1af664e99bp-12, 0x1.9306046b4b965p-12, 0x1.897fcf5c1a895p-12, 0x1.803c28081807cp-12, 0x1.773843cfd6137p-12, 0x1.6e7174b929d39p-12, 0x1.65e52888b5f9fp-12, 0x1.5d90e7e0ecdfdp-12, 0x1.5572556666538p-12, 0x1.4d872ce97aad5p-12, 0x1.45cd42950d8ddp-12, 0x1.3e428222738dcp-12, 0x1.36e4ee12584dbp-12, 0x1.2fb29eea9a894p-12, 0x1.28a9c278fa9acp-12, 0x1.21c89b1a94ac5p-12, 0x1.1b0d7f080711fp-12, 0x1.1476d7a636d4bp-12, 0x1.0e0320db98511p-12, 0x1.07b0e869ea584p-12, 0x1.017ecd4c515c9p-12, 0x1.f6d6fe336f47ep-13, 0x1.eaeb7ad6c9fbep-13, 0x1.df38ae8f6c3dp-13, 0x1.d3bc5521bf98fp-13, 0x1.c87446ef57c11p-13, 0x1.bd5e77e437a08p-13, 0x1.b278f66bb734fp-13, 0x1.a7c1ea6ce7effp-13, 0x1.9d37944e4b7e4p-13, 0x1.92d84c00c3bcbp-13, 0x1.88a2801184e8dp-13, 0x1.7e94b4c2efeedp-13, 0x1.74ad832c30cccp-13, 0x1.6aeb985f796a2p-13, 0x1.614db496af73dp-13, 0x1.57d2aa6678862p-13, 0x1.4e795df77233bp-13, 0x1.4540c4457cb06p-13, 0x1.3c27e264f24cep-13, 0x1.332dcccdaa6ep-13, 0x1.2a51a6aba87a4p-13, 0x1.2192a13555699p-13, 0x1.18effb071c557p-13, 0x1.1068ff8459d38p-13, 0x1.07fd063d6c8fbp-13, 0x1.ff56e4b5b3471p-14, 0x1.eee7641aa2a7p-14, 0x1.deaa7c051d951p-14, 0x1.ce9f31bdb991dp-14, 0x1.bec49d76758aep-14, 0x1.af19e94fce1d1p-14, 0x1.9f9e5066ac0c4p-14, 0x1.90511deab2441p-14, 0x1.8131ac3ce178bp-14, 0x1.723f641647e7fp-14, 0x1.6379bbb68b829p-14, 0x1.54e0361a1dabdp-14, 0x1.46726237e19e6p-14, 0x1.382fda4615b8cp-14, 0x1.2a1843064d40cp-14, 0x1.1c2b4b184bc83p-14, 0x1.0e68aa53901d5p-14, 0x1.00d0212762779p-14, 0x1.e6c2f0026c436p-15, 0x1.cc38fd726a0dbp-15, 0x1.b202180988f95p-15, 0x1.981df9ddb7b07p-15, 0x1.7e8c68ac020dcp-15, 0x1.654d34df83792p-15, 0x1.4c6038a300a46p-15, 0x1.33c556fcdb907p-15, 0x1.1b7c7af50fb3ap-15, 0x1.038596c4ed1fp-15, 0x1.d7c146208ea9fp-16, 0x1.a91b3c4f990ap-16, 0x1.7b1916a87f45fp-16, 0x1.4dbae4549e311p-16, 0x1.2100bbcd86803p-16, 0x1.e9d5734af6bd4p-17, 0x1.92f1febf401e5p-17, 0x1.3d5764ae8bb6ep-17, 0x1.d20bead77c178p-18, 0x1.2bfc09dc90fccp-18, 0x1.10ffa3d75e43cp-19, -0x1.868116ef6e963p-22, -0x1.6d75efd577fd3p-19, -0x1.52783fa171289p-18, -0x1.eb9f4ffe81ab6p-18, -0x1.4117ce3ffcc8p-17, -0x1.8b1453a585478p-17, -0x1.d3c501cad31f2p-17, -0x1.0d94d5f9adccfp-16, -0x1.30a1180b9f449p-16, -0x1.53073bee1f412p-16, -0x1.74c73cbe1c17bp-16, -0x1.95e11c4ce9f4ap-16, -0x1.b654e3820a39ap-16, -0x1.d622a2b4b7e49p-16, -0x1.f54a71fd8bde1p-16, -0x1.09e638c0454d8p-15, -0x1.18d464d7f07bfp-15, -0x1.276fd5c3d58bbp-15, -0x1.35b8a8617ebd4p-15, -0x1.43aefe0542ab9p-15, -0x1.5152fc8e80288p-15, -0x1.5ea4ce78e8039p-15, -0x1.6ba4a2eaf4145p-15, -0x1.7852adc1afeb3p-15, -0x1.84af2799ed1a1p-15, -0x1.90ba4dd70439fp-15, -0x1.9c7462a73e6bap-15, -0x1.a7ddad0607c06p-15, -0x1.b2f678bbfc8eep-15, -0x1.bdbf165cfa0dap-15, -0x1.c837db443e177p-15, -0x1.d261218eba7cfp-15, -0x1.dc3b4813ade75p-15, -0x1.e5c6b25b9a6f7p-15, -0x1.ef03c895b37e9p-15, -0x1.f7f2f78bd7817p-15, -0x1.004a584a9414ep-14, -0x1.0474b4c3ad3bep-14, -0x1.0878ce53692d1p-14, -0x1.0c56e44acab79p-14, -0x1.100f382099efep-14, -0x1.13a20d67d7742p-14, -0x1.170fa9c5ba3bep-14, -0x1.1a5854e73efa6p-14, -0x1.1d7c5876518acp-14, -0x1.207c000e9825p-14, -0x1.23579931e9016p-14, -0x1.260f733c6f75ep-14, -0x1.28a3df5889328p-14, -0x1.2b15307262d26p-14, -0x1.2d63bb2b56fe3p-14, -0x1.2f8fd5cd1bd7p-14, -0x1.3199d83cbf32dp-14, -0x1.33821bed7a22fp-14, -0x1.3548fbd36211cp-14, -0x1.36eed455fa5a6p-14, -0x1.38740342ac799p-14, -0x1.39d8e7bf2db0ap-14, -0x1.3b1de23bd32f7p-14, -0x1.3c435465db6e7p-14, -0x1.3d49a119b1981p-14, -0x1.3e312c552c9e4p-14, -0x1.3efa5b29d1045p-14, -0x1.3fa593af15e6ep-14, -0x1.40333cf4b3054p-14, -0x1.40a3bef4fb399p-14, -0x1.40f782874416ap-14, -0x1.412ef15261b3ap-14, -0x1.414a75bf35053p-14, -0x1.414a7aeb53cb9p-14, -0x1.412f6c9bc9e72p-14, -0x1.40f9b72ff7514p-14, -0x1.40a9c7948ce37p-14, -0x1.40400b36ab868p-14, -0x1.3fbceff725122p-14, -0x1.3f20e41de3e6cp-14, -0x1.3e6c564d782e9p-14, -0x1.3d9fb576cfcfep-14, -0x1.3cbb70cd168bcp-14, -0x1.3bbff7b9c3afcp-14, -0x1.3aadb9d0d4755p-14, -0x1.398526c534dadp-14, -0x1.3846ae5d5839bp-14, -0x1.36f2c0680366dp-14, -0x1.3589ccb147764p-14, -0x1.340c42f7b060fp-14, -0x1.327a92e1a648dp-14, -0x1.30d52bf3049a5p-14, -0x1.2f1c7d82e484cp-14, -0x1.2d50f6b19d7e3p-14, -0x1.2b73065efd712p-14, -0x1.29831b20b527ep-14, -0x1.2781a338fd1b5p-14, -0x1.256f0c8d7218ep-14, -0x1.234bc49e27c63p-14, -0x1.2118387cf43f8p-14, -0x1.1ed4d4c4f38e1p-14, -0x1.1c820592426d3p-14, -0x1.1a203679f142dp-14, -0x1.17afd28230be1p-14, -0x1.1531441ab36c1p-14, -0x1.12a4f515497c4p-14, -0x1.100b4e9eb48b6p-14, -0x1.0d64b937b064dp-14, -0x1.0ab19cae3596ep-14, -0x1.07f26016f29d7p-14, -0x1.052769c6fa301p-14, -0x1.02511f4daa21ap-14, -0x1.fedfcadd8cfadp-15, -0x1.f908403996cf6p-15, -0x1.f31c64e6e78dap-15, -0x1.ed1cfd64e968ap-15, -0x1.e70acc70d88afp-15, -0x1.e0e692fc0d19bp-15, -0x1.dab11022a50e6p-15, -0x1.d46b012298592p-15, -0x1.ce1521532ea69p-15, -0x1.c7b02a1cda631p-15, -0x1.c13cd2f1716b5p-15, -0x1.babbd144cafa1p-15, -0x1.b42dd885b9d1cp-15, -0x1.ad939a1763b6ep-15, -0x1.a6edc54af9d53p-15, -0x1.a03d0759c5738p-15, -0x1.99820b5f94d9bp-15, }}, 
      {{-0x1.c3b1657e6206ap-1, -0x1.c3a950f2058a9p-1, -0x1.c39ba04851bd7p-1, -0x1.c38805ed3378ep-1, -0x1.c36e1f2a52bdp-1, -0x1.c34d78db7438ep-1, -0x1.c325937cc363bp-1, -0x1.c2f5e6a7daa96p-1, -0x1.c2bde411d0c03p-1, -0x1.c27cfa1a4b0d5p-1, -0x1.c23295f99548cp-1, -0x1.c1de259a0619fp-1, -0x1.c17f192771a1ep-1, -0x1.c114e45e101eap-1, -0x1.c09effa11d702p-1, -0x1.c01ce8e066e98p-1, -0x1.bf8e24531bacap-1, -0x1.bef23d0d6ec55p-1, -0x1.be48c575e262p-1, -0x1.bd91579e81be2p-1, -0x1.bccb9585c222cp-1, -0x1.bbf7294253ad7p-1, -0x1.bb13c51cbc623p-1, -0x1.ba21239944b31p-1, -0x1.b91f077466075p-1, -0x1.b80d3b93ae353p-1, -0x1.b6eb92ecc763ap-1, -0x1.b5b9e86420878p-1, -0x1.b4781ea486813p-1, -0x1.b3261ff0d0c73p-1, -0x1.b1c3ddf0a3c94p-1, -0x1.b0515179275dap-1, -0x1.aece7a527adecp-1, -0x1.ad3b5efa8de25p-1, -0x1.ab980c65fba48p-1, -0x1.a9e495bf66486p-1, -0x1.a8211425cbf7fp-1, -0x1.a64da66a37501p-1, -0x1.a46a70cd230cfp-1, -0x1.a2779cbbdfb15p-1, -0x1.a075588e3ce89p-1, -0x1.9e63d744af982p-1, -0x1.9c4350472733fp-1, -0x1.9a13ff24be894p-1, -0x1.97d6235468fc5p-1, -0x1.9589fff6c1624p-1, -0x1.932fdb990f94p-1, -0x1.90c7fff99f1d8p-1, -0x1.8e52b9cd75fcfp-1, -0x1.8bd058877fadbp-1, -0x1.89412e21326e5p-1, -0x1.86a58ee4bf408p-1, -0x1.83fdd138cd837p-1, -0x1.814a4d6dccb7p-1, -0x1.7e8b5d8cdd493p-1, -0x1.7bc15d2852a03p-1, -0x1.78eca92dce9a4p-1, -0x1.760d9fb9f79bfp-1, -0x1.73249fedc4c71p-1, -0x1.703209c55e98cp-1, -0x1.6d363df091ba8p-1, -0x1.6a319daccc1c3p-1, -0x1.67248aa0a33ep-1, -0x1.640f66b8daa54p-1, -0x1.60f29406e7303p-1, -0x1.5dce74a0e59bep-1, -0x1.5aa36a830198bp-1, -0x1.5771d77240e3fp-1, -0x1.543a1ce0b06cbp-1, -0x1.50fc9bd2e68a3p-1, -0x1.4db9b4c6d810dp-1, -0x1.4a71c79bf34c1p-1, -0x1.4725337c7a7d8p-1, -0x1.43d456c81898cp-1, -0x1.407f8effa37c9p-1, -0x1.3d2738b205b7dp-1, -0x1.39cbaf6a48d1bp-1, -0x1.366d4d9eb54ebp-1, -0x1.330c6ca10281fp-1, -0x1.2fa9648f8d273p-1, -0x1.2c448c478b88dp-1, -0x1.28de39583acc3p-1, -0x1.2576bff6f9846p-1, -0x1.220e72f44a43dp-1, -0x1.1ea5a3b1b5294p-1, -0x1.1b3ca21882781p-1, -0x1.17d3bc91456f9p-1, -0x1.146b3ffc2f772p-1, -0x1.110377aa2690bp-1, -0x1.0d9cad56975e4p-1, -0x1.0a372921f90e7p-1, -0x1.06d3318d00c46p-1, -0x1.03710b747acep-1, -0x1.0010fa0dc3b8cp-1, -0x1.f9667dc7b78aap-2, -0x1.f2b033aa1bd35p-2, -0x1.ebff9222463d9p-2, -0x1.e55512303dcdep-2, -0x1.deb12972f72dfp-2, -0x1.d8144a27c8d1p-2, -0x1.d17ee32ac9127p-2, -0x1.caf15ff810254p-2, -0x1.c46c28adcf524p-2, -0x1.bdefa20f391e7p-2, -0x1.b77c2d882a83fp-2, -0x1.b11229318ab0ap-2, -0x1.aab1efd6630adp-2, -0x1.a45bd8f99439ep-2, -0x1.9e1038dc31dd3p-2, -0x1.97cf60846e15p-2, -0x1.91999dc5146b4p-2, -0x1.8b6f3b45883c9p-2, -0x1.8550808a41cb7p-2, -0x1.7f3db1fdbe1dbp-2, -0x1.793710f9df703p-2, -0x1.733cdbd1b0a01p-2, -0x1.6d4f4ddb8c697p-2, -0x1.676e9f7b98a7p-2, -0x1.619b062e9916fp-2, -0x1.5bd4b49508eeep-2, -0x1.561bda7e7de23p-2, -0x1.5070a4f54a0d2p-2, -0x1.4ad33e4a577cap-2, -0x1.4543ce2138ee1p-2, -0x1.3fc2797c6a7efp-2, -0x1.3a4f62c9bd05dp-2, -0x1.34eaa9eee49adp-2, -0x1.2f946c562abf7p-2, -0x1.2a4cc4fb3b5abp-2, -0x1.2513cc7809046p-2, -0x1.1fe99911c5fc1p-2, -0x1.1ace3ec5ed65ep-2, -0x1.15c1cf5754e2bp-2, -0x1.10c45a5b4a083p-2, -0x1.0bd5ed46b2ecap-2, -0x1.06f6937b2eb35p-2, -0x1.0226565435a81p-2, -0x1.faca7a6865835p-3, -0x1.f1669b2329933p-3, -0x1.e8211607ad6f5p-3, -0x1.def9eea0eeaep-3, -0x1.d5f124efc4d08p-3, -0x1.cd06b5848cd22p-3, -0x1.c43a9998a99e3p-3, -0x1.bb8cc727db2e8p-3, -0x1.b2fd310959d98p-3, -0x1.aa8bc708c5a52p-3, -0x1.a23875fed1df5p-3, -0x1.9a0327e9bb0e5p-3, -0x1.91ebc40574bffp-3, -0x1.89f22ee399c6ep-3, -0x1.82164a8311b3p-3, -0x1.7a57f6676d483p-3, -0x1.72b70faff66e8p-3, -0x1.6b33712e755d9p-3, -0x1.63ccf37da0763p-3, -0x1.5c836d173c103p-3, -0x1.5556b269e6b8p-3, -0x1.4e4695ee8d76ap-3, -0x1.4752e83d89e6p-3, -0x1.407b7823668c5p-3, -0x1.39c012b54b424p-3, -0x1.332083650c5bap-3, -0x1.2c9c9414dc92dp-3, -0x1.26340d2aa61d8p-3, -0x1.1fe6b5a305a2cp-3, -0x1.19b45323e009ap-3, -0x1.139caa0ea214p-3, -0x1.0d9f7d921c94p-3, -0x1.07bc8fbc06083p-3, -0x1.01f3a18a10e7ap-3, -0x1.f888e5f563c4bp-4, -0x1.ed5d863af9292p-4, -0x1.e264a04645f95p-4, -0x1.d79daeda285ebp-4, -0x1.cd082b3982a72p-4, -0x1.c2a38d44faecfp-4, -0x1.b86f4b98074edp-4, -0x1.ae6adba538a3ap-4, -0x1.a495b1d1ce38dp-4, -0x1.9aef41908d54ap-4, -0x1.9176fd7be7bddp-4, -0x1.882c576f5f2a8p-4, -0x1.7f0ec0a03f9f9p-4, -0x1.761da9b59fafcp-4, -0x1.6d5882dfb2371p-4, -0x1.64bebbee65871p-4, -0x1.5c4fc46756df6p-4, -0x1.540b0b9b19527p-4, -0x1.4bf000b9d1d7cp-4, -0x1.43fe12e72be49p-4, -0x1.3c34b14da95a4p-4, -0x1.34934b314dcb2p-4, -0x1.2d195001a921dp-4, -0x1.25c62f6b42b86p-4, -0x1.1e9959686973p-4, -0x1.17923e5168b12p-4, -0x1.10b04eec253f2p-4, -0x1.09f2fc7b26afp-4, -0x1.0359b8cc0cbdap-4, -0x1.f9c7ec8ae9a1bp-5, -0x1.ed224fe8a6254p-5, -0x1.e0c183317e52cp-5, -0x1.d4a46f6471e79p-5, -0x1.c8c9ff16d0e43p-5, -0x1.bd311e8ab37d8p-5, -0x1.b1d8bbc47026bp-5, -0x1.a6bfc69f18809p-5, -0x1.9be530dffcd3bp-5, -0x1.9147ee494157cp-5, -0x1.86e6f4ab83e01p-5, -0x1.7cc13bf69d89p-5, -0x1.72d5be4982de1p-5, -0x1.6923780144934p-5, -0x1.5fa967c73c7p-5, -0x1.56668e9e671e3p-5, -0x1.4d59efefef717p-5, -0x1.44829196f44bdp-5, -0x1.3bdf7beb88c5cp-5, -0x1.336fb9ccfa36ap-5, -0x1.2b3258ab5b0e4p-5, -0x1.2326689057c7cp-5, -0x1.1b4afc27629f5p-5, -0x1.139f28c52ea85p-5, -0x1.0c22066e8a18p-5, -0x1.04d2afde949b2p-5, -0x1.fb608518b93bfp-6, -0x1.ed73bd5fc43d5p-6, -0x1.dfdd4e8d127cdp-6, -0x1.d29b842df9218p-6, -0x1.c5acaf690a49bp-6, -0x1.b90f2703bea36p-6, -0x1.acc14767188b2p-6, -0x1.a0c172a34a8b8p-6, -0x1.950e107274f05p-6, -0x1.89a58e3a6c5bfp-6, -0x1.7e865f0dad40ep-6, -0x1.73aefbab6aa8ep-6, -0x1.691de27ececddp-6, -0x1.5ed1979d73259p-6, -0x1.54c8a4c514196p-6, -0x1.4b01995888272p-6, -0x1.417b0a5c05adfp-6, -0x1.38339270b8cf3p-6, -0x1.2f29d1cfb5597p-6, -0x1.265c6e4446da8p-6, -0x1.1dca1325ac379p-6, -0x1.157171503d61cp-6, -0x1.0d513f1e066b1p-6, -0x1.0568385edd9bep-6, -0x1.fb6a3c9ff4545p-7, -0x1.ec6d6f261e2f5p-7, -0x1.ddd7a049ef2aep-7, -0x1.cfa672a7e1674p-7, -0x1.c1d7936ada119p-7, -0x1.b468ba3707709p-7, -0x1.a757a91409648p-7, -0x1.9aa22c5661898p-7, -0x1.8e461a8842e8bp-7, -0x1.82415451c138dp-7, -0x1.7691c4606c588p-7, -0x1.6b355f4e6074p-7, -0x1.602a2388dbba1p-7, -0x1.556e19364e5cfp-7, -0x1.4aff521c081p-7, -0x1.40dbe983733d4p-7, -0x1.3702041ef7911p-7, -0x1.2d6fcfee807b2p-7, -0x1.24238423b3e2ep-7, -0x1.1b1b6105e0cd4p-7, -0x1.1255afd5a9e49p-7, -0x1.09d0c2b076dcap-7, -0x1.018af473b037fp-7, -0x1.f305513f997e8p-8, -0x1.e36c96766edadp-8, -0x1.d448a16a26df8p-8, -0x1.c5966b8fc892bp-8, -0x1.b752feb83ca19p-8, -0x1.a97b74d550871p-8, -0x1.9c0cf7be9cb3ep-8, -0x1.8f04c0f66244cp-8, -0x1.8260196e5fff8p-8, -0x1.761c594cb1719p-8, -0x1.6a36e7b0b710ap-8, -0x1.5ead3a781ac91p-8, -0x1.537cd603ef01fp-8, -0x1.48a34cfdf8214p-8, -0x1.3e1e401e21b19p-8, -0x1.33eb5df02d836p-8, -0x1.2a0862999bf2p-8, -0x1.2073179fd8d6ep-8, -0x1.172953aeb4c3fp-8, -0x1.0e28fa5f2b163p-8, -0x1.056ffbfe7eb9dp-8, -0x1.f9f8aaab68c3p-9, -0x1.e9981ee2d4f1ap-9, -0x1.d9ba7ed43157bp-9, -0x1.ca5c0c596fb88p-9, -0x1.bb792087b4ca5p-9, -0x1.ad0e2b426d4d3p-9, -0x1.9f17b2cf51d29p-9, -0x1.9192536b5db6ap-9, -0x1.847abee0c48d7p-9, -0x1.77cdbc1de9659p-9, -0x1.6b8826cd61708p-9, -0x1.5fa6eeef01826p-9, -0x1.54271872050bp-9, -0x1.4905bad04a079p-9, -0x1.3e4000aaac0f1p-9, -0x1.33d32766841adp-9, -0x1.29bc7ecc4d0abp-9, -0x1.1ff968a76e055p-9, -0x1.1687586739581p-9, -0x1.0d63d2c11522fp-9, -0x1.048c6d53d7646p-9, -0x1.f7fd9c98b3c8cp-10, -0x1.e7715816865d2p-10, -0x1.d76f99980a58bp-10, -0x1.c7f40c9a35df9p-10, -0x1.b8fa7af2fddd6p-10, -0x1.aa7ecc26b6bb9p-10, -0x1.9c7d04bffa3c3p-10, -0x1.8ef145a9fe344p-10, -0x1.81d7cb8d68888p-10, -0x1.752cee2fa3cd6p-10, -0x1.68ed1fd4a947ap-10, -0x1.5d14eca345eefp-10, -0x1.51a0fa0bddd35p-10, -0x1.468e0631a3c29p-10, -0x1.3bd8e756440eap-10, -0x1.317e8b480a559p-10, -0x1.277bf6d274c8cp-10, -0x1.1dce45313853fp-10, -0x1.1472a785aa61ep-10, -0x1.0b66644ea001bp-10, -0x1.02a6d6e2a60dbp-10, -0x1.f462ddd93fe61p-11, -0x1.e4075fd5862a8p-11, -0x1.d436615fd6662p-11, -0x1.c4eb35ce86972p-11, -0x1.b62155347bac7p-11, -0x1.a7d45b71b12c3p-11, -0x1.9a0007484bae9p-11, -0x1.8ca039762e12p-11, -0x1.7fb0f3d302fedp-11, -0x1.732e5872b5197p-11, -0x1.6714a8cc44c68p-11, -0x1.5b6044e4f3d7ap-11, -0x1.500daa7fba4cep-11, -0x1.45197450f8003p-11, -0x1.3a805936550c4p-11, -0x1.303f2b72c946cp-11, -0x1.2652d7eeb903p-11, -0x1.1cb8657c1e1c7p-11, -0x1.136cf41ead11bp-11, -0x1.0a6dbc57ed2e6p-11, -0x1.01b80e7731f9ap-11, -0x1.f292a3dadc10fp-12, -0x1.e23e094996503p-12, -0x1.d26d74b8040d3p-12, -0x1.c31c380ab9b77p-12, -0x1.b445ce52b9ecfp-12, -0x1.a5e5da99e424dp-12, -0x1.97f826b66e981p-12, -0x1.8a78a22550d55p-12, -0x1.7d6360eb83149p-12, -0x1.70b49a7df41d5p-12, -0x1.6468a8b01f3b6p-12, -0x1.587c06a925e1ep-12, -0x1.4ceb4fdf4d042p-12, -0x1.41b33f19ca521p-12, -0x1.36d0ad78c0ec7p-12, -0x1.2c4091835697cp-12, -0x1.21fffe3bc1753p-12, -0x1.180c223939898p-12, -0x1.0e6246c7ae8bap-12, -0x1.04ffcf0d2be99p-12, -0x1.f7c46e6999adep-13, -0x1.e60e273e4f415p-13, -0x1.d4d8203030ccdp-13, -0x1.c41dde239f83ap-13, -0x1.b3db11ca1590ep-13, -0x1.a40b962cb82f5p-13, -0x1.94ab6f40e17d7p-13, -0x1.85b6c8865d9b5p-13, -0x1.7729f3af3e3ep-13, -0x1.6901675108604p-13, -0x1.5b39bd9f0f078p-13, -0x1.4dcfb32dc510ep-13, -0x1.40c025bee84e5p-13, -0x1.340813163fb18p-13, -0x1.27a497d6cecb2p-13, -0x1.1b92ee684dfbep-13, -0x1.0fd06de4b6b25p-13, -0x1.045a890db6adap-13, -0x1.f25d9a93c7126p-14, -0x1.dc95c352fda98p-14, -0x1.c7590be544608p-14, -0x1.b2a323694af7dp-14, -0x1.9e6fe6c5379b5p-14, -0x1.8abb5ee96ce24p-14, -0x1.7781bf20d65b3p-14, -0x1.64bf636e68c6dp-14, -0x1.5270cef78409bp-14, -0x1.4092aa7aeccb1p-14, -0x1.2f21c2d41131cp-14, -0x1.1e1b078a4abd7p-14, -0x1.0d7b896bd7b42p-14, -0x1.fa80f2687f271p-15, -0x1.dace4c7bb8e6ep-15, -0x1.bbd9fa7c88578p-15, -0x1.9d9f0e1a94e5p-15, -0x1.8018ceecade5cp-15, -0x1.6342b8279fe94p-15, -0x1.47187668aa3d3p-15, -0x1.2b95e59314676p-15, -0x1.10b70ec067a2ep-15, -0x1.ecf04c859611cp-16, -0x1.b9ab13721eedep-16, -0x1.87977c67d5258p-16, -0x1.56aedcd7e9ab2p-16, -0x1.26ead20fdbecdp-16, -0x1.f08a7bcb7b6cp-17, -0x1.9570870688a9p-17, -0x1.3c7c889dbff6p-17, -0x1.cb4773c7c5b1ap-18, -0x1.21b789ed68a3cp-18, -0x1.f0d5f9d94fddcp-20, 0x1.2a8dbf0e07c04p-21, 0x1.85e0c143ede2ap-19, 0x1.5cb80b63fc71ep-18, 0x1.f2b99941bb9e9p-18, 0x1.4282a2f1f589ep-17, 0x1.89d5581a261c7p-17, 0x1.cf5c715b2b374p-17, 0x1.098f96e240e1ep-16, 0x1.2a92450518a75p-16, 0x1.4ab9a219603d7p-16, 0x1.6a08ef8ec8577p-16, 0x1.888352f1755bcp-16, 0x1.a62bd7876e4e8p-16, 0x1.c3056fdc144b9p-16, 0x1.df12f73a2b7a9p-16, 0x1.fa5733150ef7p-16, 0x1.0a6a6a30c8b0cp-15, 0x1.17473c6f8c06fp-15, 0x1.23c35628bd37cp-15, 0x1.2fdff4d60c875p-15, 0x1.3b9e4e175e6e4p-15, 0x1.46ff903a56ef7p-15, 0x1.5204e2bb3cc41p-15, 0x1.5caf66bf75f09p-15, 0x1.67003789cc999p-15, 0x1.70f86ae8bc958p-15, 0x1.7a99119efc2c7p-15, 0x1.83e337c6749ffp-15, 0x1.8cd7e52ddf71bp-15, 0x1.95781db138af5p-15, 0x1.9dc4e18d3b973p-15, 0x1.a5bf2dae0fc5fp-15, 0x1.ad67fbf96203bp-15, 0x1.b4c043940808dp-15, 0x1.bbc8f923665adp-15, 0x1.c2830f0abb32cp-15, 0x1.c8ef75a47a06ap-15, 0x1.cf0f1b77e295p-15, 0x1.d4e2ed6af4f4ap-15, 0x1.da6bd6f0ec174p-15, 0x1.dfaac23564371p-15, 0x1.e4a098444d412p-15, 0x1.e94e412ecf0f7p-15, 0x1.edb4a42d3f28fp-15, 0x1.f1d4a7be4a405p-15, 0x1.f5af31c36efddp-15, 0x1.f945279ae8b2dp-15, 0x1.fc976e372b7a7p-15, 0x1.ffa6ea3409306p-15, 0x1.013a3ff4ce65bp-14, 0x1.028089be8d2e6p-14, 0x1.03a6c477cd06bp-14, 0x1.04ad62157aef3p-14, 0x1.0594d4866c94cp-14, 0x1.065d8db8090c9p-14, 0x1.0707ff9a20f44p-14, 0x1.07949c21fe129p-14, 0x1.0803d54cb8566p-14, 0x1.08561d20d8504p-14, 0x1.088be5af50561p-14, 0x1.08a5a113d9773p-14, 0x1.08a3c174b9a94p-14, 0x1.0886b901fe57cp-14, 0x1.084ef9f432e88p-14, 0x1.07fcf68a9c07fp-14, 0x1.079121090035p-14, 0x1.070bebb503221p-14, 0x1.066dc8d31eba8p-14, 0x1.05b72aa33d09fp-14, 0x1.04e8835cfda75p-14, 0x1.0402452ba9e09p-14, 0x1.0304e229e07c1p-14, 0x1.01f0cc5cfdbdap-14, 0x1.00c675b045fdbp-14, 0x1.ff0c9fdfb0d0dp-15, 0x1.fc619986dd83cp-15, 0x1.f98cbb51e1b2p-15, 0x1.f68ee7ddbc5ffp-15, 0x1.f369015d29bf1p-15, 0x1.f01be98cf01bap-15, 0x1.eca881a7f9fc6p-15, 0x1.e90faa5b3ffb7p-15, 0x1.e55243b98d833p-15, 0x1.e1712d2f27475p-15, 0x1.dd6d457559f65p-15, 0x1.d9476a85f96d7p-15, 0x1.d500798ed4c0cp-15, 0x1.d0994ee52761dp-15, 0x1.cc12c5f90a464p-15, 0x1.c76db948efdd3p-15, 0x1.c2ab0255284ep-15, 0x1.bdcb79937bb1ep-15, 0x1.b8cff662d764fp-15, 0x1.b3b94eff17725p-15, 0x1.ae885874eefbcp-15, 0x1.a93de695f2239p-15, 0x1.a3dacbecc8ac4p-15, 0x1.9e5fd9b18725fp-15, 0x1.98cddfbe3a2f8p-15, 0x1.9325ac839b839p-15, 0x1.8d680cfdfff1bp-15, 0x1.8795ccaa77108p-15, 0x1.81afb57c24f1p-15, 0x1.7bb68fd1d462ap-15, 0x1.75ab226bc78bep-15, 0x1.6f8e3261c4adfp-15, 0x1.69608319641eap-15, 0x1.6322d63c9e63cp-15, 0x1.5cd5ebb09fd7cp-15, 0x1.567a818cdccc5p-15, 0x1.501154126e17bp-15, 0x1.499b1da3b2164p-15, 0x1.431896bc3617fp-15, 0x1.3c8a75e8e5558p-15, 0x1.35f16fc084486p-15, 0x1.2f4e36dc712efp-15, 0x1.28a17bd1b0961p-15, 0x1.21ebed2a41f1ap-15, 0x1.1b2e375ec03a4p-15, 0x1.146904d04984dp-15, 0x1.0d9cfdc2b46d2p-15, 0x1.06cac8570c1d7p-15, 0x1.ffe6110cb229bp-16, 0x1.f22cc0396285dp-16, 0x1.e46add6924p-16, 0x1.d6a1a3650b5c6p-16, 0x1.c8d248821ae56p-16, 0x1.bafdfe99aea13p-16, 0x1.ad25f3026fff4p-16, 0x1.9f4b4e89e01fap-16, 0x1.916f356e63ce4p-16, 0x1.8392c759e55f9p-16, 0x1.75b71f5cf9b22p-16, 0x1.67dd53ea8ed1bp-16, 0x1.5a0676d420a0ep-16, 0x1.4c339546738a5p-16, 0x1.3e65b7c6d0e54p-16, 0x1.309de230c50efp-16, 0x1.22dd13b458bbap-16, 0x1.152446d4ce251p-16, 0x1.07747167d3ad5p-16, 0x1.f39d092a6202p-17, 0x1.d866d9add35bap-17, 0x1.bd4823f3ad3bfp-17, 0x1.a242ae3d5ff9ap-17, 0x1.875835770d972p-17, 0x1.6c8a6d3b5c4dep-17, 0x1.51daffd8172e8p-17, 0x1.374b8e53acd62p-17, 0x1.1cddb07373008p-17, 0x1.0292f4c2b26b6p-17, 0x1.d0d9c134f6acep-18, 0x1.9cd9e0546b01fp-18, 0x1.69292d01d6b92p-18, 0x1.35ca7b2e95ab2p-18, 0x1.02c08cb4ac6e7p-18, 0x1.a01c22db03f74p-19, 0x1.3b6b4e93cec2p-19, 0x1.aee769ad8ee0ep-20, 0x1.d0e929f5cc05ap-21, 0x1.1c3e12f3f8e45p-23, -0x1.3fab619301dbep-21, -0x1.619aac97b3dap-20, -0x1.10df2f11954a6p-19, -0x1.701c1b7f7e6a3p-19, -0x1.ce7ff65ae170ep-19, -0x1.16035e104fa0cp-18, -0x1.4456455f8d03fp-18, -0x1.7236d0a72d2e4p-18, -0x1.9fa32fe33b1c4p-18, -0x1.cc99a35a273fp-18, -0x1.f9187b765b9f3p-18, }}, 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
      std::vector<double>(600, 0.0), 
    }}, 
    {
      30, 0x1.cp+1, 0x1.bfb7a0756786cp+1, 0x1.c69223a4009b5p+1, -0x1.507c9b5d07048p-5, 
      {{
        {0x1p+1, 0x1.0666666666666p+1, -0x1.2bb4837750841p-7, -0x1.c97124664bb1ap-4, 0x1.9002569411df1p-3, -0x1.81772d1df2889p-5}, 
        {0x1.0666666666666p+1, 0x1.0cccccccccccdp+1, -0x1.d2dfd1046fdc7p-7, -0x1.7ae2b8b16f1c4p-4, 0x1.818dde7c8bf9ep-3, -0x1.cf30ee4180555p-5}, 
        {0x1.0cccccccccccdp+1, 0x1.1333333333333p+1, -0x1.2d9e7599e300cp-6, -0x1.2f8302d96908ep-4, 0x1.702f3bf3b0c38p-3, -0x1.08a2ce8a74d13p-4}, 
        {0x1.1333333333333p+1, 0x1.199999999999ap+1, -0x1.631707c361551p-6, -0x1.cfb82174b384ap-5, 0x1.5c563942e800cp-3, -0x1.2b3d20b5a0817p-4}, 
        {0x1.199999999999ap+1, 0x1.2p+1, -0x1.8aa50fbd6b44cp-6, -0x1.48df84a457d78p-5, 0x1.45e4d6cee25d4p-3, -0x1.4d6a11030d595p-4}, 
        {0x1.2p+1, 0x1.2666666666666p+1, -0x1.a52e5044b9a4ep-6, -0x1.970896448cea8p-6, 0x1.2ce348bb74902p-3, -0x1.6fbc8e05f3567p-4}, 
        {0x1.2666666666666p+1, 0x1.2cccccccccccdp+1, -0x1.b3b2de1405c6ap-6, -0x1.62b5f3e2a6423p-7, 0x1.114ebe149be9dp-3, -0x1.91e63a10ba071p-4}, 
        {0x1.2cccccccccccdp+1, 0x1.3333333333333p+1, -0x1.b74d1fe40977ap-6, 0x1.d3bd4b324067dp-10, 0x1.e6548d0d1bec1p-4, -0x1.b48d9d4683593p-4}, 
        {0x1.3333333333333p+1, 0x1.399999999999ap+1, -0x1.b131ce6b7f012p-6, 0x1.a556a548b2a98p-7, 0x1.a4d8e8a8ee9e9p-4, -0x1.d566f4c85f6b1p-4}, 
        {0x1.399999999999ap+1, 0x1.4p+1, -0x1.a2aff45f2128dp-6, 0x1.6ced13e1e91eap-6, 0x1.5e6fdd8ae04e5p-4, -0x1.fcfac3eef5508p-4}, 
        {0x1.4p+1, 0x1.4666666666666p+1, -0x1.8d30ee71ab30fp-6, 0x1.e9d4dc61a7005p-6, 0x1.12170cf3d51c2p-4, -0x1.f7a5513c7bad2p-4}, 
        {0x1.4666666666666p+1, 0x1.4cccccccccccdp+1, -0x1.7235e270a6678p-6, 0x1.242dd73e201b4p-5, 0x1.8d161b2251eb4p-5, -0x1.c566a98b49f27p-4}, 
        {0x1.4cccccccccccdp+1, 0x1.5333333333333p+1, -0x1.533bdd813f5d4p-6, 0x1.451631034edecp-5, 0x1.0510e8455554fp-5, -0x1.99e252efb193bp-4}, 
        {0x1.5333333333333p+1, 0x1.599999999999ap+1, -0x1.319ff25d1b1bap-6, 0x1.590b86fef74c9p-5, 0x1.14339ec7a6857p-6, -0x1.6c907e026a16dp-4}, 
        {0x1.599999999999ap+1, 0x1.6p+1, -0x1.0e9cb06f24b3bp-6, 0x1.6162fb1ff3cb5p-5, 0x1.cbb432fe6a19cp-9, -0x1.3fba5146417b5p-4}, 
        {0x1.6p+1, 0x1.6666666666666p+1, -0x1.d69447a71a807p-7, 0x1.5f76c09fd93c2p-5, -0x1.0cbf54c7e73f4p-7, -0x1.12c302174f7ccp-4}, 
        {0x1.6666666666666p+1, 0x1.6cccccccccccdp+1, -0x1.913baaaf97c6cp-7, 0x1.549faf1d0fb3bp-5, -0x1.2b3b120b89b6bp-6, -0x1.cba92904c79aep-5}, 
        {0x1.6cccccccccccdp+1, 0x1.7333333333333p+1, -0x1.4ed594f53b912p-7, 0x1.4236fb57f7f57p-5, -0x1.b52104c02bff8p-6, -0x1.71c785f04ed04p-5}, 
        {0x1.7333333333333p+1, 0x1.799999999999ap+1, -0x1.10c30ad80c48bp-7, 0x1.2995c1243cd92p-5, -0x1.120809aa88385p-5, -0x1.17e73f524e397p-5}, 
        {0x1.799999999999ap+1, 0x1.8p+1, -0x1.b040143538c9fp-8, 0x1.0c1522e6683d1p-5, -0x1.3c04532a13f47p-5, -0x1.7c0c9d8a251edp-6}, 
        {0x1.8p+1, 0x1.8666666666666p+1, -0x1.4b8713c414e37p-8, 0x1.d61c83587b919p-6, -0x1.588545613d237p-5, -0x1.909aa5f9183p-7}, 
        {0x1.8666666666666p+1, 0x1.8cccccccccccdp+1, -0x1.e8fdead804274p-9, 0x1.8fb47a9b75f8dp-6, -0x1.678b1200fad86p-5, -0x1.4850219f7d839p-10}, 
        {0x1.8cccccccccccdp+1, 0x1.9333333333333p+1, -0x1.57831a02db674p-9, 0x1.47a477a17857ap-6, -0x1.69150bc2ed6fp-5, 0x1.3e439803231cp-7}, 
        {0x1.9333333333333p+1, 0x1.999999999999ap+1, -0x1.c57a84777503fp-10, 0x1.009e9772d0fdp-6, -0x1.5d25b60f9c1ep-5, 0x1.53459ee45405dp-6}, 
        {0x1.999999999999ap+1, 0x1.ap+1, -0x1.136fac7fb96p-10, 0x1.7aab4d9374259p-7, -0x1.43b3b08b4903dp-5, 0x1.02cb70b890626p-5}, 
        {0x1.ap+1, 0x1.a666666666666p+1, -0x1.29a8b95ab5dep-11, 0x1.00f3c5385108bp-7, -0x1.1ce1f93c668edp-5, 0x1.5f5ab04755c83p-5}, 
        {0x1.a666666666666p+1, 0x1.acccccccccccdp+1, -0x1.0dbc428e44ec1p-12, 0x1.33145cfce9a6bp-8, -0x1.d05bf0c9ccfb9p-6, 0x1.af38bedf9aa33p-5}, 
        {0x1.acccccccccccdp+1, 0x1.b333333333333p+1, -0x1.6de0f19f452p-14, 0x1.266b1a7d7510fp-9, -0x1.4efe1ded1e96bp-6, 0x1.173a7984b6b62p-4}, 
        {0x1.b333333333333p+1, 0x1.b99999999999ap+1, -0x1.25da771f36c2fp-16, 0x1.75c19d92ee982p-11, -0x1.4ee943a161edbp-7, 0x1.9eb3c48d65785p-5}, 
        {0x1.b99999999999ap+1, 0x1.cp+1, -0x1.25da771f36bbep-20, 0x1.27a4cf9a7b4bp-14, -0x1.585c039894299p-9, 0x1.37776e959f27ep-4}, 
      }}, 
      -0x1.44cf94802afe1p+0, 0x1.06795fc7c8388p+3
    }
  };
  // clang-format on
}

} // namespace dftb
} // namespace Sparrow
} // namespace Scine
